package MGA::Mirrors::View::TT;

use strict;
use warnings;
use MGA::Mirrors;

use base 'Catalyst::View::TT';

__PACKAGE__->config(
    TEMPLATE_EXTENSION => '.tt',
    render_die => 1,
    INCLUDE_PATH => [
        MGA::Mirrors->path_to( 'root', 'html', 'includes' ),
        MGA::Mirrors->path_to( 'root', 'html', 'pages' ),
    ],
    PRE_PROCESS => 'header.tt',
    POST_PROCESS => 'footer.tt',
);

=head1 NAME

MGA::Mirrors::View::TT - TT View for MGA::Mirrors

=head1 DESCRIPTION

TT View for MGA::Mirrors.

=head1 SEE ALSO

L<MGA::Mirrors>

=head1 AUTHOR

Olivier Thauvin

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
