--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: bandwidth; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE bandwidth (
    name text NOT NULL,
    value bigint NOT NULL
);


ALTER TABLE public.bandwidth OWNER TO nanardon;

--
-- Name: continent; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE continent (
    code character varying(2) NOT NULL,
    name text NOT NULL
);


ALTER TABLE public.continent OWNER TO nanardon;

--
-- Name: country; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE country (
    continent_code character varying(2) NOT NULL,
    code character varying(2) NOT NULL,
    name text NOT NULL,
    latitude real,
    longitude real
);


ALTER TABLE public.country OWNER TO nanardon;

--
-- Name: countries; Type: VIEW; Schema: public; Owner: nanardon
--

CREATE VIEW countries AS
    SELECT country.code, country.name, continent.name AS continent, continent.code AS ccode, country.latitude, country.longitude FROM (continent JOIN country ON (((country.continent_code)::text = (continent.code)::text)));


ALTER TABLE public.countries OWNER TO nanardon;

--
-- Name: distributions; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE distributions (
    dkey bigint NOT NULL,
    version text NOT NULL,
    arch text NOT NULL,
    relpath text NOT NULL,
    relfile text
);


ALTER TABLE public.distributions OWNER TO nanardon;

--
-- Name: distributions_key_seq; Type: SEQUENCE; Schema: public; Owner: nanardon
--

CREATE SEQUENCE distributions_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.distributions_key_seq OWNER TO nanardon;

--
-- Name: distributions_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nanardon
--

ALTER SEQUENCE distributions_key_seq OWNED BY distributions.dkey;


--
-- Name: distributions_key_seq; Type: SEQUENCE SET; Schema: public; Owner: nanardon
--

SELECT pg_catalog.setval('distributions_key_seq', 6, true);


--
-- Name: distributions_validity; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE distributions_validity (
    urlskey integer NOT NULL,
    distributionkey integer NOT NULL,
    "exists" boolean NOT NULL,
    lastcheck timestamp with time zone DEFAULT now() NOT NULL,
    lastok timestamp with time zone
);


ALTER TABLE public.distributions_validity OWNER TO nanardon;

--
-- Name: geoip; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE geoip (
    ipmin inet NOT NULL,
    ipmax inet NOT NULL,
    code character varying(2) NOT NULL
);


ALTER TABLE public.geoip OWNER TO nanardon;

--
-- Name: global_files; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE global_files (
    relpath text NOT NULL
);


ALTER TABLE public.global_files OWNER TO nanardon;

--
-- Name: hosts_; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE hosts_ (
    hostname text NOT NULL,
    country text,
    city text,
    readonly boolean DEFAULT false NOT NULL,
    infourl text,
    hostby text,
    sponsorurl text,
    comment text,
    contact text,
    syncfrom text,
    public boolean DEFAULT true NOT NULL,
    bandwidth bigint
);


ALTER TABLE public.hosts_ OWNER TO nanardon;

--
-- Name: hosts; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE hosts (
    latitude real,
    longitude real
)
INHERITS (hosts_);


ALTER TABLE public.hosts OWNER TO nanardon;

--
-- Name: ips; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE ips (
    hostname text NOT NULL,
    ip inet NOT NULL,
    key bigint NOT NULL
);


ALTER TABLE public.ips OWNER TO nanardon;

--
-- Name: ips_key_seq; Type: SEQUENCE; Schema: public; Owner: nanardon
--

CREATE SEQUENCE ips_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ips_key_seq OWNER TO nanardon;

--
-- Name: ips_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nanardon
--

ALTER SEQUENCE ips_key_seq OWNED BY ips.key;


--
-- Name: ips_key_seq; Type: SEQUENCE SET; Schema: public; Owner: nanardon
--

SELECT pg_catalog.setval('ips_key_seq', 156, true);


--
-- Name: protocol; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE protocol (
    name text NOT NULL
);


ALTER TABLE public.protocol OWNER TO nanardon;

--
-- Name: toplevel_urls_; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE toplevel_urls_ (
    hostname text NOT NULL,
    protocol text NOT NULL,
    port integer,
    path text NOT NULL,
    key bigint NOT NULL,
    valid boolean DEFAULT true NOT NULL,
    lastcheck timestamp with time zone DEFAULT now() NOT NULL,
    lastok timestamp with time zone DEFAULT now()
);


ALTER TABLE public.toplevel_urls_ OWNER TO nanardon;

--
-- Name: urls_key_seq; Type: SEQUENCE; Schema: public; Owner: nanardon
--

CREATE SEQUENCE urls_key_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.urls_key_seq OWNER TO nanardon;

--
-- Name: urls_key_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nanardon
--

ALTER SEQUENCE urls_key_seq OWNED BY toplevel_urls_.key;


--
-- Name: urls_key_seq; Type: SEQUENCE SET; Schema: public; Owner: nanardon
--

SELECT pg_catalog.setval('urls_key_seq', 60, true);


--
-- Name: toplevel_urls; Type: TABLE; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE TABLE toplevel_urls (
)
INHERITS (toplevel_urls_);


ALTER TABLE public.toplevel_urls OWNER TO nanardon;

--
-- Name: dkey; Type: DEFAULT; Schema: public; Owner: nanardon
--

ALTER TABLE distributions ALTER COLUMN dkey SET DEFAULT nextval('distributions_key_seq'::regclass);


--
-- Name: key; Type: DEFAULT; Schema: public; Owner: nanardon
--

ALTER TABLE ips ALTER COLUMN key SET DEFAULT nextval('ips_key_seq'::regclass);


--
-- Name: key; Type: DEFAULT; Schema: public; Owner: nanardon
--

ALTER TABLE toplevel_urls_ ALTER COLUMN key SET DEFAULT nextval('urls_key_seq'::regclass);


--
-- Data for Name: bandwidth; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY bandwidth (name, value) FROM stdin;
10Mbits	10485760
100Mbits	104857600
1Gbits	1073741824
10Gbits	10737418240
2Gbits	2147483648
\.


--
-- Data for Name: continent; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY continent (code, name) FROM stdin;
AF	Africa
AS	Asia
EU	Europe
NA	North America
SA	South America
OC	Oceania
AN	Antartica
\.


--
-- Data for Name: country; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY country (continent_code, code, name, latitude, longitude) FROM stdin;
OC	AS	American	-14.3333	-170
EU	AT	Austria	47.333302	13.3333
OC	AU	Australia	-27	133
NA	AW	Aruba	12.5	-69.966698
AS	AZ	Azerbaijan	40.5	47.5
EU	BA	Bosnia	44	18
NA	BB	Barbados	13.1667	-59.533298
AS	BD	Bangladesh	24	90
EU	BE	Belgium	50.833302	4
AF	BF	Burkina Faso	13	-2
EU	BG	Bulgaria	43	25
AS	BH	Bahrain	26	50.549999
SA	BO	Bolivia	-17	-65
SA	BR	Brazil	-10	-55
NA	BS	Bahamas	24.25	-76
AS	BT	Bhutan	27.5	90.5
AN	BV	Bouvet Island	-54.4333	3.4000001
AF	BW	Botswana	-22	24
EU	BY	Belarus	53	28
NA	BZ	Belize	17.25	-88.75
NA	CA	Canada	60	-95
AF	CF	Central	7	21
EU	CH	Switzerland	47	8
SA	CL	Chile	-30	-71
AF	CM	Cameroon	6	12
AS	CN	China	35	105
AF	CV	Cape	16	-24
AS	CX	Christmas	-10.5	105.6667
AF	DZ	Algeria	28	3
AF	EG	Egypt	27	30
EU	FI	Finland	64	26
EU	FO	Faroe	62	-7
SA	GF	French Guiana	4	-53
AF	GN	Guinea	11	-10
AF	GQ	Equatorial Guinea	2	10
NA	GT	Guatemala	15.5	-90.25
AN	HM	Heard Island	-53.099998	72.516701
NA	HN	Honduras	15	-86.5
EU	IE	Ireland	53	-8
AS	IO	British Indian Ocean Territories	-6	71.5
AS	IR	Iran	32	53
AS	JO	Jordan	31	36
NA	KN	Saint Kitts and Nevis	17.3333	-62.75
NA	KY	Cayman	19.5	-80.5
AS	KZ	Kazakhstan	48	68
AF	LR	Liberia	6.5	-9.5
AF	LY	Libyan	25	17
NA	PM	Saint Pierre et Miquelon	46.833302	-56.333302
SA	PY	Paraguay	-23	-58
AS	QA	Qatar	25.5	51.25
OC	TK	Tokelau	-9	-172
EU	AX	Åland	\N	\N
AS	TM	Turkmenistan	40	60
AF	TN	Tunisia	34	9
OC	TO	Tonga	-20	-175
EU	AD	Andorra	42.5	1.5
AS	AF	Afghanistan	33	65
NA	AG	Antigua	17.049999	-61.799999
NA	AI	Anguilla	18.25	-63.166698
EU	AL	Albania	41	20
AS	AM	Armenia	40	45
NA	AN	Netherlands Antilles	12.25	-68.75
AF	AO	Angola	-12.5	18.5
AN	AQ	Antarctica	-90	0
SA	AR	Argentina	-34	-64
AF	BI	Burundi	-3.5	30
AF	BJ	Benin	9.5	2.25
NA	BM	Bermuda	32.333302	-64.75
AS	BN	Brunei Darussalam	4.5	114.6667
EU	DK	Denmark	56	10
AS	KH	Cambodia	13	105
AF	KM	Comoros	-12.1667	44.25
EU	ME	Montenegro	42	19
AS	MM	Myanmar	22	98
OC	MP	Northern Mariana Island	15.2	145.75
AF	MW	Malawi	-13.5	34
OC	NC	New	-21.5	165.5
OC	NF	Norfolk Island	-29.0333	167.95
EU	NL	Netherlands	52.5	5.75
OC	NZ	New	-41	174
OC	PF	French Polynesia	-15	-140
AF	RE	Reunion	-21.1	55.599998
EU	RO	Romania	46	25
EU	RS	Serbia	44	21
EU	RU	Russian Federation	60	100
AS	SA	Saudi Arabia	25	45
AF	SC	Seychelles	-4.5833001	55.666698
AF	SD	Sudan	15	30
EU	SE	Sweden	62	15
AS	SG	Singapore	1.3667001	103.8
AF	SH	Saint Helena	-15.9333	-5.6999998
EU	SJ	Svalbard	78	20
EU	SK	Slovakia	48.666698	19.5
AF	SL	Sierra Leone	8.5	-11.5
EU	SM	San Marino	43.766701	12.4167
AF	SO	Somalia	10	49
SA	SR	Suriname	4	-56
AF	ST	Sao Tome	1	7
AS	SY	Syrian Arab Republic	35	38
AF	SZ	Swaziland	-26.5	31.5
AF	TD	Chad	15	19
AN	TF	French Southern Territories	-43	67
AF	TG	Togo	8	1.1667
AS	TH	Thailand	15	100
AS	TJ	Tajikistan	39	71
AS	TR	Turkey	39	35
NA	TT	Trinidad	11	-61
AS	TW	Taiwan	23.5	121
AF	TZ	Tanzania	-6	35
EU	VA	Holy See	41.900002	12.45
NA	VC	Saint Vincent	13.25	-61.200001
NA	VG	British Virgin Islands	18.5	-64.5
AF	YT	Mayotte	-12.8333	45.166698
AF	ZA	South Africa	-29	24
EU	GG	Guernsey	\N	\N
EU	JE	Jersey	\N	\N
OC	PN	Pitcairn	\N	\N
AS	TL	Timor-Leste	\N	\N
EU	GI	Gibraltar	36.1833	-5.3667002
AS	PH	Philippines	13	122
AS	CC	Cocos	-12.5	96.833298
AF	GW	Guinea-Bissau	12	-15
NA	BL	Saint Barthelemy	\N	\N
AS	LK	Sri Lanka	7	81
NA	MF	Saint Martin	\N	\N
AS	PS	Palestinian Territories	32	35.25
AF	SN	Senegal	14	-14
AS	KW	Kuwait	29.3375	47.6581
AS	LA	Lao	18	105
EU	LT	Lithuania	56	24
NA	SV	El	13.8333	-88.916702
EU	SI	Slovenia	46	15
OC	WS	Samoa	-13.5833	-172.3333
OC	SB	Solomon	-8	159
OC	PW	Palau	7.5	134.5
AF	MR	Mauritania	20	-12
EU	IM	Isle of Man	\N	\N
NA	HT	Haiti	19	-72.416702
EU	EE	Estonia	59	26
AF	DJ	Djibouti	11.5	43
SA	CO	Colombia	4	-72
NA	CR	Costa Rica	10	-84
AS	CY	Cyprus	35	33
AF	CD	Congo	0	25
AF	CG	Congo	-1	15
AF	CI	Cote d'Ivoire	8	-5
OC	CK	Cook Islands	-21.233299	-159.76669
NA	CU	Cuba	21.5	-80
EU	CZ	Czech Republic	49.75	15.5
EU	DE	Germany	51	9
NA	DM	Dominica	15.4167	-61.333302
NA	DO	Dominican Republic	19	-70.666702
SA	EC	Ecuador	-2	-77.5
AF	ER	Eritrea	15	39
EU	ES	Spain	40	-4
AF	ET	Ethiopia	8	38
OC	FJ	Fiji	-18	175
SA	FK	Falkland	-51.75	-59
OC	FM	Micronesia	6.9166999	158.25
EU	FR	France	46	2
AF	GA	Gabon	-1	11.75
NA	GD	Grenada	12.1167	-61.666698
AS	GE	Georgia	42	43.5
AF	GH	Ghana	8	-2
NA	GL	Greenland	72	-40
AF	GM	Gambia	13.4667	-16.5667
NA	GP	Guadeloupe	16.25	-61.583302
EU	GR	Greece	39	22
AN	GS	South Georgia	-54.5	-37
OC	GU	Guam	13.4667	144.78329
SA	GY	Guyana	5	-59
AS	HK	Hong Kong	22.25	114.1667
EU	HR	Croatia	45.166698	15.5
EU	HU	Hungary	47	20
AS	ID	Indonesia	-5	120
AS	IL	Israel	31.5	34.75
AS	IN	India	20	77
AS	IQ	Iraq	33	44
EU	IS	Iceland	65	-18
EU	IT	Italy	42.833302	12.8333
NA	JM	Jamaica	18.25	-77.5
AS	JP	Japan	36	138
AF	KE	Kenya	1	38
AS	KG	Kyrgyz	41	75
OC	KI	Kiribati	1.4167	173
AS	KP	Korea, DPF	40	127
AS	KR	Korea, Republic of	37	127.5
AS	LB	Lebanon	33.833302	35.833302
NA	LC	Saint Lucia	13.8833	-61.133301
EU	LI	Liechtenstein	47.166698	9.5333004
AF	LS	Lesotho	-29.5	28.5
EU	LU	Luxembourg	49.75	6.1666999
EU	LV	Latvia	57	25
AF	MA	Morocco	32	-5
EU	MC	Monaco	43.733299	7.4000001
EU	MD	Moldova	47	29
AF	MG	Madagascar	-20	47
OC	MH	Marshall	9	168
EU	MK	Macedonia	41.833302	22
AF	ML	Mali	17	-4
AS	MN	Mongolia	46	105
AS	MO	Macao	22.1667	113.55
NA	MQ	Martinique	14.6667	-61
NA	MS	Montserrat	16.75	-62.200001
EU	MT	Malta	35.833302	14.5833
AF	MU	Mauritius	-20.2833	57.549999
AS	MV	Maldives	3.25	73
NA	MX	Mexico	23	-102
AS	MY	Malaysia	2.5	112.5
AF	MZ	Mozambique	-18.25	35
AF	NA	Namibia	-22	17
AF	NE	Niger	16	8
AF	NG	Nigeria	10	8
NA	NI	Nicaragua	13	-85
EU	NO	Norway	62	10
AS	NP	Nepal	28	84
OC	NR	Nauru	-0.53329998	166.9167
OC	NU	Niue	-19.0333	-169.8667
AS	OM	Oman	21	57
NA	PA	Panama	9	-80
SA	PE	Peru	-10	-76
OC	PG	Papua	-6	147
AS	PK	Pakistan	30	70
EU	PL	Poland	52	20
NA	PR	Puerto	18.25	-66.5
EU	PT	Portugal	39.5	-8
AF	RW	Rwanda	-2	30
AS	AE	United Arab Emirates	24	54
AF	EH	Western	24.5	-13
EU	GB	United Kingdom	54	-2
NA	TC	Turks	21.75	-71.583298
OC	TV	Tuvalu	-8	178
EU	UA	Ukraine	49	32
AF	UG	Uganda	1	32
OC	UM	United Minor Outlying Islands	19.2833	166.60001
NA	US	United States of America	38	-97
SA	UY	Uruguay	-33	-56
AS	UZ	Uzbekistan	41	64
SA	VE	Venezuela	8	-66
NA	VI	United States Virgin Islands	18.3333	-64.833298
AS	VN	Vietnam	16	106
OC	VU	Vanuatu	-16	167
OC	WF	Wallis	-13.3	-176.2
AS	YE	Yemen	15	48
AF	ZM	Zambia	-15	30
AF	ZW	Zimbabwe	-20	30
\.


--
-- Data for Name: distributions; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY distributions (dkey, version, arch, relpath, relfile) FROM stdin;
2	cauldron	i586	/distribs/cauldron/i586	VERSION
4	cauldron	x86_64	/distribs/cauldron/x86_64	VERSION
\.


--
-- Data for Name: distributions_validity; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY distributions_validity (urlskey, distributionkey, "exists", lastcheck, lastok) FROM stdin;
39	2	t	2010-10-03 21:53:00.584819+02	2010-10-03 21:53:00.584819+02
39	4	t	2010-10-03 21:53:01.666652+02	2010-10-03 21:53:01.666652+02
50	2	t	2010-10-03 21:53:01.729152+02	2010-10-03 21:53:01.729152+02
50	4	t	2010-10-03 21:53:02.825572+02	2010-10-03 21:53:02.825572+02
51	2	t	2010-10-03 21:53:02.885497+02	2010-10-03 21:53:02.885497+02
51	4	t	2010-10-03 21:53:03.418498+02	2010-10-03 21:53:03.418498+02
56	2	t	2010-10-03 21:53:03.48894+02	2010-10-03 21:53:03.48894+02
56	4	t	2010-10-03 21:53:03.759874+02	2010-10-03 21:53:03.759874+02
\.


--
-- Data for Name: geoip; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY geoip (ipmin, ipmax, code) FROM stdin;
2001:200::	2001:200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:208::	2001:208:ffff:ffff:ffff:ffff:ffff:ffff	SG
2001:218::	2001:218:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:220::	2001:220:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:228::	2001:228:1fff:ffff:ffff:ffff:ffff:ffff	JP
2001:230::	2001:230:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:238::	2001:238:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:240::	2001:240:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:250::	2001:252:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:254::	2001:254:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:256::	2001:256:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:258::	2001:258:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:260::	2001:260:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:268::	2001:268:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:270::	2001:270:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:278::	2001:278:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:280::	2001:280:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:288::	2001:288:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:290::	2001:290:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:298::	2001:298:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:2a0::	2001:2a0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:2a8::	2001:2a8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:2b0::	2001:2b0:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:2b8::	2001:2b8:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:2c0::	2001:2c0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:2c8::	2001:2c8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:2d8::	2001:2d8:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:2e0::	2001:2e0:ffff:ffff:ffff:ffff:ffff:ffff	HK
2001:2e8::	2001:2e8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:2f0::	2001:2f0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:2f8::	2001:2f8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:300::	2001:300:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:308::	2001:308:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:310::	2001:310:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:318::	2001:318:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:320::	2001:320:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:328::	2001:328:ffff:ffff:ffff:ffff:ffff:ffff	MY
2001:330::	2001:330:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:338::	2001:338:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:340::	2001:340:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:348::	2001:348:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:350::	2001:350:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:358::	2001:358:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:360::	2001:360:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:368::	2001:368:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:370::	2001:370:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:378::	2001:378:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:380::	2001:380:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:388::	2001:388:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:390::	2001:390:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:398::	2001:398:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3a0::	2001:3a0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3a8::	2001:3a8:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:3b0::	2001:3b0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3b8::	2001:3b8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3c0::	2001:3c0:1fff:ffff:ffff:ffff:ffff:ffff	JP
2001:3c8::	2001:3c8:ffff:ffff:ffff:ffff:ffff:ffff	TH
2001:3d0::	2001:3d0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3d8::	2001:3d8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3e0::	2001:3e0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3e8::	2001:3e8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:3f0::	2001:3f0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:400::	2001:400:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:408::	2001:408:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:410::	2001:410:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:418::	2001:418:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:420::	2001:420:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:428::	2001:428:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:430::	2001:430:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:438::	2001:438:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:440::	2001:440:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:448::	2001:448:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:450::	2001:450:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:458::	2001:458:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:460::	2001:460:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:468::	2001:468:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:470::	2001:470:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:478::	2001:478:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:480::	2001:480:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:490::	2001:490:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4a0::	2001:4a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4b0::	2001:4b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4b8::	2001:4b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4c0::	2001:4c0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:4c8::	2001:4c8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:4d0::	2001:4d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4d8::	2001:4d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4e0::	2001:4e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4e8::	2001:4e8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:4f0::	2001:4f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4f8::	2001:4f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:500::	2001:500:4:ffff:ffff:ffff:ffff:ffff	US
2001:500:6::	2001:500:f:ffff:ffff:ffff:ffff:ffff	CA
2001:500:10::	2001:500:10:ffff:ffff:ffff:ffff:ffff	PR
2001:500:11::	2001:500:15:ffff:ffff:ffff:ffff:ffff	US
2001:500:16::	2001:500:2c:ffff:ffff:ffff:ffff:ffff	CA
2001:500:2d::	2001:500:31:ffff:ffff:ffff:ffff:ffff	US
2001:500:40::	2001:500:56:ffff:ffff:ffff:ffff:ffff	CA
2001:500:60::	2001:500:7d:ffff:ffff:ffff:ffff:ffff	US
2001:500:80::	2001:500:83:ffff:ffff:ffff:ffff:ffff	CA
2001:500:84::	2001:500:89:ffff:ffff:ffff:ffff:ffff	US
2001:500:8c::	2001:500:99:ffff:ffff:ffff:ffff:ffff	US
2001:500:3e5::	2001:500:3e5:ffff:ffff:ffff:ffff:ffff	US
2001:500:30ff::	2001:500:30ff:ffff:ffff:ffff:ffff:ffff	US
2001:500:4431::	2001:500:4431:ffff:ffff:ffff:ffff:ffff	US
2001:500:7967::	2001:500:7967:ffff:ffff:ffff:ffff:ffff	US
2001:500:856e::	2001:500:856e:ffff:ffff:ffff:ffff:ffff	US
2001:500:d937::	2001:500:d937:ffff:ffff:ffff:ffff:ffff	US
2001:500:ed30::	2001:500:ed30:ffff:ffff:ffff:ffff:ffff	US
2001:501:8a29::	2001:501:8a29:ffff:ffff:ffff:ffff:ffff	US
2001:501:b1f9::	2001:501:b1f9:ffff:ffff:ffff:ffff:ffff	US
2001:502:8cc::	2001:502:8cc:ffff:ffff:ffff:ffff:ffff	US
2001:502:100e::	2001:502:100e:ffff:ffff:ffff:ffff:ffff	US
2001:502:1ca1::	2001:502:1ca1:ffff:ffff:ffff:ffff:ffff	US
2001:502:2eda::	2001:502:2eda:ffff:ffff:ffff:ffff:ffff	US
2001:502:4612::	2001:502:4612:ffff:ffff:ffff:ffff:ffff	US
2001:502:7094::	2001:502:7094:ffff:ffff:ffff:ffff:ffff	US
2001:502:7a71::	2001:502:7a71:ffff:ffff:ffff:ffff:ffff	US
2001:502:8c25::	2001:502:8c25:ffff:ffff:ffff:ffff:ffff	US
2001:502:ad09::	2001:502:ad09:ffff:ffff:ffff:ffff:ffff	US
2001:502:be98::	2001:502:be98:ffff:ffff:ffff:ffff:ffff	US
2001:502:cbe4::	2001:502:cbe4:ffff:ffff:ffff:ffff:ffff	US
2001:502:cfb5::	2001:502:cfb5:ffff:ffff:ffff:ffff:ffff	US
2001:502:d399::	2001:502:d399:ffff:ffff:ffff:ffff:ffff	US
2001:502:f3ff::	2001:502:f3ff:ffff:ffff:ffff:ffff:ffff	US
2001:503:c27::	2001:503:c27:ffff:ffff:ffff:ffff:ffff	US
2001:503:d2d::	2001:503:d2d:ffff:ffff:ffff:ffff:ffff	US
2001:503:231d::	2001:503:231d:ffff:ffff:ffff:ffff:ffff	US
2001:503:3227::	2001:503:3227:ffff:ffff:ffff:ffff:ffff	US
2001:503:39c1::	2001:503:39c1:ffff:ffff:ffff:ffff:ffff	US
2001:503:4872::	2001:503:4872:ffff:ffff:ffff:ffff:ffff	US
2001:503:5419::	2001:503:5419:ffff:ffff:ffff:ffff:ffff	US
2001:503:5ae2::	2001:503:5ae2:ffff:ffff:ffff:ffff:ffff	US
2001:503:6810::	2001:503:6810:ffff:ffff:ffff:ffff:ffff	US
2001:503:7bbb::	2001:503:7bbb:ffff:ffff:ffff:ffff:ffff	US
2001:503:7bbf::	2001:503:7bbf:ffff:ffff:ffff:ffff:ffff	US
2001:503:8028::	2001:503:8028:ffff:ffff:ffff:ffff:ffff	US
2001:503:83eb::	2001:503:83eb:ffff:ffff:ffff:ffff:ffff	US
2001:503:91ef::	2001:503:91ef:ffff:ffff:ffff:ffff:ffff	US
2001:503:a124::	2001:503:a124:ffff:ffff:ffff:ffff:ffff	US
2001:503:a83e::	2001:503:a83e:ffff:ffff:ffff:ffff:ffff	US
2001:503:ba3e::	2001:503:ba3e:ffff:ffff:ffff:ffff:ffff	US
2001:503:bfb0::	2001:503:bfb0:ffff:ffff:ffff:ffff:ffff	US
2001:503:c779::	2001:503:c779:ffff:ffff:ffff:ffff:ffff	US
2001:503:cc2c::	2001:503:cc2c:ffff:ffff:ffff:ffff:ffff	US
2001:503:d1ae::	2001:503:d1ae:ffff:ffff:ffff:ffff:ffff	US
2001:503:d414::	2001:503:d414:ffff:ffff:ffff:ffff:ffff	US
2001:503:e239::	2001:503:e239:ffff:ffff:ffff:ffff:ffff	US
2001:503:e8ef::	2001:503:e8ef:ffff:ffff:ffff:ffff:ffff	US
2001:503:eea3::	2001:503:eea3:ffff:ffff:ffff:ffff:ffff	US
2001:503:f189::	2001:503:f189:ffff:ffff:ffff:ffff:ffff	US
2001:503:f261::	2001:503:f261:ffff:ffff:ffff:ffff:ffff	US
2001:503:f3da::	2001:503:f3da:ffff:ffff:ffff:ffff:ffff	US
2001:503:ff39::	2001:503:ff39:ffff:ffff:ffff:ffff:ffff	US
2001:504::	2001:504:14:ffff:ffff:ffff:ffff:ffff	US
2001:504:15::	2001:504:15:ffff:ffff:ffff:ffff:ffff	CA
2001:504:16::	2001:504:19:ffff:ffff:ffff:ffff:ffff	US
2001:504:1a::	2001:504:1a:ffff:ffff:ffff:ffff:ffff	CA
2001:504:1b::	2001:504:1b:ffff:ffff:ffff:ffff:ffff	US
2001:506::	2001:506:1:ffff:ffff:ffff:ffff:ffff	US
2001:506:8::	2001:506:8:ffff:ffff:ffff:ffff:ffff	US
2001:506:20::	2001:506:20:ffff:ffff:ffff:ffff:ffff	CA
2001:506:1000::	2001:506:2fff:ffff:ffff:ffff:ffff:ffff	US
2001:508::	2001:508:ffff:ffff:ffff:ffff:ffff:ffff	BM
2001:510::	2001:510:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:518::	2001:518:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:520::	2001:520:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:528::	2001:528:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:530::	2001:530:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:538::	2001:538:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:540::	2001:540:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:548::	2001:548:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:550::	2001:550:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:558::	2001:560:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:568::	2001:568:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:570::	2001:570:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:578::	2001:57b:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:580::	2001:580:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:588::	2001:588:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:590::	2001:590:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:598::	2001:598:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:5a0::	2001:5a0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:5a8::	2001:5a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5b0::	2001:5b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5b8::	2001:5b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5c8::	2001:5c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5d0::	2001:5d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5d8::	2001:5d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5e0::	2001:5e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5e8::	2001:5e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5f0::	2001:5f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:5f8::	2001:5f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:600::	2001:600:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:608::	2001:608:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:610::	2001:610:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:618::	2001:618:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:620::	2001:620:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:628::	2001:62b:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:630::	2001:630:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:638::	2001:638:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:640::	2001:640:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:648::	2001:648:ffff:ffff:ffff:ffff:ffff:ffff	GR
2001:650::	2001:650:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:658::	2001:658:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:660::	2001:660:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:668::	2001:668:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:670::	2001:670:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:678::	2001:678:0:ffff:ffff:ffff:ffff:ffff	EU
2001:678:1::	2001:678:1:ffff:ffff:ffff:ffff:ffff	CZ
2001:678:2::	2001:678:2:ffff:ffff:ffff:ffff:ffff	DE
2001:678:3::	2001:678:3:ffff:ffff:ffff:ffff:ffff	CH
2001:678:4::	2001:678:5:ffff:ffff:ffff:ffff:ffff	GB
2001:678:6::	2001:678:6:ffff:ffff:ffff:ffff:ffff	LT
2001:678:7::	2001:678:7:ffff:ffff:ffff:ffff:ffff	GR
2001:678:8::	2001:678:8:ffff:ffff:ffff:ffff:ffff	NL
2001:678:9::	2001:678:a:ffff:ffff:ffff:ffff:ffff	BE
2001:678:c::	2001:678:c:ffff:ffff:ffff:ffff:ffff	FR
2001:678:d::	2001:678:d:ffff:ffff:ffff:ffff:ffff	AT
2001:678:e::	2001:678:e:ffff:ffff:ffff:ffff:ffff	DE
2001:678:f::	2001:678:11:ffff:ffff:ffff:ffff:ffff	CZ
2001:678:12::	2001:678:12:ffff:ffff:ffff:ffff:ffff	IT
2001:678:13::	2001:678:18:ffff:ffff:ffff:ffff:ffff	RU
2001:67c::	2001:67c:0:ffff:ffff:ffff:ffff:ffff	IE
2001:67c:4::	2001:67c:4:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:8::	2001:67c:8:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:c::	2001:67c:c:ffff:ffff:ffff:ffff:ffff	PL
2001:67c:10::	2001:67c:10:ffff:ffff:ffff:ffff:ffff	EU
2001:67c:18::	2001:67c:18:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:1c::	2001:67c:1c:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:20::	2001:67c:20:ffff:ffff:ffff:ffff:ffff	IE
2001:67c:24::	2001:67c:24:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:2c::	2001:67c:2c:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:30::	2001:67c:30:ffff:ffff:ffff:ffff:ffff	RO
2001:67c:34::	2001:67c:34:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:38::	2001:67c:38:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:3c::	2001:67c:3c:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:44::	2001:67c:44:ffff:ffff:ffff:ffff:ffff	RO
2001:67c:48::	2001:67c:48:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:4c::	2001:67c:4c:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:50::	2001:67c:50:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:54::	2001:67c:54:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:58::	2001:67c:58:ffff:ffff:ffff:ffff:ffff	SI
2001:67c:5c::	2001:67c:5c:ffff:ffff:ffff:ffff:ffff	BE
2001:67c:60::	2001:67c:60:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:64::	2001:67c:64:ffff:ffff:ffff:ffff:ffff	EU
2001:67c:68::	2001:67c:68:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:6c::	2001:67c:6c:ffff:ffff:ffff:ffff:ffff	IS
2001:67c:70::	2001:67c:70:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:74::	2001:67c:74:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:78::	2001:67c:78:ffff:ffff:ffff:ffff:ffff	EU
2001:67c:7c::	2001:67c:7c:ffff:ffff:ffff:ffff:ffff	RU
2001:67c:80::	2001:67c:80:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:84::	2001:67c:84:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:88::	2001:67c:88:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:8c::	2001:67c:8c:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:90::	2001:67c:90:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:94::	2001:67c:94:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:98::	2001:67c:98:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:a0::	2001:67c:a0:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:a4::	2001:67c:a4:ffff:ffff:ffff:ffff:ffff	NO
2001:67c:ac::	2001:67c:ac:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:b0::	2001:67c:b0:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:b4::	2001:67c:b4:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:b8::	2001:67c:b8:ffff:ffff:ffff:ffff:ffff	DK
2001:67c:bc::	2001:67c:bc:ffff:ffff:ffff:ffff:ffff	EE
2001:67c:c0::	2001:67c:c0:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:c4::	2001:67c:c4:ffff:ffff:ffff:ffff:ffff	FR
2001:67c:c8::	2001:67c:c8:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:cc::	2001:67c:cc:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:d0::	2001:67c:d0:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:d4::	2001:67c:d4:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:d8::	2001:67c:d8:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:dc::	2001:67c:dc:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:e0::	2001:67c:e0:ffff:ffff:ffff:ffff:ffff	EU
2001:67c:e4::	2001:67c:e4:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:e8::	2001:67c:e8:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:ec::	2001:67c:ec:ffff:ffff:ffff:ffff:ffff	FR
2001:67c:f0::	2001:67c:f0:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:f4::	2001:67c:f4:ffff:ffff:ffff:ffff:ffff	RU
2001:67c:f8::	2001:67c:f8:ffff:ffff:ffff:ffff:ffff	UA
2001:67c:100::	2001:67c:100:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:104::	2001:67c:104:ffff:ffff:ffff:ffff:ffff	FR
2001:67c:108::	2001:67c:108:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:10c::	2001:67c:10c:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:110::	2001:67c:110:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:114::	2001:67c:114:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:118::	2001:67c:118:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:11c::	2001:67c:11c:ffff:ffff:ffff:ffff:ffff	PL
2001:67c:120::	2001:67c:120:ffff:ffff:ffff:ffff:ffff	BE
2001:67c:124::	2001:67c:124:ffff:ffff:ffff:ffff:ffff	SI
2001:67c:128::	2001:67c:128:ffff:ffff:ffff:ffff:ffff	EU
2001:67c:12c::	2001:67c:12c:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:130::	2001:67c:130:ffff:ffff:ffff:ffff:ffff	SA
2001:67c:134::	2001:67c:134:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:138::	2001:67c:138:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:13c::	2001:67c:13c:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:140::	2001:67c:140:ffff:ffff:ffff:ffff:ffff	EU
2001:67c:144::	2001:67c:144:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:148::	2001:67c:148:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:14c::	2001:67c:14c:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:150::	2001:67c:150:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:154::	2001:67c:154:ffff:ffff:ffff:ffff:ffff	RO
2001:67c:158::	2001:67c:158:ffff:ffff:ffff:ffff:ffff	DK
2001:67c:15c::	2001:67c:15c:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:160::	2001:67c:160:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:164::	2001:67c:164:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:168::	2001:67c:168:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:16c::	2001:67c:16c:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:170::	2001:67c:170:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:174::	2001:67c:174:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:178::	2001:67c:178:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:17c::	2001:67c:17c:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:180::	2001:67c:180:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:184::	2001:67c:184:ffff:ffff:ffff:ffff:ffff	DK
2001:67c:188::	2001:67c:188:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:18c::	2001:67c:18c:ffff:ffff:ffff:ffff:ffff	RU
2001:67c:190::	2001:67c:190:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:194::	2001:67c:194:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:198::	2001:67c:198:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:19c::	2001:67c:19c:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:1a0::	2001:67c:1a0:ffff:ffff:ffff:ffff:ffff	SI
2001:67c:1a4::	2001:67c:1a4:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:1a8::	2001:67c:1a8:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:1ac::	2001:67c:1ac:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1b0::	2001:67c:1b0:ffff:ffff:ffff:ffff:ffff	PL
2001:67c:1b4::	2001:67c:1b4:ffff:ffff:ffff:ffff:ffff	PL
2001:67c:1b8::	2001:67c:1b8:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:1bc::	2001:67c:1bc:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:1c0::	2001:67c:1c0:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:1c4::	2001:67c:1c4:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:1c8::	2001:67c:1c8:ffff:ffff:ffff:ffff:ffff	PL
2001:67c:1cc::	2001:67c:1cc:ffff:ffff:ffff:ffff:ffff	BE
2001:67c:1d0::	2001:67c:1d0:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:1d4::	2001:67c:1d4:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:1d8::	2001:67c:1d8:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1dc::	2001:67c:1dc:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:1e0::	2001:67c:1e0:ffff:ffff:ffff:ffff:ffff	EU
2001:67c:1e4::	2001:67c:1e4:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:1e8::	2001:67c:1e8:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:1ec::	2001:67c:1ec:ffff:ffff:ffff:ffff:ffff	NO
2001:67c:1f0::	2001:67c:1f0:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:1f8::	2001:67c:1f8:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1fc::	2001:67c:1fc:ffff:ffff:ffff:ffff:ffff	SI
2001:67c:200::	2001:67c:200:ffff:ffff:ffff:ffff:ffff	FR
2001:67c:204::	2001:67c:204:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:208::	2001:67c:208:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:20c::	2001:67c:20c:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:210::	2001:67c:210:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:214::	2001:67c:214:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:218::	2001:67c:218:ffff:ffff:ffff:ffff:ffff	LT
2001:67c:21c::	2001:67c:21c:ffff:ffff:ffff:ffff:ffff	AM
2001:67c:220::	2001:67c:220:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:224::	2001:67c:224:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:228::	2001:67c:228:ffff:ffff:ffff:ffff:ffff	NO
2001:67c:22c::	2001:67c:22c:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:230::	2001:67c:230:ffff:ffff:ffff:ffff:ffff	NO
2001:67c:234::	2001:67c:234:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:238::	2001:67c:238:ffff:ffff:ffff:ffff:ffff	DK
2001:67c:23c::	2001:67c:23c:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:240::	2001:67c:240:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:244::	2001:67c:244:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:248::	2001:67c:248:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:24c::	2001:67c:24c:ffff:ffff:ffff:ffff:ffff	PL
2001:67c:250::	2001:67c:250:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:254::	2001:67c:254:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:258::	2001:67c:258:ffff:ffff:ffff:ffff:ffff	UA
2001:67c:25c::	2001:67c:25c:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:260::	2001:67c:260:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:264::	2001:67c:264:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:268::	2001:67c:268:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:26c::	2001:67c:26c:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:270::	2001:67c:270:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:274::	2001:67c:274:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:278::	2001:67c:278:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:27c::	2001:67c:27c:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:280::	2001:67c:280:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:284::	2001:67c:284:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:288::	2001:67c:288:ffff:ffff:ffff:ffff:ffff	FR
2001:67c:28c::	2001:67c:28c:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:290::	2001:67c:290:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:294::	2001:67c:294:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:298::	2001:67c:298:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:29c::	2001:67c:29c:ffff:ffff:ffff:ffff:ffff	GB
2001:67c:2a0::	2001:67c:2a0:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:2a8::	2001:67c:2a8:ffff:ffff:ffff:ffff:ffff	NO
2001:67c:2ac::	2001:67c:2ac:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:2b0::	2001:67c:2b0:ffff:ffff:ffff:ffff:ffff	FI
2001:67c:2b4::	2001:67c:2b4:ffff:ffff:ffff:ffff:ffff	CZ
2001:67c:2b8::	2001:67c:2b8:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:2bc::	2001:67c:2bc:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:2c0::	2001:67c:2c0:ffff:ffff:ffff:ffff:ffff	AT
2001:67c:2c4::	2001:67c:2c4:ffff:ffff:ffff:ffff:ffff	CH
2001:67c:2c8::	2001:67c:2c8:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:2cc::	2001:67c:2cc:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1000::	2001:67c:1001:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:1008::	2001:67c:1009:ffff:ffff:ffff:ffff:ffff	RU
2001:67c:1010::	2001:67c:1011:ffff:ffff:ffff:ffff:ffff	SE
2001:67c:1018::	2001:67c:1019:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1200::	2001:67c:1203:ffff:ffff:ffff:ffff:ffff	FR
2001:67c:1210::	2001:67c:1213:ffff:ffff:ffff:ffff:ffff	RU
2001:67c:1400::	2001:67c:1407:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1420::	2001:67c:1427:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1440::	2001:67c:1447:ffff:ffff:ffff:ffff:ffff	RU
2001:67c:1460::	2001:67c:1467:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1600::	2001:67c:160f:ffff:ffff:ffff:ffff:ffff	DE
2001:67c:1a00::	2001:67c:1a3f:ffff:ffff:ffff:ffff:ffff	NL
2001:67c:1c00::	2001:67c:1cff:ffff:ffff:ffff:ffff:ffff	NO
2001:680::	2001:680:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:688::	2001:688:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:690::	2001:690:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:698::	2001:698:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:6a0::	2001:6a0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:6a8::	2001:6a8:ffff:ffff:ffff:ffff:ffff:ffff	BE
2001:6b0::	2001:6b0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:6b8::	2001:6b8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:6c0::	2001:6c0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:6c8::	2001:6c8:ffff:ffff:ffff:ffff:ffff:ffff	DK
2001:6d0::	2001:6d0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:6d8::	2001:6d8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:6e0::	2001:6e0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:6e8::	2001:6e8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:6f0::	2001:6f0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:6f8::	2001:6f8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:700::	2001:700:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:708::	2001:708:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:710::	2001:710:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:718::	2001:718:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:720::	2001:720:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:728::	2001:728:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:730::	2001:730:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:738::	2001:738:ffff:ffff:ffff:ffff:ffff:ffff	HU
2001:740::	2001:740:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:748::	2001:748:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:750::	2001:750:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:758::	2001:758:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:760::	2001:760:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:768::	2001:768:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:770::	2001:770:ffff:ffff:ffff:ffff:ffff:ffff	IE
2001:778::	2001:778:ffff:ffff:ffff:ffff:ffff:ffff	LT
2001:780::	2001:780:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:788::	2001:788:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:790::	2001:790:ffff:ffff:ffff:ffff:ffff:ffff	IR
2001:798::	2001:798:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:7a0::	2001:7a0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:7a8::	2001:7a8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:7b0::	2001:7b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:7b8::	2001:7b8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:7c0::	2001:7c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:7c8::	2001:7c8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2001:7d0::	2001:7d0:ffff:ffff:ffff:ffff:ffff:ffff	EE
2001:7d8::	2001:7d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:7e0::	2001:7e0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:7e8::	2001:7e8:ffff:ffff:ffff:ffff:ffff:ffff	LU
2001:7f0::	2001:7f0:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:7f8::	2001:7f8:0:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:1::	2001:7f8:1:ffff:ffff:ffff:ffff:ffff	NL
2001:7f8:2::	2001:7f8:2:ffff:ffff:ffff:ffff:ffff	IT
2001:7f8:3::	2001:7f8:5:ffff:ffff:ffff:ffff:ffff	GB
2001:7f8:6::	2001:7f8:6:ffff:ffff:ffff:ffff:ffff	BG
2001:7f8:7::	2001:7f8:7:ffff:ffff:ffff:ffff:ffff	FI
2001:7f8:8::	2001:7f8:8:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:9::	2001:7f8:9:ffff:ffff:ffff:ffff:ffff	GB
2001:7f8:a::	2001:7f8:a:ffff:ffff:ffff:ffff:ffff	PT
2001:7f8:b::	2001:7f8:b:ffff:ffff:ffff:ffff:ffff	IT
2001:7f8:c::	2001:7f8:c:ffff:ffff:ffff:ffff:ffff	CH
2001:7f8:d::	2001:7f8:d:ffff:ffff:ffff:ffff:ffff	SE
2001:7f8:e::	2001:7f8:e:ffff:ffff:ffff:ffff:ffff	NL
2001:7f8:f::	2001:7f8:f:ffff:ffff:ffff:ffff:ffff	ES
2001:7f8:10::	2001:7f8:10:ffff:ffff:ffff:ffff:ffff	IT
2001:7f8:11::	2001:7f8:11:ffff:ffff:ffff:ffff:ffff	LU
2001:7f8:12::	2001:7f8:12:ffff:ffff:ffff:ffff:ffff	NO
2001:7f8:13::	2001:7f8:13:ffff:ffff:ffff:ffff:ffff	NL
2001:7f8:14::	2001:7f8:14:ffff:ffff:ffff:ffff:ffff	CZ
2001:7f8:15::	2001:7f8:15:ffff:ffff:ffff:ffff:ffff	EE
2001:7f8:16::	2001:7f8:16:ffff:ffff:ffff:ffff:ffff	SE
2001:7f8:17::	2001:7f8:17:ffff:ffff:ffff:ffff:ffff	GB
2001:7f8:18::	2001:7f8:18:ffff:ffff:ffff:ffff:ffff	IE
2001:7f8:19::	2001:7f8:19:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:1a::	2001:7f8:1a:ffff:ffff:ffff:ffff:ffff	EU
2001:7f8:1b::	2001:7f8:1b:ffff:ffff:ffff:ffff:ffff	BE
2001:7f8:1c::	2001:7f8:1c:ffff:ffff:ffff:ffff:ffff	CH
2001:7f8:1d::	2001:7f8:1d:ffff:ffff:ffff:ffff:ffff	FI
2001:7f8:1f::	2001:7f8:1f:ffff:ffff:ffff:ffff:ffff	DK
2001:7f8:20::	2001:7f8:20:ffff:ffff:ffff:ffff:ffff	RU
2001:7f8:21::	2001:7f8:21:ffff:ffff:ffff:ffff:ffff	SE
2001:7f8:22::	2001:7f8:22:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:23::	2001:7f8:23:ffff:ffff:ffff:ffff:ffff	IT
2001:7f8:24::	2001:7f8:24:ffff:ffff:ffff:ffff:ffff	CH
2001:7f8:25::	2001:7f8:25:ffff:ffff:ffff:ffff:ffff	GB
2001:7f8:26::	2001:7f8:26:ffff:ffff:ffff:ffff:ffff	BE
2001:7f8:28::	2001:7f8:28:ffff:ffff:ffff:ffff:ffff	HR
2001:7f8:29::	2001:7f8:29:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:2a::	2001:7f8:2a:ffff:ffff:ffff:ffff:ffff	ES
2001:7f8:2b::	2001:7f8:2c:ffff:ffff:ffff:ffff:ffff	EU
2001:7f8:2d::	2001:7f8:2d:ffff:ffff:ffff:ffff:ffff	FR
2001:7f8:2e::	2001:7f8:2e:ffff:ffff:ffff:ffff:ffff	PT
2001:7f8:2f::	2001:7f8:2f:ffff:ffff:ffff:ffff:ffff	SK
2001:7f8:30::	2001:7f8:30:ffff:ffff:ffff:ffff:ffff	AT
2001:7f8:31::	2001:7f8:31:ffff:ffff:ffff:ffff:ffff	NL
2001:7f8:32::	2001:7f8:32:0:ffff:ffff:ffff:ffff	GB
2001:7f8:33::	2001:7f8:33:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:34::	2001:7f8:34:ffff:ffff:ffff:ffff:ffff	GB
2001:7f8:35::	2001:7f8:35:ffff:ffff:ffff:ffff:ffff	HU
2001:7f8:36::	2001:7f8:36:ffff:ffff:ffff:ffff:ffff	GB
2001:7f8:37::	2001:7f8:38:ffff:ffff:ffff:ffff:ffff	SE
2001:7f8:39::	2001:7f8:39:ffff:ffff:ffff:ffff:ffff	EE
2001:7f8:3a::	2001:7f8:3a:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:3b::	2001:7f8:3b:ffff:ffff:ffff:ffff:ffff	IL
2001:7f8:3c::	2001:7f8:3c:ffff:ffff:ffff:ffff:ffff	EU
2001:7f8:3d::	2001:7f8:3d:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:3e::	2001:7f8:3e:ffff:ffff:ffff:ffff:ffff	GB
2001:7f8:3f::	2001:7f8:3f:ffff:ffff:ffff:ffff:ffff	SK
2001:7f8:40::	2001:7f8:40:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:41::	2001:7f8:41:ffff:ffff:ffff:ffff:ffff	NO
2001:7f8:42::	2001:7f8:42:ffff:ffff:ffff:ffff:ffff	PL
2001:7f8:43::	2001:7f8:43:ffff:ffff:ffff:ffff:ffff	FR
2001:7f8:44::	2001:7f8:44:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:45::	2001:7f8:45:ffff:ffff:ffff:ffff:ffff	SE
2001:7f8:46::	2001:7f8:46:ffff:ffff:ffff:ffff:ffff	SI
2001:7f8:47::	2001:7f8:47:ffff:ffff:ffff:ffff:ffff	FR
2001:7f8:48::	2001:7f8:48:ffff:ffff:ffff:ffff:ffff	IS
2001:7f8:49::	2001:7f8:49:ffff:ffff:ffff:ffff:ffff	EU
2001:7f8:4a::	2001:7f8:4a:ffff:ffff:ffff:ffff:ffff	AT
2001:7f8:4b::	2001:7f8:4b:ffff:ffff:ffff:ffff:ffff	PL
2001:7f8:4c::	2001:7f8:4c:ffff:ffff:ffff:ffff:ffff	LU
2001:7f8:4d::	2001:7f8:4d:ffff:ffff:ffff:ffff:ffff	IE
2001:7f8:4e::	2001:7f8:4e:ffff:ffff:ffff:ffff:ffff	FR
2001:7f8:4f::	2001:7f8:4f:ffff:ffff:ffff:ffff:ffff	BH
2001:7f8:50::	2001:7f8:50:ffff:ffff:ffff:ffff:ffff	EE
2001:7f8:51::	2001:7f8:51:ffff:ffff:ffff:ffff:ffff	UA
2001:7f8:52::	2001:7f8:52:ffff:ffff:ffff:ffff:ffff	LB
2001:7f8:53::	2001:7f8:53:ffff:ffff:ffff:ffff:ffff	SE
2001:7f8:54::	2001:7f8:54:ffff:ffff:ffff:ffff:ffff	FR
2001:7f8:55::	2001:7f8:55:ffff:ffff:ffff:ffff:ffff	UA
2001:7f8:56::	2001:7f8:56:ffff:ffff:ffff:ffff:ffff	DE
2001:7f8:57::	2001:7f8:57:ffff:ffff:ffff:ffff:ffff	CH
2001:7f8:58::	2001:7f8:58:ffff:ffff:ffff:ffff:ffff	BG
2001:7f8:59::	2001:7f8:59:ffff:ffff:ffff:ffff:ffff	FR
2001:7f8:5a::	2001:7f8:5a:ffff:ffff:ffff:ffff:ffff	BY
2001:7fa:0:1::	2001:7fa:0:1:ffff:ffff:ffff:ffff	HK
2001:7fa:0:2::	2001:7fa:0:2:ffff:ffff:ffff:ffff	KR
2001:7fa:0:3::	2001:7fa:0:3:ffff:ffff:ffff:ffff	JP
2001:7fa:1::	2001:7fa:1:ffff:ffff:ffff:ffff:ffff	TW
2001:7fa:2::	2001:7fa:2:ffff:ffff:ffff:ffff:ffff	ID
2001:7fa:3::	2001:7fa:4:ffff:ffff:ffff:ffff:ffff	NZ
2001:7fa:5::	2001:7fa:5:ffff:ffff:ffff:ffff:ffff	CN
2001:7fa:6::	2001:7fa:6:ffff:ffff:ffff:ffff:ffff	VN
2001:7fa:7::	2001:7fa:7:ffff:ffff:ffff:ffff:ffff	JP
2001:7fa:8::	2001:7fa:8:ffff:ffff:ffff:ffff:ffff	KR
2001:7fa:9::	2001:7fa:e:ffff:ffff:ffff:ffff:ffff	AU
2001:7fa:f::	2001:7fa:f:ffff:ffff:ffff:ffff:ffff	ID
2001:7fa:10::	2001:7fa:10:ffff:ffff:ffff:ffff:ffff	CN
2001:7fa:11::	2001:7fa:11:ffff:ffff:ffff:ffff:ffff	AU
2001:7fb::	2001:7fb:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:7fd::	2001:7fd:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:7fe::	2001:7fe:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:800::	2001:800:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:808::	2001:808:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:810::	2001:810:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:818::	2001:818:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:820::	2001:820:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:828::	2001:828:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:830::	2001:830:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:838::	2001:838:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:840::	2001:840:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:848::	2001:848:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:850::	2001:850:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:858::	2001:858:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:860::	2001:860:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:868::	2001:868:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:870::	2001:870:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:878::	2001:878:ffff:ffff:ffff:ffff:ffff:ffff	DK
2001:880::	2001:880:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:888::	2001:888:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:890::	2001:890:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:898::	2001:898:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:8a0::	2001:8a0:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:8a8::	2001:8a8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:8b0::	2001:8b0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:8b8::	2001:8b8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:8c0::	2001:8c0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:8c8::	2001:8c8:ffff:ffff:ffff:ffff:ffff:ffff	RS
2001:8d0::	2001:8d0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:8d8::	2001:8d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:8e0::	2001:8e0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:8e8::	2001:8e8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:8f0::	2001:8f0:ffff:ffff:ffff:ffff:ffff:ffff	CY
2001:8f8::	2001:8f8:ffff:ffff:ffff:ffff:ffff:ffff	AE
2001:900::	2001:900:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:908::	2001:908:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:910::	2001:910:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:918::	2001:918:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:920::	2001:920:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:928::	2001:928:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:930::	2001:930:ffff:ffff:ffff:ffff:ffff:ffff	TR
2001:938::	2001:938:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:940::	2001:940:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:948::	2001:948:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:950::	2001:950:ffff:ffff:ffff:ffff:ffff:ffff	HU
2001:958::	2001:958:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:960::	2001:960:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:968::	2001:968:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:978::	2001:978:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:980::	2001:980:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:988::	2001:988:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:990::	2001:990:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:998::	2001:998:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:9a0::	2001:9a0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:9a8::	2001:9a8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:9b0::	2001:9b0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:9b8::	2001:9b8:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:9c0::	2001:9c0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:9c8::	2001:9c8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:9d0::	2001:9d0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:9d8::	2001:9d8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:9e0::	2001:9e0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:9e8::	2001:9e8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:9f0::	2001:9f0:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:9f8::	2001:9f8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:a00::	2001:a00:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:a08::	2001:a08:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:a10::	2001:a10:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:a18::	2001:a18:ffff:ffff:ffff:ffff:ffff:ffff	LU
2001:a20::	2001:a20:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:a28::	2001:a28:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:a30::	2001:a30:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:a38::	2001:a38:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:a40::	2001:a40:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:a48::	2001:a48:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:a50::	2001:a50:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:a58::	2001:a58:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:a60::	2001:a60:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:a68::	2001:a68:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:a70::	2001:a70:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:a78::	2001:a78:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:a80::	2001:a80:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:a88::	2001:a88:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:a90::	2001:a90:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:a98::	2001:a98:ffff:ffff:ffff:ffff:ffff:ffff	TR
2001:aa0::	2001:aa0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:aa8::	2001:aa8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:ab0::	2001:ab0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:ab8::	2001:ab8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:ac0::	2001:ac0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:ac8::	2001:ac8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:ad0::	2001:ad0:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:ad8::	2001:ad8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:ae0::	2001:ae0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:ae8::	2001:ae8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:af0::	2001:af0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:af8::	2001:af8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:b00::	2001:b00:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:b08::	2001:b08:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:b10::	2001:b10:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:b18::	2001:b18:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:b20::	2001:b20:ffff:ffff:ffff:ffff:ffff:ffff	LU
2001:b28::	2001:b28:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:b30::	2001:b30:ffff:ffff:ffff:ffff:ffff:ffff	RO
2001:b38::	2001:b38:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:b40::	2001:b40:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:b48::	2001:b48:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:b50::	2001:b50:ffff:ffff:ffff:ffff:ffff:ffff	DK
2001:b58::	2001:b58:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:b60::	2001:b60:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:b68::	2001:b68:ffff:ffff:ffff:ffff:ffff:ffff	HR
2001:b70::	2001:b70:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:b78::	2001:b78:ffff:ffff:ffff:ffff:ffff:ffff	BE
2001:b80::	2001:b80:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:b88::	2001:b88:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:b90::	2001:b90:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:b98::	2001:b98:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:ba0::	2001:ba0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:ba8::	2001:ba8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:bb0::	2001:bb0:ffff:ffff:ffff:ffff:ffff:ffff	IE
2001:bb8::	2001:bb8:ffff:ffff:ffff:ffff:ffff:ffff	EE
2001:bc0::	2001:bc0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:bc8::	2001:bc8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:bd0::	2001:bd0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:bd8::	2001:bd8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:be0::	2001:be0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:be8::	2001:be8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:bf0::	2001:bf0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:bf8::	2001:bf8:ffff:ffff:ffff:ffff:ffff:ffff	IL
2001:c00::	2001:c00:ffff:ffff:ffff:ffff:ffff:ffff	TH
2001:c08::	2001:c08:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:c10::	2001:c10:ffff:ffff:ffff:ffff:ffff:ffff	SG
2001:c18::	2001:c18:ffff:ffff:ffff:ffff:ffff:ffff	MY
1.0.0.0	1.7.255.255	AU
1.9.0.0	1.9.255.255	MY
1.10.10.0	1.10.10.255	AU
1.11.0.0	1.11.255.255	KR
1.12.0.0	1.15.255.255	CN
1.16.0.0	1.19.255.255	KR
1.21.0.0	1.21.255.255	JP
1.22.0.0	1.23.255.255	IN
1.24.0.0	1.31.255.255	CN
1.33.0.0	1.33.255.255	JP
1.34.0.0	1.35.255.255	TW
1.36.0.0	1.36.255.255	HK
1.38.0.0	1.39.255.255	IN
1.40.0.0	1.44.255.255	AU
1.45.0.0	1.45.255.255	CN
1.46.0.0	1.47.255.255	TH
1.48.0.0	1.51.255.255	CN
1.52.0.0	1.55.255.255	VN
1.56.0.0	1.63.255.255	CN
1.64.0.0	1.65.255.255	HK
1.66.0.0	1.67.255.255	JP
1.68.0.0	1.71.255.255	CN
1.72.0.0	1.79.255.255	JP
1.80.0.0	1.95.255.255	CN
1.96.0.0	1.111.255.255	KR
1.112.0.0	1.115.255.255	JP
1.116.0.0	1.119.255.255	CN
1.120.0.0	1.159.255.255	AU
1.160.0.0	1.175.255.255	TW
1.176.0.0	1.177.255.255	KR
1.178.0.0	1.179.255.255	AU
1.180.0.0	1.185.255.255	CN
1.186.0.0	1.186.255.255	IN
1.188.0.0	1.199.255.255	CN
1.201.0.0	1.201.255.255	KR
1.202.0.0	1.207.255.255	CN
1.208.0.0	1.255.255.255	KR
2.0.0.0	2.15.255.255	FR
2.32.0.0	2.47.255.255	IT
2.48.0.0	2.51.255.255	AE
2.52.0.0	2.55.255.255	IL
2.64.0.0	2.71.255.255	SE
2.72.0.0	2.79.255.255	KZ
2.80.0.0	2.83.255.255	PT
2.84.0.0	2.87.255.255	GR
2.88.0.0	2.91.255.255	SA
2.92.0.0	2.95.255.255	RU
2.96.0.0	2.103.255.255	GB
2.104.0.0	2.111.255.255	DK
2.112.0.0	2.119.255.255	IT
2.120.0.0	2.127.255.255	GB
3.0.0.0	4.17.135.31	US
4.17.135.32	4.17.135.63	CA
4.17.135.64	4.17.142.255	US
4.17.143.0	4.17.143.15	CA
4.17.143.16	4.18.32.71	US
4.18.32.72	4.18.32.79	MX
4.18.32.80	4.18.40.135	US
4.18.40.136	4.18.40.143	CA
4.18.40.144	4.18.65.255	US
4.18.66.0	4.18.67.255	MX
4.18.68.0	4.18.100.31	US
4.18.100.32	4.18.100.39	CA
4.18.100.40	4.19.162.143	US
4.19.162.144	4.19.162.151	CA
4.19.162.152	4.20.73.15	US
4.20.73.16	4.20.73.31	CA
4.20.73.32	4.23.128.183	US
4.23.128.184	4.23.128.191	CA
4.23.128.192	4.37.0.255	US
4.37.1.0	4.37.1.255	CA
4.37.2.0	4.42.209.231	US
4.42.209.232	4.42.209.239	CA
4.42.209.240	4.43.114.7	US
4.43.114.8	4.43.114.15	BM
4.43.114.16	4.79.65.159	US
4.79.65.160	4.79.65.191	CA
4.79.65.192	4.79.244.223	US
4.79.244.224	4.79.244.255	CA
4.79.245.0	4.79.245.127	US
4.79.245.128	4.79.245.191	BM
4.79.245.192	4.255.255.255	US
6.0.0.0	7.57.75.31	US
7.57.75.32	7.57.75.63	IT
7.57.75.64	8.7.64.255	US
8.7.65.0	8.7.65.255	CA
8.7.66.0	8.7.209.255	US
8.7.210.0	8.7.210.255	CA
8.7.211.0	8.14.223.255	US
8.14.224.0	8.14.255.255	MX
8.15.0.0	8.21.35.255	US
8.21.36.0	8.21.39.255	CA
8.21.40.0	8.21.49.255	US
8.21.50.0	8.21.50.255	CA
8.21.51.0	9.19.255.255	US
9.20.0.0	9.20.127.255	GB
9.20.128.0	9.255.255.255	US
11.0.0.0	12.1.52.63	US
12.1.52.64	12.1.52.71	PR
12.1.52.72	12.4.123.79	US
12.4.123.80	12.4.123.87	CA
12.4.123.88	12.4.186.151	US
12.4.186.152	12.4.186.159	PR
12.4.186.160	12.5.77.111	US
12.5.77.112	12.5.77.127	CA
12.5.77.128	12.6.100.255	US
12.6.101.0	12.6.101.7	PR
12.6.101.8	12.8.31.255	US
12.8.32.0	12.8.32.15	VI
12.8.32.16	12.8.183.255	US
12.8.184.0	12.8.184.255	PR
12.8.185.0	12.14.128.135	US
12.14.128.136	12.14.128.151	PR
12.14.128.152	12.14.206.15	US
12.14.206.16	12.14.206.23	PR
12.14.206.24	12.16.39.255	US
12.16.40.0	12.16.41.255	PR
12.16.42.0	12.18.45.223	US
12.18.45.224	12.18.45.231	PR
12.18.45.232	12.19.193.159	US
12.19.193.160	12.19.193.167	PR
12.19.193.168	12.19.193.247	US
12.19.193.248	12.19.193.255	PR
12.19.194.0	12.19.194.39	US
12.19.194.40	12.19.194.47	PR
12.19.194.48	12.19.194.55	US
12.19.194.56	12.19.194.63	PR
12.19.194.64	12.19.195.7	US
12.19.195.8	12.19.195.15	PR
12.19.195.16	12.19.209.7	US
12.19.209.8	12.19.209.15	PR
12.19.209.16	12.20.232.79	US
12.20.232.80	12.20.232.87	PR
12.20.232.88	12.21.13.255	US
12.21.14.0	12.21.15.255	PR
12.21.16.0	12.21.40.255	US
12.21.41.0	12.21.41.7	PR
12.21.41.8	12.21.179.63	US
12.21.179.64	12.21.179.71	PR
12.21.179.72	12.22.57.183	US
12.22.57.184	12.22.57.191	PR
12.22.57.192	12.24.137.143	US
12.24.137.144	12.24.137.159	VI
12.24.137.160	12.24.140.255	US
12.24.141.0	12.24.141.255	PR
12.24.142.0	12.24.152.111	US
12.24.152.112	12.24.152.127	VI
12.24.152.128	12.24.236.207	US
12.24.236.208	12.24.236.223	PR
12.24.236.224	12.25.129.47	US
12.25.129.48	12.25.129.55	PR
12.25.129.56	12.28.138.135	US
12.28.138.136	12.28.138.143	CA
12.28.138.144	12.31.210.119	US
12.31.210.120	12.31.210.127	PR
12.31.210.128	12.33.42.87	US
12.33.42.88	12.33.42.95	PR
12.33.42.96	12.35.19.175	US
12.35.19.176	12.35.19.183	PR
12.35.19.184	12.35.134.87	US
12.35.134.88	12.35.134.95	PR
12.35.134.96	12.35.148.31	US
12.35.148.32	12.35.148.47	PR
12.35.148.48	12.35.148.63	VI
12.35.148.64	12.35.148.143	PR
12.35.148.144	12.35.148.159	US
12.35.148.160	12.35.148.175	PR
12.35.148.176	12.35.148.183	VI
12.35.148.184	12.35.148.239	US
12.35.148.240	12.35.149.255	PR
12.35.150.0	12.35.150.79	VI
12.35.150.80	12.35.150.95	US
12.35.150.96	12.35.150.159	PR
12.35.150.160	12.35.150.175	VI
12.35.150.176	12.35.150.199	PR
12.35.150.200	12.35.150.215	US
12.35.150.216	12.35.150.239	VI
12.35.150.240	12.35.150.255	PR
12.35.151.0	12.35.151.31	US
12.35.151.32	12.35.151.87	VI
12.35.151.88	12.35.151.95	US
12.35.151.96	12.35.151.255	PR
12.35.152.0	12.36.41.103	US
12.36.41.104	12.36.41.111	PR
12.36.41.112	12.36.241.239	US
12.36.241.240	12.36.241.247	PR
12.36.241.248	12.37.188.55	US
12.37.188.56	12.37.188.63	PR
12.37.188.64	12.37.209.159	US
12.37.209.160	12.37.209.167	PR
12.37.209.168	12.38.131.183	US
12.38.131.184	12.38.131.191	CA
12.38.131.192	12.41.127.255	US
12.41.128.0	12.41.130.255	PR
12.41.131.0	12.41.131.15	VI
12.41.131.16	12.41.131.127	PR
12.41.131.128	12.41.131.143	VI
12.41.131.144	12.41.131.151	US
12.41.131.152	12.41.131.159	PR
12.41.131.160	12.41.131.175	US
12.41.131.176	12.41.131.199	VI
12.41.131.200	12.41.131.207	PR
12.41.131.208	12.41.131.231	VI
12.41.131.232	12.41.131.255	US
12.41.132.0	12.41.132.15	PR
12.41.132.16	12.41.132.31	US
12.41.132.32	12.41.132.63	PR
12.41.132.64	12.41.132.71	US
12.41.132.72	12.41.132.95	VI
12.41.132.96	12.41.132.103	PR
12.41.132.104	12.41.132.119	VI
12.41.132.120	12.41.132.127	PR
12.41.132.128	12.41.132.175	VI
12.41.132.176	12.41.132.191	PR
12.41.132.192	12.41.132.199	VI
12.41.132.200	12.41.132.207	PR
12.41.132.208	12.41.132.231	VI
12.41.132.232	12.41.134.127	PR
12.41.134.128	12.41.134.135	VI
12.41.134.136	12.41.134.143	US
12.41.134.144	12.41.134.159	VI
12.41.134.160	12.41.134.183	PR
12.41.134.184	12.41.134.191	US
12.41.134.192	12.41.134.255	VI
12.41.135.0	12.41.135.255	PR
12.41.136.0	12.42.39.239	US
12.42.39.240	12.42.39.247	PR
12.42.39.248	12.42.183.199	US
12.42.183.200	12.42.183.207	PR
12.42.183.208	12.43.31.255	US
12.43.32.0	12.43.35.255	PR
12.43.36.0	12.47.12.87	US
12.47.12.88	12.47.12.95	PR
12.47.12.96	12.47.144.55	US
12.47.144.56	12.47.144.63	PR
12.47.144.64	12.47.144.87	US
12.47.144.88	12.47.144.95	PR
12.47.144.96	12.48.144.191	US
12.48.144.192	12.48.144.199	PR
12.48.144.200	12.63.178.59	US
12.63.178.60	12.63.178.63	CA
12.63.178.64	12.68.117.71	US
12.68.117.72	12.68.117.79	PR
12.68.117.80	12.70.153.31	US
12.70.153.32	12.70.153.39	PR
12.70.153.40	12.70.153.47	US
12.70.153.48	12.70.153.71	PR
12.70.153.72	12.106.65.79	US
12.106.65.80	12.106.65.87	PR
12.106.65.88	12.109.8.111	US
12.109.8.112	12.109.8.119	PR
12.109.8.120	12.129.198.255	US
12.129.199.0	12.129.199.31	DE
12.129.199.32	12.129.251.151	US
12.129.251.152	12.129.251.159	DE
12.129.251.160	12.130.33.15	US
12.130.33.16	12.130.33.23	SE
12.130.33.24	12.130.81.95	US
12.130.81.96	12.130.81.103	CA
12.130.81.104	12.130.87.255	US
12.130.88.0	12.130.88.255	IR
12.130.89.0	12.131.209.47	US
12.131.209.48	12.131.209.55	PR
12.131.209.56	12.132.43.175	US
12.132.43.176	12.132.43.183	VI
12.132.43.184	12.132.176.79	US
12.132.176.80	12.132.176.87	PR
12.132.176.88	12.144.79.255	US
12.144.80.0	12.144.80.127	BO
12.144.80.128	12.144.81.255	US
12.144.82.0	12.144.87.255	BO
12.144.88.0	12.147.40.223	US
12.147.40.224	12.147.40.231	PR
12.147.40.232	12.148.98.191	US
12.148.98.192	12.148.98.199	PR
12.148.98.200	12.149.137.255	US
12.149.138.0	12.149.138.127	PR
12.149.138.128	12.149.149.7	US
12.149.149.8	12.149.149.15	PR
12.149.149.16	12.152.99.239	US
12.152.99.240	12.152.99.247	PR
12.152.99.248	12.153.39.167	US
12.153.39.168	12.153.39.175	PR
12.153.39.176	12.153.58.207	US
12.153.58.208	12.153.58.215	PR
12.153.58.216	12.153.195.7	US
12.153.195.8	12.153.195.15	MS
12.153.195.16	12.153.220.111	US
12.153.220.112	12.153.220.119	PR
12.153.220.120	12.153.220.199	US
12.153.220.200	12.153.220.215	PR
12.153.220.216	12.155.201.239	US
12.155.201.240	12.155.201.247	PR
12.155.201.248	12.156.177.55	US
12.156.177.56	12.156.177.63	VI
12.156.177.64	12.156.177.95	US
12.156.177.96	12.156.177.103	VI
12.156.177.104	12.156.177.119	PR
12.156.177.120	12.156.182.23	US
12.156.182.24	12.156.182.31	VI
12.156.182.32	12.156.182.255	US
12.156.183.0	12.156.183.15	VI
12.156.183.16	12.156.184.63	US
12.156.184.64	12.156.184.127	VI
12.156.184.128	12.156.185.159	US
12.156.185.160	12.156.185.175	PR
12.156.185.176	12.156.185.191	US
12.156.185.192	12.156.185.207	PR
12.156.185.208	12.156.185.223	VI
12.156.185.224	12.156.188.63	US
12.156.188.64	12.156.188.127	VI
12.156.188.128	12.156.189.47	US
12.156.189.48	12.156.189.63	VI
12.156.189.64	12.157.149.239	US
12.157.149.240	12.157.149.247	PR
12.157.149.248	12.158.15.31	US
12.158.15.32	12.158.15.39	PR
12.158.15.40	12.158.226.39	US
12.158.226.40	12.158.226.47	PR
12.158.226.48	12.159.5.111	US
12.159.5.112	12.159.5.127	PR
12.159.5.128	12.159.182.15	US
12.159.182.16	12.159.182.23	PR
12.159.182.24	12.160.14.151	US
12.160.14.152	12.160.14.159	PR
12.160.14.160	12.162.38.135	US
12.162.38.136	12.162.38.143	PR
12.162.38.144	12.164.121.23	US
12.164.121.24	12.164.121.31	VI
12.164.121.32	12.164.129.55	US
12.164.129.56	12.164.129.63	PR
12.164.129.64	12.164.176.215	US
12.164.176.216	12.164.176.223	PR
12.164.176.224	12.164.185.183	US
12.164.185.184	12.164.185.191	PR
12.164.185.192	12.165.83.207	US
12.165.83.208	12.165.83.231	VI
12.165.83.232	12.165.84.23	US
12.165.84.24	12.165.84.31	VI
12.165.84.32	12.165.84.39	US
12.165.84.40	12.165.84.47	VI
12.165.84.48	12.169.60.255	US
12.169.61.0	12.169.61.7	PR
12.169.61.8	12.170.193.79	US
12.170.193.80	12.170.193.95	VI
12.170.193.96	12.170.207.111	US
12.170.207.112	12.170.207.127	VI
12.170.207.128	12.174.14.87	US
12.174.14.88	12.174.14.95	PR
12.174.14.96	12.174.223.255	US
12.174.224.0	12.174.227.255	PR
12.174.228.0	12.174.228.255	US
12.174.229.0	12.174.229.127	VI
12.174.229.128	12.174.229.151	US
12.174.229.152	12.174.229.167	VI
12.174.229.168	12.174.229.175	PR
12.174.229.176	12.174.229.183	VI
12.174.229.184	12.174.229.191	US
12.174.229.192	12.174.230.63	PR
12.174.230.64	12.174.230.71	US
12.174.230.72	12.174.230.79	VI
12.174.230.80	12.174.230.87	PR
12.174.230.88	12.174.230.127	US
12.174.230.128	12.174.231.15	PR
12.174.231.16	12.174.231.47	US
12.174.231.48	12.174.231.63	VI
12.174.231.64	12.174.231.71	PR
12.174.231.72	12.174.231.87	VI
12.174.231.88	12.174.231.95	US
12.174.231.96	12.174.231.103	VI
12.174.231.104	12.174.231.119	US
12.174.231.120	12.174.231.127	PR
12.174.231.128	12.174.231.135	VI
12.174.231.136	12.174.231.143	US
12.174.231.144	12.174.231.151	PR
12.174.231.152	12.174.231.159	VI
12.174.231.160	12.174.231.167	PR
12.174.231.168	12.174.231.175	US
12.174.231.176	12.174.231.199	PR
12.174.231.200	12.174.231.207	US
12.174.231.208	12.174.231.231	VI
12.174.231.232	12.174.231.239	US
12.174.231.240	12.174.231.255	VI
12.174.232.0	12.174.239.255	US
12.174.240.0	12.174.240.151	VI
12.174.240.152	12.174.240.159	US
12.174.240.160	12.174.240.183	VI
12.174.240.184	12.174.241.255	PR
12.174.242.0	12.174.242.7	US
12.174.242.8	12.174.242.31	VI
12.174.242.32	12.174.243.127	US
12.174.243.128	12.174.243.135	PR
12.174.243.136	12.174.243.175	VI
12.174.243.176	12.174.243.199	PR
12.174.243.200	12.174.243.207	US
12.174.243.208	12.174.243.215	VI
12.174.243.216	12.174.243.223	US
12.174.243.224	12.174.243.255	PR
12.174.244.0	12.174.247.15	US
12.174.247.16	12.174.247.23	VI
12.174.247.24	12.174.247.31	US
12.174.247.32	12.174.247.39	VI
12.174.247.40	12.174.247.47	PR
12.174.247.48	12.174.247.55	VI
12.174.247.56	12.174.247.79	US
12.174.247.80	12.174.247.87	VI
12.174.247.88	12.174.247.111	US
12.174.247.112	12.174.247.119	VI
12.174.247.120	12.174.247.127	PR
12.174.247.128	12.174.247.223	US
12.174.247.224	12.174.247.239	PR
12.174.247.240	12.174.247.255	US
12.174.248.0	12.174.251.255	VI
12.174.252.0	12.174.252.191	PR
12.174.252.192	12.174.252.207	US
12.174.252.208	12.174.252.215	VI
12.174.252.216	12.174.252.231	US
12.174.252.232	12.174.253.159	PR
12.174.253.160	12.174.253.167	VI
12.174.253.168	12.174.253.175	US
12.174.253.176	12.174.253.207	VI
12.174.253.208	12.174.253.255	US
12.174.254.0	12.174.254.7	VI
12.174.254.8	12.174.254.15	US
12.174.254.16	12.174.254.31	VI
12.174.254.32	12.174.254.63	PR
12.174.254.64	12.174.254.79	US
12.174.254.80	12.174.254.103	VI
12.174.254.104	12.174.254.111	US
12.174.254.112	12.174.254.127	VI
12.174.254.128	12.174.254.255	PR
12.174.255.0	12.175.104.183	US
12.175.104.184	12.175.104.199	PR
12.175.104.200	12.175.168.127	US
12.175.168.128	12.175.168.135	PR
12.175.168.136	12.176.116.151	US
12.176.116.152	12.176.116.159	PR
12.176.116.160	12.176.154.231	US
12.176.154.232	12.176.154.239	PR
12.176.154.240	12.177.111.47	US
12.177.111.48	12.177.111.55	PR
12.177.111.56	12.177.111.207	US
12.177.111.208	12.177.111.215	PR
12.177.111.216	12.177.197.167	US
12.177.197.168	12.177.197.175	PR
12.177.197.176	12.179.166.151	US
12.179.166.152	12.179.166.159	PR
12.179.166.160	12.180.47.247	US
12.180.47.248	12.180.47.255	PR
12.180.48.0	12.180.154.111	US
12.180.154.112	12.180.154.119	PR
12.180.154.120	12.182.55.207	US
12.182.55.208	12.182.55.215	PR
12.182.55.216	12.185.184.175	US
12.185.184.176	12.185.184.183	PR
12.185.184.184	12.186.232.167	US
12.186.232.168	12.186.232.175	PR
12.186.232.176	12.186.246.207	US
12.186.246.208	12.186.246.215	PR
12.186.246.216	12.187.105.207	US
12.187.105.208	12.187.105.215	PR
12.187.105.216	12.187.105.223	US
12.187.105.224	12.187.105.247	PR
12.187.105.248	12.190.5.135	US
12.190.5.136	12.190.5.143	PR
12.190.5.144	12.190.120.7	US
12.190.120.8	12.190.120.15	PR
12.190.120.16	12.191.201.255	US
12.191.202.0	12.191.202.63	VI
12.191.202.64	12.191.206.95	US
12.191.206.96	12.191.206.127	VI
12.191.206.128	12.192.55.255	US
12.192.56.0	12.192.59.255	PR
12.192.60.0	12.192.60.143	US
12.192.60.144	12.192.60.159	PR
12.192.60.160	12.192.60.191	VI
12.192.60.192	12.192.62.255	US
12.192.63.0	12.192.63.255	PR
12.192.64.0	12.192.106.151	US
12.192.106.152	12.192.106.159	PR
12.192.106.160	12.192.106.231	US
12.192.106.232	12.192.106.239	PR
12.192.106.240	12.192.106.255	US
12.192.107.0	12.192.107.7	PR
12.192.107.8	12.196.51.255	US
12.196.52.0	12.196.52.191	PR
12.196.52.192	12.196.52.223	VI
12.196.52.224	12.196.52.239	US
12.196.52.240	12.196.53.255	PR
12.196.54.0	12.196.55.255	US
12.196.56.0	12.196.59.255	PR
12.196.60.0	12.196.62.255	VI
12.196.63.0	12.196.63.31	US
12.196.63.32	12.196.63.39	PR
12.196.63.40	12.196.63.47	US
12.196.63.48	12.196.63.55	PR
12.196.63.56	12.196.63.111	US
12.196.63.112	12.196.63.119	PR
12.196.63.120	12.196.63.255	VI
12.196.64.0	12.197.0.63	US
12.197.0.64	12.197.0.127	PR
12.197.0.128	12.197.47.255	US
12.197.48.0	12.197.63.255	VI
12.197.64.0	12.200.56.207	US
12.200.56.208	12.200.56.215	PR
12.200.56.216	12.204.7.255	US
12.204.8.0	12.204.8.23	VI
12.204.8.24	12.204.8.31	PR
12.204.8.32	12.204.8.39	US
12.204.8.40	12.204.8.47	PR
12.204.8.48	12.204.8.111	VI
12.204.8.112	12.204.8.119	PR
12.204.8.120	12.204.8.151	VI
12.204.8.152	12.204.8.159	PR
12.204.8.160	12.204.8.175	VI
12.204.8.176	12.204.8.183	PR
12.204.8.184	12.204.8.191	VI
12.204.8.192	12.204.8.255	PR
12.204.9.0	12.204.9.31	VI
12.204.9.32	12.204.9.39	US
12.204.9.40	12.204.9.79	VI
12.204.9.80	12.204.9.95	PR
12.204.9.96	12.204.9.103	US
12.204.9.104	12.204.9.111	VI
12.204.9.112	12.204.9.119	US
12.204.9.120	12.204.9.135	VI
12.204.9.136	12.204.9.143	US
12.204.9.144	12.204.10.143	PR
12.204.10.144	12.204.10.159	VI
12.204.10.160	12.204.12.223	PR
12.204.12.224	12.204.13.31	VI
12.204.13.32	12.204.13.39	US
12.204.13.40	12.204.13.47	VI
12.204.13.48	12.204.13.71	PR
12.204.13.72	12.204.13.103	VI
12.204.13.104	12.204.13.119	US
12.204.13.120	12.204.13.191	VI
12.204.13.192	12.204.13.207	US
12.204.13.208	12.204.13.223	VI
12.204.13.224	12.204.13.255	US
12.204.14.0	12.204.14.127	PR
12.204.14.128	12.206.123.159	US
12.206.123.160	12.206.123.175	NL
12.206.123.176	12.230.69.127	US
12.230.69.128	12.230.69.191	PR
12.230.69.192	12.233.120.79	US
12.233.120.80	12.233.120.95	PR
12.233.120.96	12.233.160.199	US
12.233.160.200	12.233.160.207	PR
12.233.160.208	12.236.106.255	US
12.236.107.0	12.236.107.7	PR
12.236.107.8	12.236.166.31	US
12.236.166.32	12.236.166.39	PR
12.236.166.40	12.237.88.39	US
12.237.88.40	12.237.88.47	PR
12.237.88.48	12.239.26.55	US
12.239.26.56	12.239.26.63	PR
12.239.26.64	12.239.26.191	US
12.239.26.192	12.239.26.207	PR
12.239.26.208	12.239.149.159	US
12.239.149.160	12.239.149.167	PR
12.239.149.168	12.239.222.247	US
12.239.222.248	12.239.222.255	PR
12.239.223.0	13.255.255.255	US
14.0.5.0	14.0.5.255	AP
14.2.0.0	14.2.255.255	AU
14.4.0.0	14.7.255.255	KR
14.8.0.0	14.15.255.255	JP
14.32.0.0	14.95.255.255	KR
14.96.0.0	14.99.255.255	IN
14.100.0.0	14.100.255.255	SG
14.101.0.0	14.101.255.255	JP
14.103.0.0	14.111.255.255	CN
14.128.0.0	14.128.0.255	AP
14.129.0.0	14.129.255.255	KR
14.130.0.0	14.131.255.255	CN
14.160.0.0	14.191.255.255	VN
14.193.0.0	14.193.255.255	JP
14.194.0.0	14.195.255.255	IN
14.224.0.0	14.255.255.255	VN
15.0.0.0	17.57.247.79	US
17.57.247.80	17.57.247.87	IT
17.57.247.88	19.68.79.119	US
19.68.79.120	19.68.79.127	FR
19.68.79.128	19.203.239.23	US
19.203.239.24	19.203.239.31	IL
19.203.239.32	21.56.9.31	US
21.56.9.32	21.56.9.39	IT
21.56.9.40	21.249.132.255	US
21.249.133.0	21.249.133.255	ES
21.249.134.0	22.255.255.255	US
24.0.0.0	24.35.255.255	US
24.36.0.0	24.37.255.255	CA
24.38.0.0	24.38.143.255	US
24.38.144.0	24.38.159.255	CA
24.38.160.0	24.38.191.255	US
24.39.0.0	24.41.255.255	US
24.42.0.0	24.42.63.255	PR
24.42.64.0	24.47.255.255	US
24.48.128.0	24.48.175.255	US
24.48.176.0	24.48.191.255	CA
24.48.192.0	24.48.255.255	PR
24.49.0.0	24.49.207.255	US
24.49.224.0	24.49.255.255	CA
24.50.0.0	24.50.31.255	US
24.50.64.0	24.50.127.255	CA
24.50.128.0	24.50.159.255	US
24.50.192.0	24.50.255.255	PR
24.51.32.0	24.51.63.255	US
24.51.64.0	24.51.127.255	BS
24.51.192.0	24.51.223.255	US
24.52.0.0	24.52.255.255	US
24.53.64.0	24.53.79.255	US
24.53.80.0	24.53.95.255	CA
24.53.128.0	24.53.191.255	US
24.53.224.0	24.53.239.255	CA
24.54.0.0	24.54.63.255	CA
24.54.96.0	24.54.191.255	US
24.54.192.0	24.55.255.255	PR
24.56.0.0	24.56.255.255	US
24.57.0.0	24.57.255.255	CA
24.58.0.0	24.63.255.255	US
24.64.0.0	24.72.143.255	CA
24.72.144.0	24.75.255.255	US
24.76.0.0	24.87.255.255	CA
24.88.0.0	24.89.63.255	US
24.89.64.0	24.89.127.255	CA
24.89.128.0	24.89.191.255	US
24.89.192.0	24.89.255.255	CA
24.90.0.0	24.92.143.255	US
24.92.144.0	24.92.159.255	VC
24.92.160.0	24.101.255.255	US
24.102.0.0	24.102.63.255	CA
24.102.128.0	24.107.255.255	US
24.108.0.0	24.109.255.255	CA
24.110.0.0	24.113.255.255	US
24.114.0.0	24.114.208.215	CA
24.114.208.216	24.114.208.219	US
24.114.208.220	24.114.238.139	CA
24.114.238.140	24.114.238.143	US
24.114.238.144	24.114.238.191	CA
24.114.238.192	24.114.238.195	US
24.114.238.196	24.114.245.39	CA
24.114.245.40	24.114.245.47	US
24.114.245.48	24.114.245.167	CA
24.114.245.168	24.114.245.175	US
24.114.245.176	24.114.247.183	CA
24.114.247.184	24.114.247.187	US
24.114.247.188	24.114.255.255	CA
24.115.0.0	24.121.255.255	US
24.122.0.0	24.122.255.255	CA
24.123.0.0	24.129.223.255	US
24.129.224.0	24.129.239.255	CA
24.130.0.0	24.131.255.255	US
24.132.0.0	24.132.255.255	NL
24.136.0.0	24.137.31.255	US
24.137.32.0	24.137.47.255	CA
24.137.64.0	24.137.127.255	CA
24.137.128.0	24.137.191.255	US
24.137.192.0	24.137.223.255	CA
24.138.0.0	24.138.191.255	CA
24.138.192.0	24.138.255.255	PR
24.139.0.0	24.139.31.255	CA
24.139.32.0	24.139.63.255	US
24.139.64.0	24.139.255.255	PR
24.140.0.0	24.140.255.255	US
24.141.0.0	24.142.63.255	CA
24.142.64.0	24.142.127.255	US
24.143.0.0	24.145.255.255	US
24.146.0.0	24.146.31.255	CA
24.147.0.0	24.149.255.255	US
24.150.0.0	24.150.255.255	CA
24.151.0.0	24.151.255.255	US
24.152.0.0	24.152.127.255	CL
24.152.128.0	24.152.255.255	US
24.153.0.0	24.153.31.255	CA
24.153.32.0	24.153.95.255	US
24.153.96.0	24.153.111.255	CA
24.153.112.0	24.156.127.255	US
24.156.128.0	24.156.159.255	CA
24.157.0.0	24.157.15.255	US
24.158.0.0	24.171.191.255	US
24.171.192.0	24.171.255.255	PR
24.172.0.0	24.199.255.255	US
24.200.0.0	24.203.255.255	CA
24.204.0.0	24.205.255.255	US
24.206.0.0	24.206.31.255	BS
24.206.32.0	24.206.255.255	US
24.207.0.0	24.207.127.255	CA
24.207.128.0	24.211.255.255	US
24.212.0.0	24.212.127.255	CA
24.213.0.0	24.213.63.255	US
24.213.64.0	24.213.95.255	CA
24.213.96.0	24.213.111.255	US
24.213.128.0	24.214.255.255	US
24.215.0.0	24.215.127.255	CA
24.215.128.0	24.221.255.255	US
24.222.0.0	24.222.255.255	CA
24.223.0.0	24.224.124.159	US
24.224.124.160	24.224.124.167	NC
24.224.124.168	24.224.127.255	US
24.224.128.0	24.224.255.255	CA
24.225.0.0	24.225.127.255	US
24.226.0.0	24.226.255.255	CA
24.227.0.0	24.227.31.255	PR
24.227.32.0	24.230.191.255	US
24.230.192.0	24.231.15.255	CA
24.231.16.0	24.231.31.255	US
24.231.32.0	24.231.63.255	BS
24.231.64.0	24.231.127.255	CA
24.231.128.0	24.231.255.255	US
24.232.0.0	24.232.255.255	AR
24.233.0.0	24.235.31.255	US
24.235.32.0	24.235.63.255	CA
24.235.64.0	24.235.79.255	US
24.235.96.0	24.235.255.255	CA
24.236.0.0	24.238.255.255	US
24.239.0.0	24.239.15.255	CA
24.239.32.0	24.243.255.255	US
24.244.0.0	24.244.95.255	CA
24.244.96.0	24.244.111.255	US
24.244.112.0	24.244.127.255	CA
24.244.128.0	24.244.170.255	BS
24.244.171.0	24.244.171.254	DM
24.244.171.255	24.244.191.255	BS
24.244.192.0	24.244.255.255	CA
24.245.0.0	24.245.223.255	US
24.245.224.0	24.245.239.255	CA
24.246.0.0	24.255.255.255	US
25.0.0.0	25.255.255.255	GB
26.0.0.0	26.255.255.255	US
27.0.0.0	27.0.3.255	JP
27.0.4.0	27.0.7.255	MY
27.0.8.0	27.0.11.255	SG
27.0.12.0	27.0.15.255	VN
27.0.16.0	27.0.47.255	JP
27.0.48.0	27.0.63.255	IN
27.0.64.0	27.0.95.255	AU
27.0.128.0	27.0.255.255	JP
27.1.0.0	27.1.255.255	KR
27.2.0.0	27.3.255.255	VN
27.4.0.0	27.7.255.255	IN
27.8.0.0	27.31.255.255	CN
27.32.0.0	27.33.255.255	AU
27.34.0.0	27.34.127.255	NP
27.34.128.0	27.34.175.255	JP
27.34.176.0	27.34.191.255	SG
27.34.192.0	27.34.223.255	JP
27.34.224.0	27.34.231.255	AU
27.34.240.0	27.34.255.255	IN
27.35.0.0	27.35.255.255	KR
27.36.0.0	27.47.255.255	CN
27.48.0.0	27.49.255.255	IN
27.50.0.0	27.50.3.255	PH
27.50.4.0	27.50.7.255	IN
27.50.8.0	27.50.11.255	NP
27.50.12.0	27.50.15.255	JP
27.50.16.0	27.50.31.255	ID
27.50.32.0	27.50.39.255	HK
27.50.48.0	27.50.95.255	AU
27.50.128.0	27.50.255.255	CN
27.51.0.0	27.53.255.255	TW
27.54.0.0	27.54.63.255	SG
27.54.64.0	27.54.95.255	AU
27.54.96.0	27.54.115.255	JP
27.54.116.0	27.54.119.255	MY
27.54.120.0	27.54.123.255	PK
27.54.124.0	27.54.127.255	JP
27.54.128.0	27.54.143.255	AU
27.54.144.0	27.54.151.255	IN
27.54.160.0	27.54.191.255	IN
27.54.192.0	27.54.255.255	CN
27.55.0.0	27.55.255.255	TH
27.56.0.0	27.63.255.255	IN
27.64.0.0	27.79.255.255	VN
27.80.0.0	27.96.23.255	JP
27.96.24.0	27.96.31.255	TK
27.96.32.0	27.96.63.255	JP
27.96.64.0	27.96.67.255	NZ
27.96.72.0	27.96.83.255	JP
27.96.84.0	27.96.87.255	IN
27.96.88.0	27.96.91.255	PK
27.96.96.0	27.96.127.255	SG
27.96.128.0	27.96.191.255	KR
27.96.192.0	27.96.223.255	AU
27.97.0.0	27.97.255.255	IN
27.98.0.0	27.98.191.255	JP
27.98.192.0	27.98.207.255	HK
27.98.208.0	27.98.255.255	CN
27.99.0.0	27.99.127.255	AU
27.100.0.0	27.100.3.255	AU
27.100.8.0	27.100.11.255	JP
27.100.12.0	27.100.15.255	IN
27.100.16.0	27.100.23.255	HK
27.100.24.0	27.100.27.255	AU
27.100.32.0	27.100.35.255	JP
27.100.36.0	27.100.39.255	CN
27.100.40.0	27.100.47.255	TH
27.100.48.0	27.100.63.255	JP
27.100.64.0	27.100.127.255	TW
27.100.128.0	27.102.255.255	KR
27.103.0.0	27.103.255.255	CN
27.104.0.0	27.104.255.255	SG
27.105.0.0	27.105.255.255	TW
27.106.0.0	27.106.127.255	IN
27.106.128.0	27.106.191.255	CN
27.106.192.0	27.106.207.255	AU
27.106.208.0	27.106.215.255	JP
27.106.216.0	27.106.223.255	PH
27.106.224.0	27.106.255.255	JP
27.107.0.0	27.107.255.255	IN
27.108.0.0	27.108.255.255	PH
27.109.0.0	27.109.31.255	IN
27.109.64.0	27.109.95.255	PH
27.109.96.0	27.109.103.255	JP
27.109.104.0	27.109.107.255	SG
27.109.108.0	27.109.111.255	AU
27.109.112.0	27.109.119.255	KH
27.109.120.0	27.109.123.255	JP
27.109.124.0	27.109.127.255	ID
27.109.128.0	27.109.255.255	MO
27.110.0.0	27.110.63.255	JP
27.110.64.0	27.110.79.255	HK
27.110.80.0	27.110.95.255	MY
27.110.96.0	27.110.119.255	JP
27.110.120.0	27.110.127.255	NZ
27.110.128.0	27.110.255.255	PH
27.111.0.0	27.111.7.255	AU
27.111.8.0	27.111.11.255	KH
27.111.12.0	27.111.15.255	NZ
27.111.16.0	27.111.31.255	NP
27.111.32.0	27.111.63.255	ID
27.111.64.0	27.111.71.255	AU
27.111.72.0	27.111.75.255	PG
27.111.76.0	27.111.79.255	JP
27.111.80.0	27.111.95.255	AU
27.111.96.0	27.111.127.255	KR
27.111.128.0	27.111.159.255	JP
27.111.160.0	27.111.207.255	HK
27.111.208.0	27.111.239.255	SG
27.111.240.0	27.111.255.255	AU
27.112.0.0	27.112.63.255	CN
27.112.64.0	27.112.71.255	ID
27.112.72.0	27.112.75.255	AU
27.112.76.0	27.112.79.255	ID
27.112.80.0	27.112.95.255	CN
27.112.96.0	27.112.103.255	AU
27.112.104.0	27.112.111.255	JP
27.112.112.0	27.112.119.255	TH
27.112.120.0	27.112.123.255	IN
27.112.124.0	27.112.127.255	JP
27.112.128.0	27.113.127.255	KR
27.113.128.0	27.113.191.255	CN
27.113.192.0	27.113.239.255	JP
27.113.240.0	27.113.247.255	AU
27.113.248.0	27.113.251.255	JP
27.113.252.0	27.113.255.255	IN
27.114.0.0	27.114.127.255	JP
27.114.128.0	27.114.191.255	MV
27.114.192.0	27.114.255.255	SG
27.115.0.0	27.115.127.255	CN
27.115.128.0	27.115.255.255	KR
27.116.0.0	27.116.15.255	JP
27.116.16.0	27.116.23.255	IN
27.116.24.0	27.116.31.255	JP
27.116.32.0	27.116.35.255	IN
27.116.36.0	27.116.39.255	AU
27.116.40.0	27.116.43.255	JP
27.116.44.0	27.116.47.255	CN
27.116.48.0	27.116.51.255	IN
27.116.56.0	27.116.59.255	AF
27.116.60.0	27.116.63.255	KH
27.116.64.0	27.117.255.255	KR
27.118.0.0	27.118.15.255	JP
27.118.16.0	27.118.31.255	VN
27.118.32.0	27.118.63.255	IN
27.118.64.0	27.119.255.255	KR
27.128.0.0	27.129.255.255	CN
27.130.0.0	27.130.255.255	TH
27.131.0.0	27.131.7.255	ID
27.131.8.0	27.131.11.255	JP
27.131.12.0	27.131.15.255	BD
27.131.16.0	27.131.31.255	JP
27.131.32.0	27.131.63.255	MY
27.131.64.0	27.131.127.255	AU
27.131.128.0	27.131.191.255	TH
27.131.192.0	27.131.207.255	JP
27.131.208.0	27.131.215.255	IN
27.131.216.0	27.131.219.255	AU
27.131.220.0	27.131.223.255	CN
27.131.224.0	27.131.247.255	JP
27.131.248.0	27.131.255.255	ID
27.132.0.0	27.143.255.255	JP
27.144.0.0	27.144.255.255	CN
27.145.0.0	27.145.255.255	TH
27.146.0.0	27.146.255.255	MY
27.147.0.0	27.147.63.255	TW
27.147.64.0	27.147.127.255	JP
27.147.128.0	27.147.255.255	BD
27.148.0.0	27.159.255.255	CN
27.160.0.0	27.183.255.255	KR
27.184.0.0	27.227.255.255	CN
27.228.0.0	27.231.255.255	JP
27.232.0.0	27.239.255.255	KR
27.240.0.0	27.247.255.255	TW
27.248.0.0	27.251.255.255	IN
27.252.0.0	27.252.255.255	NZ
27.254.0.0	27.254.255.255	TH
27.255.0.0	27.255.63.255	PK
27.255.64.0	27.255.127.255	KR
27.255.128.0	27.255.255.255	IN
28.0.0.0	32.42.4.119	US
32.42.4.120	32.42.4.127	IE
32.42.4.128	32.42.4.255	US
32.42.5.0	32.42.5.31	GB
32.42.5.32	32.42.5.39	NL
32.42.5.40	32.42.5.47	GB
32.42.5.48	32.42.5.63	NL
32.42.5.64	32.42.5.71	US
32.42.5.72	32.42.5.95	GB
32.42.5.96	32.42.5.127	US
32.42.5.128	32.42.5.255	IE
32.42.6.0	32.42.6.127	US
32.42.6.128	32.42.6.159	GB
32.42.6.160	32.42.6.175	US
32.42.6.176	32.42.6.191	NL
32.42.6.192	32.42.7.175	US
32.42.7.176	32.42.7.191	GB
32.42.7.192	32.42.11.255	US
32.42.12.0	32.42.12.47	GB
32.42.12.48	32.42.15.127	US
32.42.15.128	32.42.15.135	JP
32.42.15.136	32.42.15.143	IE
32.42.15.144	32.42.15.159	JP
32.42.15.160	32.42.15.239	US
32.42.15.240	32.42.15.255	NL
32.42.16.0	32.58.34.191	US
32.58.34.192	32.58.34.255	BE
32.58.35.0	32.58.45.255	US
32.58.46.0	32.58.46.7	DE
32.58.46.8	32.58.52.255	US
32.58.53.0	32.58.53.63	FR
32.58.53.64	32.58.56.255	US
32.58.57.0	32.58.57.7	GB
32.58.57.8	32.58.57.255	US
32.58.58.0	32.58.58.15	GB
32.58.58.16	32.58.58.255	US
32.58.59.0	32.58.59.7	GB
32.58.59.8	32.58.59.127	US
32.58.59.128	32.58.59.255	CA
32.58.60.0	32.58.87.255	US
32.58.88.0	32.58.88.63	IT
32.58.88.64	32.58.128.255	US
32.58.129.0	32.58.129.7	IE
32.58.129.8	32.58.130.255	US
32.58.131.0	32.58.131.63	IE
32.58.131.64	32.58.155.255	US
32.58.156.0	32.58.157.255	NL
32.58.158.0	32.58.255.255	US
32.59.0.0	32.59.0.255	BZ
32.59.1.0	32.59.1.127	BR
32.59.1.128	32.59.49.95	BZ
32.59.49.96	32.59.49.127	MX
32.59.49.128	32.59.49.159	BZ
32.59.49.160	32.59.49.175	MX
32.59.49.176	32.59.255.255	BZ
32.60.0.0	32.60.34.15	US
32.60.34.16	32.60.34.23	JP
32.60.34.24	32.60.34.95	US
32.60.34.96	32.60.34.127	GB
32.60.34.128	32.60.34.159	US
32.60.34.160	32.60.34.191	DE
32.60.34.192	32.60.34.207	JP
32.60.34.208	32.60.34.215	US
32.60.34.216	32.60.34.223	DE
32.60.34.224	32.60.36.7	US
32.60.36.8	32.60.36.15	SG
32.60.36.16	32.60.36.31	DE
32.60.36.32	32.60.36.215	US
32.60.36.216	32.60.36.223	SG
32.60.36.224	32.60.37.175	US
32.60.37.176	32.60.37.183	SG
32.60.37.184	32.60.37.191	US
32.60.37.192	32.60.37.199	SG
32.60.37.200	32.60.37.207	NL
32.60.37.208	32.60.37.223	SG
32.60.37.224	32.60.37.231	US
32.60.37.232	32.60.37.239	NL
32.60.37.240	32.60.38.255	US
32.60.39.0	32.60.39.7	SG
32.60.39.8	32.60.39.15	US
32.60.39.16	32.60.39.47	NL
32.60.39.48	32.60.39.63	US
32.60.39.64	32.60.39.127	SG
32.60.39.128	32.60.39.191	NL
32.60.39.192	32.60.39.231	US
32.60.39.232	32.60.39.239	DE
32.60.39.240	32.60.39.255	US
32.60.40.0	32.60.40.255	NL
32.60.41.0	32.60.41.71	DE
32.60.41.72	32.60.41.103	TW
32.60.41.104	32.60.41.127	US
32.60.41.128	32.60.42.191	TW
32.60.42.192	32.60.42.255	US
32.60.43.0	32.60.43.191	TW
32.60.43.192	32.60.43.199	DE
32.60.43.200	32.60.63.255	US
32.60.64.0	32.60.79.255	CA
32.60.80.0	32.60.92.47	US
32.60.92.48	32.60.92.95	CA
32.60.92.96	32.60.93.255	US
32.60.94.0	32.60.94.127	CA
32.60.94.128	32.60.94.159	US
32.60.94.160	32.60.94.175	CA
32.60.94.176	32.60.94.223	US
32.60.94.224	32.60.94.239	CA
32.60.94.240	32.60.94.255	US
32.60.95.0	32.60.95.31	CA
32.60.95.32	32.60.95.79	US
32.60.95.80	32.60.95.95	CA
32.60.95.96	32.60.95.127	US
32.60.95.128	32.60.95.159	CA
32.60.95.160	32.60.95.191	US
32.60.95.192	32.60.95.255	CA
32.60.96.0	32.60.103.255	US
32.60.104.0	32.60.104.255	CA
32.60.105.0	32.60.107.47	US
32.60.107.48	32.60.107.63	CA
32.60.107.64	32.60.107.95	US
32.60.107.96	32.60.107.111	CA
32.60.107.112	32.60.107.159	US
32.60.107.160	32.60.108.15	CA
32.60.108.16	32.60.108.95	US
32.60.108.96	32.60.108.111	CA
32.60.108.112	32.60.108.127	US
32.60.108.128	32.60.108.175	CA
32.60.108.176	32.104.15.255	US
32.104.16.0	32.104.16.255	AR
32.104.17.0	32.106.103.255	US
32.106.104.0	32.106.104.255	CH
32.106.105.0	35.255.255.255	US
38.0.0.0	38.99.176.63	US
38.99.176.64	38.99.176.127	CA
38.99.176.128	38.111.102.255	US
38.111.103.0	38.111.103.255	CA
38.111.104.0	38.111.119.255	US
38.111.120.0	38.111.123.255	CA
38.111.124.0	38.117.91.255	US
38.117.92.0	38.117.92.31	CA
38.117.92.32	38.255.255.255	US
40.0.0.0	40.255.255.255	US
41.0.0.0	41.31.255.255	ZA
41.32.0.0	41.47.255.255	EG
41.48.0.0	41.57.255.255	ZA
41.58.0.0	41.58.255.255	NG
41.59.0.0	41.59.255.255	TZ
41.60.0.0	41.60.255.255	ZM
41.61.0.0	41.61.255.255	ZA
41.62.0.0	41.62.255.255	SN
41.63.0.0	41.63.63.255	ZM
41.63.192.0	41.63.255.255	NA
41.64.0.0	41.65.255.255	EG
41.66.0.0	41.66.63.255	CI
41.66.64.0	41.66.191.255	ZA
41.66.192.0	41.66.255.255	GH
41.67.0.0	41.67.63.255	SD
41.67.64.0	41.67.127.255	EG
41.67.128.0	41.67.191.255	NG
41.67.192.0	41.67.255.255	CM
41.68.0.0	41.69.255.255	EG
41.70.0.0	41.70.127.255	MW
41.70.128.0	41.70.255.255	AO
41.71.0.0	41.71.127.255	ZA
41.71.128.0	41.71.255.255	NG
41.72.0.0	41.72.63.255	AO
41.72.64.0	41.72.95.255	EG
41.72.96.0	41.72.127.255	ZM
41.72.128.0	41.72.159.255	ZA
41.72.160.0	41.72.223.255	KE
41.72.224.0	41.72.255.255	GA
41.73.0.0	41.73.31.255	NG
41.73.32.0	41.73.63.255	ZA
41.73.64.0	41.73.95.255	TZ
41.73.96.0	41.73.127.255	ML
41.73.128.0	41.73.159.255	NG
41.73.160.0	41.73.223.255	TZ
41.73.224.0	41.73.255.255	NG
41.74.0.0	41.74.15.255	BJ
41.74.16.0	41.74.31.255	MG
41.74.32.0	41.74.47.255	TD
41.74.48.0	41.74.63.255	BW
41.74.64.0	41.74.79.255	LY
41.74.80.0	41.74.95.255	GH
41.74.96.0	41.74.111.255	ZA
41.74.112.0	41.74.127.255	TZ
41.74.128.0	41.74.143.255	CV
41.74.144.0	41.74.159.255	ZA
41.74.160.0	41.74.175.255	RW
41.74.176.0	41.74.207.255	ZA
41.74.208.0	41.74.223.255	MG
41.75.192.0	41.75.207.255	NG
41.75.208.0	41.75.223.255	TZ
41.75.224.0	41.75.239.255	ZA
41.75.240.0	41.75.255.255	ZM
41.76.0.0	41.76.7.255	MZ
41.76.8.0	41.76.15.255	GM
41.76.16.0	41.76.23.255	LS
41.76.24.0	41.76.31.255	GH
41.76.32.0	41.76.39.255	ZA
41.76.40.0	41.76.47.255	MU
41.76.48.0	41.76.55.255	MW
41.76.56.0	41.76.63.255	ZA
41.76.64.0	41.76.87.255	NG
41.76.88.0	41.76.95.255	TZ
41.76.112.0	41.76.119.255	ZA
41.76.120.0	41.76.127.255	GA
41.76.128.0	41.76.135.255	ZA
41.76.136.0	41.76.143.255	CG
41.76.144.0	41.76.151.255	MZ
41.76.152.0	41.76.159.255	NG
41.76.160.0	41.76.167.255	UG
41.76.168.0	41.76.175.255	KE
41.76.176.0	41.76.183.255	ZA
41.76.184.0	41.76.191.255	KE
41.76.192.0	41.76.199.255	NG
41.76.200.0	41.76.223.255	ZA
41.77.224.0	41.77.231.255	TZ
41.77.240.0	41.77.247.255	MZ
41.77.248.0	41.77.255.255	EG
41.78.0.0	41.78.3.255	TZ
41.78.4.0	41.78.7.255	ZA
41.78.8.0	41.78.15.255	NG
41.78.16.0	41.78.19.255	AO
41.78.20.0	41.78.23.255	EG
41.78.24.0	41.78.27.255	KE
41.78.28.0	41.78.39.255	ZA
41.78.40.0	41.78.43.255	GH
41.78.48.0	41.78.51.255	BF
41.78.56.0	41.78.59.255	MW
41.78.60.0	41.78.63.255	EG
41.78.64.0	41.78.67.255	TZ
41.78.68.0	41.78.71.255	SL
41.78.72.0	41.78.75.255	SO
41.78.76.0	41.78.79.255	ZW
41.78.80.0	41.78.83.255	NG
41.78.84.0	41.78.87.255	SL
41.78.88.0	41.78.91.255	NG
41.78.92.0	41.78.95.255	BW
41.78.96.0	41.78.99.255	GA
41.78.100.0	41.78.103.255	NG
41.78.104.0	41.78.107.255	CD
41.78.108.0	41.78.111.255	SD
41.78.112.0	41.78.115.255	ZM
41.78.116.0	41.78.119.255	NE
41.78.120.0	41.78.123.255	CF
41.78.124.0	41.78.127.255	GH
41.78.128.0	41.78.131.255	ZA
41.78.132.0	41.78.135.255	SZ
41.78.136.0	41.78.139.255	TG
41.78.140.0	41.78.143.255	ZA
41.78.144.0	41.78.147.255	GH
41.78.148.0	41.78.151.255	EG
41.78.152.0	41.78.155.255	GA
41.78.156.0	41.78.159.255	NG
41.78.160.0	41.78.163.255	UG
41.79.228.0	41.79.231.255	KE
41.79.232.0	41.79.235.255	CD
41.79.236.0	41.79.239.255	GN
41.79.240.0	41.79.243.255	ZA
41.79.244.0	41.79.247.255	MZ
41.79.248.0	41.79.251.255	TZ
41.79.252.0	41.81.255.255	KE
41.82.0.0	41.83.255.255	SN
41.84.0.0	41.84.127.255	ZA
41.86.0.0	41.86.31.255	LR
41.86.32.0	41.86.63.255	SC
41.86.64.0	41.86.127.255	ZA
41.86.128.0	41.86.159.255	NG
41.86.160.0	41.86.191.255	TZ
41.86.192.0	41.86.223.255	ZA
41.86.224.0	41.86.255.255	BJ
41.87.0.0	41.87.31.255	MW
41.87.32.0	41.87.63.255	KE
41.87.64.0	41.87.95.255	NG
41.87.96.0	41.87.127.255	MU
41.87.224.0	41.87.255.255	ZA
41.88.0.0	41.88.255.255	EG
41.89.0.0	41.90.255.255	KE
41.91.0.0	41.91.255.255	EG
41.92.0.0	41.92.127.255	MA
41.92.128.0	41.92.255.255	CM
41.93.0.0	41.93.127.255	TZ
41.93.128.0	41.93.255.255	GH
41.94.0.0	41.94.255.255	MZ
41.95.0.0	41.95.255.255	SD
41.96.0.0	41.111.255.255	DZ
41.112.0.0	41.127.255.255	ZA
41.128.0.0	41.131.255.255	EG
41.132.0.0	41.135.255.255	ZA
41.136.0.0	41.136.255.255	MU
41.137.0.0	41.137.255.255	MA
41.138.0.0	41.138.31.255	UG
41.138.32.0	41.138.63.255	NE
41.138.64.0	41.138.71.255	ZA
41.138.72.0	41.138.79.255	BW
41.138.80.0	41.138.87.255	RW
41.138.88.0	41.138.91.255	BJ
41.138.92.0	41.138.95.255	TZ
41.138.96.0	41.138.127.255	BF
41.138.128.0	41.138.159.255	MR
41.138.160.0	41.138.191.255	NG
41.138.192.0	41.138.207.255	TZ
41.138.208.0	41.138.223.255	UG
41.138.224.0	41.138.239.255	MZ
41.138.240.0	41.138.255.255	KE
41.139.0.0	41.139.63.255	GH
41.139.64.0	41.139.127.255	NG
41.139.128.0	41.139.255.255	KE
41.140.0.0	41.143.255.255	MA
41.144.0.0	41.151.255.255	ZA
41.152.0.0	41.153.255.255	EG
41.154.0.0	41.154.255.255	ZA
41.155.0.0	41.155.127.255	NG
41.155.128.0	41.155.255.255	EG
41.156.0.0	41.157.255.255	ZA
41.158.0.0	41.159.255.255	GA
41.160.0.0	41.175.255.255	ZA
41.176.0.0	41.176.255.255	EG
41.177.0.0	41.177.255.255	ZA
41.178.0.0	41.179.255.255	EG
41.180.0.0	41.181.255.255	ZA
41.182.0.0	41.182.255.255	NA
41.183.0.0	41.183.255.255	ZA
41.184.0.0	41.184.255.255	NG
41.185.0.0	41.185.255.255	ZA
41.186.0.0	41.186.255.255	RW
41.187.0.0	41.187.255.255	EG
41.188.0.0	41.188.63.255	MG
41.188.64.0	41.188.127.255	MR
41.188.128.0	41.188.191.255	TZ
41.188.192.0	41.188.255.255	ZA
41.189.0.0	41.189.31.255	NG
41.189.32.0	41.189.63.255	CI
41.189.64.0	41.189.95.255	ZA
41.189.96.0	41.189.127.255	CI
41.189.128.0	41.189.159.255	GH
41.189.160.0	41.189.191.255	EG
41.189.192.0	41.189.223.255	CD
41.189.224.0	41.189.255.255	DJ
41.190.0.0	41.190.31.255	NG
41.190.32.0	41.190.63.255	ZW
41.190.64.0	41.190.67.255	BJ
41.190.68.0	41.190.71.255	GH
41.190.72.0	41.190.75.255	CG
41.190.80.0	41.190.83.255	CD
41.190.84.0	41.190.87.255	NA
41.190.88.0	41.190.91.255	GH
41.190.92.0	41.190.95.255	MW
41.190.96.0	41.190.127.255	NA
41.190.128.0	41.190.159.255	UG
41.190.160.0	41.190.191.255	MZ
41.190.192.0	41.190.223.255	UG
41.190.224.0	41.190.227.255	CM
41.190.228.0	41.190.231.255	NE
41.190.232.0	41.190.235.255	KE
41.190.236.0	41.190.239.255	MG
41.190.240.0	41.190.243.255	NG
41.190.244.0	41.190.247.255	BW
41.190.248.0	41.190.251.255	EG
41.190.252.0	41.190.255.255	KE
41.191.0.0	41.191.63.255	EG
41.191.64.0	41.191.67.255	AO
41.191.68.0	41.191.71.255	CI
41.191.72.0	41.191.75.255	MZ
41.191.76.0	41.191.79.255	UG
41.191.80.0	41.191.83.255	EG
41.191.84.0	41.191.87.255	BJ
41.191.88.0	41.191.91.255	ZA
41.191.92.0	41.191.95.255	TZ
41.191.96.0	41.191.99.255	GH
41.191.100.0	41.191.103.255	CM
41.191.104.0	41.191.107.255	LR
41.191.108.0	41.191.111.255	NG
41.191.112.0	41.191.115.255	KE
41.191.116.0	41.191.119.255	ZM
41.191.120.0	41.191.123.255	SC
41.191.124.0	41.191.191.255	ZA
41.191.192.0	41.191.199.255	KE
41.191.200.0	41.191.207.255	LS
41.191.208.0	41.191.215.255	UG
41.191.216.0	41.191.231.255	KE
41.191.232.0	41.191.239.255	ZW
41.191.240.0	41.191.247.255	GH
41.191.248.0	41.191.251.255	SL
41.191.252.0	41.191.255.255	DZ
41.192.0.0	41.193.255.255	ZA
41.194.0.0	41.194.3.255	SC
41.194.4.0	41.194.22.255	A2
41.194.23.0	41.194.26.7	TZ
41.194.26.8	41.194.31.255	A2
41.194.32.0	41.194.32.254	KM
41.194.32.255	41.194.37.255	A2
41.194.38.0	41.194.38.127	TZ
41.194.38.128	41.194.48.255	A2
41.194.49.0	41.194.49.255	KE
41.194.50.0	41.194.51.255	A2
41.194.52.0	41.194.55.255	NG
41.194.56.0	41.194.255.255	A2
41.195.0.0	41.195.255.255	ZA
41.196.0.0	41.196.255.255	EG
41.197.0.0	41.197.255.255	RW
41.198.0.0	41.198.207.255	ZA
41.198.208.0	41.198.223.255	NG
41.198.224.0	41.198.255.255	ZA
41.199.0.0	41.199.255.255	EG
41.200.0.0	41.201.255.255	DZ
41.202.0.0	41.202.31.255	GH
41.202.32.0	41.202.63.255	ZA
41.202.64.0	41.202.159.255	CI
41.202.160.0	41.202.191.255	SD
41.202.192.0	41.202.223.255	CM
41.202.224.0	41.202.255.255	UG
41.203.0.0	41.203.63.255	ZA
41.203.64.0	41.203.127.255	NG
41.203.128.0	41.203.159.255	NE
41.203.160.0	41.203.175.255	ZA
41.203.176.0	41.203.191.255	LS
41.203.192.0	41.203.207.255	ML
41.203.208.0	41.203.223.255	KE
41.203.224.0	41.203.239.255	BF
41.203.240.0	41.203.255.255	SC
41.204.0.0	41.204.31.255	SZ
41.204.32.0	41.204.63.255	GH
41.204.64.0	41.204.95.255	CM
41.204.96.0	41.204.127.255	MG
41.204.128.0	41.204.159.255	TZ
41.204.160.0	41.204.191.255	KE
41.204.192.0	41.204.223.255	ZA
41.204.224.0	41.204.255.255	NG
41.205.0.0	41.205.31.255	CM
41.205.32.0	41.205.63.255	AO
41.205.64.0	41.205.95.255	CM
41.205.96.0	41.205.127.255	EG
41.205.128.0	41.205.159.255	NA
41.205.160.0	41.205.191.255	NG
41.205.192.0	41.205.223.255	MA
41.205.224.0	41.205.255.255	SL
41.206.0.0	41.206.31.255	NG
41.206.32.0	41.206.63.255	KE
41.206.64.0	41.206.95.255	CI
41.206.96.0	41.206.127.255	GA
41.206.128.0	41.206.159.255	EG
41.206.160.0	41.206.191.255	CA
41.206.192.0	41.206.223.255	ZA
41.206.224.0	41.206.255.255	NG
41.207.0.0	41.207.31.255	CI
41.207.32.0	41.207.63.255	MG
41.207.64.0	41.207.127.255	KE
41.207.128.0	41.207.159.255	MU
41.207.160.0	41.207.191.255	TG
41.207.192.0	41.207.223.255	CI
41.207.224.0	41.208.63.255	ZA
41.208.64.0	41.208.127.255	LY
41.208.128.0	41.208.191.255	SN
41.208.192.0	41.208.255.255	ZA
41.209.0.0	41.209.63.255	KE
41.209.64.0	41.209.127.255	SD
41.209.128.0	41.209.191.255	DZ
41.209.192.0	41.209.255.255	EG
41.210.0.0	41.210.63.255	GH
41.210.64.0	41.210.127.255	DZ
41.210.128.0	41.210.191.255	UG
41.210.192.0	41.210.255.255	AO
41.211.0.0	41.211.31.255	GH
41.211.32.0	41.211.63.255	SZ
41.211.64.0	41.211.95.255	MU
41.211.96.0	41.211.127.255	CM
41.211.128.0	41.211.191.255	GA
41.211.192.0	41.211.255.255	NG
41.212.0.0	41.212.127.255	KE
41.212.128.0	41.212.255.255	MU
41.213.0.0	41.213.127.255	ZA
41.213.128.0	41.213.255.255	RE
41.214.0.0	41.214.127.255	SN
41.214.128.0	41.214.255.255	MA
41.215.0.0	41.215.143.255	KE
41.215.144.0	41.215.159.255	SZ
41.215.160.0	41.215.175.255	GH
41.215.176.0	41.215.191.255	ZM
41.215.192.0	41.215.207.255	KE
41.215.208.0	41.215.223.255	CV
41.215.224.0	41.215.231.255	KE
41.215.232.0	41.215.239.255	ZA
41.215.240.0	41.215.243.255	EG
41.215.244.0	41.215.247.255	NG
41.215.248.0	41.215.251.255	RW
41.215.252.0	41.215.255.255	CD
41.216.0.0	41.216.31.255	ZM
41.216.32.0	41.216.63.255	BJ
41.216.64.0	41.216.95.255	ZM
41.216.96.0	41.216.127.255	RW
41.216.128.0	41.216.143.255	ZA
41.216.144.0	41.216.159.255	BF
41.216.160.0	41.216.175.255	NG
41.216.176.0	41.216.191.255	CM
41.216.192.0	41.216.207.255	ZA
41.216.208.0	41.216.215.255	BW
41.216.216.0	41.216.223.255	TZ
41.216.224.0	41.216.227.255	MA
41.216.228.0	41.216.231.255	MW
41.216.232.0	41.216.235.255	NG
41.216.236.0	41.216.239.255	AO
41.217.0.0	41.217.127.255	NG
41.217.128.0	41.217.159.255	CM
41.217.160.0	41.217.191.255	EG
41.217.192.0	41.217.195.255	ZA
41.217.196.0	41.217.199.255	MG
41.217.200.0	41.217.203.255	TZ
41.217.204.0	41.217.207.255	NG
41.217.208.0	41.217.211.255	MZ
41.217.212.0	41.217.215.255	MU
41.217.216.0	41.217.219.255	MW
41.217.220.0	41.217.223.255	KE
41.217.224.0	41.217.231.255	EG
41.217.232.0	41.217.239.255	UG
41.217.240.0	41.217.247.255	ZA
41.217.248.0	41.217.255.255	ZM
41.218.0.0	41.218.63.255	SD
41.218.64.0	41.218.127.255	NA
41.218.128.0	41.218.191.255	EG
41.218.192.0	41.218.255.255	GH
41.219.0.0	41.219.63.255	SN
41.219.64.0	41.219.127.255	NA
41.219.128.0	41.219.255.255	NG
41.220.0.0	41.220.15.255	UG
41.220.16.0	41.220.31.255	ZW
41.220.32.0	41.220.47.255	MZ
41.220.48.0	41.220.63.255	GH
41.220.64.0	41.220.79.255	NG
41.220.80.0	41.220.95.255	SL
41.220.96.0	41.220.111.255	SC
41.220.112.0	41.220.127.255	KE
41.220.128.0	41.220.143.255	TZ
41.220.144.0	41.220.159.255	DZ
41.220.160.0	41.220.175.255	MZ
41.220.176.0	41.220.191.255	TZ
41.220.192.0	41.220.207.255	MZ
41.220.208.0	41.220.223.255	UG
41.220.224.0	41.220.239.255	KE
41.220.240.0	41.220.255.255	TZ
41.221.0.0	41.221.15.255	ZA
41.221.16.0	41.221.31.255	DZ
41.221.32.0	41.221.63.255	TZ
41.221.64.0	41.221.79.255	MZ
41.221.80.0	41.221.95.255	UG
41.221.96.0	41.221.111.255	MW
41.221.112.0	41.221.127.255	NG
41.221.128.0	41.221.143.255	EG
41.221.144.0	41.221.159.255	ZW
41.221.160.0	41.221.175.255	NG
41.221.176.0	41.221.191.255	ML
41.221.192.0	41.221.207.255	CV
41.221.208.0	41.221.223.255	GH
41.221.224.0	41.221.239.255	ZA
41.221.240.0	41.221.255.255	AO
41.222.0.0	41.222.7.255	UG
41.222.8.0	41.222.15.255	KE
41.222.16.0	41.222.23.255	ZM
41.222.24.0	41.222.31.255	TZ
41.222.32.0	41.222.39.255	ZA
41.222.40.0	41.222.47.255	NG
41.222.48.0	41.222.55.255	ZA
41.222.56.0	41.222.63.255	TZ
41.222.64.0	41.222.79.255	NG
41.222.80.0	41.222.87.255	MZ
41.222.88.0	41.222.95.255	TZ
41.222.96.0	41.222.103.255	MU
41.222.104.0	41.222.111.255	ZA
41.222.112.0	41.222.119.255	GQ
41.222.120.0	41.222.127.255	KE
41.222.128.0	41.222.135.255	EG
41.222.136.0	41.222.143.255	ZA
41.222.144.0	41.222.151.255	NG
41.222.152.0	41.222.159.255	TZ
41.222.160.0	41.222.167.255	KE
41.222.168.0	41.222.175.255	EG
41.222.176.0	41.222.183.255	TZ
41.222.184.0	41.222.191.255	MW
41.222.192.0	41.222.195.255	BJ
41.222.196.0	41.222.199.255	CD
41.222.204.0	41.222.207.255	SC
41.222.208.0	41.222.211.255	NG
41.222.212.0	41.222.215.255	ZA
41.222.216.0	41.222.219.255	CD
41.222.220.0	41.222.231.255	ZA
41.222.232.0	41.222.235.255	GH
41.222.236.0	41.222.239.255	AO
41.222.240.0	41.222.243.255	ZM
41.222.244.0	41.222.247.255	RW
41.222.248.0	41.223.3.255	AO
41.223.4.0	41.223.7.255	TZ
41.223.8.0	41.223.11.255	ZA
41.223.12.0	41.223.15.255	BW
41.223.16.0	41.223.19.255	TZ
41.223.20.0	41.223.23.255	EG
41.223.24.0	41.223.27.255	NG
41.223.28.0	41.223.31.255	CM
41.223.32.0	41.223.39.255	ZA
41.223.40.0	41.223.43.255	AO
41.223.44.0	41.223.47.255	LR
41.223.48.0	41.223.51.255	KE
41.223.52.0	41.223.55.255	EG
41.223.56.0	41.223.59.255	KE
41.223.60.0	41.223.63.255	ZA
41.223.64.0	41.223.67.255	NG
41.223.68.0	41.223.71.255	ZA
41.223.72.0	41.223.75.255	BW
41.223.76.0	41.223.79.255	MU
41.223.80.0	41.223.83.255	NA
41.223.84.0	41.223.87.255	UG
41.223.88.0	41.223.91.255	SL
41.223.92.0	41.223.99.255	GA
41.223.100.0	41.223.103.255	AO
41.223.104.0	41.223.107.255	CD
41.223.108.0	41.223.111.255	KE
41.223.112.0	41.223.115.255	ZA
41.223.116.0	41.223.119.255	ZM
41.223.120.0	41.223.123.255	ZA
41.223.124.0	41.223.127.255	MZ
41.223.128.0	41.223.131.255	NG
41.223.132.0	41.223.135.255	SL
41.223.136.0	41.223.139.255	NG
41.223.140.0	41.223.143.255	BW
41.223.144.0	41.223.147.255	NG
41.223.148.0	41.223.151.255	KE
41.223.152.0	41.223.155.255	MZ
41.223.156.0	41.223.159.255	AO
41.223.160.0	41.223.163.255	SD
41.223.164.0	41.223.167.255	AO
41.223.168.0	41.223.171.255	NG
41.223.172.0	41.223.175.255	ZA
41.223.176.0	41.223.179.255	DZ
41.223.180.0	41.223.183.255	TZ
41.223.184.0	41.223.187.255	CF
41.223.192.0	41.223.195.255	NG
41.223.196.0	41.223.199.255	EG
41.223.200.0	41.223.203.255	SD
41.223.204.0	41.223.207.255	SC
41.223.208.0	41.223.211.255	CI
41.223.212.0	41.223.215.255	GM
41.223.216.0	41.223.219.255	SC
41.223.220.0	41.223.223.255	MU
41.223.224.0	41.223.227.255	RW
41.223.228.0	41.223.231.255	TZ
41.223.232.0	41.223.235.255	BF
41.223.236.0	41.223.239.255	MU
41.223.240.0	41.223.243.255	EG
41.223.244.0	41.223.247.255	ZA
41.223.248.0	41.223.251.255	BJ
41.223.252.0	41.223.255.255	MU
41.224.0.0	41.231.255.255	TN
41.232.0.0	41.239.255.255	EG
41.240.0.0	41.247.255.255	ZA
41.248.0.0	41.251.255.255	MA
41.252.0.0	41.255.255.255	LY
43.0.0.0	43.255.255.255	JP
44.0.0.0	45.255.255.255	US
46.0.0.0	46.0.255.255	RU
46.1.0.0	46.2.255.255	TR
46.3.0.0	46.3.255.255	RU
46.4.0.0	46.4.255.255	DE
46.20.0.0	46.20.15.255	TR
46.20.16.0	46.20.31.255	AT
46.20.32.0	46.20.47.255	DE
46.24.0.0	46.27.255.255	ES
46.28.0.0	46.28.7.255	IT
46.28.8.0	46.28.15.255	PL
46.28.16.0	46.28.23.255	RU
46.28.24.0	46.28.31.255	IT
46.28.32.0	46.28.39.255	DE
46.28.40.0	46.28.47.255	BE
46.28.48.0	46.28.55.255	GB
46.28.56.0	46.28.63.255	LV
46.28.64.0	46.28.71.255	UA
46.28.72.0	46.28.79.255	IR
46.28.80.0	46.28.87.255	DE
46.28.88.0	46.28.95.255	RU
46.28.96.0	46.28.103.255	BY
46.28.104.0	46.28.111.255	CZ
46.28.112.0	46.28.119.255	DE
46.28.120.0	46.28.127.255	IT
46.28.128.0	46.28.135.255	RU
46.28.136.0	46.28.143.255	PS
46.28.144.0	46.28.151.255	SE
46.28.152.0	46.28.159.255	IS
46.28.160.0	46.28.167.255	TR
46.28.168.0	46.28.175.255	FR
46.28.176.0	46.28.183.255	CY
46.28.184.0	46.28.191.255	DE
46.28.192.0	46.28.199.255	UA
46.28.200.0	46.28.207.255	GB
46.28.208.0	46.28.215.255	ES
46.28.216.0	46.28.223.255	HU
46.28.224.0	46.28.231.255	RU
46.28.232.0	46.28.239.255	TR
46.28.240.0	46.28.247.255	PL
46.28.248.0	46.28.255.255	GB
46.29.0.0	46.29.7.255	SK
46.29.8.0	46.29.15.255	RU
46.29.16.0	46.29.23.255	PL
46.29.24.0	46.29.31.255	DE
46.29.32.0	46.29.33.7	AT
46.29.33.8	46.29.33.15	IT
46.29.33.16	46.29.39.255	AT
46.29.40.0	46.29.47.255	DE
46.29.48.0	46.29.55.255	ES
46.29.56.0	46.29.63.255	GB
46.29.64.0	46.29.71.255	DE
46.29.72.0	46.29.79.255	RU
46.29.80.0	46.29.87.255	SA
46.29.88.0	46.29.95.255	GB
46.29.96.0	46.29.103.255	DE
46.29.104.0	46.29.104.31	IT
46.29.104.32	46.29.111.255	A2
46.29.112.0	46.29.119.255	RU
46.29.120.0	46.29.127.255	FR
46.29.128.0	46.29.135.255	UA
46.29.136.0	46.29.143.255	HU
46.29.144.0	46.29.151.255	PL
46.29.152.0	46.29.167.255	RU
46.29.168.0	46.29.175.255	MK
46.29.176.0	46.29.183.255	LU
46.29.184.0	46.29.191.255	CZ
46.29.192.0	46.29.199.255	RU
46.29.200.0	46.29.207.255	IT
46.29.208.0	46.29.215.255	RU
46.29.216.0	46.29.223.255	NO
46.29.224.0	46.29.231.255	CZ
46.29.232.0	46.29.239.255	RU
46.29.240.0	46.29.247.255	NL
46.29.248.0	46.29.248.255	EE
46.29.249.0	46.29.249.255	SE
46.29.250.0	46.29.251.255	EE
46.29.252.0	46.29.255.255	US
46.30.0.0	46.30.7.255	DE
46.30.8.0	46.30.15.255	GB
46.30.16.0	46.30.23.255	ES
46.30.24.0	46.30.31.255	DE
46.30.32.0	46.30.47.255	RU
46.30.48.0	46.30.55.255	GB
46.30.56.0	46.30.63.255	DE
46.30.64.0	46.30.71.255	CZ
46.30.72.0	46.30.87.255	DE
46.30.88.0	46.30.95.255	CZ
46.30.96.0	46.30.103.255	GB
46.30.104.0	46.30.111.255	ES
46.30.112.0	46.30.119.255	DE
46.30.120.0	46.30.127.255	DK
46.30.128.0	46.30.135.255	FI
46.32.0.0	46.32.31.255	IR
46.32.32.0	46.32.63.255	DK
46.32.64.0	46.32.95.255	RU
46.32.96.0	46.32.127.255	JO
46.32.128.0	46.32.159.255	DK
46.32.160.0	46.32.191.255	AZ
46.32.192.0	46.32.223.255	PS
46.32.224.0	46.33.31.255	GB
46.33.32.0	46.33.63.255	UA
46.40.0.0	46.40.63.255	RS
46.40.64.0	46.40.127.255	BG
46.40.128.0	46.40.191.255	IT
46.40.192.0	46.40.255.255	OM
46.41.0.0	46.41.63.255	DE
46.41.64.0	46.41.127.255	RU
46.41.128.0	46.41.191.255	PL
46.41.192.0	46.41.255.255	RO
46.42.0.0	46.42.63.255	RU
46.42.64.0	46.42.127.255	BH
46.42.128.0	46.42.191.255	RU
46.42.192.0	46.42.255.255	RO
46.43.0.0	46.43.63.255	GB
46.43.64.0	46.43.127.255	PS
46.43.128.0	46.43.191.255	GB
46.43.192.0	46.44.63.255	RU
46.44.64.0	46.44.127.255	SA
46.44.128.0	46.44.191.255	NL
46.48.0.0	46.48.255.255	RU
46.49.0.0	46.49.127.255	GE
46.49.128.0	46.49.255.255	RO
46.50.0.0	46.50.127.255	PT
46.50.128.0	46.50.255.255	RU
46.51.0.0	46.51.127.255	RO
46.51.128.0	46.51.255.255	IE
46.52.0.0	46.52.127.255	SA
46.52.128.0	46.52.255.255	RU
46.53.0.0	46.53.127.255	SY
46.53.128.0	46.53.255.255	BY
46.54.0.0	46.54.127.255	MT
46.64.0.0	46.65.255.255	GB
46.66.0.0	46.67.255.255	NO
46.68.0.0	46.69.255.255	GB
46.70.0.0	46.71.255.255	AM
46.72.0.0	46.73.255.255	RU
46.74.0.0	46.75.255.255	AT
46.76.0.0	46.77.255.255	PL
46.80.0.0	46.95.255.255	DE
46.96.0.0	46.96.255.255	RU
46.97.0.0	46.97.255.255	RO
46.98.0.0	46.98.255.255	UA
46.99.0.0	46.99.255.255	AL
46.100.0.0	46.100.255.255	IR
46.101.0.0	46.101.255.255	RU
46.102.0.0	46.102.255.255	RO
46.103.0.0	46.103.127.255	GR
46.103.128.0	46.103.255.255	CY
46.104.0.0	46.104.255.255	TR
46.106.0.0	46.106.255.255	TR
46.107.0.0	46.107.255.255	HU
46.108.0.0	46.108.255.255	RO
46.109.0.0	46.109.255.255	LV
46.110.0.0	46.110.255.255	DE
46.111.0.0	46.111.255.255	RU
46.112.0.0	46.113.255.255	PL
46.114.0.0	46.115.255.255	DE
46.116.0.0	46.117.255.255	IL
46.118.0.0	46.119.255.255	UA
46.120.0.0	46.121.255.255	IL
46.122.0.0	46.123.255.255	SI
46.124.0.0	46.125.255.255	AT
46.126.0.0	46.127.255.255	CH
47.0.0.0	47.255.255.255	CA
48.0.0.0	48.255.255.255	US
50.0.0.0	50.0.255.255	US
50.2.0.0	50.2.27.255	US
50.2.28.0	50.2.28.255	CA
50.2.29.0	50.2.72.255	US
50.2.73.0	50.2.73.255	CA
50.2.74.0	50.4.255.255	US
50.8.0.0	50.15.255.255	US
51.0.0.0	51.255.255.255	GB
52.0.0.0	52.255.255.255	US
53.0.0.0	53.255.255.255	DE
54.0.0.0	56.255.255.255	US
57.0.0.0	57.255.255.255	EU
58.0.0.0	58.1.255.255	JP
58.2.0.0	58.2.255.255	IN
58.3.0.0	58.5.255.255	JP
58.6.0.0	58.7.255.255	AU
58.8.0.0	58.11.255.255	TH
58.12.0.0	58.13.255.255	JP
58.14.0.0	58.25.255.255	CN
58.26.0.0	58.27.127.255	MY
58.27.128.0	58.27.255.255	PK
58.28.0.0	58.28.255.255	NZ
58.29.0.0	58.29.255.255	KR
58.30.0.0	58.63.255.255	CN
58.64.0.0	58.64.127.255	TH
58.64.128.0	58.64.255.255	HK
58.65.0.0	58.65.31.255	SG
58.65.32.0	58.65.63.255	JP
58.65.64.0	58.65.127.255	KR
58.65.128.0	58.65.223.255	PK
58.65.224.0	58.65.231.255	BD
58.65.232.0	58.65.239.255	HK
58.65.240.0	58.65.247.255	ID
58.65.248.0	58.65.255.255	AU
58.66.0.0	58.67.255.255	CN
58.68.0.0	58.68.127.255	IN
58.68.128.0	58.68.255.255	CN
58.69.0.0	58.69.255.255	PH
58.70.0.0	58.70.255.255	JP
58.71.0.0	58.71.127.255	PH
58.71.128.0	58.71.255.255	MY
58.72.0.0	58.79.255.255	KR
58.80.0.0	58.81.255.255	JP
58.82.0.0	58.83.255.255	CN
58.84.0.0	58.84.63.255	JP
58.84.64.0	58.84.223.255	AU
58.84.224.0	58.84.239.255	NZ
58.85.0.0	58.85.255.255	JP
58.86.0.0	58.86.255.255	TW
58.87.0.0	58.87.15.255	AU
58.87.16.0	58.87.31.255	JP
58.87.32.0	58.87.63.255	KR
58.87.64.0	58.87.127.255	CN
58.87.128.0	58.95.255.255	JP
58.96.0.0	58.96.255.255	AU
58.97.0.0	58.97.127.255	TH
58.98.0.0	58.98.255.255	JP
58.99.0.0	58.99.127.255	TW
58.99.128.0	58.101.255.255	CN
58.102.0.0	58.103.255.255	KR
58.104.0.0	58.111.255.255	AU
58.112.0.0	58.113.255.255	JP
58.114.0.0	58.115.255.255	TW
58.116.0.0	58.119.255.255	CN
58.120.0.0	58.127.255.255	KR
58.128.0.0	58.135.255.255	CN
58.136.0.0	58.137.255.255	TH
58.138.0.0	58.138.191.255	JP
58.138.192.0	58.138.255.255	KR
58.139.0.0	58.139.255.255	MY
58.140.0.0	58.143.255.255	KR
58.144.0.0	58.144.255.255	CN
58.145.0.0	58.145.127.255	KR
58.145.128.0	58.145.159.255	AU
58.145.160.0	58.145.167.255	JP
58.145.168.0	58.145.175.255	ID
58.145.184.0	58.145.191.255	BD
58.145.192.0	58.145.255.255	SG
58.146.0.0	58.146.95.255	JP
58.146.96.0	58.146.127.255	IN
58.146.128.0	58.146.191.255	SG
58.146.192.0	58.146.255.255	KR
58.147.0.0	58.147.127.255	TH
58.147.128.0	58.147.159.255	AF
58.147.160.0	58.147.167.255	JP
58.147.168.0	58.147.175.255	BD
58.147.184.0	58.147.191.255	ID
58.147.192.0	58.147.255.255	JP
58.148.0.0	58.151.255.255	KR
58.152.0.0	58.153.255.255	HK
58.154.0.0	58.155.255.255	CN
58.156.0.0	58.159.255.255	JP
58.160.0.0	58.175.255.255	AU
58.176.0.0	58.177.255.255	HK
58.178.0.0	58.179.255.255	AU
58.180.0.0	58.181.63.255	KR
58.181.64.0	58.181.95.255	AU
58.181.96.0	58.181.127.255	PK
58.181.128.0	58.181.255.255	TH
58.182.0.0	58.182.255.255	SG
58.183.0.0	58.183.255.255	JP
58.184.0.0	58.184.255.255	KR
58.185.0.0	58.185.255.255	SG
58.186.0.0	58.187.255.255	VN
58.188.0.0	58.191.255.255	JP
58.192.0.0	58.223.255.255	CN
58.224.0.0	58.239.255.255	KR
58.240.0.0	58.255.255.255	CN
59.0.0.0	59.31.255.255	KR
59.32.0.0	59.83.255.255	CN
59.84.0.0	59.86.159.255	JP
59.86.160.0	59.86.191.255	AU
59.86.192.0	59.86.255.255	KR
59.87.0.0	59.87.255.255	JP
59.88.0.0	59.99.255.255	IN
59.100.0.0	59.102.127.255	AU
59.103.0.0	59.103.255.255	PK
59.104.0.0	59.105.255.255	TW
59.106.0.0	59.106.255.255	JP
59.107.0.0	59.111.255.255	CN
59.112.0.0	59.127.255.255	TW
59.128.0.0	59.143.255.255	JP
59.144.0.0	59.145.255.255	IN
59.146.0.0	59.147.255.255	JP
59.148.0.0	59.149.255.255	HK
59.150.0.0	59.150.255.255	KR
59.151.0.0	59.151.127.255	CN
59.151.128.0	59.151.191.255	AP
59.151.192.0	59.151.255.255	KR
59.152.0.0	59.152.127.255	BD
59.152.128.0	59.152.191.255	KR
59.152.192.0	59.152.255.255	HK
59.153.0.0	59.153.255.255	JP
59.154.0.0	59.154.255.255	AU
59.155.0.0	59.155.255.255	CN
59.156.0.0	59.159.255.255	JP
59.160.0.0	59.165.255.255	IN
59.166.0.0	59.166.255.255	JP
59.167.0.0	59.167.255.255	AU
59.168.0.0	59.171.255.255	JP
59.172.0.0	59.175.255.255	CN
59.176.0.0	59.185.255.255	IN
59.186.0.0	59.187.255.255	KR
59.188.0.0	59.188.255.255	HK
59.189.0.0	59.189.255.255	SG
59.190.0.0	59.190.255.255	JP
59.191.0.0	59.191.127.255	CN
59.191.128.0	59.191.191.255	JP
59.191.192.0	59.191.231.255	AU
59.191.240.0	60.31.255.255	CN
60.32.0.0	60.47.255.255	JP
60.48.0.0	60.54.255.255	MY
60.55.0.0	60.55.255.255	CN
60.56.0.0	60.62.255.255	JP
60.63.0.0	60.63.255.255	CN
60.64.0.0	60.159.255.255	JP
60.160.0.0	60.191.255.255	CN
60.192.0.0	60.193.255.255	JP
60.194.0.0	60.195.255.255	CN
60.196.0.0	60.197.255.255	KR
60.198.0.0	60.199.255.255	TW
60.200.0.0	60.223.255.255	CN
60.224.0.0	60.231.255.255	AU
60.232.0.0	60.233.255.255	CN
60.234.0.0	60.234.49.79	NZ
60.234.49.80	60.234.49.95	AU
60.234.49.96	60.234.66.23	NZ
60.234.66.24	60.234.66.31	AU
60.234.66.32	60.234.70.191	NZ
60.234.70.192	60.234.70.255	PA
60.234.71.0	60.234.122.127	NZ
60.234.122.128	60.234.122.159	AU
60.234.122.160	60.234.255.255	NZ
60.235.0.0	60.235.255.255	CN
60.236.0.0	60.239.255.255	JP
60.240.0.0	60.242.255.255	AU
60.243.0.0	60.243.255.255	IN
60.244.0.0	60.245.127.255	TW
60.245.128.0	60.245.255.255	CN
60.247.0.0	60.247.255.255	CN
60.248.0.0	60.251.255.255	TW
60.252.0.0	60.252.255.255	CN
60.253.96.0	60.253.127.255	ID
60.253.128.0	60.253.255.255	CN
60.254.0.0	60.254.127.255	IN
60.254.128.0	60.254.191.255	US
60.254.192.0	60.254.255.255	JP
60.255.0.0	60.255.255.255	CN
61.0.0.0	61.3.255.255	IN
61.4.0.0	61.4.63.255	HK
61.4.80.0	61.4.95.255	CN
61.4.96.0	61.4.127.255	MY
61.4.128.0	61.4.175.255	JP
61.4.176.0	61.4.191.255	CN
61.4.192.0	61.4.255.255	KR
61.5.0.0	61.5.127.255	ID
61.5.128.0	61.5.159.255	PK
61.5.160.0	61.5.191.255	KR
61.5.208.0	61.5.223.255	NC
61.5.224.0	61.5.255.255	JP
61.6.0.0	61.6.191.255	MY
61.6.192.0	61.6.255.255	BN
61.7.0.0	61.7.127.255	JP
61.7.128.0	61.7.255.255	TH
61.8.0.0	61.8.63.255	AU
61.8.64.0	61.8.79.255	ID
61.8.80.0	61.8.95.255	JP
61.8.96.0	61.8.127.255	AU
61.8.128.0	61.8.159.255	IN
61.8.160.0	61.8.175.255	CN
61.8.176.0	61.8.191.255	AU
61.8.192.0	61.8.255.255	SG
61.9.0.0	61.9.127.255	PH
61.9.128.0	61.9.255.255	AU
61.10.0.0	61.10.255.255	HK
61.11.0.0	61.11.127.255	IN
61.11.128.0	61.11.207.255	JP
61.11.208.0	61.11.223.255	MY
61.11.224.0	61.11.255.255	TH
61.12.0.0	61.12.127.255	IN
61.12.128.0	61.12.255.255	JP
61.13.0.0	61.13.255.255	SG
61.14.0.0	61.14.3.255	US
61.14.4.0	61.14.6.63	IN
61.14.6.64	61.14.6.127	US
61.14.6.128	61.14.6.255	IN
61.14.7.0	61.14.11.255	US
61.14.12.0	61.14.12.7	IN
61.14.12.8	61.14.14.63	US
61.14.14.64	61.14.14.255	IN
61.14.15.0	61.14.15.31	US
61.14.15.32	61.14.15.63	IN
61.14.15.64	61.14.17.255	US
61.14.18.0	61.14.18.127	IN
61.14.18.128	61.14.18.199	US
61.14.18.200	61.14.18.207	IN
61.14.18.208	61.14.20.127	US
61.14.20.128	61.14.20.255	IN
61.14.21.0	61.14.21.191	US
61.14.21.192	61.14.21.255	HK
61.14.22.0	61.14.22.55	US
61.14.22.56	61.14.22.63	IN
61.14.22.64	61.14.23.223	US
61.14.23.224	61.14.23.255	ID
61.14.24.0	61.14.24.127	US
61.14.24.128	61.14.24.255	IN
61.14.25.0	61.14.27.135	US
61.14.27.136	61.14.27.143	SG
61.14.27.144	61.14.27.255	US
61.14.28.0	61.14.28.63	PH
61.14.28.64	61.14.29.7	US
61.14.29.8	61.14.29.15	CN
61.14.29.16	61.14.29.39	US
61.14.29.40	61.14.29.47	ID
61.14.29.48	61.14.29.63	JP
61.14.29.64	61.14.29.79	US
61.14.29.80	61.14.29.95	CN
61.14.29.96	61.14.31.63	US
61.14.31.64	61.14.31.127	IN
61.14.31.128	61.14.31.135	US
61.14.31.136	61.14.31.143	AU
61.14.31.144	61.14.31.191	US
61.14.31.192	61.14.31.255	IN
61.14.32.0	61.14.41.135	US
61.14.41.136	61.14.41.143	PH
61.14.41.144	61.14.42.199	US
61.14.42.200	61.14.42.207	MY
61.14.42.208	61.14.46.127	US
61.14.46.128	61.14.46.255	HK
61.14.47.0	61.14.47.255	ID
61.14.48.0	61.14.50.31	US
61.14.50.32	61.14.50.39	TH
61.14.50.40	61.14.63.255	US
61.14.64.0	61.14.95.255	SG
61.14.96.0	61.14.127.255	AU
61.14.128.0	61.14.128.87	HK
61.14.128.88	61.14.128.95	AP
61.14.128.96	61.14.130.47	HK
61.14.130.48	61.14.130.63	AP
61.14.130.64	61.14.130.135	HK
61.14.130.136	61.14.130.143	AP
61.14.130.144	61.14.131.255	HK
61.14.132.0	61.14.132.15	TW
61.14.132.16	61.14.132.31	AP
61.14.132.32	61.14.132.95	PH
61.14.132.96	61.14.132.127	AP
61.14.132.128	61.14.132.255	PH
61.14.133.0	61.14.133.31	TW
61.14.133.32	61.14.133.47	PH
61.14.133.48	61.14.133.63	TW
61.14.133.64	61.14.133.79	PH
61.14.133.80	61.14.134.255	TW
61.14.135.0	61.14.135.47	MY
61.14.135.48	61.14.135.63	SG
61.14.135.64	61.14.135.95	MY
61.14.135.96	61.14.135.111	AP
61.14.135.112	61.14.135.159	SG
61.14.135.160	61.14.135.255	AP
61.14.136.0	61.14.136.103	MY
61.14.136.104	61.14.136.175	SG
61.14.136.176	61.14.136.191	MY
61.14.136.192	61.14.136.207	AP
61.14.136.208	61.14.136.223	MY
61.14.136.224	61.14.136.239	SG
61.14.136.240	61.14.136.255	AP
61.14.137.0	61.14.137.7	SG
61.14.137.8	61.14.137.31	MY
61.14.137.32	61.14.137.224	SG
61.14.137.225	61.14.137.255	AP
61.14.138.0	61.14.138.7	SG
61.14.138.8	61.14.138.15	AP
61.14.138.16	61.14.138.95	SG
61.14.138.96	61.14.138.103	MY
61.14.138.104	61.14.138.191	SG
61.14.138.192	61.14.138.207	MY
61.14.138.208	61.14.139.31	SG
61.14.139.32	61.14.139.55	MY
61.14.139.56	61.14.139.127	SG
61.14.139.128	61.14.139.159	MY
61.14.139.160	61.14.139.175	SG
61.14.139.176	61.14.139.183	MY
61.14.139.184	61.14.139.191	AP
61.14.139.192	61.14.139.255	SG
61.14.140.0	61.14.140.39	AU
61.14.140.40	61.14.140.47	AP
61.14.140.48	61.14.140.255	AU
61.14.141.0	61.14.141.31	AP
61.14.141.32	61.14.141.223	AU
61.14.141.224	61.14.141.239	NZ
61.14.141.240	61.14.141.255	AU
61.14.142.0	61.14.142.31	AP
61.14.142.32	61.14.142.47	AU
61.14.142.48	61.14.142.63	AP
61.14.142.64	61.14.142.95	AU
61.14.142.96	61.14.142.255	AP
61.14.143.0	61.14.143.223	AU
61.14.143.224	61.14.144.255	AP
61.14.145.0	61.14.145.127	MY
61.14.145.128	61.14.147.255	AP
61.14.148.0	61.14.148.255	HK
61.14.149.0	61.14.150.255	PH
61.14.151.0	61.14.154.255	AP
61.14.155.0	61.14.155.255	TW
61.14.156.0	61.14.157.255	JP
61.14.158.0	61.14.158.255	PH
61.14.159.0	61.14.159.255	AP
61.14.160.0	61.14.162.255	MY
61.14.163.0	61.14.163.255	AP
61.14.164.0	61.14.164.255	PH
61.14.165.0	61.14.165.255	TW
61.14.166.0	61.14.166.255	AU
61.14.167.0	61.14.167.255	AP
61.14.168.0	61.14.170.255	PH
61.14.171.0	61.14.171.255	JP
61.14.172.0	61.14.172.255	AP
61.14.173.0	61.14.173.255	JP
61.14.174.0	61.14.174.255	PH
61.14.175.0	61.14.175.255	HK
61.14.176.0	61.14.177.255	AP
61.14.178.0	61.14.178.255	PH
61.14.179.0	61.14.180.63	AP
61.14.180.64	61.14.180.127	TW
61.14.180.128	61.14.180.255	PH
61.14.181.0	61.14.184.63	AP
61.14.184.64	61.14.184.95	JP
61.14.184.96	61.14.184.111	AP
61.14.184.112	61.14.184.127	JP
61.14.184.128	61.14.184.151	AP
61.14.184.152	61.14.184.167	JP
61.14.184.168	61.14.184.191	AP
61.14.184.192	61.14.185.15	JP
61.14.185.16	61.14.185.127	AP
61.14.185.128	61.14.185.255	JP
61.14.186.0	61.14.186.7	AP
61.14.186.8	61.14.186.15	AU
61.14.186.16	61.14.186.79	AP
61.14.186.80	61.14.186.87	AU
61.14.186.88	61.14.186.95	AP
61.14.186.96	61.14.186.127	AU
61.14.186.128	61.14.186.143	AP
61.14.186.144	61.14.186.159	AU
61.14.186.160	61.14.186.191	AP
61.14.186.192	61.14.186.199	AU
61.14.186.200	61.14.187.127	AP
61.14.187.128	61.14.187.255	AU
61.14.188.0	61.14.188.127	TW
61.14.188.128	61.14.189.127	AP
61.14.189.128	61.14.189.255	PH
61.14.190.0	61.14.190.127	TW
61.14.190.128	61.14.190.159	AP
61.14.190.160	61.14.190.191	PH
61.14.190.192	61.14.191.127	TW
61.14.191.128	61.14.191.255	AP
61.14.192.0	61.14.255.255	PH
61.15.0.0	61.15.255.255	HK
61.16.0.0	61.16.127.255	SG
61.16.128.0	61.17.255.255	IN
61.18.0.0	61.18.255.255	HK
61.19.0.0	61.19.255.255	TH
61.20.0.0	61.20.255.255	TW
61.21.0.0	61.27.255.255	JP
61.28.0.0	61.28.127.255	CN
61.28.128.0	61.28.191.255	PH
61.28.192.0	61.28.192.255	JP
61.28.193.0	61.28.194.255	AU
61.28.195.0	61.28.196.255	CN
61.28.197.0	61.28.198.255	AU
61.28.199.0	61.28.200.255	FR
61.28.201.0	61.28.201.255	MY
61.28.202.0	61.28.205.255	AU
61.28.206.0	61.28.206.255	NZ
61.28.207.0	61.28.223.255	AU
61.28.224.0	61.28.255.255	VN
61.29.0.0	61.29.127.255	AU
61.29.128.0	61.29.255.255	CN
61.30.0.0	61.31.255.255	TW
61.32.0.0	61.43.255.255	KR
61.44.0.0	61.45.127.255	JP
61.45.128.0	61.45.191.255	CN
61.45.192.0	61.45.223.255	JP
61.45.224.0	61.45.239.255	ID
61.45.240.0	61.45.247.255	JP
61.45.248.0	61.45.255.255	AP
61.46.0.0	61.46.255.255	JP
61.47.0.0	61.47.127.255	TH
61.47.128.0	61.47.191.255	CN
61.47.192.0	61.47.255.255	KR
61.48.0.0	61.55.255.255	CN
61.56.0.0	61.67.255.255	TW
61.68.0.0	61.69.255.255	AU
61.70.0.0	61.71.255.255	TW
61.72.0.0	61.85.255.255	KR
61.86.0.0	61.87.127.255	JP
61.87.128.0	61.87.191.255	SG
61.87.192.0	61.87.255.255	CN
61.88.0.0	61.88.255.255	AU
61.89.0.0	61.89.255.255	JP
61.90.0.0	61.91.255.255	TH
61.92.0.0	61.93.255.255	HK
61.94.0.0	61.94.255.255	ID
61.95.0.0	61.95.127.255	AU
61.95.128.0	61.95.255.255	IN
61.96.0.0	61.111.255.255	KR
61.112.0.0	61.127.255.255	JP
61.128.0.0	61.191.255.255	CN
61.192.0.0	61.215.255.255	JP
61.216.0.0	61.216.99.203	TW
61.216.99.204	61.216.99.207	CN
61.216.99.208	61.231.255.255	TW
61.232.0.0	61.237.255.255	CN
61.238.0.0	61.239.255.255	HK
61.240.0.0	61.243.255.255	CN
61.244.0.0	61.244.255.255	HK
61.245.0.0	61.245.127.255	JP
61.245.128.0	61.245.159.255	AP
61.245.160.0	61.245.175.255	LK
61.245.192.0	61.245.223.255	JP
61.245.224.0	61.245.255.255	KR
61.246.0.0	61.246.255.255	IN
61.247.0.0	61.247.63.255	ID
61.247.64.0	61.247.159.255	KR
61.247.160.0	61.247.175.255	TW
61.247.192.0	61.247.223.255	KR
61.247.224.0	61.247.255.255	IN
61.248.0.0	61.255.255.255	KR
62.0.0.0	62.0.255.255	IL
62.1.0.0	62.1.255.255	GR
62.2.0.0	62.2.255.255	CH
62.3.0.0	62.3.9.255	SA
62.3.10.0	62.3.27.255	A2
62.3.28.0	62.3.31.255	SA
62.3.32.0	62.3.32.255	GB
62.3.33.0	62.3.59.255	SA
62.3.60.0	62.3.62.255	GB
62.3.63.0	62.3.63.255	SA
62.3.64.0	62.3.127.255	GB
62.3.128.0	62.3.159.255	SE
62.3.160.0	62.3.191.255	PL
62.3.192.0	62.3.255.255	GB
62.4.0.0	62.4.0.255	FR
62.4.1.0	62.4.1.255	DE
62.4.2.0	62.4.31.255	FR
62.4.32.0	62.4.63.255	ME
62.4.64.0	62.4.66.255	DE
62.4.67.0	62.4.68.31	EU
62.4.68.32	62.4.68.63	DE
62.4.68.64	62.4.68.127	EU
62.4.68.128	62.4.68.143	FR
62.4.68.144	62.4.68.159	DE
62.4.68.160	62.4.68.191	FR
62.4.68.192	62.4.68.207	DE
62.4.68.208	62.4.70.127	EU
62.4.70.128	62.4.70.191	FR
62.4.70.192	62.4.71.47	EU
62.4.71.48	62.4.71.111	FR
62.4.71.112	62.4.71.223	EU
62.4.71.224	62.4.71.239	FR
62.4.71.240	62.4.71.255	EU
62.4.72.0	62.4.72.255	FR
62.4.73.0	62.4.73.7	EU
62.4.73.8	62.4.73.31	FR
62.4.73.32	62.4.73.39	EU
62.4.73.40	62.4.73.63	FR
62.4.73.64	62.4.73.191	EU
62.4.73.192	62.4.73.255	FR
62.4.74.0	62.4.74.127	EU
62.4.74.128	62.4.74.255	DE
62.4.75.0	62.4.75.31	NL
62.4.75.32	62.4.75.63	EU
62.4.75.64	62.4.75.95	NL
62.4.75.96	62.4.75.127	EU
62.4.75.128	62.4.75.255	NL
62.4.76.0	62.4.76.63	EU
62.4.76.64	62.4.76.79	FR
62.4.76.80	62.4.76.95	EU
62.4.76.96	62.4.76.191	FR
62.4.76.192	62.4.76.223	EU
62.4.76.224	62.4.77.31	FR
62.4.77.32	62.4.77.63	EU
62.4.77.64	62.4.77.95	FR
62.4.77.96	62.4.77.127	EU
62.4.77.128	62.4.78.63	FR
62.4.78.64	62.4.78.127	EU
62.4.78.128	62.4.79.127	FR
62.4.79.128	62.4.79.143	EU
62.4.79.144	62.4.79.159	FR
62.4.79.160	62.4.79.207	EU
62.4.79.208	62.4.79.239	FR
62.4.79.240	62.4.80.255	EU
62.4.81.0	62.4.81.63	DE
62.4.81.64	62.4.81.127	EU
62.4.81.128	62.4.81.159	DE
62.4.81.160	62.4.82.255	EU
62.4.83.0	62.4.84.255	NL
62.4.85.0	62.4.85.191	EU
62.4.85.192	62.4.86.159	NL
62.4.86.160	62.4.86.191	EU
62.4.86.192	62.4.86.223	NL
62.4.86.224	62.4.91.159	EU
62.4.91.160	62.4.91.255	NL
62.4.92.0	62.4.94.255	EU
62.4.95.0	62.4.95.255	NL
62.4.96.0	62.4.127.255	CZ
62.4.128.0	62.4.255.255	BE
62.5.0.0	62.5.127.255	GB
62.5.128.0	62.5.255.255	RU
62.6.0.0	62.7.255.255	GB
62.8.0.0	62.8.31.255	FR
62.8.32.0	62.8.63.255	DE
62.8.64.0	62.8.95.255	KE
62.8.96.0	62.8.127.255	GB
62.8.128.0	62.8.255.255	DE
62.9.0.0	62.9.255.255	IE
62.10.0.0	62.11.255.255	IT
62.12.0.0	62.12.31.255	NL
62.12.32.0	62.12.33.7	A2
62.12.33.8	62.12.33.15	NG
62.12.33.16	62.12.34.55	A2
62.12.34.56	62.12.34.79	DK
62.12.34.80	62.12.34.103	A2
62.12.34.104	62.12.34.111	DE
62.12.34.112	62.12.38.255	A2
62.12.39.0	62.12.39.7	NG
62.12.39.8	62.12.40.79	A2
62.12.40.80	62.12.40.87	NG
62.12.40.88	62.12.40.111	A2
62.12.40.112	62.12.40.119	NG
62.12.40.120	62.12.63.255	A2
62.12.64.0	62.12.79.255	CY
62.12.80.0	62.12.81.255	RU
62.12.82.0	62.12.95.255	CY
62.12.96.0	62.12.127.255	EG
62.12.128.0	62.12.255.255	CH
62.13.0.0	62.13.47.255	SE
62.13.48.0	62.13.48.191	NO
62.13.48.192	62.13.49.255	SE
62.13.50.0	62.13.50.15	NO
62.13.50.16	62.13.127.255	SE
62.13.128.0	62.13.159.255	GB
62.13.160.0	62.13.191.255	IT
62.13.192.0	62.13.223.255	AT
62.13.224.0	62.15.255.255	ES
62.16.0.0	62.16.31.255	UA
62.16.32.0	62.16.66.255	RU
62.16.67.0	62.16.67.255	TJ
62.16.68.0	62.16.127.255	RU
62.16.128.0	62.16.255.255	NO
62.17.0.0	62.17.255.255	IE
62.18.0.0	62.19.255.255	GB
62.20.0.0	62.20.255.255	SE
62.21.0.0	62.21.127.255	PL
62.21.128.0	62.21.255.255	NL
62.22.0.0	62.22.15.79	ES
62.22.15.80	62.22.15.95	GB
62.22.15.96	62.22.255.255	ES
62.23.0.0	62.23.1.175	FR
62.23.1.176	62.23.1.191	GB
62.23.1.192	62.23.3.159	FR
62.23.3.160	62.23.3.191	GB
62.23.3.192	62.23.3.207	CH
62.23.3.208	62.23.3.223	FR
62.23.3.224	62.23.3.231	GB
62.23.3.232	62.23.4.23	FR
62.23.4.24	62.23.4.31	GB
62.23.4.32	62.23.4.111	FR
62.23.4.112	62.23.4.143	GB
62.23.4.144	62.23.4.159	FR
62.23.4.160	62.23.4.255	GB
62.23.5.0	62.23.8.103	FR
62.23.8.104	62.23.8.111	GB
62.23.8.112	62.23.11.163	FR
62.23.11.164	62.23.11.167	GB
62.23.11.168	62.23.12.127	FR
62.23.12.128	62.23.12.191	GB
62.23.12.192	62.23.12.255	FR
62.23.13.0	62.23.13.29	GB
62.23.13.30	62.23.13.87	FR
62.23.13.88	62.23.13.95	GB
62.23.13.96	62.23.13.159	FR
62.23.13.160	62.23.13.175	GB
62.23.13.176	62.23.13.199	FR
62.23.13.200	62.23.13.207	GB
62.23.13.208	62.23.13.215	FR
62.23.13.216	62.23.13.223	GB
62.23.13.224	62.23.15.151	FR
62.23.15.152	62.23.15.159	GB
62.23.15.160	62.23.15.247	FR
62.23.15.248	62.23.15.255	GB
62.23.16.0	62.23.17.215	FR
62.23.17.216	62.23.17.223	GB
62.23.17.224	62.23.18.255	FR
62.23.19.0	62.23.19.7	IT
62.23.19.8	62.23.19.15	FR
62.23.19.16	62.23.19.31	GB
62.23.19.32	62.23.19.39	FR
62.23.19.40	62.23.19.47	GB
62.23.19.48	62.23.19.95	FR
62.23.19.96	62.23.19.111	GB
62.23.19.112	62.23.19.183	FR
62.23.19.184	62.23.19.223	GB
62.23.19.224	62.23.22.187	FR
62.23.22.188	62.23.22.255	GB
62.23.23.0	62.23.24.119	FR
62.23.24.120	62.23.24.127	GB
62.23.24.128	62.23.25.55	FR
62.23.25.56	62.23.25.63	GB
62.23.25.64	62.23.25.87	FR
62.23.25.88	62.23.25.102	GB
62.23.25.103	62.23.25.191	FR
62.23.25.192	62.23.26.175	GB
62.23.26.176	62.23.26.191	FR
62.23.26.192	62.23.26.255	GB
62.23.27.0	62.23.29.159	FR
62.23.29.160	62.23.29.167	GB
62.23.29.168	62.23.29.183	FR
62.23.29.184	62.23.29.191	GB
62.23.29.192	62.23.29.207	FR
62.23.29.208	62.23.29.255	GB
62.23.30.0	62.23.31.199	FR
62.23.31.200	62.23.31.207	GB
62.23.31.208	62.23.34.151	FR
62.23.34.152	62.23.34.159	GB
62.23.34.160	62.23.36.183	FR
62.23.36.184	62.23.36.191	GB
62.23.36.192	62.23.36.223	FR
62.23.36.224	62.23.36.239	GB
62.23.36.240	62.23.37.127	FR
62.23.37.128	62.23.37.191	GB
62.23.37.192	62.23.37.215	FR
62.23.37.216	62.23.37.239	GB
62.23.37.240	62.23.37.247	FR
62.23.37.248	62.23.38.7	GB
62.23.38.8	62.23.38.31	FR
62.23.38.32	62.23.38.39	GB
62.23.38.40	62.23.38.103	FR
62.23.38.104	62.23.38.127	GB
62.23.38.128	62.23.38.223	FR
62.23.38.224	62.23.38.239	GB
62.23.38.240	62.23.39.47	FR
62.23.39.48	62.23.39.55	GB
62.23.39.56	62.23.39.71	FR
62.23.39.72	62.23.39.79	GB
62.23.39.80	62.23.39.111	FR
62.23.39.112	62.23.39.119	GB
62.23.39.120	62.23.39.143	FR
62.23.39.144	62.23.39.159	GB
62.23.39.160	62.23.39.175	FR
62.23.39.176	62.23.39.183	GB
62.23.39.184	62.23.41.15	FR
62.23.41.16	62.23.41.23	GB
62.23.41.24	62.23.41.39	FR
62.23.41.40	62.23.41.63	GB
62.23.41.64	62.23.41.79	FR
62.23.41.80	62.23.41.95	GB
62.23.41.96	62.23.41.127	FR
62.23.41.128	62.23.41.151	GB
62.23.41.152	62.23.41.175	FR
62.23.41.176	62.23.41.223	GB
62.23.41.224	62.23.41.231	FR
62.23.41.232	62.23.41.239	GB
62.23.41.240	62.23.41.255	FR
62.23.42.0	62.23.42.7	GB
62.23.42.8	62.23.42.15	FR
62.23.42.16	62.23.42.47	GB
62.23.42.48	62.23.42.159	FR
62.23.42.160	62.23.42.191	GB
62.23.42.192	62.23.42.223	FR
62.23.42.224	62.23.42.231	GB
62.23.42.232	62.23.43.15	FR
62.23.43.16	62.23.43.23	GB
62.23.43.24	62.23.43.39	FR
62.23.43.40	62.23.43.87	GB
62.23.43.88	62.23.43.103	FR
62.23.43.104	62.23.43.127	GB
62.23.43.128	62.23.43.143	FR
62.23.43.144	62.23.43.151	GB
62.23.43.152	62.23.43.159	FR
62.23.43.160	62.23.43.167	GB
62.23.43.168	62.23.43.175	FR
62.23.43.176	62.23.43.183	GB
62.23.43.184	62.23.43.207	FR
62.23.43.208	62.23.43.223	GB
62.23.43.224	62.23.44.103	FR
62.23.44.104	62.23.44.111	GB
62.23.44.112	62.23.44.127	FR
62.23.44.128	62.23.44.159	GB
62.23.44.160	62.23.44.207	FR
62.23.44.208	62.23.44.255	GB
62.23.45.0	62.23.45.31	FR
62.23.45.32	62.23.45.47	GB
62.23.45.48	62.23.45.119	FR
62.23.45.120	62.23.45.127	GB
62.23.45.128	62.23.45.207	FR
62.23.45.208	62.23.45.223	GB
62.23.45.224	62.23.45.239	FR
62.23.45.240	62.23.45.247	GB
62.23.45.248	62.23.47.39	FR
62.23.47.40	62.23.47.47	GB
62.23.47.48	62.23.47.199	FR
62.23.47.200	62.23.47.223	GB
62.23.47.224	62.23.47.247	FR
62.23.47.248	62.23.47.255	GB
62.23.48.0	62.23.49.39	FR
62.23.49.40	62.23.49.55	GB
62.23.49.56	62.23.49.143	FR
62.23.49.144	62.23.49.151	GB
62.23.49.152	62.23.49.191	FR
62.23.49.192	62.23.49.199	GB
62.23.49.200	62.23.49.223	FR
62.23.49.224	62.23.49.231	GB
62.23.49.232	62.23.49.239	FR
62.23.49.240	62.23.49.255	GB
62.23.50.0	62.23.50.39	FR
62.23.50.40	62.23.50.63	GB
62.23.50.64	62.23.50.111	FR
62.23.50.112	62.23.50.119	GB
62.23.50.120	62.23.50.159	FR
62.23.50.160	62.23.50.167	GB
62.23.50.168	62.23.51.119	FR
62.23.51.120	62.23.51.127	GB
62.23.51.128	62.23.51.223	FR
62.23.51.224	62.23.51.231	GB
62.23.51.232	62.23.51.247	FR
62.23.51.248	62.23.51.255	GB
62.23.52.0	62.23.53.39	FR
62.23.53.40	62.23.53.47	GB
62.23.53.48	62.23.53.87	FR
62.23.53.88	62.23.53.95	GB
62.23.53.96	62.23.53.127	FR
62.23.53.128	62.23.53.143	GB
62.23.53.144	62.23.53.159	FR
62.23.53.160	62.23.53.199	GB
62.23.53.200	62.23.53.207	FR
62.23.53.208	62.23.53.223	GB
62.23.53.224	62.23.54.143	FR
62.23.54.144	62.23.54.151	GB
62.23.54.152	62.23.55.7	FR
62.23.55.8	62.23.55.15	GB
62.23.55.16	62.23.55.47	FR
62.23.55.48	62.23.55.55	GB
62.23.55.56	62.23.55.79	FR
62.23.55.80	62.23.55.95	GB
62.23.55.96	62.23.55.103	FR
62.23.55.104	62.23.55.111	GB
62.23.55.112	62.23.55.127	FR
62.23.55.128	62.23.55.143	GB
62.23.55.144	62.23.55.191	FR
62.23.55.192	62.23.55.199	GB
62.23.55.200	62.23.55.223	FR
62.23.55.224	62.23.55.255	GB
62.23.56.0	62.23.57.31	FR
62.23.57.32	62.23.57.63	GB
62.23.57.64	62.23.57.151	FR
62.23.57.152	62.23.57.159	GB
62.23.57.160	62.23.57.167	FR
62.23.57.168	62.23.57.175	GB
62.23.57.176	62.23.58.199	FR
62.23.58.200	62.23.58.207	GB
62.23.58.208	62.23.58.215	FR
62.23.58.216	62.23.58.223	GB
62.23.58.224	62.23.59.79	FR
62.23.59.80	62.23.59.87	GB
62.23.59.88	62.23.59.95	FR
62.23.59.96	62.23.59.103	GB
62.23.59.104	62.23.59.111	FR
62.23.59.112	62.23.59.119	GB
62.23.59.120	62.23.59.167	FR
62.23.59.168	62.23.59.175	GB
62.23.59.176	62.23.59.183	FR
62.23.59.184	62.23.59.191	GB
62.23.59.192	62.23.59.223	FR
62.23.59.224	62.23.59.231	GB
62.23.59.232	62.23.61.15	FR
62.23.61.16	62.23.61.23	GB
62.23.61.24	62.23.61.55	FR
62.23.61.56	62.23.61.71	GB
62.23.61.72	62.23.61.103	FR
62.23.61.104	62.23.61.119	GB
62.23.61.120	62.23.61.135	FR
62.23.61.136	62.23.61.151	GB
62.23.61.152	62.23.61.159	FR
62.23.61.160	62.23.61.175	GB
62.23.61.176	62.23.61.199	FR
62.23.61.200	62.23.61.207	GB
62.23.61.208	62.23.61.223	FR
62.23.61.224	62.23.61.247	GB
62.23.61.248	62.23.62.127	FR
62.23.62.128	62.23.62.135	GB
62.23.62.136	62.23.62.143	FR
62.23.62.144	62.23.62.151	GB
62.23.62.152	62.23.62.183	FR
62.23.62.184	62.23.62.191	GB
62.23.62.192	62.23.65.71	FR
62.23.65.72	62.23.65.79	GB
62.23.65.80	62.23.65.95	FR
62.23.65.96	62.23.65.159	GB
62.23.65.160	62.23.65.191	FR
62.23.65.192	62.23.65.207	GB
62.23.65.208	62.23.65.223	FR
62.23.65.224	62.23.65.239	GB
62.23.65.240	62.23.67.71	FR
62.23.67.72	62.23.67.79	GB
62.23.67.80	62.23.69.15	FR
62.23.69.16	62.23.69.31	GB
62.23.69.32	62.23.69.39	FR
62.23.69.40	62.23.69.47	GB
62.23.69.48	62.23.71.199	FR
62.23.71.200	62.23.71.207	GB
62.23.71.208	62.23.71.231	FR
62.23.71.232	62.23.71.239	GB
62.23.71.240	62.23.75.55	FR
62.23.75.56	62.23.75.63	GB
62.23.75.64	62.23.75.71	FR
62.23.75.72	62.23.75.87	GB
62.23.75.88	62.23.75.127	FR
62.23.75.128	62.23.75.135	GB
62.23.75.136	62.23.75.151	FR
62.23.75.152	62.23.75.159	GB
62.23.75.160	62.23.75.175	FR
62.23.75.176	62.23.75.183	GB
62.23.75.184	62.23.75.191	FR
62.23.75.192	62.23.75.255	GB
62.23.76.0	62.23.77.91	FR
62.23.77.92	62.23.77.95	GB
62.23.77.96	62.23.78.87	FR
62.23.78.88	62.23.78.95	GB
62.23.78.96	62.23.78.143	FR
62.23.78.144	62.23.78.159	GB
62.23.78.160	62.23.78.167	FR
62.23.78.168	62.23.78.191	GB
62.23.78.192	62.23.78.223	FR
62.23.78.224	62.23.78.231	GB
62.23.78.232	62.23.79.53	FR
62.23.79.54	62.23.79.63	GB
62.23.79.64	62.23.79.111	FR
62.23.79.112	62.23.79.127	GB
62.23.79.128	62.23.79.135	FR
62.23.79.136	62.23.79.143	GB
62.23.79.144	62.23.79.151	FR
62.23.79.152	62.23.79.159	GB
62.23.79.160	62.23.79.175	FR
62.23.79.176	62.23.79.199	GB
62.23.79.200	62.23.79.207	FR
62.23.79.208	62.23.79.223	GB
62.23.79.224	62.23.79.239	FR
62.23.79.240	62.23.79.255	GB
62.23.80.0	62.23.81.71	FR
62.23.81.72	62.23.81.79	GB
62.23.81.80	62.23.81.127	FR
62.23.81.128	62.23.81.159	GB
62.23.81.160	62.23.81.175	FR
62.23.81.176	62.23.81.191	GB
62.23.81.192	62.23.82.55	FR
62.23.82.56	62.23.82.79	GB
62.23.82.80	62.23.82.95	FR
62.23.82.96	62.23.82.111	GB
62.23.82.112	62.23.82.151	FR
62.23.82.152	62.23.82.158	GB
62.23.82.159	62.23.82.191	FR
62.23.82.192	62.23.82.199	GB
62.23.82.200	62.23.82.231	FR
62.23.82.232	62.23.82.239	GB
62.23.82.240	62.23.83.31	FR
62.23.83.32	62.23.83.47	GB
62.23.83.48	62.23.83.79	FR
62.23.83.80	62.23.83.95	GB
62.23.83.96	62.23.83.143	FR
62.23.83.144	62.23.83.255	GB
62.23.84.0	62.23.84.87	FR
62.23.84.88	62.23.84.95	GB
62.23.84.96	62.23.84.215	FR
62.23.84.216	62.23.84.223	GB
62.23.84.224	62.23.85.23	FR
62.23.85.24	62.23.85.31	GB
62.23.85.32	62.23.85.39	FR
62.23.85.40	62.23.85.47	GB
62.23.85.48	62.23.85.79	FR
62.23.85.80	62.23.85.95	GB
62.23.85.96	62.23.85.191	FR
62.23.85.192	62.23.85.223	GB
62.23.85.224	62.23.87.79	FR
62.23.87.80	62.23.87.87	GB
62.23.87.88	62.23.87.95	FR
62.23.87.96	62.23.87.111	GB
62.23.87.112	62.23.87.119	FR
62.23.87.120	62.23.87.127	GB
62.23.87.128	62.23.87.175	FR
62.23.87.176	62.23.87.191	GB
62.23.87.192	62.23.87.207	FR
62.23.87.208	62.23.87.255	GB
62.23.88.0	62.23.89.183	FR
62.23.89.184	62.23.89.191	GB
62.23.89.192	62.23.91.96	FR
62.23.91.97	62.23.91.103	GB
62.23.91.104	62.23.91.111	FR
62.23.91.112	62.23.91.119	GB
62.23.91.120	62.23.91.135	FR
62.23.91.136	62.23.91.143	GB
62.23.91.144	62.23.91.175	FR
62.23.91.176	62.23.91.199	GB
62.23.91.200	62.23.91.215	FR
62.23.91.216	62.23.91.239	GB
62.23.91.240	62.23.92.71	FR
62.23.92.72	62.23.92.79	GB
62.23.92.80	62.23.92.175	FR
62.23.92.176	62.23.92.183	GB
62.23.92.184	62.23.92.191	FR
62.23.92.192	62.23.92.207	GB
62.23.92.208	62.23.92.223	FR
62.23.92.224	62.23.92.231	GB
62.23.92.232	62.23.93.71	FR
62.23.93.72	62.23.93.79	GB
62.23.93.80	62.23.93.95	FR
62.23.93.96	62.23.93.111	GB
62.23.93.112	62.23.93.135	FR
62.23.93.136	62.23.93.143	GB
62.23.93.144	62.23.94.151	FR
62.23.94.152	62.23.94.159	GB
62.23.94.160	62.23.94.191	FR
62.23.94.192	62.23.94.207	GB
62.23.94.208	62.23.94.215	FR
62.23.94.216	62.23.94.223	GB
62.23.94.224	62.23.95.127	FR
62.23.95.128	62.23.95.135	GB
62.23.95.136	62.23.95.163	FR
62.23.95.164	62.23.95.167	GB
62.23.95.168	62.23.95.175	FR
62.23.95.176	62.23.95.183	GB
62.23.95.184	62.23.95.184	FR
62.23.95.185	62.23.95.187	GB
62.23.95.188	62.23.95.188	FR
62.23.95.189	62.23.95.191	GB
62.23.95.192	62.23.95.207	FR
62.23.95.208	62.23.95.223	GB
62.23.95.224	62.23.97.131	FR
62.23.97.132	62.23.97.135	GB
62.23.97.136	62.23.97.151	FR
62.23.97.152	62.23.97.159	GB
62.23.97.160	62.23.97.191	FR
62.23.97.192	62.23.97.207	GB
62.23.97.208	62.23.98.79	FR
62.23.98.80	62.23.98.95	GB
62.23.98.96	62.23.98.111	FR
62.23.98.112	62.23.98.127	GB
62.23.98.128	62.23.98.207	FR
62.23.98.208	62.23.98.223	GB
62.23.98.224	62.23.100.231	FR
62.23.100.232	62.23.100.239	GB
62.23.100.240	62.23.100.247	FR
62.23.100.248	62.23.101.31	GB
62.23.101.32	62.23.101.55	FR
62.23.101.56	62.23.101.63	GB
62.23.101.64	62.23.101.111	FR
62.23.101.112	62.23.101.127	GB
62.23.101.128	62.23.102.207	FR
62.23.102.208	62.23.102.223	GB
62.23.102.224	62.23.104.47	FR
62.23.104.48	62.23.104.63	GB
62.23.104.64	62.23.104.175	FR
62.23.104.176	62.23.104.191	GB
62.23.104.192	62.23.105.175	FR
62.23.105.176	62.23.105.191	GB
62.23.105.192	62.23.105.215	FR
62.23.105.216	62.23.105.223	GB
62.23.105.224	62.23.107.63	FR
62.23.107.64	62.23.107.79	GB
62.23.107.80	62.23.107.111	FR
62.23.107.112	62.23.107.127	GB
62.23.107.128	62.23.107.167	FR
62.23.107.168	62.23.108.15	GB
62.23.108.16	62.23.108.23	FR
62.23.108.24	62.23.108.31	GB
62.23.108.32	62.23.108.55	FR
62.23.108.56	62.23.108.63	GB
62.23.108.64	62.23.108.111	FR
62.23.108.112	62.23.108.135	GB
62.23.108.136	62.23.108.167	FR
62.23.108.168	62.23.108.183	GB
62.23.108.184	62.23.108.199	FR
62.23.108.200	62.23.108.207	GB
62.23.108.208	62.23.108.215	FR
62.23.108.216	62.23.108.255	GB
62.23.109.0	62.23.110.103	FR
62.23.110.104	62.23.110.127	GB
62.23.110.128	62.23.110.167	FR
62.23.110.168	62.23.110.255	GB
62.23.111.0	62.23.111.223	FR
62.23.111.224	62.23.111.255	GB
62.23.112.0	62.23.113.7	FR
62.23.113.8	62.23.113.127	GB
62.23.113.128	62.23.113.191	FR
62.23.113.192	62.23.113.223	GB
62.23.113.224	62.23.113.239	FR
62.23.113.240	62.23.113.255	GB
62.23.114.0	62.23.116.39	FR
62.23.116.40	62.23.116.47	GB
62.23.116.48	62.23.116.55	FR
62.23.116.56	62.23.116.63	GB
62.23.116.64	62.23.116.255	FR
62.23.117.0	62.23.117.255	GB
62.23.118.0	62.23.118.191	FR
62.23.118.192	62.23.118.239	GB
62.23.118.240	62.23.118.247	FR
62.23.118.248	62.23.119.47	GB
62.23.119.48	62.23.119.71	FR
62.23.119.72	62.23.119.87	GB
62.23.119.88	62.23.119.191	FR
62.23.119.192	62.23.119.223	GB
62.23.119.224	62.23.121.53	FR
62.23.121.54	62.23.121.55	GB
62.23.121.56	62.23.121.119	FR
62.23.121.120	62.23.121.127	GB
62.23.121.128	62.23.122.111	FR
62.23.122.112	62.23.122.127	GB
62.23.122.128	62.23.122.175	FR
62.23.122.176	62.23.122.199	GB
62.23.122.200	62.23.122.207	FR
62.23.122.208	62.23.122.215	GB
62.23.122.216	62.23.124.47	FR
62.23.124.48	62.23.124.79	GB
62.23.124.80	62.23.124.175	FR
62.23.124.176	62.23.124.191	GB
62.23.124.192	62.23.124.207	FR
62.23.124.208	62.23.124.223	GB
62.23.124.224	62.23.125.15	FR
62.23.125.16	62.23.125.31	GB
62.23.125.32	62.23.125.127	FR
62.23.125.128	62.23.125.135	GB
62.23.125.136	62.23.125.159	FR
62.23.125.160	62.23.125.183	GB
62.23.125.184	62.23.125.231	FR
62.23.125.232	62.23.125.239	GB
62.23.125.240	62.23.125.255	FR
62.23.126.0	62.23.126.3	GB
62.23.126.4	62.23.126.7	FR
62.23.126.8	62.23.126.11	GB
62.23.126.12	62.23.126.15	FR
62.23.126.16	62.23.126.16	GB
62.23.126.17	62.23.126.18	FR
62.23.126.19	62.23.126.19	GB
62.23.126.20	62.23.126.31	FR
62.23.126.32	62.23.126.52	GB
62.23.126.53	62.23.126.53	FR
62.23.126.54	62.23.126.60	GB
62.23.126.61	62.23.126.62	FR
62.23.126.63	62.23.126.66	GB
62.23.126.67	62.23.126.67	FR
62.23.126.68	62.23.126.73	GB
62.23.126.74	62.23.126.74	FR
62.23.126.75	62.23.126.79	GB
62.23.126.80	62.23.126.87	FR
62.23.126.88	62.23.126.94	GB
62.23.126.95	62.23.126.111	FR
62.23.126.112	62.23.126.113	GB
62.23.126.114	62.23.126.114	FR
62.23.126.115	62.23.126.115	GB
62.23.126.116	62.23.126.191	FR
62.23.126.192	62.23.126.255	GB
62.23.127.0	62.23.127.7	FR
62.23.127.8	62.23.127.15	GB
62.23.127.16	62.23.127.71	FR
62.23.127.72	62.23.127.79	GB
62.23.127.80	62.23.129.255	FR
62.23.130.0	62.23.130.47	GB
62.23.130.48	62.23.130.63	FR
62.23.130.64	62.23.130.95	GB
62.23.130.96	62.23.130.111	FR
62.23.130.112	62.23.130.127	GB
62.23.130.128	62.23.133.119	FR
62.23.133.120	62.23.133.127	GB
62.23.133.128	62.23.135.103	FR
62.23.135.104	62.23.135.111	GB
62.23.135.112	62.23.135.167	FR
62.23.135.168	62.23.135.175	GB
62.23.135.176	62.23.135.223	FR
62.23.135.224	62.23.135.239	GB
62.23.135.240	62.23.135.247	FR
62.23.135.248	62.23.135.255	GB
62.23.136.0	62.23.136.25	FR
62.23.136.26	62.23.136.28	GB
62.23.136.29	62.23.136.30	FR
62.23.136.31	62.23.136.31	GB
62.23.136.32	62.23.136.79	FR
62.23.136.80	62.23.136.87	GB
62.23.136.88	62.23.136.127	FR
62.23.136.128	62.23.136.255	GB
62.23.137.0	62.23.138.191	FR
62.23.138.192	62.23.138.199	GB
62.23.138.200	62.23.140.79	FR
62.23.140.80	62.23.140.95	GB
62.23.140.96	62.23.145.79	FR
62.23.145.80	62.23.145.95	GB
62.23.145.96	62.23.145.135	FR
62.23.145.136	62.23.145.191	GB
62.23.145.192	62.23.145.215	FR
62.23.145.216	62.23.145.223	GB
62.23.145.224	62.23.145.255	FR
62.23.146.0	62.23.146.15	GB
62.23.146.16	62.23.146.31	FR
62.23.146.32	62.23.146.95	GB
62.23.146.96	62.23.146.159	FR
62.23.146.160	62.23.146.199	GB
62.23.146.200	62.23.146.207	FR
62.23.146.208	62.23.146.215	GB
62.23.146.216	62.23.147.95	FR
62.23.147.96	62.23.147.103	GB
62.23.147.104	62.23.147.111	FR
62.23.147.112	62.23.147.127	GB
62.23.147.128	62.23.148.255	FR
62.23.149.0	62.23.149.7	GB
62.23.149.8	62.23.149.15	FR
62.23.149.16	62.23.149.63	GB
62.23.149.64	62.23.149.95	FR
62.23.149.96	62.23.149.103	GB
62.23.149.104	62.23.149.127	FR
62.23.149.128	62.23.149.239	GB
62.23.149.240	62.23.151.127	FR
62.23.151.128	62.23.151.159	GB
62.23.151.160	62.23.151.191	FR
62.23.151.192	62.23.151.255	GB
62.23.152.0	62.23.157.15	FR
62.23.157.16	62.23.157.31	GB
62.23.157.32	62.23.157.63	FR
62.23.157.64	62.23.157.79	GB
62.23.157.80	62.23.157.87	FR
62.23.157.88	62.23.157.127	GB
62.23.157.128	62.23.157.143	FR
62.23.157.144	62.23.157.175	GB
62.23.157.176	62.23.157.207	FR
62.23.157.208	62.23.157.255	GB
62.23.158.0	62.23.159.7	FR
62.23.159.8	62.23.159.71	GB
62.23.159.72	62.23.159.95	FR
62.23.159.96	62.23.159.127	GB
62.23.159.128	62.23.159.143	FR
62.23.159.144	62.23.159.159	GB
62.23.159.160	62.23.159.191	FR
62.23.159.192	62.23.159.239	GB
62.23.159.240	62.23.162.183	FR
62.23.162.184	62.23.162.191	GB
62.23.162.192	62.23.162.231	FR
62.23.162.232	62.23.162.255	GB
62.23.163.0	62.23.163.7	FR
62.23.163.8	62.23.163.15	GB
62.23.163.16	62.23.163.79	FR
62.23.163.80	62.23.163.87	GB
62.23.163.88	62.23.163.95	FR
62.23.163.96	62.23.163.103	GB
62.23.163.104	62.23.163.143	FR
62.23.163.144	62.23.163.151	GB
62.23.163.152	62.23.163.159	FR
62.23.163.160	62.23.163.183	GB
62.23.163.184	62.23.163.239	FR
62.23.163.240	62.23.163.247	GB
62.23.163.248	62.23.165.55	FR
62.23.165.56	62.23.165.71	GB
62.23.165.72	62.23.165.79	FR
62.23.165.80	62.23.165.95	GB
62.23.165.96	62.23.165.111	FR
62.23.165.112	62.23.165.159	GB
62.23.165.160	62.23.165.167	FR
62.23.165.168	62.23.165.191	GB
62.23.165.192	62.23.166.31	FR
62.23.166.32	62.23.166.63	GB
62.23.166.64	62.23.166.79	FR
62.23.166.80	62.23.166.87	GB
62.23.166.88	62.23.166.159	FR
62.23.166.160	62.23.166.175	GB
62.23.166.176	62.23.166.183	FR
62.23.166.184	62.23.166.207	GB
62.23.166.208	62.23.166.239	FR
62.23.166.240	62.23.166.247	GB
62.23.166.248	62.23.167.7	FR
62.23.167.8	62.23.167.31	GB
62.23.167.32	62.23.167.111	FR
62.23.167.112	62.23.167.127	GB
62.23.167.128	62.23.167.135	FR
62.23.167.136	62.23.167.143	GB
62.23.167.144	62.23.167.175	FR
62.23.167.176	62.23.167.191	GB
62.23.167.192	62.23.167.199	FR
62.23.167.200	62.23.167.223	GB
62.23.167.224	62.23.167.255	FR
62.23.168.0	62.23.168.15	GB
62.23.168.16	62.23.168.47	FR
62.23.168.48	62.23.168.95	GB
62.23.168.96	62.23.168.119	FR
62.23.168.120	62.23.168.127	GB
62.23.168.128	62.23.168.143	FR
62.23.168.144	62.23.168.151	GB
62.23.168.152	62.23.168.175	FR
62.23.168.176	62.23.168.183	GB
62.23.168.184	62.23.168.191	FR
62.23.168.192	62.23.168.207	GB
62.23.168.208	62.23.169.175	FR
62.23.169.176	62.23.169.183	GB
62.23.169.184	62.23.169.231	FR
62.23.169.232	62.23.169.239	GB
62.23.169.240	62.23.171.7	FR
62.23.171.8	62.23.171.15	GB
62.23.171.16	62.23.171.23	FR
62.23.171.24	62.23.171.47	GB
62.23.171.48	62.23.171.55	FR
62.23.171.56	62.23.171.63	GB
62.23.171.64	62.23.171.71	FR
62.23.171.72	62.23.171.79	GB
62.23.171.80	62.23.171.87	FR
62.23.171.88	62.23.171.95	GB
62.23.171.96	62.23.171.103	FR
62.23.171.104	62.23.171.111	GB
62.23.171.112	62.23.171.207	FR
62.23.171.208	62.23.171.215	GB
62.23.171.216	62.23.171.239	FR
62.23.171.240	62.23.171.247	GB
62.23.171.248	62.23.173.71	FR
62.23.173.72	62.23.173.79	GB
62.23.173.80	62.23.173.159	FR
62.23.173.160	62.23.173.167	GB
62.23.173.168	62.23.173.175	FR
62.23.173.176	62.23.173.199	GB
62.23.173.200	62.23.173.207	FR
62.23.173.208	62.23.173.223	GB
62.23.173.224	62.23.174.31	FR
62.23.174.32	62.23.174.35	BE
62.23.174.36	62.23.174.39	GB
62.23.174.40	62.23.174.111	FR
62.23.174.112	62.23.174.119	BE
62.23.174.120	62.23.174.127	FR
62.23.174.128	62.23.174.159	GB
62.23.174.160	62.23.174.199	FR
62.23.174.200	62.23.174.207	GB
62.23.174.208	62.23.174.223	FR
62.23.174.224	62.23.174.239	GB
62.23.174.240	62.23.174.255	FR
62.23.175.0	62.23.175.15	GB
62.23.175.16	62.23.175.223	FR
62.23.175.224	62.23.175.231	GB
62.23.175.232	62.23.176.255	FR
62.23.177.0	62.23.177.7	GB
62.23.177.8	62.23.177.103	FR
62.23.177.104	62.23.177.111	GB
62.23.177.112	62.23.177.231	FR
62.23.177.232	62.23.177.239	GB
62.23.177.240	62.23.179.23	FR
62.23.179.24	62.23.179.31	GB
62.23.179.32	62.23.179.47	FR
62.23.179.48	62.23.179.63	GB
62.23.179.64	62.23.179.103	FR
62.23.179.104	62.23.179.111	GB
62.23.179.112	62.23.179.127	FR
62.23.179.128	62.23.179.143	GB
62.23.179.144	62.23.179.159	FR
62.23.179.160	62.23.179.175	GB
62.23.179.176	62.23.181.15	FR
62.23.181.16	62.23.181.31	GB
62.23.181.32	62.23.181.79	FR
62.23.181.80	62.23.181.95	GB
62.23.181.96	62.23.181.183	FR
62.23.181.184	62.23.181.207	GB
62.23.181.208	62.23.181.223	FR
62.23.181.224	62.23.181.239	GB
62.23.181.240	62.23.182.255	FR
62.23.183.0	62.23.183.7	GB
62.23.183.8	62.23.183.39	FR
62.23.183.40	62.23.183.47	GB
62.23.183.48	62.23.183.63	FR
62.23.183.64	62.23.183.79	GB
62.23.183.80	62.23.183.95	FR
62.23.183.96	62.23.183.111	GB
62.23.183.112	62.23.183.119	FR
62.23.183.120	62.23.183.255	GB
62.23.184.0	62.23.185.143	FR
62.23.185.144	62.23.185.159	GB
62.23.185.160	62.23.185.183	FR
62.23.185.184	62.23.185.191	GB
62.23.185.192	62.23.185.199	FR
62.23.185.200	62.23.185.207	GB
62.23.185.208	62.23.185.223	FR
62.23.185.224	62.23.185.255	GB
62.23.186.0	62.23.186.23	FR
62.23.186.24	62.23.186.31	GB
62.23.186.32	62.23.186.47	FR
62.23.186.48	62.23.186.55	GB
62.23.186.56	62.23.186.71	FR
62.23.186.72	62.23.186.79	GB
62.23.186.80	62.23.186.119	FR
62.23.186.120	62.23.186.127	GB
62.23.186.128	62.23.186.135	FR
62.23.186.136	62.23.186.143	GB
62.23.186.144	62.23.186.175	FR
62.23.186.176	62.23.186.191	GB
62.23.186.192	62.23.189.31	FR
62.23.189.32	62.23.189.39	GB
62.23.189.40	62.23.189.71	FR
62.23.189.72	62.23.189.111	GB
62.23.189.112	62.23.189.199	FR
62.23.189.200	62.23.189.207	GB
62.23.189.208	62.23.190.255	FR
62.23.191.0	62.23.191.7	GB
62.23.191.8	62.23.191.23	FR
62.23.191.24	62.23.191.31	GB
62.23.191.32	62.23.191.55	FR
62.23.191.56	62.23.191.63	GB
62.23.191.64	62.23.191.127	FR
62.23.191.128	62.23.191.143	GB
62.23.191.144	62.23.191.151	FR
62.23.191.152	62.23.191.159	GB
62.23.191.160	62.23.191.175	FR
62.23.191.176	62.23.191.183	GB
62.23.191.184	62.23.191.191	FR
62.23.191.192	62.23.191.207	GB
62.23.191.208	62.23.191.215	FR
62.23.191.216	62.23.191.231	GB
62.23.191.232	62.23.191.247	FR
62.23.191.248	62.23.191.255	GB
62.23.192.0	62.23.193.159	FR
62.23.193.160	62.23.193.167	GB
62.23.193.168	62.23.193.183	FR
62.23.193.184	62.23.193.199	GB
62.23.193.200	62.23.193.231	FR
62.23.193.232	62.23.193.239	GB
62.23.193.240	62.23.194.15	FR
62.23.194.16	62.23.194.23	GB
62.23.194.24	62.23.194.95	FR
62.23.194.96	62.23.194.159	GB
62.23.194.160	62.23.194.215	FR
62.23.194.216	62.23.194.223	GB
62.23.194.224	62.23.194.239	FR
62.23.194.240	62.23.194.255	GB
62.23.195.0	62.23.196.23	FR
62.23.196.24	62.23.196.31	GB
62.23.196.32	62.23.196.47	FR
62.23.196.48	62.23.196.55	GB
62.23.196.56	62.23.196.79	FR
62.23.196.80	62.23.196.87	GB
62.23.196.88	62.23.196.111	FR
62.23.196.112	62.23.196.135	GB
62.23.196.136	62.23.196.167	FR
62.23.196.168	62.23.196.175	GB
62.23.196.176	62.23.196.231	FR
62.23.196.232	62.23.196.247	GB
62.23.196.248	62.23.197.15	FR
62.23.197.16	62.23.197.39	GB
62.23.197.40	62.23.197.95	FR
62.23.197.96	62.23.197.127	GB
62.23.197.128	62.23.197.175	FR
62.23.197.176	62.23.197.191	GB
62.23.197.192	62.23.197.207	FR
62.23.197.208	62.23.197.223	GB
62.23.197.224	62.23.198.7	FR
62.23.198.8	62.23.198.15	GB
62.23.198.16	62.23.198.39	FR
62.23.198.40	62.23.198.63	GB
62.23.198.64	62.23.198.71	FR
62.23.198.72	62.23.198.79	GB
62.23.198.80	62.23.198.87	FR
62.23.198.88	62.23.198.95	GB
62.23.198.96	62.23.198.135	FR
62.23.198.136	62.23.198.143	GB
62.23.198.144	62.23.198.159	FR
62.23.198.160	62.23.198.167	GB
62.23.198.168	62.23.198.191	FR
62.23.198.192	62.23.198.207	GB
62.23.198.208	62.23.198.231	FR
62.23.198.232	62.23.198.239	GB
62.23.198.240	62.23.198.247	FR
62.23.198.248	62.23.198.255	GB
62.23.199.0	62.23.199.87	FR
62.23.199.88	62.23.199.103	GB
62.23.199.104	62.23.199.191	FR
62.23.199.192	62.23.199.207	GB
62.23.199.208	62.23.199.223	FR
62.23.199.224	62.23.200.39	GB
62.23.200.40	62.23.200.79	FR
62.23.200.80	62.23.200.95	GB
62.23.200.96	62.23.200.103	FR
62.23.200.104	62.23.200.111	GB
62.23.200.112	62.23.200.119	FR
62.23.200.120	62.23.200.127	GB
62.23.200.128	62.23.200.143	FR
62.23.200.144	62.23.200.159	GB
62.23.200.160	62.23.200.191	FR
62.23.200.192	62.23.200.215	GB
62.23.200.216	62.23.203.15	FR
62.23.203.16	62.23.203.47	GB
62.23.203.48	62.23.203.55	FR
62.23.203.56	62.23.203.63	GB
62.23.203.64	62.23.203.111	FR
62.23.203.112	62.23.203.135	GB
62.23.203.136	62.23.203.143	FR
62.23.203.144	62.23.203.159	GB
62.23.203.160	62.23.203.175	FR
62.23.203.176	62.23.203.207	GB
62.23.203.208	62.23.206.7	FR
62.23.206.8	62.23.206.31	GB
62.23.206.32	62.23.215.15	FR
62.23.215.16	62.23.215.23	GB
62.23.215.24	62.23.215.47	FR
62.23.215.48	62.23.215.55	GB
62.23.215.56	62.23.215.87	FR
62.23.215.88	62.23.215.95	GB
62.23.215.96	62.23.215.207	FR
62.23.215.208	62.23.215.223	GB
62.23.215.224	62.23.215.239	FR
62.23.215.240	62.23.215.247	GB
62.23.215.248	62.23.217.255	FR
62.23.218.0	62.23.218.15	GB
62.23.218.16	62.23.218.135	FR
62.23.218.136	62.23.218.143	GB
62.23.218.144	62.23.218.215	FR
62.23.218.216	62.23.218.223	GB
62.23.218.224	62.23.218.247	FR
62.23.218.248	62.23.218.255	GB
62.23.219.0	62.23.222.143	FR
62.23.222.144	62.23.222.167	GB
62.23.222.168	62.23.228.231	FR
62.23.228.232	62.23.228.239	GB
62.23.228.240	62.23.229.63	FR
62.23.229.64	62.23.229.159	GB
62.23.229.160	62.23.229.255	FR
62.23.230.0	62.23.230.175	GB
62.23.230.176	62.23.230.231	FR
62.23.230.232	62.23.230.239	GB
62.23.230.240	62.23.231.127	FR
62.23.231.128	62.23.231.159	GB
62.23.231.160	62.23.232.31	FR
62.23.232.32	62.23.232.39	GB
62.23.232.40	62.23.232.63	FR
62.23.232.64	62.23.232.79	GB
62.23.232.80	62.23.232.127	FR
62.23.232.128	62.23.232.135	GB
62.23.232.136	62.23.233.87	FR
62.23.233.88	62.23.233.95	GB
62.23.233.96	62.23.233.111	FR
62.23.233.112	62.23.233.127	GB
62.23.233.128	62.23.236.95	FR
62.23.236.96	62.23.236.103	GB
62.23.236.104	62.23.236.199	FR
62.23.236.200	62.23.236.207	GB
62.23.236.208	62.23.236.239	FR
62.23.236.240	62.23.236.255	GB
62.23.237.0	62.23.237.111	FR
62.23.237.112	62.23.237.127	GB
62.23.237.128	62.23.237.239	FR
62.23.237.240	62.23.237.255	GB
62.23.238.0	62.23.241.47	FR
62.23.241.48	62.23.241.55	GB
62.23.241.56	62.23.241.143	FR
62.23.241.144	62.23.241.151	GB
62.23.241.152	62.23.241.183	FR
62.23.241.184	62.23.241.191	GB
62.23.241.192	62.23.241.239	FR
62.23.241.240	62.23.241.247	GB
62.23.241.248	62.23.242.23	FR
62.23.242.24	62.23.242.31	DE
62.23.242.32	62.23.242.247	FR
62.23.242.248	62.23.242.255	GB
62.23.243.0	62.23.243.95	FR
62.23.243.96	62.23.243.111	GB
62.23.243.112	62.23.243.159	FR
62.23.243.160	62.23.243.167	GB
62.23.243.168	62.23.243.183	FR
62.23.243.184	62.23.243.199	GB
62.23.243.200	62.23.243.247	FR
62.23.243.248	62.23.243.251	GB
62.23.243.252	62.23.245.63	FR
62.23.245.64	62.23.245.79	GB
62.23.245.80	62.23.245.143	FR
62.23.245.144	62.23.245.151	GB
62.23.245.152	62.23.245.191	FR
62.23.245.192	62.23.245.207	GB
62.23.245.208	62.23.245.223	FR
62.23.245.224	62.23.245.231	GB
62.23.245.232	62.23.245.247	FR
62.23.245.248	62.23.245.255	GB
62.23.246.0	62.23.247.79	FR
62.23.247.80	62.23.247.87	GB
62.23.247.88	62.23.247.143	FR
62.23.247.144	62.23.247.159	GB
62.23.247.160	62.23.248.47	FR
62.23.248.48	62.23.248.63	GB
62.23.248.64	62.23.248.111	FR
62.23.248.112	62.23.248.135	GB
62.23.248.136	62.23.248.143	FR
62.23.248.144	62.23.248.159	GB
62.23.248.160	62.23.248.183	FR
62.23.248.184	62.23.248.191	GB
62.23.248.192	62.23.248.199	FR
62.23.248.200	62.23.248.207	GB
62.23.248.208	62.23.248.215	FR
62.23.248.216	62.23.248.223	GB
62.23.248.224	62.23.249.215	FR
62.23.249.216	62.23.249.223	GB
62.23.249.224	62.23.251.255	FR
62.23.252.0	62.23.255.255	GB
62.24.0.0	62.24.31.255	DE
62.24.32.0	62.24.63.255	NO
62.24.64.0	62.24.95.255	CZ
62.24.96.0	62.24.127.255	KE
62.24.128.0	62.24.255.255	GB
62.25.0.0	62.25.63.255	NL
62.25.64.0	62.25.255.255	GB
62.26.0.0	62.26.117.255	DE
62.26.118.0	62.26.118.191	US
62.26.118.192	62.26.191.213	DE
62.26.191.214	62.26.191.214	A2
62.26.191.215	62.26.209.255	DE
62.26.210.0	62.26.210.63	AT
62.26.210.64	62.27.6.63	DE
62.27.6.64	62.27.6.127	DK
62.27.6.128	62.27.9.255	DE
62.27.10.0	62.27.10.255	US
62.27.11.0	62.27.255.255	DE
62.28.0.0	62.28.91.195	PT
62.28.91.196	62.28.91.199	A2
62.28.91.200	62.28.255.255	PT
62.29.0.0	62.29.127.255	TR
62.29.128.0	62.29.255.255	PL
62.30.0.0	62.31.255.255	GB
62.32.0.0	62.32.15.15	CH
62.32.15.16	62.32.15.31	GB
62.32.15.32	62.32.31.255	CH
62.32.32.0	62.32.33.255	NL
62.32.34.0	62.32.34.255	GB
62.32.35.0	62.32.35.31	NL
62.32.35.32	62.32.35.127	IR
62.32.35.128	62.32.44.255	GE
62.32.45.0	62.32.45.127	CY
62.32.45.128	62.32.46.255	GE
62.32.47.0	62.32.47.255	BY
62.32.48.0	62.32.49.127	NL
62.32.49.128	62.32.49.231	IR
62.32.49.232	62.32.49.239	GE
62.32.49.240	62.32.50.255	IR
62.32.51.0	62.32.51.255	GB
62.32.52.0	62.32.52.255	NL
62.32.53.0	62.32.53.31	US
62.32.53.32	62.32.53.63	NL
62.32.53.64	62.32.53.127	IR
62.32.53.128	62.32.53.167	IQ
62.32.53.168	62.32.53.175	IR
62.32.53.176	62.32.53.191	GB
62.32.53.192	62.32.53.223	IQ
62.32.53.224	62.32.53.239	IR
62.32.53.240	62.32.53.255	NL
62.32.54.0	62.32.54.255	GB
62.32.55.0	62.32.55.255	NL
62.32.56.0	62.32.56.255	GB
62.32.57.0	62.32.57.255	IQ
62.32.58.0	62.32.60.255	NL
62.32.61.0	62.32.61.15	BY
62.32.61.16	62.32.61.63	IQ
62.32.61.64	62.32.61.95	AM
62.32.61.96	62.32.61.127	IR
62.32.61.128	62.32.61.191	IT
62.32.61.192	62.32.61.223	IQ
62.32.61.224	62.32.61.255	IR
62.32.62.0	62.32.62.63	NL
62.32.62.64	62.32.62.79	IQ
62.32.62.80	62.32.62.127	GB
62.32.62.128	62.32.62.223	IQ
62.32.62.224	62.32.62.231	NL
62.32.62.232	62.32.62.239	IQ
62.32.62.240	62.32.62.255	LB
62.32.63.0	62.32.63.127	IQ
62.32.63.128	62.32.63.191	IR
62.32.63.192	62.32.63.223	LB
62.32.63.224	62.32.63.231	MD
62.32.63.232	62.32.63.239	UA
62.32.63.240	62.32.63.247	NL
62.32.63.248	62.32.63.255	UA
62.32.64.0	62.32.95.255	RU
62.32.96.0	62.32.127.255	GB
62.32.128.0	62.32.255.255	ES
62.33.0.0	62.33.255.255	RU
62.34.0.0	62.35.255.255	FR
62.36.0.0	62.37.255.255	ES
62.38.0.0	62.38.255.255	GR
62.39.0.0	62.39.255.255	FR
62.40.0.0	62.40.31.255	DE
62.40.32.0	62.40.63.255	IE
62.40.64.0	62.40.95.255	CZ
62.40.96.0	62.40.127.255	GB
62.40.128.0	62.40.255.255	AT
62.41.0.0	62.41.4.7	NL
62.41.4.8	62.41.4.15	DE
62.41.4.16	62.41.5.255	NL
62.41.6.0	62.41.6.255	GB
62.41.7.0	62.41.7.255	NL
62.41.8.0	62.41.8.63	GB
62.41.8.64	62.41.8.255	NL
62.41.9.0	62.41.9.255	DE
62.41.10.0	62.41.10.255	NL
62.41.11.0	62.41.13.255	DE
62.41.14.0	62.41.24.127	NL
62.41.24.128	62.41.24.255	GB
62.41.25.0	62.41.31.255	NL
62.41.32.0	62.41.32.255	DE
62.41.33.0	62.41.55.255	NL
62.41.56.0	62.41.56.255	GB
62.41.57.0	62.41.57.255	NL
62.41.58.0	62.41.58.255	US
62.41.59.0	62.41.60.255	NL
62.41.61.0	62.41.61.127	GB
62.41.61.128	62.41.64.63	NL
62.41.64.64	62.41.64.67	FR
62.41.64.68	62.41.64.95	NL
62.41.64.96	62.41.64.127	GB
62.41.64.128	62.41.64.192	NL
62.41.64.193	62.41.64.198	GB
62.41.64.199	62.41.64.207	NL
62.41.64.208	62.41.64.239	GB
62.41.64.240	62.41.67.255	NL
62.41.68.0	62.41.68.63	GB
62.41.68.64	62.41.68.95	BE
62.41.68.96	62.41.68.239	NL
62.41.68.240	62.41.68.255	DE
62.41.69.0	62.41.70.191	NL
62.41.70.192	62.41.70.255	PL
62.41.71.0	62.41.72.79	NL
62.41.72.80	62.41.72.87	DE
62.41.72.88	62.41.72.159	NL
62.41.72.160	62.41.72.167	DE
62.41.72.168	62.41.72.175	PL
62.41.72.176	62.41.72.183	CH
62.41.72.184	62.41.72.255	NL
62.41.73.0	62.41.73.31	GB
62.41.73.32	62.41.73.79	NL
62.41.73.80	62.41.73.87	DE
62.41.73.88	62.41.73.127	NL
62.41.73.128	62.41.73.255	GB
62.41.74.0	62.41.76.255	NL
62.41.77.0	62.41.77.63	DE
62.41.77.64	62.41.77.95	SE
62.41.77.96	62.41.78.223	NL
62.41.78.224	62.41.78.255	DE
62.41.79.0	62.41.79.63	FR
62.41.79.64	62.41.79.191	NL
62.41.79.192	62.41.79.255	DE
62.41.80.0	62.41.81.127	NL
62.41.81.128	62.41.81.255	DE
62.41.82.0	62.41.82.255	NL
62.41.83.0	62.41.83.255	GB
62.41.84.0	62.41.101.255	NL
62.41.102.0	62.41.102.255	GB
62.41.103.0	62.41.255.255	NL
62.42.0.0	62.43.255.255	ES
62.44.0.0	62.44.31.255	CZ
62.44.32.0	62.44.63.255	DE
62.44.64.0	62.44.95.255	GB
62.44.96.0	62.44.127.255	BG
62.44.128.0	62.44.191.255	DK
62.44.192.0	62.44.255.255	FI
62.45.0.0	62.45.255.255	NL
62.46.0.0	62.47.255.255	AT
62.48.0.0	62.48.31.255	CH
62.48.32.0	62.48.63.255	IT
62.48.64.0	62.48.95.255	DE
62.48.96.0	62.48.127.255	CH
62.48.128.0	62.48.255.255	PT
62.49.0.0	62.49.255.255	GB
62.50.0.0	62.50.2.95	NL
62.50.2.96	62.50.2.103	GB
62.50.2.104	62.50.2.119	NL
62.50.2.120	62.50.2.127	GB
62.50.2.128	62.50.2.223	NL
62.50.2.224	62.50.3.95	GB
62.50.3.96	62.50.3.111	NL
62.50.3.112	62.50.3.127	GB
62.50.3.128	62.50.6.47	NL
62.50.6.48	62.50.6.55	GB
62.50.6.56	62.50.6.111	NL
62.50.6.112	62.50.6.127	GB
62.50.6.128	62.50.6.143	NL
62.50.6.144	62.50.6.191	GB
62.50.6.192	62.50.6.255	NL
62.50.7.0	62.50.8.7	GB
62.50.8.8	62.50.8.79	NL
62.50.8.80	62.50.8.87	GB
62.50.8.88	62.50.8.95	NL
62.50.8.96	62.50.8.111	GB
62.50.8.112	62.50.8.191	NL
62.50.8.192	62.50.8.207	GB
62.50.8.208	62.50.8.215	NL
62.50.8.216	62.50.8.223	GB
62.50.8.224	62.50.8.255	NL
62.50.9.0	62.50.9.7	GB
62.50.9.8	62.50.9.15	NL
62.50.9.16	62.50.9.23	GB
62.50.9.24	62.50.9.63	NL
62.50.9.64	62.50.9.79	GB
62.50.9.80	62.50.9.87	NL
62.50.9.88	62.50.9.111	GB
62.50.9.112	62.50.10.135	NL
62.50.10.136	62.50.10.143	GB
62.50.10.144	62.50.10.159	NL
62.50.10.160	62.50.10.175	GB
62.50.10.176	62.50.10.191	NL
62.50.10.192	62.50.11.31	GB
62.50.11.32	62.50.11.63	NL
62.50.11.64	62.50.11.79	GB
62.50.11.80	62.50.11.95	NL
62.50.11.96	62.50.11.191	GB
62.50.11.192	62.50.11.223	NL
62.50.11.224	62.50.12.255	GB
62.50.13.0	62.50.13.15	NL
62.50.13.16	62.50.13.63	GB
62.50.13.64	62.50.13.79	NL
62.50.13.80	62.50.13.95	GB
62.50.13.96	62.50.13.143	NL
62.50.13.144	62.50.13.159	GB
62.50.13.160	62.50.13.175	NL
62.50.13.176	62.50.13.239	GB
62.50.13.240	62.50.13.255	NL
62.50.14.0	62.50.14.39	GB
62.50.14.40	62.50.14.63	NL
62.50.14.64	62.50.14.95	GB
62.50.14.96	62.50.14.191	NL
62.50.14.192	62.50.14.207	GB
62.50.14.208	62.50.14.223	NL
62.50.14.224	62.50.15.31	GB
62.50.15.32	62.50.15.95	NL
62.50.15.96	62.50.15.127	GB
62.50.15.128	62.50.15.159	NL
62.50.15.160	62.50.16.255	GB
62.50.17.0	62.50.17.31	NL
62.50.17.32	62.50.17.111	GB
62.50.17.112	62.50.17.119	NL
62.50.17.120	62.50.17.127	GB
62.50.17.128	62.50.17.207	NL
62.50.17.208	62.50.17.223	GB
62.50.17.224	62.50.17.239	NL
62.50.17.240	62.50.17.247	GB
62.50.17.248	62.50.17.255	NL
62.50.18.0	62.50.18.31	GB
62.50.18.32	62.50.18.63	NL
62.50.18.64	62.50.18.95	GB
62.50.18.96	62.50.18.103	NL
62.50.18.104	62.50.18.111	GB
62.50.18.112	62.50.18.127	NL
62.50.18.128	62.50.18.135	GB
62.50.18.136	62.50.18.159	NL
62.50.18.160	62.50.18.167	GB
62.50.18.168	62.50.18.223	NL
62.50.18.224	62.50.18.255	GB
62.50.19.0	62.50.19.31	NL
62.50.19.32	62.50.19.87	GB
62.50.19.88	62.50.19.103	NL
62.50.19.104	62.50.19.127	GB
62.50.19.128	62.50.19.143	NL
62.50.19.144	62.50.19.151	GB
62.50.19.152	62.50.19.167	NL
62.50.19.168	62.50.19.175	GB
62.50.19.176	62.50.19.183	NL
62.50.19.184	62.50.19.191	GB
62.50.19.192	62.50.20.23	NL
62.50.20.24	62.50.20.31	GB
62.50.20.32	62.50.20.47	NL
62.50.20.48	62.50.20.63	GB
62.50.20.64	62.50.20.87	NL
62.50.20.88	62.50.20.103	GB
62.50.20.104	62.50.20.111	NL
62.50.20.112	62.50.20.127	GB
62.50.20.128	62.50.20.247	NL
62.50.20.248	62.50.21.95	GB
62.50.21.96	62.50.21.111	NL
62.50.21.112	62.50.21.127	GB
62.50.21.128	62.50.21.159	NL
62.50.21.160	62.50.21.255	GB
62.50.22.0	62.50.22.19	NL
62.50.22.20	62.50.22.23	GB
62.50.22.24	62.50.22.95	NL
62.50.22.96	62.50.22.115	GB
62.50.22.116	62.50.22.119	NL
62.50.22.120	62.50.23.47	GB
62.50.23.48	62.50.23.143	NL
62.50.23.144	62.50.23.191	GB
62.50.23.192	62.50.23.223	NL
62.50.23.224	62.50.23.255	GB
62.50.24.0	62.50.25.255	NL
62.50.26.0	62.50.32.31	GB
62.50.32.32	62.50.32.39	DE
62.50.32.40	62.50.32.47	GB
62.50.32.48	62.50.32.55	DE
62.50.32.56	62.50.32.103	GB
62.50.32.104	62.50.32.111	DE
62.50.32.112	62.50.32.119	GB
62.50.32.120	62.50.33.255	DE
62.50.34.0	62.50.34.255	GB
62.50.35.0	62.50.36.3	DE
62.50.36.4	62.50.36.7	GB
62.50.36.8	62.50.36.171	DE
62.50.36.172	62.50.36.175	GB
62.50.36.176	62.50.38.111	DE
62.50.38.112	62.50.38.127	GB
62.50.38.128	62.50.40.55	DE
62.50.40.56	62.50.40.63	GB
62.50.40.64	62.50.44.135	DE
62.50.44.136	62.50.44.255	GB
62.50.45.0	62.50.45.175	DE
62.50.45.176	62.50.45.207	GB
62.50.45.208	62.50.46.15	DE
62.50.46.16	62.50.46.23	GB
62.50.46.24	62.50.47.95	DE
62.50.47.96	62.50.47.127	GB
62.50.47.128	62.50.48.255	DE
62.50.49.0	62.50.49.31	GB
62.50.49.32	62.50.49.79	DE
62.50.49.80	62.50.49.255	GB
62.50.50.0	62.50.51.255	DE
62.50.52.0	62.50.52.255	GB
62.50.53.0	62.50.54.163	DE
62.50.54.164	62.50.54.255	GB
62.50.55.0	62.50.55.239	DE
62.50.55.240	62.50.55.255	GB
62.50.56.0	62.50.56.95	DE
62.50.56.96	62.50.56.111	GB
62.50.56.112	62.50.56.127	DE
62.50.56.128	62.50.56.143	GB
62.50.56.144	62.50.56.207	DE
62.50.56.208	62.50.56.223	GB
62.50.56.224	62.50.56.255	DE
62.50.57.0	62.50.58.255	GB
62.50.59.0	62.50.59.255	DE
62.50.60.0	62.50.61.255	GB
62.50.62.0	62.50.63.31	DE
62.50.63.32	62.50.63.39	GB
62.50.63.40	62.50.63.43	DE
62.50.63.44	62.50.63.255	GB
62.50.64.0	62.50.95.255	CH
62.50.96.0	62.50.127.255	DE
62.50.128.0	62.50.128.95	FR
62.50.128.96	62.50.128.119	GB
62.50.128.120	62.50.128.255	FR
62.50.129.0	62.50.131.31	GB
62.50.131.32	62.50.131.39	FR
62.50.131.40	62.50.131.135	GB
62.50.131.136	62.50.131.143	FR
62.50.131.144	62.50.131.175	GB
62.50.131.176	62.50.131.183	FR
62.50.131.184	62.50.131.199	GB
62.50.131.200	62.50.131.207	FR
62.50.131.208	62.50.131.255	GB
62.50.132.0	62.50.132.31	FR
62.50.132.32	62.50.132.39	GB
62.50.132.40	62.50.132.47	FR
62.50.132.48	62.50.132.55	GB
62.50.132.56	62.50.132.87	FR
62.50.132.88	62.50.132.111	GB
62.50.132.112	62.50.132.127	FR
62.50.132.128	62.50.132.167	GB
62.50.132.168	62.50.132.199	FR
62.50.132.200	62.50.132.211	GB
62.50.132.212	62.50.132.223	FR
62.50.132.224	62.50.132.239	GB
62.50.132.240	62.50.132.255	FR
62.50.133.0	62.50.133.3	GB
62.50.133.4	62.50.133.7	FR
62.50.133.8	62.50.133.255	GB
62.50.134.0	62.50.134.39	FR
62.50.134.40	62.50.134.47	GB
62.50.134.48	62.50.134.143	FR
62.50.134.144	62.50.134.159	GB
62.50.134.160	62.50.134.175	FR
62.50.134.176	62.50.135.63	GB
62.50.135.64	62.50.135.159	FR
62.50.135.160	62.50.137.3	GB
62.50.137.4	62.50.137.255	FR
62.50.138.0	62.50.159.255	GB
62.50.160.0	62.50.191.255	NO
62.50.192.0	62.50.255.255	GB
62.51.0.0	62.51.255.255	NL
62.52.0.0	62.52.20.255	DE
62.52.21.0	62.52.21.255	FR
62.52.22.0	62.52.42.239	DE
62.52.42.240	62.52.42.255	GB
62.52.43.0	62.52.48.127	DE
62.52.48.128	62.52.48.159	FR
62.52.48.160	62.52.54.191	DE
62.52.54.192	62.52.54.255	AT
62.52.55.0	62.52.55.119	DE
62.52.55.120	62.52.55.127	IE
62.52.55.128	62.52.95.255	DE
62.52.96.0	62.52.96.255	IE
62.52.97.0	62.52.102.127	DE
62.52.102.128	62.52.102.191	GB
62.52.102.192	62.52.109.47	DE
62.52.109.48	62.52.109.63	GB
62.52.109.64	62.52.149.255	DE
62.52.150.0	62.52.150.255	FR
62.52.151.0	62.53.125.255	DE
62.53.126.0	62.53.126.71	GB
62.53.126.72	62.53.126.127	DE
62.53.126.128	62.53.127.255	GB
62.53.128.0	62.53.226.127	DE
62.53.226.128	62.53.226.159	FR
62.53.226.160	62.55.255.255	DE
62.56.0.0	62.56.127.255	GB
62.56.128.0	62.56.128.7	A2
62.56.128.8	62.56.128.15	NG
62.56.128.16	62.56.128.31	A2
62.56.128.32	62.56.128.63	NG
62.56.128.64	62.56.129.63	A2
62.56.129.64	62.56.129.159	NG
62.56.129.160	62.56.134.63	A2
62.56.134.64	62.56.134.127	NG
62.56.134.128	62.56.135.255	A2
62.56.136.0	62.56.136.15	MZ
62.56.136.16	62.56.136.31	A2
62.56.136.32	62.56.136.63	MZ
62.56.136.64	62.56.136.255	A2
62.56.137.0	62.56.137.255	CD
62.56.138.0	62.56.138.255	MZ
62.56.139.0	62.56.141.63	A2
62.56.141.64	62.56.141.79	NG
62.56.141.80	62.56.145.31	A2
62.56.145.32	62.56.145.63	NG
62.56.145.64	62.56.145.223	A2
62.56.145.224	62.56.145.255	NG
62.56.146.0	62.56.146.63	A2
62.56.146.64	62.56.146.95	NG
62.56.146.96	62.56.146.255	A2
62.56.147.0	62.56.147.127	NG
62.56.147.128	62.56.150.175	A2
62.56.150.176	62.56.150.191	AO
62.56.150.192	62.56.150.255	A2
62.56.151.0	62.56.151.255	NG
62.56.152.0	62.56.155.255	A2
62.56.156.0	62.56.157.255	KE
62.56.158.0	62.56.160.255	A2
62.56.161.0	62.56.161.127	TZ
62.56.161.128	62.56.163.255	A2
62.56.164.0	62.56.164.255	CG
62.56.165.0	62.56.205.255	A2
62.56.206.0	62.56.206.255	TZ
62.56.207.0	62.56.215.255	A2
62.56.216.0	62.56.217.255	ZM
62.56.218.0	62.56.223.255	A2
62.56.224.0	62.56.224.127	NG
62.56.224.128	62.56.231.255	A2
62.56.232.0	62.56.232.255	NG
62.56.233.0	62.56.251.255	A2
62.56.252.0	62.56.255.255	IL
62.57.0.0	62.57.255.255	ES
62.58.0.0	62.58.96.3	NL
62.58.96.4	62.58.96.55	BE
62.58.96.56	62.58.96.87	NL
62.58.96.88	62.58.96.191	BE
62.58.96.192	62.58.96.207	NL
62.58.96.208	62.58.96.215	BE
62.58.96.216	62.58.96.231	NL
62.58.96.232	62.58.97.63	BE
62.58.97.64	62.58.97.255	NL
62.58.98.0	62.58.98.7	BE
62.58.98.8	62.58.98.15	NL
62.58.98.16	62.58.98.47	BE
62.58.98.48	62.58.98.55	NL
62.58.98.56	62.58.98.71	BE
62.58.98.72	62.58.98.79	NL
62.58.98.80	62.58.98.87	BE
62.58.98.88	62.58.98.95	NL
62.58.98.96	62.58.98.167	BE
62.58.98.168	62.58.98.175	NL
62.58.98.176	62.58.99.15	BE
62.58.99.16	62.58.99.23	NL
62.58.99.24	62.58.99.135	BE
62.58.99.136	62.58.99.143	NL
62.58.99.144	62.58.99.223	BE
62.58.99.224	62.58.99.231	NL
62.58.99.232	62.58.100.15	BE
62.58.100.16	62.58.100.55	NL
62.58.100.56	62.58.100.63	BE
62.58.100.64	62.58.100.127	NL
62.58.100.128	62.58.100.143	BE
62.58.100.144	62.58.100.151	NL
62.58.100.152	62.58.100.159	BE
62.58.100.160	62.58.100.167	NL
62.58.100.168	62.58.102.255	BE
62.58.103.0	62.58.105.127	NL
62.58.105.128	62.58.105.171	BE
62.58.105.172	62.58.105.183	NL
62.58.105.184	62.58.105.207	BE
62.58.105.208	62.58.105.223	NL
62.58.105.224	62.58.106.15	BE
62.58.106.16	62.58.106.31	NL
62.58.106.32	62.58.106.63	BE
62.58.106.64	62.58.106.87	NL
62.58.106.88	62.58.106.111	BE
62.58.106.112	62.58.106.127	NL
62.58.106.128	62.58.106.175	BE
62.58.106.176	62.58.106.207	NL
62.58.106.208	62.58.110.7	BE
62.58.110.8	62.58.110.15	NL
62.58.110.16	62.58.110.31	BE
62.58.110.32	62.58.110.63	NL
62.58.110.64	62.58.110.143	BE
62.58.110.144	62.58.110.159	NL
62.58.110.160	62.58.112.15	BE
62.58.112.16	62.58.112.127	NL
62.58.112.128	62.58.112.207	BE
62.58.112.208	62.58.112.231	NL
62.58.112.232	62.58.112.247	BE
62.58.112.248	62.58.115.63	NL
62.58.115.64	62.58.115.79	BE
62.58.115.80	62.58.115.87	NL
62.58.115.88	62.58.115.111	BE
62.58.115.112	62.58.115.127	NL
62.58.115.128	62.58.115.255	BE
62.58.116.0	62.58.119.255	NL
62.58.120.0	62.58.120.31	BE
62.58.120.32	62.58.120.35	NL
62.58.120.36	62.58.120.79	BE
62.58.120.80	62.58.120.83	NL
62.58.120.84	62.58.120.91	BE
62.58.120.92	62.58.120.95	NL
62.58.120.96	62.58.120.115	BE
62.58.120.116	62.58.120.123	NL
62.58.120.124	62.58.120.147	BE
62.58.120.148	62.58.120.151	NL
62.58.120.152	62.58.120.179	BE
62.58.120.180	62.58.120.199	NL
62.58.120.200	62.58.120.203	BE
62.58.120.204	62.58.120.207	NL
62.58.120.208	62.58.120.215	BE
62.58.120.216	62.58.120.239	NL
62.58.120.240	62.58.120.243	BE
62.58.120.244	62.58.121.19	NL
62.58.121.20	62.58.121.27	BE
62.58.121.28	62.58.121.31	NL
62.58.121.32	62.58.121.35	BE
62.58.121.36	62.58.121.39	NL
62.58.121.40	62.58.121.47	BE
62.58.121.48	62.58.121.51	NL
62.58.121.52	62.58.121.59	BE
62.58.121.60	62.58.121.71	NL
62.58.121.72	62.58.121.75	BE
62.58.121.76	62.58.121.83	NL
62.58.121.84	62.58.121.107	BE
62.58.121.108	62.58.121.111	NL
62.58.121.112	62.58.121.119	BE
62.58.121.120	62.58.121.127	NL
62.58.121.128	62.58.121.239	BE
62.58.121.240	62.58.121.255	NL
62.58.122.0	62.58.122.11	BE
62.58.122.12	62.58.122.19	NL
62.58.122.20	62.58.122.23	BE
62.58.122.24	62.58.122.27	NL
62.58.122.28	62.58.122.31	BE
62.58.122.32	62.58.122.35	NL
62.58.122.36	62.58.122.39	BE
62.58.122.40	62.58.122.43	NL
62.58.122.44	62.58.122.47	BE
62.58.122.48	62.58.122.59	NL
62.58.122.60	62.58.122.63	BE
62.58.122.64	62.58.122.67	NL
62.58.122.68	62.58.122.75	BE
62.58.122.76	62.58.122.87	NL
62.58.122.88	62.58.122.91	BE
62.58.122.92	62.58.122.95	NL
62.58.122.96	62.58.122.99	BE
62.58.122.100	62.58.122.115	NL
62.58.122.116	62.58.122.123	BE
62.58.122.124	62.58.122.131	NL
62.58.122.132	62.58.122.139	BE
62.58.122.140	62.58.122.147	NL
62.58.122.148	62.58.122.155	BE
62.58.122.156	62.58.122.159	NL
62.58.122.160	62.58.122.163	BE
62.58.122.164	62.58.122.175	NL
62.58.122.176	62.58.122.179	BE
62.58.122.180	62.58.122.191	NL
62.58.122.192	62.58.122.195	BE
62.58.122.196	62.58.122.199	NL
62.58.122.200	62.58.122.203	BE
62.58.122.204	62.58.122.207	NL
62.58.122.208	62.58.122.211	BE
62.58.122.212	62.58.122.219	NL
62.58.122.220	62.58.122.227	BE
62.58.122.228	62.58.122.243	NL
62.58.122.244	62.58.122.251	BE
62.58.122.252	62.58.123.11	NL
62.58.123.12	62.58.123.19	BE
62.58.123.20	62.58.123.23	NL
62.58.123.24	62.58.123.27	BE
62.58.123.28	62.58.123.35	NL
62.58.123.36	62.58.123.47	BE
62.58.123.48	62.58.123.51	NL
62.58.123.52	62.58.123.63	BE
62.58.123.64	62.58.123.67	NL
62.58.123.68	62.58.123.71	BE
62.58.123.72	62.58.123.79	NL
62.58.123.80	62.58.123.91	BE
62.58.123.92	62.58.123.103	NL
62.58.123.104	62.58.123.107	BE
62.58.123.108	62.58.123.115	NL
62.58.123.116	62.58.123.159	BE
62.58.123.160	62.58.123.163	NL
62.58.123.164	62.58.123.179	BE
62.58.123.180	62.58.123.183	NL
62.58.123.184	62.58.123.187	BE
62.58.123.188	62.58.123.191	NL
62.58.123.192	62.58.123.195	BE
62.58.123.196	62.58.123.199	NL
62.58.123.200	62.58.123.219	BE
62.58.123.220	62.58.123.231	NL
62.58.123.232	62.58.123.235	BE
62.58.123.236	62.58.123.239	NL
62.58.123.240	62.58.123.243	BE
62.58.123.244	62.58.123.251	NL
62.58.123.252	62.58.124.31	BE
62.58.124.32	62.58.124.39	NL
62.58.124.40	62.58.124.79	BE
62.58.124.80	62.58.124.95	NL
62.58.124.96	62.58.124.127	BE
62.58.124.128	62.58.124.135	NL
62.58.124.136	62.58.125.31	BE
62.58.125.32	62.58.125.71	NL
62.58.125.72	62.58.125.87	BE
62.58.125.88	62.58.125.111	NL
62.58.125.112	62.58.125.127	BE
62.58.125.128	62.58.125.191	NL
62.58.125.192	62.58.125.255	BE
62.58.126.0	62.58.138.255	NL
62.58.139.0	62.58.139.255	BE
62.58.140.0	62.58.223.255	NL
62.58.224.0	62.58.224.31	BE
62.58.224.32	62.58.224.63	NL
62.58.224.64	62.58.224.87	BE
62.58.224.88	62.58.224.95	NL
62.58.224.96	62.58.224.255	BE
62.58.225.0	62.58.225.159	NL
62.58.225.160	62.58.225.239	BE
62.58.225.240	62.58.225.247	NL
62.58.225.248	62.58.227.255	BE
62.58.228.0	62.58.247.255	NL
62.58.248.0	62.58.248.19	BE
62.58.248.20	62.58.248.23	NL
62.58.248.24	62.58.248.27	BE
62.58.248.28	62.58.248.31	NL
62.58.248.32	62.58.248.43	BE
62.58.248.44	62.58.248.47	NL
62.58.248.48	62.58.248.63	BE
62.58.248.64	62.58.248.71	NL
62.58.248.72	62.58.248.95	BE
62.58.248.96	62.58.248.99	NL
62.58.248.100	62.58.248.139	BE
62.58.248.140	62.58.248.143	NL
62.58.248.144	62.58.248.163	BE
62.58.248.164	62.58.248.167	NL
62.58.248.168	62.58.248.183	BE
62.58.248.184	62.58.248.187	NL
62.58.248.188	62.58.248.255	BE
62.58.249.0	62.58.249.3	NL
62.58.249.4	62.58.249.31	BE
62.58.249.32	62.58.249.35	NL
62.58.249.36	62.58.249.123	BE
62.58.249.124	62.58.249.135	NL
62.58.249.136	62.58.249.139	BE
62.58.249.140	62.58.251.235	NL
62.58.251.236	62.58.251.247	BE
62.58.251.248	62.58.252.7	NL
62.58.252.8	62.58.252.63	BE
62.58.252.64	62.58.252.79	NL
62.58.252.80	62.58.253.7	BE
62.58.253.8	62.58.253.15	NL
62.58.253.16	62.58.253.151	BE
62.58.253.152	62.58.253.167	NL
62.58.253.168	62.58.253.175	BE
62.58.253.176	62.58.253.183	NL
62.58.253.184	62.58.253.207	BE
62.58.253.208	62.58.253.215	NL
62.58.253.216	62.58.253.255	BE
62.58.254.0	62.59.203.255	NL
62.59.204.0	62.59.204.127	BE
62.59.204.128	62.59.204.255	NL
62.59.205.0	62.59.206.11	BE
62.59.206.12	62.59.206.15	NL
62.59.206.16	62.59.206.19	BE
62.59.206.20	62.59.206.23	NL
62.59.206.24	62.59.206.35	BE
62.59.206.36	62.59.206.43	NL
62.59.206.44	62.59.206.55	BE
62.59.206.56	62.59.247.255	NL
62.59.248.0	62.59.248.39	BE
62.59.248.40	62.59.248.63	NL
62.59.248.64	62.59.249.87	BE
62.59.249.88	62.59.249.95	NL
62.59.249.96	62.59.251.255	BE
62.59.252.0	62.59.255.255	NL
62.60.0.0	62.60.127.255	GB
62.60.128.0	62.60.255.255	IR
62.61.0.0	62.61.31.255	RU
62.61.32.0	62.61.63.255	PL
62.61.64.0	62.61.127.255	FI
62.61.128.0	62.61.159.255	DK
62.61.160.0	62.61.191.255	OM
62.61.192.0	62.61.255.255	DZ
62.62.0.0	62.62.2.255	BE
62.62.3.0	62.62.3.255	EU
62.62.4.0	62.62.6.255	BE
62.62.7.0	62.62.8.255	EU
62.62.9.0	62.62.10.255	BE
62.62.11.0	62.62.11.255	EU
62.62.12.0	62.62.14.255	BE
62.62.15.0	62.62.16.255	EU
62.62.17.0	62.62.18.255	BE
62.62.19.0	62.62.20.255	EU
62.62.21.0	62.62.22.255	BE
62.62.23.0	62.62.23.255	EU
62.62.24.0	62.62.26.255	BE
62.62.27.0	62.62.27.255	EU
62.62.28.0	62.62.30.255	BE
62.62.31.0	62.62.32.255	EU
62.62.33.0	62.62.34.255	BE
62.62.35.0	62.62.36.255	EU
62.62.37.0	62.62.42.255	BE
62.62.43.0	62.62.44.255	EU
62.62.45.0	62.62.45.255	BE
62.62.46.0	62.62.48.255	EU
62.62.49.0	62.62.49.255	BE
62.62.50.0	62.62.52.255	EU
62.62.53.0	62.62.53.255	BE
62.62.54.0	62.62.56.255	EU
62.62.57.0	62.62.57.255	BE
62.62.58.0	62.62.59.255	EU
62.62.60.0	62.62.62.255	BE
62.62.63.0	62.62.65.255	EU
62.62.66.0	62.62.73.255	BE
62.62.74.0	62.62.75.255	EU
62.62.76.0	62.62.81.255	BE
62.62.82.0	62.62.83.255	EU
62.62.84.0	62.62.84.255	BE
62.62.85.0	62.62.86.255	EU
62.62.87.0	62.62.87.255	BE
62.62.88.0	62.62.127.255	EU
62.62.128.0	62.62.255.255	FR
62.63.0.0	62.63.63.255	NO
62.63.64.0	62.63.127.255	RU
62.63.128.0	62.63.191.255	LV
62.63.192.0	62.63.255.255	SE
62.64.0.0	62.64.10.255	RU
62.64.11.0	62.64.11.255	KZ
62.64.12.0	62.64.31.255	RU
62.64.32.0	62.64.63.255	FR
62.64.64.0	62.64.127.255	UA
62.64.128.0	62.64.255.255	GB
62.65.0.0	62.65.16.255	SE
62.65.17.0	62.65.17.255	NO
62.65.18.0	62.65.23.63	SE
62.65.23.64	62.65.23.143	NO
62.65.23.144	62.65.27.255	SE
62.65.28.0	62.65.28.15	NO
62.65.28.16	62.65.28.23	SE
62.65.28.24	62.65.28.27	NO
62.65.28.28	62.65.28.63	SE
62.65.28.64	62.65.28.95	NO
62.65.28.96	62.65.28.111	SE
62.65.28.112	62.65.28.159	NO
62.65.28.160	62.65.28.183	SE
62.65.28.184	62.65.28.255	NO
62.65.29.0	62.65.31.255	SE
62.65.32.0	62.65.63.255	EE
62.65.64.0	62.65.127.255	SE
62.65.128.0	62.65.159.255	CH
62.65.160.0	62.65.191.255	SK
62.65.192.0	62.65.255.255	EE
62.66.0.0	62.66.255.255	DK
62.67.0.0	62.67.8.255	DE
62.67.9.0	62.67.31.255	GB
62.67.32.0	62.67.33.255	DE
62.67.34.0	62.67.35.255	GB
62.67.36.0	62.67.36.255	DE
62.67.37.0	62.67.37.255	GB
62.67.38.0	62.67.38.255	DE
62.67.39.0	62.67.40.31	GB
62.67.40.32	62.67.40.63	DE
62.67.40.64	62.67.40.255	GB
62.67.41.0	62.67.47.127	DE
62.67.47.128	62.67.47.255	GB
62.67.48.0	62.67.48.79	DE
62.67.48.80	62.67.48.255	GB
62.67.49.0	62.67.51.255	DE
62.67.52.0	62.67.52.255	GB
62.67.53.0	62.67.53.255	DE
62.67.54.0	62.67.54.15	GB
62.67.54.16	62.67.54.31	DE
62.67.54.32	62.67.54.63	GB
62.67.54.64	62.67.54.127	DE
62.67.54.128	62.67.55.255	GB
62.67.56.0	62.67.56.15	DE
62.67.56.16	62.67.56.191	GB
62.67.56.192	62.67.62.255	DE
62.67.63.0	62.67.183.255	GB
62.67.184.0	62.67.184.55	DE
62.67.184.56	62.67.184.63	GB
62.67.184.64	62.67.184.127	DE
62.67.184.128	62.67.184.255	GB
62.67.185.0	62.67.185.15	DE
62.67.185.16	62.67.191.255	GB
62.67.192.0	62.67.195.255	DE
62.67.196.0	62.67.199.255	GB
62.67.200.0	62.67.200.255	DE
62.67.201.0	62.67.207.255	GB
62.67.208.0	62.67.209.63	DE
62.67.209.64	62.67.209.143	GB
62.67.209.144	62.67.209.159	DE
62.67.209.160	62.67.209.255	GB
62.67.210.0	62.67.216.255	DE
62.67.217.0	62.67.217.255	GB
62.67.218.0	62.67.218.255	DE
62.67.219.0	62.67.219.255	GB
62.67.220.0	62.67.220.255	DE
62.67.221.0	62.67.221.255	GB
62.67.222.0	62.67.222.255	DE
62.67.223.0	62.67.223.255	GB
62.67.224.0	62.67.225.255	US
62.67.226.0	62.67.233.255	DE
62.67.234.0	62.67.234.15	GB
62.67.234.16	62.67.234.31	DE
62.67.234.32	62.67.234.255	GB
62.67.235.0	62.67.235.255	DE
62.67.236.0	62.67.239.255	GB
62.67.240.0	62.67.249.255	DE
62.67.250.0	62.67.251.255	GB
62.67.252.0	62.67.253.255	DE
62.67.254.0	62.67.255.255	GB
62.68.0.0	62.68.31.255	DE
62.68.32.0	62.68.63.255	LY
62.68.64.0	62.68.82.63	GR
62.68.82.64	62.68.82.127	IR
62.68.82.128	62.68.84.191	GR
62.68.84.192	62.68.84.207	IQ
62.68.84.208	62.68.95.255	GR
62.68.96.0	62.68.127.255	BA
62.68.128.0	62.68.159.255	RU
62.68.160.0	62.68.191.255	HU
62.68.192.0	62.68.207.255	AT
62.68.208.0	62.68.208.255	DE
62.68.209.0	62.68.223.255	AT
62.68.224.0	62.68.255.255	EG
62.69.0.0	62.69.31.255	RU
62.69.32.0	62.69.127.255	GB
62.69.128.0	62.69.159.255	KW
62.69.160.0	62.69.160.15	US
62.69.160.16	62.69.160.19	HU
62.69.160.20	62.69.160.23	BE
62.69.160.24	62.69.160.27	GB
62.69.160.28	62.69.160.31	FI
62.69.160.32	62.69.170.255	NL
62.69.171.0	62.69.171.31	DE
62.69.171.32	62.69.171.63	HU
62.69.171.64	62.69.191.255	NL
62.69.192.0	62.69.255.255	PL
62.70.0.0	62.70.99.127	NO
62.70.99.128	62.70.99.255	IT
62.70.100.0	62.70.255.255	NO
62.71.0.0	62.71.8.255	FI
62.71.9.0	62.71.9.63	AX
62.71.9.64	62.71.255.255	FI
62.72.0.0	62.72.7.255	GB
62.72.8.0	62.72.11.255	US
62.72.12.0	62.72.18.255	GB
62.72.19.0	62.72.19.255	DE
62.72.20.0	62.72.31.31	GB
62.72.31.32	62.72.31.47	DE
62.72.31.48	62.72.31.63	GB
62.72.31.64	62.72.31.95	DE
62.72.31.96	62.72.31.127	GB
62.72.31.128	62.72.31.191	DE
62.72.31.192	62.72.41.255	GB
62.72.42.0	62.72.43.255	DE
62.72.44.0	62.72.44.31	GB
62.72.44.32	62.72.44.47	US
62.72.44.48	62.72.44.63	DE
62.72.44.64	62.72.44.95	GB
62.72.44.96	62.72.44.111	DE
62.72.44.112	62.72.44.255	GB
62.72.45.0	62.72.45.255	DE
62.72.46.0	62.72.46.63	GB
62.72.46.64	62.72.47.255	DE
62.72.48.0	62.72.48.15	GB
62.72.48.16	62.72.51.255	DE
62.72.52.0	62.72.55.127	GB
62.72.55.128	62.72.55.255	DE
62.72.56.0	62.72.59.255	GB
62.72.60.0	62.72.63.255	US
62.72.64.0	62.72.95.255	DE
62.72.96.0	62.72.96.135	BE
62.72.96.136	62.72.96.143	GB
62.72.96.144	62.72.96.215	BE
62.72.96.216	62.72.96.223	GB
62.72.96.224	62.72.96.231	BE
62.72.96.232	62.72.96.235	GB
62.72.96.236	62.72.96.239	BE
62.72.96.240	62.72.96.247	GB
62.72.96.248	62.72.97.7	BE
62.72.97.8	62.72.97.15	GB
62.72.97.16	62.72.97.31	BE
62.72.97.32	62.72.97.63	FR
62.72.97.64	62.72.97.95	BE
62.72.97.96	62.72.97.111	DE
62.72.97.112	62.72.97.151	BE
62.72.97.152	62.72.97.159	FR
62.72.97.160	62.72.97.163	GB
62.72.97.164	62.72.99.47	BE
62.72.99.48	62.72.99.63	GB
62.72.99.64	62.72.99.79	BE
62.72.99.80	62.72.99.111	GB
62.72.99.112	62.72.99.159	BE
62.72.99.160	62.72.99.167	GB
62.72.99.168	62.72.99.207	BE
62.72.99.208	62.72.99.215	GB
62.72.99.216	62.72.99.223	BE
62.72.99.224	62.72.99.239	GB
62.72.99.240	62.72.99.255	BE
62.72.100.0	62.72.100.39	GB
62.72.100.40	62.72.100.79	BE
62.72.100.80	62.72.100.87	GB
62.72.100.88	62.72.100.175	BE
62.72.100.176	62.72.100.191	GB
62.72.100.192	62.72.100.247	BE
62.72.100.248	62.72.100.251	GB
62.72.100.252	62.72.101.15	BE
62.72.101.16	62.72.101.31	GB
62.72.101.32	62.72.101.63	BE
62.72.101.64	62.72.101.71	GB
62.72.101.72	62.72.101.75	BE
62.72.101.76	62.72.101.79	GB
62.72.101.80	62.72.101.95	BE
62.72.101.96	62.72.101.111	GB
62.72.101.112	62.72.101.135	BE
62.72.101.136	62.72.101.143	GB
62.72.101.144	62.72.101.223	BE
62.72.101.224	62.72.101.247	GB
62.72.101.248	62.72.103.31	BE
62.72.103.32	62.72.103.39	GB
62.72.103.40	62.72.103.47	BE
62.72.103.48	62.72.103.55	GB
62.72.103.56	62.72.103.151	BE
62.72.103.152	62.72.103.191	GB
62.72.103.192	62.72.103.255	BE
62.72.104.0	62.72.104.63	LU
62.72.104.64	62.72.104.67	BE
62.72.104.68	62.72.104.79	GB
62.72.104.80	62.72.104.95	BE
62.72.104.96	62.72.104.99	GB
62.72.104.100	62.72.104.111	BE
62.72.104.112	62.72.104.119	GB
62.72.104.120	62.72.104.127	BE
62.72.104.128	62.72.104.191	GB
62.72.104.192	62.72.104.223	BE
62.72.104.224	62.72.104.231	GB
62.72.104.232	62.72.104.239	BE
62.72.104.240	62.72.104.255	GB
62.72.105.0	62.72.105.75	BE
62.72.105.76	62.72.105.83	GB
62.72.105.84	62.72.105.87	BE
62.72.105.88	62.72.105.95	GB
62.72.105.96	62.72.105.143	BE
62.72.105.144	62.72.105.151	GB
62.72.105.152	62.72.105.159	BE
62.72.105.160	62.72.105.175	GB
62.72.105.176	62.72.105.191	BE
62.72.105.192	62.72.105.207	GB
62.72.105.208	62.72.106.95	BE
62.72.106.96	62.72.106.107	GB
62.72.106.108	62.72.106.183	BE
62.72.106.184	62.72.106.191	GB
62.72.106.192	62.72.106.239	BE
62.72.106.240	62.72.106.255	GB
62.72.107.0	62.72.107.31	BE
62.72.107.32	62.72.107.35	GB
62.72.107.36	62.72.107.39	BE
62.72.107.40	62.72.107.63	GB
62.72.107.64	62.72.107.135	BE
62.72.107.136	62.72.107.143	GB
62.72.107.144	62.72.107.175	BE
62.72.107.176	62.72.107.179	GB
62.72.107.180	62.72.107.207	BE
62.72.107.208	62.72.107.223	GB
62.72.107.224	62.72.107.239	BE
62.72.107.240	62.72.107.247	GB
62.72.107.248	62.72.108.79	BE
62.72.108.80	62.72.108.87	GB
62.72.108.88	62.72.108.95	BE
62.72.108.96	62.72.108.103	GB
62.72.108.104	62.72.108.111	BE
62.72.108.112	62.72.108.127	GB
62.72.108.128	62.72.108.191	BE
62.72.108.192	62.72.108.199	GB
62.72.108.200	62.72.108.211	BE
62.72.108.212	62.72.108.215	GB
62.72.108.216	62.72.108.231	BE
62.72.108.232	62.72.108.239	GB
62.72.108.240	62.72.109.215	BE
62.72.109.216	62.72.109.223	GB
62.72.109.224	62.72.110.47	BE
62.72.110.48	62.72.110.55	GB
62.72.110.56	62.72.110.95	BE
62.72.110.96	62.72.110.103	GB
62.72.110.104	62.72.110.215	BE
62.72.110.216	62.72.111.103	GB
62.72.111.104	62.72.111.175	BE
62.72.111.176	62.72.111.183	GB
62.72.111.184	62.72.111.191	BE
62.72.111.192	62.72.111.199	GB
62.72.111.200	62.72.112.63	BE
62.72.112.64	62.72.112.127	GB
62.72.112.128	62.72.112.159	BE
62.72.112.160	62.72.112.163	GB
62.72.112.164	62.72.112.167	BE
62.72.112.168	62.72.112.255	GB
62.72.113.0	62.72.113.115	BE
62.72.113.116	62.72.113.119	GB
62.72.113.120	62.72.113.123	BE
62.72.113.124	62.72.113.127	GB
62.72.113.128	62.72.114.15	BE
62.72.114.16	62.72.114.31	GB
62.72.114.32	62.72.114.63	BE
62.72.114.64	62.72.114.79	GB
62.72.114.80	62.72.114.95	BE
62.72.114.96	62.72.114.127	GB
62.72.114.128	62.72.114.163	BE
62.72.114.164	62.72.114.175	GB
62.72.114.176	62.72.114.187	BE
62.72.114.188	62.72.114.223	GB
62.72.114.224	62.72.114.239	BE
62.72.114.240	62.72.114.255	GB
62.72.115.0	62.72.115.7	BE
62.72.115.8	62.72.115.15	LU
62.72.115.16	62.72.115.127	BE
62.72.115.128	62.72.115.135	GB
62.72.115.136	62.72.115.171	BE
62.72.115.172	62.72.115.175	GB
62.72.115.176	62.72.115.199	BE
62.72.115.200	62.72.115.207	GB
62.72.115.208	62.72.116.63	BE
62.72.116.64	62.72.116.71	GB
62.72.116.72	62.72.116.159	BE
62.72.116.160	62.72.116.167	GB
62.72.116.168	62.72.116.199	BE
62.72.116.200	62.72.116.207	GB
62.72.116.208	62.72.116.223	BE
62.72.116.224	62.72.117.127	GB
62.72.117.128	62.72.117.167	BE
62.72.117.168	62.72.117.175	GB
62.72.117.176	62.72.117.187	BE
62.72.117.188	62.72.117.215	GB
62.72.117.216	62.72.118.15	BE
62.72.118.16	62.72.118.23	GB
62.72.118.24	62.72.118.79	BE
62.72.118.80	62.72.118.95	GB
62.72.118.96	62.72.118.111	BE
62.72.118.112	62.72.118.119	GB
62.72.118.120	62.72.118.143	BE
62.72.118.144	62.72.118.159	GB
62.72.118.160	62.72.118.247	BE
62.72.118.248	62.72.118.255	GB
62.72.119.0	62.72.119.7	BE
62.72.119.8	62.72.119.15	GB
62.72.119.16	62.72.119.47	BE
62.72.119.48	62.72.119.55	GB
62.72.119.56	62.72.120.7	BE
62.72.120.8	62.72.120.15	GB
62.72.120.16	62.72.121.223	BE
62.72.121.224	62.72.121.227	GB
62.72.121.228	62.72.122.71	BE
62.72.122.72	62.72.122.95	GB
62.72.122.96	62.72.122.175	BE
62.72.122.176	62.72.122.183	GB
62.72.122.184	62.72.123.15	BE
62.72.123.16	62.72.123.31	GB
62.72.123.32	62.72.123.55	BE
62.72.123.56	62.72.123.59	GB
62.72.123.60	62.72.123.63	BE
62.72.123.64	62.72.123.79	GB
62.72.123.80	62.72.123.95	BE
62.72.123.96	62.72.123.111	GB
62.72.123.112	62.72.123.119	BE
62.72.123.120	62.72.123.127	GB
62.72.123.128	62.72.123.143	BE
62.72.123.144	62.72.123.159	GB
62.72.123.160	62.72.123.207	BE
62.72.123.208	62.72.123.223	GB
62.72.123.224	62.72.123.231	BE
62.72.123.232	62.72.123.239	GB
62.72.123.240	62.72.124.19	BE
62.72.124.20	62.72.124.31	GB
62.72.124.32	62.72.124.119	BE
62.72.124.120	62.72.124.159	GB
62.72.124.160	62.72.124.175	BE
62.72.124.176	62.72.124.187	GB
62.72.124.188	62.72.124.243	BE
62.72.124.244	62.72.124.247	GB
62.72.124.248	62.72.125.63	BE
62.72.125.64	62.72.125.95	GB
62.72.125.96	62.72.125.119	BE
62.72.125.120	62.72.125.123	GB
62.72.125.124	62.72.125.127	BE
62.72.125.128	62.72.125.159	GB
62.72.125.160	62.72.125.251	BE
62.72.125.252	62.72.126.31	GB
62.72.126.32	62.72.126.127	BE
62.72.126.128	62.72.126.159	GB
62.72.126.160	62.72.126.167	BE
62.72.126.168	62.72.126.175	GB
62.72.126.176	62.72.126.183	BE
62.72.126.184	62.72.126.191	GB
62.72.126.192	62.72.126.247	BE
62.72.126.248	62.72.127.15	GB
62.72.127.16	62.72.127.23	BE
62.72.127.24	62.72.127.27	GB
62.72.127.28	62.72.127.63	BE
62.72.127.64	62.72.127.127	LU
62.72.127.128	62.72.127.135	BE
62.72.127.136	62.72.127.143	GB
62.72.127.144	62.72.127.159	BE
62.72.127.160	62.72.127.199	GB
62.72.127.200	62.72.127.207	BE
62.72.127.208	62.72.127.223	GB
62.72.127.224	62.72.127.255	LU
62.72.128.0	62.72.159.255	GB
62.72.160.0	62.72.191.255	UA
62.72.192.0	62.72.223.255	NL
62.72.224.0	62.72.255.255	FI
62.73.0.0	62.73.31.255	FR
62.73.32.0	62.73.63.255	FI
62.73.64.0	62.73.127.255	BG
62.73.128.0	62.73.162.239	GB
62.73.162.240	62.73.162.255	IE
62.73.163.0	62.73.163.207	GB
62.73.163.208	62.73.163.223	IE
62.73.163.224	62.73.182.95	GB
62.73.182.96	62.73.182.119	FI
62.73.182.120	62.73.182.255	GB
62.73.183.0	62.73.183.55	ES
62.73.183.56	62.73.183.63	GB
62.73.183.64	62.73.183.191	ES
62.73.183.192	62.73.183.255	GB
62.73.184.0	62.73.184.127	ES
62.73.184.128	62.73.189.255	GB
62.73.190.0	62.73.190.95	ES
62.73.190.96	62.73.190.127	GB
62.73.190.128	62.73.191.103	ES
62.73.191.104	62.73.191.111	GB
62.73.191.112	62.73.191.127	ES
62.73.191.128	62.73.191.255	GB
62.73.192.0	62.73.255.255	NO
62.74.0.0	62.75.64.255	GR
62.75.65.0	62.75.66.255	AL
62.75.67.0	62.75.127.255	GR
62.75.128.0	62.75.152.255	DE
62.75.153.0	62.75.153.255	PL
62.75.154.0	62.75.202.255	DE
62.75.203.0	62.75.203.31	NL
62.75.203.32	62.75.203.63	DE
62.75.203.64	62.75.203.95	GB
62.75.203.96	62.75.203.191	DE
62.75.203.192	62.75.203.223	SE
62.75.203.224	62.75.204.255	DE
62.75.205.0	62.75.205.255	CH
62.75.206.0	62.75.227.255	DE
62.75.228.0	62.75.228.31	TR
62.75.228.32	62.75.228.63	DE
62.75.228.64	62.75.228.95	AT
62.75.228.96	62.75.228.191	DE
62.75.228.192	62.75.228.223	PT
62.75.228.224	62.75.255.255	DE
62.76.0.0	62.76.255.255	RU
62.77.0.0	62.77.31.255	GB
62.77.32.0	62.77.63.255	IT
62.77.64.0	62.77.127.255	CZ
62.77.128.0	62.77.159.255	HU
62.77.160.0	62.77.191.255	IE
62.77.192.0	62.77.255.255	HU
62.78.0.0	62.78.11.255	GB
62.78.12.0	62.78.15.255	EU
62.78.16.0	62.78.25.255	DE
62.78.26.0	62.78.31.255	EU
62.78.32.0	62.78.63.255	RU
62.78.64.0	62.78.79.255	DE
62.78.80.0	62.78.95.255	RU
62.78.96.0	62.78.255.255	FI
62.79.0.0	62.79.255.255	DK
62.80.0.0	62.80.25.239	DE
62.80.25.240	62.80.25.247	GB
62.80.25.248	62.80.63.255	DE
62.80.64.0	62.80.64.255	HU
62.80.65.0	62.80.65.255	SK
62.80.66.0	62.80.66.63	HU
62.80.66.64	62.80.66.71	SK
62.80.66.72	62.80.66.95	HU
62.80.66.96	62.80.66.111	SK
62.80.66.112	62.80.66.119	HU
62.80.66.120	62.80.66.127	SK
62.80.66.128	62.80.66.143	HU
62.80.66.144	62.80.66.255	SK
62.80.67.0	62.80.67.7	HU
62.80.67.8	62.80.67.15	SK
62.80.67.16	62.80.67.23	HU
62.80.67.24	62.80.67.47	SK
62.80.67.48	62.80.67.127	HU
62.80.67.128	62.80.69.95	SK
62.80.69.96	62.80.69.103	HU
62.80.69.104	62.80.69.119	SK
62.80.69.120	62.80.69.127	HU
62.80.69.128	62.80.69.223	SK
62.80.69.224	62.80.69.255	HU
62.80.70.0	62.80.70.47	SK
62.80.70.48	62.80.70.71	HU
62.80.70.72	62.80.71.255	SK
62.80.72.0	62.80.72.63	HU
62.80.72.64	62.80.79.255	SK
62.80.80.0	62.80.81.255	CZ
62.80.82.0	62.80.83.255	SK
62.80.84.0	62.80.85.47	CZ
62.80.85.48	62.80.85.127	SK
62.80.85.128	62.80.85.255	CZ
62.80.86.0	62.80.87.255	SK
62.80.88.0	62.80.88.255	CZ
62.80.89.0	62.80.95.255	SK
62.80.96.0	62.80.119.255	DE
62.80.120.0	62.80.121.255	FR
62.80.122.0	62.80.122.127	DE
62.80.122.128	62.80.122.191	FR
62.80.122.192	62.80.122.199	DE
62.80.122.200	62.80.122.207	GB
62.80.122.208	62.80.122.215	FR
62.80.122.216	62.80.122.223	IT
62.80.122.224	62.80.122.231	ES
62.80.122.232	62.80.122.239	NL
62.80.122.240	62.80.127.255	DE
62.80.128.0	62.80.145.95	FI
62.80.145.96	62.80.145.127	AX
62.80.145.128	62.80.159.255	FI
62.80.160.0	62.80.191.255	UA
62.80.192.0	62.80.223.255	SE
62.80.224.0	62.80.255.255	LT
62.81.0.0	62.83.255.255	ES
62.84.0.0	62.84.31.255	LV
62.84.32.0	62.84.63.255	KZ
62.84.64.0	62.84.95.255	LB
62.84.96.0	62.84.127.255	RU
62.84.128.0	62.84.159.255	CZ
62.84.160.0	62.84.191.255	GB
62.84.192.0	62.84.193.63	SE
62.84.193.64	62.84.193.127	GB
62.84.193.128	62.84.193.191	SE
62.84.193.192	62.84.193.199	GB
62.84.193.200	62.84.193.207	SE
62.84.193.208	62.84.193.215	GB
62.84.193.216	62.84.193.239	SE
62.84.193.240	62.84.194.31	GB
62.84.194.32	62.84.194.55	SE
62.84.194.56	62.84.194.63	NL
62.84.194.64	62.84.194.71	SE
62.84.194.72	62.84.194.79	DK
62.84.194.80	62.84.194.87	SE
62.84.194.88	62.84.194.95	DK
62.84.194.96	62.84.194.159	SE
62.84.194.160	62.84.194.167	GB
62.84.194.168	62.84.195.47	SE
62.84.195.48	62.84.195.55	GB
62.84.195.56	62.84.195.159	SE
62.84.195.160	62.84.195.199	GB
62.84.195.200	62.84.195.215	SE
62.84.195.216	62.84.195.223	GB
62.84.195.224	62.84.196.171	SE
62.84.196.172	62.84.196.175	GB
62.84.196.176	62.84.196.191	SE
62.84.196.192	62.84.196.239	GB
62.84.196.240	62.84.196.247	SE
62.84.196.248	62.84.196.255	GB
62.84.197.0	62.84.197.175	SE
62.84.197.176	62.84.197.183	GB
62.84.197.184	62.84.197.191	SE
62.84.197.192	62.84.197.199	GB
62.84.197.200	62.84.197.215	NL
62.84.197.216	62.84.197.247	SE
62.84.197.248	62.84.197.251	GB
62.84.197.252	62.84.198.143	SE
62.84.198.144	62.84.198.147	GB
62.84.198.148	62.84.198.191	SE
62.84.198.192	62.84.198.195	GB
62.84.198.196	62.84.200.63	SE
62.84.200.64	62.84.200.127	GB
62.84.200.128	62.84.200.187	SE
62.84.200.188	62.84.200.191	GB
62.84.200.192	62.84.201.127	SE
62.84.201.128	62.84.201.135	LU
62.84.201.136	62.84.201.143	GB
62.84.201.144	62.84.201.159	SE
62.84.201.160	62.84.201.191	GB
62.84.201.192	62.84.203.255	SE
62.84.204.0	62.84.204.31	BE
62.84.204.32	62.84.204.63	SE
62.84.204.64	62.84.206.255	GB
62.84.207.0	62.84.207.199	SE
62.84.207.200	62.84.207.207	FI
62.84.207.208	62.84.207.215	GB
62.84.207.216	62.84.207.247	SE
62.84.207.248	62.84.207.255	GB
62.84.208.0	62.84.208.31	SE
62.84.208.32	62.84.208.95	GB
62.84.208.96	62.84.208.104	SE
62.84.208.105	62.84.208.127	GB
62.84.208.128	62.84.208.191	SE
62.84.208.192	62.84.208.215	GB
62.84.208.216	62.84.209.31	SE
62.84.209.32	62.84.209.79	GB
62.84.209.80	62.84.209.159	SE
62.84.209.160	62.84.209.175	GB
62.84.209.176	62.84.209.243	SE
62.84.209.244	62.84.209.255	GB
62.84.210.0	62.84.210.255	SE
62.84.211.0	62.84.211.15	GB
62.84.211.16	62.84.211.31	SE
62.84.211.32	62.84.211.63	GB
62.84.211.64	62.84.211.95	SE
62.84.211.96	62.84.211.111	GB
62.84.211.112	62.84.211.127	SE
62.84.211.128	62.84.211.239	GB
62.84.211.240	62.84.213.127	SE
62.84.213.128	62.84.213.255	GB
62.84.214.0	62.84.214.255	SE
62.84.215.0	62.84.215.127	GB
62.84.215.128	62.84.215.159	SE
62.84.215.160	62.84.215.223	GB
62.84.215.224	62.84.215.255	SE
62.84.216.0	62.84.216.39	GB
62.84.216.40	62.84.216.63	SE
62.84.216.64	62.84.216.103	GB
62.84.216.104	62.84.216.111	SE
62.84.216.112	62.84.216.127	GB
62.84.216.128	62.84.216.159	SE
62.84.216.160	62.84.216.207	GB
62.84.216.208	62.84.216.223	SE
62.84.216.224	62.84.216.255	GB
62.84.217.0	62.84.217.255	SE
62.84.218.0	62.84.218.15	GB
62.84.218.16	62.84.218.63	SE
62.84.218.64	62.84.218.71	GB
62.84.218.72	62.84.218.79	SE
62.84.218.80	62.84.218.95	GB
62.84.218.96	62.84.218.127	SE
62.84.218.128	62.84.218.167	GB
62.84.218.168	62.84.218.171	SE
62.84.218.172	62.84.218.175	GB
62.84.218.176	62.84.218.183	SE
62.84.218.184	62.84.218.239	GB
62.84.218.240	62.84.219.255	SE
62.84.220.0	62.84.222.255	GB
62.84.223.0	62.84.223.255	SE
62.84.224.0	62.84.255.255	GB
62.85.0.0	62.85.127.255	LV
62.85.128.0	62.85.159.255	FR
62.85.160.0	62.86.255.255	IT
62.87.0.0	62.87.127.255	ES
62.87.128.0	62.87.255.255	PL
62.88.0.0	62.88.127.255	BE
62.88.128.0	62.88.255.255	SE
62.89.0.0	62.89.31.255	AM
62.89.32.0	62.89.63.255	NO
62.89.64.0	62.89.127.255	PL
62.89.128.0	62.89.159.255	GB
62.89.160.0	62.89.191.255	DE
62.89.192.0	62.89.255.255	RU
62.90.0.0	62.90.251.255	IL
62.90.252.0	62.90.252.255	LR
62.90.253.0	62.90.255.255	IL
62.91.0.0	62.91.255.255	DE
62.92.0.0	62.92.34.239	NO
62.92.34.240	62.92.34.247	SE
62.92.34.248	62.92.48.119	NO
62.92.48.120	62.92.48.127	SE
62.92.48.128	62.92.255.255	NO
62.93.0.0	62.93.2.255	DE
62.93.3.0	62.93.3.255	BZ
62.93.4.0	62.93.4.63	LU
62.93.4.64	62.93.7.255	DE
62.93.8.0	62.93.11.255	BZ
62.93.12.0	62.93.17.71	DE
62.93.17.72	62.93.17.79	BZ
62.93.17.80	62.93.18.79	DE
62.93.18.80	62.93.18.87	ES
62.93.18.88	62.93.23.255	DE
62.93.24.0	62.93.25.23	CZ
62.93.25.24	62.93.25.255	DE
62.93.26.0	62.93.31.255	AG
62.93.32.0	62.93.63.255	PL
62.93.64.0	62.93.68.255	AT
62.93.69.0	62.93.69.255	MK
62.93.70.0	62.93.72.127	AT
62.93.72.128	62.93.72.255	MK
62.93.73.0	62.93.77.191	AT
62.93.77.192	62.93.77.255	MK
62.93.78.0	62.93.80.191	AT
62.93.80.192	62.93.80.255	MK
62.93.81.0	62.93.89.255	AT
62.93.90.0	62.93.90.127	MK
62.93.90.128	62.93.90.255	AT
62.93.91.0	62.93.91.127	MK
62.93.91.128	62.93.91.255	AT
62.93.92.0	62.93.95.255	MK
62.93.96.0	62.93.104.63	AT
62.93.104.64	62.93.106.127	MK
62.93.106.128	62.93.107.255	AT
62.93.108.0	62.93.108.255	MK
62.93.109.0	62.93.109.255	AT
62.93.110.0	62.93.115.255	MK
62.93.116.0	62.93.127.255	AT
62.93.128.0	62.93.129.255	FR
62.93.130.0	62.93.131.255	IT
62.93.132.0	62.93.133.255	FR
62.93.134.0	62.93.135.255	DK
62.93.136.0	62.93.137.255	ES
62.93.138.0	62.93.138.255	GB
62.93.139.0	62.93.140.255	NL
62.93.141.0	62.93.141.255	GB
62.93.142.0	62.93.147.255	NL
62.93.148.0	62.93.149.255	GB
62.93.150.0	62.93.159.255	NL
62.93.160.0	62.93.175.111	ES
62.93.175.112	62.93.175.115	FR
62.93.175.116	62.93.191.255	ES
62.93.192.0	62.93.192.63	DE
62.93.192.64	62.93.192.255	EU
62.93.193.0	62.93.193.31	DE
62.93.193.32	62.93.193.95	EU
62.93.193.96	62.93.193.127	DE
62.93.193.128	62.93.193.191	EU
62.93.193.192	62.93.193.223	DE
62.93.193.224	62.93.193.255	EU
62.93.194.0	62.93.194.255	NL
62.93.195.0	62.93.195.255	FR
62.93.196.0	62.93.199.255	EU
62.93.200.0	62.93.200.255	DE
62.93.201.0	62.93.204.255	EU
62.93.205.0	62.93.205.255	DE
62.93.206.0	62.93.210.223	EU
62.93.210.224	62.93.210.255	DE
62.93.211.0	62.93.211.255	EU
62.93.212.0	62.93.213.255	DE
62.93.214.0	62.93.215.255	EU
62.93.216.0	62.93.217.255	DE
62.93.218.0	62.93.224.255	EU
62.93.225.0	62.93.225.255	FR
62.93.226.0	62.93.227.255	EU
62.93.228.0	62.93.229.255	NL
62.93.230.0	62.93.231.255	EU
62.93.232.0	62.93.232.255	FR
62.93.233.0	62.93.233.255	EU
62.93.234.0	62.93.236.63	NL
62.93.236.64	62.93.238.255	EU
62.93.239.0	62.93.240.255	NL
62.93.241.0	62.93.244.255	EU
62.93.245.0	62.93.245.255	DE
62.93.246.0	62.93.246.111	EU
62.93.246.112	62.93.247.255	DE
62.93.248.0	62.93.249.127	EU
62.93.249.128	62.93.249.255	DE
62.93.250.0	62.93.250.63	EU
62.93.250.64	62.93.250.127	DE
62.93.250.128	62.93.251.15	EU
62.93.251.16	62.93.251.63	DE
62.93.251.64	62.93.255.255	EU
62.94.0.0	62.94.8.15	IT
62.94.8.16	62.94.8.23	FR
62.94.8.24	62.94.19.191	IT
62.94.19.192	62.94.19.207	SM
62.94.19.208	62.94.74.87	IT
62.94.74.88	62.94.74.95	PL
62.94.74.96	62.94.145.207	IT
62.94.145.208	62.94.145.215	A2
62.94.145.216	62.94.255.255	IT
62.95.0.0	62.95.127.255	SE
62.95.128.0	62.96.2.175	DE
62.96.2.176	62.96.2.191	GB
62.96.2.192	62.96.3.71	DE
62.96.3.72	62.96.3.79	GB
62.96.3.80	62.96.4.175	DE
62.96.4.176	62.96.4.183	GB
62.96.4.184	62.96.6.87	DE
62.96.6.88	62.96.6.95	GB
62.96.6.96	62.96.7.79	DE
62.96.7.80	62.96.7.95	GB
62.96.7.96	62.96.9.175	DE
62.96.9.176	62.96.9.223	GB
62.96.9.224	62.96.10.127	DE
62.96.10.128	62.96.11.255	GB
62.96.12.0	62.96.12.39	DE
62.96.12.40	62.96.12.47	GB
62.96.12.48	62.96.15.63	DE
62.96.15.64	62.96.15.255	GB
62.96.16.0	62.96.17.31	DE
62.96.17.32	62.96.18.15	GB
62.96.18.16	62.96.18.127	DE
62.96.18.128	62.96.19.255	GB
62.96.20.0	62.96.21.127	DE
62.96.21.128	62.96.21.255	GB
62.96.22.0	62.96.22.31	DE
62.96.22.32	62.96.22.127	GB
62.96.22.128	62.96.22.143	DE
62.96.22.144	62.96.23.255	GB
62.96.24.0	62.96.24.31	DE
62.96.24.32	62.96.24.39	GB
62.96.24.40	62.96.24.135	DE
62.96.24.136	62.96.24.143	GB
62.96.24.144	62.96.24.167	DE
62.96.24.168	62.96.24.175	GB
62.96.24.176	62.96.25.31	DE
62.96.25.32	62.96.25.39	GB
62.96.25.40	62.96.25.119	DE
62.96.25.120	62.96.25.127	GB
62.96.25.128	62.96.25.247	DE
62.96.25.248	62.96.25.255	GB
62.96.26.0	62.96.28.39	DE
62.96.28.40	62.96.28.47	GB
62.96.28.48	62.96.28.143	DE
62.96.28.144	62.96.28.159	GB
62.96.28.160	62.96.28.167	DE
62.96.28.168	62.96.28.175	GB
62.96.28.176	62.96.29.103	DE
62.96.29.104	62.96.29.111	GB
62.96.29.112	62.96.48.255	DE
62.96.49.0	62.96.49.7	GB
62.96.49.8	62.96.49.31	DE
62.96.49.32	62.96.49.39	GB
62.96.49.40	62.96.50.95	DE
62.96.50.96	62.96.50.127	GB
62.96.50.128	62.96.50.191	DE
62.96.50.192	62.96.51.255	GB
62.96.52.0	62.96.52.159	DE
62.96.52.160	62.96.52.167	GB
62.96.52.168	62.96.52.255	DE
62.96.53.0	62.96.53.31	GB
62.96.53.32	62.96.53.87	DE
62.96.53.88	62.96.53.95	GB
62.96.53.96	62.96.53.127	DE
62.96.53.128	62.96.53.135	GB
62.96.53.136	62.96.53.239	DE
62.96.53.240	62.96.53.247	GB
62.96.53.248	62.96.54.239	DE
62.96.54.240	62.96.55.39	GB
62.96.55.40	62.96.55.143	DE
62.96.55.144	62.96.55.159	GB
62.96.55.160	62.96.55.167	DE
62.96.55.168	62.96.55.175	GB
62.96.55.176	62.96.56.207	DE
62.96.56.208	62.96.57.31	GB
62.96.57.32	62.96.57.47	DE
62.96.57.48	62.96.57.71	GB
62.96.57.72	62.96.57.79	DE
62.96.57.80	62.96.57.95	GB
62.96.57.96	62.96.57.111	DE
62.96.57.112	62.96.57.135	GB
62.96.57.136	62.96.57.143	DE
62.96.57.144	62.96.57.151	GB
62.96.57.152	62.96.57.159	DE
62.96.57.160	62.96.57.191	GB
62.96.57.192	62.96.57.199	DE
62.96.57.200	62.96.57.255	GB
62.96.58.0	62.96.58.255	DE
62.96.59.0	62.96.59.31	GB
62.96.59.32	62.96.59.79	DE
62.96.59.80	62.96.59.87	GB
62.96.59.88	62.96.59.135	DE
62.96.59.136	62.96.59.143	GB
62.96.59.144	62.96.60.95	DE
62.96.60.96	62.96.60.103	GB
62.96.60.104	62.96.60.119	DE
62.96.60.120	62.96.60.127	GB
62.96.60.128	62.96.61.143	DE
62.96.61.144	62.96.61.151	GB
62.96.61.152	62.96.61.159	DE
62.96.61.160	62.96.61.255	GB
62.96.62.0	62.96.64.119	DE
62.96.64.120	62.96.64.127	GB
62.96.64.128	62.96.64.175	DE
62.96.64.176	62.96.64.183	GB
62.96.64.184	62.96.64.207	DE
62.96.64.208	62.96.64.215	GB
62.96.64.216	62.96.64.255	DE
62.96.65.0	62.96.65.31	GB
62.96.65.32	62.96.65.39	DE
62.96.65.40	62.96.65.47	GB
62.96.65.48	62.96.65.55	DE
62.96.65.56	62.96.65.63	GB
62.96.65.64	62.96.65.79	DE
62.96.65.80	62.96.65.87	GB
62.96.65.88	62.96.65.111	DE
62.96.65.112	62.96.65.119	GB
62.96.65.120	62.96.65.143	DE
62.96.65.144	62.96.65.151	GB
62.96.65.152	62.96.65.159	DE
62.96.65.160	62.96.65.175	GB
62.96.65.176	62.96.65.215	DE
62.96.65.216	62.96.65.231	GB
62.96.65.232	62.96.66.135	DE
62.96.66.136	62.96.66.151	GB
62.96.66.152	62.96.66.255	DE
62.96.67.0	62.96.67.47	GB
62.96.67.48	62.96.67.127	DE
62.96.67.128	62.96.67.135	GB
62.96.67.136	62.96.67.191	DE
62.96.67.192	62.96.67.215	GB
62.96.67.216	62.96.67.231	DE
62.96.67.232	62.96.67.239	GB
62.96.67.240	62.96.68.47	DE
62.96.68.48	62.96.68.255	GB
62.96.69.0	62.96.72.183	DE
62.96.72.184	62.96.72.191	GB
62.96.72.192	62.96.72.199	DE
62.96.72.200	62.96.73.31	GB
62.96.73.32	62.96.73.103	DE
62.96.73.104	62.96.73.111	GB
62.96.73.112	62.96.73.127	DE
62.96.73.128	62.96.73.135	GB
62.96.73.136	62.96.73.183	DE
62.96.73.184	62.96.73.191	GB
62.96.73.192	62.96.73.223	DE
62.96.73.224	62.96.73.239	GB
62.96.73.240	62.96.74.183	DE
62.96.74.184	62.96.74.191	GB
62.96.74.192	62.96.74.255	DE
62.96.75.0	62.96.75.31	GB
62.96.75.32	62.96.75.55	DE
62.96.75.56	62.96.75.63	GB
62.96.75.64	62.96.75.111	DE
62.96.75.112	62.96.75.119	GB
62.96.75.120	62.96.75.127	DE
62.96.75.128	62.96.75.135	GB
62.96.75.136	62.96.75.159	DE
62.96.75.160	62.96.75.167	GB
62.96.75.168	62.96.75.191	DE
62.96.75.192	62.96.75.207	GB
62.96.75.208	62.96.75.215	DE
62.96.75.216	62.96.75.223	GB
62.96.75.224	62.96.75.231	DE
62.96.75.232	62.96.75.247	GB
62.96.75.248	62.96.76.55	DE
62.96.76.56	62.96.76.63	GB
62.96.76.64	62.96.76.151	DE
62.96.76.152	62.96.77.31	GB
62.96.77.32	62.96.77.71	DE
62.96.77.72	62.96.77.79	GB
62.96.77.80	62.96.77.95	DE
62.96.77.96	62.96.77.103	GB
62.96.77.104	62.96.77.119	DE
62.96.77.120	62.96.77.127	GB
62.96.77.128	62.96.77.159	DE
62.96.77.160	62.96.77.167	GB
62.96.77.168	62.96.78.3	DE
62.96.78.4	62.96.79.255	GB
62.96.80.0	62.96.92.255	DE
62.96.93.0	62.96.93.63	GB
62.96.93.64	62.96.93.207	DE
62.96.93.208	62.96.93.255	GB
62.96.94.0	62.96.99.223	DE
62.96.99.224	62.96.99.255	GB
62.96.100.0	62.96.146.63	DE
62.96.146.64	62.96.147.255	GB
62.96.148.0	62.96.148.15	DE
62.96.148.16	62.96.148.255	GB
62.96.149.0	62.96.149.39	DE
62.96.149.40	62.96.149.47	GB
62.96.149.48	62.96.149.95	DE
62.96.149.96	62.96.151.255	GB
62.96.152.0	62.96.153.255	DE
62.96.154.0	62.96.176.255	GB
62.96.177.0	62.96.177.31	DE
62.96.177.32	62.96.177.47	GB
62.96.177.48	62.96.177.55	DE
62.96.177.56	62.96.177.127	GB
62.96.177.128	62.96.177.195	DE
62.96.177.196	62.96.177.255	GB
62.96.178.0	62.96.180.255	DE
62.96.181.0	62.96.181.31	GB
62.96.181.32	62.96.181.63	DE
62.96.181.64	62.96.181.127	GB
62.96.181.128	62.96.181.159	DE
62.96.181.160	62.96.181.255	GB
62.96.182.0	62.96.182.255	DE
62.96.183.0	62.96.186.127	GB
62.96.186.128	62.96.186.135	DE
62.96.186.136	62.96.186.167	GB
62.96.186.168	62.96.186.171	DE
62.96.186.172	62.96.186.255	GB
62.96.187.0	62.96.189.255	DE
62.96.190.0	62.96.190.255	GB
62.96.191.0	62.96.191.255	DE
62.96.192.0	62.96.192.255	GB
62.96.193.0	62.96.193.31	DE
62.96.193.32	62.96.193.63	GB
62.96.193.64	62.96.193.79	DE
62.96.193.80	62.96.193.135	GB
62.96.193.136	62.96.193.143	DE
62.96.193.144	62.96.193.203	GB
62.96.193.204	62.96.193.207	DE
62.96.193.208	62.96.193.215	GB
62.96.193.216	62.96.193.223	DE
62.96.193.224	62.96.193.231	GB
62.96.193.232	62.96.193.239	DE
62.96.193.240	62.96.194.7	GB
62.96.194.8	62.96.194.15	DE
62.96.194.16	62.96.194.31	GB
62.96.194.32	62.96.194.47	DE
62.96.194.48	62.96.194.63	GB
62.96.194.64	62.96.194.75	DE
62.96.194.76	62.96.194.87	GB
62.96.194.88	62.96.194.91	DE
62.96.194.92	62.96.194.95	GB
62.96.194.96	62.96.194.127	DE
62.96.194.128	62.96.194.159	GB
62.96.194.160	62.96.194.255	DE
62.96.195.0	62.96.196.255	GB
62.96.197.0	62.96.197.255	DE
62.96.198.0	62.96.199.255	GB
62.96.200.0	62.96.202.127	DE
62.96.202.128	62.96.202.255	GB
62.96.203.0	62.96.203.63	DE
62.96.203.64	62.96.203.127	GB
62.96.203.128	62.96.203.131	DE
62.96.203.132	62.96.203.151	GB
62.96.203.152	62.96.203.159	DE
62.96.203.160	62.96.203.191	GB
62.96.203.192	62.96.204.55	DE
62.96.204.56	62.96.206.255	GB
62.96.207.0	62.96.207.255	DE
62.96.208.0	62.96.215.127	GB
62.96.215.128	62.96.215.159	DE
62.96.215.160	62.96.215.175	GB
62.96.215.176	62.96.215.183	DE
62.96.215.184	62.96.215.255	GB
62.96.216.0	62.96.218.87	DE
62.96.218.88	62.96.218.191	GB
62.96.218.192	62.96.218.239	DE
62.96.218.240	62.96.218.255	GB
62.96.219.0	62.96.220.143	DE
62.96.220.144	62.96.220.191	GB
62.96.220.192	62.96.220.255	DE
62.96.221.0	62.96.221.63	GB
62.96.221.64	62.96.221.191	DE
62.96.221.192	62.96.221.195	GB
62.96.221.196	62.96.221.199	DE
62.96.221.200	62.96.221.207	GB
62.96.221.208	62.96.222.255	DE
62.96.223.0	62.96.223.87	GB
62.96.223.88	62.96.223.103	DE
62.96.223.104	62.96.223.127	GB
62.96.223.128	62.96.223.215	DE
62.96.223.216	62.96.223.223	GB
62.96.223.224	62.96.223.231	DE
62.96.223.232	62.96.223.251	GB
62.96.223.252	62.96.224.7	DE
62.96.224.8	62.96.224.19	GB
62.96.224.20	62.96.224.23	DE
62.96.224.24	62.96.224.63	GB
62.96.224.64	62.96.224.79	DE
62.96.224.80	62.96.224.87	GB
62.96.224.88	62.96.224.91	DE
62.96.224.92	62.96.224.95	GB
62.96.224.96	62.96.224.103	DE
62.96.224.104	62.96.224.127	GB
62.96.224.128	62.96.224.159	DE
62.96.224.160	62.96.224.163	GB
62.96.224.164	62.96.224.167	DE
62.96.224.168	62.96.224.231	GB
62.96.224.232	62.96.224.239	DE
62.96.224.240	62.96.225.159	GB
62.96.225.160	62.96.225.219	DE
62.96.225.220	62.96.225.255	GB
62.96.226.0	62.96.227.63	DE
62.96.227.64	62.96.227.95	GB
62.96.227.96	62.96.227.111	DE
62.96.227.112	62.96.227.127	GB
62.96.227.128	62.96.227.191	DE
62.96.227.192	62.96.227.255	GB
62.96.228.0	62.96.231.255	DE
62.96.232.0	62.96.232.191	GB
62.96.232.192	62.96.232.207	DE
62.96.232.208	62.96.232.223	GB
62.96.232.224	62.96.232.255	DE
62.96.233.0	62.96.233.255	GB
62.96.234.0	62.96.237.255	DE
62.96.238.0	62.96.238.255	GB
62.96.239.0	62.96.239.255	DE
62.96.240.0	62.96.240.255	GB
62.96.241.0	62.96.244.127	DE
62.96.244.128	62.96.244.191	GB
62.96.244.192	62.96.244.255	DE
62.96.245.0	62.96.245.63	GB
62.96.245.64	62.96.245.127	DE
62.96.245.128	62.96.245.159	GB
62.96.245.160	62.96.245.191	DE
62.96.245.192	62.96.245.199	GB
62.96.245.200	62.96.245.215	DE
62.96.245.216	62.96.245.239	GB
62.96.245.240	62.96.250.255	DE
62.96.251.0	62.96.251.159	GB
62.96.251.160	62.96.251.191	DE
62.96.251.192	62.96.251.223	GB
62.96.251.224	62.96.251.247	DE
62.96.251.248	62.96.251.255	GB
62.96.252.0	62.96.252.255	DE
62.96.253.0	62.96.254.255	GB
62.96.255.0	62.96.255.255	DE
62.97.0.0	62.97.63.255	IT
62.97.64.0	62.97.159.255	ES
62.97.160.0	62.97.255.255	NO
62.98.0.0	62.98.255.255	IT
62.99.0.0	62.99.127.255	ES
62.99.128.0	62.99.255.255	AT
62.100.0.0	62.100.63.255	NL
62.100.64.0	62.100.95.255	IT
62.100.96.0	62.100.127.255	ES
62.100.128.0	62.100.159.255	FR
62.100.160.0	62.100.223.255	GB
62.100.224.0	62.100.255.255	HU
62.101.0.0	62.101.31.255	IT
62.101.32.0	62.101.63.255	SE
62.101.64.0	62.101.127.255	IT
62.101.128.0	62.101.159.255	BA
62.101.160.0	62.101.191.255	ES
62.101.192.0	62.101.255.255	NO
62.102.0.0	62.102.2.7	BE
62.102.2.8	62.102.2.31	EU
62.102.2.32	62.102.2.39	BE
62.102.2.40	62.102.2.79	EU
62.102.2.80	62.102.2.95	BE
62.102.2.96	62.102.3.143	EU
62.102.3.144	62.102.3.167	BE
62.102.3.168	62.102.3.255	EU
62.102.4.0	62.102.4.191	BE
62.102.4.192	62.102.5.255	EU
62.102.6.0	62.102.24.255	BE
62.102.25.0	62.102.28.23	EU
62.102.28.24	62.102.28.31	BE
62.102.28.32	62.102.28.39	EU
62.102.28.40	62.102.28.79	BE
62.102.28.80	62.102.28.95	EU
62.102.28.96	62.102.29.7	BE
62.102.29.8	62.102.29.15	EU
62.102.29.16	62.102.29.23	BE
62.102.29.24	62.102.29.55	EU
62.102.29.56	62.102.29.63	BE
62.102.29.64	62.102.29.103	EU
62.102.29.104	62.102.29.135	BE
62.102.29.136	62.102.29.159	EU
62.102.29.160	62.102.29.167	BE
62.102.29.168	62.102.29.199	EU
62.102.29.200	62.102.29.223	BE
62.102.29.224	62.102.29.231	EU
62.102.29.232	62.102.29.247	BE
62.102.29.248	62.102.30.31	EU
62.102.30.32	62.102.30.47	BE
62.102.30.48	62.102.30.63	EU
62.102.30.64	62.102.30.87	BE
62.102.30.88	62.102.30.95	EU
62.102.30.96	62.102.30.103	BE
62.102.30.104	62.102.30.151	EU
62.102.30.152	62.102.30.167	BE
62.102.30.168	62.102.30.199	EU
62.102.30.200	62.102.30.215	BE
62.102.30.216	62.102.30.223	EU
62.102.30.224	62.102.31.127	BE
62.102.31.128	62.102.31.135	EU
62.102.31.136	62.102.31.143	BE
62.102.31.144	62.102.31.151	EU
62.102.31.152	62.102.31.191	BE
62.102.31.192	62.102.31.255	EU
62.102.32.0	62.102.32.255	BE
62.102.33.0	62.102.33.7	EU
62.102.33.8	62.102.33.15	BE
62.102.33.16	62.102.33.47	EU
62.102.33.48	62.102.33.55	RO
62.102.33.56	62.102.33.79	EU
62.102.33.80	62.102.33.103	BE
62.102.33.104	62.102.33.127	EU
62.102.33.128	62.102.33.159	BE
62.102.33.160	62.102.33.223	EU
62.102.33.224	62.102.33.247	BE
62.102.33.248	62.102.34.135	EU
62.102.34.136	62.102.34.143	BE
62.102.34.144	62.102.34.151	EU
62.102.34.152	62.102.34.167	BE
62.102.34.168	62.102.34.215	EU
62.102.34.216	62.102.35.15	BE
62.102.35.16	62.102.35.31	EU
62.102.35.32	62.102.35.47	BE
62.102.35.48	62.102.35.55	EU
62.102.35.56	62.102.35.63	BE
62.102.35.64	62.102.35.87	EU
62.102.35.88	62.102.35.103	BE
62.102.35.104	62.102.35.111	EU
62.102.35.112	62.102.35.215	BE
62.102.35.216	62.102.35.255	EU
62.102.36.0	62.102.38.255	BE
62.102.39.0	62.102.39.255	EU
62.102.40.0	62.102.48.31	BE
62.102.48.32	62.102.51.255	EU
62.102.52.0	62.102.63.255	BE
62.102.64.0	62.102.89.255	GB
62.102.90.0	62.102.94.255	EU
62.102.95.0	62.102.99.255	GB
62.102.100.0	62.102.102.255	BE
62.102.103.0	62.102.103.255	EU
62.102.104.0	62.102.104.255	BE
62.102.105.0	62.102.105.223	EU
62.102.105.224	62.102.127.255	BE
62.102.128.0	62.102.255.255	RU
62.103.0.0	62.103.255.255	GR
62.104.0.0	62.104.255.255	DE
62.105.0.0	62.105.63.255	RU
62.105.64.0	62.105.127.255	GB
62.105.128.0	62.105.159.255	RU
62.105.160.0	62.105.191.255	GB
62.105.192.0	62.105.255.255	NL
62.106.0.0	62.106.63.255	FI
62.106.64.0	62.106.95.255	FR
62.106.96.0	62.106.127.255	RU
62.106.128.0	62.106.255.255	FR
62.107.0.0	62.107.255.255	DK
62.108.0.0	62.108.31.255	NL
62.108.32.0	62.108.63.255	DE
62.108.64.0	62.108.95.255	TR
62.108.96.0	62.108.127.255	RS
62.108.128.0	62.108.135.255	CH
62.108.136.0	62.108.137.63	GB
62.108.137.64	62.108.137.127	CH
62.108.137.128	62.108.137.143	FR
62.108.137.144	62.108.137.255	CH
62.108.138.0	62.108.138.31	GB
62.108.138.32	62.108.143.255	CH
62.108.144.0	62.108.144.15	US
62.108.144.16	62.108.144.31	GB
62.108.144.32	62.108.144.47	AU
62.108.144.48	62.108.159.255	CH
62.108.160.0	62.108.191.255	PL
62.108.192.0	62.108.223.255	SE
62.108.224.0	62.108.255.255	IT
62.109.0.0	62.109.31.255	RU
62.109.32.0	62.109.36.247	SE
62.109.36.248	62.109.36.255	DK
62.109.37.0	62.109.37.143	SE
62.109.37.144	62.109.37.151	NO
62.109.37.152	62.109.38.255	SE
62.109.39.0	62.109.39.255	NO
62.109.40.0	62.109.50.255	SE
62.109.51.0	62.109.51.255	NO
62.109.52.0	62.109.63.255	SE
62.109.64.0	62.109.127.255	DE
62.109.128.0	62.109.159.255	CZ
62.109.160.0	62.109.191.255	RU
62.109.192.0	62.109.255.255	NL
62.110.0.0	62.110.255.255	IT
62.111.0.0	62.111.127.255	DE
62.111.128.0	62.111.255.255	PL
62.112.0.0	62.112.31.255	BE
62.112.32.0	62.112.95.255	DE
62.112.96.0	62.112.127.255	RU
62.112.128.0	62.112.132.151	DE
62.112.132.152	62.112.132.155	CN
62.112.132.156	62.112.134.19	DE
62.112.134.20	62.112.134.23	ES
62.112.134.24	62.112.134.159	DE
62.112.134.160	62.112.134.163	US
62.112.134.164	62.112.139.219	DE
62.112.139.220	62.112.139.223	CH
62.112.139.224	62.112.140.23	DE
62.112.140.24	62.112.140.31	CH
62.112.140.32	62.112.140.39	DE
62.112.140.40	62.112.140.47	CH
62.112.140.48	62.112.140.55	DE
62.112.140.56	62.112.140.59	CH
62.112.140.60	62.112.140.83	DE
62.112.140.84	62.112.140.91	CH
62.112.140.92	62.112.140.99	DE
62.112.140.100	62.112.140.103	ES
62.112.140.104	62.112.140.139	DE
62.112.140.140	62.112.140.143	NL
62.112.140.144	62.112.140.147	CH
62.112.140.148	62.112.140.151	DE
62.112.140.152	62.112.140.155	BE
62.112.140.156	62.112.140.167	DE
62.112.140.168	62.112.140.171	CH
62.112.140.172	62.112.140.179	DE
62.112.140.180	62.112.140.183	CH
62.112.140.184	62.112.140.187	DE
62.112.140.188	62.112.140.191	NL
62.112.140.192	62.112.140.203	DE
62.112.140.204	62.112.140.207	CH
62.112.140.208	62.112.141.207	DE
62.112.141.208	62.112.141.211	AU
62.112.141.212	62.112.152.27	DE
62.112.152.28	62.112.152.31	CH
62.112.152.32	62.112.152.67	DE
62.112.152.68	62.112.152.79	CH
62.112.152.80	62.112.152.107	DE
62.112.152.108	62.112.152.111	AT
62.112.152.112	62.112.152.119	DE
62.112.152.120	62.112.152.123	CH
62.112.152.124	62.112.152.139	DE
62.112.152.140	62.112.152.143	CH
62.112.152.144	62.112.152.155	DE
62.112.152.156	62.112.152.163	CH
62.112.152.164	62.112.152.171	DE
62.112.152.172	62.112.152.175	CH
62.112.152.176	62.112.152.199	DE
62.112.152.200	62.112.152.203	CH
62.112.152.204	62.112.152.223	DE
62.112.152.224	62.112.152.227	CH
62.112.152.228	62.112.153.255	DE
62.112.154.0	62.112.154.3	AT
62.112.154.4	62.112.154.19	DE
62.112.154.20	62.112.154.23	AT
62.112.154.24	62.112.154.31	CH
62.112.154.32	62.112.154.43	DE
62.112.154.44	62.112.154.55	CH
62.112.154.56	62.112.154.115	DE
62.112.154.116	62.112.154.119	AT
62.112.154.120	62.112.154.147	DE
62.112.154.148	62.112.154.151	CH
62.112.154.152	62.112.154.183	DE
62.112.154.184	62.112.154.187	CH
62.112.154.188	62.112.154.191	DE
62.112.154.192	62.112.154.195	AT
62.112.154.196	62.112.154.199	CH
62.112.154.200	62.112.154.215	DE
62.112.154.216	62.112.154.219	CH
62.112.154.220	62.112.154.223	BE
62.112.154.224	62.112.155.15	DE
62.112.155.16	62.112.155.23	CH
62.112.155.24	62.112.155.39	DE
62.112.155.40	62.112.155.43	CH
62.112.155.44	62.112.155.47	BE
62.112.155.48	62.112.155.59	DE
62.112.155.60	62.112.155.63	AT
62.112.155.64	62.112.155.107	DE
62.112.155.108	62.112.155.123	CH
62.112.155.124	62.112.155.135	DE
62.112.155.136	62.112.155.139	CH
62.112.155.140	62.112.155.143	DE
62.112.155.144	62.112.155.151	CH
62.112.155.152	62.112.155.175	DE
62.112.155.176	62.112.155.183	CH
62.112.155.184	62.112.155.211	DE
62.112.155.212	62.112.155.215	AT
62.112.155.216	62.112.155.255	DE
62.112.156.0	62.112.156.15	ES
62.112.156.16	62.112.156.75	DE
62.112.156.76	62.112.156.79	CH
62.112.156.80	62.112.156.87	DE
62.112.156.88	62.112.156.91	CH
62.112.156.92	62.112.156.95	AT
62.112.156.96	62.112.156.99	CH
62.112.156.100	62.112.156.103	DE
62.112.156.104	62.112.156.107	CH
62.112.156.108	62.112.156.135	DE
62.112.156.136	62.112.156.139	CH
62.112.156.140	62.112.156.175	DE
62.112.156.176	62.112.156.179	CH
62.112.156.180	62.112.156.191	DE
62.112.156.192	62.112.156.195	CH
62.112.156.196	62.112.156.207	DE
62.112.156.208	62.112.156.211	AT
62.112.156.212	62.112.157.31	DE
62.112.157.32	62.112.157.35	CH
62.112.157.36	62.112.157.39	DE
62.112.157.40	62.112.157.43	CH
62.112.157.44	62.112.157.111	DE
62.112.157.112	62.112.157.115	BE
62.112.157.116	62.112.157.119	DE
62.112.157.120	62.112.157.127	CH
62.112.157.128	62.112.157.131	DE
62.112.157.132	62.112.157.135	CH
62.112.157.136	62.112.157.139	LU
62.112.157.140	62.112.157.143	CH
62.112.157.144	62.112.157.183	DE
62.112.157.184	62.112.157.187	CH
62.112.157.188	62.112.157.231	DE
62.112.157.232	62.112.157.235	CH
62.112.157.236	62.112.157.239	BE
62.112.157.240	62.112.157.255	DE
62.112.158.0	62.112.158.3	CH
62.112.158.4	62.112.158.7	AT
62.112.158.8	62.112.158.11	CH
62.112.158.12	62.112.158.63	DE
62.112.158.64	62.112.158.67	CH
62.112.158.68	62.112.158.175	DE
62.112.158.176	62.112.158.187	CH
62.112.158.188	62.112.158.211	DE
62.112.158.212	62.112.158.223	CH
62.112.158.224	62.112.159.31	DE
62.112.159.32	62.112.159.35	CH
62.112.159.36	62.112.159.59	DE
62.112.159.60	62.112.159.63	CH
62.112.159.64	62.112.159.87	DE
62.112.159.88	62.112.159.91	CH
62.112.159.92	62.112.159.107	DE
62.112.159.108	62.112.159.111	CH
62.112.159.112	62.112.159.119	DE
62.112.159.120	62.112.159.123	CH
62.112.159.124	62.112.159.235	DE
62.112.159.236	62.112.159.239	CH
62.112.159.240	62.112.159.255	DE
62.112.160.0	62.112.191.255	NL
62.112.192.0	62.112.223.255	HU
62.112.224.0	62.112.255.255	NL
62.113.0.0	62.113.31.255	BA
62.113.32.0	62.113.127.255	RU
62.113.128.0	62.113.159.255	NO
62.113.160.0	62.113.191.255	FI
62.113.192.0	62.113.255.255	DE
62.114.0.0	62.114.255.255	EG
62.115.0.0	62.115.15.255	EU
62.115.16.0	62.115.31.255	SE
62.115.32.0	62.115.63.255	EU
62.115.64.0	62.115.64.15	US
62.115.64.16	62.115.64.127	EU
62.115.64.128	62.115.64.255	DE
62.115.65.0	62.115.65.255	A2
62.115.66.0	62.115.225.31	EU
62.115.225.32	62.115.225.39	GB
62.115.225.40	62.115.229.39	EU
62.115.229.40	62.115.229.47	GB
62.115.229.48	62.115.229.63	EU
62.115.229.64	62.115.229.95	SE
62.115.229.96	62.115.229.127	NO
62.115.229.128	62.115.229.159	FI
62.115.229.160	62.115.255.255	EU
62.116.0.0	62.116.64.79	AT
62.116.64.80	62.116.64.95	IT
62.116.64.96	62.116.127.255	AT
62.116.128.0	62.116.177.15	DE
62.116.177.16	62.116.177.23	CY
62.116.177.24	62.116.191.255	DE
62.116.192.0	62.116.223.255	DK
62.116.224.0	62.116.255.255	SE
62.117.0.0	62.117.31.255	DE
62.117.32.0	62.117.63.255	EG
62.117.64.0	62.117.127.255	RU
62.117.128.0	62.117.255.255	ES
62.118.0.0	62.118.79.255	RU
62.118.80.0	62.118.80.255	GB
62.118.81.0	62.118.255.255	RU
62.119.0.0	62.119.43.255	SE
62.119.44.0	62.119.44.63	NO
62.119.44.64	62.119.102.95	SE
62.119.102.96	62.119.102.103	DE
62.119.102.104	62.119.255.255	SE
62.120.0.0	62.120.255.255	SA
62.121.0.0	62.121.31.255	GB
62.121.32.0	62.121.63.255	FI
62.121.64.0	62.121.159.255	PL
62.121.160.0	62.121.191.255	DK
62.121.192.0	62.121.255.255	CH
62.122.0.0	62.122.7.255	UA
62.122.8.0	62.122.15.255	FR
62.122.16.0	62.122.23.255	LV
62.122.24.0	62.122.31.255	BE
62.122.32.0	62.122.39.255	UA
62.122.40.0	62.122.47.255	RO
62.122.48.0	62.122.55.255	RU
62.122.56.0	62.122.71.255	UA
62.122.72.0	62.122.79.255	EU
62.122.80.0	62.122.87.255	DE
62.122.88.0	62.122.103.255	RU
62.122.104.0	62.122.111.255	UA
62.122.112.0	62.122.127.255	PL
62.122.128.0	62.122.151.255	RU
62.122.152.0	62.122.159.255	UA
62.122.160.0	62.122.167.255	DK
62.122.168.0	62.122.175.255	CZ
62.122.176.0	62.122.199.255	RU
62.122.200.0	62.122.207.255	UA
62.122.208.0	62.122.223.255	RU
62.122.224.0	62.122.231.255	IL
62.122.232.0	62.122.239.255	PL
62.122.240.0	62.122.247.255	RU
62.122.248.0	62.122.255.255	NO
62.123.0.0	62.123.255.255	IT
62.124.0.0	62.126.255.255	GB
62.127.0.0	62.127.255.255	SE
62.128.0.0	62.128.31.255	DE
62.128.32.0	62.128.63.255	IL
62.128.64.0	62.128.95.255	IT
62.128.96.0	62.128.103.255	UA
62.128.104.0	62.128.105.255	EE
62.128.106.0	62.128.111.255	UA
62.128.112.0	62.128.112.15	EE
62.128.112.16	62.128.112.71	UA
62.128.112.72	62.128.112.87	EE
62.128.112.88	62.128.112.255	UA
62.128.113.0	62.128.113.37	LT
62.128.113.38	62.128.113.39	UA
62.128.113.40	62.128.113.43	LT
62.128.113.44	62.128.113.47	UA
62.128.113.48	62.128.113.135	LT
62.128.113.136	62.128.121.255	UA
62.128.122.0	62.128.122.15	EE
62.128.122.16	62.128.122.255	UA
62.128.123.0	62.128.123.31	EE
62.128.123.32	62.128.123.255	UA
62.128.124.0	62.128.124.15	EE
62.128.124.16	62.128.124.31	UA
62.128.124.32	62.128.124.95	EE
62.128.124.96	62.128.125.255	UA
62.128.126.0	62.128.126.31	RU
62.128.126.32	62.128.127.159	UA
62.128.127.160	62.128.127.191	EE
62.128.127.192	62.128.127.199	UA
62.128.127.200	62.128.127.215	EE
62.128.127.216	62.128.127.219	UA
62.128.127.220	62.128.127.255	EE
62.128.128.0	62.128.138.255	GB
62.128.139.0	62.128.139.255	FR
62.128.140.0	62.128.153.255	GB
62.128.154.0	62.128.154.63	US
62.128.154.64	62.128.159.255	GB
62.128.160.0	62.128.175.255	KE
62.128.176.0	62.128.191.255	US
62.128.192.0	62.128.223.255	GB
62.128.224.0	62.128.255.255	NO
62.129.0.0	62.129.31.255	FR
62.129.32.0	62.129.63.255	CZ
62.129.64.0	62.129.127.255	GB
62.129.128.0	62.129.159.255	NL
62.129.160.0	62.129.191.255	FR
62.129.192.0	62.129.255.255	PL
62.130.0.0	62.130.255.255	GB
62.131.0.0	62.131.255.255	NL
62.132.0.0	62.132.0.31	DE
62.132.0.32	62.132.0.63	PL
62.132.0.64	62.132.0.95	NL
62.132.0.96	62.132.6.255	DE
62.132.7.0	62.132.9.255	NL
62.132.10.0	62.132.19.255	DE
62.132.20.0	62.132.20.47	NL
62.132.20.48	62.132.20.55	DE
62.132.20.56	62.132.21.79	NL
62.132.21.80	62.132.21.87	DE
62.132.21.88	62.132.22.175	NL
62.132.22.176	62.132.22.183	DE
62.132.22.184	62.132.22.207	NL
62.132.22.208	62.132.22.215	DE
62.132.22.216	62.132.23.231	NL
62.132.23.232	62.132.23.239	DE
62.132.23.240	62.132.23.255	NL
62.132.24.0	62.132.24.31	DE
62.132.24.32	62.132.24.63	NL
62.132.24.64	62.132.28.255	DE
62.132.29.0	62.132.29.135	NL
62.132.29.136	62.132.29.143	DE
62.132.29.144	62.132.29.191	NL
62.132.29.192	62.132.29.199	DE
62.132.29.200	62.132.30.31	NL
62.132.30.32	62.132.30.39	DE
62.132.30.40	62.132.32.239	NL
62.132.32.240	62.132.32.247	DE
62.132.32.248	62.132.33.55	NL
62.132.33.56	62.132.33.71	DE
62.132.33.72	62.132.33.95	NL
62.132.33.96	62.132.33.103	DE
62.132.33.104	62.132.33.255	NL
62.132.34.0	62.132.35.255	DE
62.132.36.0	62.132.36.63	NL
62.132.36.64	62.132.36.71	DE
62.132.36.72	62.132.36.95	NL
62.132.36.96	62.132.36.103	DE
62.132.36.104	62.132.38.247	NL
62.132.38.248	62.132.38.255	DE
62.132.39.0	62.132.39.7	NL
62.132.39.8	62.132.39.15	DE
62.132.39.16	62.132.40.95	NL
62.132.40.96	62.132.40.103	DE
62.132.40.104	62.132.40.167	NL
62.132.40.168	62.132.40.175	DE
62.132.40.176	62.132.41.63	NL
62.132.41.64	62.132.41.71	DE
62.132.41.72	62.132.41.95	NL
62.132.41.96	62.132.41.103	DE
62.132.41.104	62.132.41.255	NL
62.132.42.0	62.132.43.255	DE
62.132.44.0	62.132.44.151	NL
62.132.44.152	62.132.44.159	DE
62.132.44.160	62.132.44.191	NL
62.132.44.192	62.132.44.199	DE
62.132.44.200	62.132.45.199	NL
62.132.45.200	62.132.45.207	DE
62.132.45.208	62.132.50.15	NL
62.132.50.16	62.132.50.23	DE
62.132.50.24	62.132.50.87	NL
62.132.50.88	62.132.50.95	DE
62.132.50.96	62.132.50.207	NL
62.132.50.208	62.132.50.215	DE
62.132.50.216	62.132.51.23	NL
62.132.51.24	62.132.51.31	DE
62.132.51.32	62.132.52.135	NL
62.132.52.136	62.132.52.151	DE
62.132.52.152	62.132.52.199	NL
62.132.52.200	62.132.52.207	DE
62.132.52.208	62.132.52.223	NL
62.132.52.224	62.132.52.231	DE
62.132.52.232	62.132.52.247	NL
62.132.52.248	62.132.52.255	DE
62.132.53.0	62.132.53.31	NL
62.132.53.32	62.132.53.39	DE
62.132.53.40	62.132.54.71	NL
62.132.54.72	62.132.54.79	DE
62.132.54.80	62.132.55.111	NL
62.132.55.112	62.132.55.119	DE
62.132.55.120	62.132.57.71	NL
62.132.57.72	62.132.57.79	DE
62.132.57.80	62.132.57.135	NL
62.132.57.136	62.132.57.143	DE
62.132.57.144	62.132.58.135	NL
62.132.58.136	62.132.58.143	DE
62.132.58.144	62.132.58.151	NL
62.132.58.152	62.132.58.159	DE
62.132.58.160	62.132.58.199	NL
62.132.58.200	62.132.58.207	DE
62.132.58.208	62.132.59.79	NL
62.132.59.80	62.132.59.87	DE
62.132.59.88	62.132.60.71	NL
62.132.60.72	62.132.60.79	DE
62.132.60.80	62.132.60.151	NL
62.132.60.152	62.132.60.159	DE
62.132.60.160	62.132.61.103	NL
62.132.61.104	62.132.61.111	DE
62.132.61.112	62.132.62.39	NL
62.132.62.40	62.132.62.47	DE
62.132.62.48	62.132.63.119	NL
62.132.63.120	62.132.63.135	DE
62.132.63.136	62.132.63.255	NL
62.132.64.0	62.132.65.255	DE
62.132.66.0	62.132.66.7	NL
62.132.66.8	62.132.66.15	DE
62.132.66.16	62.132.66.175	NL
62.132.66.176	62.132.66.183	DE
62.132.66.184	62.132.66.231	NL
62.132.66.232	62.132.66.239	DE
62.132.66.240	62.132.69.87	NL
62.132.69.88	62.132.69.95	DE
62.132.69.96	62.132.69.207	NL
62.132.69.208	62.132.69.223	DE
62.132.69.224	62.132.70.31	NL
62.132.70.32	62.132.70.39	DE
62.132.70.40	62.132.71.39	NL
62.132.71.40	62.132.71.47	DE
62.132.71.48	62.132.71.55	NL
62.132.71.56	62.132.71.63	DE
62.132.71.64	62.132.71.239	NL
62.132.71.240	62.132.71.247	DE
62.132.71.248	62.132.72.111	NL
62.132.72.112	62.132.72.119	DE
62.132.72.120	62.132.73.7	NL
62.132.73.8	62.132.73.15	DE
62.132.73.16	62.132.73.87	NL
62.132.73.88	62.132.73.95	DE
62.132.73.96	62.132.73.167	NL
62.132.73.168	62.132.73.175	DE
62.132.73.176	62.132.76.167	NL
62.132.76.168	62.132.76.175	DE
62.132.76.176	62.132.77.255	NL
62.132.78.0	62.132.79.255	DE
62.132.80.0	62.132.81.215	NL
62.132.81.216	62.132.81.223	DE
62.132.81.224	62.132.84.255	NL
62.132.85.0	62.132.85.7	DE
62.132.85.8	62.132.86.151	NL
62.132.86.152	62.132.86.159	DE
62.132.86.160	62.132.86.247	NL
62.132.86.248	62.132.86.255	DE
62.132.87.0	62.132.87.39	NL
62.132.87.40	62.132.87.47	DE
62.132.87.48	62.132.87.95	NL
62.132.87.96	62.132.87.103	DE
62.132.87.104	62.132.87.191	NL
62.132.87.192	62.132.87.199	DE
62.132.87.200	62.132.90.199	NL
62.132.90.200	62.132.90.207	DE
62.132.90.208	62.132.90.247	NL
62.132.90.248	62.132.90.255	DE
62.132.91.0	62.132.94.39	NL
62.132.94.40	62.132.94.47	DE
62.132.94.48	62.132.94.79	NL
62.132.94.80	62.132.94.87	DE
62.132.94.88	62.132.95.47	NL
62.132.95.48	62.132.95.55	DE
62.132.95.56	62.132.95.159	NL
62.132.95.160	62.132.95.175	DE
62.132.95.176	62.132.95.207	NL
62.132.95.208	62.132.95.215	DE
62.132.95.216	62.132.95.247	NL
62.132.95.248	62.132.95.255	DE
62.132.96.0	62.132.96.199	NL
62.132.96.200	62.132.96.207	DE
62.132.96.208	62.132.97.135	NL
62.132.97.136	62.132.97.143	DE
62.132.97.144	62.132.98.39	NL
62.132.98.40	62.132.98.47	DE
62.132.98.48	62.132.98.87	NL
62.132.98.88	62.132.98.95	DE
62.132.98.96	62.132.98.111	NL
62.132.98.112	62.132.98.119	DE
62.132.98.120	62.132.98.159	NL
62.132.98.160	62.132.98.167	DE
62.132.98.168	62.132.99.87	NL
62.132.99.88	62.132.99.103	DE
62.132.99.104	62.132.99.143	NL
62.132.99.144	62.132.99.151	DE
62.132.99.152	62.132.99.255	NL
62.132.100.0	62.132.100.7	DE
62.132.100.8	62.132.100.47	NL
62.132.100.48	62.132.100.55	DE
62.132.100.56	62.132.101.71	NL
62.132.101.72	62.132.101.79	DE
62.132.101.80	62.132.101.167	NL
62.132.101.168	62.132.101.175	DE
62.132.101.176	62.132.102.215	NL
62.132.102.216	62.132.102.223	DE
62.132.102.224	62.132.104.7	NL
62.132.104.8	62.132.104.15	DE
62.132.104.16	62.132.105.255	NL
62.132.106.0	62.132.107.255	DE
62.132.108.0	62.132.108.111	NL
62.132.108.112	62.132.108.119	DE
62.132.108.120	62.132.108.143	NL
62.132.108.144	62.132.108.151	DE
62.132.108.152	62.132.109.47	NL
62.132.109.48	62.132.109.55	DE
62.132.109.56	62.132.112.215	NL
62.132.112.216	62.132.112.223	DE
62.132.112.224	62.132.113.135	NL
62.132.113.136	62.132.113.143	DE
62.132.113.144	62.132.113.223	NL
62.132.113.224	62.132.113.231	DE
62.132.113.232	62.132.113.255	NL
62.132.114.0	62.132.117.255	DE
62.132.118.0	62.132.119.47	NL
62.132.119.48	62.132.119.55	DE
62.132.119.56	62.132.121.63	NL
62.132.121.64	62.132.121.71	DE
62.132.121.72	62.132.121.143	NL
62.132.121.144	62.132.121.159	DE
62.132.121.160	62.132.121.247	NL
62.132.121.248	62.132.121.255	DE
62.132.122.0	62.132.122.103	NL
62.132.122.104	62.132.122.111	DE
62.132.122.112	62.132.122.167	NL
62.132.122.168	62.132.122.175	DE
62.132.122.176	62.132.122.199	NL
62.132.122.200	62.132.122.207	DE
62.132.122.208	62.132.122.239	NL
62.132.122.240	62.132.122.247	DE
62.132.122.248	62.132.123.55	NL
62.132.123.56	62.132.123.63	DE
62.132.123.64	62.132.123.127	NL
62.132.123.128	62.132.123.135	DE
62.132.123.136	62.132.123.215	NL
62.132.123.216	62.132.123.231	DE
62.132.123.232	62.132.124.63	NL
62.132.124.64	62.132.124.79	DE
62.132.124.80	62.132.124.87	NL
62.132.124.88	62.132.124.95	DE
62.132.124.96	62.132.124.127	NL
62.132.124.128	62.132.124.135	DE
62.132.124.136	62.132.124.199	NL
62.132.124.200	62.132.124.207	DE
62.132.124.208	62.132.124.215	NL
62.132.124.216	62.132.124.223	DE
62.132.124.224	62.132.124.239	NL
62.132.124.240	62.132.124.247	DE
62.132.124.248	62.132.125.135	NL
62.132.125.136	62.132.125.143	DE
62.132.125.144	62.132.125.255	NL
62.132.126.0	62.132.127.255	DE
62.132.128.0	62.132.128.183	NL
62.132.128.184	62.132.128.191	DE
62.132.128.192	62.132.129.55	NL
62.132.129.56	62.132.129.63	DE
62.132.129.64	62.132.131.255	NL
62.132.132.0	62.132.134.255	DE
62.132.135.0	62.132.135.31	NL
62.132.135.32	62.132.135.39	DE
62.132.135.40	62.132.137.47	NL
62.132.137.48	62.132.137.55	DE
62.132.137.56	62.132.139.15	NL
62.132.139.16	62.132.139.23	DE
62.132.139.24	62.132.139.63	NL
62.132.139.64	62.132.139.71	DE
62.132.139.72	62.132.139.207	NL
62.132.139.208	62.132.139.223	DE
62.132.139.224	62.132.140.31	NL
62.132.140.32	62.132.140.39	DE
62.132.140.40	62.132.140.167	NL
62.132.140.168	62.132.140.175	DE
62.132.140.176	62.132.141.55	NL
62.132.141.56	62.132.141.63	DE
62.132.141.64	62.132.141.87	NL
62.132.141.88	62.132.141.95	DE
62.132.141.96	62.132.141.119	NL
62.132.141.120	62.132.141.127	DE
62.132.141.128	62.132.141.175	NL
62.132.141.176	62.132.141.183	DE
62.132.141.184	62.132.141.207	NL
62.132.141.208	62.132.141.215	DE
62.132.141.216	62.132.141.231	NL
62.132.141.232	62.132.141.239	DE
62.132.141.240	62.132.142.39	NL
62.132.142.40	62.132.142.47	DE
62.132.142.48	62.132.142.207	NL
62.132.142.208	62.132.142.215	DE
62.132.142.216	62.132.144.7	NL
62.132.144.8	62.132.144.15	DE
62.132.144.16	62.132.144.183	NL
62.132.144.184	62.132.144.191	DE
62.132.144.192	62.132.145.127	NL
62.132.145.128	62.132.145.135	DE
62.132.145.136	62.132.146.151	NL
62.132.146.152	62.132.146.159	DE
62.132.146.160	62.132.146.167	NL
62.132.146.168	62.132.146.175	DE
62.132.146.176	62.132.146.183	NL
62.132.146.184	62.132.146.191	DE
62.132.146.192	62.132.147.47	NL
62.132.147.48	62.132.147.63	DE
62.132.147.64	62.132.148.223	NL
62.132.148.224	62.132.148.231	DE
62.132.148.232	62.132.149.39	NL
62.132.149.40	62.132.149.47	DE
62.132.149.48	62.132.151.7	NL
62.132.151.8	62.132.151.15	DE
62.132.151.16	62.132.151.23	NL
62.132.151.24	62.132.151.31	DE
62.132.151.32	62.132.151.191	NL
62.132.151.192	62.132.151.199	DE
62.132.151.200	62.132.151.223	NL
62.132.151.224	62.132.151.231	DE
62.132.151.232	62.132.151.239	NL
62.132.151.240	62.132.151.255	DE
62.132.152.0	62.132.152.15	NL
62.132.152.16	62.132.152.23	DE
62.132.152.24	62.132.152.47	NL
62.132.152.48	62.132.152.55	DE
62.132.152.56	62.132.152.135	NL
62.132.152.136	62.132.152.143	DE
62.132.152.144	62.132.152.191	NL
62.132.152.192	62.132.152.207	DE
62.132.152.208	62.132.152.231	NL
62.132.152.232	62.132.152.239	DE
62.132.152.240	62.132.152.255	NL
62.132.153.0	62.132.156.7	DE
62.132.156.8	62.132.156.23	NL
62.132.156.24	62.132.156.31	DE
62.132.156.32	62.132.156.255	NL
62.132.157.0	62.132.157.7	DE
62.132.157.8	62.132.157.111	NL
62.132.157.112	62.132.157.119	DE
62.132.157.120	62.132.157.151	NL
62.132.157.152	62.132.157.159	DE
62.132.157.160	62.132.157.207	NL
62.132.157.208	62.132.157.215	DE
62.132.157.216	62.132.158.71	NL
62.132.158.72	62.132.158.79	DE
62.132.158.80	62.132.158.159	NL
62.132.158.160	62.132.158.167	DE
62.132.158.168	62.132.158.223	NL
62.132.158.224	62.132.158.231	DE
62.132.158.232	62.132.158.239	NL
62.132.158.240	62.132.158.247	DE
62.132.158.248	62.132.159.135	NL
62.132.159.136	62.132.159.143	DE
62.132.159.144	62.132.159.199	NL
62.132.159.200	62.132.159.207	DE
62.132.159.208	62.132.160.95	NL
62.132.160.96	62.132.160.103	DE
62.132.160.104	62.132.160.159	NL
62.132.160.160	62.132.160.167	DE
62.132.160.168	62.132.160.231	NL
62.132.160.232	62.132.160.239	DE
62.132.160.240	62.132.161.95	NL
62.132.161.96	62.132.161.103	DE
62.132.161.104	62.132.162.71	NL
62.132.162.72	62.132.162.79	DE
62.132.162.80	62.132.164.183	NL
62.132.164.184	62.132.164.199	DE
62.132.164.200	62.132.165.255	NL
62.132.166.0	62.132.168.7	DE
62.132.168.8	62.132.169.207	NL
62.132.169.208	62.132.169.223	DE
62.132.169.224	62.132.171.151	NL
62.132.171.152	62.132.171.159	DE
62.132.171.160	62.132.171.223	NL
62.132.171.224	62.132.171.231	DE
62.132.171.232	62.132.172.135	NL
62.132.172.136	62.132.172.143	DE
62.132.172.144	62.132.173.63	NL
62.132.173.64	62.132.173.71	DE
62.132.173.72	62.132.174.15	NL
62.132.174.16	62.132.174.23	DE
62.132.174.24	62.132.174.55	NL
62.132.174.56	62.132.174.63	DE
62.132.174.64	62.132.174.135	NL
62.132.174.136	62.132.174.143	DE
62.132.174.144	62.132.174.167	NL
62.132.174.168	62.132.174.175	DE
62.132.174.176	62.132.175.7	NL
62.132.175.8	62.132.175.15	DE
62.132.175.16	62.132.175.223	NL
62.132.175.224	62.132.175.231	DE
62.132.175.232	62.132.176.119	NL
62.132.176.120	62.132.176.127	DE
62.132.176.128	62.132.176.151	NL
62.132.176.152	62.132.176.159	DE
62.132.176.160	62.132.178.159	NL
62.132.178.160	62.132.178.167	DE
62.132.178.168	62.132.180.55	NL
62.132.180.56	62.132.180.71	DE
62.132.180.72	62.132.182.239	NL
62.132.182.240	62.132.182.247	DE
62.132.182.248	62.132.182.255	NL
62.132.183.0	62.132.183.7	DE
62.132.183.8	62.132.183.119	NL
62.132.183.120	62.132.183.127	DE
62.132.183.128	62.132.184.223	NL
62.132.184.224	62.132.184.231	DE
62.132.184.232	62.132.185.71	NL
62.132.185.72	62.132.185.79	DE
62.132.185.80	62.132.185.199	NL
62.132.185.200	62.132.185.207	DE
62.132.185.208	62.132.186.7	NL
62.132.186.8	62.132.186.15	DE
62.132.186.16	62.132.186.55	NL
62.132.186.56	62.132.186.63	DE
62.132.186.64	62.132.186.79	NL
62.132.186.80	62.132.186.87	DE
62.132.186.88	62.132.187.223	NL
62.132.187.224	62.132.187.231	DE
62.132.187.232	62.132.188.71	NL
62.132.188.72	62.132.188.79	DE
62.132.188.80	62.132.188.159	NL
62.132.188.160	62.132.188.167	DE
62.132.188.168	62.132.188.191	NL
62.132.188.192	62.132.188.199	DE
62.132.188.200	62.132.189.87	NL
62.132.189.88	62.132.189.95	DE
62.132.189.96	62.132.190.87	NL
62.132.190.88	62.132.190.95	DE
62.132.190.96	62.132.190.119	NL
62.132.190.120	62.132.190.127	DE
62.132.190.128	62.132.190.255	NL
62.132.191.0	62.132.191.7	DE
62.132.191.8	62.132.194.127	NL
62.132.194.128	62.132.194.191	DE
62.132.194.192	62.132.207.255	NL
62.132.208.0	62.132.208.7	DE
62.132.208.8	62.132.209.175	NL
62.132.209.176	62.132.209.183	DE
62.132.209.184	62.132.210.7	NL
62.132.210.8	62.132.210.15	DE
62.132.210.16	62.132.211.151	NL
62.132.211.152	62.132.211.159	DE
62.132.211.160	62.132.211.183	NL
62.132.211.184	62.132.211.191	DE
62.132.211.192	62.132.211.207	NL
62.132.211.208	62.132.211.215	DE
62.132.211.216	62.132.213.143	NL
62.132.213.144	62.132.213.151	DE
62.132.213.152	62.132.213.191	NL
62.132.213.192	62.132.213.199	DE
62.132.213.200	62.132.213.223	NL
62.132.213.224	62.132.213.231	DE
62.132.213.232	62.132.215.95	NL
62.132.215.96	62.132.215.103	DE
62.132.215.104	62.132.215.119	NL
62.132.215.120	62.132.215.127	DE
62.132.215.128	62.132.216.151	NL
62.132.216.152	62.132.216.159	DE
62.132.216.160	62.132.217.7	NL
62.132.217.8	62.132.217.15	DE
62.132.217.16	62.132.217.23	NL
62.132.217.24	62.132.217.31	DE
62.132.217.32	62.132.217.223	NL
62.132.217.224	62.132.217.231	DE
62.132.217.232	62.132.218.31	NL
62.132.218.32	62.132.218.39	DE
62.132.218.40	62.132.218.87	NL
62.132.218.88	62.132.218.95	DE
62.132.218.96	62.132.218.119	NL
62.132.218.120	62.132.218.127	DE
62.132.218.128	62.132.219.7	NL
62.132.219.8	62.132.219.15	DE
62.132.219.16	62.132.220.7	NL
62.132.220.8	62.132.220.15	DE
62.132.220.16	62.132.220.23	NL
62.132.220.24	62.132.220.31	DE
62.132.220.32	62.132.220.143	NL
62.132.220.144	62.132.220.151	DE
62.132.220.152	62.132.220.207	NL
62.132.220.208	62.132.220.215	DE
62.132.220.216	62.132.221.15	NL
62.132.221.16	62.132.221.23	DE
62.132.221.24	62.132.221.175	NL
62.132.221.176	62.132.221.183	DE
62.132.221.184	62.132.222.55	NL
62.132.222.56	62.132.222.63	DE
62.132.222.64	62.132.222.103	NL
62.132.222.104	62.132.222.111	DE
62.132.222.112	62.132.223.39	NL
62.132.223.40	62.132.223.47	DE
62.132.223.48	62.132.223.207	NL
62.132.223.208	62.132.223.215	DE
62.132.223.216	62.132.224.63	NL
62.132.224.64	62.132.224.71	DE
62.132.224.72	62.132.224.159	NL
62.132.224.160	62.132.224.167	DE
62.132.224.168	62.132.225.223	NL
62.132.225.224	62.132.225.231	DE
62.132.225.232	62.132.226.231	NL
62.132.226.232	62.132.226.239	DE
62.132.226.240	62.132.227.15	NL
62.132.227.16	62.132.227.23	DE
62.132.227.24	62.132.227.63	NL
62.132.227.64	62.132.227.71	DE
62.132.227.72	62.132.227.223	NL
62.132.227.224	62.132.227.231	DE
62.132.227.232	62.132.228.7	NL
62.132.228.8	62.132.228.23	DE
62.132.228.24	62.132.228.159	NL
62.132.228.160	62.132.228.167	DE
62.132.228.168	62.132.228.175	NL
62.132.228.176	62.132.228.183	DE
62.132.228.184	62.132.228.223	NL
62.132.228.224	62.132.228.231	DE
62.132.228.232	62.132.229.103	NL
62.132.229.104	62.132.229.111	DE
62.132.229.112	62.132.229.199	NL
62.132.229.200	62.132.229.207	DE
62.132.229.208	62.132.230.95	NL
62.132.230.96	62.132.230.111	DE
62.132.230.112	62.132.230.215	NL
62.132.230.216	62.132.230.223	DE
62.132.230.224	62.132.230.247	NL
62.132.230.248	62.132.230.255	DE
62.132.231.0	62.132.231.15	NL
62.132.231.16	62.132.231.31	DE
62.132.231.32	62.132.231.39	NL
62.132.231.40	62.132.231.47	DE
62.132.231.48	62.132.231.87	NL
62.132.231.88	62.132.231.95	DE
62.132.231.96	62.132.231.183	NL
62.132.231.184	62.132.231.191	DE
62.132.231.192	62.132.231.215	NL
62.132.231.216	62.132.231.223	DE
62.132.231.224	62.132.232.199	NL
62.132.232.200	62.132.232.207	DE
62.132.232.208	62.132.236.159	NL
62.132.236.160	62.132.236.167	DE
62.132.236.168	62.132.237.175	NL
62.132.237.176	62.132.237.183	DE
62.132.237.184	62.132.237.231	NL
62.132.237.232	62.132.237.239	DE
62.132.237.240	62.132.238.199	NL
62.132.238.200	62.132.238.207	DE
62.132.238.208	62.132.238.215	NL
62.132.238.216	62.132.238.223	DE
62.132.238.224	62.132.238.231	NL
62.132.238.232	62.132.238.239	DE
62.132.238.240	62.132.240.7	NL
62.132.240.8	62.132.240.15	DE
62.132.240.16	62.132.241.231	NL
62.132.241.232	62.132.241.239	DE
62.132.241.240	62.132.242.31	NL
62.132.242.32	62.132.242.39	DE
62.132.242.40	62.132.242.215	NL
62.132.242.216	62.132.242.223	DE
62.132.242.224	62.132.242.247	NL
62.132.242.248	62.132.242.255	DE
62.132.243.0	62.132.243.15	NL
62.132.243.16	62.132.243.23	DE
62.132.243.24	62.132.243.39	NL
62.132.243.40	62.132.243.47	DE
62.132.243.48	62.132.244.95	NL
62.132.244.96	62.132.244.103	DE
62.132.244.104	62.132.245.71	NL
62.132.245.72	62.132.245.87	DE
62.132.245.88	62.132.246.47	NL
62.132.246.48	62.132.246.55	DE
62.132.246.56	62.132.246.79	NL
62.132.246.80	62.132.246.87	DE
62.132.246.88	62.132.246.191	NL
62.132.246.192	62.132.246.199	DE
62.132.246.200	62.132.246.207	NL
62.132.246.208	62.132.246.215	DE
62.132.246.216	62.132.247.239	NL
62.132.247.240	62.132.247.247	DE
62.132.247.248	62.132.248.199	NL
62.132.248.200	62.132.248.207	DE
62.132.248.208	62.132.248.215	NL
62.132.248.216	62.132.248.231	DE
62.132.248.232	62.132.250.191	NL
62.132.250.192	62.132.250.199	DE
62.132.250.200	62.132.250.215	NL
62.132.250.216	62.132.250.223	DE
62.132.250.224	62.132.250.247	NL
62.132.250.248	62.132.250.255	DE
62.132.251.0	62.132.251.47	NL
62.132.251.48	62.132.251.55	DE
62.132.251.56	62.132.251.127	NL
62.132.251.128	62.132.251.135	DE
62.132.251.136	62.132.251.183	NL
62.132.251.184	62.132.251.191	DE
62.132.251.192	62.132.252.15	NL
62.132.252.16	62.132.252.23	DE
62.132.252.24	62.132.253.159	NL
62.132.253.160	62.132.253.167	DE
62.132.253.168	62.132.253.183	NL
62.132.253.184	62.132.253.191	DE
62.132.253.192	62.132.255.255	NL
62.133.0.0	62.133.31.255	GB
62.133.32.0	62.133.63.255	IT
62.133.64.0	62.133.127.255	NL
62.133.128.0	62.133.159.255	PL
62.133.160.0	62.133.191.255	RU
62.133.192.0	62.133.194.63	NL
62.133.194.64	62.133.194.95	BE
62.133.194.96	62.133.200.87	NL
62.133.200.88	62.133.200.95	BE
62.133.200.96	62.133.255.255	NL
62.134.0.0	62.134.2.127	EU
62.134.2.128	62.134.2.159	DE
62.134.2.160	62.134.7.55	EU
62.134.7.56	62.134.7.60	DE
62.134.7.61	62.134.8.63	EU
62.134.8.64	62.134.8.127	DE
62.134.8.128	62.134.13.175	EU
62.134.13.176	62.134.13.183	DE
62.134.13.184	62.134.16.127	EU
62.134.16.128	62.134.16.255	DE
62.134.17.0	62.134.19.255	EU
62.134.20.0	62.134.23.79	DE
62.134.23.80	62.134.27.159	EU
62.134.27.160	62.134.27.167	DE
62.134.27.168	62.134.27.168	EU
62.134.27.169	62.134.27.174	DE
62.134.27.175	62.134.27.175	EU
62.134.27.176	62.134.27.191	DE
62.134.27.192	62.134.27.255	EU
62.134.28.0	62.134.28.63	DE
62.134.28.64	62.134.28.127	EU
62.134.28.128	62.134.31.255	DE
62.134.32.0	62.134.35.255	EU
62.134.36.0	62.134.37.255	DE
62.134.38.0	62.134.38.191	EU
62.134.38.192	62.134.39.95	DE
62.134.39.96	62.134.39.255	EU
62.134.40.0	62.134.44.15	DE
62.134.44.16	62.134.44.31	EU
62.134.44.32	62.134.44.47	DE
62.134.44.48	62.134.44.79	EU
62.134.44.80	62.134.44.251	DE
62.134.44.252	62.134.44.255	EU
62.134.45.0	62.134.45.55	DE
62.134.45.56	62.134.45.67	EU
62.134.45.68	62.134.45.71	DE
62.134.45.72	62.134.45.79	EU
62.134.45.80	62.134.45.87	DE
62.134.45.88	62.134.45.95	EU
62.134.45.96	62.134.45.223	DE
62.134.45.224	62.134.45.231	EU
62.134.45.232	62.134.45.239	DE
62.134.45.240	62.134.47.255	EU
62.134.48.0	62.134.48.255	DE
62.134.49.0	62.134.49.31	EU
62.134.49.32	62.134.49.63	DE
62.134.49.64	62.134.49.255	EU
62.134.50.0	62.134.52.79	DE
62.134.52.80	62.134.52.96	EU
62.134.52.97	62.134.52.135	DE
62.134.52.136	62.134.52.159	EU
62.134.52.160	62.134.52.167	DE
62.134.52.168	62.134.52.192	EU
62.134.52.193	62.134.52.254	DE
62.134.52.255	62.134.53.39	EU
62.134.53.40	62.134.53.159	DE
62.134.53.160	62.134.53.175	EU
62.134.53.176	62.134.53.239	DE
62.134.53.240	62.134.54.127	EU
62.134.54.128	62.134.55.127	DE
62.134.55.128	62.134.55.191	EU
62.134.55.192	62.134.56.127	DE
62.134.56.128	62.134.60.255	EU
62.134.61.0	62.134.62.79	DE
62.134.62.80	62.134.62.95	EU
62.134.62.96	62.134.62.111	DE
62.134.62.112	62.134.62.127	EU
62.134.62.128	62.134.63.31	DE
62.134.63.32	62.134.68.255	EU
62.134.69.0	62.134.69.255	DE
62.134.70.0	62.134.127.255	EU
62.134.128.0	62.134.128.31	DE
62.134.128.32	62.134.128.191	EU
62.134.128.192	62.134.128.255	DE
62.134.129.0	62.134.130.127	EU
62.134.130.128	62.134.130.255	DE
62.134.131.0	62.134.132.255	EU
62.134.133.0	62.134.137.3	DE
62.134.137.4	62.134.137.63	EU
62.134.137.64	62.134.137.127	DE
62.134.137.128	62.134.137.255	EU
62.134.138.0	62.134.143.255	DE
62.134.144.0	62.134.147.255	EU
62.134.148.0	62.134.148.7	DE
62.134.148.8	62.134.148.15	EU
62.134.148.16	62.134.148.31	DE
62.134.148.32	62.134.148.255	EU
62.134.149.0	62.134.157.127	DE
62.134.157.128	62.134.157.151	EU
62.134.157.152	62.134.157.159	DE
62.134.157.160	62.134.157.175	EU
62.134.157.176	62.134.157.207	DE
62.134.157.208	62.134.157.215	EU
62.134.157.216	62.134.157.223	DE
62.134.157.224	62.134.157.239	EU
62.134.157.240	62.134.157.254	DE
62.134.157.255	62.134.157.255	EU
62.134.158.0	62.134.165.255	DE
62.134.166.0	62.134.166.255	EU
62.134.167.0	62.134.167.255	DE
62.134.168.0	62.134.168.0	EU
62.134.168.1	62.134.168.2	DE
62.134.168.3	62.134.169.255	EU
62.134.170.0	62.134.185.127	DE
62.134.185.128	62.134.185.135	FR
62.134.185.136	62.134.185.139	RU
62.134.185.140	62.134.185.167	DE
62.134.185.168	62.134.185.175	MA
62.134.185.176	62.134.185.183	DE
62.134.185.184	62.134.185.191	FR
62.134.185.192	62.134.185.239	DE
62.134.185.240	62.134.185.255	NL
62.134.186.0	62.134.186.15	DE
62.134.186.16	62.134.186.31	FR
62.134.186.32	62.134.190.127	DE
62.134.190.128	62.134.190.191	GE
62.134.190.192	62.134.198.223	DE
62.134.198.224	62.134.198.231	FR
62.134.198.232	62.134.200.63	DE
62.134.200.64	62.134.200.127	GE
62.134.200.128	62.134.223.255	DE
62.134.224.0	62.134.224.255	EU
62.134.225.0	62.134.245.207	DE
62.134.245.208	62.134.245.231	EU
62.134.245.232	62.134.245.235	DE
62.134.245.236	62.134.245.239	EU
62.134.245.240	62.134.246.95	DE
62.134.246.96	62.134.246.103	EU
62.134.246.104	62.134.246.191	DE
62.134.246.192	62.134.246.207	EU
62.134.246.208	62.134.247.191	DE
62.134.247.192	62.134.247.199	EU
62.134.247.200	62.134.247.251	DE
62.134.247.252	62.134.247.255	EU
62.134.248.0	62.134.255.255	DE
62.135.0.0	62.135.127.255	EG
62.135.128.0	62.135.255.255	DK
62.136.0.0	62.137.255.255	GB
62.138.0.0	62.138.255.255	DE
62.139.0.0	62.139.255.255	EG
62.140.0.0	62.140.0.159	DE
62.140.0.160	62.140.1.255	GB
62.140.2.0	62.140.2.15	DE
62.140.2.16	62.140.2.127	GB
62.140.2.128	62.140.2.191	DE
62.140.2.192	62.140.5.255	GB
62.140.6.0	62.140.6.255	DE
62.140.7.0	62.140.9.255	GB
62.140.10.0	62.140.10.255	DE
62.140.11.0	62.140.12.207	GB
62.140.12.208	62.140.12.215	DE
62.140.12.216	62.140.12.223	GB
62.140.12.224	62.140.12.247	DE
62.140.12.248	62.140.13.127	GB
62.140.13.128	62.140.13.191	DE
62.140.13.192	62.140.13.255	GB
62.140.14.0	62.140.14.255	DE
62.140.15.0	62.140.15.63	GB
62.140.15.64	62.140.15.127	DE
62.140.15.128	62.140.15.255	GB
62.140.16.0	62.140.23.255	DE
62.140.24.0	62.140.24.95	GB
62.140.24.96	62.140.24.111	DE
62.140.24.112	62.140.27.255	GB
62.140.28.0	62.140.29.79	DE
62.140.29.80	62.140.29.127	GB
62.140.29.128	62.140.29.191	DE
62.140.29.192	62.140.30.63	GB
62.140.30.64	62.140.30.143	DE
62.140.30.144	62.140.30.255	GB
62.140.31.0	62.140.31.255	DE
62.140.32.0	62.140.63.255	AT
62.140.64.0	62.140.127.255	EG
62.140.128.0	62.140.166.127	NL
62.140.166.128	62.140.166.255	GB
62.140.167.0	62.140.167.63	LU
62.140.167.64	62.140.167.127	NL
62.140.167.128	62.140.167.191	BE
62.140.167.192	62.140.167.255	NL
62.140.168.0	62.140.168.127	DE
62.140.168.128	62.140.168.191	BE
62.140.168.192	62.140.168.255	AT
62.140.169.0	62.140.169.63	CH
62.140.169.64	62.140.169.127	ES
62.140.169.128	62.140.169.191	FR
62.140.169.192	62.140.169.255	GB
62.140.170.0	62.140.176.127	NL
62.140.176.128	62.140.177.255	CH
62.140.178.0	62.140.181.255	NL
62.140.182.0	62.140.182.255	DE
62.140.183.0	62.140.191.255	NL
62.140.192.0	62.140.223.255	GB
62.140.224.0	62.140.255.255	RU
62.141.0.0	62.141.31.255	CZ
62.141.32.0	62.141.63.255	DE
62.141.64.0	62.141.127.255	RU
62.141.128.0	62.141.159.255	NO
62.141.160.0	62.141.191.255	DE
62.141.192.0	62.141.255.255	PL
62.142.0.0	62.142.72.111	FI
62.142.72.112	62.142.72.119	AX
62.142.72.120	62.142.95.255	FI
62.142.96.0	62.142.96.15	GB
62.142.96.16	62.142.255.255	FI
62.143.0.0	62.144.111.103	DE
62.144.111.104	62.144.111.111	US
62.144.111.112	62.145.31.255	DE
62.145.32.0	62.145.63.255	NL
62.145.64.0	62.145.65.255	GB
62.145.66.0	62.145.67.255	NL
62.145.68.0	62.145.68.255	LB
62.145.69.0	62.145.69.255	DZ
62.145.70.0	62.145.73.255	GB
62.145.74.0	62.145.74.255	NL
62.145.75.0	62.145.75.255	GB
62.145.76.0	62.145.76.255	A2
62.145.77.0	62.145.77.255	US
62.145.78.0	62.145.79.255	NL
62.145.80.0	62.145.87.255	GB
62.145.88.0	62.145.89.159	IR
62.145.89.160	62.145.89.191	MA
62.145.89.192	62.145.89.255	IR
62.145.90.0	62.145.91.255	NL
62.145.92.0	62.145.92.127	LB
62.145.92.128	62.145.92.255	IR
62.145.93.0	62.145.93.255	GB
62.145.94.0	62.145.95.255	NL
62.145.96.0	62.145.99.255	IR
62.145.100.0	62.145.103.255	NL
62.145.104.0	62.145.107.255	IQ
62.145.108.0	62.145.108.255	GB
62.145.109.0	62.145.109.255	IR
62.145.110.0	62.145.127.255	NL
62.145.128.0	62.145.159.255	IS
62.145.160.0	62.145.191.255	FI
62.145.192.0	62.145.255.255	NL
62.146.0.0	62.146.7.159	DE
62.146.7.160	62.146.7.191	LU
62.146.7.192	62.146.7.207	DE
62.146.7.208	62.146.7.223	CA
62.146.7.224	62.146.7.231	BA
62.146.7.232	62.146.9.111	DE
62.146.9.112	62.146.9.119	PL
62.146.9.120	62.146.9.143	DE
62.146.9.144	62.146.9.151	ES
62.146.9.152	62.146.11.63	DE
62.146.11.64	62.146.11.95	DK
62.146.11.96	62.146.16.239	DE
62.146.16.240	62.146.16.255	AE
62.146.17.0	62.146.19.127	DE
62.146.19.128	62.146.19.191	IT
62.146.19.192	62.146.20.159	DE
62.146.20.160	62.146.20.191	DK
62.146.20.192	62.146.20.255	PL
62.146.21.0	62.146.23.255	DE
62.146.24.0	62.146.24.255	PL
62.146.25.0	62.146.25.223	DE
62.146.25.224	62.146.25.255	DK
62.146.26.0	62.146.28.223	DE
62.146.28.224	62.146.28.239	CH
62.146.28.240	62.146.34.95	DE
62.146.34.96	62.146.34.111	AE
62.146.34.112	62.146.39.63	DE
62.146.39.64	62.146.39.159	PL
62.146.39.160	62.146.42.15	DE
62.146.42.16	62.146.42.31	ES
62.146.42.32	62.146.42.111	DE
62.146.42.112	62.146.42.127	AE
62.146.42.128	62.146.47.255	DE
62.146.48.0	62.146.48.15	AE
62.146.48.16	62.146.48.127	DE
62.146.48.128	62.146.48.159	DK
62.146.48.160	62.146.49.175	DE
62.146.49.176	62.146.49.183	NL
62.146.49.184	62.146.49.191	GB
62.146.49.192	62.146.51.63	DE
62.146.51.64	62.146.51.95	AE
62.146.51.96	62.146.52.159	DE
62.146.52.160	62.146.52.191	AE
62.146.52.192	62.146.56.127	DE
62.146.56.128	62.146.56.143	AE
62.146.56.144	62.146.61.127	DE
62.146.61.128	62.146.61.255	IT
62.146.62.0	62.146.67.95	DE
62.146.67.96	62.146.67.127	AE
62.146.67.128	62.146.67.255	ES
62.146.68.0	62.146.68.255	PL
62.146.69.0	62.146.73.31	DE
62.146.73.32	62.146.73.63	IT
62.146.73.64	62.146.75.239	DE
62.146.75.240	62.146.75.255	AE
62.146.76.0	62.146.76.15	CH
62.146.76.16	62.146.81.63	DE
62.146.81.64	62.146.81.95	AE
62.146.81.96	62.146.83.127	DE
62.146.83.128	62.146.83.143	CH
62.146.83.144	62.146.87.191	DE
62.146.87.192	62.146.87.223	ES
62.146.87.224	62.146.88.159	DE
62.146.88.160	62.146.88.175	AE
62.146.88.176	62.146.89.103	DE
62.146.89.104	62.146.89.111	AT
62.146.89.112	62.146.91.119	DE
62.146.91.120	62.146.91.127	PL
62.146.91.128	62.146.91.191	DE
62.146.91.192	62.146.91.223	AE
62.146.91.224	62.146.104.31	DE
62.146.104.32	62.146.104.63	AE
62.146.104.64	62.146.105.95	DE
62.146.105.96	62.146.105.111	ES
62.146.105.112	62.146.105.215	DE
62.146.105.216	62.146.105.223	IT
62.146.105.224	62.146.107.31	DE
62.146.107.32	62.146.107.63	DK
62.146.107.64	62.146.109.191	DE
62.146.109.192	62.146.109.207	AE
62.146.109.208	62.146.112.255	DE
62.146.113.0	62.146.113.255	PL
62.146.114.0	62.146.114.167	DE
62.146.114.168	62.146.114.175	AT
62.146.114.176	62.146.122.255	DE
62.146.123.0	62.146.123.255	PL
62.146.124.0	62.146.134.255	DE
62.146.135.0	62.146.135.255	LU
62.146.136.0	62.146.240.63	DE
62.146.240.64	62.146.240.71	PL
62.146.240.72	62.146.240.199	DE
62.146.240.200	62.146.240.207	AE
62.146.240.208	62.146.255.255	DE
62.147.0.0	62.147.255.255	FR
62.148.0.0	62.148.31.255	RU
62.148.32.0	62.148.63.255	NO
62.148.64.0	62.148.95.255	PL
62.148.96.0	62.148.127.255	FI
62.148.128.0	62.148.159.255	RU
62.148.160.0	62.148.191.255	NL
62.148.192.0	62.148.197.239	FI
62.148.197.240	62.148.197.247	AX
62.148.197.248	62.148.223.255	FI
62.148.224.0	62.148.255.255	RU
62.149.0.0	62.149.31.255	UA
62.149.32.0	62.149.63.255	GB
62.149.64.0	62.149.127.255	SA
62.149.128.0	62.149.255.255	IT
62.150.0.0	62.150.255.255	KW
62.151.0.0	62.151.255.255	ES
62.152.0.0	62.152.31.255	CY
62.152.32.0	62.152.95.255	RU
62.152.96.0	62.152.98.111	IT
62.152.98.112	62.152.98.127	FR
62.152.98.128	62.152.127.255	IT
62.152.128.0	62.152.159.255	PL
62.152.160.0	62.152.191.255	DE
62.152.192.0	62.152.223.255	RU
62.152.224.0	62.152.255.255	SK
62.153.0.0	62.153.119.71	DE
62.153.119.72	62.153.119.79	PL
62.153.119.80	62.154.157.103	DE
62.154.157.104	62.154.157.111	GB
62.154.157.112	62.154.236.255	DE
62.154.237.0	62.154.237.31	US
62.154.237.32	62.156.155.23	DE
62.156.155.24	62.156.155.31	NL
62.156.155.32	62.156.235.223	DE
62.156.235.224	62.156.235.231	IT
62.156.235.232	62.157.101.159	DE
62.157.101.160	62.157.101.167	US
62.157.101.168	62.157.112.31	DE
62.157.112.32	62.157.112.63	CA
62.157.112.64	62.157.120.239	DE
62.157.120.240	62.157.120.255	A2
62.157.121.0	62.157.152.191	DE
62.157.152.192	62.157.152.207	DK
62.157.152.208	62.157.179.39	DE
62.157.179.40	62.157.179.47	CH
62.157.179.48	62.159.46.111	DE
62.159.46.112	62.159.46.119	CH
62.159.46.120	62.159.53.223	DE
62.159.53.224	62.159.53.255	BE
62.159.54.0	62.159.71.167	DE
62.159.71.168	62.159.71.175	AT
62.159.71.176	62.159.73.255	DE
62.159.74.0	62.159.74.255	GB
62.159.75.0	62.159.155.135	DE
62.159.155.136	62.159.155.143	NL
62.159.155.144	62.159.223.207	DE
62.159.223.208	62.159.223.215	IT
62.159.223.216	62.159.233.255	DE
62.159.234.0	62.159.234.255	FR
62.159.235.0	62.159.253.95	DE
62.159.253.96	62.159.253.103	SG
62.159.253.104	62.159.255.255	DE
62.160.0.0	62.160.12.246	FR
62.160.12.247	62.160.12.247	BE
62.160.12.248	62.160.16.87	FR
62.160.16.88	62.160.16.95	DE
62.160.16.96	62.160.17.1	FR
62.160.17.2	62.160.17.2	BE
62.160.17.3	62.160.17.198	FR
62.160.17.199	62.160.17.199	BE
62.160.17.200	62.160.41.63	FR
62.160.41.64	62.160.41.71	DK
62.160.41.72	62.160.42.191	FR
62.160.42.192	62.160.42.199	GB
62.160.42.200	62.160.44.193	FR
62.160.44.194	62.160.44.194	LU
62.160.44.195	62.160.115.31	FR
62.160.115.32	62.160.115.39	DE
62.160.115.40	62.160.120.210	FR
62.160.120.211	62.160.120.211	BE
62.160.120.212	62.160.123.21	FR
62.160.123.22	62.160.123.22	GB
62.160.123.23	62.160.194.15	FR
62.160.194.16	62.160.194.23	DE
62.160.194.24	62.160.204.87	FR
62.160.204.88	62.160.204.95	GB
62.160.204.96	62.160.207.191	FR
62.160.207.192	62.160.207.199	DE
62.160.207.200	62.160.226.138	FR
62.160.226.139	62.160.226.139	GB
62.160.226.140	62.161.96.212	FR
62.161.96.213	62.161.96.213	GB
62.161.96.214	62.161.106.29	FR
62.161.106.30	62.161.106.30	BE
62.161.106.31	62.161.109.73	FR
62.161.109.74	62.161.109.74	BE
62.161.109.75	62.161.109.137	FR
62.161.109.138	62.161.109.138	BE
62.161.109.139	62.161.116.167	FR
62.161.116.168	62.161.116.174	CH
62.161.116.175	62.161.255.255	FR
62.162.0.0	62.162.255.255	MK
62.163.0.0	62.163.255.255	NL
62.164.0.0	62.164.21.255	EU
62.164.22.0	62.164.22.255	ES
62.164.23.0	62.164.30.255	EU
62.164.31.0	62.164.31.255	ES
62.164.32.0	62.164.39.255	EU
62.164.40.0	62.164.40.255	ES
62.164.41.0	62.164.51.255	EU
62.164.52.0	62.164.52.255	ES
62.164.53.0	62.164.127.255	EU
62.164.128.0	62.164.255.255	GB
62.165.0.0	62.165.63.255	RU
62.165.64.0	62.165.127.255	NL
62.165.128.0	62.165.191.255	FI
62.165.192.0	62.165.255.255	HU
62.166.0.0	62.166.69.255	NL
62.166.70.0	62.166.70.127	BE
62.166.70.128	62.166.70.135	NL
62.166.70.136	62.166.71.111	BE
62.166.71.112	62.166.71.119	NL
62.166.71.120	62.166.71.167	BE
62.166.71.168	62.166.71.175	NL
62.166.71.176	62.166.71.183	BE
62.166.71.184	62.166.71.191	NL
62.166.71.192	62.166.71.255	BE
62.166.72.0	62.166.139.255	NL
62.166.140.0	62.166.140.255	BE
62.166.141.0	62.166.141.7	NL
62.166.141.8	62.166.141.63	BE
62.166.141.64	62.166.141.71	NL
62.166.141.72	62.166.141.95	BE
62.166.141.96	62.166.141.103	NL
62.166.141.104	62.166.141.223	BE
62.166.141.224	62.166.141.239	NL
62.166.141.240	62.166.142.159	BE
62.166.142.160	62.166.142.167	NL
62.166.142.168	62.166.143.31	BE
62.166.143.32	62.166.143.39	NL
62.166.143.40	62.166.143.135	BE
62.166.143.136	62.166.143.143	NL
62.166.143.144	62.166.143.231	BE
62.166.143.232	62.166.143.239	NL
62.166.143.240	62.166.143.255	BE
62.166.144.0	62.166.191.255	NL
62.166.192.0	62.166.214.135	BE
62.166.214.136	62.166.214.143	NL
62.166.214.144	62.166.223.255	BE
62.166.224.0	62.166.224.127	NL
62.166.224.128	62.166.224.143	BE
62.166.224.144	62.166.224.199	NL
62.166.224.200	62.166.224.223	BE
62.166.224.224	62.166.226.255	NL
62.166.227.0	62.166.227.127	BE
62.166.227.128	62.166.228.31	NL
62.166.228.32	62.166.228.79	BE
62.166.228.80	62.166.228.159	NL
62.166.228.160	62.166.228.175	BE
62.166.228.176	62.166.229.255	NL
62.166.230.0	62.166.230.15	BE
62.166.230.16	62.166.230.31	NL
62.166.230.32	62.166.230.79	BE
62.166.230.80	62.166.230.87	NL
62.166.230.88	62.166.230.95	BE
62.166.230.96	62.166.230.103	NL
62.166.230.104	62.166.230.127	BE
62.166.230.128	62.166.230.143	NL
62.166.230.144	62.166.230.151	BE
62.166.230.152	62.166.230.159	NL
62.166.230.160	62.166.231.71	BE
62.166.231.72	62.166.231.79	NL
62.166.231.80	62.166.231.135	BE
62.166.231.136	62.166.231.151	NL
62.166.231.152	62.166.231.255	BE
62.166.232.0	62.166.255.255	NL
62.167.0.0	62.167.255.255	CH
62.168.0.0	62.168.63.255	CZ
62.168.64.0	62.168.127.255	SK
62.168.128.0	62.168.159.255	SE
62.168.160.0	62.168.191.255	GE
62.168.192.0	62.168.223.255	DE
62.168.224.0	62.168.255.255	RU
62.169.0.0	62.169.31.255	DE
62.169.32.0	62.169.63.255	IT
62.169.64.0	62.169.127.255	PT
62.169.128.0	62.169.159.255	GB
62.169.160.0	62.169.191.255	SK
62.169.192.0	62.169.255.255	GR
62.170.0.0	62.172.1.255	GB
62.172.2.0	62.172.2.255	ES
62.172.3.0	62.172.255.255	GB
62.173.0.0	62.173.31.255	MT
62.173.32.0	62.173.63.255	NG
62.173.64.0	62.173.127.255	GB
62.173.128.0	62.173.159.255	RU
62.173.160.0	62.173.191.255	IT
62.173.192.0	62.173.193.95	GB
62.173.193.96	62.173.193.127	GM
62.173.193.128	62.173.198.191	GB
62.173.198.192	62.173.198.207	IT
62.173.198.208	62.173.204.159	GB
62.173.204.160	62.173.204.175	NL
62.173.204.176	62.173.204.191	GB
62.173.204.192	62.173.204.223	NL
62.173.204.224	62.173.204.231	BE
62.173.204.232	62.173.204.239	GB
62.173.204.240	62.173.204.243	FI
62.173.204.244	62.173.204.247	GB
62.173.204.248	62.173.204.255	NL
62.173.205.0	62.173.205.255	GB
62.173.206.0	62.173.206.255	NL
62.173.207.0	62.173.207.31	GB
62.173.207.32	62.173.207.63	NL
62.173.207.64	62.173.207.127	GB
62.173.207.128	62.173.207.151	FR
62.173.207.152	62.173.207.159	GB
62.173.207.160	62.173.207.167	ES
62.173.207.168	62.173.207.175	GR
62.173.207.176	62.173.207.183	GB
62.173.207.184	62.173.207.191	PL
62.173.207.192	62.173.207.223	NL
62.173.207.224	62.173.207.231	DE
62.173.207.232	62.173.207.239	NL
62.173.207.240	62.173.207.251	GB
62.173.207.252	62.173.207.255	DE
62.173.208.0	62.173.215.255	SZ
62.173.216.0	62.173.231.255	GB
62.173.232.0	62.173.236.127	MG
62.173.236.128	62.173.237.127	GB
62.173.237.128	62.173.237.255	MG
62.173.238.0	62.173.238.127	GB
62.173.238.128	62.173.238.255	MG
62.173.239.0	62.173.255.255	GB
62.174.0.0	62.175.180.255	ES
62.175.181.0	62.175.181.255	US
62.175.182.0	62.175.255.255	ES
62.176.0.0	62.176.31.255	RU
62.176.32.0	62.176.63.255	FI
62.176.64.0	62.176.127.255	BG
62.176.128.0	62.176.159.255	DE
62.176.160.0	62.176.191.255	SK
62.176.192.0	62.176.223.255	NO
62.176.224.0	62.176.255.255	DE
62.177.0.0	62.177.31.255	IT
62.177.32.0	62.177.63.255	RU
62.177.64.0	62.177.127.255	CZ
62.177.128.0	62.177.255.255	NL
62.178.0.0	62.178.255.255	AT
62.179.0.0	62.179.3.255	PL
62.179.4.0	62.179.7.255	AT
62.179.8.0	62.179.15.255	PL
62.179.16.0	62.179.255.255	AT
62.180.0.0	62.180.10.255	EU
62.180.11.0	62.180.12.255	DE
62.180.13.0	62.180.30.255	EU
62.180.31.0	62.180.31.127	DE
62.180.31.128	62.180.31.255	EU
62.180.32.0	62.180.42.15	DE
62.180.42.16	62.180.42.23	EU
62.180.42.24	62.180.42.47	DE
62.180.42.48	62.180.42.75	EU
62.180.42.76	62.180.42.79	BE
62.180.42.80	62.180.42.91	EU
62.180.42.92	62.180.42.95	DE
62.180.42.96	62.180.42.127	BE
62.180.42.128	62.180.42.167	EU
62.180.42.168	62.180.42.175	NL
62.180.42.176	62.180.42.207	DE
62.180.42.208	62.180.42.239	EU
62.180.42.240	62.180.42.247	DE
62.180.42.248	62.180.43.63	EU
62.180.43.64	62.180.43.159	DE
62.180.43.160	62.180.44.255	EU
62.180.45.0	62.180.47.255	DE
62.180.48.0	62.180.48.175	EU
62.180.48.176	62.180.48.191	DE
62.180.48.192	62.180.50.207	EU
62.180.50.208	62.180.50.255	DE
62.180.51.0	62.180.52.255	EU
62.180.53.0	62.180.53.255	DE
62.180.54.0	62.180.54.15	EU
62.180.54.16	62.180.54.31	DE
62.180.54.32	62.180.54.255	EU
62.180.55.0	62.180.55.31	DE
62.180.55.32	62.180.56.39	EU
62.180.56.40	62.180.56.47	DE
62.180.56.48	62.180.57.223	EU
62.180.57.224	62.180.57.231	DE
62.180.57.232	62.180.59.63	EU
62.180.59.64	62.180.59.67	DE
62.180.59.68	62.180.59.159	EU
62.180.59.160	62.180.59.175	DE
62.180.59.176	62.180.59.191	EU
62.180.59.192	62.180.60.127	DE
62.180.60.128	62.180.60.255	EU
62.180.61.0	62.180.61.255	DE
62.180.62.0	62.180.62.255	EU
62.180.63.0	62.180.63.63	DE
62.180.63.64	62.180.63.127	EU
62.180.63.128	62.180.63.143	DE
62.180.63.144	62.180.63.191	EU
62.180.63.192	62.180.64.255	DE
62.180.65.0	62.180.65.7	EU
62.180.65.8	62.180.65.15	DE
62.180.65.16	62.180.65.23	EU
62.180.65.24	62.180.65.27	DE
62.180.65.28	62.180.65.71	EU
62.180.65.72	62.180.65.111	DE
62.180.65.112	62.180.65.119	EU
62.180.65.120	62.180.71.255	DE
62.180.72.0	62.180.72.15	EU
62.180.72.16	62.180.72.31	DE
62.180.72.32	62.180.72.63	EU
62.180.72.64	62.180.72.127	DE
62.180.72.128	62.180.72.135	EU
62.180.72.136	62.180.72.143	DE
62.180.72.144	62.180.72.159	EU
62.180.72.160	62.180.72.207	DE
62.180.72.208	62.180.72.215	EU
62.180.72.216	62.180.72.219	DE
62.180.72.220	62.180.72.223	EU
62.180.72.224	62.180.72.231	DE
62.180.72.232	62.180.75.255	EU
62.180.76.0	62.180.76.31	DE
62.180.76.32	62.180.76.71	EU
62.180.76.72	62.180.76.127	DE
62.180.76.128	62.180.76.151	EU
62.180.76.152	62.180.76.159	DE
62.180.76.160	62.180.76.223	EU
62.180.76.224	62.180.77.255	DE
62.180.78.0	62.180.78.127	EU
62.180.78.128	62.180.78.159	DE
62.180.78.160	62.180.81.63	EU
62.180.81.64	62.180.81.151	DE
62.180.81.152	62.180.81.159	EU
62.180.81.160	62.180.81.175	DE
62.180.81.176	62.180.81.207	EU
62.180.81.208	62.180.81.223	DE
62.180.81.224	62.180.82.31	EU
62.180.82.32	62.180.82.95	DE
62.180.82.96	62.180.82.255	EU
62.180.83.0	62.180.83.31	DE
62.180.83.32	62.180.83.127	EU
62.180.83.128	62.180.84.255	DE
62.180.85.0	62.180.85.255	EU
62.180.86.0	62.180.86.23	DE
62.180.86.24	62.180.88.143	EU
62.180.88.144	62.180.88.159	DE
62.180.88.160	62.180.88.175	EU
62.180.88.176	62.180.88.207	DE
62.180.88.208	62.180.90.127	EU
62.180.90.128	62.180.90.191	DE
62.180.90.192	62.180.92.7	EU
62.180.92.8	62.180.92.11	DE
62.180.92.12	62.180.92.31	EU
62.180.92.32	62.180.92.47	DE
62.180.92.48	62.180.92.95	EU
62.180.92.96	62.180.92.111	DE
62.180.92.112	62.180.93.95	EU
62.180.93.96	62.180.93.111	DE
62.180.93.112	62.180.93.255	EU
62.180.94.0	62.180.95.31	DE
62.180.95.32	62.180.96.67	EU
62.180.96.68	62.180.96.79	DE
62.180.96.80	62.180.96.95	EU
62.180.96.96	62.180.96.135	DE
62.180.96.136	62.180.96.159	EU
62.180.96.160	62.180.96.175	DE
62.180.96.176	62.180.96.223	EU
62.180.96.224	62.180.96.239	DE
62.180.96.240	62.180.96.255	EU
62.180.97.0	62.180.98.127	DE
62.180.98.128	62.180.99.255	EU
62.180.100.0	62.180.100.15	DE
62.180.100.16	62.180.100.31	EU
62.180.100.32	62.180.100.63	DE
62.180.100.64	62.180.100.127	EU
62.180.100.128	62.180.100.135	DE
62.180.100.136	62.180.103.223	EU
62.180.103.224	62.180.104.23	DE
62.180.104.24	62.180.104.31	EU
62.180.104.32	62.180.104.63	DE
62.180.104.64	62.180.104.127	EU
62.180.104.128	62.180.104.159	DE
62.180.104.160	62.180.104.255	EU
62.180.105.0	62.180.106.127	DE
62.180.106.128	62.180.106.255	EU
62.180.107.0	62.180.110.255	DE
62.180.111.0	62.180.111.15	EU
62.180.111.16	62.180.111.47	DE
62.180.111.48	62.180.111.87	EU
62.180.111.88	62.180.111.111	DE
62.180.111.112	62.180.111.255	EU
62.180.112.0	62.180.113.255	DE
62.180.114.0	62.180.114.15	EU
62.180.114.16	62.180.114.31	DE
62.180.114.32	62.180.114.63	EU
62.180.114.64	62.180.114.71	DE
62.180.114.72	62.180.114.87	EU
62.180.114.88	62.180.114.95	DE
62.180.114.96	62.180.114.159	EU
62.180.114.160	62.180.114.207	DE
62.180.114.208	62.180.114.255	EU
62.180.115.0	62.180.115.255	DE
62.180.116.0	62.180.116.127	EU
62.180.116.128	62.180.116.255	DE
62.180.117.0	62.180.117.23	EU
62.180.117.24	62.180.117.31	DE
62.180.117.32	62.180.117.63	EU
62.180.117.64	62.180.117.127	DE
62.180.117.128	62.180.117.135	EU
62.180.117.136	62.180.117.139	DE
62.180.117.140	62.180.117.191	EU
62.180.117.192	62.180.117.255	DE
62.180.118.0	62.180.118.31	EU
62.180.118.32	62.180.118.223	DE
62.180.118.224	62.180.119.255	EU
62.180.120.0	62.180.120.31	DE
62.180.120.32	62.180.123.7	EU
62.180.123.8	62.180.123.15	DE
62.180.123.16	62.180.123.63	EU
62.180.123.64	62.180.123.159	DE
62.180.123.160	62.180.123.191	EU
62.180.123.192	62.180.123.223	DE
62.180.123.224	62.180.124.15	EU
62.180.124.16	62.180.124.31	DE
62.180.124.32	62.180.124.79	EU
62.180.124.80	62.180.124.111	DE
62.180.124.112	62.180.125.127	EU
62.180.125.128	62.180.125.255	DE
62.180.126.0	62.180.126.79	EU
62.180.126.80	62.180.126.95	DE
62.180.126.96	62.180.126.111	EU
62.180.126.112	62.180.126.119	DE
62.180.126.120	62.180.126.127	EU
62.180.126.128	62.180.126.195	DE
62.180.126.196	62.180.127.63	EU
62.180.127.64	62.180.127.79	DE
62.180.127.80	62.180.127.95	EU
62.180.127.96	62.180.127.127	DE
62.180.127.128	62.180.128.39	EU
62.180.128.40	62.180.128.47	DE
62.180.128.48	62.180.128.255	EU
62.180.129.0	62.180.129.255	DE
62.180.130.0	62.180.130.79	EU
62.180.130.80	62.180.130.95	DE
62.180.130.96	62.180.130.127	EU
62.180.130.128	62.180.130.191	DE
62.180.130.192	62.180.131.63	EU
62.180.131.64	62.180.131.95	DE
62.180.131.96	62.180.131.127	EU
62.180.131.128	62.180.131.159	DE
62.180.131.160	62.180.131.191	EU
62.180.131.192	62.180.131.255	DE
62.180.132.0	62.180.133.247	EU
62.180.133.248	62.180.134.255	DE
62.180.135.0	62.180.136.31	EU
62.180.136.32	62.180.136.79	DE
62.180.136.80	62.180.137.255	EU
62.180.138.0	62.180.138.255	DE
62.180.139.0	62.180.140.23	EU
62.180.140.24	62.180.140.63	DE
62.180.140.64	62.180.140.191	EU
62.180.140.192	62.180.141.79	DE
62.180.141.80	62.180.143.192	EU
62.180.143.193	62.180.143.222	DE
62.180.143.223	62.180.143.223	EU
62.180.143.224	62.180.143.255	DE
62.180.144.0	62.180.150.255	EU
62.180.151.0	62.180.151.255	DE
62.180.152.0	62.180.159.255	EU
62.180.160.0	62.180.224.63	DE
62.180.224.64	62.180.224.79	EU
62.180.224.80	62.180.224.111	DE
62.180.224.112	62.180.224.119	EU
62.180.224.120	62.180.224.143	DE
62.180.224.144	62.180.224.159	EU
62.180.224.160	62.180.225.127	DE
62.180.225.128	62.180.225.255	EU
62.180.226.0	62.180.226.135	DE
62.180.226.136	62.180.226.255	EU
62.180.227.0	62.180.227.63	DE
62.180.227.64	62.180.227.103	NL
62.180.227.104	62.180.227.111	DE
62.180.227.112	62.180.227.159	EU
62.180.227.160	62.180.227.199	DE
62.180.227.200	62.180.227.239	EU
62.180.227.240	62.180.227.255	DE
62.180.228.0	62.180.228.63	EU
62.180.228.64	62.180.228.71	DE
62.180.228.72	62.180.228.127	EU
62.180.228.128	62.180.228.191	DE
62.180.228.192	62.180.228.239	EU
62.180.228.240	62.180.229.23	DE
62.180.229.24	62.180.229.63	EU
62.180.229.64	62.180.229.79	DE
62.180.229.80	62.180.229.87	EU
62.180.229.88	62.180.229.191	DE
62.180.229.192	62.180.229.207	EU
62.180.229.208	62.180.229.255	DE
62.180.230.0	62.180.230.63	EU
62.180.230.64	62.180.230.111	DE
62.180.230.112	62.180.230.255	EU
62.180.231.0	62.180.231.95	DE
62.180.231.96	62.180.231.103	EU
62.180.231.104	62.180.231.119	DE
62.180.231.120	62.180.231.159	EU
62.180.231.160	62.180.231.255	DE
62.180.232.0	62.180.233.7	EU
62.180.233.8	62.180.233.15	DE
62.180.233.16	62.180.233.31	EU
62.180.233.32	62.180.233.55	DE
62.180.233.56	62.180.233.63	EU
62.180.233.64	62.180.233.131	DE
62.180.233.132	62.180.233.143	EU
62.180.233.144	62.180.233.159	DE
62.180.233.160	62.180.233.239	EU
62.180.233.240	62.180.233.255	DE
62.180.234.0	62.180.235.255	EU
62.180.236.0	62.180.236.63	DE
62.180.236.64	62.180.236.95	EU
62.180.236.96	62.180.236.111	DE
62.180.236.112	62.180.236.127	EU
62.180.236.128	62.180.236.159	DE
62.180.236.160	62.180.236.223	EU
62.180.236.224	62.180.236.239	DE
62.180.236.240	62.180.236.255	EU
62.180.237.0	62.180.238.127	DE
62.180.238.128	62.180.238.223	EU
62.180.238.224	62.180.238.255	DE
62.180.239.0	62.180.239.255	EU
62.180.240.0	62.180.243.55	DE
62.180.243.56	62.180.243.255	EU
62.180.244.0	62.180.244.255	DE
62.180.245.0	62.180.245.255	EU
62.180.246.0	62.180.247.35	DE
62.180.247.36	62.180.254.255	EU
62.180.255.0	62.180.255.31	DE
62.180.255.32	62.180.255.255	EU
62.181.0.0	62.181.31.255	PL
62.181.32.0	62.181.63.255	RU
62.181.64.0	62.181.127.255	SE
62.181.128.0	62.181.159.255	DE
62.181.160.0	62.181.191.255	PL
62.181.192.0	62.182.7.255	SE
62.182.8.0	62.182.15.255	RU
62.182.16.0	62.182.23.255	RO
62.182.24.0	62.182.55.255	RU
62.182.56.0	62.182.63.255	BE
62.182.72.0	62.182.79.255	RU
62.182.80.0	62.182.87.255	UA
62.182.88.0	62.182.95.255	RU
62.182.96.0	62.182.103.255	DE
62.182.112.0	62.182.119.255	BG
62.182.120.0	62.182.127.255	UA
62.182.128.0	62.182.143.255	RU
62.182.144.0	62.182.151.255	PL
62.182.152.0	62.182.167.255	UA
62.182.168.0	62.182.175.255	DK
62.182.176.0	62.182.183.255	LU
62.182.184.0	62.182.191.255	CH
62.182.192.0	62.182.207.255	RU
62.182.208.0	62.182.215.255	PL
62.182.216.0	62.182.223.255	SE
62.182.224.0	62.182.231.255	PL
62.182.232.0	62.182.239.255	CZ
62.182.240.0	62.182.247.255	NL
62.182.248.0	62.182.255.255	DK
62.183.0.0	62.183.127.255	RU
62.183.128.0	62.183.204.103	FI
62.183.204.104	62.183.204.119	AX
62.183.204.120	62.183.255.255	FI
62.184.0.0	62.184.3.255	DE
62.184.4.0	62.184.4.255	FR
62.184.5.0	62.184.5.63	DE
62.184.5.64	62.184.5.95	FR
62.184.5.96	62.184.5.111	DE
62.184.5.112	62.184.5.119	GB
62.184.5.120	62.184.5.127	NL
62.184.5.128	62.184.5.255	GB
62.184.6.0	62.184.8.31	DE
62.184.8.32	62.184.8.63	ZA
62.184.8.64	62.184.8.71	FR
62.184.8.72	62.184.8.79	DE
62.184.8.80	62.184.8.95	BE
62.184.8.96	62.184.13.31	DE
62.184.13.32	62.184.13.63	IT
62.184.13.64	62.184.13.127	DE
62.184.13.128	62.184.13.159	ZA
62.184.13.160	62.184.18.31	DE
62.184.18.32	62.184.18.63	GB
62.184.18.64	62.184.18.95	IL
62.184.18.96	62.184.18.111	IT
62.184.18.112	62.184.18.127	NL
62.184.18.128	62.184.26.191	DE
62.184.26.192	62.184.26.207	GB
62.184.26.208	62.184.26.223	ZA
62.184.26.224	62.184.26.255	IT
62.184.27.0	62.184.31.255	DE
62.184.32.0	62.184.36.23	NL
62.184.36.24	62.184.36.31	GB
62.184.36.32	62.184.38.127	NL
62.184.38.128	62.184.38.191	GB
62.184.38.192	62.184.43.255	NL
62.184.44.0	62.184.45.255	FR
62.184.46.0	62.184.47.255	AT
62.184.48.0	62.184.57.15	FR
62.184.57.16	62.184.57.23	ZA
62.184.57.24	62.184.57.31	AT
62.184.57.32	62.184.57.127	FR
62.184.57.128	62.184.57.255	NL
62.184.58.0	62.184.58.31	TR
62.184.58.32	62.184.58.191	FR
62.184.58.192	62.184.58.255	NL
62.184.59.0	62.184.63.255	FR
62.184.64.0	62.184.67.255	DK
62.184.68.0	62.184.69.255	DE
62.184.70.0	62.184.71.255	DK
62.184.72.0	62.184.72.191	SE
62.184.72.192	62.184.72.255	IT
62.184.73.0	62.184.75.255	SE
62.184.76.0	62.184.76.47	IT
62.184.76.48	62.184.76.63	GB
62.184.76.64	62.184.76.127	DE
62.184.76.128	62.184.77.255	IT
62.184.78.0	62.184.78.255	DE
62.184.79.0	62.184.79.255	GB
62.184.80.0	62.184.87.255	BE
62.184.88.0	62.184.88.63	ZA
62.184.88.64	62.184.88.127	BE
62.184.88.128	62.184.88.159	IT
62.184.88.160	62.184.88.175	ZA
62.184.88.176	62.184.88.191	NL
62.184.88.192	62.184.88.255	DE
62.184.89.0	62.184.95.255	ZA
62.184.96.0	62.184.100.255	FR
62.184.101.0	62.184.101.255	BE
62.184.102.0	62.184.103.159	FR
62.184.103.160	62.184.103.191	AT
62.184.103.192	62.184.103.255	SE
62.184.104.0	62.184.109.255	FR
62.184.110.0	62.184.111.255	ZA
62.184.112.0	62.184.112.255	ES
62.184.113.0	62.184.113.255	IT
62.184.114.0	62.184.115.255	AT
62.184.116.0	62.184.119.255	GB
62.184.120.0	62.184.125.191	IT
62.184.125.192	62.184.125.255	GB
62.184.126.0	62.184.127.255	IT
62.184.128.0	62.184.128.39	CH
62.184.128.40	62.184.128.47	GB
62.184.128.48	62.184.128.63	AT
62.184.128.64	62.184.128.79	ZA
62.184.128.80	62.184.128.95	NL
62.184.128.96	62.184.150.191	GB
62.184.150.192	62.184.150.255	EU
62.184.151.0	62.184.159.255	GB
62.184.160.0	62.184.161.255	CH
62.184.162.0	62.184.164.255	SE
62.184.165.0	62.184.165.31	EU
62.184.165.32	62.184.165.39	IL
62.184.165.40	62.184.165.47	BE
62.184.165.48	62.184.165.63	AT
62.184.165.64	62.184.165.127	EU
62.184.165.128	62.184.165.255	FR
62.184.166.0	62.184.167.255	AT
62.184.168.0	62.184.168.127	GB
62.184.168.128	62.184.168.159	CH
62.184.168.160	62.184.168.191	DE
62.184.168.192	62.184.168.255	GB
62.184.169.0	62.184.169.255	EU
62.184.170.0	62.184.171.255	GB
62.184.172.0	62.184.172.15	CH
62.184.172.16	62.184.172.255	GB
62.184.173.0	62.184.173.63	EU
62.184.173.64	62.184.173.95	CH
62.184.173.96	62.184.173.127	ZA
62.184.173.128	62.184.173.255	FR
62.184.174.0	62.184.174.15	GB
62.184.174.16	62.184.174.31	BE
62.184.174.32	62.184.174.79	GB
62.184.174.80	62.184.174.95	ZA
62.184.174.96	62.184.174.127	DE
62.184.174.128	62.184.174.255	GB
62.184.175.0	62.184.175.15	CH
62.184.175.16	62.184.176.255	GB
62.184.177.0	62.184.177.255	CH
62.184.178.0	62.184.178.95	FI
62.184.178.96	62.184.178.103	TR
62.184.178.104	62.184.178.111	GB
62.184.178.112	62.184.178.127	CH
62.184.178.128	62.184.179.255	FR
62.184.180.0	62.184.207.255	GB
62.184.208.0	62.184.209.255	EU
62.184.210.0	62.184.223.255	GB
62.184.224.0	62.184.239.255	DE
62.184.240.0	62.184.246.255	CH
62.184.247.0	62.184.247.255	NO
62.184.248.0	62.184.251.255	CH
62.184.252.0	62.184.252.255	FR
62.184.253.0	62.184.253.255	AT
62.184.254.0	62.184.255.255	GB
62.185.0.0	62.185.0.63	DE
62.185.0.64	62.185.0.127	BE
62.185.0.128	62.185.1.63	DE
62.185.1.64	62.185.1.87	BE
62.185.1.88	62.185.1.95	NL
62.185.1.96	62.185.1.127	IT
62.185.1.128	62.185.1.159	GB
62.185.1.160	62.185.1.191	DE
62.185.1.192	62.185.1.255	CH
62.185.2.0	62.185.4.191	DE
62.185.4.192	62.185.4.255	EU
62.185.5.0	62.185.5.63	DE
62.185.5.64	62.185.5.71	CH
62.185.5.72	62.185.5.79	ES
62.185.5.80	62.185.5.95	CH
62.185.5.96	62.185.5.255	GB
62.185.6.0	62.185.12.127	DE
62.185.12.128	62.185.12.191	ES
62.185.12.192	62.185.12.199	DE
62.185.12.200	62.185.12.207	ES
62.185.12.208	62.185.12.223	IT
62.185.12.224	62.185.13.191	DE
62.185.13.192	62.185.13.223	IT
62.185.13.224	62.185.13.255	AT
62.185.14.0	62.185.15.159	DE
62.185.15.160	62.185.15.191	ES
62.185.15.192	62.185.15.255	GB
62.185.16.0	62.185.18.159	DE
62.185.18.160	62.185.18.175	NL
62.185.18.176	62.185.20.95	DE
62.185.20.96	62.185.20.127	IT
62.185.20.128	62.185.20.255	DE
62.185.21.0	62.185.21.255	EU
62.185.22.0	62.185.23.159	DE
62.185.23.160	62.185.23.167	BE
62.185.23.168	62.185.23.175	DE
62.185.23.176	62.185.23.191	GB
62.185.23.192	62.185.23.223	IT
62.185.23.224	62.185.25.95	DE
62.185.25.96	62.185.25.127	ES
62.185.25.128	62.185.25.255	SE
62.185.26.0	62.185.27.255	DE
62.185.28.0	62.185.29.255	EU
62.185.30.0	62.185.31.255	DE
62.185.32.0	62.185.32.255	EU
62.185.33.0	62.185.33.79	GB
62.185.33.80	62.185.33.87	CZ
62.185.33.88	62.185.33.95	GB
62.185.33.96	62.185.33.127	ZA
62.185.33.128	62.185.33.255	BE
62.185.34.0	62.185.41.191	GB
62.185.41.192	62.185.41.255	CH
62.185.42.0	62.185.48.31	GB
62.185.48.32	62.185.48.63	CH
62.185.48.64	62.185.52.63	GB
62.185.52.64	62.185.52.79	ZA
62.185.52.80	62.185.52.95	NL
62.185.52.96	62.185.52.127	ES
62.185.52.128	62.185.53.71	GB
62.185.53.72	62.185.53.79	DE
62.185.53.80	62.185.53.95	AT
62.185.53.96	62.185.53.127	ZA
62.185.53.128	62.185.53.191	GB
62.185.53.192	62.185.53.255	NL
62.185.54.0	62.185.54.191	GB
62.185.54.192	62.185.54.255	ZA
62.185.55.0	62.185.63.255	GB
62.185.64.0	62.185.65.31	CH
62.185.65.32	62.185.65.63	IT
62.185.65.64	62.185.65.127	ES
62.185.65.128	62.185.65.255	DE
62.185.66.0	62.185.66.191	CH
62.185.66.192	62.185.66.223	ZA
62.185.66.224	62.185.66.255	ES
62.185.67.0	62.185.71.255	CH
62.185.72.0	62.185.72.255	DE
62.185.73.0	62.185.76.159	CH
62.185.76.160	62.185.76.175	GB
62.185.76.176	62.185.76.191	CH
62.185.76.192	62.185.76.255	GB
62.185.77.0	62.185.78.95	CH
62.185.78.96	62.185.78.127	AT
62.185.78.128	62.185.78.191	CH
62.185.78.192	62.185.78.223	GB
62.185.78.224	62.185.79.255	CH
62.185.80.0	62.185.84.47	IT
62.185.84.48	62.185.84.63	CH
62.185.84.64	62.185.84.127	FR
62.185.84.128	62.185.84.255	ZA
62.185.85.0	62.185.85.255	EU
62.185.86.0	62.185.90.159	IT
62.185.90.160	62.185.90.167	NL
62.185.90.168	62.185.90.175	ZA
62.185.90.176	62.185.90.223	GB
62.185.90.224	62.185.90.255	ZA
62.185.91.0	62.185.93.63	IT
62.185.93.64	62.185.93.95	NL
62.185.93.96	62.185.93.159	ES
62.185.93.160	62.185.93.175	ZA
62.185.93.176	62.185.93.191	DE
62.185.93.192	62.185.93.255	AT
62.185.94.0	62.185.95.255	BE
62.185.96.0	62.185.96.127	FR
62.185.96.128	62.185.96.255	GB
62.185.97.0	62.185.100.191	FR
62.185.100.192	62.185.100.223	DE
62.185.100.224	62.185.102.95	FR
62.185.102.96	62.185.102.223	GB
62.185.102.224	62.185.102.239	ZA
62.185.102.240	62.185.102.247	NL
62.185.102.248	62.185.102.255	ZA
62.185.103.0	62.185.111.143	FR
62.185.111.144	62.185.111.159	ES
62.185.111.160	62.185.111.167	NL
62.185.111.168	62.185.111.255	FR
62.185.112.0	62.185.113.47	AT
62.185.113.48	62.185.113.63	BE
62.185.113.64	62.185.113.95	IT
62.185.113.96	62.185.113.127	NL
62.185.113.128	62.185.113.191	HU
62.185.113.192	62.185.113.223	GB
62.185.113.224	62.185.113.239	ZA
62.185.113.240	62.185.113.255	GB
62.185.114.0	62.185.114.31	AT
62.185.114.32	62.185.114.63	DE
62.185.114.64	62.185.114.127	GB
62.185.114.128	62.185.115.255	AT
62.185.116.0	62.185.116.255	DE
62.185.117.0	62.185.119.255	AT
62.185.120.0	62.185.120.31	SE
62.185.120.32	62.185.120.63	CH
62.185.120.64	62.185.120.191	SE
62.185.120.192	62.185.120.199	ZA
62.185.120.200	62.185.120.207	GB
62.185.120.208	62.185.120.223	ZA
62.185.120.224	62.185.120.255	FR
62.185.121.0	62.185.125.95	CH
62.185.125.96	62.185.125.103	NL
62.185.125.104	62.185.125.111	GB
62.185.125.112	62.185.125.127	DE
62.185.125.128	62.185.127.255	CH
62.185.128.0	62.185.130.31	NL
62.185.130.32	62.185.130.63	ES
62.185.130.64	62.185.130.127	IT
62.185.130.128	62.185.130.255	CH
62.185.131.0	62.185.131.47	NL
62.185.131.48	62.185.131.63	GB
62.185.131.64	62.185.131.159	FR
62.185.131.160	62.185.131.191	IT
62.185.131.192	62.185.131.255	DE
62.185.132.0	62.185.132.127	NL
62.185.132.128	62.185.132.143	EU
62.185.132.144	62.185.132.159	NL
62.185.132.160	62.185.132.191	ZA
62.185.132.192	62.185.132.207	AT
62.185.132.208	62.185.132.223	GB
62.185.132.224	62.185.133.31	NL
62.185.133.32	62.185.133.63	IT
62.185.133.64	62.185.133.95	HU
62.185.133.96	62.185.133.127	PT
62.185.133.128	62.185.133.255	AT
62.185.134.0	62.185.138.23	NL
62.185.138.24	62.185.138.31	BE
62.185.138.32	62.185.138.63	ZA
62.185.138.64	62.185.138.127	ES
62.185.138.128	62.185.138.255	DE
62.185.139.0	62.185.139.255	NL
62.185.140.0	62.185.143.255	CH
62.185.144.0	62.185.145.127	GB
62.185.145.128	62.185.145.159	DE
62.185.145.160	62.185.145.191	CH
62.185.145.192	62.185.145.207	DE
62.185.145.208	62.185.145.223	GB
62.185.145.224	62.185.145.255	DE
62.185.146.0	62.185.146.191	GB
62.185.146.192	62.185.146.223	BE
62.185.146.224	62.185.147.159	GB
62.185.147.160	62.185.147.191	DE
62.185.147.192	62.185.147.223	GB
62.185.147.224	62.185.147.255	ZA
62.185.148.0	62.185.160.47	GB
62.185.160.48	62.185.160.79	ZA
62.185.160.80	62.185.160.95	GB
62.185.160.96	62.185.160.127	EU
62.185.160.128	62.185.160.191	GB
62.185.160.192	62.185.160.255	DE
62.185.161.0	62.185.161.159	GB
62.185.161.160	62.185.161.191	IT
62.185.161.192	62.185.161.223	ES
62.185.161.224	62.185.161.255	BE
62.185.162.0	62.185.162.255	IT
62.185.163.0	62.185.163.127	DE
62.185.163.128	62.185.163.255	EU
62.185.164.0	62.185.166.63	DE
62.185.166.64	62.185.166.127	TR
62.185.166.128	62.185.167.255	DE
62.185.168.0	62.185.175.255	GB
62.185.176.0	62.185.176.95	ZA
62.185.176.96	62.185.176.127	ES
62.185.176.128	62.185.176.191	RU
62.185.176.192	62.185.176.255	IE
62.185.177.0	62.185.183.79	ZA
62.185.183.80	62.185.183.95	GB
62.185.183.96	62.185.183.111	AT
62.185.183.112	62.185.183.127	ZA
62.185.183.128	62.185.183.255	DE
62.185.184.0	62.185.188.159	ZA
62.185.188.160	62.185.188.191	IE
62.185.188.192	62.185.188.255	IT
62.185.189.0	62.185.192.31	ZA
62.185.192.32	62.185.192.39	GB
62.185.192.40	62.185.192.63	ZA
62.185.192.64	62.185.192.79	DE
62.185.192.80	62.185.192.127	IT
62.185.192.128	62.185.192.255	GB
62.185.193.0	62.185.193.31	FR
62.185.193.32	62.185.193.63	BE
62.185.193.64	62.185.193.79	ZA
62.185.193.80	62.185.193.95	NL
62.185.193.96	62.185.193.127	DE
62.185.193.128	62.185.193.191	ES
62.185.193.192	62.185.193.255	GB
62.185.194.0	62.185.194.255	ZA
62.185.195.0	62.185.195.175	BE
62.185.195.176	62.185.195.183	GB
62.185.195.184	62.185.195.191	DE
62.185.195.192	62.185.195.223	BE
62.185.195.224	62.185.195.255	CH
62.185.196.0	62.185.196.191	IT
62.185.196.192	62.185.196.223	ZA
62.185.196.224	62.185.196.239	IT
62.185.196.240	62.185.196.255	ZA
62.185.197.0	62.185.197.255	IT
62.185.198.0	62.185.199.255	DK
62.185.200.0	62.185.200.31	ES
62.185.200.32	62.185.200.63	GB
62.185.200.64	62.185.200.127	CH
62.185.200.128	62.185.201.31	ES
62.185.201.32	62.185.201.63	EU
62.185.201.64	62.185.201.127	GB
62.185.201.128	62.185.201.255	ES
62.185.202.0	62.185.206.255	DE
62.185.207.0	62.185.207.127	BE
62.185.207.128	62.185.207.143	DE
62.185.207.144	62.185.207.151	GB
62.185.207.152	62.185.207.159	NL
62.185.207.160	62.185.207.255	GB
62.185.208.0	62.185.213.127	BE
62.185.213.128	62.185.213.191	IE
62.185.213.192	62.185.213.255	GB
62.185.214.0	62.185.215.63	BE
62.185.215.64	62.185.215.127	DE
62.185.215.128	62.185.219.255	BE
62.185.220.0	62.185.223.255	DK
62.185.224.0	62.185.224.127	IE
62.185.224.128	62.185.224.143	IT
62.185.224.144	62.185.224.159	DE
62.185.224.160	62.185.224.191	ZA
62.185.224.192	62.185.224.255	IT
62.185.225.0	62.185.225.255	IE
62.185.226.0	62.185.226.255	HU
62.185.227.0	62.185.227.191	CZ
62.185.227.192	62.185.227.223	EU
62.185.227.224	62.185.227.255	CZ
62.185.228.0	62.185.228.255	NO
62.185.229.0	62.185.229.255	DK
62.185.230.0	62.185.230.127	SE
62.185.230.128	62.185.230.191	DE
62.185.230.192	62.185.230.255	IT
62.185.231.0	62.185.231.255	DK
62.185.232.0	62.185.237.31	GB
62.185.237.32	62.185.237.63	ZA
62.185.237.64	62.185.237.127	FI
62.185.237.128	62.185.243.255	GB
62.185.244.0	62.185.247.255	CH
62.185.248.0	62.185.249.255	DE
62.185.250.0	62.185.250.127	EU
62.185.250.128	62.185.250.159	DE
62.185.250.160	62.185.250.255	FR
62.185.251.0	62.185.251.255	DE
62.185.252.0	62.185.252.255	EU
62.185.253.0	62.185.254.255	DE
62.185.255.0	62.185.255.255	ES
62.186.0.0	62.186.1.191	DE
62.186.1.192	62.186.1.255	NO
62.186.2.0	62.186.2.143	FR
62.186.2.144	62.186.2.159	NL
62.186.2.160	62.186.2.191	ZA
62.186.2.192	62.186.2.255	GB
62.186.3.0	62.186.3.15	DE
62.186.3.16	62.186.3.31	CH
62.186.3.32	62.186.3.63	EU
62.186.3.64	62.186.3.95	DE
62.186.3.96	62.186.3.127	FR
62.186.3.128	62.186.3.191	GB
62.186.3.192	62.186.3.223	FR
62.186.3.224	62.186.3.255	NL
62.186.4.0	62.186.7.103	DE
62.186.7.104	62.186.7.111	NO
62.186.7.112	62.186.7.151	GB
62.186.7.152	62.186.7.159	DE
62.186.7.160	62.186.7.223	GB
62.186.7.224	62.186.7.255	SE
62.186.8.0	62.186.8.255	EU
62.186.9.0	62.186.10.143	DE
62.186.10.144	62.186.10.151	GB
62.186.10.152	62.186.10.159	NL
62.186.10.160	62.186.10.191	DE
62.186.10.192	62.186.10.255	ZA
62.186.11.0	62.186.11.159	GB
62.186.11.160	62.186.11.223	DE
62.186.11.224	62.186.11.255	NL
62.186.12.0	62.186.15.255	DE
62.186.16.0	62.186.16.255	EU
62.186.17.0	62.186.21.159	DE
62.186.21.160	62.186.21.191	EU
62.186.21.192	62.186.21.255	ES
62.186.22.0	62.186.22.255	DE
62.186.23.0	62.186.26.255	GB
62.186.27.0	62.186.27.255	NL
62.186.28.0	62.186.31.255	GB
62.186.32.0	62.186.32.255	DE
62.186.33.0	62.186.33.79	GB
62.186.33.80	62.186.33.95	ZA
62.186.33.96	62.186.33.159	GB
62.186.33.160	62.186.33.255	FR
62.186.34.0	62.186.45.255	GB
62.186.46.0	62.186.46.255	NL
62.186.47.0	62.186.52.31	GB
62.186.52.32	62.186.52.47	ZA
62.186.52.48	62.186.52.55	GB
62.186.52.56	62.186.52.63	IT
62.186.52.64	62.186.63.255	GB
62.186.64.0	62.186.64.127	CH
62.186.64.128	62.186.64.223	FR
62.186.64.224	62.186.67.31	CH
62.186.67.32	62.186.67.63	ZA
62.186.67.64	62.186.67.127	GB
62.186.67.128	62.186.70.255	CH
62.186.71.0	62.186.72.159	GB
62.186.72.160	62.186.72.223	DE
62.186.72.224	62.186.72.255	ES
62.186.73.0	62.186.73.255	NL
62.186.74.0	62.186.75.255	CH
62.186.76.0	62.186.76.63	SE
62.186.76.64	62.186.76.127	BE
62.186.76.128	62.186.76.255	SE
62.186.77.0	62.186.77.63	TR
62.186.77.64	62.186.77.127	RO
62.186.77.128	62.186.79.127	HU
62.186.79.128	62.186.79.255	EU
62.186.80.0	62.186.85.191	IT
62.186.85.192	62.186.85.255	NO
62.186.86.0	62.186.89.31	IT
62.186.89.32	62.186.89.47	DE
62.186.89.48	62.186.89.55	NL
62.186.89.56	62.186.89.63	FR
62.186.89.64	62.186.89.127	IT
62.186.89.128	62.186.89.255	BE
62.186.90.0	62.186.93.255	IT
62.186.94.0	62.186.94.127	BE
62.186.94.128	62.186.94.159	IT
62.186.94.160	62.186.94.191	AT
62.186.94.192	62.186.94.255	ZA
62.186.95.0	62.186.95.191	BE
62.186.95.192	62.186.95.223	GB
62.186.95.224	62.186.95.255	RU
62.186.96.0	62.186.97.127	FR
62.186.97.128	62.186.97.255	NL
62.186.98.0	62.186.98.95	FR
62.186.98.96	62.186.98.127	IT
62.186.98.128	62.186.98.191	GB
62.186.98.192	62.186.102.159	FR
62.186.102.160	62.186.102.191	DE
62.186.102.192	62.186.102.207	IT
62.186.102.208	62.186.102.215	GB
62.186.102.216	62.186.102.223	NL
62.186.102.224	62.186.102.255	RO
62.186.103.0	62.186.104.15	FR
62.186.104.16	62.186.104.31	NL
62.186.104.32	62.186.104.63	FR
62.186.104.64	62.186.104.127	ZA
62.186.104.128	62.186.104.255	CH
62.186.105.0	62.186.106.159	FR
62.186.106.160	62.186.106.175	ZA
62.186.106.176	62.186.106.223	FR
62.186.106.224	62.186.106.255	GB
62.186.107.0	62.186.108.31	FR
62.186.108.32	62.186.108.47	ZA
62.186.108.48	62.186.108.63	GB
62.186.108.64	62.186.108.127	FR
62.186.108.128	62.186.108.255	GB
62.186.109.0	62.186.111.255	FR
62.186.112.0	62.186.118.223	AT
62.186.118.224	62.186.118.239	FR
62.186.118.240	62.186.118.255	SE
62.186.119.0	62.186.120.31	AT
62.186.120.32	62.186.120.63	ZA
62.186.120.64	62.186.120.79	DE
62.186.120.80	62.186.120.95	ZA
62.186.120.96	62.186.120.127	DE
62.186.120.128	62.186.121.95	AT
62.186.121.96	62.186.122.63	GB
62.186.122.64	62.186.122.127	BE
62.186.122.128	62.186.122.191	FR
62.186.122.192	62.186.122.255	GB
62.186.123.0	62.186.123.255	AT
62.186.124.0	62.186.127.255	GB
62.186.128.0	62.186.128.7	NL
62.186.128.8	62.186.128.15	DE
62.186.128.16	62.186.128.95	NL
62.186.128.96	62.186.128.127	BE
62.186.128.128	62.186.128.191	GB
62.186.128.192	62.186.128.255	BE
62.186.129.0	62.186.132.255	EU
62.186.133.0	62.186.137.167	NL
62.186.137.168	62.186.137.175	EU
62.186.137.176	62.186.137.183	NL
62.186.137.184	62.186.137.191	GB
62.186.137.192	62.186.137.255	CH
62.186.138.0	62.186.138.255	EU
62.186.139.0	62.186.139.159	NL
62.186.139.160	62.186.139.191	DE
62.186.139.192	62.186.143.255	NL
62.186.144.0	62.186.145.127	CZ
62.186.145.128	62.186.145.255	EU
62.186.146.0	62.186.147.255	IE
62.186.148.0	62.186.151.255	BE
62.186.152.0	62.186.154.63	DE
62.186.154.64	62.186.154.127	ZA
62.186.154.128	62.186.154.159	GB
62.186.154.160	62.186.154.191	DE
62.186.154.192	62.186.154.223	IT
62.186.154.224	62.186.154.255	DE
62.186.155.0	62.186.156.47	NO
62.186.156.48	62.186.156.63	DE
62.186.156.64	62.186.156.95	AT
62.186.156.96	62.186.156.127	IT
62.186.156.128	62.186.156.255	GB
62.186.157.0	62.186.157.79	NO
62.186.157.80	62.186.157.87	EU
62.186.157.88	62.186.157.255	NO
62.186.158.0	62.186.159.255	ZA
62.186.160.0	62.186.165.255	BE
62.186.166.0	62.186.167.191	IT
62.186.167.192	62.186.167.223	EU
62.186.167.224	62.186.167.255	IT
62.186.168.0	62.186.170.127	GB
62.186.170.128	62.186.170.159	DE
62.186.170.160	62.186.170.175	GB
62.186.170.176	62.186.170.191	ZA
62.186.170.192	62.186.170.255	DE
62.186.171.0	62.186.175.255	GB
62.186.176.0	62.186.178.191	ZA
62.186.178.192	62.186.178.207	SE
62.186.178.208	62.186.178.223	FR
62.186.178.224	62.186.180.31	ZA
62.186.180.32	62.186.180.63	CH
62.186.180.64	62.186.180.127	ZA
62.186.180.128	62.186.180.135	EU
62.186.180.136	62.186.180.143	CH
62.186.180.144	62.186.180.191	EU
62.186.180.192	62.186.180.255	NL
62.186.181.0	62.186.183.31	ZA
62.186.183.32	62.186.183.63	EU
62.186.183.64	62.186.186.95	ZA
62.186.186.96	62.186.186.111	GB
62.186.186.112	62.186.186.119	ES
62.186.186.120	62.186.186.127	BE
62.186.186.128	62.186.186.255	GB
62.186.187.0	62.186.187.191	ZA
62.186.187.192	62.186.187.255	BE
62.186.188.0	62.186.191.255	ZA
62.186.192.0	62.186.192.79	PT
62.186.192.80	62.186.192.87	EU
62.186.192.88	62.186.192.255	PT
62.186.193.0	62.186.193.15	EU
62.186.193.16	62.186.193.31	FR
62.186.193.32	62.186.195.255	EU
62.186.196.0	62.186.198.63	CH
62.186.198.64	62.186.198.79	GB
62.186.198.80	62.186.198.95	IT
62.186.198.96	62.186.198.127	AT
62.186.198.128	62.186.198.191	DE
62.186.198.192	62.186.198.255	GB
62.186.199.0	62.186.199.255	CH
62.186.200.0	62.186.200.191	ES
62.186.200.192	62.186.200.255	BE
62.186.201.0	62.186.204.95	ES
62.186.204.96	62.186.204.127	FR
62.186.204.128	62.186.204.255	BE
62.186.205.0	62.186.205.191	ES
62.186.205.192	62.186.205.255	DE
62.186.206.0	62.186.207.255	ES
62.186.208.0	62.186.208.71	BE
62.186.208.72	62.186.208.79	ZA
62.186.208.80	62.186.208.95	FR
62.186.208.96	62.186.208.127	DE
62.186.208.128	62.186.208.191	BE
62.186.208.192	62.186.208.255	DE
62.186.209.0	62.186.219.255	BE
62.186.220.0	62.186.221.55	DK
62.186.221.56	62.186.221.63	FR
62.186.221.64	62.186.221.255	DK
62.186.222.0	62.186.223.255	ZA
62.186.224.0	62.186.225.63	GB
62.186.225.64	62.186.225.95	NO
62.186.225.96	62.186.227.255	GB
62.186.228.0	62.186.228.191	NL
62.186.228.192	62.186.228.223	EU
62.186.228.224	62.186.231.255	NL
62.186.232.0	62.186.234.31	DE
62.186.234.32	62.186.234.63	ZA
62.186.234.64	62.186.234.127	DE
62.186.234.128	62.186.234.143	ZA
62.186.234.144	62.186.234.159	DE
62.186.234.160	62.186.234.191	GB
62.186.234.192	62.186.234.255	ZA
62.186.235.0	62.186.236.255	DE
62.186.237.0	62.186.237.255	CH
62.186.238.0	62.186.239.127	BE
62.186.239.128	62.186.239.255	EU
62.186.240.0	62.186.243.207	AT
62.186.243.208	62.186.243.223	EU
62.186.243.224	62.186.243.255	AT
62.186.244.0	62.186.247.255	FR
62.186.248.0	62.186.250.255	DE
62.186.251.0	62.186.251.255	EU
62.186.252.0	62.186.255.255	GB
62.187.0.0	62.187.3.255	DE
62.187.4.0	62.187.13.255	EU
62.187.14.0	62.187.15.255	DE
62.187.16.0	62.187.19.255	CZ
62.187.20.0	62.187.20.127	PL
62.187.20.128	62.187.20.255	EU
62.187.21.0	62.187.21.127	PL
62.187.21.128	62.187.21.255	EU
62.187.22.0	62.187.31.255	ZA
62.187.32.0	62.187.35.255	DE
62.187.36.0	62.187.37.63	NO
62.187.37.64	62.187.37.127	EU
62.187.37.128	62.187.37.255	NO
62.187.38.0	62.187.39.223	ES
62.187.39.224	62.187.39.239	GB
62.187.39.240	62.187.39.255	FR
62.187.40.0	62.187.40.127	EU
62.187.40.128	62.187.40.135	SK
62.187.40.136	62.187.40.255	EU
62.187.41.0	62.187.41.255	FR
62.187.42.0	62.187.43.255	AT
62.187.44.0	62.187.47.255	GB
62.187.48.0	62.187.48.31	FR
62.187.48.32	62.187.48.47	NL
62.187.48.48	62.187.48.63	EU
62.187.48.64	62.187.49.191	NL
62.187.49.192	62.187.49.255	EU
62.187.50.0	62.187.51.255	GB
62.187.52.0	62.187.53.255	NL
62.187.54.0	62.187.55.255	CH
62.187.56.0	62.187.59.255	NL
62.187.60.0	62.187.61.127	AT
62.187.61.128	62.187.61.191	EU
62.187.61.192	62.187.61.255	AT
62.187.62.0	62.187.63.95	NL
62.187.63.96	62.187.63.111	FR
62.187.63.112	62.187.63.119	NL
62.187.63.120	62.187.63.127	FR
62.187.63.128	62.187.67.255	GB
62.187.68.0	62.187.68.95	NO
62.187.68.96	62.187.68.191	EU
62.187.68.192	62.187.68.255	FR
62.187.69.0	62.187.69.255	EU
62.187.70.0	62.187.70.255	NO
62.187.71.0	62.187.71.255	DE
62.187.72.0	62.187.72.239	FR
62.187.72.240	62.187.72.255	BE
62.187.73.0	62.187.75.127	FR
62.187.75.128	62.187.75.143	EU
62.187.75.144	62.187.79.255	FR
62.187.80.0	62.187.81.255	ES
62.187.82.0	62.187.85.255	GB
62.187.86.0	62.187.87.31	ES
62.187.87.32	62.187.87.63	EU
62.187.87.64	62.187.87.191	ES
62.187.87.192	62.187.87.255	EU
62.187.88.0	62.187.88.223	ZA
62.187.88.224	62.187.88.255	EU
62.187.89.0	62.187.89.255	ZA
62.187.90.0	62.187.92.255	EU
62.187.93.0	62.187.99.255	FR
62.187.100.0	62.187.103.255	GB
62.187.104.0	62.187.107.255	FR
62.187.108.0	62.187.109.255	ZA
62.187.110.0	62.187.110.223	FR
62.187.110.224	62.187.110.255	EU
62.187.111.0	62.187.111.255	BE
62.187.112.0	62.187.116.191	GB
62.187.116.192	62.187.116.255	EU
62.187.117.0	62.187.127.95	GB
62.187.127.96	62.187.127.103	EU
62.187.127.104	62.187.127.119	GB
62.187.127.120	62.187.127.127	EU
62.187.127.128	62.187.127.255	GB
62.187.128.0	62.187.131.223	FR
62.187.131.224	62.187.131.255	EU
62.187.132.0	62.187.143.255	FR
62.187.144.0	62.187.144.255	NL
62.187.145.0	62.187.145.255	DE
62.187.146.0	62.187.159.255	NL
62.187.160.0	62.187.161.159	IT
62.187.161.160	62.187.161.191	EU
62.187.161.192	62.187.166.159	IT
62.187.166.160	62.187.166.191	EU
62.187.166.192	62.187.167.255	IT
62.187.168.0	62.187.171.255	GB
62.187.172.0	62.187.172.255	CH
62.187.173.0	62.187.173.63	DE
62.187.173.64	62.187.173.127	FR
62.187.173.128	62.187.173.255	DE
62.187.174.0	62.187.174.255	GB
62.187.175.0	62.187.175.255	AT
62.187.176.0	62.187.179.255	CH
62.187.180.0	62.187.183.255	GB
62.187.184.0	62.187.185.255	IE
62.187.186.0	62.187.187.255	SE
62.187.188.0	62.187.191.159	AT
62.187.191.160	62.187.191.167	EU
62.187.191.168	62.187.191.255	AT
62.187.192.0	62.187.198.255	BE
62.187.199.0	62.187.199.127	EU
62.187.199.128	62.187.201.255	BE
62.187.202.0	62.187.202.255	NL
62.187.203.0	62.187.206.79	BE
62.187.206.80	62.187.206.127	FR
62.187.206.128	62.187.206.191	BE
62.187.206.192	62.187.206.223	GB
62.187.206.224	62.187.207.255	BE
62.187.208.0	62.187.208.7	UA
62.187.208.8	62.187.208.255	EU
62.187.209.0	62.187.213.255	DE
62.187.214.0	62.187.214.255	EU
62.187.215.0	62.187.215.255	DE
62.187.216.0	62.187.217.255	ES
62.187.218.0	62.187.218.63	RO
62.187.218.64	62.187.219.255	EU
62.187.220.0	62.187.221.255	GB
62.187.222.0	62.187.223.255	EU
62.187.224.0	62.187.224.223	DK
62.187.224.224	62.187.224.239	EU
62.187.224.240	62.187.225.95	DK
62.187.225.96	62.187.225.255	EU
62.187.226.0	62.187.227.255	GB
62.187.228.0	62.187.228.31	FI
62.187.228.32	62.187.228.39	EU
62.187.228.40	62.187.228.47	FI
62.187.228.48	62.187.228.127	EU
62.187.228.128	62.187.228.255	FI
62.187.229.0	62.187.229.255	EU
62.187.230.0	62.187.231.255	CH
62.187.232.0	62.187.234.255	IE
62.187.235.0	62.187.235.31	EU
62.187.235.32	62.187.235.63	IE
62.187.235.64	62.187.235.255	EU
62.187.236.0	62.187.240.255	GB
62.187.241.0	62.187.241.31	BY
62.187.241.32	62.187.241.63	EU
62.187.241.64	62.187.253.191	GB
62.187.253.192	62.187.253.255	EU
62.187.254.0	62.187.254.127	GB
62.187.254.128	62.187.254.255	EU
62.187.255.0	62.189.88.223	GB
62.189.88.224	62.189.88.239	IT
62.189.88.240	62.189.112.127	GB
62.189.112.128	62.189.112.255	ES
62.189.113.0	62.189.188.127	GB
62.189.188.128	62.189.188.191	IE
62.189.188.192	62.189.239.63	GB
62.189.239.64	62.189.239.71	IE
62.189.239.72	62.190.18.255	GB
62.190.19.0	62.190.19.255	SE
62.190.20.0	62.190.30.255	GB
62.190.31.0	62.190.31.255	SE
62.190.32.0	62.190.87.255	GB
62.190.88.0	62.190.89.255	SE
62.190.90.0	62.190.101.255	GB
62.190.102.0	62.190.102.255	SE
62.190.103.0	62.190.177.31	GB
62.190.177.32	62.190.177.63	IT
62.190.177.64	62.191.255.255	GB
62.192.0.0	62.192.21.31	CH
62.192.21.32	62.192.21.47	DE
62.192.21.48	62.192.21.79	CH
62.192.21.80	62.192.21.87	GB
62.192.21.88	62.192.28.31	CH
62.192.28.32	62.192.28.63	IT
62.192.28.64	62.192.31.255	CH
62.192.32.0	62.192.63.255	RU
62.192.64.0	62.192.127.255	NL
62.192.128.0	62.192.141.255	A2
62.192.142.0	62.192.143.255	MW
62.192.144.0	62.192.159.255	A2
62.192.160.0	62.192.191.255	RU
62.192.192.0	62.192.223.255	DE
62.192.224.0	62.192.255.255	RU
62.193.0.0	62.193.31.255	IR
62.193.32.0	62.193.63.255	FR
62.193.64.0	62.193.127.255	EG
62.193.128.0	62.193.159.255	RS
62.193.160.0	62.193.191.255	NG
62.193.192.0	62.193.255.255	FR
62.194.0.0	62.195.255.255	NL
62.196.0.0	62.196.255.255	IT
62.197.0.0	62.197.31.255	DE
62.197.32.0	62.197.63.255	GB
62.197.64.0	62.197.127.255	BE
62.197.128.0	62.197.159.255	NL
62.197.160.0	62.197.191.255	FI
62.197.192.0	62.197.255.255	SK
62.198.0.0	62.199.255.255	DK
62.200.0.0	62.200.0.255	EU
62.200.1.0	62.200.1.255	AT
62.200.2.0	62.200.3.31	EU
62.200.3.32	62.200.3.63	AT
62.200.3.64	62.200.3.95	EU
62.200.3.96	62.200.3.111	AT
62.200.3.112	62.200.3.255	EU
62.200.4.0	62.200.7.255	AT
62.200.8.0	62.200.9.31	IT
62.200.9.32	62.200.9.95	EU
62.200.9.96	62.200.9.127	IT
62.200.9.128	62.200.9.143	EU
62.200.9.144	62.200.9.159	IT
62.200.9.160	62.200.9.175	EU
62.200.9.176	62.200.9.191	IT
62.200.9.192	62.200.9.215	EU
62.200.9.216	62.200.9.239	IT
62.200.9.240	62.200.9.247	EU
62.200.9.248	62.200.9.255	IT
62.200.10.0	62.200.13.255	EU
62.200.14.0	62.200.17.255	CH
62.200.18.0	62.200.19.255	EU
62.200.20.0	62.200.21.191	GB
62.200.21.192	62.200.21.255	EU
62.200.22.0	62.200.23.255	GB
62.200.24.0	62.200.24.255	CH
62.200.25.0	62.200.25.31	FR
62.200.25.32	62.200.25.47	EU
62.200.25.48	62.200.25.71	FR
62.200.25.72	62.200.25.79	EU
62.200.25.80	62.200.25.143	FR
62.200.25.144	62.200.25.175	EU
62.200.25.176	62.200.25.191	FR
62.200.25.192	62.200.25.207	EU
62.200.25.208	62.200.26.47	FR
62.200.26.48	62.200.26.55	EU
62.200.26.56	62.200.26.111	FR
62.200.26.112	62.200.26.119	EU
62.200.26.120	62.200.26.255	FR
62.200.27.0	62.200.29.15	EU
62.200.29.16	62.200.29.39	FR
62.200.29.40	62.200.29.47	DE
62.200.29.48	62.200.29.143	FR
62.200.29.144	62.200.29.159	EU
62.200.29.160	62.200.29.175	FR
62.200.29.176	62.200.30.31	EU
62.200.30.32	62.200.30.63	FR
62.200.30.64	62.200.30.95	EU
62.200.30.96	62.200.30.103	FR
62.200.30.104	62.200.30.111	EU
62.200.30.112	62.200.31.159	FR
62.200.31.160	62.200.31.175	EU
62.200.31.176	62.200.31.183	GB
62.200.31.184	62.200.31.191	FR
62.200.31.192	62.200.31.199	EU
62.200.31.200	62.200.31.255	FR
62.200.32.0	62.200.40.255	EU
62.200.41.0	62.200.44.95	GR
62.200.44.96	62.200.44.255	EU
62.200.45.0	62.200.47.255	GR
62.200.48.0	62.200.51.255	EU
62.200.52.0	62.200.52.47	GB
62.200.52.48	62.200.52.55	EU
62.200.52.56	62.200.52.191	GB
62.200.52.192	62.200.52.255	EU
62.200.53.0	62.200.54.127	GB
62.200.54.128	62.200.54.255	EU
62.200.55.0	62.200.55.95	GB
62.200.55.96	62.200.55.127	EU
62.200.55.128	62.200.55.191	GB
62.200.55.192	62.200.55.255	EU
62.200.56.0	62.200.56.63	ZA
62.200.56.64	62.200.56.255	EU
62.200.57.0	62.200.59.255	ZA
62.200.60.0	62.200.64.255	EU
62.200.65.0	62.200.65.127	CZ
62.200.65.128	62.200.68.255	EU
62.200.69.0	62.200.69.255	DK
62.200.70.0	62.200.70.255	EU
62.200.71.0	62.200.71.47	DK
62.200.71.48	62.200.71.79	EU
62.200.71.80	62.200.71.103	DK
62.200.71.104	62.200.71.111	EU
62.200.71.112	62.200.71.143	DK
62.200.71.144	62.200.71.159	EU
62.200.71.160	62.200.71.191	DK
62.200.71.192	62.200.71.255	EU
62.200.72.0	62.200.73.63	GB
62.200.73.64	62.200.73.159	EU
62.200.73.160	62.200.74.63	GB
62.200.74.64	62.200.74.127	EU
62.200.74.128	62.200.74.135	GB
62.200.74.136	62.200.74.143	EU
62.200.74.144	62.200.74.255	GB
62.200.75.0	62.200.75.127	EU
62.200.75.128	62.200.75.255	GB
62.200.76.0	62.200.76.15	EU
62.200.76.16	62.200.76.31	CZ
62.200.76.32	62.200.79.255	EU
62.200.80.0	62.200.87.255	GB
62.200.88.0	62.200.88.175	ZA
62.200.88.176	62.200.88.255	EU
62.200.89.0	62.200.89.255	GB
62.200.90.0	62.200.91.255	EU
62.200.92.0	62.200.93.255	GB
62.200.94.0	62.200.94.255	FI
62.200.95.0	62.200.95.15	EU
62.200.95.16	62.200.95.39	FI
62.200.95.40	62.200.95.47	EE
62.200.95.48	62.200.95.63	EU
62.200.95.64	62.200.95.95	FI
62.200.95.96	62.200.95.255	EU
62.200.96.0	62.200.99.255	DE
62.200.100.0	62.200.100.31	EU
62.200.100.32	62.200.100.127	DE
62.200.100.128	62.200.123.255	EU
62.200.124.0	62.200.124.63	BE
62.200.124.64	62.200.124.95	EU
62.200.124.96	62.200.124.111	GB
62.200.124.112	62.200.124.127	BE
62.200.124.128	62.200.124.191	EU
62.200.124.192	62.200.124.207	BE
62.200.124.208	62.200.124.223	EU
62.200.124.224	62.200.124.231	BE
62.200.124.232	62.200.124.239	EU
62.200.124.240	62.200.125.255	BE
62.200.126.0	62.200.126.255	FI
62.200.127.0	62.200.127.255	DK
62.200.128.0	62.200.129.255	EU
62.200.130.0	62.200.131.255	ZA
62.200.132.0	62.200.132.255	EU
62.200.133.0	62.200.133.159	ZA
62.200.133.160	62.200.133.255	EU
62.200.134.0	62.200.134.191	ZA
62.200.134.192	62.200.134.223	EU
62.200.134.224	62.200.134.239	ZA
62.200.134.240	62.200.134.247	EU
62.200.134.248	62.200.134.255	ZA
62.200.135.0	62.200.135.31	EU
62.200.135.32	62.200.135.127	ZA
62.200.135.128	62.200.135.255	EU
62.200.136.0	62.200.136.31	ES
62.200.136.32	62.200.136.95	EU
62.200.136.96	62.200.136.119	ES
62.200.136.120	62.200.136.223	EU
62.200.136.224	62.200.136.255	ES
62.200.137.0	62.200.139.255	EU
62.200.140.0	62.200.140.255	ES
62.200.141.0	62.200.143.255	EU
62.200.144.0	62.200.144.31	NL
62.200.144.32	62.200.144.127	EU
62.200.144.128	62.200.144.207	NL
62.200.144.208	62.200.144.223	EU
62.200.144.224	62.200.144.247	NL
62.200.144.248	62.200.144.255	EU
62.200.145.0	62.200.145.175	NL
62.200.145.176	62.200.145.191	EU
62.200.145.192	62.200.145.215	NL
62.200.145.216	62.200.146.255	EU
62.200.147.0	62.200.147.47	NL
62.200.147.48	62.200.147.95	EU
62.200.147.96	62.200.147.191	NL
62.200.147.192	62.200.147.223	EU
62.200.147.224	62.200.147.255	NL
62.200.148.0	62.200.149.255	EU
62.200.150.0	62.200.153.255	BE
62.200.154.0	62.200.154.63	EU
62.200.154.64	62.200.154.175	DK
62.200.154.176	62.200.154.183	EU
62.200.154.184	62.200.154.207	DK
62.200.154.208	62.200.154.223	EU
62.200.154.224	62.200.155.255	DK
62.200.156.0	62.200.156.255	SE
62.200.157.0	62.200.159.255	EU
62.200.160.0	62.200.164.255	ZA
62.200.165.0	62.200.165.255	EU
62.200.166.0	62.200.166.31	ZA
62.200.166.32	62.200.166.39	EU
62.200.166.40	62.200.166.95	ZA
62.200.166.96	62.200.167.255	EU
62.200.168.0	62.200.168.31	CH
62.200.168.32	62.200.169.255	EU
62.200.170.0	62.200.171.255	FI
62.200.172.0	62.200.173.63	NO
62.200.173.64	62.200.173.95	EU
62.200.173.96	62.200.173.103	NO
62.200.173.104	62.200.173.255	EU
62.200.174.0	62.200.175.31	NO
62.200.175.32	62.200.175.63	EU
62.200.175.64	62.200.175.127	NO
62.200.175.128	62.200.175.199	EU
62.200.175.200	62.200.175.207	NO
62.200.175.208	62.200.175.223	EU
62.200.175.224	62.200.175.231	NO
62.200.175.232	62.200.175.239	EU
62.200.175.240	62.200.175.255	NO
62.200.176.0	62.200.177.255	AT
62.200.178.0	62.200.178.255	ZA
62.200.179.0	62.200.179.63	EU
62.200.179.64	62.200.179.95	NL
62.200.179.96	62.200.179.255	EU
62.200.180.0	62.200.181.255	GB
62.200.182.0	62.200.182.255	EU
62.200.183.0	62.200.183.127	GB
62.200.183.128	62.200.183.135	EU
62.200.183.136	62.200.183.159	GB
62.200.183.160	62.200.183.175	EU
62.200.183.176	62.200.183.255	GB
62.200.184.0	62.200.191.255	EU
62.200.192.0	62.200.193.255	FI
62.200.194.0	62.200.194.255	EU
62.200.195.0	62.200.195.255	BG
62.200.196.0	62.200.197.255	EU
62.200.198.0	62.200.198.95	PK
62.200.198.96	62.200.198.127	EU
62.200.198.128	62.200.198.191	PK
62.200.198.192	62.200.211.31	EU
62.200.211.32	62.200.211.47	PT
62.200.211.48	62.200.212.255	EU
62.200.213.0	62.200.214.255	NL
62.200.215.0	62.200.215.255	EU
62.200.216.0	62.200.216.63	IE
62.200.216.64	62.200.216.255	EU
62.200.217.0	62.200.217.191	IE
62.200.217.192	62.200.217.207	EU
62.200.217.208	62.200.217.215	IE
62.200.217.216	62.200.217.223	EU
62.200.217.224	62.200.217.239	IE
62.200.217.240	62.200.217.255	EU
62.200.218.0	62.200.218.79	BE
62.200.218.80	62.200.218.255	EU
62.200.219.0	62.200.219.255	BE
62.200.220.0	62.200.223.255	EU
62.200.224.0	62.200.224.255	IL
62.200.225.0	62.200.228.63	EU
62.200.228.64	62.200.228.71	IE
62.200.228.72	62.200.228.143	EU
62.200.228.144	62.200.228.151	IE
62.200.228.152	62.200.228.175	EU
62.200.228.176	62.200.228.255	IE
62.200.229.0	62.200.229.7	GB
62.200.229.8	62.200.229.39	IE
62.200.229.40	62.200.229.47	EU
62.200.229.48	62.200.229.63	IE
62.200.229.64	62.200.231.255	EU
62.200.232.0	62.200.232.255	IL
62.200.233.0	62.200.233.255	EU
62.200.234.0	62.200.234.159	IL
62.200.234.160	62.200.234.191	EU
62.200.234.192	62.200.234.223	IL
62.200.234.224	62.200.234.255	EU
62.200.235.0	62.200.235.79	IL
62.200.235.80	62.200.235.103	EU
62.200.235.104	62.200.235.111	IL
62.200.235.112	62.200.235.159	EU
62.200.235.160	62.200.235.255	IL
62.200.236.0	62.200.255.255	EU
62.201.0.0	62.201.15.255	ES
62.201.16.0	62.201.31.255	CZ
62.201.32.0	62.201.63.255	SE
62.201.64.0	62.201.127.255	HU
62.201.128.0	62.201.159.255	FR
62.201.160.0	62.201.191.255	DE
62.201.192.0	62.201.255.255	IQ
62.202.0.0	62.203.255.255	CH
62.204.0.0	62.204.31.255	FI
62.204.32.0	62.204.63.255	GB
62.204.64.0	62.204.95.255	NL
62.204.96.0	62.204.127.255	CH
62.204.128.0	62.204.159.255	BG
62.204.160.0	62.204.191.255	DE
62.204.192.0	62.204.223.255	ES
62.204.224.0	62.204.255.255	CZ
62.205.0.0	62.205.31.255	IT
62.205.32.0	62.205.63.255	GR
62.205.64.0	62.205.127.255	BE
62.205.128.0	62.205.159.255	UA
62.205.160.0	62.205.191.255	RU
62.205.192.0	62.205.255.255	LV
62.206.0.0	62.206.57.235	DE
62.206.57.236	62.206.57.239	GB
62.206.57.240	62.206.255.255	DE
62.207.0.0	62.207.255.255	RU
62.208.0.0	62.208.1.255	DE
62.208.2.0	62.208.2.31	EU
62.208.2.32	62.208.2.47	DE
62.208.2.48	62.208.2.127	EU
62.208.2.128	62.208.2.171	DE
62.208.2.172	62.208.2.191	EU
62.208.2.192	62.208.2.255	DE
62.208.3.0	62.208.4.255	EU
62.208.5.0	62.208.7.255	DE
62.208.8.0	62.208.9.255	EU
62.208.10.0	62.208.10.7	GB
62.208.10.8	62.208.10.127	EU
62.208.10.128	62.208.10.255	GB
62.208.11.0	62.208.20.15	EU
62.208.20.16	62.208.20.23	DE
62.208.20.24	62.208.20.127	EU
62.208.20.128	62.208.20.255	NL
62.208.21.0	62.208.23.255	EU
62.208.24.0	62.208.27.255	ES
62.208.28.0	62.208.30.255	EU
62.208.31.0	62.208.32.255	DE
62.208.33.0	62.208.33.255	BE
62.208.34.0	62.208.42.255	EU
62.208.43.0	62.208.43.255	DE
62.208.44.0	62.208.47.255	EU
62.208.48.0	62.208.48.255	DE
62.208.49.0	62.208.62.191	EU
62.208.62.192	62.208.62.223	DE
62.208.62.224	62.208.63.255	EU
62.208.64.0	62.208.65.255	DE
62.208.66.0	62.208.71.255	EU
62.208.72.0	62.208.72.127	FK
62.208.72.128	62.208.72.255	EU
62.208.73.0	62.208.73.255	GB
62.208.74.0	62.208.75.255	FK
62.208.76.0	62.208.76.255	DE
62.208.77.0	62.208.84.15	EU
62.208.84.16	62.208.84.31	DE
62.208.84.32	62.208.84.63	EU
62.208.84.64	62.208.84.127	DE
62.208.84.128	62.208.94.255	EU
62.208.95.0	62.208.95.31	DK
62.208.95.32	62.208.96.255	EU
62.208.97.0	62.208.97.255	DE
62.208.98.0	62.208.98.255	GB
62.208.99.0	62.208.99.255	DE
62.208.100.0	62.208.101.255	EU
62.208.102.0	62.208.103.255	DE
62.208.104.0	62.208.104.223	EU
62.208.104.224	62.208.104.231	DE
62.208.104.232	62.208.105.255	EU
62.208.106.0	62.208.107.255	DE
62.208.108.0	62.208.108.255	EU
62.208.109.0	62.208.111.255	DE
62.208.112.0	62.208.119.255	GB
62.208.120.0	62.208.122.255	DE
62.208.123.0	62.208.125.255	EU
62.208.126.0	62.208.127.255	DE
62.208.128.0	62.208.128.255	EU
62.208.129.0	62.208.129.15	FR
62.208.129.16	62.208.129.127	EU
62.208.129.128	62.208.129.143	IT
62.208.129.144	62.208.129.191	EU
62.208.129.192	62.208.129.199	DE
62.208.129.200	62.208.129.207	EU
62.208.129.208	62.208.129.223	GB
62.208.129.224	62.208.129.255	DE
62.208.130.0	62.208.143.255	EU
62.208.144.0	62.208.159.255	GB
62.208.160.0	62.208.163.255	DE
62.208.164.0	62.208.170.255	EU
62.208.171.0	62.208.171.127	DE
62.208.171.128	62.208.171.191	EU
62.208.171.192	62.208.171.223	DE
62.208.171.224	62.208.173.255	EU
62.208.174.0	62.208.179.255	DE
62.208.180.0	62.208.180.255	EU
62.208.181.0	62.208.182.255	DE
62.208.183.0	62.208.183.31	US
62.208.183.32	62.208.183.255	EU
62.208.184.0	62.208.184.255	DE
62.208.185.0	62.208.185.255	ES
62.208.186.0	62.208.187.47	DE
62.208.187.48	62.208.187.55	EU
62.208.187.56	62.208.187.71	DE
62.208.187.72	62.208.187.79	EU
62.208.187.80	62.208.187.95	DE
62.208.187.96	62.208.189.255	EU
62.208.190.0	62.208.190.255	DE
62.208.191.0	62.208.191.199	EU
62.208.191.200	62.208.191.207	DE
62.208.191.208	62.208.191.215	EU
62.208.191.216	62.208.191.223	DE
62.208.191.224	62.208.191.231	EU
62.208.191.232	62.208.191.239	DE
62.208.191.240	62.208.191.255	EU
62.208.192.0	62.208.193.159	ES
62.208.193.160	62.208.193.167	GB
62.208.193.168	62.208.194.255	EU
62.208.195.0	62.208.197.255	DE
62.208.198.0	62.208.199.255	EU
62.208.200.0	62.208.200.255	DE
62.208.201.0	62.208.201.255	GB
62.208.202.0	62.208.202.255	EU
62.208.203.0	62.208.204.255	DE
62.208.205.0	62.208.205.255	EU
62.208.206.0	62.208.206.255	DE
62.208.207.0	62.208.208.255	EU
62.208.209.0	62.208.209.63	DE
62.208.209.64	62.208.210.255	EU
62.208.211.0	62.208.213.255	DE
62.208.214.0	62.208.223.255	EU
62.208.224.0	62.208.226.255	DE
62.208.227.0	62.208.227.255	EU
62.208.228.0	62.208.231.255	DE
62.208.232.0	62.208.233.255	GB
62.208.234.0	62.208.235.7	DE
62.208.235.8	62.208.235.15	EU
62.208.235.16	62.208.235.31	DE
62.208.235.32	62.208.235.127	GB
62.208.235.128	62.208.235.255	EU
62.208.236.0	62.208.246.255	DE
62.208.247.0	62.208.247.255	EU
62.208.248.0	62.208.249.255	DE
62.208.250.0	62.208.251.255	GB
62.208.252.0	62.208.255.255	DE
62.209.0.0	62.209.31.255	BH
62.209.32.0	62.209.32.11	DE
62.209.32.12	62.209.32.15	GB
62.209.32.16	62.209.33.79	DE
62.209.33.80	62.209.33.95	GB
62.209.33.96	62.209.39.95	DE
62.209.39.96	62.209.39.127	GB
62.209.39.128	62.209.40.63	DE
62.209.40.64	62.209.40.79	FR
62.209.40.80	62.209.40.87	GB
62.209.40.88	62.209.40.95	GE
62.209.40.96	62.209.40.127	DE
62.209.40.128	62.209.40.159	IL
62.209.40.160	62.209.40.175	NL
62.209.40.176	62.209.40.191	US
62.209.40.192	62.209.42.255	DE
62.209.43.0	62.209.43.255	GB
62.209.44.0	62.209.44.255	US
62.209.45.0	62.209.45.151	DE
62.209.45.152	62.209.45.159	US
62.209.45.160	62.209.45.191	GB
62.209.45.192	62.209.45.223	DE
62.209.45.224	62.209.45.239	US
62.209.45.240	62.209.46.255	DE
62.209.47.0	62.209.47.255	US
62.209.48.0	62.209.63.255	DE
62.209.64.0	62.209.127.255	NO
62.209.128.0	62.209.159.255	UZ
62.209.160.0	62.209.191.255	SE
62.209.192.0	62.209.255.255	CZ
62.210.0.0	62.210.134.159	FR
62.210.134.160	62.210.134.191	US
62.210.134.192	62.210.136.127	FR
62.210.136.128	62.210.136.255	US
62.210.137.0	62.210.255.255	FR
62.211.0.0	62.212.31.255	IT
62.212.32.0	62.212.63.255	GE
62.212.64.0	62.212.95.255	NL
62.212.96.0	62.212.127.255	FR
62.212.128.0	62.212.159.255	NL
62.212.160.0	62.212.191.255	AT
62.212.192.0	62.212.223.255	LT
62.212.224.0	62.212.255.255	AZ
62.213.0.0	62.213.127.255	RU
62.213.128.0	62.213.159.255	GB
62.213.160.0	62.213.191.255	BG
62.213.192.0	62.213.255.255	BE
62.214.0.0	62.214.1.167	DE
62.214.1.168	62.214.1.175	NL
62.214.1.176	62.214.255.255	DE
62.215.0.0	62.215.255.255	KW
62.216.0.0	62.216.31.255	NL
62.216.32.0	62.216.63.255	UA
62.216.64.0	62.216.95.255	RO
62.216.96.0	62.216.127.255	FI
62.216.128.0	62.216.147.255	GB
62.216.148.0	62.216.149.255	EG
62.216.150.0	62.216.150.15	SG
62.216.150.16	62.216.150.31	HK
62.216.150.32	62.216.150.47	GB
62.216.150.48	62.216.150.63	US
62.216.150.64	62.216.159.255	GB
62.216.160.0	62.216.223.255	DE
62.216.224.0	62.216.255.255	GB
62.217.0.0	62.217.31.255	FR
62.217.32.0	62.217.63.255	DE
62.217.64.0	62.217.127.255	GR
62.217.128.0	62.217.159.255	AZ
62.217.160.0	62.217.191.255	RU
62.217.192.0	62.217.255.255	RO
62.218.0.0	62.218.255.255	AT
62.219.0.0	62.219.255.255	IL
62.220.0.0	62.220.31.255	DE
62.220.32.0	62.220.63.255	RU
62.220.64.0	62.220.95.255	IT
62.220.96.0	62.220.127.255	IR
62.220.128.0	62.220.159.255	CH
62.220.160.0	62.220.191.255	SE
62.220.192.0	62.220.223.255	MK
62.220.224.0	62.220.255.255	FI
62.221.0.0	62.221.0.255	GB
62.221.1.0	62.221.1.63	EU
62.221.1.64	62.221.1.127	IE
62.221.1.128	62.221.2.11	EU
62.221.2.12	62.221.2.15	IE
62.221.2.16	62.221.2.55	EU
62.221.2.56	62.221.2.63	IE
62.221.2.64	62.221.2.71	EU
62.221.2.72	62.221.2.79	IE
62.221.2.80	62.221.5.31	EU
62.221.5.32	62.221.5.47	IE
62.221.5.48	62.221.5.127	EU
62.221.5.128	62.221.5.159	IE
62.221.5.160	62.221.5.191	EU
62.221.5.192	62.221.5.207	US
62.221.5.208	62.221.5.239	IE
62.221.5.240	62.221.5.255	EU
62.221.6.0	62.221.6.63	IE
62.221.6.64	62.221.7.79	EU
62.221.7.80	62.221.7.87	IE
62.221.7.88	62.221.7.103	EU
62.221.7.104	62.221.7.127	IE
62.221.7.128	62.221.7.135	EU
62.221.7.136	62.221.7.143	IE
62.221.7.144	62.221.7.151	EU
62.221.7.152	62.221.7.167	IE
62.221.7.168	62.221.10.255	EU
62.221.11.0	62.221.11.63	IE
62.221.11.64	62.221.11.191	EU
62.221.11.192	62.221.11.255	IE
62.221.12.0	62.221.12.31	EU
62.221.12.32	62.221.12.127	IE
62.221.12.128	62.221.12.159	EU
62.221.12.160	62.221.12.191	IE
62.221.12.192	62.221.14.23	EU
62.221.14.24	62.221.14.39	IE
62.221.14.40	62.221.14.47	EU
62.221.14.48	62.221.14.63	IE
62.221.14.64	62.221.14.71	EU
62.221.14.72	62.221.14.79	IE
62.221.14.80	62.221.14.87	EU
62.221.14.88	62.221.14.95	GB
62.221.14.96	62.221.14.255	EU
62.221.15.0	62.221.16.255	IE
62.221.17.0	62.221.17.255	EU
62.221.18.0	62.221.18.255	IE
62.221.19.0	62.221.19.255	EU
62.221.20.0	62.221.20.255	US
62.221.21.0	62.221.31.255	EU
62.221.32.0	62.221.63.255	UA
62.221.64.0	62.221.127.255	MD
62.221.128.0	62.221.159.255	BG
62.221.160.0	62.221.191.255	IT
62.221.192.0	62.223.255.255	NL
62.224.0.0	62.225.39.255	DE
62.225.40.0	62.225.40.255	PL
62.225.41.0	62.225.65.175	DE
62.225.65.176	62.225.65.183	ES
62.225.65.184	62.225.118.55	DE
62.225.118.56	62.225.118.63	ES
62.225.118.64	62.225.140.199	DE
62.225.140.200	62.225.140.207	AT
62.225.140.208	62.225.178.255	DE
62.225.179.0	62.225.179.255	FR
62.225.180.0	62.227.255.255	DE
62.228.0.0	62.228.223.255	CY
62.228.224.0	62.228.253.255	GR
62.228.254.0	62.228.255.255	CY
62.229.0.0	62.229.3.255	EU
62.229.4.0	62.229.10.127	CH
62.229.10.128	62.229.10.223	EU
62.229.10.224	62.229.12.255	CH
62.229.13.0	62.229.14.255	EU
62.229.15.0	62.229.15.127	CH
62.229.15.128	62.229.16.127	EU
62.229.16.128	62.229.16.143	CH
62.229.16.144	62.229.16.231	EU
62.229.16.232	62.229.16.255	CH
62.229.17.0	62.229.20.159	EU
62.229.20.160	62.229.20.167	PT
62.229.20.168	62.229.22.255	EU
62.229.23.0	62.229.23.255	US
62.229.24.0	62.229.31.255	EU
62.229.32.0	62.229.32.31	CZ
62.229.32.32	62.229.33.255	EU
62.229.34.0	62.229.34.255	CZ
62.229.35.0	62.229.37.255	EU
62.229.38.0	62.229.39.255	CZ
62.229.40.0	62.229.40.255	EU
62.229.41.0	62.229.41.255	CZ
62.229.42.0	62.229.44.255	EU
62.229.45.0	62.229.47.255	CZ
62.229.48.0	62.229.48.255	EU
62.229.49.0	62.229.55.255	CZ
62.229.56.0	62.229.56.255	EU
62.229.57.0	62.229.58.255	CZ
62.229.59.0	62.229.59.255	EU
62.229.60.0	62.229.60.255	SK
62.229.61.0	62.229.62.255	EU
62.229.63.0	62.229.63.255	CZ
62.229.64.0	62.229.66.11	EU
62.229.66.12	62.229.66.147	PT
62.229.66.148	62.229.66.151	EU
62.229.66.152	62.229.66.215	PT
62.229.66.216	62.229.67.63	EU
62.229.67.64	62.229.67.127	PT
62.229.67.128	62.229.67.255	EU
62.229.68.0	62.229.68.255	PT
62.229.69.0	62.229.69.255	EU
62.229.70.0	62.229.70.251	PT
62.229.70.252	62.229.70.255	EU
62.229.71.0	62.229.71.7	PT
62.229.71.8	62.229.71.15	EU
62.229.71.16	62.229.71.47	PT
62.229.71.48	62.229.71.55	EU
62.229.71.56	62.229.71.143	PT
62.229.71.144	62.229.71.159	EU
62.229.71.160	62.229.71.255	PT
62.229.72.0	62.229.72.255	EU
62.229.73.0	62.229.74.159	PT
62.229.74.160	62.229.74.191	EU
62.229.74.192	62.229.76.255	PT
62.229.77.0	62.229.78.255	EU
62.229.79.0	62.229.81.127	PT
62.229.81.128	62.229.81.159	EU
62.229.81.160	62.229.82.255	PT
62.229.83.0	62.229.84.255	EU
62.229.85.0	62.229.87.255	PT
62.229.88.0	62.229.90.31	EU
62.229.90.32	62.229.90.63	PT
62.229.90.64	62.229.90.95	EU
62.229.90.96	62.229.90.123	PT
62.229.90.124	62.229.90.175	EU
62.229.90.176	62.229.90.207	PT
62.229.90.208	62.229.90.215	EU
62.229.90.216	62.229.90.223	PT
62.229.90.224	62.229.90.255	EU
62.229.91.0	62.229.91.15	PT
62.229.91.16	62.229.91.31	EU
62.229.91.32	62.229.91.39	PT
62.229.91.40	62.229.91.47	EU
62.229.91.48	62.229.95.255	PT
62.229.96.0	62.229.97.255	EU
62.229.98.0	62.229.98.63	NL
62.229.98.64	62.229.98.127	EU
62.229.98.128	62.229.98.175	NL
62.229.98.176	62.229.102.255	EU
62.229.103.0	62.229.103.127	BE
62.229.103.128	62.229.108.255	EU
62.229.109.0	62.229.111.255	NL
62.229.112.0	62.229.112.95	EU
62.229.112.96	62.229.112.191	LU
62.229.112.192	62.229.112.255	EU
62.229.113.0	62.229.114.143	LU
62.229.114.144	62.229.114.255	EU
62.229.115.0	62.229.115.31	LU
62.229.115.32	62.229.115.255	EU
62.229.116.0	62.229.116.79	LU
62.229.116.80	62.229.120.255	EU
62.229.121.0	62.229.121.63	ES
62.229.121.64	62.229.121.79	EU
62.229.121.80	62.229.121.95	ES
62.229.121.96	62.229.121.127	EU
62.229.121.128	62.229.121.143	ES
62.229.121.144	62.229.121.151	EU
62.229.121.152	62.229.121.159	ES
62.229.121.160	62.229.121.255	EU
62.229.122.0	62.229.122.31	ES
62.229.122.32	62.229.126.247	EU
62.229.126.248	62.229.126.255	PT
62.229.127.0	62.229.127.255	EU
62.229.128.0	62.229.128.255	TR
62.229.129.0	62.229.131.255	EU
62.229.132.0	62.229.132.255	TR
62.229.133.0	62.229.143.255	EU
62.229.144.0	62.229.144.255	NL
62.229.145.0	62.229.145.255	EU
62.229.146.0	62.229.147.255	NL
62.229.148.0	62.229.152.15	EU
62.229.152.16	62.229.152.31	NL
62.229.152.32	62.229.152.79	US
62.229.152.80	62.229.182.255	EU
62.229.183.0	62.229.183.255	GR
62.229.184.0	62.229.224.255	EU
62.229.225.0	62.229.225.255	ES
62.229.226.0	62.229.226.63	EU
62.229.226.64	62.229.226.95	ES
62.229.226.96	62.229.239.127	EU
62.229.239.128	62.229.239.143	ES
62.229.239.144	62.229.255.255	EU
62.230.0.0	62.230.255.255	SE
62.231.0.0	62.231.31.255	RU
62.231.32.0	62.231.63.255	IE
62.231.64.0	62.231.127.255	RO
62.231.128.0	62.231.159.255	GB
62.231.160.0	62.231.191.255	RU
62.231.192.0	62.231.255.255	OM
62.232.0.0	62.232.255.255	GB
62.233.0.0	62.233.31.255	BE
62.233.32.0	62.233.40.55	FR
62.233.40.56	62.233.40.59	ES
62.233.40.60	62.233.45.255	FR
62.233.46.0	62.233.46.3	CH
62.233.46.4	62.233.46.7	DE
62.233.46.8	62.233.46.11	IT
62.233.46.12	62.233.46.15	BE
62.233.46.16	62.233.55.255	FR
62.233.56.0	62.233.57.255	BE
62.233.58.0	62.233.58.31	NL
62.233.58.32	62.233.58.255	FR
62.233.59.0	62.233.59.255	NL
62.233.60.0	62.233.63.255	FR
62.233.64.0	62.233.127.255	GB
62.233.128.0	62.233.255.255	PL
62.234.0.0	62.234.255.255	NL
62.235.0.0	62.235.255.255	BE
62.236.0.0	62.236.106.31	FI
62.236.106.32	62.236.106.47	SE
62.236.106.48	62.236.218.223	FI
62.236.218.224	62.236.218.239	AX
62.236.218.240	62.237.255.255	FI
62.238.0.0	62.238.255.255	NL
62.239.0.0	62.239.255.255	GB
62.240.0.0	62.240.31.255	RS
62.240.32.0	62.240.63.255	LY
62.240.64.0	62.240.95.255	FI
62.240.96.0	62.240.127.255	EG
62.240.128.0	62.240.159.255	DE
62.240.160.0	62.240.191.255	CZ
62.240.192.0	62.240.223.255	CH
62.240.224.0	62.240.255.255	FR
62.241.0.0	62.241.31.255	IT
62.241.32.0	62.241.41.246	DE
62.241.41.247	62.241.41.254	CH
62.241.41.255	62.241.52.255	DE
62.241.53.0	62.241.53.255	NL
62.241.54.0	62.241.63.255	DE
62.241.64.0	62.241.127.255	FR
62.241.128.0	62.241.159.255	EG
62.241.160.0	62.241.191.255	GB
62.241.192.0	62.241.255.255	FI
62.242.0.0	62.243.255.255	DK
62.244.0.0	62.244.63.255	UA
62.244.64.0	62.244.127.255	FR
62.244.128.0	62.244.159.255	PL
62.244.160.0	62.244.191.255	GB
62.244.192.0	62.244.255.255	TR
62.245.0.0	62.245.2.31	CH
62.245.2.32	62.245.2.63	FR
62.245.2.64	62.245.2.111	MC
62.245.2.112	62.245.2.127	FR
62.245.2.128	62.245.2.223	CH
62.245.2.224	62.245.2.255	MC
62.245.3.0	62.245.31.255	CH
62.245.32.0	62.245.63.255	RU
62.245.64.0	62.245.127.255	CZ
62.245.128.0	62.246.255.255	DE
62.247.0.0	62.247.255.255	SE
62.248.0.0	62.248.127.255	TR
62.248.128.0	62.248.252.255	FI
62.248.253.0	62.248.253.19	SE
62.248.253.20	62.248.253.27	FI
62.248.253.28	62.248.253.31	SE
62.248.253.32	62.248.253.255	FI
62.248.254.0	62.248.254.255	SE
62.248.255.0	62.248.255.255	FI
62.249.0.0	62.249.31.255	PT
62.249.32.0	62.249.63.255	IT
62.249.64.0	62.249.127.255	AT
62.249.128.0	62.249.159.255	DE
62.249.160.0	62.249.191.255	NO
62.249.192.0	62.249.255.255	GB
62.250.0.0	62.251.127.255	NL
62.251.128.0	62.251.255.255	MA
62.252.0.0	62.254.160.63	GB
62.254.160.64	62.254.160.71	IE
62.254.160.72	62.254.160.103	GB
62.254.160.104	62.254.160.111	IE
62.254.160.112	62.254.160.143	GB
62.254.160.144	62.254.160.151	IE
62.254.160.152	62.254.160.159	GB
62.254.160.160	62.254.160.183	IE
62.254.160.184	62.254.160.255	GB
62.254.161.0	62.254.161.31	IE
62.254.161.32	62.254.161.167	GB
62.254.161.168	62.254.161.175	IE
62.254.161.176	62.254.161.239	GB
62.254.161.240	62.254.161.255	IE
62.254.162.0	62.254.162.63	GB
62.254.162.64	62.254.162.95	IE
62.254.162.96	62.254.162.103	GB
62.254.162.104	62.254.162.127	IE
62.254.162.128	62.254.162.143	GB
62.254.162.144	62.254.162.159	IE
62.254.162.160	62.254.162.255	GB
62.254.163.0	62.254.163.47	IE
62.254.163.48	62.254.164.95	GB
62.254.164.96	62.254.164.103	IE
62.254.164.104	62.254.164.119	GB
62.254.164.120	62.254.164.151	IE
62.254.164.152	62.254.165.255	GB
62.254.166.0	62.254.166.15	IE
62.254.166.16	62.255.255.255	GB
63.0.0.0	63.65.9.255	US
63.65.10.0	63.65.10.255	HT
63.65.11.0	63.65.12.254	BO
63.65.12.255	63.68.222.255	US
63.68.223.0	63.68.223.255	BO
63.68.224.0	63.69.122.191	US
63.69.122.192	63.69.122.223	A2
63.69.122.224	63.70.23.255	US
63.70.24.0	63.70.27.255	PK
63.70.28.0	63.70.142.255	US
63.70.143.0	63.70.143.255	GU
63.70.144.0	63.71.62.31	US
63.71.62.32	63.71.62.39	CA
63.71.62.40	63.73.1.160	US
63.73.1.161	63.73.1.190	PR
63.73.1.191	63.73.1.191	US
63.73.1.192	63.73.1.199	PR
63.73.1.200	63.73.1.207	US
63.73.1.208	63.73.1.239	PR
63.73.1.240	63.73.51.255	US
63.73.52.0	63.73.52.255	FR
63.73.53.0	63.73.108.95	US
63.73.108.96	63.73.108.255	CA
63.73.109.0	63.74.76.127	US
63.74.76.128	63.74.76.255	PR
63.74.77.0	63.74.130.159	US
63.74.130.160	63.74.130.191	FR
63.74.130.192	63.74.153.255	US
63.74.154.0	63.74.155.255	GB
63.74.156.0	63.75.233.255	US
63.75.234.0	63.75.235.255	JM
63.75.236.0	63.76.214.191	US
63.76.214.192	63.76.214.255	PR
63.76.215.0	63.77.227.255	US
63.77.228.0	63.77.231.255	PR
63.77.232.0	63.80.46.255	US
63.80.47.0	63.80.47.255	IN
63.80.48.0	63.80.60.127	US
63.80.60.128	63.80.60.191	PH
63.80.60.192	63.80.143.215	US
63.80.143.216	63.80.143.223	PH
63.80.143.224	63.80.167.255	US
63.80.168.0	63.80.171.255	UM
63.80.172.0	63.80.215.255	US
63.80.216.0	63.80.216.255	PH
63.80.217.0	63.82.157.15	US
63.82.157.16	63.82.157.31	CA
63.82.157.32	63.83.99.255	US
63.83.100.0	63.83.101.255	PR
63.83.102.0	63.84.24.159	US
63.84.24.160	63.84.24.175	GB
63.84.24.176	63.84.64.255	US
63.84.65.0	63.84.65.255	MX
63.84.66.0	63.84.109.255	US
63.84.110.0	63.84.111.255	FM
63.84.112.0	63.84.235.255	US
63.84.236.0	63.84.239.255	EC
63.84.240.0	63.85.41.255	US
63.85.42.0	63.85.43.255	BM
63.85.44.0	63.85.242.255	US
63.85.243.0	63.85.243.255	PR
63.85.244.0	63.86.138.255	US
63.86.139.0	63.86.139.63	GB
63.86.139.64	63.87.229.239	US
63.87.229.240	63.87.229.247	IL
63.87.229.248	63.90.33.255	US
63.90.34.0	63.90.36.255	PR
63.90.37.0	63.97.53.254	US
63.97.53.255	63.97.53.255	CO
63.97.54.0	63.98.11.255	US
63.98.12.0	63.98.12.255	PR
63.98.13.0	63.99.176.135	US
63.99.176.136	63.99.176.143	CA
63.99.176.144	63.99.201.63	US
63.99.201.64	63.99.201.127	MX
63.99.201.128	63.100.165.239	US
63.100.165.240	63.100.165.255	CA
63.100.166.0	63.100.168.15	US
63.100.168.16	63.100.168.31	CA
63.100.168.32	63.100.191.255	US
63.100.192.0	63.100.223.255	A2
63.100.224.0	63.100.241.95	US
63.100.241.96	63.100.241.111	CA
63.100.241.112	63.101.15.47	US
63.101.15.48	63.101.15.63	CA
63.101.15.64	63.101.58.255	US
63.101.59.0	63.101.59.15	CA
63.101.59.16	63.102.159.255	US
63.102.160.0	63.102.160.255	PR
63.102.161.0	63.103.49.255	US
63.103.50.0	63.103.51.255	GU
63.103.52.0	63.103.127.255	US
63.103.128.0	63.103.128.255	A2
63.103.129.0	63.103.129.255	UG
63.103.130.0	63.103.131.255	A2
63.103.132.0	63.103.133.255	GH
63.103.134.0	63.103.134.255	A2
63.103.135.0	63.103.135.255	US
63.103.136.0	63.103.136.255	LR
63.103.137.0	63.103.137.255	SA
63.103.138.0	63.103.138.255	NG
63.103.139.0	63.103.139.63	SA
63.103.139.64	63.103.139.127	NG
63.103.139.128	63.103.139.143	US
63.103.139.144	63.103.139.159	A2
63.103.139.160	63.103.139.255	US
63.103.140.0	63.103.143.255	NG
63.103.144.0	63.103.148.255	US
63.103.149.0	63.103.149.255	A2
63.103.150.0	63.105.191.255	US
63.105.192.0	63.105.207.255	KR
63.105.208.0	63.108.84.127	US
63.108.84.128	63.108.84.191	CA
63.108.84.192	63.109.65.255	US
63.109.66.0	63.109.68.255	EC
63.109.69.0	63.109.69.255	US
63.109.70.0	63.109.70.255	PE
63.109.71.0	63.109.72.255	US
63.109.73.0	63.109.73.255	EC
63.109.74.0	63.109.75.255	US
63.109.76.0	63.109.77.255	EC
63.109.78.0	63.109.244.255	US
63.109.245.0	63.109.245.47	A2
63.109.245.48	63.109.245.55	NG
63.109.245.56	63.109.245.71	IN
63.109.245.72	63.109.245.79	A2
63.109.245.80	63.109.245.119	IN
63.109.245.120	63.109.245.127	A2
63.109.245.128	63.109.245.159	DE
63.109.245.160	63.109.245.167	A2
63.109.245.168	63.109.245.175	NG
63.109.245.176	63.109.245.191	DE
63.109.245.192	63.109.245.239	A2
63.109.245.240	63.109.245.247	NG
63.109.245.248	63.109.245.255	A2
63.109.246.0	63.109.246.127	NG
63.109.246.128	63.109.246.255	IN
63.109.247.0	63.109.248.31	NG
63.109.248.32	63.109.248.39	TZ
63.109.248.40	63.109.248.55	A2
63.109.248.56	63.109.248.63	PK
63.109.248.64	63.109.248.87	A2
63.109.248.88	63.109.248.95	PK
63.109.248.96	63.109.248.111	GH
63.109.248.112	63.109.248.127	A2
63.109.248.128	63.109.248.255	NG
63.109.249.0	63.109.249.23	A2
63.109.249.24	63.109.249.39	IN
63.109.249.40	63.109.249.47	A2
63.109.249.48	63.109.249.63	IN
63.109.249.64	63.109.249.79	A2
63.109.249.80	63.109.249.95	TZ
63.109.249.96	63.109.249.127	A2
63.109.249.128	63.109.249.135	NG
63.109.249.136	63.109.249.143	A2
63.109.249.144	63.109.249.151	PK
63.109.249.152	63.109.249.159	A2
63.109.249.160	63.109.249.191	NG
63.109.249.192	63.109.249.255	A2
63.109.250.0	63.110.119.255	US
63.110.120.0	63.110.123.255	MX
63.110.124.0	63.110.188.255	US
63.110.189.0	63.110.189.255	MX
63.110.190.0	63.110.224.111	US
63.110.224.112	63.110.224.127	CA
63.110.224.128	63.112.5.167	US
63.112.5.168	63.112.5.175	AU
63.112.5.176	63.113.126.255	US
63.113.127.0	63.113.127.63	CA
63.113.127.64	63.114.36.255	US
63.114.37.0	63.114.37.255	PK
63.114.38.0	63.117.71.255	US
63.117.72.0	63.117.75.255	EC
63.117.76.0	63.122.50.255	US
63.122.51.0	63.122.51.127	AU
63.122.51.128	63.123.93.127	US
63.123.93.128	63.123.93.191	CA
63.123.93.192	63.130.136.255	US
63.130.137.0	63.130.137.127	CA
63.130.137.128	63.130.142.255	US
63.130.143.0	63.130.143.15	CA
63.130.143.16	63.131.131.63	US
63.131.131.64	63.131.131.79	HK
63.131.131.80	63.131.239.255	US
63.131.240.0	63.131.255.255	PR
63.132.0.0	63.134.236.99	US
63.134.236.100	63.134.236.109	TH
63.134.236.110	63.134.255.255	US
63.135.0.0	63.135.31.255	CA
63.135.32.0	63.135.239.255	US
63.135.240.0	63.135.255.255	PR
63.136.0.0	63.136.111.255	US
63.136.112.0	63.136.119.255	KY
63.136.120.0	63.136.192.159	US
63.136.192.160	63.136.192.175	CA
63.136.192.176	63.139.255.255	US
63.140.251.0	63.140.251.127	US
63.144.0.0	63.144.10.255	US
63.144.11.0	63.144.11.255	A2
63.144.12.0	63.145.30.255	US
63.145.31.0	63.145.31.255	CA
63.145.32.0	63.146.199.255	US
63.146.200.0	63.146.207.255	PE
63.146.208.0	63.147.25.127	US
63.147.25.128	63.147.25.159	CA
63.147.25.160	63.147.113.7	US
63.147.113.8	63.147.113.15	CA
63.147.113.16	63.148.213.95	US
63.148.213.96	63.148.213.127	PR
63.148.213.128	63.149.27.63	US
63.149.27.64	63.149.27.95	NO
63.149.27.96	63.150.129.63	US
63.150.129.64	63.150.129.95	HK
63.150.129.96	63.150.129.119	US
63.150.129.120	63.150.129.127	CN
63.150.129.128	63.150.129.223	US
63.150.129.224	63.150.129.255	HK
63.150.130.0	63.150.133.255	US
63.150.134.0	63.150.134.255	HK
63.150.135.0	63.150.136.255	US
63.150.137.0	63.150.137.31	SI
63.150.137.32	63.150.137.127	US
63.150.137.128	63.150.137.159	SG
63.150.137.160	63.150.137.191	US
63.150.137.192	63.150.138.255	SG
63.150.139.0	63.150.139.207	US
63.150.139.208	63.150.139.215	SG
63.150.139.216	63.150.139.223	US
63.150.139.224	63.150.139.255	SG
63.150.140.0	63.150.140.191	US
63.150.140.192	63.150.140.223	JP
63.150.140.224	63.150.146.143	US
63.150.146.144	63.150.146.159	CA
63.150.146.160	63.150.154.175	US
63.150.154.176	63.150.154.191	IS
63.150.154.192	63.151.149.95	US
63.151.149.96	63.151.149.127	CO
63.151.149.128	63.160.90.63	US
63.160.90.64	63.160.90.127	CA
63.160.90.128	63.160.95.63	US
63.160.95.64	63.160.95.79	NL
63.160.95.80	63.160.122.255	US
63.160.123.0	63.160.123.255	CA
63.160.124.0	63.160.173.191	US
63.160.173.192	63.160.173.223	CA
63.160.173.224	63.160.207.255	US
63.160.208.0	63.160.208.127	CA
63.160.208.128	63.161.63.255	US
63.161.64.0	63.161.65.255	HN
63.161.66.0	63.161.86.39	US
63.161.86.40	63.161.86.47	GB
63.161.86.48	63.161.142.255	US
63.161.143.0	63.161.143.255	PR
63.161.144.0	63.161.181.255	US
63.161.182.0	63.161.182.255	SL
63.161.183.0	63.161.223.255	US
63.161.224.0	63.161.224.7	SG
63.161.224.8	63.161.231.255	US
63.161.232.0	63.161.239.255	HN
63.161.240.0	63.162.33.223	US
63.162.33.224	63.162.33.255	CA
63.162.34.0	63.162.48.255	US
63.162.49.0	63.162.49.255	PR
63.162.50.0	63.162.141.255	US
63.162.142.0	63.162.142.255	CN
63.162.143.0	63.162.143.63	US
63.162.143.64	63.162.143.95	PR
63.162.143.96	63.162.155.255	US
63.162.156.0	63.162.156.255	PR
63.162.157.0	63.162.173.239	US
63.162.173.240	63.162.173.255	CH
63.162.174.0	63.163.24.135	US
63.163.24.136	63.163.24.143	PR
63.163.24.144	63.163.179.255	US
63.163.180.0	63.163.181.255	CO
63.163.182.0	63.163.209.255	US
63.163.210.0	63.163.211.255	AN
63.163.212.0	63.164.55.255	US
63.164.56.0	63.164.57.255	EC
63.164.58.0	63.164.94.255	US
63.164.95.0	63.164.95.255	PR
63.164.96.0	63.164.107.255	US
63.164.108.0	63.164.111.255	HN
63.164.112.0	63.164.153.191	US
63.164.153.192	63.164.153.207	PR
63.164.153.208	63.164.196.127	US
63.164.196.128	63.164.196.143	CA
63.164.196.144	63.165.9.255	US
63.165.10.0	63.165.10.255	GB
63.165.11.0	63.165.120.15	US
63.165.120.16	63.165.120.31	GB
63.165.120.32	63.165.175.15	US
63.165.175.16	63.165.175.23	CA
63.165.175.24	63.165.182.255	US
63.165.183.0	63.165.183.255	PR
63.165.184.0	63.165.235.255	US
63.165.236.0	63.165.236.127	IT
63.165.236.128	63.166.50.191	US
63.166.50.192	63.166.50.223	CO
63.166.50.224	63.166.78.255	US
63.166.79.0	63.166.79.127	CA
63.166.79.128	63.166.197.55	US
63.166.197.56	63.166.197.63	PR
63.166.197.64	63.166.252.199	US
63.166.252.200	63.166.252.207	CH
63.166.252.208	63.166.255.159	US
63.166.255.160	63.166.255.175	SG
63.166.255.176	63.167.21.159	US
63.167.21.160	63.167.21.255	CA
63.167.22.0	63.167.38.31	US
63.167.38.32	63.167.38.39	NL
63.167.38.40	63.167.55.31	US
63.167.55.32	63.167.55.39	CA
63.167.55.40	63.167.100.191	US
63.167.100.192	63.167.100.207	CN
63.167.100.208	63.167.100.215	PR
63.167.100.216	63.168.12.167	US
63.168.12.168	63.168.12.175	CA
63.168.12.176	63.168.15.255	US
63.168.16.0	63.168.16.255	PR
63.168.17.0	63.168.56.255	US
63.168.57.0	63.168.57.255	EC
63.168.58.0	63.168.92.255	US
63.168.93.0	63.168.93.255	CO
63.168.94.0	63.168.115.255	US
63.168.116.0	63.168.116.255	CA
63.168.117.0	63.168.167.255	US
63.168.168.0	63.168.169.255	YE
63.168.170.0	63.169.119.231	US
63.169.119.232	63.169.119.239	CA
63.169.119.240	63.169.168.255	US
63.169.169.0	63.169.169.255	PR
63.169.170.0	63.169.219.159	US
63.169.219.160	63.169.219.191	CA
63.169.219.192	63.170.53.111	US
63.170.53.112	63.170.53.127	DE
63.170.53.128	63.171.2.175	US
63.171.2.176	63.171.2.191	PR
63.171.2.192	63.171.17.255	US
63.171.18.0	63.171.19.255	YE
63.171.20.0	63.171.32.31	US
63.171.32.32	63.171.32.47	PR
63.171.32.48	63.171.107.223	US
63.171.107.224	63.171.107.255	IN
63.171.108.0	63.171.111.255	US
63.171.112.0	63.171.127.255	CA
63.171.128.0	63.171.231.255	US
63.171.232.0	63.171.232.255	CO
63.171.233.0	63.172.12.63	US
63.172.12.64	63.172.12.127	PR
63.172.12.128	63.172.187.63	US
63.172.187.64	63.172.187.71	CA
63.172.187.72	63.172.187.79	US
63.172.187.80	63.172.187.87	DK
63.172.187.88	63.173.95.255	US
63.173.96.0	63.173.96.255	EC
63.173.97.0	63.173.171.255	US
63.173.172.0	63.173.173.255	YE
63.173.174.0	63.173.236.111	US
63.173.236.112	63.173.236.127	GB
63.173.236.128	63.174.199.255	US
63.174.200.0	63.174.207.255	CO
63.174.208.0	63.174.226.255	US
63.174.227.0	63.174.227.255	EC
63.174.228.0	63.175.111.255	US
63.175.112.0	63.175.112.255	PR
63.175.113.0	63.175.176.127	US
63.175.176.128	63.175.176.143	PR
63.175.176.144	63.175.182.159	US
63.175.182.160	63.175.182.191	IN
63.175.182.192	63.175.183.175	US
63.175.183.176	63.175.183.191	SE
63.175.183.192	63.175.185.255	US
63.175.186.0	63.175.187.255	PR
63.175.188.0	63.175.225.255	US
63.175.226.0	63.175.226.255	HN
63.175.227.0	63.206.134.231	US
63.206.134.232	63.206.134.239	PR
63.206.134.240	63.210.8.255	US
63.210.9.0	63.210.9.255	CA
63.210.10.0	63.211.50.55	US
63.211.50.56	63.211.50.63	VG
63.211.50.64	63.215.176.255	US
63.215.177.0	63.215.177.255	PR
63.215.178.0	63.215.179.255	US
63.215.180.0	63.215.183.255	PR
63.215.184.0	63.216.196.255	US
63.216.197.0	63.216.197.255	PH
63.216.198.0	63.217.80.127	US
63.217.80.128	63.217.80.159	HK
63.217.80.160	63.217.81.255	US
63.217.82.0	63.217.82.255	HK
63.217.83.0	63.218.173.127	US
63.218.173.128	63.218.173.143	GR
63.218.173.144	63.218.226.95	US
63.218.226.96	63.218.226.127	HK
63.218.226.128	63.218.226.159	US
63.218.226.160	63.218.226.191	HK
63.218.226.192	63.218.227.127	US
63.218.227.128	63.218.227.159	HK
63.218.227.160	63.219.6.255	US
63.219.7.0	63.219.7.255	IN
63.219.8.0	63.219.176.31	US
63.219.176.32	63.219.176.63	HK
63.219.176.64	63.219.176.159	US
63.219.176.160	63.219.176.191	HK
63.219.176.192	63.221.95.255	US
63.221.96.0	63.221.127.255	CA
63.221.128.0	63.229.51.223	US
63.229.51.224	63.229.51.255	ML
63.229.52.0	63.236.37.63	US
63.236.37.64	63.236.37.95	CA
63.236.37.96	63.236.56.191	US
63.236.56.192	63.236.56.223	AU
63.236.56.224	63.237.63.183	US
63.237.63.184	63.237.63.191	CA
63.237.63.192	63.238.222.15	US
63.238.222.16	63.238.222.31	CA
63.238.222.32	63.239.206.175	US
63.239.206.176	63.239.206.183	CA
63.239.206.184	63.240.17.39	US
63.240.17.40	63.240.17.47	IL
63.240.17.48	63.240.54.255	US
63.240.55.0	63.240.55.255	IN
63.240.56.0	63.240.66.183	US
63.240.66.184	63.240.66.191	DE
63.240.66.192	63.240.71.55	US
63.240.71.56	63.240.71.63	DE
63.240.71.64	63.240.71.95	US
63.240.71.96	63.240.71.111	DE
63.240.71.112	63.240.73.255	US
63.240.74.0	63.240.74.31	DE
63.240.74.32	63.240.75.31	US
63.240.75.32	63.240.75.47	IL
63.240.75.48	63.240.83.23	US
63.240.83.24	63.240.83.31	DE
63.240.83.32	63.240.88.167	US
63.240.88.168	63.240.88.175	IL
63.240.88.176	63.240.91.127	US
63.240.91.128	63.240.91.159	IL
63.240.91.160	63.240.96.207	US
63.240.96.208	63.240.96.215	DE
63.240.96.216	63.240.125.63	US
63.240.125.64	63.240.125.95	DE
63.240.125.96	63.240.131.255	US
63.240.132.0	63.240.132.7	JM
63.240.132.8	63.240.132.175	US
63.240.132.176	63.240.132.183	JM
63.240.132.184	63.240.133.255	US
63.240.134.0	63.240.134.15	DE
63.240.134.16	63.241.73.159	US
63.241.73.160	63.241.73.175	TW
63.241.73.176	63.241.104.7	US
63.241.104.8	63.241.104.15	DK
63.241.104.16	63.241.104.31	US
63.241.104.32	63.241.104.63	DK
63.241.104.64	63.241.121.255	US
63.241.122.0	63.241.122.15	JP
63.241.122.16	63.243.127.255	US
63.243.128.0	63.243.128.255	PH
63.243.129.0	63.243.129.255	US
63.243.130.0	63.243.130.255	CA
63.243.131.0	63.243.132.255	US
63.243.133.0	63.243.133.255	CA
63.243.134.0	63.243.135.255	HT
63.243.136.0	63.243.137.255	US
63.243.138.0	63.243.139.255	GB
63.243.140.0	63.243.141.255	CA
63.243.142.0	63.243.143.7	US
63.243.143.8	63.243.143.63	CA
63.243.143.64	63.243.143.127	US
63.243.143.128	63.243.143.255	CA
63.243.144.0	63.243.144.255	PH
63.243.145.0	63.243.146.255	CA
63.243.147.0	63.243.147.255	US
63.243.148.0	63.243.149.47	CA
63.243.149.48	63.243.149.63	IE
63.243.149.64	63.243.149.95	US
63.243.149.96	63.243.149.127	CA
63.243.149.128	63.243.149.255	US
63.243.150.0	63.243.150.7	CA
63.243.150.8	63.243.150.31	US
63.243.150.32	63.243.150.63	CA
63.243.150.64	63.243.150.191	US
63.243.150.192	63.243.154.255	CA
63.243.155.0	63.243.155.255	US
63.243.156.0	63.243.156.255	CA
63.243.157.0	63.243.157.255	US
63.243.158.0	63.243.160.255	CA
63.243.161.0	63.243.161.255	US
63.243.162.0	63.243.162.255	CA
63.243.163.0	63.243.163.255	SY
63.243.164.0	63.243.166.255	CA
63.243.167.0	63.243.167.255	NG
63.243.168.0	63.243.173.255	CA
63.243.174.0	63.243.175.127	US
63.243.175.128	63.243.175.191	AU
63.243.175.192	63.243.175.223	CA
63.243.175.224	63.243.175.255	TW
63.243.176.0	63.243.176.31	CA
63.243.176.32	63.243.176.63	PH
63.243.176.64	63.243.176.223	US
63.243.176.224	63.243.176.247	CA
63.243.176.248	63.243.176.255	US
63.243.177.0	63.243.178.255	CA
63.243.179.0	63.243.179.127	PH
63.243.179.128	63.243.179.191	CA
63.243.179.192	63.243.179.255	US
63.243.180.0	63.243.180.255	CA
63.243.181.0	63.243.181.255	US
63.243.182.0	63.243.182.255	PH
63.243.183.0	63.243.184.255	US
63.243.185.0	63.243.185.255	IR
63.243.186.0	63.243.186.255	US
63.243.187.0	63.243.188.255	CA
63.243.189.0	63.243.189.255	VG
63.243.190.0	63.243.190.255	CA
63.243.191.0	63.243.195.255	US
63.243.196.0	63.243.255.255	CA
63.244.0.0	63.245.7.255	US
63.245.8.0	63.245.18.255	HN
63.245.19.0	63.245.19.255	NI
63.245.20.0	63.245.20.255	US
63.245.21.0	63.245.21.127	DO
63.245.21.128	63.245.23.255	US
63.245.24.0	63.245.28.255	NI
63.245.29.0	63.245.29.255	US
63.245.30.0	63.245.31.255	GD
63.245.32.0	63.245.39.255	PR
63.245.40.0	63.245.40.63	US
63.245.40.64	63.245.40.95	AN
63.245.40.96	63.245.40.255	US
63.245.41.0	63.245.42.255	AN
63.245.43.0	63.245.47.255	US
63.245.48.0	63.245.55.255	AN
63.245.56.0	63.245.59.0	GD
63.245.59.1	63.245.60.255	US
63.245.61.0	63.245.62.255	MX
63.245.63.0	63.245.63.255	AN
63.245.64.0	63.245.65.255	CO
63.245.66.0	63.245.67.255	GD
63.245.68.0	63.245.71.255	US
63.245.72.0	63.245.79.255	GT
63.245.80.0	63.245.87.255	CO
63.245.88.0	63.245.95.255	US
63.245.96.0	63.245.103.255	CO
63.245.104.0	63.245.111.255	PR
63.245.112.0	63.245.127.255	BS
63.245.128.0	63.246.14.221	US
63.246.14.222	63.246.14.252	PE
63.246.14.253	63.246.19.69	US
63.246.19.70	63.246.19.79	CH
63.246.19.80	63.246.22.239	US
63.246.22.240	63.246.22.255	CA
63.246.23.0	63.246.28.14	US
63.246.28.15	63.246.28.22	PE
63.246.28.23	63.246.31.157	US
63.246.31.158	63.246.31.170	IT
63.246.31.171	63.250.95.255	US
63.250.96.0	63.250.127.255	CA
63.250.128.0	63.250.128.23	US
63.250.128.24	63.250.128.87	NL
63.250.128.88	63.250.128.95	US
63.250.128.96	63.250.129.255	NL
63.250.130.0	63.250.133.31	US
63.250.133.32	63.250.133.39	CA
63.250.133.40	63.250.133.159	US
63.250.133.160	63.250.133.191	CR
63.250.133.192	63.250.133.199	US
63.250.133.200	63.250.133.207	BR
63.250.133.208	63.250.133.223	US
63.250.133.224	63.250.133.255	AR
63.250.134.0	63.250.134.47	US
63.250.134.48	63.250.134.63	CA
63.250.134.64	63.250.136.95	US
63.250.136.96	63.250.136.127	SV
63.250.136.128	63.250.137.47	US
63.250.137.48	63.250.137.55	CA
63.250.137.56	63.250.137.159	US
63.250.137.160	63.250.137.191	VE
63.250.137.192	63.250.138.255	US
63.250.139.0	63.250.139.31	BR
63.250.139.32	63.250.139.63	US
63.250.139.64	63.250.139.95	CA
63.250.139.96	63.250.139.103	BR
63.250.139.104	63.250.140.63	US
63.250.140.64	63.250.140.127	CA
63.250.140.128	63.250.140.159	US
63.250.140.160	63.250.140.191	BR
63.250.140.192	63.250.141.7	US
63.250.141.8	63.250.141.15	CL
63.250.141.16	63.250.141.71	US
63.250.141.72	63.250.141.79	CA
63.250.141.80	63.250.141.175	US
63.250.141.176	63.250.141.183	CA
63.250.141.184	63.250.142.127	US
63.250.142.128	63.250.142.135	CA
63.250.142.136	63.250.142.191	US
63.250.142.192	63.250.142.223	BR
63.250.142.224	63.250.143.63	US
63.250.143.64	63.250.143.95	BR
63.250.143.96	63.250.160.7	US
63.250.160.8	63.250.160.15	CA
63.250.160.16	63.250.160.31	US
63.250.160.32	63.250.160.63	GB
63.250.160.64	63.250.160.215	US
63.250.160.216	63.250.160.223	CL
63.250.160.224	63.250.162.127	US
63.250.162.128	63.250.162.135	CA
63.250.162.136	63.250.162.191	US
63.250.162.192	63.250.162.223	CA
63.250.162.224	63.250.176.223	US
63.250.176.224	63.250.176.231	CO
63.250.176.232	63.250.176.247	US
63.250.176.248	63.250.176.255	CO
63.250.177.0	63.250.178.15	US
63.250.178.16	63.250.178.31	MX
63.250.178.32	63.250.178.63	CA
63.250.178.64	63.250.178.71	MX
63.250.178.72	63.250.178.79	US
63.250.178.80	63.250.178.95	MX
63.250.178.96	63.250.178.103	US
63.250.178.104	63.250.178.111	MX
63.250.178.112	63.250.178.119	US
63.250.178.120	63.250.178.127	MX
63.250.178.128	63.250.178.135	AR
63.250.178.136	63.250.179.7	US
63.250.179.8	63.250.179.31	MX
63.250.179.32	63.250.179.63	US
63.250.179.64	63.250.179.71	MX
63.250.179.72	63.250.179.111	US
63.250.179.112	63.250.179.127	MX
63.250.179.128	63.250.179.159	US
63.250.179.160	63.250.179.191	AF
63.250.179.192	63.250.180.31	US
63.250.180.32	63.250.180.63	BR
63.250.180.64	63.250.180.79	AR
63.250.180.80	63.250.180.111	US
63.250.180.112	63.250.180.119	CA
63.250.180.120	63.250.181.23	US
63.250.181.24	63.250.181.31	AR
63.250.181.32	63.250.181.223	US
63.250.181.224	63.250.181.231	AR
63.250.181.232	63.250.181.239	US
63.250.181.240	63.250.181.247	AR
63.250.181.248	63.250.182.39	US
63.250.182.40	63.250.182.47	BR
63.250.182.48	63.250.182.191	US
63.250.182.192	63.250.182.199	AF
63.250.182.200	63.250.182.207	CA
63.250.182.208	63.250.182.223	PR
63.250.182.224	63.250.184.255	US
63.250.185.0	63.250.185.31	BR
63.250.185.32	63.250.185.223	US
63.250.185.224	63.250.185.239	CA
63.250.185.240	63.250.185.247	BR
63.250.185.248	63.250.188.15	US
63.250.188.16	63.250.188.95	BR
63.250.188.96	63.250.188.127	US
63.250.188.128	63.250.188.159	CA
63.250.188.160	63.250.188.175	US
63.250.188.176	63.250.188.183	CA
63.250.188.184	63.250.188.191	BR
63.250.188.192	63.250.188.199	VE
63.250.188.200	63.250.188.223	US
63.250.188.224	63.250.188.255	CA
63.250.189.0	63.250.189.71	US
63.250.189.72	63.250.189.79	BR
63.250.189.80	63.251.44.151	US
63.251.44.152	63.251.44.159	CA
63.251.44.160	63.251.48.127	US
63.251.48.128	63.251.48.191	AU
63.251.48.192	63.251.80.175	US
63.251.80.176	63.251.80.183	GB
63.251.80.184	63.251.83.191	US
63.251.83.192	63.251.83.255	CA
63.251.84.0	63.251.93.255	US
63.251.94.0	63.251.94.255	A2
63.251.95.0	63.251.112.47	US
63.251.112.48	63.251.112.63	GB
63.251.112.64	63.251.135.223	US
63.251.135.224	63.251.135.255	IL
63.251.136.0	63.251.141.159	US
63.251.141.160	63.251.141.191	GB
63.251.141.192	64.4.63.255	US
64.4.64.0	64.4.95.255	CA
64.4.96.0	64.5.191.255	US
64.5.192.0	64.5.199.255	CA
64.5.200.0	64.5.200.15	US
64.5.200.16	64.5.200.255	CA
64.5.201.0	64.5.201.255	US
64.5.202.0	64.5.206.175	CA
64.5.206.176	64.5.206.191	US
64.5.206.192	64.5.216.255	CA
64.5.217.0	64.5.217.255	US
64.5.218.0	64.5.223.255	CA
64.5.224.0	64.5.225.255	US
64.5.226.0	64.5.230.127	CA
64.5.230.128	64.5.230.191	US
64.5.230.192	64.5.239.255	CA
64.5.240.0	64.5.240.255	US
64.5.241.0	64.5.255.255	CA
64.6.0.0	64.6.191.255	US
64.6.192.0	64.6.207.255	CA
64.6.208.0	64.7.111.255	US
64.7.112.0	64.7.159.255	CA
64.7.160.0	64.7.192.63	US
64.7.192.64	64.7.192.79	BB
64.7.192.80	64.10.0.255	US
64.10.1.0	64.10.7.63	CA
64.10.7.64	64.10.7.255	US
64.10.8.0	64.10.43.127	CA
64.10.43.128	64.10.43.255	US
64.10.44.0	64.10.254.255	CA
64.10.255.0	64.11.3.255	US
64.11.4.0	64.11.120.255	CA
64.11.121.0	64.11.121.127	US
64.11.121.128	64.11.124.255	CA
64.11.125.0	64.11.128.255	US
64.11.129.0	64.11.197.255	CA
64.11.198.0	64.14.52.31	US
64.14.52.32	64.14.52.63	IN
64.14.52.64	64.14.53.47	US
64.14.53.48	64.14.53.63	DK
64.14.53.64	64.14.55.255	US
64.14.56.0	64.14.56.15	CY
64.14.56.16	64.14.62.111	US
64.14.62.112	64.14.62.127	NO
64.14.62.128	64.14.63.223	US
64.14.63.224	64.14.63.231	GB
64.14.63.232	64.14.71.255	US
64.14.72.0	64.14.73.255	BG
64.14.74.0	64.14.83.47	US
64.14.83.48	64.14.83.63	CA
64.14.83.64	64.14.83.127	US
64.14.83.128	64.14.83.143	IL
64.14.83.144	64.14.85.175	US
64.14.85.176	64.14.85.191	CA
64.14.85.192	64.14.85.255	US
64.14.86.0	64.14.86.15	CA
64.14.86.16	64.14.91.63	US
64.14.91.64	64.14.91.127	CA
64.14.91.128	64.14.92.143	US
64.14.92.144	64.14.92.159	CA
64.14.92.160	64.14.95.159	US
64.14.95.160	64.14.95.191	CA
64.14.95.192	64.14.123.79	US
64.14.123.80	64.14.123.95	AR
64.14.123.96	64.14.123.127	US
64.14.123.128	64.14.123.191	AR
64.14.123.192	64.14.124.63	US
64.14.124.64	64.14.124.127	AR
64.14.124.128	64.14.165.15	US
64.14.165.16	64.14.165.23	CA
64.14.165.24	64.14.165.31	US
64.14.165.32	64.14.165.63	CA
64.14.165.64	64.14.169.191	US
64.14.169.192	64.14.169.255	CA
64.14.170.0	64.14.172.255	US
64.14.173.0	64.14.173.255	GB
64.14.174.0	64.14.175.255	US
64.14.176.0	64.14.176.255	GB
64.14.177.0	64.14.177.63	US
64.14.177.64	64.14.177.71	CH
64.14.177.72	64.14.177.127	US
64.14.177.128	64.14.177.191	CH
64.14.177.192	64.14.181.63	US
64.14.181.64	64.14.181.79	GB
64.14.181.80	64.14.181.127	US
64.14.181.128	64.14.181.135	IL
64.14.181.136	64.14.181.223	US
64.14.181.224	64.14.181.239	IL
64.14.181.240	64.14.182.255	US
64.14.183.0	64.14.183.127	IL
64.14.183.128	64.14.183.191	US
64.14.183.192	64.14.183.255	GB
64.14.184.0	64.14.184.247	US
64.14.184.248	64.14.184.255	GB
64.14.185.0	64.14.189.63	US
64.14.189.64	64.14.189.127	GB
64.14.189.128	64.14.189.255	US
64.14.190.0	64.14.190.255	GB
64.14.191.0	64.14.193.255	US
64.14.194.0	64.14.194.255	PH
64.14.195.0	64.14.201.255	US
64.14.202.0	64.14.202.15	IN
64.14.202.16	64.14.224.7	US
64.14.224.8	64.14.224.15	GB
64.14.224.16	64.14.224.47	US
64.14.224.48	64.14.224.63	GB
64.14.224.64	64.15.31.255	US
64.15.32.0	64.15.47.255	AU
64.15.48.0	64.15.79.255	CA
64.15.80.0	64.15.127.255	US
64.15.128.0	64.15.159.255	CA
64.15.160.0	64.15.204.255	US
64.15.205.0	64.15.205.255	AU
64.15.206.0	64.15.227.191	US
64.15.227.192	64.15.227.223	CA
64.15.227.224	64.15.227.255	BM
64.15.228.0	64.15.238.31	US
64.15.238.32	64.15.238.63	AU
64.15.238.64	64.17.61.31	US
64.17.61.32	64.17.61.55	CA
64.17.61.56	64.18.63.255	US
64.18.64.0	64.18.95.255	CA
64.18.96.0	64.18.159.255	US
64.18.160.0	64.18.191.255	CA
64.18.192.0	64.20.252.231	US
64.20.252.232	64.20.252.255	IN
64.20.253.0	64.25.159.255	US
64.25.160.0	64.25.191.255	CA
64.25.192.0	64.26.127.255	US
64.26.128.0	64.26.130.63	CA
64.26.130.64	64.26.130.71	GB
64.26.130.72	64.26.130.95	CA
64.26.130.96	64.26.130.111	US
64.26.130.112	64.26.132.15	CA
64.26.132.16	64.26.132.31	US
64.26.132.32	64.26.132.55	CA
64.26.132.56	64.26.132.63	US
64.26.132.64	64.26.135.143	CA
64.26.135.144	64.26.135.159	US
64.26.135.160	64.26.137.143	CA
64.26.137.144	64.26.137.159	US
64.26.137.160	64.26.149.143	CA
64.26.149.144	64.26.149.159	US
64.26.149.160	64.26.150.103	CA
64.26.150.104	64.26.150.111	US
64.26.150.112	64.26.150.127	CA
64.26.150.128	64.26.150.255	US
64.26.151.0	64.26.191.255	CA
64.26.192.0	64.27.7.63	US
64.27.7.64	64.27.7.95	KW
64.27.7.96	64.27.83.119	US
64.27.83.120	64.27.83.129	IT
64.27.83.130	64.27.182.255	US
64.27.183.0	64.27.185.255	VI
64.27.186.0	64.27.255.255	US
64.28.0.0	64.28.0.39	NO
64.28.0.40	64.28.0.47	GB
64.28.0.48	64.28.0.135	NO
64.28.0.136	64.28.0.143	GB
64.28.0.144	64.28.0.159	NO
64.28.0.160	64.28.0.191	GB
64.28.0.192	64.28.0.235	NO
64.28.0.236	64.28.0.239	GB
64.28.0.240	64.28.0.255	NO
64.28.1.0	64.28.1.15	GB
64.28.1.16	64.28.1.183	NO
64.28.1.184	64.28.1.191	GB
64.28.1.192	64.28.1.223	NO
64.28.1.224	64.28.2.255	GB
64.28.3.0	64.28.3.175	NO
64.28.3.176	64.28.3.191	GB
64.28.3.192	64.28.3.255	NO
64.28.4.0	64.28.4.255	GB
64.28.5.0	64.28.6.255	NO
64.28.7.0	64.28.7.255	GB
64.28.8.0	64.28.8.47	NO
64.28.8.48	64.28.8.63	GB
64.28.8.64	64.28.8.127	NO
64.28.8.128	64.28.8.159	GB
64.28.8.160	64.28.8.167	NO
64.28.8.168	64.28.8.179	GB
64.28.8.180	64.28.11.99	NO
64.28.11.100	64.28.11.103	GB
64.28.11.104	64.28.12.31	NO
64.28.12.32	64.28.12.39	GB
64.28.12.40	64.28.12.63	NO
64.28.12.64	64.28.12.71	GB
64.28.12.72	64.28.12.79	NO
64.28.12.80	64.28.12.95	GB
64.28.12.96	64.28.12.151	NO
64.28.12.152	64.28.12.159	GB
64.28.12.160	64.28.17.87	NO
64.28.17.88	64.28.17.95	NL
64.28.17.96	64.28.17.111	NO
64.28.17.112	64.28.17.127	NL
64.28.17.128	64.28.18.7	NO
64.28.18.8	64.28.18.15	NL
64.28.18.16	64.28.18.31	NO
64.28.18.32	64.28.18.39	NL
64.28.18.40	64.28.18.55	NO
64.28.18.56	64.28.18.59	NL
64.28.18.60	64.28.18.255	NO
64.28.19.0	64.28.19.127	NL
64.28.19.128	64.28.22.39	NO
64.28.22.40	64.28.22.47	NL
64.28.22.48	64.28.22.151	NO
64.28.22.152	64.28.22.159	NL
64.28.22.160	64.28.24.143	NO
64.28.24.144	64.28.24.147	NL
64.28.24.148	64.28.24.151	NO
64.28.24.152	64.28.24.159	NL
64.28.24.160	64.28.24.171	NO
64.28.24.172	64.28.24.175	NL
64.28.24.176	64.28.26.15	NO
64.28.26.16	64.28.26.31	NL
64.28.26.32	64.28.26.63	NO
64.28.26.64	64.28.26.79	NL
64.28.26.80	64.28.26.95	NO
64.28.26.96	64.28.26.103	NL
64.28.26.104	64.28.26.255	NO
64.28.27.0	64.28.27.15	NL
64.28.27.16	64.28.27.39	NO
64.28.27.40	64.28.27.47	NL
64.28.27.48	64.28.27.159	NO
64.28.27.160	64.28.27.167	NL
64.28.27.168	64.28.28.71	NO
64.28.28.72	64.28.28.95	NL
64.28.28.96	64.28.29.99	NO
64.28.29.100	64.28.29.111	NL
64.28.29.112	64.28.30.183	NO
64.28.30.184	64.28.30.199	NL
64.28.30.200	64.28.31.255	NO
64.28.32.0	64.28.66.239	US
64.28.66.240	64.28.66.255	CA
64.28.67.0	64.28.70.223	US
64.28.70.224	64.28.70.239	CA
64.28.70.240	64.28.72.79	US
64.28.72.80	64.28.72.95	CA
64.28.72.96	64.28.74.255	US
64.28.75.0	64.28.75.15	CA
64.28.75.16	64.28.78.31	US
64.28.78.32	64.28.78.47	CA
64.28.78.48	64.28.78.223	US
64.28.78.224	64.28.78.239	CA
64.28.78.240	64.28.79.111	US
64.28.79.112	64.28.79.127	CA
64.28.79.128	64.28.80.63	US
64.28.80.64	64.28.80.95	CA
64.28.80.96	64.28.80.127	IL
64.28.80.128	64.28.80.239	US
64.28.80.240	64.28.81.31	CA
64.28.81.32	64.28.84.31	US
64.28.84.32	64.28.84.47	CA
64.28.84.48	64.28.86.95	US
64.28.86.96	64.28.86.143	CA
64.28.86.144	64.28.86.159	US
64.28.86.160	64.28.86.191	CA
64.28.86.192	64.28.88.111	US
64.28.88.112	64.28.88.127	IL
64.28.88.128	64.28.90.95	US
64.28.90.96	64.28.90.111	IE
64.28.90.112	64.28.95.127	US
64.28.95.128	64.28.95.143	CA
64.28.95.144	64.28.127.255	US
64.28.128.0	64.28.143.255	TT
64.28.144.0	64.30.143.255	US
64.30.144.0	64.30.159.255	A2
64.30.160.0	64.32.63.255	US
64.32.64.0	64.32.127.255	DO
64.32.128.0	64.33.255.255	US
64.34.0.0	64.34.7.255	CA
64.34.8.0	64.34.8.255	GB
64.34.9.0	64.34.14.255	US
64.34.15.0	64.34.15.255	CA
64.34.16.0	64.34.23.255	US
64.34.24.0	64.34.25.63	CA
64.34.25.64	64.34.25.95	US
64.34.25.96	64.34.25.199	CA
64.34.25.200	64.34.25.207	US
64.34.25.208	64.34.25.239	CA
64.34.25.240	64.34.25.247	US
64.34.25.248	64.34.25.255	CA
64.34.26.0	64.34.26.255	US
64.34.27.0	64.34.27.63	CA
64.34.27.64	64.34.27.79	US
64.34.27.80	64.34.27.111	CA
64.34.27.112	64.34.27.127	US
64.34.27.128	64.34.27.239	CA
64.34.27.240	64.34.27.255	US
64.34.28.0	64.34.31.255	CA
64.34.32.0	64.34.33.191	US
64.34.33.192	64.34.33.223	CA
64.34.33.224	64.34.37.31	US
64.34.37.32	64.34.37.63	CA
64.34.37.64	64.34.41.31	US
64.34.41.32	64.34.41.47	GB
64.34.41.48	64.34.47.255	US
64.34.48.0	64.34.48.255	CA
64.34.49.0	64.34.49.7	US
64.34.49.8	64.34.49.15	NZ
64.34.49.16	64.34.49.63	CA
64.34.49.64	64.34.49.79	US
64.34.49.80	64.34.49.95	CA
64.34.49.96	64.34.49.111	US
64.34.49.112	64.34.49.159	CA
64.34.49.160	64.34.49.191	MX
64.34.49.192	64.34.49.223	US
64.34.49.224	64.34.49.239	CA
64.34.49.240	64.34.49.255	US
64.34.50.0	64.34.51.79	CA
64.34.51.80	64.34.51.87	US
64.34.51.88	64.34.51.95	CA
64.34.51.96	64.34.51.127	US
64.34.51.128	64.34.55.255	CA
64.34.56.0	64.34.57.183	US
64.34.57.184	64.34.57.191	CA
64.34.57.192	64.34.60.7	US
64.34.60.8	64.34.60.15	CR
64.34.60.16	64.34.61.255	US
64.34.62.0	64.34.63.255	CA
64.34.64.0	64.34.64.255	US
64.34.65.0	64.34.65.255	CA
64.34.66.0	64.34.66.255	US
64.34.67.0	64.34.67.255	CA
64.34.68.0	64.34.68.255	US
64.34.69.0	64.34.69.239	CA
64.34.69.240	64.34.70.255	US
64.34.71.0	64.34.71.63	CA
64.34.71.64	64.34.71.95	US
64.34.71.96	64.34.71.255	CA
64.34.72.0	64.34.72.255	US
64.34.73.0	64.34.73.255	CA
64.34.74.0	64.34.74.255	US
64.34.75.0	64.34.75.63	FI
64.34.75.64	64.34.75.111	CA
64.34.75.112	64.34.75.127	US
64.34.75.128	64.34.75.207	CA
64.34.75.208	64.34.75.223	US
64.34.75.224	64.34.77.31	CA
64.34.77.32	64.34.77.63	US
64.34.77.64	64.34.79.255	CA
64.34.80.0	64.34.83.255	US
64.34.84.0	64.34.84.31	CA
64.34.84.32	64.34.84.119	US
64.34.84.120	64.34.84.127	CA
64.34.84.128	64.34.86.255	US
64.34.87.0	64.34.87.127	GB
64.34.87.128	64.34.89.255	US
64.34.90.0	64.34.90.15	CA
64.34.90.16	64.34.97.127	US
64.34.97.128	64.34.97.143	VG
64.34.97.144	64.34.97.167	US
64.34.97.168	64.34.97.175	CA
64.34.97.176	64.34.97.223	US
64.34.97.224	64.34.98.127	CA
64.34.98.128	64.34.98.159	US
64.34.98.160	64.34.98.190	CA
64.34.98.191	64.34.98.207	US
64.34.98.208	64.34.99.87	CA
64.34.99.88	64.34.99.95	US
64.34.99.96	64.34.99.111	CA
64.34.99.112	64.34.99.127	MX
64.34.99.128	64.34.99.175	CA
64.34.99.176	64.34.99.191	CN
64.34.99.192	64.34.99.255	CA
64.34.100.0	64.34.100.255	US
64.34.101.0	64.34.103.255	CA
64.34.104.0	64.34.104.79	US
64.34.104.80	64.34.104.95	CA
64.34.104.96	64.34.104.127	BV
64.34.104.128	64.34.105.191	CA
64.34.105.192	64.34.105.255	MX
64.34.106.0	64.34.107.79	CA
64.34.107.80	64.34.107.95	US
64.34.107.96	64.34.107.255	CA
64.34.108.0	64.34.108.127	CR
64.34.108.128	64.34.108.223	US
64.34.108.224	64.34.108.239	CA
64.34.108.240	64.34.108.255	US
64.34.109.0	64.34.110.143	CA
64.34.110.144	64.34.110.223	US
64.34.110.224	64.34.113.255	CA
64.34.114.0	64.34.116.255	US
64.34.117.0	64.34.117.255	CA
64.34.118.0	64.34.119.255	US
64.34.120.0	64.34.124.255	CA
64.34.125.0	64.34.128.7	US
64.34.128.8	64.34.128.15	CA
64.34.128.16	64.34.128.63	US
64.34.128.64	64.34.128.159	CA
64.34.128.160	64.34.128.207	US
64.34.128.208	64.34.128.215	CA
64.34.128.216	64.34.128.223	US
64.34.128.224	64.34.128.239	CA
64.34.128.240	64.34.128.255	US
64.34.129.0	64.34.129.255	CA
64.34.130.0	64.34.130.31	US
64.34.130.32	64.34.130.47	CA
64.34.130.48	64.34.130.191	US
64.34.130.192	64.34.134.31	CA
64.34.134.32	64.34.134.71	US
64.34.134.72	64.34.134.79	CA
64.34.134.80	64.34.134.119	US
64.34.134.120	64.34.134.127	CA
64.34.134.128	64.34.134.143	US
64.34.134.144	64.34.134.159	CA
64.34.134.160	64.34.134.207	US
64.34.134.208	64.34.134.239	CA
64.34.134.240	64.34.134.255	US
64.34.135.0	64.34.135.31	CA
64.34.135.32	64.34.135.95	US
64.34.135.96	64.34.136.255	CA
64.34.137.0	64.34.137.31	NZ
64.34.137.32	64.34.137.39	CA
64.34.137.40	64.34.137.47	US
64.34.137.48	64.34.137.71	CA
64.34.137.72	64.34.137.87	US
64.34.137.88	64.34.137.103	CA
64.34.137.104	64.34.137.119	US
64.34.137.120	64.34.137.127	CA
64.34.137.128	64.34.137.143	US
64.34.137.144	64.34.137.159	CA
64.34.137.160	64.34.137.191	US
64.34.137.192	64.34.137.199	CA
64.34.137.200	64.34.137.255	US
64.34.138.0	64.34.139.95	CA
64.34.139.96	64.34.139.127	US
64.34.139.128	64.34.139.255	CA
64.34.140.0	64.34.140.127	US
64.34.140.128	64.34.140.159	CA
64.34.140.160	64.34.140.191	US
64.34.140.192	64.34.140.223	CA
64.34.140.224	64.34.141.127	US
64.34.141.128	64.34.141.159	CA
64.34.141.160	64.34.141.223	US
64.34.141.224	64.34.143.63	CA
64.34.143.64	64.34.143.95	US
64.34.143.96	64.34.143.127	CA
64.34.143.128	64.34.143.255	US
64.34.144.0	64.34.144.255	CA
64.34.145.0	64.34.145.15	US
64.34.145.16	64.34.145.79	CA
64.34.145.80	64.34.145.95	US
64.34.145.96	64.34.146.255	CA
64.34.147.0	64.34.147.255	US
64.34.148.0	64.34.148.31	CA
64.34.148.32	64.34.148.255	US
64.34.149.0	64.34.149.191	CA
64.34.149.192	64.34.149.255	US
64.34.150.0	64.34.154.159	CA
64.34.154.160	64.34.154.167	US
64.34.154.168	64.34.154.171	CA
64.34.154.172	64.34.154.191	US
64.34.154.192	64.34.154.223	CA
64.34.154.224	64.34.154.239	US
64.34.154.240	64.34.155.159	CA
64.34.155.160	64.34.155.191	US
64.34.155.192	64.34.158.191	CA
64.34.158.192	64.34.158.199	US
64.34.158.200	64.34.159.255	CA
64.34.160.0	64.34.218.167	US
64.34.218.168	64.34.218.175	CA
64.34.218.176	64.34.219.255	US
64.34.220.0	64.34.220.127	CA
64.34.220.128	64.34.220.191	US
64.34.220.192	64.34.220.239	CA
64.34.220.240	64.34.220.255	SG
64.34.221.0	64.34.222.95	CA
64.34.222.96	64.34.222.151	US
64.34.222.152	64.34.223.127	CA
64.34.223.128	64.34.223.159	US
64.34.223.160	64.34.223.255	CA
64.34.224.0	64.34.224.7	US
64.34.224.8	64.34.224.15	CA
64.34.224.16	64.34.224.63	US
64.34.224.64	64.34.225.63	CA
64.34.225.64	64.34.225.79	US
64.34.225.80	64.34.225.127	CA
64.34.225.128	64.34.225.143	US
64.34.225.144	64.34.226.7	CA
64.34.226.8	64.34.226.15	US
64.34.226.16	64.34.226.239	CA
64.34.226.240	64.34.226.247	US
64.34.226.248	64.34.228.63	CA
64.34.228.64	64.34.228.127	GB
64.34.228.128	64.34.228.255	CA
64.34.229.0	64.34.229.255	US
64.34.230.0	64.34.230.255	BZ
64.34.231.0	64.34.231.31	CA
64.34.231.32	64.34.231.39	US
64.34.231.40	64.34.231.47	DM
64.34.231.48	64.34.231.55	CA
64.34.231.56	64.34.231.63	US
64.34.231.64	64.34.231.231	CA
64.34.231.232	64.34.231.238	US
64.34.231.239	64.34.231.246	CA
64.34.231.247	64.34.231.255	US
64.34.232.0	64.34.235.15	CA
64.34.235.16	64.34.235.23	US
64.34.235.24	64.34.235.111	CA
64.34.235.112	64.34.235.127	US
64.34.235.128	64.34.235.191	CA
64.34.235.192	64.34.235.255	US
64.34.236.0	64.34.236.159	CA
64.34.236.160	64.34.236.167	US
64.34.236.168	64.34.239.255	CA
64.34.240.0	64.34.240.255	US
64.34.241.0	64.34.241.255	CA
64.34.242.0	64.34.242.255	US
64.34.243.0	64.34.243.255	CA
64.34.244.0	64.34.248.111	US
64.34.248.112	64.34.248.127	EG
64.34.248.128	64.34.248.135	US
64.34.248.136	64.34.248.151	CA
64.34.248.152	64.34.249.63	US
64.34.249.64	64.34.249.79	CA
64.34.249.80	64.34.249.111	US
64.34.249.112	64.34.249.159	CA
64.34.249.160	64.34.249.255	US
64.34.250.0	64.34.250.15	CN
64.34.250.16	64.34.251.63	US
64.34.251.64	64.34.251.79	CA
64.34.251.80	64.34.251.119	US
64.34.251.120	64.34.251.127	AU
64.34.251.128	64.34.251.175	US
64.34.251.176	64.34.251.191	CA
64.34.251.192	64.34.254.223	US
64.34.254.224	64.34.254.255	EG
64.34.255.0	64.34.255.87	US
64.34.255.88	64.34.255.95	EG
64.34.255.96	64.35.2.151	US
64.35.2.152	64.35.2.159	IL
64.35.2.160	64.35.2.255	US
64.35.3.0	64.35.3.253	ES
64.35.3.254	64.35.4.127	US
64.35.4.128	64.35.4.143	CA
64.35.4.144	64.35.4.183	US
64.35.4.184	64.35.4.191	ZA
64.35.4.192	64.35.7.63	US
64.35.7.64	64.35.7.71	MX
64.35.7.72	64.35.31.255	US
64.35.32.0	64.35.32.63	CA
64.35.32.64	64.35.32.95	MX
64.35.32.96	64.35.33.63	US
64.35.33.64	64.35.33.95	IN
64.35.33.96	64.35.33.143	US
64.35.33.144	64.35.33.151	IE
64.35.33.152	64.35.33.159	FR
64.35.33.160	64.35.35.7	US
64.35.35.8	64.35.35.23	DE
64.35.35.24	64.35.35.159	US
64.35.35.160	64.35.35.191	AR
64.35.35.192	64.35.46.167	US
64.35.46.168	64.35.46.175	JP
64.35.46.176	64.35.46.191	US
64.35.46.192	64.35.46.223	CH
64.35.46.224	64.35.48.95	US
64.35.48.96	64.35.48.103	VE
64.35.48.104	64.35.50.255	US
64.35.51.0	64.35.51.31	MX
64.35.51.32	64.35.51.63	AR
64.35.51.64	64.35.51.95	US
64.35.51.96	64.35.51.127	CA
64.35.51.128	64.35.51.191	US
64.35.51.192	64.35.51.223	IL
64.35.51.224	64.35.52.255	US
64.35.53.0	64.35.53.255	DE
64.35.54.0	64.35.54.31	CA
64.35.54.32	64.35.54.63	US
64.35.54.64	64.35.54.95	PR
64.35.54.96	64.35.55.255	US
64.35.56.0	64.35.56.255	IL
64.35.57.0	64.36.255.255	US
64.37.64.0	64.37.64.31	IN
64.37.64.32	64.37.64.63	US
64.37.64.64	64.37.64.95	CA
64.37.64.96	64.37.64.223	US
64.37.64.224	64.37.64.255	CA
64.37.65.0	64.37.66.255	US
64.37.67.0	64.37.67.255	CA
64.37.68.0	64.37.68.63	US
64.37.68.64	64.37.68.95	VE
64.37.68.96	64.37.68.127	US
64.37.68.128	64.37.68.159	IN
64.37.68.160	64.37.68.191	US
64.37.68.192	64.37.68.223	BE
64.37.68.224	64.37.68.255	CA
64.37.69.0	64.37.69.255	US
64.37.70.0	64.37.70.127	SG
64.37.70.128	64.37.71.63	US
64.37.71.64	64.37.71.95	FR
64.37.71.96	64.37.71.127	US
64.37.71.128	64.37.71.159	VE
64.37.71.160	64.37.71.191	US
64.37.71.192	64.37.71.223	GB
64.37.71.224	64.37.72.127	US
64.37.72.128	64.37.72.255	CA
64.37.73.0	64.37.73.95	US
64.37.73.96	64.37.73.127	IT
64.37.73.128	64.37.73.159	US
64.37.73.160	64.37.73.191	DO
64.37.73.192	64.37.73.255	US
64.37.74.0	64.37.74.255	MY
64.37.75.0	64.37.75.127	US
64.37.75.128	64.37.75.159	PK
64.37.75.160	64.37.75.191	US
64.37.75.192	64.37.75.223	IN
64.37.75.224	64.37.76.191	US
64.37.76.192	64.37.76.223	CA
64.37.76.224	64.37.76.255	IT
64.37.77.0	64.37.77.255	CA
64.37.78.0	64.37.78.127	US
64.37.78.128	64.37.78.159	CA
64.37.78.160	64.37.80.255	US
64.37.81.0	64.37.81.255	CA
64.37.82.0	64.37.82.31	BE
64.37.82.32	64.37.82.127	US
64.37.82.128	64.37.82.159	AU
64.37.82.160	64.37.82.255	US
64.37.83.0	64.37.83.255	CA
64.37.84.0	64.37.84.127	US
64.37.84.128	64.37.84.255	BE
64.37.85.0	64.37.85.255	MY
64.37.86.0	64.37.87.255	US
64.37.88.0	64.37.88.31	VE
64.37.88.32	64.37.88.95	CA
64.37.88.96	64.37.88.127	US
64.37.88.128	64.37.88.159	CA
64.37.88.160	64.37.88.223	US
64.37.88.224	64.37.88.255	IN
64.37.89.0	64.37.89.255	US
64.37.90.0	64.37.90.255	CA
64.37.91.0	64.37.91.127	US
64.37.91.128	64.37.91.191	IN
64.37.91.192	64.37.91.223	BE
64.37.91.224	64.37.91.255	IN
64.37.92.0	64.37.92.255	CA
64.37.93.0	64.37.94.95	US
64.37.94.96	64.37.94.127	IN
64.37.94.128	64.37.99.255	US
64.37.100.0	64.37.100.127	BE
64.37.100.128	64.37.101.255	US
64.37.102.0	64.37.102.63	IN
64.37.102.64	64.37.102.255	US
64.37.103.0	64.37.103.31	GB
64.37.103.32	64.37.103.63	AU
64.37.103.64	64.37.103.127	US
64.37.103.128	64.37.103.159	TR
64.37.103.160	64.37.103.223	US
64.37.103.224	64.37.103.255	CA
64.37.104.0	64.37.108.63	US
64.37.108.64	64.37.108.95	IN
64.37.108.96	64.37.108.127	IL
64.37.108.128	64.37.108.191	US
64.37.108.192	64.37.108.223	BE
64.37.108.224	64.37.108.255	US
64.37.109.0	64.37.109.255	CA
64.37.110.0	64.37.110.255	US
64.37.111.0	64.37.111.255	IN
64.37.112.0	64.37.112.223	US
64.37.112.224	64.37.112.255	IN
64.37.113.0	64.37.114.31	US
64.37.114.32	64.37.114.63	BE
64.37.114.64	64.37.114.95	CA
64.37.114.96	64.37.114.255	US
64.37.115.0	64.37.116.31	CA
64.37.116.32	64.37.116.127	US
64.37.116.128	64.37.116.159	FR
64.37.116.160	64.37.116.191	AT
64.37.116.192	64.37.117.33	US
64.37.117.34	64.37.117.63	BE
64.37.117.64	64.37.117.95	US
64.37.117.96	64.37.117.127	FR
64.37.117.128	64.37.118.255	US
64.37.119.0	64.37.119.255	CA
64.37.120.0	64.37.120.255	US
64.37.121.0	64.37.121.31	BE
64.37.121.32	64.37.124.255	US
64.37.125.0	64.37.125.255	AE
64.37.126.0	64.37.200.159	US
64.37.200.160	64.37.200.167	GB
64.37.200.168	64.37.206.15	US
64.37.206.16	64.37.206.23	GB
64.37.206.24	64.38.193.31	US
64.38.193.32	64.38.193.63	AT
64.38.193.64	64.38.193.95	US
64.38.193.96	64.38.193.127	TH
64.38.193.128	64.38.194.255	US
64.38.195.0	64.38.195.31	AU
64.38.195.32	64.38.195.239	US
64.38.195.240	64.38.195.255	CA
64.38.196.0	64.38.201.255	US
64.38.202.0	64.38.202.255	NO
64.38.203.0	64.38.205.7	US
64.38.205.8	64.38.205.15	HU
64.38.205.16	64.38.207.255	US
64.38.208.0	64.38.208.15	DK
64.38.208.16	64.38.233.63	US
64.38.233.64	64.38.233.79	UA
64.38.233.80	64.38.235.207	US
64.38.235.208	64.38.235.215	NL
64.38.235.216	64.38.243.255	US
64.38.244.0	64.38.244.31	CY
64.38.244.32	64.38.244.47	US
64.38.244.48	64.38.244.63	NO
64.38.244.64	64.38.245.159	US
64.38.245.160	64.38.245.175	NL
64.38.245.176	64.38.245.255	US
64.38.246.0	64.38.246.31	CY
64.38.246.32	64.39.3.7	US
64.39.3.8	64.39.3.15	GB
64.39.3.16	64.39.3.95	US
64.39.3.96	64.39.3.111	BD
64.39.3.112	64.39.3.135	US
64.39.3.136	64.39.3.159	BD
64.39.3.160	64.39.3.199	US
64.39.3.200	64.39.3.207	MH
64.39.3.208	64.39.4.167	US
64.39.4.168	64.39.4.175	GB
64.39.4.176	64.39.4.223	US
64.39.4.224	64.39.4.231	IL
64.39.4.232	64.39.4.239	MX
64.39.4.240	64.39.4.247	US
64.39.4.248	64.39.4.255	MX
64.39.5.0	64.39.5.15	IN
64.39.5.16	64.39.5.87	US
64.39.5.88	64.39.5.95	AU
64.39.5.96	64.39.5.119	US
64.39.5.120	64.39.5.127	FR
64.39.5.128	64.39.5.151	US
64.39.5.152	64.39.5.159	CA
64.39.5.160	64.39.5.167	US
64.39.5.168	64.39.5.175	DE
64.39.5.176	64.39.6.7	US
64.39.6.8	64.39.6.15	AU
64.39.6.16	64.39.6.23	US
64.39.6.24	64.39.6.31	GB
64.39.6.32	64.39.6.39	US
64.39.6.40	64.39.6.47	IN
64.39.6.48	64.39.6.135	US
64.39.6.136	64.39.6.143	DK
64.39.6.144	64.39.6.151	PE
64.39.6.152	64.39.6.167	US
64.39.6.168	64.39.6.175	GB
64.39.6.176	64.39.6.207	US
64.39.6.208	64.39.6.215	ID
64.39.6.216	64.39.6.223	GB
64.39.6.224	64.39.6.239	IN
64.39.6.240	64.39.6.255	BH
64.39.7.0	64.39.7.31	US
64.39.7.32	64.39.7.63	IN
64.39.7.64	64.39.7.127	US
64.39.7.128	64.39.7.143	BD
64.39.7.144	64.39.7.159	US
64.39.7.160	64.39.7.167	VI
64.39.7.168	64.39.7.183	US
64.39.7.184	64.39.7.191	GB
64.39.7.192	64.39.7.207	US
64.39.7.208	64.39.7.215	AU
64.39.7.216	64.39.7.247	US
64.39.7.248	64.39.7.255	MX
64.39.8.0	64.39.8.47	US
64.39.8.48	64.39.8.55	GB
64.39.8.56	64.39.8.71	US
64.39.8.72	64.39.8.79	VI
64.39.8.80	64.39.8.87	GB
64.39.8.88	64.39.8.95	CA
64.39.8.96	64.39.8.167	US
64.39.8.168	64.39.8.175	IT
64.39.8.176	64.39.8.183	US
64.39.8.184	64.39.8.199	FR
64.39.8.200	64.39.8.207	AU
64.39.8.208	64.39.8.239	US
64.39.8.240	64.39.8.255	GB
64.39.9.0	64.39.9.15	US
64.39.9.16	64.39.9.23	BD
64.39.9.24	64.39.9.39	GB
64.39.9.40	64.39.9.47	CK
64.39.9.48	64.39.9.63	IL
64.39.9.64	64.39.9.79	BD
64.39.9.80	64.39.9.87	IN
64.39.9.88	64.39.9.175	US
64.39.9.176	64.39.9.191	RU
64.39.9.192	64.39.9.199	MX
64.39.9.200	64.39.9.223	US
64.39.9.224	64.39.9.239	SE
64.39.9.240	64.39.9.247	ID
64.39.9.248	64.39.9.255	AU
64.39.10.0	64.39.10.7	US
64.39.10.8	64.39.10.15	IN
64.39.10.16	64.39.10.23	US
64.39.10.24	64.39.10.31	GB
64.39.10.32	64.39.10.47	US
64.39.10.48	64.39.10.55	IN
64.39.10.56	64.39.10.95	US
64.39.10.96	64.39.10.103	GB
64.39.10.104	64.39.10.111	IN
64.39.10.112	64.39.10.159	US
64.39.10.160	64.39.10.167	MY
64.39.10.168	64.39.10.175	US
64.39.10.176	64.39.10.183	IN
64.39.10.184	64.39.10.191	US
64.39.10.192	64.39.10.199	IN
64.39.10.200	64.39.10.223	US
64.39.10.224	64.39.10.231	IN
64.39.10.232	64.39.10.239	GB
64.39.10.240	64.39.11.119	US
64.39.11.120	64.39.11.127	AU
64.39.11.128	64.39.11.255	US
64.39.12.0	64.39.12.7	IN
64.39.12.8	64.39.12.47	US
64.39.12.48	64.39.12.55	AU
64.39.12.56	64.39.12.103	US
64.39.12.104	64.39.12.111	IN
64.39.12.112	64.39.12.119	US
64.39.12.120	64.39.12.127	IN
64.39.12.128	64.39.12.191	US
64.39.12.192	64.39.12.207	NZ
64.39.12.208	64.39.12.215	US
64.39.12.216	64.39.12.223	GR
64.39.12.224	64.39.12.247	US
64.39.12.248	64.39.12.255	AU
64.39.13.0	64.39.13.31	US
64.39.13.32	64.39.13.39	CA
64.39.13.40	64.39.13.87	US
64.39.13.88	64.39.13.95	NL
64.39.13.96	64.39.13.103	US
64.39.13.104	64.39.13.111	GB
64.39.13.112	64.39.13.127	US
64.39.13.128	64.39.13.135	AU
64.39.13.136	64.39.13.143	US
64.39.13.144	64.39.13.151	AU
64.39.13.152	64.39.13.207	US
64.39.13.208	64.39.13.215	CA
64.39.13.216	64.39.13.223	IN
64.39.13.224	64.39.15.255	US
64.39.16.0	64.39.16.7	IN
64.39.16.8	64.39.16.47	US
64.39.16.48	64.39.16.55	SE
64.39.16.56	64.39.16.71	US
64.39.16.72	64.39.16.79	IL
64.39.16.80	64.39.16.103	US
64.39.16.104	64.39.16.111	AU
64.39.16.112	64.39.16.127	US
64.39.16.128	64.39.16.191	AT
64.39.16.192	64.39.18.23	US
64.39.18.24	64.39.18.31	GB
64.39.18.32	64.39.18.71	US
64.39.18.72	64.39.18.79	IN
64.39.18.80	64.39.18.103	US
64.39.18.104	64.39.18.111	CA
64.39.18.112	64.39.18.159	US
64.39.18.160	64.39.18.167	BD
64.39.18.168	64.39.18.175	GB
64.39.18.176	64.39.18.183	US
64.39.18.184	64.39.18.191	DE
64.39.18.192	64.39.19.47	US
64.39.19.48	64.39.19.63	FR
64.39.19.64	64.39.19.127	US
64.39.19.128	64.39.19.143	NZ
64.39.19.144	64.39.19.159	US
64.39.19.160	64.39.19.167	DK
64.39.19.168	64.39.19.191	US
64.39.19.192	64.39.19.207	IN
64.39.19.208	64.39.19.215	US
64.39.19.216	64.39.19.223	AU
64.39.19.224	64.39.19.247	US
64.39.19.248	64.39.19.255	GB
64.39.20.0	64.39.20.7	NZ
64.39.20.8	64.39.20.31	US
64.39.20.32	64.39.20.39	IN
64.39.20.40	64.39.20.63	US
64.39.20.64	64.39.20.71	IN
64.39.20.72	64.39.20.111	US
64.39.20.112	64.39.20.127	GB
64.39.20.128	64.39.20.135	US
64.39.20.136	64.39.20.143	AR
64.39.20.144	64.39.20.183	US
64.39.20.184	64.39.20.191	CA
64.39.20.192	64.39.20.231	US
64.39.20.232	64.39.20.239	RU
64.39.20.240	64.39.21.63	US
64.39.21.64	64.39.21.79	CA
64.39.21.80	64.39.21.111	US
64.39.21.112	64.39.21.119	IN
64.39.21.120	64.39.21.127	MX
64.39.21.128	64.39.21.167	US
64.39.21.168	64.39.21.183	AU
64.39.21.184	64.39.21.215	US
64.39.21.216	64.39.21.223	EG
64.39.21.224	64.39.21.231	AU
64.39.21.232	64.39.21.255	US
64.39.22.0	64.39.22.31	BH
64.39.22.32	64.39.22.79	US
64.39.22.80	64.39.22.95	KW
64.39.22.96	64.39.22.135	US
64.39.22.136	64.39.22.151	AU
64.39.22.152	64.39.22.159	CA
64.39.22.160	64.39.22.167	US
64.39.22.168	64.39.22.175	AU
64.39.22.176	64.39.22.191	US
64.39.22.192	64.39.22.199	AU
64.39.22.200	64.39.22.207	DE
64.39.22.208	64.39.22.239	US
64.39.22.240	64.39.22.255	AU
64.39.23.0	64.39.23.15	US
64.39.23.16	64.39.23.23	CH
64.39.23.24	64.39.23.31	US
64.39.23.32	64.39.23.39	AU
64.39.23.40	64.39.23.47	US
64.39.23.48	64.39.23.63	GI
64.39.23.64	64.39.23.79	US
64.39.23.80	64.39.23.87	GB
64.39.23.88	64.39.23.95	US
64.39.23.96	64.39.23.103	CA
64.39.23.104	64.39.23.111	US
64.39.23.112	64.39.23.119	SA
64.39.23.120	64.39.23.151	US
64.39.23.152	64.39.23.159	PY
64.39.23.160	64.39.23.175	AU
64.39.23.176	64.39.23.215	US
64.39.23.216	64.39.23.223	SE
64.39.23.224	64.39.24.111	US
64.39.24.112	64.39.24.119	AU
64.39.24.120	64.39.24.127	DE
64.39.24.128	64.39.24.159	US
64.39.24.160	64.39.24.167	CA
64.39.24.168	64.39.24.175	MX
64.39.24.176	64.39.24.207	US
64.39.24.208	64.39.24.215	CA
64.39.24.216	64.39.24.255	US
64.39.25.0	64.39.25.7	CA
64.39.25.8	64.39.25.23	US
64.39.25.24	64.39.25.31	CA
64.39.25.32	64.39.25.63	BH
64.39.25.64	64.39.25.87	US
64.39.25.88	64.39.25.95	GI
64.39.25.96	64.39.25.127	US
64.39.25.128	64.39.25.255	IT
64.39.26.0	64.39.26.7	CA
64.39.26.8	64.39.26.23	US
64.39.26.24	64.39.26.31	CA
64.39.26.32	64.39.26.55	US
64.39.26.56	64.39.26.63	CA
64.39.26.64	64.39.26.103	US
64.39.26.104	64.39.26.111	EG
64.39.26.112	64.39.26.183	US
64.39.26.184	64.39.26.191	IN
64.39.26.192	64.39.26.199	BM
64.39.26.200	64.39.26.207	CA
64.39.26.208	64.39.26.223	US
64.39.26.224	64.39.26.231	GB
64.39.26.232	64.39.26.239	US
64.39.26.240	64.39.26.247	GB
64.39.26.248	64.39.26.255	US
64.39.27.0	64.39.27.7	GB
64.39.27.8	64.39.27.15	JP
64.39.27.16	64.39.27.23	SE
64.39.27.24	64.39.27.47	US
64.39.27.48	64.39.27.55	IN
64.39.27.56	64.39.27.111	US
64.39.27.112	64.39.27.119	RU
64.39.27.120	64.39.27.183	US
64.39.27.184	64.39.27.191	SE
64.39.27.192	64.39.27.199	VE
64.39.27.200	64.39.27.255	US
64.39.28.0	64.39.28.15	AU
64.39.28.16	64.39.28.23	US
64.39.28.24	64.39.28.31	ES
64.39.28.32	64.39.28.47	US
64.39.28.48	64.39.28.55	MX
64.39.28.56	64.39.28.63	NZ
64.39.28.64	64.39.28.95	US
64.39.28.96	64.39.28.103	ID
64.39.28.104	64.39.28.111	US
64.39.28.112	64.39.28.119	AU
64.39.28.120	64.39.28.127	US
64.39.28.128	64.39.28.143	CA
64.39.28.144	64.39.28.159	RU
64.39.28.160	64.39.28.183	US
64.39.28.184	64.39.28.191	AT
64.39.28.192	64.39.28.215	GB
64.39.28.216	64.39.29.15	US
64.39.29.16	64.39.29.23	FR
64.39.29.24	64.39.29.39	US
64.39.29.40	64.39.29.55	CA
64.39.29.56	64.39.29.63	AR
64.39.29.64	64.39.29.79	DE
64.39.29.80	64.39.29.87	US
64.39.29.88	64.39.29.95	GB
64.39.29.96	64.39.29.103	VE
64.39.29.104	64.39.29.111	US
64.39.29.112	64.39.29.119	CA
64.39.29.120	64.39.29.151	US
64.39.29.152	64.39.29.159	RU
64.39.29.160	64.39.34.31	US
64.39.34.32	64.39.34.47	GB
64.39.34.48	64.39.34.79	US
64.39.34.80	64.39.34.95	AE
64.39.34.96	64.39.38.39	US
64.39.38.40	64.39.38.47	DE
64.39.38.48	64.39.38.63	US
64.39.38.64	64.39.38.79	DE
64.39.38.80	64.39.39.31	US
64.39.39.32	64.39.39.95	DE
64.39.39.96	64.39.39.255	US
64.39.40.0	64.39.40.255	DE
64.39.41.0	64.39.42.15	US
64.39.42.16	64.39.42.31	AE
64.39.42.32	64.39.42.95	US
64.39.42.96	64.39.42.111	IL
64.39.42.112	64.39.42.191	US
64.39.42.192	64.39.42.207	DE
64.39.42.208	64.39.43.255	US
64.39.44.0	64.39.44.15	IE
64.39.44.16	64.39.44.127	US
64.39.44.128	64.39.44.143	IE
64.39.44.144	64.39.44.159	US
64.39.44.160	64.39.44.191	DE
64.39.44.192	64.39.47.207	US
64.39.47.208	64.39.47.223	DE
64.39.47.224	64.39.47.255	US
64.39.48.0	64.39.48.255	DE
64.39.49.0	64.39.49.31	AE
64.39.49.32	64.39.49.95	US
64.39.49.96	64.39.49.111	IE
64.39.49.112	64.39.49.127	US
64.39.49.128	64.39.49.159	AE
64.39.49.160	64.39.49.191	AU
64.39.49.192	64.39.49.255	IL
64.39.50.0	64.39.159.255	US
64.39.160.0	64.39.191.255	CA
64.39.192.0	64.40.95.255	US
64.40.96.0	64.40.118.255	CA
64.40.119.0	64.40.120.255	US
64.40.121.0	64.40.127.255	CA
64.40.128.0	64.40.159.255	US
64.40.160.0	64.40.166.255	A2
64.40.167.0	64.40.167.255	US
64.40.168.0	64.40.174.255	A2
64.40.175.0	64.40.175.255	US
64.40.176.0	64.40.191.255	CA
64.40.192.0	64.40.239.255	US
64.40.240.0	64.40.255.255	CA
64.41.0.0	64.41.251.255	US
64.41.252.0	64.41.252.63	IN
64.41.252.64	64.42.191.255	US
64.42.192.0	64.42.255.255	CA
64.43.0.0	64.44.13.255	US
64.44.14.0	64.44.14.255	VI
64.44.15.0	64.45.22.79	US
64.45.22.80	64.45.22.87	CA
64.45.22.88	64.45.25.159	US
64.45.25.160	64.45.25.175	NZ
64.45.25.176	64.45.25.223	US
64.45.25.224	64.45.25.239	PE
64.45.25.240	64.45.29.197	US
64.45.29.198	64.45.29.212	AU
64.45.29.213	64.45.52.120	US
64.45.52.121	64.45.52.149	CO
64.45.52.150	64.45.53.231	US
64.45.53.232	64.45.53.239	GB
64.45.53.240	64.45.55.167	US
64.45.55.168	64.45.55.175	AE
64.45.55.176	64.45.55.191	US
64.45.55.192	64.45.55.223	CA
64.45.55.224	64.45.57.183	US
64.45.57.184	64.45.57.193	AU
64.45.57.194	64.45.63.15	US
64.45.63.16	64.45.63.31	AT
64.45.63.32	64.45.63.47	GB
64.45.63.48	64.45.63.239	US
64.45.63.240	64.45.63.247	AR
64.45.63.248	64.45.255.255	US
64.46.0.0	64.46.31.255	CA
64.46.32.0	64.46.33.255	A1
64.46.34.0	64.46.34.255	CA
64.46.35.0	64.46.35.255	A1
64.46.36.0	64.46.40.63	CA
64.46.40.64	64.46.40.127	A1
64.46.40.128	64.46.41.255	CA
64.46.42.0	64.46.43.255	A1
64.46.44.0	64.46.46.255	CA
64.46.47.0	64.46.47.255	A1
64.46.48.0	64.46.63.255	CA
64.46.64.0	64.47.111.255	US
64.47.112.0	64.47.112.255	CA
64.47.113.0	64.49.127.255	US
64.49.128.0	64.49.191.255	A2
64.49.192.0	64.49.192.15	US
64.49.192.16	64.49.192.31	GB
64.49.192.32	64.49.192.103	US
64.49.192.104	64.49.192.111	VE
64.49.192.112	64.49.192.119	US
64.49.192.120	64.49.192.127	AG
64.49.192.128	64.49.192.159	US
64.49.192.160	64.49.192.167	CA
64.49.192.168	64.49.192.255	US
64.49.193.0	64.49.193.7	CA
64.49.193.8	64.49.193.47	US
64.49.193.48	64.49.193.55	CY
64.49.193.56	64.49.193.63	CA
64.49.193.64	64.49.193.79	US
64.49.193.80	64.49.193.87	CA
64.49.193.88	64.49.193.95	AU
64.49.193.96	64.49.193.103	US
64.49.193.104	64.49.193.111	BH
64.49.193.112	64.49.194.71	US
64.49.194.72	64.49.194.79	IN
64.49.194.80	64.49.194.95	FR
64.49.194.96	64.49.194.103	NZ
64.49.194.104	64.49.194.111	AU
64.49.194.112	64.49.194.159	US
64.49.194.160	64.49.194.175	MX
64.49.194.176	64.49.194.183	IN
64.49.194.184	64.49.194.191	CA
64.49.194.192	64.49.194.239	US
64.49.194.240	64.49.194.247	BH
64.49.194.248	64.49.195.15	US
64.49.195.16	64.49.195.31	RU
64.49.195.32	64.49.195.39	AU
64.49.195.40	64.49.195.71	US
64.49.195.72	64.49.195.79	IN
64.49.195.80	64.49.195.111	US
64.49.195.112	64.49.195.119	GB
64.49.195.120	64.49.195.191	US
64.49.195.192	64.49.195.223	IN
64.49.195.224	64.49.196.167	US
64.49.196.168	64.49.196.175	IE
64.49.196.176	64.49.196.247	US
64.49.196.248	64.49.196.255	CA
64.49.197.0	64.49.197.167	US
64.49.197.168	64.49.197.175	PH
64.49.197.176	64.49.197.191	US
64.49.197.192	64.49.197.207	AU
64.49.197.208	64.49.197.215	DE
64.49.197.216	64.49.198.7	US
64.49.198.8	64.49.198.15	CA
64.49.198.16	64.49.198.31	US
64.49.198.32	64.49.198.39	AU
64.49.198.40	64.49.198.119	US
64.49.198.120	64.49.198.127	IN
64.49.198.128	64.49.198.143	US
64.49.198.144	64.49.198.151	JP
64.49.198.152	64.49.198.183	US
64.49.198.184	64.49.198.191	BH
64.49.198.192	64.49.198.215	US
64.49.198.216	64.49.198.223	AT
64.49.198.224	64.49.199.87	US
64.49.199.88	64.49.199.95	GB
64.49.199.96	64.49.199.111	US
64.49.199.112	64.49.199.127	FR
64.49.199.128	64.49.199.167	US
64.49.199.168	64.49.199.175	NZ
64.49.199.176	64.49.199.207	US
64.49.199.208	64.49.199.215	GB
64.49.199.216	64.49.199.223	US
64.49.199.224	64.49.199.231	AU
64.49.199.232	64.49.200.15	US
64.49.200.16	64.49.200.31	FR
64.49.200.32	64.49.200.39	AU
64.49.200.40	64.49.200.47	GB
64.49.200.48	64.49.200.55	TR
64.49.200.56	64.49.200.63	AT
64.49.200.64	64.49.200.79	US
64.49.200.80	64.49.200.87	ZA
64.49.200.88	64.49.200.143	US
64.49.200.144	64.49.200.151	CA
64.49.200.152	64.49.200.223	US
64.49.200.224	64.49.200.239	FR
64.49.200.240	64.49.200.255	US
64.49.201.0	64.49.201.15	CA
64.49.201.16	64.49.201.39	US
64.49.201.40	64.49.201.47	CA
64.49.201.48	64.49.201.143	US
64.49.201.144	64.49.201.151	GB
64.49.201.152	64.49.201.159	AE
64.49.201.160	64.49.201.191	FR
64.49.201.192	64.49.201.199	US
64.49.201.200	64.49.201.207	CA
64.49.201.208	64.49.201.215	BE
64.49.201.216	64.49.201.223	NZ
64.49.201.224	64.49.201.239	US
64.49.201.240	64.49.201.247	CA
64.49.201.248	64.49.201.255	GB
64.49.202.0	64.49.202.15	CA
64.49.202.16	64.49.202.47	US
64.49.202.48	64.49.202.63	CA
64.49.202.64	64.49.202.71	US
64.49.202.72	64.49.202.79	GB
64.49.202.80	64.49.203.63	US
64.49.203.64	64.49.203.95	AU
64.49.203.96	64.49.203.239	US
64.49.203.240	64.49.203.247	CN
64.49.203.248	64.49.204.175	US
64.49.204.176	64.49.204.191	CA
64.49.204.192	64.49.204.223	US
64.49.204.224	64.49.204.231	AU
64.49.204.232	64.49.204.239	US
64.49.204.240	64.49.204.247	CA
64.49.204.248	64.49.205.63	US
64.49.205.64	64.49.205.127	AU
64.49.205.128	64.49.205.255	US
64.49.206.0	64.49.206.15	AU
64.49.206.16	64.49.206.71	US
64.49.206.72	64.49.206.79	RU
64.49.206.80	64.49.206.87	VE
64.49.206.88	64.49.206.119	US
64.49.206.120	64.49.206.127	TR
64.49.206.128	64.49.206.199	US
64.49.206.200	64.49.206.207	IN
64.49.206.208	64.49.206.215	US
64.49.206.216	64.49.206.223	NZ
64.49.206.224	64.49.206.247	US
64.49.206.248	64.49.206.255	IN
64.49.207.0	64.49.207.79	US
64.49.207.80	64.49.207.87	AE
64.49.207.88	64.49.208.71	US
64.49.208.72	64.49.208.79	CA
64.49.208.80	64.49.208.127	US
64.49.208.128	64.49.208.135	AU
64.49.208.136	64.49.209.31	US
64.49.209.32	64.49.209.39	GB
64.49.209.40	64.49.209.47	ES
64.49.209.48	64.49.209.55	IE
64.49.209.56	64.49.209.127	US
64.49.209.128	64.49.209.143	AU
64.49.209.144	64.49.209.151	US
64.49.209.152	64.49.209.159	IL
64.49.209.160	64.49.209.255	US
64.49.210.0	64.49.210.15	CA
64.49.210.16	64.49.210.31	CR
64.49.210.32	64.49.210.39	US
64.49.210.40	64.49.210.47	IN
64.49.210.48	64.49.210.63	US
64.49.210.64	64.49.210.79	GB
64.49.210.80	64.49.210.87	CA
64.49.210.88	64.49.210.95	AR
64.49.210.96	64.49.210.111	US
64.49.210.112	64.49.210.119	MX
64.49.210.120	64.49.210.143	US
64.49.210.144	64.49.210.151	CA
64.49.210.152	64.49.210.159	HK
64.49.210.160	64.49.210.215	CA
64.49.210.216	64.49.210.223	US
64.49.210.224	64.49.210.239	CA
64.49.210.240	64.49.210.255	US
64.49.211.0	64.49.211.7	NL
64.49.211.8	64.49.211.15	CA
64.49.211.16	64.49.211.63	US
64.49.211.64	64.49.211.87	CA
64.49.211.88	64.49.211.95	KR
64.49.211.96	64.49.211.111	GB
64.49.211.112	64.49.211.143	US
64.49.211.144	64.49.211.151	BZ
64.49.211.152	64.49.211.183	US
64.49.211.184	64.49.211.191	CA
64.49.211.192	64.49.211.199	AU
64.49.211.200	64.49.211.207	IN
64.49.211.208	64.49.214.63	US
64.49.214.64	64.49.214.71	AU
64.49.214.72	64.49.214.95	US
64.49.214.96	64.49.214.111	NL
64.49.214.112	64.49.214.175	US
64.49.214.176	64.49.214.191	FR
64.49.214.192	64.49.214.255	US
64.49.215.0	64.49.215.95	CA
64.49.215.96	64.49.215.111	US
64.49.215.112	64.49.215.143	CA
64.49.215.144	64.49.215.167	US
64.49.215.168	64.49.215.207	CA
64.49.215.208	64.49.215.215	US
64.49.215.216	64.49.215.255	CA
64.49.216.0	64.49.217.95	US
64.49.217.96	64.49.217.111	BM
64.49.217.112	64.49.217.239	US
64.49.217.240	64.49.217.255	GB
64.49.218.0	64.49.223.255	US
64.49.224.0	64.49.224.7	HK
64.49.224.8	64.49.224.135	US
64.49.224.136	64.49.224.143	CA
64.49.224.144	64.49.227.47	US
64.49.227.48	64.49.227.55	CA
64.49.227.56	64.49.227.63	US
64.49.227.64	64.49.227.71	AR
64.49.227.72	64.49.227.87	US
64.49.227.88	64.49.227.95	AU
64.49.227.96	64.49.227.111	US
64.49.227.112	64.49.227.119	IN
64.49.227.120	64.49.227.127	TR
64.49.227.128	64.49.228.143	US
64.49.228.144	64.49.228.151	EG
64.49.228.152	64.49.228.159	NZ
64.49.228.160	64.49.229.55	US
64.49.229.56	64.49.229.63	MX
64.49.229.64	64.49.229.95	US
64.49.229.96	64.49.229.111	GR
64.49.229.112	64.49.229.119	AT
64.49.229.120	64.49.230.63	US
64.49.230.64	64.49.230.71	CO
64.49.230.72	64.49.230.95	US
64.49.230.96	64.49.230.111	AU
64.49.230.112	64.49.230.143	US
64.49.230.144	64.49.230.159	GB
64.49.230.160	64.49.230.175	US
64.49.230.176	64.49.230.191	EG
64.49.230.192	64.49.230.199	GB
64.49.230.200	64.49.231.71	US
64.49.231.72	64.49.231.79	HK
64.49.231.80	64.49.231.87	IN
64.49.231.88	64.49.231.159	US
64.49.231.160	64.49.231.191	PA
64.49.231.192	64.49.231.231	US
64.49.231.232	64.49.231.239	IN
64.49.231.240	64.49.232.15	US
64.49.232.16	64.49.232.31	IT
64.49.232.32	64.49.232.79	US
64.49.232.80	64.49.232.87	CA
64.49.232.88	64.49.232.95	US
64.49.232.96	64.49.232.103	ES
64.49.232.104	64.49.234.255	US
64.49.235.0	64.49.235.7	HK
64.49.235.8	64.49.235.15	US
64.49.235.16	64.49.235.31	MX
64.49.235.32	64.49.235.95	US
64.49.235.96	64.49.235.103	AU
64.49.235.104	64.49.235.111	US
64.49.235.112	64.49.235.127	NL
64.49.235.128	64.49.235.143	US
64.49.235.144	64.49.235.151	HK
64.49.235.152	64.49.235.159	US
64.49.235.160	64.49.235.167	NZ
64.49.235.168	64.49.235.183	US
64.49.235.184	64.49.235.191	NZ
64.49.235.192	64.49.236.7	US
64.49.236.8	64.49.236.15	NZ
64.49.236.16	64.49.236.47	US
64.49.236.48	64.49.236.55	IN
64.49.236.56	64.49.236.63	RU
64.49.236.64	64.49.236.143	US
64.49.236.144	64.49.236.159	DK
64.49.236.160	64.49.236.167	US
64.49.236.168	64.49.236.175	CA
64.49.236.176	64.49.236.191	US
64.49.236.192	64.49.236.199	CA
64.49.236.200	64.49.236.231	US
64.49.236.232	64.49.236.239	CR
64.49.236.240	64.49.236.255	IN
64.49.237.0	64.49.238.95	US
64.49.238.96	64.49.238.111	MX
64.49.238.112	64.49.238.135	US
64.49.238.136	64.49.238.143	AU
64.49.238.144	64.49.238.151	US
64.49.238.152	64.49.238.159	IN
64.49.238.160	64.49.239.31	US
64.49.239.32	64.49.239.39	BY
64.49.239.40	64.49.239.135	US
64.49.239.136	64.49.239.143	GB
64.49.239.144	64.49.239.255	US
64.49.240.0	64.49.240.7	CA
64.49.240.8	64.49.240.39	US
64.49.240.40	64.49.240.47	FR
64.49.240.48	64.49.240.79	US
64.49.240.80	64.49.240.95	BY
64.49.240.96	64.49.240.103	US
64.49.240.104	64.49.240.111	IN
64.49.240.112	64.49.240.119	US
64.49.240.120	64.49.240.175	HK
64.49.240.176	64.49.240.183	ZA
64.49.240.184	64.49.240.215	US
64.49.240.216	64.49.240.239	AE
64.49.240.240	64.49.243.255	US
64.49.244.0	64.49.244.7	GB
64.49.244.8	64.49.244.71	US
64.49.244.72	64.49.244.79	IN
64.49.244.80	64.49.244.95	US
64.49.244.96	64.49.244.127	PK
64.49.244.128	64.49.244.135	US
64.49.244.136	64.49.244.143	GB
64.49.244.144	64.49.244.207	US
64.49.244.208	64.49.244.223	RU
64.49.244.224	64.49.245.23	US
64.49.245.24	64.49.245.39	ZA
64.49.245.40	64.49.245.63	US
64.49.245.64	64.49.245.71	CA
64.49.245.72	64.49.245.111	US
64.49.245.112	64.49.245.127	GB
64.49.245.128	64.49.250.239	US
64.49.250.240	64.49.250.247	IN
64.49.250.248	64.49.250.255	US
64.49.251.0	64.49.251.7	ZA
64.49.251.8	64.49.251.15	GB
64.49.251.16	64.49.251.95	US
64.49.251.96	64.49.251.111	FR
64.49.251.112	64.49.252.31	US
64.49.252.32	64.49.252.47	VG
64.49.252.48	64.49.253.167	US
64.49.253.168	64.49.253.175	GB
64.49.253.176	64.49.253.223	US
64.49.253.224	64.49.253.255	BD
64.49.254.0	64.50.143.255	US
64.50.144.0	64.50.159.255	CA
64.50.160.0	64.55.143.255	US
64.55.144.0	64.55.147.255	A1
64.55.148.0	64.56.127.255	US
64.56.128.0	64.56.159.255	CA
64.56.160.0	64.56.191.255	JP
64.56.192.0	64.56.223.255	US
64.56.224.0	64.56.255.255	CA
64.57.0.0	64.57.111.255	US
64.57.112.0	64.57.127.255	LS
64.57.128.0	64.58.71.239	US
64.58.71.240	64.58.71.255	AR
64.58.72.0	64.58.88.63	US
64.58.88.64	64.58.88.127	AR
64.58.88.128	64.58.95.255	US
64.58.96.0	64.58.111.255	A2
64.58.112.0	64.58.112.255	US
64.58.113.0	64.58.113.127	CA
64.58.113.128	64.59.69.127	US
64.59.69.128	64.59.69.159	WS
64.59.69.160	64.59.73.31	US
64.59.73.32	64.59.73.63	EC
64.59.73.64	64.59.80.31	US
64.59.80.32	64.59.80.63	ES
64.59.80.64	64.59.80.143	US
64.59.80.144	64.59.80.159	CR
64.59.80.160	64.59.80.191	US
64.59.80.192	64.59.80.223	NL
64.59.80.224	64.59.80.255	CA
64.59.81.0	64.59.82.95	US
64.59.82.96	64.59.82.127	CA
64.59.82.128	64.59.83.207	US
64.59.83.208	64.59.83.223	AN
64.59.83.224	64.59.84.63	US
64.59.84.64	64.59.84.95	CA
64.59.84.96	64.59.92.159	US
64.59.92.160	64.59.92.191	GB
64.59.92.192	64.59.93.191	US
64.59.93.192	64.59.93.223	NL
64.59.93.224	64.59.99.31	US
64.59.99.32	64.59.99.63	AN
64.59.99.64	64.59.126.95	US
64.59.126.96	64.59.126.127	EC
64.59.126.128	64.59.127.255	US
64.59.128.0	64.59.191.255	CA
64.59.192.0	64.62.132.255	US
64.62.133.0	64.62.133.15	ES
64.62.133.16	64.62.134.183	US
64.62.134.184	64.62.134.191	ES
64.62.134.192	64.62.140.255	US
64.62.141.0	64.62.141.255	GB
64.62.142.0	64.62.143.7	US
64.62.143.8	64.62.143.15	ES
64.62.143.16	64.62.151.7	US
64.62.151.8	64.62.151.15	CN
64.62.151.16	64.62.160.255	US
64.62.161.0	64.62.161.255	JP
64.62.162.0	64.62.169.255	US
64.62.170.0	64.62.170.255	GR
64.62.171.0	64.62.180.239	US
64.62.180.240	64.62.180.247	FR
64.62.180.248	64.62.181.79	US
64.62.181.80	64.62.181.95	HK
64.62.181.96	64.62.185.255	US
64.62.186.0	64.62.186.255	CA
64.62.187.0	64.62.187.255	US
64.62.188.0	64.62.188.255	IT
64.62.189.0	64.62.199.15	US
64.62.199.16	64.62.199.31	IT
64.62.199.32	64.62.199.127	US
64.62.199.128	64.62.199.191	AU
64.62.199.192	64.62.199.223	IT
64.62.199.224	64.62.203.255	US
64.62.204.0	64.62.204.255	CA
64.62.205.0	64.62.205.31	US
64.62.205.32	64.62.205.39	IT
64.62.205.40	64.62.206.223	US
64.62.206.224	64.62.206.255	CN
64.62.207.0	64.62.210.95	US
64.62.210.96	64.62.210.127	LV
64.62.210.128	64.62.210.159	ZA
64.62.210.160	64.62.214.95	US
64.62.214.96	64.62.214.111	IT
64.62.214.112	64.62.214.127	US
64.62.214.128	64.62.214.255	IT
64.62.215.0	64.62.218.255	US
64.62.219.0	64.62.220.255	IT
64.62.221.0	64.62.225.255	US
64.62.226.0	64.62.226.255	IT
64.62.227.0	64.62.227.39	US
64.62.227.40	64.62.227.47	NG
64.62.227.48	64.62.232.255	US
64.62.233.0	64.62.233.15	IT
64.62.233.16	64.62.237.255	US
64.62.238.0	64.62.238.255	CA
64.62.239.0	64.62.244.135	US
64.62.244.136	64.62.244.143	CK
64.62.244.144	64.62.244.255	US
64.62.245.0	64.62.246.127	IT
64.62.246.128	64.62.249.31	US
64.62.249.32	64.62.249.47	AE
64.62.249.48	64.62.252.95	US
64.62.252.96	64.62.252.103	LV
64.62.252.104	64.62.252.191	US
64.62.252.192	64.62.252.255	GR
64.62.253.0	64.62.254.255	US
64.62.255.0	64.62.255.255	CN
64.63.0.0	64.64.107.255	US
64.64.108.0	64.64.108.255	CA
64.64.109.0	64.64.159.255	US
64.64.160.0	64.64.191.255	CA
64.64.192.0	64.64.223.255	US
64.64.224.0	64.64.255.255	CA
64.65.0.0	64.65.255.255	US
64.66.0.0	64.66.15.255	BS
64.66.16.0	64.66.31.255	CA
64.66.32.0	64.66.223.255	US
64.66.224.0	64.66.239.255	CA
64.66.240.0	64.68.191.255	US
64.68.192.0	64.68.207.255	CA
64.68.208.0	64.69.63.255	US
64.69.64.0	64.69.65.127	CA
64.69.65.128	64.69.65.143	US
64.69.65.144	64.69.65.191	CA
64.69.65.192	64.69.65.207	CR
64.69.65.208	64.69.65.223	CA
64.69.65.224	64.69.65.247	US
64.69.65.248	64.69.66.239	CA
64.69.66.240	64.69.67.111	US
64.69.67.112	64.69.67.119	CA
64.69.67.120	64.69.67.127	US
64.69.67.128	64.69.68.63	CA
64.69.68.64	64.69.68.79	US
64.69.68.80	64.69.69.191	CA
64.69.69.192	64.69.69.207	US
64.69.69.208	64.69.69.239	CA
64.69.69.240	64.69.69.247	US
64.69.69.248	64.69.70.7	CA
64.69.70.8	64.69.70.15	US
64.69.70.16	64.69.70.31	CA
64.69.70.32	64.69.70.63	KN
64.69.70.64	64.69.71.135	CA
64.69.71.136	64.69.71.239	US
64.69.71.240	64.69.71.254	CA
64.69.71.255	64.69.71.255	US
64.69.72.0	64.69.75.7	CA
64.69.75.8	64.69.75.15	VG
64.69.75.16	64.69.75.95	CA
64.69.75.96	64.69.75.103	MX
64.69.75.104	64.69.75.111	CA
64.69.75.112	64.69.75.127	US
64.69.75.128	64.69.75.255	CA
64.69.76.0	64.69.76.0	US
64.69.76.1	64.69.76.111	CA
64.69.76.112	64.69.76.127	MX
64.69.76.128	64.69.76.143	CA
64.69.76.144	64.69.76.159	US
64.69.76.160	64.69.76.223	CA
64.69.76.224	64.69.76.231	US
64.69.76.232	64.69.77.31	CA
64.69.77.32	64.69.77.63	US
64.69.77.64	64.69.77.127	CA
64.69.77.128	64.69.77.143	US
64.69.77.144	64.69.77.151	CA
64.69.77.152	64.69.77.159	US
64.69.77.160	64.69.77.167	CA
64.69.77.168	64.69.77.175	US
64.69.77.176	64.69.77.231	CA
64.69.77.232	64.69.77.255	US
64.69.78.0	64.69.78.255	CA
64.69.79.0	64.69.79.127	BS
64.69.79.128	64.69.79.223	CA
64.69.79.224	64.69.79.255	US
64.69.80.0	64.69.80.31	CA
64.69.80.32	64.69.80.63	US
64.69.80.64	64.69.80.79	CA
64.69.80.80	64.69.80.95	BV
64.69.80.96	64.69.80.111	US
64.69.80.112	64.69.81.143	CA
64.69.81.144	64.69.81.151	US
64.69.81.152	64.69.81.159	MX
64.69.81.160	64.69.82.191	CA
64.69.82.192	64.69.82.207	US
64.69.82.208	64.69.82.215	CA
64.69.82.216	64.69.82.223	US
64.69.82.224	64.69.82.231	CA
64.69.82.232	64.69.82.239	US
64.69.82.240	64.69.83.135	CA
64.69.83.136	64.69.83.159	US
64.69.83.160	64.69.83.175	CA
64.69.83.176	64.69.83.191	US
64.69.83.192	64.69.83.199	CA
64.69.83.200	64.69.83.207	US
64.69.83.208	64.69.83.223	CA
64.69.83.224	64.69.83.231	MX
64.69.83.232	64.69.83.239	US
64.69.83.240	64.69.83.247	CA
64.69.83.248	64.69.84.255	US
64.69.85.0	64.69.85.71	CA
64.69.85.72	64.69.85.79	US
64.69.85.80	64.69.85.127	CA
64.69.85.128	64.69.85.135	MX
64.69.85.136	64.69.85.143	US
64.69.85.144	64.69.86.95	CA
64.69.86.96	64.69.86.119	US
64.69.86.120	64.69.86.223	CA
64.69.86.224	64.69.86.255	US
64.69.87.0	64.69.87.31	CA
64.69.87.32	64.69.87.35	US
64.69.87.36	64.69.87.63	CA
64.69.87.64	64.69.87.127	US
64.69.87.128	64.69.87.255	CA
64.69.88.0	64.69.88.15	US
64.69.88.16	64.69.88.31	CA
64.69.88.32	64.69.88.63	US
64.69.88.64	64.69.88.95	CA
64.69.88.96	64.69.88.127	US
64.69.88.128	64.69.88.223	CA
64.69.88.224	64.69.88.239	TW
64.69.88.240	64.69.88.255	CA
64.69.89.0	64.69.89.63	US
64.69.89.64	64.69.89.95	CA
64.69.89.96	64.69.89.159	US
64.69.89.160	64.69.89.167	CA
64.69.89.168	64.69.89.191	US
64.69.89.192	64.69.89.199	MX
64.69.89.200	64.69.89.255	US
64.69.90.0	64.69.90.127	CA
64.69.90.128	64.69.90.143	US
64.69.90.144	64.69.90.183	CA
64.69.90.184	64.69.90.191	US
64.69.90.192	64.69.90.223	CA
64.69.90.224	64.69.90.255	US
64.69.91.0	64.69.91.79	CA
64.69.91.80	64.69.91.95	US
64.69.91.96	64.69.91.127	CA
64.69.91.128	64.69.91.143	US
64.69.91.144	64.69.91.191	CA
64.69.91.192	64.69.91.207	US
64.69.91.208	64.69.91.223	CA
64.69.91.224	64.69.91.239	US
64.69.91.240	64.69.93.143	CA
64.69.93.144	64.69.93.151	US
64.69.93.152	64.69.93.223	CA
64.69.93.224	64.69.93.247	US
64.69.93.248	64.69.95.255	CA
64.69.96.0	64.69.179.63	US
64.69.179.64	64.69.179.79	GB
64.69.179.80	64.69.180.79	US
64.69.180.80	64.69.180.111	GB
64.69.180.112	64.69.189.63	US
64.69.189.64	64.69.189.79	GB
64.69.189.80	64.70.27.191	US
64.70.27.192	64.70.27.199	HK
64.70.27.200	64.70.27.207	US
64.70.27.208	64.70.27.223	HK
64.70.27.224	64.70.48.175	US
64.70.48.176	64.70.48.191	PH
64.70.48.192	64.70.77.255	US
64.70.78.0	64.70.79.255	PH
64.70.80.0	64.71.129.127	US
64.71.129.128	64.71.129.255	AU
64.71.130.0	64.71.130.95	US
64.71.130.96	64.71.130.103	PH
64.71.130.104	64.71.133.71	US
64.71.133.72	64.71.133.79	MX
64.71.133.80	64.71.135.183	US
64.71.135.184	64.71.135.191	AU
64.71.135.192	64.71.135.255	US
64.71.136.0	64.71.136.255	GR
64.71.137.0	64.71.137.143	US
64.71.137.144	64.71.137.159	AE
64.71.137.160	64.71.137.207	US
64.71.137.208	64.71.137.215	FJ
64.71.137.216	64.71.140.127	US
64.71.140.128	64.71.140.135	JP
64.71.140.136	64.71.140.191	US
64.71.140.192	64.71.140.255	AU
64.71.141.0	64.71.145.95	US
64.71.145.96	64.71.145.103	JP
64.71.145.104	64.71.145.151	US
64.71.145.152	64.71.145.159	JP
64.71.145.160	64.71.145.223	US
64.71.145.224	64.71.145.239	AE
64.71.145.240	64.71.147.255	US
64.71.148.0	64.71.148.7	GB
64.71.148.8	64.71.148.111	US
64.71.148.112	64.71.148.119	GB
64.71.148.120	64.71.150.31	US
64.71.150.32	64.71.150.63	IT
64.71.150.64	64.71.151.95	US
64.71.151.96	64.71.151.127	CN
64.71.151.128	64.71.153.31	US
64.71.153.32	64.71.153.39	LV
64.71.153.40	64.71.153.223	US
64.71.153.224	64.71.153.255	GR
64.71.154.0	64.71.155.199	US
64.71.155.200	64.71.155.207	BE
64.71.155.208	64.71.155.215	US
64.71.155.216	64.71.155.223	JP
64.71.155.224	64.71.156.111	US
64.71.156.112	64.71.156.127	DE
64.71.156.128	64.71.158.95	US
64.71.158.96	64.71.158.127	HK
64.71.158.128	64.71.158.143	US
64.71.158.144	64.71.158.151	BM
64.71.158.152	64.71.163.111	US
64.71.163.112	64.71.163.119	JP
64.71.163.120	64.71.163.159	US
64.71.163.160	64.71.163.191	GB
64.71.163.192	64.71.166.95	US
64.71.166.96	64.71.166.103	JP
64.71.166.104	64.71.166.127	US
64.71.166.128	64.71.166.191	IT
64.71.166.192	64.71.166.223	HK
64.71.166.224	64.71.169.255	US
64.71.170.0	64.71.170.255	CA
64.71.171.0	64.71.171.255	US
64.71.172.0	64.71.172.255	CN
64.71.173.0	64.71.174.255	US
64.71.175.0	64.71.175.255	NL
64.71.176.0	64.71.176.191	US
64.71.176.192	64.71.176.223	MX
64.71.176.224	64.71.226.255	US
64.71.227.0	64.71.227.255	AZ
64.71.228.0	64.71.229.255	IN
64.71.230.0	64.71.230.127	US
64.71.230.128	64.71.230.143	AF
64.71.230.144	64.71.230.175	US
64.71.230.176	64.71.230.191	AT
64.71.230.192	64.71.233.31	US
64.71.233.32	64.71.233.39	GB
64.71.233.40	64.71.233.127	US
64.71.233.128	64.71.233.135	UY
64.71.233.136	64.71.233.175	US
64.71.233.176	64.71.233.191	AT
64.71.233.192	64.71.236.47	US
64.71.236.48	64.71.236.63	AT
64.71.236.64	64.71.239.255	US
64.71.240.0	64.71.255.255	CA
64.72.0.0	64.72.223.255	US
64.72.224.0	64.72.255.255	CA
64.73.0.0	64.74.35.191	US
64.74.35.192	64.74.35.199	GB
64.74.35.200	64.74.94.127	US
64.74.94.128	64.74.94.159	GB
64.74.94.160	64.74.117.255	US
64.74.118.0	64.74.118.255	IN
64.74.119.0	64.74.232.175	US
64.74.232.176	64.74.232.191	CA
64.74.232.192	64.74.242.255	US
64.74.243.0	64.74.243.31	CZ
64.74.243.32	64.75.14.191	US
64.75.14.192	64.75.14.223	CN
64.75.14.224	64.75.18.175	US
64.75.18.176	64.75.18.191	IN
64.75.18.192	64.75.255.255	US
64.76.0.0	64.76.29.143	AR
64.76.29.144	64.76.29.151	CH
64.76.29.152	64.76.47.255	AR
64.76.48.0	64.76.59.255	CO
64.76.60.0	64.76.63.255	EC
64.76.64.0	64.76.65.255	VE
64.76.66.0	64.76.67.255	US
64.76.68.0	64.76.79.255	PE
64.76.80.0	64.76.91.255	CO
64.76.92.0	64.76.95.255	PE
64.76.96.0	64.76.103.255	CL
64.76.104.0	64.76.108.23	PE
64.76.108.24	64.76.108.31	CA
64.76.108.32	64.76.111.255	PE
64.76.112.0	64.76.119.255	CO
64.76.120.0	64.76.127.255	AR
64.76.128.0	64.76.135.255	PE
64.76.136.0	64.76.136.47	CL
64.76.136.48	64.76.136.63	EC
64.76.136.64	64.76.175.255	CL
64.76.176.0	64.76.179.255	CO
64.76.180.0	64.76.183.255	CL
64.76.184.0	64.76.191.255	CO
64.76.192.0	64.76.199.255	EC
64.76.200.0	64.76.207.255	PE
64.76.208.0	64.76.215.255	CO
64.76.216.0	64.76.227.255	EC
64.76.228.0	64.76.233.255	US
64.76.234.0	64.76.234.255	PA
64.76.235.0	64.77.12.47	US
64.77.12.48	64.77.12.55	AU
64.77.12.56	64.77.12.87	US
64.77.12.88	64.77.12.95	CO
64.77.12.96	64.77.12.135	US
64.77.12.136	64.77.12.143	CA
64.77.12.144	64.77.12.151	US
64.77.12.152	64.77.12.175	AU
64.77.12.176	64.77.12.223	US
64.77.12.224	64.77.12.239	MX
64.77.12.240	64.77.13.15	US
64.77.13.16	64.77.13.23	PK
64.77.13.24	64.77.13.47	US
64.77.13.48	64.77.13.63	IL
64.77.13.64	64.77.13.79	US
64.77.13.80	64.77.13.95	MX
64.77.13.96	64.77.14.31	US
64.77.14.32	64.77.14.47	AU
64.77.14.48	64.77.15.79	US
64.77.15.80	64.77.15.95	AU
64.77.15.96	64.77.15.159	US
64.77.15.160	64.77.15.175	AU
64.77.15.176	64.77.15.191	IN
64.77.15.192	64.77.15.239	US
64.77.15.240	64.77.15.255	AU
64.77.16.0	64.77.17.63	US
64.77.17.64	64.77.17.95	SG
64.77.17.96	64.77.19.159	US
64.77.19.160	64.77.19.191	CA
64.77.19.192	64.77.21.63	US
64.77.21.64	64.77.21.127	ZA
64.77.21.128	64.77.21.191	US
64.77.21.192	64.77.21.255	ZA
64.77.22.0	64.77.24.255	US
64.77.25.0	64.77.25.63	ZA
64.77.25.64	64.77.25.95	US
64.77.25.96	64.77.25.127	AU
64.77.25.128	64.77.27.151	US
64.77.27.152	64.77.27.159	AE
64.77.27.160	64.77.27.247	US
64.77.27.248	64.77.27.255	MX
64.77.28.0	64.77.29.247	US
64.77.29.248	64.77.29.255	IN
64.77.30.0	64.77.30.7	CA
64.77.30.8	64.77.30.31	US
64.77.30.32	64.77.30.39	AU
64.77.30.40	64.77.30.47	US
64.77.30.48	64.77.30.55	CA
64.77.30.56	64.77.30.111	US
64.77.30.112	64.77.30.119	CA
64.77.30.120	64.77.30.127	US
64.77.30.128	64.77.30.135	ES
64.77.30.136	64.77.36.87	US
64.77.36.88	64.77.36.95	CA
64.77.36.96	64.77.37.23	US
64.77.37.24	64.77.37.31	IN
64.77.37.32	64.77.37.135	US
64.77.37.136	64.77.37.143	JP
64.77.37.144	64.77.37.223	US
64.77.37.224	64.77.37.247	IN
64.77.37.248	64.77.37.255	MX
64.77.38.0	64.77.38.167	US
64.77.38.168	64.77.38.175	CA
64.77.38.176	64.77.38.247	US
64.77.38.248	64.77.38.255	GB
64.77.39.0	64.77.39.31	US
64.77.39.32	64.77.39.39	CA
64.77.39.40	64.77.39.71	US
64.77.39.72	64.77.39.79	AU
64.77.39.80	64.77.39.103	US
64.77.39.104	64.77.39.111	FR
64.77.39.112	64.77.39.119	IN
64.77.39.120	64.77.39.127	US
64.77.39.128	64.77.39.135	IN
64.77.39.136	64.77.39.143	GB
64.77.39.144	64.77.39.151	GR
64.77.39.152	64.77.39.199	US
64.77.39.200	64.77.39.207	PK
64.77.39.208	64.77.40.111	US
64.77.40.112	64.77.40.119	AT
64.77.40.120	64.77.40.239	US
64.77.40.240	64.77.40.255	AR
64.77.41.0	64.77.41.95	US
64.77.41.96	64.77.41.111	AU
64.77.41.112	64.77.42.63	US
64.77.42.64	64.77.42.79	IT
64.77.42.80	64.77.42.191	US
64.77.42.192	64.77.42.207	IT
64.77.42.208	64.77.42.223	US
64.77.42.224	64.77.42.239	CA
64.77.42.240	64.77.43.159	US
64.77.43.160	64.77.43.191	MX
64.77.43.192	64.77.44.63	US
64.77.44.64	64.77.44.95	MX
64.77.44.96	64.77.44.191	US
64.77.44.192	64.77.44.223	ID
64.77.44.224	64.77.45.63	US
64.77.45.64	64.77.45.127	BR
64.77.45.128	64.77.46.127	US
64.77.46.128	64.77.46.159	AU
64.77.46.160	64.77.47.63	US
64.77.47.64	64.77.47.95	IN
64.77.47.96	64.77.47.159	US
64.77.47.160	64.77.47.191	MX
64.77.47.192	64.77.49.159	US
64.77.49.160	64.77.49.191	FR
64.77.49.192	64.77.51.175	US
64.77.51.176	64.77.51.191	CL
64.77.51.192	64.77.81.159	US
64.77.81.160	64.77.81.191	AU
64.77.81.192	64.77.84.47	US
64.77.84.48	64.77.84.63	CA
64.77.84.64	64.77.101.183	US
64.77.101.184	64.77.101.191	HK
64.77.101.192	64.77.102.191	US
64.77.102.192	64.77.102.207	CA
64.77.102.208	64.79.146.255	US
64.79.147.0	64.79.147.255	GB
64.79.148.0	64.85.31.255	US
64.85.32.0	64.85.32.95	CA
64.85.32.96	64.85.32.127	US
64.85.32.128	64.85.38.79	CA
64.85.38.80	64.85.38.87	US
64.85.38.88	64.85.40.79	CA
64.85.40.80	64.85.40.95	US
64.85.40.96	64.85.40.191	CA
64.85.40.192	64.85.40.215	US
64.85.40.216	64.85.40.223	CA
64.85.40.224	64.85.40.239	US
64.85.40.240	64.85.42.95	CA
64.85.42.96	64.85.42.111	US
64.85.42.112	64.85.42.127	CA
64.85.42.128	64.85.42.143	US
64.85.42.144	64.85.42.175	CA
64.85.42.176	64.85.42.191	US
64.85.42.192	64.85.43.23	CA
64.85.43.24	64.85.43.31	US
64.85.43.32	64.85.43.191	CA
64.85.43.192	64.85.43.207	US
64.85.43.208	64.85.43.223	CA
64.85.43.224	64.85.43.255	US
64.85.44.0	64.85.47.39	CA
64.85.47.40	64.85.47.47	US
64.85.47.48	64.85.48.127	CA
64.85.48.128	64.85.48.159	US
64.85.48.160	64.85.51.15	CA
64.85.51.16	64.85.51.43	US
64.85.51.44	64.85.51.87	CA
64.85.51.88	64.85.51.95	US
64.85.51.96	64.85.51.107	CA
64.85.51.108	64.85.51.119	US
64.85.51.120	64.85.51.159	CA
64.85.51.160	64.85.51.167	US
64.85.51.168	64.85.51.255	CA
64.85.52.0	64.85.52.31	US
64.85.52.32	64.85.52.175	CA
64.85.52.176	64.85.52.191	US
64.85.52.192	64.85.53.39	CA
64.85.53.40	64.85.53.47	US
64.85.53.48	64.85.62.247	CA
64.85.62.248	64.85.62.255	US
64.85.63.0	64.85.63.255	CA
64.85.64.0	64.85.68.127	US
64.85.68.128	64.85.68.159	CA
64.85.68.160	64.85.163.15	US
64.85.163.16	64.85.163.31	TR
64.85.163.32	64.85.163.127	US
64.85.163.128	64.85.163.159	CA
64.85.163.160	64.85.165.79	US
64.85.165.80	64.85.165.87	CA
64.85.165.88	64.85.167.223	US
64.85.167.224	64.85.167.231	CA
64.85.167.232	64.85.169.255	US
64.85.170.0	64.85.170.35	CA
64.85.170.36	64.85.170.47	AU
64.85.170.48	64.85.171.255	CA
64.85.172.0	64.85.172.247	US
64.85.172.248	64.85.172.255	CA
64.85.173.0	64.85.255.255	US
64.86.0.0	64.86.3.255	CA
64.86.4.0	64.86.6.255	US
64.86.7.0	64.86.11.191	CA
64.86.11.192	64.86.12.191	US
64.86.12.192	64.86.13.255	CA
64.86.14.0	64.86.14.95	US
64.86.14.96	64.86.14.127	WS
64.86.14.128	64.86.15.255	US
64.86.16.0	64.86.17.255	CA
64.86.18.0	64.86.19.255	US
64.86.20.0	64.86.20.255	VG
64.86.21.0	64.86.22.255	US
64.86.23.0	64.86.23.255	MH
64.86.24.0	64.86.24.255	LR
64.86.25.0	64.86.25.255	CA
64.86.26.0	64.86.27.255	ZW
64.86.28.0	64.86.29.127	CA
64.86.29.128	64.86.29.255	US
64.86.30.0	64.86.30.255	CA
64.86.31.0	64.86.31.255	SZ
64.86.32.0	64.86.33.255	US
64.86.34.0	64.86.34.255	SG
64.86.35.0	64.86.35.255	EG
64.86.36.0	64.86.38.255	US
64.86.39.0	64.86.39.255	PH
64.86.40.0	64.86.44.255	CA
64.86.45.0	64.86.46.255	US
64.86.47.0	64.86.49.255	CA
64.86.50.0	64.86.52.255	US
64.86.53.0	64.86.53.127	CA
64.86.53.128	64.86.53.191	US
64.86.53.192	64.86.53.255	CA
64.86.54.0	64.86.55.255	HT
64.86.56.0	64.86.59.255	CA
64.86.60.0	64.86.62.255	US
64.86.63.0	64.86.63.15	CA
64.86.63.16	64.86.63.23	SG
64.86.63.24	64.86.63.31	CA
64.86.63.32	64.86.63.63	US
64.86.63.64	64.86.63.95	AF
64.86.63.96	64.86.63.127	CA
64.86.63.128	64.86.63.159	US
64.86.63.160	64.86.63.191	CA
64.86.63.192	64.86.63.255	US
64.86.64.0	64.86.67.255	EC
64.86.68.0	64.86.69.255	CA
64.86.70.0	64.86.70.255	US
64.86.71.0	64.86.71.255	CA
64.86.72.0	64.86.75.255	MP
64.86.76.0	64.86.76.255	MH
64.86.77.0	64.86.79.255	US
64.86.80.0	64.86.84.159	CA
64.86.84.160	64.86.84.175	US
64.86.84.176	64.86.85.255	CA
64.86.86.0	64.86.87.255	US
64.86.88.0	64.86.88.63	FR
64.86.88.64	64.86.88.127	CA
64.86.88.128	64.86.88.191	US
64.86.88.192	64.86.88.255	CA
64.86.89.0	64.86.89.127	US
64.86.89.128	64.86.90.255	CA
64.86.91.0	64.86.91.255	US
64.86.92.0	64.86.93.255	CA
64.86.94.0	64.86.95.255	US
64.86.96.0	64.86.97.255	CA
64.86.98.0	64.86.99.255	US
64.86.100.0	64.86.100.255	CA
64.86.101.0	64.86.101.31	US
64.86.101.32	64.86.101.63	CA
64.86.101.64	64.86.101.159	US
64.86.101.160	64.86.101.223	CA
64.86.101.224	64.86.104.255	US
64.86.105.0	64.86.105.223	CA
64.86.105.224	64.86.106.191	US
64.86.106.192	64.86.107.95	CA
64.86.107.96	64.86.107.127	BD
64.86.107.128	64.86.107.255	US
64.86.108.0	64.86.113.255	CA
64.86.114.0	64.86.114.255	US
64.86.115.0	64.86.115.255	CA
64.86.116.0	64.86.117.255	US
64.86.118.0	64.86.118.255	CA
64.86.119.0	64.86.119.31	ZA
64.86.119.32	64.86.119.63	US
64.86.119.64	64.86.119.255	CA
64.86.120.0	64.86.120.255	US
64.86.121.0	64.86.122.255	PK
64.86.123.0	64.86.124.255	LR
64.86.125.0	64.86.127.255	CA
64.86.128.0	64.86.128.255	US
64.86.129.0	64.86.129.255	CA
64.86.130.0	64.86.130.255	US
64.86.131.0	64.86.131.255	PK
64.86.132.0	64.86.135.255	CA
64.86.136.0	64.86.137.255	US
64.86.138.0	64.86.138.63	CA
64.86.138.64	64.86.138.95	US
64.86.138.96	64.86.141.255	CA
64.86.142.0	64.86.144.255	US
64.86.145.0	64.86.145.255	HN
64.86.146.0	64.86.146.255	CA
64.86.147.0	64.86.149.255	US
64.86.150.0	64.86.160.255	CA
64.86.161.0	64.86.163.255	US
64.86.164.0	64.86.164.255	CA
64.86.165.0	64.86.166.255	US
64.86.167.0	64.86.171.255	CA
64.86.172.0	64.86.172.255	US
64.86.173.0	64.86.173.255	CA
64.86.174.0	64.86.177.255	MZ
64.86.178.0	64.86.179.255	CA
64.86.180.0	64.86.182.255	MZ
64.86.183.0	64.86.184.255	US
64.86.185.0	64.86.185.255	CA
64.86.186.0	64.86.186.15	US
64.86.186.16	64.86.191.255	CA
64.86.192.0	64.86.192.255	US
64.86.193.0	64.86.193.255	CA
64.86.194.0	64.86.195.255	PW
64.86.196.0	64.86.200.255	CA
64.86.201.0	64.86.202.255	US
64.86.203.0	64.86.209.255	CA
64.86.210.0	64.86.211.255	ZM
64.86.212.0	64.86.213.255	CA
64.86.214.0	64.86.214.255	US
64.86.215.0	64.86.215.255	CA
64.86.216.0	64.86.223.255	CR
64.86.224.0	64.86.225.255	CO
64.86.226.0	64.86.229.255	HT
64.86.230.0	64.86.231.255	CA
64.86.232.0	64.86.239.255	US
64.86.240.0	64.86.251.255	CA
64.86.252.0	64.86.252.255	US
64.86.253.0	64.86.254.255	CA
64.86.255.0	64.86.255.31	PW
64.86.255.32	64.86.255.127	CA
64.86.255.128	64.86.255.255	AU
64.87.0.0	64.87.63.255	US
64.87.64.0	64.87.255.255	CA
64.88.0.0	64.88.225.255	US
64.88.226.0	64.88.226.255	GB
64.88.227.0	64.88.227.255	US
64.88.228.0	64.88.228.255	AU
64.88.229.0	64.88.255.255	US
64.89.0.0	64.89.7.167	PR
64.89.7.168	64.89.7.175	US
64.89.7.176	64.89.15.255	PR
64.89.16.0	64.89.42.111	US
64.89.42.112	64.89.42.127	IN
64.89.42.128	64.90.95.255	US
64.90.96.0	64.90.111.255	CA
64.90.112.0	64.92.221.159	US
64.92.221.160	64.92.221.175	RU
64.92.221.176	64.93.77.255	US
64.93.78.0	64.93.78.255	IN
64.93.79.0	64.93.82.223	US
64.93.82.224	64.93.82.239	NZ
64.93.82.240	64.93.95.255	US
64.93.96.0	64.93.111.255	CA
64.93.112.0	64.94.164.103	US
64.94.164.104	64.94.164.111	IL
64.94.164.112	64.94.164.191	US
64.94.164.192	64.94.164.223	IL
64.94.164.224	64.94.171.159	US
64.94.171.160	64.94.171.167	FR
64.94.171.168	64.94.172.191	US
64.94.172.192	64.94.172.223	CA
64.94.172.224	64.94.200.159	US
64.94.200.160	64.94.200.191	GB
64.94.200.192	64.95.103.255	US
64.95.104.0	64.95.111.255	CA
64.95.112.0	64.95.211.239	US
64.95.211.240	64.95.211.247	CA
64.95.211.248	64.95.255.255	US
64.96.0.0	64.99.255.255	CA
64.100.0.0	64.106.133.139	US
64.106.133.140	64.106.133.149	IT
64.106.133.150	64.106.134.49	US
64.106.134.50	64.106.134.59	CA
64.106.134.60	64.106.134.169	US
64.106.134.170	64.106.134.179	BR
64.106.134.180	64.106.135.29	US
64.106.135.30	64.106.135.39	GB
64.106.135.40	64.106.135.59	US
64.106.135.60	64.106.135.69	GB
64.106.135.70	64.106.135.159	US
64.106.135.160	64.106.135.169	BR
64.106.135.170	64.106.136.109	US
64.106.136.110	64.106.136.119	AE
64.106.136.120	64.106.140.39	US
64.106.140.40	64.106.140.59	CA
64.106.140.60	64.106.141.139	US
64.106.141.140	64.106.141.149	SY
64.106.141.150	64.106.142.49	US
64.106.142.50	64.106.142.59	QA
64.106.142.60	64.106.142.89	US
64.106.142.90	64.106.142.99	QA
64.106.142.100	64.106.142.179	US
64.106.142.180	64.106.142.189	QA
64.106.142.190	64.106.143.29	US
64.106.143.30	64.106.143.39	CA
64.106.143.40	64.106.143.49	NZ
64.106.143.50	64.106.143.219	US
64.106.143.220	64.106.143.229	LB
64.106.143.230	64.106.144.59	US
64.106.144.60	64.106.144.69	IT
64.106.144.70	64.106.144.209	US
64.106.144.210	64.106.144.219	BE
64.106.144.220	64.106.145.169	US
64.106.145.170	64.106.145.179	BE
64.106.145.180	64.106.146.169	US
64.106.146.170	64.106.146.179	JO
64.106.146.180	64.106.148.79	US
64.106.148.80	64.106.148.89	CA
64.106.148.90	64.106.150.89	US
64.106.150.90	64.106.150.99	AU
64.106.150.100	64.106.150.119	US
64.106.150.120	64.106.150.129	CA
64.106.150.130	64.106.150.149	US
64.106.150.150	64.106.150.159	AU
64.106.150.160	64.106.152.189	US
64.106.152.190	64.106.152.209	BR
64.106.152.210	64.106.152.229	US
64.106.152.230	64.106.152.249	GB
64.106.152.250	64.106.156.49	US
64.106.156.50	64.106.156.79	NZ
64.106.156.80	64.106.156.199	US
64.106.156.200	64.106.156.229	SE
64.106.156.230	64.106.157.49	US
64.106.157.50	64.106.157.59	IN
64.106.157.60	64.106.158.39	US
64.106.158.40	64.106.158.49	UA
64.106.158.50	64.106.158.59	US
64.106.158.60	64.106.158.69	CA
64.106.158.70	64.106.158.89	US
64.106.158.90	64.106.158.99	KH
64.106.158.100	64.106.158.129	US
64.106.158.130	64.106.158.149	KH
64.106.158.150	64.106.158.199	US
64.106.158.200	64.106.158.209	IT
64.106.158.210	64.106.160.29	US
64.106.160.30	64.106.160.39	JP
64.106.160.40	64.106.160.49	CA
64.106.160.50	64.106.170.159	US
64.106.170.160	64.106.170.191	QA
64.106.170.192	64.106.174.9	US
64.106.174.10	64.106.174.19	NZ
64.106.174.20	64.106.174.29	LB
64.106.174.30	64.106.174.49	US
64.106.174.50	64.106.174.59	DK
64.106.174.60	64.106.196.191	US
64.106.196.192	64.106.196.207	JO
64.106.196.208	64.106.200.59	US
64.106.200.60	64.106.200.69	IN
64.106.200.70	64.106.201.139	US
64.106.201.140	64.106.201.159	UA
64.106.201.160	64.106.201.169	GA
64.106.201.170	64.106.201.209	US
64.106.201.210	64.106.201.219	LB
64.106.201.220	64.106.202.199	US
64.106.202.200	64.106.202.209	UA
64.106.202.210	64.106.205.69	US
64.106.205.70	64.106.205.79	GR
64.106.205.80	64.106.205.149	US
64.106.205.150	64.106.205.159	GR
64.106.205.160	64.106.205.169	GB
64.106.205.170	64.106.206.119	US
64.106.206.120	64.106.206.129	CA
64.106.206.130	64.106.206.229	US
64.106.206.230	64.106.206.239	SE
64.106.206.240	64.106.207.39	US
64.106.207.40	64.106.207.49	CA
64.106.207.50	64.106.217.19	US
64.106.217.20	64.106.217.29	CA
64.106.217.30	64.106.218.63	US
64.106.218.64	64.106.218.127	NO
64.106.218.128	64.106.226.195	US
64.106.226.196	64.106.226.227	QA
64.106.226.228	64.106.229.69	US
64.106.229.70	64.106.229.79	NZ
64.106.229.80	64.106.229.89	CA
64.106.229.90	64.106.229.239	US
64.106.229.240	64.106.229.249	CA
64.106.229.250	64.106.230.19	US
64.106.230.20	64.106.230.39	CA
64.106.230.40	64.106.231.99	US
64.106.231.100	64.106.231.109	ES
64.106.231.110	64.106.231.139	US
64.106.231.140	64.106.231.149	IL
64.106.231.150	64.106.231.179	US
64.106.231.180	64.106.231.189	ES
64.106.231.190	64.106.231.199	US
64.106.231.200	64.106.231.229	CA
64.106.231.230	64.106.232.31	US
64.106.232.32	64.106.232.63	QA
64.106.232.64	64.106.238.255	US
64.106.239.0	64.106.239.127	CA
64.106.239.128	64.106.242.9	US
64.106.242.10	64.106.242.19	GB
64.106.242.20	64.108.4.135	US
64.108.4.136	64.108.4.143	PR
64.108.4.144	64.110.15.255	US
64.110.20.0	64.110.24.255	US
64.110.28.0	64.110.28.255	A2
64.110.29.0	64.110.29.255	BH
64.110.30.0	64.110.30.255	A2
64.110.31.0	64.110.31.255	BH
64.110.32.0	64.110.36.255	A2
64.110.37.0	64.110.37.255	BH
64.110.38.0	64.110.50.255	A2
64.110.51.0	64.110.63.255	US
64.110.64.0	64.110.67.255	A2
64.110.68.0	64.110.68.255	BH
64.110.69.0	64.110.72.255	A2
64.110.73.0	64.110.73.255	BH
64.110.74.0	64.110.85.31	A2
64.110.85.32	64.110.85.63	ID
64.110.85.64	64.110.127.255	A2
64.110.128.0	64.110.143.255	US
64.110.144.0	64.110.147.255	A2
64.110.148.0	64.110.152.255	US
64.110.153.0	64.110.153.255	A2
64.110.154.0	64.110.191.255	US
64.110.192.0	64.110.255.255	CA
64.111.0.0	64.111.81.255	US
64.111.82.0	64.111.82.255	CA
64.111.83.0	64.111.85.255	US
64.111.86.0	64.111.95.255	CA
64.111.96.0	64.112.15.255	US
64.112.16.0	64.112.16.255	VI
64.112.17.0	64.112.158.255	US
64.112.159.0	64.112.159.255	VI
64.112.160.0	64.113.255.255	US
64.114.0.0	64.114.255.255	CA
64.115.0.0	64.116.96.31	US
64.116.96.32	64.116.96.39	CO
64.116.96.40	64.116.96.47	US
64.116.96.48	64.116.96.55	CO
64.116.96.56	64.116.96.167	US
64.116.96.168	64.116.96.191	CO
64.116.96.192	64.116.98.31	US
64.116.98.32	64.116.98.63	CO
64.116.98.64	64.116.99.255	US
64.116.100.0	64.116.101.255	CO
64.116.102.0	64.116.129.31	US
64.116.129.32	64.116.129.47	VE
64.116.129.48	64.116.129.55	US
64.116.129.56	64.116.129.63	VE
64.116.129.64	64.116.129.95	US
64.116.129.96	64.116.129.111	VE
64.116.129.112	64.116.129.159	US
64.116.129.160	64.116.129.175	VE
64.116.129.176	64.116.129.223	US
64.116.129.224	64.116.129.255	VE
64.116.130.0	64.116.131.127	US
64.116.131.128	64.116.131.255	VE
64.116.132.0	64.116.132.23	US
64.116.132.24	64.116.132.31	VE
64.116.132.32	64.116.132.95	US
64.116.132.96	64.116.132.127	VE
64.116.132.128	64.116.132.143	US
64.116.132.144	64.116.132.207	VE
64.116.132.208	64.116.132.223	US
64.116.132.224	64.116.132.255	VE
64.116.133.0	64.116.133.255	US
64.116.134.0	64.116.134.15	VE
64.116.134.16	64.116.134.71	US
64.116.134.72	64.116.134.95	VE
64.116.134.96	64.116.134.191	US
64.116.134.192	64.116.135.15	VE
64.116.135.16	64.116.135.47	US
64.116.135.48	64.116.135.95	VE
64.116.135.96	64.116.135.191	US
64.116.135.192	64.116.135.255	VE
64.116.136.0	64.116.137.255	US
64.116.138.0	64.116.139.255	VE
64.116.140.0	64.116.160.255	US
64.116.161.0	64.116.162.63	PA
64.116.162.64	64.116.163.255	US
64.116.164.0	64.116.164.7	PA
64.116.164.8	64.116.164.15	US
64.116.164.16	64.116.164.31	PA
64.116.164.32	64.116.164.63	VE
64.116.164.64	64.116.166.127	US
64.116.166.128	64.116.166.191	PA
64.116.166.192	64.116.169.255	US
64.116.170.0	64.116.171.255	PA
64.116.172.0	64.116.172.95	US
64.116.172.96	64.116.172.111	PA
64.116.172.112	64.116.172.119	PR
64.116.172.120	64.116.183.255	US
64.116.184.0	64.116.191.255	PA
64.116.192.0	64.116.192.255	US
64.116.193.0	64.116.194.87	CL
64.116.194.88	64.116.194.95	US
64.116.194.96	64.116.194.119	CL
64.116.194.120	64.116.194.135	US
64.116.194.136	64.116.194.143	CL
64.116.194.144	64.116.194.167	US
64.116.194.168	64.116.194.175	CL
64.116.194.176	64.116.194.223	US
64.116.194.224	64.116.194.239	CL
64.116.194.240	64.116.194.255	US
64.116.195.0	64.116.207.255	CL
64.116.208.0	64.116.209.255	US
64.116.210.0	64.116.213.255	CL
64.116.214.0	64.116.215.255	US
64.116.216.0	64.116.223.255	CL
64.116.224.0	64.116.224.47	AR
64.116.224.48	64.116.224.71	US
64.116.224.72	64.116.224.191	AR
64.116.224.192	64.116.224.223	US
64.116.224.224	64.116.225.135	AR
64.116.225.136	64.116.225.143	US
64.116.225.144	64.116.227.255	AR
64.116.228.0	64.116.230.15	US
64.116.230.16	64.116.230.127	AR
64.116.230.128	64.116.230.175	US
64.116.230.176	64.116.230.223	AR
64.116.230.224	64.116.230.239	US
64.116.230.240	64.116.232.95	AR
64.116.232.96	64.116.232.127	US
64.116.232.128	64.116.232.159	AR
64.116.232.160	64.116.232.223	US
64.116.232.224	64.116.232.239	AR
64.116.232.240	64.116.233.63	US
64.116.233.64	64.116.233.127	AR
64.116.233.128	64.116.233.199	US
64.116.233.200	64.116.233.223	AR
64.116.233.224	64.116.233.255	US
64.116.234.0	64.116.234.63	AR
64.116.234.64	64.116.234.127	US
64.116.234.128	64.116.234.191	AR
64.116.234.192	64.116.238.63	US
64.116.238.64	64.116.238.191	AR
64.116.238.192	64.117.0.255	US
64.117.1.0	64.117.1.255	PR
64.117.2.0	64.117.3.255	US
64.117.4.0	64.117.7.255	PR
64.117.8.0	64.117.13.255	US
64.117.14.0	64.117.14.255	PR
64.117.15.0	64.117.15.47	US
64.117.15.48	64.117.15.71	PR
64.117.15.72	64.117.15.151	US
64.117.15.152	64.117.15.159	CA
64.117.15.160	64.117.15.191	US
64.117.15.192	64.117.15.199	CA
64.117.15.200	64.117.15.207	US
64.117.15.208	64.117.15.255	PR
64.117.16.0	64.117.25.255	US
64.117.26.0	64.117.26.255	PR
64.117.27.0	64.117.37.191	US
64.117.37.192	64.117.37.223	PR
64.117.37.224	64.117.37.255	US
64.117.38.0	64.117.38.127	PR
64.117.38.128	64.117.38.159	US
64.117.38.160	64.117.38.167	PR
64.117.38.168	64.117.38.183	US
64.117.38.184	64.117.38.191	PR
64.117.38.192	64.117.38.223	US
64.117.38.224	64.117.38.255	PR
64.117.39.0	64.117.39.255	US
64.117.40.0	64.117.41.255	PR
64.117.42.0	64.117.42.31	US
64.117.42.32	64.117.42.63	PR
64.117.42.64	64.117.42.191	US
64.117.42.192	64.117.42.255	PR
64.117.43.0	64.117.45.127	US
64.117.45.128	64.117.45.159	PR
64.117.45.160	64.117.128.63	US
64.117.128.64	64.117.128.95	CL
64.117.128.96	64.117.128.159	US
64.117.128.160	64.117.128.191	CL
64.117.128.192	64.117.130.95	US
64.117.130.96	64.117.130.111	CL
64.117.130.112	64.117.130.143	US
64.117.130.144	64.117.130.151	CL
64.117.130.152	64.117.131.255	US
64.117.132.0	64.117.137.255	CL
64.117.138.0	64.117.139.183	US
64.117.139.184	64.117.139.191	CL
64.117.139.192	64.117.139.255	US
64.117.140.0	64.117.159.255	CL
64.117.160.0	64.117.199.255	US
64.117.200.0	64.117.207.255	PA
64.117.208.0	64.117.208.31	CO
64.117.208.32	64.117.208.127	BR
64.117.208.128	64.117.208.135	US
64.117.208.136	64.117.208.143	BR
64.117.208.144	64.117.209.191	US
64.117.209.192	64.117.209.207	BR
64.117.209.208	64.117.209.215	US
64.117.209.216	64.117.209.223	BR
64.117.209.224	64.117.209.231	US
64.117.209.232	64.117.209.239	BR
64.117.209.240	64.117.209.255	US
64.117.210.0	64.117.210.95	BR
64.117.210.96	64.117.210.127	US
64.117.210.128	64.117.210.191	BR
64.117.210.192	64.118.15.255	US
64.118.16.0	64.118.31.239	CA
64.118.31.240	64.118.31.247	US
64.118.31.248	64.118.31.255	CA
64.118.32.0	64.118.47.255	US
64.118.48.0	64.118.63.255	A2
64.118.64.0	64.119.95.255	US
64.119.96.0	64.119.127.255	CA
64.119.128.0	64.119.160.47	US
64.119.160.48	64.119.160.55	JP
64.119.160.56	64.119.160.103	US
64.119.160.104	64.119.160.119	GB
64.119.160.120	64.119.160.127	US
64.119.160.128	64.119.160.135	AE
64.119.160.136	64.119.160.175	US
64.119.160.176	64.119.160.191	MX
64.119.160.192	64.119.160.199	US
64.119.160.200	64.119.160.207	AR
64.119.160.208	64.119.160.255	US
64.119.161.0	64.119.161.151	GB
64.119.161.152	64.119.161.159	US
64.119.161.160	64.119.161.191	AR
64.119.161.192	64.119.161.255	GB
64.119.162.0	64.119.162.7	PH
64.119.162.8	64.119.162.71	US
64.119.162.72	64.119.162.79	AR
64.119.162.80	64.119.162.87	US
64.119.162.88	64.119.162.95	AE
64.119.162.96	64.119.162.103	US
64.119.162.104	64.119.162.119	ID
64.119.162.120	64.119.162.143	US
64.119.162.144	64.119.162.151	JP
64.119.162.152	64.119.162.255	US
64.119.163.0	64.119.163.7	MY
64.119.163.8	64.119.163.199	US
64.119.163.200	64.119.163.223	AR
64.119.163.224	64.119.163.231	US
64.119.163.232	64.119.163.255	MY
64.119.164.0	64.119.164.7	AR
64.119.164.8	64.119.164.87	US
64.119.164.88	64.119.164.95	AR
64.119.164.96	64.119.164.103	US
64.119.164.104	64.119.164.111	MY
64.119.164.112	64.119.164.119	US
64.119.164.120	64.119.164.127	AR
64.119.164.128	64.119.164.183	US
64.119.164.184	64.119.164.191	AR
64.119.164.192	64.119.165.55	US
64.119.165.56	64.119.165.63	AR
64.119.165.64	64.119.165.143	US
64.119.165.144	64.119.165.151	HK
64.119.165.152	64.119.165.159	AR
64.119.165.160	64.119.165.207	US
64.119.165.208	64.119.165.223	AR
64.119.165.224	64.119.165.255	MY
64.119.166.0	64.119.166.111	US
64.119.166.112	64.119.166.127	PH
64.119.166.128	64.119.167.191	US
64.119.167.192	64.119.167.207	MY
64.119.167.208	64.119.168.127	US
64.119.168.128	64.119.168.151	CA
64.119.168.152	64.119.168.191	US
64.119.168.192	64.119.168.199	AU
64.119.168.200	64.119.169.15	US
64.119.169.16	64.119.169.39	MY
64.119.169.40	64.119.169.47	JP
64.119.169.48	64.119.169.127	US
64.119.169.128	64.119.169.135	MY
64.119.169.136	64.119.169.207	US
64.119.169.208	64.119.169.215	MY
64.119.169.216	64.119.169.255	US
64.119.170.0	64.119.170.23	DE
64.119.170.24	64.119.170.39	US
64.119.170.40	64.119.170.63	PH
64.119.170.64	64.119.170.71	US
64.119.170.72	64.119.170.95	MY
64.119.170.96	64.119.170.143	AR
64.119.170.144	64.119.171.79	US
64.119.171.80	64.119.171.103	MY
64.119.171.104	64.119.171.127	US
64.119.171.128	64.119.171.135	AR
64.119.171.136	64.119.171.159	US
64.119.171.160	64.119.171.191	MY
64.119.171.192	64.119.171.215	US
64.119.171.216	64.119.171.255	AR
64.119.172.0	64.119.175.31	US
64.119.175.32	64.119.175.47	AE
64.119.175.48	64.119.175.95	US
64.119.175.96	64.119.175.111	LB
64.119.175.112	64.119.178.55	US
64.119.178.56	64.119.178.63	IT
64.119.178.64	64.119.178.71	AU
64.119.178.72	64.119.184.47	US
64.119.184.48	64.119.184.55	AU
64.119.184.56	64.119.186.127	US
64.119.186.128	64.119.186.135	GB
64.119.186.136	64.119.187.63	US
64.119.187.64	64.119.187.71	KH
64.119.187.72	64.119.188.15	US
64.119.188.16	64.119.188.31	AU
64.119.188.32	64.119.189.111	US
64.119.189.112	64.119.189.119	PH
64.119.189.120	64.119.191.255	US
64.119.192.0	64.119.207.255	BB
64.119.208.0	64.119.223.255	CA
64.119.224.0	64.120.9.255	US
64.120.10.0	64.120.10.255	CA
64.120.11.0	64.120.14.95	US
64.120.14.96	64.120.14.103	LK
64.120.14.104	64.120.14.159	US
64.120.14.160	64.120.14.191	IN
64.120.14.192	64.120.41.191	US
64.120.41.192	64.120.41.199	GB
64.120.41.200	64.120.50.7	US
64.120.50.8	64.120.50.15	GB
64.120.50.16	64.123.2.23	US
64.123.2.24	64.123.2.31	PR
64.123.2.32	64.123.4.119	US
64.123.4.120	64.123.4.127	PR
64.123.4.128	64.123.116.215	US
64.123.116.216	64.123.116.223	PR
64.123.116.224	64.123.233.239	US
64.123.233.240	64.123.233.247	PR
64.123.233.248	64.124.17.23	US
64.124.17.24	64.124.17.31	FI
64.124.17.32	64.124.150.63	US
64.124.150.64	64.124.150.127	IL
64.124.150.128	64.124.170.15	US
64.124.170.16	64.124.170.23	GB
64.124.170.24	64.124.170.127	US
64.124.170.128	64.124.170.143	GB
64.124.170.144	64.124.172.255	US
64.124.173.0	64.124.173.63	DE
64.124.173.64	64.124.229.223	US
64.124.229.224	64.124.229.231	GB
64.124.229.232	64.125.83.255	US
64.125.84.0	64.125.84.255	CA
64.125.85.0	64.125.85.255	US
64.125.86.0	64.125.86.255	CA
64.125.87.0	64.125.129.23	US
64.125.129.24	64.125.129.31	AS
64.125.129.32	64.127.102.255	US
64.127.103.0	64.127.103.7	CN
64.127.103.8	64.127.105.223	US
64.127.105.224	64.127.105.231	CA
64.127.105.232	64.127.112.111	US
64.127.112.112	64.127.112.127	AU
64.127.112.128	64.127.125.159	US
64.127.125.160	64.127.125.175	CA
64.127.125.176	64.127.125.247	US
64.127.125.248	64.127.125.255	AU
64.127.126.0	64.128.31.255	US
64.128.32.0	64.128.39.255	A2
64.128.40.0	64.130.207.255	US
64.130.208.0	64.130.209.255	CA
64.130.210.0	64.130.210.207	US
64.130.210.208	64.130.223.255	CA
64.130.224.0	64.131.66.144	US
64.131.66.145	64.131.66.148	GB
64.131.66.149	64.131.73.5	US
64.131.73.6	64.131.73.9	CA
64.131.73.10	64.131.83.31	US
64.131.83.32	64.131.83.39	GB
64.131.83.40	64.131.83.47	US
64.131.83.48	64.131.83.63	GB
64.131.83.64	64.131.83.111	US
64.131.83.112	64.131.83.119	BE
64.131.83.120	64.131.83.127	US
64.131.83.128	64.131.83.135	GB
64.131.83.136	64.131.83.151	US
64.131.83.152	64.131.83.159	SE
64.131.83.160	64.131.83.183	US
64.131.83.184	64.131.83.191	GB
64.131.83.192	64.131.84.191	US
64.131.84.192	64.131.84.255	NL
64.131.85.0	64.131.85.31	CA
64.131.85.32	64.131.88.7	US
64.131.88.8	64.131.88.15	SA
64.131.88.16	64.131.88.23	CA
64.131.88.24	64.131.88.31	GB
64.131.88.32	64.131.88.47	US
64.131.88.48	64.131.88.55	IT
64.131.88.56	64.131.88.71	US
64.131.88.72	64.131.88.79	GB
64.131.88.80	64.131.88.167	US
64.131.88.168	64.131.88.175	MY
64.131.88.176	64.131.88.199	US
64.131.88.200	64.131.88.207	GR
64.131.88.208	64.131.88.215	IT
64.131.88.216	64.131.88.247	US
64.131.88.248	64.131.88.255	RU
64.131.89.0	64.131.92.31	US
64.131.92.32	64.131.92.47	IT
64.131.92.48	64.131.92.63	US
64.131.92.64	64.131.92.79	IT
64.131.92.80	64.131.93.63	US
64.131.93.64	64.131.93.95	RU
64.131.93.96	64.132.104.255	US
64.132.105.0	64.132.105.255	A2
64.132.106.0	64.132.162.191	US
64.132.162.192	64.132.162.207	IN
64.132.162.208	64.135.128.35	US
64.135.128.36	64.135.128.39	ME
64.135.128.40	64.136.111.255	US
64.136.112.0	64.136.127.255	CA
64.136.128.0	64.139.132.191	US
64.139.132.192	64.139.132.223	CA
64.139.132.224	64.139.134.223	US
64.139.134.224	64.139.134.255	CA
64.139.135.0	64.140.111.255	US
64.140.112.0	64.140.127.255	CA
64.140.128.0	64.140.139.255	US
64.140.140.0	64.140.140.255	CA
64.140.141.0	64.140.255.255	US
64.141.0.0	64.141.127.255	CA
64.141.128.0	64.147.79.255	US
64.147.80.0	64.147.95.255	BM
64.147.96.0	64.147.164.127	US
64.147.164.128	64.147.164.191	CA
64.147.164.192	64.147.179.255	US
64.147.180.0	64.147.180.63	AU
64.147.180.64	64.147.190.255	US
64.147.191.0	64.147.191.255	AU
64.147.192.0	64.147.239.255	US
64.147.240.0	64.147.255.255	CA
64.148.0.0	64.148.178.191	US
64.148.178.192	64.148.178.223	IS
64.148.178.224	64.150.191.255	US
64.150.192.0	64.150.255.255	BS
64.151.0.0	64.151.191.255	US
64.151.192.0	64.151.255.255	CA
64.152.0.0	64.152.135.255	US
64.152.136.0	64.152.143.255	PR
64.152.144.0	64.157.142.255	US
64.157.143.0	64.157.143.255	CA
64.157.144.0	64.161.209.247	US
64.161.209.248	64.161.209.255	PR
64.161.210.0	64.178.127.255	US
64.178.128.0	64.178.159.255	CA
64.178.160.0	64.178.191.255	US
64.178.192.0	64.178.197.255	PR
64.178.198.0	64.178.198.255	US
64.178.199.0	64.178.223.255	PR
64.178.224.0	64.179.207.255	US
64.179.208.0	64.179.223.255	CA
64.179.224.0	64.179.255.255	US
64.180.0.0	64.180.255.255	CA
64.181.0.0	64.182.1.24	US
64.182.1.25	64.182.1.32	BZ
64.182.1.33	64.182.1.162	US
64.182.1.163	64.182.1.171	IS
64.182.1.172	64.182.1.206	US
64.182.1.207	64.182.1.215	FR
64.182.1.216	64.182.3.72	US
64.182.3.73	64.182.3.81	HK
64.182.3.82	64.182.3.135	US
64.182.3.136	64.182.3.144	CA
64.182.3.145	64.182.3.153	NL
64.182.3.154	64.182.3.198	US
64.182.3.199	64.182.3.207	IS
64.182.3.208	64.182.3.242	US
64.182.3.243	64.182.3.251	CZ
64.182.3.252	64.182.4.55	US
64.182.4.56	64.182.4.63	NL
64.182.4.64	64.182.4.228	US
64.182.4.229	64.182.4.236	GR
64.182.4.237	64.182.4.244	GE
64.182.4.245	64.182.7.160	US
64.182.7.161	64.182.7.168	IR
64.182.7.169	64.182.7.186	US
64.182.7.187	64.182.7.195	MX
64.182.7.196	64.182.7.212	US
64.182.7.213	64.182.7.221	IT
64.182.7.222	64.182.9.8	US
64.182.9.9	64.182.9.16	LB
64.182.9.17	64.182.9.32	US
64.182.9.33	64.182.9.40	AS
64.182.9.41	64.182.11.159	US
64.182.11.160	64.182.11.167	WS
64.182.11.168	64.182.11.199	US
64.182.11.200	64.182.11.207	WS
64.182.11.208	64.182.13.119	US
64.182.13.120	64.182.13.127	CI
64.182.13.128	64.182.13.136	US
64.182.13.137	64.182.13.144	CZ
64.182.13.145	64.182.13.169	US
64.182.13.170	64.182.13.177	NL
64.182.13.178	64.182.14.0	US
64.182.14.1	64.182.14.9	WS
64.182.14.10	64.182.14.18	CA
64.182.14.19	64.182.33.81	US
64.182.33.82	64.182.33.89	FR
64.182.33.90	64.182.33.97	CZ
64.182.33.98	64.182.33.115	US
64.182.33.116	64.182.33.123	IT
64.182.33.124	64.182.35.72	US
64.182.35.73	64.182.35.81	CA
64.182.35.82	64.182.37.17	US
64.182.37.18	64.182.37.146	GR
64.182.37.147	64.182.37.179	US
64.182.37.180	64.182.37.197	FR
64.182.37.198	64.182.48.31	US
64.182.48.32	64.182.48.47	AS
64.182.48.48	64.182.48.56	US
64.182.48.57	64.182.48.64	WS
64.182.48.65	64.182.48.74	US
64.182.48.75	64.182.48.92	MX
64.182.48.93	64.182.48.101	EG
64.182.48.102	64.182.48.242	US
64.182.48.243	64.182.48.251	CA
64.182.48.252	64.182.49.0	US
64.182.49.1	64.182.49.254	CA
64.182.49.255	64.182.50.82	US
64.182.50.83	64.182.50.91	FR
64.182.50.92	64.182.50.108	US
64.182.50.109	64.182.50.117	IT
64.182.50.118	64.182.50.155	US
64.182.50.156	64.182.50.163	CA
64.182.50.164	64.182.50.198	US
64.182.50.199	64.182.50.206	HK
64.182.50.207	64.182.52.175	US
64.182.52.176	64.182.52.184	AS
64.182.52.185	64.182.52.192	IT
64.182.52.193	64.182.52.218	US
64.182.52.219	64.182.52.234	WS
64.182.52.235	64.182.56.16	US
64.182.56.17	64.182.56.24	CA
64.182.56.25	64.182.56.32	WS
64.182.56.33	64.182.56.193	US
64.182.56.194	64.182.56.202	TC
64.182.56.203	64.182.59.0	US
64.182.59.1	64.182.59.254	AS
64.182.59.255	64.182.61.233	US
64.182.61.234	64.182.61.241	CA
64.182.61.242	64.182.62.56	US
64.182.62.57	64.182.62.64	SA
64.182.62.65	64.182.62.97	US
64.182.62.98	64.182.62.105	CA
64.182.62.106	64.182.63.70	US
64.182.63.71	64.182.63.80	EG
64.182.63.81	64.182.63.106	US
64.182.63.107	64.182.63.114	IT
64.182.63.115	64.182.63.123	AU
64.182.63.124	64.182.63.132	US
64.182.63.133	64.182.63.141	SN
64.182.63.142	64.182.63.157	US
64.182.63.158	64.182.63.165	FR
64.182.63.166	64.182.63.181	CA
64.182.63.182	64.182.112.151	US
64.182.112.152	64.182.112.159	AS
64.182.112.160	64.184.191.255	US
64.184.192.0	64.184.223.255	CA
64.184.224.0	64.185.191.255	US
64.185.192.0	64.185.223.255	PR
64.185.224.0	64.186.255.255	US
64.187.0.0	64.187.63.255	CA
64.187.64.0	64.187.97.191	US
64.187.97.192	64.187.97.223	CA
64.187.97.224	64.187.98.31	US
64.187.98.32	64.187.98.63	CA
64.187.98.64	64.187.98.159	US
64.187.98.160	64.187.98.223	CA
64.187.98.224	64.187.99.191	US
64.187.99.192	64.187.99.255	CA
64.187.100.0	64.187.102.7	US
64.187.102.8	64.187.102.15	GB
64.187.102.16	64.187.102.47	US
64.187.102.48	64.187.102.55	CA
64.187.102.56	64.187.102.119	US
64.187.102.120	64.187.102.127	NZ
64.187.102.128	64.187.102.167	US
64.187.102.168	64.187.102.175	RO
64.187.102.176	64.187.105.95	US
64.187.105.96	64.187.105.111	CA
64.187.105.112	64.187.118.127	US
64.187.118.128	64.187.118.143	IT
64.187.118.144	64.187.118.159	US
64.187.118.160	64.187.118.191	VN
64.187.118.192	64.187.123.119	US
64.187.123.120	64.187.123.127	BR
64.187.123.128	64.187.123.207	US
64.187.123.208	64.187.123.215	BR
64.187.123.216	64.187.126.255	US
64.187.127.0	64.187.127.31	BO
64.187.127.32	64.187.127.135	US
64.187.127.136	64.187.127.151	GB
64.187.127.152	64.187.127.159	US
64.187.127.160	64.187.127.175	CA
64.187.127.176	64.191.197.255	US
64.191.198.0	64.191.198.255	AU
64.191.199.0	64.192.130.127	US
64.192.130.128	64.192.130.255	PA
64.192.131.0	64.192.134.191	US
64.192.134.192	64.192.134.255	IL
64.192.135.0	64.192.136.63	US
64.192.136.64	64.192.136.95	LB
64.192.136.96	64.193.121.255	US
64.193.122.0	64.193.123.255	MP
64.193.124.0	64.194.80.255	US
64.194.81.0	64.194.81.63	BM
64.194.81.64	64.200.239.127	US
64.200.239.128	64.200.239.255	LB
64.200.240.0	64.201.31.255	US
64.201.32.0	64.201.34.79	CA
64.201.34.80	64.201.34.95	US
64.201.34.96	64.201.63.255	CA
64.201.64.0	64.201.159.255	US
64.201.160.0	64.201.223.255	CA
64.201.224.0	64.202.111.255	US
64.202.112.0	64.202.113.255	CY
64.202.114.0	64.202.121.255	US
64.202.122.0	64.202.122.255	GB
64.202.123.0	64.202.143.255	US
64.202.144.0	64.202.159.255	CA
64.202.160.0	64.208.181.255	US
64.208.182.0	64.208.182.255	CA
64.208.183.0	64.209.7.255	US
64.209.8.0	64.209.15.255	PR
64.209.16.0	64.209.20.255	US
64.209.21.0	64.209.21.255	CY
64.209.22.0	64.209.221.95	US
64.209.221.96	64.209.221.111	TW
64.209.221.112	64.209.225.255	US
64.209.226.0	64.209.226.255	CA
64.209.227.0	64.209.230.127	US
64.209.230.128	64.209.230.159	CA
64.209.230.160	64.210.196.191	US
64.210.196.192	64.210.196.199	IL
64.210.196.200	64.210.207.255	US
64.210.208.0	64.210.208.255	NO
64.210.209.0	64.212.199.255	US
64.212.200.0	64.212.200.255	PR
64.212.201.0	64.213.55.255	US
64.213.56.0	64.213.63.255	PA
64.213.64.0	64.213.223.255	US
64.213.224.0	64.213.255.255	PR
64.214.0.0	64.215.119.255	US
64.215.120.0	64.215.127.255	PA
64.215.128.0	64.216.4.255	US
64.216.5.0	64.216.5.7	PR
64.216.5.8	64.216.6.255	US
64.216.7.0	64.216.7.7	PR
64.216.7.8	64.216.50.47	US
64.216.50.48	64.216.50.55	PR
64.216.50.56	64.216.68.71	US
64.216.68.72	64.216.68.79	PR
64.216.68.80	64.216.69.255	US
64.216.70.0	64.216.70.15	PR
64.216.70.16	64.216.70.63	US
64.216.70.64	64.216.70.71	PR
64.216.70.72	64.216.70.79	US
64.216.70.80	64.216.70.87	PR
64.216.70.88	64.216.81.87	US
64.216.81.88	64.216.81.95	PR
64.216.81.96	64.216.81.167	US
64.216.81.168	64.216.81.183	PR
64.216.81.184	64.216.88.167	US
64.216.88.168	64.216.88.199	PR
64.216.88.200	64.216.88.207	US
64.216.88.208	64.216.88.215	PR
64.216.88.216	64.216.89.47	US
64.216.89.48	64.216.89.55	PR
64.216.89.56	64.216.138.175	US
64.216.138.176	64.216.138.183	PR
64.216.138.184	64.216.146.127	US
64.216.146.128	64.216.146.135	PR
64.216.146.136	64.216.146.239	US
64.216.146.240	64.216.146.247	PR
64.216.146.248	64.216.198.103	US
64.216.198.104	64.216.198.111	PR
64.216.198.112	64.216.199.95	US
64.216.199.96	64.216.199.103	PR
64.216.199.104	64.216.200.39	US
64.216.200.40	64.216.200.47	PR
64.216.200.48	64.216.203.167	US
64.216.203.168	64.216.203.175	PR
64.216.203.176	64.216.204.239	US
64.216.204.240	64.216.204.247	PR
64.216.204.248	64.216.205.31	US
64.216.205.32	64.216.205.39	PR
64.216.205.40	64.216.227.55	US
64.216.227.56	64.216.227.63	PR
64.216.227.64	64.217.5.15	US
64.217.5.16	64.217.5.39	PR
64.217.5.40	64.217.5.47	US
64.217.5.48	64.217.5.55	PR
64.217.5.56	64.217.5.159	US
64.217.5.160	64.217.5.167	PR
64.217.5.168	64.217.5.183	US
64.217.5.184	64.217.5.199	PR
64.217.5.200	64.217.68.215	US
64.217.68.216	64.217.68.239	PR
64.217.68.240	64.217.109.135	US
64.217.109.136	64.217.109.143	PR
64.217.109.144	64.217.109.167	US
64.217.109.168	64.217.109.175	PR
64.217.109.176	64.217.192.159	US
64.217.192.160	64.217.192.167	PR
64.217.192.168	64.217.193.183	US
64.217.193.184	64.217.193.191	PR
64.217.193.192	64.217.193.215	US
64.217.193.216	64.217.193.231	PR
64.217.193.232	64.217.200.247	US
64.217.200.248	64.217.200.255	PR
64.217.201.0	64.217.222.63	US
64.217.222.64	64.217.222.71	PR
64.217.222.72	64.217.223.135	US
64.217.223.136	64.217.223.143	PR
64.217.223.144	64.218.7.199	US
64.218.7.200	64.218.7.207	PR
64.218.7.208	64.218.12.95	US
64.218.12.96	64.218.12.103	PR
64.218.12.104	64.218.12.199	US
64.218.12.200	64.218.12.207	PR
64.218.12.208	64.218.245.191	US
64.218.245.192	64.218.245.199	PR
64.218.245.200	64.218.254.31	US
64.218.254.32	64.218.254.39	PR
64.218.254.40	64.219.26.103	US
64.219.26.104	64.219.26.111	PR
64.219.26.112	64.219.26.159	US
64.219.26.160	64.219.26.167	PR
64.219.26.168	64.219.55.63	US
64.219.55.64	64.219.55.71	PR
64.219.55.72	64.219.89.207	US
64.219.89.208	64.219.89.215	PR
64.219.89.216	64.219.102.207	US
64.219.102.208	64.219.102.215	PR
64.219.102.216	64.219.202.231	US
64.219.202.232	64.219.202.239	PR
64.219.202.240	64.219.209.103	US
64.219.209.104	64.219.209.111	PR
64.219.209.112	64.219.226.151	US
64.219.226.152	64.219.226.159	PR
64.219.226.160	64.224.10.16	US
64.224.10.17	64.224.10.30	AU
64.224.10.31	64.224.112.144	US
64.224.112.145	64.224.112.158	ES
64.224.112.159	64.224.116.176	US
64.224.116.177	64.224.116.190	CA
64.224.116.191	64.224.118.16	US
64.224.118.17	64.224.118.30	CA
64.224.118.31	64.224.119.48	US
64.224.119.49	64.224.119.62	VE
64.224.119.63	64.224.121.160	US
64.224.121.161	64.224.121.174	JP
64.224.121.175	64.224.121.240	US
64.224.121.241	64.224.121.254	CL
64.224.121.255	64.224.123.112	US
64.224.123.113	64.224.123.126	IE
64.224.123.127	64.224.123.160	US
64.224.123.161	64.224.123.174	CL
64.224.123.175	64.224.124.176	US
64.224.124.177	64.224.124.190	AR
64.224.124.191	64.224.124.208	US
64.224.124.209	64.224.124.222	LB
64.224.124.223	64.224.124.224	US
64.224.124.225	64.224.124.238	CN
64.224.124.239	64.224.127.48	US
64.224.127.49	64.224.127.62	LB
64.224.127.63	64.224.201.31	US
64.224.201.32	64.224.201.47	ES
64.224.201.48	64.224.202.95	US
64.224.202.96	64.224.202.111	IE
64.224.202.112	64.225.121.15	US
64.225.121.16	64.225.121.31	HK
64.225.121.32	64.225.121.79	US
64.225.121.80	64.225.121.95	TH
64.225.121.96	64.225.123.15	US
64.225.123.16	64.225.123.95	UA
64.225.123.96	64.225.137.175	US
64.225.137.176	64.225.137.191	CA
64.225.137.192	64.225.137.239	US
64.225.137.240	64.225.137.255	TH
64.225.138.0	64.225.139.191	US
64.225.139.192	64.225.139.207	TH
64.225.139.208	64.225.140.175	US
64.225.140.176	64.225.140.223	JP
64.225.140.224	64.225.142.31	US
64.225.142.32	64.225.142.47	PR
64.225.142.48	64.225.143.239	US
64.225.143.240	64.225.143.254	IN
64.225.143.255	64.227.255.255	US
64.228.0.0	64.231.255.255	CA
64.232.0.0	64.232.14.159	US
64.232.14.160	64.232.14.175	CA
64.232.14.176	64.235.47.31	US
64.235.47.32	64.235.47.39	VE
64.235.47.40	64.235.47.60	US
64.235.47.61	64.235.47.68	AU
64.235.47.69	64.235.47.99	US
64.235.47.100	64.235.47.116	AU
64.235.47.117	64.235.47.152	US
64.235.47.153	64.235.47.161	IN
64.235.47.162	64.235.47.195	US
64.235.47.196	64.235.47.215	TR
64.235.47.216	64.235.53.255	US
64.235.54.0	64.235.54.255	CA
64.235.55.0	64.235.95.255	US
64.235.96.0	64.235.111.255	CA
64.235.112.0	64.235.113.255	A2
64.235.114.0	64.235.116.255	US
64.235.117.0	64.235.117.103	A2
64.235.117.104	64.235.117.127	US
64.235.117.128	64.235.117.143	A2
64.235.117.144	64.235.117.151	US
64.235.117.152	64.235.117.159	A2
64.235.117.160	64.235.117.191	US
64.235.117.192	64.235.117.247	A2
64.235.117.248	64.235.117.255	US
64.235.118.0	64.235.118.127	NL
64.235.118.128	64.235.118.255	A2
64.235.119.0	64.235.121.255	US
64.235.122.0	64.235.122.143	A2
64.235.122.144	64.235.122.151	US
64.235.122.152	64.235.122.159	A2
64.235.122.160	64.235.122.183	US
64.235.122.184	64.235.122.191	A2
64.235.122.192	64.235.122.199	US
64.235.122.200	64.235.127.255	A2
64.235.128.0	64.235.191.255	US
64.235.192.0	64.235.194.143	CA
64.235.194.144	64.235.194.151	IT
64.235.194.152	64.235.210.79	CA
64.235.210.80	64.235.210.95	US
64.235.210.96	64.235.212.255	CA
64.235.213.0	64.235.213.255	AU
64.235.214.0	64.235.223.255	CA
64.235.224.0	64.235.226.111	US
64.235.226.112	64.235.226.143	CA
64.235.226.144	64.235.236.239	US
64.235.236.240	64.235.236.247	AU
64.235.236.248	64.235.241.95	US
64.235.241.96	64.235.241.127	CA
64.235.241.128	64.236.8.255	US
64.236.9.0	64.236.9.255	GB
64.236.10.0	64.236.11.255	BR
64.236.12.0	64.236.44.255	US
64.236.45.0	64.236.45.255	JP
64.236.46.0	64.236.99.255	US
64.236.100.0	64.236.100.255	JP
64.236.101.0	64.236.105.255	US
64.236.106.0	64.236.107.255	GB
64.236.108.0	64.236.159.255	US
64.236.160.0	64.236.160.255	IE
64.236.161.0	64.236.215.255	US
64.236.216.0	64.236.216.255	GB
64.236.217.0	64.236.217.255	US
64.236.218.0	64.236.219.255	FR
64.236.220.0	64.236.223.255	US
64.236.224.0	64.236.224.255	GB
64.236.225.0	64.236.226.255	US
64.236.227.0	64.236.228.255	GB
64.236.229.0	64.237.127.255	US
64.237.128.0	64.237.255.255	PR
64.238.0.0	64.238.210.143	US
64.238.210.144	64.238.210.255	CA
64.238.211.0	64.239.242.95	US
64.239.242.96	64.239.242.111	CA
64.239.242.112	64.240.48.175	US
64.240.48.176	64.240.48.183	CA
64.240.48.184	64.240.62.255	US
64.240.63.0	64.240.63.15	CA
64.240.63.16	64.240.70.79	US
64.240.70.80	64.240.70.95	JP
64.240.70.96	64.240.85.127	US
64.240.85.128	64.240.85.191	CA
64.240.85.192	64.240.90.127	US
64.240.90.128	64.240.90.143	CA
64.240.90.144	64.240.130.127	US
64.240.130.128	64.240.130.135	CA
64.240.130.136	64.240.143.87	US
64.240.143.88	64.240.143.95	CA
64.240.143.96	64.240.219.255	US
64.240.220.0	64.240.220.255	VE
64.240.221.0	64.241.63.255	US
64.241.64.0	64.241.64.7	AU
64.241.64.8	64.241.84.47	US
64.241.84.48	64.241.84.55	CA
64.241.84.56	64.241.126.95	US
64.241.126.96	64.241.126.103	CA
64.241.126.104	64.241.149.175	US
64.241.149.176	64.241.149.183	CA
64.241.149.184	64.241.158.175	US
64.241.158.176	64.241.158.183	CA
64.241.158.184	64.241.168.207	US
64.241.168.208	64.241.168.215	VI
64.241.168.216	64.241.169.255	US
64.241.170.0	64.241.171.255	VE
64.241.172.0	64.241.176.231	US
64.241.176.232	64.241.176.239	CA
64.241.176.240	64.241.194.255	US
64.241.195.0	64.241.195.31	CA
64.241.195.32	64.241.203.31	US
64.241.203.32	64.241.203.47	IN
64.241.203.48	64.241.225.15	US
64.241.225.16	64.241.225.23	CA
64.241.225.24	64.241.231.143	US
64.241.231.144	64.241.231.151	CA
64.241.231.152	64.241.236.127	US
64.241.236.128	64.241.236.159	CA
64.241.236.160	64.241.245.255	US
64.241.246.0	64.241.246.255	HK
64.241.247.0	64.242.97.31	US
64.242.97.32	64.242.97.39	CA
64.242.97.40	64.242.97.47	US
64.242.97.48	64.242.97.63	CA
64.242.97.64	64.242.115.79	US
64.242.115.80	64.242.115.95	CA
64.242.115.96	64.242.169.15	US
64.242.169.16	64.242.169.31	GB
64.242.169.32	64.243.113.63	US
64.243.113.64	64.243.113.71	GB
64.243.113.72	64.243.142.31	US
64.243.142.32	64.243.142.63	CA
64.243.142.64	64.243.210.127	US
64.243.210.128	64.243.210.135	CA
64.243.210.136	64.243.210.191	US
64.243.210.192	64.243.210.255	CA
64.243.211.0	64.243.212.159	US
64.243.212.160	64.243.212.175	CA
64.243.212.176	64.243.213.127	US
64.243.213.128	64.243.213.191	CA
64.243.213.192	64.243.221.175	US
64.243.221.176	64.243.221.183	CA
64.243.221.184	64.244.56.55	US
64.244.56.56	64.244.56.63	MU
64.244.56.64	64.246.69.255	US
64.246.70.0	64.246.71.255	GB
64.246.72.0	64.246.73.255	US
64.246.74.0	64.246.75.255	GB
64.246.76.0	64.246.91.255	US
64.246.92.0	64.246.93.255	GB
64.246.94.0	64.247.127.255	US
64.247.128.0	64.247.159.255	CA
64.247.160.0	64.247.175.255	PR
64.247.176.0	64.250.79.255	US
64.250.80.0	64.250.95.255	CA
64.250.96.0	64.250.111.255	US
64.250.128.0	64.251.63.255	US
64.251.64.0	64.251.95.255	CA
64.251.96.0	64.253.127.255	US
64.253.128.0	64.253.132.103	CA
64.253.132.104	64.253.132.111	US
64.253.132.112	64.253.137.31	CA
64.253.137.32	64.253.137.63	US
64.253.137.64	64.253.137.159	CA
64.253.137.160	64.253.137.175	US
64.253.137.176	64.253.137.199	CA
64.253.137.200	64.253.137.207	US
64.253.137.208	64.253.137.223	CA
64.253.137.224	64.253.137.231	US
64.253.137.232	64.253.159.255	CA
64.253.160.0	64.253.255.255	US
64.254.0.0	64.254.13.4	CA
64.254.13.5	64.254.13.6	US
64.254.13.7	64.254.13.63	CA
64.254.13.64	64.254.13.64	US
64.254.13.65	64.254.31.255	CA
64.254.32.0	64.254.141.31	US
64.254.141.32	64.254.141.47	FI
64.254.141.48	64.254.141.223	US
64.254.141.224	64.254.141.239	FI
64.254.141.240	64.254.143.255	US
64.254.144.0	64.254.159.255	CA
64.254.160.0	64.254.223.255	US
64.254.224.0	64.254.231.255	CA
64.254.232.0	64.254.232.127	US
64.254.232.128	64.254.234.255	CA
64.254.235.0	64.254.235.127	US
64.254.235.128	64.254.255.255	CA
64.255.0.0	64.255.163.255	US
64.255.164.0	64.255.164.255	NO
64.255.165.0	64.255.173.111	US
64.255.173.112	64.255.173.127	AU
64.255.173.128	64.255.179.255	US
64.255.180.0	64.255.180.255	NO
64.255.181.0	65.14.31.255	US
65.14.32.0	65.14.33.255	A2
65.14.34.0	65.17.196.29	US
65.17.196.30	65.17.196.39	GB
65.17.196.40	65.17.196.59	US
65.17.196.60	65.17.196.69	LB
65.17.196.70	65.17.196.79	US
65.17.196.80	65.17.196.89	BE
65.17.196.90	65.17.196.109	US
65.17.196.110	65.17.196.119	QA
65.17.196.120	65.17.197.9	US
65.17.197.10	65.17.197.19	CA
65.17.197.20	65.17.197.29	US
65.17.197.30	65.17.197.69	CA
65.17.197.70	65.17.198.29	US
65.17.198.30	65.17.198.49	AU
65.17.198.50	65.17.198.69	US
65.17.198.70	65.17.198.79	CR
65.17.198.80	65.17.202.15	US
65.17.202.16	65.17.202.31	CA
65.17.202.32	65.17.205.63	US
65.17.205.64	65.17.205.79	QA
65.17.205.80	65.17.205.127	US
65.17.205.128	65.17.205.255	QA
65.17.206.0	65.17.210.255	US
65.17.211.0	65.17.211.15	CA
65.17.211.16	65.17.211.191	US
65.17.211.192	65.17.211.223	CA
65.17.211.224	65.17.213.31	US
65.17.213.32	65.17.213.47	ES
65.17.213.48	65.17.213.63	CO
65.17.213.64	65.17.213.127	US
65.17.213.128	65.17.213.159	CR
65.17.213.160	65.17.213.191	ES
65.17.213.192	65.17.219.39	US
65.17.219.40	65.17.219.49	GB
65.17.219.50	65.17.219.79	US
65.17.219.80	65.17.219.89	NZ
65.17.219.90	65.17.219.119	US
65.17.219.120	65.17.219.129	SI
65.17.219.130	65.17.223.255	US
65.17.224.0	65.17.224.15	CA
65.17.224.16	65.17.224.31	GB
65.17.224.32	65.17.224.255	US
65.17.225.0	65.17.225.63	GB
65.17.225.64	65.17.227.63	US
65.17.227.64	65.17.227.95	SA
65.17.227.96	65.17.231.59	US
65.17.231.60	65.17.231.69	SY
65.17.231.70	65.17.231.99	US
65.17.231.100	65.17.231.109	GB
65.17.231.110	65.17.231.119	NL
65.17.231.120	65.17.231.159	US
65.17.231.160	65.17.231.169	GB
65.17.231.170	65.17.232.29	US
65.17.232.30	65.17.232.39	BE
65.17.232.40	65.17.232.99	US
65.17.232.100	65.17.232.109	PH
65.17.232.110	65.17.232.159	US
65.17.232.160	65.17.232.169	SI
65.17.232.170	65.17.232.179	US
65.17.232.180	65.17.232.189	CA
65.17.232.190	65.17.234.39	US
65.17.234.40	65.17.234.79	NZ
65.17.234.80	65.17.239.111	US
65.17.239.112	65.17.239.127	BG
65.17.239.128	65.17.241.29	US
65.17.241.30	65.17.241.39	DE
65.17.241.40	65.17.241.149	US
65.17.241.150	65.17.241.159	CR
65.17.241.160	65.17.241.169	CA
65.17.241.170	65.17.241.209	US
65.17.241.210	65.17.241.219	CR
65.17.241.220	65.17.242.19	US
65.17.242.20	65.17.242.59	CA
65.17.242.60	65.17.242.109	US
65.17.242.110	65.17.242.119	CA
65.17.242.120	65.17.242.179	US
65.17.242.180	65.17.242.189	CA
65.17.242.190	65.17.243.127	US
65.17.243.128	65.17.243.191	SA
65.17.243.192	65.19.129.15	US
65.19.129.16	65.19.129.31	IT
65.19.129.32	65.19.131.95	US
65.19.131.96	65.19.131.111	IT
65.19.131.112	65.19.131.239	US
65.19.131.240	65.19.131.255	DE
65.19.132.0	65.19.134.111	US
65.19.134.112	65.19.134.119	CN
65.19.134.120	65.19.134.255	US
65.19.135.0	65.19.135.255	CN
65.19.136.0	65.19.138.167	US
65.19.138.168	65.19.138.175	SG
65.19.138.176	65.19.140.255	US
65.19.141.0	65.19.141.7	JP
65.19.141.8	65.19.147.255	US
65.19.148.0	65.19.148.255	CA
65.19.149.0	65.19.151.255	US
65.19.152.0	65.19.152.255	CN
65.19.153.0	65.19.154.63	US
65.19.154.64	65.19.154.127	TH
65.19.154.128	65.19.154.223	US
65.19.154.224	65.19.154.255	NL
65.19.155.0	65.19.156.103	US
65.19.156.104	65.19.156.111	BM
65.19.156.112	65.19.165.255	US
65.19.166.0	65.19.166.127	IT
65.19.166.128	65.19.167.111	US
65.19.167.112	65.19.167.119	MY
65.19.167.120	65.19.167.255	US
65.19.168.0	65.19.168.255	CA
65.19.169.0	65.19.170.255	US
65.19.171.0	65.19.172.255	CA
65.19.173.0	65.19.176.95	US
65.19.176.96	65.19.176.111	GB
65.19.176.112	65.19.176.127	US
65.19.176.128	65.19.176.159	JP
65.19.176.160	65.19.185.255	US
65.19.186.0	65.19.186.255	IT
65.19.187.0	65.19.187.255	US
65.19.188.0	65.19.188.255	CN
65.19.189.0	65.21.255.255	US
65.22.0.0	65.22.255.255	CA
65.23.0.0	65.23.129.32	US
65.23.129.33	65.23.129.64	DO
65.23.129.65	65.23.157.29	US
65.23.157.30	65.23.157.37	KN
65.23.157.38	65.23.158.226	US
65.23.158.227	65.23.158.234	KN
65.23.158.235	65.23.191.255	US
65.23.192.0	65.23.255.255	PR
65.24.0.0	65.36.243.63	US
65.36.243.64	65.36.243.95	AU
65.36.243.96	65.38.31.255	US
65.38.32.0	65.38.47.255	CA
65.38.48.0	65.38.63.255	US
65.38.64.0	65.38.95.255	CA
65.38.96.0	65.38.166.111	US
65.38.166.112	65.38.166.119	CA
65.38.166.120	65.38.166.207	US
65.38.166.208	65.38.166.223	AR
65.38.166.224	65.38.168.31	US
65.38.168.32	65.38.168.47	SA
65.38.168.48	65.38.168.63	GB
65.38.168.64	65.38.169.223	US
65.38.169.224	65.38.169.239	AR
65.38.169.240	65.38.174.127	US
65.38.174.128	65.38.174.143	GB
65.38.174.144	65.38.174.175	US
65.38.174.176	65.38.174.191	FR
65.38.174.192	65.38.174.223	US
65.38.174.224	65.38.174.239	CA
65.38.174.240	65.38.179.255	US
65.38.180.0	65.38.181.127	AR
65.38.181.128	65.38.182.95	US
65.38.182.96	65.38.182.127	SY
65.38.182.128	65.38.182.143	US
65.38.182.144	65.38.182.159	SY
65.38.182.160	65.38.182.167	US
65.38.182.168	65.38.182.175	RO
65.38.182.176	65.38.183.63	US
65.38.183.64	65.38.183.79	CA
65.38.183.80	65.38.183.191	US
65.38.183.192	65.38.183.207	FR
65.38.183.208	65.38.183.223	CA
65.38.183.224	65.38.183.255	US
65.38.184.0	65.38.184.7	GB
65.38.184.8	65.38.184.79	US
65.38.184.80	65.38.184.95	CA
65.38.184.96	65.38.185.191	US
65.38.185.192	65.38.185.207	SA
65.38.185.208	65.38.186.79	US
65.38.186.80	65.38.186.95	JP
65.38.186.96	65.38.186.239	US
65.38.186.240	65.38.186.255	IT
65.38.187.0	65.38.187.15	US
65.38.187.16	65.38.187.63	CY
65.38.187.64	65.38.187.111	US
65.38.187.112	65.38.187.127	RO
65.38.187.128	65.38.187.143	PH
65.38.187.144	65.38.187.207	US
65.38.187.208	65.38.187.223	CY
65.38.187.224	65.38.190.47	US
65.38.190.48	65.38.190.63	SY
65.38.190.64	65.38.190.223	US
65.38.190.224	65.38.190.239	SY
65.38.190.240	65.38.191.255	US
65.38.192.0	65.38.209.255	PR
65.38.210.0	65.38.211.255	DO
65.38.212.0	65.38.223.255	PR
65.38.224.0	65.38.255.255	US
65.39.0.0	65.39.63.255	CA
65.39.64.0	65.39.127.255	US
65.39.128.0	65.39.128.111	CA
65.39.128.112	65.39.128.127	US
65.39.128.128	65.39.134.119	CA
65.39.134.120	65.39.134.127	US
65.39.134.128	65.39.136.119	CA
65.39.136.120	65.39.136.127	US
65.39.136.128	65.39.136.207	CA
65.39.136.208	65.39.136.223	US
65.39.136.224	65.39.137.255	CA
65.39.138.0	65.39.138.255	US
65.39.139.0	65.39.139.255	CA
65.39.140.0	65.39.140.31	US
65.39.140.32	65.39.140.47	CA
65.39.140.48	65.39.140.127	US
65.39.140.128	65.39.140.143	CA
65.39.140.144	65.39.140.151	US
65.39.140.152	65.39.143.159	CA
65.39.143.160	65.39.143.175	US
65.39.143.176	65.39.143.191	CA
65.39.143.192	65.39.143.207	US
65.39.143.208	65.39.144.63	CA
65.39.144.64	65.39.144.95	US
65.39.144.96	65.39.144.127	CA
65.39.144.128	65.39.144.143	US
65.39.144.144	65.39.144.151	CA
65.39.144.152	65.39.144.159	BV
65.39.144.160	65.39.146.63	CA
65.39.146.64	65.39.146.95	US
65.39.146.96	65.39.146.111	CA
65.39.146.112	65.39.146.159	US
65.39.146.160	65.39.146.207	CA
65.39.146.208	65.39.154.255	US
65.39.155.0	65.39.155.55	CA
65.39.155.56	65.39.155.79	US
65.39.155.80	65.39.155.87	CA
65.39.155.88	65.39.155.95	VG
65.39.155.96	65.39.155.199	CA
65.39.155.200	65.39.155.219	US
65.39.155.220	65.39.155.223	CA
65.39.155.224	65.39.155.239	US
65.39.155.240	65.39.159.191	CA
65.39.159.192	65.39.159.255	US
65.39.160.0	65.39.163.255	CA
65.39.164.0	65.39.165.255	US
65.39.166.0	65.39.166.15	CA
65.39.166.16	65.39.166.63	US
65.39.166.64	65.39.166.79	CA
65.39.166.80	65.39.166.87	US
65.39.166.88	65.39.166.127	CA
65.39.166.128	65.39.166.159	US
65.39.166.160	65.39.166.167	CA
65.39.166.168	65.39.166.175	US
65.39.166.176	65.39.166.191	CA
65.39.166.192	65.39.166.207	VG
65.39.166.208	65.39.168.255	CA
65.39.169.0	65.39.170.15	US
65.39.170.16	65.39.170.31	CA
65.39.170.32	65.39.170.63	US
65.39.170.64	65.39.170.67	CA
65.39.170.68	65.39.170.127	US
65.39.170.128	65.39.170.223	CA
65.39.170.224	65.39.172.7	US
65.39.172.8	65.39.172.15	CA
65.39.172.16	65.39.172.17	US
65.39.172.18	65.39.172.30	CA
65.39.172.31	65.39.172.39	US
65.39.172.40	65.39.172.47	CA
65.39.172.48	65.39.172.63	US
65.39.172.64	65.39.172.159	CA
65.39.172.160	65.39.172.191	US
65.39.172.192	65.39.173.79	CA
65.39.173.80	65.39.173.127	US
65.39.173.128	65.39.174.175	CA
65.39.174.176	65.39.174.191	US
65.39.174.192	65.39.174.207	CA
65.39.174.208	65.39.174.255	US
65.39.175.0	65.39.175.63	CA
65.39.175.64	65.39.175.79	US
65.39.175.80	65.39.175.87	CA
65.39.175.88	65.39.175.95	US
65.39.175.96	65.39.175.191	CA
65.39.175.192	65.39.175.255	US
65.39.176.0	65.39.177.127	CA
65.39.177.128	65.39.177.143	US
65.39.177.144	65.39.177.159	BV
65.39.177.160	65.39.177.255	CA
65.39.178.0	65.39.178.255	GB
65.39.179.0	65.39.179.143	US
65.39.179.144	65.39.179.175	CA
65.39.179.176	65.39.179.191	US
65.39.179.192	65.39.183.255	CA
65.39.184.0	65.39.184.255	US
65.39.185.0	65.39.185.143	CA
65.39.185.144	65.39.185.159	US
65.39.185.160	65.39.185.191	CA
65.39.185.192	65.39.185.231	US
65.39.185.232	65.39.185.239	CA
65.39.185.240	65.39.185.247	US
65.39.185.248	65.39.185.255	CA
65.39.186.0	65.39.186.31	US
65.39.186.32	65.39.186.95	CA
65.39.186.96	65.39.186.111	US
65.39.186.112	65.39.186.127	CA
65.39.186.128	65.39.186.167	US
65.39.186.168	65.39.186.207	CA
65.39.186.208	65.39.186.223	US
65.39.186.224	65.39.186.231	CA
65.39.186.232	65.39.186.239	US
65.39.186.240	65.39.186.247	CA
65.39.186.248	65.39.186.255	US
65.39.187.0	65.39.190.255	CA
65.39.191.0	65.39.191.63	US
65.39.191.64	65.39.191.95	AN
65.39.191.96	65.39.191.103	US
65.39.191.104	65.39.191.127	CA
65.39.191.128	65.39.191.143	US
65.39.191.144	65.39.191.159	VG
65.39.191.160	65.39.191.255	US
65.39.192.0	65.39.192.191	CA
65.39.192.192	65.39.192.255	US
65.39.193.0	65.39.193.207	CA
65.39.193.208	65.39.193.223	US
65.39.193.224	65.39.198.63	CA
65.39.198.64	65.39.198.87	US
65.39.198.88	65.39.198.103	CA
65.39.198.104	65.39.198.111	US
65.39.198.112	65.39.198.143	CA
65.39.198.144	65.39.198.239	US
65.39.198.240	65.39.199.127	CA
65.39.199.128	65.39.199.159	US
65.39.199.160	65.39.199.223	CA
65.39.199.224	65.39.199.246	US
65.39.199.247	65.39.199.254	CA
65.39.199.255	65.39.199.255	US
65.39.200.0	65.39.200.255	CA
65.39.201.0	65.39.201.31	VG
65.39.201.32	65.39.201.127	CA
65.39.201.128	65.39.201.143	US
65.39.201.144	65.39.201.191	CA
65.39.201.192	65.39.201.207	US
65.39.201.208	65.39.201.239	CA
65.39.201.240	65.39.202.145	US
65.39.202.146	65.39.202.153	CA
65.39.202.154	65.39.202.167	US
65.39.202.168	65.39.202.175	CA
65.39.202.176	65.39.202.255	US
65.39.203.0	65.39.203.255	CA
65.39.204.0	65.39.204.23	US
65.39.204.24	65.39.204.31	CA
65.39.204.32	65.39.204.255	US
65.39.205.0	65.39.205.31	CA
65.39.205.32	65.39.205.127	US
65.39.205.128	65.39.205.191	CA
65.39.205.192	65.39.205.223	US
65.39.205.224	65.39.205.239	CA
65.39.205.240	65.39.206.95	US
65.39.206.96	65.39.206.111	CA
65.39.206.112	65.39.207.255	US
65.39.208.0	65.39.208.223	CA
65.39.208.224	65.39.208.255	US
65.39.209.0	65.39.211.255	CA
65.39.212.0	65.39.216.127	US
65.39.216.128	65.39.216.175	CA
65.39.216.176	65.39.216.255	US
65.39.217.0	65.39.217.127	CA
65.39.217.128	65.39.217.191	US
65.39.217.192	65.39.219.207	CA
65.39.219.208	65.39.219.223	US
65.39.219.224	65.39.219.239	VG
65.39.219.240	65.39.219.255	CA
65.39.220.0	65.39.220.127	US
65.39.220.128	65.39.220.223	CA
65.39.220.224	65.39.221.255	US
65.39.222.0	65.39.223.255	CA
65.39.224.0	65.39.224.63	US
65.39.224.64	65.39.225.255	CA
65.39.226.0	65.39.226.255	US
65.39.227.0	65.39.227.255	CA
65.39.228.0	65.39.228.95	US
65.39.228.96	65.39.228.127	CA
65.39.228.128	65.39.228.255	US
65.39.229.0	65.39.231.159	CA
65.39.231.160	65.39.231.175	US
65.39.231.176	65.39.231.183	CA
65.39.231.184	65.39.231.191	US
65.39.231.192	65.39.231.255	CA
65.39.232.0	65.39.235.255	US
65.39.236.0	65.39.236.255	CA
65.39.237.0	65.39.237.15	US
65.39.237.16	65.39.237.23	CA
65.39.237.24	65.39.237.31	US
65.39.237.32	65.39.237.255	CA
65.39.238.0	65.39.238.255	US
65.39.239.0	65.39.239.255	CA
65.39.240.0	65.39.241.255	US
65.39.242.0	65.39.247.255	CA
65.39.248.0	65.39.248.127	US
65.39.248.128	65.39.248.191	CA
65.39.248.192	65.39.251.255	US
65.39.252.0	65.39.252.127	CA
65.39.252.128	65.39.252.191	US
65.39.252.192	65.39.252.223	CA
65.39.252.224	65.39.252.239	US
65.39.252.240	65.39.254.255	CA
65.39.255.0	65.43.7.15	US
65.43.7.16	65.43.7.23	PR
65.43.7.24	65.48.26.167	US
65.48.26.168	65.48.26.175	UY
65.48.26.176	65.48.127.255	US
65.48.128.0	65.48.133.255	BB
65.48.134.0	65.48.139.255	GD
65.48.140.0	65.48.143.255	VC
65.48.144.0	65.48.169.255	BB
65.48.170.0	65.48.173.255	LC
65.48.174.0	65.48.201.255	BB
65.48.202.0	65.48.206.255	GD
65.48.207.0	65.48.214.255	BB
65.48.215.0	65.48.216.255	LC
65.48.217.0	65.48.220.255	VG
65.48.221.0	65.48.228.255	BB
65.48.229.0	65.48.229.255	VC
65.48.230.0	65.48.232.255	BB
65.48.233.0	65.48.235.255	VC
65.48.236.0	65.48.255.255	BB
65.49.0.0	65.49.0.255	US
65.49.1.0	65.49.1.255	HK
65.49.2.0	65.49.27.31	US
65.49.27.32	65.49.27.47	AE
65.49.27.48	65.49.27.207	US
65.49.27.208	65.49.27.215	GB
65.49.27.216	65.49.38.63	US
65.49.38.64	65.49.38.127	JP
65.49.38.128	65.49.38.135	US
65.49.38.136	65.49.38.159	CN
65.49.38.160	65.49.39.47	US
65.49.39.48	65.49.39.63	SG
65.49.39.64	65.49.39.127	JP
65.49.39.128	65.49.44.31	US
65.49.44.32	65.49.44.39	ES
65.49.44.40	65.49.49.255	US
65.49.50.0	65.49.50.255	HK
65.49.51.0	65.49.51.31	US
65.49.51.32	65.49.51.63	PH
65.49.51.64	65.49.51.127	JP
65.49.51.128	65.49.52.127	US
65.49.52.128	65.49.52.191	CA
65.49.52.192	65.49.55.255	US
65.49.56.0	65.49.56.255	CA
65.49.57.0	65.49.64.191	US
65.49.64.192	65.49.64.255	DE
65.49.65.0	65.49.72.63	US
65.49.72.64	65.49.72.127	CN
65.49.72.128	65.57.253.223	US
65.57.253.224	65.57.253.239	CA
65.57.253.240	65.61.128.183	US
65.61.128.184	65.61.128.191	CA
65.61.128.192	65.61.129.23	US
65.61.129.24	65.61.129.31	AU
65.61.129.32	65.61.129.39	US
65.61.129.40	65.61.129.47	CA
65.61.129.48	65.61.129.55	UZ
65.61.129.56	65.61.129.103	US
65.61.129.104	65.61.129.111	BD
65.61.129.112	65.61.129.175	US
65.61.129.176	65.61.129.183	CA
65.61.129.184	65.61.129.191	CY
65.61.129.192	65.61.130.199	US
65.61.130.200	65.61.130.207	MX
65.61.130.208	65.61.130.223	AU
65.61.130.224	65.61.130.231	BD
65.61.130.232	65.61.131.215	US
65.61.131.216	65.61.131.223	RO
65.61.131.224	65.61.132.79	US
65.61.132.80	65.61.132.87	BD
65.61.132.88	65.61.132.151	US
65.61.132.152	65.61.132.167	VE
65.61.132.168	65.61.133.15	US
65.61.133.16	65.61.133.23	NL
65.61.133.24	65.61.133.39	US
65.61.133.40	65.61.133.47	CA
65.61.133.48	65.61.133.63	US
65.61.133.64	65.61.133.71	IN
65.61.133.72	65.61.133.95	US
65.61.133.96	65.61.133.103	NZ
65.61.133.104	65.61.133.111	JP
65.61.133.112	65.61.133.127	UA
65.61.133.128	65.61.133.135	JM
65.61.133.136	65.61.133.183	US
65.61.133.184	65.61.133.191	JM
65.61.133.192	65.61.133.207	US
65.61.133.208	65.61.133.215	NL
65.61.133.216	65.61.134.167	US
65.61.134.168	65.61.134.175	GB
65.61.134.176	65.61.134.191	AU
65.61.134.192	65.61.135.159	US
65.61.135.160	65.61.135.175	SE
65.61.135.176	65.61.135.191	US
65.61.135.192	65.61.135.199	GB
65.61.135.200	65.61.135.239	US
65.61.135.240	65.61.135.255	AU
65.61.136.0	65.61.137.31	US
65.61.137.32	65.61.137.47	GB
65.61.137.48	65.61.138.127	US
65.61.138.128	65.61.138.135	GB
65.61.138.136	65.61.138.175	US
65.61.138.176	65.61.138.183	IN
65.61.138.184	65.61.138.223	US
65.61.138.224	65.61.138.247	NZ
65.61.138.248	65.61.138.255	US
65.61.139.0	65.61.139.15	IN
65.61.139.16	65.61.139.55	US
65.61.139.56	65.61.139.63	AE
65.61.139.64	65.61.139.207	US
65.61.139.208	65.61.139.223	CY
65.61.139.224	65.61.139.231	US
65.61.139.232	65.61.139.239	NL
65.61.139.240	65.61.144.255	US
65.61.145.0	65.61.145.7	GB
65.61.145.8	65.61.145.71	US
65.61.145.72	65.61.145.79	IN
65.61.145.80	65.61.145.119	US
65.61.145.120	65.61.145.127	NZ
65.61.145.128	65.61.148.255	US
65.61.149.0	65.61.149.7	LK
65.61.149.8	65.61.149.87	US
65.61.149.88	65.61.149.95	UZ
65.61.149.96	65.61.154.31	US
65.61.154.32	65.61.154.47	IN
65.61.154.48	65.61.156.31	US
65.61.156.32	65.61.156.47	CA
65.61.156.48	65.61.156.111	US
65.61.156.112	65.61.156.127	NZ
65.61.156.128	65.61.157.255	US
65.61.158.0	65.61.158.15	AU
65.61.158.16	65.61.158.87	US
65.61.158.88	65.61.158.95	CA
65.61.158.96	65.61.160.55	US
65.61.160.56	65.61.160.63	GB
65.61.160.64	65.61.162.255	US
65.61.163.0	65.61.163.7	JP
65.61.163.8	65.61.164.31	US
65.61.164.32	65.61.164.63	CA
65.61.164.64	65.61.164.255	US
65.61.165.0	65.61.165.15	BD
65.61.165.16	65.61.167.47	US
65.61.167.48	65.61.167.63	GB
65.61.167.64	65.61.167.135	US
65.61.167.136	65.61.167.143	CA
65.61.167.144	65.61.167.255	US
65.61.168.0	65.61.168.31	AU
65.61.168.32	65.61.168.63	US
65.61.168.64	65.61.168.159	AU
65.61.168.160	65.61.168.175	US
65.61.168.176	65.61.168.191	AU
65.61.168.192	65.61.169.63	US
65.61.169.64	65.61.169.103	FR
65.61.169.104	65.61.169.255	US
65.61.170.0	65.61.170.7	IN
65.61.170.8	65.61.170.23	US
65.61.170.24	65.61.170.31	GB
65.61.170.32	65.61.170.63	US
65.61.170.64	65.61.170.79	IN
65.61.170.80	65.61.170.191	US
65.61.170.192	65.61.170.199	AU
65.61.170.200	65.61.172.63	US
65.61.172.64	65.61.172.95	BD
65.61.172.96	65.61.172.127	US
65.61.172.128	65.61.172.255	CA
65.61.173.0	65.61.173.23	US
65.61.173.24	65.61.173.31	CA
65.61.173.32	65.61.174.31	US
65.61.174.32	65.61.174.39	ES
65.61.174.40	65.61.174.47	CA
65.61.174.48	65.61.174.119	US
65.61.174.120	65.61.174.127	IL
65.61.174.128	65.61.174.255	US
65.61.175.0	65.61.175.103	HK
65.61.175.104	65.61.176.39	US
65.61.176.40	65.61.176.47	AU
65.61.176.48	65.61.176.63	US
65.61.176.64	65.61.176.127	AU
65.61.176.128	65.61.178.127	US
65.61.178.128	65.61.178.151	TH
65.61.178.152	65.61.179.127	US
65.61.179.128	65.61.179.159	CR
65.61.179.160	65.61.179.239	US
65.61.179.240	65.61.179.247	CA
65.61.179.248	65.61.180.63	US
65.61.180.64	65.61.180.79	MX
65.61.180.80	65.61.180.95	US
65.61.180.96	65.61.180.111	DK
65.61.180.112	65.61.183.159	US
65.61.183.160	65.61.183.191	BD
65.61.183.192	65.61.184.47	US
65.61.184.48	65.61.184.55	MX
65.61.184.56	65.61.187.63	US
65.61.187.64	65.61.187.95	BD
65.61.187.96	65.61.188.255	US
65.61.189.0	65.61.189.255	CA
65.61.190.0	65.61.191.63	US
65.61.191.64	65.61.191.95	BD
65.61.191.96	65.61.191.111	US
65.61.191.112	65.61.191.127	CY
65.61.191.128	65.61.191.175	US
65.61.191.176	65.61.191.183	RU
65.61.191.184	65.61.191.255	US
65.61.192.0	65.61.200.110	CA
65.61.200.111	65.61.200.125	MO
65.61.200.126	65.61.255.255	CA
65.62.0.0	65.64.38.31	US
65.64.38.32	65.64.38.39	PR
65.64.38.40	65.64.55.7	US
65.64.55.8	65.64.55.15	PR
65.64.55.16	65.64.55.215	US
65.64.55.216	65.64.55.223	PR
65.64.55.224	65.64.141.63	US
65.64.141.64	65.64.141.71	PR
65.64.141.72	65.64.180.183	US
65.64.180.184	65.64.180.191	PR
65.64.180.192	65.64.199.231	US
65.64.199.232	65.64.199.239	PR
65.64.199.240	65.65.73.175	US
65.65.73.176	65.65.73.183	PR
65.65.73.184	65.65.73.247	US
65.65.73.248	65.65.73.255	PR
65.65.74.0	65.65.90.55	US
65.65.90.56	65.65.90.63	PR
65.65.90.64	65.65.90.207	US
65.65.90.208	65.65.90.215	PR
65.65.90.216	65.65.111.191	US
65.65.111.192	65.65.111.199	PR
65.65.111.200	65.65.122.23	US
65.65.122.24	65.65.122.31	PR
65.65.122.32	65.65.125.143	US
65.65.125.144	65.65.125.151	PR
65.65.125.152	65.65.125.191	US
65.65.125.192	65.65.125.199	PR
65.65.125.200	65.65.169.103	US
65.65.169.104	65.65.169.111	PR
65.65.169.112	65.65.169.183	US
65.65.169.184	65.65.169.191	PR
65.65.169.192	65.65.170.159	US
65.65.170.160	65.65.170.167	PR
65.65.170.168	65.65.205.119	US
65.65.205.120	65.65.205.127	PR
65.65.205.128	65.65.215.55	US
65.65.215.56	65.65.215.63	PR
65.65.215.64	65.65.237.231	US
65.65.237.232	65.65.237.239	PR
65.65.237.240	65.65.238.55	US
65.65.238.56	65.65.238.63	PR
65.65.238.64	65.65.243.23	US
65.65.243.24	65.65.243.31	PR
65.65.243.32	65.65.243.103	US
65.65.243.104	65.65.243.111	PR
65.65.243.112	65.65.251.135	US
65.65.251.136	65.65.251.143	PR
65.65.251.144	65.66.6.111	US
65.66.6.112	65.66.6.119	PR
65.66.6.120	65.66.24.175	US
65.66.24.176	65.66.24.183	PR
65.66.24.184	65.66.49.135	US
65.66.49.136	65.66.49.143	PR
65.66.49.144	65.66.65.127	US
65.66.65.128	65.66.65.135	PR
65.66.65.136	65.66.67.223	US
65.66.67.224	65.66.67.231	PR
65.66.67.232	65.66.96.103	US
65.66.96.104	65.66.96.111	PR
65.66.96.112	65.66.116.103	US
65.66.116.104	65.66.116.111	PR
65.66.116.112	65.66.133.175	US
65.66.133.176	65.66.133.183	PR
65.66.133.184	65.66.138.215	US
65.66.138.216	65.66.138.223	PR
65.66.138.224	65.66.140.199	US
65.66.140.200	65.66.140.207	PR
65.66.140.208	65.66.144.7	US
65.66.144.8	65.66.144.15	PR
65.66.144.16	65.66.144.23	US
65.66.144.24	65.66.144.31	PR
65.66.144.32	65.66.163.47	US
65.66.163.48	65.66.163.55	PR
65.66.163.56	65.66.163.159	US
65.66.163.160	65.66.163.167	PR
65.66.163.168	65.66.174.127	US
65.66.174.128	65.66.174.135	PR
65.66.174.136	65.66.186.223	US
65.66.186.224	65.66.186.231	PR
65.66.186.232	65.66.190.71	US
65.66.190.72	65.66.190.79	PR
65.66.190.80	65.66.190.231	US
65.66.190.232	65.66.190.239	PR
65.66.190.240	65.66.212.159	US
65.66.212.160	65.66.212.167	PR
65.66.212.168	65.66.224.223	US
65.66.224.224	65.66.224.239	PR
65.66.224.240	65.66.224.247	US
65.66.224.248	65.66.224.255	PR
65.66.225.0	65.66.235.103	US
65.66.235.104	65.66.235.111	PR
65.66.235.112	65.66.255.175	US
65.66.255.176	65.66.255.183	PR
65.66.255.184	65.67.0.31	US
65.67.0.32	65.67.0.39	PR
65.67.0.40	65.67.4.47	US
65.67.4.48	65.67.4.55	PR
65.67.4.56	65.67.8.143	US
65.67.8.144	65.67.8.151	PR
65.67.8.152	65.67.8.239	US
65.67.8.240	65.67.8.247	PR
65.67.8.248	65.67.11.7	US
65.67.11.8	65.67.11.15	PR
65.67.11.16	65.67.12.15	US
65.67.12.16	65.67.12.23	PR
65.67.12.24	65.67.12.135	US
65.67.12.136	65.67.12.143	PR
65.67.12.144	65.67.29.63	US
65.67.29.64	65.67.29.71	PR
65.67.29.72	65.67.30.39	US
65.67.30.40	65.67.30.55	PR
65.67.30.56	65.67.32.183	US
65.67.32.184	65.67.32.191	PR
65.67.32.192	65.67.38.103	US
65.67.38.104	65.67.38.111	PR
65.67.38.112	65.67.38.151	US
65.67.38.152	65.67.38.159	PR
65.67.38.160	65.67.46.23	US
65.67.46.24	65.67.46.31	PR
65.67.46.32	65.67.46.71	US
65.67.46.72	65.67.46.79	PR
65.67.46.80	65.67.55.151	US
65.67.55.152	65.67.55.159	PR
65.67.55.160	65.67.64.63	US
65.67.64.64	65.67.64.71	PR
65.67.64.72	65.67.64.191	US
65.67.64.192	65.67.64.199	PR
65.67.64.200	65.67.65.151	US
65.67.65.152	65.67.65.159	PR
65.67.65.160	65.67.73.87	US
65.67.73.88	65.67.73.95	PR
65.67.73.96	65.67.90.207	US
65.67.90.208	65.67.90.215	PR
65.67.90.216	65.67.91.199	US
65.67.91.200	65.67.91.207	PR
65.67.91.208	65.67.96.111	US
65.67.96.112	65.67.96.119	PR
65.67.96.120	65.67.96.175	US
65.67.96.176	65.67.96.183	PR
65.67.96.184	65.67.97.191	US
65.67.97.192	65.67.97.207	PR
65.67.97.208	65.67.98.23	US
65.67.98.24	65.67.98.31	PR
65.67.98.32	65.67.98.87	US
65.67.98.88	65.67.98.95	PR
65.67.98.96	65.67.99.63	US
65.67.99.64	65.67.99.71	PR
65.67.99.72	65.67.99.199	US
65.67.99.200	65.67.99.207	PR
65.67.99.208	65.67.104.159	US
65.67.104.160	65.67.104.167	PR
65.67.104.168	65.67.105.15	US
65.67.105.16	65.67.105.23	PR
65.67.105.24	65.67.154.111	US
65.67.154.112	65.67.154.119	PR
65.67.154.120	65.67.160.15	US
65.67.160.16	65.67.160.23	PR
65.67.160.24	65.67.160.47	US
65.67.160.48	65.67.160.55	PR
65.67.160.56	65.67.160.63	US
65.67.160.64	65.67.160.71	PR
65.67.160.72	65.67.160.239	US
65.67.160.240	65.67.160.247	PR
65.67.160.248	65.67.196.111	US
65.67.196.112	65.67.196.119	PR
65.67.196.120	65.68.10.111	US
65.68.10.112	65.68.10.119	PR
65.68.10.120	65.68.34.79	US
65.68.34.80	65.68.34.87	PR
65.68.34.88	65.68.34.167	US
65.68.34.168	65.68.34.175	PR
65.68.34.176	65.68.35.39	US
65.68.35.40	65.68.35.55	PR
65.68.35.56	65.68.37.207	US
65.68.37.208	65.68.37.215	PR
65.68.37.216	65.68.38.207	US
65.68.38.208	65.68.38.215	PR
65.68.38.216	65.68.39.183	US
65.68.39.184	65.68.39.191	PR
65.68.39.192	65.68.40.199	US
65.68.40.200	65.68.40.207	PR
65.68.40.208	65.68.124.31	US
65.68.124.32	65.68.124.63	PR
65.68.124.64	65.68.164.63	US
65.68.164.64	65.68.164.71	PR
65.68.164.72	65.68.165.79	US
65.68.165.80	65.68.165.87	PR
65.68.165.88	65.68.167.71	US
65.68.167.72	65.68.167.79	PR
65.68.167.80	65.68.167.223	US
65.68.167.224	65.68.167.231	PR
65.68.167.232	65.68.233.135	US
65.68.233.136	65.68.233.143	PR
65.68.233.144	65.68.244.119	US
65.68.244.120	65.68.244.127	PR
65.68.244.128	65.68.244.247	US
65.68.244.248	65.68.244.255	PR
65.68.245.0	65.68.246.31	US
65.68.246.32	65.68.246.39	PR
65.68.246.40	65.69.15.135	US
65.69.15.136	65.69.15.143	PR
65.69.15.144	65.69.18.95	US
65.69.18.96	65.69.18.103	PR
65.69.18.104	65.69.19.47	US
65.69.19.48	65.69.19.55	PR
65.69.19.56	65.69.19.63	US
65.69.19.64	65.69.19.71	PR
65.69.19.72	65.69.22.231	US
65.69.22.232	65.69.22.239	PR
65.69.22.240	65.69.29.15	US
65.69.29.16	65.69.29.23	PR
65.69.29.24	65.69.61.15	US
65.69.61.16	65.69.61.23	PR
65.69.61.24	65.69.63.223	US
65.69.63.224	65.69.63.231	PR
65.69.63.232	65.69.104.47	US
65.69.104.48	65.69.104.55	PR
65.69.104.56	65.69.106.191	US
65.69.106.192	65.69.106.199	PR
65.69.106.200	65.69.107.23	US
65.69.107.24	65.69.107.31	PR
65.69.107.32	65.69.107.39	US
65.69.107.40	65.69.107.47	PR
65.69.107.48	65.69.110.127	US
65.69.110.128	65.69.110.135	PR
65.69.110.136	65.69.111.151	US
65.69.111.152	65.69.111.159	PR
65.69.111.160	65.69.123.255	US
65.69.124.0	65.69.124.7	PR
65.69.124.8	65.69.125.23	US
65.69.125.24	65.69.125.31	PR
65.69.125.32	65.69.134.223	US
65.69.134.224	65.69.134.231	PR
65.69.134.232	65.69.147.47	US
65.69.147.48	65.69.147.55	PR
65.69.147.56	65.69.156.15	US
65.69.156.16	65.69.156.23	PR
65.69.156.24	65.69.157.79	US
65.69.157.80	65.69.157.87	PR
65.69.157.88	65.69.157.223	US
65.69.157.224	65.69.157.231	PR
65.69.157.232	65.69.169.247	US
65.69.169.248	65.69.169.255	PR
65.69.170.0	65.69.171.247	US
65.69.171.248	65.69.171.255	PR
65.69.172.0	65.69.180.111	US
65.69.180.112	65.69.180.119	PR
65.69.180.120	65.69.180.183	US
65.69.180.184	65.69.180.191	PR
65.69.180.192	65.69.182.87	US
65.69.182.88	65.69.182.95	PR
65.69.182.96	65.69.182.127	US
65.69.182.128	65.69.182.135	PR
65.69.182.136	65.69.184.239	US
65.69.184.240	65.69.184.247	PR
65.69.184.248	65.69.185.15	US
65.69.185.16	65.69.185.23	PR
65.69.185.24	65.69.189.207	US
65.69.189.208	65.69.189.215	PR
65.69.189.216	65.69.190.175	US
65.69.190.176	65.69.190.183	PR
65.69.190.184	65.69.192.231	US
65.69.192.232	65.69.192.239	PR
65.69.192.240	65.69.202.143	US
65.69.202.144	65.69.202.151	PR
65.69.202.152	65.69.203.159	US
65.69.203.160	65.69.203.167	PR
65.69.203.168	65.69.241.159	US
65.69.241.160	65.69.241.167	PR
65.69.241.168	65.69.242.231	US
65.69.242.232	65.69.242.239	PR
65.69.242.240	65.69.243.95	US
65.69.243.96	65.69.243.103	PR
65.69.243.104	65.69.253.31	US
65.69.253.32	65.69.253.39	PR
65.69.253.40	65.69.254.135	US
65.69.254.136	65.69.254.143	PR
65.69.254.144	65.69.254.151	US
65.69.254.152	65.69.254.159	PR
65.69.254.160	65.70.0.15	US
65.70.0.16	65.70.0.23	PR
65.70.0.24	65.70.2.7	US
65.70.2.8	65.70.2.15	PR
65.70.2.16	65.70.42.223	US
65.70.42.224	65.70.42.231	PR
65.70.42.232	65.70.61.255	US
65.70.62.0	65.70.62.7	PR
65.70.62.8	65.70.62.95	US
65.70.62.96	65.70.62.103	PR
65.70.62.104	65.70.72.79	US
65.70.72.80	65.70.72.87	PR
65.70.72.88	65.70.73.135	US
65.70.73.136	65.70.73.143	PR
65.70.73.144	65.70.81.151	US
65.70.81.152	65.70.81.159	PR
65.70.81.160	65.70.83.159	US
65.70.83.160	65.70.83.175	PR
65.70.83.176	65.70.90.207	US
65.70.90.208	65.70.90.215	PR
65.70.90.216	65.70.125.47	US
65.70.125.48	65.70.125.55	PR
65.70.125.56	65.70.130.87	US
65.70.130.88	65.70.130.95	PR
65.70.130.96	65.70.138.255	US
65.70.139.0	65.70.139.7	PR
65.70.139.8	65.70.195.127	US
65.70.195.128	65.70.195.135	PR
65.70.195.136	65.70.209.175	US
65.70.209.176	65.70.209.183	PR
65.70.209.184	65.70.212.95	US
65.70.212.96	65.70.212.103	PR
65.70.212.104	65.71.61.207	US
65.71.61.208	65.71.61.215	PR
65.71.61.216	65.71.63.135	US
65.71.63.136	65.71.63.143	PR
65.71.63.144	65.71.73.39	US
65.71.73.40	65.71.73.47	PR
65.71.73.48	65.71.99.55	US
65.71.99.56	65.71.99.63	PR
65.71.99.64	65.71.139.255	US
65.71.140.0	65.71.140.15	PR
65.71.140.16	65.71.192.207	US
65.71.192.208	65.71.192.215	PR
65.71.192.216	65.71.195.207	US
65.71.195.208	65.71.195.215	PR
65.71.195.216	65.71.251.199	US
65.71.251.200	65.71.251.207	PR
65.71.251.208	65.74.156.247	US
65.74.156.248	65.74.156.255	SE
65.74.157.0	65.75.63.255	US
65.75.64.0	65.75.127.255	BS
65.75.128.0	65.77.243.255	US
65.77.244.0	65.77.245.255	CA
65.77.246.0	65.87.16.151	US
65.87.16.152	65.87.16.159	CO
65.87.16.160	65.87.223.255	US
65.87.224.0	65.87.255.255	CA
65.88.0.0	65.88.18.63	US
65.88.18.64	65.88.18.127	A2
65.88.18.128	65.88.253.255	US
65.88.254.0	65.88.255.255	A2
65.89.0.0	65.91.255.255	US
65.92.0.0	65.95.255.255	CA
65.96.0.0	65.97.31.255	US
65.97.32.0	65.97.47.255	CA
65.97.48.0	65.97.191.255	US
65.97.192.0	65.97.255.255	CA
65.98.0.0	65.98.4.87	US
65.98.4.88	65.98.4.95	IE
65.98.4.96	65.98.35.23	US
65.98.35.24	65.98.35.31	CA
65.98.35.32	65.98.42.135	US
65.98.42.136	65.98.42.143	GB
65.98.42.144	65.98.42.199	US
65.98.42.200	65.98.42.207	GB
65.98.42.208	65.98.58.47	US
65.98.58.48	65.98.58.55	GB
65.98.58.56	65.98.58.215	US
65.98.58.216	65.98.58.223	GB
65.98.58.224	65.98.61.63	US
65.98.61.64	65.98.61.71	CA
65.98.61.72	65.98.63.79	US
65.98.63.80	65.98.63.95	IE
65.98.63.96	65.98.67.71	US
65.98.67.72	65.98.67.79	IN
65.98.67.80	65.98.70.111	US
65.98.70.112	65.98.70.119	GB
65.98.70.120	65.98.74.255	US
65.98.75.0	65.98.75.127	GB
65.98.75.128	65.98.75.255	US
65.98.76.0	65.98.76.127	GB
65.98.76.128	65.98.88.23	US
65.98.88.24	65.98.88.31	GB
65.98.88.32	65.98.88.167	US
65.98.88.168	65.98.88.175	IN
65.98.88.176	65.98.103.191	US
65.98.103.192	65.98.103.223	CA
65.98.103.224	65.98.103.255	US
65.98.104.0	65.98.104.127	GB
65.98.104.128	65.98.104.255	US
65.98.105.0	65.98.105.127	GB
65.98.105.128	65.99.197.87	US
65.99.197.88	65.99.197.95	IT
65.99.197.96	65.99.197.119	US
65.99.197.120	65.99.197.127	NZ
65.99.197.128	65.99.197.191	US
65.99.197.192	65.99.197.199	NZ
65.99.197.200	65.99.197.207	IT
65.99.197.208	65.99.199.255	US
65.99.200.0	65.99.200.63	IT
65.99.200.64	65.99.204.63	US
65.99.204.64	65.99.204.71	PR
65.99.204.72	65.99.207.255	US
65.99.208.0	65.99.208.7	IT
65.99.208.8	65.99.208.15	AU
65.99.208.16	65.99.208.31	US
65.99.208.32	65.99.208.47	IT
65.99.208.48	65.99.208.111	US
65.99.208.112	65.99.208.119	IT
65.99.208.120	65.99.220.239	US
65.99.220.240	65.99.220.255	IT
65.99.221.0	65.99.226.191	US
65.99.226.192	65.99.226.207	CA
65.99.226.208	65.99.235.255	US
65.99.236.0	65.99.237.255	GB
65.99.238.0	65.99.241.255	US
65.99.242.0	65.99.242.255	CA
65.99.243.0	65.109.255.255	US
65.110.0.0	65.110.4.127	CA
65.110.4.128	65.110.4.143	US
65.110.4.144	65.110.11.31	CA
65.110.11.32	65.110.11.39	US
65.110.11.40	65.110.11.103	CA
65.110.11.104	65.110.11.111	US
65.110.11.112	65.110.13.119	CA
65.110.13.120	65.110.13.127	GB
65.110.13.128	65.110.31.255	CA
65.110.32.0	65.110.159.255	US
65.110.160.0	65.110.191.255	CA
65.110.192.0	65.111.19.95	US
65.111.19.96	65.111.19.127	CA
65.111.19.128	65.111.21.255	US
65.111.22.0	65.111.22.31	CA
65.111.22.32	65.111.22.63	US
65.111.22.64	65.111.22.255	CA
65.111.23.0	65.111.23.255	US
65.111.24.0	65.111.24.31	CA
65.111.24.32	65.111.24.95	US
65.111.24.96	65.111.24.191	CA
65.111.24.192	65.111.28.255	US
65.111.29.0	65.111.29.31	CY
65.111.29.32	65.111.29.223	US
65.111.29.224	65.111.29.255	DE
65.111.30.0	65.111.143.255	US
65.111.144.0	65.111.159.255	CA
65.111.160.0	65.112.144.255	US
65.112.145.0	65.112.147.7	VI
65.112.147.8	65.112.147.15	US
65.112.147.16	65.112.148.255	VI
65.112.149.0	65.113.87.255	US
65.113.88.0	65.113.89.223	VI
65.113.89.224	65.113.89.231	US
65.113.89.232	65.113.92.119	VI
65.113.92.120	65.113.92.127	US
65.113.92.128	65.113.95.255	VI
65.113.96.0	65.113.103.255	US
65.113.104.0	65.113.111.255	VI
65.113.112.0	65.115.6.159	US
65.115.6.160	65.115.6.191	CA
65.115.6.192	65.117.5.15	US
65.117.5.16	65.117.5.23	CA
65.117.5.24	65.119.141.47	US
65.119.141.48	65.119.141.63	CA
65.119.141.64	65.119.251.63	US
65.119.251.64	65.119.251.95	CA
65.119.251.96	65.120.55.255	US
65.120.56.0	65.120.63.255	A2
65.120.64.0	65.127.193.55	US
65.127.193.56	65.127.193.87	AU
65.127.193.88	65.127.193.103	US
65.127.193.104	65.127.193.111	AU
65.127.193.112	65.127.193.127	US
65.127.193.128	65.127.193.159	AU
65.127.193.160	65.127.193.175	US
65.127.193.176	65.127.193.191	AU
65.127.193.192	65.127.193.223	US
65.127.193.224	65.127.193.255	AU
65.127.194.0	65.127.194.95	US
65.127.194.96	65.127.194.111	AU
65.127.194.112	65.127.194.127	US
65.127.194.128	65.127.194.159	AU
65.127.194.160	65.127.194.175	US
65.127.194.176	65.127.194.223	AU
65.127.194.224	65.127.194.239	US
65.127.194.240	65.127.194.255	AU
65.127.195.0	65.160.142.127	US
65.160.142.128	65.160.142.255	IN
65.160.143.0	65.161.31.183	US
65.161.31.184	65.161.31.191	CA
65.161.31.192	65.161.167.47	US
65.161.167.48	65.161.167.55	CA
65.161.167.56	65.161.187.31	US
65.161.187.32	65.161.187.63	GB
65.161.187.64	65.161.199.255	US
65.161.200.0	65.161.200.255	EC
65.161.201.0	65.162.15.255	US
65.162.16.0	65.162.16.255	PR
65.162.17.0	65.162.162.135	US
65.162.162.136	65.162.162.143	FR
65.162.162.144	65.162.183.255	US
65.162.184.0	65.162.185.255	YE
65.162.186.0	65.162.213.255	US
65.162.214.0	65.162.215.255	EC
65.162.216.0	65.163.91.255	US
65.163.92.0	65.163.92.255	EC
65.163.93.0	65.163.240.255	US
65.163.241.0	65.163.241.255	AN
65.163.242.0	65.164.2.255	US
65.164.3.0	65.164.3.255	CA
65.164.4.0	65.164.89.255	US
65.164.90.0	65.164.90.255	AN
65.164.91.0	65.164.144.255	US
65.164.145.0	65.164.145.255	EC
65.164.146.0	65.164.147.255	US
65.164.148.0	65.164.151.255	HN
65.164.152.0	65.164.152.191	US
65.164.152.192	65.164.152.223	PR
65.164.152.224	65.165.28.239	US
65.165.28.240	65.165.28.255	CA
65.165.29.0	65.165.79.255	US
65.165.80.0	65.165.87.255	HN
65.165.88.0	65.165.96.159	US
65.165.96.160	65.165.96.167	SE
65.165.96.168	65.165.208.127	US
65.165.208.128	65.165.208.191	DK
65.165.208.192	65.166.15.175	US
65.166.15.176	65.166.15.191	PR
65.166.15.192	65.166.108.255	US
65.166.109.0	65.166.109.255	EC
65.166.110.0	65.166.165.39	US
65.166.165.40	65.166.165.47	CA
65.166.165.48	65.166.186.143	US
65.166.186.144	65.166.186.159	CA
65.166.186.160	65.166.248.255	US
65.166.249.0	65.166.249.255	AN
65.166.250.0	65.167.23.255	US
65.167.24.0	65.167.31.255	HN
65.167.32.0	65.167.47.255	US
65.167.48.0	65.167.63.255	CO
65.167.64.0	65.167.79.255	US
65.167.80.0	65.167.95.255	CO
65.167.96.0	65.167.113.143	US
65.167.113.144	65.167.113.159	BE
65.167.113.160	65.167.225.255	US
65.167.226.0	65.167.227.255	AS
65.167.228.0	65.167.232.95	US
65.167.232.96	65.167.232.127	GB
65.167.232.128	65.168.51.255	US
65.168.52.0	65.168.53.255	CO
65.168.54.0	65.168.177.255	US
65.168.178.0	65.168.179.255	EC
65.168.180.0	65.169.90.15	US
65.169.90.16	65.169.90.23	CA
65.169.90.24	65.169.96.47	US
65.169.96.48	65.169.96.55	NL
65.169.96.56	65.169.119.255	US
65.169.120.0	65.169.120.63	VI
65.169.120.64	65.169.154.143	US
65.169.154.144	65.169.154.159	VI
65.169.154.160	65.169.158.255	US
65.169.159.0	65.169.159.255	HN
65.169.160.0	65.169.217.255	US
65.169.218.0	65.169.219.255	HN
65.169.220.0	65.170.10.231	US
65.170.10.232	65.170.10.239	PR
65.170.10.240	65.170.30.255	US
65.170.31.0	65.170.31.255	EC
65.170.32.0	65.170.62.103	US
65.170.62.104	65.170.62.111	CA
65.170.62.112	65.170.63.255	US
65.170.64.0	65.170.71.255	EC
65.170.72.0	65.170.82.255	US
65.170.83.0	65.170.83.255	NL
65.170.84.0	65.170.98.135	US
65.170.98.136	65.170.98.143	NL
65.170.98.144	65.170.178.15	US
65.170.178.16	65.170.178.31	PR
65.170.178.32	65.171.25.103	US
65.171.25.104	65.171.25.111	CH
65.171.25.112	65.171.97.255	US
65.171.98.0	65.171.99.255	BM
65.171.100.0	65.171.163.255	US
65.171.164.0	65.171.165.255	AN
65.171.166.0	65.172.1.255	US
65.172.2.0	65.172.2.255	A2
65.172.3.0	65.172.3.255	US
65.172.4.0	65.172.5.255	A2
65.172.6.0	65.172.179.255	US
65.172.180.0	65.172.180.255	EC
65.172.181.0	65.172.255.255	US
65.173.0.0	65.173.0.7	DK
65.173.0.8	65.173.29.31	US
65.173.29.32	65.173.29.63	BE
65.173.29.64	65.173.47.255	US
65.173.48.0	65.173.49.255	GH
65.173.50.0	65.173.55.255	US
65.173.56.0	65.173.63.255	BO
65.173.64.0	65.173.98.79	US
65.173.98.80	65.173.98.95	GB
65.173.98.96	65.173.189.255	US
65.173.190.0	65.173.190.255	GH
65.173.191.0	65.173.252.127	US
65.173.252.128	65.173.252.191	BA
65.173.252.192	65.174.117.183	US
65.174.117.184	65.174.117.191	CA
65.174.117.192	65.174.190.127	US
65.174.190.128	65.174.190.135	VI
65.174.190.136	65.174.198.31	US
65.174.198.32	65.174.198.47	PR
65.174.198.48	65.174.231.223	US
65.174.231.224	65.174.231.255	A2
65.174.232.0	65.174.237.255	US
65.174.238.0	65.174.239.255	AN
65.174.240.0	65.175.63.255	US
65.175.64.0	65.175.64.255	IN
65.175.65.0	65.175.68.255	US
65.175.69.0	65.175.69.255	PK
65.175.70.0	65.175.70.63	BE
65.175.70.64	65.175.71.255	US
65.175.72.0	65.175.72.255	CA
65.175.73.0	65.175.77.47	US
65.175.77.48	65.175.77.63	AR
65.175.77.64	65.175.77.127	US
65.175.77.128	65.175.77.143	IN
65.175.77.144	65.175.77.239	US
65.175.77.240	65.175.77.255	VE
65.175.78.0	65.175.79.15	US
65.175.79.16	65.175.79.23	DO
65.175.79.24	65.175.79.31	US
65.175.79.32	65.175.79.39	CA
65.175.79.40	65.175.79.95	US
65.175.79.96	65.175.79.103	GB
65.175.79.104	65.175.81.63	US
65.175.81.64	65.175.81.95	BE
65.175.81.96	65.175.81.159	US
65.175.81.160	65.175.81.191	BE
65.175.81.192	65.175.81.255	US
65.175.82.0	65.175.82.31	BE
65.175.82.32	65.175.88.255	US
65.175.89.0	65.175.89.255	PK
65.175.90.0	65.175.92.255	US
65.175.93.0	65.175.93.15	VE
65.175.93.16	65.175.93.31	GB
65.175.93.32	65.175.93.95	US
65.175.93.96	65.175.93.111	TR
65.175.93.112	65.175.93.207	US
65.175.93.208	65.175.93.223	CR
65.175.93.224	65.175.93.239	US
65.175.93.240	65.175.93.255	AU
65.175.94.0	65.175.97.127	US
65.175.97.128	65.175.97.255	IN
65.175.98.0	65.175.98.47	US
65.175.98.48	65.175.98.63	RU
65.175.98.64	65.175.98.239	US
65.175.98.240	65.175.98.255	VE
65.175.99.0	65.175.110.255	US
65.175.111.0	65.175.111.31	AR
65.175.111.32	65.175.123.255	US
65.175.124.0	65.175.124.127	IN
65.175.124.128	65.181.31.255	US
65.181.32.0	65.181.47.255	CA
65.181.48.0	65.181.255.255	US
65.182.0.0	65.182.6.255	HN
65.182.7.0	65.182.9.255	US
65.182.10.0	65.182.10.255	SV
65.182.11.0	65.182.30.255	CR
65.182.31.0	65.182.31.255	HN
65.182.32.0	65.182.162.59	US
65.182.162.60	65.182.162.99	IN
65.182.162.100	65.182.162.220	US
65.182.162.221	65.182.162.251	IN
65.182.162.252	65.182.186.124	US
65.182.186.125	65.182.186.170	AU
65.182.186.171	65.182.191.31	US
65.182.191.32	65.182.191.39	AU
65.182.191.40	65.182.255.255	US
65.183.0.0	65.183.15.255	JM
65.183.16.0	65.194.45.255	US
65.194.46.0	65.194.46.255	EC
65.194.47.0	65.197.176.255	US
65.197.177.0	65.197.177.255	MH
65.197.178.0	65.197.181.255	US
65.197.182.0	65.197.182.31	CA
65.197.182.32	65.198.207.255	US
65.198.208.0	65.198.215.255	BS
65.198.216.0	65.199.100.31	US
65.199.100.32	65.199.100.47	DE
65.199.100.48	65.199.167.255	US
65.199.168.0	65.199.175.255	EC
65.199.176.0	65.199.243.255	US
65.199.244.0	65.199.245.255	CO
65.199.246.0	65.200.52.127	US
65.200.52.128	65.200.52.159	PR
65.200.52.160	65.200.60.87	US
65.200.60.88	65.200.60.95	PR
65.200.60.96	65.200.171.191	US
65.200.171.192	65.200.171.255	GB
65.200.172.0	65.200.192.255	US
65.200.193.0	65.200.193.63	AU
65.200.193.64	65.200.193.127	US
65.200.193.128	65.200.193.255	AU
65.200.194.0	65.200.194.255	US
65.200.195.0	65.200.195.15	AU
65.200.195.16	65.200.204.79	US
65.200.204.80	65.200.204.87	PH
65.200.204.88	65.200.204.191	US
65.200.204.192	65.200.204.255	PH
65.200.205.0	65.200.205.111	US
65.200.205.112	65.200.205.127	AU
65.200.205.128	65.202.34.255	US
65.202.35.0	65.202.35.255	PR
65.202.36.0	65.202.47.23	US
65.202.47.24	65.202.47.31	LU
65.202.47.32	65.204.158.223	US
65.204.158.224	65.204.158.231	MX
65.204.158.232	65.204.165.255	US
65.204.166.0	65.204.166.255	MX
65.204.167.0	65.205.132.255	US
65.205.133.0	65.205.133.255	BR
65.205.134.0	65.205.149.255	US
65.205.150.0	65.205.150.255	FI
65.205.151.0	65.205.167.255	US
65.205.168.0	65.205.169.255	EC
65.205.170.0	65.205.193.127	US
65.205.193.128	65.205.193.255	PH
65.205.194.0	65.206.8.255	US
65.206.9.0	65.206.9.255	PK
65.206.10.0	65.206.42.95	US
65.206.42.96	65.206.42.127	PR
65.206.42.128	65.206.54.159	US
65.206.54.160	65.206.54.191	GB
65.206.54.192	65.206.241.239	US
65.206.241.240	65.206.241.247	PR
65.206.241.248	65.206.245.247	US
65.206.245.248	65.206.245.255	UM
65.206.246.0	65.207.4.159	US
65.207.4.160	65.207.4.167	VI
65.207.4.168	65.207.44.151	US
65.207.44.152	65.207.44.159	DE
65.207.44.160	65.208.63.255	US
65.208.64.0	65.208.71.255	CO
65.208.72.0	65.208.173.7	US
65.208.173.8	65.208.173.15	PR
65.208.173.16	65.209.65.39	US
65.209.65.40	65.209.65.47	CA
65.209.65.48	65.209.191.255	US
65.209.192.0	65.209.193.255	PH
65.209.194.0	65.211.202.223	US
65.211.202.224	65.211.202.231	CA
65.211.202.232	65.212.3.255	US
65.212.4.0	65.212.4.15	CA
65.212.4.16	65.212.6.79	US
65.212.6.80	65.212.6.95	CA
65.212.6.96	65.213.54.255	US
65.213.55.0	65.213.55.255	PH
65.213.56.0	65.213.127.255	US
65.213.128.0	65.213.130.255	EC
65.213.131.0	65.214.61.31	US
65.214.61.32	65.214.61.39	CA
65.214.61.40	65.214.61.127	US
65.214.61.128	65.214.61.143	CA
65.214.61.144	65.215.27.63	US
65.215.27.64	65.215.27.79	DE
65.215.27.80	65.215.35.31	US
65.215.35.32	65.215.35.63	CA
65.215.35.64	65.215.84.191	US
65.215.84.192	65.215.84.255	CA
65.215.85.0	65.215.224.127	US
65.215.224.128	65.215.224.143	CA
65.215.224.144	65.216.132.79	US
65.216.132.80	65.216.132.95	DE
65.216.132.96	65.217.184.31	US
65.217.184.32	65.217.184.63	GB
65.217.184.64	65.218.130.151	US
65.218.130.152	65.218.130.159	GB
65.218.130.160	65.218.143.255	US
65.218.144.0	65.218.151.255	PR
65.218.152.0	65.218.254.7	US
65.218.254.8	65.218.254.15	MX
65.218.254.16	65.219.37.191	US
65.219.37.192	65.219.37.255	PH
65.219.38.0	65.221.124.255	US
65.221.125.0	65.221.125.255	IT
65.221.126.0	65.222.122.255	US
65.222.123.0	65.222.123.255	EC
65.222.124.0	65.223.27.39	US
65.223.27.40	65.223.27.47	MX
65.223.27.48	65.223.34.191	US
65.223.34.192	65.223.34.199	MN
65.223.34.200	65.223.36.255	US
65.223.37.0	65.223.37.7	MN
65.223.37.8	65.223.76.191	US
65.223.76.192	65.223.76.255	PH
65.223.77.0	65.223.214.111	US
65.223.214.112	65.223.214.119	CA
65.223.214.120	65.240.226.127	US
65.240.226.128	65.240.226.135	CA
65.240.226.136	65.240.227.255	US
65.240.228.0	65.240.228.31	CA
65.240.228.32	65.240.235.127	US
65.240.235.128	65.240.235.191	CA
65.240.235.192	65.241.27.47	US
65.241.27.48	65.241.27.55	CA
65.241.27.56	65.241.142.31	US
65.241.142.32	65.241.142.39	UM
65.241.142.40	65.242.196.31	US
65.242.196.32	65.242.196.47	UM
65.242.196.48	65.242.253.103	US
65.242.253.104	65.242.253.111	CA
65.242.253.112	65.243.99.63	US
65.243.99.64	65.243.99.127	CO
65.243.99.128	65.243.99.255	US
65.243.100.0	65.243.103.255	BS
65.243.104.0	65.243.119.255	US
65.243.120.0	65.243.121.255	CO
65.243.122.0	65.243.156.127	US
65.243.156.128	65.243.156.191	PH
65.243.156.192	65.243.199.71	US
65.243.199.72	65.243.199.87	GB
65.243.199.88	65.244.90.23	US
65.244.90.24	65.244.90.31	TW
65.244.90.32	65.244.148.31	US
65.244.148.32	65.244.148.47	DK
65.244.148.48	65.244.224.255	US
65.244.225.0	65.244.225.31	NZ
65.244.225.32	65.245.118.127	US
65.245.118.128	65.245.118.135	DE
65.245.118.136	65.246.172.119	US
65.246.172.120	65.246.172.127	CA
65.246.172.128	65.247.134.255	US
65.247.135.0	65.247.135.255	CR
65.247.136.0	65.247.203.255	US
65.247.204.0	65.247.205.255	EC
65.247.206.0	65.247.207.255	CO
65.247.208.0	65.247.239.255	US
65.247.240.0	65.247.241.255	CO
65.247.242.0	65.247.243.255	EC
65.247.244.0	65.247.247.255	CO
65.247.248.0	65.248.166.255	US
65.248.167.0	65.248.167.255	EC
65.248.168.0	65.254.214.255	US
65.254.215.0	65.254.215.15	AX
65.254.215.16	65.255.40.255	US
65.255.41.0	65.255.41.127	CN
65.255.41.128	65.255.41.255	US
65.255.42.0	65.255.42.127	CN
65.255.42.128	65.255.47.255	US
65.255.48.0	65.255.63.255	TC
65.255.64.0	65.255.175.255	US
65.255.176.0	65.255.191.255	CA
65.255.192.0	65.255.223.255	US
65.255.224.0	65.255.255.255	CA
66.0.0.0	66.6.47.255	US
66.6.48.0	66.6.63.255	CA
66.6.64.0	66.7.175.255	US
66.7.176.0	66.7.176.255	CA
66.7.177.0	66.7.181.23	US
66.7.181.24	66.7.181.31	CA
66.7.181.32	66.7.197.255	US
66.7.198.0	66.7.198.255	TR
66.7.199.0	66.7.210.74	US
66.7.210.75	66.7.210.78	PE
66.7.210.79	66.7.210.109	US
66.7.210.110	66.7.210.113	PE
66.7.210.114	66.7.255.255	US
66.8.0.0	66.8.127.255	ZA
66.8.128.0	66.9.34.255	US
66.9.35.0	66.9.37.255	GB
66.9.38.0	66.9.47.255	US
66.9.48.0	66.9.53.255	GB
66.9.54.0	66.9.56.255	US
66.9.57.0	66.9.57.255	GB
66.9.58.0	66.9.79.255	US
66.9.80.0	66.9.80.255	GB
66.9.81.0	66.9.84.255	US
66.9.85.0	66.9.85.255	GB
66.9.86.0	66.9.90.255	US
66.9.91.0	66.9.91.255	GB
66.9.92.0	66.9.92.255	US
66.9.93.0	66.9.93.255	GB
66.9.94.0	66.9.159.255	US
66.9.160.0	66.9.161.255	GB
66.9.162.0	66.9.193.255	US
66.9.194.0	66.9.197.255	GB
66.9.198.0	66.9.235.255	US
66.9.236.0	66.9.237.255	GB
66.9.238.0	66.9.240.255	US
66.9.241.0	66.9.241.255	GB
66.9.242.0	66.9.243.255	US
66.9.244.0	66.9.244.255	GB
66.9.245.0	66.11.31.255	US
66.11.32.0	66.11.47.255	CA
66.11.48.0	66.11.63.255	US
66.11.64.0	66.11.95.255	CA
66.11.96.0	66.11.143.255	US
66.11.144.0	66.11.145.31	CA
66.11.145.32	66.11.145.47	US
66.11.145.48	66.11.145.255	CA
66.11.146.0	66.11.146.15	US
66.11.146.16	66.11.146.159	CA
66.11.146.160	66.11.146.167	US
66.11.146.168	66.11.146.223	CA
66.11.146.224	66.11.146.239	US
66.11.146.240	66.11.147.255	CA
66.11.148.0	66.11.148.63	US
66.11.148.64	66.11.149.103	CA
66.11.149.104	66.11.149.111	US
66.11.149.112	66.11.149.127	CA
66.11.149.128	66.11.149.143	US
66.11.149.144	66.11.149.159	CA
66.11.149.160	66.11.149.175	US
66.11.149.176	66.11.149.191	CA
66.11.149.192	66.11.149.255	US
66.11.150.0	66.11.151.95	CA
66.11.151.96	66.11.151.111	US
66.11.151.112	66.11.151.159	CA
66.11.151.160	66.11.151.175	US
66.11.151.176	66.11.152.63	PA
66.11.152.64	66.11.152.127	US
66.11.152.128	66.11.152.143	CA
66.11.152.144	66.11.152.151	GB
66.11.152.152	66.11.152.159	CA
66.11.152.160	66.11.152.191	US
66.11.152.192	66.11.152.223	CA
66.11.152.224	66.11.152.255	CR
66.11.153.0	66.11.153.31	CA
66.11.153.32	66.11.153.63	US
66.11.153.64	66.11.153.87	CA
66.11.153.88	66.11.153.95	US
66.11.153.96	66.11.153.207	CA
66.11.153.208	66.11.153.215	US
66.11.153.216	66.11.154.3	CA
66.11.154.4	66.11.154.5	US
66.11.154.6	66.11.154.95	CA
66.11.154.96	66.11.154.127	US
66.11.154.128	66.11.154.151	CA
66.11.154.152	66.11.154.159	US
66.11.154.160	66.11.154.207	CA
66.11.154.208	66.11.154.215	CR
66.11.154.216	66.11.154.223	GB
66.11.154.224	66.11.155.239	CA
66.11.155.240	66.11.155.247	NL
66.11.155.248	66.11.155.255	US
66.11.156.0	66.11.156.47	CA
66.11.156.48	66.11.156.63	US
66.11.156.64	66.11.156.127	CA
66.11.156.128	66.11.156.151	US
66.11.156.152	66.11.156.247	CA
66.11.156.248	66.11.156.255	GB
66.11.157.0	66.11.157.39	CA
66.11.157.40	66.11.157.47	US
66.11.157.48	66.11.157.159	CA
66.11.157.160	66.11.157.175	BS
66.11.157.176	66.11.157.191	US
66.11.157.192	66.11.158.175	CA
66.11.158.176	66.11.158.183	US
66.11.158.184	66.11.191.255	CA
66.11.192.0	66.18.63.255	US
66.18.64.0	66.18.95.255	ZA
66.18.96.0	66.18.103.31	US
66.18.103.32	66.18.103.39	PR
66.18.103.40	66.18.191.255	US
66.18.192.0	66.18.255.255	CA
66.19.0.0	66.29.192.29	US
66.29.192.30	66.29.192.41	GB
66.29.192.42	66.29.192.69	US
66.29.192.70	66.29.192.77	AU
66.29.192.78	66.29.192.175	US
66.29.192.176	66.29.192.183	IE
66.29.192.184	66.29.193.28	US
66.29.193.29	66.29.193.37	IE
66.29.193.38	66.29.195.1	US
66.29.195.2	66.29.195.10	CA
66.29.195.11	66.29.197.118	US
66.29.197.119	66.29.197.138	CA
66.29.197.139	66.29.197.144	US
66.29.197.145	66.29.197.156	NZ
66.29.197.157	66.29.197.171	US
66.29.197.172	66.29.197.181	CA
66.29.197.182	66.29.198.40	US
66.29.198.41	66.29.198.48	AU
66.29.198.49	66.29.198.224	US
66.29.198.225	66.29.198.244	PH
66.29.198.245	66.29.199.48	US
66.29.199.49	66.29.199.56	CA
66.29.199.57	66.29.204.129	US
66.29.204.130	66.29.204.137	PH
66.29.204.138	66.29.211.44	US
66.29.211.45	66.29.211.52	PH
66.29.211.53	66.29.217.103	US
66.29.217.104	66.29.217.111	AU
66.29.217.112	66.29.218.170	US
66.29.218.171	66.29.218.178	CA
66.29.218.179	66.29.218.195	US
66.29.218.196	66.29.218.205	CA
66.29.218.206	66.29.221.40	US
66.29.221.41	66.29.221.56	CH
66.29.221.57	66.29.221.124	US
66.29.221.125	66.29.221.132	CH
66.29.221.133	66.35.192.31	US
66.35.192.32	66.35.192.47	IN
66.35.192.48	66.35.201.191	US
66.35.201.192	66.35.201.207	JP
66.35.201.208	66.35.204.127	US
66.35.204.128	66.35.204.143	IL
66.35.204.144	66.35.204.175	US
66.35.204.176	66.35.204.191	IL
66.35.204.192	66.35.205.87	US
66.35.205.88	66.35.205.95	DE
66.35.205.96	66.35.208.39	US
66.35.208.40	66.35.208.47	DE
66.35.208.48	66.35.208.255	US
66.35.209.0	66.35.209.31	CA
66.35.209.32	66.35.223.127	US
66.35.223.128	66.35.223.143	AU
66.35.223.144	66.35.227.191	US
66.35.227.192	66.35.227.207	JP
66.35.227.208	66.35.230.31	US
66.35.230.32	66.35.230.47	AU
66.35.230.48	66.35.236.207	US
66.35.236.208	66.35.236.223	AU
66.35.236.224	66.36.127.255	US
66.36.128.0	66.36.159.255	CA
66.36.160.0	66.36.195.255	US
66.36.196.0	66.36.196.15	CG
66.36.196.16	66.36.196.31	US
66.36.196.32	66.36.196.63	CD
66.36.196.64	66.36.196.95	US
66.36.196.96	66.36.196.111	CD
66.36.196.112	66.36.196.127	US
66.36.196.128	66.36.196.255	CD
66.36.197.0	66.36.197.255	HT
66.36.198.0	66.36.200.255	US
66.36.201.0	66.36.201.255	JM
66.36.202.0	66.36.202.255	US
66.36.203.0	66.36.203.255	MW
66.36.204.0	66.36.207.95	US
66.36.207.96	66.36.207.127	HT
66.36.207.128	66.36.211.255	US
66.36.212.0	66.36.215.255	ZM
66.36.216.0	66.36.217.71	US
66.36.217.72	66.36.217.79	HT
66.36.217.80	66.37.67.255	US
66.37.68.0	66.37.68.127	VA
66.37.68.128	66.37.207.95	US
66.37.207.96	66.37.207.103	CA
66.37.207.104	66.37.216.191	US
66.37.216.192	66.37.216.223	CN
66.37.216.224	66.37.216.231	CA
66.37.216.232	66.38.127.255	US
66.38.128.0	66.38.242.255	CA
66.38.243.0	66.38.243.255	A1
66.38.244.0	66.38.255.255	CA
66.39.0.0	66.39.196.79	US
66.39.196.80	66.39.196.95	CY
66.39.196.96	66.39.196.175	US
66.39.196.176	66.39.196.191	CY
66.39.196.192	66.40.2.255	US
66.40.3.0	66.40.3.255	GB
66.40.4.0	66.40.6.255	US
66.40.7.0	66.40.8.255	GB
66.40.9.0	66.40.21.63	US
66.40.21.64	66.40.21.79	BG
66.40.21.80	66.40.21.111	US
66.40.21.112	66.40.21.127	SK
66.40.21.128	66.40.21.207	US
66.40.21.208	66.40.21.223	GB
66.40.21.224	66.40.23.63	US
66.40.23.64	66.40.23.127	CA
66.40.23.128	66.40.30.127	US
66.40.30.128	66.40.30.191	GB
66.40.30.192	66.40.35.255	US
66.40.36.0	66.40.36.255	CA
66.40.37.0	66.40.37.255	AU
66.40.38.0	66.40.65.255	US
66.40.66.0	66.40.66.255	GB
66.40.67.0	66.40.136.87	US
66.40.136.88	66.40.136.95	JP
66.40.136.96	66.40.136.111	US
66.40.136.112	66.40.136.119	GB
66.40.136.120	66.40.142.119	US
66.40.142.120	66.40.142.127	VE
66.40.142.128	66.40.143.47	US
66.40.143.48	66.40.143.63	ES
66.40.143.64	66.43.47.255	US
66.43.48.0	66.43.63.255	CA
66.43.64.0	66.45.244.63	US
66.45.244.64	66.45.244.127	AU
66.45.244.128	66.45.255.255	US
66.46.0.0	66.46.255.255	CA
66.47.0.0	66.47.255.255	US
66.48.0.0	66.48.0.255	CA
66.48.1.0	66.48.1.63	US
66.48.1.64	66.48.1.127	CA
66.48.1.128	66.48.1.191	US
66.48.1.192	66.48.2.223	CA
66.48.2.224	66.48.2.255	US
66.48.3.0	66.48.3.111	CA
66.48.3.112	66.48.3.255	US
66.48.4.0	66.48.5.31	CA
66.48.5.32	66.48.5.63	US
66.48.5.64	66.48.6.31	CA
66.48.6.32	66.48.6.191	US
66.48.6.192	66.48.6.199	CA
66.48.6.200	66.48.8.255	US
66.48.9.0	66.48.10.255	CA
66.48.11.0	66.48.11.255	US
66.48.12.0	66.48.18.63	CA
66.48.18.64	66.48.18.127	IL
66.48.18.128	66.48.18.255	CA
66.48.19.0	66.48.19.127	US
66.48.19.128	66.48.19.191	CA
66.48.19.192	66.48.19.255	US
66.48.20.0	66.48.24.255	CA
66.48.25.0	66.48.25.255	US
66.48.26.0	66.48.27.159	CA
66.48.27.160	66.48.27.255	US
66.48.28.0	66.48.30.39	CA
66.48.30.40	66.48.30.55	US
66.48.30.56	66.48.30.71	CA
66.48.30.72	66.48.30.87	US
66.48.30.88	66.48.30.119	CA
66.48.30.120	66.48.30.127	US
66.48.30.128	66.48.30.135	CA
66.48.30.136	66.48.30.143	US
66.48.30.144	66.48.30.215	CA
66.48.30.216	66.48.30.231	US
66.48.30.232	66.48.31.23	CA
66.48.31.24	66.48.31.47	US
66.48.31.48	66.48.31.55	CA
66.48.31.56	66.48.31.103	US
66.48.31.104	66.48.31.151	CA
66.48.31.152	66.48.31.255	US
66.48.32.0	66.48.36.127	CA
66.48.36.128	66.48.36.255	US
66.48.37.0	66.48.37.255	CA
66.48.38.0	66.48.38.255	US
66.48.39.0	66.48.43.255	CA
66.48.44.0	66.48.47.255	US
66.48.48.0	66.48.51.255	CA
66.48.52.0	66.48.63.255	US
66.48.64.0	66.48.64.47	CA
66.48.64.48	66.48.64.63	US
66.48.64.64	66.48.64.111	CA
66.48.64.112	66.48.64.127	US
66.48.64.128	66.48.64.207	CA
66.48.64.208	66.48.65.15	US
66.48.65.16	66.48.65.63	CA
66.48.65.64	66.48.65.79	US
66.48.65.80	66.48.65.111	CA
66.48.65.112	66.48.65.143	US
66.48.65.144	66.48.65.159	CA
66.48.65.160	66.48.65.207	US
66.48.65.208	66.48.65.223	CA
66.48.65.224	66.48.65.255	US
66.48.66.0	66.48.66.47	CA
66.48.66.48	66.48.66.63	US
66.48.66.64	66.48.66.191	CA
66.48.66.192	66.48.66.207	US
66.48.66.208	66.48.67.15	CA
66.48.67.16	66.48.67.31	US
66.48.67.32	66.48.67.47	CA
66.48.67.48	66.48.67.63	US
66.48.67.64	66.48.67.79	CA
66.48.67.80	66.48.67.175	US
66.48.67.176	66.48.67.207	CA
66.48.67.208	66.48.67.255	US
66.48.68.0	66.48.68.31	CA
66.48.68.32	66.48.68.63	US
66.48.68.64	66.48.69.95	CA
66.48.69.96	66.48.69.255	US
66.48.70.0	66.48.70.63	CA
66.48.70.64	66.48.71.63	US
66.48.71.64	66.48.71.159	CA
66.48.71.160	66.48.71.223	US
66.48.71.224	66.48.72.31	CA
66.48.72.32	66.48.72.63	US
66.48.72.64	66.48.72.95	CA
66.48.72.96	66.48.72.255	US
66.48.73.0	66.48.73.47	CA
66.48.73.48	66.48.73.71	US
66.48.73.72	66.48.73.103	CA
66.48.73.104	66.48.73.111	US
66.48.73.112	66.48.73.159	CA
66.48.73.160	66.48.73.191	US
66.48.73.192	66.48.73.215	CA
66.48.73.216	66.48.73.231	US
66.48.73.232	66.48.73.239	CA
66.48.73.240	66.48.74.7	US
66.48.74.8	66.48.74.71	CA
66.48.74.72	66.48.74.255	US
66.48.75.0	66.48.75.191	CA
66.48.75.192	66.48.75.255	US
66.48.76.0	66.48.77.127	CA
66.48.77.128	66.48.78.127	US
66.48.78.128	66.48.79.63	CA
66.48.79.64	66.48.79.127	US
66.48.79.128	66.48.80.255	CA
66.48.81.0	66.48.81.127	US
66.48.81.128	66.48.82.127	CA
66.48.82.128	66.48.82.255	US
66.48.83.0	66.48.83.255	CA
66.48.84.0	66.48.85.255	US
66.48.86.0	66.48.88.255	CA
66.48.89.0	66.48.89.127	US
66.48.89.128	66.48.89.191	CA
66.48.89.192	66.48.89.255	US
66.48.90.0	66.48.91.255	CA
66.48.92.0	66.48.93.255	US
66.48.94.0	66.48.94.255	CA
66.48.95.0	66.48.95.255	US
66.48.96.0	66.48.96.7	CA
66.48.96.8	66.48.96.255	US
66.48.97.0	66.48.97.31	CA
66.48.97.32	66.48.99.255	US
66.48.100.0	66.48.100.127	CA
66.48.100.128	66.48.118.255	US
66.48.119.0	66.48.123.255	CA
66.48.124.0	66.48.124.255	US
66.48.125.0	66.48.126.63	CA
66.48.126.64	66.48.126.255	US
66.48.127.0	66.48.127.255	CA
66.48.128.0	66.49.127.255	US
66.49.128.0	66.49.255.255	CA
66.50.0.0	66.50.255.255	PR
66.51.0.0	66.51.95.255	US
66.51.96.0	66.51.143.255	CA
66.51.144.0	66.51.159.255	US
66.51.160.0	66.51.175.31	CA
66.51.175.32	66.51.175.39	US
66.51.175.40	66.51.175.255	CA
66.51.176.0	66.51.239.255	US
66.51.240.0	66.51.255.255	CA
66.52.0.0	66.54.111.255	US
66.54.112.0	66.54.119.255	JM
66.54.120.0	66.54.125.0	KY
66.54.125.1	66.54.127.255	JM
66.54.128.0	66.54.139.7	US
66.54.139.8	66.54.139.15	HK
66.54.139.16	66.54.139.31	US
66.54.139.32	66.54.139.63	HK
66.54.139.64	66.54.139.135	US
66.54.139.136	66.54.139.143	JP
66.54.139.144	66.55.79.255	US
66.55.96.0	66.55.111.255	US
66.55.112.0	66.55.127.255	BM
66.55.128.0	66.59.127.255	US
66.59.128.0	66.59.191.255	CA
66.59.192.0	66.59.255.255	US
66.60.0.0	66.60.63.255	AR
66.60.64.0	66.63.183.255	US
66.63.184.0	66.63.184.255	AU
66.63.185.0	66.70.20.9	US
66.70.20.10	66.70.20.19	IN
66.70.20.20	66.70.64.63	US
66.70.64.64	66.70.64.127	NL
66.70.64.128	66.70.70.109	US
66.70.70.110	66.70.70.119	GB
66.70.70.120	66.77.57.255	US
66.77.58.0	66.77.58.127	CA
66.77.58.128	66.77.71.255	US
66.77.72.0	66.77.72.63	CA
66.77.72.64	66.77.104.191	US
66.77.104.192	66.77.104.223	AU
66.77.104.224	66.78.95.255	US
66.78.96.0	66.78.97.251	CA
66.78.97.252	66.78.97.255	US
66.78.98.0	66.78.127.255	CA
66.78.128.0	66.79.223.255	US
66.79.224.0	66.79.255.255	CA
66.80.0.0	66.90.70.63	US
66.90.70.64	66.90.70.79	CA
66.90.70.80	66.96.15.255	US
66.96.16.0	66.96.31.255	CA
66.96.32.0	66.96.33.255	CL
66.96.34.0	66.96.35.255	GT
66.96.36.0	66.96.36.255	PE
66.96.37.0	66.96.37.255	US
66.96.38.0	66.96.38.255	PE
66.96.39.0	66.96.41.255	PA
66.96.42.0	66.96.45.255	US
66.96.46.0	66.96.47.255	VE
66.96.48.0	66.96.48.255	US
66.96.49.0	66.96.59.255	VE
66.96.60.0	66.96.60.255	CL
66.96.61.0	66.96.61.255	SV
66.96.62.0	66.96.62.255	US
66.96.63.0	66.96.63.255	CA
66.96.64.0	66.97.15.255	US
66.97.16.0	66.97.31.255	CA
66.97.32.0	66.97.169.63	US
66.97.169.64	66.97.169.127	CA
66.97.169.128	66.97.170.63	US
66.97.170.64	66.97.170.127	CA
66.97.170.128	66.97.255.255	US
66.98.0.0	66.98.95.255	DO
66.98.96.0	66.100.16.55	US
66.100.16.56	66.100.16.63	CA
66.100.16.64	66.100.16.255	US
66.100.17.0	66.100.17.255	CA
66.100.18.0	66.100.19.255	US
66.100.20.0	66.100.21.255	CA
66.100.22.0	66.100.27.255	US
66.100.28.0	66.100.28.7	CA
66.100.28.8	66.100.28.63	US
66.100.28.64	66.100.28.127	CA
66.100.28.128	66.100.48.103	US
66.100.48.104	66.100.48.111	MX
66.100.48.112	66.100.58.31	US
66.100.58.32	66.100.58.39	BR
66.100.58.40	66.100.58.63	US
66.100.58.64	66.100.58.79	VI
66.100.58.80	66.100.125.15	US
66.100.125.16	66.100.125.23	GB
66.100.125.24	66.100.126.239	US
66.100.126.240	66.100.126.247	CA
66.100.126.248	66.100.151.87	US
66.100.151.88	66.100.151.95	CA
66.100.151.96	66.100.208.191	US
66.100.208.192	66.100.208.255	CA
66.100.209.0	66.100.218.127	US
66.100.218.128	66.100.218.143	CA
66.100.218.144	66.101.5.159	US
66.101.5.160	66.101.5.167	GB
66.101.5.168	66.101.15.151	US
66.101.15.152	66.101.15.159	CA
66.101.15.160	66.101.32.255	US
66.101.33.0	66.101.33.63	BR
66.101.33.64	66.102.63.255	US
66.102.64.0	66.102.95.255	CA
66.102.96.0	66.103.31.255	US
66.103.32.0	66.103.63.255	CA
66.103.64.0	66.103.191.255	US
66.103.192.0	66.103.223.255	CA
66.103.224.0	66.104.202.255	US
66.104.203.0	66.104.204.255	VI
66.104.205.0	66.104.226.239	US
66.104.226.240	66.104.226.255	CA
66.104.227.0	66.109.255.255	US
66.110.0.0	66.110.7.255	CA
66.110.8.0	66.110.8.31	US
66.110.8.32	66.110.8.159	CA
66.110.8.160	66.110.8.167	GB
66.110.8.168	66.110.23.255	CA
66.110.24.0	66.110.25.255	US
66.110.26.0	66.110.31.255	CA
66.110.32.0	66.110.39.255	SA
66.110.40.0	66.110.47.255	GU
66.110.48.0	66.110.57.255	CA
66.110.58.0	66.110.58.255	PH
66.110.59.0	66.110.59.255	US
66.110.60.0	66.110.60.255	PH
66.110.61.0	66.110.64.255	CA
66.110.65.0	66.110.65.255	US
66.110.66.0	66.110.73.255	CA
66.110.74.0	66.110.75.255	ZA
66.110.76.0	66.110.109.255	CA
66.110.110.0	66.110.111.255	ZA
66.110.112.0	66.110.127.255	AO
66.110.128.0	66.110.175.255	CA
66.110.176.0	66.111.207.255	US
66.111.208.0	66.111.211.255	NZ
66.111.212.0	66.111.219.255	US
66.111.220.0	66.111.223.255	NZ
66.111.224.0	66.112.68.255	US
66.112.69.0	66.112.69.31	MO
66.112.69.32	66.112.84.135	US
66.112.84.136	66.112.84.143	LA
66.112.84.144	66.112.175.255	US
66.112.176.0	66.112.191.255	CA
66.112.192.0	66.113.111.255	US
66.113.112.0	66.113.127.255	CA
66.113.128.0	66.115.128.47	US
66.115.128.48	66.115.128.63	CA
66.115.128.64	66.115.165.255	US
66.115.166.0	66.115.168.255	CA
66.115.169.0	66.115.170.31	US
66.115.170.32	66.115.170.47	CA
66.115.170.48	66.115.170.63	US
66.115.170.64	66.115.170.127	CA
66.115.170.128	66.115.170.159	GB
66.115.170.160	66.115.171.255	US
66.115.172.0	66.115.172.255	CA
66.115.173.0	66.115.173.255	CY
66.115.174.0	66.115.174.255	US
66.115.175.0	66.115.175.63	SK
66.115.175.64	66.115.175.95	US
66.115.175.96	66.115.175.111	CA
66.115.175.112	66.115.175.255	US
66.115.176.0	66.115.176.255	PA
66.115.177.0	66.115.177.255	US
66.115.178.0	66.115.178.255	NL
66.115.179.0	66.115.179.129	US
66.115.179.130	66.115.180.1	LT
66.115.180.2	66.115.184.79	US
66.115.184.80	66.115.184.95	CY
66.115.184.96	66.115.185.127	US
66.115.185.128	66.115.185.143	CY
66.115.185.144	66.115.185.151	GB
66.115.185.152	66.115.189.63	US
66.115.189.64	66.115.189.127	CY
66.115.189.128	66.115.189.191	US
66.115.189.192	66.115.189.255	CY
66.115.190.0	66.115.190.207	US
66.115.190.208	66.115.190.223	CA
66.115.190.224	66.116.123.255	US
66.116.124.0	66.116.124.127	GB
66.116.124.128	66.117.11.31	US
66.117.11.32	66.117.11.47	GB
66.117.11.48	66.119.36.255	US
66.119.37.0	66.119.37.127	CA
66.119.37.128	66.119.65.255	US
66.119.66.0	66.119.66.127	PR
66.119.66.128	66.119.66.143	US
66.119.66.144	66.119.66.151	ES
66.119.66.152	66.119.66.223	US
66.119.66.224	66.119.66.255	SV
66.119.67.0	66.119.68.127	US
66.119.68.128	66.119.68.159	IN
66.119.68.160	66.119.70.207	US
66.119.70.208	66.119.70.215	SV
66.119.70.216	66.119.71.255	US
66.119.72.0	66.119.75.255	HN
66.119.76.0	66.119.76.255	MX
66.119.77.0	66.119.77.255	GT
66.119.78.0	66.119.79.255	US
66.119.80.0	66.119.83.255	HN
66.119.84.0	66.119.85.255	US
66.119.86.0	66.119.86.255	GB
66.119.87.0	66.119.87.255	US
66.119.88.0	66.119.91.255	HN
66.119.92.0	66.119.95.255	SV
66.119.96.0	66.119.127.255	US
66.119.144.0	66.119.159.255	US
66.119.160.0	66.119.170.111	CA
66.119.170.112	66.119.170.119	US
66.119.170.120	66.119.191.255	CA
66.119.192.0	66.121.66.255	US
66.121.67.0	66.121.67.7	PR
66.121.67.8	66.122.32.31	US
66.122.32.32	66.122.32.39	PR
66.122.32.40	66.122.230.15	US
66.122.230.16	66.122.230.23	PR
66.122.230.24	66.123.172.215	US
66.123.172.216	66.123.172.223	PR
66.123.172.224	66.127.180.223	US
66.127.180.224	66.127.180.231	PR
66.127.180.232	66.128.31.255	US
66.128.32.0	66.128.47.255	CO
66.128.48.0	66.128.48.7	US
66.128.48.8	66.128.48.15	CO
66.128.48.16	66.128.48.23	US
66.128.48.24	66.128.48.31	AU
66.128.48.32	66.128.48.47	US
66.128.48.48	66.128.48.55	ID
66.128.48.56	66.128.48.63	US
66.128.48.64	66.128.48.71	ID
66.128.48.72	66.128.48.79	CA
66.128.48.80	66.128.48.111	US
66.128.48.112	66.128.48.127	IN
66.128.48.128	66.128.48.167	US
66.128.48.168	66.128.48.175	GB
66.128.48.176	66.128.48.231	US
66.128.48.232	66.128.48.239	CO
66.128.48.240	66.128.49.63	US
66.128.49.64	66.128.49.71	CO
66.128.49.72	66.128.50.135	US
66.128.50.136	66.128.50.143	CA
66.128.50.144	66.128.50.151	US
66.128.50.152	66.128.50.159	DO
66.128.50.160	66.128.51.23	US
66.128.51.24	66.128.51.31	MX
66.128.51.32	66.128.51.41	DO
66.128.51.42	66.128.51.71	US
66.128.51.72	66.128.51.79	CO
66.128.51.80	66.128.51.87	DO
66.128.51.88	66.128.51.95	US
66.128.51.96	66.128.51.127	AF
66.128.51.128	66.128.51.207	US
66.128.51.208	66.128.51.215	DO
66.128.51.216	66.128.51.239	US
66.128.51.240	66.128.51.247	AU
66.128.51.248	66.128.52.223	US
66.128.52.224	66.128.52.231	CA
66.128.52.232	66.128.52.255	US
66.128.53.0	66.128.53.255	DO
66.128.54.0	66.128.54.95	US
66.128.54.96	66.128.54.103	CO
66.128.54.104	66.128.54.255	US
66.128.55.0	66.128.55.7	CA
66.128.55.8	66.128.55.39	US
66.128.55.40	66.128.55.47	CO
66.128.55.48	66.128.58.191	US
66.128.58.192	66.128.58.199	CA
66.128.58.200	66.128.58.207	US
66.128.58.208	66.128.58.215	CA
66.128.58.216	66.128.59.255	US
66.128.60.0	66.128.60.255	DO
66.128.61.0	66.128.61.255	US
66.128.62.0	66.128.62.7	CA
66.128.62.8	66.128.62.55	US
66.128.62.56	66.128.62.63	CA
66.128.62.64	66.128.79.255	US
66.128.80.0	66.128.95.255	CA
66.128.96.0	66.129.127.255	US
66.129.128.0	66.129.133.151	CA
66.129.133.152	66.129.133.159	US
66.129.133.160	66.129.159.255	CA
66.129.160.0	66.129.175.255	PR
66.129.176.0	66.129.191.255	CA
66.129.192.0	66.129.255.255	US
66.130.0.0	66.131.255.255	CA
66.132.0.0	66.133.5.255	US
66.133.6.0	66.133.6.255	A2
66.133.7.0	66.133.7.255	US
66.133.8.0	66.133.8.255	A2
66.133.9.0	66.133.12.255	US
66.133.13.0	66.133.13.255	A2
66.133.14.0	66.133.56.255	US
66.133.57.0	66.133.59.255	A2
66.133.60.0	66.133.114.63	US
66.133.114.64	66.133.114.79	CA
66.133.114.80	66.135.57.255	US
66.135.58.0	66.135.58.31	AU
66.135.58.32	66.135.95.255	US
66.135.96.0	66.135.100.95	CA
66.135.100.96	66.135.100.111	US
66.135.100.112	66.135.127.255	CA
66.135.128.0	66.136.4.71	US
66.136.4.72	66.136.4.79	PR
66.136.4.80	66.136.4.199	US
66.136.4.200	66.136.4.207	PR
66.136.4.208	66.136.5.87	US
66.136.5.88	66.136.5.95	PR
66.136.5.96	66.136.6.15	US
66.136.6.16	66.136.6.23	PR
66.136.6.24	66.136.9.31	US
66.136.9.32	66.136.9.39	PR
66.136.9.40	66.136.9.175	US
66.136.9.176	66.136.9.183	PR
66.136.9.184	66.136.9.191	US
66.136.9.192	66.136.9.199	PR
66.136.9.200	66.136.16.127	US
66.136.16.128	66.136.16.135	PR
66.136.16.136	66.136.16.199	US
66.136.16.200	66.136.16.215	PR
66.136.16.216	66.136.17.135	US
66.136.17.136	66.136.17.143	PR
66.136.17.144	66.136.18.183	US
66.136.18.184	66.136.18.191	PR
66.136.18.192	66.136.19.143	US
66.136.19.144	66.136.19.151	PR
66.136.19.152	66.136.31.63	US
66.136.31.64	66.136.31.71	PR
66.136.31.72	66.136.32.95	US
66.136.32.96	66.136.32.103	PR
66.136.32.104	66.136.36.159	US
66.136.36.160	66.136.36.167	PR
66.136.36.168	66.136.43.71	US
66.136.43.72	66.136.43.79	PR
66.136.43.80	66.136.54.223	US
66.136.54.224	66.136.54.231	PR
66.136.54.232	66.136.58.47	US
66.136.58.48	66.136.58.55	PR
66.136.58.56	66.136.77.79	US
66.136.77.80	66.136.77.87	PR
66.136.77.88	66.136.77.199	US
66.136.77.200	66.136.77.207	PR
66.136.77.208	66.136.96.39	US
66.136.96.40	66.136.96.47	PR
66.136.96.48	66.136.96.63	US
66.136.96.64	66.136.96.71	PR
66.136.96.72	66.136.136.183	US
66.136.136.184	66.136.136.191	PR
66.136.136.192	66.136.139.31	US
66.136.139.32	66.136.139.39	PR
66.136.139.40	66.136.139.199	US
66.136.139.200	66.136.139.207	PR
66.136.139.208	66.136.140.255	US
66.136.141.0	66.136.141.7	PR
66.136.141.8	66.136.141.15	US
66.136.141.16	66.136.141.23	PR
66.136.141.24	66.136.166.175	US
66.136.166.176	66.136.166.183	PR
66.136.166.184	66.136.168.159	US
66.136.168.160	66.136.168.167	PR
66.136.168.168	66.136.172.63	US
66.136.172.64	66.136.172.71	PR
66.136.172.72	66.136.172.111	US
66.136.172.112	66.136.172.119	PR
66.136.172.120	66.136.173.15	US
66.136.173.16	66.136.173.23	PR
66.136.173.24	66.136.204.207	US
66.136.204.208	66.136.204.215	PR
66.136.204.216	66.136.235.255	US
66.136.236.0	66.136.236.7	PR
66.136.236.8	66.136.243.143	US
66.136.243.144	66.136.243.151	PR
66.136.243.152	66.136.248.239	US
66.136.248.240	66.136.248.247	PR
66.136.248.248	66.137.1.103	US
66.137.1.104	66.137.1.111	PR
66.137.1.112	66.137.3.55	US
66.137.3.56	66.137.3.63	PR
66.137.3.64	66.137.11.183	US
66.137.11.184	66.137.11.191	PR
66.137.11.192	66.137.18.207	US
66.137.18.208	66.137.18.215	PR
66.137.18.216	66.137.36.95	US
66.137.36.96	66.137.36.103	PR
66.137.36.104	66.137.39.199	US
66.137.39.200	66.137.39.207	PR
66.137.39.208	66.137.65.23	US
66.137.65.24	66.137.65.31	PR
66.137.65.32	66.137.97.31	US
66.137.97.32	66.137.97.39	PR
66.137.97.40	66.137.97.103	US
66.137.97.104	66.137.97.111	PR
66.137.97.112	66.137.102.47	US
66.137.102.48	66.137.102.55	PR
66.137.102.56	66.137.103.87	US
66.137.103.88	66.137.103.95	PR
66.137.103.96	66.137.108.87	US
66.137.108.88	66.137.108.95	PR
66.137.108.96	66.137.110.175	US
66.137.110.176	66.137.110.183	PR
66.137.110.184	66.137.122.47	US
66.137.122.48	66.137.122.55	PR
66.137.122.56	66.137.139.255	US
66.137.140.0	66.137.140.7	PR
66.137.140.8	66.137.145.23	US
66.137.145.24	66.137.145.31	PR
66.137.145.32	66.137.162.239	US
66.137.162.240	66.137.162.247	PR
66.137.162.248	66.137.183.23	US
66.137.183.24	66.137.183.31	PR
66.137.183.32	66.137.198.23	US
66.137.198.24	66.137.198.31	PR
66.137.198.32	66.137.217.167	US
66.137.217.168	66.137.217.175	PR
66.137.217.176	66.137.234.151	US
66.137.234.152	66.137.234.159	PR
66.137.234.160	66.137.235.135	US
66.137.235.136	66.137.235.143	PR
66.137.235.144	66.137.238.119	US
66.137.238.120	66.137.238.127	PR
66.137.238.128	66.137.242.199	US
66.137.242.200	66.137.242.207	PR
66.137.242.208	66.137.243.223	US
66.137.243.224	66.137.243.231	PR
66.137.243.232	66.137.247.15	US
66.137.247.16	66.137.247.23	PR
66.137.247.24	66.137.253.103	US
66.137.253.104	66.137.253.111	PR
66.137.253.112	66.137.253.119	US
66.137.253.120	66.137.253.127	PR
66.137.253.128	66.137.253.143	US
66.137.253.144	66.137.253.151	PR
66.137.253.152	66.138.76.135	US
66.138.76.136	66.138.76.143	PR
66.138.76.144	66.138.76.239	US
66.138.76.240	66.138.76.247	PR
66.138.76.248	66.138.78.23	US
66.138.78.24	66.138.78.31	PR
66.138.78.32	66.138.204.15	US
66.138.204.16	66.138.204.23	PR
66.138.204.24	66.138.238.151	US
66.138.238.152	66.138.238.159	PR
66.138.238.160	66.139.1.159	US
66.139.1.160	66.139.1.175	PR
66.139.1.176	66.139.13.199	US
66.139.13.200	66.139.13.207	PR
66.139.13.208	66.139.65.39	US
66.139.65.40	66.139.65.47	PR
66.139.65.48	66.139.152.111	US
66.139.152.112	66.139.152.119	PR
66.139.152.120	66.139.210.111	US
66.139.210.112	66.139.210.127	PR
66.139.210.128	66.140.8.231	US
66.140.8.232	66.140.8.239	PR
66.140.8.240	66.140.27.191	US
66.140.27.192	66.140.27.199	PR
66.140.27.200	66.140.41.87	US
66.140.41.88	66.140.41.95	PR
66.140.41.96	66.140.64.215	US
66.140.64.216	66.140.64.223	PR
66.140.64.224	66.140.64.231	US
66.140.64.232	66.140.64.239	PR
66.140.64.240	66.140.78.39	US
66.140.78.40	66.140.78.47	PR
66.140.78.48	66.140.96.175	US
66.140.96.176	66.140.96.183	PR
66.140.96.184	66.140.112.15	US
66.140.112.16	66.140.112.23	PR
66.140.112.24	66.140.135.63	US
66.140.135.64	66.140.135.95	PR
66.140.135.96	66.140.138.143	US
66.140.138.144	66.140.138.151	PR
66.140.138.152	66.140.138.239	US
66.140.138.240	66.140.138.247	PR
66.140.138.248	66.140.149.55	US
66.140.149.56	66.140.149.63	PR
66.140.149.64	66.140.154.191	US
66.140.154.192	66.140.154.207	PR
66.140.154.208	66.140.225.127	US
66.140.225.128	66.140.225.135	PR
66.140.225.136	66.141.7.63	US
66.141.7.64	66.141.7.79	UA
66.141.7.80	66.141.115.71	US
66.141.115.72	66.141.115.79	PR
66.141.115.80	66.141.158.135	US
66.141.158.136	66.141.158.143	PR
66.141.158.144	66.141.244.183	US
66.141.244.184	66.141.244.191	PR
66.141.244.192	66.146.127.255	US
66.146.128.0	66.146.159.255	CA
66.146.160.0	66.150.43.255	US
66.150.44.0	66.150.44.255	CA
66.150.45.0	66.150.60.255	US
66.150.61.0	66.150.61.255	CA
66.150.62.0	66.150.142.15	US
66.150.142.16	66.150.142.23	CA
66.150.142.24	66.150.167.95	US
66.150.167.96	66.150.167.127	CA
66.150.167.128	66.150.201.175	US
66.150.201.176	66.150.201.191	GB
66.150.201.192	66.150.217.63	US
66.150.217.64	66.150.217.127	CA
66.150.217.128	66.150.247.63	US
66.150.247.64	66.150.247.127	KR
66.150.247.128	66.151.14.127	US
66.151.14.128	66.151.14.135	IL
66.151.14.136	66.151.14.215	US
66.151.14.216	66.151.14.223	A2
66.151.14.224	66.151.24.255	US
66.151.25.0	66.151.25.255	CA
66.151.26.0	66.151.56.71	US
66.151.56.72	66.151.56.95	FR
66.151.56.96	66.151.238.127	US
66.151.238.128	66.151.238.135	IL
66.151.238.136	66.152.63.255	US
66.152.64.0	66.152.95.255	CA
66.152.96.0	66.152.163.159	US
66.152.163.160	66.152.163.167	GB
66.152.163.168	66.152.177.63	US
66.152.177.64	66.152.177.127	CA
66.152.177.128	66.152.187.71	US
66.152.187.72	66.152.187.79	GB
66.152.187.80	66.154.80.63	US
66.154.80.64	66.154.80.71	GB
66.154.80.72	66.154.81.247	US
66.154.81.248	66.154.81.255	GB
66.154.82.0	66.154.86.255	US
66.154.87.0	66.154.87.15	PL
66.154.87.16	66.154.93.255	US
66.154.94.0	66.154.94.127	CA
66.154.94.128	66.154.95.255	US
66.154.96.0	66.154.96.255	CA
66.154.97.0	66.154.103.255	US
66.154.104.0	66.154.106.255	AN
66.154.107.0	66.154.107.255	CA
66.154.108.0	66.154.108.255	US
66.154.109.0	66.154.110.255	CA
66.154.111.0	66.154.111.7	US
66.154.111.8	66.154.111.15	CA
66.154.111.16	66.154.111.23	US
66.154.111.24	66.154.111.31	CA
66.154.111.32	66.154.111.47	US
66.154.111.48	66.154.111.63	CA
66.154.111.64	66.154.111.127	US
66.154.111.128	66.154.116.159	CA
66.154.116.160	66.154.116.175	US
66.154.116.176	66.154.117.255	CA
66.154.118.0	66.154.119.255	US
66.154.120.0	66.154.120.255	CA
66.154.121.0	66.154.123.255	US
66.154.124.0	66.154.125.255	CA
66.154.126.0	66.154.126.255	US
66.154.127.0	66.154.127.255	CA
66.154.128.0	66.158.127.255	US
66.158.128.0	66.158.159.255	CA
66.158.160.0	66.159.31.255	US
66.159.32.0	66.159.47.255	CA
66.159.48.0	66.159.111.255	US
66.159.112.0	66.159.127.255	CA
66.159.128.0	66.160.56.223	US
66.160.56.224	66.160.56.239	CA
66.160.56.240	66.160.128.39	US
66.160.128.40	66.160.128.47	CN
66.160.128.48	66.160.129.255	US
66.160.130.0	66.160.130.255	CN
66.160.131.0	66.160.140.63	US
66.160.140.64	66.160.140.127	CA
66.160.140.128	66.160.142.127	US
66.160.142.128	66.160.142.255	IT
66.160.143.0	66.160.144.95	US
66.160.144.96	66.160.144.111	HK
66.160.144.112	66.160.146.239	US
66.160.146.240	66.160.146.255	AE
66.160.147.0	66.160.160.255	US
66.160.161.0	66.160.161.255	CA
66.160.162.0	66.160.162.255	CN
66.160.163.0	66.160.163.255	US
66.160.164.0	66.160.165.255	GR
66.160.166.0	66.160.184.255	US
66.160.185.0	66.160.185.255	GR
66.160.186.0	66.160.192.191	US
66.160.192.192	66.160.192.255	A2
66.160.193.0	66.160.195.255	US
66.160.196.0	66.160.196.255	IT
66.160.197.0	66.162.255.255	US
66.163.0.0	66.163.3.111	CA
66.163.3.112	66.163.3.127	US
66.163.3.128	66.163.15.175	CA
66.163.15.176	66.163.15.191	US
66.163.15.192	66.163.17.23	CA
66.163.17.24	66.163.17.31	US
66.163.17.32	66.163.17.47	CA
66.163.17.48	66.163.17.63	US
66.163.17.64	66.163.17.239	CA
66.163.17.240	66.163.17.247	US
66.163.17.248	66.163.20.87	CA
66.163.20.88	66.163.20.95	US
66.163.20.96	66.163.21.23	CA
66.163.21.24	66.163.21.47	US
66.163.21.48	66.163.25.31	CA
66.163.25.32	66.163.25.55	US
66.163.25.56	66.163.26.143	CA
66.163.26.144	66.163.26.167	US
66.163.26.168	66.163.26.183	CA
66.163.26.184	66.163.26.191	US
66.163.26.192	66.163.27.79	CA
66.163.27.80	66.163.27.111	US
66.163.27.112	66.163.27.231	CA
66.163.27.232	66.163.27.239	US
66.163.27.240	66.163.31.15	CA
66.163.31.16	66.163.31.127	US
66.163.31.128	66.163.31.255	CA
66.163.32.0	66.163.63.255	US
66.163.64.0	66.163.79.255	CA
66.163.80.0	66.163.192.7	US
66.163.192.8	66.163.198.159	CA
66.163.198.160	66.163.198.207	US
66.163.198.208	66.163.198.239	CA
66.163.198.240	66.163.198.255	US
66.163.199.0	66.163.204.143	CA
66.163.204.144	66.163.204.151	US
66.163.204.152	66.163.204.223	CA
66.163.204.224	66.163.204.231	US
66.163.204.232	66.163.205.159	CA
66.163.205.160	66.163.205.191	US
66.163.205.192	66.163.205.207	CA
66.163.205.208	66.163.205.215	US
66.163.205.216	66.163.206.15	CA
66.163.206.16	66.163.206.23	CR
66.163.206.24	66.163.206.71	CA
66.163.206.72	66.163.206.79	US
66.163.206.80	66.163.207.143	CA
66.163.207.144	66.163.207.183	US
66.163.207.184	66.163.207.255	CA
66.163.208.0	66.165.63.255	US
66.165.64.0	66.165.65.255	CA
66.165.66.0	66.165.66.255	US
66.165.67.0	66.165.68.127	CA
66.165.68.128	66.165.68.255	US
66.165.69.0	66.165.69.255	CA
66.165.70.0	66.165.72.255	US
66.165.73.0	66.165.73.255	CA
66.165.74.0	66.165.75.255	US
66.165.76.0	66.165.77.255	CA
66.165.78.0	66.165.78.31	BR
66.165.78.32	66.165.78.159	US
66.165.78.160	66.165.78.191	AU
66.165.78.192	66.165.78.223	US
66.165.78.224	66.165.78.255	CA
66.165.79.0	66.165.80.255	US
66.165.81.0	66.165.84.255	CA
66.165.85.0	66.165.85.127	US
66.165.85.128	66.165.85.255	IN
66.165.86.0	66.165.88.255	CA
66.165.89.0	66.165.90.255	US
66.165.91.0	66.165.92.127	CA
66.165.92.128	66.165.92.255	US
66.165.93.0	66.165.93.127	CA
66.165.93.128	66.165.93.255	US
66.165.94.0	66.165.94.127	CA
66.165.94.128	66.165.97.255	US
66.165.98.0	66.165.98.95	CA
66.165.98.96	66.165.98.127	US
66.165.98.128	66.165.98.191	CA
66.165.98.192	66.165.98.223	US
66.165.98.224	66.165.98.255	IN
66.165.99.0	66.165.101.95	US
66.165.101.96	66.165.101.111	CA
66.165.101.112	66.165.101.239	US
66.165.101.240	66.165.101.255	ID
66.165.102.0	66.165.103.127	CA
66.165.103.128	66.165.105.255	US
66.165.106.0	66.165.106.31	IN
66.165.106.32	66.165.106.63	BE
66.165.106.64	66.165.106.95	US
66.165.106.96	66.165.106.127	CA
66.165.106.128	66.165.107.31	US
66.165.107.32	66.165.107.63	IL
66.165.107.64	66.165.107.127	US
66.165.107.128	66.165.107.159	GB
66.165.107.160	66.165.107.191	US
66.165.107.192	66.165.107.223	FR
66.165.107.224	66.165.112.191	US
66.165.112.192	66.165.112.223	AU
66.165.112.224	66.165.117.255	US
66.165.118.0	66.165.119.255	CA
66.165.120.0	66.165.121.63	US
66.165.121.64	66.165.121.95	AU
66.165.121.96	66.165.122.255	US
66.165.123.0	66.165.123.255	CA
66.165.124.0	66.165.124.255	US
66.165.125.0	66.165.125.255	CA
66.165.126.0	66.165.162.47	US
66.165.162.48	66.165.162.63	TT
66.165.162.64	66.165.162.223	US
66.165.162.224	66.165.162.239	PR
66.165.162.240	66.165.162.255	US
66.165.163.0	66.165.163.7	ES
66.165.163.8	66.165.163.39	US
66.165.163.40	66.165.163.47	CR
66.165.163.48	66.165.163.207	US
66.165.163.208	66.165.163.223	MX
66.165.163.224	66.165.164.111	US
66.165.164.112	66.165.164.115	BR
66.165.164.116	66.165.165.79	US
66.165.165.80	66.165.165.95	CO
66.165.165.96	66.165.166.47	US
66.165.166.48	66.165.166.63	AW
66.165.166.64	66.165.166.79	PR
66.165.166.80	66.165.166.95	US
66.165.166.96	66.165.166.111	BR
66.165.166.112	66.165.166.127	FR
66.165.166.128	66.165.166.223	US
66.165.166.224	66.165.166.239	PR
66.165.166.240	66.165.168.175	US
66.165.168.176	66.165.168.191	DO
66.165.168.192	66.165.169.111	US
66.165.169.112	66.165.169.127	UY
66.165.169.128	66.165.169.191	US
66.165.169.192	66.165.169.207	AR
66.165.169.208	66.165.170.207	US
66.165.170.208	66.165.170.223	BR
66.165.170.224	66.165.171.71	US
66.165.171.72	66.165.171.75	BR
66.165.171.76	66.165.171.79	US
66.165.171.80	66.165.171.95	DE
66.165.171.96	66.165.171.207	US
66.165.171.208	66.165.171.223	VE
66.165.171.224	66.165.172.143	US
66.165.172.144	66.165.172.159	CO
66.165.172.160	66.165.172.191	US
66.165.172.192	66.165.172.207	PA
66.165.172.208	66.165.172.223	TT
66.165.172.224	66.165.173.79	US
66.165.173.80	66.165.173.95	MX
66.165.173.96	66.165.173.223	US
66.165.173.224	66.165.173.239	CL
66.165.173.240	66.165.175.47	US
66.165.175.48	66.165.175.63	BB
66.165.175.64	66.165.177.95	US
66.165.177.96	66.165.177.111	NL
66.165.177.112	66.165.177.175	US
66.165.177.176	66.165.177.191	CA
66.165.177.192	66.165.177.207	US
66.165.177.208	66.165.177.223	PA
66.165.177.224	66.165.182.31	US
66.165.182.32	66.165.182.47	PE
66.165.182.48	66.165.182.111	US
66.165.182.112	66.165.182.127	VE
66.165.182.128	66.165.183.63	US
66.165.183.64	66.165.183.79	ES
66.165.183.80	66.165.183.159	US
66.165.183.160	66.165.183.175	DK
66.165.183.176	66.165.187.127	US
66.165.187.128	66.165.187.143	NL
66.165.187.144	66.165.187.191	US
66.165.187.192	66.165.187.207	GY
66.165.187.208	66.165.187.223	AR
66.165.187.224	66.165.188.255	US
66.165.189.0	66.165.189.7	PA
66.165.189.8	66.165.189.239	US
66.165.189.240	66.165.189.243	SV
66.165.189.244	66.165.189.251	US
66.165.189.252	66.165.189.255	SV
66.165.190.0	66.165.191.255	US
66.165.192.0	66.165.223.255	CA
66.165.224.0	66.170.143.255	US
66.170.144.0	66.170.145.39	CA
66.170.145.40	66.170.145.47	US
66.170.145.48	66.170.145.95	CA
66.170.145.96	66.170.145.103	US
66.170.145.104	66.170.145.111	CA
66.170.145.112	66.170.145.119	US
66.170.145.120	66.170.146.111	CA
66.170.146.112	66.170.146.119	US
66.170.146.120	66.170.146.127	CA
66.170.146.128	66.170.146.159	US
66.170.146.160	66.170.147.79	CA
66.170.147.80	66.170.147.87	US
66.170.147.88	66.170.147.207	CA
66.170.147.208	66.170.147.215	US
66.170.147.216	66.170.147.223	CA
66.170.147.224	66.170.147.239	US
66.170.147.240	66.170.154.7	CA
66.170.154.8	66.170.154.31	US
66.170.154.32	66.170.154.87	CA
66.170.154.88	66.170.154.95	US
66.170.154.96	66.170.156.223	CA
66.170.156.224	66.170.156.231	US
66.170.156.232	66.170.159.255	CA
66.170.160.0	66.175.96.151	US
66.175.96.152	66.175.96.159	BB
66.175.96.160	66.175.98.207	US
66.175.98.208	66.175.98.223	GB
66.175.98.224	66.175.103.127	US
66.175.103.128	66.175.103.143	LU
66.175.103.144	66.175.103.175	US
66.175.103.176	66.175.103.191	ES
66.175.103.192	66.175.107.255	US
66.175.108.0	66.175.108.127	JM
66.175.108.128	66.175.108.191	US
66.175.108.192	66.175.109.191	JM
66.175.109.192	66.175.110.63	US
66.175.110.64	66.175.111.255	JM
66.175.112.0	66.175.112.95	US
66.175.112.96	66.175.112.111	CA
66.175.112.112	66.175.112.207	US
66.175.112.208	66.175.112.223	ES
66.175.112.224	66.175.114.47	US
66.175.114.48	66.175.114.63	BR
66.175.114.64	66.175.116.47	US
66.175.116.48	66.175.116.63	PR
66.175.116.64	66.175.116.207	US
66.175.116.208	66.175.116.223	JM
66.175.116.224	66.175.120.15	US
66.175.120.16	66.175.120.31	AG
66.175.120.32	66.175.120.119	US
66.175.120.120	66.175.120.127	CY
66.175.120.128	66.175.122.255	US
66.175.123.0	66.175.123.255	CY
66.175.124.0	66.175.125.7	US
66.175.125.8	66.175.125.15	CR
66.175.125.16	66.177.255.255	US
66.178.0.0	66.178.4.143	A2
66.178.4.144	66.178.4.151	SA
66.178.4.152	66.178.4.159	NG
66.178.4.160	66.178.4.255	A2
66.178.5.0	66.178.5.255	TR
66.178.6.0	66.178.6.255	A2
66.178.7.0	66.178.7.7	TZ
66.178.7.8	66.178.7.15	A2
66.178.7.16	66.178.7.23	NG
66.178.7.24	66.178.7.31	GB
66.178.7.32	66.178.7.39	AO
66.178.7.40	66.178.7.127	A2
66.178.7.128	66.178.7.191	KE
66.178.7.192	66.178.8.255	A2
66.178.9.0	66.178.9.23	LB
66.178.9.24	66.178.12.127	A2
66.178.12.128	66.178.12.143	LB
66.178.12.144	66.178.12.255	A2
66.178.13.0	66.178.14.255	AN
66.178.15.0	66.178.16.79	A2
66.178.16.80	66.178.16.87	EC
66.178.16.88	66.178.16.151	A2
66.178.16.152	66.178.16.159	MA
66.178.16.160	66.178.16.231	A2
66.178.16.232	66.178.16.247	NG
66.178.16.248	66.178.17.7	A2
66.178.17.8	66.178.17.15	US
66.178.17.16	66.178.17.23	A2
66.178.17.24	66.178.17.47	EC
66.178.17.48	66.178.17.55	A2
66.178.17.56	66.178.17.63	PY
66.178.17.64	66.178.17.71	NG
66.178.17.72	66.178.17.95	A2
66.178.17.96	66.178.17.103	SV
66.178.17.104	66.178.17.127	VE
66.178.17.128	66.178.17.135	BB
66.178.17.136	66.178.17.175	A2
66.178.17.176	66.178.17.191	NI
66.178.17.192	66.178.17.199	A2
66.178.17.200	66.178.17.207	EC
66.178.17.208	66.178.17.255	A2
66.178.18.0	66.178.18.79	SV
66.178.18.80	66.178.18.95	A2
66.178.18.96	66.178.18.127	SV
66.178.18.128	66.178.18.135	A2
66.178.18.136	66.178.18.143	SV
66.178.18.144	66.178.18.151	NI
66.178.18.152	66.178.18.183	A2
66.178.18.184	66.178.18.191	NI
66.178.18.192	66.178.18.215	A2
66.178.18.216	66.178.18.223	NI
66.178.18.224	66.178.18.231	A2
66.178.18.232	66.178.18.239	NI
66.178.18.240	66.178.18.247	A2
66.178.18.248	66.178.18.255	NI
66.178.19.0	66.178.19.127	US
66.178.19.128	66.178.19.159	SV
66.178.19.160	66.178.19.167	NI
66.178.19.168	66.178.19.175	A2
66.178.19.176	66.178.19.183	NI
66.178.19.184	66.178.19.191	A2
66.178.19.192	66.178.19.255	EC
66.178.20.0	66.178.20.7	LB
66.178.20.8	66.178.20.23	A2
66.178.20.24	66.178.20.31	LB
66.178.20.32	66.178.20.63	A2
66.178.20.64	66.178.20.127	PY
66.178.20.128	66.178.20.175	A2
66.178.20.176	66.178.20.191	SA
66.178.20.192	66.178.20.207	A2
66.178.20.208	66.178.20.215	SA
66.178.20.216	66.178.20.231	LB
66.178.20.232	66.178.20.255	A2
66.178.21.0	66.178.21.7	LB
66.178.21.8	66.178.21.23	A2
66.178.21.24	66.178.21.95	SA
66.178.21.96	66.178.21.127	LB
66.178.21.128	66.178.21.159	SA
66.178.21.160	66.178.21.167	A2
66.178.21.168	66.178.21.207	LB
66.178.21.208	66.178.21.215	A2
66.178.21.216	66.178.21.231	LB
66.178.21.232	66.178.21.239	A2
66.178.21.240	66.178.21.247	LB
66.178.21.248	66.178.21.255	A2
66.178.22.0	66.178.22.31	LB
66.178.22.32	66.178.22.39	A2
66.178.22.40	66.178.22.47	LB
66.178.22.48	66.178.22.63	A2
66.178.22.64	66.178.22.71	LB
66.178.22.72	66.178.22.79	SA
66.178.22.80	66.178.22.87	LB
66.178.22.88	66.178.22.95	A2
66.178.22.96	66.178.22.103	MA
66.178.22.104	66.178.22.127	LB
66.178.22.128	66.178.22.191	A2
66.178.22.192	66.178.22.223	SA
66.178.22.224	66.178.22.239	A2
66.178.22.240	66.178.22.247	LB
66.178.22.248	66.178.22.255	SA
66.178.23.0	66.178.23.15	LB
66.178.23.16	66.178.23.31	A2
66.178.23.32	66.178.23.63	SA
66.178.23.64	66.178.23.79	A2
66.178.23.80	66.178.23.95	SA
66.178.23.96	66.178.23.111	LB
66.178.23.112	66.178.23.127	SA
66.178.23.128	66.178.23.191	LB
66.178.23.192	66.178.23.223	SA
66.178.23.224	66.178.24.31	A2
66.178.24.32	66.178.24.39	LB
66.178.24.40	66.178.24.95	A2
66.178.24.96	66.178.24.207	SA
66.178.24.208	66.178.24.231	A2
66.178.24.232	66.178.24.239	LB
66.178.24.240	66.178.24.247	A2
66.178.24.248	66.178.25.31	SA
66.178.25.32	66.178.25.47	A2
66.178.25.48	66.178.25.63	LB
66.178.25.64	66.178.25.95	A2
66.178.25.96	66.178.25.111	LB
66.178.25.112	66.178.25.119	AE
66.178.25.120	66.178.25.127	A2
66.178.25.128	66.178.25.143	SA
66.178.25.144	66.178.25.159	IQ
66.178.25.160	66.178.25.191	A2
66.178.25.192	66.178.25.223	IQ
66.178.25.224	66.178.25.231	AE
66.178.25.232	66.178.25.239	A2
66.178.25.240	66.178.25.255	AE
66.178.26.0	66.178.26.255	SR
66.178.27.0	66.178.27.255	A2
66.178.28.0	66.178.28.143	SA
66.178.28.144	66.178.28.159	A2
66.178.28.160	66.178.28.175	SA
66.178.28.176	66.178.28.191	A2
66.178.28.192	66.178.29.127	SA
66.178.29.128	66.178.29.191	A2
66.178.29.192	66.178.29.255	SA
66.178.30.0	66.178.30.23	A2
66.178.30.24	66.178.30.31	NI
66.178.30.32	66.178.30.127	A2
66.178.30.128	66.178.30.255	TT
66.178.31.0	66.178.31.127	GY
66.178.31.128	66.178.31.255	A2
66.178.32.0	66.178.32.255	LB
66.178.33.0	66.178.33.7	KE
66.178.33.8	66.178.33.127	A2
66.178.33.128	66.178.33.255	NG
66.178.34.0	66.178.34.255	GY
66.178.35.0	66.178.35.127	SA
66.178.35.128	66.178.35.255	GY
66.178.36.0	66.178.38.128	SR
66.178.38.129	66.178.38.255	A2
66.178.39.0	66.178.39.255	GY
66.178.40.0	66.178.40.255	A2
66.178.41.0	66.178.41.255	VE
66.178.42.0	66.178.42.255	EC
66.178.43.0	66.178.43.255	SA
66.178.44.0	66.178.44.15	NI
66.178.44.16	66.178.44.31	VE
66.178.44.32	66.178.44.39	A2
66.178.44.40	66.178.44.47	NI
66.178.44.48	66.178.44.55	A2
66.178.44.56	66.178.44.71	NI
66.178.44.72	66.178.44.79	SV
66.178.44.80	66.178.44.103	A2
66.178.44.104	66.178.44.111	NI
66.178.44.112	66.178.44.119	A2
66.178.44.120	66.178.44.127	NI
66.178.44.128	66.178.44.135	A2
66.178.44.136	66.178.44.143	EC
66.178.44.144	66.178.44.151	SV
66.178.44.152	66.178.44.183	VE
66.178.44.184	66.178.44.191	SV
66.178.44.192	66.178.44.223	NI
66.178.44.224	66.178.44.231	A2
66.178.44.232	66.178.44.239	NI
66.178.44.240	66.178.44.255	A2
66.178.45.0	66.178.45.255	VE
66.178.46.0	66.178.46.255	GY
66.178.47.0	66.178.47.255	NG
66.178.48.0	66.178.48.63	GY
66.178.48.64	66.178.48.95	A2
66.178.48.96	66.178.48.103	SV
66.178.48.104	66.178.48.143	A2
66.178.48.144	66.178.48.151	EC
66.178.48.152	66.178.48.159	SV
66.178.48.160	66.178.48.167	NI
66.178.48.168	66.178.48.175	A2
66.178.48.176	66.178.48.183	US
66.178.48.184	66.178.48.255	EC
66.178.49.0	66.178.49.7	US
66.178.49.8	66.178.52.255	A2
66.178.53.0	66.178.53.255	NI
66.178.54.0	66.178.54.255	KE
66.178.55.0	66.178.55.255	A2
66.178.56.0	66.178.56.255	GB
66.178.57.0	66.178.57.31	LB
66.178.57.32	66.178.57.39	A2
66.178.57.40	66.178.57.55	SA
66.178.57.56	66.178.57.63	A2
66.178.57.64	66.178.57.71	SA
66.178.57.72	66.178.57.87	A2
66.178.57.88	66.178.57.103	LB
66.178.57.104	66.178.57.111	A2
66.178.57.112	66.178.57.119	SA
66.178.57.120	66.178.57.127	LB
66.178.57.128	66.178.57.135	SA
66.178.57.136	66.178.57.143	A2
66.178.57.144	66.178.57.167	SA
66.178.57.168	66.178.57.255	A2
66.178.58.0	66.178.58.63	NG
66.178.58.64	66.178.58.87	A2
66.178.58.88	66.178.58.95	NG
66.178.58.96	66.178.58.103	LB
66.178.58.104	66.178.58.175	A2
66.178.58.176	66.178.58.191	NG
66.178.58.192	66.178.58.215	A2
66.178.58.216	66.178.58.223	NG
66.178.58.224	66.178.58.255	A2
66.178.59.0	66.178.59.23	NG
66.178.59.24	66.178.59.63	A2
66.178.59.64	66.178.59.95	NG
66.178.59.96	66.178.59.127	A2
66.178.59.128	66.178.59.255	NG
66.178.60.0	66.178.60.255	SA
66.178.61.0	66.178.61.31	A2
66.178.61.32	66.178.61.63	NG
66.178.61.64	66.178.61.71	KE
66.178.61.72	66.178.61.255	A2
66.178.62.0	66.178.62.15	US
66.178.62.16	66.178.62.39	A2
66.178.62.40	66.178.62.47	SA
66.178.62.48	66.178.62.95	A2
66.178.62.96	66.178.62.127	NG
66.178.62.128	66.178.63.47	A2
66.178.63.48	66.178.63.55	LB
66.178.63.56	66.178.63.87	A2
66.178.63.88	66.178.63.95	NI
66.178.63.96	66.178.63.255	A2
66.178.64.0	66.178.64.31	SA
66.178.64.32	66.178.64.63	A2
66.178.64.64	66.178.65.135	SA
66.178.65.136	66.178.65.143	A2
66.178.65.144	66.178.65.159	LB
66.178.65.160	66.178.65.191	SA
66.178.65.192	66.178.67.255	A2
66.178.68.0	66.178.68.159	SA
66.178.68.160	66.178.68.191	A2
66.178.68.192	66.178.68.223	SA
66.178.68.224	66.178.68.255	LB
66.178.69.0	66.178.69.127	SA
66.178.69.128	66.178.69.151	LB
66.178.69.152	66.178.69.167	SA
66.178.69.168	66.178.69.175	LB
66.178.69.176	66.178.69.207	SA
66.178.69.208	66.178.69.247	LB
66.178.69.248	66.178.69.255	SA
66.178.70.0	66.178.70.127	A2
66.178.70.128	66.178.70.191	LB
66.178.70.192	66.178.70.255	A2
66.178.71.0	66.178.71.15	NI
66.178.71.16	66.178.71.55	A2
66.178.71.56	66.178.71.63	NI
66.178.71.64	66.178.71.255	A2
66.178.72.0	66.178.72.255	NG
66.178.73.0	66.178.73.255	A2
66.178.74.0	66.178.74.255	TZ
66.178.75.0	66.178.75.255	AN
66.178.76.0	66.178.76.255	A2
66.178.77.0	66.178.77.255	IQ
66.178.78.0	66.178.78.55	EC
66.178.78.56	66.178.78.63	A2
66.178.78.64	66.178.78.103	SV
66.178.78.104	66.178.78.111	EC
66.178.78.112	66.178.78.119	SV
66.178.78.120	66.178.78.127	NG
66.178.78.128	66.178.78.151	A2
66.178.78.152	66.178.78.159	NI
66.178.78.160	66.178.78.191	NG
66.178.78.192	66.178.78.199	EC
66.178.78.200	66.178.78.223	NI
66.178.78.224	66.178.78.231	EC
66.178.78.232	66.178.78.239	NI
66.178.78.240	66.178.78.247	A2
66.178.78.248	66.178.78.255	NI
66.178.79.0	66.178.80.31	A2
66.178.80.32	66.178.80.39	NG
66.178.80.40	66.178.80.47	A2
66.178.80.48	66.178.80.55	KE
66.178.80.56	66.178.80.63	US
66.178.80.64	66.178.80.71	A2
66.178.80.72	66.178.80.135	NG
66.178.80.136	66.178.80.143	A2
66.178.80.144	66.178.80.151	NG
66.178.80.152	66.178.80.159	A2
66.178.80.160	66.178.80.167	KE
66.178.80.168	66.178.80.183	NG
66.178.80.184	66.178.80.191	A2
66.178.80.192	66.178.80.223	NG
66.178.80.224	66.178.80.239	A2
66.178.80.240	66.178.80.247	NG
66.178.80.248	66.178.80.255	A2
66.178.81.0	66.178.81.15	NG
66.178.81.16	66.178.81.31	SV
66.178.81.32	66.178.81.47	NG
66.178.81.48	66.178.81.63	US
66.178.81.64	66.178.81.79	NG
66.178.81.80	66.178.81.87	A2
66.178.81.88	66.178.81.151	NG
66.178.81.152	66.178.81.159	US
66.178.81.160	66.178.81.167	NG
66.178.81.168	66.178.81.175	US
66.178.81.176	66.178.81.183	NG
66.178.81.184	66.178.81.191	CM
66.178.81.192	66.178.81.199	NG
66.178.81.200	66.178.81.207	A2
66.178.81.208	66.178.81.247	NG
66.178.81.248	66.178.82.127	A2
66.178.82.128	66.178.82.255	NG
66.178.83.0	66.178.83.7	LB
66.178.83.8	66.178.83.15	A2
66.178.83.16	66.178.83.23	NG
66.178.83.24	66.178.83.167	A2
66.178.83.168	66.178.83.175	NG
66.178.83.176	66.178.83.255	A2
66.178.84.0	66.178.84.31	AE
66.178.84.32	66.178.84.111	SA
66.178.84.112	66.178.84.127	A2
66.178.84.128	66.178.84.191	AE
66.178.84.192	66.178.84.255	A2
66.178.85.0	66.178.85.255	NI
66.178.86.0	66.178.86.63	TZ
66.178.86.64	66.178.86.79	VE
66.178.86.80	66.178.86.191	A2
66.178.86.192	66.178.86.199	TZ
66.178.86.200	66.178.86.239	US
66.178.86.240	66.178.88.255	A2
66.178.89.0	66.178.89.255	SA
66.178.90.0	66.178.90.71	TZ
66.178.90.72	66.178.90.79	IQ
66.178.90.80	66.178.90.87	A2
66.178.90.88	66.178.90.95	NG
66.178.90.96	66.178.90.103	A2
66.178.90.104	66.178.90.111	LB
66.178.90.112	66.178.90.127	A2
66.178.90.128	66.178.90.135	LB
66.178.90.136	66.178.90.143	SA
66.178.90.144	66.178.90.151	A2
66.178.90.152	66.178.90.159	IQ
66.178.90.160	66.178.90.183	TZ
66.178.90.184	66.178.90.191	LB
66.178.90.192	66.178.90.239	SA
66.178.90.240	66.178.90.247	LB
66.178.90.248	66.178.90.255	SA
66.178.91.0	66.178.91.255	VE
66.178.92.0	66.178.94.255	A2
66.178.95.0	66.178.95.127	NG
66.178.95.128	66.178.95.255	A2
66.178.96.0	66.178.98.255	GB
66.178.99.0	66.178.99.255	US
66.178.100.0	66.178.103.255	KE
66.178.104.0	66.178.104.255	A2
66.178.105.0	66.178.105.31	NG
66.178.105.32	66.178.105.71	A2
66.178.105.72	66.178.105.79	GB
66.178.105.80	66.178.105.191	A2
66.178.105.192	66.178.105.207	GB
66.178.105.208	66.178.105.255	A2
66.178.106.0	66.178.106.255	VE
66.178.107.0	66.178.107.127	KE
66.178.107.128	66.178.107.255	GB
66.178.108.0	66.178.109.255	KE
66.178.110.0	66.178.110.127	A2
66.178.110.128	66.178.110.255	FR
66.178.111.0	66.178.111.191	A2
66.178.111.192	66.178.111.223	US
66.178.111.224	66.178.113.127	A2
66.178.113.128	66.178.113.135	KE
66.178.113.136	66.178.116.127	A2
66.178.116.128	66.178.116.255	LR
66.178.117.0	66.178.120.255	A2
66.178.121.0	66.178.121.15	KE
66.178.121.16	66.178.121.95	A2
66.178.121.96	66.178.121.103	SA
66.178.121.104	66.178.121.127	A2
66.178.121.128	66.178.121.199	US
66.178.121.200	66.178.125.255	A2
66.178.126.0	66.178.127.255	GY
66.178.128.0	66.178.242.119	US
66.178.242.120	66.178.242.127	UY
66.178.242.128	66.180.63.255	US
66.180.64.0	66.180.71.255	CA
66.180.80.0	66.180.203.223	US
66.180.203.224	66.180.203.231	AU
66.180.203.232	66.180.223.255	US
66.181.0.0	66.181.33.135	US
66.181.33.136	66.181.33.151	HT
66.181.33.152	66.181.34.103	US
66.181.34.104	66.181.34.111	CA
66.181.34.112	66.181.34.143	US
66.181.34.144	66.181.34.151	MX
66.181.34.152	66.181.34.255	US
66.181.35.0	66.181.35.7	CA
66.181.35.8	66.181.35.127	US
66.181.35.128	66.181.35.135	CA
66.181.35.136	66.181.35.175	US
66.181.35.176	66.181.35.183	CA
66.181.35.184	66.181.37.95	US
66.181.37.96	66.181.37.111	CA
66.181.37.112	66.181.37.151	US
66.181.37.152	66.181.37.159	CA
66.181.37.160	66.181.38.23	US
66.181.38.24	66.181.38.31	CA
66.181.38.32	66.181.38.55	US
66.181.38.56	66.181.38.63	MX
66.181.38.64	66.181.38.183	US
66.181.38.184	66.181.38.191	CA
66.181.38.192	66.181.40.175	US
66.181.40.176	66.181.40.183	CA
66.181.40.184	66.181.41.31	US
66.181.41.32	66.181.41.39	MX
66.181.41.40	66.181.41.207	US
66.181.41.208	66.181.41.215	CA
66.181.41.216	66.181.43.79	US
66.181.43.80	66.181.43.87	HT
66.181.43.88	66.181.43.255	US
66.181.44.0	66.181.44.7	CA
66.181.44.8	66.181.44.63	US
66.181.44.64	66.181.44.79	MX
66.181.44.80	66.181.47.135	US
66.181.47.136	66.181.47.143	CA
66.181.47.144	66.181.48.63	US
66.181.48.64	66.181.48.71	CA
66.181.48.72	66.181.50.135	US
66.181.50.136	66.181.50.143	CA
66.181.50.144	66.181.51.55	US
66.181.51.56	66.181.51.63	CA
66.181.51.64	66.181.57.31	US
66.181.57.32	66.181.57.127	MX
66.181.57.128	66.181.57.143	US
66.181.57.144	66.181.57.231	MX
66.181.57.232	66.181.57.255	US
66.181.58.0	66.181.58.23	MX
66.181.58.24	66.181.58.31	US
66.181.58.32	66.181.58.143	MX
66.181.58.144	66.181.58.151	US
66.181.58.152	66.181.58.247	MX
66.181.58.248	66.181.58.255	US
66.181.59.0	66.181.59.23	MX
66.181.59.24	66.181.59.31	US
66.181.59.32	66.181.59.95	MX
66.181.59.96	66.181.59.119	US
66.181.59.120	66.181.59.151	MX
66.181.59.152	66.181.59.159	US
66.181.59.160	66.181.59.167	MX
66.181.59.168	66.181.59.175	US
66.181.59.176	66.181.59.199	MX
66.181.59.200	66.181.59.207	US
66.181.59.208	66.181.60.23	MX
66.181.60.24	66.181.60.39	US
66.181.60.40	66.181.60.47	MX
66.181.60.48	66.181.60.71	US
66.181.60.72	66.181.60.127	MX
66.181.60.128	66.181.60.135	US
66.181.60.136	66.181.60.151	MX
66.181.60.152	66.181.60.159	US
66.181.60.160	66.181.60.183	MX
66.181.60.184	66.181.60.191	US
66.181.60.192	66.181.60.215	MX
66.181.60.216	66.181.60.231	US
66.181.60.232	66.181.60.247	MX
66.181.60.248	66.181.61.47	US
66.181.61.48	66.181.61.95	MX
66.181.61.96	66.181.61.111	US
66.181.61.112	66.181.61.127	MX
66.181.61.128	66.181.61.135	US
66.181.61.136	66.181.61.143	GT
66.181.61.144	66.181.61.151	MX
66.181.61.152	66.181.61.159	US
66.181.61.160	66.181.62.63	MX
66.181.62.64	66.181.62.71	US
66.181.62.72	66.181.62.103	GT
66.181.62.104	66.181.62.143	US
66.181.62.144	66.181.62.175	MX
66.181.62.176	66.181.62.199	US
66.181.62.200	66.181.62.207	GT
66.181.62.208	66.181.62.215	MX
66.181.62.216	66.181.62.255	US
66.181.63.0	66.181.63.7	GT
66.181.63.8	66.181.63.71	MX
66.181.63.72	66.181.63.79	US
66.181.63.80	66.181.63.119	MX
66.181.63.120	66.181.63.127	US
66.181.63.128	66.181.63.143	MX
66.181.63.144	66.181.207.255	US
66.181.208.0	66.181.223.255	CA
66.181.224.0	66.182.255.255	US
66.183.0.0	66.183.255.255	CA
66.184.0.0	66.184.56.191	US
66.184.56.192	66.184.56.199	UM
66.184.56.200	66.185.31.255	US
66.185.32.0	66.185.47.255	VI
66.185.48.0	66.185.63.255	CA
66.185.64.0	66.185.79.255	US
66.185.80.0	66.185.95.255	CA
66.185.96.0	66.185.102.223	US
66.185.102.224	66.185.102.231	CO
66.185.102.232	66.185.191.255	US
66.185.192.0	66.185.223.255	CA
66.185.224.0	66.186.2.159	US
66.186.2.160	66.186.2.167	AU
66.186.2.168	66.186.15.223	US
66.186.15.224	66.186.15.255	IE
66.186.16.0	66.186.17.191	US
66.186.17.192	66.186.17.223	GI
66.186.17.224	66.186.63.255	US
66.186.64.0	66.186.95.255	CA
66.186.96.0	66.187.25.255	US
66.187.26.0	66.187.27.255	PR
66.187.28.0	66.187.63.255	US
66.187.64.0	66.187.79.255	CA
66.187.80.0	66.187.111.255	US
66.187.112.0	66.187.127.255	CA
66.187.128.0	66.193.215.191	US
66.193.215.192	66.193.215.223	A2
66.193.215.224	66.194.19.191	US
66.194.19.192	66.194.19.223	A2
66.194.19.224	66.194.123.255	US
66.194.124.0	66.194.125.255	AR
66.194.126.0	66.194.211.255	US
66.194.212.0	66.194.212.255	AR
66.194.213.0	66.196.31.255	US
66.196.32.0	66.196.32.95	CA
66.196.32.96	66.196.32.127	US
66.196.32.128	66.196.34.15	CA
66.196.34.16	66.196.34.23	TW
66.196.34.24	66.196.34.31	CA
66.196.34.32	66.196.34.39	US
66.196.34.40	66.196.40.143	CA
66.196.40.144	66.196.40.159	TW
66.196.40.160	66.196.42.95	CA
66.196.42.96	66.196.42.127	US
66.196.42.128	66.196.42.255	CA
66.196.43.0	66.196.43.255	US
66.196.44.0	66.196.47.255	CA
66.196.48.0	66.197.255.255	US
66.198.0.0	66.198.31.255	CA
66.198.32.0	66.198.32.255	US
66.198.33.0	66.198.33.23	CA
66.198.33.24	66.198.33.31	US
66.198.33.32	66.198.33.255	CA
66.198.34.0	66.198.34.7	PG
66.198.34.8	66.198.34.15	US
66.198.34.16	66.198.34.23	CA
66.198.34.24	66.198.34.31	US
66.198.34.32	66.198.34.47	ZA
66.198.34.48	66.198.35.31	CA
66.198.35.32	66.198.35.39	AR
66.198.35.40	66.198.35.47	US
66.198.35.48	66.198.35.63	ZA
66.198.35.64	66.198.35.255	CA
66.198.36.0	66.198.38.255	US
66.198.39.0	66.198.39.255	SY
66.198.40.0	66.198.40.255	US
66.198.41.0	66.198.41.255	SY
66.198.42.0	66.198.42.255	US
66.198.43.0	66.198.43.255	CA
66.198.44.0	66.198.47.255	EC
66.198.48.0	66.198.55.255	CA
66.198.56.0	66.198.64.255	US
66.198.65.0	66.198.69.255	CA
66.198.70.0	66.198.70.255	US
66.198.71.0	66.198.80.255	CA
66.198.81.0	66.198.82.255	US
66.198.83.0	66.198.103.255	CA
66.198.104.0	66.198.104.255	PK
66.198.105.0	66.198.105.255	US
66.198.106.0	66.198.110.255	PK
66.198.111.0	66.198.111.255	US
66.198.112.0	66.198.131.255	CA
66.198.132.0	66.198.134.255	PH
66.198.135.0	66.198.135.255	US
66.198.136.0	66.198.138.255	EC
66.198.139.0	66.198.139.255	PH
66.198.140.0	66.198.143.255	HT
66.198.144.0	66.198.146.255	CA
66.198.147.0	66.198.149.255	PH
66.198.150.0	66.198.153.255	CA
66.198.154.0	66.198.154.255	US
66.198.155.0	66.198.156.127	PH
66.198.156.128	66.198.156.255	US
66.198.157.0	66.198.157.255	PH
66.198.158.0	66.198.159.255	CA
66.198.160.0	66.198.160.255	US
66.198.161.0	66.198.166.255	CA
66.198.167.0	66.198.167.255	US
66.198.168.0	66.198.191.255	CA
66.198.192.0	66.199.31.255	US
66.199.32.0	66.199.47.255	CA
66.199.48.0	66.199.127.255	US
66.199.128.0	66.199.131.55	CA
66.199.131.56	66.199.131.63	US
66.199.131.64	66.199.131.191	CA
66.199.131.192	66.199.131.195	US
66.199.131.196	66.199.131.255	CA
66.199.132.0	66.199.133.95	US
66.199.133.96	66.199.133.111	CA
66.199.133.112	66.199.133.255	US
66.199.134.0	66.199.134.255	CA
66.199.135.0	66.199.135.255	US
66.199.136.0	66.199.141.31	CA
66.199.141.32	66.199.141.47	US
66.199.141.48	66.199.141.255	CA
66.199.142.0	66.199.142.31	US
66.199.142.32	66.199.142.127	CA
66.199.142.128	66.199.142.143	US
66.199.142.144	66.199.142.207	CA
66.199.142.208	66.199.142.215	US
66.199.142.216	66.199.142.239	CA
66.199.142.240	66.199.142.255	US
66.199.143.0	66.199.145.191	CA
66.199.145.192	66.199.145.199	US
66.199.145.200	66.199.145.203	CA
66.199.145.204	66.199.145.223	US
66.199.145.224	66.199.148.255	CA
66.199.149.0	66.199.149.15	US
66.199.149.16	66.199.149.31	CA
66.199.149.32	66.199.149.63	US
66.199.149.64	66.199.149.159	CA
66.199.149.160	66.199.149.175	US
66.199.149.176	66.199.149.191	MX
66.199.149.192	66.199.149.223	CA
66.199.149.224	66.199.149.239	US
66.199.149.240	66.199.150.7	CA
66.199.150.8	66.199.150.63	US
66.199.150.64	66.199.150.127	CA
66.199.150.128	66.199.150.159	US
66.199.150.160	66.199.150.174	CA
66.199.150.175	66.199.150.239	US
66.199.150.240	66.199.151.71	CA
66.199.151.72	66.199.151.95	US
66.199.151.96	66.199.151.103	MX
66.199.151.104	66.199.151.111	CA
66.199.151.112	66.199.151.191	US
66.199.151.192	66.199.151.239	CA
66.199.151.240	66.199.151.255	US
66.199.152.0	66.199.153.79	CA
66.199.153.80	66.199.153.111	US
66.199.153.112	66.199.153.127	CA
66.199.153.128	66.199.153.159	US
66.199.153.160	66.199.155.191	CA
66.199.155.192	66.199.155.223	US
66.199.155.224	66.199.157.255	CA
66.199.158.0	66.199.158.255	US
66.199.159.0	66.199.160.39	CA
66.199.160.40	66.199.160.47	US
66.199.160.48	66.199.160.159	CA
66.199.160.160	66.199.160.191	PA
66.199.160.192	66.199.164.123	CA
66.199.164.124	66.199.164.127	US
66.199.164.128	66.199.164.191	CA
66.199.164.192	66.199.164.223	US
66.199.164.224	66.199.164.227	CA
66.199.164.228	66.199.165.255	US
66.199.166.0	66.199.166.15	VG
66.199.166.16	66.199.166.31	CA
66.199.166.32	66.199.166.63	US
66.199.166.64	66.199.166.223	CA
66.199.166.224	66.199.166.239	US
66.199.166.240	66.199.166.243	CA
66.199.166.244	66.199.166.247	US
66.199.166.248	66.199.166.255	CA
66.199.167.0	66.199.167.255	US
66.199.168.0	66.199.168.127	CA
66.199.168.128	66.199.168.143	US
66.199.168.144	66.199.168.159	PA
66.199.168.160	66.199.168.167	US
66.199.168.168	66.199.168.175	CA
66.199.168.176	66.199.168.191	US
66.199.168.192	66.199.173.23	CA
66.199.173.24	66.199.173.31	US
66.199.173.32	66.199.173.63	CA
66.199.173.64	66.199.173.127	US
66.199.173.128	66.199.173.223	CA
66.199.173.224	66.199.173.255	US
66.199.174.0	66.199.175.255	CA
66.199.176.0	66.199.177.31	US
66.199.177.32	66.199.177.95	CA
66.199.177.96	66.199.177.111	US
66.199.177.112	66.199.177.135	CA
66.199.177.136	66.199.177.191	US
66.199.177.192	66.199.177.207	CA
66.199.177.208	66.199.179.31	US
66.199.179.32	66.199.179.63	CA
66.199.179.64	66.199.179.95	US
66.199.179.96	66.199.179.207	CA
66.199.179.208	66.199.179.255	US
66.199.180.0	66.199.180.95	CA
66.199.180.96	66.199.180.127	US
66.199.180.128	66.199.183.255	CA
66.199.184.0	66.199.184.111	US
66.199.184.112	66.199.184.119	CA
66.199.184.120	66.199.184.127	US
66.199.184.128	66.199.184.159	GB
66.199.184.160	66.199.185.255	CA
66.199.186.0	66.201.65.127	US
66.201.65.128	66.201.65.255	CA
66.201.66.0	66.201.66.191	US
66.201.66.192	66.201.66.255	IN
66.201.67.0	66.201.67.255	US
66.201.68.0	66.201.69.255	CA
66.201.70.0	66.201.70.127	US
66.201.70.128	66.201.70.255	CA
66.201.71.0	66.201.71.31	US
66.201.71.32	66.201.71.63	CA
66.201.71.64	66.201.71.191	US
66.201.71.192	66.201.71.223	CA
66.201.71.224	66.201.71.255	BE
66.201.72.0	66.201.72.255	CA
66.201.73.0	66.201.73.255	US
66.201.74.0	66.201.74.255	CA
66.201.75.0	66.201.75.255	US
66.201.76.0	66.201.76.255	CA
66.201.77.0	66.201.77.63	US
66.201.77.64	66.201.77.95	VE
66.201.77.96	66.201.77.127	IL
66.201.77.128	66.201.77.159	CA
66.201.77.160	66.201.77.191	BE
66.201.77.192	66.201.77.223	KN
66.201.77.224	66.201.78.255	US
66.201.79.0	66.201.79.127	CA
66.201.79.128	66.201.79.255	US
66.201.80.0	66.201.80.255	CA
66.201.81.0	66.201.81.255	US
66.201.82.0	66.201.82.127	SG
66.201.82.128	66.201.84.255	CA
66.201.85.0	66.201.85.31	GB
66.201.85.32	66.201.85.255	US
66.201.86.0	66.201.88.255	CA
66.201.89.0	66.201.91.127	US
66.201.91.128	66.201.91.255	FR
66.201.92.0	66.201.93.255	CA
66.201.94.0	66.201.94.31	IN
66.201.94.32	66.201.94.127	US
66.201.94.128	66.201.94.159	CA
66.201.94.160	66.201.94.191	BE
66.201.94.192	66.201.94.255	US
66.201.95.0	66.201.95.255	CA
66.201.96.0	66.201.96.255	US
66.201.97.0	66.201.97.255	CA
66.201.98.0	66.201.98.255	US
66.201.99.0	66.201.99.255	CA
66.201.100.0	66.201.102.255	US
66.201.103.0	66.201.103.255	CA
66.201.104.0	66.201.104.127	US
66.201.104.128	66.201.104.255	SG
66.201.105.0	66.201.106.95	US
66.201.106.96	66.201.106.127	BE
66.201.106.128	66.201.106.159	CA
66.201.106.160	66.201.107.1	US
66.201.107.2	66.201.107.254	CA
66.201.107.255	66.201.107.255	US
66.201.108.0	66.201.109.127	CA
66.201.109.128	66.201.109.255	IN
66.201.110.0	66.201.110.31	BE
66.201.110.32	66.201.110.63	US
66.201.110.64	66.201.110.95	BE
66.201.110.96	66.201.110.223	US
66.201.110.224	66.201.111.255	CA
66.201.112.0	66.201.112.127	US
66.201.112.128	66.201.112.255	AU
66.201.113.0	66.201.113.63	US
66.201.113.64	66.201.113.93	BE
66.201.113.94	66.201.113.223	US
66.201.113.224	66.201.113.255	CA
66.201.114.0	66.201.116.255	US
66.201.117.0	66.201.117.255	CA
66.201.118.0	66.201.119.31	US
66.201.119.32	66.201.119.63	CA
66.201.119.64	66.201.119.127	US
66.201.119.128	66.201.119.159	FR
66.201.119.160	66.201.119.191	IN
66.201.119.192	66.201.123.159	US
66.201.123.160	66.201.123.191	BE
66.201.123.192	66.201.125.255	US
66.201.126.0	66.201.126.255	CA
66.201.127.0	66.201.159.255	US
66.201.160.0	66.201.183.255	SV
66.201.184.0	66.201.188.255	US
66.201.189.0	66.201.189.255	AR
66.201.190.0	66.201.190.255	US
66.201.191.0	66.201.191.255	CL
66.201.192.0	66.201.255.255	CA
66.202.0.0	66.202.133.63	US
66.202.133.64	66.202.133.95	CA
66.202.133.96	66.202.158.191	US
66.202.158.192	66.202.158.223	CA
66.202.158.224	66.203.65.103	US
66.203.65.104	66.203.65.111	CA
66.203.65.112	66.203.159.255	US
66.203.160.0	66.203.223.255	CA
66.203.224.0	66.205.16.255	US
66.205.17.0	66.205.17.255	BB
66.205.18.0	66.205.19.207	US
66.205.19.208	66.205.19.223	PY
66.205.19.224	66.205.22.223	US
66.205.22.224	66.205.22.239	KN
66.205.22.240	66.205.22.255	US
66.205.23.0	66.205.23.255	BS
66.205.24.0	66.205.34.111	US
66.205.34.112	66.205.34.143	MX
66.205.34.144	66.205.34.151	US
66.205.34.152	66.205.34.239	MX
66.205.34.240	66.205.34.255	US
66.205.35.0	66.205.35.255	MX
66.205.36.0	66.205.39.255	TT
66.205.40.0	66.205.40.255	US
66.205.41.0	66.205.41.255	MX
66.205.42.0	66.205.47.255	US
66.205.48.0	66.205.48.255	KN
66.205.49.0	66.205.51.255	US
66.205.52.0	66.205.52.255	KN
66.205.53.0	66.206.223.255	US
66.206.224.0	66.206.255.255	CA
66.207.0.0	66.207.31.255	US
66.207.48.0	66.207.48.23	A2
66.207.48.24	66.207.48.31	US
66.207.48.32	66.207.48.135	A2
66.207.48.136	66.207.48.143	US
66.207.48.144	66.207.48.159	A2
66.207.48.160	66.207.48.207	US
66.207.48.208	66.207.48.223	CA
66.207.48.224	66.207.48.231	A2
66.207.48.232	66.207.48.255	US
66.207.49.0	66.207.49.31	A2
66.207.49.32	66.207.49.63	US
66.207.49.64	66.207.49.103	A2
66.207.49.104	66.207.49.119	US
66.207.49.120	66.207.49.159	A2
66.207.49.160	66.207.49.183	US
66.207.49.184	66.207.49.191	A2
66.207.49.192	66.207.49.207	CA
66.207.49.208	66.207.49.215	A2
66.207.49.216	66.207.49.223	US
66.207.49.224	66.207.49.231	A2
66.207.49.232	66.207.49.255	US
66.207.50.0	66.207.50.255	A2
66.207.51.0	66.207.54.255	US
66.207.55.0	66.207.55.255	A2
66.207.56.0	66.207.56.23	JO
66.207.56.24	66.207.56.31	A2
66.207.56.32	66.207.56.47	JO
66.207.56.48	66.207.56.55	A2
66.207.56.56	66.207.56.63	JO
66.207.56.64	66.207.56.255	A2
66.207.57.0	66.207.63.23	US
66.207.63.24	66.207.63.255	A2
66.207.64.0	66.207.95.255	US
66.207.96.0	66.207.127.255	CA
66.207.128.0	66.207.191.255	US
66.207.192.0	66.207.203.239	CA
66.207.203.240	66.207.203.255	AT
66.207.204.0	66.207.204.255	CA
66.207.205.0	66.207.205.31	AG
66.207.205.32	66.207.220.95	CA
66.207.220.96	66.207.220.111	US
66.207.220.112	66.207.223.255	CA
66.207.224.0	66.209.47.255	US
66.209.48.0	66.209.63.255	CA
66.209.64.0	66.209.175.255	US
66.209.176.0	66.209.191.255	CA
66.209.192.0	66.212.159.255	US
66.212.160.0	66.212.164.247	CA
66.212.164.248	66.212.164.255	US
66.212.165.0	66.212.169.127	CA
66.212.169.128	66.212.169.159	DE
66.212.169.160	66.212.170.47	CA
66.212.170.48	66.212.170.55	US
66.212.170.56	66.212.170.63	DE
66.212.170.64	66.212.170.167	CA
66.212.170.168	66.212.170.175	US
66.212.170.176	66.212.170.191	DE
66.212.170.192	66.212.191.255	CA
66.212.192.0	66.212.223.255	US
66.212.224.0	66.212.224.15	CA
66.212.224.16	66.212.224.23	AG
66.212.224.24	66.212.224.31	CA
66.212.224.32	66.212.224.39	CR
66.212.224.40	66.212.224.47	CA
66.212.224.48	66.212.224.55	GI
66.212.224.56	66.212.224.63	CY
66.212.224.64	66.212.224.255	CA
66.212.225.0	66.212.225.7	VG
66.212.225.8	66.212.225.15	CA
66.212.225.16	66.212.225.23	AW
66.212.225.24	66.212.225.31	VG
66.212.225.32	66.212.225.39	BZ
66.212.225.40	66.212.225.47	GI
66.212.225.48	66.212.225.55	BZ
66.212.225.56	66.212.225.63	CA
66.212.225.64	66.212.225.71	VG
66.212.225.72	66.212.225.79	CA
66.212.225.80	66.212.225.95	PA
66.212.225.96	66.212.225.103	CY
66.212.225.104	66.212.225.127	CA
66.212.225.128	66.212.225.143	BZ
66.212.225.144	66.212.225.151	AW
66.212.225.152	66.212.225.159	VG
66.212.225.160	66.212.225.175	US
66.212.225.176	66.212.225.207	BZ
66.212.225.208	66.212.225.255	CA
66.212.226.0	66.212.226.31	BZ
66.212.226.32	66.212.226.79	CA
66.212.226.80	66.212.226.111	AG
66.212.226.112	66.212.226.223	CA
66.212.226.224	66.212.226.255	CR
66.212.227.0	66.212.227.7	AG
66.212.227.8	66.212.227.15	BZ
66.212.227.16	66.212.227.39	CA
66.212.227.40	66.212.227.55	AG
66.212.227.56	66.212.227.63	AW
66.212.227.64	66.212.227.79	AG
66.212.227.80	66.212.227.95	CA
66.212.227.96	66.212.227.111	AG
66.212.227.112	66.212.227.127	CA
66.212.227.128	66.212.227.135	MT
66.212.227.136	66.212.227.159	CA
66.212.227.160	66.212.227.255	AG
66.212.228.0	66.212.228.31	CA
66.212.228.32	66.212.228.47	BZ
66.212.228.48	66.212.228.55	KN
66.212.228.56	66.212.228.63	MT
66.212.228.64	66.212.228.79	CA
66.212.228.80	66.212.228.87	VG
66.212.228.88	66.212.228.95	BZ
66.212.228.96	66.212.228.111	CY
66.212.228.112	66.212.228.127	CA
66.212.228.128	66.212.228.143	VG
66.212.228.144	66.212.228.151	CA
66.212.228.152	66.212.228.175	GB
66.212.228.176	66.212.228.191	CA
66.212.228.192	66.212.228.239	BZ
66.212.228.240	66.212.230.15	CA
66.212.230.16	66.212.230.31	VG
66.212.230.32	66.212.230.63	GI
66.212.230.64	66.212.230.95	CA
66.212.230.96	66.212.230.111	VG
66.212.230.112	66.212.230.143	CA
66.212.230.144	66.212.230.151	BZ
66.212.230.152	66.212.230.191	VG
66.212.230.192	66.212.230.215	CA
66.212.230.216	66.212.230.223	AW
66.212.230.224	66.212.230.255	VG
66.212.231.0	66.212.231.255	CA
66.212.232.0	66.212.232.95	SE
66.212.232.96	66.212.232.103	VG
66.212.232.104	66.212.232.127	CA
66.212.232.128	66.212.232.159	AG
66.212.232.160	66.212.232.255	CA
66.212.233.0	66.212.233.7	BZ
66.212.233.8	66.212.233.15	AG
66.212.233.16	66.212.233.63	CA
66.212.233.64	66.212.233.79	AW
66.212.233.80	66.212.233.95	VG
66.212.233.96	66.212.233.207	CA
66.212.233.208	66.212.233.215	CR
66.212.233.216	66.212.233.223	CA
66.212.233.224	66.212.233.239	BZ
66.212.233.240	66.212.233.255	CA
66.212.234.0	66.212.234.255	AG
66.212.235.0	66.212.235.31	CR
66.212.235.32	66.212.235.47	AG
66.212.235.48	66.212.235.63	CA
66.212.235.64	66.212.235.79	CR
66.212.235.80	66.212.235.103	CA
66.212.235.104	66.212.235.111	GB
66.212.235.112	66.212.235.127	CA
66.212.235.128	66.212.235.135	AW
66.212.235.136	66.212.235.159	BZ
66.212.235.160	66.212.235.191	CA
66.212.235.192	66.212.235.255	GB
66.212.236.0	66.212.237.255	BZ
66.212.238.0	66.212.238.63	AG
66.212.238.64	66.212.238.95	CA
66.212.238.96	66.212.238.111	VG
66.212.238.112	66.212.238.119	CA
66.212.238.120	66.212.238.191	BZ
66.212.238.192	66.212.238.199	VG
66.212.238.200	66.212.238.223	CA
66.212.238.224	66.212.238.231	CR
66.212.238.232	66.212.238.239	AW
66.212.238.240	66.212.238.255	CA
66.212.239.0	66.212.239.7	GB
66.212.239.8	66.212.239.15	CA
66.212.239.16	66.212.239.31	CY
66.212.239.32	66.212.239.63	CA
66.212.239.64	66.212.239.95	AG
66.212.239.96	66.212.239.127	VG
66.212.239.128	66.212.239.191	AW
66.212.239.192	66.212.239.199	CA
66.212.239.200	66.212.239.207	KN
66.212.239.208	66.212.239.215	CA
66.212.239.216	66.212.239.223	MU
66.212.239.224	66.212.239.239	IM
66.212.239.240	66.212.240.255	CA
66.212.241.0	66.212.241.7	BZ
66.212.241.8	66.212.241.23	CA
66.212.241.24	66.212.241.31	BZ
66.212.241.32	66.212.241.63	NL
66.212.241.64	66.212.241.79	CA
66.212.241.80	66.212.241.87	MT
66.212.241.88	66.212.241.95	CA
66.212.241.96	66.212.241.103	AG
66.212.241.104	66.212.241.191	BZ
66.212.241.192	66.212.241.207	CA
66.212.241.208	66.212.241.223	VG
66.212.241.224	66.212.241.247	CA
66.212.241.248	66.212.241.255	VG
66.212.242.0	66.212.242.7	BZ
66.212.242.8	66.212.242.31	CA
66.212.242.32	66.212.242.47	VG
66.212.242.48	66.212.242.63	CA
66.212.242.64	66.212.242.95	AG
66.212.242.96	66.212.242.103	CY
66.212.242.104	66.212.242.111	PA
66.212.242.112	66.212.242.127	GB
66.212.242.128	66.212.242.143	PA
66.212.242.144	66.212.242.151	CA
66.212.242.152	66.212.242.159	AG
66.212.242.160	66.212.242.223	CA
66.212.242.224	66.212.244.7	AG
66.212.244.8	66.212.244.23	CA
66.212.244.24	66.212.244.31	PA
66.212.244.32	66.212.244.39	CR
66.212.244.40	66.212.244.47	CA
66.212.244.48	66.212.244.63	PA
66.212.244.64	66.212.244.127	GI
66.212.244.128	66.212.244.255	CR
66.212.245.0	66.212.245.63	AW
66.212.245.64	66.212.245.127	BZ
66.212.245.128	66.212.245.255	CA
66.212.246.0	66.212.246.255	BZ
66.212.247.0	66.212.249.255	CA
66.212.250.0	66.212.250.255	BZ
66.212.251.0	66.212.251.7	CA
66.212.251.8	66.212.251.15	AG
66.212.251.16	66.212.251.23	GI
66.212.251.24	66.212.251.47	CA
66.212.251.48	66.212.251.55	CR
66.212.251.56	66.212.251.63	AW
66.212.251.64	66.212.251.71	GI
66.212.251.72	66.212.251.79	CA
66.212.251.80	66.212.251.87	BZ
66.212.251.88	66.212.251.111	CR
66.212.251.112	66.212.251.127	AG
66.212.251.128	66.212.255.255	CA
66.213.0.0	66.216.64.47	US
66.216.64.48	66.216.64.63	AR
66.216.64.64	66.216.64.79	US
66.216.64.80	66.216.64.95	PK
66.216.64.96	66.216.64.103	AU
66.216.64.104	66.216.64.111	IN
66.216.64.112	66.216.64.135	US
66.216.64.136	66.216.64.143	CA
66.216.64.144	66.216.64.151	US
66.216.64.152	66.216.64.159	AU
66.216.64.160	66.216.64.175	US
66.216.64.176	66.216.64.184	AU
66.216.64.185	66.216.65.239	US
66.216.65.240	66.216.65.255	GB
66.216.66.0	66.216.66.39	US
66.216.66.40	66.216.66.47	CA
66.216.66.48	66.216.66.247	US
66.216.66.248	66.216.66.255	CA
66.216.67.0	66.216.67.183	US
66.216.67.184	66.216.67.191	CA
66.216.67.192	66.216.69.143	US
66.216.69.144	66.216.69.151	AU
66.216.69.152	66.216.69.175	US
66.216.69.176	66.216.69.183	SE
66.216.69.184	66.216.69.199	US
66.216.69.200	66.216.69.207	GB
66.216.69.208	66.216.69.215	US
66.216.69.216	66.216.69.223	PH
66.216.69.224	66.216.70.63	US
66.216.70.64	66.216.70.95	AU
66.216.70.96	66.216.70.223	US
66.216.70.224	66.216.70.239	CA
66.216.70.240	66.216.71.7	US
66.216.71.8	66.216.71.15	CA
66.216.71.16	66.216.71.55	US
66.216.71.56	66.216.71.63	CA
66.216.71.64	66.216.71.103	US
66.216.71.104	66.216.71.111	IL
66.216.71.112	66.216.71.215	US
66.216.71.216	66.216.71.255	NL
66.216.72.0	66.216.72.87	US
66.216.72.88	66.216.72.95	LB
66.216.72.96	66.216.72.119	US
66.216.72.120	66.216.72.127	AU
66.216.72.128	66.216.72.239	US
66.216.72.240	66.216.72.247	VU
66.216.72.248	66.216.73.7	US
66.216.73.8	66.216.73.23	CA
66.216.73.24	66.216.73.39	US
66.216.73.40	66.216.73.47	FR
66.216.73.48	66.216.73.95	US
66.216.73.96	66.216.73.111	AU
66.216.73.112	66.216.73.127	US
66.216.73.128	66.216.73.143	AU
66.216.73.144	66.216.73.151	US
66.216.73.152	66.216.73.159	AU
66.216.73.160	66.216.74.87	US
66.216.74.88	66.216.74.95	AU
66.216.74.96	66.216.74.111	US
66.216.74.112	66.216.74.119	AU
66.216.74.120	66.216.74.151	US
66.216.74.152	66.216.74.159	AU
66.216.74.160	66.216.74.175	US
66.216.74.176	66.216.74.183	CH
66.216.74.184	66.216.74.191	US
66.216.74.192	66.216.74.199	CA
66.216.74.200	66.216.75.47	US
66.216.75.48	66.216.75.63	GB
66.216.75.64	66.216.75.143	US
66.216.75.144	66.216.75.159	DK
66.216.75.160	66.216.75.239	US
66.216.75.240	66.216.75.255	CA
66.216.76.0	66.216.76.15	MY
66.216.76.16	66.216.76.23	US
66.216.76.24	66.216.76.31	BR
66.216.76.32	66.216.76.39	US
66.216.76.40	66.216.76.47	EC
66.216.76.48	66.216.76.71	US
66.216.76.72	66.216.76.87	CA
66.216.76.88	66.216.76.103	US
66.216.76.104	66.216.76.111	CA
66.216.76.112	66.216.76.135	US
66.216.76.136	66.216.76.143	CA
66.216.76.144	66.216.76.167	US
66.216.76.168	66.216.76.175	CA
66.216.76.176	66.216.76.183	AR
66.216.76.184	66.216.76.215	US
66.216.76.216	66.216.76.223	JP
66.216.76.224	66.216.76.231	UA
66.216.76.232	66.216.76.239	IT
66.216.76.240	66.216.77.191	US
66.216.77.192	66.216.77.199	CA
66.216.77.200	66.216.77.207	IN
66.216.77.208	66.216.77.231	US
66.216.77.232	66.216.77.239	CA
66.216.77.240	66.216.77.255	US
66.216.78.0	66.216.78.7	BE
66.216.78.8	66.216.78.47	US
66.216.78.48	66.216.78.55	MY
66.216.78.56	66.216.79.7	US
66.216.79.8	66.216.79.15	LK
66.216.79.16	66.216.79.31	US
66.216.79.32	66.216.79.47	IN
66.216.79.48	66.216.79.119	US
66.216.79.120	66.216.79.191	AU
66.216.79.192	66.216.79.207	US
66.216.79.208	66.216.79.215	CA
66.216.79.216	66.216.79.223	ES
66.216.79.224	66.216.79.255	US
66.216.80.0	66.216.80.7	NZ
66.216.80.8	66.216.80.23	CA
66.216.80.24	66.216.80.47	US
66.216.80.48	66.216.80.55	IN
66.216.80.56	66.216.80.143	US
66.216.80.144	66.216.80.151	UA
66.216.80.152	66.216.80.215	US
66.216.80.216	66.216.80.223	CA
66.216.80.224	66.216.80.231	LB
66.216.80.232	66.216.80.239	GB
66.216.80.240	66.216.81.7	US
66.216.81.8	66.216.81.39	RU
66.216.81.40	66.216.81.63	US
66.216.81.64	66.216.81.71	LB
66.216.81.72	66.216.81.79	US
66.216.81.80	66.216.81.95	IN
66.216.81.96	66.216.81.103	US
66.216.81.104	66.216.81.111	SE
66.216.81.112	66.216.81.119	IT
66.216.81.120	66.216.81.159	US
66.216.81.160	66.216.81.167	GB
66.216.81.168	66.216.82.151	US
66.216.82.152	66.216.82.159	FR
66.216.82.160	66.216.82.175	US
66.216.82.176	66.216.82.183	GB
66.216.82.184	66.216.82.215	US
66.216.82.216	66.216.82.223	ES
66.216.82.224	66.216.82.255	US
66.216.83.0	66.216.83.15	AU
66.216.83.16	66.216.83.23	US
66.216.83.24	66.216.83.31	AU
66.216.83.32	66.216.83.47	US
66.216.83.48	66.216.83.55	AG
66.216.83.56	66.216.83.159	US
66.216.83.160	66.216.83.191	AU
66.216.83.192	66.216.83.199	US
66.216.83.200	66.216.83.207	CA
66.216.83.208	66.216.84.63	US
66.216.84.64	66.216.84.71	GB
66.216.84.72	66.216.84.79	CA
66.216.84.80	66.216.85.79	US
66.216.85.80	66.216.85.95	NL
66.216.85.96	66.216.85.215	US
66.216.85.216	66.216.85.223	DE
66.216.85.224	66.216.85.239	US
66.216.85.240	66.216.85.247	AG
66.216.85.248	66.216.86.15	US
66.216.86.16	66.216.86.23	GB
66.216.86.24	66.216.86.31	SI
66.216.86.32	66.216.86.47	US
66.216.86.48	66.216.86.63	CA
66.216.86.64	66.216.86.103	US
66.216.86.104	66.216.86.111	CA
66.216.86.112	66.216.86.255	US
66.216.87.0	66.216.87.15	VE
66.216.87.16	66.216.87.47	US
66.216.87.48	66.216.87.55	NZ
66.216.87.56	66.216.87.63	US
66.216.87.64	66.216.87.71	AU
66.216.87.72	66.216.87.79	US
66.216.87.80	66.216.87.111	AU
66.216.87.112	66.216.87.143	US
66.216.87.144	66.216.87.151	AU
66.216.87.152	66.216.87.207	US
66.216.87.208	66.216.87.223	UA
66.216.87.224	66.216.87.231	US
66.216.87.232	66.216.87.239	GB
66.216.87.240	66.216.88.31	US
66.216.88.32	66.216.88.47	CA
66.216.88.48	66.216.89.111	US
66.216.89.112	66.216.89.119	AU
66.216.89.120	66.216.90.63	US
66.216.90.64	66.216.90.79	FR
66.216.90.80	66.216.90.127	US
66.216.90.128	66.216.90.143	IN
66.216.90.144	66.216.90.223	US
66.216.90.224	66.216.90.255	BD
66.216.91.0	66.216.93.127	US
66.216.93.128	66.216.93.191	AU
66.216.93.192	66.216.94.95	US
66.216.94.96	66.216.94.127	BD
66.216.94.128	66.216.95.79	US
66.216.95.80	66.216.95.87	JP
66.216.95.88	66.216.97.63	US
66.216.97.64	66.216.97.71	IN
66.216.97.72	66.216.99.15	US
66.216.99.16	66.216.99.23	IN
66.216.99.24	66.216.99.39	US
66.216.99.40	66.216.99.47	NZ
66.216.99.48	66.216.99.55	US
66.216.99.56	66.216.99.63	IE
66.216.99.64	66.216.99.71	ID
66.216.99.72	66.216.99.175	US
66.216.99.176	66.216.99.191	CA
66.216.99.192	66.216.99.223	US
66.216.99.224	66.216.99.231	AU
66.216.99.232	66.216.101.47	US
66.216.101.48	66.216.101.55	CA
66.216.101.56	66.216.101.135	US
66.216.101.136	66.216.101.143	GB
66.216.101.144	66.216.101.191	US
66.216.101.192	66.216.101.199	CA
66.216.101.200	66.216.101.207	US
66.216.101.208	66.216.101.223	CA
66.216.101.224	66.216.102.23	US
66.216.102.24	66.216.102.31	AU
66.216.102.32	66.216.102.63	US
66.216.102.64	66.216.102.95	GB
66.216.102.96	66.216.102.199	US
66.216.102.200	66.216.102.223	AU
66.216.102.224	66.216.103.63	US
66.216.103.64	66.216.103.71	GR
66.216.103.72	66.216.103.95	US
66.216.103.96	66.216.103.103	NO
66.216.103.104	66.216.103.111	US
66.216.103.112	66.216.103.119	RU
66.216.103.120	66.216.103.127	KE
66.216.103.128	66.216.103.191	US
66.216.103.192	66.216.103.255	AU
66.216.104.0	66.216.104.31	US
66.216.104.32	66.216.104.47	NZ
66.216.104.48	66.216.105.55	US
66.216.105.56	66.216.105.63	AU
66.216.105.64	66.216.105.79	US
66.216.105.80	66.216.105.87	IN
66.216.105.88	66.216.105.111	US
66.216.105.112	66.216.105.119	CY
66.216.105.120	66.216.105.231	US
66.216.105.232	66.216.105.255	EG
66.216.106.0	66.216.106.47	US
66.216.106.48	66.216.106.63	CA
66.216.106.64	66.216.106.127	US
66.216.106.128	66.216.106.135	HK
66.216.106.136	66.216.106.175	CA
66.216.106.176	66.216.106.191	US
66.216.106.192	66.216.106.199	NZ
66.216.106.200	66.216.106.239	US
66.216.106.240	66.216.106.247	CA
66.216.106.248	66.216.107.255	US
66.216.108.0	66.216.108.7	GB
66.216.108.8	66.216.108.15	CA
66.216.108.16	66.216.108.79	US
66.216.108.80	66.216.108.103	AU
66.216.108.104	66.216.108.151	US
66.216.108.152	66.216.108.159	NZ
66.216.108.160	66.216.108.167	IN
66.216.108.168	66.216.108.191	US
66.216.108.192	66.216.108.207	PK
66.216.108.208	66.216.108.239	US
66.216.108.240	66.216.108.247	AU
66.216.108.248	66.216.112.79	US
66.216.112.80	66.216.112.87	TH
66.216.112.88	66.216.112.95	US
66.216.112.96	66.216.112.103	CA
66.216.112.104	66.216.112.143	US
66.216.112.144	66.216.112.151	CY
66.216.112.152	66.216.112.199	US
66.216.112.200	66.216.112.207	HK
66.216.112.208	66.216.112.255	US
66.216.113.0	66.216.113.7	AU
66.216.113.8	66.216.113.31	US
66.216.113.32	66.216.113.63	AU
66.216.113.64	66.216.113.79	US
66.216.113.80	66.216.113.87	AU
66.216.113.88	66.216.113.95	US
66.216.113.96	66.216.113.127	AU
66.216.113.128	66.216.114.23	US
66.216.114.24	66.216.114.31	AU
66.216.114.32	66.216.114.191	US
66.216.114.192	66.216.114.199	GB
66.216.114.200	66.216.114.223	US
66.216.114.224	66.216.114.231	AT
66.216.114.232	66.216.120.47	US
66.216.120.48	66.216.120.55	AU
66.216.120.56	66.216.123.47	US
66.216.123.48	66.216.123.55	PT
66.216.123.56	66.216.123.239	US
66.216.123.240	66.216.123.255	FR
66.216.124.0	66.219.25.31	US
66.219.25.32	66.219.25.63	RU
66.219.25.64	66.219.25.191	US
66.219.25.192	66.219.25.223	AR
66.219.25.224	66.219.26.143	US
66.219.26.144	66.219.26.151	VE
66.219.26.152	66.219.28.255	US
66.219.29.0	66.219.29.31	NZ
66.219.29.32	66.220.3.31	US
66.220.3.32	66.220.3.47	AU
66.220.3.48	66.220.6.255	US
66.220.7.0	66.220.7.127	IT
66.220.7.128	66.220.12.183	US
66.220.12.184	66.220.12.191	JP
66.220.12.192	66.220.13.255	US
66.220.14.0	66.220.14.255	IT
66.220.15.0	66.222.127.255	US
66.222.128.0	66.222.255.255	CA
66.223.0.0	66.225.127.255	US
66.225.128.0	66.225.179.255	CA
66.225.180.0	66.225.180.255	US
66.225.181.0	66.225.191.255	CA
66.225.192.0	66.225.198.255	US
66.225.199.0	66.225.199.255	CA
66.225.200.0	66.225.202.239	US
66.225.202.240	66.225.202.247	HK
66.225.202.248	66.225.240.175	US
66.225.240.176	66.225.240.183	BE
66.225.240.184	66.226.4.255	US
66.226.5.0	66.226.5.63	GR
66.226.5.64	66.226.72.154	US
66.226.72.155	66.226.72.164	PH
66.226.72.165	66.226.72.172	US
66.226.72.173	66.226.72.180	GB
66.226.72.181	66.226.73.159	US
66.226.73.160	66.226.73.169	GB
66.226.73.170	66.226.75.153	US
66.226.75.154	66.226.75.161	CH
66.226.75.162	66.226.127.255	US
66.226.128.0	66.226.159.255	CA
66.226.160.0	66.227.25.15	US
66.227.25.16	66.227.25.23	CA
66.227.25.24	66.227.96.95	US
66.227.96.96	66.227.96.103	FR
66.227.96.104	66.227.96.119	US
66.227.96.120	66.227.96.127	FR
66.227.96.128	66.227.96.191	US
66.227.96.192	66.227.96.255	GB
66.227.97.0	66.227.97.7	US
66.227.97.8	66.227.97.15	FR
66.227.97.16	66.227.97.63	US
66.227.97.64	66.227.97.71	GB
66.227.97.72	66.227.97.79	US
66.227.97.80	66.227.97.95	GB
66.227.97.96	66.227.97.127	US
66.227.97.128	66.227.97.255	GB
66.227.98.0	66.227.117.255	US
66.227.118.0	66.227.118.255	GB
66.227.119.0	66.229.66.63	US
66.229.66.64	66.229.66.99	PT
66.229.66.100	66.230.164.31	US
66.230.164.32	66.230.164.63	AU
66.230.164.64	66.230.166.255	US
66.230.167.0	66.230.167.255	AU
66.230.168.0	66.230.174.255	US
66.230.175.0	66.230.175.255	AU
66.230.176.0	66.230.182.255	US
66.230.183.0	66.230.183.255	DM
66.230.184.0	66.230.188.255	US
66.230.189.0	66.230.189.255	AU
66.230.190.0	66.231.63.255	US
66.231.64.0	66.231.79.255	CO
66.231.80.0	66.231.159.255	US
66.231.160.0	66.231.175.255	PR
66.231.176.0	66.231.176.31	US
66.231.176.32	66.231.176.39	RU
66.231.176.40	66.231.176.79	US
66.231.176.80	66.231.176.95	GB
66.231.176.96	66.231.176.103	PL
66.231.176.104	66.231.176.215	US
66.231.176.216	66.231.176.223	PR
66.231.176.224	66.231.177.31	US
66.231.177.32	66.231.177.39	CL
66.231.177.40	66.231.177.63	US
66.231.177.64	66.231.177.71	PR
66.231.177.72	66.231.177.95	US
66.231.177.96	66.231.177.103	CA
66.231.177.104	66.231.226.127	US
66.231.226.128	66.231.226.255	ES
66.231.227.0	66.231.227.255	US
66.231.228.0	66.231.230.255	PR
66.231.231.0	66.231.234.255	US
66.231.235.0	66.231.237.255	PR
66.231.238.0	66.231.243.127	US
66.231.243.128	66.231.243.191	SV
66.231.243.192	66.231.243.255	US
66.231.244.0	66.231.246.255	PR
66.231.247.0	66.231.247.255	US
66.231.248.0	66.231.248.255	PR
66.231.249.0	66.231.250.255	US
66.231.251.0	66.231.253.255	PR
66.231.254.0	66.232.98.159	US
66.232.98.160	66.232.98.169	RU
66.232.98.170	66.232.99.144	US
66.232.99.145	66.232.99.159	RU
66.232.99.160	66.232.100.246	US
66.232.100.247	66.232.100.254	RU
66.232.100.255	66.232.101.53	US
66.232.101.54	66.232.101.77	HK
66.232.101.78	66.232.102.156	US
66.232.102.157	66.232.102.168	RU
66.232.102.169	66.232.102.205	US
66.232.102.206	66.232.102.219	RU
66.232.102.220	66.232.107.183	US
66.232.107.184	66.232.107.254	RU
66.232.107.255	66.232.109.91	US
66.232.109.92	66.232.109.101	ES
66.232.109.102	66.232.110.64	US
66.232.110.65	66.232.110.95	GR
66.232.110.96	66.232.135.255	US
66.232.136.0	66.232.147.255	KR
66.232.148.0	66.234.15.255	US
66.234.16.0	66.234.31.255	CA
66.234.32.0	66.234.138.63	US
66.234.138.64	66.234.138.127	CH
66.234.138.128	66.235.242.79	US
66.235.242.80	66.235.242.95	CA
66.235.242.96	66.240.127.255	US
66.240.128.0	66.240.143.255	CA
66.240.144.0	66.240.151.255	US
66.240.152.0	66.240.175.255	CA
66.240.176.0	66.240.183.255	US
66.240.184.0	66.240.191.255	CA
66.240.192.0	66.241.127.255	US
66.241.128.0	66.241.143.255	CA
66.241.144.0	66.242.36.63	US
66.242.36.64	66.242.36.127	CA
66.242.36.128	66.242.95.255	US
66.242.96.0	66.242.111.255	CA
66.242.112.0	66.244.127.255	US
66.244.128.0	66.244.143.255	CA
66.244.144.0	66.244.191.255	US
66.244.192.0	66.244.255.255	CA
66.245.0.0	66.247.199.255	US
66.247.200.0	66.247.207.255	AW
66.247.208.0	66.248.129.31	US
66.248.129.32	66.248.129.63	CY
66.248.129.64	66.248.129.191	US
66.248.129.192	66.248.129.223	DE
66.248.129.224	66.248.129.255	CA
66.248.130.0	66.248.133.95	US
66.248.133.96	66.248.133.127	CA
66.248.133.128	66.248.133.223	US
66.248.133.224	66.248.134.31	CY
66.248.134.32	66.248.137.95	US
66.248.137.96	66.248.137.127	DE
66.248.137.128	66.248.138.191	US
66.248.138.192	66.248.138.223	CA
66.248.138.224	66.248.151.223	US
66.248.151.224	66.248.151.255	CY
66.248.152.0	66.248.159.255	US
66.248.160.0	66.248.191.255	VI
66.248.192.0	66.249.143.255	US
66.249.144.0	66.249.159.255	JM
66.249.160.0	66.249.191.255	US
66.249.192.0	66.249.207.255	SV
66.249.208.0	66.249.215.255	PR
66.249.216.0	66.249.219.255	US
66.249.220.0	66.249.223.255	PY
66.249.224.0	66.251.191.255	US
66.251.192.0	66.251.192.255	DO
66.251.193.0	66.251.215.255	US
66.251.216.0	66.251.216.255	RU
66.251.217.0	66.252.143.255	US
66.252.144.0	66.252.159.255	CA
66.252.160.0	66.252.198.64	US
66.252.198.65	66.252.198.254	RU
66.252.198.255	66.252.199.182	US
66.252.199.183	66.252.199.248	RU
66.252.199.249	66.252.200.64	US
66.252.200.65	66.252.200.254	RU
66.252.200.255	66.252.201.96	US
66.252.201.97	66.252.201.104	RU
66.252.201.105	66.252.229.111	US
66.252.229.112	66.252.229.119	GB
66.252.229.120	66.252.230.87	US
66.252.230.88	66.252.230.95	HK
66.252.230.96	66.252.230.135	US
66.252.230.136	66.252.230.143	HK
66.252.230.144	66.254.31.255	US
66.254.32.0	66.254.63.255	CA
66.254.64.0	66.255.80.95	US
66.255.80.96	66.255.80.127	NC
66.255.80.128	67.15.31.255	US
67.15.32.0	67.15.33.255	GB
67.15.34.0	67.15.86.191	US
67.15.86.192	67.15.86.223	PR
67.15.86.224	67.15.95.255	US
67.15.96.0	67.15.96.63	CL
67.15.96.64	67.15.96.95	CA
67.15.96.96	67.15.96.127	US
67.15.96.128	67.15.96.191	GB
67.15.96.192	67.15.96.223	PR
67.15.96.224	67.15.98.255	US
67.15.99.0	67.15.99.255	DE
67.15.100.0	67.15.100.255	US
67.15.101.0	67.15.101.255	DE
67.15.102.0	67.15.102.31	US
67.15.102.32	67.15.102.63	UY
67.15.102.64	67.15.102.159	US
67.15.102.160	67.15.102.175	UY
67.15.102.176	67.15.103.127	US
67.15.103.128	67.15.103.143	RU
67.15.103.144	67.15.107.63	US
67.15.107.64	67.15.107.127	UY
67.15.107.128	67.15.107.159	US
67.15.107.160	67.15.107.191	SE
67.15.107.192	67.15.111.207	US
67.15.111.208	67.15.111.223	DE
67.15.111.224	67.15.115.127	US
67.15.115.128	67.15.115.191	AU
67.15.115.192	67.15.122.255	US
67.15.123.0	67.15.123.255	CA
67.15.124.0	67.15.131.255	US
67.15.132.0	67.15.132.31	AU
67.15.132.32	67.15.132.63	US
67.15.132.64	67.15.132.127	ZA
67.15.132.128	67.15.132.175	US
67.15.132.176	67.15.132.191	DE
67.15.132.192	67.15.135.15	US
67.15.135.16	67.15.135.31	CA
67.15.135.32	67.15.135.63	US
67.15.135.64	67.15.135.95	SK
67.15.135.96	67.15.135.111	US
67.15.135.112	67.15.135.127	UY
67.15.135.128	67.15.136.127	US
67.15.136.128	67.15.136.191	ES
67.15.136.192	67.15.136.255	US
67.15.137.0	67.15.137.63	GB
67.15.137.64	67.15.137.79	US
67.15.137.80	67.15.137.95	HU
67.15.137.96	67.15.137.127	SE
67.15.137.128	67.15.137.159	CA
67.15.137.160	67.15.137.175	US
67.15.137.176	67.15.137.191	UY
67.15.137.192	67.15.137.255	CA
67.15.138.0	67.15.143.255	US
67.15.144.0	67.15.144.31	TH
67.15.144.32	67.15.144.95	US
67.15.144.96	67.15.144.127	IL
67.15.144.128	67.15.144.191	SK
67.15.144.192	67.15.144.255	AU
67.15.145.0	67.15.148.63	US
67.15.148.64	67.15.148.127	BR
67.15.148.128	67.15.148.255	US
67.15.149.0	67.15.149.15	GB
67.15.149.16	67.15.149.31	SK
67.15.149.32	67.15.149.127	US
67.15.149.128	67.15.149.143	GB
67.15.149.144	67.15.149.191	CA
67.15.149.192	67.15.149.255	BR
67.15.150.0	67.15.150.127	AU
67.15.150.128	67.15.150.255	GB
67.15.151.0	67.15.151.15	BE
67.15.151.16	67.15.151.127	US
67.15.151.128	67.15.151.159	AU
67.15.151.160	67.15.157.255	US
67.15.158.0	67.15.158.127	AR
67.15.158.128	67.15.158.159	US
67.15.158.160	67.15.158.191	TH
67.15.158.192	67.15.158.255	US
67.15.159.0	67.15.159.63	AU
67.15.159.64	67.15.159.127	BR
67.15.159.128	67.15.159.191	US
67.15.159.192	67.15.159.223	IL
67.15.159.224	67.15.159.239	US
67.15.159.240	67.15.159.255	GB
67.15.160.0	67.15.161.63	US
67.15.161.64	67.15.161.95	ES
67.15.161.96	67.15.161.127	AU
67.15.161.128	67.15.161.143	JO
67.15.161.144	67.15.161.159	UY
67.15.161.160	67.15.161.191	US
67.15.161.192	67.15.161.255	IL
67.15.162.0	67.15.168.255	US
67.15.169.0	67.15.169.255	GB
67.15.170.0	67.15.182.255	US
67.15.183.0	67.15.183.127	A1
67.15.183.128	67.15.183.159	UY
67.15.183.160	67.15.193.143	US
67.15.193.144	67.15.193.191	CA
67.15.193.192	67.15.193.255	GB
67.15.194.0	67.15.194.31	AU
67.15.194.32	67.15.194.47	TR
67.15.194.48	67.15.194.63	FR
67.15.194.64	67.15.194.79	UY
67.15.194.80	67.15.194.95	FR
67.15.194.96	67.15.194.127	US
67.15.194.128	67.15.194.191	DE
67.15.194.192	67.15.209.255	US
67.15.210.0	67.15.210.63	GB
67.15.210.64	67.15.210.127	US
67.15.210.128	67.15.210.191	KW
67.15.210.192	67.15.211.255	US
67.15.212.0	67.15.212.127	MA
67.15.212.128	67.15.212.143	UY
67.15.212.144	67.15.212.159	TW
67.15.212.160	67.15.212.175	CA
67.15.212.176	67.15.212.191	US
67.15.212.192	67.15.212.255	MA
67.15.213.0	67.15.214.127	US
67.15.214.128	67.15.214.143	BR
67.15.214.144	67.15.214.159	US
67.15.214.160	67.15.214.175	CA
67.15.214.176	67.15.214.191	US
67.15.214.192	67.15.214.223	GB
67.15.214.224	67.15.214.239	IL
67.15.214.240	67.15.215.191	US
67.15.215.192	67.15.215.223	DE
67.15.215.224	67.15.218.127	US
67.15.218.128	67.15.218.191	PL
67.15.218.192	67.15.219.191	US
67.15.219.192	67.15.219.207	GB
67.15.219.208	67.15.219.255	US
67.15.220.0	67.15.220.255	MA
67.15.221.0	67.15.230.255	US
67.15.231.0	67.15.231.15	ES
67.15.231.16	67.15.231.79	US
67.15.231.80	67.15.231.95	ES
67.15.231.96	67.15.232.255	US
67.15.233.0	67.15.233.31	BR
67.15.233.32	67.15.233.63	TR
67.15.233.64	67.15.233.255	US
67.15.234.0	67.15.234.255	MA
67.15.235.0	67.15.236.31	US
67.15.236.32	67.15.236.63	JP
67.15.236.64	67.15.236.95	US
67.15.236.96	67.15.236.127	BR
67.15.236.128	67.15.236.223	US
67.15.236.224	67.15.236.239	UY
67.15.236.240	67.15.236.255	US
67.15.237.0	67.15.237.255	MA
67.15.238.0	67.15.242.31	US
67.15.242.32	67.15.242.47	BR
67.15.242.48	67.15.242.63	US
67.15.242.64	67.15.242.95	UY
67.15.242.96	67.15.242.127	TR
67.15.242.128	67.15.242.191	US
67.15.242.192	67.15.242.223	IL
67.15.242.224	67.15.242.255	BR
67.15.243.0	67.15.244.223	US
67.15.244.224	67.15.244.255	TR
67.15.245.0	67.15.246.255	US
67.15.247.0	67.15.247.127	RO
67.15.247.128	67.15.247.159	US
67.15.247.160	67.15.247.191	IL
67.15.247.192	67.15.247.223	JP
67.15.247.224	67.15.248.255	US
67.15.249.0	67.15.249.255	MA
67.15.250.0	67.15.250.255	US
67.15.251.0	67.15.251.31	UY
67.15.251.32	67.15.251.63	IL
67.15.251.64	67.15.251.79	TH
67.15.251.80	67.15.251.95	US
67.15.251.96	67.15.251.127	GB
67.15.251.128	67.15.251.255	RO
67.15.252.0	67.21.95.255	US
67.21.96.0	67.21.111.255	CA
67.21.112.0	67.21.115.31	US
67.21.115.32	67.21.115.63	BR
67.21.115.64	67.21.191.255	US
67.21.192.0	67.21.227.255	CA
67.21.228.0	67.21.228.255	PA
67.21.229.0	67.21.252.255	CA
67.21.253.0	67.21.253.255	US
67.21.254.0	67.21.255.255	CA
67.22.0.0	67.22.63.255	US
67.22.64.0	67.22.111.255	CA
67.22.112.0	67.22.119.255	US
67.22.128.0	67.22.143.255	CA
67.22.144.0	67.22.223.255	US
67.22.224.0	67.22.239.255	CA
67.22.240.0	67.23.127.255	US
67.23.128.0	67.23.143.255	CA
67.23.144.0	67.23.176.255	US
67.23.177.0	67.23.177.255	IN
67.23.178.0	67.23.178.255	US
67.23.179.0	67.23.179.255	IN
67.23.180.0	67.23.186.255	US
67.23.187.0	67.23.187.31	NZ
67.23.187.32	67.29.137.255	US
67.29.138.0	67.29.138.255	AR
67.29.139.0	67.37.23.31	US
67.37.23.32	67.37.23.39	PR
67.37.23.40	67.37.208.215	US
67.37.208.216	67.37.208.223	PR
67.37.208.224	67.38.156.239	US
67.38.156.240	67.38.156.247	PR
67.38.156.248	67.38.197.167	US
67.38.197.168	67.38.197.175	PR
67.38.197.176	67.39.165.103	US
67.39.165.104	67.39.165.111	PR
67.39.165.112	67.39.208.95	US
67.39.208.96	67.39.208.103	PR
67.39.208.104	67.39.208.199	US
67.39.208.200	67.39.208.207	PR
67.39.208.208	67.43.62.143	US
67.43.62.144	67.43.62.151	ES
67.43.62.152	67.43.127.255	US
67.43.128.0	67.43.143.255	CA
67.43.144.0	67.43.223.255	US
67.43.224.0	67.43.225.255	CA
67.43.226.0	67.43.226.127	GB
67.43.226.128	67.43.226.175	CA
67.43.226.176	67.43.226.183	GB
67.43.226.184	67.43.226.191	BZ
67.43.226.192	67.43.226.207	CA
67.43.226.208	67.43.226.215	LB
67.43.226.216	67.43.226.231	CA
67.43.226.232	67.43.226.239	CN
67.43.226.240	67.43.226.255	LB
67.43.227.0	67.43.227.63	CA
67.43.227.64	67.43.227.127	PK
67.43.227.128	67.43.227.191	CA
67.43.227.192	67.43.227.223	US
67.43.227.224	67.43.229.47	CA
67.43.229.48	67.43.229.55	ES
67.43.229.56	67.43.229.63	HR
67.43.229.64	67.43.229.159	CA
67.43.229.160	67.43.229.191	US
67.43.229.192	67.43.229.223	CA
67.43.229.224	67.43.229.255	US
67.43.230.0	67.43.230.15	CA
67.43.230.16	67.43.230.23	PK
67.43.230.24	67.43.230.31	RU
67.43.230.32	67.43.230.63	CA
67.43.230.64	67.43.230.95	IT
67.43.230.96	67.43.230.127	US
67.43.230.128	67.43.230.159	CA
67.43.230.160	67.43.230.191	US
67.43.230.192	67.43.230.199	CA
67.43.230.200	67.43.230.207	CN
67.43.230.208	67.43.230.223	CA
67.43.230.224	67.43.230.255	FR
67.43.231.0	67.43.231.127	CA
67.43.231.128	67.43.231.191	MY
67.43.231.192	67.43.231.255	US
67.43.232.0	67.43.232.127	CA
67.43.232.128	67.43.232.159	US
67.43.232.160	67.43.232.191	CA
67.43.232.192	67.43.232.223	US
67.43.232.224	67.43.235.95	CA
67.43.235.96	67.43.235.103	PH
67.43.235.104	67.43.236.31	CA
67.43.236.32	67.43.236.39	KP
67.43.236.40	67.43.236.63	CA
67.43.236.64	67.43.236.71	LB
67.43.236.72	67.43.236.79	CA
67.43.236.80	67.43.236.87	LB
67.43.236.88	67.43.236.95	CA
67.43.236.96	67.43.236.103	LB
67.43.236.104	67.43.237.71	CA
67.43.237.72	67.43.237.79	PH
67.43.237.80	67.43.237.255	CA
67.43.238.0	67.43.238.63	AE
67.43.238.64	67.43.238.95	US
67.43.238.96	67.43.238.111	CA
67.43.238.112	67.43.238.119	TH
67.43.238.120	67.43.238.255	CA
67.43.239.0	67.43.239.63	CY
67.43.239.64	67.43.239.191	CA
67.43.239.192	67.43.239.255	CY
67.43.240.0	67.54.255.255	US
67.55.0.0	67.55.63.255	CA
67.55.64.0	67.57.255.255	US
67.58.3.0	67.58.4.255	US
67.58.5.0	67.58.5.255	CA
67.58.8.0	67.58.8.255	US
67.58.10.0	67.58.10.255	US
67.58.11.0	67.58.11.255	CA
67.58.14.0	67.58.14.255	US
67.58.15.0	67.58.16.255	CA
67.58.17.0	67.58.17.255	US
67.58.20.0	67.58.20.255	CA
67.58.21.0	67.58.21.255	US
67.58.23.0	67.58.23.255	US
67.58.24.0	67.58.31.255	CA
67.58.32.0	67.58.191.255	US
67.58.192.0	67.58.223.255	CA
67.58.224.0	67.59.140.255	US
67.59.141.0	67.59.141.31	IL
67.59.141.32	67.59.152.103	US
67.59.152.104	67.59.152.111	CA
67.59.152.112	67.59.179.31	US
67.59.179.32	67.59.179.63	NG
67.59.179.64	67.59.179.167	US
67.59.179.168	67.59.179.175	RO
67.59.179.176	67.59.182.247	US
67.59.182.248	67.59.182.255	IN
67.59.183.0	67.59.185.127	US
67.59.185.128	67.59.185.143	IL
67.59.185.144	67.59.189.71	US
67.59.189.72	67.59.189.79	AU
67.59.189.80	67.59.189.207	US
67.59.189.208	67.59.189.215	IL
67.59.189.216	67.64.67.135	US
67.64.67.136	67.64.67.143	PR
67.64.67.144	67.64.80.15	US
67.64.80.16	67.64.80.31	PR
67.64.80.32	67.67.255.255	US
67.68.0.0	67.69.150.143	CA
67.69.150.144	67.69.150.159	US
67.69.150.160	67.69.177.255	CA
67.69.178.0	67.69.179.255	US
67.69.180.0	67.71.255.255	CA
67.72.0.0	67.72.103.255	US
67.72.104.0	67.72.104.31	CA
67.72.104.32	67.98.159.255	US
67.98.160.0	67.98.167.255	GU
67.98.168.0	67.112.104.7	US
67.112.104.8	67.112.104.15	PR
67.112.104.16	67.120.44.239	US
67.120.44.240	67.120.44.247	PR
67.120.44.248	67.121.68.31	US
67.121.68.32	67.121.68.39	PR
67.121.68.40	67.129.214.63	US
67.129.214.64	67.129.214.79	CA
67.129.214.80	67.131.214.135	US
67.131.214.136	67.131.214.143	CA
67.131.214.144	67.132.157.7	US
67.132.157.8	67.132.157.15	MX
67.132.157.16	67.134.214.31	US
67.134.214.32	67.134.214.63	AU
67.134.214.64	67.135.103.231	US
67.135.103.232	67.135.103.239	CA
67.135.103.240	67.148.49.31	US
67.148.49.32	67.148.49.39	NE
67.148.49.40	67.148.49.127	US
67.148.49.128	67.148.49.159	GB
67.148.49.160	67.148.49.223	US
67.148.49.224	67.148.49.255	BE
67.148.50.0	67.151.232.255	US
67.151.233.0	67.151.234.255	A2
67.151.235.0	67.158.63.255	US
67.158.64.0	67.158.79.255	CA
67.158.80.0	67.159.203.255	US
67.159.204.0	67.159.204.31	BH
67.159.204.32	67.159.204.255	US
67.159.205.0	67.159.205.31	BH
67.159.205.32	67.159.206.47	US
67.159.206.48	67.159.206.63	JP
67.159.206.64	67.159.207.255	US
67.159.208.0	67.159.223.255	CA
67.159.224.0	67.189.223.143	US
67.189.223.144	67.189.223.159	GB
67.189.223.160	67.189.223.175	US
67.189.223.176	67.189.223.191	GB
67.189.223.192	67.192.0.119	US
67.192.0.120	67.192.0.127	CA
67.192.0.128	67.192.0.199	US
67.192.0.200	67.192.0.207	GB
67.192.0.208	67.192.0.231	US
67.192.0.232	67.192.0.247	AU
67.192.0.248	67.192.1.223	US
67.192.1.224	67.192.1.255	CA
67.192.2.0	67.192.2.143	US
67.192.2.144	67.192.2.151	CA
67.192.2.152	67.192.4.207	US
67.192.4.208	67.192.4.215	GB
67.192.4.216	67.192.5.111	US
67.192.5.112	67.192.5.119	CA
67.192.5.120	67.192.5.151	US
67.192.5.152	67.192.5.159	CA
67.192.5.160	67.192.5.207	US
67.192.5.208	67.192.5.223	GT
67.192.5.224	67.192.5.247	US
67.192.5.248	67.192.5.255	CA
67.192.6.0	67.192.6.167	US
67.192.6.168	67.192.6.175	CN
67.192.6.176	67.192.6.191	MX
67.192.6.192	67.192.6.199	US
67.192.6.200	67.192.6.207	JP
67.192.6.208	67.192.6.215	US
67.192.6.216	67.192.6.223	AU
67.192.6.224	67.192.6.231	US
67.192.6.232	67.192.6.239	AU
67.192.6.240	67.192.8.7	US
67.192.8.8	67.192.8.15	MX
67.192.8.16	67.192.9.23	US
67.192.9.24	67.192.9.31	IN
67.192.9.32	67.192.9.39	NZ
67.192.9.40	67.192.10.47	US
67.192.10.48	67.192.10.55	AU
67.192.10.56	67.192.10.79	US
67.192.10.80	67.192.10.87	AU
67.192.10.88	67.192.10.95	US
67.192.10.96	67.192.10.103	AU
67.192.10.104	67.192.10.207	US
67.192.10.208	67.192.10.223	CA
67.192.10.224	67.192.12.143	US
67.192.12.144	67.192.12.151	MX
67.192.12.152	67.192.12.183	US
67.192.12.184	67.192.12.191	FR
67.192.12.192	67.192.13.55	US
67.192.13.56	67.192.13.63	CA
67.192.13.64	67.192.13.215	US
67.192.13.216	67.192.13.223	CA
67.192.13.224	67.192.13.255	US
67.192.14.0	67.192.14.7	CA
67.192.14.8	67.192.14.79	US
67.192.14.80	67.192.14.87	GB
67.192.14.88	67.192.14.255	US
67.192.15.0	67.192.15.7	CA
67.192.15.8	67.192.15.15	US
67.192.15.16	67.192.15.23	GB
67.192.15.24	67.192.15.247	US
67.192.15.248	67.192.15.255	GB
67.192.16.0	67.192.16.7	US
67.192.16.8	67.192.16.15	NO
67.192.16.16	67.192.16.31	US
67.192.16.32	67.192.16.39	HR
67.192.16.40	67.192.17.23	US
67.192.17.24	67.192.17.31	CA
67.192.17.32	67.192.17.39	US
67.192.17.40	67.192.17.55	CA
67.192.17.56	67.192.17.87	US
67.192.17.88	67.192.17.103	CA
67.192.17.104	67.192.17.135	US
67.192.17.136	67.192.17.143	AU
67.192.17.144	67.192.17.207	US
67.192.17.208	67.192.17.215	IN
67.192.17.216	67.192.19.47	US
67.192.19.48	67.192.19.55	TW
67.192.19.56	67.192.19.79	US
67.192.19.80	67.192.19.87	IN
67.192.19.88	67.192.19.95	US
67.192.19.96	67.192.19.103	CN
67.192.19.104	67.192.19.119	US
67.192.19.120	67.192.19.127	IN
67.192.19.128	67.192.19.151	US
67.192.19.152	67.192.19.159	MX
67.192.19.160	67.192.20.127	US
67.192.20.128	67.192.20.135	IN
67.192.20.136	67.192.20.183	US
67.192.20.184	67.192.20.191	GB
67.192.20.192	67.192.20.223	US
67.192.20.224	67.192.20.239	CA
67.192.20.240	67.192.21.159	US
67.192.21.160	67.192.21.191	CA
67.192.21.192	67.192.22.71	US
67.192.22.72	67.192.22.79	CA
67.192.22.80	67.192.22.135	US
67.192.22.136	67.192.22.143	MX
67.192.22.144	67.192.24.47	US
67.192.24.48	67.192.24.55	CA
67.192.24.56	67.192.24.135	US
67.192.24.136	67.192.24.143	CA
67.192.24.144	67.192.25.31	US
67.192.25.32	67.192.25.39	IN
67.192.25.40	67.192.25.127	US
67.192.25.128	67.192.25.135	IN
67.192.25.136	67.192.26.207	US
67.192.26.208	67.192.26.215	CL
67.192.26.216	67.192.28.23	US
67.192.28.24	67.192.28.31	CN
67.192.28.32	67.192.28.127	US
67.192.28.128	67.192.28.135	IN
67.192.28.136	67.192.28.143	JP
67.192.28.144	67.192.31.223	US
67.192.31.224	67.192.31.231	AU
67.192.31.232	67.192.32.63	US
67.192.32.64	67.192.32.71	CA
67.192.32.72	67.192.32.215	US
67.192.32.216	67.192.32.223	GB
67.192.32.224	67.192.32.239	US
67.192.32.240	67.192.32.247	IL
67.192.32.248	67.192.33.15	US
67.192.33.16	67.192.33.31	CA
67.192.33.32	67.192.34.15	US
67.192.34.16	67.192.34.23	AU
67.192.34.24	67.192.34.47	US
67.192.34.48	67.192.34.55	GB
67.192.34.56	67.192.36.55	US
67.192.36.56	67.192.36.63	IN
67.192.36.64	67.192.36.135	US
67.192.36.136	67.192.36.143	GB
67.192.36.144	67.192.36.159	US
67.192.36.160	67.192.36.167	CA
67.192.36.168	67.192.36.231	US
67.192.36.232	67.192.36.239	CA
67.192.36.240	67.192.37.63	US
67.192.37.64	67.192.37.71	DE
67.192.37.72	67.192.38.31	US
67.192.38.32	67.192.38.39	CA
67.192.38.40	67.192.38.111	US
67.192.38.112	67.192.38.119	PT
67.192.38.120	67.192.38.239	US
67.192.38.240	67.192.38.247	IL
67.192.38.248	67.192.39.79	US
67.192.39.80	67.192.39.95	GB
67.192.39.96	67.192.39.191	US
67.192.39.192	67.192.39.207	GB
67.192.39.208	67.192.40.119	US
67.192.40.120	67.192.40.127	CA
67.192.40.128	67.192.40.167	US
67.192.40.168	67.192.40.175	IL
67.192.40.176	67.192.40.239	US
67.192.40.240	67.192.40.247	GB
67.192.40.248	67.192.41.111	US
67.192.41.112	67.192.41.127	CA
67.192.41.128	67.192.41.207	US
67.192.41.208	67.192.41.223	IL
67.192.41.224	67.192.43.55	US
67.192.43.56	67.192.43.63	GB
67.192.43.64	67.192.43.159	US
67.192.43.160	67.192.43.167	AU
67.192.43.168	67.192.43.207	US
67.192.43.208	67.192.43.223	IN
67.192.43.224	67.192.44.7	US
67.192.44.8	67.192.44.15	CA
67.192.44.16	67.192.44.111	US
67.192.44.112	67.192.44.119	KW
67.192.44.120	67.192.45.119	US
67.192.45.120	67.192.45.127	GB
67.192.45.128	67.192.45.223	US
67.192.45.224	67.192.45.255	AU
67.192.46.0	67.192.46.31	US
67.192.46.32	67.192.46.47	MX
67.192.46.48	67.192.46.127	US
67.192.46.128	67.192.46.143	IN
67.192.46.144	67.192.46.159	MX
67.192.46.160	67.192.46.175	US
67.192.46.176	67.192.46.191	MX
67.192.46.192	67.192.46.223	US
67.192.46.224	67.192.46.255	IN
67.192.47.0	67.192.47.31	US
67.192.47.32	67.192.47.39	IN
67.192.47.40	67.192.47.143	US
67.192.47.144	67.192.47.151	CA
67.192.47.152	67.192.47.255	US
67.192.48.0	67.192.48.7	IN
67.192.48.8	67.192.48.215	US
67.192.48.216	67.192.48.223	CL
67.192.48.224	67.192.49.215	US
67.192.49.216	67.192.49.223	IN
67.192.49.224	67.192.50.79	US
67.192.50.80	67.192.50.95	GB
67.192.50.96	67.192.50.159	US
67.192.50.160	67.192.50.175	CO
67.192.50.176	67.192.51.47	US
67.192.51.48	67.192.51.55	CA
67.192.51.56	67.192.51.71	US
67.192.51.72	67.192.51.79	CA
67.192.51.80	67.192.51.127	US
67.192.51.128	67.192.51.135	CA
67.192.51.136	67.192.51.143	MX
67.192.51.144	67.192.52.79	US
67.192.52.80	67.192.52.87	NL
67.192.52.88	67.192.52.215	US
67.192.52.216	67.192.52.223	ES
67.192.52.224	67.192.53.111	US
67.192.53.112	67.192.53.119	SG
67.192.53.120	67.192.53.159	US
67.192.53.160	67.192.53.167	NZ
67.192.53.168	67.192.53.199	US
67.192.53.200	67.192.53.207	SG
67.192.53.208	67.192.55.255	US
67.192.56.0	67.192.56.255	GB
67.192.57.0	67.192.64.231	US
67.192.64.232	67.192.64.239	CA
67.192.64.240	67.192.65.15	US
67.192.65.16	67.192.65.23	IN
67.192.65.24	67.192.65.207	US
67.192.65.208	67.192.65.215	GB
67.192.65.216	67.192.65.255	US
67.192.66.0	67.192.66.7	CA
67.192.66.8	67.192.66.47	US
67.192.66.48	67.192.66.55	CA
67.192.66.56	67.192.66.143	US
67.192.66.144	67.192.66.151	CA
67.192.66.152	67.192.67.23	US
67.192.67.24	67.192.67.31	VE
67.192.67.32	67.192.67.167	US
67.192.67.168	67.192.67.175	MX
67.192.67.176	67.192.68.63	US
67.192.68.64	67.192.68.71	CA
67.192.68.72	67.192.68.111	US
67.192.68.112	67.192.68.127	CA
67.192.68.128	67.192.68.135	GB
67.192.68.136	67.192.69.31	US
67.192.69.32	67.192.69.47	AU
67.192.69.48	67.192.70.143	US
67.192.70.144	67.192.70.159	AU
67.192.70.160	67.192.71.23	US
67.192.71.24	67.192.71.31	CA
67.192.71.32	67.192.71.47	MX
67.192.71.48	67.192.71.247	US
67.192.71.248	67.192.71.255	GB
67.192.72.0	67.192.72.47	US
67.192.72.48	67.192.72.55	IN
67.192.72.56	67.192.72.79	US
67.192.72.80	67.192.72.87	IL
67.192.72.88	67.192.72.95	GB
67.192.72.96	67.192.72.151	US
67.192.72.152	67.192.72.159	CA
67.192.72.160	67.192.72.191	US
67.192.72.192	67.192.72.199	AU
67.192.72.200	67.192.72.207	CL
67.192.72.208	67.192.72.239	US
67.192.72.240	67.192.72.247	ES
67.192.72.248	67.192.73.239	US
67.192.73.240	67.192.73.247	GB
67.192.73.248	67.192.75.167	US
67.192.75.168	67.192.75.175	IN
67.192.75.176	67.192.75.231	US
67.192.75.232	67.192.75.239	AE
67.192.75.240	67.192.75.255	US
67.192.76.0	67.192.76.255	GB
67.192.77.0	67.192.77.31	US
67.192.77.32	67.192.77.47	IE
67.192.77.48	67.192.77.159	US
67.192.77.160	67.192.77.175	CA
67.192.77.176	67.192.78.199	US
67.192.78.200	67.192.78.207	GB
67.192.78.208	67.192.78.231	US
67.192.78.232	67.192.78.239	AU
67.192.78.240	67.192.79.63	US
67.192.79.64	67.192.79.71	CA
67.192.79.72	67.192.79.127	US
67.192.79.128	67.192.79.135	AU
67.192.79.136	67.192.81.255	US
67.192.82.0	67.192.82.15	AU
67.192.82.16	67.192.82.87	US
67.192.82.88	67.192.82.95	CA
67.192.82.96	67.192.82.239	US
67.192.82.240	67.192.82.255	CA
67.192.83.0	67.192.84.215	US
67.192.84.216	67.192.84.223	IN
67.192.84.224	67.192.85.159	US
67.192.85.160	67.192.85.175	MX
67.192.85.176	67.192.86.31	US
67.192.86.32	67.192.86.47	GB
67.192.86.48	67.192.88.159	US
67.192.88.160	67.192.88.175	CA
67.192.88.176	67.192.88.223	US
67.192.88.224	67.192.88.255	BR
67.192.89.0	67.192.89.47	US
67.192.89.48	67.192.89.55	GB
67.192.89.56	67.192.89.63	US
67.192.89.64	67.192.89.95	IL
67.192.89.96	67.192.89.111	US
67.192.89.112	67.192.89.127	CA
67.192.89.128	67.192.92.119	US
67.192.92.120	67.192.92.127	CA
67.192.92.128	67.192.92.207	US
67.192.92.208	67.192.92.215	NO
67.192.92.216	67.192.92.223	US
67.192.92.224	67.192.92.239	BD
67.192.92.240	67.192.93.119	US
67.192.93.120	67.192.93.127	IN
67.192.93.128	67.192.95.39	US
67.192.95.40	67.192.95.47	BD
67.192.95.48	67.192.95.55	IN
67.192.95.56	67.192.96.207	US
67.192.96.208	67.192.96.215	CA
67.192.96.216	67.192.96.231	US
67.192.96.232	67.192.96.239	MX
67.192.96.240	67.192.96.255	US
67.192.97.0	67.192.97.7	HN
67.192.97.8	67.192.97.15	US
67.192.97.16	67.192.97.23	IL
67.192.97.24	67.192.97.95	US
67.192.97.96	67.192.97.103	BR
67.192.97.104	67.192.97.223	US
67.192.97.224	67.192.97.231	GB
67.192.97.232	67.192.97.239	US
67.192.97.240	67.192.97.255	IL
67.192.98.0	67.192.98.15	US
67.192.98.16	67.192.98.23	GB
67.192.98.24	67.192.98.87	US
67.192.98.88	67.192.98.95	CA
67.192.98.96	67.192.101.31	US
67.192.101.32	67.192.101.63	GB
67.192.101.64	67.192.101.255	US
67.192.102.0	67.192.102.7	CA
67.192.102.8	67.192.102.31	US
67.192.102.32	67.192.102.63	CA
67.192.102.64	67.192.102.87	US
67.192.102.88	67.192.102.95	CA
67.192.102.96	67.192.102.199	US
67.192.102.200	67.192.102.207	CA
67.192.102.208	67.192.103.111	US
67.192.103.112	67.192.103.119	CA
67.192.103.120	67.192.104.87	US
67.192.104.88	67.192.104.95	IL
67.192.104.96	67.192.104.119	US
67.192.104.120	67.192.104.127	MX
67.192.104.128	67.192.105.103	US
67.192.105.104	67.192.105.111	GB
67.192.105.112	67.192.105.119	ZA
67.192.105.120	67.192.106.7	US
67.192.106.8	67.192.106.15	AU
67.192.106.16	67.192.106.23	US
67.192.106.24	67.192.106.31	AE
67.192.106.32	67.192.108.15	US
67.192.108.16	67.192.108.31	CA
67.192.108.32	67.192.108.55	US
67.192.108.56	67.192.108.63	MX
67.192.108.64	67.192.108.71	US
67.192.108.72	67.192.108.79	CA
67.192.108.80	67.192.108.199	US
67.192.108.200	67.192.108.207	CA
67.192.108.208	67.192.108.215	IN
67.192.108.216	67.192.109.175	US
67.192.109.176	67.192.109.183	CA
67.192.109.184	67.192.110.15	US
67.192.110.16	67.192.110.31	CA
67.192.110.32	67.192.110.63	US
67.192.110.64	67.192.110.71	CA
67.192.110.72	67.192.110.79	US
67.192.110.80	67.192.110.87	IN
67.192.110.88	67.192.110.119	US
67.192.110.120	67.192.110.127	AU
67.192.110.128	67.192.110.135	GB
67.192.110.136	67.192.110.159	US
67.192.110.160	67.192.110.175	MX
67.192.110.176	67.192.110.191	US
67.192.110.192	67.192.110.207	IN
67.192.110.208	67.192.111.7	US
67.192.111.8	67.192.111.15	IT
67.192.111.16	67.192.111.95	US
67.192.111.96	67.192.111.111	CA
67.192.111.112	67.192.111.119	HR
67.192.111.120	67.192.111.175	US
67.192.111.176	67.192.111.183	CA
67.192.111.184	67.192.111.191	US
67.192.111.192	67.192.111.199	JP
67.192.111.200	67.192.111.255	US
67.192.112.0	67.192.112.127	CA
67.192.112.128	67.192.112.135	US
67.192.112.136	67.192.112.143	BM
67.192.112.144	67.192.112.175	US
67.192.112.176	67.192.112.183	CN
67.192.112.184	67.192.112.191	US
67.192.112.192	67.192.112.207	CA
67.192.112.208	67.192.114.223	US
67.192.114.224	67.192.114.231	IL
67.192.114.232	67.192.115.47	US
67.192.115.48	67.192.115.55	CA
67.192.115.56	67.192.115.79	US
67.192.115.80	67.192.115.87	HR
67.192.115.88	67.192.115.111	US
67.192.115.112	67.192.115.119	IT
67.192.115.120	67.192.115.223	US
67.192.115.224	67.192.115.231	IE
67.192.115.232	67.192.128.7	US
67.192.128.8	67.192.128.15	BR
67.192.128.16	67.192.128.119	US
67.192.128.120	67.192.128.127	MX
67.192.128.128	67.192.129.23	US
67.192.129.24	67.192.129.31	BM
67.192.129.32	67.192.129.95	US
67.192.129.96	67.192.129.103	VE
67.192.129.104	67.192.129.143	US
67.192.129.144	67.192.129.151	IN
67.192.129.152	67.192.130.71	US
67.192.130.72	67.192.130.79	GB
67.192.130.80	67.192.130.151	US
67.192.130.152	67.192.130.159	GB
67.192.130.160	67.192.131.31	US
67.192.131.32	67.192.131.39	CA
67.192.131.40	67.192.131.55	US
67.192.131.56	67.192.131.63	IL
67.192.131.64	67.192.131.103	US
67.192.131.104	67.192.131.111	IN
67.192.131.112	67.192.131.135	US
67.192.131.136	67.192.131.143	CA
67.192.131.144	67.192.131.159	US
67.192.131.160	67.192.131.167	AU
67.192.131.168	67.192.132.231	US
67.192.132.232	67.192.132.239	BD
67.192.132.240	67.192.134.159	US
67.192.134.160	67.192.134.175	GB
67.192.134.176	67.192.136.215	US
67.192.136.216	67.192.136.223	CA
67.192.136.224	67.192.138.223	US
67.192.138.224	67.192.138.231	CA
67.192.138.232	67.192.139.71	US
67.192.139.72	67.192.139.79	AU
67.192.139.80	67.192.139.103	US
67.192.139.104	67.192.139.111	CA
67.192.139.112	67.192.140.15	US
67.192.140.16	67.192.140.23	AR
67.192.140.24	67.192.140.95	US
67.192.140.96	67.192.140.103	NL
67.192.140.104	67.192.141.55	US
67.192.141.56	67.192.141.63	GB
67.192.141.64	67.192.142.63	US
67.192.142.64	67.192.142.71	NZ
67.192.142.72	67.192.142.183	US
67.192.142.184	67.192.142.191	IN
67.192.142.192	67.192.142.255	US
67.192.143.0	67.192.143.63	IR
67.192.143.64	67.192.143.71	AU
67.192.143.72	67.192.144.255	US
67.192.145.0	67.192.145.7	GB
67.192.145.8	67.192.145.15	CA
67.192.145.16	67.192.146.127	US
67.192.146.128	67.192.146.143	CA
67.192.146.144	67.192.146.191	US
67.192.146.192	67.192.146.199	CA
67.192.146.200	67.192.146.207	AU
67.192.146.208	67.192.146.215	US
67.192.146.216	67.192.146.223	GB
67.192.146.224	67.192.147.63	US
67.192.147.64	67.192.147.71	BG
67.192.147.72	67.192.147.247	US
67.192.147.248	67.192.147.255	GB
67.192.148.0	67.192.148.31	US
67.192.148.32	67.192.148.39	KR
67.192.148.40	67.192.148.47	US
67.192.148.48	67.192.148.55	KR
67.192.148.56	67.192.148.127	US
67.192.148.128	67.192.148.143	CA
67.192.148.144	67.192.150.111	US
67.192.150.112	67.192.150.119	AU
67.192.150.120	67.192.150.207	US
67.192.150.208	67.192.150.215	GB
67.192.150.216	67.192.152.207	US
67.192.152.208	67.192.152.215	GB
67.192.152.216	67.192.153.151	US
67.192.153.152	67.192.153.159	DK
67.192.153.160	67.192.153.167	US
67.192.153.168	67.192.153.175	IL
67.192.153.176	67.192.153.191	DK
67.192.153.192	67.192.155.23	US
67.192.155.24	67.192.155.31	AU
67.192.155.32	67.192.155.47	US
67.192.155.48	67.192.155.63	AU
67.192.155.64	67.192.155.199	US
67.192.155.200	67.192.155.207	CA
67.192.155.208	67.192.157.71	US
67.192.157.72	67.192.157.79	GB
67.192.157.80	67.192.157.95	US
67.192.157.96	67.192.157.103	IL
67.192.157.104	67.192.157.135	US
67.192.157.136	67.192.157.143	GT
67.192.157.144	67.192.157.191	US
67.192.157.192	67.192.157.199	IL
67.192.157.200	67.192.158.23	US
67.192.158.24	67.192.158.31	GB
67.192.158.32	67.192.158.215	US
67.192.158.216	67.192.158.223	BM
67.192.158.224	67.192.160.111	US
67.192.160.112	67.192.160.119	CA
67.192.160.120	67.192.161.47	US
67.192.161.48	67.192.161.55	CA
67.192.161.56	67.192.161.167	US
67.192.161.168	67.192.161.175	GB
67.192.161.176	67.192.162.119	US
67.192.162.120	67.192.162.127	CA
67.192.162.128	67.192.162.167	US
67.192.162.168	67.192.162.175	GB
67.192.162.176	67.192.162.183	US
67.192.162.184	67.192.162.255	IE
67.192.163.0	67.192.165.191	US
67.192.165.192	67.192.165.199	GB
67.192.165.200	67.192.166.143	US
67.192.166.144	67.192.166.159	GB
67.192.166.160	67.192.166.207	US
67.192.166.208	67.192.166.215	GB
67.192.166.216	67.192.168.95	US
67.192.168.96	67.192.168.111	CA
67.192.168.112	67.192.168.119	US
67.192.168.120	67.192.168.127	SE
67.192.168.128	67.192.168.191	US
67.192.168.192	67.192.168.207	CA
67.192.168.208	67.192.168.231	US
67.192.168.232	67.192.168.239	CA
67.192.168.240	67.192.168.255	IN
67.192.169.0	67.192.169.47	US
67.192.169.48	67.192.169.55	AU
67.192.169.56	67.192.169.191	US
67.192.169.192	67.192.169.199	MT
67.192.169.200	67.192.170.31	US
67.192.170.32	67.192.170.39	AU
67.192.170.40	67.192.170.95	US
67.192.170.96	67.192.170.103	GB
67.192.170.104	67.192.170.127	US
67.192.170.128	67.192.170.135	CA
67.192.170.136	67.192.170.199	US
67.192.170.200	67.192.170.207	NZ
67.192.170.208	67.192.171.103	US
67.192.171.104	67.192.171.111	IL
67.192.171.112	67.192.171.183	US
67.192.171.184	67.192.171.191	MX
67.192.171.192	67.192.172.63	US
67.192.172.64	67.192.172.71	NZ
67.192.172.72	67.192.172.167	US
67.192.172.168	67.192.172.175	AU
67.192.172.176	67.192.172.247	US
67.192.172.248	67.192.172.255	DK
67.192.173.0	67.192.173.111	US
67.192.173.112	67.192.173.119	CA
67.192.173.120	67.192.173.175	US
67.192.173.176	67.192.173.183	CL
67.192.173.184	67.192.173.239	US
67.192.173.240	67.192.173.247	CA
67.192.173.248	67.192.174.191	US
67.192.174.192	67.192.174.255	AU
67.192.175.0	67.192.175.95	US
67.192.175.96	67.192.175.103	CA
67.192.175.104	67.192.175.151	US
67.192.175.152	67.192.175.159	GB
67.192.175.160	67.192.176.15	US
67.192.176.16	67.192.176.23	IN
67.192.176.24	67.192.176.87	US
67.192.176.88	67.192.176.103	CA
67.192.176.104	67.192.180.247	US
67.192.180.248	67.192.180.255	GB
67.192.181.0	67.192.181.7	CA
67.192.181.8	67.192.181.79	US
67.192.181.80	67.192.181.87	GB
67.192.181.88	67.192.181.151	US
67.192.181.152	67.192.181.159	AT
67.192.181.160	67.192.181.191	US
67.192.181.192	67.192.181.199	GB
67.192.181.200	67.192.182.119	US
67.192.182.120	67.192.182.127	CA
67.192.182.128	67.192.183.47	US
67.192.183.48	67.192.183.55	CA
67.192.183.56	67.192.188.127	US
67.192.188.128	67.192.188.191	GB
67.192.188.192	67.192.192.39	US
67.192.192.40	67.192.192.47	CA
67.192.192.48	67.192.192.135	US
67.192.192.136	67.192.192.143	CA
67.192.192.144	67.192.193.15	US
67.192.193.16	67.192.193.23	IN
67.192.193.24	67.192.193.31	RU
67.192.193.32	67.192.194.39	US
67.192.194.40	67.192.194.47	IN
67.192.194.48	67.192.194.71	US
67.192.194.72	67.192.194.79	CA
67.192.194.80	67.192.194.183	US
67.192.194.184	67.192.194.191	MX
67.192.194.192	67.192.195.55	US
67.192.195.56	67.192.195.63	BM
67.192.195.64	67.192.195.151	US
67.192.195.152	67.192.195.159	GB
67.192.195.160	67.192.195.167	CA
67.192.195.168	67.192.195.191	US
67.192.195.192	67.192.195.255	IE
67.192.196.0	67.192.196.31	US
67.192.196.32	67.192.196.39	AU
67.192.196.40	67.192.196.143	US
67.192.196.144	67.192.196.151	CA
67.192.196.152	67.192.197.119	US
67.192.197.120	67.192.197.127	AU
67.192.197.128	67.192.198.15	US
67.192.198.16	67.192.198.23	GB
67.192.198.24	67.192.198.103	US
67.192.198.104	67.192.198.111	ZA
67.192.198.112	67.192.198.191	US
67.192.198.192	67.192.198.199	IN
67.192.198.200	67.192.200.167	US
67.192.200.168	67.192.200.175	GB
67.192.200.176	67.192.200.191	US
67.192.200.192	67.192.200.199	BR
67.192.200.200	67.192.201.7	US
67.192.201.8	67.192.201.15	SG
67.192.201.16	67.192.201.47	US
67.192.201.48	67.192.201.55	CA
67.192.201.56	67.192.201.199	US
67.192.201.200	67.192.201.207	CA
67.192.201.208	67.192.204.71	US
67.192.204.72	67.192.204.79	GB
67.192.204.80	67.192.205.7	US
67.192.205.8	67.192.205.15	GB
67.192.205.16	67.192.205.159	US
67.192.205.160	67.192.205.167	BD
67.192.205.168	67.192.208.15	US
67.192.208.16	67.192.208.23	CA
67.192.208.24	67.192.208.47	US
67.192.208.48	67.192.208.63	AU
67.192.208.64	67.192.208.135	US
67.192.208.136	67.192.208.143	GB
67.192.208.144	67.192.208.183	US
67.192.208.184	67.192.208.191	CA
67.192.208.192	67.192.209.39	US
67.192.209.40	67.192.209.47	CA
67.192.209.48	67.192.210.47	US
67.192.210.48	67.192.210.55	GB
67.192.210.56	67.192.211.15	US
67.192.211.16	67.192.211.31	AU
67.192.211.32	67.192.215.55	US
67.192.215.56	67.192.215.63	ZA
67.192.215.64	67.192.216.247	US
67.192.216.248	67.192.216.255	GB
67.192.217.0	67.192.217.55	US
67.192.217.56	67.192.217.63	AU
67.192.217.64	67.192.219.159	US
67.192.219.160	67.192.219.167	GB
67.192.219.168	67.192.219.247	US
67.192.219.248	67.192.219.255	CA
67.192.220.0	67.192.221.31	US
67.192.221.32	67.192.221.39	CA
67.192.221.40	67.192.221.127	US
67.192.221.128	67.192.221.143	CA
67.192.221.144	67.192.221.191	US
67.192.221.192	67.192.221.207	CA
67.192.221.208	67.192.222.255	US
67.192.223.0	67.192.223.7	SG
67.192.223.8	67.192.223.111	US
67.192.223.112	67.192.223.119	CA
67.192.223.120	67.192.224.191	US
67.192.224.192	67.192.224.207	NO
67.192.224.208	67.192.225.47	US
67.192.225.48	67.192.225.55	BR
67.192.225.56	67.192.225.183	US
67.192.225.184	67.192.225.191	IE
67.192.225.192	67.192.226.15	US
67.192.226.16	67.192.226.23	GB
67.192.226.24	67.192.226.31	US
67.192.226.32	67.192.226.39	GB
67.192.226.40	67.192.227.143	US
67.192.227.144	67.192.227.151	DE
67.192.227.152	67.192.227.175	US
67.192.227.176	67.192.227.183	CN
67.192.227.184	67.192.229.127	US
67.192.229.128	67.192.229.143	MX
67.192.229.144	67.192.231.103	US
67.192.231.104	67.192.231.111	AU
67.192.231.112	67.192.233.255	US
67.192.234.0	67.192.234.7	ZA
67.192.234.8	67.192.234.143	US
67.192.234.144	67.192.234.151	IN
67.192.234.152	67.192.234.159	US
67.192.234.160	67.192.234.191	CA
67.192.234.192	67.192.235.87	US
67.192.235.88	67.192.235.95	AU
67.192.235.96	67.192.235.159	US
67.192.235.160	67.192.235.167	IN
67.192.235.168	67.192.235.215	US
67.192.235.216	67.192.235.223	CA
67.192.235.224	67.192.235.231	US
67.192.235.232	67.192.235.239	NZ
67.192.235.240	67.192.235.255	US
67.192.236.0	67.192.236.31	VI
67.192.236.32	67.192.237.111	US
67.192.237.112	67.192.237.127	IT
67.192.237.128	67.192.238.87	US
67.192.238.88	67.192.238.95	GB
67.192.238.96	67.192.238.239	US
67.192.238.240	67.192.238.247	CA
67.192.238.248	67.192.239.15	US
67.192.239.16	67.192.239.31	GB
67.192.239.32	67.192.240.111	US
67.192.240.112	67.192.240.119	CA
67.192.240.120	67.192.242.55	US
67.192.242.56	67.192.242.63	MX
67.192.242.64	67.192.242.103	US
67.192.242.104	67.192.242.111	IN
67.192.242.112	67.192.242.151	US
67.192.242.152	67.192.242.159	IN
67.192.242.160	67.192.243.167	US
67.192.243.168	67.192.243.175	AU
67.192.243.176	67.192.243.199	US
67.192.243.200	67.192.243.207	CA
67.192.243.208	67.192.244.31	US
67.192.244.32	67.192.244.47	AU
67.192.244.48	67.192.255.255	US
67.193.0.0	67.193.255.255	CA
67.194.0.0	67.198.160.255	US
67.198.161.0	67.198.162.255	NZ
67.198.163.0	67.199.74.3	US
67.199.74.4	67.199.74.19	CA
67.199.74.20	67.199.74.203	US
67.199.74.204	67.199.74.251	CA
67.199.74.252	67.200.33.15	US
67.200.33.16	67.200.33.31	IE
67.200.33.32	67.200.33.63	GB
67.200.33.64	67.200.33.127	IE
67.200.33.128	67.200.33.135	GB
67.200.33.136	67.200.33.143	US
67.200.33.144	67.200.33.151	GB
67.200.33.152	67.200.57.255	US
67.200.58.0	67.200.58.255	JP
67.200.59.0	67.201.33.159	US
67.201.33.160	67.201.33.175	NZ
67.201.33.176	67.201.127.255	US
67.201.128.0	67.201.143.255	CA
67.201.144.0	67.201.159.255	US
67.201.160.0	67.201.191.255	CA
67.201.192.0	67.202.100.255	US
67.202.101.0	67.202.101.255	CA
67.202.102.0	67.202.223.255	US
67.202.224.0	67.202.225.175	CA
67.202.225.176	67.202.225.191	US
67.202.225.192	67.202.227.255	CA
67.202.228.0	67.202.251.255	US
67.202.252.0	67.202.252.79	CA
67.202.252.80	67.202.252.95	US
67.202.252.96	67.202.252.111	CA
67.202.252.112	67.202.252.127	US
67.202.252.128	67.202.252.207	CA
67.202.252.208	67.203.0.31	US
67.203.0.32	67.203.0.47	DE
67.203.0.48	67.203.0.191	US
67.203.0.192	67.203.0.199	IN
67.203.0.200	67.203.24.31	US
67.203.24.32	67.203.24.47	DE
67.203.24.48	67.203.191.255	US
67.203.192.0	67.203.255.255	PR
67.204.0.0	67.204.63.255	CA
67.204.64.0	67.204.191.255	US
67.204.192.0	67.204.255.255	CA
67.205.0.0	67.205.63.255	US
67.205.64.0	67.205.127.255	CA
67.205.128.0	67.206.191.255	US
67.206.192.0	67.206.255.255	PR
67.207.0.0	67.208.0.7	US
67.208.0.8	67.208.1.71	CA
67.208.1.72	67.208.1.79	US
67.208.1.80	67.208.1.167	CA
67.208.1.168	67.208.1.175	NL
67.208.1.176	67.208.1.231	CA
67.208.1.232	67.208.1.239	US
67.208.1.240	67.208.2.255	CA
67.208.3.0	67.208.3.7	US
67.208.3.8	67.208.3.39	CA
67.208.3.40	67.208.3.63	US
67.208.3.64	67.208.3.151	CA
67.208.3.152	67.208.3.159	US
67.208.3.160	67.208.3.175	CA
67.208.3.176	67.208.3.183	US
67.208.3.184	67.208.3.215	CA
67.208.3.216	67.208.3.223	US
67.208.3.224	67.208.5.7	CA
67.208.5.8	67.208.5.23	US
67.208.5.24	67.208.5.79	CA
67.208.5.80	67.208.5.119	US
67.208.5.120	67.208.5.135	CA
67.208.5.136	67.208.5.143	US
67.208.5.144	67.208.7.23	CA
67.208.7.24	67.208.7.39	US
67.208.7.40	67.208.7.55	CA
67.208.7.56	67.208.7.71	US
67.208.7.72	67.208.7.79	CA
67.208.7.80	67.208.7.87	US
67.208.7.88	67.208.7.127	CA
67.208.7.128	67.208.7.135	US
67.208.7.136	67.208.7.151	CA
67.208.7.152	67.208.7.191	US
67.208.7.192	67.208.7.239	CA
67.208.7.240	67.208.7.255	US
67.208.8.0	67.208.8.63	CA
67.208.8.64	67.208.8.87	US
67.208.8.88	67.208.8.119	CA
67.208.8.120	67.208.8.135	US
67.208.8.136	67.208.8.143	CA
67.208.8.144	67.208.8.151	NL
67.208.8.152	67.208.8.183	US
67.208.8.184	67.208.8.191	CA
67.208.8.192	67.208.8.199	NL
67.208.8.200	67.208.8.215	US
67.208.8.216	67.208.8.247	CA
67.208.8.248	67.208.8.255	US
67.208.9.0	67.208.9.255	CA
67.208.10.0	67.208.10.55	US
67.208.10.56	67.208.10.63	NL
67.208.10.64	67.208.10.103	CA
67.208.10.104	67.208.10.127	US
67.208.10.128	67.208.10.143	CA
67.208.10.144	67.208.10.159	US
67.208.10.160	67.208.10.175	CA
67.208.10.176	67.208.10.199	NL
67.208.10.200	67.208.10.207	CA
67.208.10.208	67.208.10.223	US
67.208.10.224	67.208.10.239	CA
67.208.10.240	67.208.12.119	US
67.208.12.120	67.208.12.135	CA
67.208.12.136	67.208.12.143	US
67.208.12.144	67.208.12.151	CA
67.208.12.152	67.208.12.175	US
67.208.12.176	67.208.12.183	CA
67.208.12.184	67.208.12.215	US
67.208.12.216	67.208.12.223	CA
67.208.12.224	67.208.12.247	US
67.208.12.248	67.208.12.255	CA
67.208.13.0	67.208.14.255	US
67.208.15.0	67.208.15.127	CA
67.208.15.128	67.208.15.143	US
67.208.15.144	67.208.15.151	CA
67.208.15.152	67.208.15.159	US
67.208.15.160	67.208.15.207	CA
67.208.15.208	67.208.15.223	US
67.208.15.224	67.208.15.255	CA
67.208.16.0	67.208.16.255	US
67.208.17.0	67.208.17.39	CA
67.208.17.40	67.208.17.47	US
67.208.17.48	67.208.17.71	CA
67.208.17.72	67.208.17.79	US
67.208.17.80	67.208.17.87	CA
67.208.17.88	67.208.17.95	US
67.208.17.96	67.208.17.111	CA
67.208.17.112	67.208.17.119	US
67.208.17.120	67.208.17.127	CA
67.208.17.128	67.208.17.135	US
67.208.17.136	67.208.17.151	CA
67.208.17.152	67.208.17.175	US
67.208.17.176	67.208.19.7	CA
67.208.19.8	67.208.19.15	US
67.208.19.16	67.208.19.79	CA
67.208.19.80	67.208.19.87	US
67.208.19.88	67.208.19.135	CA
67.208.19.136	67.208.19.143	NL
67.208.19.144	67.208.20.7	CA
67.208.20.8	67.208.20.15	US
67.208.20.16	67.208.20.71	CA
67.208.20.72	67.208.20.79	US
67.208.20.80	67.208.20.95	CA
67.208.20.96	67.208.20.103	US
67.208.20.104	67.208.20.111	CA
67.208.20.112	67.208.20.119	NL
67.208.20.120	67.208.20.135	CA
67.208.20.136	67.208.20.151	US
67.208.20.152	67.208.20.159	NL
67.208.20.160	67.208.20.167	US
67.208.20.168	67.208.20.215	CA
67.208.20.216	67.208.20.231	US
67.208.20.232	67.208.22.255	CA
67.208.23.0	67.208.23.111	US
67.208.23.112	67.208.23.119	CA
67.208.23.120	67.208.24.31	US
67.208.24.32	67.208.24.63	CA
67.208.24.64	67.208.24.71	US
67.208.24.72	67.208.24.87	CA
67.208.24.88	67.208.24.95	NL
67.208.24.96	67.208.24.103	CA
67.208.24.104	67.208.24.111	NL
67.208.24.112	67.208.24.119	US
67.208.24.120	67.208.24.127	CA
67.208.24.128	67.208.24.135	NL
67.208.24.136	67.208.24.143	US
67.208.24.144	67.208.24.151	CA
67.208.24.152	67.208.24.159	NL
67.208.24.160	67.208.24.175	US
67.208.24.176	67.208.24.183	NL
67.208.24.184	67.208.24.191	US
67.208.24.192	67.208.24.199	NL
67.208.24.200	67.208.24.239	US
67.208.24.240	67.208.25.7	CA
67.208.25.8	67.208.25.15	US
67.208.25.16	67.208.25.39	CA
67.208.25.40	67.208.25.47	US
67.208.25.48	67.208.25.79	CA
67.208.25.80	67.208.25.95	US
67.208.25.96	67.208.25.111	CA
67.208.25.112	67.208.25.119	US
67.208.25.120	67.208.25.143	CA
67.208.25.144	67.208.25.151	US
67.208.25.152	67.208.25.199	CA
67.208.25.200	67.208.25.207	US
67.208.25.208	67.208.25.215	CA
67.208.25.216	67.208.26.23	US
67.208.26.24	67.208.26.31	CA
67.208.26.32	67.208.26.39	US
67.208.26.40	67.208.26.71	CA
67.208.26.72	67.208.26.87	US
67.208.26.88	67.208.26.127	CA
67.208.26.128	67.208.26.135	US
67.208.26.136	67.208.26.143	CA
67.208.26.144	67.208.26.151	US
67.208.26.152	67.208.26.175	CA
67.208.26.176	67.208.26.191	US
67.208.26.192	67.208.26.247	CA
67.208.26.248	67.208.26.255	US
67.208.27.0	67.208.27.135	CA
67.208.27.136	67.208.27.143	US
67.208.27.144	67.208.27.183	CA
67.208.27.184	67.208.27.247	US
67.208.27.248	67.208.27.255	CA
67.208.28.0	67.208.28.7	US
67.208.28.8	67.208.28.23	CA
67.208.28.24	67.208.28.79	US
67.208.28.80	67.208.28.95	CA
67.208.28.96	67.208.28.111	US
67.208.28.112	67.208.28.127	CA
67.208.28.128	67.208.28.135	US
67.208.28.136	67.208.28.151	CA
67.208.28.152	67.208.28.159	US
67.208.28.160	67.208.28.167	CA
67.208.28.168	67.208.28.199	US
67.208.28.200	67.208.28.215	CA
67.208.28.216	67.208.28.223	US
67.208.28.224	67.208.28.255	CA
67.208.29.0	67.208.30.31	US
67.208.30.32	67.208.30.47	CA
67.208.30.48	67.208.30.71	US
67.208.30.72	67.208.30.79	CA
67.208.30.80	67.208.30.119	US
67.208.30.120	67.208.30.127	CA
67.208.30.128	67.208.31.23	US
67.208.31.24	67.208.31.39	CA
67.208.31.40	67.208.31.63	US
67.208.31.64	67.208.31.79	CA
67.208.31.80	67.208.31.119	US
67.208.31.120	67.208.31.127	CA
67.208.31.128	67.208.31.175	US
67.208.31.176	67.208.31.191	CA
67.208.31.192	67.208.31.207	US
67.208.31.208	67.208.31.215	CA
67.208.31.216	67.208.76.79	US
67.208.76.80	67.208.76.95	CA
67.208.76.96	67.208.76.127	US
67.208.76.128	67.208.76.159	CA
67.208.76.160	67.208.76.191	US
67.208.76.192	67.208.76.207	CA
67.208.76.208	67.208.76.239	US
67.208.76.240	67.208.77.15	CA
67.208.77.16	67.208.77.31	US
67.208.77.32	67.208.77.47	CA
67.208.77.48	67.208.77.175	US
67.208.77.176	67.208.77.191	CA
67.208.77.192	67.208.77.239	US
67.208.77.240	67.208.77.255	CA
67.208.78.0	67.208.207.255	US
67.208.208.0	67.208.208.255	GB
67.208.209.0	67.208.209.31	US
67.208.209.32	67.208.209.63	AU
67.208.209.64	67.208.209.207	US
67.208.209.208	67.208.209.223	CH
67.208.209.224	67.208.214.255	US
67.208.215.0	67.208.215.255	PA
67.208.216.0	67.209.59.255	US
67.209.60.0	67.209.60.255	HU
67.209.61.0	67.209.95.255	US
67.209.96.0	67.209.111.255	A2
67.209.112.0	67.210.15.255	US
67.210.16.0	67.210.16.255	CA
67.210.17.0	67.210.29.255	US
67.210.30.0	67.210.30.63	NO
67.210.30.64	67.210.127.255	US
67.210.128.0	67.210.143.255	CA
67.210.144.0	67.210.159.255	US
67.210.160.0	67.210.175.255	CA
67.210.176.0	67.210.207.255	US
67.210.208.0	67.210.223.255	CA
67.210.224.0	67.210.225.159	US
67.210.225.160	67.210.225.167	ES
67.210.225.168	67.210.225.175	US
67.210.225.176	67.210.225.191	AR
67.210.225.192	67.210.225.199	CO
67.210.225.200	67.210.225.239	US
67.210.225.240	67.210.225.255	SZ
67.210.226.0	67.210.227.127	US
67.210.227.128	67.210.227.135	CO
67.210.227.136	67.210.227.143	US
67.210.227.144	67.210.227.151	GB
67.210.227.152	67.210.227.167	CO
67.210.227.168	67.210.227.175	US
67.210.227.176	67.210.227.183	CO
67.210.227.184	67.210.228.127	US
67.210.228.128	67.210.228.135	CO
67.210.228.136	67.210.228.207	US
67.210.228.208	67.210.228.215	DO
67.210.228.216	67.210.231.95	US
67.210.231.96	67.210.231.127	AU
67.210.231.128	67.210.231.143	US
67.210.231.144	67.210.231.151	AU
67.210.231.152	67.210.233.63	US
67.210.233.64	67.210.233.71	CO
67.210.233.72	67.210.235.127	US
67.210.235.128	67.210.235.135	ES
67.210.235.136	67.210.235.159	US
67.210.235.160	67.210.235.167	IN
67.210.235.168	67.210.252.15	US
67.210.252.16	67.210.252.23	GB
67.210.252.24	67.210.255.15	US
67.210.255.16	67.210.255.23	GB
67.210.255.24	67.211.63.255	US
67.211.64.0	67.211.79.255	CA
67.211.80.0	67.211.95.255	US
67.211.96.0	67.211.99.255	CA
67.211.100.0	67.211.100.255	AW
67.211.101.0	67.211.101.71	CA
67.211.101.72	67.211.101.79	AG
67.211.101.80	67.211.101.255	CA
67.211.102.0	67.211.102.127	CR
67.211.102.128	67.211.102.255	CA
67.211.103.0	67.211.103.127	VG
67.211.103.128	67.211.111.159	CA
67.211.111.160	67.211.111.175	MT
67.211.111.176	67.211.127.255	CA
67.211.128.0	67.211.174.33	US
67.211.174.34	67.211.174.41	DE
67.211.174.42	67.211.175.217	US
67.211.175.218	67.211.175.225	NO
67.211.175.226	67.211.200.255	US
67.211.201.0	67.211.207.255	CA
67.211.208.0	67.211.239.255	US
67.211.240.0	67.211.255.255	VI
67.212.0.0	67.212.31.255	CA
67.212.32.0	67.212.63.255	US
67.212.64.0	67.212.95.255	CA
67.212.96.0	67.212.128.191	US
67.212.128.192	67.212.128.223	CA
67.212.128.224	67.212.134.111	US
67.212.134.112	67.212.134.127	CA
67.212.134.128	67.213.63.255	US
67.213.64.0	67.213.111.255	CA
67.213.112.0	67.214.255.255	US
67.215.0.0	67.215.0.255	CA
67.215.1.0	67.215.1.7	MA
67.215.1.8	67.215.1.15	KE
67.215.1.16	67.215.1.23	CA
67.215.1.24	67.215.1.31	HR
67.215.1.32	67.215.1.39	PA
67.215.1.40	67.215.1.47	FR
67.215.1.48	67.215.1.159	CA
67.215.1.160	67.215.1.183	FR
67.215.1.184	67.215.1.191	GB
67.215.1.192	67.215.1.207	CA
67.215.1.208	67.215.1.215	SK
67.215.1.216	67.215.1.223	PH
67.215.1.224	67.215.1.231	PK
67.215.1.232	67.215.1.239	CA
67.215.1.240	67.215.1.247	US
67.215.1.248	67.215.1.255	ES
67.215.2.0	67.215.2.31	CA
67.215.2.32	67.215.2.39	LB
67.215.2.40	67.215.2.47	FR
67.215.2.48	67.215.2.55	PH
67.215.2.56	67.215.2.87	CA
67.215.2.88	67.215.2.103	GB
67.215.2.104	67.215.2.111	PA
67.215.2.112	67.215.2.143	CA
67.215.2.144	67.215.2.151	PH
67.215.2.152	67.215.2.175	FR
67.215.2.176	67.215.3.31	CA
67.215.3.32	67.215.3.63	FR
67.215.3.64	67.215.3.103	CA
67.215.3.104	67.215.3.111	NZ
67.215.3.112	67.215.3.175	CA
67.215.3.176	67.215.3.183	MA
67.215.3.184	67.215.4.79	CA
67.215.4.80	67.215.4.87	US
67.215.4.88	67.215.4.95	CA
67.215.4.96	67.215.4.103	PH
67.215.4.104	67.215.4.127	CA
67.215.4.128	67.215.5.255	US
67.215.6.0	67.215.6.7	GB
67.215.6.8	67.215.6.63	CA
67.215.6.64	67.215.6.71	US
67.215.6.72	67.215.6.183	CA
67.215.6.184	67.215.6.191	LB
67.215.6.192	67.215.6.215	CA
67.215.6.216	67.215.6.223	GB
67.215.6.224	67.215.6.239	CA
67.215.6.240	67.215.6.255	SK
67.215.7.0	67.215.8.47	CA
67.215.8.48	67.215.8.55	FR
67.215.8.56	67.215.8.63	CH
67.215.8.64	67.215.8.135	CA
67.215.8.136	67.215.8.143	LB
67.215.8.144	67.215.8.175	CA
67.215.8.176	67.215.8.183	IL
67.215.8.184	67.215.8.199	CA
67.215.8.200	67.215.8.215	FR
67.215.8.216	67.215.8.223	US
67.215.8.224	67.215.9.167	CA
67.215.9.168	67.215.9.175	FR
67.215.9.176	67.215.9.183	CA
67.215.9.184	67.215.9.191	FR
67.215.9.192	67.215.10.255	CA
67.215.11.0	67.215.11.7	TR
67.215.11.8	67.215.11.111	CA
67.215.11.112	67.215.11.119	FR
67.215.11.120	67.215.11.127	CA
67.215.11.128	67.215.11.135	FR
67.215.11.136	67.215.11.143	LB
67.215.11.144	67.215.11.175	CA
67.215.11.176	67.215.11.183	FR
67.215.11.184	67.215.11.191	AE
67.215.11.192	67.215.12.35	CA
67.215.12.36	67.215.12.39	PA
67.215.12.40	67.215.12.95	CA
67.215.12.96	67.215.12.103	RU
67.215.12.104	67.215.12.135	CA
67.215.12.136	67.215.12.143	PH
67.215.12.144	67.215.12.167	CA
67.215.12.168	67.215.12.175	LU
67.215.12.176	67.215.12.183	CA
67.215.12.184	67.215.12.199	FR
67.215.12.200	67.215.12.207	SE
67.215.12.208	67.215.12.215	PH
67.215.12.216	67.215.12.223	CA
67.215.12.224	67.215.12.231	FR
67.215.12.232	67.215.12.247	CA
67.215.12.248	67.215.12.255	FR
67.215.13.0	67.215.13.159	MA
67.215.13.160	67.215.13.167	UA
67.215.13.168	67.215.13.175	AE
67.215.13.176	67.215.13.179	PH
67.215.13.180	67.215.13.183	CA
67.215.13.184	67.215.13.199	KE
67.215.13.200	67.215.13.207	FR
67.215.13.208	67.215.14.247	CA
67.215.14.248	67.215.14.255	PA
67.215.15.0	67.215.15.223	CA
67.215.15.224	67.215.15.231	PA
67.215.15.232	67.215.15.239	IL
67.215.15.240	67.215.15.247	CA
67.215.15.248	67.215.15.255	MA
67.215.16.0	67.215.47.255	US
67.215.48.0	67.215.63.255	CA
67.215.64.0	67.215.95.255	US
67.215.96.0	67.215.111.255	PR
67.215.112.0	67.215.127.255	US
67.215.128.0	67.215.159.255	CA
67.215.160.0	67.215.191.255	US
67.215.192.0	67.215.207.255	CA
67.215.208.0	67.216.163.111	US
67.216.163.112	67.216.163.127	TN
67.216.163.128	67.218.223.255	US
67.218.224.0	67.218.224.31	CA
67.218.224.32	67.218.224.63	DE
67.218.224.64	67.219.98.15	US
67.219.98.16	67.219.98.23	JM
67.219.98.24	67.219.98.47	US
67.219.98.48	67.219.98.55	MX
67.219.98.56	67.219.98.127	US
67.219.98.128	67.219.98.135	GB
67.219.98.136	67.219.98.159	US
67.219.98.160	67.219.98.167	DO
67.219.98.168	67.219.98.247	US
67.219.98.248	67.219.98.255	BE
67.219.99.0	67.219.101.47	US
67.219.101.48	67.219.101.71	GB
67.219.101.72	67.219.101.95	US
67.219.101.96	67.219.101.103	AU
67.219.101.104	67.219.101.111	US
67.219.101.112	67.219.101.119	AU
67.219.101.120	67.219.101.135	US
67.219.101.136	67.219.101.143	RU
67.219.101.144	67.219.101.167	US
67.219.101.168	67.219.101.175	EG
67.219.101.176	67.219.101.247	US
67.219.101.248	67.219.101.255	RU
67.219.102.0	67.219.102.39	US
67.219.102.40	67.219.102.47	DE
67.219.102.48	67.219.102.79	US
67.219.102.80	67.219.102.87	AU
67.219.102.88	67.219.102.95	GB
67.219.102.96	67.219.103.31	US
67.219.103.32	67.219.103.39	GB
67.219.103.40	67.219.103.47	IN
67.219.103.48	67.219.103.63	US
67.219.103.64	67.219.103.71	GR
67.219.103.72	67.219.103.87	US
67.219.103.88	67.219.103.95	CA
67.219.103.96	67.219.103.111	US
67.219.103.112	67.219.103.127	CA
67.219.103.128	67.219.103.191	US
67.219.103.192	67.219.103.199	CA
67.219.103.200	67.219.103.207	FR
67.219.103.208	67.219.103.215	CN
67.219.103.216	67.219.103.231	US
67.219.103.232	67.219.103.255	FR
67.219.104.0	67.219.108.63	US
67.219.108.64	67.219.108.111	FR
67.219.108.112	67.219.109.255	US
67.219.110.0	67.219.110.255	RU
67.219.111.0	67.219.112.63	US
67.219.112.64	67.219.112.71	CA
67.219.112.72	67.220.31.255	US
67.220.32.0	67.220.47.255	CA
67.220.48.0	67.220.64.255	US
67.220.65.0	67.220.65.63	GB
67.220.65.64	67.220.66.159	US
67.220.66.160	67.220.66.191	IT
67.220.66.192	67.220.66.223	US
67.220.66.224	67.220.66.255	CR
67.220.67.0	67.220.67.31	US
67.220.67.32	67.220.67.47	IT
67.220.67.48	67.220.67.63	US
67.220.67.64	67.220.67.127	ID
67.220.67.128	67.220.67.191	US
67.220.67.192	67.220.67.223	CR
67.220.67.224	67.220.71.255	US
67.220.72.0	67.220.75.255	IN
67.220.76.0	67.220.76.31	CA
67.220.76.32	67.220.76.63	US
67.220.76.64	67.220.76.127	IN
67.220.76.128	67.220.76.255	MY
67.220.77.0	67.220.77.63	CH
67.220.77.64	67.220.77.159	RO
67.220.77.160	67.220.81.255	US
67.220.82.0	67.220.82.31	ID
67.220.82.32	67.220.82.255	US
67.220.83.0	67.220.83.31	ID
67.220.83.32	67.220.83.255	US
67.220.84.0	67.220.84.31	ID
67.220.84.32	67.220.223.255	US
67.220.224.0	67.220.226.12	CA
67.220.226.13	67.220.226.99	HK
67.220.226.100	67.220.226.255	CA
67.220.227.0	67.220.227.127	PL
67.220.227.128	67.220.228.255	CA
67.220.229.0	67.220.238.255	US
67.220.239.0	67.220.255.255	CA
67.221.0.0	67.221.143.255	US
67.221.144.0	67.221.159.255	CA
67.221.160.0	67.221.169.255	US
67.221.170.0	67.221.170.255	BE
67.221.171.0	67.221.228.3	US
67.221.228.4	67.221.228.27	IT
67.221.228.28	67.222.128.9	US
67.222.128.10	67.222.128.84	CA
67.222.128.85	67.222.128.96	US
67.222.128.97	67.222.128.104	CA
67.222.128.105	67.222.128.142	US
67.222.128.143	67.222.128.150	CA
67.222.128.151	67.222.128.190	US
67.222.128.191	67.222.128.198	RU
67.222.128.199	67.222.128.214	US
67.222.128.215	67.222.128.222	CA
67.222.128.223	67.222.128.226	US
67.222.128.227	67.222.128.254	CA
67.222.128.255	67.222.129.15	US
67.222.129.16	67.222.129.25	MX
67.222.129.26	67.222.129.31	US
67.222.129.32	67.222.129.33	MX
67.222.129.34	67.222.129.121	US
67.222.129.122	67.222.129.129	MX
67.222.129.130	67.222.129.207	US
67.222.129.208	67.222.129.215	MX
67.222.129.216	67.222.129.227	US
67.222.129.228	67.222.129.235	GB
67.222.129.236	67.222.130.97	US
67.222.130.98	67.222.130.105	CN
67.222.130.106	67.222.130.113	US
67.222.130.114	67.222.130.121	CN
67.222.130.122	67.222.130.155	US
67.222.130.156	67.222.130.167	MX
67.222.130.168	67.222.131.21	US
67.222.131.22	67.222.131.29	TW
67.222.131.30	67.222.131.77	US
67.222.131.78	67.222.131.93	MX
67.222.131.94	67.222.131.97	US
67.222.131.98	67.222.131.113	GB
67.222.131.114	67.222.131.121	US
67.222.131.122	67.222.131.129	GB
67.222.131.130	67.222.131.141	US
67.222.131.142	67.222.131.173	GB
67.222.131.174	67.222.131.190	US
67.222.131.191	67.222.131.198	CH
67.222.131.199	67.222.131.206	GB
67.222.131.207	67.222.131.222	US
67.222.131.223	67.222.131.230	EG
67.222.131.231	67.222.132.45	US
67.222.132.46	67.222.132.53	MO
67.222.132.54	67.222.132.74	US
67.222.132.75	67.222.132.82	TR
67.222.132.83	67.222.132.142	US
67.222.132.143	67.222.132.150	MO
67.222.132.151	67.222.132.151	GB
67.222.132.152	67.222.132.157	US
67.222.132.158	67.222.132.159	GB
67.222.132.160	67.222.133.9	US
67.222.133.10	67.222.133.17	EG
67.222.133.18	67.222.133.149	US
67.222.133.150	67.222.133.157	MA
67.222.133.158	67.222.133.233	US
67.222.133.234	67.222.133.241	AE
67.222.133.242	67.222.134.9	US
67.222.134.10	67.222.134.25	UY
67.222.134.26	67.222.134.165	US
67.222.134.166	67.222.134.173	UY
67.222.134.174	67.222.134.205	US
67.222.134.206	67.222.134.213	UY
67.222.134.214	67.222.134.229	US
67.222.134.230	67.222.134.237	UY
67.222.134.238	67.222.135.17	US
67.222.135.18	67.222.135.32	SA
67.222.135.33	67.222.135.99	US
67.222.135.100	67.222.135.107	EG
67.222.135.108	67.222.135.135	US
67.222.135.136	67.222.135.149	MO
67.222.135.150	67.222.135.157	EG
67.222.135.158	67.222.135.169	US
67.222.135.170	67.222.135.171	AE
67.222.135.172	67.222.135.173	US
67.222.135.174	67.222.135.175	EG
67.222.135.176	67.222.135.177	AE
67.222.135.178	67.222.135.181	EG
67.222.135.182	67.222.135.182	US
67.222.135.183	67.222.135.190	EG
67.222.135.191	67.222.135.198	IN
67.222.135.199	67.222.135.211	US
67.222.135.212	67.222.135.220	MA
67.222.135.221	67.222.136.66	US
67.222.136.67	67.222.136.74	MO
67.222.136.75	67.222.136.224	US
67.222.136.225	67.222.136.240	EG
67.222.136.241	67.222.137.33	US
67.222.137.34	67.222.137.41	UY
67.222.137.42	67.222.137.61	US
67.222.137.62	67.222.137.69	UY
67.222.137.70	67.222.137.135	US
67.222.137.136	67.222.137.143	UY
67.222.137.144	67.222.137.145	US
67.222.137.146	67.222.137.155	UY
67.222.137.156	67.222.137.171	US
67.222.137.172	67.222.137.196	UY
67.222.137.197	67.222.137.212	US
67.222.137.213	67.222.137.244	GB
67.222.137.245	67.222.137.254	UY
67.222.137.255	67.222.139.9	US
67.222.139.10	67.222.139.75	GB
67.222.139.76	67.222.139.127	US
67.222.139.128	67.222.139.254	GB
67.222.139.255	67.222.140.127	US
67.222.140.128	67.222.140.192	PK
67.222.140.193	67.222.140.193	US
67.222.140.194	67.222.140.221	PK
67.222.140.222	67.222.143.9	US
67.222.143.10	67.222.143.139	ES
67.222.143.140	67.222.144.41	US
67.222.144.42	67.222.144.73	GB
67.222.144.74	67.222.144.137	US
67.222.144.138	67.222.144.169	GB
67.222.144.170	67.222.145.9	US
67.222.145.10	67.222.145.25	LK
67.222.145.26	67.222.145.58	GB
67.222.145.59	67.222.145.66	US
67.222.145.67	67.222.145.76	UY
67.222.145.77	67.222.145.89	US
67.222.145.90	67.222.145.97	MA
67.222.145.98	67.222.145.121	US
67.222.145.122	67.222.145.129	CA
67.222.145.130	67.222.145.137	UY
67.222.145.138	67.222.145.139	US
67.222.145.140	67.222.145.147	ID
67.222.145.148	67.222.145.205	US
67.222.145.206	67.222.145.213	ID
67.222.145.214	67.222.145.221	UY
67.222.145.222	67.222.145.229	ID
67.222.145.230	67.222.145.239	UY
67.222.145.240	67.222.145.247	ID
67.222.145.248	67.222.146.9	US
67.222.146.10	67.222.146.17	MA
67.222.146.18	67.222.146.49	GB
67.222.146.50	67.222.146.63	US
67.222.146.64	67.222.146.71	CA
67.222.146.72	67.222.146.82	US
67.222.146.83	67.222.146.90	LK
67.222.146.91	67.222.146.143	US
67.222.146.144	67.222.146.159	EG
67.222.146.160	67.222.146.195	US
67.222.146.196	67.222.146.203	IN
67.222.146.204	67.222.147.9	US
67.222.147.10	67.222.147.41	GB
67.222.147.42	67.222.147.73	US
67.222.147.74	67.222.147.81	MA
67.222.147.82	67.222.147.89	ID
67.222.147.90	67.222.147.97	US
67.222.147.98	67.222.147.105	EG
67.222.147.106	67.222.147.121	US
67.222.147.122	67.222.147.129	IN
67.222.147.130	67.222.147.137	US
67.222.147.138	67.222.147.145	EG
67.222.147.146	67.222.147.146	US
67.222.147.147	67.222.147.174	CA
67.222.147.175	67.222.147.214	GB
67.222.147.215	67.222.147.215	US
67.222.147.216	67.222.147.237	GB
67.222.147.238	67.222.148.9	US
67.222.148.10	67.222.148.131	EG
67.222.148.132	67.222.148.147	US
67.222.148.148	67.222.148.155	AE
67.222.148.156	67.222.148.211	US
67.222.148.212	67.222.148.219	GB
67.222.148.220	67.222.149.9	US
67.222.149.10	67.222.149.17	AE
67.222.149.18	67.222.149.25	EG
67.222.149.26	67.222.149.57	US
67.222.149.58	67.222.149.65	IN
67.222.149.66	67.222.149.86	US
67.222.149.87	67.222.149.118	GB
67.222.149.119	67.222.149.126	EG
67.222.149.127	67.222.149.170	US
67.222.149.171	67.222.149.178	MY
67.222.149.179	67.222.149.197	US
67.222.149.198	67.222.149.213	EG
67.222.149.214	67.222.150.9	US
67.222.150.10	67.222.150.17	EG
67.222.150.18	67.222.150.25	MA
67.222.150.26	67.222.150.33	EG
67.222.150.34	67.222.150.57	US
67.222.150.58	67.222.150.65	EG
67.222.150.66	67.222.150.94	US
67.222.150.95	67.222.150.102	MA
67.222.150.103	67.222.150.118	US
67.222.150.119	67.222.150.126	EG
67.222.150.127	67.222.150.138	US
67.222.150.139	67.222.150.146	LK
67.222.150.147	67.222.150.154	EG
67.222.150.155	67.222.150.182	US
67.222.150.183	67.222.150.190	CA
67.222.150.191	67.222.150.191	US
67.222.150.192	67.222.150.199	EG
67.222.150.200	67.222.151.49	US
67.222.151.50	67.222.151.57	LK
67.222.151.58	67.222.151.65	US
67.222.151.66	67.222.151.73	UY
67.222.151.74	67.222.151.81	US
67.222.151.82	67.222.151.89	MA
67.222.151.90	67.222.151.97	UY
67.222.151.98	67.222.151.129	US
67.222.151.130	67.222.151.137	UY
67.222.151.138	67.222.151.145	US
67.222.151.146	67.222.151.161	EG
67.222.151.162	67.222.151.179	US
67.222.151.180	67.222.151.187	GB
67.222.151.188	67.222.152.41	US
67.222.152.42	67.222.152.49	LK
67.222.152.50	67.222.152.81	US
67.222.152.82	67.222.152.89	IN
67.222.152.90	67.222.152.145	US
67.222.152.146	67.222.152.153	EG
67.222.152.154	67.222.152.177	US
67.222.152.178	67.222.152.185	CA
67.222.152.186	67.222.152.207	US
67.222.152.208	67.222.152.215	LK
67.222.152.216	67.222.153.9	US
67.222.153.10	67.222.153.17	EG
67.222.153.18	67.222.153.37	US
67.222.153.38	67.222.153.45	IN
67.222.153.46	67.222.153.81	US
67.222.153.82	67.222.153.89	EG
67.222.153.90	67.222.153.137	US
67.222.153.138	67.222.153.145	MA
67.222.153.146	67.222.153.189	US
67.222.153.190	67.222.153.197	MA
67.222.153.198	67.222.154.25	US
67.222.154.26	67.222.154.66	EG
67.222.154.67	67.222.154.97	US
67.222.154.98	67.222.154.105	EG
67.222.154.106	67.222.154.129	US
67.222.154.130	67.222.154.137	EG
67.222.154.138	67.222.154.169	US
67.222.154.170	67.222.154.219	EG
67.222.154.220	67.222.155.25	US
67.222.155.26	67.222.155.89	EG
67.222.155.90	67.222.155.129	US
67.222.155.130	67.222.155.165	EG
67.222.155.166	67.222.156.9	US
67.222.156.10	67.222.156.73	EG
67.222.156.74	67.222.156.105	GB
67.222.156.106	67.222.156.137	US
67.222.156.138	67.222.156.145	EG
67.222.156.146	67.222.156.175	US
67.222.156.176	67.222.156.207	MX
67.222.156.208	67.222.156.223	US
67.222.156.224	67.222.156.239	GB
67.222.156.240	67.222.157.137	US
67.222.157.138	67.222.157.145	ID
67.222.157.146	67.222.157.185	US
67.222.157.186	67.222.157.193	GB
67.222.157.194	67.222.158.54	US
67.222.158.55	67.222.158.62	EG
67.222.158.63	67.222.158.125	US
67.222.158.126	67.222.158.254	GB
67.222.158.255	67.223.95.255	US
67.223.96.0	67.223.99.239	CA
67.223.99.240	67.223.99.255	IR
67.223.100.0	67.223.101.71	CA
67.223.101.72	67.223.101.79	US
67.223.101.80	67.223.101.95	CA
67.223.101.96	67.223.101.103	US
67.223.101.104	67.223.101.183	CA
67.223.101.184	67.223.101.191	US
67.223.101.192	67.223.101.215	CA
67.223.101.216	67.223.101.223	US
67.223.101.224	67.223.101.231	ES
67.223.101.232	67.223.111.255	CA
67.223.112.0	67.223.127.255	US
67.223.128.0	67.223.159.255	CA
67.223.160.0	67.224.79.255	US
67.224.80.0	67.224.95.255	CA
67.224.96.0	67.224.103.255	US
67.224.104.0	67.224.104.31	CA
67.224.104.32	67.224.127.255	US
67.224.128.0	67.224.255.255	PR
67.225.0.0	67.225.127.255	CA
67.225.128.0	67.225.128.7	US
67.225.128.8	67.225.128.15	IN
67.225.128.16	67.225.181.154	US
67.225.181.155	67.225.181.158	IN
67.225.181.159	67.225.181.170	US
67.225.181.171	67.225.181.178	IN
67.225.181.179	67.225.215.140	US
67.225.215.141	67.225.215.152	UY
67.225.215.153	67.225.237.255	US
67.225.238.0	67.225.239.255	CA
67.225.240.0	67.225.247.27	US
67.225.247.28	67.225.247.35	GB
67.225.247.36	67.225.247.141	US
67.225.247.142	67.225.247.149	GB
67.225.247.150	67.226.127.255	US
67.226.128.0	67.226.207.255	CA
67.226.208.0	67.226.223.255	US
67.226.224.0	67.226.255.255	CA
67.227.0.0	67.229.151.255	US
67.229.152.0	67.229.167.255	NZ
67.229.168.0	67.229.255.255	US
67.230.0.0	67.230.31.255	GT
67.230.32.0	67.230.79.255	JM
67.230.80.0	67.230.127.255	US
67.230.128.0	67.230.191.255	CA
67.230.192.0	67.230.223.255	US
67.231.0.0	67.231.191.255	US
67.231.192.0	67.231.223.255	CA
67.231.224.0	68.20.102.255	US
68.20.103.0	68.20.103.7	PR
68.20.103.8	68.20.118.231	US
68.20.118.232	68.20.118.239	PR
68.20.118.240	68.20.160.255	US
68.20.161.0	68.20.161.7	PR
68.20.161.8	68.20.166.199	US
68.20.166.200	68.20.166.207	PR
68.20.166.208	68.20.167.167	US
68.20.167.168	68.20.167.175	PR
68.20.167.176	68.64.33.15	US
68.64.33.16	68.64.33.31	NG
68.64.33.32	68.64.45.191	US
68.64.45.192	68.64.45.207	CO
68.64.45.208	68.66.47.255	US
68.66.48.0	68.66.63.255	CA
68.66.64.0	68.67.31.255	US
68.67.32.0	68.67.63.255	CA
68.67.64.0	68.67.79.255	US
68.67.80.0	68.67.95.255	CA
68.67.96.0	68.67.255.255	US
68.68.0.0	68.68.15.255	CA
68.68.16.0	68.69.15.255	US
68.69.16.0	68.69.31.255	CA
68.69.32.0	68.69.127.255	US
68.69.128.0	68.69.159.255	CA
68.69.160.0	68.69.191.255	US
68.69.192.0	68.69.223.255	CA
68.69.224.0	68.69.239.255	US
68.70.0.0	68.70.143.255	US
68.70.144.0	68.70.159.255	CA
68.70.160.0	68.70.207.255	US
68.71.0.0	68.71.63.255	CA
68.71.64.0	68.71.191.255	US
68.71.192.0	68.71.207.255	CA
68.71.208.0	68.140.67.255	US
68.140.68.0	68.140.71.255	VA
68.140.72.0	68.140.79.255	US
68.140.80.0	68.140.95.255	JP
68.140.96.0	68.143.255.255	US
68.144.0.0	68.151.255.255	CA
68.152.0.0	68.168.111.255	US
68.168.112.0	68.168.112.15	CA
68.168.112.16	68.168.112.23	US
68.168.112.24	68.168.112.39	CA
68.168.112.40	68.168.112.47	FR
68.168.112.48	68.168.112.63	CA
68.168.112.64	68.168.112.79	RU
68.168.112.80	68.168.112.87	CA
68.168.112.88	68.168.112.127	MA
68.168.112.128	68.168.112.191	CN
68.168.112.192	68.168.112.199	RU
68.168.112.200	68.168.112.207	CA
68.168.112.208	68.168.112.223	MA
68.168.112.224	68.168.112.239	CA
68.168.112.240	68.168.112.255	KE
68.168.113.0	68.168.113.127	CA
68.168.113.128	68.168.113.159	MA
68.168.113.160	68.168.113.175	CA
68.168.113.176	68.168.113.183	PH
68.168.113.184	68.168.113.255	CA
68.168.114.0	68.168.114.23	GB
68.168.114.24	68.168.114.87	CA
68.168.114.88	68.168.114.95	GB
68.168.114.96	68.168.114.159	CA
68.168.114.160	68.168.114.167	GB
68.168.114.168	68.168.114.175	CA
68.168.114.176	68.168.114.207	GB
68.168.114.208	68.168.115.39	CA
68.168.115.40	68.168.115.47	GB
68.168.115.48	68.168.124.255	CA
68.168.125.0	68.168.125.255	MA
68.168.126.0	68.168.143.255	CA
68.168.144.0	68.169.67.255	US
68.169.68.0	68.169.68.127	GB
68.169.68.128	68.169.68.191	NL
68.169.68.192	68.169.68.255	CA
68.169.69.0	68.169.69.63	DE
68.169.69.64	68.169.69.127	HK
68.169.69.128	68.169.69.143	CH
68.169.69.144	68.169.69.159	NO
68.169.69.160	68.169.69.175	KR
68.169.69.176	68.169.69.191	US
68.169.69.192	68.169.69.223	AU
68.169.69.224	68.169.69.239	FR
68.169.69.240	68.169.71.127	US
68.169.71.128	68.169.71.255	ES
68.169.72.0	68.169.75.255	US
68.169.76.0	68.169.76.31	RU
68.169.76.32	68.169.76.63	IE
68.169.76.64	68.169.76.95	IT
68.169.76.96	68.169.76.127	AT
68.169.76.128	68.169.76.159	SE
68.169.76.160	68.169.76.191	US
68.169.76.192	68.169.76.207	JP
68.169.76.208	68.169.77.255	US
68.169.78.0	68.169.79.255	GB
68.169.80.0	68.169.111.255	US
68.169.128.0	68.170.255.255	US
68.171.0.0	68.171.15.255	CA
68.171.16.0	68.171.63.255	US
68.171.64.0	68.171.79.255	CA
68.171.80.0	68.178.255.255	US
68.179.0.0	68.179.127.255	CA
68.179.128.0	68.181.255.255	US
68.182.0.0	68.182.255.255	CA
68.183.0.0	68.208.23.255	US
68.208.24.0	68.208.24.255	A2
68.208.25.0	68.232.63.255	US
68.232.64.0	68.232.95.255	CA
68.232.96.0	68.235.31.255	US
68.235.32.0	68.235.55.255	CA
68.235.56.0	68.235.95.255	US
68.235.128.0	68.235.175.255	US
68.235.176.0	68.235.191.255	CA
68.235.192.0	68.236.71.7	US
68.236.71.8	68.236.71.15	PR
68.236.71.16	69.0.166.31	US
69.0.166.32	69.0.166.63	CA
69.0.166.64	69.1.78.255	US
69.1.79.0	69.1.79.127	CA
69.1.79.128	69.1.241.111	US
69.1.241.112	69.1.241.127	GR
69.1.241.128	69.4.159.255	US
69.4.160.0	69.4.175.255	BS
69.4.176.0	69.4.207.255	US
69.4.208.0	69.4.223.255	CA
69.4.224.0	69.4.237.199	US
69.4.237.200	69.4.237.255	HK
69.4.238.0	69.6.23.255	US
69.6.24.0	69.6.24.255	CA
69.6.25.0	69.6.27.255	US
69.6.28.0	69.6.28.255	CA
69.6.29.0	69.7.239.255	US
69.7.240.0	69.7.255.255	CA
69.8.0.0	69.9.63.255	US
69.9.64.0	69.9.94.255	CA
69.9.95.0	69.9.95.255	US
69.9.96.0	69.9.124.255	CA
69.9.125.0	69.10.44.191	US
69.10.44.192	69.10.44.223	GB
69.10.44.224	69.10.48.255	US
69.10.49.0	69.10.49.255	GB
69.10.50.0	69.10.127.255	US
69.10.128.0	69.10.130.127	CA
69.10.130.128	69.10.130.191	A1
69.10.130.192	69.10.138.255	CA
69.10.139.0	69.10.139.127	A1
69.10.139.128	69.10.140.191	CA
69.10.140.192	69.10.140.255	A1
69.10.141.0	69.10.142.255	CA
69.10.143.0	69.10.143.63	A1
69.10.143.64	69.10.143.159	CA
69.10.143.160	69.10.143.175	SY
69.10.143.176	69.10.144.255	CA
69.10.145.0	69.10.145.127	A1
69.10.145.128	69.10.145.191	CA
69.10.145.192	69.10.145.255	A1
69.10.146.0	69.10.149.255	CA
69.10.150.0	69.10.150.127	A1
69.10.150.128	69.10.153.239	CA
69.10.153.240	69.10.153.255	SY
69.10.154.0	69.10.157.79	CA
69.10.157.80	69.10.157.95	SY
69.10.157.96	69.10.157.239	CA
69.10.157.240	69.10.157.255	SY
69.10.158.0	69.10.159.159	CA
69.10.159.160	69.10.159.191	A1
69.10.159.192	69.10.159.255	CA
69.10.160.0	69.10.223.255	US
69.10.224.0	69.10.234.31	CA
69.10.234.32	69.10.234.63	US
69.10.234.64	69.10.239.255	CA
69.10.240.0	69.10.255.255	US
69.11.0.0	69.11.127.255	CA
69.11.128.0	69.13.6.9	US
69.13.6.10	69.13.6.18	CA
69.13.6.19	69.13.6.19	US
69.13.6.20	69.13.6.28	CA
69.13.6.29	69.13.6.99	US
69.13.6.100	69.13.6.108	CA
69.13.6.109	69.13.6.189	US
69.13.6.190	69.13.6.198	CA
69.13.6.199	69.13.7.73	US
69.13.7.74	69.13.7.81	CA
69.13.7.82	69.13.33.209	US
69.13.33.210	69.13.33.222	IL
69.13.33.223	69.13.35.1	US
69.13.35.2	69.13.35.14	IL
69.13.35.15	69.13.53.1	US
69.13.53.2	69.13.53.126	CA
69.13.53.127	69.13.64.241	US
69.13.64.242	69.13.64.250	TC
69.13.64.251	69.13.65.18	US
69.13.65.19	69.13.65.27	WS
69.13.65.28	69.13.66.11	US
69.13.66.12	69.13.66.20	FJ
69.13.66.21	69.13.66.29	BE
69.13.66.30	69.13.66.38	US
69.13.66.39	69.13.66.47	PE
69.13.66.48	69.13.69.80	US
69.13.69.81	69.13.69.89	CH
69.13.69.90	69.13.69.116	US
69.13.69.117	69.13.69.125	CA
69.13.69.126	69.13.69.134	GE
69.13.69.135	69.13.69.234	US
69.13.69.235	69.13.69.243	CA
69.13.69.244	69.13.70.33	US
69.13.70.34	69.13.70.42	GE
69.13.70.43	69.13.70.73	WS
69.13.70.74	69.13.70.240	US
69.13.70.241	69.13.70.249	HK
69.13.70.250	69.13.71.234	US
69.13.71.235	69.13.71.243	MX
69.13.71.244	69.13.72.153	US
69.13.72.154	69.13.72.162	GR
69.13.72.163	69.13.73.218	US
69.13.73.219	69.13.73.227	IT
69.13.73.228	69.13.75.99	US
69.13.75.100	69.13.75.107	VI
69.13.75.108	69.13.75.243	US
69.13.75.244	69.13.75.254	CA
69.13.75.255	69.13.76.54	US
69.13.76.55	69.13.76.63	AS
69.13.76.64	69.13.76.72	NL
69.13.76.73	69.13.76.81	FR
69.13.76.82	69.13.77.0	US
69.13.77.1	69.13.77.254	CA
69.13.77.255	69.13.83.0	US
69.13.83.1	69.13.83.254	PR
69.13.83.255	69.13.97.71	US
69.13.97.72	69.13.97.80	CA
69.13.97.81	69.13.97.132	US
69.13.97.133	69.13.97.141	JM
69.13.97.142	69.13.97.159	US
69.13.97.160	69.13.97.168	GR
69.13.97.169	69.13.97.237	US
69.13.97.238	69.13.97.246	CA
69.13.97.247	69.13.97.247	US
69.13.97.248	69.13.97.255	KE
69.13.98.0	69.13.100.18	US
69.13.100.19	69.13.100.27	CA
69.13.100.28	69.13.100.181	US
69.13.100.182	69.13.100.255	AU
69.13.101.0	69.13.105.41	US
69.13.105.42	69.13.105.57	IN
69.13.105.58	69.13.128.101	US
69.13.128.102	69.13.128.110	PK
69.13.128.111	69.13.129.127	US
69.13.129.128	69.13.129.136	CR
69.13.129.137	69.13.129.154	US
69.13.129.155	69.13.129.163	AS
69.13.129.164	69.13.129.174	US
69.13.129.175	69.13.129.183	AS
69.13.129.184	69.13.130.210	US
69.13.130.211	69.13.130.219	TC
69.13.130.220	69.13.130.246	US
69.13.130.247	69.13.130.255	CA
69.13.131.0	69.13.131.192	US
69.13.131.193	69.13.131.201	CA
69.13.131.202	69.13.131.210	US
69.13.131.211	69.13.131.219	CO
69.13.131.220	69.13.132.18	US
69.13.132.19	69.13.132.27	CA
69.13.132.28	69.13.132.92	US
69.13.132.93	69.13.132.101	TC
69.13.132.102	69.13.132.186	US
69.13.132.187	69.13.132.195	SZ
69.13.132.196	69.13.132.213	US
69.13.132.214	69.13.132.222	BZ
69.13.132.223	69.13.133.137	US
69.13.133.138	69.13.133.146	SN
69.13.133.147	69.13.133.155	US
69.13.133.156	69.13.133.164	MX
69.13.133.165	69.13.133.209	US
69.13.133.210	69.13.133.218	TW
69.13.133.219	69.13.134.155	US
69.13.134.156	69.13.134.164	CA
69.13.134.165	69.13.134.173	US
69.13.134.174	69.13.134.182	MX
69.13.134.183	69.13.134.191	US
69.13.134.192	69.13.134.200	CA
69.13.134.201	69.13.135.0	US
69.13.135.1	69.13.135.128	AS
69.13.135.129	69.13.135.232	US
69.13.135.233	69.13.135.241	FR
69.13.135.242	69.13.136.99	US
69.13.136.100	69.13.136.108	AS
69.13.136.109	69.13.138.73	US
69.13.138.74	69.13.138.82	BZ
69.13.138.83	69.13.144.108	US
69.13.144.109	69.13.144.117	CA
69.13.144.118	69.13.144.123	US
69.13.144.124	69.13.144.132	AU
69.13.144.133	69.13.144.202	US
69.13.144.203	69.13.144.211	CA
69.13.144.212	69.13.146.36	US
69.13.146.37	69.13.146.45	PK
69.13.146.46	69.13.146.178	US
69.13.146.179	69.13.146.187	BG
69.13.146.188	69.13.146.218	US
69.13.146.219	69.13.146.227	BE
69.13.146.228	69.13.149.4	US
69.13.149.5	69.13.149.13	CA
69.13.149.14	69.13.149.91	US
69.13.149.92	69.13.149.100	TH
69.13.149.101	69.13.149.230	US
69.13.149.231	69.13.149.239	CA
69.13.149.240	69.13.150.75	US
69.13.150.76	69.13.150.84	NO
69.13.150.85	69.13.151.199	US
69.13.151.200	69.13.151.208	SZ
69.13.151.209	69.13.152.0	US
69.13.152.1	69.13.152.254	NO
69.13.152.255	69.13.153.9	US
69.13.153.10	69.13.153.18	CH
69.13.153.19	69.13.153.27	NL
69.13.153.28	69.13.154.177	US
69.13.154.178	69.13.154.187	CA
69.13.154.188	69.13.155.64	US
69.13.155.65	69.13.155.73	WS
69.13.155.74	69.13.155.206	US
69.13.155.207	69.13.155.224	CA
69.13.155.225	69.13.155.242	US
69.13.155.243	69.13.155.251	NO
69.13.155.252	69.13.156.18	US
69.13.156.19	69.13.156.145	WS
69.13.156.146	69.13.158.221	US
69.13.158.222	69.13.158.230	IS
69.13.158.231	69.13.177.0	US
69.13.177.1	69.13.177.136	BE
69.13.177.137	69.13.179.45	US
69.13.179.46	69.13.179.54	BZ
69.13.179.55	69.13.179.80	US
69.13.179.81	69.13.179.89	FR
69.13.179.90	69.13.179.125	US
69.13.179.126	69.13.179.134	IT
69.13.179.135	69.13.181.89	US
69.13.181.90	69.13.181.98	IT
69.13.181.99	69.13.181.127	US
69.13.181.128	69.13.181.136	FR
69.13.181.137	69.13.181.138	US
69.13.181.139	69.13.181.147	PE
69.13.181.148	69.13.181.149	US
69.13.181.150	69.13.181.158	CA
69.13.181.159	69.13.181.160	US
69.13.181.161	69.13.181.169	CH
69.13.181.170	69.13.183.210	US
69.13.183.211	69.13.183.243	AS
69.13.183.244	69.13.184.11	US
69.13.184.12	69.13.184.20	MY
69.13.184.21	69.13.184.92	US
69.13.184.93	69.13.184.101	WS
69.13.184.102	69.13.184.110	US
69.13.184.111	69.13.184.119	CA
69.13.184.120	69.13.184.121	US
69.13.184.122	69.13.184.130	KE
69.13.184.131	69.13.184.157	US
69.13.184.158	69.13.184.166	FR
69.13.184.167	69.13.184.240	US
69.13.184.241	69.13.184.249	CA
69.13.184.250	69.13.185.56	US
69.13.185.57	69.13.185.65	CA
69.13.185.66	69.13.185.74	US
69.13.185.75	69.13.185.83	BA
69.13.185.84	69.13.185.222	US
69.13.185.223	69.13.185.231	IR
69.13.185.232	69.13.187.95	US
69.13.187.96	69.13.187.104	AS
69.13.187.105	69.13.189.0	US
69.13.189.1	69.13.189.255	CA
69.13.190.0	69.13.190.0	US
69.13.190.1	69.13.190.9	AS
69.13.190.10	69.13.190.63	US
69.13.190.64	69.13.190.72	MX
69.13.190.73	69.13.190.117	US
69.13.190.118	69.13.190.126	CA
69.13.190.127	69.13.190.135	VN
69.13.190.136	69.13.190.243	US
69.13.190.244	69.13.190.252	SN
69.13.190.253	69.13.191.9	US
69.13.191.10	69.13.191.18	AS
69.13.191.19	69.13.230.112	US
69.13.230.113	69.13.230.120	WS
69.13.230.121	69.13.248.127	US
69.13.248.128	69.13.248.135	CA
69.13.248.136	69.16.150.127	US
69.16.150.128	69.16.150.159	IE
69.16.150.160	69.16.155.255	US
69.16.156.0	69.16.156.7	IN
69.16.156.8	69.16.156.127	US
69.16.156.128	69.16.156.135	IE
69.16.156.136	69.16.156.255	US
69.16.157.0	69.16.157.31	IE
69.16.157.32	69.16.162.15	US
69.16.162.16	69.16.162.31	CA
69.16.162.32	69.16.162.47	US
69.16.162.48	69.16.162.63	CY
69.16.162.64	69.16.196.75	US
69.16.196.76	69.16.196.83	CA
69.16.196.84	69.16.220.76	US
69.16.220.77	69.16.220.84	GB
69.16.220.85	69.16.233.113	US
69.16.233.114	69.16.233.121	IN
69.16.233.122	69.16.253.42	US
69.16.253.43	69.16.253.50	CA
69.16.253.51	69.17.127.255	US
69.17.128.0	69.17.191.255	CA
69.17.192.0	69.17.223.255	BM
69.17.224.0	69.17.255.255	CA
69.18.0.0	69.20.8.151	US
69.20.8.152	69.20.8.159	ES
69.20.8.160	69.20.8.239	US
69.20.8.240	69.20.8.247	CA
69.20.8.248	69.20.10.63	US
69.20.10.64	69.20.10.71	CY
69.20.10.72	69.20.10.167	US
69.20.10.168	69.20.10.175	CR
69.20.10.176	69.20.10.183	CA
69.20.10.184	69.20.10.215	US
69.20.10.216	69.20.10.223	CA
69.20.10.224	69.20.12.79	US
69.20.12.80	69.20.12.95	JM
69.20.12.96	69.20.12.103	IE
69.20.12.104	69.20.14.63	US
69.20.14.64	69.20.14.71	IE
69.20.14.72	69.20.14.103	US
69.20.14.104	69.20.14.111	CA
69.20.14.112	69.20.18.39	US
69.20.18.40	69.20.18.47	TH
69.20.18.48	69.20.18.191	US
69.20.18.192	69.20.18.199	PK
69.20.18.200	69.20.19.47	US
69.20.19.48	69.20.19.55	CA
69.20.19.56	69.20.19.111	US
69.20.19.112	69.20.19.127	GB
69.20.19.128	69.20.20.119	US
69.20.20.120	69.20.20.127	CR
69.20.20.128	69.20.20.143	GB
69.20.20.144	69.20.20.151	US
69.20.20.152	69.20.20.159	GB
69.20.20.160	69.20.20.231	US
69.20.20.232	69.20.20.239	CA
69.20.20.240	69.20.22.23	US
69.20.22.24	69.20.22.31	AE
69.20.22.32	69.20.24.95	US
69.20.24.96	69.20.24.103	CA
69.20.24.104	69.20.24.127	US
69.20.24.128	69.20.24.135	ZA
69.20.24.136	69.20.24.183	US
69.20.24.184	69.20.24.191	IN
69.20.24.192	69.20.25.71	US
69.20.25.72	69.20.25.79	TH
69.20.25.80	69.20.25.87	RU
69.20.25.88	69.20.25.95	CA
69.20.25.96	69.20.25.247	US
69.20.25.248	69.20.26.7	CA
69.20.26.8	69.20.26.39	US
69.20.26.40	69.20.26.55	CA
69.20.26.56	69.20.26.255	US
69.20.27.0	69.20.27.7	CA
69.20.27.8	69.20.27.199	US
69.20.27.200	69.20.27.207	TR
69.20.27.208	69.20.27.255	US
69.20.28.0	69.20.28.23	IE
69.20.28.24	69.20.28.31	US
69.20.28.32	69.20.28.39	JP
69.20.28.40	69.20.28.143	US
69.20.28.144	69.20.28.151	CA
69.20.28.152	69.20.28.255	US
69.20.29.0	69.20.29.7	CA
69.20.29.8	69.20.29.15	US
69.20.29.16	69.20.29.23	IL
69.20.29.24	69.20.29.103	US
69.20.29.104	69.20.29.111	IE
69.20.29.112	69.20.29.159	US
69.20.29.160	69.20.29.167	CA
69.20.29.168	69.20.29.175	US
69.20.29.176	69.20.29.191	CR
69.20.29.192	69.20.30.31	US
69.20.30.32	69.20.30.39	SE
69.20.30.40	69.20.30.183	US
69.20.30.184	69.20.30.191	GB
69.20.30.192	69.20.30.247	US
69.20.30.248	69.20.30.255	CH
69.20.31.0	69.20.31.15	US
69.20.31.16	69.20.31.23	IN
69.20.31.24	69.20.31.71	US
69.20.31.72	69.20.31.79	IT
69.20.31.80	69.20.31.87	IL
69.20.31.88	69.20.31.151	US
69.20.31.152	69.20.31.159	HK
69.20.31.160	69.20.33.15	US
69.20.33.16	69.20.33.23	ZA
69.20.33.24	69.20.34.63	US
69.20.34.64	69.20.34.71	CA
69.20.34.72	69.20.34.79	GB
69.20.34.80	69.20.35.7	US
69.20.35.8	69.20.35.15	JP
69.20.35.16	69.20.35.63	US
69.20.35.64	69.20.35.71	CA
69.20.35.72	69.20.35.79	US
69.20.35.80	69.20.35.111	IE
69.20.35.112	69.20.35.127	US
69.20.35.128	69.20.35.135	CA
69.20.35.136	69.20.35.151	US
69.20.35.152	69.20.35.159	IN
69.20.35.160	69.20.35.207	US
69.20.35.208	69.20.35.215	IN
69.20.35.216	69.20.35.247	US
69.20.35.248	69.20.35.255	TR
69.20.36.0	69.20.38.31	US
69.20.38.32	69.20.38.39	IT
69.20.38.40	69.20.38.63	US
69.20.38.64	69.20.38.71	CA
69.20.38.72	69.20.40.31	US
69.20.40.32	69.20.40.39	CA
69.20.40.40	69.20.40.103	US
69.20.40.104	69.20.40.111	CA
69.20.40.112	69.20.40.143	US
69.20.40.144	69.20.40.151	IL
69.20.40.152	69.20.41.167	US
69.20.41.168	69.20.41.175	CA
69.20.41.176	69.20.42.31	US
69.20.42.32	69.20.42.39	ZA
69.20.42.40	69.20.43.143	US
69.20.43.144	69.20.43.151	GB
69.20.43.152	69.20.45.175	US
69.20.45.176	69.20.45.183	CA
69.20.45.184	69.20.45.191	US
69.20.45.192	69.20.45.207	CA
69.20.45.208	69.20.45.215	IN
69.20.45.216	69.20.45.223	CA
69.20.45.224	69.20.47.111	US
69.20.47.112	69.20.47.119	TH
69.20.47.120	69.20.47.127	US
69.20.47.128	69.20.47.135	SA
69.20.47.136	69.20.48.255	US
69.20.49.0	69.20.49.15	CA
69.20.49.16	69.20.49.47	US
69.20.49.48	69.20.49.55	CA
69.20.49.56	69.20.49.63	US
69.20.49.64	69.20.49.95	TH
69.20.49.96	69.20.49.255	US
69.20.50.0	69.20.50.15	CA
69.20.50.16	69.20.50.23	NL
69.20.50.24	69.20.50.127	US
69.20.50.128	69.20.50.135	NL
69.20.50.136	69.20.50.151	US
69.20.50.152	69.20.50.159	CA
69.20.50.160	69.20.51.63	US
69.20.51.64	69.20.51.71	IN
69.20.51.72	69.20.51.159	US
69.20.51.160	69.20.51.175	CA
69.20.51.176	69.20.55.39	US
69.20.55.40	69.20.55.47	FI
69.20.55.48	69.20.55.111	US
69.20.55.112	69.20.55.119	CA
69.20.55.120	69.20.55.191	US
69.20.55.192	69.20.55.199	IL
69.20.55.200	69.20.63.63	US
69.20.63.64	69.20.63.71	GB
69.20.63.72	69.20.63.79	CA
69.20.63.80	69.20.64.31	US
69.20.64.32	69.20.64.39	GB
69.20.64.40	69.20.68.31	US
69.20.68.32	69.20.68.47	NL
69.20.68.48	69.20.68.63	US
69.20.68.64	69.20.68.71	CA
69.20.68.72	69.20.69.7	US
69.20.69.8	69.20.69.15	CA
69.20.69.16	69.20.73.143	US
69.20.73.144	69.20.73.159	NL
69.20.73.160	69.20.74.79	US
69.20.74.80	69.20.74.87	AU
69.20.74.88	69.20.74.95	PE
69.20.74.96	69.20.74.127	US
69.20.74.128	69.20.74.135	TH
69.20.74.136	69.20.76.215	US
69.20.76.216	69.20.76.223	AG
69.20.76.224	69.20.76.231	ES
69.20.76.232	69.20.77.31	US
69.20.77.32	69.20.77.39	CA
69.20.77.40	69.20.77.255	US
69.20.78.0	69.20.78.7	ZA
69.20.78.8	69.20.78.79	US
69.20.78.80	69.20.78.87	SA
69.20.78.88	69.20.78.127	US
69.20.78.128	69.20.78.159	CA
69.20.78.160	69.20.79.183	US
69.20.79.184	69.20.79.191	CA
69.20.79.192	69.20.80.31	US
69.20.80.32	69.20.80.47	BD
69.20.80.48	69.20.82.63	US
69.20.82.64	69.20.82.71	CR
69.20.82.72	69.20.83.151	US
69.20.83.152	69.20.83.159	GB
69.20.83.160	69.20.83.183	US
69.20.83.184	69.20.83.191	GB
69.20.83.192	69.20.85.71	US
69.20.85.72	69.20.85.79	IN
69.20.85.80	69.20.85.151	US
69.20.85.152	69.20.85.159	NZ
69.20.85.160	69.20.87.167	US
69.20.87.168	69.20.87.175	TW
69.20.87.176	69.20.87.255	US
69.20.88.0	69.20.88.7	GB
69.20.88.8	69.20.88.23	US
69.20.88.24	69.20.88.31	CA
69.20.88.32	69.20.88.103	US
69.20.88.104	69.20.88.111	ES
69.20.88.112	69.20.90.111	US
69.20.90.112	69.20.90.119	CA
69.20.90.120	69.20.90.159	US
69.20.90.160	69.20.90.191	BD
69.20.90.192	69.20.91.255	US
69.20.92.0	69.20.92.7	GB
69.20.92.8	69.20.92.111	US
69.20.92.112	69.20.92.119	ZA
69.20.92.120	69.20.93.159	US
69.20.93.160	69.20.93.175	GB
69.20.93.176	69.20.93.183	US
69.20.93.184	69.20.93.191	GB
69.20.93.192	69.20.96.71	US
69.20.96.72	69.20.96.79	IE
69.20.96.80	69.20.96.135	US
69.20.96.136	69.20.96.143	SE
69.20.96.144	69.20.97.95	US
69.20.97.96	69.20.97.103	IN
69.20.97.104	69.20.97.191	US
69.20.97.192	69.20.97.207	IN
69.20.97.208	69.20.98.15	US
69.20.98.16	69.20.98.23	GB
69.20.98.24	69.20.99.135	US
69.20.99.136	69.20.99.143	IN
69.20.99.144	69.20.100.31	US
69.20.100.32	69.20.100.39	IN
69.20.100.40	69.20.100.63	US
69.20.100.64	69.20.100.95	CA
69.20.100.96	69.20.101.151	US
69.20.101.152	69.20.101.159	CA
69.20.101.160	69.20.101.167	MX
69.20.101.168	69.20.101.221	US
69.20.101.222	69.20.101.223	CA
69.20.101.224	69.20.102.63	US
69.20.102.64	69.20.102.71	IE
69.20.102.72	69.20.102.95	US
69.20.102.96	69.20.102.103	GB
69.20.102.104	69.20.102.207	US
69.20.102.208	69.20.102.215	MX
69.20.102.216	69.20.102.223	TW
69.20.102.224	69.20.103.95	US
69.20.103.96	69.20.103.119	CA
69.20.103.120	69.20.103.127	US
69.20.103.128	69.20.103.143	AR
69.20.103.144	69.20.103.167	US
69.20.103.168	69.20.103.175	IL
69.20.103.176	69.20.103.207	US
69.20.103.208	69.20.103.223	CA
69.20.103.224	69.20.103.255	US
69.20.104.0	69.20.104.7	RU
69.20.104.8	69.20.105.55	US
69.20.105.56	69.20.105.63	IN
69.20.105.64	69.20.105.239	US
69.20.105.240	69.20.105.247	IN
69.20.105.248	69.20.107.111	US
69.20.107.112	69.20.107.127	FR
69.20.107.128	69.20.108.63	US
69.20.108.64	69.20.108.71	PL
69.20.108.72	69.20.108.87	CA
69.20.108.88	69.20.109.39	US
69.20.109.40	69.20.109.63	CA
69.20.109.64	69.20.110.15	US
69.20.110.16	69.20.110.23	CA
69.20.110.24	69.20.110.103	US
69.20.110.104	69.20.110.111	EG
69.20.110.112	69.20.110.127	US
69.20.110.128	69.20.110.135	MX
69.20.110.136	69.20.110.207	US
69.20.110.208	69.20.110.215	CA
69.20.110.216	69.20.111.223	US
69.20.111.224	69.20.111.239	TH
69.20.111.240	69.20.112.31	US
69.20.112.32	69.20.112.39	JP
69.20.112.40	69.20.112.207	US
69.20.112.208	69.20.112.215	GB
69.20.112.216	69.20.112.231	US
69.20.112.232	69.20.112.239	CA
69.20.112.240	69.20.112.247	IE
69.20.112.248	69.20.113.7	US
69.20.113.8	69.20.113.15	CA
69.20.113.16	69.20.113.63	US
69.20.113.64	69.20.113.71	GT
69.20.113.72	69.20.113.79	US
69.20.113.80	69.20.113.127	CA
69.20.113.128	69.20.115.7	US
69.20.115.8	69.20.115.15	MT
69.20.115.16	69.20.115.39	US
69.20.115.40	69.20.115.47	HU
69.20.115.48	69.20.115.143	US
69.20.115.144	69.20.115.175	CA
69.20.115.176	69.20.120.103	US
69.20.120.104	69.20.120.111	CA
69.20.120.112	69.20.121.63	US
69.20.121.64	69.20.121.79	MX
69.20.121.80	69.20.121.103	US
69.20.121.104	69.20.121.111	CA
69.20.121.112	69.20.123.15	US
69.20.123.16	69.20.123.23	CA
69.20.123.24	69.20.123.175	US
69.20.123.176	69.20.123.183	CA
69.20.123.184	69.20.123.191	MY
69.20.123.192	69.20.126.39	US
69.20.126.40	69.20.126.47	AG
69.20.126.48	69.20.126.63	US
69.20.126.64	69.20.126.95	CA
69.20.126.96	69.20.223.255	US
69.20.224.0	69.20.231.159	CA
69.20.231.160	69.20.231.175	GB
69.20.231.176	69.20.236.231	CA
69.20.236.232	69.20.236.239	SK
69.20.236.240	69.20.238.111	CA
69.20.238.112	69.20.238.119	US
69.20.238.120	69.20.239.55	CA
69.20.239.56	69.20.239.63	US
69.20.239.64	69.20.255.255	CA
69.21.0.0	69.24.47.255	US
69.24.48.0	69.24.63.255	CA
69.24.64.0	69.24.191.255	US
69.24.192.0	69.24.207.255	PR
69.24.208.0	69.25.2.119	US
69.25.2.120	69.25.2.127	PR
69.25.2.128	69.25.10.255	US
69.25.11.0	69.25.11.255	CA
69.25.12.0	69.25.31.255	US
69.25.32.0	69.25.32.255	GB
69.25.33.0	69.25.40.255	US
69.25.41.0	69.25.41.255	A2
69.25.42.0	69.25.57.255	US
69.25.58.0	69.25.58.255	HK
69.25.59.0	69.25.60.15	US
69.25.60.16	69.25.60.31	HK
69.25.60.32	69.25.60.63	US
69.25.60.64	69.25.60.79	HK
69.25.60.80	69.25.60.255	US
69.25.61.0	69.25.61.255	HK
69.25.62.0	69.25.103.135	US
69.25.103.136	69.25.103.143	AU
69.25.103.144	69.25.105.159	US
69.25.105.160	69.25.105.175	KR
69.25.105.176	69.25.106.47	US
69.25.106.48	69.25.106.63	BR
69.25.106.64	69.25.133.255	US
69.25.134.0	69.25.134.255	SE
69.25.135.0	69.25.148.31	US
69.25.148.32	69.25.148.63	CA
69.25.148.64	69.25.185.255	US
69.25.186.0	69.25.186.7	MX
69.25.186.8	69.25.186.159	US
69.25.186.160	69.25.186.167	TR
69.25.186.168	69.25.187.191	US
69.25.187.192	69.25.187.207	BR
69.25.187.208	69.25.188.255	US
69.25.189.0	69.25.189.15	MX
69.25.189.16	69.25.201.255	US
69.25.202.0	69.25.202.31	GB
69.25.202.32	69.25.243.143	US
69.25.243.144	69.25.243.159	FR
69.25.243.160	69.26.63.255	US
69.26.64.0	69.26.95.255	CA
69.26.96.0	69.27.95.255	US
69.27.96.0	69.27.127.255	CA
69.27.128.0	69.27.171.191	US
69.27.171.192	69.27.171.223	CA
69.27.171.224	69.28.68.119	US
69.28.68.120	69.28.68.127	CA
69.28.68.128	69.28.71.79	US
69.28.71.80	69.28.71.95	VG
69.28.71.96	69.28.73.255	US
69.28.74.0	69.28.74.31	EG
69.28.74.32	69.28.76.55	US
69.28.76.56	69.28.76.63	AN
69.28.76.64	69.28.191.255	US
69.28.192.0	69.28.192.95	CA
69.28.192.96	69.28.192.127	US
69.28.192.128	69.28.195.63	CA
69.28.195.64	69.28.195.127	US
69.28.195.128	69.28.195.175	CA
69.28.195.176	69.28.195.191	US
69.28.195.192	69.28.196.255	CA
69.28.197.0	69.28.197.31	US
69.28.197.32	69.28.197.95	CA
69.28.197.96	69.28.197.127	US
69.28.197.128	69.28.197.175	CA
69.28.197.176	69.28.197.191	US
69.28.197.192	69.28.197.223	CA
69.28.197.224	69.28.197.255	US
69.28.198.0	69.28.202.255	CA
69.28.203.0	69.28.204.255	US
69.28.205.0	69.28.205.255	CA
69.28.206.0	69.28.206.63	US
69.28.206.64	69.28.206.239	CA
69.28.206.240	69.28.206.247	US
69.28.206.248	69.28.206.255	MX
69.28.207.0	69.28.207.255	CA
69.28.208.0	69.28.208.95	US
69.28.208.96	69.28.208.127	CA
69.28.208.128	69.28.211.191	US
69.28.211.192	69.28.211.223	CA
69.28.211.224	69.28.211.255	US
69.28.212.0	69.28.212.143	CA
69.28.212.144	69.28.212.159	US
69.28.212.160	69.28.212.175	CA
69.28.212.176	69.28.212.255	US
69.28.213.0	69.28.213.159	CA
69.28.213.160	69.28.213.191	US
69.28.213.192	69.28.213.239	CA
69.28.213.240	69.28.213.255	US
69.28.214.0	69.28.215.23	CA
69.28.215.24	69.28.215.39	US
69.28.215.40	69.28.215.55	CA
69.28.215.56	69.28.215.63	US
69.28.215.64	69.28.215.223	CA
69.28.215.224	69.28.215.247	US
69.28.215.248	69.28.215.255	CA
69.28.216.0	69.28.221.255	US
69.28.222.0	69.28.225.255	CA
69.28.226.0	69.28.226.31	US
69.28.226.32	69.28.226.255	CA
69.28.227.0	69.28.227.63	US
69.28.227.64	69.28.227.175	CA
69.28.227.176	69.28.227.191	US
69.28.227.192	69.28.230.31	CA
69.28.230.32	69.28.230.63	US
69.28.230.64	69.28.230.239	CA
69.28.230.240	69.28.230.255	US
69.28.231.0	69.28.231.47	CA
69.28.231.48	69.28.231.63	US
69.28.231.64	69.28.231.95	CA
69.28.231.96	69.28.231.119	US
69.28.231.120	69.28.231.127	CA
69.28.231.128	69.28.231.159	US
69.28.231.160	69.28.231.191	CA
69.28.231.192	69.28.231.223	BV
69.28.231.224	69.28.231.239	CA
69.28.231.240	69.28.231.255	BV
69.28.232.0	69.28.235.255	CA
69.28.236.0	69.28.236.255	US
69.28.237.0	69.28.239.255	CA
69.28.240.0	69.28.242.207	US
69.28.242.208	69.28.242.223	CA
69.28.242.224	69.28.243.255	US
69.28.244.0	69.28.247.255	CA
69.28.248.0	69.28.253.255	US
69.28.254.0	69.28.254.255	CA
69.28.255.0	69.29.8.175	US
69.29.8.176	69.29.8.183	MO
69.29.8.184	69.29.14.71	US
69.29.14.72	69.29.14.79	MO
69.29.14.80	69.29.124.15	US
69.29.124.16	69.29.124.23	MO
69.29.124.24	69.30.193.47	US
69.30.193.48	69.30.193.63	TR
69.30.193.64	69.30.193.79	JP
69.30.193.80	69.30.244.39	US
69.30.244.40	69.30.244.63	BR
69.30.244.64	69.30.246.63	US
69.30.246.64	69.30.246.79	AU
69.30.246.80	69.30.246.111	US
69.30.246.112	69.30.246.127	NZ
69.30.246.128	69.30.254.55	US
69.30.254.56	69.30.254.71	IN
69.30.254.72	69.31.32.255	US
69.31.33.0	69.31.36.255	AU
69.31.37.0	69.31.37.255	US
69.31.38.0	69.31.39.255	AU
69.31.40.0	69.31.159.255	US
69.31.160.0	69.31.255.255	CA
69.32.0.0	69.36.5.255	US
69.36.6.0	69.36.6.255	MX
69.36.7.0	69.36.13.255	US
69.36.14.0	69.36.14.255	MX
69.36.15.0	69.36.34.31	US
69.36.34.32	69.36.34.47	CA
69.36.34.48	69.36.34.159	US
69.36.34.160	69.36.34.175	GB
69.36.34.176	69.36.35.127	US
69.36.35.128	69.36.35.159	AU
69.36.35.160	69.36.35.223	US
69.36.35.224	69.36.35.255	AU
69.36.36.0	69.36.40.143	US
69.36.40.144	69.36.40.151	BB
69.36.40.152	69.36.40.183	US
69.36.40.184	69.36.40.191	SC
69.36.40.192	69.36.40.199	GB
69.36.40.200	69.36.44.111	US
69.36.44.112	69.36.44.119	UG
69.36.44.120	69.36.44.239	US
69.36.44.240	69.36.44.247	RS
69.36.44.248	69.36.95.255	US
69.36.96.0	69.36.99.239	CA
69.36.99.240	69.36.99.247	US
69.36.99.248	69.36.102.87	CA
69.36.102.88	69.36.102.111	US
69.36.102.112	69.36.102.151	CA
69.36.102.152	69.36.102.167	US
69.36.102.168	69.36.103.79	CA
69.36.103.80	69.36.103.95	US
69.36.103.96	69.36.103.111	CA
69.36.103.112	69.36.103.119	US
69.36.103.120	69.36.107.183	CA
69.36.107.184	69.36.107.191	US
69.36.107.192	69.36.108.111	CA
69.36.108.112	69.36.108.119	US
69.36.108.120	69.36.108.159	CA
69.36.108.160	69.36.108.167	US
69.36.108.168	69.36.108.183	CA
69.36.108.184	69.36.108.191	US
69.36.108.192	69.36.108.215	CA
69.36.108.216	69.36.108.223	US
69.36.108.224	69.36.109.39	CA
69.36.109.40	69.36.109.47	US
69.36.109.48	69.36.109.63	CA
69.36.109.64	69.36.109.87	US
69.36.109.88	69.36.109.127	CA
69.36.109.128	69.36.109.135	US
69.36.109.136	69.36.109.175	CA
69.36.109.176	69.36.109.183	US
69.36.109.184	69.36.109.207	CA
69.36.109.208	69.36.109.223	US
69.36.109.224	69.36.112.127	CA
69.36.112.128	69.36.112.223	US
69.36.112.224	69.36.113.55	CA
69.36.113.56	69.36.113.63	US
69.36.113.64	69.36.113.95	CA
69.36.113.96	69.36.113.111	US
69.36.113.112	69.36.113.119	CA
69.36.113.120	69.36.113.135	US
69.36.113.136	69.36.113.143	CA
69.36.113.144	69.36.113.151	US
69.36.113.152	69.36.113.167	CA
69.36.113.168	69.36.113.191	US
69.36.113.192	69.36.113.215	CA
69.36.113.216	69.36.113.223	US
69.36.113.224	69.36.113.231	CA
69.36.113.232	69.36.113.255	US
69.36.114.0	69.36.115.255	CA
69.36.116.0	69.36.116.7	US
69.36.116.8	69.36.116.47	CA
69.36.116.48	69.36.116.55	US
69.36.116.56	69.36.116.127	CA
69.36.116.128	69.36.116.135	US
69.36.116.136	69.36.116.247	CA
69.36.116.248	69.36.117.7	US
69.36.117.8	69.36.127.255	CA
69.36.128.0	69.41.191.255	US
69.41.192.0	69.41.207.255	CA
69.41.208.0	69.42.48.47	US
69.42.48.48	69.42.48.95	CA
69.42.48.96	69.42.48.111	US
69.42.48.112	69.42.48.235	CA
69.42.48.236	69.42.48.255	US
69.42.49.0	69.42.49.71	CA
69.42.49.72	69.42.49.79	US
69.42.49.80	69.42.49.95	CA
69.42.49.96	69.42.49.127	US
69.42.49.128	69.42.49.191	CA
69.42.49.192	69.42.49.255	US
69.42.50.0	69.42.50.63	CA
69.42.50.64	69.42.50.79	HK
69.42.50.80	69.42.50.95	CA
69.42.50.96	69.42.50.111	US
69.42.50.112	69.42.50.127	CA
69.42.50.128	69.42.50.143	US
69.42.50.144	69.42.51.63	CA
69.42.51.64	69.42.51.127	US
69.42.51.128	69.42.52.63	CA
69.42.52.64	69.42.52.71	HK
69.42.52.72	69.42.52.79	US
69.42.52.80	69.42.52.143	CA
69.42.52.144	69.42.52.151	GB
69.42.52.152	69.42.52.223	CA
69.42.52.224	69.42.52.231	HK
69.42.52.232	69.42.52.255	CA
69.42.53.0	69.42.53.255	US
69.42.54.0	69.42.54.55	CA
69.42.54.56	69.42.54.63	US
69.42.54.64	69.42.54.255	CA
69.42.55.0	69.42.55.255	US
69.42.56.0	69.42.56.255	CA
69.42.57.0	69.42.57.255	US
69.42.58.0	69.42.58.127	CA
69.42.58.128	69.42.59.255	US
69.42.60.0	69.42.60.255	CA
69.42.61.0	69.42.61.255	US
69.42.62.0	69.42.62.255	CA
69.42.63.0	69.42.64.207	US
69.42.64.208	69.42.64.223	GB
69.42.64.224	69.42.97.255	US
69.42.98.0	69.42.98.111	DO
69.42.98.112	69.42.98.127	US
69.42.98.128	69.42.99.255	DO
69.42.100.0	69.42.100.255	US
69.42.101.0	69.42.101.31	VE
69.42.101.32	69.42.101.47	US
69.42.101.48	69.42.101.63	DO
69.42.101.64	69.42.101.207	US
69.42.101.208	69.42.101.215	A2
69.42.101.216	69.42.108.31	US
69.42.108.32	69.42.108.47	GD
69.42.108.48	69.42.108.255	US
69.42.109.0	69.42.109.255	CA
69.42.110.0	69.42.113.79	US
69.42.113.80	69.42.113.95	PT
69.42.113.96	69.42.113.255	US
69.42.114.0	69.42.115.255	CO
69.42.116.0	69.42.116.31	US
69.42.116.32	69.42.116.63	PR
69.42.116.64	69.42.116.79	US
69.42.116.80	69.42.116.95	BM
69.42.116.96	69.42.116.127	US
69.42.116.128	69.42.116.143	MX
69.42.116.144	69.42.117.79	US
69.42.117.80	69.42.117.95	UY
69.42.117.96	69.42.117.111	TT
69.42.117.112	69.42.117.127	US
69.42.117.128	69.42.117.143	PR
69.42.117.144	69.42.117.151	EC
69.42.117.152	69.42.117.183	US
69.42.117.184	69.42.117.191	EC
69.42.117.192	69.42.121.15	US
69.42.121.16	69.42.121.31	GB
69.42.121.32	69.42.121.175	US
69.42.121.176	69.42.121.191	BR
69.42.121.192	69.42.126.191	US
69.42.126.192	69.42.126.207	GT
69.42.126.208	69.42.137.149	US
69.42.137.150	69.42.137.245	KN
69.42.137.246	69.42.138.2	US
69.42.138.3	69.42.138.32	CA
69.42.138.33	69.42.175.255	US
69.42.176.0	69.42.191.255	CA
69.42.192.0	69.42.208.31	US
69.42.208.32	69.42.208.47	GR
69.42.208.48	69.42.209.95	US
69.42.209.96	69.42.209.127	TR
69.42.209.128	69.42.209.191	PT
69.42.209.192	69.42.210.127	US
69.42.210.128	69.42.210.191	NL
69.42.210.192	69.42.211.127	US
69.42.211.128	69.42.211.191	GB
69.42.211.192	69.42.212.191	US
69.42.212.192	69.42.212.255	IN
69.42.213.0	69.42.213.63	US
69.42.213.64	69.42.213.255	IN
69.42.214.0	69.42.219.63	US
69.42.219.64	69.42.219.95	ID
69.42.219.96	69.42.219.127	CO
69.42.219.128	69.42.220.63	US
69.42.220.64	69.42.220.127	PK
69.42.220.128	69.42.220.191	PT
69.42.220.192	69.42.221.127	US
69.42.221.128	69.42.221.191	IT
69.42.221.192	69.42.221.255	US
69.42.222.0	69.42.222.31	PT
69.42.222.32	69.42.222.95	US
69.42.222.96	69.42.222.127	CA
69.42.222.128	69.42.222.255	US
69.42.223.0	69.42.223.31	PT
69.42.223.32	69.42.223.191	US
69.42.223.192	69.42.223.255	IN
69.42.224.0	69.43.145.191	US
69.43.145.192	69.43.145.223	MX
69.43.145.224	69.43.159.255	US
69.43.160.0	69.43.161.255	AU
69.43.162.0	69.43.223.255	US
69.43.224.0	69.43.226.63	A2
69.43.226.64	69.43.226.95	US
69.43.226.96	69.43.239.255	A2
69.43.240.0	69.44.119.255	US
69.44.120.0	69.44.120.31	LB
69.44.120.32	69.44.124.95	US
69.44.124.96	69.44.124.127	MX
69.44.124.128	69.44.127.55	US
69.44.127.56	69.44.127.71	CA
69.44.127.72	69.44.127.135	US
69.44.127.136	69.44.127.143	LB
69.44.127.144	69.44.141.255	US
69.44.142.0	69.44.143.255	MX
69.44.144.0	69.44.201.255	US
69.44.202.0	69.44.203.255	MP
69.44.204.0	69.45.127.255	US
69.45.128.0	69.45.131.255	MX
69.45.132.0	69.46.95.255	US
69.46.96.0	69.46.127.255	CA
69.46.128.0	69.46.134.151	US
69.46.134.152	69.46.134.159	AR
69.46.134.160	69.46.135.127	US
69.46.135.128	69.46.135.159	GB
69.46.135.160	69.46.135.255	US
69.46.136.0	69.46.136.63	GB
69.46.136.64	69.46.139.255	US
69.46.140.0	69.46.140.255	MX
69.46.141.0	69.46.159.255	US
69.46.160.0	69.46.162.7	CA
69.46.162.8	69.46.162.15	US
69.46.162.16	69.46.162.31	CA
69.46.162.32	69.46.162.39	US
69.46.162.40	69.46.164.71	CA
69.46.164.72	69.46.164.79	US
69.46.164.80	69.46.164.87	CA
69.46.164.88	69.46.164.95	US
69.46.164.96	69.46.165.87	CA
69.46.165.88	69.46.165.95	US
69.46.165.96	69.46.171.231	CA
69.46.171.232	69.46.171.239	US
69.46.171.240	69.46.174.167	CA
69.46.174.168	69.46.174.175	US
69.46.174.176	69.46.175.223	CA
69.46.175.224	69.46.175.231	US
69.46.175.232	69.46.178.63	CA
69.46.178.64	69.46.178.71	US
69.46.178.72	69.46.178.127	CA
69.46.178.128	69.46.178.135	US
69.46.178.136	69.46.178.223	CA
69.46.178.224	69.46.178.231	US
69.46.178.232	69.46.179.171	CA
69.46.179.172	69.46.179.194	US
69.46.179.195	69.46.180.47	CA
69.46.180.48	69.46.180.55	US
69.46.180.56	69.46.180.63	CA
69.46.180.64	69.46.180.71	US
69.46.180.72	69.46.180.127	CA
69.46.180.128	69.46.180.143	US
69.46.180.144	69.46.180.175	CA
69.46.180.176	69.46.180.183	US
69.46.180.184	69.46.180.191	CA
69.46.180.192	69.46.180.199	US
69.46.180.200	69.46.182.15	CA
69.46.182.16	69.46.182.23	US
69.46.182.24	69.46.182.47	CA
69.46.182.48	69.46.182.55	US
69.46.182.56	69.46.182.79	CA
69.46.182.80	69.46.182.87	US
69.46.182.88	69.46.182.135	CA
69.46.182.136	69.46.182.151	US
69.46.182.152	69.46.182.159	CA
69.46.182.160	69.46.182.167	IN
69.46.182.168	69.46.182.215	CA
69.46.182.216	69.46.182.231	US
69.46.182.232	69.46.183.11	CA
69.46.183.12	69.46.183.39	US
69.46.183.40	69.46.183.123	CA
69.46.183.124	69.46.183.163	US
69.46.183.164	69.46.184.29	CA
69.46.184.30	69.46.184.68	US
69.46.184.69	69.46.184.69	CA
69.46.184.70	69.46.184.77	US
69.46.184.78	69.46.184.102	CA
69.46.184.103	69.46.184.114	US
69.46.184.115	69.46.184.125	CA
69.46.184.126	69.46.184.135	US
69.46.184.136	69.46.184.136	CA
69.46.184.137	69.46.184.147	US
69.46.184.148	69.46.184.170	CA
69.46.184.171	69.46.184.182	US
69.46.184.183	69.46.184.197	CA
69.46.184.198	69.46.184.223	US
69.46.184.224	69.46.185.23	CA
69.46.185.24	69.46.185.51	US
69.46.185.52	69.46.185.183	CA
69.46.185.184	69.46.185.255	US
69.46.186.0	69.46.186.173	CA
69.46.186.174	69.46.186.185	US
69.46.186.186	69.46.186.186	CA
69.46.186.187	69.46.186.205	US
69.46.186.206	69.46.186.210	CA
69.46.186.211	69.46.186.239	US
69.46.186.240	69.46.187.15	CA
69.46.187.16	69.46.187.23	US
69.46.187.24	69.46.187.127	CA
69.46.187.128	69.46.187.175	US
69.46.187.176	69.46.188.7	CA
69.46.188.8	69.46.188.39	US
69.46.188.40	69.46.188.47	CA
69.46.188.48	69.46.188.63	US
69.46.188.64	69.46.188.95	CA
69.46.188.96	69.46.188.103	US
69.46.188.104	69.46.188.119	CA
69.46.188.120	69.46.188.135	US
69.46.188.136	69.46.188.223	CA
69.46.188.224	69.46.188.231	US
69.46.188.232	69.46.189.7	CA
69.46.189.8	69.46.189.15	US
69.46.189.16	69.46.189.67	CA
69.46.189.68	69.46.189.83	US
69.46.189.84	69.46.191.95	CA
69.46.191.96	69.46.191.111	US
69.46.191.112	69.46.191.135	CA
69.46.191.136	69.46.191.143	US
69.46.191.144	69.46.191.159	CA
69.46.191.160	69.46.191.175	US
69.46.191.176	69.46.191.183	CA
69.46.191.184	69.46.191.191	US
69.46.191.192	69.46.191.215	CA
69.46.191.216	69.46.191.223	US
69.46.191.224	69.46.191.255	CA
69.46.192.0	69.46.229.255	US
69.46.230.0	69.46.230.127	KY
69.46.230.128	69.46.233.239	US
69.46.233.240	69.46.233.247	KY
69.46.233.248	69.46.234.239	US
69.46.234.240	69.46.234.247	KY
69.46.234.248	69.46.235.63	US
69.46.235.64	69.46.235.127	KY
69.46.235.128	69.48.135.63	US
69.48.135.64	69.48.135.95	CA
69.48.135.96	69.48.143.255	US
69.48.144.0	69.48.144.255	CA
69.48.145.0	69.48.148.31	US
69.48.148.32	69.48.148.39	BE
69.48.148.40	69.49.31.255	US
69.49.32.0	69.49.63.255	CA
69.49.64.0	69.49.96.255	US
69.49.97.0	69.49.97.255	CA
69.49.98.0	69.50.63.255	US
69.50.64.0	69.50.79.255	AG
69.50.80.0	69.50.143.223	US
69.50.143.224	69.50.143.255	CA
69.50.144.0	69.50.159.255	US
69.50.168.0	69.50.172.255	US
69.50.173.0	69.50.173.31	CA
69.50.173.32	69.50.173.95	US
69.50.173.128	69.50.173.159	US
69.50.173.176	69.50.173.191	JP
69.50.173.208	69.50.173.223	US
69.50.174.0	69.50.175.31	US
69.50.175.128	69.50.175.255	CY
69.50.176.0	69.51.12.127	US
69.51.12.128	69.51.12.191	MX
69.51.12.192	69.51.12.255	US
69.51.13.0	69.51.13.31	CA
69.51.13.32	69.51.14.39	US
69.51.14.40	69.51.14.47	GR
69.51.14.48	69.51.16.255	US
69.51.17.0	69.51.17.31	HK
69.51.17.32	69.51.18.127	US
69.51.18.128	69.51.18.159	CA
69.51.18.160	69.51.18.191	US
69.51.18.192	69.51.18.207	MX
69.51.18.208	69.51.22.143	US
69.51.22.144	69.51.22.159	MX
69.51.22.160	69.51.23.175	US
69.51.23.176	69.51.23.191	MX
69.51.23.192	69.51.191.255	US
69.51.192.0	69.51.255.255	CA
69.52.0.0	69.55.239.255	US
69.55.240.0	69.55.255.255	CA
69.56.0.0	69.56.1.127	US
69.56.1.128	69.56.1.135	IL
69.56.1.136	69.56.26.15	US
69.56.26.16	69.56.26.23	AU
69.56.26.24	69.56.53.255	US
69.56.54.0	69.56.54.15	KN
69.56.54.16	69.56.54.247	US
69.56.54.248	69.56.54.255	KN
69.56.55.0	69.56.58.71	US
69.56.58.72	69.56.58.87	BS
69.56.58.88	69.56.58.95	US
69.56.58.96	69.56.58.103	BS
69.56.58.104	69.56.58.223	US
69.56.58.224	69.56.58.231	IL
69.56.58.232	69.56.59.103	US
69.56.59.104	69.56.59.111	BS
69.56.59.112	69.56.63.103	US
69.56.63.104	69.56.63.111	CA
69.56.63.112	69.56.255.255	US
69.57.0.0	69.57.15.255	CA
69.57.16.0	69.57.207.255	US
69.57.224.0	69.57.225.255	AG
69.57.226.0	69.57.226.255	AI
69.57.227.0	69.57.228.255	AG
69.57.229.0	69.57.229.255	VG
69.57.230.0	69.57.230.255	LC
69.57.231.0	69.57.231.255	AG
69.57.232.0	69.57.232.255	LC
69.57.233.0	69.57.233.255	VG
69.57.234.0	69.57.234.255	AI
69.57.235.0	69.57.235.255	AG
69.57.236.0	69.57.236.255	LC
69.57.237.0	69.57.237.255	AI
69.57.238.0	69.57.238.255	KN
69.57.239.0	69.57.239.255	LC
69.57.240.0	69.57.240.255	VG
69.57.241.0	69.57.241.255	DM
69.57.242.0	69.57.242.255	AG
69.57.243.0	69.57.243.255	AI
69.57.244.0	69.57.244.15	AG
69.57.244.16	69.57.244.31	MS
69.57.244.32	69.57.244.223	AG
69.57.244.224	69.57.244.255	MS
69.57.245.0	69.57.247.255	AG
69.57.248.0	69.57.248.255	AI
69.57.249.0	69.57.249.255	VG
69.57.250.0	69.57.252.255	AG
69.57.253.0	69.57.255.255	KN
69.58.0.0	69.58.95.255	US
69.58.96.0	69.58.111.255	CA
69.58.112.0	69.60.63.255	US
69.60.64.0	69.60.79.255	CA
69.60.80.0	69.60.103.255	US
69.60.104.0	69.60.104.255	PA
69.60.105.0	69.60.223.255	US
69.60.224.0	69.60.255.255	CA
69.61.0.0	69.61.8.47	US
69.61.8.48	69.61.8.55	AR
69.61.8.56	69.61.8.79	US
69.61.8.80	69.61.8.87	AR
69.61.8.88	69.61.8.111	US
69.61.8.112	69.61.8.127	GB
69.61.8.128	69.61.8.191	US
69.61.8.192	69.61.8.215	AR
69.61.8.216	69.61.11.63	US
69.61.11.64	69.61.11.71	GB
69.61.11.72	69.61.11.191	US
69.61.11.192	69.61.11.223	AR
69.61.11.224	69.61.11.231	CH
69.61.11.232	69.61.11.239	CA
69.61.11.240	69.61.11.247	US
69.61.11.248	69.61.11.255	AR
69.61.12.0	69.61.14.143	US
69.61.14.144	69.61.14.151	RO
69.61.14.152	69.61.14.159	NL
69.61.14.160	69.61.14.207	US
69.61.14.208	69.61.14.215	RU
69.61.14.216	69.61.15.79	US
69.61.15.80	69.61.15.87	GB
69.61.15.88	69.61.15.95	MY
69.61.15.96	69.61.15.111	GB
69.61.15.112	69.61.15.127	US
69.61.15.128	69.61.15.135	AU
69.61.15.136	69.61.15.255	US
69.61.16.0	69.61.16.255	PL
69.61.17.0	69.61.18.127	US
69.61.18.128	69.61.18.135	PL
69.61.18.136	69.61.18.191	US
69.61.18.192	69.61.18.223	GB
69.61.18.224	69.61.20.7	US
69.61.20.8	69.61.20.15	EG
69.61.20.16	69.61.20.23	AU
69.61.20.24	69.61.20.31	GB
69.61.20.32	69.61.20.47	US
69.61.20.48	69.61.20.55	IL
69.61.20.56	69.61.20.71	US
69.61.20.72	69.61.20.79	AR
69.61.20.80	69.61.20.103	US
69.61.20.104	69.61.20.111	AR
69.61.20.112	69.61.20.135	US
69.61.20.136	69.61.20.143	DE
69.61.20.144	69.61.20.191	US
69.61.20.192	69.61.20.199	KW
69.61.20.200	69.61.20.207	US
69.61.20.208	69.61.20.215	GB
69.61.20.216	69.61.20.247	US
69.61.20.248	69.61.20.255	IL
69.61.21.0	69.61.21.7	US
69.61.21.8	69.61.21.15	CA
69.61.21.16	69.61.21.23	US
69.61.21.24	69.61.21.31	AU
69.61.21.32	69.61.21.39	IL
69.61.21.40	69.61.21.63	US
69.61.21.64	69.61.21.71	GB
69.61.21.72	69.61.21.103	US
69.61.21.104	69.61.21.111	AR
69.61.21.112	69.61.21.183	US
69.61.21.184	69.61.21.191	CA
69.61.21.192	69.61.21.207	US
69.61.21.208	69.61.21.223	GB
69.61.21.224	69.61.21.239	AR
69.61.21.240	69.61.21.247	GB
69.61.21.248	69.61.22.239	US
69.61.22.240	69.61.22.247	AR
69.61.22.248	69.61.22.255	US
69.61.23.0	69.61.23.7	AR
69.61.23.8	69.61.23.15	CA
69.61.23.16	69.61.23.23	US
69.61.23.24	69.61.23.31	BG
69.61.23.32	69.61.23.47	US
69.61.23.48	69.61.23.55	AR
69.61.23.56	69.61.23.63	BR
69.61.23.64	69.61.23.143	US
69.61.23.144	69.61.23.151	CH
69.61.23.152	69.61.23.159	US
69.61.23.160	69.61.23.167	AU
69.61.23.168	69.61.23.175	AR
69.61.23.176	69.61.23.215	US
69.61.23.216	69.61.23.223	NL
69.61.23.224	69.61.27.7	US
69.61.27.8	69.61.27.15	BG
69.61.27.16	69.61.27.39	US
69.61.27.40	69.61.27.47	BR
69.61.27.48	69.61.27.119	US
69.61.27.120	69.61.27.127	GB
69.61.27.128	69.61.27.143	US
69.61.27.144	69.61.27.151	GB
69.61.27.152	69.61.27.207	US
69.61.27.208	69.61.27.223	GB
69.61.27.224	69.61.28.255	US
69.61.29.0	69.61.29.31	IL
69.61.29.32	69.61.29.191	US
69.61.29.192	69.61.29.207	EE
69.61.29.208	69.61.33.15	US
69.61.33.16	69.61.33.23	RO
69.61.33.24	69.61.33.151	US
69.61.33.152	69.61.33.159	NZ
69.61.33.160	69.61.33.191	AR
69.61.33.192	69.61.33.199	GB
69.61.33.200	69.61.33.223	US
69.61.33.224	69.61.33.239	CH
69.61.33.240	69.61.34.31	US
69.61.34.32	69.61.34.48	PL
69.61.34.49	69.61.34.191	US
69.61.34.192	69.61.34.199	GB
69.61.34.200	69.61.36.127	US
69.61.36.128	69.61.36.143	PL
69.61.36.144	69.61.36.159	US
69.61.36.160	69.61.36.191	PL
69.61.36.192	69.61.40.15	US
69.61.40.16	69.61.40.31	BE
69.61.40.32	69.61.40.255	US
69.61.41.0	69.61.41.31	GB
69.61.41.32	69.61.41.63	US
69.61.41.64	69.61.41.127	IL
69.61.41.128	69.61.42.63	US
69.61.42.64	69.61.42.95	PL
69.61.42.96	69.61.42.111	US
69.61.42.112	69.61.42.119	EG
69.61.42.120	69.61.42.143	US
69.61.42.144	69.61.42.151	CA
69.61.42.152	69.61.45.39	US
69.61.45.40	69.61.45.47	NZ
69.61.45.48	69.61.45.79	US
69.61.45.80	69.61.45.87	GB
69.61.45.88	69.61.45.95	US
69.61.45.96	69.61.45.103	PL
69.61.45.104	69.61.45.175	US
69.61.45.176	69.61.45.183	AR
69.61.45.184	69.61.45.223	US
69.61.45.224	69.61.45.231	RU
69.61.45.232	69.61.47.39	US
69.61.47.40	69.61.47.47	IL
69.61.47.48	69.61.47.63	AR
69.61.47.64	69.61.47.143	US
69.61.47.144	69.61.47.151	GB
69.61.47.152	69.61.51.255	US
69.61.52.0	69.61.52.31	PL
69.61.52.32	69.61.52.55	US
69.61.52.56	69.61.52.63	GB
69.61.52.64	69.61.52.79	US
69.61.52.80	69.61.52.87	PL
69.61.52.88	69.61.52.151	US
69.61.52.152	69.61.52.159	PL
69.61.52.160	69.61.52.175	US
69.61.52.176	69.61.52.183	CA
69.61.52.184	69.61.52.207	US
69.61.52.208	69.61.52.215	DK
69.61.52.216	69.61.52.239	US
69.61.52.240	69.61.52.247	IL
69.61.52.248	69.61.54.23	US
69.61.54.24	69.61.54.31	PT
69.61.54.32	69.61.54.87	US
69.61.54.88	69.61.54.95	GB
69.61.54.96	69.61.54.103	PL
69.61.54.104	69.61.54.151	US
69.61.54.152	69.61.54.159	BG
69.61.54.160	69.61.55.23	US
69.61.55.24	69.61.55.31	BZ
69.61.55.32	69.61.55.39	PL
69.61.55.40	69.61.55.47	US
69.61.55.48	69.61.55.63	GB
69.61.55.64	69.61.55.151	US
69.61.55.152	69.61.55.159	AR
69.61.55.160	69.61.55.207	US
69.61.55.208	69.61.55.215	AT
69.61.55.216	69.61.55.255	US
69.61.56.0	69.61.56.7	CH
69.61.56.8	69.61.56.15	US
69.61.56.16	69.61.56.23	IL
69.61.56.24	69.61.56.31	GB
69.61.56.32	69.61.56.63	US
69.61.56.64	69.61.56.79	PL
69.61.56.80	69.61.56.87	US
69.61.56.88	69.61.56.95	AR
69.61.56.96	69.61.56.159	US
69.61.56.160	69.61.56.191	AR
69.61.56.192	69.61.59.63	US
69.61.59.64	69.61.59.87	GB
69.61.59.88	69.61.59.143	US
69.61.59.144	69.61.59.159	PL
69.61.59.160	69.61.63.159	US
69.61.63.160	69.61.63.183	KW
69.61.63.184	69.61.63.191	US
69.61.63.192	69.61.63.255	PL
69.61.64.0	69.61.64.23	US
69.61.64.24	69.61.64.31	NL
69.61.64.32	69.61.64.55	GB
69.61.64.56	69.61.64.191	US
69.61.64.192	69.61.64.207	GB
69.61.64.208	69.61.64.215	AU
69.61.64.216	69.61.74.111	US
69.61.74.112	69.61.74.127	PL
69.61.74.128	69.61.74.159	US
69.61.74.160	69.61.74.199	GB
69.61.74.200	69.61.74.207	AR
69.61.74.208	69.61.74.223	PL
69.61.74.224	69.61.79.15	US
69.61.79.16	69.61.79.31	PL
69.61.79.32	69.61.79.63	US
69.61.79.64	69.61.79.79	GB
69.61.79.80	69.61.79.87	US
69.61.79.88	69.61.79.95	GB
69.61.79.96	69.61.79.111	US
69.61.79.112	69.61.79.127	PL
69.61.79.128	69.61.83.15	US
69.61.83.16	69.61.83.31	PL
69.61.83.32	69.61.83.47	US
69.61.83.48	69.61.83.95	PL
69.61.83.96	69.61.83.255	US
69.61.84.0	69.61.84.15	PL
69.61.84.16	69.61.84.31	GB
69.61.84.32	69.61.84.63	PL
69.61.84.64	69.61.96.7	US
69.61.96.8	69.61.96.15	IL
69.61.96.16	69.61.96.23	US
69.61.96.24	69.61.96.31	BG
69.61.96.32	69.61.96.127	US
69.61.96.128	69.61.96.135	NL
69.61.96.136	69.61.96.151	US
69.61.96.152	69.61.96.159	AR
69.61.96.160	69.61.96.183	US
69.61.96.184	69.61.96.191	RO
69.61.96.192	69.61.97.255	US
69.61.98.0	69.61.98.7	AR
69.61.98.8	69.61.98.15	BR
69.61.98.16	69.61.98.159	US
69.61.98.160	69.61.98.175	AR
69.61.98.176	69.61.98.239	US
69.61.98.240	69.61.98.247	HR
69.61.98.248	69.61.99.159	US
69.61.99.160	69.61.99.191	GB
69.61.99.192	69.61.101.31	US
69.61.101.32	69.61.101.47	GB
69.61.101.48	69.61.102.223	US
69.61.102.224	69.61.102.255	AR
69.61.103.0	69.61.103.7	CH
69.61.103.8	69.61.103.39	US
69.61.103.40	69.61.103.47	GB
69.61.103.48	69.61.103.127	US
69.61.103.128	69.61.103.135	CY
69.61.103.136	69.61.103.159	US
69.61.103.160	69.61.103.167	AR
69.61.103.168	69.61.110.31	US
69.61.110.32	69.61.110.39	SI
69.61.110.40	69.61.110.71	US
69.61.110.72	69.61.110.79	HR
69.61.110.80	69.61.117.255	US
69.61.118.0	69.61.118.255	IL
69.61.119.0	69.61.125.15	US
69.61.125.16	69.61.125.23	CA
69.61.125.24	69.61.125.79	US
69.61.125.80	69.61.125.95	PL
69.61.125.96	69.61.127.23	US
69.61.127.24	69.61.127.31	AR
69.61.127.32	69.61.127.39	SI
69.61.127.40	69.61.127.47	AR
69.61.127.48	69.63.31.255	US
69.63.32.0	69.63.63.255	CA
69.63.64.0	69.63.79.255	SZ
69.63.80.0	69.63.131.199	US
69.63.131.200	69.63.131.208	PA
69.63.131.209	69.63.133.119	US
69.63.133.120	69.63.133.128	CA
69.63.133.129	69.63.239.255	US
69.63.240.0	69.63.255.255	CA
69.64.0.0	69.64.40.223	US
69.64.40.224	69.64.40.255	CL
69.64.41.0	69.64.41.95	US
69.64.41.96	69.64.41.127	ZA
69.64.41.128	69.64.41.159	DE
69.64.41.160	69.64.45.239	US
69.64.45.240	69.64.45.247	DE
69.64.45.248	69.64.51.77	US
69.64.51.78	69.64.51.89	GR
69.64.51.90	69.64.53.255	US
69.64.54.0	69.64.54.31	CA
69.64.54.32	69.64.54.127	US
69.64.54.128	69.64.54.159	BR
69.64.54.160	69.64.54.191	MX
69.64.54.192	69.64.54.223	US
69.64.54.224	69.64.54.255	UA
69.64.55.0	69.64.55.31	RS
69.64.55.32	69.64.55.95	US
69.64.55.96	69.64.55.127	CY
69.64.55.128	69.64.55.159	BR
69.64.55.160	69.64.55.191	US
69.64.55.192	69.64.55.223	UA
69.64.55.224	69.64.59.255	US
69.64.60.0	69.64.60.255	JP
69.64.61.0	69.64.63.15	US
69.64.63.16	69.64.63.31	GB
69.64.63.32	69.64.63.212	US
69.64.63.213	69.64.63.224	RU
69.64.63.225	69.64.73.205	US
69.64.73.206	69.64.73.216	DE
69.64.73.217	69.64.77.181	US
69.64.77.182	69.64.77.189	CH
69.64.77.190	69.64.80.244	US
69.64.80.245	69.64.80.252	MX
69.64.80.253	69.64.81.11	US
69.64.81.12	69.64.81.19	CA
69.64.81.20	69.64.81.26	US
69.64.81.27	69.64.81.34	GB
69.64.81.35	69.64.81.140	US
69.64.81.141	69.64.81.148	MX
69.64.81.149	69.64.81.154	US
69.64.81.155	69.64.81.162	MX
69.64.81.163	69.64.81.199	US
69.64.81.200	69.64.81.209	CA
69.64.81.210	69.64.82.45	US
69.64.82.46	69.64.82.53	MX
69.64.82.54	69.64.169.231	US
69.64.169.232	69.64.169.239	EG
69.64.169.240	69.64.171.127	US
69.64.171.128	69.64.171.143	MT
69.64.171.144	69.64.182.63	US
69.64.182.64	69.64.182.71	VI
69.64.182.72	69.65.13.215	US
69.65.13.216	69.65.13.223	CA
69.65.13.224	69.65.14.199	US
69.65.14.200	69.65.14.207	CA
69.65.14.208	69.65.14.215	US
69.65.14.216	69.65.14.223	CA
69.65.14.224	69.65.54.79	US
69.65.54.80	69.65.54.87	VN
69.65.54.88	69.65.147.255	US
69.65.148.0	69.65.148.255	EC
69.65.149.0	69.65.150.255	US
69.65.151.0	69.65.151.255	EC
69.65.152.0	69.66.255.255	US
69.67.0.0	69.67.15.255	CA
69.67.16.0	69.67.31.255	US
69.67.32.0	69.67.47.255	ZA
69.67.48.0	69.67.49.15	US
69.67.49.16	69.67.49.23	CA
69.67.49.24	69.67.49.47	US
69.67.49.48	69.67.49.63	DO
69.67.49.64	69.67.52.127	US
69.67.52.128	69.67.52.143	CA
69.67.52.144	69.67.52.159	US
69.67.52.160	69.67.52.175	BE
69.67.52.176	69.67.52.231	US
69.67.52.232	69.67.52.239	JO
69.67.52.240	69.67.54.95	US
69.67.54.96	69.67.54.127	CA
69.67.54.128	69.67.54.191	DO
69.67.54.192	69.67.56.95	US
69.67.56.96	69.67.56.111	CA
69.67.56.112	69.67.59.63	US
69.67.59.64	69.67.59.95	IN
69.67.59.96	69.67.159.255	US
69.67.160.0	69.67.191.255	CA
69.67.192.0	69.69.255.255	US
69.70.0.0	69.70.255.255	CA
69.71.0.0	69.71.58.199	US
69.71.58.200	69.71.58.215	CA
69.71.58.216	69.71.60.87	US
69.71.60.88	69.71.60.95	CA
69.71.60.96	69.71.63.255	US
69.71.64.0	69.71.95.255	CA
69.71.96.0	69.71.127.255	US
69.71.128.0	69.71.139.255	A2
69.71.140.0	69.71.146.255	BH
69.71.147.0	69.71.153.255	A2
69.71.154.0	69.71.154.255	US
69.71.155.0	69.71.156.255	A2
69.71.157.0	69.72.142.215	US
69.72.142.216	69.72.142.223	IN
69.72.142.224	69.72.184.159	US
69.72.184.160	69.72.184.167	IN
69.72.184.168	69.72.187.95	US
69.72.187.96	69.72.187.103	IE
69.72.187.104	69.72.214.239	US
69.72.214.240	69.72.214.247	IN
69.72.214.248	69.72.242.7	US
69.72.242.8	69.72.242.15	IN
69.72.242.16	69.72.242.151	US
69.72.242.152	69.72.242.159	IN
69.72.242.160	69.72.243.79	US
69.72.243.80	69.72.243.127	CR
69.72.243.128	69.72.244.87	US
69.72.244.88	69.72.244.95	IN
69.72.244.96	69.72.245.95	US
69.72.245.96	69.72.245.103	IN
69.72.245.104	69.72.246.7	US
69.72.246.8	69.72.246.15	IN
69.72.246.16	69.72.246.39	US
69.72.246.40	69.72.246.47	IN
69.72.246.48	69.73.179.135	US
69.73.179.136	69.73.179.143	ID
69.73.179.144	69.73.191.255	US
69.73.192.0	69.73.193.255	BB
69.73.194.0	69.73.195.255	GD
69.73.196.0	69.73.198.255	BB
69.73.199.0	69.73.202.255	VC
69.73.203.0	69.73.207.255	BB
69.73.208.0	69.73.208.255	GD
69.73.209.0	69.73.229.255	BB
69.73.230.0	69.73.231.255	GD
69.73.232.0	69.73.236.255	BB
69.73.237.0	69.73.239.255	VC
69.73.240.0	69.73.245.255	GD
69.73.246.0	69.73.255.255	BB
69.74.0.0	69.77.159.255	US
69.77.160.0	69.77.163.255	CA
69.77.164.0	69.77.164.15	US
69.77.164.16	69.77.173.31	CA
69.77.173.32	69.77.173.47	US
69.77.173.48	69.77.177.111	CA
69.77.177.112	69.77.177.127	US
69.77.177.128	69.77.191.255	CA
69.77.192.0	69.78.255.255	US
69.79.0.0	69.79.23.255	PR
69.79.24.0	69.79.24.255	AN
69.79.25.0	69.79.26.255	US
69.79.27.0	69.79.27.255	DO
69.79.28.0	69.79.31.255	BS
69.79.32.0	69.79.63.255	CO
69.79.64.0	69.79.71.255	PR
69.79.72.0	69.79.79.255	GT
69.79.80.0	69.79.87.255	US
69.79.88.0	69.79.111.255	PR
69.79.112.0	69.79.119.255	GT
69.79.120.0	69.79.120.255	BS
69.79.121.0	69.79.122.255	AN
69.79.123.0	69.79.123.255	US
69.79.124.0	69.79.127.255	BS
69.79.128.0	69.79.255.255	US
69.80.0.0	69.80.63.255	BB
69.80.128.0	69.80.205.127	US
69.80.205.128	69.80.205.255	BE
69.80.206.0	69.80.207.255	US
69.80.208.0	69.80.208.255	AU
69.80.209.0	69.80.215.159	US
69.80.215.160	69.80.215.191	AU
69.80.215.192	69.80.215.247	US
69.80.215.248	69.80.215.255	AU
69.80.216.0	69.80.239.255	US
69.81.0.0	69.87.255.255	US
69.88.0.0	69.88.2.255	A2
69.88.3.0	69.88.3.7	BD
69.88.3.8	69.88.3.15	ID
69.88.3.16	69.88.3.23	BD
69.88.3.24	69.88.3.31	ID
69.88.3.32	69.88.3.39	PK
69.88.3.40	69.88.3.71	ID
69.88.3.72	69.88.3.79	BD
69.88.3.80	69.88.3.87	ID
69.88.3.88	69.88.3.103	BD
69.88.3.104	69.88.3.111	A2
69.88.3.112	69.88.3.119	PK
69.88.3.120	69.88.3.183	ID
69.88.3.184	69.88.3.191	PK
69.88.3.192	69.88.3.239	ID
69.88.3.240	69.88.3.247	BD
69.88.3.248	69.88.4.47	ID
69.88.4.48	69.88.4.55	BD
69.88.4.56	69.88.4.95	ID
69.88.4.96	69.88.4.103	A2
69.88.4.104	69.88.4.111	ID
69.88.4.112	69.88.4.119	A2
69.88.4.120	69.88.4.135	ID
69.88.4.136	69.88.4.143	A2
69.88.4.144	69.88.4.151	ID
69.88.4.152	69.88.4.159	BD
69.88.4.160	69.88.4.191	ID
69.88.4.192	69.88.4.199	A2
69.88.4.200	69.88.4.207	BD
69.88.4.208	69.88.4.223	A2
69.88.4.224	69.88.4.231	BD
69.88.4.232	69.88.4.247	ID
69.88.4.248	69.88.4.255	A2
69.88.5.0	69.88.5.31	ID
69.88.5.32	69.88.5.47	A2
69.88.5.48	69.88.5.79	BD
69.88.5.80	69.88.5.167	A2
69.88.5.168	69.88.5.175	ID
69.88.5.176	69.88.5.207	A2
69.88.5.208	69.88.5.223	ID
69.88.5.224	69.88.6.15	A2
69.88.6.16	69.88.6.31	ID
69.88.6.32	69.88.6.47	A2
69.88.6.48	69.88.6.63	BD
69.88.6.64	69.88.6.79	A2
69.88.6.80	69.88.6.111	BD
69.88.6.112	69.88.6.223	A2
69.88.6.224	69.88.7.31	BD
69.88.7.32	69.88.7.63	ID
69.88.7.64	69.88.7.127	A2
69.88.7.128	69.88.7.159	BD
69.88.7.160	69.88.7.191	A2
69.88.7.192	69.88.7.223	BD
69.88.7.224	69.88.7.255	A2
69.88.8.0	69.88.8.127	NP
69.88.8.128	69.88.8.255	BD
69.88.9.0	69.88.9.95	A2
69.88.9.96	69.88.9.103	US
69.88.9.104	69.88.9.159	A2
69.88.9.160	69.88.9.167	US
69.88.9.168	69.88.9.199	A2
69.88.9.200	69.88.9.207	BD
69.88.9.208	69.88.10.31	A2
69.88.10.32	69.88.10.63	BD
69.88.10.64	69.88.10.223	A2
69.88.10.224	69.88.10.255	US
69.88.11.0	69.88.11.255	NP
69.88.12.0	69.88.12.95	A2
69.88.12.96	69.88.12.159	BD
69.88.12.160	69.88.12.223	A2
69.88.12.224	69.88.15.127	BD
69.88.15.128	69.88.15.191	A2
69.88.15.192	69.88.16.127	BD
69.88.16.128	69.88.17.255	A2
69.88.18.0	69.88.18.127	BD
69.88.18.128	69.88.18.255	A2
69.88.19.0	69.88.19.127	US
69.88.19.128	69.88.20.255	A2
69.88.21.0	69.88.21.255	BD
69.88.22.0	69.88.22.15	PK
69.88.22.16	69.88.22.23	ID
69.88.22.24	69.88.22.31	A2
69.88.22.32	69.88.22.39	PK
69.88.22.40	69.88.22.47	A2
69.88.22.48	69.88.22.55	PK
69.88.22.56	69.88.22.135	A2
69.88.22.136	69.88.22.143	ID
69.88.22.144	69.88.22.183	A2
69.88.22.184	69.88.22.223	ID
69.88.22.224	69.88.23.127	A2
69.88.23.128	69.88.23.191	BD
69.88.23.192	69.88.23.255	A2
69.88.24.0	69.88.24.23	ID
69.88.24.24	69.88.24.39	A2
69.88.24.40	69.88.24.47	ID
69.88.24.48	69.88.24.103	A2
69.88.24.104	69.88.24.111	PK
69.88.24.112	69.88.24.135	A2
69.88.24.136	69.88.24.143	PK
69.88.24.144	69.88.24.215	A2
69.88.24.216	69.88.24.223	PK
69.88.24.224	69.88.25.63	A2
69.88.25.64	69.88.25.71	ID
69.88.25.72	69.88.25.255	A2
69.88.26.0	69.88.26.63	BD
69.88.26.64	69.88.26.255	A2
69.88.27.0	69.88.28.127	BD
69.88.28.128	69.88.28.255	A2
69.88.29.0	69.88.30.127	BD
69.88.30.128	69.88.30.255	A2
69.88.31.0	69.88.31.63	BD
69.88.31.64	69.88.31.127	US
69.88.31.128	69.88.31.255	A2
69.88.32.0	69.88.47.255	US
69.88.48.0	69.88.63.255	CA
69.88.64.0	69.89.31.255	US
69.89.32.0	69.89.47.255	PR
69.89.48.0	69.89.255.255	US
69.90.0.0	69.90.1.63	CA
69.90.1.64	69.90.2.255	US
69.90.3.0	69.90.3.95	CA
69.90.3.96	69.90.3.111	US
69.90.3.112	69.90.3.127	BV
69.90.3.128	69.90.3.147	CA
69.90.3.148	69.90.3.159	US
69.90.3.160	69.90.3.191	CA
69.90.3.192	69.90.3.223	US
69.90.3.224	69.90.3.231	CA
69.90.3.232	69.90.3.239	US
69.90.3.240	69.90.3.255	CA
69.90.4.0	69.90.6.63	US
69.90.6.64	69.90.6.95	CA
69.90.6.96	69.90.6.111	US
69.90.6.112	69.90.7.255	CA
69.90.8.0	69.90.9.255	US
69.90.10.0	69.90.10.255	CA
69.90.11.0	69.90.15.255	US
69.90.16.0	69.90.17.31	CA
69.90.17.32	69.90.17.47	US
69.90.17.48	69.90.17.143	CA
69.90.17.144	69.90.17.159	US
69.90.17.160	69.90.17.167	CA
69.90.17.168	69.90.17.175	US
69.90.17.176	69.90.18.31	CA
69.90.18.32	69.90.18.63	US
69.90.18.64	69.90.18.87	CA
69.90.18.88	69.90.18.95	RS
69.90.18.96	69.90.18.135	CA
69.90.18.136	69.90.18.143	US
69.90.18.144	69.90.18.151	CA
69.90.18.152	69.90.18.191	US
69.90.18.192	69.90.18.207	CA
69.90.18.208	69.90.18.215	US
69.90.18.216	69.90.26.223	CA
69.90.26.224	69.90.26.255	US
69.90.27.0	69.90.28.199	CA
69.90.28.200	69.90.28.207	US
69.90.28.208	69.90.28.239	CA
69.90.28.240	69.90.28.255	PA
69.90.29.0	69.90.29.127	CA
69.90.29.128	69.90.29.159	US
69.90.29.160	69.90.29.223	CA
69.90.29.224	69.90.29.239	US
69.90.29.240	69.90.29.255	CA
69.90.30.0	69.90.30.191	US
69.90.30.192	69.90.30.207	CA
69.90.30.208	69.90.30.223	US
69.90.30.224	69.90.30.239	CA
69.90.30.240	69.90.31.63	US
69.90.31.64	69.90.31.95	CA
69.90.31.96	69.90.31.175	US
69.90.31.176	69.90.31.231	CA
69.90.31.232	69.90.31.239	US
69.90.31.240	69.90.31.247	CA
69.90.31.248	69.90.35.255	US
69.90.36.0	69.90.37.63	CA
69.90.37.64	69.90.37.127	US
69.90.37.128	69.90.37.223	CA
69.90.37.224	69.90.37.255	US
69.90.38.0	69.90.39.255	CA
69.90.40.0	69.90.42.175	US
69.90.42.176	69.90.42.183	CA
69.90.42.184	69.90.44.255	US
69.90.45.0	69.90.55.255	CA
69.90.56.0	69.90.56.31	US
69.90.56.32	69.90.56.127	CA
69.90.56.128	69.90.56.255	US
69.90.57.0	69.90.59.255	CA
69.90.60.0	69.90.61.255	US
69.90.62.0	69.90.65.63	CA
69.90.65.64	69.90.65.71	US
69.90.65.72	69.90.65.135	CA
69.90.65.136	69.90.65.143	US
69.90.65.144	69.90.65.191	CA
69.90.65.192	69.90.65.223	US
69.90.65.224	69.90.68.135	CA
69.90.68.136	69.90.68.143	FI
69.90.68.144	69.90.69.31	CA
69.90.69.32	69.90.69.39	US
69.90.69.40	69.90.69.175	CA
69.90.69.176	69.90.69.183	US
69.90.69.184	69.90.70.255	CA
69.90.71.0	69.90.71.7	US
69.90.71.8	69.90.71.63	CA
69.90.71.64	69.90.71.103	US
69.90.71.104	69.90.71.255	CA
69.90.72.0	69.90.72.31	US
69.90.72.32	69.90.72.95	CA
69.90.72.96	69.90.72.111	US
69.90.72.112	69.90.72.175	CA
69.90.72.176	69.90.72.183	SG
69.90.72.184	69.90.72.207	CA
69.90.72.208	69.90.72.223	US
69.90.72.224	69.90.74.127	CA
69.90.74.128	69.90.74.159	FI
69.90.74.160	69.90.74.191	CA
69.90.74.192	69.90.74.215	US
69.90.74.216	69.90.74.223	CA
69.90.74.224	69.90.74.255	BV
69.90.75.0	69.90.75.7	US
69.90.75.8	69.90.75.15	CA
69.90.75.16	69.90.75.31	US
69.90.75.32	69.90.75.127	CA
69.90.75.128	69.90.75.255	US
69.90.76.0	69.90.76.31	CA
69.90.76.32	69.90.76.63	GB
69.90.76.64	69.90.77.47	CA
69.90.77.48	69.90.77.55	US
69.90.77.56	69.90.77.127	CA
69.90.77.128	69.90.77.159	US
69.90.77.160	69.90.77.183	CA
69.90.77.184	69.90.77.191	NZ
69.90.77.192	69.90.77.223	CA
69.90.77.224	69.90.77.255	US
69.90.78.0	69.90.78.7	CA
69.90.78.8	69.90.78.15	US
69.90.78.16	69.90.78.23	CA
69.90.78.24	69.90.78.63	US
69.90.78.64	69.90.78.87	CA
69.90.78.88	69.90.78.127	US
69.90.78.128	69.90.78.255	CA
69.90.79.0	69.90.79.7	US
69.90.79.8	69.90.79.23	CA
69.90.79.24	69.90.79.55	US
69.90.79.56	69.90.79.79	CA
69.90.79.80	69.90.79.87	US
69.90.79.88	69.90.79.159	CA
69.90.79.160	69.90.79.167	US
69.90.79.168	69.90.79.175	CA
69.90.79.176	69.90.79.191	US
69.90.79.192	69.90.83.63	CA
69.90.83.64	69.90.83.71	US
69.90.83.72	69.90.83.95	CA
69.90.83.96	69.90.83.127	US
69.90.83.128	69.90.83.135	CA
69.90.83.136	69.90.83.147	US
69.90.83.148	69.90.83.159	CA
69.90.83.160	69.90.83.175	US
69.90.83.176	69.90.83.191	VG
69.90.83.192	69.90.83.255	CA
69.90.84.0	69.90.84.255	US
69.90.85.0	69.90.85.47	CA
69.90.85.48	69.90.85.95	US
69.90.85.96	69.90.89.79	CA
69.90.89.80	69.90.89.95	US
69.90.89.96	69.90.89.255	CA
69.90.90.0	69.90.91.255	US
69.90.92.0	69.90.94.31	CA
69.90.94.32	69.90.94.47	US
69.90.94.48	69.90.94.63	CA
69.90.94.64	69.90.94.95	US
69.90.94.96	69.90.94.127	CA
69.90.94.128	69.90.94.143	US
69.90.94.144	69.90.94.159	CA
69.90.94.160	69.90.94.167	US
69.90.94.168	69.90.94.175	CA
69.90.94.176	69.90.94.191	US
69.90.94.192	69.90.95.127	CA
69.90.95.128	69.90.95.191	US
69.90.95.192	69.90.96.63	CA
69.90.96.64	69.90.96.95	US
69.90.96.96	69.90.97.95	CA
69.90.97.96	69.90.97.111	US
69.90.97.112	69.90.98.191	CA
69.90.98.192	69.90.98.207	US
69.90.98.208	69.90.98.223	CA
69.90.98.224	69.90.98.255	US
69.90.99.0	69.90.99.135	CA
69.90.99.136	69.90.99.143	CN
69.90.99.144	69.90.99.175	CA
69.90.99.176	69.90.99.191	US
69.90.99.192	69.90.99.239	CA
69.90.99.240	69.90.99.255	US
69.90.100.0	69.90.101.255	CA
69.90.102.0	69.90.103.7	US
69.90.103.8	69.90.103.15	CA
69.90.103.16	69.90.103.23	US
69.90.103.24	69.90.103.63	CA
69.90.103.64	69.90.103.95	PA
69.90.103.96	69.90.103.167	CA
69.90.103.168	69.90.103.175	US
69.90.103.176	69.90.107.255	CA
69.90.108.0	69.90.108.15	US
69.90.108.16	69.90.108.63	CA
69.90.108.64	69.90.108.79	US
69.90.108.80	69.90.108.127	CA
69.90.108.128	69.90.108.143	BV
69.90.108.144	69.90.108.159	US
69.90.108.160	69.90.110.255	CA
69.90.111.0	69.90.111.31	US
69.90.111.32	69.90.111.79	CA
69.90.111.80	69.90.111.87	US
69.90.111.88	69.90.111.95	MX
69.90.111.96	69.90.111.143	CA
69.90.111.144	69.90.111.191	US
69.90.111.192	69.90.111.255	CA
69.90.112.0	69.90.116.255	US
69.90.117.0	69.90.118.255	CA
69.90.119.0	69.90.123.95	US
69.90.123.96	69.90.123.127	CA
69.90.123.128	69.90.124.127	US
69.90.124.128	69.90.124.140	KW
69.90.124.141	69.90.132.255	US
69.90.133.0	69.90.133.255	CA
69.90.134.0	69.90.135.255	US
69.90.136.0	69.90.138.255	CA
69.90.139.0	69.90.139.255	FI
69.90.140.0	69.90.140.15	CA
69.90.140.16	69.90.140.23	US
69.90.140.24	69.90.140.79	CA
69.90.140.80	69.90.140.95	US
69.90.140.96	69.90.140.135	CA
69.90.140.136	69.90.140.143	SG
69.90.140.144	69.90.140.215	CA
69.90.140.216	69.90.140.223	US
69.90.140.224	69.90.140.247	CA
69.90.140.248	69.90.140.255	US
69.90.141.0	69.90.143.255	CA
69.90.144.0	69.90.155.223	US
69.90.155.224	69.90.155.255	CA
69.90.156.0	69.90.159.255	US
69.90.160.0	69.90.163.255	CA
69.90.164.0	69.90.172.255	US
69.90.173.0	69.90.173.63	CA
69.90.173.64	69.90.175.255	US
69.90.176.0	69.90.177.255	CA
69.90.178.0	69.90.178.255	US
69.90.179.0	69.90.179.15	CA
69.90.179.16	69.90.179.31	US
69.90.179.32	69.90.179.63	CA
69.90.179.64	69.90.179.95	BE
69.90.179.96	69.90.179.111	CA
69.90.179.112	69.90.179.119	US
69.90.179.120	69.90.179.207	CA
69.90.179.208	69.90.179.215	US
69.90.179.216	69.90.179.255	CA
69.90.180.0	69.90.180.255	US
69.90.181.0	69.90.181.191	CA
69.90.181.192	69.90.181.199	US
69.90.181.200	69.90.183.79	CA
69.90.183.80	69.90.183.95	US
69.90.183.96	69.90.183.207	CA
69.90.183.208	69.90.183.223	US
69.90.183.224	69.90.184.15	CA
69.90.184.16	69.90.184.191	US
69.90.184.192	69.90.184.255	EG
69.90.185.0	69.90.191.255	US
69.90.192.0	69.90.197.127	CA
69.90.197.128	69.90.197.255	US
69.90.198.0	69.90.198.127	CA
69.90.198.128	69.90.198.159	US
69.90.198.160	69.90.198.255	CA
69.90.199.0	69.90.199.63	US
69.90.199.64	69.90.199.239	CA
69.90.199.240	69.90.200.31	US
69.90.200.32	69.90.200.63	CA
69.90.200.64	69.90.200.79	US
69.90.200.80	69.90.200.95	CA
69.90.200.96	69.90.202.15	US
69.90.202.16	69.90.202.63	CA
69.90.202.64	69.90.202.95	US
69.90.202.96	69.90.202.255	CA
69.90.203.0	69.90.203.79	US
69.90.203.80	69.90.203.127	CA
69.90.203.128	69.90.203.143	US
69.90.203.144	69.90.203.159	CA
69.90.203.160	69.90.203.175	US
69.90.203.176	69.90.203.223	CA
69.90.203.224	69.90.203.239	US
69.90.203.240	69.90.205.87	CA
69.90.205.88	69.90.205.91	US
69.90.205.92	69.90.206.239	CA
69.90.206.240	69.90.206.247	US
69.90.206.248	69.90.207.255	CA
69.90.208.0	69.90.208.127	US
69.90.208.128	69.90.208.255	CA
69.90.209.0	69.90.209.223	US
69.90.209.224	69.90.209.255	CA
69.90.210.0	69.90.213.255	US
69.90.214.0	69.90.214.255	CA
69.90.215.0	69.90.215.255	US
69.90.216.0	69.90.216.63	CA
69.90.216.64	69.90.216.127	US
69.90.216.128	69.90.216.151	CA
69.90.216.152	69.90.216.175	US
69.90.216.176	69.90.216.191	CA
69.90.216.192	69.90.216.255	US
69.90.217.0	69.90.218.31	CA
69.90.218.32	69.90.218.63	US
69.90.218.64	69.90.218.159	CA
69.90.218.160	69.90.218.175	US
69.90.218.176	69.90.218.207	CA
69.90.218.208	69.90.218.215	FI
69.90.218.216	69.90.218.231	CA
69.90.218.232	69.90.218.239	US
69.90.218.240	69.90.223.255	CA
69.90.224.0	69.90.233.63	US
69.90.233.64	69.90.233.95	CA
69.90.233.96	69.90.233.97	US
69.90.233.98	69.90.233.113	GB
69.90.233.114	69.90.236.180	US
69.90.236.181	69.90.236.183	CA
69.90.236.184	69.90.236.184	NL
69.90.236.185	69.90.236.185	GB
69.90.236.186	69.90.240.255	US
69.90.241.0	69.90.241.255	CA
69.90.242.0	69.90.242.15	US
69.90.242.16	69.90.242.63	CA
69.90.242.64	69.90.242.103	US
69.90.242.104	69.90.242.111	DM
69.90.242.112	69.90.242.119	CA
69.90.242.120	69.90.242.127	US
69.90.242.128	69.90.243.255	CA
69.90.244.0	69.90.244.0	US
69.90.244.1	69.90.244.47	CA
69.90.244.48	69.90.244.63	US
69.90.244.64	69.90.244.95	CA
69.90.244.96	69.90.244.103	US
69.90.244.104	69.90.244.119	CA
69.90.244.120	69.90.244.255	US
69.90.245.0	69.90.247.255	CA
69.90.248.0	69.95.65.111	US
69.95.65.112	69.95.65.119	CN
69.95.65.120	69.95.88.119	US
69.95.88.120	69.95.88.127	PA
69.95.88.128	69.95.95.255	US
69.95.96.0	69.95.96.7	CN
69.95.96.8	69.147.230.103	US
69.147.230.104	69.147.230.111	IN
69.147.230.112	69.147.235.103	US
69.147.235.104	69.147.235.111	GB
69.147.235.112	69.147.238.71	US
69.147.238.72	69.147.238.79	IN
69.147.238.80	69.147.250.239	US
69.147.250.240	69.147.250.255	CA
69.147.251.0	69.147.251.255	US
69.147.252.0	69.147.252.63	IN
69.147.252.64	69.147.252.95	US
69.147.252.96	69.147.252.127	IN
69.147.252.128	69.147.252.159	SI
69.147.252.160	69.147.252.191	US
69.147.252.192	69.147.252.223	IN
69.147.252.224	69.147.252.231	US
69.147.252.232	69.147.252.239	IN
69.147.252.240	69.147.252.255	US
69.147.253.0	69.147.253.255	IN
69.147.254.0	69.153.149.143	US
69.153.149.144	69.153.149.159	UA
69.153.149.160	69.155.255.255	US
69.156.0.0	69.159.255.255	CA
69.160.0.0	69.161.127.255	US
69.161.128.0	69.161.159.255	CA
69.161.192.0	69.164.67.255	US
69.164.68.0	69.164.71.167	CA
69.164.71.168	69.164.71.191	US
69.164.71.192	69.164.72.31	CA
69.164.72.32	69.164.72.47	US
69.164.72.48	69.164.72.127	CA
69.164.72.128	69.164.72.159	US
69.164.72.160	69.164.72.167	CA
69.164.72.168	69.164.72.175	US
69.164.72.176	69.164.72.183	CA
69.164.72.184	69.164.72.223	US
69.164.72.224	69.164.72.231	CA
69.164.72.232	69.164.72.239	US
69.164.72.240	69.164.72.255	CA
69.164.73.0	69.164.73.15	US
69.164.73.16	69.164.73.31	CA
69.164.73.32	69.164.175.255	US
69.164.176.0	69.164.191.255	CA
69.164.192.0	69.165.127.255	US
69.165.128.0	69.165.255.255	CA
69.166.8.0	69.166.15.255	US
69.166.16.0	69.166.31.255	CA
69.166.32.0	69.168.127.255	US
69.168.128.0	69.168.191.255	CA
69.168.192.0	69.171.95.255	US
69.171.96.0	69.171.111.255	CA
69.171.112.0	69.171.127.255	US
69.171.128.0	69.171.159.255	CA
69.171.160.0	69.171.207.255	US
69.171.208.0	69.171.223.255	CA
69.171.224.0	69.172.63.255	US
69.172.64.0	69.172.127.255	CA
69.172.128.0	69.172.143.255	US
69.172.144.0	69.172.191.255	CA
69.172.192.0	69.172.192.255	US
69.172.193.0	69.172.193.255	CA
69.172.194.0	69.172.195.255	US
69.172.196.0	69.172.202.15	CA
69.172.202.16	69.172.202.255	US
69.172.203.0	69.172.203.31	CA
69.172.203.32	69.172.203.255	US
69.172.204.0	69.172.205.255	CA
69.172.206.0	69.172.206.31	SG
69.172.206.32	69.172.206.47	CA
69.172.206.48	69.172.206.55	SG
69.172.206.56	69.172.206.63	CA
69.172.206.64	69.172.206.127	US
69.172.206.128	69.172.207.255	CA
69.172.208.0	69.172.210.159	US
69.172.210.160	69.172.210.191	EG
69.172.210.192	69.172.210.219	US
69.172.210.220	69.172.210.223	CA
69.172.210.224	69.172.216.255	US
69.172.217.0	69.172.219.255	CA
69.172.220.0	69.172.223.255	US
69.172.224.0	69.172.226.95	CA
69.172.226.96	69.172.226.103	DE
69.172.226.104	69.172.226.111	CA
69.172.226.112	69.172.226.119	US
69.172.226.120	69.172.226.159	CA
69.172.226.160	69.172.226.175	US
69.172.226.176	69.172.226.239	CA
69.172.226.240	69.172.226.255	AU
69.172.227.0	69.172.227.3	US
69.172.227.4	69.172.227.7	CA
69.172.227.8	69.172.227.15	US
69.172.227.16	69.172.227.23	SG
69.172.227.24	69.172.227.215	CA
69.172.227.216	69.172.227.255	US
69.172.228.0	69.172.228.15	CA
69.172.228.16	69.172.228.31	US
69.172.228.32	69.172.228.63	FR
69.172.228.64	69.172.228.191	US
69.172.228.192	69.172.228.223	EG
69.172.228.224	69.172.228.255	US
69.172.229.0	69.172.229.255	CA
69.172.230.0	69.172.236.31	US
69.172.236.32	69.172.236.79	CA
69.172.236.80	69.172.236.95	US
69.172.236.96	69.172.236.111	CA
69.172.236.112	69.172.236.127	US
69.172.236.128	69.172.236.255	CA
69.172.237.0	69.172.237.95	US
69.172.237.96	69.172.237.119	CA
69.172.237.120	69.172.237.127	US
69.172.237.128	69.172.241.95	CA
69.172.241.96	69.172.241.127	US
69.172.241.128	69.172.241.191	CA
69.172.241.192	69.172.241.199	US
69.172.241.200	69.172.241.207	CA
69.172.241.208	69.172.242.255	US
69.172.243.0	69.172.243.255	CA
69.172.244.0	69.172.245.255	US
69.172.246.0	69.172.255.255	CA
69.173.0.0	69.173.31.255	US
69.173.32.0	69.173.63.255	CA
69.173.64.0	69.174.80.255	US
69.174.81.0	69.174.81.7	SG
69.174.81.8	69.176.80.255	US
69.176.81.0	69.176.82.255	CA
69.176.83.0	69.176.87.255	US
69.176.88.0	69.176.88.255	CA
69.176.89.0	69.176.90.255	US
69.176.91.0	69.176.92.255	CA
69.176.93.0	69.176.93.255	SG
69.176.94.0	69.176.159.255	US
69.176.160.0	69.176.191.255	CA
69.176.192.0	69.195.255.255	US
69.196.0.0	69.196.31.255	CA
69.196.32.0	69.196.63.255	US
69.196.64.0	69.196.95.255	CA
69.196.96.0	69.196.127.255	US
69.196.128.0	69.196.191.255	CA
69.196.192.0	69.197.22.127	US
69.197.22.128	69.197.22.255	IN
69.197.23.0	69.197.23.255	US
69.197.24.0	69.197.24.127	MY
69.197.24.128	69.197.34.255	US
69.197.35.0	69.197.35.255	CA
69.197.36.0	70.23.255.255	US
70.24.0.0	70.25.96.71	CA
70.25.96.72	70.25.96.79	US
70.25.96.80	70.25.96.95	CA
70.25.96.96	70.25.96.111	US
70.25.96.112	70.25.99.143	CA
70.25.99.144	70.25.99.159	US
70.25.99.160	70.25.224.39	CA
70.25.224.40	70.25.224.47	US
70.25.224.48	70.25.224.159	CA
70.25.224.160	70.25.224.175	US
70.25.224.176	70.25.224.199	CA
70.25.224.200	70.25.224.207	US
70.25.224.208	70.25.254.7	CA
70.25.254.8	70.25.254.15	US
70.25.254.16	70.31.255.255	CA
70.32.0.0	70.32.38.151	US
70.32.38.152	70.32.38.159	GB
70.32.38.160	70.33.162.255	US
70.33.163.0	70.33.163.47	CA
70.33.163.48	70.33.163.63	US
70.33.163.64	70.33.163.79	CA
70.33.163.80	70.33.163.95	US
70.33.163.96	70.33.163.127	CA
70.33.163.128	70.33.180.39	US
70.33.180.40	70.33.180.47	CA
70.33.180.48	70.33.191.255	US
70.33.192.0	70.33.199.255	CA
70.33.200.0	70.33.203.255	CY
70.33.204.0	70.33.204.15	CA
70.33.204.16	70.33.204.23	US
70.33.204.24	70.33.204.63	CA
70.33.204.64	70.33.204.95	US
70.33.204.96	70.33.204.143	CA
70.33.204.144	70.33.204.151	US
70.33.204.152	70.33.204.207	CA
70.33.204.208	70.33.204.223	US
70.33.204.224	70.33.204.255	CA
70.33.205.0	70.33.205.31	US
70.33.205.32	70.33.205.199	CA
70.33.205.200	70.33.205.223	US
70.33.205.224	70.33.206.199	CA
70.33.206.200	70.33.206.239	US
70.33.206.240	70.33.207.167	CA
70.33.207.168	70.33.207.175	US
70.33.207.176	70.33.207.191	CA
70.33.207.192	70.33.207.255	US
70.33.208.0	70.33.211.255	CA
70.33.212.0	70.33.215.255	US
70.33.216.0	70.33.216.255	CA
70.33.217.0	70.33.217.127	US
70.33.217.128	70.33.217.223	CA
70.33.217.224	70.33.217.239	US
70.33.217.240	70.33.217.255	CA
70.33.218.0	70.33.218.255	US
70.33.219.0	70.33.240.55	CA
70.33.240.56	70.33.240.63	US
70.33.240.64	70.33.240.95	CA
70.33.240.96	70.33.240.127	US
70.33.240.128	70.33.240.191	GI
70.33.240.192	70.33.240.207	CA
70.33.240.208	70.33.240.215	GI
70.33.240.216	70.33.240.223	CA
70.33.240.224	70.33.240.255	US
70.33.241.0	70.33.241.15	CA
70.33.241.16	70.33.241.31	NZ
70.33.241.32	70.33.241.191	CA
70.33.241.192	70.33.241.223	US
70.33.241.224	70.33.247.255	CA
70.33.248.0	70.33.249.255	US
70.33.250.0	70.33.250.255	CR
70.33.251.0	70.34.111.255	US
70.34.112.0	70.34.127.255	CA
70.34.128.0	70.34.192.31	US
70.34.192.32	70.34.192.39	JM
70.34.192.40	70.34.192.47	US
70.34.192.48	70.34.192.63	TR
70.34.192.64	70.34.192.127	US
70.34.192.128	70.34.192.135	JM
70.34.192.136	70.34.192.143	US
70.34.192.144	70.34.192.191	TR
70.34.192.192	70.34.207.255	US
70.34.208.0	70.34.208.7	PK
70.34.208.8	70.34.208.31	US
70.34.208.32	70.34.208.39	IL
70.34.208.40	70.34.208.127	US
70.34.208.128	70.34.208.159	CA
70.34.208.160	70.34.208.255	US
70.34.209.0	70.34.209.255	AN
70.34.210.0	70.35.15.255	US
70.35.16.0	70.35.31.255	CA
70.35.32.0	70.35.127.255	US
70.35.128.0	70.35.143.255	PR
70.35.144.0	70.35.159.255	A2
70.35.160.0	70.35.175.255	CA
70.35.192.0	70.35.207.255	US
70.35.208.0	70.35.223.255	CA
70.35.224.0	70.35.255.255	US
70.36.0.0	70.36.15.255	PM
70.36.16.0	70.36.47.255	US
70.36.48.0	70.36.63.255	CA
70.36.64.0	70.37.255.255	US
70.38.0.0	70.38.4.7	CA
70.38.4.8	70.38.4.15	MX
70.38.4.16	70.38.4.31	CA
70.38.4.32	70.38.4.39	MX
70.38.4.40	70.38.6.23	CA
70.38.6.24	70.38.6.31	US
70.38.6.32	70.38.14.79	CA
70.38.14.80	70.38.14.87	KZ
70.38.14.88	70.38.49.191	CA
70.38.49.192	70.38.49.199	MX
70.38.49.200	70.38.55.103	CA
70.38.55.104	70.38.55.111	US
70.38.55.112	70.38.115.79	CA
70.38.115.80	70.38.115.87	NG
70.38.115.88	70.38.127.255	CA
70.38.128.0	70.39.141.255	US
70.39.142.0	70.39.142.31	GB
70.39.142.32	70.40.15.255	US
70.40.16.0	70.40.27.255	AG
70.40.28.0	70.40.105.255	US
70.40.106.0	70.40.106.255	GB
70.40.107.0	70.40.127.255	US
70.40.128.0	70.40.135.255	CA
70.40.136.0	70.40.143.255	US
70.40.144.0	70.40.159.255	CA
70.40.160.0	70.40.175.255	US
70.40.176.0	70.40.187.255	CA
70.40.188.0	70.42.25.223	US
70.42.25.224	70.42.25.231	CA
70.42.25.232	70.42.26.127	US
70.42.26.128	70.42.26.191	CA
70.42.26.192	70.42.26.223	US
70.42.26.224	70.42.26.255	CA
70.42.27.0	70.42.28.127	US
70.42.28.128	70.42.28.143	CA
70.42.28.144	70.42.29.255	US
70.42.30.0	70.42.31.255	CA
70.42.32.0	70.42.40.255	US
70.42.41.0	70.42.41.15	FR
70.42.41.16	70.42.47.23	US
70.42.47.24	70.42.47.31	GB
70.42.47.32	70.42.68.159	US
70.42.68.160	70.42.68.191	CZ
70.42.68.192	70.42.97.63	US
70.42.97.64	70.42.97.127	CA
70.42.97.128	70.42.117.79	US
70.42.117.80	70.42.117.87	GB
70.42.117.88	70.42.208.103	US
70.42.208.104	70.42.208.127	FR
70.42.208.128	70.44.255.255	US
70.45.0.0	70.45.255.255	PR
70.46.0.0	70.47.255.255	US
70.48.0.0	70.54.222.15	CA
70.54.222.16	70.54.222.23	US
70.54.222.24	70.55.255.255	CA
70.56.0.0	70.63.255.255	US
70.64.0.0	70.83.255.255	CA
70.84.0.0	70.158.179.255	US
70.158.180.0	70.158.180.127	A2
70.158.180.128	70.158.199.255	US
70.158.200.0	70.158.200.255	A2
70.158.201.0	70.159.15.255	US
70.159.16.0	70.159.16.255	A2
70.159.17.0	70.224.176.207	US
70.224.176.208	70.224.176.223	IN
70.224.176.224	70.240.141.255	US
70.240.142.0	70.240.142.15	UY
70.240.142.16	70.252.247.31	US
70.252.247.32	70.252.247.63	UA
70.252.247.64	71.7.127.255	US
71.7.128.0	71.7.255.255	CA
71.8.0.0	71.16.255.255	US
71.17.0.0	71.17.255.255	CA
71.18.0.0	71.18.255.255	US
71.19.0.0	71.19.127.255	CA
71.20.0.0	72.0.63.255	US
72.0.64.0	72.0.79.255	CA
72.0.80.0	72.0.191.255	US
72.0.192.0	72.0.223.255	CA
72.0.224.0	72.0.239.255	US
72.0.240.0	72.0.255.255	CA
72.1.0.0	72.1.100.255	US
72.1.101.0	72.1.101.255	CA
72.1.102.0	72.1.113.255	US
72.1.114.0	72.1.114.255	CA
72.1.115.0	72.1.191.255	US
72.1.192.0	72.1.208.191	CA
72.1.208.192	72.1.208.255	US
72.1.209.0	72.1.210.255	CA
72.1.211.0	72.1.211.63	US
72.1.211.64	72.1.223.255	CA
72.1.224.0	72.1.255.255	US
72.2.0.0	72.2.63.255	CA
72.2.64.0	72.3.131.255	US
72.3.132.0	72.3.132.63	GB
72.3.132.64	72.3.134.79	US
72.3.134.80	72.3.134.95	GB
72.3.134.96	72.3.134.119	US
72.3.134.120	72.3.134.127	GB
72.3.134.128	72.3.134.143	US
72.3.134.144	72.3.134.151	GB
72.3.134.152	72.3.136.23	US
72.3.136.24	72.3.136.31	CA
72.3.136.32	72.3.136.71	US
72.3.136.72	72.3.136.79	AU
72.3.136.80	72.3.136.111	US
72.3.136.112	72.3.136.119	NO
72.3.136.120	72.3.136.223	US
72.3.136.224	72.3.136.239	CA
72.3.136.240	72.3.136.247	US
72.3.136.248	72.3.136.255	BG
72.3.137.0	72.3.137.79	US
72.3.137.80	72.3.137.87	GB
72.3.137.88	72.3.137.127	US
72.3.137.128	72.3.137.135	GB
72.3.137.136	72.3.137.159	US
72.3.137.160	72.3.137.191	NO
72.3.137.192	72.3.137.215	US
72.3.137.216	72.3.137.223	IE
72.3.137.224	72.3.138.79	US
72.3.138.80	72.3.138.87	SG
72.3.138.88	72.3.138.159	US
72.3.138.160	72.3.138.167	AG
72.3.138.168	72.3.140.167	US
72.3.140.168	72.3.140.175	BM
72.3.140.176	72.3.141.103	US
72.3.141.104	72.3.141.111	GB
72.3.141.112	72.3.143.111	US
72.3.143.112	72.3.143.127	MY
72.3.143.128	72.3.143.135	US
72.3.143.136	72.3.143.143	CA
72.3.143.144	72.3.143.191	US
72.3.143.192	72.3.143.199	IL
72.3.143.200	72.3.144.111	US
72.3.144.112	72.3.144.127	MY
72.3.144.128	72.3.145.23	US
72.3.145.24	72.3.145.31	CA
72.3.145.32	72.3.145.111	US
72.3.145.112	72.3.145.127	AU
72.3.145.128	72.3.145.175	US
72.3.145.176	72.3.145.183	PA
72.3.145.184	72.3.146.63	US
72.3.146.64	72.3.146.79	CA
72.3.146.80	72.3.147.79	US
72.3.147.80	72.3.147.87	AU
72.3.147.88	72.3.147.143	US
72.3.147.144	72.3.147.151	CA
72.3.147.152	72.3.148.7	US
72.3.148.8	72.3.148.15	AU
72.3.148.16	72.3.148.39	US
72.3.148.40	72.3.148.47	AU
72.3.148.48	72.3.148.143	US
72.3.148.144	72.3.148.175	MY
72.3.148.176	72.3.153.31	US
72.3.153.32	72.3.153.47	MY
72.3.153.48	72.3.153.63	US
72.3.153.64	72.3.153.71	IN
72.3.153.72	72.3.153.119	US
72.3.153.120	72.3.153.127	GB
72.3.153.128	72.3.153.207	US
72.3.153.208	72.3.153.223	GB
72.3.153.224	72.3.154.119	US
72.3.154.120	72.3.154.127	CA
72.3.154.128	72.3.154.143	TH
72.3.154.144	72.3.154.175	US
72.3.154.176	72.3.154.191	BG
72.3.154.192	72.3.155.7	US
72.3.155.8	72.3.155.15	FR
72.3.155.16	72.3.155.31	GB
72.3.155.32	72.3.155.47	US
72.3.155.48	72.3.155.63	ID
72.3.155.64	72.3.156.47	US
72.3.156.48	72.3.156.55	AU
72.3.156.56	72.3.156.231	US
72.3.156.232	72.3.156.239	CA
72.3.156.240	72.3.157.255	US
72.3.158.0	72.3.158.7	CA
72.3.158.8	72.3.158.95	US
72.3.158.96	72.3.158.111	CA
72.3.158.112	72.3.159.159	US
72.3.159.160	72.3.159.167	CR
72.3.159.168	72.3.160.15	US
72.3.160.16	72.3.160.47	MY
72.3.160.48	72.3.160.55	US
72.3.160.56	72.3.160.63	AU
72.3.160.64	72.3.160.119	US
72.3.160.120	72.3.160.127	CA
72.3.160.128	72.3.161.143	US
72.3.161.144	72.3.161.151	AU
72.3.161.152	72.3.161.183	US
72.3.161.184	72.3.161.191	AU
72.3.161.192	72.3.161.255	US
72.3.162.0	72.3.162.7	AU
72.3.162.8	72.3.162.39	US
72.3.162.40	72.3.162.47	MX
72.3.162.48	72.3.162.151	US
72.3.162.152	72.3.162.159	CA
72.3.162.160	72.3.163.79	US
72.3.163.80	72.3.163.95	AU
72.3.163.96	72.3.163.151	US
72.3.163.152	72.3.163.159	BS
72.3.163.160	72.3.163.247	US
72.3.163.248	72.3.163.255	AU
72.3.164.0	72.3.164.135	US
72.3.164.136	72.3.164.143	ZA
72.3.164.144	72.3.164.159	US
72.3.164.160	72.3.164.175	FR
72.3.164.176	72.3.165.63	US
72.3.165.64	72.3.165.71	CA
72.3.165.72	72.3.165.159	US
72.3.165.160	72.3.165.175	IN
72.3.165.176	72.3.166.87	US
72.3.166.88	72.3.166.95	GB
72.3.166.96	72.3.166.135	US
72.3.166.136	72.3.166.143	CN
72.3.166.144	72.3.167.143	US
72.3.167.144	72.3.167.151	AU
72.3.167.152	72.3.167.175	US
72.3.167.176	72.3.167.191	MY
72.3.167.192	72.3.168.47	US
72.3.168.48	72.3.168.55	AU
72.3.168.56	72.3.168.175	US
72.3.168.176	72.3.168.183	CR
72.3.168.184	72.3.168.191	MY
72.3.168.192	72.3.170.87	US
72.3.170.88	72.3.170.95	MX
72.3.170.96	72.3.170.103	MY
72.3.170.104	72.3.170.143	US
72.3.170.144	72.3.170.167	CA
72.3.170.168	72.3.170.255	US
72.3.171.0	72.3.171.7	AU
72.3.171.8	72.3.171.231	US
72.3.171.232	72.3.171.239	CA
72.3.171.240	72.3.172.55	US
72.3.172.56	72.3.172.63	MC
72.3.172.64	72.3.172.79	US
72.3.172.80	72.3.172.95	BD
72.3.172.96	72.3.172.111	US
72.3.172.112	72.3.172.127	AU
72.3.172.128	72.3.173.191	US
72.3.173.192	72.3.173.199	FR
72.3.173.200	72.3.173.207	US
72.3.173.208	72.3.173.215	BS
72.3.173.216	72.3.174.111	US
72.3.174.112	72.3.174.183	BS
72.3.174.184	72.3.174.255	US
72.3.175.0	72.3.175.3	ID
72.3.175.4	72.3.175.103	US
72.3.175.104	72.3.175.111	IN
72.3.175.112	72.3.176.39	US
72.3.176.40	72.3.176.47	ES
72.3.176.48	72.3.177.63	US
72.3.177.64	72.3.177.71	GB
72.3.177.72	72.3.177.159	US
72.3.177.160	72.3.177.167	CA
72.3.177.168	72.3.177.255	US
72.3.178.0	72.3.178.15	MY
72.3.178.16	72.3.178.223	US
72.3.178.224	72.3.178.231	MY
72.3.178.232	72.3.179.23	US
72.3.179.24	72.3.179.31	CA
72.3.179.32	72.3.179.47	US
72.3.179.48	72.3.179.55	GB
72.3.179.56	72.3.179.151	US
72.3.179.152	72.3.179.159	MY
72.3.179.160	72.3.179.255	US
72.3.180.0	72.3.180.7	TW
72.3.180.8	72.3.180.15	US
72.3.180.16	72.3.180.47	MY
72.3.180.48	72.3.180.127	US
72.3.180.128	72.3.180.135	TW
72.3.180.136	72.3.180.255	US
72.3.181.0	72.3.181.15	GB
72.3.181.16	72.3.181.23	AU
72.3.181.24	72.3.181.63	US
72.3.181.64	72.3.181.79	JP
72.3.181.80	72.3.183.15	US
72.3.183.16	72.3.183.63	MY
72.3.183.64	72.3.184.79	US
72.3.184.80	72.3.184.87	AU
72.3.184.88	72.3.185.127	US
72.3.185.128	72.3.185.135	PR
72.3.185.136	72.3.186.231	US
72.3.186.232	72.3.186.239	NL
72.3.186.240	72.3.186.255	US
72.3.187.0	72.3.187.7	GB
72.3.187.8	72.3.187.15	US
72.3.187.16	72.3.187.23	JP
72.3.187.24	72.3.189.223	US
72.3.189.224	72.3.189.231	MX
72.3.189.232	72.3.189.239	CA
72.3.189.240	72.3.190.127	US
72.3.190.128	72.3.190.135	AU
72.3.190.136	72.3.190.151	US
72.3.190.152	72.3.190.159	MY
72.3.190.160	72.3.191.7	US
72.3.191.8	72.3.191.23	MY
72.3.191.24	72.3.191.63	US
72.3.191.64	72.3.191.71	CA
72.3.191.72	72.3.191.111	US
72.3.191.112	72.3.191.175	MY
72.3.191.176	72.3.191.191	US
72.3.191.192	72.3.191.207	IN
72.3.191.208	72.3.191.247	US
72.3.191.248	72.3.191.255	CO
72.3.192.0	72.3.192.95	US
72.3.192.96	72.3.192.111	MY
72.3.192.112	72.3.192.143	US
72.3.192.144	72.3.192.151	CA
72.3.192.152	72.3.193.135	US
72.3.193.136	72.3.193.143	CA
72.3.193.144	72.3.194.135	US
72.3.194.136	72.3.194.143	SG
72.3.194.144	72.3.194.159	US
72.3.194.160	72.3.194.167	GB
72.3.194.168	72.3.196.103	US
72.3.196.104	72.3.196.127	CA
72.3.196.128	72.3.199.79	US
72.3.199.80	72.3.199.87	AU
72.3.199.88	72.3.199.199	US
72.3.199.200	72.3.199.207	ZA
72.3.199.208	72.3.199.255	US
72.3.200.0	72.3.200.39	CA
72.3.200.40	72.3.200.103	US
72.3.200.104	72.3.200.111	CA
72.3.200.112	72.3.200.223	US
72.3.200.224	72.3.200.231	AU
72.3.200.232	72.3.200.239	US
72.3.200.240	72.3.200.247	AU
72.3.200.248	72.3.201.7	US
72.3.201.8	72.3.201.15	GB
72.3.201.16	72.3.202.111	US
72.3.202.112	72.3.202.127	NL
72.3.202.128	72.3.203.87	US
72.3.203.88	72.3.203.95	CA
72.3.203.96	72.3.203.103	AU
72.3.203.104	72.3.203.111	US
72.3.203.112	72.3.203.127	GB
72.3.203.128	72.3.203.159	US
72.3.203.160	72.3.203.175	GB
72.3.203.176	72.3.203.183	KR
72.3.203.184	72.3.205.159	US
72.3.205.160	72.3.205.167	AU
72.3.205.168	72.3.205.175	US
72.3.205.176	72.3.205.191	CA
72.3.205.192	72.3.206.31	US
72.3.206.32	72.3.206.47	AU
72.3.206.48	72.3.206.127	US
72.3.206.128	72.3.206.135	CO
72.3.206.136	72.3.207.23	US
72.3.207.24	72.3.207.31	CA
72.3.207.32	72.3.207.63	US
72.3.207.64	72.3.207.95	MY
72.3.207.96	72.3.207.207	US
72.3.207.208	72.3.207.223	MY
72.3.207.224	72.3.207.239	US
72.3.207.240	72.3.207.255	MY
72.3.208.0	72.3.208.135	US
72.3.208.136	72.3.208.143	AU
72.3.208.144	72.3.209.55	US
72.3.209.56	72.3.209.63	TH
72.3.209.64	72.3.209.199	US
72.3.209.200	72.3.209.207	GT
72.3.209.208	72.3.210.135	US
72.3.210.136	72.3.210.143	IN
72.3.210.144	72.3.210.151	HK
72.3.210.152	72.3.210.159	US
72.3.210.160	72.3.210.175	GB
72.3.210.176	72.3.211.127	US
72.3.211.128	72.3.211.175	GB
72.3.211.176	72.3.211.255	US
72.3.212.0	72.3.212.15	JP
72.3.212.16	72.3.212.79	US
72.3.212.80	72.3.212.87	CA
72.3.212.88	72.3.213.63	US
72.3.213.64	72.3.213.71	TR
72.3.213.72	72.3.215.39	US
72.3.215.40	72.3.215.47	JM
72.3.215.48	72.3.222.95	US
72.3.222.96	72.3.222.111	NG
72.3.222.112	72.3.223.135	US
72.3.223.136	72.3.223.143	CA
72.3.223.144	72.3.233.127	US
72.3.233.128	72.3.233.143	GB
72.3.233.144	72.3.235.47	US
72.3.235.48	72.3.235.55	CA
72.3.235.56	72.3.239.103	US
72.3.239.104	72.3.239.111	AE
72.3.239.112	72.3.241.175	US
72.3.241.176	72.3.241.183	HK
72.3.241.184	72.3.243.47	US
72.3.243.48	72.3.243.55	IN
72.3.243.56	72.3.246.23	US
72.3.246.24	72.3.246.31	AU
72.3.246.32	72.3.246.175	US
72.3.246.176	72.3.246.183	JP
72.3.246.184	72.3.251.239	US
72.3.251.240	72.3.251.247	AU
72.3.251.248	72.3.251.255	NZ
72.3.252.0	72.3.252.71	US
72.3.252.72	72.3.252.79	GB
72.3.252.80	72.4.111.255	US
72.4.112.0	72.4.112.7	CA
72.4.112.8	72.4.112.255	US
72.4.113.0	72.4.113.7	NL
72.4.113.8	72.4.113.87	US
72.4.113.88	72.4.113.95	GB
72.4.113.96	72.4.113.111	US
72.4.113.112	72.4.113.119	IN
72.4.113.120	72.4.115.63	US
72.4.115.64	72.4.115.71	CA
72.4.115.72	72.4.115.79	US
72.4.115.80	72.4.115.87	AU
72.4.115.88	72.4.116.23	US
72.4.116.24	72.4.116.31	GB
72.4.116.32	72.4.116.39	IL
72.4.116.40	72.4.116.55	ES
72.4.116.56	72.4.116.87	US
72.4.116.88	72.4.116.95	GB
72.4.116.96	72.4.116.103	BB
72.4.116.104	72.4.116.239	US
72.4.116.240	72.4.116.255	GB
72.4.117.0	72.4.117.31	US
72.4.117.32	72.4.117.47	GB
72.4.117.48	72.4.117.159	US
72.4.117.160	72.4.117.175	CA
72.4.117.176	72.4.117.191	GR
72.4.117.192	72.4.117.223	US
72.4.117.224	72.4.117.239	GB
72.4.117.240	72.4.117.255	IL
72.4.118.0	72.4.120.7	US
72.4.120.8	72.4.120.15	CA
72.4.120.16	72.4.121.31	US
72.4.121.32	72.4.121.63	AU
72.4.121.64	72.4.121.255	US
72.4.122.0	72.4.122.255	MX
72.4.123.0	72.4.124.159	US
72.4.124.160	72.4.124.175	IN
72.4.124.176	72.5.55.143	US
72.5.55.144	72.5.55.159	CA
72.5.55.160	72.5.180.255	US
72.5.181.0	72.5.181.255	GB
72.5.182.0	72.5.197.255	US
72.5.198.0	72.5.198.255	A2
72.5.199.0	72.8.133.255	US
72.8.134.0	72.8.134.63	MY
72.8.134.64	72.8.139.127	US
72.8.139.128	72.8.139.255	TR
72.8.140.0	72.8.140.255	CA
72.8.141.0	72.8.148.255	US
72.8.149.0	72.8.149.255	CA
72.8.150.0	72.8.155.255	US
72.8.156.0	72.8.156.127	GB
72.8.156.128	72.8.156.215	US
72.8.156.216	72.8.156.219	TR
72.8.156.220	72.8.157.127	US
72.8.157.128	72.8.157.255	TR
72.8.158.0	72.8.159.19	US
72.8.159.20	72.8.159.23	IT
72.8.159.24	72.8.163.255	US
72.8.164.0	72.8.164.255	CA
72.8.165.0	72.8.170.255	US
72.8.171.0	72.8.171.255	CA
72.8.172.0	72.8.172.255	VN
72.8.173.0	72.8.175.255	US
72.8.176.0	72.8.176.255	CA
72.8.177.0	72.8.187.255	US
72.8.188.0	72.8.188.255	CA
72.8.189.0	72.9.144.124	US
72.9.144.125	72.9.144.132	MA
72.9.144.133	72.9.144.179	US
72.9.144.180	72.9.144.187	AE
72.9.144.188	72.9.144.207	US
72.9.144.208	72.9.144.215	TR
72.9.144.216	72.9.145.30	US
72.9.145.31	72.9.145.40	TR
72.9.145.41	72.9.145.93	US
72.9.145.94	72.9.145.101	NZ
72.9.145.102	72.9.145.166	US
72.9.145.167	72.9.145.174	GB
72.9.145.175	72.9.145.179	US
72.9.145.180	72.9.145.187	CA
72.9.145.188	72.9.146.9	US
72.9.146.10	72.9.146.22	GB
72.9.146.23	72.9.146.119	US
72.9.146.120	72.9.146.127	BS
72.9.146.128	72.9.146.167	US
72.9.146.168	72.9.146.175	AF
72.9.146.176	72.9.146.176	US
72.9.146.177	72.9.146.204	CA
72.9.146.205	72.9.146.205	US
72.9.146.206	72.9.146.221	GB
72.9.146.222	72.9.146.224	US
72.9.146.225	72.9.146.240	GB
72.9.146.241	72.9.147.17	US
72.9.147.18	72.9.147.25	NZ
72.9.147.26	72.9.147.37	US
72.9.147.38	72.9.147.45	IN
72.9.147.46	72.9.147.67	US
72.9.147.68	72.9.147.75	EG
72.9.147.76	72.9.147.161	US
72.9.147.162	72.9.147.169	MX
72.9.147.170	72.9.147.179	US
72.9.147.180	72.9.147.187	EG
72.9.147.188	72.9.147.234	US
72.9.147.235	72.9.147.250	CN
72.9.147.251	72.9.148.57	US
72.9.148.58	72.9.148.65	GB
72.9.148.66	72.9.148.69	US
72.9.148.70	72.9.148.77	CA
72.9.148.78	72.9.148.81	US
72.9.148.82	72.9.148.89	GB
72.9.148.90	72.9.148.95	US
72.9.148.96	72.9.148.113	GB
72.9.148.114	72.9.148.114	US
72.9.148.115	72.9.148.122	GE
72.9.148.123	72.9.148.130	US
72.9.148.131	72.9.148.138	EG
72.9.148.139	72.9.148.154	US
72.9.148.155	72.9.148.162	TR
72.9.148.163	72.9.148.163	US
72.9.148.164	72.9.148.179	GB
72.9.148.180	72.9.148.193	TW
72.9.148.194	72.9.148.215	US
72.9.148.216	72.9.148.223	LK
72.9.148.224	72.9.148.224	US
72.9.148.225	72.9.148.240	GB
72.9.148.241	72.9.148.243	US
72.9.148.244	72.9.148.251	CN
72.9.148.252	72.9.149.109	US
72.9.149.110	72.9.149.117	MA
72.9.149.118	72.9.149.143	US
72.9.149.144	72.9.149.151	CN
72.9.149.152	72.9.149.159	EG
72.9.149.160	72.9.149.185	US
72.9.149.186	72.9.149.193	CA
72.9.149.194	72.9.149.208	US
72.9.149.209	72.9.149.216	CA
72.9.149.217	72.9.149.217	US
72.9.149.218	72.9.149.239	CN
72.9.149.240	72.9.150.97	US
72.9.150.98	72.9.150.105	PK
72.9.150.106	72.9.150.133	US
72.9.150.134	72.9.150.167	UY
72.9.150.168	72.9.150.168	US
72.9.150.169	72.9.150.200	GB
72.9.150.201	72.9.151.39	US
72.9.151.40	72.9.151.47	RU
72.9.151.48	72.9.151.59	US
72.9.151.60	72.9.151.67	CA
72.9.151.68	72.9.151.71	US
72.9.151.72	72.9.151.79	MA
72.9.151.80	72.9.151.179	US
72.9.151.180	72.9.151.187	CA
72.9.151.188	72.9.152.139	US
72.9.152.140	72.9.152.147	MO
72.9.152.148	72.9.152.149	US
72.9.152.150	72.9.152.157	PK
72.9.152.158	72.9.152.163	US
72.9.152.164	72.9.152.167	EG
72.9.152.168	72.9.152.175	US
72.9.152.176	72.9.152.188	AU
72.9.152.189	72.9.153.47	US
72.9.153.48	72.9.153.55	IN
72.9.153.56	72.9.153.184	US
72.9.153.185	72.9.153.216	GB
72.9.153.217	72.9.153.227	US
72.9.153.228	72.9.153.235	GB
72.9.153.236	72.9.154.19	US
72.9.154.20	72.9.154.39	PK
72.9.154.40	72.9.154.141	US
72.9.154.142	72.9.154.149	MO
72.9.154.150	72.9.154.153	US
72.9.154.154	72.9.154.161	TR
72.9.154.162	72.9.154.172	US
72.9.154.173	72.9.154.185	GB
72.9.154.186	72.9.154.189	US
72.9.154.190	72.9.154.200	GB
72.9.154.201	72.9.154.211	US
72.9.154.212	72.9.154.221	MO
72.9.154.222	72.9.155.9	US
72.9.155.10	72.9.155.17	CA
72.9.155.18	72.9.155.26	GB
72.9.155.27	72.9.155.100	US
72.9.155.101	72.9.155.109	GB
72.9.155.110	72.9.155.118	US
72.9.155.119	72.9.155.130	CA
72.9.155.131	72.9.156.9	US
72.9.156.10	72.9.156.17	CA
72.9.156.18	72.9.156.67	US
72.9.156.68	72.9.156.75	EG
72.9.156.76	72.9.157.9	US
72.9.157.10	72.9.157.17	GB
72.9.157.18	72.9.157.71	US
72.9.157.72	72.9.157.83	TR
72.9.157.84	72.9.158.33	US
72.9.158.34	72.9.158.41	MA
72.9.158.42	72.9.158.70	US
72.9.158.71	72.9.158.80	GB
72.9.158.81	72.9.158.146	US
72.9.158.147	72.9.158.178	GB
72.9.158.179	72.9.158.180	US
72.9.158.181	72.9.158.190	GB
72.9.158.191	72.9.158.221	US
72.9.158.222	72.9.158.229	SA
72.9.158.230	72.9.158.237	US
72.9.158.238	72.9.158.247	CN
72.9.158.248	72.9.159.11	US
72.9.159.12	72.9.159.28	GB
72.9.159.29	72.9.159.35	US
72.9.159.36	72.9.159.39	EG
72.9.159.40	72.9.159.40	US
72.9.159.41	72.9.159.43	EG
72.9.159.44	72.9.159.60	US
72.9.159.61	72.9.159.74	CA
72.9.159.75	72.9.159.77	US
72.9.159.78	72.9.159.85	EG
72.9.159.86	72.9.159.90	US
72.9.159.91	72.9.159.98	GB
72.9.159.99	72.9.159.128	US
72.9.159.129	72.9.159.159	GB
72.9.159.160	72.9.159.177	US
72.9.159.178	72.9.159.185	PH
72.9.159.186	72.9.159.255	US
72.9.160.0	72.9.191.255	CA
72.9.192.0	72.10.127.255	US
72.10.128.0	72.10.161.31	CA
72.10.161.32	72.10.161.63	US
72.10.161.64	72.10.161.95	CA
72.10.161.96	72.10.161.127	US
72.10.161.128	72.10.161.191	CA
72.10.161.192	72.10.161.223	US
72.10.161.224	72.10.161.255	CA
72.10.162.0	72.10.162.127	ID
72.10.162.128	72.10.162.159	US
72.10.162.160	72.10.162.191	CA
72.10.162.192	72.10.162.199	DO
72.10.162.200	72.10.162.207	PA
72.10.162.208	72.10.162.215	RS
72.10.162.216	72.10.162.223	UA
72.10.162.224	72.10.162.255	US
72.10.163.0	72.10.163.63	MY
72.10.163.64	72.10.163.71	UA
72.10.163.72	72.10.163.95	CA
72.10.163.96	72.10.163.127	US
72.10.163.128	72.10.163.255	MY
72.10.164.0	72.10.164.7	CA
72.10.164.8	72.10.164.15	LB
72.10.164.16	72.10.164.191	CA
72.10.164.192	72.10.164.207	MA
72.10.164.208	72.10.164.215	CA
72.10.164.216	72.10.164.223	MA
72.10.164.224	72.10.164.243	CA
72.10.164.244	72.10.164.247	SE
72.10.164.248	72.10.166.7	CA
72.10.166.8	72.10.166.15	CH
72.10.166.16	72.10.166.111	CA
72.10.166.112	72.10.166.119	MA
72.10.166.120	72.10.166.123	PA
72.10.166.124	72.10.166.127	CA
72.10.166.128	72.10.166.135	SE
72.10.166.136	72.10.166.143	CA
72.10.166.144	72.10.166.151	PH
72.10.166.152	72.10.167.55	CA
72.10.167.56	72.10.167.63	CH
72.10.167.64	72.10.167.111	CA
72.10.167.112	72.10.167.119	PA
72.10.167.120	72.10.167.159	CA
72.10.167.160	72.10.167.167	DO
72.10.167.168	72.10.167.191	CA
72.10.167.192	72.10.167.207	PA
72.10.167.208	72.10.167.255	CA
72.10.168.0	72.10.168.55	MA
72.10.168.56	72.10.168.63	CA
72.10.168.64	72.10.168.71	CN
72.10.168.72	72.10.168.95	MA
72.10.168.96	72.10.168.103	CA
72.10.168.104	72.10.168.111	DO
72.10.168.112	72.10.168.119	MA
72.10.168.120	72.10.168.127	CA
72.10.168.128	72.10.168.159	US
72.10.168.160	72.10.168.183	CA
72.10.168.184	72.10.168.191	FR
72.10.168.192	72.10.168.199	DO
72.10.168.200	72.10.168.207	CA
72.10.168.208	72.10.168.223	MA
72.10.168.224	72.10.168.239	CA
72.10.168.240	72.10.168.247	MA
72.10.168.248	72.10.168.255	CA
72.10.169.0	72.10.169.23	MA
72.10.169.24	72.10.169.47	CA
72.10.169.48	72.10.169.63	MA
72.10.169.64	72.10.169.71	CY
72.10.169.72	72.10.169.87	CA
72.10.169.88	72.10.169.95	KE
72.10.169.96	72.10.169.103	IL
72.10.169.104	72.10.169.127	CA
72.10.169.128	72.10.169.159	US
72.10.169.160	72.10.169.167	KE
72.10.169.168	72.10.169.175	CA
72.10.169.176	72.10.169.191	US
72.10.169.192	72.10.169.255	CA
72.10.170.0	72.10.171.79	US
72.10.171.80	72.10.171.87	MA
72.10.171.88	72.10.171.95	UA
72.10.171.96	72.10.171.111	CA
72.10.171.112	72.10.171.119	KE
72.10.171.120	72.10.171.127	RS
72.10.171.128	72.10.171.159	CA
72.10.171.160	72.10.171.167	MA
72.10.171.168	72.10.171.191	CA
72.10.171.192	72.10.171.199	DO
72.10.171.200	72.10.171.207	GB
72.10.171.208	72.10.172.159	CA
72.10.172.160	72.10.172.191	US
72.10.172.192	72.10.172.207	CN
72.10.172.208	72.10.172.223	CA
72.10.172.224	72.10.172.255	AE
72.10.173.0	72.10.173.127	CA
72.10.173.128	72.10.173.159	US
72.10.173.160	72.10.173.191	CA
72.10.173.192	72.10.173.199	CN
72.10.173.200	72.10.173.223	CA
72.10.173.224	72.10.173.255	US
72.10.174.0	72.10.174.63	PK
72.10.174.64	72.10.174.95	US
72.10.174.96	72.10.174.127	CA
72.10.174.128	72.10.174.191	AE
72.10.174.192	72.10.174.255	ID
72.10.175.0	72.10.175.31	CA
72.10.175.32	72.10.175.63	ID
72.10.175.64	72.10.175.79	CA
72.10.175.80	72.10.175.87	US
72.10.175.88	72.10.175.103	CA
72.10.175.104	72.10.175.111	UA
72.10.175.112	72.10.175.119	CA
72.10.175.120	72.10.175.127	ID
72.10.175.128	72.10.175.191	PK
72.10.175.192	72.11.159.255	US
72.11.160.0	72.11.191.255	CA
72.11.192.0	72.12.95.255	US
72.12.96.0	72.12.111.255	CA
72.12.112.0	72.12.127.255	US
72.12.128.0	72.12.191.255	CA
72.12.192.0	72.13.5.95	US
72.13.5.96	72.13.5.127	CA
72.13.5.128	72.13.12.95	US
72.13.12.96	72.13.12.127	CA
72.13.12.128	72.13.13.7	US
72.13.13.8	72.13.13.15	CA
72.13.13.16	72.13.81.199	US
72.13.81.200	72.13.81.207	CA
72.13.81.208	72.13.82.55	US
72.13.82.56	72.13.82.63	CN
72.13.82.64	72.13.82.95	US
72.13.82.96	72.13.82.111	IT
72.13.82.112	72.13.82.119	NZ
72.13.82.120	72.13.82.127	US
72.13.82.128	72.13.82.191	IN
72.13.82.192	72.13.83.7	US
72.13.83.8	72.13.83.15	CA
72.13.83.16	72.13.83.255	US
72.13.84.0	72.13.84.7	PR
72.13.84.8	72.13.159.255	US
72.13.160.0	72.13.191.255	CA
72.13.192.0	72.14.159.255	US
72.14.160.0	72.14.167.199	CA
72.14.167.200	72.14.167.207	US
72.14.167.208	72.14.175.255	CA
72.14.176.0	72.15.47.255	US
72.15.48.0	72.15.61.255	CA
72.15.62.0	72.15.127.255	US
72.15.128.0	72.15.146.223	CA
72.15.146.224	72.15.146.255	US
72.15.147.0	72.15.148.23	CA
72.15.148.24	72.15.148.31	US
72.15.148.32	72.15.159.255	CA
72.15.160.0	72.15.192.31	US
72.15.192.32	72.15.192.47	GB
72.15.192.48	72.15.206.127	US
72.15.206.128	72.15.206.143	CA
72.15.206.144	72.15.243.63	US
72.15.243.64	72.15.243.127	GB
72.15.243.128	72.18.195.188	US
72.18.195.189	72.18.195.190	ES
72.18.195.191	72.18.195.222	US
72.18.195.223	72.18.195.254	ES
72.18.195.255	72.18.196.3	US
72.18.196.4	72.18.196.19	MX
72.18.196.20	72.18.196.255	US
72.18.197.0	72.18.197.255	MX
72.18.198.0	72.18.199.3	US
72.18.199.4	72.18.199.19	MX
72.18.199.20	72.18.199.23	US
72.18.199.24	72.18.199.51	GR
72.18.199.52	72.18.201.195	US
72.18.201.196	72.18.201.227	CA
72.18.201.228	72.18.201.255	US
72.18.202.0	72.18.202.255	MX
72.18.203.0	72.20.1.231	US
72.20.1.232	72.20.1.239	CA
72.20.1.240	72.20.2.75	US
72.20.2.76	72.20.2.79	CA
72.20.2.80	72.20.2.135	US
72.20.2.136	72.20.2.139	CA
72.20.2.140	72.20.3.27	US
72.20.3.28	72.20.3.31	VN
72.20.3.32	72.20.3.55	US
72.20.3.56	72.20.3.59	CA
72.20.3.60	72.20.3.71	US
72.20.3.72	72.20.3.75	CA
72.20.3.76	72.20.4.167	US
72.20.4.168	72.20.4.171	IN
72.20.4.172	72.20.4.199	US
72.20.4.200	72.20.4.203	CA
72.20.4.204	72.20.4.207	US
72.20.4.208	72.20.4.211	TR
72.20.4.212	72.20.4.231	US
72.20.4.232	72.20.4.235	CA
72.20.4.236	72.20.5.139	US
72.20.5.140	72.20.5.143	CA
72.20.5.144	72.20.6.19	US
72.20.6.20	72.20.6.23	CA
72.20.6.24	72.20.6.63	US
72.20.6.64	72.20.6.67	TR
72.20.6.68	72.20.6.159	US
72.20.6.160	72.20.6.163	VN
72.20.6.164	72.20.6.195	US
72.20.6.196	72.20.6.199	GB
72.20.6.200	72.20.6.227	US
72.20.6.228	72.20.6.231	IT
72.20.6.232	72.20.16.255	US
72.20.17.0	72.20.17.127	CA
72.20.17.128	72.20.17.191	US
72.20.17.192	72.20.17.255	CA
72.20.18.0	72.20.22.6	US
72.20.22.7	72.20.22.7	MY
72.20.22.8	72.20.24.95	US
72.20.24.96	72.20.24.127	VN
72.20.24.128	72.20.25.127	US
72.20.25.128	72.20.25.135	BD
72.20.25.136	72.20.26.255	US
72.20.27.0	72.20.27.31	BD
72.20.27.32	72.20.28.135	US
72.20.28.136	72.20.28.143	BD
72.20.28.144	72.20.34.191	US
72.20.34.192	72.20.34.255	VN
72.20.35.0	72.20.38.191	US
72.20.38.192	72.20.38.255	VN
72.20.39.0	72.20.41.207	US
72.20.41.208	72.20.41.215	IT
72.20.41.216	72.20.42.223	US
72.20.42.224	72.20.42.255	CA
72.20.43.0	72.20.53.127	US
72.20.53.128	72.20.53.255	GB
72.20.54.0	72.21.46.255	US
72.21.47.0	72.21.47.255	GB
72.21.48.0	72.21.83.159	US
72.21.83.160	72.21.83.175	SI
72.21.83.176	72.21.89.159	US
72.21.89.160	72.21.89.175	SI
72.21.89.176	72.21.89.231	US
72.21.89.232	72.21.89.239	CN
72.21.89.240	72.22.127.255	US
72.22.128.0	72.22.137.255	BB
72.22.138.0	72.22.139.255	VC
72.22.140.0	72.22.153.255	BB
72.22.154.0	72.22.155.255	GD
72.22.156.0	72.22.159.255	BB
72.22.160.0	72.25.191.255	US
72.25.192.0	72.25.255.255	CA
72.26.0.0	72.26.255.255	US
72.27.0.0	72.27.223.255	JM
72.27.224.0	72.28.63.255	US
72.28.64.0	72.28.95.255	CA
72.28.96.0	72.28.255.255	US
72.29.0.0	72.29.0.31	IN
72.29.0.32	72.29.0.63	BE
72.29.0.64	72.29.1.95	US
72.29.1.96	72.29.1.127	BE
72.29.1.128	72.29.1.223	US
72.29.1.224	72.29.1.255	IN
72.29.2.0	72.29.2.255	US
72.29.3.0	72.29.3.31	CY
72.29.3.32	72.29.3.255	US
72.29.4.0	72.29.4.255	CA
72.29.5.0	72.29.6.127	US
72.29.6.128	72.29.6.255	FR
72.29.7.0	72.29.7.255	US
72.29.8.0	72.29.8.255	CA
72.29.9.0	72.29.11.255	US
72.29.12.0	72.29.12.255	CA
72.29.13.0	72.29.13.255	IN
72.29.14.0	72.29.14.255	US
72.29.15.0	72.29.16.255	CA
72.29.17.0	72.29.17.95	US
72.29.17.96	72.29.17.127	BE
72.29.17.128	72.29.17.159	US
72.29.17.160	72.29.17.191	BE
72.29.17.192	72.29.17.223	IN
72.29.17.224	72.29.21.127	US
72.29.21.128	72.29.21.255	IN
72.29.22.0	72.29.23.127	US
72.29.23.128	72.29.23.159	IN
72.29.23.160	72.29.23.191	US
72.29.23.192	72.29.23.223	BE
72.29.23.224	72.29.23.255	IN
72.29.24.0	72.29.25.255	US
72.29.26.0	72.29.26.255	IN
72.29.27.0	72.29.27.31	NZ
72.29.27.32	72.29.27.63	BE
72.29.27.64	72.29.27.127	US
72.29.27.128	72.29.27.159	BE
72.29.27.160	72.29.27.191	US
72.29.27.192	72.29.27.223	IN
72.29.27.224	72.29.27.255	US
72.29.28.0	72.29.28.255	CA
72.29.29.0	72.29.95.255	US
72.29.96.0	72.29.96.7	IT
72.29.96.8	72.29.96.15	ES
72.29.96.16	72.29.96.151	US
72.29.96.152	72.29.96.159	IT
72.29.96.160	72.29.97.191	US
72.29.97.192	72.29.97.199	AU
72.29.97.200	72.29.97.215	IT
72.29.97.216	72.29.97.239	US
72.29.97.240	72.29.97.247	IT
72.29.97.248	72.29.101.223	US
72.29.101.224	72.29.101.255	GB
72.29.102.0	72.29.118.191	US
72.29.118.192	72.29.118.255	AU
72.29.119.0	72.29.130.127	US
72.29.130.128	72.29.130.143	MX
72.29.130.144	72.29.223.255	US
72.29.224.0	72.29.255.255	CA
72.30.0.0	72.32.1.79	US
72.32.1.80	72.32.1.87	JM
72.32.1.88	72.32.1.95	US
72.32.1.96	72.32.1.111	DE
72.32.1.112	72.32.3.47	US
72.32.3.48	72.32.3.63	IN
72.32.3.64	72.32.3.95	US
72.32.3.96	72.32.3.111	NG
72.32.3.112	72.32.3.143	US
72.32.3.144	72.32.3.151	CA
72.32.3.152	72.32.4.151	US
72.32.4.152	72.32.4.159	IL
72.32.4.160	72.32.4.167	US
72.32.4.168	72.32.4.175	MX
72.32.4.176	72.32.4.183	GB
72.32.4.184	72.32.5.63	US
72.32.5.64	72.32.5.71	CA
72.32.5.72	72.32.5.175	US
72.32.5.176	72.32.5.183	CA
72.32.5.184	72.32.5.207	US
72.32.5.208	72.32.5.215	CA
72.32.5.216	72.32.7.119	US
72.32.7.120	72.32.7.127	AU
72.32.7.128	72.32.10.7	US
72.32.10.8	72.32.10.15	ES
72.32.10.16	72.32.11.255	US
72.32.12.0	72.32.12.15	GB
72.32.12.16	72.32.12.255	US
72.32.13.0	72.32.13.15	AE
72.32.13.16	72.32.14.63	US
72.32.14.64	72.32.14.71	IN
72.32.14.72	72.32.14.95	US
72.32.14.96	72.32.14.119	IL
72.32.14.120	72.32.15.79	US
72.32.15.80	72.32.15.95	CA
72.32.15.96	72.32.15.255	US
72.32.16.0	72.32.16.15	BR
72.32.16.16	72.32.16.39	US
72.32.16.40	72.32.16.47	AU
72.32.16.48	72.32.18.15	US
72.32.18.16	72.32.18.23	CA
72.32.18.24	72.32.18.55	US
72.32.18.56	72.32.18.63	IN
72.32.18.64	72.32.18.95	US
72.32.18.96	72.32.18.103	AU
72.32.18.104	72.32.18.151	US
72.32.18.152	72.32.18.159	HK
72.32.18.160	72.32.19.31	US
72.32.19.32	72.32.19.63	IL
72.32.19.64	72.32.19.79	US
72.32.19.80	72.32.19.87	IN
72.32.19.88	72.32.19.95	GB
72.32.19.96	72.32.19.159	US
72.32.19.160	72.32.19.167	GB
72.32.19.168	72.32.20.167	US
72.32.20.168	72.32.20.175	AU
72.32.20.176	72.32.20.183	US
72.32.20.184	72.32.20.191	CA
72.32.20.192	72.32.20.255	US
72.32.21.0	72.32.21.7	IN
72.32.21.8	72.32.21.15	US
72.32.21.16	72.32.21.23	NZ
72.32.21.24	72.32.22.127	US
72.32.22.128	72.32.22.143	IN
72.32.22.144	72.32.22.151	US
72.32.22.152	72.32.22.159	MX
72.32.22.160	72.32.23.223	US
72.32.23.224	72.32.23.239	ZA
72.32.23.240	72.32.23.255	IL
72.32.24.0	72.32.24.79	US
72.32.24.80	72.32.24.87	AU
72.32.24.88	72.32.24.127	US
72.32.24.128	72.32.24.135	CR
72.32.24.136	72.32.29.183	US
72.32.29.184	72.32.29.191	IE
72.32.29.192	72.32.30.143	US
72.32.30.144	72.32.30.151	AU
72.32.30.152	72.32.31.23	US
72.32.31.24	72.32.31.31	AU
72.32.31.32	72.32.32.55	US
72.32.32.56	72.32.32.63	KW
72.32.32.64	72.32.32.103	US
72.32.32.104	72.32.32.111	BR
72.32.32.112	72.32.32.127	US
72.32.32.128	72.32.32.135	CA
72.32.32.136	72.32.33.167	US
72.32.33.168	72.32.33.175	AU
72.32.33.176	72.32.34.127	US
72.32.34.128	72.32.34.135	IN
72.32.34.136	72.32.34.143	US
72.32.34.144	72.32.34.151	GB
72.32.34.152	72.32.34.159	US
72.32.34.160	72.32.34.167	GB
72.32.34.168	72.32.34.207	US
72.32.34.208	72.32.34.215	CA
72.32.34.216	72.32.34.255	US
72.32.35.0	72.32.35.15	IN
72.32.35.16	72.32.35.31	AU
72.32.35.32	72.32.35.39	IN
72.32.35.40	72.32.35.71	US
72.32.35.72	72.32.35.79	DO
72.32.35.80	72.32.35.87	US
72.32.35.88	72.32.35.95	GB
72.32.35.96	72.32.35.119	US
72.32.35.120	72.32.35.127	PA
72.32.35.128	72.32.35.159	US
72.32.35.160	72.32.35.191	AU
72.32.35.192	72.32.37.79	US
72.32.37.80	72.32.37.87	CA
72.32.37.88	72.32.37.111	US
72.32.37.112	72.32.37.119	IN
72.32.37.120	72.32.38.87	US
72.32.38.88	72.32.38.95	BM
72.32.38.96	72.32.39.119	US
72.32.39.120	72.32.39.143	CA
72.32.39.144	72.32.41.63	US
72.32.41.64	72.32.41.87	GB
72.32.41.88	72.32.42.79	US
72.32.42.80	72.32.42.87	AU
72.32.42.88	72.32.42.176	US
72.32.42.177	72.32.42.184	AU
72.32.42.185	72.32.43.255	US
72.32.44.0	72.32.44.15	IL
72.32.44.16	72.32.44.71	US
72.32.44.72	72.32.44.79	GB
72.32.44.80	72.32.44.183	US
72.32.44.184	72.32.44.191	CA
72.32.44.192	72.32.45.95	US
72.32.45.96	72.32.45.103	CA
72.32.45.104	72.32.45.119	US
72.32.45.120	72.32.45.127	MX
72.32.45.128	72.32.45.223	US
72.32.45.224	72.32.45.247	NO
72.32.45.248	72.32.46.63	US
72.32.46.64	72.32.46.79	CA
72.32.46.80	72.32.46.127	US
72.32.46.128	72.32.46.255	IL
72.32.47.0	72.32.47.23	US
72.32.47.24	72.32.47.31	IL
72.32.47.32	72.32.47.39	CA
72.32.47.40	72.32.47.167	US
72.32.47.168	72.32.47.191	AU
72.32.47.192	72.32.48.15	US
72.32.48.16	72.32.48.31	CA
72.32.48.32	72.32.48.167	US
72.32.48.168	72.32.48.175	AU
72.32.48.176	72.32.52.55	US
72.32.52.56	72.32.52.63	GB
72.32.52.64	72.32.52.159	US
72.32.52.160	72.32.52.167	IL
72.32.52.168	72.32.53.159	US
72.32.53.160	72.32.53.167	IL
72.32.53.168	72.32.53.231	US
72.32.53.232	72.32.53.239	CA
72.32.53.240	72.32.54.103	US
72.32.54.104	72.32.54.111	MX
72.32.54.112	72.32.54.175	US
72.32.54.176	72.32.54.183	GB
72.32.54.184	72.32.55.15	US
72.32.55.16	72.32.55.23	AU
72.32.55.24	72.32.55.79	US
72.32.55.80	72.32.55.87	BH
72.32.55.88	72.32.55.159	US
72.32.55.160	72.32.55.167	IN
72.32.55.168	72.32.55.175	US
72.32.55.176	72.32.55.183	JP
72.32.55.184	72.32.55.223	US
72.32.55.224	72.32.55.231	GB
72.32.55.232	72.32.55.255	US
72.32.56.0	72.32.56.127	GB
72.32.56.128	72.32.60.191	US
72.32.60.192	72.32.60.255	CA
72.32.61.0	72.32.61.199	US
72.32.61.200	72.32.61.207	NZ
72.32.61.208	72.32.61.239	US
72.32.61.240	72.32.61.247	GB
72.32.61.248	72.32.62.207	US
72.32.62.208	72.32.62.215	KW
72.32.62.216	72.32.64.111	US
72.32.64.112	72.32.64.119	DE
72.32.64.120	72.32.74.15	US
72.32.74.16	72.32.74.23	IN
72.32.74.24	72.32.75.135	US
72.32.75.136	72.32.75.143	CA
72.32.75.144	72.32.90.159	US
72.32.90.160	72.32.90.167	IT
72.32.90.168	72.32.90.175	BM
72.32.90.176	72.32.90.255	US
72.32.91.0	72.32.91.15	IN
72.32.91.16	72.32.91.79	US
72.32.91.80	72.32.91.111	GB
72.32.91.112	72.32.92.151	US
72.32.92.152	72.32.92.199	NL
72.32.92.200	72.32.93.103	US
72.32.93.104	72.32.93.111	CA
72.32.93.112	72.32.94.79	US
72.32.94.80	72.32.94.87	SV
72.32.94.88	72.32.95.63	US
72.32.95.64	72.32.95.79	CA
72.32.95.80	72.32.96.55	US
72.32.96.56	72.32.96.63	CR
72.32.96.64	72.32.97.23	US
72.32.97.24	72.32.97.31	PK
72.32.97.32	72.32.98.31	US
72.32.98.32	72.32.98.39	MX
72.32.98.40	72.32.98.47	US
72.32.98.48	72.32.98.55	MX
72.32.98.56	72.32.98.87	US
72.32.98.88	72.32.98.95	MX
72.32.98.96	72.32.98.119	US
72.32.98.120	72.32.98.127	AU
72.32.98.128	72.32.98.151	US
72.32.98.152	72.32.98.159	CA
72.32.98.160	72.32.98.255	US
72.32.99.0	72.32.99.7	IN
72.32.99.8	72.32.99.151	US
72.32.99.152	72.32.99.159	CA
72.32.99.160	72.32.100.143	US
72.32.100.144	72.32.100.159	AU
72.32.100.160	72.32.101.95	US
72.32.101.96	72.32.101.103	CA
72.32.101.104	72.32.102.15	US
72.32.102.16	72.32.102.23	AU
72.32.102.24	72.32.102.31	IN
72.32.102.32	72.32.102.159	US
72.32.102.160	72.32.102.175	GB
72.32.102.176	72.32.102.255	US
72.32.103.0	72.32.103.7	JP
72.32.103.8	72.32.105.135	US
72.32.105.136	72.32.105.151	IN
72.32.105.152	72.32.106.31	US
72.32.106.32	72.32.106.39	CA
72.32.106.40	72.32.106.143	US
72.32.106.144	72.32.106.151	IN
72.32.106.152	72.32.107.119	US
72.32.107.120	72.32.107.127	VE
72.32.107.128	72.32.107.167	US
72.32.107.168	72.32.107.175	NZ
72.32.107.176	72.32.108.7	US
72.32.108.8	72.32.108.15	BG
72.32.108.16	72.32.108.63	US
72.32.108.64	72.32.108.127	CA
72.32.108.128	72.32.109.103	US
72.32.109.104	72.32.109.111	AU
72.32.109.112	72.32.109.175	US
72.32.109.176	72.32.109.191	BD
72.32.109.192	72.32.116.103	US
72.32.116.104	72.32.116.111	GB
72.32.116.112	72.32.116.151	US
72.32.116.152	72.32.116.159	SE
72.32.116.160	72.32.116.183	US
72.32.116.184	72.32.116.191	SE
72.32.116.192	72.32.116.199	US
72.32.116.200	72.32.116.207	NZ
72.32.116.208	72.32.116.223	US
72.32.116.224	72.32.116.231	SE
72.32.116.232	72.32.119.127	US
72.32.119.128	72.32.119.135	GB
72.32.119.136	72.32.119.255	US
72.32.120.0	72.32.120.7	MX
72.32.120.8	72.32.125.255	US
72.32.126.0	72.32.126.7	GB
72.32.126.8	72.32.126.87	US
72.32.126.88	72.32.126.95	MX
72.32.126.96	72.32.129.95	US
72.32.129.96	72.32.129.127	CA
72.32.129.128	72.32.130.87	US
72.32.130.88	72.32.130.95	MX
72.32.130.96	72.32.131.47	US
72.32.131.48	72.32.131.55	AU
72.32.131.56	72.32.131.127	US
72.32.131.128	72.32.131.135	JM
72.32.131.136	72.32.131.143	US
72.32.131.144	72.32.131.159	CA
72.32.131.160	72.32.132.127	US
72.32.132.128	72.32.132.143	BD
72.32.132.144	72.32.133.15	US
72.32.133.16	72.32.133.31	BD
72.32.133.32	72.32.133.63	US
72.32.133.64	72.32.133.71	CA
72.32.133.72	72.32.133.143	US
72.32.133.144	72.32.133.151	AU
72.32.133.152	72.32.134.71	US
72.32.134.72	72.32.134.79	SG
72.32.134.80	72.32.134.127	US
72.32.134.128	72.32.134.143	CA
72.32.134.144	72.32.134.167	US
72.32.134.168	72.32.134.175	SR
72.32.134.176	72.32.135.87	US
72.32.135.88	72.32.135.95	AU
72.32.135.96	72.32.136.15	US
72.32.136.16	72.32.136.23	CA
72.32.136.24	72.32.136.159	US
72.32.136.160	72.32.136.167	AU
72.32.136.168	72.32.137.15	US
72.32.137.16	72.32.137.31	CA
72.32.137.32	72.32.137.63	US
72.32.137.64	72.32.137.71	CA
72.32.137.72	72.32.137.211	US
72.32.137.212	72.32.137.215	GB
72.32.137.216	72.32.138.255	US
72.32.139.0	72.32.139.255	ES
72.32.140.0	72.32.140.23	US
72.32.140.24	72.32.140.31	AU
72.32.140.32	72.32.140.39	CA
72.32.140.40	72.32.140.47	MX
72.32.140.48	72.32.140.63	US
72.32.140.64	72.32.140.95	GB
72.32.140.96	72.32.140.255	US
72.32.141.0	72.32.141.15	CA
72.32.141.16	72.32.142.87	US
72.32.142.88	72.32.142.95	ID
72.32.142.96	72.32.142.135	US
72.32.142.136	72.32.142.143	BR
72.32.142.144	72.32.143.95	US
72.32.143.96	72.32.143.111	MX
72.32.143.112	72.32.144.7	US
72.32.144.8	72.32.144.15	MY
72.32.144.16	72.32.144.71	US
72.32.144.72	72.32.144.79	CA
72.32.144.80	72.32.144.95	US
72.32.144.96	72.32.144.103	CA
72.32.144.104	72.32.144.111	AU
72.32.144.112	72.32.144.183	US
72.32.144.184	72.32.144.191	AU
72.32.144.192	72.32.145.23	US
72.32.145.24	72.32.145.31	AU
72.32.145.32	72.32.146.95	US
72.32.146.96	72.32.146.103	TT
72.32.146.104	72.32.147.71	US
72.32.147.72	72.32.147.79	GB
72.32.147.80	72.32.148.239	US
72.32.148.240	72.32.148.255	SG
72.32.149.0	72.32.149.95	US
72.32.149.96	72.32.149.103	GB
72.32.149.104	72.32.149.111	US
72.32.149.112	72.32.149.119	GB
72.32.149.120	72.32.150.159	US
72.32.150.160	72.32.150.167	GB
72.32.150.168	72.32.151.143	US
72.32.151.144	72.32.151.159	IN
72.32.151.160	72.32.151.167	NZ
72.32.151.168	72.32.152.95	US
72.32.152.96	72.32.152.111	GB
72.32.152.112	72.32.153.63	US
72.32.153.64	72.32.153.79	IN
72.32.153.80	72.32.153.87	US
72.32.153.88	72.32.153.95	GB
72.32.153.96	72.32.154.167	US
72.32.154.168	72.32.154.175	GB
72.32.154.176	72.32.155.159	US
72.32.155.160	72.32.155.167	MX
72.32.155.168	72.32.155.175	US
72.32.155.176	72.32.155.191	DE
72.32.155.192	72.32.156.231	US
72.32.156.232	72.32.156.239	CA
72.32.156.240	72.32.157.255	US
72.32.158.0	72.32.158.7	GB
72.32.158.8	72.32.158.151	US
72.32.158.152	72.32.158.159	MX
72.32.158.160	72.32.158.183	US
72.32.158.184	72.32.158.191	IE
72.32.158.192	72.32.159.7	US
72.32.159.8	72.32.159.15	ZA
72.32.159.16	72.32.159.159	US
72.32.159.160	72.32.159.167	GB
72.32.159.168	72.32.159.247	US
72.32.159.248	72.32.159.255	GB
72.32.160.0	72.32.160.119	US
72.32.160.120	72.32.160.127	GB
72.32.160.128	72.32.161.79	US
72.32.161.80	72.32.161.87	CA
72.32.161.88	72.32.161.191	US
72.32.161.192	72.32.161.199	IL
72.32.161.200	72.32.161.207	US
72.32.161.208	72.32.161.223	CA
72.32.161.224	72.32.162.39	US
72.32.162.40	72.32.162.47	IN
72.32.162.48	72.32.162.143	US
72.32.162.144	72.32.162.151	CA
72.32.162.152	72.32.163.95	US
72.32.163.96	72.32.163.103	SG
72.32.163.104	72.32.163.183	US
72.32.163.184	72.32.163.191	NZ
72.32.163.192	72.32.164.55	US
72.32.164.56	72.32.164.63	BO
72.32.164.64	72.32.164.87	US
72.32.164.88	72.32.164.95	CN
72.32.164.96	72.32.165.15	US
72.32.165.16	72.32.165.31	CA
72.32.165.32	72.32.166.183	US
72.32.166.184	72.32.166.199	AE
72.32.166.200	72.32.167.39	US
72.32.167.40	72.32.167.47	BG
72.32.167.48	72.32.167.55	US
72.32.167.56	72.32.167.63	MX
72.32.167.64	72.32.167.127	US
72.32.167.128	72.32.167.135	CA
72.32.167.136	72.32.167.239	US
72.32.167.240	72.32.167.255	AU
72.32.168.0	72.32.168.71	US
72.32.168.72	72.32.168.79	NZ
72.32.168.80	72.32.168.167	US
72.32.168.168	72.32.168.183	GB
72.32.168.184	72.32.168.255	US
72.32.169.0	72.32.169.7	MT
72.32.169.8	72.32.169.135	US
72.32.169.136	72.32.169.143	MT
72.32.169.144	72.32.170.7	US
72.32.170.8	72.32.170.15	CA
72.32.170.16	72.32.170.31	PK
72.32.170.32	72.32.170.63	CA
72.32.170.64	72.32.170.135	US
72.32.170.136	72.32.170.143	AU
72.32.170.144	72.32.170.239	US
72.32.170.240	72.32.170.255	CA
72.32.171.0	72.32.171.151	US
72.32.171.152	72.32.171.159	NZ
72.32.171.160	72.32.173.31	US
72.32.173.32	72.32.173.47	GB
72.32.173.48	72.32.174.15	US
72.32.174.16	72.32.174.31	MY
72.32.174.32	72.32.174.63	US
72.32.174.64	72.32.174.71	IE
72.32.174.72	72.32.174.79	IL
72.32.174.80	72.32.175.55	US
72.32.175.56	72.32.175.63	AU
72.32.175.64	72.32.175.223	US
72.32.175.224	72.32.175.239	GB
72.32.175.240	72.32.176.119	US
72.32.176.120	72.32.176.127	CA
72.32.176.128	72.32.178.127	US
72.32.178.128	72.32.178.135	AU
72.32.178.136	72.32.180.31	US
72.32.180.32	72.32.180.39	CA
72.32.180.40	72.32.188.231	US
72.32.188.232	72.32.188.239	SE
72.32.188.240	72.32.200.63	US
72.32.200.64	72.32.200.71	MO
72.32.200.72	72.32.201.135	US
72.32.201.136	72.32.201.143	IN
72.32.201.144	72.32.201.175	US
72.32.201.176	72.32.201.183	CA
72.32.201.184	72.32.201.191	IL
72.32.201.192	72.32.201.199	US
72.32.201.200	72.32.201.207	CA
72.32.201.208	72.32.202.7	US
72.32.202.8	72.32.202.15	PR
72.32.202.16	72.32.202.215	US
72.32.202.216	72.32.202.223	GB
72.32.202.224	72.32.203.231	US
72.32.203.232	72.32.203.239	AU
72.32.203.240	72.32.203.247	GB
72.32.203.248	72.32.205.63	US
72.32.205.64	72.32.205.71	DK
72.32.205.72	72.32.205.79	IL
72.32.205.80	72.32.205.87	CA
72.32.205.88	72.32.205.159	US
72.32.205.160	72.32.205.167	FI
72.32.205.168	72.32.207.55	US
72.32.207.56	72.32.207.63	IL
72.32.207.64	72.32.207.71	GB
72.32.207.72	72.32.207.79	IN
72.32.207.80	72.32.207.239	US
72.32.207.240	72.32.207.247	BB
72.32.207.248	72.32.212.31	US
72.32.212.32	72.32.212.39	GB
72.32.212.40	72.32.212.119	US
72.32.212.120	72.32.212.127	CA
72.32.212.128	72.32.213.47	US
72.32.213.48	72.32.213.55	VG
72.32.213.56	72.32.213.63	US
72.32.213.64	72.32.213.71	AU
72.32.213.72	72.32.215.255	US
72.32.216.0	72.32.216.7	CA
72.32.216.8	72.32.216.39	US
72.32.216.40	72.32.216.47	IL
72.32.216.48	72.32.217.199	US
72.32.217.200	72.32.217.207	ZA
72.32.217.208	72.32.218.167	US
72.32.218.168	72.32.218.175	CA
72.32.218.176	72.32.218.215	US
72.32.218.216	72.32.218.223	PY
72.32.218.224	72.32.219.47	US
72.32.219.48	72.32.219.55	MX
72.32.219.56	72.32.219.71	US
72.32.219.72	72.32.219.79	LT
72.32.219.80	72.32.219.87	IN
72.32.219.88	72.32.220.31	US
72.32.220.32	72.32.220.39	CA
72.32.220.40	72.32.220.71	US
72.32.220.72	72.32.220.79	BR
72.32.220.80	72.32.220.111	US
72.32.220.112	72.32.220.119	CA
72.32.220.120	72.32.221.255	US
72.32.222.0	72.32.222.15	CA
72.32.222.16	72.32.222.79	US
72.32.222.80	72.32.222.95	GB
72.32.222.96	72.32.223.199	US
72.32.223.200	72.32.223.207	IE
72.32.223.208	72.32.224.47	US
72.32.224.48	72.32.224.55	CR
72.32.224.56	72.32.224.103	US
72.32.224.104	72.32.224.111	MY
72.32.224.112	72.32.224.119	US
72.32.224.120	72.32.224.127	HN
72.32.224.128	72.32.224.231	US
72.32.224.232	72.32.224.239	AU
72.32.224.240	72.32.225.47	US
72.32.225.48	72.32.225.63	AU
72.32.225.64	72.32.225.135	US
72.32.225.136	72.32.225.143	GB
72.32.225.144	72.32.225.167	US
72.32.225.168	72.32.225.175	AU
72.32.225.176	72.32.225.183	CL
72.32.225.184	72.32.225.191	AU
72.32.225.192	72.32.225.199	US
72.32.225.200	72.32.225.207	BB
72.32.225.208	72.32.225.247	US
72.32.225.248	72.32.225.255	AU
72.32.226.0	72.32.226.63	US
72.32.226.64	72.32.226.71	CA
72.32.226.72	72.32.226.151	US
72.32.226.152	72.32.226.159	ZA
72.32.226.160	72.32.226.199	US
72.32.226.200	72.32.226.215	MT
72.32.226.216	72.32.227.15	US
72.32.227.16	72.32.227.23	AU
72.32.227.24	72.32.227.175	US
72.32.227.176	72.32.227.183	AU
72.32.227.184	72.32.228.7	US
72.32.228.8	72.32.228.15	AU
72.32.228.16	72.32.228.63	US
72.32.228.64	72.32.228.71	AU
72.32.228.72	72.32.228.127	US
72.32.228.128	72.32.228.135	GB
72.32.228.136	72.32.228.159	US
72.32.228.160	72.32.228.167	AU
72.32.228.168	72.32.229.7	US
72.32.229.8	72.32.229.15	GB
72.32.229.16	72.32.229.143	US
72.32.229.144	72.32.229.151	IN
72.32.229.152	72.32.229.167	US
72.32.229.168	72.32.229.175	AU
72.32.229.176	72.32.229.215	US
72.32.229.216	72.32.229.247	BB
72.32.229.248	72.32.230.7	US
72.32.230.8	72.32.230.15	CA
72.32.230.16	72.32.230.135	US
72.32.230.136	72.32.230.143	AU
72.32.230.144	72.32.230.207	US
72.32.230.208	72.32.230.215	GB
72.32.230.216	72.32.231.71	US
72.32.231.72	72.32.231.79	GB
72.32.231.80	72.32.232.159	US
72.32.232.160	72.32.232.167	IN
72.32.232.168	72.32.233.23	US
72.32.233.24	72.32.233.31	CA
72.32.233.32	72.32.233.71	US
72.32.233.72	72.32.233.79	GB
72.32.233.80	72.32.233.175	US
72.32.233.176	72.32.233.183	PR
72.32.233.184	72.32.234.63	US
72.32.234.64	72.32.234.71	AU
72.32.234.72	72.32.234.79	GB
72.32.234.80	72.32.234.87	NG
72.32.234.88	72.32.234.255	US
72.32.235.0	72.32.235.7	GB
72.32.235.8	72.32.236.71	US
72.32.236.72	72.32.236.79	CA
72.32.236.80	72.32.237.191	US
72.32.237.192	72.32.237.223	CA
72.32.237.224	72.32.237.255	US
72.32.238.0	72.32.238.7	IN
72.32.238.8	72.32.238.15	GB
72.32.238.16	72.32.238.23	AE
72.32.238.24	72.32.238.239	US
72.32.238.240	72.32.238.247	CA
72.32.238.248	72.32.238.255	US
72.32.239.0	72.32.239.7	TH
72.32.239.8	72.32.239.135	US
72.32.239.136	72.32.239.143	GB
72.32.239.144	72.32.240.47	US
72.32.240.48	72.32.240.55	NZ
72.32.240.56	72.32.240.95	US
72.32.240.96	72.32.240.111	TH
72.32.240.112	72.32.241.31	US
72.32.241.32	72.32.241.39	AU
72.32.241.40	72.32.241.255	US
72.32.242.0	72.32.242.7	IN
72.32.242.8	72.32.242.31	US
72.32.242.32	72.32.242.47	IN
72.32.242.48	72.32.242.231	US
72.32.242.232	72.32.242.239	BR
72.32.242.240	72.32.243.207	US
72.32.243.208	72.32.243.223	GB
72.32.243.224	72.32.244.15	US
72.32.244.16	72.32.244.23	CA
72.32.244.24	72.32.244.87	US
72.32.244.88	72.32.244.95	MY
72.32.244.96	72.32.244.143	US
72.32.244.144	72.32.244.151	AN
72.32.244.152	72.32.244.159	MX
72.32.244.160	72.32.245.127	US
72.32.245.128	72.32.245.135	MX
72.32.245.136	72.32.246.143	US
72.32.246.144	72.32.246.151	CA
72.32.246.152	72.32.247.71	US
72.32.247.72	72.32.247.79	IN
72.32.247.80	72.32.250.143	US
72.32.250.144	72.32.250.151	MY
72.32.250.152	72.32.250.191	US
72.32.250.192	72.32.250.199	MX
72.32.250.200	72.32.251.31	US
72.32.251.32	72.32.251.39	IN
72.32.251.40	72.32.251.63	US
72.32.251.64	72.32.251.79	AU
72.32.251.80	72.32.251.119	US
72.32.251.120	72.32.251.127	BR
72.32.251.128	72.32.254.159	US
72.32.254.160	72.32.254.175	MO
72.32.254.176	72.32.255.47	US
72.32.255.48	72.32.255.55	CA
72.32.255.56	72.32.255.79	US
72.32.255.80	72.32.255.87	MX
72.32.255.88	72.34.255.255	US
72.35.0.0	72.35.5.111	CA
72.35.5.112	72.35.5.127	NZ
72.35.5.128	72.35.31.255	CA
72.35.32.0	72.36.156.255	US
72.36.157.0	72.36.157.255	ES
72.36.158.0	72.36.186.191	US
72.36.186.192	72.36.186.255	GB
72.36.187.0	72.37.131.255	US
72.37.132.0	72.37.132.31	SG
72.37.132.32	72.37.166.159	US
72.37.166.160	72.37.166.191	JP
72.37.166.192	72.37.255.255	US
72.38.0.0	72.38.73.135	CA
72.38.73.136	72.38.73.159	US
72.38.73.160	72.39.255.255	CA
72.40.0.0	72.44.70.151	US
72.44.70.152	72.44.70.159	GB
72.44.70.160	72.44.74.111	US
72.44.74.112	72.44.74.119	GB
72.44.74.120	72.44.86.110	US
72.44.86.111	72.44.86.118	MY
72.44.86.119	72.44.91.3	US
72.44.91.4	72.44.91.11	CL
72.44.91.12	72.45.63.255	US
72.45.64.0	72.45.127.255	CA
72.45.128.0	72.46.223.255	US
72.46.224.0	72.46.224.255	BB
72.46.225.0	72.46.226.159	US
72.46.226.160	72.46.226.191	VE
72.46.226.192	72.46.226.207	US
72.46.226.208	72.46.226.223	DO
72.46.226.224	72.46.229.255	US
72.46.230.0	72.46.231.255	CO
72.46.232.0	72.46.239.255	US
72.46.240.0	72.46.240.15	PR
72.46.240.16	72.46.240.63	US
72.46.240.64	72.46.240.127	CA
72.46.240.128	72.46.240.143	US
72.46.240.144	72.46.240.175	CR
72.46.240.176	72.46.240.191	CH
72.46.240.192	72.46.241.127	US
72.46.241.128	72.46.241.191	EC
72.46.241.192	72.46.244.31	US
72.46.244.32	72.46.244.47	BO
72.46.244.48	72.46.244.55	US
72.46.244.56	72.46.244.63	JM
72.46.244.64	72.46.244.79	GT
72.46.244.80	72.46.245.63	US
72.46.245.64	72.46.245.127	BR
72.46.245.128	72.46.247.15	US
72.46.247.16	72.46.247.31	CR
72.46.247.32	72.46.247.79	US
72.46.247.80	72.46.247.95	UY
72.46.247.96	72.46.247.239	US
72.46.247.240	72.46.247.255	AR
72.46.248.0	72.46.249.31	US
72.46.249.32	72.46.249.47	CR
72.46.249.48	72.46.249.55	BB
72.46.249.56	72.46.249.59	TT
72.46.249.60	72.46.249.111	US
72.46.249.112	72.46.249.127	TT
72.46.249.128	72.46.251.255	US
72.46.252.0	72.46.252.255	CY
72.46.253.0	72.46.253.111	US
72.46.253.112	72.46.253.127	RU
72.46.253.128	72.46.255.15	US
72.46.255.16	72.46.255.31	A2
72.46.255.32	72.46.255.63	US
72.46.255.64	72.46.255.79	BM
72.46.255.80	72.46.255.191	US
72.46.255.192	72.46.255.207	BR
72.46.255.208	72.49.255.255	US
72.50.0.0	72.50.127.255	PR
72.50.128.0	72.51.7.255	US
72.51.8.0	72.51.8.223	CA
72.51.8.224	72.51.8.255	US
72.51.9.0	72.51.9.127	CA
72.51.9.128	72.51.9.159	NL
72.51.9.160	72.51.10.255	CA
72.51.11.0	72.51.11.63	GB
72.51.11.64	72.51.11.95	US
72.51.11.96	72.51.11.255	CA
72.51.12.0	72.51.15.255	US
72.51.16.0	72.51.16.127	NL
72.51.16.128	72.51.18.255	US
72.51.19.0	72.51.19.127	CA
72.51.19.128	72.51.24.127	US
72.51.24.128	72.51.24.143	CA
72.51.24.144	72.51.24.159	BV
72.51.24.160	72.51.25.255	CA
72.51.26.0	72.51.26.15	KN
72.51.26.16	72.51.26.63	CA
72.51.26.64	72.51.26.71	US
72.51.26.72	72.51.26.79	CA
72.51.26.80	72.51.26.95	US
72.51.26.96	72.51.26.111	MX
72.51.26.112	72.51.26.127	GB
72.51.26.128	72.51.26.159	CA
72.51.26.160	72.51.26.175	VG
72.51.26.176	72.51.26.191	CA
72.51.26.192	72.51.26.207	BV
72.51.26.208	72.51.27.255	CA
72.51.28.0	72.51.28.255	US
72.51.29.0	72.51.31.255	CA
72.51.32.0	72.51.48.207	US
72.51.48.208	72.51.48.223	CA
72.51.48.224	72.51.48.239	US
72.51.48.240	72.51.48.247	CA
72.51.48.248	72.51.49.207	US
72.51.49.208	72.51.49.239	CA
72.51.49.240	72.51.50.175	US
72.51.50.176	72.51.50.191	CA
72.51.50.192	72.51.53.255	US
72.51.54.0	72.51.55.255	CA
72.51.56.0	72.51.56.255	US
72.51.57.0	72.51.58.255	CA
72.51.59.0	72.51.60.255	US
72.51.61.0	72.51.61.255	CA
72.51.62.0	72.51.63.255	US
72.51.64.0	72.51.75.255	BB
72.51.76.0	72.51.79.255	VC
72.51.80.0	72.51.80.255	BB
72.51.81.0	72.51.86.255	GD
72.51.87.0	72.51.89.255	VC
72.51.90.0	72.51.121.255	BB
72.51.122.0	72.51.123.255	VC
72.51.124.0	72.51.124.255	GD
72.51.125.0	72.51.127.255	VG
72.51.128.0	72.51.255.255	US
72.52.0.0	72.52.0.63	EE
72.52.0.64	72.52.0.71	GB
72.52.0.72	72.52.0.79	US
72.52.0.80	72.52.0.95	CH
72.52.0.96	72.52.0.191	US
72.52.0.192	72.52.0.255	GB
72.52.1.0	72.52.1.255	GI
72.52.2.0	72.52.2.255	CA
72.52.3.0	72.52.3.255	CY
72.52.4.0	72.52.65.215	US
72.52.65.216	72.52.65.223	GB
72.52.65.224	72.52.80.79	US
72.52.80.80	72.52.80.95	AE
72.52.80.96	72.52.82.255	US
72.52.83.0	72.52.83.15	IT
72.52.83.16	72.52.93.223	US
72.52.93.224	72.52.93.255	CN
72.52.94.0	72.52.94.255	US
72.52.95.0	72.52.95.255	IT
72.52.96.0	72.52.98.79	US
72.52.98.80	72.52.98.95	IT
72.52.98.96	72.52.98.127	GB
72.52.98.128	72.52.99.15	US
72.52.99.16	72.52.99.31	IT
72.52.99.32	72.52.100.255	US
72.52.101.0	72.52.101.31	AU
72.52.101.32	72.52.101.47	IT
72.52.101.48	72.52.104.15	US
72.52.104.16	72.52.104.31	ES
72.52.104.32	72.52.106.191	US
72.52.106.192	72.52.107.255	IT
72.52.108.0	72.52.155.189	US
72.52.155.190	72.52.155.229	MX
72.52.155.230	72.52.178.255	US
72.52.179.0	72.52.179.255	CA
72.52.180.0	72.52.203.97	US
72.52.203.98	72.52.203.105	CA
72.52.203.106	72.52.255.255	US
72.53.0.0	72.53.159.255	CA
72.53.160.0	72.55.127.255	US
72.55.128.0	72.55.191.255	CA
72.55.192.0	72.135.255.255	US
72.136.0.0	72.143.255.255	CA
72.144.0.0	72.164.95.31	US
72.164.95.32	72.164.95.39	A2
72.164.95.40	72.165.19.255	US
72.165.20.0	72.165.20.255	SG
72.165.21.0	72.166.57.127	US
72.166.57.128	72.166.57.159	PR
72.166.57.160	72.172.83.127	US
72.172.83.128	72.172.83.143	IN
72.172.83.144	72.172.84.71	US
72.172.84.72	72.172.84.79	CA
72.172.84.80	72.172.95.255	US
72.172.96.0	72.172.127.255	CA
72.172.128.0	72.172.159.255	US
72.172.160.0	72.172.175.255	CA
72.172.176.0	72.172.227.191	US
72.172.227.192	72.172.227.207	CA
72.172.227.208	72.172.229.255	US
72.172.230.0	72.172.230.127	AU
72.172.230.128	72.172.248.63	US
72.172.248.64	72.172.248.127	GR
72.172.248.128	72.232.72.151	US
72.232.72.152	72.232.73.62	ES
72.232.73.63	72.232.129.255	US
72.232.130.0	72.232.130.255	ES
72.232.131.0	72.232.139.255	US
72.232.140.0	72.232.140.255	GB
72.232.141.0	72.232.153.255	US
72.232.154.0	72.232.154.255	ES
72.232.155.0	72.232.173.255	US
72.232.174.0	72.232.174.255	ES
72.232.175.0	72.232.175.63	US
72.232.175.64	72.232.175.255	ES
72.232.176.0	72.232.230.127	US
72.232.230.128	72.232.230.255	BR
72.232.231.0	72.233.17.255	US
72.233.18.0	72.233.18.255	ES
72.233.19.0	72.233.37.255	US
72.233.38.0	72.233.38.127	ES
72.233.38.128	72.233.57.127	US
72.233.57.128	72.233.57.191	BR
72.233.57.192	72.233.109.255	US
72.233.110.0	72.233.110.127	MX
72.233.110.128	72.248.255.255	US
72.249.0.0	72.249.0.7	GB
72.249.0.8	72.249.0.95	US
72.249.0.96	72.249.0.127	MY
72.249.0.128	72.249.0.167	US
72.249.0.168	72.249.0.175	CA
72.249.0.176	72.249.1.87	US
72.249.1.88	72.249.1.95	GB
72.249.1.96	72.249.2.71	US
72.249.2.72	72.249.2.79	AU
72.249.2.80	72.249.3.31	US
72.249.3.32	72.249.3.39	CH
72.249.3.40	72.249.29.255	US
72.249.30.0	72.249.31.255	GB
72.249.32.0	72.249.33.255	US
72.249.34.0	72.249.34.255	CA
72.249.35.0	72.249.47.255	US
72.249.48.0	72.249.49.255	GB
72.249.50.0	72.249.50.255	CA
72.249.51.0	72.249.54.255	US
72.249.55.0	72.249.55.255	CA
72.249.56.0	72.249.67.255	US
72.249.68.0	72.249.68.255	VN
72.249.69.0	72.249.71.255	US
72.249.72.0	72.249.73.255	CA
72.249.74.0	72.249.83.255	US
72.249.84.0	72.249.84.255	CA
72.249.85.0	72.249.98.255	US
72.249.99.0	72.249.99.7	CA
72.249.99.8	72.249.105.255	US
72.249.106.0	72.249.107.255	GB
72.249.108.0	72.249.129.23	US
72.249.129.24	72.249.129.31	MX
72.249.129.32	72.249.129.207	US
72.249.129.208	72.249.129.215	CA
72.249.129.216	72.249.131.255	US
72.249.132.0	72.249.133.255	CA
72.249.134.0	72.249.134.7	GB
72.249.134.8	72.249.136.79	US
72.249.136.80	72.249.136.95	AU
72.249.136.96	72.249.140.191	US
72.249.140.192	72.249.140.223	GB
72.249.140.224	72.249.143.63	US
72.249.143.64	72.249.143.127	PA
72.249.143.128	72.249.153.255	US
72.249.154.0	72.249.154.255	CA
72.249.155.0	72.249.156.255	US
72.249.157.0	72.249.157.255	CA
72.249.158.0	72.249.165.255	US
72.249.166.0	72.249.167.255	GB
72.249.168.0	72.249.169.255	CA
72.249.170.0	72.249.173.255	US
72.249.174.0	72.249.175.255	GB
72.249.176.0	72.251.255.255	US
72.252.0.0	72.252.3.255	GT
72.252.4.0	72.252.7.255	US
72.252.8.0	72.252.15.255	AN
72.252.16.0	72.252.23.255	US
72.252.24.0	72.252.39.255	JM
72.252.40.0	72.252.71.255	GT
72.252.72.0	72.252.87.255	US
72.252.88.0	72.252.103.255	GT
72.252.104.0	72.252.112.255	JM
72.252.113.0	72.252.113.255	BS
72.252.114.0	72.252.191.0	JM
72.252.191.1	72.252.191.255	US
72.252.192.0	72.252.199.0	JM
72.252.199.1	72.252.199.255	US
72.252.200.0	72.252.207.0	JM
72.252.207.1	72.252.207.255	US
72.252.208.0	72.252.215.0	JM
72.252.215.1	72.252.215.255	US
72.252.216.0	72.252.255.0	JM
72.252.255.1	74.3.127.255	US
74.3.128.0	74.3.191.255	CA
74.3.192.0	74.11.255.255	US
74.12.0.0	74.15.255.255	CA
74.16.0.0	74.47.255.255	US
74.48.0.0	74.49.255.255	CA
74.50.0.0	74.50.118.255	US
74.50.119.0	74.50.119.127	CA
74.50.119.128	74.50.159.255	US
74.50.160.0	74.50.191.255	CA
74.50.192.0	74.50.223.255	US
74.50.224.0	74.50.239.255	CA
74.50.240.0	74.51.31.255	US
74.51.32.0	74.51.63.255	CA
74.51.64.0	74.55.255.255	US
74.56.0.0	74.59.255.255	CA
74.60.0.0	74.81.166.3	US
74.81.166.4	74.81.166.62	EG
74.81.166.63	74.81.194.5	US
74.81.194.6	74.81.194.17	GB
74.81.194.18	74.81.199.117	US
74.81.199.118	74.81.199.125	CA
74.81.199.126	74.81.199.147	US
74.81.199.148	74.81.199.157	GR
74.81.199.158	74.81.202.0	US
74.81.202.1	74.81.202.104	GB
74.81.202.105	74.81.202.178	US
74.81.202.179	74.81.202.192	CA
74.81.202.193	74.81.203.0	US
74.81.203.1	74.81.203.128	GB
74.81.203.129	74.81.203.190	US
74.81.203.191	74.81.203.222	GB
74.81.203.223	74.81.207.117	US
74.81.207.118	74.81.207.128	NL
74.81.207.129	74.81.209.0	US
74.81.209.1	74.81.209.25	CA
74.81.209.26	74.82.57.255	US
74.82.58.0	74.82.58.255	NL
74.82.59.0	74.82.191.255	US
74.82.192.0	74.82.223.255	CA
74.82.224.0	74.82.239.255	US
74.83.0.0	74.84.31.255	US
74.84.32.0	74.84.63.255	A2
74.84.64.0	74.84.196.119	US
74.84.196.120	74.84.196.127	VA
74.84.196.128	74.84.202.95	US
74.84.202.96	74.84.202.111	CA
74.84.202.112	74.84.209.207	US
74.84.209.208	74.84.209.223	NL
74.84.209.224	74.112.39.255	US
74.112.40.0	74.112.47.255	CA
74.112.48.0	74.112.123.255	US
74.112.124.0	74.112.127.255	CA
74.112.128.0	74.112.175.255	US
74.112.176.0	74.112.179.255	CA
74.112.180.0	74.112.231.255	US
74.112.232.0	74.112.239.255	GP
74.112.240.0	74.112.255.255	US
74.113.0.0	74.113.3.255	CA
74.113.4.0	74.113.7.255	US
74.113.8.0	74.113.15.255	CA
74.113.16.0	74.113.67.255	US
74.113.68.0	74.113.75.255	CA
74.113.76.0	74.113.103.255	US
74.113.104.0	74.113.107.255	VG
74.113.108.0	74.113.151.255	US
74.113.152.0	74.113.155.255	CA
74.113.156.0	74.113.175.255	US
74.113.176.0	74.113.183.255	CA
74.113.184.0	74.114.71.255	US
74.114.72.0	74.114.79.255	CA
74.114.80.0	74.114.99.255	US
74.114.100.0	74.114.103.255	CA
74.114.104.0	74.114.135.255	US
74.114.136.0	74.114.139.255	CA
74.114.140.0	74.114.171.255	US
74.114.172.0	74.114.175.255	CA
74.114.176.0	74.114.199.255	US
74.114.200.0	74.114.203.255	TC
74.114.204.0	74.114.215.255	CA
74.114.216.0	74.114.239.255	US
74.114.240.0	74.114.243.255	BM
74.114.244.0	74.114.255.255	US
74.115.0.0	74.115.7.255	A1
74.115.8.0	74.115.123.255	US
74.115.124.0	74.115.127.255	CA
74.115.128.0	74.115.159.255	US
74.115.160.0	74.115.163.255	A1
74.115.164.0	74.115.191.255	US
74.115.192.0	74.115.199.255	CA
74.115.200.0	74.115.203.255	PR
74.115.204.0	74.115.207.255	CA
74.115.208.0	74.115.219.255	US
74.115.220.0	74.115.223.255	CA
74.115.224.0	74.116.55.255	US
74.116.56.0	74.116.59.255	JM
74.116.60.0	74.116.91.255	US
74.116.92.0	74.116.94.255	GP
74.116.95.0	74.116.95.255	MF
74.116.96.0	74.116.183.255	US
74.116.184.0	74.116.199.255	CA
74.116.200.0	74.116.215.255	US
74.116.216.0	74.116.223.255	CA
74.116.224.0	74.116.248.183	US
74.116.248.184	74.116.248.191	CA
74.116.248.192	74.117.39.255	US
74.117.40.0	74.117.47.255	CA
74.117.48.0	74.117.83.255	US
74.117.84.0	74.117.87.255	GD
74.117.88.0	74.117.111.255	US
74.117.112.0	74.117.119.255	KY
74.117.120.0	74.117.139.255	US
74.117.140.0	74.117.143.255	CA
74.117.144.0	74.117.215.255	US
74.117.216.0	74.117.223.255	KY
74.117.224.0	74.117.247.255	US
74.117.248.0	74.117.255.255	CA
74.118.0.0	74.118.35.255	US
74.118.36.0	74.118.39.255	CA
74.118.40.0	74.118.51.255	US
74.118.52.0	74.118.55.255	CA
74.118.56.0	74.118.99.255	US
74.118.100.0	74.118.103.255	CA
74.118.104.0	74.118.247.255	US
74.118.248.0	74.118.251.255	CA
74.118.252.0	74.118.255.255	US
74.119.0.0	74.119.3.255	CA
74.119.4.0	74.119.87.255	US
74.119.88.0	74.119.95.255	CA
74.119.96.0	74.119.183.255	US
74.119.184.0	74.119.191.255	CA
74.119.192.0	74.120.23.255	US
74.120.24.0	74.120.31.255	PR
74.120.32.0	74.120.51.255	US
74.120.52.0	74.120.55.255	CA
74.120.56.0	74.120.71.255	US
74.120.72.0	74.120.75.255	CA
74.120.76.0	74.120.119.255	US
74.120.120.0	74.120.123.255	CA
74.120.124.0	74.121.31.255	US
74.121.32.0	74.121.35.255	CA
74.121.36.0	74.121.119.255	US
74.121.120.0	74.121.123.255	CA
74.121.124.0	74.121.159.255	US
74.121.160.0	74.121.167.255	CA
74.121.168.0	74.121.243.255	US
74.121.244.0	74.121.247.255	CA
74.121.248.0	74.122.51.255	US
74.122.52.0	74.122.55.255	CA
74.122.56.0	74.122.87.255	US
74.122.88.0	74.122.95.255	GD
74.122.96.0	74.122.127.255	US
74.122.128.0	74.122.135.255	CA
74.122.136.0	74.122.207.255	US
74.122.208.0	74.122.215.255	CA
74.122.216.0	74.122.243.255	US
74.122.244.0	74.122.247.255	CA
74.122.248.0	74.123.8.127	US
74.123.8.128	74.123.11.255	CA
74.123.12.0	74.123.67.255	US
74.123.68.0	74.123.71.255	CA
74.123.72.0	74.123.91.255	US
74.123.92.0	74.123.95.255	CA
74.123.96.0	74.124.196.53	US
74.124.196.54	74.124.196.62	GB
74.124.196.63	74.124.196.159	US
74.124.196.160	74.124.196.191	AU
74.124.196.192	74.124.201.95	US
74.124.201.96	74.124.201.127	CA
74.124.201.128	74.124.204.63	US
74.124.204.64	74.124.204.95	HK
74.124.204.96	74.124.206.79	US
74.124.206.80	74.124.206.87	CA
74.124.206.88	74.126.5.223	US
74.126.5.224	74.126.5.255	CA
74.126.6.0	74.126.95.255	US
74.126.96.0	74.126.127.255	CA
74.126.128.0	74.127.6.255	US
74.127.7.0	74.127.7.63	IN
74.127.7.64	74.127.9.63	US
74.127.9.64	74.127.9.127	VE
74.127.9.128	74.127.32.63	US
74.127.32.64	74.127.32.79	IN
74.127.32.80	74.127.32.95	US
74.127.32.96	74.127.32.127	IN
74.127.32.128	74.127.38.63	US
74.127.38.64	74.127.38.95	GB
74.127.38.96	74.127.38.127	CN
74.127.38.128	74.127.38.255	US
74.127.39.0	74.127.39.127	IN
74.127.39.128	74.127.42.31	US
74.127.42.32	74.127.42.63	IN
74.127.42.64	74.127.42.95	US
74.127.42.96	74.127.42.127	NO
74.127.42.128	74.127.42.159	GB
74.127.42.160	74.127.44.159	US
74.127.44.160	74.127.44.191	PH
74.127.44.192	74.127.46.95	US
74.127.46.96	74.127.46.127	AU
74.127.46.128	74.127.51.255	US
74.127.52.0	74.127.52.15	IN
74.127.52.16	74.127.52.143	US
74.127.52.144	74.127.52.159	CA
74.127.52.160	74.127.52.175	US
74.127.52.176	74.127.52.191	IN
74.127.52.192	74.127.52.207	US
74.127.52.208	74.127.52.223	IN
74.127.52.224	74.127.52.239	NG
74.127.52.240	74.127.57.255	US
74.127.58.0	74.127.58.255	FR
74.127.59.0	74.127.60.31	US
74.127.60.32	74.127.60.63	IN
74.127.60.64	74.127.61.55	US
74.127.61.56	74.127.61.63	CY
74.127.61.64	74.127.61.95	US
74.127.61.96	74.127.61.103	ID
74.127.61.104	74.127.191.255	US
74.127.192.0	74.127.255.255	CA
74.128.0.0	74.197.255.255	US
74.198.0.0	74.198.255.255	CA
74.199.0.0	74.199.189.127	US
74.199.189.128	74.199.189.143	GB
74.199.189.144	74.199.255.255	US
74.200.0.0	74.200.31.255	CA
74.200.32.0	74.201.68.255	US
74.201.69.0	74.201.69.255	PH
74.201.70.0	74.201.71.7	US
74.201.71.8	74.201.71.15	PH
74.201.71.16	74.201.86.191	US
74.201.86.192	74.201.86.223	SG
74.201.86.224	74.201.104.15	US
74.201.104.16	74.201.104.63	CA
74.201.104.64	74.201.149.255	US
74.201.150.0	74.201.150.31	GB
74.201.150.32	74.204.161.143	US
74.204.161.144	74.204.161.159	RO
74.204.161.160	74.205.0.63	US
74.205.0.64	74.205.0.71	SG
74.205.0.72	74.205.0.95	US
74.205.0.96	74.205.0.111	CA
74.205.0.112	74.205.1.127	US
74.205.1.128	74.205.1.159	IN
74.205.1.160	74.205.7.15	US
74.205.7.16	74.205.7.23	RU
74.205.7.24	74.205.7.31	CA
74.205.7.32	74.205.7.63	US
74.205.7.64	74.205.7.71	SG
74.205.7.72	74.205.7.95	US
74.205.7.96	74.205.7.103	IL
74.205.7.104	74.205.7.111	US
74.205.7.112	74.205.7.119	GR
74.205.7.120	74.205.7.191	US
74.205.7.192	74.205.7.199	IL
74.205.7.200	74.205.8.7	US
74.205.8.8	74.205.8.15	CA
74.205.8.16	74.205.8.39	US
74.205.8.40	74.205.8.47	IN
74.205.8.48	74.205.9.79	US
74.205.9.80	74.205.9.95	CA
74.205.9.96	74.205.10.7	US
74.205.10.8	74.205.10.15	CA
74.205.10.16	74.205.10.47	US
74.205.10.48	74.205.10.55	MX
74.205.10.56	74.205.10.71	US
74.205.10.72	74.205.10.79	PR
74.205.10.80	74.205.10.167	US
74.205.10.168	74.205.10.175	IL
74.205.10.176	74.205.10.183	US
74.205.10.184	74.205.10.191	IN
74.205.10.192	74.205.10.207	US
74.205.10.208	74.205.10.215	JP
74.205.10.216	74.205.10.223	CA
74.205.10.224	74.205.10.231	US
74.205.10.232	74.205.10.239	CA
74.205.10.240	74.205.11.191	US
74.205.11.192	74.205.11.207	TH
74.205.11.208	74.205.12.79	US
74.205.12.80	74.205.12.87	CA
74.205.12.88	74.205.12.111	US
74.205.12.112	74.205.12.119	MX
74.205.12.120	74.205.13.47	US
74.205.13.48	74.205.13.55	AU
74.205.13.56	74.205.13.63	US
74.205.13.64	74.205.13.71	CA
74.205.13.72	74.205.13.87	US
74.205.13.88	74.205.13.95	CA
74.205.13.96	74.205.13.103	IL
74.205.13.104	74.205.14.143	US
74.205.14.144	74.205.14.151	CA
74.205.14.152	74.205.15.223	US
74.205.15.224	74.205.15.231	CA
74.205.15.232	74.205.16.71	US
74.205.16.72	74.205.16.79	CA
74.205.16.80	74.205.16.87	ZA
74.205.16.88	74.205.16.95	US
74.205.16.96	74.205.16.103	IL
74.205.16.104	74.205.16.111	US
74.205.16.112	74.205.16.119	CA
74.205.16.120	74.205.16.127	US
74.205.16.128	74.205.16.135	CA
74.205.16.136	74.205.17.63	US
74.205.17.64	74.205.17.79	BD
74.205.17.80	74.205.17.111	US
74.205.17.112	74.205.17.127	NL
74.205.17.128	74.205.17.143	US
74.205.17.144	74.205.17.151	CA
74.205.17.152	74.205.18.143	US
74.205.18.144	74.205.18.151	GB
74.205.18.152	74.205.18.167	US
74.205.18.168	74.205.18.175	TW
74.205.18.176	74.205.18.199	US
74.205.18.200	74.205.18.207	MT
74.205.18.208	74.205.18.215	US
74.205.18.216	74.205.18.231	CA
74.205.18.232	74.205.19.15	US
74.205.19.16	74.205.19.23	IN
74.205.19.24	74.205.19.31	US
74.205.19.32	74.205.19.39	IN
74.205.19.40	74.205.19.47	GB
74.205.19.48	74.205.19.87	US
74.205.19.88	74.205.19.95	GT
74.205.19.96	74.205.19.127	US
74.205.19.128	74.205.19.151	NL
74.205.19.152	74.205.19.191	US
74.205.19.192	74.205.19.207	NL
74.205.19.208	74.205.21.15	US
74.205.21.16	74.205.21.23	CA
74.205.21.24	74.205.21.47	US
74.205.21.48	74.205.21.55	CA
74.205.21.56	74.205.21.63	US
74.205.21.64	74.205.21.71	MX
74.205.21.72	74.205.21.79	US
74.205.21.80	74.205.21.87	CA
74.205.21.88	74.205.21.103	US
74.205.21.104	74.205.21.111	TH
74.205.21.112	74.205.22.143	US
74.205.22.144	74.205.22.151	GB
74.205.22.152	74.205.22.159	CA
74.205.22.160	74.205.22.167	US
74.205.22.168	74.205.22.175	GB
74.205.22.176	74.205.23.135	US
74.205.23.136	74.205.23.143	IL
74.205.23.144	74.205.26.79	US
74.205.26.80	74.205.26.87	GB
74.205.26.88	74.205.26.215	US
74.205.26.216	74.205.26.223	GB
74.205.26.224	74.205.28.103	US
74.205.28.104	74.205.28.111	IL
74.205.28.112	74.205.29.95	US
74.205.29.96	74.205.29.103	IL
74.205.29.104	74.205.31.255	US
74.205.32.0	74.205.32.7	GB
74.205.32.8	74.205.32.15	MX
74.205.32.16	74.205.32.183	US
74.205.32.184	74.205.32.191	GB
74.205.32.192	74.205.32.207	MT
74.205.32.208	74.205.32.231	US
74.205.32.232	74.205.32.239	IN
74.205.32.240	74.205.33.63	US
74.205.33.64	74.205.33.79	CA
74.205.33.80	74.205.33.95	US
74.205.33.96	74.205.33.111	IN
74.205.33.112	74.205.34.175	US
74.205.34.176	74.205.34.183	GB
74.205.34.184	74.205.35.159	US
74.205.35.160	74.205.35.167	MX
74.205.35.168	74.205.36.223	US
74.205.36.224	74.205.36.239	GB
74.205.36.240	74.205.37.15	US
74.205.37.16	74.205.37.23	BO
74.205.37.24	74.205.37.31	US
74.205.37.32	74.205.37.47	CA
74.205.37.48	74.205.37.87	US
74.205.37.88	74.205.37.95	NO
74.205.37.96	74.205.37.199	US
74.205.37.200	74.205.37.207	CA
74.205.37.208	74.205.39.7	US
74.205.39.8	74.205.39.15	NZ
74.205.39.16	74.205.39.47	US
74.205.39.48	74.205.39.55	CA
74.205.39.56	74.205.40.47	US
74.205.40.48	74.205.40.79	CA
74.205.40.80	74.205.41.31	US
74.205.41.32	74.205.41.39	GB
74.205.41.40	74.205.42.55	US
74.205.42.56	74.205.42.63	GB
74.205.42.64	74.205.42.159	US
74.205.42.160	74.205.42.167	KR
74.205.42.168	74.205.42.183	US
74.205.42.184	74.205.42.191	GB
74.205.42.192	74.205.43.55	US
74.205.43.56	74.205.43.63	MX
74.205.43.64	74.205.43.71	US
74.205.43.72	74.205.43.79	CA
74.205.43.80	74.205.43.119	US
74.205.43.120	74.205.43.127	MX
74.205.43.128	74.205.43.167	US
74.205.43.168	74.205.43.175	IN
74.205.43.176	74.205.44.151	US
74.205.44.152	74.205.44.159	JM
74.205.44.160	74.205.44.223	US
74.205.44.224	74.205.44.231	AU
74.205.44.232	74.205.44.239	CA
74.205.44.240	74.205.45.31	US
74.205.45.32	74.205.45.39	CA
74.205.45.40	74.205.45.63	US
74.205.45.64	74.205.45.71	AU
74.205.45.72	74.205.45.79	US
74.205.45.80	74.205.45.87	SG
74.205.45.88	74.205.45.103	AU
74.205.45.104	74.205.45.111	GB
74.205.45.112	74.205.45.175	US
74.205.45.176	74.205.45.183	MY
74.205.45.184	74.205.45.199	US
74.205.45.200	74.205.45.207	MY
74.205.45.208	74.205.46.15	US
74.205.46.16	74.205.46.23	CA
74.205.46.24	74.205.46.239	US
74.205.46.240	74.205.46.247	CA
74.205.46.248	74.205.47.7	US
74.205.47.8	74.205.47.15	NZ
74.205.47.16	74.205.47.39	US
74.205.47.40	74.205.47.47	IN
74.205.47.48	74.205.47.71	US
74.205.47.72	74.205.47.79	IN
74.205.47.80	74.205.48.127	US
74.205.48.128	74.205.48.143	GB
74.205.48.144	74.205.49.159	US
74.205.49.160	74.205.49.191	BD
74.205.49.192	74.205.50.79	US
74.205.50.80	74.205.50.87	ZA
74.205.50.88	74.205.50.103	GB
74.205.50.104	74.205.50.159	US
74.205.50.160	74.205.50.167	AE
74.205.50.168	74.205.50.247	US
74.205.50.248	74.205.50.255	CA
74.205.51.0	74.205.51.95	US
74.205.51.96	74.205.51.103	AE
74.205.51.104	74.205.52.15	US
74.205.52.16	74.205.52.23	GB
74.205.52.24	74.205.52.175	US
74.205.52.176	74.205.52.183	GB
74.205.52.184	74.205.53.79	US
74.205.53.80	74.205.53.95	JP
74.205.53.96	74.205.54.7	US
74.205.54.8	74.205.54.15	GB
74.205.54.16	74.205.54.111	US
74.205.54.112	74.205.54.119	CA
74.205.54.120	74.205.54.167	US
74.205.54.168	74.205.54.175	CA
74.205.54.176	74.205.55.7	US
74.205.55.8	74.205.55.15	NZ
74.205.55.16	74.205.55.31	US
74.205.55.32	74.205.55.39	CA
74.205.55.40	74.205.55.103	US
74.205.55.104	74.205.55.111	MX
74.205.55.112	74.205.57.119	US
74.205.57.120	74.205.57.135	AU
74.205.57.136	74.205.57.207	US
74.205.57.208	74.205.57.215	GB
74.205.57.216	74.205.59.111	US
74.205.59.112	74.205.59.119	DK
74.205.59.120	74.205.60.7	US
74.205.60.8	74.205.60.15	PR
74.205.60.16	74.205.60.31	US
74.205.60.32	74.205.60.39	BR
74.205.60.40	74.205.60.111	US
74.205.60.112	74.205.60.119	NZ
74.205.60.120	74.205.60.127	PR
74.205.60.128	74.205.60.167	US
74.205.60.168	74.205.60.175	AU
74.205.60.176	74.205.62.63	US
74.205.62.64	74.205.62.79	CA
74.205.62.80	74.205.62.191	US
74.205.62.192	74.205.62.207	CA
74.205.62.208	74.205.63.103	US
74.205.63.104	74.205.63.111	IN
74.205.63.112	74.205.63.215	US
74.205.63.216	74.205.63.223	AU
74.205.63.224	74.205.63.247	US
74.205.63.248	74.205.63.255	GB
74.205.64.0	74.205.64.143	US
74.205.64.144	74.205.64.151	TC
74.205.64.152	74.205.64.183	US
74.205.64.184	74.205.64.191	GB
74.205.64.192	74.205.65.7	US
74.205.65.8	74.205.65.15	AU
74.205.65.16	74.205.65.231	US
74.205.65.232	74.205.65.239	CA
74.205.65.240	74.205.65.247	AU
74.205.65.248	74.205.66.127	US
74.205.66.128	74.205.66.135	MX
74.205.66.136	74.205.67.15	US
74.205.67.16	74.205.67.23	CA
74.205.67.24	74.205.67.119	US
74.205.67.120	74.205.67.127	GB
74.205.67.128	74.205.67.143	US
74.205.67.144	74.205.67.151	CA
74.205.67.152	74.205.67.223	US
74.205.67.224	74.205.67.231	AU
74.205.67.232	74.205.68.111	US
74.205.68.112	74.205.68.119	ZA
74.205.68.120	74.205.68.215	US
74.205.68.216	74.205.68.223	IE
74.205.68.224	74.205.69.39	US
74.205.69.40	74.205.69.47	ZA
74.205.69.48	74.205.69.79	US
74.205.69.80	74.205.69.87	JO
74.205.69.88	74.205.69.127	US
74.205.69.128	74.205.69.135	GB
74.205.69.136	74.205.69.239	US
74.205.69.240	74.205.69.247	ZA
74.205.69.248	74.205.70.79	US
74.205.70.80	74.205.70.95	IL
74.205.70.96	74.205.70.143	US
74.205.70.144	74.205.70.159	FR
74.205.70.160	74.205.70.191	US
74.205.70.192	74.205.70.207	IL
74.205.70.208	74.205.70.223	US
74.205.70.224	74.205.70.239	AE
74.205.70.240	74.205.71.39	US
74.205.71.40	74.205.71.47	PH
74.205.71.48	74.205.71.87	US
74.205.71.88	74.205.71.103	BM
74.205.71.104	74.205.71.223	US
74.205.71.224	74.205.71.231	AU
74.205.71.232	74.205.71.239	US
74.205.71.240	74.205.71.247	FR
74.205.71.248	74.205.72.223	US
74.205.72.224	74.205.72.239	CA
74.205.72.240	74.205.73.55	US
74.205.73.56	74.205.73.63	CA
74.205.73.64	74.205.73.95	US
74.205.73.96	74.205.73.103	EG
74.205.73.104	74.205.74.79	US
74.205.74.80	74.205.74.87	CA
74.205.74.88	74.205.74.167	US
74.205.74.168	74.205.74.183	IN
74.205.74.184	74.205.74.231	US
74.205.74.232	74.205.74.239	CA
74.205.74.240	74.205.75.39	US
74.205.75.40	74.205.75.47	UY
74.205.75.48	74.205.75.119	US
74.205.75.120	74.205.75.127	CA
74.205.75.128	74.205.75.231	US
74.205.75.232	74.205.75.239	IT
74.205.75.240	74.205.76.71	US
74.205.76.72	74.205.76.79	SG
74.205.76.80	74.205.76.87	US
74.205.76.88	74.205.76.95	CA
74.205.76.96	74.205.76.167	US
74.205.76.168	74.205.76.175	CA
74.205.76.176	74.205.76.183	US
74.205.76.184	74.205.76.191	GB
74.205.76.192	74.205.77.95	US
74.205.77.96	74.205.77.103	DO
74.205.77.104	74.205.77.175	US
74.205.77.176	74.205.77.183	GB
74.205.77.184	74.205.78.95	US
74.205.78.96	74.205.78.103	CA
74.205.78.104	74.205.78.119	US
74.205.78.120	74.205.78.127	GB
74.205.78.128	74.205.78.159	US
74.205.78.160	74.205.78.167	CA
74.205.78.168	74.205.79.23	US
74.205.79.24	74.205.79.39	AU
74.205.79.40	74.205.79.87	US
74.205.79.88	74.205.79.95	AU
74.205.79.96	74.205.79.159	US
74.205.79.160	74.205.79.167	CO
74.205.79.168	74.205.79.175	BD
74.205.79.176	74.205.79.199	US
74.205.79.200	74.205.79.207	GB
74.205.79.208	74.205.79.223	US
74.205.79.224	74.205.79.231	CA
74.205.79.232	74.205.80.55	US
74.205.80.56	74.205.80.63	CA
74.205.80.64	74.205.80.79	US
74.205.80.80	74.205.80.87	CA
74.205.80.88	74.205.80.95	GB
74.205.80.96	74.205.80.103	CA
74.205.80.104	74.205.80.111	US
74.205.80.112	74.205.80.119	IL
74.205.80.120	74.205.80.127	GB
74.205.80.128	74.205.80.151	US
74.205.80.152	74.205.80.159	DK
74.205.80.160	74.205.80.207	US
74.205.80.208	74.205.80.215	CA
74.205.80.216	74.205.80.223	GB
74.205.80.224	74.205.80.231	US
74.205.80.232	74.205.80.239	AE
74.205.80.240	74.205.81.63	US
74.205.81.64	74.205.81.71	AU
74.205.81.72	74.205.82.191	US
74.205.82.192	74.205.82.207	CA
74.205.82.208	74.205.82.239	US
74.205.82.240	74.205.82.255	AE
74.205.83.0	74.205.83.55	US
74.205.83.56	74.205.83.63	GB
74.205.83.64	74.205.83.71	US
74.205.83.72	74.205.83.79	GB
74.205.83.80	74.205.83.87	US
74.205.83.88	74.205.83.95	CA
74.205.83.96	74.205.83.103	IL
74.205.83.104	74.205.83.175	US
74.205.83.176	74.205.83.183	IN
74.205.83.184	74.205.83.223	US
74.205.83.224	74.205.83.231	CH
74.205.83.232	74.205.84.159	US
74.205.84.160	74.205.84.175	GB
74.205.84.176	74.205.84.239	US
74.205.84.240	74.205.84.255	GH
74.205.85.0	74.205.85.7	MX
74.205.85.8	74.205.86.23	US
74.205.86.24	74.205.86.31	CA
74.205.86.32	74.205.86.127	US
74.205.86.128	74.205.86.135	JP
74.205.86.136	74.205.86.143	IN
74.205.86.144	74.205.86.175	US
74.205.86.176	74.205.86.183	GB
74.205.86.184	74.205.87.7	US
74.205.87.8	74.205.87.15	CA
74.205.87.16	74.205.87.95	US
74.205.87.96	74.205.87.103	IN
74.205.87.104	74.205.87.119	US
74.205.87.120	74.205.87.127	CA
74.205.87.128	74.205.87.183	US
74.205.87.184	74.205.87.191	MX
74.205.87.192	74.205.90.47	US
74.205.90.48	74.205.90.55	GB
74.205.90.56	74.205.90.63	IN
74.205.90.64	74.205.91.79	US
74.205.91.80	74.205.91.87	CA
74.205.91.88	74.205.91.247	US
74.205.91.248	74.205.91.255	AU
74.205.92.0	74.205.92.15	US
74.205.92.16	74.205.92.23	AU
74.205.92.24	74.205.92.31	US
74.205.92.32	74.205.92.39	GG
74.205.92.40	74.205.92.255	US
74.205.93.0	74.205.93.7	GB
74.205.93.8	74.205.93.55	US
74.205.93.56	74.205.93.63	AU
74.205.93.64	74.205.93.207	US
74.205.93.208	74.205.93.223	MX
74.205.93.224	74.205.94.55	US
74.205.94.56	74.205.94.63	CA
74.205.94.64	74.205.94.87	US
74.205.94.88	74.205.94.95	BR
74.205.94.96	74.205.94.119	US
74.205.94.120	74.205.94.127	AU
74.205.94.128	74.205.96.31	US
74.205.96.32	74.205.96.39	IN
74.205.96.40	74.205.96.71	US
74.205.96.72	74.205.96.79	IE
74.205.96.80	74.205.96.135	US
74.205.96.136	74.205.96.143	MX
74.205.96.144	74.205.96.223	US
74.205.96.224	74.205.96.231	PH
74.205.96.232	74.205.96.239	US
74.205.96.240	74.205.96.247	IN
74.205.96.248	74.205.96.255	US
74.205.97.0	74.205.97.7	MY
74.205.97.8	74.205.97.111	US
74.205.97.112	74.205.97.119	IN
74.205.97.120	74.205.97.199	US
74.205.97.200	74.205.97.207	MX
74.205.97.208	74.205.98.215	US
74.205.98.216	74.205.98.223	MX
74.205.98.224	74.205.99.119	US
74.205.99.120	74.205.99.127	MX
74.205.99.128	74.205.99.159	US
74.205.99.160	74.205.99.167	CA
74.205.99.168	74.205.99.183	US
74.205.99.184	74.205.99.191	CA
74.205.99.192	74.205.100.47	US
74.205.100.48	74.205.100.55	IL
74.205.100.56	74.205.100.183	US
74.205.100.184	74.205.100.191	CA
74.205.100.192	74.205.101.47	US
74.205.101.48	74.205.101.55	GB
74.205.101.56	74.205.101.167	US
74.205.101.168	74.205.101.175	AU
74.205.101.176	74.205.101.231	US
74.205.101.232	74.205.101.239	NZ
74.205.101.240	74.205.102.255	US
74.205.103.0	74.205.103.7	AU
74.205.103.8	74.205.103.183	US
74.205.103.184	74.205.103.191	CA
74.205.103.192	74.205.103.239	US
74.205.103.240	74.205.103.255	GB
74.205.104.0	74.205.104.127	US
74.205.104.128	74.205.104.135	IN
74.205.104.136	74.205.104.143	IL
74.205.104.144	74.205.105.143	US
74.205.105.144	74.205.105.151	IN
74.205.105.152	74.205.105.175	US
74.205.105.176	74.205.105.183	IN
74.205.105.184	74.205.105.191	CA
74.205.105.192	74.205.106.23	US
74.205.106.24	74.205.106.31	GB
74.205.106.32	74.205.106.127	US
74.205.106.128	74.205.106.135	AU
74.205.106.136	74.205.106.151	US
74.205.106.152	74.205.106.167	CA
74.205.106.168	74.205.107.47	US
74.205.107.48	74.205.107.55	GB
74.205.107.56	74.205.107.95	US
74.205.107.96	74.205.107.103	GB
74.205.107.104	74.205.107.143	US
74.205.107.144	74.205.107.151	MX
74.205.107.152	74.205.108.223	US
74.205.108.224	74.205.108.239	CA
74.205.108.240	74.205.108.255	US
74.205.109.0	74.205.109.7	GB
74.205.109.8	74.205.109.23	US
74.205.109.24	74.205.109.31	IN
74.205.109.32	74.205.109.135	US
74.205.109.136	74.205.109.143	MX
74.205.109.144	74.205.110.71	US
74.205.110.72	74.205.110.79	CO
74.205.110.80	74.205.110.111	US
74.205.110.112	74.205.110.119	NZ
74.205.110.120	74.205.110.135	US
74.205.110.136	74.205.110.143	IN
74.205.110.144	74.205.110.223	US
74.205.110.224	74.205.110.231	CL
74.205.110.232	74.205.111.175	US
74.205.111.176	74.205.111.191	IN
74.205.111.192	74.205.111.207	US
74.205.111.208	74.205.111.223	TH
74.205.111.224	74.205.112.87	US
74.205.112.88	74.205.112.95	CA
74.205.112.96	74.205.112.111	US
74.205.112.112	74.205.112.119	AE
74.205.112.120	74.205.112.199	US
74.205.112.200	74.205.112.207	NZ
74.205.112.208	74.205.112.255	US
74.205.113.0	74.205.113.7	GB
74.205.113.8	74.205.114.135	US
74.205.114.136	74.205.114.143	GB
74.205.114.144	74.205.115.23	US
74.205.115.24	74.205.115.31	IN
74.205.115.32	74.205.115.71	US
74.205.115.72	74.205.115.79	BR
74.205.115.80	74.205.115.87	CA
74.205.115.88	74.205.115.143	US
74.205.115.144	74.205.115.159	IN
74.205.115.160	74.205.115.191	US
74.205.115.192	74.205.115.255	NL
74.205.116.0	74.205.119.79	US
74.205.119.80	74.205.119.95	CA
74.205.119.96	74.205.159.255	US
74.205.160.0	74.205.191.255	CA
74.205.192.0	74.205.207.255	US
74.205.208.0	74.205.223.255	CA
74.205.224.0	74.205.228.255	US
74.205.229.0	74.205.229.223	CA
74.205.229.224	74.205.244.15	US
74.205.244.16	74.205.244.31	CA
74.205.244.32	74.205.244.39	US
74.205.244.40	74.205.244.223	CA
74.205.244.224	74.205.244.231	US
74.205.244.232	74.205.245.255	CA
74.205.246.0	74.206.98.143	US
74.206.98.144	74.206.98.175	CA
74.206.98.176	74.206.110.191	US
74.206.110.192	74.206.110.223	CA
74.206.110.224	74.206.127.255	US
74.206.128.0	74.206.159.255	CA
74.206.160.0	74.206.160.127	US
74.206.160.128	74.206.160.143	CA
74.206.160.144	74.206.162.191	US
74.206.162.192	74.206.162.223	NL
74.206.162.224	74.206.169.223	US
74.206.169.224	74.206.169.255	NL
74.206.170.0	74.206.172.239	US
74.206.172.240	74.206.172.255	GB
74.206.173.0	74.206.174.207	US
74.206.174.208	74.206.174.223	GB
74.206.174.224	74.206.174.255	BS
74.206.175.0	74.206.175.127	US
74.206.175.128	74.206.175.143	NL
74.206.175.144	74.206.175.159	US
74.206.175.160	74.206.175.207	CA
74.206.175.208	74.206.175.223	AR
74.206.175.224	74.206.178.191	US
74.206.178.192	74.206.178.223	NL
74.206.178.224	74.206.180.127	US
74.206.180.128	74.206.180.143	AN
74.206.180.144	74.206.180.175	US
74.206.180.176	74.206.180.191	AN
74.206.180.192	74.206.181.127	US
74.206.181.128	74.206.181.255	CA
74.206.182.0	74.206.184.127	US
74.206.184.128	74.206.184.143	CA
74.206.184.144	74.206.184.191	US
74.206.184.192	74.206.184.223	CR
74.206.184.224	74.206.185.223	US
74.206.185.224	74.206.185.255	CA
74.206.186.0	74.206.187.191	US
74.206.187.192	74.206.187.255	PA
74.206.188.0	74.206.188.63	US
74.206.188.64	74.206.188.79	CA
74.206.188.80	74.206.189.63	US
74.206.189.64	74.206.189.79	CA
74.206.189.80	74.206.191.255	US
74.206.192.0	74.206.223.255	PR
74.206.224.0	74.208.187.255	US
74.208.188.0	74.208.191.255	GB
74.208.192.0	74.208.253.255	US
74.208.254.0	74.208.255.255	DE
74.209.0.0	74.209.255.255	US
74.210.0.0	74.210.255.255	CA
74.211.0.0	74.211.105.95	US
74.211.105.96	74.211.105.127	DE
74.211.105.128	74.211.117.255	US
74.211.118.0	74.211.118.255	CA
74.211.119.0	74.211.123.255	US
74.211.124.0	74.211.124.255	CA
74.211.125.0	74.213.63.255	US
74.213.64.0	74.213.127.255	PR
74.213.128.0	74.213.159.255	US
74.213.160.0	74.213.191.255	CA
74.213.192.0	74.214.127.255	US
74.214.128.0	74.214.159.255	CA
74.214.160.0	74.215.255.255	US
74.216.0.0	74.216.255.255	CA
74.217.0.0	74.217.44.239	US
74.217.44.240	74.217.44.255	BB
74.217.45.0	74.217.69.255	US
74.217.70.0	74.217.70.255	GB
74.217.71.0	74.217.127.255	US
74.217.128.0	74.217.129.255	CA
74.217.130.0	74.217.139.255	US
74.217.140.0	74.217.143.255	CA
74.217.144.0	74.217.175.255	US
74.217.176.0	74.217.183.255	CA
74.217.184.0	74.217.240.7	US
74.217.240.8	74.217.240.15	GB
74.217.240.16	74.220.159.255	US
74.220.160.0	74.220.191.255	CA
74.220.192.0	74.221.15.255	US
74.221.16.0	74.221.31.255	CA
74.221.32.0	74.221.236.119	US
74.221.236.120	74.221.236.127	BZ
74.221.236.128	74.222.63.255	US
74.222.64.0	74.222.95.255	KY
74.222.96.0	74.222.137.255	US
74.222.138.0	74.222.138.35	CA
74.222.138.36	74.222.138.39	US
74.222.138.40	74.222.139.255	CA
74.222.140.0	75.75.226.17	US
75.75.226.18	75.75.226.33	PK
75.75.226.34	75.75.226.49	CA
75.75.226.50	75.75.226.98	PK
75.75.226.99	75.75.226.130	US
75.75.226.131	75.75.226.194	CA
75.75.226.195	75.75.227.255	US
75.75.228.0	75.75.228.255	CA
75.75.229.0	75.75.234.255	US
75.75.235.0	75.75.235.255	CA
75.75.236.0	75.75.237.255	US
75.75.238.0	75.75.238.255	CA
75.75.239.0	75.75.239.63	US
75.75.239.64	75.75.239.95	CA
75.75.239.96	75.75.240.255	US
75.75.241.0	75.75.241.95	CA
75.75.241.96	75.75.241.179	US
75.75.241.180	75.75.241.244	CA
75.75.241.245	75.75.241.247	US
75.75.241.248	75.75.241.255	CA
75.75.242.0	75.75.242.255	US
75.75.243.0	75.75.243.64	CA
75.75.243.65	75.75.243.161	US
75.75.243.162	75.75.243.255	CA
75.75.244.0	75.75.244.255	US
75.75.245.0	75.75.246.255	CA
75.75.247.0	75.75.248.255	US
75.75.249.0	75.75.251.255	CA
75.75.252.0	75.75.253.255	US
75.75.254.0	75.75.254.255	CA
75.75.255.0	75.98.15.255	US
75.98.16.0	75.98.17.255	CA
75.98.18.0	75.98.87.255	US
75.98.88.0	75.98.91.255	DO
75.98.92.0	75.98.95.255	US
75.99.0.0	75.102.16.255	US
75.102.17.0	75.102.17.255	HK
75.102.18.0	75.102.18.255	US
75.102.19.0	75.102.19.7	CA
75.102.19.8	75.119.69.111	US
75.119.69.112	75.119.69.127	UM
75.119.69.128	75.119.223.255	US
75.119.224.0	75.119.255.255	CA
75.120.0.0	75.125.25.63	US
75.125.25.64	75.125.25.95	CA
75.125.25.96	75.125.58.127	US
75.125.58.128	75.125.58.255	MA
75.125.59.0	75.125.123.127	US
75.125.123.128	75.125.123.191	CA
75.125.123.192	75.125.131.81	US
75.125.131.82	75.125.131.94	IE
75.125.131.95	75.151.255.255	US
75.152.0.0	75.159.255.255	CA
75.160.0.0	76.8.31.255	US
76.8.32.0	76.8.47.255	BM
76.8.48.0	76.8.111.255	US
76.8.112.0	76.8.127.255	CA
76.8.128.0	76.8.255.255	US
76.9.0.0	76.9.0.255	GB
76.9.1.0	76.9.2.255	US
76.9.3.0	76.9.3.255	GB
76.9.4.0	76.9.26.255	US
76.9.27.0	76.9.27.255	UA
76.9.28.0	76.9.31.255	US
76.9.32.0	76.9.63.255	CA
76.9.64.0	76.9.191.255	US
76.9.192.0	76.9.197.255	CA
76.9.198.0	76.9.198.255	US
76.9.199.0	76.9.207.255	CA
76.9.208.0	76.9.211.255	US
76.9.212.0	76.9.217.255	CA
76.9.218.0	76.9.219.255	US
76.9.220.0	76.9.223.255	CA
76.9.224.0	76.10.127.255	US
76.10.128.0	76.10.191.255	CA
76.10.192.0	76.10.255.255	US
76.11.0.0	76.11.127.255	CA
76.11.128.0	76.12.0.119	US
76.12.0.120	76.12.0.127	CA
76.12.0.128	76.12.13.39	US
76.12.13.40	76.12.13.47	BB
76.12.13.48	76.12.13.63	US
76.12.13.64	76.12.13.71	CA
76.12.13.72	76.12.18.215	US
76.12.18.216	76.12.18.223	AU
76.12.18.224	76.12.18.255	US
76.12.19.0	76.12.19.7	PR
76.12.19.8	76.12.19.15	US
76.12.19.16	76.12.19.31	PR
76.12.19.32	76.12.19.95	US
76.12.19.96	76.12.19.103	AE
76.12.19.104	76.12.20.119	US
76.12.20.120	76.12.20.127	MX
76.12.20.128	76.12.24.47	US
76.12.24.48	76.12.24.63	CA
76.12.24.64	76.12.24.111	US
76.12.24.112	76.12.24.127	GT
76.12.24.128	76.12.28.167	US
76.12.28.168	76.12.28.175	JO
76.12.28.176	76.12.36.111	US
76.12.36.112	76.12.36.119	CA
76.12.36.120	76.12.39.223	US
76.12.39.224	76.12.39.231	AU
76.12.39.232	76.12.41.39	US
76.12.41.40	76.12.41.47	CA
76.12.41.48	76.12.42.111	US
76.12.42.112	76.12.42.119	SA
76.12.42.120	76.12.55.159	US
76.12.55.160	76.12.55.167	CA
76.12.55.168	76.12.55.175	IL
76.12.55.176	76.12.57.95	US
76.12.57.96	76.12.57.111	GB
76.12.57.112	76.12.58.199	US
76.12.58.200	76.12.58.207	IL
76.12.58.208	76.12.58.239	US
76.12.58.240	76.12.58.247	PK
76.12.58.248	76.12.61.183	US
76.12.61.184	76.12.61.191	CA
76.12.61.192	76.12.61.207	US
76.12.61.208	76.12.61.231	CA
76.12.61.232	76.12.65.231	US
76.12.65.232	76.12.65.239	GB
76.12.65.240	76.12.70.127	US
76.12.70.128	76.12.70.135	AU
76.12.70.136	76.12.70.143	CA
76.12.70.144	76.12.70.159	US
76.12.70.160	76.12.70.167	CA
76.12.70.168	76.12.71.71	US
76.12.71.72	76.12.71.79	CA
76.12.71.80	76.12.71.159	US
76.12.71.160	76.12.71.191	AU
76.12.71.192	76.12.72.255	US
76.12.73.0	76.12.73.7	CG
76.12.73.8	76.12.73.103	US
76.12.73.104	76.12.73.111	SA
76.12.73.112	76.12.79.63	US
76.12.79.64	76.12.79.71	CA
76.12.79.72	76.12.79.175	US
76.12.79.176	76.12.79.183	CA
76.12.79.184	76.12.80.31	US
76.12.80.32	76.12.80.39	AU
76.12.80.40	76.12.80.151	US
76.12.80.152	76.12.80.175	AU
76.12.80.176	76.12.81.183	US
76.12.81.184	76.12.81.191	CA
76.12.81.192	76.12.85.15	US
76.12.85.16	76.12.85.23	GB
76.12.85.24	76.12.85.231	US
76.12.85.232	76.12.85.239	CA
76.12.85.240	76.12.86.247	US
76.12.86.248	76.12.86.255	CA
76.12.87.0	76.12.89.63	US
76.12.89.64	76.12.89.71	PK
76.12.89.72	76.12.96.39	US
76.12.96.40	76.12.96.47	GB
76.12.96.48	76.12.96.63	AU
76.12.96.64	76.12.96.95	GB
76.12.96.96	76.12.96.103	AU
76.12.96.104	76.12.96.111	US
76.12.96.112	76.12.96.127	AU
76.12.96.128	76.12.97.31	US
76.12.97.32	76.12.97.63	CA
76.12.97.64	76.12.97.111	US
76.12.97.112	76.12.97.127	GB
76.12.97.128	76.12.98.143	US
76.12.98.144	76.12.98.159	AU
76.12.98.160	76.12.98.255	US
76.12.99.0	76.12.99.15	MX
76.12.99.16	76.12.99.55	US
76.12.99.56	76.12.99.63	CA
76.12.99.64	76.12.101.79	US
76.12.101.80	76.12.101.95	CA
76.12.101.96	76.12.105.63	US
76.12.105.64	76.12.105.71	AU
76.12.105.72	76.12.105.79	CA
76.12.105.80	76.12.105.119	US
76.12.105.120	76.12.105.143	CA
76.12.105.144	76.12.105.159	US
76.12.105.160	76.12.105.167	CA
76.12.105.168	76.12.110.119	US
76.12.110.120	76.12.110.127	CA
76.12.110.128	76.12.112.31	US
76.12.112.32	76.12.112.39	CA
76.12.112.40	76.12.113.215	US
76.12.113.216	76.12.113.223	CA
76.12.113.224	76.12.115.103	US
76.12.115.104	76.12.115.111	AU
76.12.115.112	76.12.119.239	US
76.12.119.240	76.12.119.247	IT
76.12.119.248	76.12.119.255	US
76.12.120.0	76.12.120.15	IT
76.12.120.16	76.12.120.79	US
76.12.120.80	76.12.120.87	AU
76.12.120.88	76.12.124.111	US
76.12.124.112	76.12.124.127	CA
76.12.124.128	76.12.124.143	US
76.12.124.144	76.12.124.151	AU
76.12.124.152	76.12.125.7	US
76.12.125.8	76.12.125.15	IT
76.12.125.16	76.12.125.31	US
76.12.125.32	76.12.125.47	IT
76.12.125.48	76.12.125.135	US
76.12.125.136	76.12.125.143	PA
76.12.125.144	76.12.125.215	US
76.12.125.216	76.12.125.223	AE
76.12.125.224	76.12.125.231	US
76.12.125.232	76.12.125.239	AE
76.12.125.240	76.12.129.143	US
76.12.129.144	76.12.129.151	IN
76.12.129.152	76.12.129.167	US
76.12.129.168	76.12.129.175	GB
76.12.129.176	76.12.129.223	US
76.12.129.224	76.12.129.255	ZA
76.12.130.0	76.12.130.183	US
76.12.130.184	76.12.130.191	DE
76.12.130.192	76.12.136.31	US
76.12.136.32	76.12.136.47	CA
76.12.136.48	76.12.137.47	US
76.12.137.48	76.12.137.63	DE
76.12.137.64	76.12.137.119	US
76.12.137.120	76.12.137.127	CA
76.12.137.128	76.12.137.167	US
76.12.137.168	76.12.137.175	GB
76.12.137.176	76.12.138.15	US
76.12.138.16	76.12.138.31	SA
76.12.138.32	76.12.138.183	US
76.12.138.184	76.12.138.191	CA
76.12.138.192	76.12.138.247	US
76.12.138.248	76.12.138.255	NL
76.12.139.0	76.12.139.255	US
76.12.140.0	76.12.140.15	DE
76.12.140.16	76.12.140.47	US
76.12.140.48	76.12.140.63	NL
76.12.140.64	76.12.141.63	US
76.12.141.64	76.12.141.71	CA
76.12.141.72	76.12.141.119	US
76.12.141.120	76.12.141.127	LB
76.12.141.128	76.12.141.247	US
76.12.141.248	76.12.141.255	DE
76.12.142.0	76.12.143.7	US
76.12.143.8	76.12.143.15	IE
76.12.143.16	76.12.143.55	US
76.12.143.56	76.12.143.63	AU
76.12.143.64	76.12.146.31	US
76.12.146.32	76.12.146.55	DK
76.12.146.56	76.12.146.199	US
76.12.146.200	76.12.146.207	GB
76.12.146.208	76.12.147.255	US
76.12.148.0	76.12.148.31	GB
76.12.148.32	76.12.148.215	US
76.12.148.216	76.12.148.231	GB
76.12.148.232	76.12.150.55	US
76.12.150.56	76.12.150.63	CA
76.12.150.64	76.12.150.207	US
76.12.150.208	76.12.150.215	MX
76.12.150.216	76.12.151.159	US
76.12.151.160	76.12.151.175	CA
76.12.151.176	76.12.152.15	US
76.12.152.16	76.12.152.31	MX
76.12.152.32	76.12.154.55	US
76.12.154.56	76.12.154.63	GB
76.12.154.64	76.12.154.111	US
76.12.154.112	76.12.154.127	GB
76.12.154.128	76.12.154.247	US
76.12.154.248	76.12.154.255	AU
76.12.155.0	76.12.156.47	US
76.12.156.48	76.12.156.79	AU
76.12.156.80	76.12.156.239	US
76.12.156.240	76.12.156.255	CA
76.12.157.0	76.12.157.55	US
76.12.157.56	76.12.157.63	CG
76.12.157.64	76.12.157.95	US
76.12.157.96	76.12.157.103	SA
76.12.157.104	76.12.157.119	US
76.12.157.120	76.12.157.127	CA
76.12.157.128	76.12.157.151	US
76.12.157.152	76.12.157.159	GB
76.12.157.160	76.12.157.223	US
76.12.157.224	76.12.157.231	NG
76.12.157.232	76.12.164.119	US
76.12.164.120	76.12.164.127	PK
76.12.164.128	76.12.169.135	US
76.12.169.136	76.12.169.143	IT
76.12.169.144	76.12.169.207	US
76.12.169.208	76.12.169.223	IT
76.12.169.224	76.12.171.159	US
76.12.171.160	76.12.171.167	AU
76.12.171.168	76.12.171.175	US
76.12.171.176	76.12.171.183	AU
76.12.171.184	76.12.173.87	US
76.12.173.88	76.12.173.95	PT
76.12.173.96	76.12.175.239	US
76.12.175.240	76.12.175.255	NO
76.12.176.0	76.12.176.47	US
76.12.176.48	76.12.176.63	NG
76.12.176.64	76.12.176.103	US
76.12.176.104	76.12.176.111	ZA
76.12.176.112	76.12.177.111	US
76.12.177.112	76.12.177.127	GB
76.12.177.128	76.12.178.39	US
76.12.178.40	76.12.178.63	AU
76.12.178.64	76.12.180.79	US
76.12.180.80	76.12.180.95	PT
76.12.180.96	76.12.180.207	US
76.12.180.208	76.12.180.215	IL
76.12.180.216	76.12.181.255	US
76.12.182.0	76.12.182.15	GB
76.12.182.16	76.12.182.71	US
76.12.182.72	76.12.182.79	MX
76.12.182.80	76.12.183.87	US
76.12.183.88	76.12.183.95	NG
76.12.183.96	76.12.184.39	US
76.12.184.40	76.12.184.63	NG
76.12.184.64	76.12.184.79	US
76.12.184.80	76.12.184.87	GB
76.12.184.88	76.12.184.95	US
76.12.184.96	76.12.184.127	GB
76.12.184.128	76.12.184.143	CR
76.12.184.144	76.12.184.167	US
76.12.184.168	76.12.184.175	NG
76.12.184.176	76.12.185.95	US
76.12.185.96	76.12.185.103	CA
76.12.185.104	76.12.185.127	US
76.12.185.128	76.12.185.135	PK
76.12.185.136	76.12.185.175	US
76.12.185.176	76.12.185.183	CA
76.12.185.184	76.12.191.31	US
76.12.191.32	76.12.191.95	NO
76.12.191.96	76.12.191.119	US
76.12.191.120	76.12.191.127	CA
76.12.191.128	76.12.195.55	US
76.12.195.56	76.12.195.63	NG
76.12.195.64	76.12.195.223	US
76.12.195.224	76.12.195.255	CA
76.12.196.0	76.12.198.231	US
76.12.198.232	76.12.198.247	GB
76.12.198.248	76.12.198.255	ZA
76.12.199.0	76.12.201.39	US
76.12.201.40	76.12.201.47	CA
76.12.201.48	76.12.203.255	US
76.12.204.0	76.12.204.7	CA
76.12.204.8	76.12.207.71	US
76.12.207.72	76.12.207.79	HK
76.12.207.80	76.12.209.79	US
76.12.209.80	76.12.209.95	GB
76.12.209.96	76.12.213.63	US
76.12.213.64	76.12.213.79	GB
76.12.213.80	76.12.216.63	US
76.12.216.64	76.12.216.79	PA
76.12.216.80	76.12.217.103	US
76.12.217.104	76.12.217.111	IN
76.12.217.112	76.12.217.231	US
76.12.217.232	76.12.217.239	ZA
76.12.217.240	76.12.221.231	US
76.12.221.232	76.12.221.239	CA
76.12.221.240	76.12.222.255	US
76.12.223.0	76.12.223.31	CA
76.12.223.32	76.12.226.55	US
76.12.226.56	76.12.226.79	CA
76.12.226.80	76.12.226.95	AU
76.12.226.96	76.12.226.175	US
76.12.226.176	76.12.226.183	PT
76.12.226.184	76.12.231.151	US
76.12.231.152	76.12.231.159	AU
76.12.231.160	76.12.237.135	US
76.12.237.136	76.12.237.143	MX
76.12.237.144	76.12.239.135	US
76.12.239.136	76.12.239.167	CA
76.12.239.168	76.12.240.63	US
76.12.240.64	76.12.240.95	NL
76.12.240.96	76.12.242.87	US
76.12.242.88	76.12.242.95	CA
76.12.242.96	76.12.248.95	US
76.12.248.96	76.12.248.127	PK
76.12.248.128	76.12.248.143	IN
76.12.248.144	76.12.249.127	US
76.12.249.128	76.12.249.143	CA
76.12.249.144	76.12.249.215	US
76.12.249.216	76.12.249.223	NG
76.12.249.224	76.12.251.159	US
76.12.251.160	76.12.251.175	IE
76.12.251.176	76.12.254.39	US
76.12.254.40	76.12.254.47	BR
76.12.254.48	76.12.254.63	US
76.12.254.64	76.12.254.95	BR
76.12.254.96	76.12.254.127	IE
76.12.254.128	76.12.254.143	GB
76.12.254.144	76.12.254.159	CH
76.12.254.160	76.12.254.183	US
76.12.254.184	76.12.254.191	GB
76.12.254.192	76.12.254.207	US
76.12.254.208	76.12.254.223	CA
76.12.254.224	76.63.255.255	US
76.64.0.0	76.71.255.255	CA
76.72.0.0	76.72.239.255	US
76.72.240.0	76.72.255.255	PR
76.73.0.0	76.74.14.255	US
76.74.15.0	76.74.15.127	IE
76.74.15.128	76.74.89.15	US
76.74.89.16	76.74.89.23	DE
76.74.89.24	76.74.89.79	US
76.74.89.80	76.74.89.95	DE
76.74.89.96	76.74.89.127	US
76.74.89.128	76.74.89.135	DE
76.74.89.136	76.74.99.255	US
76.74.100.0	76.74.100.63	PR
76.74.100.64	76.74.127.255	US
76.74.128.0	76.74.128.255	FI
76.74.129.0	76.74.129.31	US
76.74.129.32	76.74.129.47	CA
76.74.129.48	76.74.129.63	US
76.74.129.64	76.74.129.95	CA
76.74.129.96	76.74.129.127	US
76.74.129.128	76.74.136.23	CA
76.74.136.24	76.74.136.31	VG
76.74.136.32	76.74.136.47	US
76.74.136.48	76.74.136.127	CA
76.74.136.128	76.74.136.159	VG
76.74.136.160	76.74.136.191	US
76.74.136.192	76.74.139.7	CA
76.74.139.8	76.74.139.15	US
76.74.139.16	76.74.140.31	CA
76.74.140.32	76.74.140.47	US
76.74.140.48	76.74.140.175	CA
76.74.140.176	76.74.140.199	US
76.74.140.200	76.74.141.127	CA
76.74.141.128	76.74.141.255	US
76.74.142.0	76.74.142.95	CA
76.74.142.96	76.74.142.127	US
76.74.142.128	76.74.142.191	CA
76.74.142.192	76.74.142.255	FI
76.74.143.0	76.74.143.95	CA
76.74.143.96	76.74.143.151	US
76.74.143.152	76.74.143.191	CA
76.74.143.192	76.74.143.223	US
76.74.143.224	76.74.143.255	CA
76.74.144.0	76.74.144.159	US
76.74.144.160	76.74.144.175	CA
76.74.144.176	76.74.144.207	US
76.74.144.208	76.74.144.215	AU
76.74.144.216	76.74.148.63	US
76.74.148.64	76.74.148.79	CR
76.74.148.80	76.74.148.91	US
76.74.148.92	76.74.148.95	MX
76.74.148.96	76.74.148.111	US
76.74.148.112	76.74.148.127	CR
76.74.148.128	76.74.149.15	US
76.74.149.16	76.74.149.31	CA
76.74.149.32	76.74.149.87	US
76.74.149.88	76.74.149.127	CA
76.74.149.128	76.74.149.231	US
76.74.149.232	76.74.149.239	PA
76.74.149.240	76.74.161.255	US
76.74.162.0	76.74.162.255	CA
76.74.163.0	76.74.163.255	US
76.74.164.0	76.74.164.63	CA
76.74.164.64	76.74.164.79	US
76.74.164.80	76.74.164.95	CA
76.74.164.96	76.74.164.151	US
76.74.164.152	76.74.164.255	CA
76.74.165.0	76.74.165.15	US
76.74.165.16	76.74.165.23	CA
76.74.165.24	76.74.165.95	US
76.74.165.96	76.74.165.159	CA
76.74.165.160	76.74.165.191	US
76.74.165.192	76.74.165.207	CA
76.74.165.208	76.74.165.215	US
76.74.165.216	76.74.165.239	CA
76.74.165.240	76.74.172.63	US
76.74.172.64	76.74.172.95	CA
76.74.172.96	76.74.172.111	US
76.74.172.112	76.74.172.127	CA
76.74.172.128	76.74.175.15	US
76.74.175.16	76.74.175.31	CA
76.74.175.32	76.74.175.47	CN
76.74.175.48	76.74.175.63	US
76.74.175.64	76.74.175.95	CN
76.74.175.96	76.74.179.31	US
76.74.179.32	76.74.179.63	CA
76.74.179.64	76.74.183.255	US
76.74.184.0	76.74.187.255	CA
76.74.188.0	76.74.191.255	US
76.74.192.0	76.74.207.255	CA
76.74.208.0	76.74.208.255	US
76.74.209.0	76.74.210.255	CA
76.74.211.0	76.74.218.63	US
76.74.218.64	76.74.218.79	CA
76.74.218.80	76.74.219.31	US
76.74.219.32	76.74.219.63	CN
76.74.219.64	76.74.219.127	CA
76.74.219.128	76.74.219.247	US
76.74.219.248	76.74.219.255	CA
76.74.220.0	76.74.220.127	US
76.74.220.128	76.74.220.255	CA
76.74.221.0	76.74.221.127	US
76.74.221.128	76.74.221.143	EG
76.74.221.144	76.74.221.159	CA
76.74.221.160	76.74.223.95	US
76.74.223.96	76.74.223.127	EG
76.74.223.128	76.74.223.239	US
76.74.223.240	76.74.223.255	NZ
76.74.224.0	76.74.224.255	CA
76.74.225.0	76.74.226.23	US
76.74.226.24	76.74.226.31	CA
76.74.226.32	76.74.226.39	HK
76.74.226.40	76.74.226.47	US
76.74.226.48	76.74.226.71	CA
76.74.226.72	76.74.226.79	US
76.74.226.80	76.74.226.95	CA
76.74.226.96	76.74.226.127	KN
76.74.226.128	76.74.226.191	US
76.74.226.192	76.74.226.207	CA
76.74.226.208	76.74.226.223	US
76.74.226.224	76.74.234.127	CA
76.74.234.128	76.74.234.159	US
76.74.234.160	76.74.235.31	CA
76.74.235.32	76.74.235.63	US
76.74.235.64	76.74.235.127	CA
76.74.235.128	76.74.235.255	VG
76.74.236.0	76.74.240.39	US
76.74.240.40	76.74.240.55	CA
76.74.240.56	76.74.240.63	US
76.74.240.64	76.74.242.31	CA
76.74.242.32	76.74.242.39	US
76.74.242.40	76.74.242.47	BV
76.74.242.48	76.74.242.95	CA
76.74.242.96	76.74.242.103	US
76.74.242.104	76.74.247.255	CA
76.74.248.0	76.75.63.255	US
76.75.64.0	76.75.191.255	CA
76.75.192.0	76.75.223.255	US
76.75.224.0	76.75.234.7	CA
76.75.234.8	76.75.234.15	US
76.75.234.16	76.75.234.31	CA
76.75.234.32	76.75.234.39	US
76.75.234.40	76.75.234.47	CA
76.75.234.48	76.75.234.87	US
76.75.234.88	76.75.234.159	CA
76.75.234.160	76.75.234.183	US
76.75.234.184	76.75.234.191	CA
76.75.234.192	76.75.234.199	US
76.75.234.200	76.75.234.231	CA
76.75.234.232	76.75.234.239	US
76.75.234.240	76.75.234.247	CA
76.75.234.248	76.75.234.255	US
76.75.235.0	76.75.235.31	CA
76.75.235.32	76.75.235.39	US
76.75.235.40	76.75.235.47	CA
76.75.235.48	76.75.235.55	US
76.75.235.56	76.75.235.183	CA
76.75.235.184	76.75.235.199	US
76.75.235.200	76.75.237.127	CA
76.75.237.128	76.75.237.135	US
76.75.237.136	76.75.237.159	CA
76.75.237.160	76.75.237.167	US
76.75.237.168	76.75.237.175	CA
76.75.237.176	76.75.237.183	US
76.75.237.184	76.75.237.215	CA
76.75.237.216	76.75.237.247	US
76.75.237.248	76.75.240.7	CA
76.75.240.8	76.75.240.15	US
76.75.240.16	76.75.240.111	CA
76.75.240.112	76.75.240.119	US
76.75.240.120	76.75.240.127	CA
76.75.240.128	76.75.240.135	US
76.75.240.136	76.75.241.127	CA
76.75.241.128	76.75.241.151	US
76.75.241.152	76.75.241.199	CA
76.75.241.200	76.75.241.215	US
76.75.241.216	76.75.241.239	CA
76.75.241.240	76.75.241.247	US
76.75.241.248	76.75.242.143	CA
76.75.242.144	76.75.242.159	US
76.75.242.160	76.75.242.183	CA
76.75.242.184	76.75.242.191	US
76.75.242.192	76.75.242.215	CA
76.75.242.216	76.75.242.223	US
76.75.242.224	76.75.243.55	CA
76.75.243.56	76.75.243.63	US
76.75.243.64	76.75.243.215	CA
76.75.243.216	76.75.243.231	US
76.75.243.232	76.75.244.87	CA
76.75.244.88	76.75.244.119	US
76.75.244.120	76.75.244.151	CA
76.75.244.152	76.75.244.159	US
76.75.244.160	76.75.244.167	CA
76.75.244.168	76.75.244.175	US
76.75.244.176	76.75.245.7	CA
76.75.245.8	76.75.245.15	US
76.75.245.16	76.75.245.87	CA
76.75.245.88	76.75.245.95	US
76.75.245.96	76.75.245.191	CA
76.75.245.192	76.75.245.215	US
76.75.245.216	76.75.246.159	CA
76.75.246.160	76.75.246.167	US
76.75.246.168	76.75.246.199	CA
76.75.246.200	76.75.246.207	US
76.75.246.208	76.75.247.23	CA
76.75.247.24	76.75.247.31	US
76.75.247.32	76.75.247.103	CA
76.75.247.104	76.75.247.111	US
76.75.247.112	76.75.247.247	CA
76.75.247.248	76.75.247.255	US
76.75.248.0	76.75.248.79	CA
76.75.248.80	76.75.248.87	US
76.75.248.88	76.75.249.135	CA
76.75.249.136	76.75.249.159	US
76.75.249.160	76.75.249.167	CA
76.75.249.168	76.75.249.175	NL
76.75.249.176	76.75.249.183	CA
76.75.249.184	76.75.249.191	US
76.75.249.192	76.75.249.223	CA
76.75.249.224	76.75.249.231	US
76.75.249.232	76.75.250.159	CA
76.75.250.160	76.75.250.167	US
76.75.250.168	76.75.250.183	CA
76.75.250.184	76.75.250.191	US
76.75.250.192	76.75.250.215	CA
76.75.250.216	76.75.250.223	US
76.75.250.224	76.75.251.95	CA
76.75.251.96	76.75.251.111	US
76.75.251.112	76.75.251.119	CA
76.75.251.120	76.75.251.127	US
76.75.251.128	76.75.251.223	CA
76.75.251.224	76.75.251.231	US
76.75.251.232	76.75.251.247	CA
76.75.251.248	76.75.251.255	US
76.75.252.0	76.75.253.15	CA
76.75.253.16	76.75.253.23	US
76.75.253.24	76.75.253.39	CA
76.75.253.40	76.75.253.47	US
76.75.253.48	76.75.253.167	CA
76.75.253.168	76.75.253.175	US
76.75.253.176	76.75.253.207	CA
76.75.253.208	76.75.253.215	US
76.75.253.216	76.75.253.223	CA
76.75.253.224	76.75.253.239	US
76.75.253.240	76.75.253.247	NL
76.75.253.248	76.75.253.255	US
76.75.254.0	76.75.254.23	CA
76.75.254.24	76.75.254.39	US
76.75.254.40	76.75.254.63	CA
76.75.254.64	76.75.254.71	US
76.75.254.72	76.75.254.95	CA
76.75.254.96	76.75.254.175	US
76.75.254.176	76.75.254.183	CA
76.75.254.184	76.75.255.7	US
76.75.255.8	76.75.255.15	CA
76.75.255.16	76.75.255.23	FR
76.75.255.24	76.75.255.87	US
76.75.255.88	76.75.255.95	CA
76.75.255.96	76.75.255.111	US
76.75.255.112	76.75.255.167	CA
76.75.255.168	76.75.255.175	US
76.75.255.176	76.75.255.199	CA
76.75.255.200	76.75.255.231	US
76.75.255.232	76.75.255.255	CA
76.76.0.0	76.76.96.7	US
76.76.96.8	76.76.96.15	DE
76.76.96.16	76.76.96.31	US
76.76.96.32	76.76.96.39	CA
76.76.96.40	76.76.96.47	US
76.76.96.48	76.76.96.63	CA
76.76.96.64	76.76.96.71	CR
76.76.96.72	76.76.96.79	US
76.76.96.80	76.76.96.87	MY
76.76.96.88	76.76.96.95	CA
76.76.96.96	76.76.96.103	US
76.76.96.104	76.76.96.119	CA
76.76.96.120	76.76.96.127	LT
76.76.96.128	76.76.96.135	UA
76.76.96.136	76.76.96.151	US
76.76.96.152	76.76.96.159	CA
76.76.96.160	76.76.96.167	RU
76.76.96.168	76.76.96.175	US
76.76.96.176	76.76.96.183	CA
76.76.96.184	76.76.96.191	NL
76.76.96.192	76.76.96.207	CA
76.76.96.208	76.76.96.215	US
76.76.96.216	76.76.96.223	ZA
76.76.96.224	76.76.96.231	CR
76.76.96.232	76.76.96.239	FR
76.76.96.240	76.76.96.247	US
76.76.96.248	76.76.96.255	CA
76.76.97.0	76.76.97.15	US
76.76.97.16	76.76.97.23	BR
76.76.97.24	76.76.97.39	US
76.76.97.40	76.76.97.55	CA
76.76.97.56	76.76.97.63	US
76.76.97.64	76.76.97.71	HU
76.76.97.72	76.76.97.87	US
76.76.97.88	76.76.97.103	CA
76.76.97.104	76.76.97.111	US
76.76.97.112	76.76.97.119	IL
76.76.97.120	76.76.97.143	US
76.76.97.144	76.76.97.151	CA
76.76.97.152	76.76.97.159	CN
76.76.97.160	76.76.97.167	GB
76.76.97.168	76.76.97.175	CA
76.76.97.176	76.76.97.191	US
76.76.97.192	76.76.97.199	CA
76.76.97.200	76.76.97.215	US
76.76.97.216	76.76.97.223	MY
76.76.97.224	76.76.97.231	DE
76.76.97.232	76.76.97.239	US
76.76.97.240	76.76.97.247	CA
76.76.97.248	76.76.97.255	SG
76.76.98.0	76.76.98.7	GB
76.76.98.8	76.76.98.15	US
76.76.98.16	76.76.98.23	DE
76.76.98.24	76.76.98.31	FR
76.76.98.32	76.76.98.39	CA
76.76.98.40	76.76.98.47	US
76.76.98.48	76.76.98.55	CA
76.76.98.56	76.76.98.63	US
76.76.98.64	76.76.98.71	CA
76.76.98.72	76.76.98.79	RU
76.76.98.80	76.76.98.87	US
76.76.98.88	76.76.98.119	CA
76.76.98.120	76.76.98.135	US
76.76.98.136	76.76.98.143	CA
76.76.98.144	76.76.98.151	PA
76.76.98.152	76.76.98.159	US
76.76.98.160	76.76.98.175	CA
76.76.98.176	76.76.98.183	JP
76.76.98.184	76.76.98.191	CA
76.76.98.192	76.76.98.199	US
76.76.98.200	76.76.98.215	CA
76.76.98.216	76.76.98.223	US
76.76.98.224	76.76.98.239	CA
76.76.98.240	76.76.98.247	AU
76.76.98.248	76.76.98.255	PA
76.76.99.0	76.76.99.15	US
76.76.99.16	76.76.99.23	MY
76.76.99.24	76.76.99.31	CA
76.76.99.32	76.76.99.71	US
76.76.99.72	76.76.99.79	CA
76.76.99.80	76.76.99.87	NL
76.76.99.88	76.76.99.103	US
76.76.99.104	76.76.99.111	CA
76.76.99.112	76.76.99.119	US
76.76.99.120	76.76.99.127	CA
76.76.99.128	76.76.99.135	VG
76.76.99.136	76.76.99.143	CA
76.76.99.144	76.76.99.159	US
76.76.99.160	76.76.99.167	AU
76.76.99.168	76.76.99.175	CA
76.76.99.176	76.76.99.191	US
76.76.99.192	76.76.99.199	FR
76.76.99.200	76.76.99.207	CA
76.76.99.208	76.76.99.215	MY
76.76.99.216	76.76.99.223	CA
76.76.99.224	76.76.99.239	US
76.76.99.240	76.76.99.255	CA
76.76.100.0	76.76.100.7	US
76.76.100.8	76.76.100.15	RO
76.76.100.16	76.76.100.23	CA
76.76.100.24	76.76.100.31	AE
76.76.100.32	76.76.100.39	AU
76.76.100.40	76.76.100.47	US
76.76.100.48	76.76.100.55	NL
76.76.100.56	76.76.100.63	GB
76.76.100.64	76.76.100.71	CA
76.76.100.72	76.76.100.79	FR
76.76.100.80	76.76.100.87	IL
76.76.100.88	76.76.100.95	CO
76.76.100.96	76.76.100.103	IT
76.76.100.104	76.76.100.119	CA
76.76.100.120	76.76.100.135	US
76.76.100.136	76.76.100.143	CA
76.76.100.144	76.76.100.159	US
76.76.100.160	76.76.100.167	CA
76.76.100.168	76.76.100.183	US
76.76.100.184	76.76.100.191	GB
76.76.100.192	76.76.100.207	CA
76.76.100.208	76.76.100.215	US
76.76.100.216	76.76.100.223	CA
76.76.100.224	76.76.100.247	US
76.76.100.248	76.76.100.255	GI
76.76.101.0	76.76.101.7	US
76.76.101.8	76.76.101.31	CA
76.76.101.32	76.76.101.39	IE
76.76.101.40	76.76.101.47	NL
76.76.101.48	76.76.101.55	RU
76.76.101.56	76.76.101.63	IT
76.76.101.64	76.76.101.79	CA
76.76.101.80	76.76.101.87	US
76.76.101.88	76.76.101.95	CL
76.76.101.96	76.76.101.111	US
76.76.101.112	76.76.101.119	CA
76.76.101.120	76.76.101.127	MY
76.76.101.128	76.76.101.135	CA
76.76.101.136	76.76.101.143	US
76.76.101.144	76.76.101.151	MY
76.76.101.152	76.76.101.159	US
76.76.101.160	76.76.101.167	MY
76.76.101.168	76.76.101.175	CA
76.76.101.176	76.76.101.183	US
76.76.101.184	76.76.101.223	CA
76.76.101.224	76.76.101.231	NL
76.76.101.232	76.76.102.7	US
76.76.102.8	76.76.102.31	CA
76.76.102.32	76.76.102.39	US
76.76.102.40	76.76.102.63	CA
76.76.102.64	76.76.102.79	US
76.76.102.80	76.76.102.87	CA
76.76.102.88	76.76.102.95	MY
76.76.102.96	76.76.102.103	US
76.76.102.104	76.76.102.111	CA
76.76.102.112	76.76.102.119	US
76.76.102.120	76.76.102.127	CA
76.76.102.128	76.76.102.151	MY
76.76.102.152	76.76.102.159	US
76.76.102.160	76.76.102.175	CA
76.76.102.176	76.76.102.207	US
76.76.102.208	76.76.102.223	CA
76.76.102.224	76.76.102.231	CR
76.76.102.232	76.76.102.239	GB
76.76.102.240	76.76.102.247	CA
76.76.102.248	76.76.102.255	CN
76.76.103.0	76.76.103.7	PH
76.76.103.8	76.76.103.15	CA
76.76.103.16	76.76.103.23	IT
76.76.103.24	76.76.103.31	ZA
76.76.103.32	76.76.103.39	TR
76.76.103.40	76.76.103.47	AE
76.76.103.48	76.76.103.55	US
76.76.103.56	76.76.103.63	CA
76.76.103.64	76.76.103.95	US
76.76.103.96	76.76.103.103	GB
76.76.103.104	76.76.103.135	CA
76.76.103.136	76.76.103.159	US
76.76.103.160	76.76.103.167	MY
76.76.103.168	76.76.103.199	CA
76.76.103.200	76.76.103.207	US
76.76.103.208	76.76.103.239	CA
76.76.103.240	76.76.103.247	US
76.76.103.248	76.76.103.255	GB
76.76.104.0	76.76.104.7	US
76.76.104.8	76.76.115.119	CA
76.76.115.120	76.76.115.127	US
76.76.115.128	76.76.115.151	CA
76.76.115.152	76.76.115.159	US
76.76.115.160	76.76.127.255	CA
76.76.128.0	76.76.159.255	US
76.76.160.0	76.76.163.255	AI
76.76.164.0	76.76.167.255	VG
76.76.168.0	76.76.171.255	KN
76.76.172.0	76.76.175.255	VG
76.76.176.0	76.76.179.255	AI
76.76.180.0	76.76.180.255	KN
76.76.181.0	76.76.187.255	AG
76.76.188.0	76.76.189.255	LC
76.76.190.0	76.76.191.255	AG
76.76.192.0	76.76.207.255	PR
76.76.208.0	76.77.63.255	US
76.77.64.0	76.77.95.255	CA
76.77.96.0	76.195.115.127	US
76.195.115.128	76.195.115.191	UM
76.195.115.192	76.231.177.255	US
76.231.178.0	76.231.178.63	GB
76.231.178.64	76.255.255.255	US
77.0.0.0	77.15.255.255	DE
77.16.0.0	77.19.255.255	NO
77.20.0.0	77.25.255.255	DE
77.26.0.0	77.27.255.255	ES
77.28.0.0	77.29.255.255	MK
77.30.0.0	77.31.255.255	SA
77.32.0.0	77.33.255.255	PL
77.34.0.0	77.35.255.255	RU
77.36.0.0	77.36.127.255	RO
77.36.128.0	77.36.255.255	IR
77.37.0.0	77.37.31.63	DE
77.37.31.64	77.37.31.95	CA
77.37.31.96	77.37.127.255	DE
77.37.128.0	77.37.255.255	RU
77.38.0.0	77.38.127.255	SI
77.38.128.0	77.38.255.255	LV
77.39.0.0	77.39.127.255	RU
77.39.128.0	77.39.255.255	IT
77.40.0.0	77.40.127.255	RU
77.40.128.0	77.40.255.255	NO
77.41.0.0	77.41.255.255	RU
77.42.0.0	77.42.127.255	IT
77.42.128.0	77.42.255.255	LB
77.43.0.0	77.43.127.255	IT
77.43.128.0	77.43.255.255	RU
77.44.0.0	77.44.127.255	GB
77.44.128.0	77.44.255.255	SY
77.45.0.0	77.45.127.255	PL
77.45.128.0	77.45.255.255	RU
77.46.0.0	77.46.127.255	PL
77.46.128.0	77.46.255.255	RS
77.47.0.0	77.47.127.255	DE
77.47.128.0	77.47.255.255	UA
77.48.0.0	77.48.27.255	CZ
77.48.28.0	77.48.28.63	SK
77.48.28.64	77.48.68.255	CZ
77.48.69.0	77.48.70.127	SK
77.48.70.128	77.48.219.255	CZ
77.48.220.0	77.48.221.255	SK
77.48.222.0	77.48.255.255	CZ
77.49.0.0	77.49.255.255	GR
77.50.0.0	77.51.255.255	RU
77.52.0.0	77.52.255.255	UA
77.53.0.0	77.53.255.255	SE
77.54.0.0	77.54.255.255	PT
77.55.0.0	77.55.255.255	PL
77.56.0.0	77.59.255.255	CH
77.60.0.0	77.63.255.255	NL
77.64.0.0	77.64.127.255	SA
77.64.128.0	77.64.255.255	DE
77.65.0.0	77.65.255.255	PL
77.66.0.0	77.66.2.79	DK
77.66.2.80	77.66.2.80	DE
77.66.2.81	77.66.2.81	GB
77.66.2.82	77.66.41.239	DK
77.66.41.240	77.66.41.247	GB
77.66.41.248	77.66.127.255	DK
77.66.128.0	77.66.255.255	RU
77.67.0.0	77.67.0.127	FR
77.67.0.128	77.67.0.255	US
77.67.1.0	77.67.1.255	GB
77.67.2.0	77.67.2.255	FR
77.67.3.0	77.67.3.255	US
77.67.4.0	77.67.4.255	NL
77.67.5.0	77.67.5.255	ES
77.67.6.0	77.67.7.255	IL
77.67.8.0	77.67.9.255	NL
77.67.10.0	77.67.10.127	FR
77.67.10.128	77.67.10.255	NL
77.67.11.0	77.67.11.255	ES
77.67.12.0	77.67.13.255	FR
77.67.14.0	77.67.17.255	BE
77.67.18.0	77.67.18.255	IT
77.67.19.0	77.67.21.255	NL
77.67.22.0	77.67.22.127	DE
77.67.22.128	77.67.22.255	NL
77.67.23.0	77.67.23.255	BE
77.67.24.0	77.67.25.255	FR
77.67.26.0	77.67.26.255	GB
77.67.27.0	77.67.29.255	US
77.67.30.0	77.67.30.255	NL
77.67.31.0	77.67.31.255	GB
77.67.32.0	77.67.32.255	IR
77.67.33.0	77.67.33.255	CH
77.67.34.0	77.67.34.255	CA
77.67.35.0	77.67.35.255	NL
77.67.36.0	77.67.39.255	ES
77.67.40.0	77.67.41.255	NL
77.67.42.0	77.67.43.255	FR
77.67.44.0	77.67.44.63	US
77.67.44.64	77.67.44.191	FR
77.67.44.192	77.67.44.255	IE
77.67.45.0	77.67.45.63	FR
77.67.45.64	77.67.45.191	IE
77.67.45.192	77.67.45.254	BE
77.67.45.255	77.67.45.255	FR
77.67.46.0	77.67.46.63	BE
77.67.46.64	77.67.46.127	FR
77.67.46.128	77.67.46.255	US
77.67.47.0	77.67.47.127	IE
77.67.47.128	77.67.51.255	FR
77.67.52.0	77.67.52.31	US
77.67.52.32	77.67.52.95	FR
77.67.52.96	77.67.52.159	DE
77.67.52.160	77.67.52.191	IL
77.67.52.192	77.67.52.223	IE
77.67.52.224	77.67.52.255	IL
77.67.53.0	77.67.53.31	IE
77.67.53.32	77.67.53.63	GB
77.67.53.64	77.67.53.95	BE
77.67.53.96	77.67.53.127	ES
77.67.53.128	77.67.53.159	BE
77.67.53.160	77.67.53.191	DE
77.67.53.192	77.67.56.255	FR
77.67.57.0	77.67.57.31	GB
77.67.57.32	77.67.57.63	HR
77.67.57.64	77.67.57.159	DE
77.67.57.160	77.67.57.191	BE
77.67.57.192	77.67.57.223	IE
77.67.57.224	77.67.57.255	DE
77.67.58.0	77.67.59.127	NL
77.67.59.128	77.67.60.223	FR
77.67.60.224	77.67.60.239	ES
77.67.60.240	77.67.60.255	US
77.67.61.0	77.67.61.15	GB
77.67.61.16	77.67.61.31	PL
77.67.61.32	77.67.61.47	RO
77.67.61.48	77.67.61.63	BG
77.67.61.64	77.67.61.79	GB
77.67.61.80	77.67.61.95	IT
77.67.61.96	77.67.61.111	GB
77.67.61.112	77.67.61.143	FR
77.67.61.144	77.67.61.159	IL
77.67.61.160	77.67.61.207	FR
77.67.61.208	77.67.61.223	DE
77.67.61.224	77.67.61.255	IE
77.67.62.0	77.67.63.31	FR
77.67.63.32	77.67.63.39	DE
77.67.63.40	77.67.63.47	FR
77.67.63.48	77.67.63.55	BE
77.67.63.56	77.67.63.63	IL
77.67.63.64	77.67.63.67	FR
77.67.63.68	77.67.63.71	IM
77.67.63.72	77.67.63.87	FR
77.67.63.88	77.67.63.119	DE
77.67.63.120	77.67.63.127	IE
77.67.63.128	77.67.63.167	GB
77.67.63.168	77.67.63.175	DE
77.67.63.176	77.67.63.183	GB
77.67.63.184	77.67.63.199	IE
77.67.63.200	77.67.63.207	BE
77.67.63.208	77.67.63.215	DE
77.67.63.216	77.67.63.223	IE
77.67.63.224	77.67.63.239	BE
77.67.63.240	77.67.63.247	FR
77.67.63.248	77.67.63.255	PL
77.67.64.0	77.67.74.255	DE
77.67.75.0	77.67.75.255	FR
77.67.76.0	77.67.79.255	DE
77.67.80.0	77.67.81.255	US
77.67.82.0	77.67.82.255	DE
77.67.83.0	77.67.83.255	US
77.67.84.0	77.67.84.255	TW
77.67.85.0	77.67.87.255	NL
77.67.88.0	77.67.89.255	US
77.67.90.0	77.67.90.255	FR
77.67.91.0	77.67.92.255	NL
77.67.93.0	77.67.93.255	US
77.67.94.0	77.67.99.255	FR
77.67.100.0	77.67.101.255	US
77.67.102.0	77.67.102.255	CA
77.67.103.0	77.67.106.255	US
77.67.107.0	77.67.107.7	FR
77.67.107.8	77.67.107.63	US
77.67.107.64	77.67.107.79	FR
77.67.107.80	77.67.107.87	US
77.67.107.88	77.67.107.91	DE
77.67.107.92	77.67.107.95	FR
77.67.107.96	77.67.107.99	IM
77.67.107.100	77.67.107.103	FR
77.67.107.104	77.67.107.111	US
77.67.107.112	77.67.107.127	FR
77.67.107.128	77.67.107.215	GB
77.67.107.216	77.67.107.255	FR
77.67.108.0	77.67.108.31	US
77.67.108.32	77.67.108.47	IE
77.67.108.48	77.67.108.79	FR
77.67.108.80	77.67.108.111	US
77.67.108.112	77.67.108.127	CA
77.67.108.128	77.67.108.207	US
77.67.108.208	77.67.108.255	FR
77.67.109.0	77.67.109.95	US
77.67.109.96	77.67.109.191	CA
77.67.109.192	77.67.109.223	US
77.67.109.224	77.67.109.255	FR
77.67.110.0	77.67.111.63	US
77.67.111.64	77.67.111.127	FR
77.67.111.128	77.67.111.191	CA
77.67.111.192	77.67.111.255	FR
77.67.112.0	77.67.119.255	US
77.67.120.0	77.67.120.255	FR
77.67.121.0	77.67.121.255	CA
77.67.122.0	77.67.125.255	US
77.67.126.0	77.67.126.255	FR
77.67.127.0	77.67.127.255	US
77.67.128.0	77.67.255.255	TR
77.68.0.0	77.68.127.255	GB
77.68.128.0	77.68.255.255	DK
77.69.0.0	77.69.127.255	GR
77.69.128.0	77.69.255.255	BH
77.70.0.0	77.70.127.255	BG
77.70.128.0	77.70.129.63	NG
77.70.129.64	77.70.129.127	NO
77.70.129.128	77.70.129.159	BF
77.70.129.160	77.70.129.191	NO
77.70.129.192	77.70.129.207	AO
77.70.129.208	77.70.129.223	NO
77.70.129.224	77.70.129.239	AO
77.70.129.240	77.70.129.255	NG
77.70.130.0	77.70.130.127	NO
77.70.130.128	77.70.130.151	NG
77.70.130.152	77.70.130.159	NO
77.70.130.160	77.70.130.191	NG
77.70.130.192	77.70.130.207	NO
77.70.130.208	77.70.130.223	NG
77.70.130.224	77.70.130.239	BJ
77.70.130.240	77.70.130.247	NG
77.70.130.248	77.70.130.255	NO
77.70.131.0	77.70.131.31	BJ
77.70.131.32	77.70.131.63	NO
77.70.131.64	77.70.131.71	ML
77.70.131.72	77.70.131.79	SL
77.70.131.80	77.70.131.87	BF
77.70.131.88	77.70.131.95	GN
77.70.131.96	77.70.134.255	NO
77.70.135.0	77.70.135.255	NG
77.70.136.0	77.70.137.255	NO
77.70.138.0	77.70.140.255	NG
77.70.141.0	77.70.153.31	NO
77.70.153.32	77.70.153.63	NG
77.70.153.64	77.70.153.95	BI
77.70.153.96	77.70.155.255	NO
77.70.156.0	77.70.161.255	LT
77.70.162.0	77.70.167.255	US
77.70.168.0	77.70.183.255	LT
77.70.184.0	77.70.189.255	NO
77.70.190.0	77.70.255.255	LT
77.71.0.0	77.71.127.255	BG
77.71.128.0	77.71.255.255	MT
77.72.0.0	77.72.7.255	GB
77.72.8.0	77.72.15.255	DE
77.72.16.0	77.72.23.255	RU
77.72.24.0	77.72.39.255	IT
77.72.40.0	77.72.47.255	FR
77.72.48.0	77.72.55.255	DK
77.72.56.0	77.72.63.255	FI
77.72.64.0	77.72.71.255	CH
77.72.72.0	77.72.79.255	IE
77.72.80.0	77.72.87.255	RU
77.72.88.0	77.72.95.255	FR
77.72.96.0	77.72.103.255	SE
77.72.104.0	77.72.111.255	ES
77.72.112.0	77.72.119.255	NL
77.72.120.0	77.72.127.255	RU
77.72.136.0	77.72.143.255	RU
77.72.144.0	77.72.151.255	DE
77.72.152.0	77.72.159.255	NL
77.72.160.0	77.72.164.63	AT
77.72.164.64	77.72.164.127	DE
77.72.164.128	77.72.164.159	AT
77.72.164.160	77.72.164.191	CH
77.72.164.192	77.72.167.255	AT
77.72.168.0	77.72.169.255	DE
77.72.170.0	77.72.170.255	NL
77.72.171.0	77.72.174.255	CH
77.72.175.0	77.72.175.255	NL
77.72.176.0	77.72.183.255	CH
77.72.184.0	77.72.191.255	TR
77.72.192.0	77.72.199.255	IT
77.72.200.0	77.72.207.255	GB
77.72.208.0	77.72.215.255	ES
77.72.216.0	77.72.223.255	IT
77.72.224.0	77.72.231.255	SE
77.72.232.0	77.72.239.255	BE
77.72.240.0	77.72.255.255	RU
77.73.0.0	77.73.15.255	GB
77.73.16.0	77.73.23.255	NL
77.73.24.0	77.73.31.255	RU
77.73.32.0	77.73.39.255	CH
77.73.40.0	77.73.47.255	ES
77.73.48.0	77.73.55.255	RU
77.73.56.0	77.73.63.255	IT
77.73.64.0	77.73.71.255	RU
77.73.72.0	77.73.79.255	GB
77.73.80.0	77.73.87.255	ES
77.73.88.0	77.73.95.255	RU
77.73.96.0	77.73.103.255	BE
77.73.104.0	77.73.111.255	RU
77.73.112.0	77.73.127.255	GB
77.73.128.0	77.73.135.255	KZ
77.73.136.0	77.73.143.255	RU
77.73.144.0	77.73.159.255	GB
77.73.160.0	77.73.167.255	ES
77.73.168.0	77.73.175.255	GB
77.73.176.0	77.73.183.255	BE
77.73.184.0	77.73.185.151	NG
77.73.185.152	77.73.185.167	A2
77.73.185.168	77.73.185.191	NG
77.73.185.192	77.73.185.199	A2
77.73.185.200	77.73.185.223	NG
77.73.185.224	77.73.185.231	A2
77.73.185.232	77.73.185.247	NG
77.73.185.248	77.73.185.255	US
77.73.186.0	77.73.186.135	NG
77.73.186.136	77.73.186.143	A2
77.73.186.144	77.73.186.215	NG
77.73.186.216	77.73.186.223	A2
77.73.186.224	77.73.187.71	NG
77.73.187.72	77.73.187.87	A2
77.73.187.88	77.73.187.103	NG
77.73.187.104	77.73.187.119	A2
77.73.187.120	77.73.187.135	NG
77.73.187.136	77.73.187.143	A2
77.73.187.144	77.73.188.71	NG
77.73.188.72	77.73.188.79	A2
77.73.188.80	77.73.188.103	NG
77.73.188.104	77.73.188.127	A2
77.73.188.128	77.73.188.159	NG
77.73.188.160	77.73.188.191	A2
77.73.188.192	77.73.188.231	NG
77.73.188.232	77.73.188.255	A2
77.73.189.0	77.73.189.7	NG
77.73.189.8	77.73.189.15	A2
77.73.189.16	77.73.189.71	NG
77.73.189.72	77.73.189.79	A2
77.73.189.80	77.73.189.175	NG
77.73.189.176	77.73.189.183	A2
77.73.189.184	77.73.189.207	NG
77.73.189.208	77.73.189.223	A2
77.73.189.224	77.73.190.15	NG
77.73.190.16	77.73.190.31	A2
77.73.190.32	77.73.190.47	NG
77.73.190.48	77.73.190.63	A2
77.73.190.64	77.73.190.71	NG
77.73.190.72	77.73.190.79	A2
77.73.190.80	77.73.191.119	NG
77.73.191.120	77.73.191.135	A2
77.73.191.136	77.73.191.175	NG
77.73.191.176	77.73.191.183	A2
77.73.191.184	77.73.191.255	NG
77.73.192.0	77.73.199.255	SA
77.73.200.0	77.73.207.255	ES
77.73.208.0	77.73.215.255	IE
77.73.216.0	77.73.223.255	TR
77.73.224.0	77.73.231.255	NL
77.73.232.0	77.73.239.255	RU
77.73.240.0	77.73.247.255	CH
77.73.248.0	77.73.255.255	DE
77.74.0.0	77.74.7.255	CH
77.74.8.0	77.74.15.255	RU
77.74.16.0	77.74.23.255	IT
77.74.24.0	77.74.31.255	RU
77.74.32.0	77.74.39.255	BY
77.74.40.0	77.74.47.255	GE
77.74.48.0	77.74.49.199	NL
77.74.49.200	77.74.49.207	AE
77.74.49.208	77.74.55.255	NL
77.74.56.0	77.74.63.255	CY
77.74.64.0	77.74.71.255	KZ
77.74.72.0	77.74.79.255	RU
77.74.80.0	77.74.87.255	CH
77.74.88.0	77.74.95.255	BE
77.74.96.0	77.74.103.255	CH
77.74.104.0	77.74.111.255	GB
77.74.112.0	77.74.119.255	AT
77.74.120.0	77.74.127.255	GB
77.74.128.0	77.74.135.255	SE
77.74.136.0	77.74.143.255	DE
77.74.144.0	77.74.151.255	IT
77.74.152.0	77.74.159.255	FR
77.74.160.0	77.74.167.255	NO
77.74.168.0	77.74.169.255	CH
77.74.170.0	77.74.171.255	FI
77.74.172.0	77.74.175.255	CH
77.74.176.0	77.74.191.255	RU
77.74.192.0	77.74.199.255	GB
77.74.200.0	77.74.207.255	SI
77.74.208.0	77.74.215.255	FR
77.74.216.0	77.74.223.255	NO
77.74.224.0	77.74.231.255	BA
77.74.232.0	77.74.232.223	DE
77.74.232.224	77.74.232.239	AT
77.74.232.240	77.74.239.255	DE
77.74.240.0	77.74.247.255	FR
77.74.248.0	77.74.255.255	RS
77.75.0.0	77.75.7.255	GB
77.75.8.0	77.75.15.255	RU
77.75.16.0	77.75.31.255	AT
77.75.32.0	77.75.39.255	TR
77.75.40.0	77.75.47.255	LT
77.75.48.0	77.75.52.223	FR
77.75.52.224	77.75.55.255	EU
77.75.56.0	77.75.71.255	FR
77.75.72.0	77.75.79.255	CZ
77.75.80.0	77.75.87.255	DK
77.75.88.0	77.75.95.255	LB
77.75.96.0	77.75.103.255	IE
77.75.104.0	77.75.111.255	GB
77.75.112.0	77.75.119.255	CH
77.75.120.0	77.75.127.255	NL
77.75.128.0	77.75.135.255	RU
77.75.136.0	77.75.136.255	NL
77.75.137.0	77.75.143.255	GB
77.75.144.0	77.75.151.255	UA
77.75.152.0	77.75.159.255	RU
77.75.160.0	77.75.167.255	DK
77.75.168.0	77.75.175.255	RU
77.75.176.0	77.75.183.255	ES
77.75.184.0	77.75.199.255	GB
77.75.200.0	77.75.207.255	DE
77.75.208.0	77.75.215.255	NO
77.75.216.0	77.75.223.255	TR
77.75.224.0	77.75.231.255	ES
77.75.232.0	77.75.239.255	GB
77.75.240.0	77.75.247.255	IE
77.75.248.0	77.75.255.255	DE
77.76.0.0	77.76.63.255	BG
77.76.64.0	77.76.127.255	GB
77.76.128.0	77.76.191.255	BG
77.76.192.0	77.76.255.255	DE
77.77.0.0	77.77.63.255	BG
77.77.64.0	77.77.127.255	IR
77.77.128.0	77.77.191.255	BG
77.77.192.0	77.77.255.255	BA
77.78.0.0	77.78.63.255	BG
77.78.64.0	77.78.127.255	CZ
77.78.128.0	77.78.191.255	BG
77.78.192.0	77.78.238.255	BA
77.78.239.0	77.78.240.255	MD
77.78.241.0	77.78.247.255	BA
77.78.248.0	77.78.248.255	RS
77.78.249.0	77.78.249.255	MD
77.78.250.0	77.78.252.255	BA
77.78.253.0	77.78.253.255	MD
77.78.254.0	77.78.255.255	BA
77.79.0.0	77.79.63.255	LT
77.79.64.0	77.79.127.255	TR
77.79.128.0	77.79.191.255	RU
77.79.192.0	77.79.202.55	PL
77.79.202.56	77.79.202.63	SE
77.79.202.64	77.79.235.239	PL
77.79.235.240	77.79.235.255	SE
77.79.236.0	77.79.255.255	PL
77.80.0.0	77.80.127.255	AT
77.80.128.0	77.80.255.255	SE
77.81.0.0	77.81.255.255	RO
77.82.0.0	77.82.255.255	RU
77.83.0.0	77.83.255.255	GR
77.84.0.0	77.84.255.255	FR
77.85.0.0	77.85.255.255	BG
77.86.0.0	77.86.127.255	GB
77.86.128.0	77.86.255.255	FI
77.87.0.0	77.87.7.255	PL
77.87.8.0	77.87.15.255	LT
77.87.16.0	77.87.23.255	SA
77.87.24.0	77.87.31.255	IE
77.87.32.0	77.87.47.255	UA
77.87.48.0	77.87.55.255	DE
77.87.56.0	77.87.63.255	NL
77.87.64.0	77.87.71.255	RU
77.87.72.0	77.87.79.255	PL
77.87.80.0	77.87.87.255	RU
77.87.88.0	77.87.95.255	RO
77.87.96.0	77.87.103.255	RU
77.87.104.0	77.87.111.255	FR
77.87.112.0	77.87.119.255	RU
77.87.120.0	77.87.127.255	PL
77.87.128.0	77.87.135.255	GB
77.87.136.0	77.87.143.255	PL
77.87.144.0	77.87.159.255	UA
77.87.160.0	77.87.167.255	NL
77.87.168.0	77.87.175.255	RU
77.87.176.0	77.87.183.255	GB
77.87.184.0	77.87.191.255	DE
77.87.192.0	77.87.199.255	UA
77.87.200.0	77.87.215.255	RU
77.87.216.0	77.87.223.255	PL
77.87.224.0	77.87.231.255	DE
77.87.232.0	77.87.247.255	CZ
77.87.248.0	77.87.255.255	DE
77.88.0.0	77.88.63.255	RU
77.88.64.0	77.88.127.255	NO
77.88.128.0	77.88.191.255	PL
77.88.192.0	77.88.255.255	UA
77.89.0.0	77.89.63.255	IT
77.89.64.0	77.89.127.255	PL
77.89.128.0	77.89.191.255	GB
77.89.192.0	77.89.255.255	MD
77.90.0.0	77.90.63.255	DE
77.90.64.0	77.90.127.255	LT
77.90.128.0	77.90.191.255	DE
77.90.192.0	77.90.255.255	UA
77.91.0.0	77.91.63.255	PL
77.91.64.0	77.91.127.255	RU
77.91.128.0	77.91.191.255	UA
77.91.192.0	77.91.199.255	RU
77.91.200.0	77.91.207.255	PT
77.91.208.0	77.91.215.255	FI
77.91.216.0	77.91.223.255	SE
77.91.224.0	77.91.227.63	RU
77.91.227.64	77.91.227.127	SC
77.91.227.128	77.91.227.167	RU
77.91.227.168	77.91.227.175	CY
77.91.227.176	77.91.228.95	RU
77.91.228.96	77.91.228.103	ES
77.91.228.104	77.91.231.255	RU
77.91.232.0	77.91.239.255	DE
77.91.240.0	77.91.247.255	FR
77.91.248.0	77.91.255.255	GB
77.92.0.0	77.92.2.31	CY
77.92.2.32	77.92.2.47	TR
77.92.2.48	77.92.2.80	CY
77.92.2.81	77.92.2.95	TR
77.92.2.96	77.92.16.0	CY
77.92.16.1	77.92.31.255	TR
77.92.32.0	77.92.63.255	PL
77.92.64.0	77.92.95.255	GB
77.92.96.0	77.92.159.255	TR
77.92.160.0	77.92.191.255	BH
77.92.192.0	77.92.223.255	CZ
77.92.224.0	77.92.255.255	GE
77.93.0.0	77.93.31.255	LV
77.93.32.0	77.93.63.255	UA
77.93.64.0	77.93.95.255	NL
77.93.96.0	77.93.127.255	RU
77.93.128.0	77.93.159.255	GB
77.93.160.0	77.93.191.255	RO
77.93.192.0	77.93.206.79	CZ
77.93.206.80	77.93.206.95	SK
77.93.206.96	77.93.223.255	CZ
77.93.224.0	77.93.255.255	IT
77.94.0.0	77.94.31.255	RU
77.94.32.0	77.94.33.255	LB
77.94.34.0	77.94.34.255	RU
77.94.35.0	77.94.35.255	LT
77.94.36.0	77.94.36.255	RU
77.94.37.0	77.94.37.255	LB
77.94.38.0	77.94.38.255	IQ
77.94.39.0	77.94.40.255	LB
77.94.41.0	77.94.42.255	RU
77.94.43.0	77.94.45.255	BY
77.94.46.0	77.94.47.255	RU
77.94.48.0	77.94.48.255	TM
77.94.49.0	77.94.51.255	RU
77.94.52.0	77.94.53.255	LT
77.94.54.0	77.94.55.255	RU
77.94.56.0	77.94.63.255	BY
77.94.64.0	77.94.95.255	IT
77.94.96.0	77.94.127.255	RU
77.94.128.0	77.94.159.255	SI
77.94.160.0	77.94.223.255	RU
77.94.224.0	77.94.231.255	FR
77.94.232.0	77.94.239.255	NO
77.94.240.0	77.94.255.255	NL
77.95.0.0	77.95.7.255	TJ
77.95.8.0	77.95.15.255	RU
77.95.16.0	77.95.19.255	CY
77.95.20.0	77.95.23.255	US
77.95.24.0	77.95.31.255	DE
77.95.32.0	77.95.39.255	GB
77.95.40.0	77.95.47.255	CZ
77.95.48.0	77.95.55.255	PL
77.95.56.0	77.95.63.255	KG
77.95.64.0	77.95.71.255	FR
77.95.72.0	77.95.79.255	NO
77.95.80.0	77.95.87.255	GB
77.95.88.0	77.95.95.255	RU
77.95.96.0	77.95.103.255	NL
77.95.104.0	77.95.111.255	SE
77.95.112.0	77.95.119.255	GB
77.95.120.0	77.95.121.159	CH
77.95.121.160	77.95.121.175	LV
77.95.121.176	77.95.127.255	CH
77.95.128.0	77.95.135.255	RU
77.95.136.0	77.95.143.255	IT
77.95.144.0	77.95.151.255	FI
77.95.152.0	77.95.159.255	ES
77.95.160.0	77.95.167.255	IE
77.95.168.0	77.95.175.255	IT
77.95.176.0	77.95.183.255	RU
77.95.184.0	77.95.191.255	AM
77.95.192.0	77.95.199.255	CZ
77.95.200.0	77.95.207.255	RU
77.95.208.0	77.95.215.255	IT
77.95.216.0	77.95.218.255	SA
77.95.219.0	77.95.220.255	IR
77.95.221.0	77.95.223.255	SA
77.95.224.0	77.95.231.255	FR
77.95.232.0	77.95.239.255	BG
77.95.240.0	77.95.247.255	FI
77.95.248.0	77.95.255.255	NL
77.96.0.0	77.103.255.255	GB
77.104.0.0	77.104.63.255	FR
77.104.64.0	77.104.127.255	IR
77.104.128.0	77.104.191.255	RO
77.104.192.0	77.104.255.255	CZ
77.105.0.0	77.105.63.255	RS
77.105.64.0	77.105.127.255	FI
77.105.128.0	77.105.191.255	RU
77.105.192.0	77.105.255.255	SE
77.106.0.0	77.106.127.255	RU
77.106.128.0	77.106.191.255	NO
77.106.192.0	77.106.255.255	RU
77.107.0.0	77.107.63.255	SE
77.107.64.0	77.107.191.255	GB
77.107.192.0	77.107.255.255	IE
77.108.0.0	77.108.63.255	IT
77.108.64.0	77.108.127.255	RU
77.108.128.0	77.108.191.255	GB
77.108.192.0	77.108.255.255	RU
77.109.0.0	77.109.63.255	UA
77.109.64.0	77.109.64.255	RU
77.109.65.0	77.109.65.255	BE
77.109.66.0	77.109.75.255	NL
77.109.76.0	77.109.80.255	BE
77.109.81.0	77.109.81.255	NL
77.109.82.0	77.109.84.255	BE
77.109.85.0	77.109.85.255	RU
77.109.86.0	77.109.86.255	BE
77.109.87.0	77.109.87.255	RU
77.109.88.0	77.109.88.255	FR
77.109.89.0	77.109.89.255	DE
77.109.90.0	77.109.91.255	BE
77.109.92.0	77.109.93.255	GB
77.109.94.0	77.109.94.255	FR
77.109.95.0	77.109.95.255	DE
77.109.96.0	77.109.103.255	BE
77.109.104.0	77.109.107.255	NL
77.109.108.0	77.109.108.255	BE
77.109.109.0	77.109.109.255	NL
77.109.110.0	77.109.111.255	RU
77.109.112.0	77.109.127.255	BE
77.109.128.0	77.109.144.191	CH
77.109.144.192	77.109.144.207	ES
77.109.144.208	77.109.167.255	CH
77.109.168.0	77.109.168.255	NL
77.109.169.0	77.109.191.255	CH
77.109.192.0	77.109.255.255	FI
77.110.0.0	77.110.63.255	SE
77.110.64.0	77.110.79.255	SA
77.110.80.0	77.110.127.255	LB
77.110.128.0	77.110.191.255	HU
77.110.192.0	77.110.255.255	NO
77.111.0.0	77.111.63.255	SI
77.111.64.0	77.111.191.255	HU
77.111.192.0	77.111.211.255	FR
77.111.212.0	77.111.221.255	GB
77.111.222.0	77.111.223.255	FR
77.111.224.0	77.111.233.255	DE
77.111.234.0	77.111.255.255	FR
77.112.0.0	77.115.255.255	PL
77.116.0.0	77.119.255.255	AT
77.120.0.0	77.123.255.255	UA
77.124.0.0	77.127.255.255	IL
77.160.0.0	77.175.255.255	NL
77.176.0.0	77.191.255.255	DE
77.192.0.0	77.207.255.255	FR
77.208.0.0	77.211.255.255	ES
77.212.0.0	77.215.255.255	DK
77.216.0.0	77.217.255.255	RU
77.218.0.0	77.219.255.255	SE
77.220.0.0	77.220.31.255	KE
77.220.32.0	77.220.63.255	RU
77.220.64.0	77.220.87.255	IT
77.220.88.0	77.220.95.255	CH
77.220.96.0	77.220.127.255	AT
77.220.128.0	77.220.185.231	RU
77.220.185.232	77.220.185.239	CH
77.220.185.240	77.220.191.255	RU
77.220.192.0	77.220.223.255	UZ
77.220.224.0	77.220.255.255	DE
77.221.0.0	77.221.31.255	BA
77.221.32.0	77.221.63.255	HU
77.221.64.0	77.221.95.255	LT
77.221.96.0	77.221.127.255	SA
77.221.128.0	77.221.159.255	RU
77.221.160.0	77.221.191.255	GB
77.221.192.0	77.221.223.255	RU
77.221.224.0	77.221.255.255	DK
77.222.0.0	77.222.31.255	ME
77.222.32.0	77.222.63.255	RU
77.222.64.0	77.222.95.255	NL
77.222.96.0	77.222.127.255	RU
77.222.128.0	77.222.159.255	UA
77.222.160.0	77.222.223.255	NO
77.222.224.0	77.222.255.255	PL
77.223.0.0	77.223.31.255	IT
77.223.32.0	77.223.63.255	FI
77.223.64.0	77.223.127.255	RU
77.223.128.0	77.223.159.255	TR
77.223.160.0	77.223.191.255	NO
77.223.192.0	77.223.255.255	PL
77.224.0.0	77.231.255.255	ES
77.232.0.0	77.232.63.255	RU
77.232.64.0	77.232.76.255	EU
77.232.77.0	77.232.77.223	DE
77.232.77.224	77.232.95.255	EU
77.232.96.0	77.232.127.255	SA
77.232.128.0	77.232.159.255	RU
77.232.160.0	77.232.191.255	GB
77.232.192.0	77.232.223.255	RO
77.232.224.0	77.232.255.255	DE
77.233.0.0	77.233.31.255	RU
77.233.32.0	77.233.63.255	NL
77.233.64.0	77.233.95.255	EE
77.233.96.0	77.233.127.255	FR
77.233.128.0	77.233.159.255	GB
77.233.160.0	77.233.223.255	RU
77.233.224.0	77.233.255.255	DK
77.234.0.0	77.234.31.255	RU
77.234.32.0	77.234.63.255	DE
77.234.64.0	77.234.95.255	HU
77.234.96.0	77.234.127.255	FI
77.234.128.0	77.234.159.255	SI
77.234.160.0	77.234.191.255	DK
77.234.192.0	77.234.223.255	RU
77.234.224.0	77.234.255.255	SK
77.235.0.0	77.235.31.255	KG
77.235.32.0	77.235.34.255	NL
77.235.35.0	77.235.35.255	GR
77.235.36.0	77.235.63.255	NL
77.235.64.0	77.235.95.255	AT
77.235.96.0	77.235.127.255	MD
77.235.128.0	77.235.159.255	LB
77.235.160.0	77.235.191.255	DE
77.235.192.0	77.235.223.255	RU
77.235.224.0	77.235.255.255	SE
77.236.0.0	77.236.31.255	PL
77.236.32.0	77.236.95.255	RU
77.236.96.0	77.236.127.255	DE
77.236.128.0	77.236.159.255	RU
77.236.160.0	77.236.191.255	BG
77.236.192.0	77.236.223.255	CZ
77.236.224.0	77.236.255.255	RU
77.237.0.0	77.237.31.255	PL
77.237.32.0	77.237.63.127	AT
77.237.63.128	77.237.63.191	CZ
77.237.63.192	77.237.63.255	AT
77.237.64.0	77.237.95.255	IR
77.237.96.0	77.237.127.255	HR
77.237.128.0	77.237.159.255	CZ
77.237.160.0	77.237.191.255	IR
77.237.192.0	77.237.223.255	CH
77.237.224.0	77.237.255.255	DE
77.238.0.0	77.238.31.255	IT
77.238.32.0	77.238.63.255	SE
77.238.96.0	77.238.159.255	RU
77.238.160.0	77.238.177.255	GB
77.238.178.0	77.238.178.255	IE
77.238.179.0	77.238.187.255	GB
77.238.188.0	77.238.189.255	IE
77.238.190.0	77.238.191.255	GB
77.238.192.0	77.238.223.255	BA
77.238.224.0	77.238.255.255	RU
77.239.0.0	77.239.31.255	BA
77.239.32.0	77.239.63.255	CH
77.239.64.0	77.239.95.255	BA
77.239.96.0	77.239.127.255	GB
77.239.128.0	77.239.159.255	IT
77.239.160.0	77.239.191.255	UA
77.239.192.0	77.239.255.255	RU
77.240.0.0	77.240.15.255	GB
77.240.16.0	77.240.31.255	FI
77.240.32.0	77.240.47.255	KZ
77.240.48.0	77.240.63.255	GB
77.240.64.0	77.240.79.255	SE
77.240.80.0	77.240.95.255	SA
77.240.96.0	77.240.111.255	CZ
77.240.112.0	77.240.127.255	ES
77.240.128.0	77.240.143.255	SA
77.240.144.0	77.240.175.255	RU
77.240.176.0	77.240.191.255	CZ
77.240.192.0	77.240.207.255	FR
77.240.208.0	77.240.223.255	SE
77.240.224.0	77.240.239.255	IT
77.240.240.0	77.240.243.255	EE
77.240.244.0	77.240.244.71	LV
77.240.244.72	77.240.244.79	EE
77.240.244.80	77.240.244.111	LV
77.240.244.112	77.240.244.127	EE
77.240.244.128	77.240.246.111	LV
77.240.246.112	77.240.246.119	EE
77.240.246.120	77.240.246.135	LV
77.240.246.136	77.240.246.159	EE
77.240.246.160	77.240.246.223	LV
77.240.246.224	77.240.246.243	EE
77.240.246.244	77.240.247.247	LV
77.240.247.248	77.240.247.255	EE
77.240.248.0	77.240.255.239	LT
77.240.255.240	77.240.255.255	EE
77.241.0.0	77.241.15.255	IT
77.241.16.0	77.241.47.255	RU
77.241.48.0	77.241.63.255	ES
77.241.64.0	77.241.79.255	JO
77.241.80.0	77.241.87.255	BE
77.241.88.0	77.241.88.15	NL
77.241.88.16	77.241.88.23	GB
77.241.88.24	77.241.88.31	FR
77.241.88.32	77.241.95.255	BE
77.241.96.0	77.241.111.255	NO
77.241.112.0	77.241.127.255	ES
77.241.128.0	77.241.135.255	SE
77.241.136.0	77.241.143.255	DK
77.241.144.0	77.241.159.255	RU
77.241.160.0	77.241.175.255	LV
77.241.176.0	77.241.191.255	GB
77.241.192.0	77.241.207.255	LT
77.241.208.0	77.241.223.255	IT
77.241.224.0	77.241.239.255	NL
77.241.240.0	77.242.15.255	RU
77.242.16.0	77.242.31.255	AL
77.242.32.0	77.242.47.255	IT
77.242.48.0	77.242.63.255	DK
77.242.64.0	77.242.79.255	AT
77.242.80.0	77.242.95.255	CZ
77.242.96.0	77.242.111.255	RU
77.242.112.0	77.242.127.255	NL
77.242.128.0	77.242.143.255	IT
77.242.144.0	77.242.159.255	HU
77.242.160.0	77.242.175.255	UA
77.242.176.0	77.242.191.255	IT
77.242.192.0	77.242.195.255	US
77.242.196.0	77.242.197.255	GB
77.242.198.0	77.242.198.255	US
77.242.199.0	77.242.199.143	GB
77.242.199.144	77.242.199.159	FR
77.242.199.160	77.242.199.255	GB
77.242.200.0	77.242.201.47	FR
77.242.201.48	77.242.201.63	US
77.242.201.64	77.242.201.103	FR
77.242.201.104	77.242.201.111	US
77.242.201.112	77.242.202.7	FR
77.242.202.8	77.242.202.15	US
77.242.202.16	77.242.202.127	FR
77.242.202.128	77.242.202.191	US
77.242.202.192	77.242.203.255	FR
77.242.204.0	77.242.207.255	GB
77.242.208.0	77.242.223.255	SM
77.242.224.0	77.242.239.255	PL
77.242.240.0	77.242.255.255	GB
77.243.0.0	77.243.15.255	RU
77.243.16.0	77.243.31.255	RS
77.243.32.0	77.243.63.255	DK
77.243.64.0	77.243.79.255	MT
77.243.80.0	77.243.95.255	KZ
77.243.96.0	77.243.127.255	RU
77.243.128.0	77.243.143.255	DK
77.243.144.0	77.243.159.255	SE
77.243.160.0	77.243.175.255	NL
77.243.176.0	77.243.191.15	BE
77.243.191.16	77.243.191.255	EU
77.243.192.0	77.243.207.255	ES
77.243.208.0	77.243.223.255	HU
77.243.224.0	77.243.239.255	NL
77.243.240.0	77.243.255.255	RU
77.244.0.0	77.244.15.255	SE
77.244.16.0	77.244.31.255	RU
77.244.32.0	77.244.47.255	UA
77.244.48.0	77.244.63.255	CH
77.244.64.0	77.244.79.255	RU
77.244.80.0	77.244.95.255	IT
77.244.96.0	77.244.96.127	DE
77.244.96.128	77.244.96.131	LU
77.244.96.132	77.244.96.135	A2
77.244.96.136	77.244.96.159	DE
77.244.96.160	77.244.96.163	LU
77.244.96.164	77.244.99.159	DE
77.244.99.160	77.244.99.175	LU
77.244.99.176	77.244.108.63	DE
77.244.108.64	77.244.108.71	LU
77.244.108.72	77.244.108.79	DE
77.244.108.80	77.244.108.83	A2
77.244.108.84	77.244.109.147	DE
77.244.109.148	77.244.109.151	LU
77.244.109.152	77.244.109.159	DE
77.244.109.160	77.244.109.175	LU
77.244.109.176	77.244.111.255	DE
77.244.112.0	77.244.127.255	AZ
77.244.128.0	77.244.143.255	GB
77.244.144.0	77.244.159.255	TJ
77.244.160.0	77.244.175.255	RU
77.244.176.0	77.244.191.255	IT
77.244.192.0	77.244.197.127	DK
77.244.197.128	77.244.197.255	SE
77.244.198.0	77.244.207.255	DK
77.244.208.0	77.244.223.255	RU
77.244.224.0	77.244.239.255	SE
77.244.240.0	77.244.255.255	AT
77.245.0.0	77.245.15.255	JO
77.245.16.0	77.245.18.39	CH
77.245.18.40	77.245.18.47	DK
77.245.18.48	77.245.19.127	CH
77.245.19.128	77.245.19.255	IM
77.245.20.0	77.245.20.127	CH
77.245.20.128	77.245.20.255	IM
77.245.21.0	77.245.31.255	CH
77.245.32.0	77.245.47.255	DE
77.245.48.0	77.245.63.255	NL
77.245.64.0	77.245.68.79	GB
77.245.68.80	77.245.68.87	ES
77.245.68.88	77.245.68.143	GB
77.245.68.144	77.245.68.151	ES
77.245.68.152	77.245.69.83	GB
77.245.69.84	77.245.69.87	ZA
77.245.69.88	77.245.72.191	GB
77.245.72.192	77.245.72.199	AU
77.245.72.200	77.245.76.63	GB
77.245.76.64	77.245.76.127	ES
77.245.76.128	77.245.79.255	GB
77.245.80.0	77.245.95.255	NL
77.245.96.0	77.245.111.255	KZ
77.245.112.0	77.245.127.255	RU
77.245.128.0	77.245.143.255	FR
77.245.144.0	77.245.159.255	TR
77.245.160.0	77.245.175.255	RU
77.245.176.0	77.245.191.255	CH
77.245.192.0	77.245.223.255	RU
77.245.224.0	77.245.239.255	IR
77.245.240.0	77.245.255.255	PL
77.246.0.0	77.246.15.255	IT
77.246.16.0	77.246.47.255	GB
77.246.48.0	77.246.55.255	ZW
77.246.56.0	77.246.59.255	ZA
77.246.60.0	77.246.63.255	GB
77.246.64.0	77.246.79.255	LB
77.246.80.0	77.246.95.255	FR
77.246.96.0	77.246.111.255	RU
77.246.112.0	77.246.127.255	DE
77.246.128.0	77.246.143.255	CH
77.246.144.0	77.246.159.255	RU
77.246.160.0	77.246.175.255	GB
77.246.176.0	77.246.191.255	ES
77.246.192.0	77.246.207.255	FI
77.246.208.0	77.246.223.255	BG
77.246.224.0	77.246.255.255	RU
77.247.0.0	77.247.0.255	NL
77.247.1.0	77.247.1.255	FR
77.247.2.0	77.247.2.255	DE
77.247.3.0	77.247.3.255	IT
77.247.4.0	77.247.5.255	DE
77.247.6.0	77.247.6.255	CZ
77.247.7.0	77.247.8.255	DE
77.247.9.0	77.247.9.255	GB
77.247.10.0	77.247.10.255	AE
77.247.11.0	77.247.11.255	GB
77.247.12.0	77.247.15.255	DE
77.247.16.0	77.247.31.255	UA
77.247.32.0	77.247.63.255	RU
77.247.64.0	77.247.79.255	DK
77.247.80.0	77.247.95.255	RU
77.247.96.0	77.247.111.255	GR
77.247.112.0	77.247.143.255	RU
77.247.144.0	77.247.159.255	NO
77.247.160.0	77.247.175.255	RU
77.247.176.0	77.247.176.183	NL
77.247.176.184	77.247.176.187	SE
77.247.176.188	77.247.179.31	NL
77.247.179.32	77.247.179.63	FR
77.247.179.64	77.247.183.255	NL
77.247.184.0	77.247.191.255	RU
77.247.192.0	77.247.199.255	GB
77.247.200.0	77.247.207.255	RS
77.247.208.0	77.247.215.255	RU
77.247.216.0	77.247.223.255	UA
77.247.224.0	77.247.231.255	SK
77.247.232.0	77.247.239.255	RU
77.247.240.0	77.247.247.255	KW
77.247.248.0	77.247.255.255	RS
77.248.0.0	77.251.255.255	NL
77.252.0.0	77.255.255.255	PL
78.0.0.0	78.3.255.255	HR
78.4.0.0	78.7.255.255	IT
78.8.0.0	78.11.255.255	PL
78.12.0.0	78.15.255.255	IT
78.16.0.0	78.19.255.255	IE
78.20.0.0	78.23.255.255	BE
78.24.0.0	78.24.7.255	RU
78.24.8.0	78.24.15.255	CZ
78.24.16.0	78.24.23.255	IE
78.24.24.0	78.24.31.255	RU
78.24.32.0	78.24.33.31	FR
78.24.33.32	78.24.33.95	BE
78.24.33.96	78.24.33.127	FR
78.24.33.128	78.24.33.161	BE
78.24.33.162	78.24.33.255	FR
78.24.34.0	78.24.34.255	BE
78.24.35.0	78.24.35.3	FR
78.24.35.4	78.24.35.15	BE
78.24.35.16	78.24.35.35	FR
78.24.35.36	78.24.35.43	BE
78.24.35.44	78.24.39.255	FR
78.24.40.0	78.24.47.255	RU
78.24.48.0	78.24.55.255	MD
78.24.56.0	78.24.63.255	RU
78.24.64.0	78.24.71.255	HU
78.24.72.0	78.24.79.255	UA
78.24.80.0	78.24.87.255	IT
78.24.88.0	78.24.95.255	NO
78.24.96.0	78.24.103.255	NL
78.24.104.0	78.24.111.255	RS
78.24.112.0	78.24.119.255	GB
78.24.120.0	78.24.127.255	BE
78.24.128.0	78.24.135.255	FR
78.24.136.0	78.24.143.255	ES
78.24.144.0	78.24.151.255	NO
78.24.152.0	78.24.159.255	RU
78.24.160.0	78.24.167.255	PL
78.24.168.0	78.24.175.255	BE
78.24.176.0	78.24.183.255	RU
78.24.184.0	78.24.191.255	HU
78.24.192.0	78.24.199.255	EE
78.24.200.0	78.24.200.15	FR
78.24.200.16	78.24.200.31	ES
78.24.200.32	78.24.200.47	IT
78.24.200.48	78.24.200.63	AT
78.24.200.64	78.24.200.79	PT
78.24.200.80	78.24.200.95	NL
78.24.200.96	78.24.200.111	GB
78.24.200.112	78.24.200.127	GR
78.24.200.128	78.24.200.143	CL
78.24.200.144	78.24.200.159	BE
78.24.200.160	78.24.200.175	MX
78.24.200.176	78.24.200.191	AR
78.24.200.192	78.24.200.207	PL
78.24.200.208	78.24.200.223	IE
78.24.200.224	78.24.200.239	CH
78.24.200.240	78.24.200.255	RU
78.24.201.0	78.24.201.15	BE
78.24.201.16	78.24.201.31	BR
78.24.201.32	78.24.201.47	CZ
78.24.201.48	78.24.201.63	HK
78.24.201.64	78.24.201.79	LU
78.24.201.80	78.24.201.95	CN
78.24.201.96	78.24.201.111	PH
78.24.201.112	78.24.201.127	CH
78.24.201.128	78.24.201.143	JP
78.24.201.144	78.24.201.159	PE
78.24.201.160	78.24.201.175	DE
78.24.201.176	78.24.201.191	CA
78.24.201.192	78.24.201.207	CR
78.24.201.208	78.24.201.223	IN
78.24.201.224	78.24.201.239	US
78.24.201.240	78.24.201.255	CA
78.24.202.0	78.24.202.7	BE
78.24.202.8	78.24.202.15	BR
78.24.202.16	78.24.202.23	CZ
78.24.202.24	78.24.202.31	HK
78.24.202.32	78.24.202.39	LU
78.24.202.40	78.24.202.47	CN
78.24.202.48	78.24.202.55	PH
78.24.202.56	78.24.202.63	CH
78.24.202.64	78.24.202.71	JP
78.24.202.72	78.24.202.79	PE
78.24.202.80	78.24.202.87	DE
78.24.202.88	78.24.202.95	CA
78.24.202.96	78.24.202.103	CR
78.24.202.104	78.24.202.111	IN
78.24.202.112	78.24.202.119	US
78.24.202.120	78.24.202.127	CA
78.24.202.128	78.24.202.135	FR
78.24.202.136	78.24.202.143	ES
78.24.202.144	78.24.202.151	IT
78.24.202.152	78.24.202.159	AT
78.24.202.160	78.24.202.167	PT
78.24.202.168	78.24.202.175	NL
78.24.202.176	78.24.202.183	GB
78.24.202.184	78.24.202.191	GR
78.24.202.192	78.24.202.199	CL
78.24.202.200	78.24.202.207	BE
78.24.202.208	78.24.202.215	MX
78.24.202.216	78.24.202.223	AR
78.24.202.224	78.24.202.231	PL
78.24.202.232	78.24.202.239	IE
78.24.202.240	78.24.202.247	CH
78.24.202.248	78.24.202.255	RU
78.24.203.0	78.24.203.7	BE
78.24.203.8	78.24.203.15	BR
78.24.203.16	78.24.203.23	CZ
78.24.203.24	78.24.203.31	HK
78.24.203.32	78.24.203.39	LU
78.24.203.40	78.24.203.47	CN
78.24.203.48	78.24.203.55	PH
78.24.203.56	78.24.203.63	CH
78.24.203.64	78.24.203.71	JP
78.24.203.72	78.24.203.79	PE
78.24.203.80	78.24.203.87	DE
78.24.203.88	78.24.203.95	CA
78.24.203.96	78.24.203.103	CR
78.24.203.104	78.24.203.111	IN
78.24.203.112	78.24.203.119	US
78.24.203.120	78.24.203.127	CA
78.24.203.128	78.24.203.135	FR
78.24.203.136	78.24.203.143	ES
78.24.203.144	78.24.203.151	IT
78.24.203.152	78.24.203.159	AT
78.24.203.160	78.24.203.167	PT
78.24.203.168	78.24.203.175	NL
78.24.203.176	78.24.203.183	GB
78.24.203.184	78.24.203.191	GR
78.24.203.192	78.24.203.199	CL
78.24.203.200	78.24.203.207	BE
78.24.203.208	78.24.203.215	MX
78.24.203.216	78.24.203.223	AR
78.24.203.224	78.24.203.231	PL
78.24.203.232	78.24.203.239	IE
78.24.203.240	78.24.203.247	CH
78.24.203.248	78.24.203.255	RU
78.24.204.0	78.24.204.15	TR
78.24.204.16	78.24.204.31	SE
78.24.204.32	78.24.204.47	NO
78.24.204.48	78.24.204.63	DK
78.24.204.64	78.24.204.79	LV
78.24.204.80	78.24.204.95	BG
78.24.204.96	78.24.204.111	UA
78.24.204.112	78.24.204.127	CH
78.24.204.128	78.24.204.143	ZA
78.24.204.144	78.24.204.159	LU
78.24.204.160	78.24.204.175	UY
78.24.204.176	78.24.204.191	PA
78.24.204.192	78.24.204.207	MY
78.24.204.208	78.24.204.223	CO
78.24.204.224	78.24.204.239	SG
78.24.204.240	78.24.204.255	US
78.24.205.0	78.24.205.15	RO
78.24.205.16	78.24.205.31	LT
78.24.205.32	78.24.205.47	BO
78.24.205.48	78.24.205.63	HU
78.24.205.64	78.24.205.79	FI
78.24.205.80	78.24.205.95	IL
78.24.205.96	78.24.205.111	AU
78.24.205.112	78.24.205.127	NZ
78.24.205.128	78.24.205.143	VE
78.24.205.144	78.24.205.159	CR
78.24.205.160	78.24.205.175	MA
78.24.205.176	78.24.205.191	ID
78.24.205.192	78.24.205.207	SK
78.24.205.208	78.24.205.223	TW
78.24.205.224	78.24.205.239	PA
78.24.205.240	78.24.205.255	US
78.24.206.0	78.24.206.7	BE
78.24.206.8	78.24.206.15	BR
78.24.206.16	78.24.206.39	FR
78.24.206.40	78.24.206.47	CN
78.24.206.48	78.24.206.55	FR
78.24.206.56	78.24.206.63	CH
78.24.206.64	78.24.206.71	JP
78.24.206.72	78.24.206.79	PE
78.24.206.80	78.24.206.87	DE
78.24.206.88	78.24.206.95	CA
78.24.206.96	78.24.206.103	CR
78.24.206.104	78.24.206.111	IN
78.24.206.112	78.24.206.119	US
78.24.206.120	78.24.206.127	CA
78.24.206.128	78.24.206.135	FR
78.24.206.136	78.24.206.143	ES
78.24.206.144	78.24.206.151	IT
78.24.206.152	78.24.206.159	AT
78.24.206.160	78.24.206.167	PT
78.24.206.168	78.24.206.175	NL
78.24.206.176	78.24.206.183	GB
78.24.206.184	78.24.206.191	GR
78.24.206.192	78.24.206.199	CL
78.24.206.200	78.24.206.207	BE
78.24.206.208	78.24.206.215	MX
78.24.206.216	78.24.206.223	AR
78.24.206.224	78.24.206.231	PL
78.24.206.232	78.24.206.239	IE
78.24.206.240	78.24.206.247	CH
78.24.206.248	78.24.206.255	RU
78.24.207.0	78.24.207.255	CH
78.24.208.0	78.24.208.255	IM
78.24.209.0	78.24.209.63	GB
78.24.209.64	78.24.211.47	IM
78.24.211.48	78.24.211.71	GG
78.24.211.72	78.24.212.127	IM
78.24.212.128	78.24.212.159	GG
78.24.212.160	78.24.213.255	IM
78.24.214.0	78.24.215.255	MT
78.24.216.0	78.24.231.255	RU
78.24.232.0	78.24.239.255	CZ
78.24.240.0	78.24.247.255	FR
78.25.0.0	78.25.63.255	UA
78.25.64.0	78.25.191.255	RU
78.25.192.0	78.25.255.255	GB
78.26.0.0	78.26.63.255	NO
78.26.64.0	78.26.127.255	IT
78.26.128.0	78.26.255.255	UA
78.27.0.0	78.27.63.255	NL
78.27.64.0	78.27.127.255	FI
78.27.128.0	78.27.255.255	UA
78.28.0.0	78.28.63.255	PL
78.28.64.0	78.28.127.255	EE
78.28.128.0	78.28.191.255	BA
78.28.192.0	78.28.255.255	LV
78.29.0.0	78.29.127.255	RU
78.29.128.0	78.29.191.255	PT
78.29.192.0	78.29.255.255	BE
78.30.0.0	78.30.63.255	RU
78.30.64.0	78.30.127.255	PL
78.30.128.0	78.30.191.255	RS
78.30.192.0	78.30.255.255	UA
78.31.0.0	78.31.7.255	RU
78.31.8.0	78.31.15.255	LU
78.31.16.0	78.31.23.255	RU
78.31.24.0	78.31.31.255	CZ
78.31.32.0	78.31.39.255	DK
78.31.40.0	78.31.47.255	FR
78.31.48.0	78.31.55.255	NL
78.31.56.0	78.31.63.255	RO
78.31.64.0	78.31.71.255	DE
78.31.72.0	78.31.79.255	RU
78.31.80.0	78.31.87.255	NO
78.31.88.0	78.31.95.255	PL
78.31.96.0	78.31.103.255	RU
78.31.104.0	78.31.111.255	GB
78.31.112.0	78.31.119.255	NL
78.31.120.0	78.31.127.255	PL
78.31.128.0	78.31.135.255	RO
78.31.136.0	78.31.159.255	PL
78.31.160.0	78.31.167.255	RO
78.31.168.0	78.31.175.255	DE
78.31.176.0	78.31.199.255	UA
78.31.200.0	78.31.223.255	RU
78.31.224.0	78.31.231.255	LT
78.31.232.0	78.31.239.255	UA
78.31.240.0	78.31.247.255	RU
78.31.248.0	78.31.255.255	UA
78.32.0.0	78.33.255.255	GB
78.34.0.0	78.35.255.255	DE
78.36.0.0	78.37.255.255	RU
78.38.0.0	78.39.255.255	IR
78.40.0.0	78.40.7.255	MK
78.40.8.0	78.40.15.255	IT
78.40.16.0	78.40.23.255	GB
78.40.24.0	78.40.31.255	RU
78.40.32.0	78.40.39.255	GB
78.40.40.0	78.40.47.255	SE
78.40.48.0	78.40.55.255	FR
78.40.56.0	78.40.71.255	GB
78.40.72.0	78.40.72.255	FR
78.40.73.0	78.40.74.15	CH
78.40.74.16	78.40.74.31	FR
78.40.74.32	78.40.74.127	CH
78.40.74.128	78.40.74.143	FR
78.40.74.144	78.40.74.175	CH
78.40.74.176	78.40.74.191	BE
78.40.74.192	78.40.75.127	CH
78.40.75.128	78.40.79.255	FR
78.40.80.0	78.40.87.255	RU
78.40.88.0	78.40.95.255	FR
78.40.96.0	78.40.103.255	BE
78.40.104.0	78.40.111.255	RU
78.40.112.0	78.40.119.255	GB
78.40.120.0	78.40.127.255	FR
78.40.128.0	78.40.135.255	IT
78.40.136.0	78.40.143.255	BG
78.40.144.0	78.40.159.255	GB
78.40.160.0	78.40.175.255	IT
78.40.176.0	78.40.183.255	LB
78.40.184.0	78.40.191.255	RU
78.40.192.0	78.40.199.255	NL
78.40.200.0	78.40.207.255	IT
78.40.208.0	78.40.212.255	EU
78.40.213.0	78.40.215.255	AT
78.40.216.0	78.40.223.255	RU
78.40.224.0	78.40.231.255	TR
78.40.232.0	78.40.247.255	GB
78.40.248.0	78.40.255.255	IS
78.41.0.0	78.41.7.255	GB
78.41.8.0	78.41.23.255	CZ
78.41.24.0	78.41.25.199	PL
78.41.25.200	78.41.25.215	GB
78.41.25.216	78.41.25.223	PL
78.41.25.224	78.41.25.231	HR
78.41.25.232	78.41.31.255	PL
78.41.32.0	78.41.39.255	RU
78.41.40.0	78.41.47.255	FR
78.41.48.0	78.41.55.255	IT
78.41.56.0	78.41.63.255	LB
78.41.64.0	78.41.71.255	BE
78.41.72.0	78.41.79.255	NL
78.41.80.0	78.41.87.255	DE
78.41.88.0	78.41.111.255	RU
78.41.112.0	78.41.119.255	AT
78.41.120.0	78.41.127.255	NO
78.41.128.0	78.41.135.255	FR
78.41.136.0	78.41.143.255	NO
78.41.144.0	78.41.151.255	AT
78.41.152.0	78.41.159.255	GB
78.41.160.0	78.41.167.255	FR
78.41.168.0	78.41.175.255	SK
78.41.176.0	78.41.183.255	RU
78.41.184.0	78.41.184.255	GB
78.41.185.0	78.41.185.255	FR
78.41.186.0	78.41.186.255	IT
78.41.187.0	78.41.189.55	FR
78.41.189.56	78.41.189.63	ES
78.41.189.64	78.41.191.255	FR
78.41.192.0	78.41.199.255	RU
78.41.200.0	78.41.207.255	NL
78.41.208.0	78.41.215.255	GB
78.41.216.0	78.41.223.255	DE
78.41.224.0	78.41.224.127	GN
78.41.224.128	78.41.224.255	GA
78.41.225.0	78.41.225.255	MM
78.41.226.0	78.41.226.31	UG
78.41.226.32	78.41.226.63	CD
78.41.226.64	78.41.226.95	SL
78.41.226.96	78.41.226.127	LR
78.41.226.128	78.41.226.159	US
78.41.226.160	78.41.226.191	DK
78.41.226.192	78.41.226.207	LR
78.41.226.208	78.41.226.215	GB
78.41.226.216	78.41.226.255	DK
78.41.227.0	78.41.227.31	BJ
78.41.227.32	78.41.227.255	GB
78.41.228.0	78.41.228.127	BD
78.41.228.128	78.41.228.255	CF
78.41.229.0	78.41.229.127	TZ
78.41.229.128	78.41.229.255	PG
78.41.230.0	78.41.230.127	NP
78.41.230.128	78.41.230.255	GM
78.41.231.0	78.41.231.127	PT
78.41.231.128	78.41.231.255	BT
78.41.232.0	78.41.239.255	FR
78.41.240.0	78.41.247.255	SE
78.41.248.0	78.41.251.255	FR
78.41.252.0	78.41.252.15	ES
78.41.252.16	78.41.255.255	FR
78.42.0.0	78.43.255.255	DE
78.44.0.0	78.45.255.255	CZ
78.46.0.0	78.47.18.7	DE
78.47.18.8	78.47.18.15	NL
78.47.18.16	78.55.255.255	DE
78.56.0.0	78.63.255.255	LT
78.64.0.0	78.79.255.255	SE
78.80.0.0	78.80.255.255	CZ
78.81.0.0	78.81.255.255	RU
78.82.0.0	78.82.255.255	SE
78.83.0.0	78.83.255.255	BG
78.84.0.0	78.84.255.255	LV
78.85.0.0	78.85.255.255	RU
78.86.0.0	78.86.255.255	GB
78.87.0.0	78.87.255.255	GR
78.88.0.0	78.88.255.255	PL
78.89.0.0	78.89.255.255	KW
78.90.0.0	78.90.255.255	BG
78.91.0.0	78.91.255.255	NO
78.92.0.0	78.92.255.255	HU
78.93.0.0	78.93.255.255	SA
78.94.0.0	78.94.255.255	DE
78.95.0.0	78.97.255.255	RO
78.98.0.0	78.99.255.255	SK
78.100.0.0	78.101.255.255	QA
78.102.0.0	78.103.255.255	CZ
78.104.0.0	78.104.255.255	AT
78.105.0.0	78.105.255.255	GB
78.106.0.0	78.107.255.255	RU
78.108.0.0	78.108.15.255	SE
78.108.16.0	78.108.31.255	HU
78.108.32.0	78.108.47.255	GR
78.108.48.0	78.108.63.255	SE
78.108.64.0	78.108.95.255	RU
78.108.96.0	78.108.111.255	CZ
78.108.112.0	78.108.127.255	EU
78.108.128.0	78.108.143.255	NL
78.108.144.0	78.108.159.255	CZ
78.108.160.0	78.108.175.255	LB
78.108.176.0	78.108.189.255	CZ
78.108.190.0	78.108.190.127	ES
78.108.190.128	78.108.191.255	CZ
78.108.192.0	78.108.207.255	RU
78.108.208.0	78.108.223.255	KZ
78.108.224.0	78.108.239.255	FR
78.108.240.0	78.108.255.255	BG
78.109.0.0	78.109.15.255	NL
78.109.16.0	78.109.16.15	UA
78.109.16.16	78.109.16.31	NA
78.109.16.32	78.109.16.135	UA
78.109.16.136	78.109.16.143	NA
78.109.16.144	78.109.16.207	UA
78.109.16.208	78.109.16.215	NA
78.109.16.216	78.109.16.223	UA
78.109.16.224	78.109.16.231	NA
78.109.16.232	78.109.17.15	UA
78.109.17.16	78.109.17.23	NA
78.109.17.24	78.109.17.95	UA
78.109.17.96	78.109.17.103	NA
78.109.17.104	78.109.18.95	UA
78.109.18.96	78.109.18.103	NA
78.109.18.104	78.109.18.111	UA
78.109.18.112	78.109.18.119	NA
78.109.18.120	78.109.19.63	UA
78.109.19.64	78.109.19.71	NA
78.109.19.72	78.109.19.87	UA
78.109.19.88	78.109.19.95	NA
78.109.19.96	78.109.19.111	UA
78.109.19.112	78.109.19.127	NA
78.109.19.128	78.109.19.135	UA
78.109.19.136	78.109.19.143	NA
78.109.19.144	78.109.20.23	UA
78.109.20.24	78.109.20.31	NA
78.109.20.32	78.109.20.247	UA
78.109.20.248	78.109.20.255	NA
78.109.21.0	78.109.21.111	UA
78.109.21.112	78.109.21.119	NA
78.109.21.120	78.109.21.167	UA
78.109.21.168	78.109.21.175	NA
78.109.21.176	78.109.21.223	UA
78.109.21.224	78.109.21.231	NA
78.109.21.232	78.109.22.31	UA
78.109.22.32	78.109.22.47	NA
78.109.22.48	78.109.22.55	UA
78.109.22.56	78.109.22.63	NA
78.109.22.64	78.109.22.71	UA
78.109.22.72	78.109.22.79	NA
78.109.22.80	78.109.22.127	UA
78.109.22.128	78.109.22.135	NA
78.109.22.136	78.109.23.7	UA
78.109.23.8	78.109.23.15	NA
78.109.23.16	78.109.23.31	UA
78.109.23.32	78.109.23.39	NA
78.109.23.40	78.109.23.63	UA
78.109.23.64	78.109.23.71	NA
78.109.23.72	78.109.23.143	UA
78.109.23.144	78.109.23.151	NA
78.109.23.152	78.109.23.159	UA
78.109.23.160	78.109.23.167	NA
78.109.23.168	78.109.23.239	UA
78.109.23.240	78.109.23.247	NA
78.109.23.248	78.109.24.47	UA
78.109.24.48	78.109.24.63	NA
78.109.24.64	78.109.24.87	UA
78.109.24.88	78.109.24.95	NA
78.109.24.96	78.109.24.167	UA
78.109.24.168	78.109.24.183	NA
78.109.24.184	78.109.25.31	UA
78.109.25.32	78.109.25.39	NA
78.109.25.40	78.109.25.215	UA
78.109.25.216	78.109.25.223	NA
78.109.25.224	78.109.25.247	UA
78.109.25.248	78.109.25.255	NA
78.109.26.0	78.109.28.23	UA
78.109.28.24	78.109.28.31	NA
78.109.28.32	78.109.28.47	UA
78.109.28.48	78.109.28.55	NA
78.109.28.56	78.109.28.71	UA
78.109.28.72	78.109.28.79	NA
78.109.28.80	78.109.28.95	UA
78.109.28.96	78.109.28.103	NA
78.109.28.104	78.109.28.111	UA
78.109.28.112	78.109.28.119	NA
78.109.28.120	78.109.28.135	UA
78.109.28.136	78.109.28.143	NA
78.109.28.144	78.109.28.215	UA
78.109.28.216	78.109.28.223	NA
78.109.28.224	78.109.28.239	UA
78.109.28.240	78.109.28.247	NA
78.109.28.248	78.109.29.7	UA
78.109.29.8	78.109.29.15	NA
78.109.29.16	78.109.29.23	UA
78.109.29.24	78.109.29.55	NA
78.109.29.56	78.109.29.199	UA
78.109.29.200	78.109.29.207	NA
78.109.29.208	78.109.30.3	UA
78.109.30.4	78.109.30.7	NA
78.109.30.8	78.109.30.31	UA
78.109.30.32	78.109.30.39	BY
78.109.30.40	78.109.30.63	UA
78.109.30.64	78.109.30.79	NA
78.109.30.80	78.109.30.87	UA
78.109.30.88	78.109.30.119	NA
78.109.30.120	78.109.30.143	UA
78.109.30.144	78.109.30.159	NA
78.109.30.160	78.109.30.183	UA
78.109.30.184	78.109.30.191	US
78.109.30.192	78.109.30.239	UA
78.109.30.240	78.109.30.255	NA
78.109.31.0	78.109.31.31	UA
78.109.31.32	78.109.31.47	RU
78.109.31.48	78.109.31.55	NA
78.109.31.56	78.109.31.215	UA
78.109.31.216	78.109.31.223	NA
78.109.31.224	78.109.31.255	UA
78.109.32.0	78.109.63.255	RU
78.109.64.0	78.109.79.255	AM
78.109.80.0	78.109.95.255	FR
78.109.96.0	78.109.111.255	RS
78.109.112.0	78.109.143.255	RU
78.109.144.0	78.109.159.255	KZ
78.109.160.0	78.109.191.255	GB
78.109.192.0	78.109.207.255	IR
78.109.208.0	78.109.223.255	DK
78.109.224.0	78.109.239.255	IQ
78.109.240.0	78.109.255.255	RU
78.110.0.0	78.110.15.255	SA
78.110.16.0	78.110.16.255	CY
78.110.17.0	78.110.29.255	MT
78.110.30.0	78.110.30.255	CY
78.110.31.0	78.110.31.255	MT
78.110.32.0	78.110.47.255	EE
78.110.48.0	78.110.63.255	RU
78.110.64.0	78.110.79.255	BH
78.110.80.0	78.110.95.255	SE
78.110.96.0	78.110.111.255	SY
78.110.112.0	78.110.127.255	IR
78.110.128.0	78.110.143.255	CH
78.110.144.0	78.110.159.255	RU
78.110.160.0	78.110.175.255	GB
78.110.176.0	78.110.191.255	IT
78.110.192.0	78.110.207.255	BE
78.110.208.0	78.110.223.255	CZ
78.110.224.0	78.110.239.255	DE
78.110.240.0	78.110.255.255	RU
78.111.0.0	78.111.1.255	IR
78.111.2.0	78.111.2.7	AE
78.111.2.8	78.111.2.23	IR
78.111.2.24	78.111.2.31	AE
78.111.2.32	78.111.2.95	IR
78.111.2.96	78.111.2.135	AE
78.111.2.136	78.111.2.143	IR
78.111.2.144	78.111.2.159	AE
78.111.2.160	78.111.2.175	IR
78.111.2.176	78.111.2.255	AE
78.111.3.0	78.111.12.255	IR
78.111.13.0	78.111.13.63	AE
78.111.13.64	78.111.13.127	IR
78.111.13.128	78.111.13.255	AE
78.111.14.0	78.111.15.39	IR
78.111.15.40	78.111.15.255	AE
78.111.16.0	78.111.31.255	UA
78.111.32.0	78.111.39.255	BA
78.111.40.0	78.111.41.255	SI
78.111.42.0	78.111.47.255	BA
78.111.48.0	78.111.63.255	AZ
78.111.64.0	78.111.79.255	DE
78.111.80.0	78.111.95.255	RU
78.111.96.0	78.111.111.255	TR
78.111.112.0	78.111.127.255	CZ
78.111.128.0	78.111.143.255	DE
78.111.144.0	78.111.159.255	RU
78.111.160.0	78.111.175.255	DK
78.111.176.0	78.111.191.255	UA
78.111.192.0	78.111.207.255	GG
78.111.208.0	78.111.223.255	UA
78.111.224.0	78.111.239.255	DE
78.111.240.0	78.111.255.255	RU
78.112.0.0	78.127.255.255	FR
78.128.0.0	78.128.127.255	BG
78.128.128.0	78.128.255.255	CZ
78.129.0.0	78.129.127.255	BE
78.129.128.0	78.129.143.255	GB
78.129.144.0	78.129.144.255	US
78.129.145.0	78.129.148.255	GB
78.129.149.0	78.129.149.255	IE
78.129.150.0	78.129.160.255	GB
78.129.161.0	78.129.161.255	IN
78.129.162.0	78.129.164.127	GB
78.129.164.128	78.129.164.191	IT
78.129.164.192	78.129.192.255	GB
78.129.193.0	78.129.193.255	US
78.129.194.0	78.129.204.63	GB
78.129.204.64	78.129.204.127	CA
78.129.204.128	78.129.204.255	GB
78.129.205.0	78.129.205.255	IT
78.129.206.0	78.129.236.255	GB
78.129.237.0	78.129.237.255	SE
78.129.238.0	78.129.254.127	GB
78.129.254.128	78.129.254.255	CA
78.129.255.0	78.129.255.255	GB
78.130.0.0	78.130.127.255	PT
78.130.128.0	78.130.255.255	BG
78.131.0.0	78.131.127.255	HU
78.131.128.0	78.131.255.255	PL
78.132.0.0	78.132.127.255	AT
78.132.128.0	78.132.255.255	RU
78.133.0.0	78.133.127.255	MT
78.133.128.0	78.133.255.255	PL
78.134.0.0	78.134.127.255	IT
78.134.128.0	78.134.255.255	HR
78.135.0.0	78.135.127.255	TR
78.135.128.0	78.135.255.255	IE
78.136.0.0	78.136.15.23	GB
78.136.15.24	78.136.15.31	A2
78.136.15.32	78.136.63.255	GB
78.136.64.0	78.136.127.255	ES
78.136.128.0	78.136.191.255	CZ
78.136.192.0	78.136.255.255	RU
78.137.0.0	78.137.63.255	UA
78.137.64.0	78.137.127.255	RU
78.137.128.0	78.137.139.255	IE
78.137.140.0	78.137.140.255	GB
78.137.141.0	78.137.153.255	IE
78.137.154.0	78.137.155.255	GB
78.137.156.0	78.137.156.255	IE
78.137.157.0	78.137.157.255	GB
78.137.158.0	78.137.162.223	IE
78.137.162.224	78.137.162.239	GB
78.137.162.240	78.137.172.95	IE
78.137.172.96	78.137.173.255	GB
78.137.174.0	78.137.178.47	IE
78.137.178.48	78.137.178.63	GB
78.137.178.64	78.137.178.143	IE
78.137.178.144	78.137.178.151	GB
78.137.178.152	78.137.179.255	IE
78.137.180.0	78.137.180.255	GB
78.137.181.0	78.137.187.255	IE
78.137.188.0	78.137.189.255	GB
78.137.190.0	78.137.190.103	IE
78.137.190.104	78.137.190.111	GB
78.137.190.112	78.137.190.127	IE
78.137.190.128	78.137.190.167	GB
78.137.190.168	78.137.190.207	IE
78.137.190.208	78.137.190.255	GB
78.137.191.0	78.137.191.255	IE
78.137.192.0	78.137.255.255	RU
78.138.0.0	78.138.0.7	IQ
78.138.0.8	78.138.0.15	CD
78.138.0.16	78.138.0.23	NG
78.138.0.24	78.138.0.39	GH
78.138.0.40	78.138.0.47	A2
78.138.0.48	78.138.0.55	GH
78.138.0.56	78.138.0.63	NG
78.138.0.64	78.138.0.71	LR
78.138.0.72	78.138.0.95	NG
78.138.0.96	78.138.0.103	A2
78.138.0.104	78.138.0.111	NG
78.138.0.112	78.138.0.143	A2
78.138.0.144	78.138.0.151	NG
78.138.0.152	78.138.0.167	A2
78.138.0.168	78.138.0.175	CM
78.138.0.176	78.138.0.183	A2
78.138.0.184	78.138.0.191	AO
78.138.0.192	78.138.0.199	GH
78.138.0.200	78.138.0.207	A2
78.138.0.208	78.138.0.215	LR
78.138.0.216	78.138.0.223	NG
78.138.0.224	78.138.0.231	GH
78.138.0.232	78.138.0.239	NG
78.138.0.240	78.138.0.247	LR
78.138.0.248	78.138.1.15	AO
78.138.1.16	78.138.1.23	A2
78.138.1.24	78.138.1.31	GH
78.138.1.32	78.138.1.39	NG
78.138.1.40	78.138.1.47	GH
78.138.1.48	78.138.1.63	A2
78.138.1.64	78.138.1.71	AO
78.138.1.72	78.138.1.79	A2
78.138.1.80	78.138.1.87	NG
78.138.1.88	78.138.1.95	AO
78.138.1.96	78.138.1.103	NG
78.138.1.104	78.138.1.111	GH
78.138.1.112	78.138.1.119	A2
78.138.1.120	78.138.1.159	NG
78.138.1.160	78.138.1.167	GH
78.138.1.168	78.138.1.175	NG
78.138.1.176	78.138.1.183	A2
78.138.1.184	78.138.1.191	NG
78.138.1.192	78.138.1.199	GB
78.138.1.200	78.138.1.223	NG
78.138.1.224	78.138.1.231	A2
78.138.1.232	78.138.2.7	NG
78.138.2.8	78.138.2.15	A2
78.138.2.16	78.138.2.23	NG
78.138.2.24	78.138.2.39	AO
78.138.2.40	78.138.2.47	NG
78.138.2.48	78.138.2.63	AO
78.138.2.64	78.138.2.79	A2
78.138.2.80	78.138.2.95	NG
78.138.2.96	78.138.2.103	TD
78.138.2.104	78.138.2.111	GH
78.138.2.112	78.138.2.119	A2
78.138.2.120	78.138.2.143	NG
78.138.2.144	78.138.2.151	A2
78.138.2.152	78.138.2.159	NG
78.138.2.160	78.138.2.167	GH
78.138.2.168	78.138.2.175	NG
78.138.2.176	78.138.2.199	A2
78.138.2.200	78.138.2.207	AO
78.138.2.208	78.138.2.215	A2
78.138.2.216	78.138.2.223	AO
78.138.2.224	78.138.2.239	NG
78.138.2.240	78.138.2.255	GH
78.138.3.0	78.138.3.175	NG
78.138.3.176	78.138.3.183	FR
78.138.3.184	78.138.3.191	ZA
78.138.3.192	78.138.3.199	CD
78.138.3.200	78.138.3.239	NG
78.138.3.240	78.138.4.255	A2
78.138.5.0	78.138.5.7	GH
78.138.5.8	78.138.5.15	ZM
78.138.5.16	78.138.5.31	AO
78.138.5.32	78.138.5.47	A2
78.138.5.48	78.138.5.55	AO
78.138.5.56	78.138.5.71	NG
78.138.5.72	78.138.5.87	A2
78.138.5.88	78.138.5.95	CI
78.138.5.96	78.138.5.103	NG
78.138.5.104	78.138.5.111	BW
78.138.5.112	78.138.5.119	LR
78.138.5.120	78.138.5.127	CM
78.138.5.128	78.138.5.143	NG
78.138.5.144	78.138.5.151	A2
78.138.5.152	78.138.5.159	NG
78.138.5.160	78.138.5.167	A2
78.138.5.168	78.138.5.175	AO
78.138.5.176	78.138.5.183	SL
78.138.5.184	78.138.5.199	A2
78.138.5.200	78.138.5.207	CD
78.138.5.208	78.138.5.215	NG
78.138.5.216	78.138.5.223	IQ
78.138.5.224	78.138.5.231	A2
78.138.5.232	78.138.5.247	NG
78.138.5.248	78.138.5.255	AO
78.138.6.0	78.138.6.7	NG
78.138.6.8	78.138.6.15	SL
78.138.6.16	78.138.6.31	NG
78.138.6.32	78.138.6.39	A2
78.138.6.40	78.138.6.47	NG
78.138.6.48	78.138.6.55	A2
78.138.6.56	78.138.6.63	GH
78.138.6.64	78.138.6.95	NG
78.138.6.96	78.138.6.103	SL
78.138.6.104	78.138.6.111	NG
78.138.6.112	78.138.6.119	AO
78.138.6.120	78.138.6.127	NG
78.138.6.128	78.138.6.135	GH
78.138.6.136	78.138.6.143	NG
78.138.6.144	78.138.6.151	GH
78.138.6.152	78.138.6.159	CD
78.138.6.160	78.138.6.167	IQ
78.138.6.168	78.138.6.175	MZ
78.138.6.176	78.138.6.183	AO
78.138.6.184	78.138.6.191	BJ
78.138.6.192	78.138.6.199	UG
78.138.6.200	78.138.6.207	AO
78.138.6.208	78.138.6.223	NG
78.138.6.224	78.138.6.231	IQ
78.138.6.232	78.138.6.239	LR
78.138.6.240	78.138.6.247	NG
78.138.6.248	78.138.7.7	A2
78.138.7.8	78.138.7.15	NG
78.138.7.16	78.138.7.23	IQ
78.138.7.24	78.138.7.31	A2
78.138.7.32	78.138.7.47	NG
78.138.7.48	78.138.7.63	A2
78.138.7.64	78.138.7.127	NG
78.138.7.128	78.138.7.135	A2
78.138.7.136	78.138.7.143	AO
78.138.7.144	78.138.7.151	A2
78.138.7.152	78.138.7.159	IQ
78.138.7.160	78.138.7.167	LR
78.138.7.168	78.138.7.183	NG
78.138.7.184	78.138.7.191	A2
78.138.7.192	78.138.7.199	AO
78.138.7.200	78.138.7.207	NG
78.138.7.208	78.138.7.215	A2
78.138.7.216	78.138.7.223	AO
78.138.7.224	78.138.7.247	NG
78.138.7.248	78.138.7.255	A2
78.138.8.0	78.138.8.7	LR
78.138.8.8	78.138.8.23	NG
78.138.8.24	78.138.8.31	A2
78.138.8.32	78.138.8.39	NG
78.138.8.40	78.138.8.47	A2
78.138.8.48	78.138.8.63	NG
78.138.8.64	78.138.8.71	A2
78.138.8.72	78.138.8.119	NG
78.138.8.120	78.138.8.127	A2
78.138.8.128	78.138.8.135	NG
78.138.8.136	78.138.8.143	CD
78.138.8.144	78.138.8.167	NG
78.138.8.168	78.138.8.191	A2
78.138.8.192	78.138.8.239	NG
78.138.8.240	78.138.8.247	A2
78.138.8.248	78.138.8.255	NG
78.138.9.0	78.138.9.255	GE
78.138.10.0	78.138.10.255	CG
78.138.11.0	78.138.11.255	A2
78.138.12.0	78.138.12.7	AO
78.138.12.8	78.138.12.23	NG
78.138.12.24	78.138.12.31	GH
78.138.12.32	78.138.12.71	NG
78.138.12.72	78.138.12.95	A2
78.138.12.96	78.138.12.103	LR
78.138.12.104	78.138.12.127	NG
78.138.12.128	78.138.12.143	A2
78.138.12.144	78.138.12.215	NG
78.138.12.216	78.138.12.223	A2
78.138.12.224	78.138.12.255	NG
78.138.13.0	78.138.13.31	SL
78.138.13.32	78.138.13.71	A2
78.138.13.72	78.138.13.79	NG
78.138.13.80	78.138.13.87	AO
78.138.13.88	78.138.13.95	A2
78.138.13.96	78.138.13.103	NG
78.138.13.104	78.138.13.111	A2
78.138.13.112	78.138.13.119	NG
78.138.13.120	78.138.13.255	A2
78.138.14.0	78.138.14.15	CD
78.138.14.16	78.138.14.23	A2
78.138.14.24	78.138.14.31	NG
78.138.14.32	78.138.14.47	A2
78.138.14.48	78.138.14.55	IQ
78.138.14.56	78.138.14.71	NG
78.138.14.72	78.138.14.79	CO
78.138.14.80	78.138.14.95	A2
78.138.14.96	78.138.14.103	NG
78.138.14.104	78.138.14.111	A2
78.138.14.112	78.138.14.119	CI
78.138.14.120	78.138.14.143	NG
78.138.14.144	78.138.14.151	IQ
78.138.14.152	78.138.14.167	NG
78.138.14.168	78.138.14.175	A2
78.138.14.176	78.138.14.183	NG
78.138.14.184	78.138.14.199	GH
78.138.14.200	78.138.14.207	AO
78.138.14.208	78.138.14.239	NG
78.138.14.240	78.138.14.247	A2
78.138.14.248	78.138.14.255	NG
78.138.15.0	78.138.15.7	AO
78.138.15.8	78.138.15.15	A2
78.138.15.16	78.138.15.23	CM
78.138.15.24	78.138.15.47	NG
78.138.15.48	78.138.15.55	A2
78.138.15.56	78.138.15.63	GH
78.138.15.64	78.138.15.71	A2
78.138.15.72	78.138.15.79	GH
78.138.15.80	78.138.15.87	AO
78.138.15.88	78.138.15.95	NG
78.138.15.96	78.138.15.103	A2
78.138.15.104	78.138.15.111	NG
78.138.15.112	78.138.15.119	GH
78.138.15.120	78.138.15.127	A2
78.138.15.128	78.138.15.135	GH
78.138.15.136	78.138.15.151	NG
78.138.15.152	78.138.15.159	AO
78.138.15.160	78.138.15.167	NG
78.138.15.168	78.138.15.175	CD
78.138.15.176	78.138.15.183	NG
78.138.15.184	78.138.15.191	A2
78.138.15.192	78.138.15.199	NG
78.138.15.200	78.138.15.207	CD
78.138.15.208	78.138.15.215	A2
78.138.15.216	78.138.15.231	NG
78.138.15.232	78.138.15.239	AO
78.138.15.240	78.138.15.240	A2
78.138.15.241	78.138.15.255	NG
78.138.16.0	78.138.16.255	A2
78.138.17.0	78.138.17.7	AO
78.138.17.8	78.138.17.23	NG
78.138.17.24	78.138.17.31	A2
78.138.17.32	78.138.17.39	CI
78.138.17.40	78.138.17.63	A2
78.138.17.64	78.138.17.71	NG
78.138.17.72	78.138.17.79	CI
78.138.17.80	78.138.17.87	NG
78.138.17.88	78.138.17.95	CI
78.138.17.96	78.138.17.103	NG
78.138.17.104	78.138.17.111	A2
78.138.17.112	78.138.17.167	NG
78.138.17.168	78.138.17.175	BW
78.138.17.176	78.138.17.183	CD
78.138.17.184	78.138.17.191	A2
78.138.17.192	78.138.17.199	NG
78.138.17.200	78.138.17.207	A2
78.138.17.208	78.138.17.215	NG
78.138.17.216	78.138.17.223	CI
78.138.17.224	78.138.17.231	NG
78.138.17.232	78.138.17.239	IQ
78.138.17.240	78.138.17.255	NG
78.138.18.0	78.138.18.15	A2
78.138.18.16	78.138.18.63	NG
78.138.18.64	78.138.18.87	AO
78.138.18.88	78.138.18.95	A2
78.138.18.96	78.138.18.103	AO
78.138.18.104	78.138.18.119	NG
78.138.18.120	78.138.18.127	GH
78.138.18.128	78.138.18.143	NG
78.138.18.144	78.138.18.159	A2
78.138.18.160	78.138.18.167	NG
78.138.18.168	78.138.18.175	A2
78.138.18.176	78.138.18.183	NG
78.138.18.184	78.138.18.191	GH
78.138.18.192	78.138.18.223	A2
78.138.18.224	78.138.18.255	NG
78.138.19.0	78.138.19.7	LR
78.138.19.8	78.138.19.23	A2
78.138.19.24	78.138.19.47	NG
78.138.19.48	78.138.19.55	A2
78.138.19.56	78.138.19.63	NG
78.138.19.64	78.138.19.79	A2
78.138.19.80	78.138.19.87	IQ
78.138.19.88	78.138.19.95	A2
78.138.19.96	78.138.19.127	NG
78.138.19.128	78.138.19.143	CI
78.138.19.144	78.138.19.151	NG
78.138.19.152	78.138.19.159	GH
78.138.19.160	78.138.19.167	AO
78.138.19.168	78.138.19.191	NG
78.138.19.192	78.138.19.199	A2
78.138.19.200	78.138.19.215	NG
78.138.19.216	78.138.19.223	CM
78.138.19.224	78.138.19.231	NG
78.138.19.232	78.138.19.239	AO
78.138.19.240	78.138.19.247	NG
78.138.19.248	78.138.19.255	A2
78.138.20.0	78.138.21.255	GA
78.138.22.0	78.138.22.7	NG
78.138.22.8	78.138.22.15	A2
78.138.22.16	78.138.22.23	NG
78.138.22.24	78.138.22.31	A2
78.138.22.32	78.138.22.39	ZM
78.138.22.40	78.138.22.63	NG
78.138.22.64	78.138.22.71	A2
78.138.22.72	78.138.22.79	NG
78.138.22.80	78.138.22.95	A2
78.138.22.96	78.138.22.103	CD
78.138.22.104	78.138.22.135	A2
78.138.22.136	78.138.22.143	CD
78.138.22.144	78.138.22.151	NG
78.138.22.152	78.138.22.159	A2
78.138.22.160	78.138.22.167	CM
78.138.22.168	78.138.22.183	NG
78.138.22.184	78.138.22.191	A2
78.138.22.192	78.138.22.207	NG
78.138.22.208	78.138.22.215	CD
78.138.22.216	78.138.22.247	NG
78.138.22.248	78.138.22.255	A2
78.138.23.0	78.138.23.7	NG
78.138.23.8	78.138.23.15	A2
78.138.23.16	78.138.23.23	LR
78.138.23.24	78.138.23.31	NG
78.138.23.32	78.138.23.39	LR
78.138.23.40	78.138.23.55	A2
78.138.23.56	78.138.23.63	NG
78.138.23.64	78.138.23.71	A2
78.138.23.72	78.138.23.79	NG
78.138.23.80	78.138.23.87	AO
78.138.23.88	78.138.23.111	A2
78.138.23.112	78.138.23.119	BW
78.138.23.120	78.138.23.127	NG
78.138.23.128	78.138.23.135	A2
78.138.23.136	78.138.23.151	NG
78.138.23.152	78.138.23.159	A2
78.138.23.160	78.138.23.191	NG
78.138.23.192	78.138.23.199	A2
78.138.23.200	78.138.23.215	CI
78.138.23.216	78.138.23.223	GH
78.138.23.224	78.138.23.247	NG
78.138.23.248	78.138.23.255	AO
78.138.24.0	78.138.25.23	NG
78.138.25.24	78.138.25.39	A2
78.138.25.40	78.138.25.71	NG
78.138.25.72	78.138.25.79	LR
78.138.25.80	78.138.25.87	NG
78.138.25.88	78.138.25.95	A2
78.138.25.96	78.138.25.103	NG
78.138.25.104	78.138.25.111	LR
78.138.25.112	78.138.25.119	NG
78.138.25.120	78.138.25.127	GH
78.138.25.128	78.138.25.135	A2
78.138.25.136	78.138.25.159	NG
78.138.25.160	78.138.25.167	AO
78.138.25.168	78.138.25.199	NG
78.138.25.200	78.138.25.207	A2
78.138.25.208	78.138.25.215	NG
78.138.25.216	78.138.25.223	AO
78.138.25.224	78.138.25.231	A2
78.138.25.232	78.138.25.247	AO
78.138.25.248	78.138.25.255	A2
78.138.26.0	78.138.26.7	NG
78.138.26.8	78.138.26.15	A2
78.138.26.16	78.138.26.23	HK
78.138.26.24	78.138.26.55	NG
78.138.26.56	78.138.26.63	A2
78.138.26.64	78.138.26.103	NG
78.138.26.104	78.138.26.111	CD
78.138.26.112	78.138.26.119	A2
78.138.26.120	78.138.26.143	NG
78.138.26.144	78.138.26.151	A2
78.138.26.152	78.138.26.159	NG
78.138.26.160	78.138.26.167	A2
78.138.26.168	78.138.26.175	AO
78.138.26.176	78.138.26.183	A2
78.138.26.184	78.138.26.199	NG
78.138.26.200	78.138.26.207	CM
78.138.26.208	78.138.26.215	IQ
78.138.26.216	78.138.26.239	NG
78.138.26.240	78.138.26.247	CO
78.138.26.248	78.138.26.255	NG
78.138.27.0	78.138.27.15	AO
78.138.27.16	78.138.27.23	IQ
78.138.27.24	78.138.27.31	A2
78.138.27.32	78.138.27.39	NG
78.138.27.40	78.138.27.47	AO
78.138.27.48	78.138.27.55	NG
78.138.27.56	78.138.27.63	AO
78.138.27.64	78.138.27.71	NG
78.138.27.72	78.138.27.79	A2
78.138.27.80	78.138.27.87	NG
78.138.27.88	78.138.27.95	LR
78.138.27.96	78.138.27.103	NG
78.138.27.104	78.138.27.111	AO
78.138.27.112	78.138.27.119	NG
78.138.27.120	78.138.27.127	A2
78.138.27.128	78.138.27.143	NG
78.138.27.144	78.138.27.167	A2
78.138.27.168	78.138.27.183	NG
78.138.27.184	78.138.27.191	AO
78.138.27.192	78.138.27.199	CI
78.138.27.200	78.138.27.215	NG
78.138.27.216	78.138.27.223	AO
78.138.27.224	78.138.27.239	NG
78.138.27.240	78.138.27.247	A2
78.138.27.248	78.138.28.255	NG
78.138.29.0	78.138.29.7	A2
78.138.29.8	78.138.29.15	NG
78.138.29.16	78.138.29.23	CM
78.138.29.24	78.138.29.31	AO
78.138.29.32	78.138.29.39	NG
78.138.29.40	78.138.29.47	CD
78.138.29.48	78.138.29.55	GH
78.138.29.56	78.138.29.63	AO
78.138.29.64	78.138.29.79	NG
78.138.29.80	78.138.29.111	A2
78.138.29.112	78.138.29.119	NG
78.138.29.120	78.138.29.127	AO
78.138.29.128	78.138.29.135	NG
78.138.29.136	78.138.29.143	A2
78.138.29.144	78.138.29.159	NG
78.138.29.160	78.138.29.167	A2
78.138.29.168	78.138.29.175	NG
78.138.29.176	78.138.29.183	AO
78.138.29.184	78.138.29.191	NG
78.138.29.192	78.138.29.200	AO
78.138.29.201	78.138.29.207	A2
78.138.29.208	78.138.29.215	AO
78.138.29.216	78.138.29.231	NG
78.138.29.232	78.138.29.239	A2
78.138.29.240	78.138.29.247	AO
78.138.29.248	78.138.29.255	NG
78.138.30.0	78.138.30.7	A2
78.138.30.8	78.138.30.15	AO
78.138.30.16	78.138.30.23	NG
78.138.30.24	78.138.30.31	A2
78.138.30.32	78.138.30.39	NG
78.138.30.40	78.138.30.47	IQ
78.138.30.48	78.138.30.103	NG
78.138.30.104	78.138.30.111	A2
78.138.30.112	78.138.30.119	NG
78.138.30.120	78.138.30.127	IQ
78.138.30.128	78.138.30.135	NG
78.138.30.136	78.138.30.143	A2
78.138.30.144	78.138.30.151	NG
78.138.30.152	78.138.30.159	A2
78.138.30.160	78.138.30.175	NG
78.138.30.176	78.138.30.183	A2
78.138.30.184	78.138.30.191	AO
78.138.30.192	78.138.30.239	NG
78.138.30.240	78.138.30.247	AO
78.138.30.248	78.138.30.255	IQ
78.138.31.0	78.138.31.39	NG
78.138.31.40	78.138.31.47	A2
78.138.31.48	78.138.31.55	NG
78.138.31.56	78.138.31.71	A2
78.138.31.72	78.138.31.119	NG
78.138.31.120	78.138.31.127	A2
78.138.31.128	78.138.31.135	NG
78.138.31.136	78.138.31.159	AO
78.138.31.160	78.138.31.175	NG
78.138.31.176	78.138.31.183	AO
78.138.31.184	78.138.31.191	NG
78.138.31.192	78.138.31.199	GA
78.138.31.200	78.138.31.207	NG
78.138.31.208	78.138.31.215	GH
78.138.31.216	78.138.31.223	NG
78.138.31.224	78.138.31.239	A2
78.138.31.240	78.138.31.255	NG
78.138.32.0	78.138.32.15	A2
78.138.32.16	78.138.32.39	NG
78.138.32.40	78.138.32.47	A2
78.138.32.48	78.138.32.55	NG
78.138.32.56	78.138.32.63	AO
78.138.32.64	78.138.32.87	NG
78.138.32.88	78.138.32.111	A2
78.138.32.112	78.138.32.119	NG
78.138.32.120	78.138.32.127	HK
78.138.32.128	78.138.32.135	NG
78.138.32.136	78.138.32.151	A2
78.138.32.152	78.138.32.159	AO
78.138.32.160	78.138.32.167	NG
78.138.32.168	78.138.32.175	A2
78.138.32.176	78.138.32.191	CM
78.138.32.192	78.138.32.223	NG
78.138.32.224	78.138.32.231	LR
78.138.32.232	78.138.32.247	AO
78.138.32.248	78.138.32.255	A2
78.138.33.0	78.138.33.15	NG
78.138.33.16	78.138.33.23	CM
78.138.33.24	78.138.33.31	A2
78.138.33.32	78.138.33.55	NG
78.138.33.56	78.138.33.79	CM
78.138.33.80	78.138.33.87	AO
78.138.33.88	78.138.33.95	IQ
78.138.33.96	78.138.33.111	NG
78.138.33.112	78.138.33.119	CM
78.138.33.120	78.138.33.127	NG
78.138.33.128	78.138.33.143	A2
78.138.33.144	78.138.33.151	NG
78.138.33.152	78.138.33.159	A2
78.138.33.160	78.138.33.175	NG
78.138.33.176	78.138.33.183	A2
78.138.33.184	78.138.33.191	NG
78.138.33.192	78.138.33.199	CD
78.138.33.200	78.138.33.207	CI
78.138.33.208	78.138.33.215	A2
78.138.33.216	78.138.33.247	NG
78.138.33.248	78.138.33.255	A2
78.138.34.0	78.138.34.7	NG
78.138.34.8	78.138.34.15	AO
78.138.34.16	78.138.34.23	NG
78.138.34.24	78.138.34.31	IQ
78.138.34.32	78.138.34.39	NG
78.138.34.40	78.138.34.47	NA
78.138.34.48	78.138.34.55	AO
78.138.34.56	78.138.34.63	A2
78.138.34.64	78.138.34.71	LR
78.138.34.72	78.138.34.87	NG
78.138.34.88	78.138.34.103	A2
78.138.34.104	78.138.34.119	NG
78.138.34.120	78.138.34.127	FR
78.138.34.128	78.138.34.135	LR
78.138.34.136	78.138.34.143	NG
78.138.34.144	78.138.34.151	A2
78.138.34.152	78.138.34.167	NG
78.138.34.168	78.138.34.175	CM
78.138.34.176	78.138.34.183	NG
78.138.34.184	78.138.34.191	A2
78.138.34.192	78.138.34.199	CM
78.138.34.200	78.138.34.215	NG
78.138.34.216	78.138.34.223	CD
78.138.34.224	78.138.34.231	GH
78.138.34.232	78.138.34.239	NG
78.138.34.240	78.138.34.255	GH
78.138.35.0	78.138.35.7	NG
78.138.35.8	78.138.35.39	A2
78.138.35.40	78.138.35.55	NG
78.138.35.56	78.138.35.79	A2
78.138.35.80	78.138.35.87	CM
78.138.35.88	78.138.35.127	A2
78.138.35.128	78.138.35.135	GN
78.138.35.136	78.138.35.151	NG
78.138.35.152	78.138.35.159	A2
78.138.35.160	78.138.35.167	NG
78.138.35.168	78.138.35.175	A2
78.138.35.176	78.138.35.183	NG
78.138.35.184	78.138.36.255	A2
78.138.37.0	78.138.37.255	LR
78.138.38.0	78.138.38.39	A2
78.138.38.40	78.138.38.47	NG
78.138.38.48	78.138.38.119	A2
78.138.38.120	78.138.38.127	NG
78.138.38.128	78.138.39.7	A2
78.138.39.8	78.138.39.15	NG
78.138.39.16	78.138.39.23	A2
78.138.39.24	78.138.39.31	NG
78.138.39.32	78.138.39.47	A2
78.138.39.48	78.138.39.55	NG
78.138.39.56	78.138.39.95	A2
78.138.39.96	78.138.39.135	NG
78.138.39.136	78.138.39.191	A2
78.138.39.192	78.138.39.199	LR
78.138.39.200	78.138.39.207	IQ
78.138.39.208	78.138.39.215	IT
78.138.39.216	78.138.40.167	A2
78.138.40.168	78.138.40.175	NG
78.138.40.176	78.138.40.191	A2
78.138.40.192	78.138.40.199	NG
78.138.40.200	78.138.40.247	A2
78.138.40.248	78.138.40.255	NG
78.138.41.0	78.138.63.255	A2
78.138.64.0	78.138.66.127	DE
78.138.66.128	78.138.66.143	CH
78.138.66.144	78.138.66.151	DE
78.138.66.152	78.138.66.159	FR
78.138.66.160	78.138.72.255	DE
78.138.73.0	78.138.73.127	BE
78.138.73.128	78.138.75.255	DE
78.138.76.0	78.138.76.15	NL
78.138.76.16	78.138.76.31	DE
78.138.76.32	78.138.76.47	NL
78.138.76.48	78.138.76.63	DE
78.138.76.64	78.138.76.127	NL
78.138.76.128	78.138.112.255	DE
78.138.113.0	78.138.113.255	CH
78.138.114.0	78.138.123.255	DE
78.138.124.0	78.138.124.127	NL
78.138.124.128	78.138.127.255	DE
78.138.128.0	78.138.191.255	RU
78.138.192.0	78.138.255.255	SA
78.139.0.0	78.139.63.255	HU
78.139.64.0	78.139.127.255	RU
78.139.128.0	78.139.191.255	GE
78.139.192.0	78.140.63.255	RU
78.140.64.0	78.140.127.255	DE
78.140.128.0	78.140.133.255	NL
78.140.134.0	78.140.134.255	GB
78.140.135.0	78.140.135.63	CY
78.140.135.64	78.140.136.255	NL
78.140.137.0	78.140.137.255	IT
78.140.138.0	78.140.147.95	NL
78.140.147.96	78.140.147.127	RU
78.140.147.128	78.140.152.63	NL
78.140.152.64	78.140.152.127	CY
78.140.152.128	78.140.152.191	NL
78.140.152.192	78.140.152.207	GB
78.140.152.208	78.140.160.95	NL
78.140.160.96	78.140.160.111	GB
78.140.160.112	78.140.161.255	NL
78.140.162.0	78.140.162.255	RU
78.140.163.0	78.140.163.63	HK
78.140.163.64	78.140.163.79	CZ
78.140.163.80	78.140.169.255	NL
78.140.170.0	78.140.170.31	SC
78.140.170.32	78.140.171.63	NL
78.140.171.64	78.140.171.191	CY
78.140.171.192	78.140.175.255	NL
78.140.176.0	78.140.176.127	CY
78.140.176.128	78.140.176.191	HK
78.140.176.192	78.140.176.255	CY
78.140.177.0	78.140.177.127	US
78.140.177.128	78.140.191.255	NL
78.140.192.0	78.140.255.255	RU
78.141.0.0	78.141.63.255	GB
78.141.64.0	78.141.127.255	SK
78.141.128.0	78.141.191.255	LU
78.141.192.0	78.141.255.255	GB
78.142.0.0	78.142.63.255	BG
78.142.64.0	78.142.140.247	AT
78.142.140.248	78.142.140.255	DE
78.142.141.0	78.142.191.255	AT
78.142.192.0	78.142.255.255	RU
78.143.0.0	78.143.5.255	NL
78.143.6.0	78.143.6.63	DE
78.143.6.64	78.143.6.255	NL
78.143.7.0	78.143.11.255	DE
78.143.12.0	78.143.15.255	NL
78.143.16.0	78.143.22.255	DE
78.143.23.0	78.143.23.63	NL
78.143.23.64	78.143.29.255	DE
78.143.30.0	78.143.30.255	NL
78.143.31.0	78.143.43.127	DE
78.143.43.128	78.143.43.255	NL
78.143.44.0	78.143.45.255	DE
78.143.46.0	78.143.47.255	NL
78.143.48.0	78.143.52.191	DE
78.143.52.192	78.143.52.223	NL
78.143.52.224	78.143.58.79	DE
78.143.58.80	78.143.58.127	NL
78.143.58.128	78.143.62.159	DE
78.143.62.160	78.143.63.255	NL
78.143.64.0	78.143.127.255	DK
78.143.128.0	78.143.191.255	IE
78.143.192.0	78.151.255.255	GB
78.152.0.0	78.152.31.255	PL
78.152.32.0	78.152.48.255	NL
78.152.49.0	78.152.50.255	US
78.152.51.0	78.152.53.255	NL
78.152.54.0	78.152.54.255	SE
78.152.55.0	78.152.55.255	FR
78.152.56.0	78.152.57.255	DE
78.152.58.0	78.152.59.255	NL
78.152.60.0	78.152.60.255	GB
78.152.61.0	78.152.61.255	DE
78.152.62.0	78.152.63.255	NL
78.152.64.0	78.152.95.255	AT
78.152.96.0	78.152.127.255	IT
78.152.128.0	78.152.159.255	FR
78.152.160.0	78.152.191.255	UA
78.152.192.0	78.152.255.255	IE
78.153.0.0	78.153.31.255	RU
78.153.32.0	78.153.63.255	SI
78.153.64.0	78.153.95.255	DE
78.153.96.0	78.153.127.255	HU
78.153.128.0	78.153.159.255	RU
78.153.160.0	78.153.191.255	DK
78.153.192.0	78.153.204.223	IE
78.153.204.224	78.153.204.255	US
78.153.205.0	78.153.223.255	IE
78.153.224.0	78.153.226.63	FR
78.153.226.64	78.153.226.71	GB
78.153.226.72	78.153.229.31	FR
78.153.229.32	78.153.229.47	GB
78.153.229.48	78.153.229.63	FR
78.153.229.64	78.153.229.67	GB
78.153.229.68	78.153.229.79	FR
78.153.229.80	78.153.230.255	GB
78.153.231.0	78.153.241.95	FR
78.153.241.96	78.153.241.111	IT
78.153.241.112	78.153.249.255	FR
78.153.250.0	78.153.250.255	CH
78.153.251.0	78.153.255.254	FR
78.153.255.255	78.153.255.255	GB
78.154.0.0	78.154.31.255	BG
78.154.32.0	78.154.63.255	IR
78.154.64.0	78.154.95.255	PL
78.154.96.0	78.154.127.255	GB
78.154.128.0	78.154.146.255	LV
78.154.147.0	78.154.147.255	BE
78.154.148.0	78.154.159.255	LV
78.154.160.0	78.154.191.255	UA
78.154.192.0	78.154.255.255	KW
78.155.0.0	78.155.31.255	CH
78.155.32.0	78.155.63.255	ME
78.155.64.0	78.155.95.255	SY
78.155.96.0	78.155.127.255	PL
78.155.128.0	78.155.159.255	FR
78.155.160.0	78.155.223.255	RU
78.155.224.0	78.155.255.255	IE
78.156.0.0	78.156.31.255	NO
78.156.32.0	78.156.63.255	CZ
78.156.64.0	78.156.95.255	GB
78.156.96.0	78.156.127.255	DK
78.156.128.0	78.156.159.255	CZ
78.156.160.0	78.156.191.255	PL
78.156.192.0	78.156.207.255	SE
78.156.208.0	78.156.223.255	DK
78.156.224.0	78.156.255.255	RU
78.157.0.0	78.157.31.255	MK
78.157.32.0	78.157.63.255	IR
78.157.64.0	78.157.95.255	LT
78.157.96.0	78.157.127.255	DK
78.157.128.0	78.157.172.255	CZ
78.157.173.0	78.157.175.255	PL
78.157.176.0	78.157.182.255	CZ
78.157.183.0	78.157.191.255	PL
78.157.192.0	78.157.223.255	NL
78.157.224.0	78.157.255.255	RU
78.158.0.0	78.158.31.255	LT
78.158.32.0	78.158.91.255	GB
78.158.92.0	78.158.95.255	US
78.158.96.0	78.158.127.255	IE
78.158.128.0	78.158.154.255	CY
78.158.155.0	78.158.155.63	DE
78.158.155.64	78.158.155.79	CY
78.158.155.80	78.158.155.87	DE
78.158.155.88	78.158.159.255	CY
78.158.160.0	78.158.191.255	IR
78.158.192.0	78.158.223.255	RU
78.158.224.0	78.158.227.255	NO
78.158.228.0	78.158.231.255	DK
78.158.232.0	78.158.239.255	SE
78.158.240.0	78.158.255.255	NO
78.159.0.0	78.159.31.255	FR
78.159.32.0	78.159.63.255	UA
78.159.64.0	78.159.95.255	PL
78.159.96.0	78.159.104.80	DE
78.159.104.81	78.159.104.127	CN
78.159.104.128	78.159.106.9	DE
78.159.106.10	78.159.106.46	CN
78.159.106.47	78.159.106.63	GB
78.159.106.64	78.159.106.127	PT
78.159.106.128	78.159.106.255	RU
78.159.107.0	78.159.108.255	DE
78.159.109.0	78.159.109.127	PL
78.159.109.128	78.159.109.255	RU
78.159.110.0	78.159.110.255	PL
78.159.111.0	78.159.115.255	DE
78.159.116.0	78.159.116.255	IT
78.159.117.0	78.159.117.255	TR
78.159.118.0	78.159.121.255	DE
78.159.122.0	78.159.122.255	HK
78.159.123.0	78.159.123.255	DE
78.159.124.0	78.159.124.127	PL
78.159.124.128	78.159.124.255	RU
78.159.125.0	78.159.125.127	PL
78.159.125.128	78.159.125.255	RU
78.159.126.0	78.159.126.127	DE
78.159.126.128	78.159.126.255	RU
78.159.127.0	78.159.127.80	DE
78.159.127.81	78.159.127.127	CN
78.159.127.128	78.159.127.255	RU
78.159.128.0	78.159.159.255	BG
78.159.160.0	78.159.191.255	KW
78.159.192.0	78.159.223.255	IT
78.159.224.0	78.159.255.255	RU
78.160.0.0	78.191.255.255	TR
78.192.0.0	78.255.255.255	FR
79.0.0.0	79.63.255.255	IT
79.64.0.0	79.79.255.255	GB
79.80.0.0	79.95.255.255	FR
79.96.0.0	79.96.255.255	PL
79.97.0.0	79.97.255.255	IE
79.98.0.0	79.98.7.255	IT
79.98.8.0	79.98.15.255	RU
79.98.16.0	79.98.23.255	FR
79.98.24.0	79.98.31.255	LT
79.98.32.0	79.98.34.39	GB
79.98.34.40	79.98.34.47	IE
79.98.34.48	79.98.34.55	AE
79.98.34.56	79.98.39.255	GB
79.98.40.0	79.98.47.255	IT
79.98.48.0	79.98.55.255	BY
79.98.56.0	79.98.63.255	FR
79.98.64.0	79.98.71.255	GR
79.98.72.0	79.98.79.255	CZ
79.98.80.0	79.98.87.255	GB
79.98.88.0	79.98.95.255	RU
79.98.96.0	79.98.103.255	FR
79.98.104.0	79.98.111.255	RU
79.98.112.0	79.98.119.255	AL
79.98.120.0	79.98.127.255	AE
79.98.128.0	79.98.135.255	TR
79.98.136.0	79.98.143.255	RU
79.98.144.0	79.98.151.255	PL
79.98.152.0	79.98.159.255	CZ
79.98.160.0	79.98.167.255	GB
79.98.168.0	79.98.183.255	NL
79.98.184.0	79.98.191.255	SA
79.98.192.0	79.98.199.255	DK
79.98.200.0	79.98.223.255	RU
79.98.224.0	79.98.231.255	DE
79.98.232.0	79.98.235.255	GB
79.98.236.0	79.98.236.255	SE
79.98.237.0	79.98.247.255	GB
79.98.248.0	79.98.255.255	ES
79.99.0.0	79.99.7.255	SE
79.99.8.0	79.99.15.255	IT
79.99.16.0	79.99.23.255	RU
79.99.24.0	79.99.31.255	NL
79.99.32.0	79.99.39.255	FR
79.99.40.0	79.99.47.255	GB
79.99.48.0	79.99.55.255	RU
79.99.56.0	79.99.63.255	MK
79.99.64.0	79.99.79.255	GB
79.99.80.0	79.99.87.255	DE
79.99.88.0	79.99.95.255	BH
79.99.96.0	79.99.103.255	DE
79.99.104.0	79.99.111.255	RU
79.99.112.0	79.99.119.255	IT
79.99.120.0	79.99.127.255	BE
79.99.128.0	79.99.135.63	NL
79.99.135.64	79.99.135.127	BE
79.99.135.128	79.99.135.255	NL
79.99.136.0	79.99.143.255	DE
79.99.144.0	79.99.151.255	GB
79.99.152.0	79.99.159.255	FI
79.99.160.0	79.99.167.255	FR
79.99.168.0	79.99.175.255	SE
79.99.176.0	79.99.183.255	TR
79.99.192.0	79.99.192.255	GB
79.99.193.0	79.99.193.31	SM
79.99.193.32	79.99.193.47	US
79.99.193.48	79.99.193.63	ZA
79.99.193.64	79.99.195.63	GB
79.99.195.64	79.99.195.79	AE
79.99.195.80	79.99.195.143	GB
79.99.195.144	79.99.195.159	AE
79.99.195.160	79.99.196.71	GB
79.99.196.72	79.99.196.79	AE
79.99.196.80	79.99.198.7	GB
79.99.198.8	79.99.198.15	US
79.99.198.16	79.99.199.255	GB
79.99.200.0	79.99.207.255	BE
79.99.208.0	79.99.215.255	ES
79.99.216.0	79.99.223.255	RU
79.99.224.0	79.99.231.255	SE
79.99.232.0	79.99.235.255	CH
79.99.236.0	79.99.236.3	NL
79.99.236.4	79.99.236.7	CH
79.99.236.8	79.99.236.15	FR
79.99.236.16	79.99.236.23	GB
79.99.236.24	79.99.236.31	DE
79.99.236.32	79.99.236.39	CZ
79.99.236.40	79.99.236.47	CY
79.99.236.48	79.99.236.63	BG
79.99.236.64	79.99.236.71	US
79.99.236.72	79.99.239.255	CH
79.99.240.0	79.99.247.255	RU
79.99.248.0	79.99.255.255	GE
79.100.0.0	79.100.255.255	BG
79.101.0.0	79.101.255.255	RS
79.102.0.0	79.102.255.255	SE
79.103.0.0	79.103.255.255	GR
79.104.0.0	79.105.255.255	RU
79.106.0.0	79.106.255.255	AL
79.107.0.0	79.107.255.255	GR
79.108.0.0	79.109.255.255	ES
79.110.0.0	79.110.15.255	PL
79.110.16.0	79.110.79.255	UA
79.110.80.0	79.110.95.255	DE
79.110.96.0	79.110.111.255	UA
79.110.112.0	79.110.127.255	BG
79.110.128.0	79.110.191.255	UA
79.110.192.0	79.110.207.255	PL
79.110.208.0	79.110.239.255	UA
79.110.240.0	79.111.255.255	RU
79.112.0.0	79.119.255.255	RO
79.120.0.0	79.120.127.255	RU
79.120.128.0	79.120.208.255	HU
79.120.209.0	79.120.209.255	MK
79.120.210.0	79.121.127.255	HU
79.121.128.0	79.121.255.255	GB
79.122.0.0	79.122.127.255	HU
79.122.128.0	79.122.255.255	RU
79.123.0.0	79.123.127.255	GB
79.123.128.0	79.123.255.255	TR
79.124.0.0	79.124.127.255	BG
79.124.128.0	79.124.255.255	UA
79.125.0.0	79.125.127.255	IE
79.125.128.0	79.125.255.255	MK
79.126.0.0	79.126.127.255	RU
79.126.128.0	79.126.255.255	MK
79.127.0.0	79.127.127.255	IR
79.127.128.0	79.127.255.255	CZ
79.128.0.0	79.131.255.255	GR
79.132.0.0	79.132.31.255	BG
79.132.32.0	79.132.63.255	FR
79.132.64.0	79.132.95.255	LV
79.132.96.0	79.132.127.255	RU
79.132.128.0	79.132.159.255	DE
79.132.160.0	79.132.191.255	LT
79.132.192.0	79.132.223.255	IR
79.132.224.0	79.132.230.111	BE
79.132.230.112	79.132.230.115	NL
79.132.230.116	79.132.244.247	BE
79.132.244.248	79.132.244.255	NL
79.132.245.0	79.132.255.255	BE
79.133.0.0	79.133.31.255	AX
79.133.32.0	79.133.63.255	DE
79.133.64.0	79.133.191.255	RU
79.133.192.0	79.133.223.255	PL
79.133.224.0	79.133.255.255	LT
79.134.0.0	79.134.31.255	RU
79.134.64.0	79.134.95.255	RU
79.134.96.0	79.134.127.255	FI
79.134.128.0	79.134.159.255	JO
79.134.160.0	79.134.191.255	BG
79.134.192.0	79.134.223.255	EE
79.134.224.0	79.134.255.255	IS
79.135.0.0	79.135.31.255	NO
79.135.32.0	79.135.63.255	IT
79.135.64.0	79.135.95.255	RU
79.135.96.0	79.135.127.255	GB
79.135.128.0	79.135.159.255	LV
79.135.160.0	79.135.191.255	PL
79.135.192.0	79.135.223.255	UA
79.135.224.0	79.135.255.255	RU
79.136.0.0	79.136.11.255	SE
79.136.12.0	79.136.13.255	NO
79.136.14.0	79.136.117.135	SE
79.136.117.136	79.136.117.143	NO
79.136.117.144	79.136.127.255	SE
79.136.128.0	79.136.255.255	RU
79.137.0.0	79.137.127.255	IT
79.137.128.0	79.137.255.255	RU
79.138.0.0	79.138.135.255	SE
79.138.136.0	79.138.143.255	DK
79.138.144.0	79.138.159.255	SE
79.138.160.0	79.138.175.255	DK
79.138.176.0	79.138.223.255	SE
79.138.224.0	79.138.255.255	DK
79.139.0.0	79.139.127.255	PL
79.139.128.0	79.139.255.255	RU
79.140.0.0	79.140.15.255	UA
79.140.16.0	79.140.31.255	RU
79.140.32.0	79.140.32.15	DE
79.140.32.16	79.140.32.23	US
79.140.32.24	79.140.32.239	DE
79.140.32.240	79.140.32.247	US
79.140.32.248	79.140.33.255	DE
79.140.34.0	79.140.34.255	CH
79.140.35.0	79.140.35.191	DE
79.140.35.192	79.140.35.223	AT
79.140.35.224	79.140.36.31	DE
79.140.36.32	79.140.36.63	LU
79.140.36.64	79.140.38.71	DE
79.140.38.72	79.140.38.79	AT
79.140.38.80	79.140.38.167	DE
79.140.38.168	79.140.38.175	US
79.140.38.176	79.140.39.23	DE
79.140.39.24	79.140.39.31	AT
79.140.39.32	79.140.63.255	DE
79.140.64.0	79.140.79.255	RU
79.140.80.0	79.140.82.255	IT
79.140.83.0	79.140.83.255	GR
79.140.84.0	79.140.88.255	IT
79.140.89.0	79.140.89.255	GR
79.140.90.0	79.140.90.127	SK
79.140.90.128	79.140.90.255	CZ
79.140.91.0	79.140.91.63	GR
79.140.91.64	79.140.91.127	IT
79.140.91.128	79.140.91.255	GR
79.140.92.0	79.140.93.127	IT
79.140.93.128	79.140.93.255	FR
79.140.94.0	79.140.95.255	IT
79.140.96.0	79.140.111.255	RU
79.140.112.0	79.140.127.255	DE
79.140.128.0	79.140.136.74	IE
79.140.136.75	79.140.136.75	GB
79.140.136.76	79.140.136.100	IE
79.140.136.101	79.140.136.101	GB
79.140.136.102	79.140.143.255	IE
79.140.144.0	79.140.159.255	ME
79.140.160.0	79.140.175.255	MD
79.140.176.0	79.140.191.255	DE
79.140.192.0	79.140.207.255	GB
79.140.208.0	79.140.223.255	IE
79.140.224.0	79.140.239.255	KZ
79.140.240.0	79.140.255.255	RU
79.141.0.0	79.141.15.255	FR
79.141.16.0	79.141.16.255	LU
79.141.17.0	79.141.17.255	A2
79.141.18.0	79.141.29.255	IQ
79.141.30.0	79.141.31.255	A2
79.141.32.0	79.141.40.79	GB
79.141.40.80	79.141.40.95	NL
79.141.40.96	79.141.41.255	GB
79.141.42.0	79.141.42.255	NL
79.141.43.0	79.141.43.255	FR
79.141.44.0	79.141.44.255	DE
79.141.45.0	79.141.46.127	GB
79.141.46.128	79.141.46.143	NL
79.141.46.144	79.141.47.255	GB
79.141.48.0	79.141.79.255	RU
79.141.80.0	79.141.95.255	CH
79.141.96.0	79.141.111.255	NO
79.141.112.0	79.141.127.255	MK
79.141.128.0	79.141.143.255	GB
79.141.144.0	79.141.159.255	FI
79.141.160.0	79.141.160.255	PL
79.141.161.0	79.141.161.255	GB
79.141.162.0	79.141.162.255	IE
79.141.163.0	79.141.163.255	FR
79.141.164.0	79.141.164.255	NO
79.141.165.0	79.141.165.255	DK
79.141.166.0	79.141.166.255	CZ
79.141.167.0	79.141.167.255	CH
79.141.168.0	79.141.169.255	DE
79.141.170.0	79.141.170.255	SE
79.141.171.0	79.141.171.255	DE
79.141.172.0	79.141.172.255	FI
79.141.173.0	79.141.173.255	NL
79.141.174.0	79.141.175.255	DE
79.141.176.0	79.141.191.255	IT
79.141.192.0	79.141.207.255	FR
79.141.208.0	79.141.239.255	RU
79.141.240.0	79.141.255.255	CZ
79.142.0.0	79.142.15.255	BA
79.142.16.0	79.142.31.255	RU
79.142.32.0	79.142.47.255	DE
79.142.48.0	79.142.63.255	KZ
79.142.64.0	79.142.79.255	NL
79.142.80.0	79.142.92.255	RU
79.142.93.0	79.142.94.191	KZ
79.142.94.192	79.142.94.199	RU
79.142.94.200	79.142.94.203	KZ
79.142.94.204	79.142.94.207	RU
79.142.94.208	79.142.94.223	KZ
79.142.94.224	79.142.94.255	RU
79.142.95.0	79.142.95.3	KZ
79.142.95.4	79.142.95.7	RU
79.142.95.8	79.142.95.43	KZ
79.142.95.44	79.142.95.47	RU
79.142.95.48	79.142.95.171	KZ
79.142.95.172	79.142.95.191	RU
79.142.95.192	79.142.95.203	KZ
79.142.95.204	79.142.95.207	RU
79.142.95.208	79.142.95.247	KZ
79.142.95.248	79.142.111.255	RU
79.142.112.0	79.142.127.255	LT
79.142.128.0	79.142.143.255	CH
79.142.160.0	79.142.175.255	RU
79.142.176.0	79.142.191.255	BH
79.142.192.0	79.142.207.255	UA
79.142.208.0	79.142.223.255	SE
79.142.224.0	79.142.239.255	DK
79.142.240.0	79.142.255.255	SE
79.143.0.0	79.143.31.255	RU
79.143.32.0	79.143.47.255	UA
79.143.48.0	79.143.63.255	AT
79.143.64.0	79.143.95.255	RU
79.143.96.0	79.143.111.255	ME
79.143.112.0	79.143.127.255	IT
79.143.128.0	79.143.143.255	FR
79.143.144.0	79.143.159.255	GB
79.143.160.0	79.143.175.255	BA
79.143.176.0	79.143.191.255	DE
79.143.192.0	79.143.207.255	IE
79.143.208.0	79.143.223.255	NL
79.143.224.0	79.143.239.255	RU
79.143.240.0	79.143.255.255	FR
79.144.0.0	79.159.255.255	ES
79.160.0.0	79.161.255.255	NO
79.162.0.0	79.163.255.255	PL
79.164.0.0	79.165.255.255	RU
79.166.0.0	79.167.255.255	GR
79.168.0.0	79.169.255.255	PT
79.170.0.0	79.170.7.255	SA
79.170.8.0	79.170.15.255	ES
79.170.16.0	79.170.23.255	SE
79.170.24.0	79.170.31.255	RU
79.170.32.0	79.170.39.255	IM
79.170.40.0	79.170.47.255	GB
79.170.48.0	79.170.55.255	SA
79.170.56.0	79.170.63.255	BE
79.170.64.0	79.170.67.255	ES
79.170.68.0	79.170.70.224	US
79.170.70.225	79.170.71.255	ES
79.170.72.0	79.170.79.255	GB
79.170.80.0	79.170.87.255	NO
79.170.88.0	79.170.103.255	NL
79.170.104.0	79.170.111.255	BY
79.170.112.0	79.170.119.255	EU
79.170.120.0	79.170.127.255	PL
79.170.128.0	79.170.135.255	DK
79.170.136.0	79.170.143.255	RU
79.170.144.0	79.170.151.255	IR
79.170.152.0	79.170.167.255	RU
79.170.168.0	79.170.175.255	TR
79.170.176.0	79.170.183.255	GB
79.170.184.0	79.170.191.255	TJ
79.170.192.0	79.170.199.255	GB
79.170.200.0	79.170.207.255	AM
79.170.208.0	79.170.215.255	AT
79.170.216.0	79.170.223.255	FR
79.170.224.0	79.170.231.255	MD
79.170.232.0	79.170.239.255	FR
79.170.240.0	79.170.247.255	IE
79.170.248.0	79.170.255.255	CZ
79.171.0.0	79.171.7.255	PL
79.171.8.0	79.171.15.255	RU
79.171.16.0	79.171.23.255	TR
79.171.24.0	79.171.31.255	ES
79.171.32.0	79.171.39.255	GB
79.171.40.0	79.171.47.255	ES
79.171.48.0	79.171.55.255	AL
79.171.56.0	79.171.63.255	IT
79.171.64.0	79.171.71.255	BE
79.171.72.0	79.171.74.159	IE
79.171.74.160	79.171.74.175	GB
79.171.74.176	79.171.76.31	IE
79.171.76.32	79.171.76.63	GB
79.171.76.64	79.171.76.127	IE
79.171.76.128	79.171.76.143	GB
79.171.76.144	79.171.77.15	IE
79.171.77.16	79.171.77.31	GB
79.171.77.32	79.171.79.255	IE
79.171.80.0	79.171.87.255	NO
79.171.88.0	79.171.95.255	DE
79.171.96.0	79.171.103.255	IS
79.171.104.0	79.171.111.255	ES
79.171.112.0	79.171.119.255	RU
79.171.120.0	79.171.127.255	UA
79.171.128.0	79.171.143.255	HU
79.171.144.0	79.171.151.255	DK
79.171.152.0	79.171.159.255	GB
79.171.160.0	79.171.167.255	IT
79.171.168.0	79.171.175.255	RU
79.171.176.0	79.171.183.255	DE
79.171.184.0	79.171.191.255	CZ
79.171.192.0	79.171.199.255	NL
79.171.200.0	79.171.207.255	DE
79.171.208.0	79.171.215.255	RU
79.171.216.0	79.171.219.255	ES
79.171.220.0	79.171.220.31	FR
79.171.220.32	79.171.223.255	ES
79.171.224.0	79.171.239.255	FI
79.171.240.0	79.171.247.255	BH
79.171.248.0	79.171.255.255	SE
79.172.0.0	79.172.127.255	RU
79.172.128.0	79.172.191.255	SA
79.172.192.0	79.172.255.255	HU
79.173.0.0	79.173.63.255	PL
79.173.64.0	79.173.127.255	RU
79.173.128.0	79.173.191.255	GB
79.173.192.0	79.173.255.255	JO
79.174.0.0	79.174.31.255	UA
79.174.32.0	79.174.95.255	RU
79.174.96.0	79.174.127.255	AT
79.174.128.0	79.174.191.255	RU
79.174.192.0	79.174.255.255	FR
79.175.0.0	79.175.63.255	RU
79.175.64.0	79.175.127.255	RS
79.175.128.0	79.175.164.255	IR
79.175.165.0	79.175.165.255	SE
79.175.166.0	79.175.191.255	IR
79.175.192.0	79.175.255.255	PL
79.176.0.0	79.183.255.255	IL
79.184.0.0	79.191.255.255	PL
79.192.0.0	79.255.255.255	DE
80.0.0.0	80.6.224.191	GB
80.6.224.192	80.6.224.255	IE
80.6.225.0	80.6.225.63	GB
80.6.225.64	80.6.225.79	IE
80.6.225.80	80.6.225.111	GB
80.6.225.112	80.6.225.127	IE
80.6.225.128	80.6.225.223	GB
80.6.225.224	80.6.225.239	IE
80.6.225.240	80.6.225.255	GB
80.6.226.0	80.6.226.15	IE
80.6.226.16	80.6.226.79	GB
80.6.226.80	80.6.226.111	IE
80.6.226.112	80.6.227.55	GB
80.6.227.56	80.6.227.63	IE
80.6.227.64	80.7.255.255	GB
80.8.0.0	80.12.70.255	FR
80.12.71.0	80.12.71.47	GB
80.12.71.48	80.12.71.255	FR
80.12.72.0	80.12.72.255	MG
80.12.73.0	80.12.95.255	FR
80.12.96.0	80.12.98.255	US
80.12.99.0	80.12.192.255	FR
80.12.193.0	80.12.193.255	US
80.12.194.0	80.12.211.255	FR
80.12.212.0	80.12.213.127	RE
80.12.213.128	80.12.239.255	FR
80.12.240.0	80.12.241.255	RE
80.12.242.0	80.15.223.255	FR
80.15.224.0	80.15.227.255	MU
80.15.228.0	80.15.231.255	FR
80.15.232.0	80.15.232.255	KR
80.15.233.0	80.15.234.255	FR
80.15.235.0	80.15.235.159	DE
80.15.235.160	80.15.235.255	FR
80.15.236.0	80.15.236.127	GB
80.15.236.128	80.15.237.31	FR
80.15.237.32	80.15.237.35	DE
80.15.237.36	80.15.237.39	FR
80.15.237.40	80.15.237.47	GB
80.15.237.48	80.15.238.191	FR
80.15.238.192	80.15.238.199	GB
80.15.238.200	80.15.238.255	FR
80.15.239.0	80.15.239.255	GB
80.15.240.0	80.15.240.63	LB
80.15.240.64	80.15.240.95	FR
80.15.240.96	80.15.241.255	LB
80.15.242.0	80.15.242.15	CI
80.15.242.16	80.15.242.255	FR
80.15.243.0	80.15.243.47	TD
80.15.243.48	80.15.243.255	FR
80.15.244.0	80.15.244.127	TD
80.15.244.128	80.15.246.255	FR
80.15.247.0	80.15.247.255	LB
80.15.248.0	80.15.248.255	FR
80.15.249.0	80.15.249.239	US
80.15.249.240	80.15.249.255	FR
80.15.250.0	80.15.250.215	LB
80.15.250.216	80.15.250.223	FR
80.15.250.224	80.15.250.255	LB
80.15.251.0	80.15.251.255	FR
80.15.252.0	80.15.252.255	A2
80.15.253.0	80.15.255.255	FR
80.16.0.0	80.23.255.255	IT
80.24.0.0	80.39.255.255	ES
80.40.0.0	80.47.255.255	GB
80.48.0.0	80.55.255.255	PL
80.56.0.0	80.57.255.255	NL
80.58.0.0	80.59.255.255	ES
80.60.0.0	80.61.255.255	NL
80.62.0.0	80.63.255.255	DK
80.64.0.0	80.64.15.255	FI
80.64.16.0	80.64.31.255	RU
80.64.32.0	80.64.47.255	ES
80.64.48.0	80.64.63.255	GB
80.64.64.0	80.64.79.255	HU
80.64.80.0	80.64.95.255	UA
80.64.96.0	80.64.111.255	RU
80.64.112.0	80.64.127.255	IT
80.64.128.0	80.64.129.251	AT
80.64.129.252	80.64.129.255	NL
80.64.130.0	80.64.130.63	AT
80.64.130.64	80.64.130.79	NL
80.64.130.80	80.64.130.223	AT
80.64.130.224	80.64.130.239	NL
80.64.130.240	80.64.131.15	AT
80.64.131.16	80.64.131.79	NL
80.64.131.80	80.64.131.135	AT
80.64.131.136	80.64.131.143	NL
80.64.131.144	80.64.131.199	AT
80.64.131.200	80.64.131.231	NL
80.64.131.232	80.64.133.31	AT
80.64.133.32	80.64.133.255	NL
80.64.134.0	80.64.135.15	AT
80.64.135.16	80.64.135.87	NL
80.64.135.88	80.64.135.111	AT
80.64.135.112	80.64.135.114	NL
80.64.135.115	80.64.135.115	AT
80.64.135.116	80.64.135.119	NL
80.64.135.120	80.64.135.127	AT
80.64.135.128	80.64.135.151	NL
80.64.135.152	80.64.135.207	AT
80.64.135.208	80.64.135.215	NL
80.64.135.216	80.64.136.95	AT
80.64.136.96	80.64.136.103	NL
80.64.136.104	80.64.136.143	AT
80.64.136.144	80.64.136.175	NL
80.64.136.176	80.64.136.255	AT
80.64.137.0	80.64.137.15	NL
80.64.137.16	80.64.138.7	AT
80.64.138.8	80.64.138.15	NL
80.64.138.16	80.64.138.39	AT
80.64.138.40	80.64.138.63	NL
80.64.138.64	80.64.138.79	AT
80.64.138.80	80.64.138.127	NL
80.64.138.128	80.64.138.255	AT
80.64.139.0	80.64.139.15	NL
80.64.139.16	80.64.139.39	AT
80.64.139.40	80.64.139.127	NL
80.64.139.128	80.64.143.255	AT
80.64.144.0	80.64.159.255	LU
80.64.160.0	80.64.175.255	RU
80.64.176.0	80.64.191.255	DE
80.64.192.0	80.64.207.255	NO
80.64.208.0	80.64.223.255	JO
80.64.224.0	80.64.234.255	FR
80.64.235.0	80.64.235.255	KZ
80.64.236.0	80.64.239.255	FR
80.64.240.0	80.65.7.255	NL
80.65.8.0	80.65.12.255	ES
80.65.13.0	80.65.13.15	NL
80.65.13.16	80.65.13.31	ES
80.65.13.32	80.65.15.255	NL
80.65.16.0	80.65.31.255	RU
80.65.32.0	80.65.47.255	DE
80.65.48.0	80.65.63.255	NO
80.65.64.0	80.65.95.255	BA
80.65.96.0	80.65.127.255	NL
80.65.128.0	80.65.143.255	BE
80.65.144.0	80.65.158.255	IT
80.65.159.0	80.65.159.31	HU
80.65.159.32	80.65.159.255	IT
80.65.160.0	80.65.175.255	BA
80.65.176.0	80.65.191.255	CZ
80.65.192.0	80.65.207.255	SE
80.65.208.0	80.65.223.255	GB
80.65.224.0	80.65.239.255	FR
80.65.240.0	80.65.245.127	IM
80.65.245.128	80.65.245.143	GB
80.65.245.144	80.65.247.255	IM
80.65.248.0	80.65.248.31	GB
80.65.248.32	80.65.248.127	IM
80.65.248.128	80.65.248.159	GB
80.65.248.160	80.65.248.255	IM
80.65.249.0	80.65.250.31	GB
80.65.250.32	80.65.250.127	IM
80.65.250.128	80.65.250.223	GB
80.65.250.224	80.65.250.255	IM
80.65.251.0	80.65.252.111	GB
80.65.252.112	80.65.252.119	IM
80.65.252.120	80.65.252.163	GB
80.65.252.164	80.65.252.191	IM
80.65.252.192	80.65.252.216	GB
80.65.252.217	80.65.252.247	IM
80.65.252.248	80.65.254.175	GB
80.65.254.176	80.65.254.179	IM
80.65.254.180	80.65.255.63	GB
80.65.255.64	80.65.255.127	IM
80.65.255.128	80.65.255.159	GB
80.65.255.160	80.65.255.191	IM
80.65.255.192	80.65.255.255	GB
80.66.0.0	80.66.31.255	DE
80.66.32.0	80.66.63.255	AT
80.66.64.0	80.66.95.255	RU
80.66.96.0	80.66.111.255	DE
80.66.112.0	80.66.127.255	ES
80.66.128.0	80.66.137.255	BE
80.66.138.0	80.66.138.4	AT
80.66.138.5	80.66.138.7	BE
80.66.138.8	80.66.138.15	AT
80.66.138.16	80.66.138.23	CZ
80.66.138.24	80.66.138.31	BE
80.66.138.32	80.66.138.47	CH
80.66.138.48	80.66.138.159	BE
80.66.138.160	80.66.138.191	HR
80.66.138.192	80.66.143.255	BE
80.66.144.0	80.66.159.255	RU
80.66.160.0	80.66.175.255	FI
80.66.176.0	80.66.191.255	IR
80.66.192.0	80.66.207.255	DE
80.66.208.0	80.66.223.255	IT
80.66.224.0	80.66.235.255	LI
80.66.236.0	80.66.236.255	CH
80.66.237.0	80.66.239.255	LI
80.66.240.0	80.66.255.255	EE
80.67.0.0	80.67.15.255	SE
80.67.16.0	80.67.31.255	DE
80.67.32.0	80.67.47.255	DK
80.67.48.0	80.67.63.255	RU
80.67.64.0	80.67.77.255	US
80.67.78.0	80.67.79.255	KR
80.67.80.0	80.67.82.255	US
80.67.83.0	80.67.83.255	DE
80.67.84.0	80.67.95.255	US
80.67.96.0	80.67.111.255	ES
80.67.112.0	80.67.127.255	IT
80.67.128.0	80.67.143.255	DZ
80.67.144.0	80.67.159.255	CH
80.67.160.0	80.67.191.255	FR
80.67.192.0	80.67.203.255	SE
80.67.204.0	80.67.205.255	DK
80.67.206.0	80.67.207.255	SE
80.67.208.0	80.67.223.255	RU
80.67.224.0	80.67.239.255	DE
80.67.240.0	80.68.15.255	RU
80.68.16.0	80.68.63.255	GB
80.68.64.0	80.68.79.255	RU
80.68.80.0	80.68.95.255	GB
80.68.96.0	80.68.127.255	SE
80.68.128.0	80.68.143.255	ES
80.68.144.0	80.68.159.255	IT
80.68.160.0	80.68.175.255	DE
80.68.176.0	80.68.207.255	IT
80.68.208.0	80.68.223.255	GB
80.68.224.0	80.68.239.255	PL
80.68.240.0	80.68.255.255	RU
80.69.0.0	80.69.5.31	GB
80.69.5.32	80.69.5.47	VG
80.69.5.48	80.69.5.64	GB
80.69.5.65	80.69.5.79	US
80.69.5.80	80.69.6.47	GB
80.69.6.48	80.69.6.55	US
80.69.6.56	80.69.7.128	GB
80.69.7.129	80.69.7.159	GR
80.69.7.160	80.69.17.255	GB
80.69.18.0	80.69.18.255	LI
80.69.19.0	80.69.20.95	GB
80.69.20.96	80.69.20.127	US
80.69.20.128	80.69.20.255	GB
80.69.21.0	80.69.21.127	LI
80.69.21.128	80.69.31.255	GB
80.69.32.0	80.69.47.255	DE
80.69.48.0	80.69.63.255	AZ
80.69.64.0	80.69.95.255	NL
80.69.96.0	80.69.127.255	DE
80.69.128.0	80.69.143.255	GB
80.69.144.0	80.69.159.255	RU
80.69.160.0	80.69.175.255	FI
80.69.176.0	80.69.191.255	RU
80.69.192.0	80.69.207.255	DE
80.69.208.0	80.69.223.255	FR
80.69.224.0	80.69.239.255	SE
80.69.240.0	80.69.255.255	IR
80.70.0.0	80.70.15.255	DK
80.70.16.0	80.70.31.255	LV
80.70.32.0	80.70.47.255	FR
80.70.48.0	80.70.63.255	GB
80.70.64.0	80.70.95.255	UA
80.70.96.0	80.70.111.255	RU
80.70.112.0	80.70.127.255	IT
80.70.128.0	80.70.143.255	IL
80.70.144.0	80.70.159.255	SE
80.70.160.0	80.70.207.255	DE
80.70.208.0	80.70.223.255	FR
80.70.224.0	80.70.239.255	RU
80.70.240.0	80.70.255.255	RS
80.71.0.0	80.71.31.255	GB
80.71.32.0	80.71.47.255	RU
80.71.48.0	80.71.63.255	MT
80.71.64.0	80.71.95.255	DK
80.71.96.0	80.71.111.255	MT
80.71.112.0	80.71.127.255	IR
80.71.144.0	80.71.159.255	BA
80.71.160.0	80.71.191.255	RU
80.71.192.0	80.71.207.255	FI
80.71.208.0	80.71.223.255	RU
80.71.224.0	80.71.239.255	IT
80.71.240.0	80.71.255.255	RU
80.72.0.0	80.72.15.255	SE
80.72.16.0	80.72.31.255	RU
80.72.32.0	80.72.47.255	PL
80.72.48.0	80.72.63.255	LI
80.72.64.0	80.72.95.255	BG
80.72.96.0	80.72.111.255	KE
80.72.112.0	80.72.127.255	RU
80.72.128.0	80.72.143.255	DE
80.72.144.0	80.72.159.255	DK
80.72.160.0	80.72.175.255	IT
80.72.176.0	80.72.191.255	DE
80.72.192.0	80.72.207.255	PL
80.72.208.0	80.72.239.255	RU
80.72.240.0	80.72.255.255	DE
80.73.0.0	80.73.15.255	UA
80.73.16.0	80.73.31.255	RU
80.73.32.0	80.73.47.255	DE
80.73.48.0	80.73.63.255	SE
80.73.64.0	80.73.95.255	RU
80.73.96.0	80.73.99.223	DE
80.73.99.224	80.73.99.255	ES
80.73.100.0	80.73.116.127	DE
80.73.116.128	80.73.116.143	CH
80.73.116.144	80.73.127.255	DE
80.73.128.0	80.73.143.255	NL
80.73.144.0	80.73.159.255	ES
80.73.160.0	80.73.175.255	RU
80.73.176.0	80.73.191.255	SE
80.73.192.0	80.73.207.255	RU
80.73.208.0	80.73.223.255	GG
80.73.224.0	80.73.239.255	IT
80.73.240.0	80.73.248.15	AT
80.73.248.16	80.73.248.31	GB
80.73.248.32	80.73.248.63	AT
80.73.248.64	80.73.248.175	GB
80.73.248.176	80.73.248.183	FR
80.73.248.184	80.73.248.191	GB
80.73.248.192	80.73.248.207	AT
80.73.248.208	80.73.248.215	FR
80.73.248.216	80.73.248.223	GB
80.73.248.224	80.73.248.255	AT
80.73.249.0	80.73.249.63	US
80.73.249.64	80.73.249.127	GB
80.73.249.128	80.73.249.191	ES
80.73.249.192	80.73.249.255	DE
80.73.250.0	80.73.255.255	AT
80.74.0.0	80.74.31.255	GB
80.74.32.0	80.74.47.255	CZ
80.74.48.0	80.74.63.255	RO
80.74.64.0	80.74.79.255	FR
80.74.80.0	80.74.95.255	SA
80.74.96.0	80.74.127.255	IL
80.74.128.0	80.74.159.255	CH
80.74.160.0	80.74.175.255	RS
80.74.176.0	80.74.191.255	IT
80.74.192.0	80.74.223.255	FI
80.74.224.0	80.74.255.255	GB
80.75.0.0	80.75.15.255	IR
80.75.16.0	80.75.31.255	SE
80.75.32.0	80.75.63.255	AT
80.75.64.0	80.75.79.255	GB
80.75.80.0	80.75.95.255	RU
80.75.96.0	80.75.111.255	FI
80.75.112.0	80.75.127.255	CH
80.75.128.0	80.75.143.255	RU
80.75.144.0	80.75.159.255	GB
80.75.160.0	80.75.191.255	EG
80.75.192.0	80.75.207.255	CH
80.75.208.0	80.75.209.255	GB
80.75.210.0	80.75.213.255	FR
80.75.214.0	80.75.215.255	GB
80.75.216.0	80.75.217.255	DE
80.75.218.0	80.75.218.255	GB
80.75.219.0	80.75.223.255	FR
80.75.224.0	80.75.239.255	HU
80.75.240.0	80.75.255.255	AT
80.76.0.0	80.76.15.255	CH
80.76.16.0	80.76.31.255	IT
80.76.32.0	80.76.63.255	GR
80.76.64.0	80.76.95.255	IT
80.76.112.0	80.76.127.255	GB
80.76.128.0	80.76.143.255	RU
80.76.144.0	80.76.159.255	SE
80.76.160.0	80.76.175.255	QA
80.76.176.0	80.76.191.255	RU
80.76.192.0	80.76.205.239	GB
80.76.205.240	80.76.205.247	IE
80.76.205.248	80.76.206.159	GB
80.76.206.160	80.76.206.167	IE
80.76.206.168	80.76.206.175	GB
80.76.206.176	80.76.206.183	IE
80.76.206.184	80.76.207.103	GB
80.76.207.104	80.76.207.111	IE
80.76.207.112	80.76.223.255	GB
80.76.224.0	80.76.239.255	RU
80.76.240.0	80.76.255.255	KW
80.77.0.0	80.77.0.255	EG
80.77.1.0	80.77.1.255	HK
80.77.2.0	80.77.2.119	US
80.77.2.120	80.77.3.255	EG
80.77.4.0	80.77.4.255	US
80.77.5.0	80.77.7.255	EG
80.77.8.0	80.77.11.255	PK
80.77.12.0	80.77.13.255	EG
80.77.14.0	80.77.14.255	HK
80.77.15.0	80.77.15.255	EG
80.77.16.0	80.77.22.127	DE
80.77.22.128	80.77.22.159	AT
80.77.22.160	80.77.29.95	DE
80.77.29.96	80.77.29.111	AT
80.77.29.112	80.77.29.119	GR
80.77.29.120	80.77.31.255	DE
80.77.32.0	80.77.47.255	UA
80.77.48.0	80.77.63.255	GE
80.77.64.0	80.77.79.255	DK
80.77.80.0	80.77.92.255	GB
80.77.93.0	80.77.94.255	RU
80.77.95.0	80.77.95.255	US
80.77.96.0	80.77.98.223	SE
80.77.98.224	80.77.98.224	FI
80.77.98.225	80.77.100.191	SE
80.77.100.192	80.77.100.223	FI
80.77.100.224	80.77.101.223	SE
80.77.101.224	80.77.101.231	RU
80.77.101.232	80.77.105.255	SE
80.77.106.0	80.77.106.3	NO
80.77.106.4	80.77.106.7	SE
80.77.106.8	80.77.106.47	NO
80.77.106.48	80.77.106.79	SE
80.77.106.80	80.77.106.95	FI
80.77.106.96	80.77.111.255	SE
80.77.112.0	80.77.126.95	HU
80.77.126.96	80.77.126.111	SC
80.77.126.112	80.77.127.255	HU
80.77.128.0	80.77.143.255	FO
80.77.144.0	80.77.159.255	MK
80.77.160.0	80.77.175.255	RU
80.77.176.0	80.77.191.255	LB
80.77.192.0	80.77.207.255	MT
80.77.208.0	80.77.215.239	DE
80.77.215.240	80.77.215.255	BR
80.77.216.0	80.77.223.255	DE
80.77.224.0	80.77.239.255	FR
80.77.240.0	80.77.244.255	GB
80.77.245.0	80.77.245.63	BN
80.77.245.64	80.77.245.255	GB
80.77.246.0	80.77.246.7	BG
80.77.246.8	80.77.255.255	GB
80.78.0.0	80.78.15.255	FR
80.78.16.0	80.78.16.127	SE
80.78.16.128	80.78.16.135	LR
80.78.16.136	80.78.16.143	GA
80.78.16.144	80.78.16.151	NG
80.78.16.152	80.78.16.155	A2
80.78.16.156	80.78.16.159	SO
80.78.16.160	80.78.16.167	A2
80.78.16.168	80.78.16.207	NG
80.78.16.208	80.78.16.215	CY
80.78.16.216	80.78.16.223	IQ
80.78.16.224	80.78.16.231	NG
80.78.16.232	80.78.16.239	A2
80.78.16.240	80.78.16.247	GN
80.78.16.248	80.78.16.255	NG
80.78.17.0	80.78.17.7	A2
80.78.17.8	80.78.17.15	GB
80.78.17.16	80.78.17.23	NG
80.78.17.24	80.78.17.31	A2
80.78.17.32	80.78.17.39	IQ
80.78.17.40	80.78.17.47	LR
80.78.17.48	80.78.17.55	TD
80.78.17.56	80.78.17.63	GH
80.78.17.64	80.78.17.71	US
80.78.17.72	80.78.17.79	GN
80.78.17.80	80.78.17.87	PS
80.78.17.88	80.78.17.95	NG
80.78.17.96	80.78.17.103	GH
80.78.17.104	80.78.17.111	US
80.78.17.112	80.78.17.119	A2
80.78.17.120	80.78.17.127	GN
80.78.17.128	80.78.17.135	GH
80.78.17.136	80.78.17.143	IQ
80.78.17.144	80.78.17.151	AF
80.78.17.152	80.78.17.159	A2
80.78.17.160	80.78.17.167	NG
80.78.17.168	80.78.17.175	A2
80.78.17.176	80.78.17.199	US
80.78.17.200	80.78.17.207	IQ
80.78.17.208	80.78.17.215	US
80.78.17.216	80.78.17.235	GN
80.78.17.236	80.78.17.239	BH
80.78.17.240	80.78.17.247	GN
80.78.17.248	80.78.18.27	NG
80.78.18.28	80.78.18.31	IQ
80.78.18.32	80.78.18.39	A2
80.78.18.40	80.78.18.63	GN
80.78.18.64	80.78.18.71	US
80.78.18.72	80.78.18.79	CM
80.78.18.80	80.78.18.103	NG
80.78.18.104	80.78.18.111	IQ
80.78.18.112	80.78.18.119	NG
80.78.18.120	80.78.18.127	SO
80.78.18.128	80.78.18.135	CM
80.78.18.136	80.78.18.143	NG
80.78.18.144	80.78.18.151	CA
80.78.18.152	80.78.18.159	BH
80.78.18.160	80.78.18.167	GN
80.78.18.168	80.78.18.175	GB
80.78.18.176	80.78.18.183	A2
80.78.18.184	80.78.18.191	NG
80.78.18.192	80.78.18.207	GQ
80.78.18.208	80.78.18.215	NG
80.78.18.216	80.78.18.223	GA
80.78.18.224	80.78.18.231	GB
80.78.18.232	80.78.18.239	US
80.78.18.240	80.78.18.247	NG
80.78.18.248	80.78.18.255	A2
80.78.19.0	80.78.19.7	NG
80.78.19.8	80.78.19.15	GN
80.78.19.16	80.78.19.23	NG
80.78.19.24	80.78.19.31	GN
80.78.19.32	80.78.19.39	US
80.78.19.40	80.78.19.47	NG
80.78.19.48	80.78.19.55	US
80.78.19.56	80.78.19.63	A2
80.78.19.64	80.78.19.71	US
80.78.19.72	80.78.19.87	GN
80.78.19.88	80.78.19.95	GB
80.78.19.96	80.78.19.103	TH
80.78.19.104	80.78.19.111	NG
80.78.19.112	80.78.19.119	GH
80.78.19.120	80.78.19.127	NG
80.78.19.128	80.78.19.135	A2
80.78.19.136	80.78.19.143	US
80.78.19.144	80.78.19.159	CM
80.78.19.160	80.78.19.167	GN
80.78.19.168	80.78.19.175	A2
80.78.19.176	80.78.19.183	NG
80.78.19.184	80.78.19.191	LR
80.78.19.192	80.78.19.199	NG
80.78.19.200	80.78.19.207	GB
80.78.19.208	80.78.19.215	CM
80.78.19.216	80.78.19.223	GB
80.78.19.224	80.78.19.231	NG
80.78.19.232	80.78.19.239	A2
80.78.19.240	80.78.19.247	GB
80.78.19.248	80.78.19.255	NG
80.78.20.0	80.78.20.7	A2
80.78.20.8	80.78.20.15	IQ
80.78.20.16	80.78.20.23	A2
80.78.20.24	80.78.20.31	US
80.78.20.32	80.78.20.63	A2
80.78.20.64	80.78.20.71	BH
80.78.20.72	80.78.20.79	BD
80.78.20.80	80.78.20.95	UG
80.78.20.96	80.78.20.103	US
80.78.20.104	80.78.20.111	A2
80.78.20.112	80.78.20.119	NG
80.78.20.120	80.78.20.135	A2
80.78.20.136	80.78.20.143	CM
80.78.20.144	80.78.20.159	LR
80.78.20.160	80.78.20.167	NG
80.78.20.168	80.78.20.175	A2
80.78.20.176	80.78.20.191	NG
80.78.20.192	80.78.20.199	A2
80.78.20.200	80.78.20.207	GN
80.78.20.208	80.78.20.215	A2
80.78.20.216	80.78.20.223	KW
80.78.20.224	80.78.20.227	US
80.78.20.228	80.78.20.231	A2
80.78.20.232	80.78.20.239	SO
80.78.20.240	80.78.22.255	US
80.78.23.0	80.78.23.15	A2
80.78.23.16	80.78.23.31	NG
80.78.23.32	80.78.23.63	A2
80.78.23.64	80.78.23.71	GB
80.78.23.72	80.78.23.79	IQ
80.78.23.80	80.78.23.87	AF
80.78.23.88	80.78.23.95	A2
80.78.23.96	80.78.23.103	US
80.78.23.104	80.78.23.111	NG
80.78.23.112	80.78.23.119	A2
80.78.23.120	80.78.23.127	NG
80.78.23.128	80.78.23.167	A2
80.78.23.168	80.78.23.175	IQ
80.78.23.176	80.78.23.183	US
80.78.23.184	80.78.23.223	A2
80.78.23.224	80.78.23.239	GB
80.78.23.240	80.78.23.247	A2
80.78.23.248	80.78.23.255	CH
80.78.24.0	80.78.25.255	A2
80.78.26.0	80.78.26.11	US
80.78.26.12	80.78.26.15	A2
80.78.26.16	80.78.26.31	US
80.78.26.32	80.78.26.39	IQ
80.78.26.40	80.78.26.255	A2
80.78.27.0	80.78.27.15	US
80.78.27.16	80.78.31.255	A2
80.78.32.0	80.78.63.255	UA
80.78.64.0	80.78.79.255	AL
80.78.80.0	80.78.81.15	DE
80.78.81.16	80.78.81.31	CH
80.78.81.32	80.78.95.255	DE
80.78.96.0	80.78.127.255	RU
80.78.128.0	80.78.135.127	KW
80.78.135.128	80.78.135.255	IR
80.78.136.0	80.78.140.255	KW
80.78.141.0	80.78.141.255	SA
80.78.142.0	80.78.143.255	KW
80.78.144.0	80.78.148.255	CZ
80.78.149.0	80.78.149.255	SK
80.78.150.0	80.78.150.255	CZ
80.78.151.0	80.78.151.255	SK
80.78.152.0	80.78.157.255	CZ
80.78.158.0	80.78.158.63	SK
80.78.158.64	80.78.159.255	CZ
80.78.160.0	80.78.191.255	DE
80.78.192.0	80.78.207.255	RU
80.78.208.0	80.78.223.255	SE
80.78.224.0	80.78.239.255	BG
80.78.240.0	80.78.255.255	RU
80.79.16.0	80.79.31.255	CZ
80.79.32.0	80.79.47.255	NL
80.79.48.0	80.79.63.255	IT
80.79.64.0	80.79.79.255	RU
80.79.80.0	80.79.95.255	GB
80.79.96.0	80.79.111.255	NL
80.79.112.0	80.79.127.255	EE
80.79.128.0	80.79.143.255	GB
80.79.144.0	80.79.159.255	LB
80.79.160.0	80.79.175.255	SE
80.79.176.0	80.79.191.255	RU
80.79.192.0	80.79.207.255	NL
80.79.208.0	80.79.223.255	GB
80.79.224.0	80.79.239.255	DE
80.79.240.0	80.79.255.255	RU
80.80.0.0	80.80.1.255	DK
80.80.2.0	80.80.2.7	SE
80.80.2.8	80.80.2.119	DK
80.80.2.120	80.80.2.127	US
80.80.2.128	80.80.2.159	DK
80.80.2.160	80.80.2.175	US
80.80.2.176	80.80.3.63	DK
80.80.3.64	80.80.3.79	CH
80.80.3.80	80.80.14.31	DK
80.80.14.32	80.80.14.63	NO
80.80.14.64	80.80.16.83	DK
80.80.16.84	80.80.16.95	NO
80.80.16.96	80.80.27.63	DK
80.80.27.64	80.80.27.255	NO
80.80.28.0	80.80.31.255	DK
80.80.48.0	80.80.63.255	HR
80.80.64.0	80.80.79.255	SE
80.80.80.0	80.80.95.255	ES
80.80.96.0	80.80.127.255	RU
80.80.128.0	80.80.159.255	BG
80.80.160.0	80.80.162.39	AL
80.80.162.40	80.80.162.47	RS
80.80.162.48	80.80.163.135	AL
80.80.163.136	80.80.163.143	RS
80.80.163.144	80.80.165.179	AL
80.80.165.180	80.80.165.183	RS
80.80.165.184	80.80.165.191	AL
80.80.165.192	80.80.165.207	RS
80.80.165.208	80.80.175.255	AL
80.80.176.0	80.80.191.255	GB
80.80.192.0	80.80.207.255	RU
80.80.208.0	80.80.223.255	UZ
80.80.224.0	80.80.239.255	CH
80.80.240.0	80.80.255.255	AT
80.81.0.0	80.81.31.255	DE
80.81.32.0	80.81.63.255	LV
80.81.64.0	80.81.67.255	ES
80.81.68.0	80.81.68.255	GB
80.81.69.0	80.81.72.255	ES
80.81.73.0	80.81.73.255	GB
80.81.74.0	80.81.75.63	ES
80.81.75.64	80.81.75.127	GB
80.81.75.128	80.81.75.255	ES
80.81.76.0	80.81.76.255	GB
80.81.77.0	80.81.77.255	DE
80.81.78.0	80.81.79.255	ES
80.81.80.0	80.81.80.255	GB
80.81.81.0	80.81.95.255	FR
80.81.96.0	80.81.127.255	ES
80.81.128.0	80.81.143.255	AT
80.81.144.0	80.81.159.255	LB
80.81.160.0	80.81.165.31	FI
80.81.165.32	80.81.165.63	SE
80.81.165.64	80.81.191.255	FI
80.81.192.0	80.81.207.255	DE
80.81.208.0	80.81.223.255	RU
80.81.224.0	80.81.227.255	SK
80.81.228.0	80.81.228.255	SL
80.81.229.0	80.81.239.255	SK
80.81.240.0	80.81.252.95	DE
80.81.252.96	80.81.252.127	AT
80.81.252.128	80.81.255.191	DE
80.81.255.192	80.81.255.255	PL
80.82.0.0	80.82.15.255	IT
80.82.16.0	80.82.31.255	PL
80.82.32.0	80.82.63.255	RU
80.82.64.0	80.82.79.255	NL
80.82.80.0	80.82.95.255	RU
80.82.96.0	80.82.111.255	DK
80.82.112.0	80.82.143.255	GB
80.82.144.0	80.82.159.255	CZ
80.82.160.0	80.82.191.255	RU
80.82.192.0	80.82.207.255	IT
80.82.208.0	80.82.223.255	DE
80.82.224.0	80.82.239.255	FR
80.82.240.0	80.82.255.255	GB
80.83.0.0	80.83.15.255	FI
80.83.16.0	80.83.31.255	LB
80.83.32.0	80.83.63.255	CH
80.83.64.0	80.83.79.255	CZ
80.83.80.0	80.83.95.255	SE
80.83.96.0	80.83.114.242	DE
80.83.114.243	80.83.114.255	TR
80.83.115.0	80.83.127.255	DE
80.83.128.0	80.83.143.255	GE
80.83.144.0	80.83.147.215	GB
80.83.147.216	80.83.147.223	EG
80.83.147.224	80.83.150.7	GB
80.83.150.8	80.83.150.15	EG
80.83.150.16	80.83.159.255	GB
80.83.160.0	80.83.175.255	IT
80.83.176.0	80.83.181.15	DE
80.83.181.16	80.83.181.23	GB
80.83.181.24	80.83.191.255	DE
80.83.192.0	80.83.207.255	RU
80.83.208.0	80.83.223.255	SE
80.83.224.0	80.83.255.255	RU
80.84.0.0	80.84.15.255	DE
80.84.16.0	80.84.25.39	EU
80.84.25.40	80.84.25.47	ET
80.84.25.48	80.84.25.63	SN
80.84.25.64	80.84.25.255	EU
80.84.26.0	80.84.27.127	BE
80.84.27.128	80.84.31.255	EU
80.84.32.0	80.84.47.255	SE
80.84.48.0	80.84.95.255	GB
80.84.96.0	80.84.111.255	IT
80.84.112.0	80.84.127.255	RU
80.84.128.0	80.84.129.191	ES
80.84.129.192	80.84.129.199	SA
80.84.129.200	80.84.132.55	ES
80.84.132.56	80.84.132.63	LB
80.84.132.64	80.84.132.111	ES
80.84.132.112	80.84.132.127	CY
80.84.132.128	80.84.146.31	ES
80.84.146.32	80.84.146.39	SO
80.84.146.40	80.84.156.255	ES
80.84.157.0	80.84.157.255	LB
80.84.158.0	80.84.159.255	ES
80.84.160.0	80.84.175.255	GB
80.84.176.0	80.84.191.255	UA
80.84.192.0	80.84.223.255	DE
80.84.224.0	80.84.255.255	NL
80.85.0.0	80.85.15.255	DE
80.85.16.0	80.85.26.255	CY
80.85.27.0	80.85.27.23	GR
80.85.27.24	80.85.27.39	CY
80.85.27.40	80.85.27.135	GR
80.85.27.136	80.85.27.136	CY
80.85.27.137	80.85.27.142	GR
80.85.27.143	80.85.27.143	CY
80.85.27.144	80.85.27.167	GR
80.85.27.168	80.85.27.175	CY
80.85.27.176	80.85.27.183	GR
80.85.27.184	80.85.27.191	RS
80.85.27.192	80.85.27.199	CY
80.85.27.200	80.85.27.207	TN
80.85.27.208	80.85.27.215	MA
80.85.27.216	80.85.27.231	GR
80.85.27.232	80.85.27.239	CY
80.85.27.240	80.85.28.104	GR
80.85.28.105	80.85.28.111	CY
80.85.28.112	80.85.28.183	GR
80.85.28.184	80.85.28.215	CY
80.85.28.216	80.85.28.223	GR
80.85.28.224	80.85.28.231	CY
80.85.28.232	80.85.28.239	GR
80.85.28.240	80.85.28.255	CY
80.85.29.0	80.85.30.255	GR
80.85.31.0	80.85.31.255	CY
80.85.32.0	80.85.47.255	NL
80.85.48.0	80.85.63.255	HU
80.85.64.0	80.85.95.255	GB
80.85.96.0	80.85.111.255	MT
80.85.112.0	80.85.127.255	SE
80.85.128.0	80.85.143.255	NL
80.85.144.0	80.85.159.255	RU
80.85.160.0	80.85.175.255	NL
80.85.176.0	80.85.191.255	RU
80.85.192.0	80.85.207.255	DE
80.85.208.0	80.85.223.255	GB
80.85.224.0	80.85.239.255	PL
80.85.240.0	80.85.255.255	RU
80.86.0.0	80.86.15.255	DE
80.86.16.0	80.86.31.255	A2
80.86.32.0	80.86.35.7	GB
80.86.35.8	80.86.35.15	NL
80.86.35.16	80.86.47.255	GB
80.86.48.0	80.86.63.255	IT
80.86.64.0	80.86.79.255	SE
80.86.80.0	80.86.89.63	DE
80.86.89.64	80.86.89.95	SE
80.86.89.96	80.86.95.255	DE
80.86.96.0	80.86.127.255	RO
80.86.128.0	80.86.143.255	NO
80.86.144.0	80.86.159.255	IT
80.86.160.0	80.86.162.23	DE
80.86.162.24	80.86.162.31	EU
80.86.162.32	80.86.162.39	DE
80.86.162.40	80.86.162.63	EU
80.86.162.64	80.86.162.223	DE
80.86.162.224	80.86.162.231	EU
80.86.162.232	80.86.162.255	DE
80.86.163.0	80.86.163.255	CH
80.86.164.0	80.86.166.63	DE
80.86.166.64	80.86.166.71	EU
80.86.166.72	80.86.166.79	DE
80.86.166.80	80.86.166.87	EU
80.86.166.88	80.86.166.95	DE
80.86.166.96	80.86.166.127	EU
80.86.166.128	80.86.166.191	DE
80.86.166.192	80.86.166.207	EU
80.86.166.208	80.86.167.111	DE
80.86.167.112	80.86.167.127	EU
80.86.167.128	80.86.167.255	DE
80.86.168.0	80.86.168.7	EU
80.86.168.8	80.86.168.31	DE
80.86.168.32	80.86.168.39	EU
80.86.168.40	80.86.168.47	DE
80.86.168.48	80.86.168.63	EU
80.86.168.64	80.86.168.255	DE
80.86.169.0	80.86.169.255	AT
80.86.170.0	80.86.176.63	DE
80.86.176.64	80.86.176.71	EU
80.86.176.72	80.86.176.95	DE
80.86.176.96	80.86.176.127	EU
80.86.176.128	80.86.176.143	DE
80.86.176.144	80.86.176.159	EU
80.86.176.160	80.86.176.199	DE
80.86.176.200	80.86.176.207	EU
80.86.176.208	80.86.179.151	DE
80.86.179.152	80.86.179.159	EU
80.86.179.160	80.86.179.183	DE
80.86.179.184	80.86.179.207	EU
80.86.179.208	80.86.179.239	DE
80.86.179.240	80.86.179.255	EU
80.86.180.0	80.86.185.127	DE
80.86.185.128	80.86.185.143	EU
80.86.185.144	80.86.185.159	DE
80.86.185.160	80.86.185.175	EU
80.86.185.176	80.86.187.147	DE
80.86.187.148	80.86.187.151	EU
80.86.187.152	80.86.187.223	DE
80.86.187.224	80.86.187.255	EU
80.86.188.0	80.86.188.255	DE
80.86.189.0	80.86.189.39	EU
80.86.189.40	80.86.189.63	DE
80.86.189.64	80.86.189.183	EU
80.86.189.184	80.86.189.191	DE
80.86.189.192	80.86.190.95	EU
80.86.190.96	80.86.190.127	DE
80.86.190.128	80.86.191.7	EU
80.86.191.8	80.86.191.15	DE
80.86.191.16	80.86.191.31	EU
80.86.191.32	80.86.191.159	DE
80.86.191.160	80.86.191.191	EU
80.86.191.192	80.86.191.255	DE
80.86.192.0	80.86.207.255	CH
80.86.208.0	80.86.223.255	NO
80.86.224.0	80.86.239.255	AM
80.86.240.0	80.86.255.255	SK
80.87.0.0	80.87.31.255	GB
80.87.32.0	80.87.47.255	PL
80.87.48.0	80.87.63.247	SE
80.87.63.248	80.87.63.255	GB
80.87.64.0	80.87.95.255	GH
80.87.96.0	80.87.111.255	RU
80.87.112.0	80.87.127.255	DE
80.87.128.0	80.87.143.255	GB
80.87.144.0	80.87.159.255	RU
80.87.160.0	80.87.175.255	DE
80.87.176.0	80.87.191.255	CZ
80.87.192.0	80.87.207.255	RU
80.87.208.0	80.87.223.255	SK
80.87.224.0	80.87.239.255	FR
80.87.240.0	80.87.255.255	BA
80.88.0.0	80.88.15.255	DZ
80.88.16.0	80.88.31.255	DE
80.88.32.0	80.88.47.255	BE
80.88.48.0	80.88.63.255	RU
80.88.64.0	80.88.79.255	DE
80.88.80.0	80.88.95.255	IT
80.88.96.0	80.88.127.255	SE
80.88.128.0	80.88.129.127	A2
80.88.129.128	80.88.129.135	NG
80.88.129.136	80.88.131.23	A2
80.88.131.24	80.88.131.31	NG
80.88.131.32	80.88.131.39	A2
80.88.131.40	80.88.131.55	NG
80.88.131.56	80.88.131.159	A2
80.88.131.160	80.88.131.175	NG
80.88.131.176	80.88.131.207	A2
80.88.131.208	80.88.131.215	NG
80.88.131.216	80.88.132.23	A2
80.88.132.24	80.88.132.31	NG
80.88.132.32	80.88.132.47	A2
80.88.132.48	80.88.132.55	NG
80.88.132.56	80.88.132.63	A2
80.88.132.64	80.88.132.87	NG
80.88.132.88	80.88.132.103	A2
80.88.132.104	80.88.132.119	NG
80.88.132.120	80.88.132.135	A2
80.88.132.136	80.88.132.167	NG
80.88.132.168	80.88.132.207	A2
80.88.132.208	80.88.132.223	NG
80.88.132.224	80.88.133.79	A2
80.88.133.80	80.88.133.159	NG
80.88.133.160	80.88.133.223	A2
80.88.133.224	80.88.133.239	NG
80.88.133.240	80.88.134.23	A2
80.88.134.24	80.88.134.31	NG
80.88.134.32	80.88.134.95	A2
80.88.134.96	80.88.134.103	NG
80.88.134.104	80.88.134.183	A2
80.88.134.184	80.88.134.191	NG
80.88.134.192	80.88.135.47	A2
80.88.135.48	80.88.135.63	NG
80.88.135.64	80.88.135.127	A2
80.88.135.128	80.88.135.135	NG
80.88.135.136	80.88.135.151	A2
80.88.135.152	80.88.135.159	NG
80.88.135.160	80.88.135.207	A2
80.88.135.208	80.88.135.215	NG
80.88.135.216	80.88.135.223	A2
80.88.135.224	80.88.135.239	NG
80.88.135.240	80.88.136.111	A2
80.88.136.112	80.88.136.135	NG
80.88.136.136	80.88.137.47	A2
80.88.137.48	80.88.137.55	NG
80.88.137.56	80.88.137.63	A2
80.88.137.64	80.88.137.71	NG
80.88.137.72	80.88.137.223	A2
80.88.137.224	80.88.137.231	NG
80.88.137.232	80.88.139.47	A2
80.88.139.48	80.88.139.63	GH
80.88.139.64	80.88.139.79	NG
80.88.139.80	80.88.139.95	GN
80.88.139.96	80.88.139.135	A2
80.88.139.136	80.88.139.143	NG
80.88.139.144	80.88.139.191	A2
80.88.139.192	80.88.139.239	NG
80.88.139.240	80.88.139.255	DK
80.88.140.0	80.88.140.127	A2
80.88.140.128	80.88.140.191	NG
80.88.140.192	80.88.140.255	A2
80.88.141.0	80.88.141.15	DK
80.88.141.16	80.88.142.207	A2
80.88.142.208	80.88.142.215	NG
80.88.142.216	80.88.142.223	A2
80.88.142.224	80.88.142.231	NG
80.88.142.232	80.88.143.127	A2
80.88.143.128	80.88.143.135	NG
80.88.143.136	80.88.143.183	A2
80.88.143.184	80.88.143.191	NG
80.88.143.192	80.88.143.199	A2
80.88.143.200	80.88.143.207	DK
80.88.143.208	80.88.146.103	A2
80.88.146.104	80.88.146.111	NG
80.88.146.112	80.88.146.207	A2
80.88.146.208	80.88.146.231	NG
80.88.146.232	80.88.147.143	A2
80.88.147.144	80.88.147.159	NG
80.88.147.160	80.88.147.199	A2
80.88.147.200	80.88.147.207	NG
80.88.147.208	80.88.150.39	A2
80.88.150.40	80.88.150.47	NG
80.88.150.48	80.88.150.63	A2
80.88.150.64	80.88.150.71	NG
80.88.150.72	80.88.150.79	A2
80.88.150.80	80.88.150.95	NG
80.88.150.96	80.88.150.191	A2
80.88.150.192	80.88.150.199	NG
80.88.150.200	80.88.150.215	A2
80.88.150.216	80.88.150.223	NG
80.88.150.224	80.88.150.255	A2
80.88.151.0	80.88.151.15	NG
80.88.151.16	80.88.151.143	A2
80.88.151.144	80.88.151.159	DK
80.88.151.160	80.88.151.199	A2
80.88.151.200	80.88.151.207	NG
80.88.151.208	80.88.152.63	A2
80.88.152.64	80.88.152.127	NG
80.88.152.128	80.88.152.167	A2
80.88.152.168	80.88.152.175	NG
80.88.152.176	80.88.152.207	A2
80.88.152.208	80.88.152.215	NG
80.88.152.216	80.88.154.31	A2
80.88.154.32	80.88.154.39	NG
80.88.154.40	80.88.154.47	A2
80.88.154.48	80.88.154.55	NG
80.88.154.56	80.88.154.111	A2
80.88.154.112	80.88.154.255	NG
80.88.155.0	80.88.155.79	A2
80.88.155.80	80.88.155.87	NG
80.88.155.88	80.88.156.31	A2
80.88.156.32	80.88.156.39	NG
80.88.156.40	80.88.157.7	A2
80.88.157.8	80.88.157.15	NG
80.88.157.16	80.88.157.79	A2
80.88.157.80	80.88.157.95	NG
80.88.157.96	80.88.157.239	A2
80.88.157.240	80.88.157.255	NG
80.88.158.0	80.88.158.39	A2
80.88.158.40	80.88.158.47	NG
80.88.158.48	80.88.158.63	A2
80.88.158.64	80.88.158.95	NG
80.88.158.96	80.88.158.135	A2
80.88.158.136	80.88.158.143	NG
80.88.158.144	80.88.158.199	A2
80.88.158.200	80.88.158.223	NG
80.88.158.224	80.88.158.255	A2
80.88.159.0	80.88.159.255	DK
80.88.160.0	80.88.175.255	IT
80.88.176.0	80.88.191.255	FI
80.88.192.0	80.88.223.255	GB
80.88.224.0	80.88.239.255	ES
80.88.240.0	80.88.255.255	BH
80.89.0.0	80.89.15.255	RU
80.89.16.0	80.89.31.255	DK
80.89.32.0	80.89.63.255	NO
80.89.64.0	80.89.79.255	DE
80.89.80.0	80.89.95.255	GB
80.89.96.0	80.89.111.255	AT
80.89.112.0	80.89.127.255	FR
80.89.128.0	80.89.159.255	RU
80.89.160.0	80.89.175.255	SE
80.89.176.0	80.89.187.255	NG
80.89.188.0	80.89.191.255	LB
80.89.192.0	80.89.207.255	RU
80.89.208.0	80.89.223.255	CH
80.89.224.0	80.89.239.255	NL
80.89.240.0	80.89.255.255	DE
80.90.0.0	80.90.1.191	LV
80.90.1.192	80.90.1.255	PA
80.90.2.0	80.90.2.255	LV
80.90.3.0	80.90.3.255	RU
80.90.4.0	80.90.31.255	LV
80.90.32.0	80.90.43.7	LU
80.90.43.8	80.90.43.15	NL
80.90.43.16	80.90.63.255	LU
80.90.64.0	80.90.79.255	RU
80.90.80.0	80.90.95.255	AL
80.90.96.0	80.90.111.255	DE
80.90.112.0	80.90.127.255	RU
80.90.128.0	80.90.143.255	CZ
80.90.144.0	80.90.159.255	DE
80.90.160.0	80.90.175.255	JO
80.90.176.0	80.90.191.255	RU
80.90.192.0	80.90.207.255	GB
80.90.208.0	80.90.223.255	SI
80.90.224.0	80.90.239.255	UA
80.90.240.0	80.90.255.255	RU
80.91.0.0	80.91.15.255	DK
80.91.16.0	80.91.31.255	RU
80.91.32.0	80.91.47.255	NO
80.91.48.0	80.91.63.255	IT
80.91.64.0	80.91.95.255	ES
80.91.96.0	80.91.111.255	DE
80.91.112.0	80.91.127.255	AL
80.91.128.0	80.91.130.255	FI
80.91.131.0	80.91.143.255	DK
80.91.144.0	80.91.159.255	BE
80.91.160.0	80.91.191.255	UA
80.91.192.0	80.91.207.255	RU
80.91.208.0	80.91.223.255	GR
80.91.224.0	80.91.239.255	NO
80.91.240.0	80.91.255.255	EU
80.92.0.0	80.92.47.255	RU
80.92.48.0	80.92.49.159	DE
80.92.49.160	80.92.49.191	A2
80.92.49.192	80.92.49.207	DE
80.92.49.208	80.92.49.223	ZM
80.92.49.224	80.92.49.255	DE
80.92.50.0	80.92.50.255	US
80.92.51.0	80.92.51.255	DE
80.92.52.0	80.92.53.255	LB
80.92.54.0	80.92.55.15	DE
80.92.55.16	80.92.55.31	SA
80.92.55.32	80.92.55.39	DE
80.92.55.40	80.92.55.63	SA
80.92.55.64	80.92.55.127	BH
80.92.55.128	80.92.55.191	DE
80.92.55.192	80.92.55.223	BH
80.92.55.224	80.92.55.255	DE
80.92.56.0	80.92.56.255	US
80.92.57.0	80.92.63.255	DE
80.92.64.0	80.92.95.255	LU
80.92.96.0	80.92.111.255	RU
80.92.112.0	80.92.127.255	AT
80.92.128.0	80.92.135.255	SE
80.92.136.0	80.92.141.255	GB
80.92.142.0	80.92.143.255	SE
80.92.144.0	80.92.159.255	GB
80.92.160.0	80.92.175.255	RU
80.92.176.0	80.92.191.255	GE
80.92.192.0	80.92.223.255	RU
80.92.224.0	80.92.239.255	UA
80.92.240.0	80.92.255.255	CZ
80.93.0.0	80.93.10.7	IE
80.93.10.8	80.93.10.83	CH
80.93.10.84	80.93.10.87	IE
80.93.10.88	80.93.10.103	CH
80.93.10.104	80.93.10.111	IE
80.93.10.112	80.93.10.127	IL
80.93.10.128	80.93.10.239	IE
80.93.10.240	80.93.10.247	IL
80.93.10.248	80.93.10.255	IE
80.93.11.0	80.93.11.255	CH
80.93.12.0	80.93.13.255	GB
80.93.14.0	80.93.14.255	CH
80.93.15.0	80.93.31.255	IE
80.93.32.0	80.93.47.255	AT
80.93.48.0	80.93.63.255	RU
80.93.64.0	80.93.79.255	IT
80.93.80.0	80.93.95.255	FR
80.93.96.0	80.93.111.255	RU
80.93.112.0	80.93.127.255	UA
80.93.128.0	80.93.143.255	IT
80.93.144.0	80.93.159.255	MT
80.93.160.0	80.93.175.255	GB
80.93.176.0	80.93.191.255	RU
80.93.192.0	80.93.207.255	GB
80.93.208.0	80.93.223.255	TR
80.93.224.0	80.93.255.255	RS
80.94.0.0	80.94.15.255	ES
80.94.16.0	80.94.31.255	PL
80.94.32.0	80.94.47.255	GB
80.94.48.0	80.94.63.255	SK
80.94.64.0	80.94.79.255	NL
80.94.80.0	80.94.95.255	DE
80.94.96.0	80.94.111.255	MC
80.94.112.0	80.94.127.255	IT
80.94.128.0	80.94.143.255	DE
80.94.144.0	80.94.159.255	CH
80.94.160.0	80.94.175.255	BY
80.94.176.0	80.94.191.255	FR
80.94.192.0	80.94.207.255	GB
80.94.208.0	80.94.223.255	SE
80.94.224.0	80.94.239.255	BY
80.94.240.0	80.94.255.255	MD
80.95.0.0	80.95.15.255	EG
80.95.16.0	80.95.31.255	BG
80.95.32.0	80.95.47.255	RU
80.95.48.0	80.95.63.255	GB
80.95.64.0	80.95.95.255	HU
80.95.96.0	80.95.127.255	CZ
80.95.128.0	80.95.143.255	FI
80.95.144.0	80.95.148.127	DE
80.95.148.128	80.95.148.255	NL
80.95.149.0	80.95.150.255	DE
80.95.151.0	80.95.151.255	NL
80.95.152.0	80.95.158.127	DE
80.95.158.128	80.95.175.255	NL
80.95.176.0	80.95.207.255	GB
80.95.208.0	80.95.223.255	BH
80.95.224.0	80.95.239.255	SI
80.95.240.0	80.95.255.255	CZ
80.96.0.0	80.97.55.255	RO
80.97.56.0	80.97.59.255	MD
80.97.60.0	80.97.255.255	RO
80.98.0.0	80.99.255.255	HU
80.100.0.0	80.101.255.255	NL
80.102.0.0	80.103.255.255	ES
80.104.0.0	80.105.255.255	IT
80.106.0.0	80.107.255.255	GR
80.108.0.0	80.111.255.255	AT
80.112.0.0	80.115.191.255	NL
80.115.192.0	80.115.223.255	RU
80.115.224.0	80.115.255.255	NL
80.116.0.0	80.117.255.255	IT
80.118.0.0	80.119.255.255	FR
80.120.0.0	80.120.193.127	AT
80.120.193.128	80.120.193.191	SA
80.120.193.192	80.120.196.215	AT
80.120.196.216	80.120.196.223	SA
80.120.196.224	80.120.197.255	AT
80.120.198.0	80.120.198.255	A2
80.120.199.0	80.122.165.255	AT
80.122.166.0	80.122.166.23	IQ
80.122.166.24	80.122.167.255	AT
80.122.168.0	80.122.175.255	A2
80.122.176.0	80.122.185.255	AT
80.122.186.0	80.122.186.255	DE
80.122.187.0	80.123.225.15	AT
80.123.225.16	80.123.225.23	SA
80.123.225.24	80.123.225.39	AT
80.123.225.40	80.123.225.47	SA
80.123.225.48	80.123.225.255	AT
80.123.226.0	80.123.226.255	A2
80.123.227.0	80.123.227.7	AT
80.123.227.8	80.123.227.23	A2
80.123.227.24	80.123.227.31	AT
80.123.227.32	80.123.227.39	A2
80.123.227.40	80.123.227.47	AT
80.123.227.48	80.123.227.67	A2
80.123.227.68	80.123.227.71	AT
80.123.227.72	80.123.227.75	A2
80.123.227.76	80.123.227.79	AT
80.123.227.80	80.123.227.119	A2
80.123.227.120	80.123.227.191	AT
80.123.227.192	80.123.227.199	A2
80.123.227.200	80.123.227.219	AT
80.123.227.220	80.123.227.223	A2
80.123.227.224	80.123.255.255	AT
80.124.0.0	80.125.255.255	FR
80.126.0.0	80.127.255.255	NL
80.128.0.0	80.146.188.127	DE
80.146.188.128	80.146.188.191	GB
80.146.188.192	80.146.201.239	DE
80.146.201.240	80.146.201.247	PL
80.146.201.248	80.146.217.239	DE
80.146.217.240	80.146.217.247	HU
80.146.217.248	80.146.239.255	DE
80.146.240.0	80.146.240.255	IT
80.146.241.0	80.148.11.207	DE
80.148.11.208	80.148.11.215	IT
80.148.11.216	80.148.13.63	DE
80.148.13.64	80.148.13.95	IT
80.148.13.96	80.149.89.255	DE
80.149.90.0	80.149.90.255	US
80.149.91.0	80.149.191.255	DE
80.149.192.0	80.149.192.255	IT
80.149.193.0	80.149.233.255	DE
80.149.234.0	80.149.234.255	US
80.149.235.0	80.150.9.255	DE
80.150.10.0	80.150.10.255	US
80.150.11.0	80.150.14.183	DE
80.150.14.184	80.150.14.191	IT
80.150.14.192	80.150.121.39	DE
80.150.121.40	80.150.121.43	US
80.150.121.44	80.152.3.151	DE
80.152.3.152	80.152.3.159	IT
80.152.3.160	80.152.22.135	DE
80.152.22.136	80.152.22.143	IT
80.152.22.144	80.152.22.151	US
80.152.22.152	80.152.32.63	DE
80.152.32.64	80.152.32.71	SE
80.152.32.72	80.152.32.163	DE
80.152.32.164	80.152.32.167	SE
80.152.32.168	80.152.33.63	DE
80.152.33.64	80.152.33.71	ES
80.152.33.72	80.152.33.191	DE
80.152.33.192	80.152.33.199	CZ
80.152.33.200	80.152.33.223	DE
80.152.33.224	80.152.33.231	ES
80.152.33.232	80.152.33.239	DE
80.152.33.240	80.152.33.247	SZ
80.152.33.248	80.152.36.183	DE
80.152.36.184	80.152.36.191	IT
80.152.36.192	80.152.39.15	DE
80.152.39.16	80.152.39.23	US
80.152.39.24	80.152.41.167	DE
80.152.41.168	80.152.41.175	FI
80.152.41.176	80.152.41.179	DE
80.152.41.180	80.152.41.203	FR
80.152.41.204	80.152.41.207	DE
80.152.41.208	80.152.41.239	FR
80.152.41.240	80.154.30.31	DE
80.154.30.32	80.154.30.63	IT
80.154.30.64	80.156.7.103	DE
80.156.7.104	80.156.7.111	BE
80.156.7.112	80.156.14.119	DE
80.156.14.120	80.156.14.127	NL
80.156.14.128	80.156.174.247	DE
80.156.174.248	80.156.175.7	NL
80.156.175.8	80.159.255.255	DE
80.160.0.0	80.167.255.255	DK
80.168.0.0	80.169.3.159	GB
80.169.3.160	80.169.3.191	FR
80.169.3.192	80.169.8.159	GB
80.169.8.160	80.169.8.175	CA
80.169.8.176	80.169.11.159	GB
80.169.11.160	80.169.11.175	FR
80.169.11.176	80.169.16.151	GB
80.169.16.152	80.169.16.159	ES
80.169.16.160	80.169.19.255	GB
80.169.20.0	80.169.21.7	SE
80.169.21.8	80.169.21.15	GB
80.169.21.16	80.169.21.23	SE
80.169.21.24	80.169.21.31	DK
80.169.21.32	80.169.21.63	SE
80.169.21.64	80.169.21.127	FI
80.169.21.128	80.169.21.175	SE
80.169.21.176	80.169.21.183	DK
80.169.21.184	80.169.21.255	SE
80.169.22.0	80.169.22.7	GB
80.169.22.8	80.169.22.143	SE
80.169.22.144	80.169.23.31	GB
80.169.23.32	80.169.23.55	SE
80.169.23.56	80.169.51.23	GB
80.169.51.24	80.169.51.31	IE
80.169.51.32	80.169.55.15	GB
80.169.55.16	80.169.55.31	IE
80.169.55.32	80.169.56.255	GB
80.169.57.0	80.169.59.255	IE
80.169.60.0	80.169.60.255	GB
80.169.61.0	80.169.63.255	BE
80.169.64.0	80.169.68.255	GB
80.169.69.0	80.169.69.255	IE
80.169.70.0	80.169.71.255	GB
80.169.72.0	80.169.72.127	IE
80.169.72.128	80.169.73.255	GB
80.169.74.0	80.169.74.23	ES
80.169.74.24	80.169.74.31	GB
80.169.74.32	80.169.74.39	ES
80.169.74.40	80.169.74.87	GB
80.169.74.88	80.169.74.111	ES
80.169.74.112	80.169.74.119	GB
80.169.74.120	80.169.74.223	ES
80.169.74.224	80.169.74.231	FR
80.169.74.232	80.169.74.239	GB
80.169.74.240	80.169.74.247	ES
80.169.74.248	80.169.74.255	GB
80.169.75.0	80.169.75.181	ES
80.169.75.182	80.169.75.191	GB
80.169.75.192	80.169.77.71	ES
80.169.77.72	80.169.77.79	GB
80.169.77.80	80.169.77.115	ES
80.169.77.116	80.169.77.119	GB
80.169.77.120	80.169.77.151	ES
80.169.77.152	80.169.77.159	GB
80.169.77.160	80.169.77.207	ES
80.169.77.208	80.169.77.223	GB
80.169.77.224	80.169.77.231	ES
80.169.77.232	80.169.77.239	GB
80.169.77.240	80.169.78.15	ES
80.169.78.16	80.169.78.47	GB
80.169.78.48	80.169.78.119	ES
80.169.78.120	80.169.78.127	GB
80.169.78.128	80.169.78.215	ES
80.169.78.216	80.169.78.223	GB
80.169.78.224	80.169.79.255	ES
80.169.80.0	80.169.81.31	BE
80.169.81.32	80.169.81.39	ES
80.169.81.40	80.169.81.111	BE
80.169.81.112	80.169.81.119	GB
80.169.81.120	80.169.83.255	BE
80.169.84.0	80.169.85.47	ES
80.169.85.48	80.169.85.55	GB
80.169.85.56	80.169.85.63	ES
80.169.85.64	80.169.85.79	GB
80.169.85.80	80.169.85.135	ES
80.169.85.136	80.169.85.143	GB
80.169.85.144	80.169.85.167	ES
80.169.85.168	80.169.85.175	GB
80.169.85.176	80.169.85.207	ES
80.169.85.208	80.169.85.215	GB
80.169.85.216	80.169.85.239	ES
80.169.85.240	80.169.85.255	GB
80.169.86.0	80.169.86.15	ES
80.169.86.16	80.169.86.31	GB
80.169.86.32	80.169.86.39	ES
80.169.86.40	80.169.86.47	GB
80.169.86.48	80.169.86.143	ES
80.169.86.144	80.169.86.159	GB
80.169.86.160	80.169.86.207	ES
80.169.86.208	80.169.86.223	GB
80.169.86.224	80.169.87.95	ES
80.169.87.96	80.169.87.119	GB
80.169.87.120	80.169.87.127	ES
80.169.87.128	80.169.87.143	GB
80.169.87.144	80.169.87.199	ES
80.169.87.200	80.169.87.207	GB
80.169.87.208	80.169.87.255	ES
80.169.88.0	80.169.95.255	GB
80.169.96.0	80.169.103.255	CH
80.169.104.0	80.169.104.255	IT
80.169.105.0	80.169.105.7	GB
80.169.105.8	80.169.105.15	IT
80.169.105.16	80.169.105.19	GB
80.169.105.20	80.169.106.119	IT
80.169.106.120	80.169.106.135	GB
80.169.106.136	80.169.108.31	IT
80.169.108.32	80.169.108.63	GB
80.169.108.64	80.169.109.255	IT
80.169.110.0	80.169.111.255	BE
80.169.112.0	80.169.113.255	GB
80.169.114.0	80.169.115.255	IT
80.169.116.0	80.169.117.255	GB
80.169.118.0	80.169.118.255	IT
80.169.119.0	80.169.134.159	GB
80.169.134.160	80.169.134.191	IE
80.169.134.192	80.169.135.255	GB
80.169.136.0	80.169.137.95	IE
80.169.137.96	80.169.137.127	GB
80.169.137.128	80.169.137.215	IE
80.169.137.216	80.169.137.223	GB
80.169.137.224	80.169.137.231	IE
80.169.137.232	80.169.137.255	GB
80.169.138.0	80.169.138.127	IE
80.169.138.128	80.169.138.135	GB
80.169.138.136	80.169.138.159	IE
80.169.138.160	80.169.138.191	GB
80.169.138.192	80.169.138.207	IE
80.169.138.208	80.169.138.215	GB
80.169.138.216	80.169.139.71	IE
80.169.139.72	80.169.139.79	GB
80.169.139.80	80.169.139.159	IE
80.169.139.160	80.169.139.191	GB
80.169.139.192	80.169.140.127	IE
80.169.140.128	80.169.140.135	GB
80.169.140.136	80.169.140.143	IE
80.169.140.144	80.169.140.151	GB
80.169.140.152	80.169.140.183	IE
80.169.140.184	80.169.140.191	GB
80.169.140.192	80.169.142.31	IE
80.169.142.32	80.169.142.39	GB
80.169.142.40	80.169.142.143	IE
80.169.142.144	80.169.142.151	GB
80.169.142.152	80.169.142.175	IE
80.169.142.176	80.169.142.191	GB
80.169.142.192	80.169.143.127	IE
80.169.143.128	80.169.143.143	GB
80.169.143.144	80.169.143.151	IE
80.169.143.152	80.169.143.159	GB
80.169.143.160	80.169.143.175	IE
80.169.143.176	80.169.143.191	GB
80.169.143.192	80.169.143.255	IE
80.169.144.0	80.169.148.175	GB
80.169.148.176	80.169.148.183	IE
80.169.148.184	80.169.158.39	GB
80.169.158.40	80.169.158.43	IT
80.169.158.44	80.169.172.255	GB
80.169.173.0	80.169.173.31	IE
80.169.173.32	80.169.178.255	GB
80.169.179.0	80.169.179.7	SE
80.169.179.8	80.169.179.15	DE
80.169.179.16	80.169.179.19	SE
80.169.179.20	80.169.179.31	GB
80.169.179.32	80.169.179.63	DE
80.169.179.64	80.169.179.193	SE
80.169.179.194	80.169.179.199	GB
80.169.179.200	80.169.182.255	SE
80.169.183.0	80.169.183.127	GB
80.169.183.128	80.169.183.143	SE
80.169.183.144	80.169.183.151	GB
80.169.183.152	80.169.184.95	SE
80.169.184.96	80.169.184.103	GB
80.169.184.104	80.169.184.111	SE
80.169.184.112	80.169.184.135	GB
80.169.184.136	80.169.184.143	SE
80.169.184.144	80.169.184.207	GB
80.169.184.208	80.169.184.223	SE
80.169.184.224	80.169.185.15	GB
80.169.185.16	80.169.185.23	SE
80.169.185.24	80.169.185.55	GB
80.169.185.56	80.169.186.255	SE
80.169.187.0	80.169.188.103	GB
80.169.188.104	80.169.188.111	US
80.169.188.112	80.169.205.255	GB
80.169.206.0	80.169.206.7	IE
80.169.206.8	80.169.207.255	GB
80.169.208.0	80.169.209.255	ES
80.169.210.0	80.169.210.0	BE
80.169.210.1	80.169.210.63	GB
80.169.210.64	80.169.210.71	BE
80.169.210.72	80.169.210.79	GB
80.169.210.80	80.169.210.111	BE
80.169.210.112	80.169.210.127	GB
80.169.210.128	80.169.210.207	BE
80.169.210.208	80.169.210.223	GB
80.169.210.224	80.169.211.255	BE
80.169.212.0	80.169.212.7	IT
80.169.212.8	80.169.215.255	GB
80.169.216.0	80.169.219.255	FR
80.169.220.0	80.169.224.255	GB
80.169.225.0	80.169.225.135	ES
80.169.225.136	80.169.225.143	DE
80.169.225.144	80.169.225.255	ES
80.169.226.0	80.169.227.199	IT
80.169.227.200	80.169.227.207	ES
80.169.227.208	80.169.227.255	IT
80.169.228.0	80.169.231.255	GB
80.169.232.0	80.169.233.255	CH
80.169.234.0	80.169.235.87	IT
80.169.235.88	80.169.235.95	GB
80.169.235.96	80.169.235.167	IT
80.169.235.168	80.169.235.175	GB
80.169.235.176	80.169.235.255	IT
80.169.236.0	80.169.237.255	IE
80.169.238.0	80.169.239.255	GB
80.169.240.0	80.169.241.255	CH
80.169.242.0	80.169.244.87	ES
80.169.244.88	80.169.244.95	FR
80.169.244.96	80.169.247.255	ES
80.169.248.0	80.169.251.255	GB
80.169.252.0	80.169.252.255	FR
80.169.253.0	80.169.254.255	GB
80.169.255.0	80.169.255.255	IE
80.170.0.0	80.170.255.255	SE
80.171.0.0	80.171.255.255	DE
80.172.0.0	80.172.255.255	PT
80.173.0.0	80.174.255.255	ES
80.175.0.0	80.177.255.255	GB
80.178.0.0	80.179.95.15	IL
80.179.95.16	80.179.95.23	A2
80.179.95.24	80.179.95.31	IL
80.179.95.32	80.179.95.47	A2
80.179.95.48	80.179.164.31	IL
80.179.164.32	80.179.164.55	A2
80.179.164.56	80.179.164.143	IL
80.179.164.144	80.179.164.159	A2
80.179.164.160	80.179.164.191	IL
80.179.164.192	80.179.164.207	A2
80.179.164.208	80.179.168.255	IL
80.179.169.0	80.179.169.15	A2
80.179.169.16	80.179.169.23	IL
80.179.169.24	80.179.169.31	A2
80.179.169.32	80.179.169.63	IL
80.179.169.64	80.179.169.103	A2
80.179.169.104	80.179.169.127	IL
80.179.169.128	80.179.169.191	A2
80.179.169.192	80.179.169.223	IL
80.179.169.224	80.179.169.239	A2
80.179.169.240	80.179.175.255	IL
80.179.176.0	80.179.176.31	A2
80.179.176.32	80.179.176.87	IL
80.179.176.88	80.179.176.95	A2
80.179.176.96	80.179.176.111	IL
80.179.176.112	80.179.176.127	A2
80.179.176.128	80.179.188.255	IL
80.179.189.0	80.179.189.255	GB
80.179.190.0	80.179.235.255	IL
80.179.236.0	80.179.236.255	A2
80.179.237.0	80.179.242.255	IL
80.179.243.0	80.179.243.255	A2
80.179.244.0	80.179.255.255	IL
80.180.0.0	80.183.255.255	IT
80.184.0.0	80.184.255.255	KW
80.185.0.0	80.185.255.255	FR
80.186.0.0	80.186.255.255	FI
80.187.0.0	80.187.255.255	DE
80.188.0.0	80.188.255.255	CZ
80.189.0.0	80.189.255.255	GB
80.190.0.0	80.190.128.255	DE
80.190.129.0	80.190.129.7	AT
80.190.129.8	80.190.130.63	DE
80.190.130.64	80.190.130.127	AT
80.190.130.128	80.190.130.191	ES
80.190.130.192	80.190.135.127	DE
80.190.135.128	80.190.135.128	AT
80.190.135.129	80.190.139.39	DE
80.190.139.40	80.190.139.47	IT
80.190.139.48	80.190.139.55	DE
80.190.139.56	80.190.139.63	IT
80.190.139.64	80.190.140.255	DE
80.190.141.0	80.190.141.31	ES
80.190.141.32	80.190.143.215	DE
80.190.143.216	80.190.143.223	IT
80.190.143.224	80.190.146.143	DE
80.190.146.144	80.190.146.154	FI
80.190.146.155	80.190.146.191	DE
80.190.146.192	80.190.146.192	FI
80.190.146.193	80.190.151.255	DE
80.190.152.0	80.190.152.127	AT
80.190.152.128	80.190.174.255	DE
80.190.175.0	80.190.175.255	PL
80.190.176.0	80.190.178.31	DE
80.190.178.32	80.190.178.63	CH
80.190.178.64	80.190.178.95	DK
80.190.178.96	80.190.178.127	DE
80.190.178.128	80.190.178.255	IT
80.190.179.0	80.190.179.255	AE
80.190.180.0	80.190.180.127	DE
80.190.180.128	80.190.180.159	DK
80.190.180.160	80.190.184.255	DE
80.190.185.0	80.190.186.31	AE
80.190.186.32	80.190.186.47	DE
80.190.186.48	80.190.186.55	PL
80.190.186.56	80.190.186.255	DE
80.190.187.0	80.190.187.31	AE
80.190.187.32	80.190.187.255	DE
80.190.188.0	80.190.188.31	AE
80.190.188.32	80.190.190.255	DE
80.190.191.0	80.190.191.15	AE
80.190.191.16	80.190.191.143	DE
80.190.191.144	80.190.191.147	PL
80.190.191.148	80.190.193.31	DE
80.190.193.32	80.190.193.47	AE
80.190.193.48	80.190.193.215	DE
80.190.193.216	80.190.193.223	CH
80.190.193.224	80.190.193.231	IT
80.190.193.232	80.190.195.255	DE
80.190.196.0	80.190.197.255	AE
80.190.198.0	80.190.198.31	DE
80.190.198.32	80.190.198.63	DK
80.190.198.64	80.190.198.255	DE
80.190.199.0	80.190.199.15	AE
80.190.199.16	80.190.199.111	DE
80.190.199.112	80.190.199.115	PL
80.190.199.116	80.190.203.159	DE
80.190.203.160	80.190.203.191	DK
80.190.203.192	80.190.204.127	DE
80.190.204.128	80.190.204.143	AE
80.190.204.144	80.190.205.215	DE
80.190.205.216	80.190.205.223	CH
80.190.205.224	80.190.206.255	DE
80.190.207.0	80.190.207.31	DK
80.190.207.32	80.190.207.63	CH
80.190.207.64	80.190.207.175	DE
80.190.207.176	80.190.207.191	AE
80.190.207.192	80.190.209.147	DE
80.190.209.148	80.190.209.151	RS
80.190.209.152	80.190.210.15	DE
80.190.210.16	80.190.210.31	AE
80.190.210.32	80.190.210.59	DE
80.190.210.60	80.190.210.63	MC
80.190.210.64	80.190.210.215	DE
80.190.210.216	80.190.210.223	IT
80.190.210.224	80.190.211.255	DE
80.190.212.0	80.190.213.255	PL
80.190.214.0	80.190.215.255	DE
80.190.216.0	80.190.216.15	AE
80.190.216.16	80.190.216.255	DE
80.190.217.0	80.190.217.255	AE
80.190.218.0	80.190.226.47	DE
80.190.226.48	80.190.226.55	LU
80.190.226.56	80.190.227.127	DE
80.190.227.128	80.190.227.143	NZ
80.190.227.144	80.190.227.151	DE
80.190.227.152	80.190.227.159	NZ
80.190.227.160	80.190.227.167	DE
80.190.227.168	80.190.227.175	IT
80.190.227.176	80.190.227.223	DE
80.190.227.224	80.190.227.255	IT
80.190.228.0	80.190.229.15	DE
80.190.229.16	80.190.229.19	CH
80.190.229.20	80.190.255.255	DE
80.191.0.0	80.191.255.255	IR
80.192.0.0	80.195.255.255	GB
80.196.0.0	80.199.255.255	DK
80.200.0.0	80.201.255.255	BE
80.202.0.0	80.203.255.255	NO
80.204.0.0	80.207.255.255	IT
80.208.0.0	80.211.255.255	DK
80.212.0.0	80.213.255.255	NO
80.214.0.0	80.215.255.255	FR
80.216.0.0	80.217.255.255	SE
80.218.0.0	80.219.255.255	CH
80.220.0.0	80.223.255.255	FI
80.224.0.0	80.224.255.255	ES
80.225.0.0	80.225.255.255	GB
80.226.0.0	80.226.255.255	DE
80.227.0.0	80.227.147.143	AE
80.227.147.144	80.227.147.159	A2
80.227.147.160	80.227.255.255	AE
80.228.0.0	80.228.28.151	DE
80.228.28.152	80.228.28.159	NL
80.228.28.160	80.228.29.151	DE
80.228.29.152	80.228.29.167	NL
80.228.29.168	80.228.31.47	DE
80.228.31.48	80.228.31.63	CH
80.228.31.64	80.228.228.87	DE
80.228.228.88	80.228.228.95	NL
80.228.228.96	80.228.255.255	DE
80.229.0.0	80.229.255.255	GB
80.230.0.0	80.230.255.255	IL
80.231.0.0	80.231.1.255	ES
80.231.2.0	80.231.3.255	LU
80.231.4.0	80.231.5.255	EU
80.231.6.0	80.231.7.255	LY
80.231.8.0	80.231.15.255	QA
80.231.16.0	80.231.17.255	FR
80.231.18.0	80.231.18.255	RO
80.231.19.0	80.231.19.31	ES
80.231.19.32	80.231.19.39	GB
80.231.19.40	80.231.19.47	FR
80.231.19.48	80.231.19.55	GB
80.231.19.56	80.231.19.63	DK
80.231.19.64	80.231.19.127	KE
80.231.19.128	80.231.19.255	EU
80.231.20.0	80.231.20.255	GB
80.231.21.0	80.231.21.31	ES
80.231.21.32	80.231.21.255	EU
80.231.22.0	80.231.22.255	CY
80.231.23.0	80.231.23.255	SO
80.231.24.0	80.231.25.255	DE
80.231.26.0	80.231.27.255	BH
80.231.28.0	80.231.28.255	ES
80.231.29.0	80.231.29.255	GB
80.231.30.0	80.231.31.255	DE
80.231.32.0	80.231.39.255	GB
80.231.40.0	80.231.40.255	NL
80.231.41.0	80.231.41.255	DE
80.231.42.0	80.231.43.255	GB
80.231.44.0	80.231.47.255	DE
80.231.48.0	80.231.55.255	EU
80.231.56.0	80.231.57.255	DE
80.231.58.0	80.231.59.255	ES
80.231.60.0	80.231.63.255	EU
80.231.64.0	80.231.66.255	DE
80.231.67.0	80.231.67.255	GB
80.231.68.0	80.231.68.255	IR
80.231.69.0	80.231.69.63	EU
80.231.69.64	80.231.69.95	GB
80.231.69.96	80.231.69.255	ES
80.231.70.0	80.231.70.255	TZ
80.231.71.0	80.231.71.255	CA
80.231.72.0	80.231.73.255	FR
80.231.74.0	80.231.74.255	LB
80.231.75.0	80.231.75.255	FR
80.231.76.0	80.231.76.255	GB
80.231.77.0	80.231.77.255	KE
80.231.78.0	80.231.78.255	GB
80.231.79.0	80.231.79.255	FR
80.231.80.0	80.231.83.255	NL
80.231.84.0	80.231.84.255	ES
80.231.85.0	80.231.85.255	SA
80.231.86.0	80.231.87.255	EU
80.231.88.0	80.231.88.255	FR
80.231.89.0	80.231.90.255	NO
80.231.91.0	80.231.91.255	AT
80.231.92.0	80.231.92.255	DZ
80.231.93.0	80.231.93.255	GB
80.231.94.0	80.231.94.255	DE
80.231.95.0	80.231.95.255	LB
80.231.96.0	80.231.103.255	GB
80.231.104.0	80.231.127.255	EU
80.231.128.0	80.231.128.255	DE
80.231.129.0	80.231.129.255	LU
80.231.130.0	80.231.131.255	EU
80.231.132.0	80.231.133.255	ES
80.231.134.0	80.231.135.255	QA
80.231.136.0	80.231.136.255	GB
80.231.137.0	80.231.137.255	PL
80.231.138.0	80.231.139.255	EU
80.231.140.0	80.231.143.255	GB
80.231.144.0	80.231.151.255	EU
80.231.152.0	80.231.152.255	NL
80.231.153.0	80.231.154.255	FR
80.231.155.0	80.231.155.255	GB
80.231.156.0	80.231.157.255	ES
80.231.158.0	80.231.159.255	EU
80.231.160.0	80.231.161.255	ES
80.231.162.0	80.231.163.255	DE
80.231.164.0	80.231.164.255	ES
80.231.165.0	80.231.165.255	FR
80.231.166.0	80.231.166.255	DE
80.231.167.0	80.231.167.255	PL
80.231.168.0	80.231.171.127	ES
80.231.171.128	80.231.171.255	EU
80.231.172.0	80.231.172.127	GB
80.231.172.128	80.231.172.255	EU
80.231.173.0	80.231.173.255	ES
80.231.174.0	80.231.174.255	GB
80.231.175.0	80.231.175.255	DE
80.231.176.0	80.231.183.255	EU
80.231.184.0	80.231.187.255	QA
80.231.188.0	80.231.191.255	ES
80.231.192.0	80.231.193.255	DZ
80.231.194.0	80.231.194.31	ES
80.231.194.32	80.231.194.63	BH
80.231.194.64	80.231.194.127	GB
80.231.194.128	80.231.194.255	DE
80.231.195.0	80.231.195.255	KM
80.231.196.0	80.231.196.255	FR
80.231.197.0	80.231.197.63	BE
80.231.197.64	80.231.197.127	FR
80.231.197.128	80.231.197.191	PT
80.231.197.192	80.231.197.255	EU
80.231.198.0	80.231.198.15	MD
80.231.198.16	80.231.198.31	ES
80.231.198.32	80.231.198.63	FR
80.231.198.64	80.231.198.79	GB
80.231.198.80	80.231.198.95	ES
80.231.198.96	80.231.198.127	GB
80.231.198.128	80.231.198.255	EU
80.231.199.0	80.231.199.255	GB
80.231.200.0	80.231.201.255	EU
80.231.202.0	80.231.202.255	GB
80.231.203.0	80.231.205.255	GN
80.231.206.0	80.231.207.255	ES
80.231.208.0	80.231.208.255	PL
80.231.209.0	80.231.209.255	GB
80.231.210.0	80.231.210.255	KE
80.231.211.0	80.231.211.255	DE
80.231.212.0	80.231.213.255	EU
80.231.214.0	80.231.215.255	LY
80.231.216.0	80.231.216.255	GB
80.231.217.0	80.231.217.255	EU
80.231.218.0	80.231.218.255	RU
80.231.219.0	80.231.219.255	GB
80.231.220.0	80.231.221.255	EU
80.231.222.0	80.231.222.255	AM
80.231.223.0	80.231.223.255	GB
80.231.224.0	80.231.255.255	EU
80.232.0.0	80.232.38.255	NO
80.232.39.0	80.232.39.255	SE
80.232.40.0	80.232.127.255	NO
80.232.128.0	80.232.255.255	LV
80.233.0.0	80.233.127.255	IE
80.233.128.0	80.233.139.255	LV
80.233.140.0	80.233.140.255	RU
80.233.141.0	80.233.255.255	LV
80.234.0.0	80.234.127.255	RU
80.234.128.0	80.234.255.255	GB
80.235.0.0	80.235.127.255	EE
80.235.128.0	80.235.255.255	GB
80.236.0.0	80.236.127.255	FR
80.236.128.0	80.236.255.255	BE
80.237.0.0	80.237.127.255	RU
80.237.128.0	80.237.194.103	DE
80.237.194.104	80.237.194.111	AM
80.237.194.112	80.237.194.207	DE
80.237.194.208	80.237.194.215	AT
80.237.194.216	80.237.220.191	DE
80.237.220.192	80.237.220.199	AT
80.237.220.200	80.237.249.55	DE
80.237.249.56	80.237.249.63	PL
80.237.249.64	80.237.255.255	DE
80.238.0.0	80.238.63.255	GB
80.238.64.0	80.238.127.255	PL
80.238.128.0	80.238.255.255	CH
80.239.0.0	80.239.106.215	NO
80.239.106.216	80.239.106.223	SE
80.239.106.224	80.239.127.255	NO
80.239.128.0	80.239.135.255	DE
80.239.136.0	80.239.136.15	AT
80.239.136.16	80.239.136.47	DE
80.239.136.48	80.239.136.63	US
80.239.136.64	80.239.136.79	AT
80.239.136.80	80.239.136.223	DE
80.239.136.224	80.239.136.239	GB
80.239.136.240	80.239.137.255	DE
80.239.138.0	80.239.138.255	PL
80.239.139.0	80.239.139.175	DE
80.239.139.176	80.239.139.183	SE
80.239.139.184	80.239.139.255	DE
80.239.140.0	80.239.140.15	NO
80.239.140.16	80.239.140.63	EU
80.239.140.64	80.239.140.79	PL
80.239.140.80	80.239.140.111	EU
80.239.140.112	80.239.140.115	PL
80.239.140.116	80.239.140.119	RU
80.239.140.120	80.239.140.159	EU
80.239.140.160	80.239.140.167	RU
80.239.140.168	80.239.140.175	PL
80.239.140.176	80.239.140.191	EU
80.239.140.192	80.239.140.255	PL
80.239.141.0	80.239.141.15	SE
80.239.141.16	80.239.141.63	EU
80.239.141.64	80.239.142.127	DE
80.239.142.128	80.239.142.191	SE
80.239.142.192	80.239.144.87	DE
80.239.144.88	80.239.144.95	EU
80.239.144.96	80.239.145.255	DE
80.239.146.0	80.239.149.255	EU
80.239.150.0	80.239.153.255	DE
80.239.154.0	80.239.154.63	RU
80.239.154.64	80.239.154.127	DE
80.239.154.128	80.239.154.255	GB
80.239.155.0	80.239.155.255	NL
80.239.156.0	80.239.156.127	DE
80.239.156.128	80.239.156.191	CH
80.239.156.192	80.239.156.223	DE
80.239.156.224	80.239.156.239	AT
80.239.156.240	80.239.157.255	DE
80.239.158.0	80.239.158.255	AT
80.239.159.0	80.239.159.255	DE
80.239.160.0	80.239.167.255	FR
80.239.168.0	80.239.168.15	ES
80.239.168.16	80.239.168.31	EU
80.239.168.32	80.239.168.127	FR
80.239.168.128	80.239.168.143	EU
80.239.168.144	80.239.168.159	FR
80.239.168.160	80.239.168.191	EU
80.239.168.192	80.239.169.79	FR
80.239.169.80	80.239.169.111	EU
80.239.169.112	80.239.170.31	FR
80.239.170.32	80.239.170.95	EU
80.239.170.96	80.239.170.127	FR
80.239.170.128	80.239.170.255	EU
80.239.171.0	80.239.172.7	FR
80.239.172.8	80.239.172.11	BE
80.239.172.12	80.239.172.23	EU
80.239.172.24	80.239.172.31	FR
80.239.172.32	80.239.172.95	EU
80.239.172.96	80.239.174.7	FR
80.239.174.8	80.239.174.15	EU
80.239.174.16	80.239.174.31	FR
80.239.174.32	80.239.174.63	RU
80.239.174.64	80.239.174.255	FR
80.239.175.0	80.239.175.31	EU
80.239.175.32	80.239.175.63	ES
80.239.175.64	80.239.175.255	DE
80.239.176.0	80.239.176.255	FR
80.239.177.0	80.239.177.255	DE
80.239.178.0	80.239.179.255	FR
80.239.180.0	80.239.183.255	US
80.239.184.0	80.239.187.255	FR
80.239.188.0	80.239.188.191	DE
80.239.188.192	80.239.188.255	EU
80.239.189.0	80.239.189.255	DE
80.239.190.0	80.239.191.255	GB
80.239.192.0	80.239.196.255	PL
80.239.197.0	80.239.197.11	NL
80.239.197.12	80.239.197.31	EU
80.239.197.32	80.239.197.63	NL
80.239.197.64	80.239.197.95	EU
80.239.197.96	80.239.197.127	DE
80.239.197.128	80.239.198.255	NL
80.239.199.0	80.239.199.63	EU
80.239.199.64	80.239.199.71	NL
80.239.199.72	80.239.199.95	EU
80.239.199.96	80.239.199.127	NL
80.239.199.128	80.239.199.255	SE
80.239.200.0	80.239.200.63	EU
80.239.200.64	80.239.200.95	NL
80.239.200.96	80.239.200.127	GB
80.239.200.128	80.239.200.255	NL
80.239.201.0	80.239.201.255	GB
80.239.202.0	80.239.202.255	EU
80.239.203.0	80.239.205.255	NL
80.239.206.0	80.239.206.255	SE
80.239.207.0	80.239.207.31	EU
80.239.207.32	80.239.207.63	SE
80.239.207.64	80.239.207.127	EU
80.239.207.128	80.239.207.255	DE
80.239.208.0	80.239.224.127	EU
80.239.224.128	80.239.226.255	DE
80.239.227.0	80.239.227.255	EU
80.239.228.0	80.239.229.7	DE
80.239.229.8	80.239.229.15	EU
80.239.229.16	80.239.229.31	DE
80.239.229.32	80.239.229.39	EU
80.239.229.40	80.239.229.47	DE
80.239.229.48	80.239.229.63	EU
80.239.229.64	80.239.229.191	DE
80.239.229.192	80.239.230.15	EU
80.239.230.16	80.239.230.23	RU
80.239.230.24	80.239.230.63	EU
80.239.230.64	80.239.230.127	PL
80.239.230.128	80.239.231.31	EU
80.239.231.32	80.239.231.47	AT
80.239.231.48	80.239.231.127	EU
80.239.231.128	80.239.231.255	GB
80.239.232.0	80.239.233.255	DE
80.239.234.0	80.239.234.63	EU
80.239.234.64	80.239.234.127	CH
80.239.234.128	80.239.234.255	SE
80.239.235.0	80.239.235.255	NL
80.239.236.0	80.239.239.255	DE
80.239.240.0	80.239.241.255	ES
80.239.242.0	80.239.243.255	PL
80.239.244.0	80.239.245.255	GB
80.239.246.0	80.239.246.255	DE
80.239.247.0	80.239.247.255	SE
80.239.248.0	80.239.249.255	EU
80.239.250.0	80.239.251.255	DE
80.239.252.0	80.239.253.255	GB
80.239.254.0	80.239.255.255	EU
80.240.0.0	80.240.15.255	LT
80.240.16.0	80.240.31.255	GR
80.240.32.0	80.240.63.255	RU
80.240.64.0	80.240.79.255	SA
80.240.80.0	80.240.95.255	GB
80.240.96.0	80.240.143.255	RU
80.240.144.0	80.240.159.255	RS
80.240.160.0	80.240.191.255	PL
80.240.192.0	80.240.207.255	KE
80.240.208.0	80.240.223.255	RU
80.240.224.0	80.240.227.167	AT
80.240.227.168	80.240.227.175	DE
80.240.227.176	80.240.239.255	AT
80.240.240.0	80.240.255.255	RU
80.241.0.0	80.241.15.255	KZ
80.241.16.0	80.241.31.255	AT
80.241.32.0	80.241.47.255	KZ
80.241.48.0	80.241.63.255	RU
80.241.64.0	80.241.66.143	GB
80.241.66.144	80.241.66.191	DE
80.241.66.192	80.241.66.199	NL
80.241.66.200	80.241.66.207	DE
80.241.66.208	80.241.66.215	GB
80.241.66.216	80.241.66.255	DE
80.241.67.0	80.241.67.143	GB
80.241.67.144	80.241.67.167	DE
80.241.67.168	80.241.67.175	GB
80.241.67.176	80.241.67.255	DE
80.241.68.0	80.241.69.255	GB
80.241.70.0	80.241.70.7	CH
80.241.70.8	80.241.71.15	GB
80.241.71.16	80.241.71.23	FR
80.241.71.24	80.241.71.31	GB
80.241.71.32	80.241.71.71	FR
80.241.71.72	80.241.71.79	GB
80.241.71.80	80.241.71.95	FR
80.241.71.96	80.241.71.111	GB
80.241.71.112	80.241.71.127	CH
80.241.71.128	80.241.71.151	FR
80.241.71.152	80.241.71.159	GB
80.241.71.160	80.241.71.175	FR
80.241.71.176	80.241.71.191	GB
80.241.71.192	80.241.71.207	FR
80.241.71.208	80.241.71.215	GB
80.241.71.216	80.241.71.255	FR
80.241.72.0	80.241.78.255	GB
80.241.79.0	80.241.79.31	DE
80.241.79.32	80.241.79.39	GB
80.241.79.40	80.241.79.55	DE
80.241.79.56	80.241.79.79	GB
80.241.79.80	80.241.79.103	DE
80.241.79.104	80.241.79.111	GB
80.241.79.112	80.241.79.119	DE
80.241.79.120	80.241.79.143	GB
80.241.79.144	80.241.79.159	DE
80.241.79.160	80.241.79.175	GB
80.241.79.176	80.241.79.215	DE
80.241.79.216	80.241.79.223	GB
80.241.79.224	80.241.79.247	DE
80.241.79.248	80.241.79.255	GB
80.241.80.0	80.241.95.255	NO
80.241.96.0	80.241.111.255	CH
80.241.112.0	80.241.127.255	LI
80.241.128.0	80.241.143.255	PL
80.241.144.0	80.241.159.255	BH
80.241.160.0	80.241.175.255	IT
80.241.176.0	80.241.191.255	GE
80.241.192.0	80.241.207.255	DE
80.241.208.0	80.241.223.255	EE
80.241.224.0	80.241.239.255	IT
80.241.240.0	80.241.255.255	GE
80.242.0.0	80.242.15.255	IR
80.242.16.0	80.242.31.255	FI
80.242.32.0	80.242.47.255	SK
80.242.48.0	80.242.95.255	RU
80.242.96.0	80.242.111.255	UA
80.242.112.0	80.242.127.255	BA
80.242.128.0	80.242.147.95	DE
80.242.147.96	80.242.147.127	CH
80.242.147.128	80.242.178.255	DE
80.242.179.0	80.242.179.255	CH
80.242.180.0	80.242.191.255	DE
80.242.192.0	80.242.207.255	CH
80.242.208.0	80.242.223.255	KZ
80.242.224.0	80.242.255.255	NL
80.243.0.0	80.243.15.255	RU
80.243.16.0	80.243.31.255	LT
80.243.32.0	80.243.56.31	DE
80.243.56.32	80.243.56.47	IT
80.243.56.48	80.243.63.255	DE
80.243.64.0	80.243.79.255	RU
80.243.80.0	80.243.95.255	PT
80.243.96.0	80.243.111.255	CZ
80.243.112.0	80.243.127.255	DK
80.243.128.0	80.243.143.255	RU
80.243.144.0	80.243.159.255	UA
80.243.160.0	80.243.162.159	AT
80.243.162.160	80.243.162.191	MT
80.243.162.192	80.243.175.191	AT
80.243.175.192	80.243.175.255	MT
80.243.176.0	80.243.191.255	GB
80.243.192.0	80.243.207.255	DE
80.243.208.0	80.243.223.255	CH
80.243.224.0	80.243.239.255	ES
80.243.240.0	80.243.255.255	FR
80.244.0.0	80.244.15.255	GB
80.244.16.0	80.244.19.255	CY
80.244.20.0	80.244.22.255	GR
80.244.23.0	80.244.23.255	DE
80.244.24.0	80.244.31.255	CY
80.244.32.0	80.244.47.255	RU
80.244.48.0	80.244.63.255	ES
80.244.64.0	80.244.95.255	SE
80.244.96.0	80.244.111.255	HU
80.244.112.0	80.244.127.255	IT
80.244.128.0	80.244.159.255	PL
80.244.160.0	80.244.175.255	IL
80.244.176.0	80.244.191.255	GB
80.244.192.0	80.244.207.255	SE
80.244.208.0	80.244.215.255	DE
80.244.216.0	80.244.217.15	GB
80.244.217.16	80.244.217.47	DE
80.244.217.48	80.244.217.55	GB
80.244.217.56	80.244.217.111	DE
80.244.217.112	80.244.217.159	GB
80.244.217.160	80.244.217.227	DE
80.244.217.228	80.244.217.255	GB
80.244.218.0	80.244.218.39	DE
80.244.218.40	80.244.218.55	NL
80.244.218.56	80.244.218.95	DE
80.244.218.96	80.244.218.183	NL
80.244.218.184	80.244.220.127	DE
80.244.220.128	80.244.220.135	BE
80.244.220.136	80.244.220.227	DE
80.244.220.228	80.244.221.11	BE
80.244.221.12	80.244.221.15	DE
80.244.221.16	80.244.221.79	BE
80.244.221.80	80.244.222.31	DE
80.244.222.32	80.244.222.223	IT
80.244.222.224	80.244.223.255	DE
80.244.224.0	80.244.239.255	RU
80.244.240.0	80.244.240.127	DE
80.244.240.128	80.244.240.135	LU
80.244.240.136	80.244.242.95	DE
80.244.242.96	80.244.242.99	AT
80.244.242.100	80.244.243.111	DE
80.244.243.112	80.244.243.119	TR
80.244.243.120	80.244.243.127	CH
80.244.243.128	80.244.253.31	DE
80.244.253.32	80.244.253.47	IT
80.244.253.48	80.244.253.71	DE
80.244.253.72	80.244.253.79	CH
80.244.253.80	80.244.255.255	DE
80.245.0.0	80.245.15.255	ES
80.245.16.0	80.245.31.255	FR
80.245.32.0	80.245.32.31	BE
80.245.32.32	80.245.32.159	FR
80.245.32.160	80.245.32.191	BE
80.245.32.192	80.245.35.31	FR
80.245.35.32	80.245.35.63	BE
80.245.35.64	80.245.41.255	FR
80.245.42.0	80.245.42.255	IT
80.245.43.0	80.245.47.63	FR
80.245.47.64	80.245.47.127	BE
80.245.47.128	80.245.60.255	FR
80.245.61.0	80.245.61.255	IT
80.245.62.0	80.245.63.255	FR
80.245.64.0	80.245.71.39	DE
80.245.71.40	80.245.71.47	NL
80.245.71.48	80.245.79.255	DE
80.245.80.0	80.245.95.255	MD
80.245.96.0	80.245.111.255	RU
80.245.112.0	80.245.127.255	UA
80.245.128.0	80.245.159.255	DE
80.245.160.0	80.245.175.255	GR
80.245.176.0	80.245.191.255	PL
80.245.192.0	80.245.207.255	AT
80.245.208.0	80.245.223.255	MT
80.245.224.0	80.245.239.255	SE
80.245.240.0	80.245.255.255	RU
80.246.0.0	80.246.15.255	DZ
80.246.16.0	80.246.31.255	RU
80.246.32.0	80.246.54.255	DE
80.246.55.0	80.246.56.255	ES
80.246.57.0	80.246.63.255	DE
80.246.64.0	80.246.95.255	RU
80.246.96.0	80.246.111.255	LU
80.246.112.0	80.246.115.95	DE
80.246.115.96	80.246.115.151	AT
80.246.115.152	80.246.127.255	DE
80.246.128.0	80.246.143.255	IL
80.246.144.0	80.246.175.255	FI
80.246.176.0	80.246.207.255	NL
80.246.208.0	80.246.223.255	RU
80.246.224.0	80.246.239.255	SI
80.246.240.0	80.246.255.255	RU
80.247.0.0	80.247.31.255	GB
80.247.32.0	80.247.47.255	RU
80.247.48.0	80.247.63.255	GB
80.247.64.0	80.247.72.207	IT
80.247.72.208	80.247.72.223	FR
80.247.72.224	80.247.75.255	IT
80.247.76.0	80.247.76.15	FR
80.247.76.16	80.247.76.63	IT
80.247.76.64	80.247.76.71	FR
80.247.76.72	80.247.79.255	IT
80.247.80.0	80.247.95.255	GB
80.247.96.0	80.247.127.255	RU
80.247.128.0	80.247.129.47	GB
80.247.129.48	80.247.129.255	A2
80.247.130.0	80.247.131.255	TZ
80.247.132.0	80.247.135.255	GB
80.247.136.0	80.247.137.255	NG
80.247.138.0	80.247.138.7	PK
80.247.138.8	80.247.138.15	A2
80.247.138.16	80.247.138.71	IN
80.247.138.72	80.247.138.255	A2
80.247.139.0	80.247.139.255	AF
80.247.140.0	80.247.140.7	GA
80.247.140.8	80.247.140.15	A2
80.247.140.16	80.247.140.23	TZ
80.247.140.24	80.247.140.31	A2
80.247.140.32	80.247.140.39	GA
80.247.140.40	80.247.140.63	A2
80.247.140.64	80.247.140.79	KE
80.247.140.80	80.247.140.127	A2
80.247.140.128	80.247.141.7	KE
80.247.141.8	80.247.141.15	A2
80.247.141.16	80.247.141.31	KE
80.247.141.32	80.247.141.95	NG
80.247.141.96	80.247.141.127	GA
80.247.141.128	80.247.142.255	NG
80.247.143.0	80.247.143.111	KE
80.247.143.112	80.247.143.127	A2
80.247.143.128	80.247.143.159	KE
80.247.143.160	80.247.143.255	A2
80.247.144.0	80.247.144.255	GB
80.247.145.0	80.247.146.127	A2
80.247.146.128	80.247.146.255	TZ
80.247.147.0	80.247.147.15	A2
80.247.147.16	80.247.147.39	NG
80.247.147.40	80.247.147.47	KE
80.247.147.48	80.247.147.55	A2
80.247.147.56	80.247.147.59	ID
80.247.147.60	80.247.147.63	A2
80.247.147.64	80.247.147.95	NG
80.247.147.96	80.247.147.111	CG
80.247.147.112	80.247.147.115	ID
80.247.147.116	80.247.147.143	A2
80.247.147.144	80.247.147.159	KE
80.247.147.160	80.247.147.191	A2
80.247.147.192	80.247.147.239	KE
80.247.147.240	80.247.147.255	A2
80.247.148.0	80.247.148.159	GB
80.247.148.160	80.247.150.31	A2
80.247.150.32	80.247.150.63	ID
80.247.150.64	80.247.150.79	A2
80.247.150.80	80.247.150.95	ID
80.247.150.96	80.247.150.111	A2
80.247.150.112	80.247.150.201	ID
80.247.150.202	80.247.150.255	A2
80.247.151.0	80.247.151.255	NG
80.247.152.0	80.247.152.7	PK
80.247.152.8	80.247.152.47	A2
80.247.152.48	80.247.152.95	PK
80.247.152.96	80.247.152.103	A2
80.247.152.104	80.247.152.127	PK
80.247.152.128	80.247.152.255	A2
80.247.153.0	80.247.153.255	NG
80.247.154.0	80.247.155.255	A2
80.247.156.0	80.247.156.3	NG
80.247.156.4	80.247.156.7	TZ
80.247.156.8	80.247.156.15	NG
80.247.156.16	80.247.156.47	TZ
80.247.156.48	80.247.156.63	NG
80.247.156.64	80.247.156.87	A2
80.247.156.88	80.247.156.95	TZ
80.247.156.96	80.247.156.127	A2
80.247.156.128	80.247.156.143	NG
80.247.156.144	80.247.156.159	A2
80.247.156.160	80.247.156.175	NG
80.247.156.176	80.247.156.255	A2
80.247.157.0	80.247.157.255	NG
80.247.158.0	80.247.158.255	TZ
80.247.159.0	80.247.159.255	NG
80.247.160.0	80.247.175.255	NL
80.247.176.0	80.247.191.255	RU
80.247.192.0	80.247.223.255	NL
80.247.224.0	80.247.239.255	FR
80.247.240.0	80.247.255.255	FI
80.248.0.0	80.248.15.255	NG
80.248.16.0	80.248.31.255	IS
80.248.32.0	80.248.47.255	NL
80.248.48.0	80.248.63.255	RU
80.248.64.0	80.248.79.255	TG
80.248.80.0	80.248.95.255	RU
80.248.96.0	80.248.127.255	FI
80.248.128.0	80.248.143.255	SE
80.248.144.0	80.248.159.255	RU
80.248.160.0	80.248.175.255	FI
80.248.176.0	80.248.191.255	GB
80.248.192.0	80.248.207.255	LI
80.248.208.0	80.248.223.255	FR
80.248.224.0	80.248.239.255	SE
80.248.240.0	80.248.255.255	FI
80.249.0.0	80.249.15.255	PL
80.249.16.0	80.249.31.255	KZ
80.249.32.0	80.249.47.255	IT
80.249.48.0	80.249.63.255	GB
80.249.64.0	80.249.79.255	DZ
80.249.80.0	80.249.95.255	BY
80.249.96.0	80.249.111.255	GB
80.249.112.0	80.249.127.255	DE
80.249.128.0	80.249.159.255	RU
80.249.160.0	80.249.175.255	HU
80.249.176.0	80.249.191.255	RU
80.249.208.0	80.249.223.255	JO
80.249.224.0	80.249.239.255	UA
80.249.240.0	80.249.249.15	IE
80.249.249.16	80.249.249.31	GB
80.249.249.32	80.249.255.255	IE
80.250.0.0	80.250.31.255	CZ
80.250.32.0	80.250.47.255	NG
80.250.48.0	80.250.63.255	LV
80.250.64.0	80.250.95.255	RU
80.250.96.0	80.250.111.255	GB
80.250.112.0	80.250.127.255	EE
80.250.128.0	80.250.143.255	DE
80.250.144.0	80.250.159.255	IL
80.250.160.0	80.250.239.255	RU
80.250.240.0	80.250.255.255	SK
80.251.0.0	80.251.15.255	GB
80.251.16.0	80.251.29.255	US
80.251.30.0	80.251.31.255	GB
80.251.32.0	80.251.47.255	TR
80.251.48.0	80.251.63.255	RU
80.251.64.0	80.251.79.255	ES
80.251.80.0	80.251.95.255	DE
80.251.96.0	80.251.111.255	FR
80.251.112.0	80.251.159.255	RU
80.251.160.0	80.251.161.35	PT
80.251.161.36	80.251.161.39	GB
80.251.161.40	80.251.161.199	PT
80.251.161.200	80.251.161.207	GB
80.251.161.208	80.251.161.231	PT
80.251.161.232	80.251.161.247	GB
80.251.161.248	80.251.162.71	PT
80.251.162.72	80.251.162.79	GB
80.251.162.80	80.251.162.175	PT
80.251.162.176	80.251.162.191	ES
80.251.162.192	80.251.162.207	GB
80.251.162.208	80.251.163.7	PT
80.251.163.8	80.251.163.31	GB
80.251.163.32	80.251.163.255	PT
80.251.164.0	80.251.164.7	GB
80.251.164.8	80.251.164.127	PT
80.251.164.128	80.251.164.159	ES
80.251.164.160	80.251.164.183	PT
80.251.164.184	80.251.164.191	GB
80.251.164.192	80.251.166.39	PT
80.251.166.40	80.251.166.47	GB
80.251.166.48	80.251.166.119	PT
80.251.166.120	80.251.166.127	GB
80.251.166.128	80.251.166.143	PT
80.251.166.144	80.251.166.159	GB
80.251.166.160	80.251.166.191	PT
80.251.166.192	80.251.166.207	GB
80.251.166.208	80.251.166.231	PT
80.251.166.232	80.251.166.239	GB
80.251.166.240	80.251.168.151	PT
80.251.168.152	80.251.168.175	GB
80.251.168.176	80.251.168.191	PT
80.251.168.192	80.251.168.199	GB
80.251.168.200	80.251.168.247	PT
80.251.168.248	80.251.168.255	GB
80.251.169.0	80.251.169.95	PT
80.251.169.96	80.251.169.255	GB
80.251.170.0	80.251.174.55	PT
80.251.174.56	80.251.174.63	GB
80.251.174.64	80.251.174.71	PT
80.251.174.72	80.251.174.79	GB
80.251.174.80	80.251.175.223	PT
80.251.175.224	80.251.175.239	ES
80.251.175.240	80.251.176.95	PT
80.251.176.96	80.251.176.111	GB
80.251.176.112	80.251.178.95	PT
80.251.178.96	80.251.178.127	GB
80.251.178.128	80.251.179.47	PT
80.251.179.48	80.251.179.63	GB
80.251.179.64	80.251.182.127	PT
80.251.182.128	80.251.182.159	US
80.251.182.160	80.251.182.255	PT
80.251.183.0	80.251.191.255	GB
80.251.192.0	80.251.194.255	SE
80.251.195.0	80.251.198.255	DK
80.251.199.0	80.251.204.255	SE
80.251.205.0	80.251.206.255	DK
80.251.207.0	80.251.207.255	SE
80.251.208.0	80.251.239.255	RU
80.251.240.0	80.251.255.255	CZ
80.252.0.0	80.252.15.255	PL
80.252.16.0	80.252.31.255	RU
80.252.32.0	80.252.47.255	AT
80.252.48.0	80.252.63.255	HU
80.252.64.0	80.252.79.255	GB
80.252.80.0	80.252.95.255	NL
80.252.96.0	80.252.111.255	DE
80.252.112.0	80.252.127.255	GB
80.252.128.0	80.252.159.255	RU
80.252.160.0	80.252.161.71	SE
80.252.161.72	80.252.161.75	DE
80.252.161.76	80.252.162.179	SE
80.252.162.180	80.252.162.183	NO
80.252.162.184	80.252.163.43	SE
80.252.163.44	80.252.163.47	AN
80.252.163.48	80.252.164.7	SE
80.252.164.8	80.252.164.11	NL
80.252.164.12	80.252.165.123	SE
80.252.165.124	80.252.165.127	NL
80.252.165.128	80.252.166.127	SE
80.252.166.128	80.252.166.131	NL
80.252.166.132	80.252.167.35	SE
80.252.167.36	80.252.167.39	NL
80.252.167.40	80.252.167.215	SE
80.252.167.216	80.252.167.219	DE
80.252.167.220	80.252.168.131	SE
80.252.168.132	80.252.168.135	NL
80.252.168.136	80.252.169.95	SE
80.252.169.96	80.252.169.99	FR
80.252.169.100	80.252.169.127	SE
80.252.169.128	80.252.169.135	FR
80.252.169.136	80.252.174.31	SE
80.252.174.32	80.252.174.47	NL
80.252.174.48	80.252.175.231	SE
80.252.175.232	80.252.175.235	NL
80.252.175.236	80.252.178.183	SE
80.252.178.184	80.252.178.191	FR
80.252.178.192	80.252.179.127	SE
80.252.179.128	80.252.179.131	FR
80.252.179.132	80.252.179.255	SE
80.252.180.0	80.252.180.15	NL
80.252.180.16	80.252.180.255	SE
80.252.181.0	80.252.181.3	DE
80.252.181.4	80.252.182.191	SE
80.252.182.192	80.252.182.207	NL
80.252.182.208	80.252.184.47	SE
80.252.184.48	80.252.184.63	FR
80.252.184.64	80.252.186.191	SE
80.252.186.192	80.252.186.207	FR
80.252.186.208	80.252.187.111	SE
80.252.187.112	80.252.187.127	GB
80.252.187.128	80.252.188.191	SE
80.252.188.192	80.252.188.207	GB
80.252.188.208	80.252.189.147	SE
80.252.189.148	80.252.189.151	NL
80.252.189.152	80.252.190.63	SE
80.252.190.64	80.252.190.79	GB
80.252.190.80	80.252.191.255	SE
80.252.192.0	80.252.207.255	IT
80.252.208.0	80.252.223.255	SE
80.252.224.0	80.252.239.255	IT
80.252.240.0	80.252.255.255	UA
80.253.0.0	80.253.31.255	RU
80.253.32.0	80.253.47.255	IT
80.253.48.0	80.253.63.255	BG
80.253.64.0	80.253.79.255	ES
80.253.80.0	80.253.95.255	CH
80.253.96.0	80.253.102.15	GB
80.253.102.16	80.253.102.39	NL
80.253.102.40	80.253.102.63	DE
80.253.102.64	80.253.105.63	GB
80.253.105.64	80.253.105.95	NL
80.253.105.96	80.253.105.127	DE
80.253.105.128	80.253.106.63	GB
80.253.106.64	80.253.106.127	NL
80.253.106.128	80.253.111.255	GB
80.253.112.0	80.253.113.255	NL
80.253.114.0	80.253.122.47	GB
80.253.122.48	80.253.122.63	IE
80.253.122.64	80.253.127.255	GB
80.253.128.0	80.253.159.255	IR
80.253.160.0	80.253.161.255	DE
80.253.162.0	80.253.175.255	HR
80.253.176.0	80.253.191.255	HU
80.253.192.0	80.253.207.255	ES
80.253.208.0	80.253.223.255	DE
80.253.224.0	80.253.239.255	RU
80.253.240.0	80.253.255.255	TR
80.254.0.0	80.254.15.255	UA
80.254.16.0	80.254.31.255	RU
80.254.32.0	80.254.47.255	NO
80.254.48.0	80.254.63.255	RU
80.254.64.0	80.254.79.255	CH
80.254.80.0	80.254.95.255	MT
80.254.96.0	80.254.127.255	RU
80.254.128.0	80.254.143.255	DE
80.254.144.0	80.254.147.255	GB
80.254.148.0	80.254.149.255	DE
80.254.150.0	80.254.151.255	FR
80.254.152.0	80.254.152.255	US
80.254.153.0	80.254.153.255	GB
80.254.154.0	80.254.154.255	DK
80.254.155.0	80.254.155.255	GB
80.254.156.0	80.254.156.255	US
80.254.157.0	80.254.159.255	GB
80.254.160.0	80.254.160.15	CH
80.254.160.16	80.254.160.23	IN
80.254.160.24	80.254.160.151	CH
80.254.160.152	80.254.160.159	LI
80.254.160.160	80.254.191.255	CH
80.254.192.0	80.254.207.255	IT
80.254.208.0	80.254.223.255	LV
80.254.224.0	80.254.239.255	GB
80.254.240.0	80.254.255.255	SE
80.255.0.0	80.255.15.255	DE
80.255.16.0	80.255.31.255	RU
80.255.32.0	80.255.35.255	A2
80.255.36.0	80.255.36.63	CA
80.255.36.64	80.255.36.159	A2
80.255.36.160	80.255.36.175	DK
80.255.36.176	80.255.38.128	A2
80.255.38.129	80.255.38.255	CG
80.255.39.0	80.255.39.31	A2
80.255.39.32	80.255.39.47	US
80.255.39.48	80.255.39.135	A2
80.255.39.136	80.255.39.143	CD
80.255.39.144	80.255.39.151	A2
80.255.39.152	80.255.39.159	CD
80.255.39.160	80.255.39.167	A2
80.255.39.168	80.255.39.175	ZA
80.255.39.176	80.255.39.183	A2
80.255.39.184	80.255.39.191	NG
80.255.39.192	80.255.39.255	A2
80.255.40.0	80.255.40.7	UG
80.255.40.8	80.255.40.15	LA
80.255.40.16	80.255.40.39	US
80.255.40.40	80.255.40.47	LK
80.255.40.48	80.255.40.63	A2
80.255.40.64	80.255.40.95	PK
80.255.40.96	80.255.40.103	NG
80.255.40.104	80.255.40.111	AE
80.255.40.112	80.255.40.127	NG
80.255.40.128	80.255.40.135	CD
80.255.40.136	80.255.40.143	NG
80.255.40.144	80.255.40.159	MR
80.255.40.160	80.255.40.175	US
80.255.40.176	80.255.40.183	CD
80.255.40.184	80.255.40.191	UG
80.255.40.192	80.255.40.207	A2
80.255.40.208	80.255.40.215	DE
80.255.40.216	80.255.40.223	CD
80.255.40.224	80.255.40.231	US
80.255.40.232	80.255.40.255	NG
80.255.41.0	80.255.41.7	A2
80.255.41.8	80.255.41.15	US
80.255.41.16	80.255.41.23	SV
80.255.41.24	80.255.41.127	A2
80.255.41.128	80.255.41.135	IN
80.255.41.136	80.255.41.143	NG
80.255.41.144	80.255.41.151	LK
80.255.41.152	80.255.41.159	A2
80.255.41.160	80.255.41.175	NG
80.255.41.176	80.255.41.191	NP
80.255.41.192	80.255.41.198	NG
80.255.41.199	80.255.43.15	A2
80.255.43.16	80.255.43.23	KY
80.255.43.24	80.255.46.31	A2
80.255.46.32	80.255.46.47	BI
80.255.46.48	80.255.46.223	A2
80.255.46.224	80.255.46.239	SL
80.255.46.240	80.255.49.39	A2
80.255.49.40	80.255.49.47	DE
80.255.49.48	80.255.50.47	A2
80.255.50.48	80.255.50.55	CD
80.255.50.56	80.255.50.175	A2
80.255.50.176	80.255.50.191	NG
80.255.50.192	80.255.50.239	A2
80.255.50.240	80.255.51.23	NG
80.255.51.24	80.255.51.47	A2
80.255.51.48	80.255.51.63	TZ
80.255.51.64	80.255.51.71	NG
80.255.51.72	80.255.51.87	MG
80.255.51.88	80.255.51.127	NG
80.255.51.128	80.255.51.135	A2
80.255.51.136	80.255.51.151	NG
80.255.51.152	80.255.51.159	AU
80.255.51.160	80.255.51.191	A2
80.255.51.192	80.255.51.199	US
80.255.51.200	80.255.51.217	NG
80.255.51.218	80.255.51.247	A2
80.255.51.248	80.255.51.255	ZA
80.255.52.0	80.255.57.63	A2
80.255.57.64	80.255.57.71	GB
80.255.57.72	80.255.57.255	A2
80.255.58.0	80.255.58.143	NG
80.255.58.144	80.255.58.159	A2
80.255.58.160	80.255.58.175	CA
80.255.58.176	80.255.58.191	NG
80.255.58.192	80.255.58.224	ZA
80.255.58.225	80.255.58.255	NG
80.255.59.0	80.255.59.7	A2
80.255.59.8	80.255.59.31	US
80.255.59.32	80.255.59.39	A2
80.255.59.40	80.255.59.55	US
80.255.59.56	80.255.59.63	A2
80.255.59.64	80.255.59.71	US
80.255.59.72	80.255.59.79	A2
80.255.59.80	80.255.59.87	NG
80.255.59.88	80.255.59.103	A2
80.255.59.104	80.255.59.111	US
80.255.59.112	80.255.59.127	A2
80.255.59.128	80.255.59.135	NG
80.255.59.136	80.255.59.198	US
80.255.59.199	80.255.59.231	A2
80.255.59.232	80.255.59.247	NG
80.255.59.248	80.255.60.231	A2
80.255.60.232	80.255.60.239	IL
80.255.60.240	80.255.60.255	A2
80.255.61.0	80.255.61.125	NG
80.255.61.126	80.255.61.127	A2
80.255.61.128	80.255.61.143	MU
80.255.61.144	80.255.61.159	KN
80.255.61.160	80.255.61.191	ZA
80.255.61.192	80.255.61.255	NG
80.255.62.0	80.255.63.7	A2
80.255.63.8	80.255.63.15	GH
80.255.63.16	80.255.63.23	A2
80.255.63.24	80.255.63.31	TZ
80.255.63.32	80.255.63.39	GY
80.255.63.40	80.255.63.63	A2
80.255.63.64	80.255.63.71	MG
80.255.63.72	80.255.63.79	A2
80.255.63.80	80.255.63.95	CD
80.255.63.96	80.255.63.127	GH
80.255.63.128	80.255.63.135	US
80.255.63.136	80.255.63.143	A2
80.255.63.144	80.255.63.159	GN
80.255.63.160	80.255.63.191	US
80.255.63.192	80.255.63.207	A2
80.255.63.208	80.255.63.223	LR
80.255.63.224	80.255.63.239	US
80.255.63.240	80.255.63.255	A2
80.255.64.0	80.255.79.255	UA
80.255.80.0	80.255.95.255	RU
80.255.96.0	80.255.111.255	CH
80.255.112.0	80.255.127.255	ES
80.255.128.0	80.255.159.255	RU
80.255.160.0	80.255.175.255	LU
80.255.176.0	80.255.191.255	RU
80.255.192.0	80.255.223.255	GB
80.255.224.0	80.255.239.255	LV
80.255.240.0	80.255.255.255	NL
81.0.0.0	81.0.63.255	ES
81.0.64.0	81.0.115.255	HU
81.0.116.0	81.0.117.255	SK
81.0.118.0	81.0.123.255	HU
81.0.124.0	81.0.124.255	SK
81.0.125.0	81.0.127.255	HU
81.0.128.0	81.0.191.255	NO
81.0.192.0	81.0.255.255	CZ
81.1.0.0	81.1.63.255	FR
81.1.64.0	81.1.127.255	GB
81.1.128.0	81.1.191.255	SE
81.1.192.0	81.2.63.255	RU
81.2.64.0	81.2.127.255	GB
81.2.128.0	81.2.129.63	DE
81.2.129.64	81.2.129.127	NL
81.2.129.128	81.2.129.223	DE
81.2.129.224	81.2.129.239	NL
81.2.129.240	81.2.135.255	DE
81.2.136.0	81.2.139.255	DK
81.2.140.0	81.2.148.127	DE
81.2.148.128	81.2.148.255	SE
81.2.149.0	81.2.190.95	DE
81.2.190.96	81.2.190.111	NL
81.2.190.112	81.2.191.255	DE
81.2.192.0	81.2.251.255	CZ
81.2.252.0	81.2.253.255	HU
81.2.254.0	81.2.255.255	CZ
81.3.0.0	81.3.27.191	DE
81.3.27.192	81.3.27.199	CH
81.3.27.200	81.3.58.223	DE
81.3.58.224	81.3.58.239	HK
81.3.58.240	81.3.63.255	DE
81.3.64.0	81.3.127.255	GB
81.3.128.0	81.3.191.255	RU
81.3.192.0	81.3.255.255	AT
81.4.0.0	81.4.63.255	EG
81.4.64.0	81.4.127.255	NL
81.4.128.0	81.4.172.63	CY
81.4.172.64	81.4.172.79	A2
81.4.172.80	81.4.183.255	CY
81.4.184.0	81.4.184.255	LB
81.4.185.0	81.4.191.255	CY
81.4.192.0	81.4.255.255	RU
81.5.0.0	81.5.63.255	IL
81.5.64.0	81.5.127.255	RU
81.5.128.0	81.5.191.255	GB
81.5.192.0	81.5.255.255	AT
81.6.0.0	81.6.6.103	CH
81.6.6.104	81.6.6.111	LB
81.6.6.112	81.6.63.255	CH
81.6.64.0	81.6.127.255	TR
81.6.128.0	81.6.191.255	PL
81.6.192.0	81.6.255.255	GB
81.7.0.0	81.7.0.255	DE
81.7.1.0	81.7.1.255	FR
81.7.2.0	81.7.63.255	DE
81.7.64.0	81.7.127.255	LT
81.7.128.0	81.7.150.79	DK
81.7.150.80	81.7.150.83	US
81.7.150.84	81.7.191.255	DK
81.7.192.0	81.7.209.255	DE
81.7.210.0	81.7.210.7	US
81.7.210.8	81.7.210.55	DE
81.7.210.56	81.7.210.71	US
81.7.210.72	81.7.210.79	DE
81.7.210.80	81.7.210.87	US
81.7.210.88	81.7.210.95	BR
81.7.210.96	81.7.210.127	US
81.7.210.128	81.7.210.135	MX
81.7.210.136	81.7.210.207	US
81.7.210.208	81.7.210.215	DE
81.7.210.216	81.7.210.223	US
81.7.210.224	81.7.210.231	DE
81.7.210.232	81.7.210.247	US
81.7.210.248	81.7.210.255	MX
81.7.211.0	81.7.211.191	US
81.7.211.192	81.7.211.223	CA
81.7.211.224	81.7.211.231	DE
81.7.211.232	81.7.212.127	US
81.7.212.128	81.7.212.255	DE
81.7.213.0	81.7.213.39	US
81.7.213.40	81.7.213.127	DE
81.7.213.128	81.7.213.255	US
81.7.214.0	81.7.216.95	DE
81.7.216.96	81.7.216.111	SG
81.7.216.112	81.7.216.127	JP
81.7.216.128	81.7.216.151	SG
81.7.216.152	81.7.216.167	DE
81.7.216.168	81.7.216.199	SG
81.7.216.200	81.7.217.63	DE
81.7.217.64	81.7.217.79	SG
81.7.217.80	81.7.217.127	DE
81.7.217.128	81.7.217.255	SG
81.7.218.0	81.7.218.255	DE
81.7.219.0	81.7.219.255	SG
81.7.220.0	81.7.221.119	DE
81.7.221.120	81.7.221.159	AT
81.7.221.160	81.7.223.255	DE
81.7.224.0	81.7.255.255	CH
81.8.0.0	81.8.127.255	TR
81.8.128.0	81.8.255.255	SE
81.9.0.0	81.9.11.255	RU
81.9.12.0	81.9.13.255	US
81.9.14.0	81.9.14.255	RU
81.9.15.0	81.9.15.255	US
81.9.16.0	81.9.31.255	RU
81.9.32.0	81.9.32.255	US
81.9.33.0	81.9.36.63	RU
81.9.36.64	81.9.36.95	US
81.9.36.96	81.9.127.255	RU
81.9.128.0	81.9.255.255	ES
81.10.0.0	81.10.80.255	EG
81.10.81.0	81.10.83.255	JO
81.10.84.0	81.10.115.255	EG
81.10.116.0	81.10.119.255	JO
81.10.120.0	81.10.122.255	EG
81.10.123.0	81.10.127.255	JO
81.10.128.0	81.10.255.255	AT
81.11.0.0	81.11.127.255	DE
81.11.128.0	81.11.255.255	BE
81.12.0.0	81.12.127.255	IR
81.12.128.0	81.12.255.255	RO
81.13.0.0	81.13.127.255	RU
81.13.128.0	81.13.255.255	CH
81.14.0.0	81.14.127.255	FR
81.14.128.0	81.14.255.255	DE
81.15.0.0	81.15.127.255	IS
81.15.128.0	81.15.255.255	PL
81.16.0.0	81.16.15.255	AM
81.16.16.0	81.16.31.255	GB
81.16.32.0	81.16.47.255	AT
81.16.48.0	81.16.63.255	DE
81.16.64.0	81.16.79.255	FI
81.16.80.0	81.16.95.255	RU
81.16.96.0	81.16.111.255	AT
81.16.112.0	81.16.143.255	RU
81.16.144.0	81.16.149.223	AT
81.16.149.224	81.16.149.231	CZ
81.16.149.232	81.16.158.151	AT
81.16.158.152	81.16.158.159	CZ
81.16.158.160	81.16.159.255	AT
81.16.160.0	81.16.175.255	SE
81.16.176.0	81.16.180.15	DE
81.16.180.16	81.16.180.31	GB
81.16.180.32	81.16.180.47	DE
81.16.180.48	81.16.180.55	SE
81.16.180.56	81.16.180.63	IT
81.16.180.64	81.16.180.71	ES
81.16.180.72	81.16.180.79	JP
81.16.180.80	81.16.180.87	US
81.16.180.88	81.16.180.95	GB
81.16.180.96	81.16.187.15	DE
81.16.187.16	81.16.187.31	US
81.16.187.32	81.16.191.255	DE
81.16.192.0	81.16.207.255	HU
81.16.208.0	81.16.223.255	SA
81.16.224.0	81.16.239.255	LT
81.16.240.0	81.16.255.255	GE
81.17.0.0	81.17.31.255	RU
81.17.32.0	81.17.63.255	NL
81.17.64.0	81.17.79.255	GB
81.17.80.0	81.17.95.255	AZ
81.17.96.0	81.17.127.255	DE
81.17.128.0	81.17.143.255	UA
81.17.144.0	81.17.159.255	RU
81.17.160.0	81.17.175.255	KZ
81.17.176.0	81.17.191.255	HU
81.17.192.0	81.17.207.255	FI
81.17.208.0	81.17.223.255	DE
81.17.224.0	81.17.227.255	SI
81.17.228.0	81.17.229.255	HR
81.17.230.0	81.17.231.255	RS
81.17.232.0	81.17.233.255	MK
81.17.234.0	81.17.235.255	SI
81.17.236.0	81.17.239.255	BA
81.17.240.0	81.17.242.15	IE
81.17.242.16	81.17.242.23	GB
81.17.242.24	81.17.242.255	IE
81.17.243.0	81.17.243.63	GB
81.17.243.64	81.17.245.192	IE
81.17.245.193	81.17.245.255	GB
81.17.246.0	81.17.247.63	IE
81.17.247.64	81.17.247.79	US
81.17.247.80	81.17.247.95	AU
81.17.247.96	81.17.247.111	GB
81.17.247.112	81.17.255.255	IE
81.18.0.0	81.18.15.255	NL
81.18.16.0	81.18.31.255	CH
81.18.32.0	81.18.47.255	KZ
81.18.48.0	81.18.63.255	RS
81.18.64.0	81.18.95.255	RO
81.18.96.0	81.18.111.255	DE
81.18.112.0	81.18.159.255	RU
81.18.160.0	81.18.175.255	NL
81.18.176.0	81.18.191.175	FR
81.18.191.176	81.18.191.191	BE
81.18.191.192	81.18.191.255	FR
81.18.192.0	81.18.223.255	PL
81.18.224.0	81.18.239.255	FO
81.18.240.0	81.18.255.255	NL
81.19.0.0	81.19.15.255	CZ
81.19.16.0	81.19.31.255	FR
81.19.32.0	81.19.47.255	CZ
81.19.48.0	81.19.63.255	GB
81.19.64.0	81.19.95.255	RU
81.19.96.0	81.19.101.127	ES
81.19.101.128	81.19.101.159	GB
81.19.101.160	81.19.111.255	ES
81.19.112.0	81.19.124.191	FI
81.19.124.192	81.19.124.255	AX
81.19.125.0	81.19.127.255	FI
81.19.128.0	81.19.143.255	RU
81.19.144.0	81.19.154.31	AT
81.19.154.32	81.19.154.63	DE
81.19.154.64	81.19.159.255	AT
81.19.160.0	81.19.175.255	ES
81.19.176.0	81.19.195.255	GB
81.19.196.0	81.19.196.255	CH
81.19.197.0	81.19.201.255	GB
81.19.202.0	81.19.202.255	DE
81.19.203.0	81.19.205.255	GB
81.19.206.0	81.19.206.255	CH
81.19.207.0	81.19.223.255	GB
81.19.224.0	81.19.233.119	DK
81.19.233.120	81.19.233.123	US
81.19.233.124	81.19.255.255	DK
81.20.0.0	81.20.15.255	GB
81.20.16.0	81.20.31.255	KG
81.20.32.0	81.20.63.255	GB
81.20.64.0	81.20.79.255	NL
81.20.80.0	81.20.95.255	DE
81.20.96.0	81.20.111.255	RU
81.20.112.0	81.20.143.255	DE
81.20.144.0	81.20.159.255	EE
81.20.160.0	81.20.175.255	RU
81.20.176.0	81.20.183.255	GG
81.20.184.0	81.20.184.255	GB
81.20.185.0	81.20.185.255	GG
81.20.186.0	81.20.186.255	GB
81.20.187.0	81.20.187.255	GG
81.20.188.0	81.20.188.255	GB
81.20.189.0	81.20.191.255	GG
81.20.192.0	81.20.207.255	RU
81.20.208.0	81.20.223.255	FR
81.20.224.0	81.20.239.255	FI
81.20.240.0	81.20.255.255	PT
81.21.0.0	81.21.15.255	UA
81.21.16.0	81.21.31.255	AT
81.21.32.0	81.21.47.255	CY
81.21.48.0	81.21.63.255	SA
81.21.64.0	81.21.79.255	GB
81.21.80.0	81.21.95.255	AZ
81.21.96.0	81.21.111.255	EG
81.21.112.0	81.21.127.255	AT
81.21.128.0	81.21.143.255	IT
81.21.144.0	81.21.159.255	IE
81.21.160.0	81.21.175.255	TR
81.21.176.0	81.21.191.255	NL
81.21.192.0	81.21.207.255	PL
81.21.208.0	81.21.223.255	SE
81.21.224.0	81.21.239.255	RU
81.21.240.0	81.21.255.255	EE
81.22.0.0	81.22.15.255	RU
81.22.16.0	81.22.31.255	BH
81.22.32.0	81.22.32.255	GB
81.22.33.0	81.22.33.255	DE
81.22.34.0	81.22.34.255	FR
81.22.35.0	81.22.35.255	SE
81.22.36.0	81.22.47.255	GB
81.22.48.0	81.22.63.255	RU
81.22.64.0	81.22.95.255	DZ
81.22.96.0	81.22.111.255	TR
81.22.112.0	81.22.127.255	RU
81.22.128.0	81.22.143.255	UA
81.22.144.0	81.22.159.255	RO
81.22.160.0	81.22.175.255	FI
81.22.176.0	81.22.191.255	HU
81.22.192.0	81.22.223.255	RU
81.22.224.0	81.22.239.255	DE
81.22.240.0	81.22.245.95	FI
81.22.245.96	81.22.245.127	IL
81.22.245.128	81.22.255.255	FI
81.23.0.0	81.23.15.255	RU
81.23.16.0	81.23.31.255	UA
81.23.32.0	81.23.47.255	FR
81.23.48.0	81.23.63.255	GB
81.23.64.0	81.23.79.255	CH
81.23.80.0	81.23.95.255	IT
81.23.96.0	81.23.127.255	RU
81.23.128.0	81.23.143.255	DK
81.23.144.0	81.23.207.255	RU
81.23.208.0	81.23.223.255	GB
81.23.224.0	81.23.242.255	NL
81.23.243.0	81.23.243.255	US
81.23.244.0	81.24.15.255	NL
81.24.16.0	81.24.31.255	RO
81.24.32.0	81.24.47.255	DE
81.24.48.0	81.24.63.255	NL
81.24.64.0	81.24.79.255	DE
81.24.80.0	81.24.95.255	RU
81.24.96.0	81.24.111.255	NL
81.24.112.0	81.24.143.255	RU
81.24.144.0	81.24.159.255	AT
81.24.160.0	81.24.175.255	ES
81.24.192.0	81.24.207.255	GB
81.24.208.0	81.24.223.255	UA
81.24.224.0	81.24.239.255	IT
81.24.240.0	81.24.255.255	GB
81.25.0.0	81.25.15.255	RU
81.25.16.0	81.25.31.255	CZ
81.25.32.0	81.25.47.255	BY
81.25.48.0	81.25.79.255	RU
81.25.80.0	81.25.95.255	SE
81.25.96.0	81.25.111.255	IT
81.25.112.0	81.25.127.255	ES
81.25.128.0	81.25.135.255	A2
81.25.136.0	81.25.136.31	LB
81.25.136.32	81.25.136.255	A2
81.25.137.0	81.25.137.127	IQ
81.25.137.128	81.25.137.255	LU
81.25.138.0	81.25.139.255	LB
81.25.140.0	81.25.140.255	IQ
81.25.141.0	81.25.142.255	A2
81.25.143.0	81.25.143.255	IQ
81.25.144.0	81.25.159.255	SE
81.25.160.0	81.25.175.255	RU
81.25.176.0	81.25.191.255	FO
81.25.192.0	81.25.206.79	FR
81.25.206.80	81.25.206.87	GB
81.25.206.88	81.25.207.255	FR
81.25.208.0	81.25.223.255	AT
81.25.224.0	81.25.239.255	UA
81.25.240.0	81.25.255.255	EE
81.26.0.0	81.26.31.255	PL
81.26.32.0	81.26.63.255	NO
81.26.64.0	81.26.79.255	DZ
81.26.80.0	81.26.95.255	RU
81.26.96.0	81.26.127.255	GB
81.26.128.0	81.26.159.255	RU
81.26.160.0	81.26.175.255	DE
81.26.176.0	81.26.191.255	RU
81.26.192.0	81.26.199.255	IT
81.26.200.0	81.26.207.255	AL
81.26.208.0	81.26.223.255	NL
81.26.224.0	81.27.15.255	SE
81.27.16.0	81.27.31.255	FR
81.27.32.0	81.27.47.255	NO
81.27.48.0	81.27.63.255	RU
81.27.64.0	81.27.76.255	GB
81.27.77.0	81.27.77.255	FR
81.27.78.0	81.27.111.255	GB
81.27.112.0	81.27.127.255	DE
81.27.128.0	81.27.143.255	IT
81.27.144.0	81.27.159.255	RU
81.27.160.0	81.27.175.255	DE
81.27.176.0	81.27.191.255	IT
81.27.192.0	81.27.207.255	CZ
81.27.208.0	81.27.223.255	DK
81.27.224.0	81.27.239.255	DE
81.27.240.0	81.28.15.255	RU
81.28.16.0	81.28.31.255	CZ
81.28.32.0	81.28.63.255	IR
81.28.64.0	81.28.79.255	DE
81.28.80.0	81.28.95.255	NL
81.28.96.0	81.28.111.255	FR
81.28.112.0	81.28.127.255	JO
81.28.128.0	81.28.143.255	AT
81.28.144.0	81.28.159.255	GB
81.28.160.0	81.28.191.255	RU
81.28.192.0	81.28.207.255	FR
81.28.208.0	81.28.223.255	RU
81.28.224.0	81.28.239.255	DE
81.28.240.0	81.28.255.255	IT
81.29.0.0	81.29.3.33	NL
81.29.3.34	81.29.3.43	MX
81.29.3.44	81.29.4.11	NL
81.29.4.12	81.29.4.15	AU
81.29.4.16	81.29.4.45	NL
81.29.4.46	81.29.4.49	AU
81.29.4.50	81.29.4.69	NL
81.29.4.70	81.29.4.80	MX
81.29.4.81	81.29.15.255	NL
81.29.16.0	81.29.31.255	LT
81.29.32.0	81.29.47.255	NO
81.29.48.0	81.29.95.255	GB
81.29.96.0	81.29.111.255	EG
81.29.112.0	81.29.127.255	RU
81.29.128.0	81.29.137.255	FI
81.29.138.0	81.29.138.255	RU
81.29.139.0	81.29.139.255	FI
81.29.140.0	81.29.141.255	RU
81.29.142.0	81.29.142.255	FI
81.29.143.0	81.29.143.255	RU
81.29.144.0	81.29.146.11	CH
81.29.146.12	81.29.146.15	IT
81.29.146.16	81.29.146.63	CH
81.29.146.64	81.29.146.71	FR
81.29.146.72	81.29.146.79	CH
81.29.146.80	81.29.146.86	GB
81.29.146.87	81.29.146.255	CH
81.29.147.0	81.29.147.31	IT
81.29.147.32	81.29.147.63	CH
81.29.147.64	81.29.147.67	EE
81.29.147.68	81.29.147.71	GB
81.29.147.72	81.29.147.91	CH
81.29.147.92	81.29.147.99	IT
81.29.147.100	81.29.147.119	CH
81.29.147.120	81.29.147.127	IT
81.29.147.128	81.29.147.135	CH
81.29.147.136	81.29.147.151	IT
81.29.147.152	81.29.147.255	CH
81.29.148.0	81.29.148.127	IT
81.29.148.128	81.29.149.7	CH
81.29.149.8	81.29.149.11	IT
81.29.149.12	81.29.151.135	CH
81.29.151.136	81.29.151.139	IT
81.29.151.140	81.29.151.255	CH
81.29.152.0	81.29.152.255	IT
81.29.153.0	81.29.155.255	CH
81.29.156.0	81.29.156.31	IT
81.29.156.32	81.29.159.7	CH
81.29.159.8	81.29.159.11	IT
81.29.159.12	81.29.159.255	CH
81.29.160.0	81.29.175.255	QA
81.29.176.0	81.29.192.143	IT
81.29.192.144	81.29.192.151	GB
81.29.192.152	81.29.195.79	IT
81.29.195.80	81.29.195.95	GB
81.29.195.96	81.29.196.175	IT
81.29.196.176	81.29.196.191	GB
81.29.196.192	81.29.201.191	IT
81.29.201.192	81.29.201.223	GB
81.29.201.224	81.29.205.159	IT
81.29.205.160	81.29.205.191	GB
81.29.205.192	81.29.212.79	IT
81.29.212.80	81.29.212.95	GB
81.29.212.96	81.29.216.159	IT
81.29.216.160	81.29.216.175	GB
81.29.216.176	81.29.216.191	IT
81.29.216.192	81.29.216.223	GB
81.29.216.224	81.29.239.255	IT
81.29.240.0	81.29.255.255	IR
81.30.0.0	81.30.31.255	IT
81.30.32.0	81.30.47.255	NL
81.30.48.0	81.30.63.255	RU
81.30.64.0	81.30.79.255	NL
81.30.80.0	81.30.95.255	BY
81.30.96.0	81.30.111.255	DE
81.30.112.0	81.30.127.255	RU
81.30.128.0	81.30.143.255	PL
81.30.144.0	81.30.159.255	DE
81.30.160.0	81.30.175.255	UA
81.30.176.0	81.30.223.255	RU
81.30.224.0	81.31.5.143	CZ
81.31.5.144	81.31.6.255	GB
81.31.7.0	81.31.7.15	CZ
81.31.7.16	81.31.7.23	GB
81.31.7.24	81.31.7.31	CZ
81.31.7.32	81.31.7.79	SK
81.31.7.80	81.31.7.95	CZ
81.31.7.96	81.31.7.135	GB
81.31.7.136	81.31.7.143	CZ
81.31.7.144	81.31.7.151	GB
81.31.7.152	81.31.7.159	SK
81.31.7.160	81.31.7.175	CZ
81.31.7.176	81.31.7.255	GB
81.31.8.0	81.31.8.255	SK
81.31.9.0	81.31.10.255	CZ
81.31.11.0	81.31.11.255	GB
81.31.12.0	81.31.12.255	SK
81.31.13.0	81.31.13.255	GB
81.31.14.0	81.31.15.127	CZ
81.31.15.128	81.31.15.255	GB
81.31.16.0	81.31.16.255	CZ
81.31.17.0	81.31.17.255	GB
81.31.18.0	81.31.18.255	CZ
81.31.19.0	81.31.19.255	GB
81.31.20.0	81.31.21.255	CZ
81.31.22.0	81.31.22.255	GB
81.31.23.0	81.31.23.255	SK
81.31.24.0	81.31.24.255	GB
81.31.25.0	81.31.25.255	CZ
81.31.26.0	81.31.31.255	GB
81.31.32.0	81.31.47.255	CZ
81.31.48.0	81.31.63.255	FI
81.31.64.0	81.31.79.255	GB
81.31.80.0	81.31.95.255	DK
81.31.96.0	81.31.127.255	GB
81.31.128.0	81.31.143.255	AT
81.31.144.0	81.31.159.255	IT
81.31.160.0	81.31.191.255	IR
81.31.192.0	81.31.193.7	NL
81.31.193.8	81.31.193.15	IT
81.31.193.16	81.31.193.23	IQ
81.31.193.24	81.31.193.27	ES
81.31.193.28	81.31.193.31	DE
81.31.193.32	81.31.193.35	IQ
81.31.193.36	81.31.193.39	NL
81.31.193.40	81.31.193.43	IQ
81.31.193.44	81.31.193.47	DE
81.31.193.48	81.31.193.55	ES
81.31.193.56	81.31.193.63	DE
81.31.193.64	81.31.193.67	IT
81.31.193.68	81.31.193.79	IQ
81.31.193.80	81.31.193.87	NL
81.31.193.88	81.31.193.95	IT
81.31.193.96	81.31.193.99	GB
81.31.193.100	81.31.193.103	IT
81.31.193.104	81.31.193.107	DE
81.31.193.108	81.31.193.111	DZ
81.31.193.112	81.31.193.115	IT
81.31.193.116	81.31.193.135	IQ
81.31.193.136	81.31.193.143	TR
81.31.193.144	81.31.193.151	IQ
81.31.193.152	81.31.193.155	IT
81.31.193.156	81.31.193.159	IQ
81.31.193.160	81.31.193.163	IE
81.31.193.164	81.31.193.167	IQ
81.31.193.168	81.31.193.171	GB
81.31.193.172	81.31.193.195	IQ
81.31.193.196	81.31.193.203	GB
81.31.193.204	81.31.193.207	IQ
81.31.193.208	81.31.193.215	NL
81.31.193.216	81.31.193.219	IQ
81.31.193.220	81.31.193.223	IT
81.31.193.224	81.31.193.231	IQ
81.31.193.232	81.31.193.235	GB
81.31.193.236	81.31.193.239	IQ
81.31.193.240	81.31.193.243	ES
81.31.193.244	81.31.193.247	NL
81.31.193.248	81.31.193.255	IQ
81.31.194.0	81.31.194.3	GB
81.31.194.4	81.31.194.7	PL
81.31.194.8	81.31.194.23	IQ
81.31.194.24	81.31.194.31	TR
81.31.194.32	81.31.194.35	NL
81.31.194.36	81.31.194.39	BA
81.31.194.40	81.31.194.47	NL
81.31.194.48	81.31.194.55	DE
81.31.194.56	81.31.194.63	BE
81.31.194.64	81.31.194.71	ES
81.31.194.72	81.31.194.75	GB
81.31.194.76	81.31.194.79	IQ
81.31.194.80	81.31.194.87	ES
81.31.194.88	81.31.194.95	BE
81.31.194.96	81.31.194.99	GB
81.31.194.100	81.31.194.103	NL
81.31.194.104	81.31.194.123	IQ
81.31.194.124	81.31.194.127	NL
81.31.194.128	81.31.194.131	KW
81.31.194.132	81.31.194.135	ES
81.31.194.136	81.31.194.139	IQ
81.31.194.140	81.31.194.143	IT
81.31.194.144	81.31.194.147	CH
81.31.194.148	81.31.194.151	IQ
81.31.194.152	81.31.194.155	DE
81.31.194.156	81.31.194.159	TR
81.31.194.160	81.31.194.167	GB
81.31.194.168	81.31.194.183	IQ
81.31.194.184	81.31.194.187	GB
81.31.194.188	81.31.194.191	CH
81.31.194.192	81.31.194.199	GB
81.31.194.200	81.31.194.203	NL
81.31.194.204	81.31.194.207	IQ
81.31.194.208	81.31.194.219	DE
81.31.194.220	81.31.194.223	IE
81.31.194.224	81.31.194.239	GB
81.31.194.240	81.31.194.243	IQ
81.31.194.244	81.31.194.247	NL
81.31.194.248	81.31.194.255	IQ
81.31.195.0	81.31.195.7	IE
81.31.195.8	81.31.195.11	IT
81.31.195.12	81.31.195.23	IQ
81.31.195.24	81.31.195.31	NL
81.31.195.32	81.31.195.39	DE
81.31.195.40	81.31.195.47	BE
81.31.195.48	81.31.195.55	FR
81.31.195.56	81.31.195.63	IT
81.31.195.64	81.31.195.71	IQ
81.31.195.72	81.31.195.79	NO
81.31.195.80	81.31.195.87	RO
81.31.195.88	81.31.195.95	HU
81.31.195.96	81.31.195.103	CZ
81.31.195.104	81.31.195.111	IQ
81.31.195.112	81.31.195.119	TR
81.31.195.120	81.31.195.135	ES
81.31.195.136	81.31.195.143	IQ
81.31.195.144	81.31.195.159	GB
81.31.195.160	81.31.195.167	IQ
81.31.195.168	81.31.195.175	TR
81.31.195.176	81.31.195.183	IQ
81.31.195.184	81.31.195.191	DE
81.31.195.192	81.31.195.207	IQ
81.31.195.208	81.31.195.211	NL
81.31.195.212	81.31.195.215	IT
81.31.195.216	81.31.195.219	TN
81.31.195.220	81.31.195.223	NL
81.31.195.224	81.31.195.227	GB
81.31.195.228	81.31.195.255	IQ
81.31.196.0	81.31.196.7	IT
81.31.196.8	81.31.196.11	IQ
81.31.196.12	81.31.196.15	GB
81.31.196.16	81.31.196.19	ES
81.31.196.20	81.31.196.23	NL
81.31.196.24	81.31.196.27	IQ
81.31.196.28	81.31.196.31	DZ
81.31.196.32	81.31.196.39	IQ
81.31.196.40	81.31.196.43	DZ
81.31.196.44	81.31.196.47	IT
81.31.196.48	81.31.196.71	IQ
81.31.196.72	81.31.196.79	DZ
81.31.196.80	81.31.196.83	TR
81.31.196.84	81.31.196.87	GB
81.31.196.88	81.31.196.91	NL
81.31.196.92	81.31.196.95	GB
81.31.196.96	81.31.196.99	DZ
81.31.196.100	81.31.196.115	IQ
81.31.196.116	81.31.196.123	IT
81.31.196.124	81.31.196.127	NL
81.31.196.128	81.31.196.131	US
81.31.196.132	81.31.196.135	ES
81.31.196.136	81.31.196.143	GB
81.31.196.144	81.31.196.147	EG
81.31.196.148	81.31.196.171	IQ
81.31.196.172	81.31.196.183	TR
81.31.196.184	81.31.196.187	GB
81.31.196.188	81.31.196.203	IQ
81.31.196.204	81.31.196.207	GB
81.31.196.208	81.31.196.227	IQ
81.31.196.228	81.31.196.231	IT
81.31.196.232	81.31.196.235	GB
81.31.196.236	81.31.196.239	IQ
81.31.196.240	81.31.196.243	IT
81.31.196.244	81.31.196.247	IQ
81.31.196.248	81.31.197.7	TR
81.31.197.8	81.31.197.15	GB
81.31.197.16	81.31.197.23	IQ
81.31.197.24	81.31.197.31	NL
81.31.197.32	81.31.197.35	IQ
81.31.197.36	81.31.197.39	IT
81.31.197.40	81.31.197.51	IQ
81.31.197.52	81.31.197.55	GI
81.31.197.56	81.31.197.63	IQ
81.31.197.64	81.31.197.67	GI
81.31.197.68	81.31.197.71	IQ
81.31.197.72	81.31.197.79	GB
81.31.197.80	81.31.197.87	IQ
81.31.197.88	81.31.197.91	GR
81.31.197.92	81.31.197.95	GB
81.31.197.96	81.31.197.111	IQ
81.31.197.112	81.31.197.119	NL
81.31.197.120	81.31.197.123	DZ
81.31.197.124	81.31.197.127	CH
81.31.197.128	81.31.197.131	TR
81.31.197.132	81.31.197.135	NL
81.31.197.136	81.31.197.143	IQ
81.31.197.144	81.31.197.151	NL
81.31.197.152	81.31.197.159	TR
81.31.197.160	81.31.197.167	IQ
81.31.197.168	81.31.197.175	GB
81.31.197.176	81.31.197.183	IQ
81.31.197.184	81.31.197.191	US
81.31.197.192	81.31.197.219	IQ
81.31.197.220	81.31.197.223	KW
81.31.197.224	81.31.197.239	US
81.31.197.240	81.31.197.243	GB
81.31.197.244	81.31.197.247	IQ
81.31.197.248	81.31.197.255	NL
81.31.198.0	81.31.198.23	IQ
81.31.198.24	81.31.198.27	GB
81.31.198.28	81.31.198.31	DZ
81.31.198.32	81.31.198.39	NL
81.31.198.40	81.31.198.47	IQ
81.31.198.48	81.31.198.51	DZ
81.31.198.52	81.31.198.55	IQ
81.31.198.56	81.31.198.63	NL
81.31.198.64	81.31.198.67	IQ
81.31.198.68	81.31.198.71	DE
81.31.198.72	81.31.198.79	TR
81.31.198.80	81.31.198.87	US
81.31.198.88	81.31.198.91	GB
81.31.198.92	81.31.198.99	NL
81.31.198.100	81.31.198.119	IQ
81.31.198.120	81.31.198.123	IT
81.31.198.124	81.31.198.127	DZ
81.31.198.128	81.31.198.135	TR
81.31.198.136	81.31.198.143	NL
81.31.198.144	81.31.198.191	IQ
81.31.198.192	81.31.198.207	TR
81.31.198.208	81.31.199.11	IQ
81.31.199.12	81.31.199.19	TR
81.31.199.20	81.31.199.23	HU
81.31.199.24	81.31.199.31	IQ
81.31.199.32	81.31.199.35	AF
81.31.199.36	81.31.199.39	IQ
81.31.199.40	81.31.199.43	IT
81.31.199.44	81.31.199.47	TR
81.31.199.48	81.31.199.55	NL
81.31.199.56	81.31.199.59	US
81.31.199.60	81.31.199.63	NL
81.31.199.64	81.31.199.67	US
81.31.199.68	81.31.199.71	IQ
81.31.199.72	81.31.199.87	NL
81.31.199.88	81.31.199.95	IQ
81.31.199.96	81.31.199.103	US
81.31.199.104	81.31.199.115	IQ
81.31.199.116	81.31.199.119	TR
81.31.199.120	81.31.199.123	IQ
81.31.199.124	81.31.199.127	GB
81.31.199.128	81.31.199.147	IQ
81.31.199.148	81.31.199.151	FR
81.31.199.152	81.31.199.159	DE
81.31.199.160	81.31.199.199	IQ
81.31.199.200	81.31.199.207	NL
81.31.199.208	81.31.199.215	IQ
81.31.199.216	81.31.199.223	NL
81.31.199.224	81.31.199.239	IQ
81.31.199.240	81.31.199.255	DZ
81.31.200.0	81.31.200.7	IQ
81.31.200.8	81.31.200.15	GB
81.31.200.16	81.31.200.39	IQ
81.31.200.40	81.31.200.47	NL
81.31.200.48	81.31.200.55	IQ
81.31.200.56	81.31.200.63	TR
81.31.200.64	81.31.200.79	IQ
81.31.200.80	81.31.200.83	IT
81.31.200.84	81.31.200.87	US
81.31.200.88	81.31.200.95	DZ
81.31.200.96	81.31.200.103	TR
81.31.200.104	81.31.200.127	IQ
81.31.200.128	81.31.200.135	TR
81.31.200.136	81.31.200.143	IQ
81.31.200.144	81.31.200.151	DZ
81.31.200.152	81.31.200.159	CH
81.31.200.160	81.31.200.167	NL
81.31.200.168	81.31.200.175	DZ
81.31.200.176	81.31.200.191	IQ
81.31.200.192	81.31.200.199	DE
81.31.200.200	81.31.200.215	IQ
81.31.200.216	81.31.200.219	NL
81.31.200.220	81.31.200.223	DZ
81.31.200.224	81.31.200.239	TR
81.31.200.240	81.31.200.255	IQ
81.31.201.0	81.31.201.7	TR
81.31.201.8	81.31.201.15	IQ
81.31.201.16	81.31.201.19	GB
81.31.201.20	81.31.201.23	NL
81.31.201.24	81.31.201.39	IQ
81.31.201.40	81.31.201.43	NL
81.31.201.44	81.31.201.47	ES
81.31.201.48	81.31.201.51	NL
81.31.201.52	81.31.201.59	ES
81.31.201.60	81.31.201.63	IT
81.31.201.64	81.31.201.71	DZ
81.31.201.72	81.31.201.99	IQ
81.31.201.100	81.31.201.103	DZ
81.31.201.104	81.31.201.111	TR
81.31.201.112	81.31.201.115	IQ
81.31.201.116	81.31.201.119	TR
81.31.201.120	81.31.201.127	IQ
81.31.201.128	81.31.201.135	TR
81.31.201.136	81.31.201.203	IQ
81.31.201.204	81.31.201.207	GB
81.31.201.208	81.31.201.215	NL
81.31.201.216	81.31.201.251	IQ
81.31.201.252	81.31.201.255	NL
81.31.202.0	81.31.202.11	IQ
81.31.202.12	81.31.202.15	ES
81.31.202.16	81.31.202.23	IQ
81.31.202.24	81.31.202.27	NL
81.31.202.28	81.31.202.31	ES
81.31.202.32	81.31.202.47	IQ
81.31.202.48	81.31.202.51	ES
81.31.202.52	81.31.202.55	NL
81.31.202.56	81.31.202.59	PT
81.31.202.60	81.31.202.67	IQ
81.31.202.68	81.31.202.71	ES
81.31.202.72	81.31.202.75	NL
81.31.202.76	81.31.202.79	IQ
81.31.202.80	81.31.202.83	NL
81.31.202.84	81.31.202.87	US
81.31.202.88	81.31.202.95	NL
81.31.202.96	81.31.202.175	IQ
81.31.202.176	81.31.202.191	NL
81.31.202.192	81.31.202.199	IQ
81.31.202.200	81.31.202.207	IT
81.31.202.208	81.31.202.215	IQ
81.31.202.216	81.31.202.223	US
81.31.202.224	81.31.202.231	IQ
81.31.202.232	81.31.202.247	NL
81.31.202.248	81.31.203.7	IQ
81.31.203.8	81.31.203.15	NL
81.31.203.16	81.31.203.23	US
81.31.203.24	81.31.203.39	IQ
81.31.203.40	81.31.203.47	NL
81.31.203.48	81.31.203.55	MA
81.31.203.56	81.31.203.63	IQ
81.31.203.64	81.31.203.67	NL
81.31.203.68	81.31.203.79	GB
81.31.203.80	81.31.203.83	NL
81.31.203.84	81.31.203.95	GB
81.31.203.96	81.31.203.99	NL
81.31.203.100	81.31.203.111	GB
81.31.203.112	81.31.203.115	NL
81.31.203.116	81.31.203.119	IQ
81.31.203.120	81.31.203.131	GB
81.31.203.132	81.31.203.135	NL
81.31.203.136	81.31.203.143	GB
81.31.203.144	81.31.203.151	IQ
81.31.203.152	81.31.203.159	DE
81.31.203.160	81.31.203.167	IQ
81.31.203.168	81.31.203.191	US
81.31.203.192	81.31.203.195	GB
81.31.203.196	81.31.203.199	NL
81.31.203.200	81.31.203.207	GB
81.31.203.208	81.31.203.215	NL
81.31.203.216	81.31.203.223	DE
81.31.203.224	81.31.203.231	IQ
81.31.203.232	81.31.203.239	NL
81.31.203.240	81.31.203.255	US
81.31.204.0	81.31.207.255	NL
81.31.208.0	81.31.223.255	IT
81.31.224.0	81.31.255.255	NO
81.32.0.0	81.47.255.255	ES
81.48.0.0	81.52.127.255	FR
81.52.128.0	81.52.128.47	CH
81.52.128.48	81.52.128.255	FR
81.52.129.0	81.52.129.127	SG
81.52.129.128	81.52.129.255	FR
81.52.130.0	81.52.131.255	US
81.52.132.0	81.52.132.255	FR
81.52.133.0	81.52.134.255	US
81.52.135.0	81.52.135.255	CM
81.52.136.0	81.52.136.71	GB
81.52.136.72	81.52.136.255	FR
81.52.137.0	81.52.137.63	US
81.52.137.64	81.52.140.255	FR
81.52.141.0	81.52.141.255	DE
81.52.142.0	81.52.143.255	FR
81.52.144.0	81.52.144.31	GB
81.52.144.32	81.52.144.255	FR
81.52.145.0	81.52.149.255	GB
81.52.150.0	81.52.160.255	FR
81.52.161.0	81.52.169.255	DZ
81.52.170.0	81.52.170.255	FR
81.52.171.0	81.52.174.255	SV
81.52.175.0	81.52.191.255	FR
81.52.192.0	81.52.198.217	MQ
81.52.198.218	81.52.199.255	FR
81.52.200.0	81.52.200.19	CM
81.52.200.20	81.52.201.255	FR
81.52.202.0	81.52.204.255	US
81.52.205.0	81.52.205.255	GB
81.52.206.0	81.52.206.255	FR
81.52.207.0	81.52.207.255	DE
81.52.208.0	81.52.215.255	GP
81.52.216.0	81.52.223.255	SG
81.52.224.0	81.52.236.255	FR
81.52.237.0	81.52.237.127	SG
81.52.237.128	81.52.237.191	FR
81.52.237.192	81.52.237.199	GB
81.52.237.200	81.52.237.223	FR
81.52.237.224	81.52.237.255	SG
81.52.238.0	81.52.239.255	VE
81.52.240.0	81.52.247.255	SG
81.52.248.0	81.52.250.255	US
81.52.251.0	81.52.251.255	FR
81.52.252.0	81.52.255.255	MQ
81.53.0.0	81.57.255.255	FR
81.58.0.0	81.59.255.9	NL
81.59.255.10	81.59.255.13	BE
81.59.255.14	81.59.255.16	NL
81.59.255.17	81.59.255.19	BE
81.59.255.20	81.59.255.21	NL
81.59.255.22	81.59.255.22	BE
81.59.255.23	81.59.255.255	NL
81.60.0.0	81.61.255.255	ES
81.62.0.0	81.63.255.255	CH
81.64.0.0	81.67.255.255	FR
81.68.0.0	81.71.255.255	NL
81.72.0.0	81.75.255.255	IT
81.76.0.0	81.79.255.255	GB
81.80.0.0	81.80.26.2	FR
81.80.26.3	81.80.26.3	GB
81.80.26.4	81.80.255.255	FR
81.81.0.0	81.81.255.255	IT
81.82.0.0	81.83.255.255	BE
81.84.0.0	81.84.255.255	PT
81.85.0.0	81.85.4.255	NL
81.85.5.0	81.85.5.255	US
81.85.6.0	81.85.13.255	GB
81.85.14.0	81.85.14.255	UA
81.85.15.0	81.85.19.255	GB
81.85.20.0	81.85.57.255	NL
81.85.58.0	81.85.58.255	US
81.85.59.0	81.85.60.255	NL
81.85.61.0	81.85.61.255	US
81.85.62.0	81.85.202.255	NL
81.85.203.0	81.85.203.255	GB
81.85.204.0	81.85.205.255	NL
81.85.206.0	81.85.207.255	GB
81.85.208.0	81.85.219.255	NL
81.85.220.0	81.85.223.255	LY
81.85.224.0	81.85.224.15	NL
81.85.224.16	81.85.224.31	LB
81.85.224.32	81.85.237.255	NL
81.85.238.0	81.85.239.0	LB
81.85.239.1	81.85.239.255	NL
81.85.240.0	81.85.241.0	LB
81.85.241.1	81.85.255.255	NL
81.86.0.0	81.87.255.255	GB
81.88.0.0	81.88.15.255	SE
81.88.16.0	81.88.47.255	DE
81.88.48.0	81.88.63.255	IT
81.88.64.0	81.88.79.255	NO
81.88.80.0	81.88.95.255	RU
81.88.96.0	81.88.107.255	FR
81.88.108.0	81.88.108.62	BE
81.88.108.63	81.88.108.143	FR
81.88.108.144	81.88.108.151	BE
81.88.108.152	81.88.108.159	FR
81.88.108.160	81.88.109.15	BE
81.88.109.16	81.88.109.31	FR
81.88.109.32	81.88.109.128	BE
81.88.109.129	81.88.109.255	FR
81.88.110.0	81.88.110.159	BE
81.88.110.160	81.88.110.167	FR
81.88.110.168	81.88.110.255	BE
81.88.111.0	81.88.111.255	FR
81.88.112.0	81.88.127.255	RU
81.88.128.0	81.88.143.255	SK
81.88.144.0	81.88.159.255	KZ
81.88.160.0	81.88.175.255	GB
81.88.176.0	81.88.191.255	CH
81.88.192.0	81.88.207.255	KG
81.88.208.0	81.88.223.255	RU
81.88.224.0	81.88.255.255	IT
81.89.0.0	81.89.31.255	RO
81.89.32.0	81.89.47.255	ES
81.89.48.0	81.89.63.255	SK
81.89.64.0	81.89.95.255	RU
81.89.96.0	81.89.111.255	DE
81.89.112.0	81.89.127.255	RU
81.89.128.0	81.89.143.255	GB
81.89.144.0	81.89.159.255	SE
81.89.160.0	81.89.164.255	GB
81.89.165.0	81.89.165.47	FR
81.89.165.48	81.89.165.63	GB
81.89.165.64	81.89.165.87	FR
81.89.165.88	81.89.175.255	GB
81.89.176.0	81.89.191.255	RU
81.89.192.0	81.89.207.255	DE
81.89.208.0	81.89.223.255	AM
81.89.224.0	81.89.253.143	DE
81.89.253.144	81.89.253.159	GB
81.89.253.160	81.89.254.255	DE
81.89.255.0	81.89.255.255	GB
81.90.0.0	81.90.15.255	RU
81.90.16.0	81.90.31.255	IQ
81.90.32.0	81.90.47.255	DE
81.90.48.0	81.90.63.255	PT
81.90.64.0	81.90.79.255	FI
81.90.80.0	81.90.95.255	GB
81.90.96.0	81.90.111.255	ES
81.90.112.0	81.90.127.255	EE
81.90.128.0	81.90.143.255	GB
81.90.144.0	81.90.159.255	IR
81.90.160.0	81.90.175.255	CZ
81.90.176.0	81.90.191.255	SI
81.90.192.0	81.90.207.255	DE
81.90.208.0	81.90.223.255	RU
81.90.224.0	81.90.239.255	UA
81.90.240.0	81.90.255.255	CZ
81.91.0.0	81.91.15.255	SE
81.91.16.0	81.91.31.255	TR
81.91.32.0	81.91.63.255	RU
81.91.64.0	81.91.79.255	FR
81.91.80.0	81.91.95.255	CZ
81.91.96.0	81.91.111.255	GB
81.91.112.0	81.91.112.223	TR
81.91.112.224	81.91.112.255	US
81.91.113.0	81.91.117.255	GB
81.91.118.0	81.91.120.255	TR
81.91.121.0	81.91.121.255	CY
81.91.122.0	81.91.122.255	TR
81.91.123.0	81.91.123.255	CY
81.91.124.0	81.91.125.255	TR
81.91.126.0	81.91.126.255	CY
81.91.127.0	81.91.127.63	TR
81.91.127.64	81.91.127.127	GB
81.91.127.128	81.91.127.255	TR
81.91.128.0	81.91.159.255	IR
81.91.160.0	81.91.175.255	DE
81.91.176.0	81.91.191.255	RU
81.91.192.0	81.91.201.255	GB
81.91.202.0	81.91.202.255	FR
81.91.203.0	81.91.203.255	US
81.91.204.0	81.91.207.255	GB
81.91.208.0	81.91.223.255	CZ
81.91.224.0	81.91.239.255	BJ
81.91.240.0	81.91.252.255	GB
81.91.253.0	81.91.254.255	CH
81.91.255.0	81.91.255.255	GB
81.92.0.0	81.92.31.255	DE
81.92.32.0	81.92.47.255	IT
81.92.48.0	81.92.63.255	GR
81.92.64.0	81.92.72.191	SE
81.92.72.192	81.92.72.207	GB
81.92.72.208	81.92.73.255	SE
81.92.74.0	81.92.75.255	GB
81.92.76.0	81.92.78.127	SE
81.92.78.128	81.92.79.3	GB
81.92.79.4	81.92.79.7	SE
81.92.79.8	81.92.79.15	GB
81.92.79.16	81.92.79.31	SE
81.92.79.32	81.92.79.255	GB
81.92.80.0	81.92.95.255	FR
81.92.96.0	81.92.111.255	CH
81.92.112.0	81.92.127.255	FR
81.92.128.0	81.92.143.255	ES
81.92.144.0	81.92.159.255	CZ
81.92.160.0	81.92.171.255	DE
81.92.172.0	81.92.172.31	US
81.92.172.32	81.92.175.255	DE
81.92.176.0	81.92.191.255	NL
81.92.192.0	81.92.223.255	PT
81.92.224.0	81.92.224.255	IQ
81.92.225.0	81.92.225.255	LU
81.92.226.0	81.92.226.31	FR
81.92.226.32	81.92.226.63	GB
81.92.226.64	81.92.227.127	LU
81.92.227.128	81.92.227.135	GB
81.92.227.136	81.92.227.255	LU
81.92.228.0	81.92.236.255	FR
81.92.237.0	81.92.237.175	LU
81.92.237.176	81.92.237.239	FR
81.92.237.240	81.92.238.159	LU
81.92.238.160	81.92.238.175	FR
81.92.238.176	81.92.238.223	LU
81.92.238.224	81.92.238.239	BE
81.92.238.240	81.92.239.223	LU
81.92.239.224	81.92.239.255	BE
81.92.240.0	81.92.241.31	AT
81.92.241.32	81.92.241.39	BA
81.92.241.40	81.92.241.47	BG
81.92.241.48	81.92.241.55	DE
81.92.241.56	81.92.241.63	GB
81.92.241.64	81.92.241.71	HR
81.92.241.72	81.92.241.79	AT
81.92.241.80	81.92.241.87	PL
81.92.241.88	81.92.241.95	RO
81.92.241.96	81.92.241.103	RU
81.92.241.104	81.92.241.111	RS
81.92.241.112	81.92.241.119	SI
81.92.241.120	81.92.241.127	SK
81.92.241.128	81.92.241.135	CZ
81.92.241.136	81.92.241.143	UA
81.92.241.144	81.92.241.159	HU
81.92.241.160	81.92.247.255	AT
81.92.248.0	81.92.248.127	SK
81.92.248.128	81.92.248.255	AT
81.92.249.0	81.92.249.95	SK
81.92.249.96	81.92.249.127	AT
81.92.249.128	81.92.249.255	SK
81.92.250.0	81.92.250.63	AT
81.92.250.64	81.92.250.95	SK
81.92.250.96	81.92.250.191	AT
81.92.250.192	81.92.251.127	SK
81.92.251.128	81.92.251.191	AT
81.92.251.192	81.92.252.63	SK
81.92.252.64	81.92.252.191	AT
81.92.252.192	81.92.253.31	SK
81.92.253.32	81.92.253.127	AT
81.92.253.128	81.92.254.55	SK
81.92.254.56	81.92.254.63	AT
81.92.254.64	81.92.254.95	SK
81.92.254.96	81.92.255.255	AT
81.93.0.0	81.93.19.55	FR
81.93.19.56	81.93.19.63	US
81.93.19.64	81.93.31.255	FR
81.93.32.0	81.93.47.255	IT
81.93.48.0	81.93.63.255	NL
81.93.64.0	81.93.95.255	BA
81.93.96.0	81.93.111.255	NO
81.93.112.0	81.93.127.255	DE
81.93.128.0	81.93.159.255	SE
81.93.160.0	81.93.175.255	NO
81.93.176.0	81.93.178.175	FR
81.93.178.176	81.93.178.183	GB
81.93.178.184	81.93.180.151	FR
81.93.180.152	81.93.180.159	GB
81.93.180.160	81.93.184.255	FR
81.93.185.0	81.93.185.7	GB
81.93.185.8	81.93.185.31	FR
81.93.185.32	81.93.185.63	IT
81.93.185.64	81.93.186.255	FR
81.93.187.0	81.93.187.255	ES
81.93.188.0	81.93.188.255	FR
81.93.189.0	81.93.189.255	CH
81.93.190.0	81.93.191.255	FR
81.93.192.0	81.93.207.255	HU
81.93.208.0	81.93.209.63	ES
81.93.209.64	81.93.209.71	GB
81.93.209.72	81.93.211.23	ES
81.93.211.24	81.93.211.31	GB
81.93.211.32	81.93.211.119	ES
81.93.211.120	81.93.211.127	GB
81.93.211.128	81.93.211.159	ES
81.93.211.160	81.93.211.191	GB
81.93.211.192	81.93.212.63	ES
81.93.212.64	81.93.212.127	GB
81.93.212.128	81.93.212.159	ES
81.93.212.160	81.93.212.175	GB
81.93.212.176	81.93.212.255	ES
81.93.213.0	81.93.214.7	GB
81.93.214.8	81.93.214.71	ES
81.93.214.72	81.93.214.79	GB
81.93.214.80	81.93.223.255	ES
81.93.224.0	81.93.239.255	GB
81.93.240.0	81.93.255.255	FR
81.94.0.0	81.94.15.255	BA
81.94.16.0	81.94.47.255	RU
81.94.48.0	81.94.60.31	AT
81.94.60.32	81.94.60.63	IT
81.94.60.64	81.94.60.255	AT
81.94.61.0	81.94.62.255	IT
81.94.63.0	81.94.63.255	AT
81.94.64.0	81.94.95.255	SE
81.94.96.0	81.94.127.255	CH
81.94.128.0	81.94.159.255	RU
81.94.160.0	81.94.175.255	SE
81.94.176.0	81.94.191.255	HU
81.94.192.0	81.94.200.175	GB
81.94.200.176	81.94.200.191	IE
81.94.200.192	81.94.223.255	GB
81.94.224.0	81.94.239.255	LV
81.94.240.0	81.94.255.255	HU
81.95.0.0	81.95.10.255	DE
81.95.11.0	81.95.11.63	SC
81.95.11.64	81.95.15.255	DE
81.95.16.0	81.95.47.255	RU
81.95.48.0	81.95.63.255	GB
81.95.64.0	81.95.79.255	ES
81.95.80.0	81.95.95.255	IQ
81.95.96.0	81.95.111.255	CZ
81.95.112.0	81.95.127.255	BE
81.95.128.0	81.95.143.255	RU
81.95.144.0	81.95.156.39	GB
81.95.156.40	81.95.156.47	ZA
81.95.156.48	81.95.156.119	GB
81.95.156.120	81.95.156.127	US
81.95.156.128	81.95.156.135	AU
81.95.156.136	81.95.156.143	GB
81.95.156.144	81.95.156.151	US
81.95.156.152	81.95.156.159	GB
81.95.156.160	81.95.156.167	US
81.95.156.168	81.95.156.175	GB
81.95.156.176	81.95.156.183	IS
81.95.156.184	81.95.156.199	GB
81.95.156.200	81.95.156.215	IS
81.95.156.216	81.95.156.223	GB
81.95.156.224	81.95.156.231	CH
81.95.156.232	81.95.156.247	TR
81.95.156.248	81.95.156.255	GR
81.95.157.0	81.95.157.7	TR
81.95.157.8	81.95.157.15	GB
81.95.157.16	81.95.157.23	US
81.95.157.24	81.95.157.55	GB
81.95.157.56	81.95.157.71	US
81.95.157.72	81.95.157.79	IT
81.95.157.80	81.95.157.95	US
81.95.157.96	81.95.157.111	GB
81.95.157.112	81.95.157.119	US
81.95.157.120	81.95.157.127	GB
81.95.157.128	81.95.157.135	US
81.95.157.136	81.95.157.159	GB
81.95.157.160	81.95.157.167	GR
81.95.157.168	81.95.157.175	JO
81.95.157.176	81.95.157.183	IN
81.95.157.184	81.95.157.191	KW
81.95.157.192	81.95.157.199	RU
81.95.157.200	81.95.157.207	GB
81.95.157.208	81.95.157.215	IN
81.95.157.216	81.95.157.223	GB
81.95.157.224	81.95.157.231	IT
81.95.157.232	81.95.157.239	GB
81.95.157.240	81.95.157.247	AU
81.95.157.248	81.95.157.255	US
81.95.158.0	81.95.158.31	GB
81.95.158.32	81.95.158.39	GR
81.95.158.40	81.95.159.255	GB
81.95.160.0	81.95.175.255	GE
81.95.176.0	81.95.191.255	UA
81.95.192.0	81.95.207.255	PL
81.95.208.0	81.95.223.255	RU
81.95.224.0	81.95.239.255	UZ
81.95.240.0	81.95.255.255	DK
81.96.0.0	81.111.255.255	GB
81.112.0.0	81.127.255.255	IT
81.128.0.0	81.159.255.255	GB
81.160.0.0	81.160.127.255	DE
81.160.128.0	81.160.255.255	HU
81.161.0.0	81.161.127.255	DE
81.161.128.0	81.161.191.255	DK
81.161.192.0	81.161.207.255	PL
81.161.208.0	81.161.223.255	RU
81.161.224.0	81.161.239.255	PL
81.161.240.0	81.161.255.255	BG
81.164.0.0	81.165.255.255	BE
81.166.0.0	81.167.255.255	NO
81.168.0.0	81.168.127.255	GB
81.168.128.0	81.168.255.255	PL
81.169.0.0	81.169.127.255	BE
81.169.128.0	81.169.199.255	DE
81.169.200.0	81.169.239.255	EU
81.169.240.0	81.169.255.255	DE
81.170.0.0	81.170.127.255	GB
81.170.128.0	81.170.255.255	SE
81.171.0.0	81.171.103.255	NL
81.171.104.0	81.171.104.255	GR
81.171.105.0	81.171.127.255	NL
81.171.128.0	81.171.255.255	GB
81.172.0.0	81.172.127.255	ES
81.172.128.0	81.172.255.255	SE
81.173.0.0	81.173.29.255	NL
81.173.30.0	81.173.30.255	US
81.173.31.0	81.173.127.255	NL
81.173.128.0	81.173.255.255	DE
81.174.0.0	81.174.127.255	IT
81.174.128.0	81.174.255.255	GB
81.175.0.0	81.175.63.255	NO
81.175.64.0	81.175.127.255	NL
81.175.128.0	81.175.255.255	FI
81.176.0.0	81.176.66.127	RU
81.176.66.128	81.176.66.143	CY
81.176.66.144	81.176.78.95	RU
81.176.78.96	81.176.78.111	CY
81.176.78.112	81.177.5.239	RU
81.177.5.240	81.177.5.255	CY
81.177.6.0	81.177.37.127	RU
81.177.37.128	81.177.37.191	US
81.177.37.192	81.177.255.255	RU
81.178.0.0	81.179.255.255	GB
81.180.0.0	81.180.63.255	RO
81.180.64.0	81.180.79.255	MD
81.180.80.0	81.180.83.255	RO
81.180.84.0	81.180.85.255	MD
81.180.86.0	81.181.255.255	RO
81.182.0.0	81.183.255.255	HU
81.184.0.0	81.184.255.255	ES
81.185.0.0	81.185.255.255	FR
81.186.0.0	81.186.223.255	GR
81.186.224.0	81.186.239.255	PL
81.186.240.0	81.186.255.255	SE
81.187.0.0	81.187.255.255	GB
81.188.0.0	81.188.255.255	BE
81.189.0.0	81.189.132.148	AT
81.189.132.149	81.189.132.149	SK
81.189.132.150	81.189.255.255	AT
81.190.0.0	81.190.255.255	PL
81.191.0.0	81.191.255.255	NO
81.192.0.0	81.192.255.255	MA
81.193.0.0	81.193.255.255	PT
81.194.0.0	81.194.255.255	FR
81.195.0.0	81.195.255.255	RU
81.196.0.0	81.196.255.255	RO
81.197.0.0	81.197.255.255	FI
81.198.0.0	81.198.255.255	LV
81.199.0.0	81.199.3.255	A2
81.199.4.0	81.199.4.255	KE
81.199.5.0	81.199.7.255	NG
81.199.8.0	81.199.8.255	CD
81.199.9.0	81.199.9.255	NG
81.199.10.0	81.199.15.255	A2
81.199.16.0	81.199.31.255	UG
81.199.32.0	81.199.39.255	A2
81.199.40.0	81.199.40.7	NG
81.199.40.8	81.199.40.63	A2
81.199.40.64	81.199.40.95	NG
81.199.40.96	81.199.42.127	A2
81.199.42.128	81.199.44.31	NG
81.199.44.32	81.199.46.159	A2
81.199.46.160	81.199.46.191	NG
81.199.46.192	81.199.46.223	A2
81.199.46.224	81.199.46.255	NG
81.199.47.0	81.199.49.223	A2
81.199.49.224	81.199.49.255	MW
81.199.50.0	81.199.54.255	A2
81.199.55.0	81.199.55.32	NG
81.199.55.33	81.199.57.215	A2
81.199.57.216	81.199.57.255	TZ
81.199.58.0	81.199.60.255	A2
81.199.61.0	81.199.61.255	ZM
81.199.62.0	81.199.63.255	A2
81.199.64.0	81.199.71.255	ZM
81.199.72.0	81.199.75.255	A2
81.199.76.0	81.199.76.255	NG
81.199.77.0	81.199.77.255	A2
81.199.78.0	81.199.78.255	GH
81.199.79.0	81.199.89.255	A2
81.199.90.0	81.199.90.255	GA
81.199.91.0	81.199.95.255	A2
81.199.96.0	81.199.103.255	ZM
81.199.104.0	81.199.111.255	A2
81.199.112.0	81.199.112.255	ZM
81.199.113.0	81.199.115.31	A2
81.199.115.32	81.199.115.63	ZM
81.199.115.64	81.199.115.95	KE
81.199.115.96	81.199.115.127	TZ
81.199.115.128	81.199.115.255	A2
81.199.116.0	81.199.117.255	IL
81.199.118.0	81.199.119.255	A2
81.199.120.0	81.199.123.255	IL
81.199.124.0	81.199.129.255	A2
81.199.130.0	81.199.130.255	NG
81.199.131.0	81.199.131.255	NE
81.199.132.0	81.199.139.255	A2
81.199.140.0	81.199.140.255	CM
81.199.141.0	81.199.176.127	A2
81.199.176.128	81.199.176.255	NG
81.199.177.0	81.199.184.255	A2
81.199.185.0	81.199.185.255	NG
81.199.186.0	81.199.187.255	A2
81.199.188.0	81.199.188.255	NG
81.199.189.0	81.199.189.255	A2
81.199.190.0	81.199.190.63	CM
81.199.190.64	81.199.190.127	NG
81.199.190.128	81.199.190.255	A2
81.199.191.0	81.199.191.31	CM
81.199.191.32	81.199.191.63	A2
81.199.191.64	81.199.191.95	NG
81.199.191.96	81.199.192.255	A2
81.199.193.0	81.199.193.255	ZM
81.199.194.0	81.199.194.63	NG
81.199.194.64	81.199.196.223	A2
81.199.196.224	81.199.196.255	NG
81.199.197.0	81.199.199.127	A2
81.199.199.128	81.199.199.191	NG
81.199.199.192	81.199.199.255	A2
81.199.200.0	81.199.200.255	CM
81.199.201.0	81.199.209.255	A2
81.199.210.0	81.199.210.255	NG
81.199.211.0	81.199.249.255	A2
81.199.250.0	81.199.255.255	IL
81.200.0.0	81.200.31.255	RU
81.200.32.0	81.200.47.255	FR
81.200.48.0	81.200.63.255	CZ
81.200.64.0	81.200.79.255	GB
81.200.80.0	81.200.95.255	RU
81.200.96.0	81.200.111.255	DE
81.200.112.0	81.200.127.255	RU
81.200.128.0	81.200.143.255	IT
81.200.144.0	81.200.159.255	RU
81.200.160.0	81.200.175.255	SE
81.200.176.0	81.200.190.255	FR
81.200.191.0	81.200.191.31	GB
81.200.191.32	81.200.191.63	DE
81.200.191.64	81.200.191.95	IT
81.200.191.96	81.200.191.127	ES
81.200.191.128	81.200.191.159	FR
81.200.191.160	81.200.191.191	NL
81.200.191.192	81.200.191.255	FR
81.200.192.0	81.200.207.255	DE
81.200.208.0	81.200.223.255	RU
81.200.224.0	81.200.239.255	IT
81.200.240.0	81.200.255.255	RU
81.201.0.0	81.201.15.255	IT
81.201.16.0	81.201.31.255	RU
81.201.32.0	81.201.43.15	DE
81.201.43.16	81.201.43.23	GB
81.201.43.24	81.201.47.255	DE
81.201.48.0	81.201.63.255	CZ
81.201.64.0	81.201.79.255	RU
81.201.80.0	81.201.95.255	BE
81.201.96.0	81.201.99.247	DE
81.201.99.248	81.201.99.255	GB
81.201.100.0	81.201.127.255	DE
81.201.128.0	81.201.143.255	GB
81.201.144.0	81.201.154.207	DE
81.201.154.208	81.201.154.223	US
81.201.154.224	81.201.159.255	DE
81.201.160.0	81.201.175.255	GB
81.201.176.0	81.201.191.255	FR
81.201.192.0	81.201.207.255	CH
81.201.208.0	81.201.222.7	SE
81.201.222.8	81.201.222.15	ES
81.201.222.16	81.201.223.255	SE
81.201.224.0	81.201.239.255	DE
81.201.240.0	81.201.255.255	RU
81.202.0.0	81.203.255.255	ES
81.204.0.0	81.207.255.255	NL
81.208.0.0	81.208.0.255	A2
81.208.1.0	81.208.13.255	IT
81.208.14.0	81.208.14.255	A2
81.208.15.0	81.208.127.255	IT
81.208.128.0	81.208.255.255	GB
81.209.0.0	81.209.127.255	FI
81.209.128.0	81.209.128.127	DE
81.209.128.128	81.209.128.255	EU
81.209.129.0	81.209.133.63	DE
81.209.133.64	81.209.133.87	EU
81.209.133.88	81.209.133.95	DE
81.209.133.96	81.209.133.127	EU
81.209.133.128	81.209.133.255	DE
81.209.134.0	81.209.134.63	EU
81.209.134.64	81.209.135.255	DE
81.209.136.0	81.209.139.255	EU
81.209.140.0	81.209.141.95	DE
81.209.141.96	81.209.141.103	EU
81.209.141.104	81.209.141.111	DE
81.209.141.112	81.209.141.119	EU
81.209.141.120	81.209.143.71	DE
81.209.143.72	81.209.143.95	EU
81.209.143.96	81.209.149.175	DE
81.209.149.176	81.209.149.191	EU
81.209.149.192	81.209.155.255	DE
81.209.156.0	81.209.156.255	US
81.209.157.0	81.209.157.255	EU
81.209.158.0	81.209.166.255	DE
81.209.167.0	81.209.167.31	EU
81.209.167.32	81.209.167.95	DE
81.209.167.96	81.209.167.111	EU
81.209.167.112	81.209.167.127	DE
81.209.167.128	81.209.168.31	EU
81.209.168.32	81.209.168.63	DE
81.209.168.64	81.209.168.95	EU
81.209.168.96	81.209.168.191	DE
81.209.168.192	81.209.168.255	EU
81.209.169.0	81.209.169.31	DE
81.209.169.32	81.209.169.47	EU
81.209.169.48	81.209.169.255	DE
81.209.170.0	81.209.170.127	EU
81.209.170.128	81.209.171.255	DE
81.209.172.0	81.209.172.255	CZ
81.209.173.0	81.209.173.199	DK
81.209.173.200	81.209.173.255	EU
81.209.174.0	81.209.178.127	DE
81.209.178.128	81.209.178.143	EU
81.209.178.144	81.209.178.151	DE
81.209.178.152	81.209.178.159	EU
81.209.178.160	81.209.178.191	DE
81.209.178.192	81.209.178.255	EU
81.209.179.0	81.209.183.103	DE
81.209.183.104	81.209.183.191	EU
81.209.183.192	81.209.189.255	DE
81.209.190.0	81.209.190.255	SE
81.209.191.0	81.209.191.255	EU
81.209.192.0	81.209.198.255	DE
81.209.199.0	81.209.199.255	EU
81.209.200.0	81.209.200.15	DE
81.209.200.16	81.209.200.31	EU
81.209.200.32	81.209.201.15	DE
81.209.201.16	81.209.201.255	EU
81.209.202.0	81.209.202.31	DE
81.209.202.32	81.209.202.39	EU
81.209.202.40	81.209.202.91	DE
81.209.202.92	81.209.202.95	EU
81.209.202.96	81.209.202.175	DE
81.209.202.176	81.209.202.191	EU
81.209.202.192	81.209.202.255	DE
81.209.203.0	81.209.203.255	EU
81.209.204.0	81.209.241.111	DE
81.209.241.112	81.209.241.127	EU
81.209.241.128	81.209.241.159	DE
81.209.241.160	81.209.241.255	EU
81.209.242.0	81.209.244.255	DE
81.209.245.0	81.209.245.255	EU
81.209.246.0	81.209.255.255	DE
81.210.0.0	81.210.127.255	PL
81.210.128.0	81.210.255.255	DE
81.211.0.0	81.211.127.255	RU
81.211.128.0	81.211.255.255	IT
81.212.0.0	81.215.255.255	TR
81.216.0.0	81.216.255.255	SE
81.217.0.0	81.217.255.255	AT
81.218.0.0	81.218.255.255	IL
81.219.0.0	81.219.255.255	PL
81.220.0.0	81.220.255.255	FR
81.221.0.0	81.221.255.255	CH
81.222.0.0	81.222.63.255	RU
81.222.64.0	81.222.67.255	GB
81.222.68.0	81.222.255.255	RU
81.223.0.0	81.223.255.255	AT
81.224.0.0	81.239.255.255	SE
81.240.0.0	81.247.255.255	BE
81.248.0.0	81.255.255.255	FR
82.0.0.0	82.1.4.63	GB
82.1.4.64	82.1.4.79	IE
82.1.4.80	82.1.215.255	GB
82.1.216.0	82.1.216.255	IE
82.1.217.0	82.47.255.255	GB
82.48.0.0	82.63.255.255	IT
82.64.0.0	82.67.255.255	FR
82.68.0.0	82.71.255.255	GB
82.72.0.0	82.75.255.255	NL
82.76.0.0	82.78.235.255	RO
82.78.236.0	82.78.237.255	SK
82.78.238.0	82.79.255.255	RO
82.80.0.0	82.80.241.183	IL
82.80.241.184	82.80.241.191	A2
82.80.241.192	82.81.255.255	IL
82.82.0.0	82.83.255.255	DE
82.84.0.0	82.85.175.255	IT
82.85.176.0	82.85.176.255	A2
82.85.177.0	82.85.255.255	IT
82.86.0.0	82.87.255.255	ES
82.88.0.0	82.91.255.255	IT
82.92.0.0	82.95.255.255	NL
82.96.0.0	82.96.6.255	SE
82.96.7.0	82.96.7.255	DK
82.96.8.0	82.96.40.175	SE
82.96.40.176	82.96.40.191	NL
82.96.40.192	82.96.47.159	SE
82.96.47.160	82.96.47.175	NO
82.96.47.176	82.96.61.223	SE
82.96.61.224	82.96.61.239	FR
82.96.61.240	82.96.62.15	SE
82.96.62.16	82.96.62.31	DE
82.96.62.32	82.96.62.135	SE
82.96.62.136	82.96.62.151	GB
82.96.62.152	82.96.63.255	SE
82.96.64.0	82.96.127.255	DE
82.96.128.0	82.96.191.255	FR
82.96.192.0	82.96.255.255	RU
82.97.0.0	82.97.10.47	FR
82.97.10.48	82.97.10.63	MC
82.97.10.64	82.97.10.111	FR
82.97.10.112	82.97.10.127	MC
82.97.10.128	82.97.11.255	FR
82.97.12.0	82.97.12.255	MC
82.97.13.0	82.97.14.79	FR
82.97.14.80	82.97.14.111	MC
82.97.14.112	82.97.16.15	FR
82.97.16.16	82.97.16.31	MC
82.97.16.32	82.97.16.95	FR
82.97.16.96	82.97.16.111	CH
82.97.16.112	82.97.16.127	FR
82.97.16.128	82.97.16.143	MC
82.97.16.144	82.97.16.255	FR
82.97.17.0	82.97.17.31	GB
82.97.17.32	82.97.17.63	FR
82.97.17.64	82.97.17.95	MC
82.97.17.96	82.97.18.191	FR
82.97.18.192	82.97.19.15	MC
82.97.19.16	82.97.19.255	FR
82.97.20.0	82.97.20.63	MC
82.97.20.64	82.97.20.255	FR
82.97.21.0	82.97.21.63	MC
82.97.21.64	82.97.21.255	FR
82.97.22.0	82.97.22.15	MC
82.97.22.16	82.97.22.255	FR
82.97.23.0	82.97.23.31	MC
82.97.23.32	82.97.63.255	FR
82.97.64.0	82.97.191.255	DE
82.97.192.0	82.97.255.255	RU
82.98.0.0	82.98.63.255	FR
82.98.64.0	82.98.68.128	DE
82.98.68.129	82.98.68.143	CH
82.98.68.144	82.98.75.223	DE
82.98.75.224	82.98.75.231	GB
82.98.75.232	82.98.75.235	DE
82.98.75.236	82.98.75.239	CH
82.98.75.240	82.98.85.99	DE
82.98.85.100	82.98.85.103	CH
82.98.85.104	82.98.92.191	DE
82.98.92.192	82.98.93.255	LI
82.98.94.0	82.98.97.175	DE
82.98.97.176	82.98.97.207	GB
82.98.97.208	82.98.99.255	DE
82.98.100.0	82.98.103.255	CN
82.98.104.0	82.98.109.183	DE
82.98.109.184	82.98.109.191	GB
82.98.109.192	82.98.110.147	DE
82.98.110.148	82.98.110.151	CH
82.98.110.152	82.98.111.143	DE
82.98.111.144	82.98.111.175	GB
82.98.111.176	82.98.111.239	DE
82.98.111.240	82.98.111.255	GB
82.98.112.0	82.98.112.255	LI
82.98.113.0	82.98.127.255	DE
82.98.128.0	82.98.146.255	ES
82.98.147.0	82.98.147.255	VE
82.98.148.0	82.98.191.255	ES
82.98.192.0	82.98.196.63	NL
82.98.196.64	82.98.199.255	GB
82.98.200.0	82.98.200.255	EU
82.98.201.0	82.98.201.255	DE
82.98.202.0	82.98.208.255	EU
82.98.209.0	82.98.209.255	DE
82.98.210.0	82.98.210.255	EU
82.98.211.0	82.98.211.63	DE
82.98.211.64	82.98.215.255	EU
82.98.216.0	82.98.216.255	DE
82.98.217.0	82.98.221.255	EU
82.98.222.0	82.98.222.127	DE
82.98.222.128	82.98.222.255	EU
82.98.223.0	82.98.223.255	NL
82.98.224.0	82.98.224.127	FR
82.98.224.128	82.98.224.255	EU
82.98.225.0	82.98.225.255	FR
82.98.226.0	82.98.226.127	EU
82.98.226.128	82.98.226.143	FR
82.98.226.144	82.98.226.191	EU
82.98.226.192	82.98.226.255	NL
82.98.227.0	82.98.227.127	FR
82.98.227.128	82.98.227.255	EU
82.98.228.0	82.98.228.255	FR
82.98.229.0	82.98.230.63	NL
82.98.230.64	82.98.230.79	EU
82.98.230.80	82.98.233.191	NL
82.98.233.192	82.98.233.223	GB
82.98.233.224	82.98.236.223	NL
82.98.236.224	82.98.236.239	GB
82.98.236.240	82.98.244.127	NL
82.98.244.128	82.98.244.191	GB
82.98.244.192	82.98.244.255	NL
82.98.245.0	82.98.245.255	FR
82.98.246.0	82.98.247.255	NL
82.98.248.0	82.98.248.255	GB
82.98.249.0	82.98.250.159	NL
82.98.250.160	82.98.250.207	GB
82.98.250.208	82.98.250.215	NL
82.98.250.216	82.98.250.255	GB
82.98.251.0	82.98.251.127	NL
82.98.251.128	82.98.251.255	GB
82.98.252.0	82.98.252.63	NL
82.98.252.64	82.98.252.159	GB
82.98.252.160	82.98.252.207	NL
82.98.252.208	82.98.252.239	GB
82.98.252.240	82.98.255.255	NL
82.99.0.0	82.99.14.191	SE
82.99.14.192	82.99.14.255	NO
82.99.15.0	82.99.17.159	SE
82.99.17.160	82.99.17.191	NO
82.99.17.192	82.99.25.95	SE
82.99.25.96	82.99.25.127	NO
82.99.25.128	82.99.29.127	SE
82.99.29.128	82.99.29.255	NO
82.99.30.0	82.99.30.127	SE
82.99.30.128	82.99.30.255	DK
82.99.31.0	82.99.37.255	SE
82.99.38.0	82.99.38.7	NO
82.99.38.8	82.99.49.255	SE
82.99.50.0	82.99.50.63	NO
82.99.50.64	82.99.50.127	DK
82.99.50.128	82.99.53.63	SE
82.99.53.64	82.99.53.79	NO
82.99.53.80	82.99.127.255	SE
82.99.128.0	82.99.191.255	CZ
82.99.192.0	82.99.255.255	IR
82.100.0.0	82.100.62.207	CZ
82.100.62.208	82.100.62.223	SK
82.100.62.224	82.100.63.255	CZ
82.100.64.0	82.100.127.255	SE
82.100.128.0	82.100.191.255	RU
82.100.192.0	82.100.255.255	DE
82.101.0.0	82.101.63.255	FR
82.101.64.0	82.101.127.255	BG
82.101.128.0	82.101.191.255	DZ
82.101.192.0	82.101.255.255	NL
82.102.0.0	82.102.63.255	PT
82.102.64.0	82.102.127.255	CY
82.102.128.0	82.102.191.255	IL
82.102.192.0	82.102.255.255	PS
82.103.0.0	82.103.63.255	AT
82.103.64.0	82.103.127.255	BG
82.103.128.0	82.103.191.255	DK
82.103.192.0	82.103.255.255	FI
82.104.0.0	82.107.255.255	IT
82.108.0.0	82.111.75.255	GB
82.111.76.0	82.111.76.8	DE
82.111.76.9	82.111.76.15	GB
82.111.76.16	82.111.76.47	DE
82.111.76.48	82.111.76.63	GB
82.111.76.64	82.111.76.95	DE
82.111.76.96	82.111.152.95	GB
82.111.152.96	82.111.152.111	IT
82.111.152.112	82.111.255.255	GB
82.112.0.0	82.112.5.255	RU
82.112.6.0	82.112.6.255	KZ
82.112.7.0	82.112.63.255	RU
82.112.64.0	82.112.95.255	IS
82.112.96.0	82.112.96.63	PL
82.112.96.64	82.112.96.127	GB
82.112.96.128	82.112.96.255	FR
82.112.97.0	82.112.97.255	GB
82.112.98.0	82.112.98.31	FR
82.112.98.32	82.112.98.255	GB
82.112.99.0	82.112.99.255	ES
82.112.100.0	82.112.102.255	GB
82.112.103.0	82.112.103.255	DE
82.112.104.0	82.112.107.255	GB
82.112.108.0	82.112.109.255	DE
82.112.110.0	82.112.110.255	GB
82.112.111.0	82.112.111.127	FR
82.112.111.128	82.112.113.159	GB
82.112.113.160	82.112.113.175	IE
82.112.113.176	82.112.113.207	GB
82.112.113.208	82.112.113.223	IE
82.112.113.224	82.112.123.39	GB
82.112.123.40	82.112.123.47	ES
82.112.123.48	82.112.123.239	GB
82.112.123.240	82.112.123.255	NL
82.112.124.0	82.112.126.15	GB
82.112.126.16	82.112.126.23	ES
82.112.126.24	82.112.126.255	GB
82.112.127.0	82.112.127.255	FR
82.112.128.0	82.112.156.15	JE
82.112.156.16	82.112.156.47	GB
82.112.156.48	82.112.159.255	JE
82.112.160.0	82.112.191.255	GE
82.112.192.0	82.112.223.199	IT
82.112.223.200	82.112.223.207	ES
82.112.223.208	82.112.223.255	IT
82.112.224.0	82.112.255.255	GB
82.113.0.0	82.113.31.255	MC
82.113.32.0	82.113.63.255	CZ
82.113.64.0	82.113.95.255	GB
82.113.96.0	82.113.127.255	DE
82.113.128.0	82.113.134.159	GB
82.113.134.160	82.113.134.191	NZ
82.113.134.192	82.113.137.207	GB
82.113.137.208	82.113.137.215	ZA
82.113.137.216	82.113.191.255	GB
82.113.192.0	82.113.223.255	IT
82.113.224.0	82.113.255.255	GB
82.114.0.0	82.114.31.255	RU
82.114.32.0	82.114.63.255	CY
82.114.64.0	82.114.95.255	RS
82.114.96.0	82.114.142.127	RU
82.114.142.128	82.114.142.255	AR
82.114.143.0	82.114.159.255	RU
82.114.160.0	82.114.191.255	YE
82.114.192.0	82.114.223.255	CZ
82.114.224.0	82.114.255.255	RU
82.115.0.0	82.115.21.255	IR
82.115.22.0	82.115.31.255	KW
82.115.32.0	82.115.63.255	KZ
82.115.64.0	82.115.95.255	PL
82.115.96.0	82.115.127.255	DE
82.115.128.0	82.115.159.255	SE
82.115.160.0	82.115.191.255	IT
82.115.192.0	82.115.207.255	SE
82.115.208.0	82.115.223.255	RU
82.115.224.0	82.115.255.255	GB
82.116.0.0	82.116.63.255	RU
82.116.64.0	82.116.95.255	NO
82.116.96.0	82.116.128.255	DE
82.116.129.0	82.116.129.255	SY
82.116.130.0	82.116.131.255	KW
82.116.132.0	82.116.135.255	GB
82.116.136.0	82.116.136.127	DE
82.116.136.128	82.116.136.143	GB
82.116.136.144	82.116.136.191	KW
82.116.136.192	82.116.137.127	DE
82.116.137.128	82.116.137.159	GB
82.116.137.160	82.116.138.15	KW
82.116.138.16	82.116.138.31	GB
82.116.138.32	82.116.139.63	KW
82.116.139.64	82.116.139.95	GB
82.116.139.96	82.116.139.127	DE
82.116.139.128	82.116.143.255	KW
82.116.144.0	82.116.147.255	DE
82.116.148.0	82.116.158.255	KW
82.116.159.0	82.116.159.255	US
82.116.160.0	82.116.191.255	ES
82.116.192.0	82.116.223.255	CY
82.116.224.0	82.116.255.255	FI
82.117.0.0	82.117.10.31	LI
82.117.10.32	82.117.10.39	CH
82.117.10.40	82.117.31.255	LI
82.117.32.0	82.117.63.255	NO
82.117.64.0	82.117.95.255	RU
82.117.96.0	82.117.127.255	SE
82.117.128.0	82.117.159.255	CZ
82.117.160.0	82.117.191.255	RU
82.117.192.0	82.117.223.255	RS
82.117.224.0	82.117.255.255	UA
82.118.0.0	82.118.31.255	US
82.118.32.0	82.118.63.255	DE
82.118.64.0	82.118.64.255	GB
82.118.65.0	82.118.65.15	US
82.118.65.16	82.118.65.63	GB
82.118.65.64	82.118.65.95	US
82.118.65.96	82.118.65.103	GB
82.118.65.104	82.118.65.111	US
82.118.65.112	82.118.65.175	GB
82.118.65.176	82.118.65.191	SA
82.118.65.192	82.118.67.255	GB
82.118.68.0	82.118.69.255	NL
82.118.70.0	82.118.71.239	GB
82.118.71.240	82.118.71.247	US
82.118.71.248	82.118.73.239	GB
82.118.73.240	82.118.73.255	JP
82.118.74.0	82.118.79.191	GB
82.118.79.192	82.118.79.223	US
82.118.79.224	82.118.127.255	GB
82.118.128.0	82.118.133.31	RU
82.118.133.32	82.118.133.39	UA
82.118.133.40	82.118.145.255	RU
82.118.146.0	82.118.147.255	CH
82.118.148.0	82.118.150.255	RU
82.118.151.0	82.118.151.0	CZ
82.118.151.1	82.118.159.255	RU
82.118.160.0	82.118.191.255	SA
82.118.192.0	82.118.223.255	FI
82.118.224.0	82.118.255.255	BG
82.119.0.0	82.119.31.255	DE
82.119.32.0	82.119.63.255	IT
82.119.64.0	82.119.95.255	BG
82.119.96.0	82.119.127.255	SK
82.119.128.0	82.119.159.255	RU
82.119.160.0	82.119.191.255	DE
82.119.192.0	82.119.223.255	IT
82.119.224.0	82.119.226.63	SK
82.119.226.64	82.119.226.71	CZ
82.119.226.72	82.119.226.79	SK
82.119.226.80	82.119.226.87	CZ
82.119.226.88	82.119.229.255	SK
82.119.230.0	82.119.232.255	CZ
82.119.233.0	82.119.233.143	SK
82.119.233.144	82.119.233.151	CZ
82.119.233.152	82.119.233.223	SK
82.119.233.224	82.119.233.231	CZ
82.119.233.232	82.119.234.63	SK
82.119.234.64	82.119.234.143	CZ
82.119.234.144	82.119.234.191	SK
82.119.234.192	82.119.234.255	CZ
82.119.235.0	82.119.235.255	SK
82.119.236.0	82.119.236.255	CZ
82.119.237.0	82.119.239.255	SK
82.119.240.0	82.119.243.183	CZ
82.119.243.184	82.119.243.191	VC
82.119.243.192	82.119.255.255	CZ
82.120.0.0	82.127.255.255	FR
82.128.0.0	82.128.127.255	NG
82.128.128.0	82.128.255.255	FI
82.129.0.0	82.129.8.63	DE
82.129.8.64	82.129.8.127	CH
82.129.8.128	82.129.12.127	DE
82.129.12.128	82.129.12.255	CH
82.129.13.0	82.129.13.255	AT
82.129.14.0	82.129.17.255	DE
82.129.18.0	82.129.18.255	NL
82.129.19.0	82.129.19.255	DE
82.129.20.0	82.129.20.255	DK
82.129.21.0	82.129.21.127	DE
82.129.21.128	82.129.21.191	AT
82.129.21.192	82.129.23.255	DE
82.129.24.0	82.129.24.191	NL
82.129.24.192	82.129.24.255	DE
82.129.25.0	82.129.25.255	NL
82.129.26.0	82.129.26.63	DE
82.129.26.64	82.129.26.127	SE
82.129.26.128	82.129.26.255	DE
82.129.27.0	82.129.27.255	BG
82.129.28.0	82.129.31.255	NL
82.129.32.0	82.129.32.143	DE
82.129.32.144	82.129.32.159	AT
82.129.32.160	82.129.32.223	DE
82.129.32.224	82.129.32.255	NL
82.129.33.0	82.129.33.255	DE
82.129.34.0	82.129.34.255	NL
82.129.35.0	82.129.38.127	DE
82.129.38.128	82.129.38.159	NL
82.129.38.160	82.129.38.167	CH
82.129.38.168	82.129.38.191	DE
82.129.38.192	82.129.38.255	SE
82.129.39.0	82.129.39.255	DE
82.129.40.0	82.129.43.255	CZ
82.129.44.0	82.129.63.255	DE
82.129.64.0	82.129.127.255	GB
82.129.128.0	82.129.255.255	EG
82.130.0.0	82.130.63.255	FI
82.130.64.0	82.130.127.255	CH
82.130.128.0	82.130.255.255	ES
82.131.0.0	82.131.127.255	EE
82.131.128.0	82.131.255.255	HU
82.132.0.0	82.132.127.255	HR
82.132.128.0	82.133.127.255	GB
82.133.128.0	82.133.159.159	FI
82.133.159.160	82.133.159.167	AX
82.133.159.168	82.133.183.31	FI
82.133.183.32	82.133.183.39	AX
82.133.183.40	82.133.183.87	FI
82.133.183.88	82.133.183.95	AX
82.133.183.96	82.133.212.143	FI
82.133.212.144	82.133.212.175	AX
82.133.212.176	82.133.221.39	FI
82.133.221.40	82.133.221.47	AX
82.133.221.48	82.133.255.255	FI
82.134.0.0	82.134.127.255	NO
82.134.128.0	82.134.255.255	NL
82.135.0.0	82.135.127.255	DE
82.135.128.0	82.135.255.255	LT
82.136.0.0	82.136.63.255	GB
82.136.64.0	82.136.127.255	CH
82.136.128.0	82.136.191.255	SE
82.136.192.0	82.136.255.255	NL
82.137.0.0	82.137.63.255	RO
82.137.64.0	82.137.127.255	BG
82.137.128.0	82.137.191.255	RU
82.137.192.0	82.137.255.255	SY
82.138.0.0	82.138.63.255	RU
82.138.64.0	82.138.65.255	FR
82.138.66.0	82.138.66.31	CH
82.138.66.32	82.138.66.47	FR
82.138.66.48	82.138.66.63	BE
82.138.66.64	82.138.70.79	FR
82.138.70.80	82.138.70.95	BE
82.138.70.96	82.138.70.191	FR
82.138.70.192	82.138.70.223	BE
82.138.70.224	82.138.72.15	FR
82.138.72.16	82.138.72.31	CH
82.138.72.32	82.138.72.159	FR
82.138.72.160	82.138.72.175	CH
82.138.72.176	82.138.74.191	FR
82.138.74.192	82.138.74.223	BE
82.138.74.224	82.138.74.255	FR
82.138.75.0	82.138.75.255	CH
82.138.76.0	82.138.76.143	FR
82.138.76.144	82.138.76.191	BE
82.138.76.192	82.138.80.191	FR
82.138.80.192	82.138.80.255	IT
82.138.81.0	82.138.94.63	FR
82.138.94.64	82.138.94.127	CH
82.138.94.128	82.138.98.255	FR
82.138.99.0	82.138.99.63	SM
82.138.99.64	82.138.104.191	FR
82.138.104.192	82.138.104.255	IT
82.138.105.0	82.138.127.255	FR
82.138.128.0	82.138.129.255	EU
82.138.130.0	82.138.130.7	DE
82.138.130.8	82.138.130.15	SE
82.138.130.16	82.138.130.31	DE
82.138.130.32	82.138.130.47	FI
82.138.130.48	82.138.130.55	PT
82.138.130.56	82.138.130.63	GB
82.138.130.64	82.138.130.79	EU
82.138.130.80	82.138.130.95	FR
82.138.130.96	82.138.130.103	GE
82.138.130.104	82.138.130.111	GB
82.138.130.112	82.138.130.127	EU
82.138.130.128	82.138.130.143	FR
82.138.130.144	82.138.137.255	EU
82.138.138.0	82.138.139.255	GB
82.138.140.0	82.138.140.127	IR
82.138.140.128	82.138.144.255	EU
82.138.145.0	82.138.146.255	GB
82.138.147.0	82.138.167.31	EU
82.138.167.32	82.138.167.63	BE
82.138.167.64	82.138.191.255	EU
82.138.192.0	82.138.255.255	GB
82.139.0.0	82.139.63.255	PL
82.139.64.0	82.139.127.255	NL
82.139.128.0	82.139.191.255	PL
82.139.192.0	82.140.63.255	DE
82.140.64.0	82.140.127.255	RU
82.140.128.0	82.140.191.255	LT
82.140.192.0	82.140.255.255	RU
82.141.0.0	82.141.26.31	DE
82.141.26.32	82.141.26.47	NL
82.141.26.48	82.141.63.255	DE
82.141.64.0	82.141.127.255	FI
82.141.128.0	82.141.191.255	HU
82.141.192.0	82.141.255.255	IE
82.142.0.0	82.142.63.255	FR
82.142.64.0	82.142.127.255	CZ
82.142.128.0	82.142.191.255	RU
82.142.192.0	82.142.255.255	GB
82.143.0.0	82.143.63.255	IT
82.143.64.0	82.143.127.255	BE
82.143.128.0	82.143.191.255	PL
82.143.192.0	82.143.255.255	DK
82.144.0.0	82.144.31.255	ES
82.144.32.0	82.144.63.255	DE
82.144.64.0	82.144.95.255	RU
82.144.96.0	82.144.127.255	ES
82.144.128.0	82.144.159.255	CZ
82.144.160.0	82.144.191.255	HU
82.144.192.0	82.144.223.255	UA
82.144.224.0	82.144.255.255	GB
82.145.0.0	82.145.31.255	DE
82.145.32.0	82.145.63.255	GB
82.145.64.0	82.145.95.255	PL
82.145.96.0	82.145.127.255	IT
82.145.128.0	82.145.159.255	SE
82.145.160.0	82.145.191.255	IT
82.145.192.0	82.145.207.255	KW
82.145.224.0	82.145.255.255	TR
82.146.0.0	82.146.31.255	BG
82.146.32.0	82.146.36.255	BE
82.146.37.0	82.146.37.255	RU
82.146.38.0	82.146.39.255	BE
82.146.40.0	82.146.63.255	RU
82.146.64.0	82.146.95.255	NO
82.146.96.0	82.146.127.255	BE
82.146.128.0	82.146.159.255	GB
82.146.160.0	82.146.191.255	LB
82.146.192.0	82.146.223.255	CH
82.146.224.0	82.146.255.255	PL
82.147.0.0	82.147.31.255	GB
82.147.32.0	82.147.63.255	NO
82.147.64.0	82.147.127.255	RU
82.147.128.0	82.147.159.255	BG
82.147.160.0	82.147.191.255	EE
82.147.192.0	82.147.223.255	SA
82.147.224.0	82.147.255.255	DK
82.148.0.0	82.148.31.255	RU
82.148.32.0	82.148.63.255	GB
82.148.64.0	82.148.95.255	IS
82.148.96.0	82.148.127.255	QA
82.148.128.0	82.148.191.255	NO
82.148.192.0	82.148.223.255	NL
82.148.224.0	82.148.255.255	GB
82.149.0.0	82.149.31.255	SI
82.149.32.0	82.149.63.255	GB
82.149.64.0	82.149.95.255	DE
82.149.96.0	82.149.127.255	AT
82.149.128.0	82.149.159.255	RU
82.149.160.0	82.149.191.255	DE
82.149.192.0	82.149.223.255	RU
82.149.224.0	82.149.226.83	DE
82.149.226.84	82.149.226.87	CH
82.149.226.88	82.149.226.95	DE
82.149.226.96	82.149.226.99	AT
82.149.226.100	82.149.227.31	DE
82.149.227.32	82.149.227.47	AT
82.149.227.48	82.149.237.255	DE
82.149.238.0	82.149.238.255	AT
82.149.239.0	82.149.243.255	DE
82.149.244.0	82.149.244.255	SK
82.149.245.0	82.149.250.255	DE
82.149.251.0	82.149.251.255	SK
82.149.252.0	82.149.255.255	DE
82.150.0.0	82.150.3.255	ES
82.150.4.0	82.150.4.255	IE
82.150.5.0	82.150.5.255	EU
82.150.6.0	82.150.7.31	IE
82.150.7.32	82.150.7.127	EU
82.150.7.128	82.150.7.191	IE
82.150.7.192	82.150.7.199	EU
82.150.7.200	82.150.7.223	IE
82.150.7.224	82.150.7.255	EU
82.150.8.0	82.150.8.71	HU
82.150.8.72	82.150.8.223	EU
82.150.8.224	82.150.9.255	HU
82.150.10.0	82.150.11.255	EU
82.150.12.0	82.150.12.255	ES
82.150.13.0	82.150.15.255	EU
82.150.16.0	82.150.16.191	FR
82.150.16.192	82.150.16.223	EU
82.150.16.224	82.150.16.239	FR
82.150.16.240	82.150.16.247	EU
82.150.16.248	82.150.18.127	FR
82.150.18.128	82.150.18.207	EU
82.150.18.208	82.150.18.215	FR
82.150.18.216	82.150.18.239	EU
82.150.18.240	82.150.19.15	FR
82.150.19.16	82.150.19.23	EU
82.150.19.24	82.150.19.47	FR
82.150.19.48	82.150.19.111	EU
82.150.19.112	82.150.19.127	FR
82.150.19.128	82.150.19.159	EU
82.150.19.160	82.150.19.179	FR
82.150.19.180	82.150.19.191	EU
82.150.19.192	82.150.19.239	FR
82.150.19.240	82.150.19.247	EU
82.150.19.248	82.150.19.251	FR
82.150.19.252	82.150.19.255	EU
82.150.20.0	82.150.23.255	IE
82.150.24.0	82.150.25.255	FR
82.150.26.0	82.150.27.255	EU
82.150.28.0	82.150.28.127	FR
82.150.28.128	82.150.28.207	CZ
82.150.28.208	82.150.28.223	FR
82.150.28.224	82.150.29.255	EU
82.150.30.0	82.150.31.255	FR
82.150.32.0	82.150.63.255	HU
82.150.64.0	82.150.95.255	TR
82.150.96.0	82.150.100.255	GB
82.150.101.0	82.150.103.255	US
82.150.104.0	82.150.105.255	HK
82.150.106.0	82.150.106.255	JP
82.150.107.0	82.150.107.255	SG
82.150.108.0	82.150.108.255	JP
82.150.109.0	82.150.111.255	GB
82.150.112.0	82.150.113.255	US
82.150.114.0	82.150.115.255	HK
82.150.116.0	82.150.116.255	SG
82.150.117.0	82.150.127.255	GB
82.150.128.0	82.150.159.255	NL
82.150.160.0	82.150.191.255	CZ
82.150.192.0	82.150.223.255	AT
82.150.224.0	82.150.247.255	DE
82.150.248.0	82.151.31.255	FR
82.151.32.0	82.151.63.255	NL
82.151.64.0	82.151.95.255	MR
82.151.96.0	82.151.127.255	RU
82.151.128.0	82.151.159.255	TR
82.151.160.0	82.151.191.255	NL
82.151.192.0	82.151.223.255	RU
82.151.224.0	82.153.255.255	GB
82.154.0.0	82.155.255.255	PT
82.156.0.0	82.157.255.255	NL
82.158.0.0	82.159.255.255	ES
82.160.0.0	82.160.255.255	PL
82.161.0.0	82.161.255.255	NL
82.162.0.0	82.162.255.255	RU
82.163.0.0	82.163.255.255	GB
82.164.0.0	82.164.255.255	NO
82.165.0.0	82.165.143.255	DE
82.165.144.0	82.165.191.255	US
82.165.192.0	82.165.223.255	DE
82.165.224.0	82.165.255.255	US
82.166.0.0	82.166.255.255	IL
82.167.0.0	82.167.255.255	SA
82.168.0.0	82.175.129.87	NL
82.175.129.88	82.175.129.91	BE
82.175.129.92	82.175.129.127	NL
82.175.129.128	82.175.129.191	BE
82.175.129.192	82.175.129.255	NL
82.175.130.0	82.175.130.127	BE
82.175.130.128	82.175.191.255	NL
82.175.192.0	82.175.198.31	BE
82.175.198.32	82.175.198.63	NL
82.175.198.64	82.175.199.159	BE
82.175.199.160	82.175.199.191	NL
82.175.199.192	82.175.200.15	BE
82.175.200.16	82.175.200.39	NL
82.175.200.40	82.175.200.47	BE
82.175.200.48	82.175.201.255	NL
82.175.202.0	82.175.202.255	BE
82.175.203.0	82.176.255.255	NL
82.177.0.0	82.177.255.255	PL
82.178.0.0	82.178.255.255	OM
82.179.0.0	82.179.255.255	RU
82.180.0.0	82.180.255.255	DK
82.181.0.0	82.181.255.255	FI
82.182.0.0	82.183.255.255	SE
82.184.0.0	82.191.255.255	IT
82.192.0.0	82.192.31.255	AT
82.192.32.0	82.192.63.255	SI
82.192.64.0	82.192.95.255	NL
82.192.96.0	82.192.127.255	GB
82.192.128.0	82.192.191.255	DK
82.192.192.0	82.192.223.255	DE
82.192.224.0	82.192.255.255	CH
82.193.0.0	82.193.34.31	IT
82.193.34.32	82.193.34.63	NG
82.193.34.64	82.193.34.71	IT
82.193.34.72	82.193.34.127	NG
82.193.34.128	82.193.34.255	IT
82.193.35.0	82.193.35.15	NG
82.193.35.16	82.193.36.63	IT
82.193.36.64	82.193.36.95	NG
82.193.36.96	82.193.36.191	IT
82.193.36.192	82.193.36.255	NG
82.193.37.0	82.193.38.255	IT
82.193.39.0	82.193.55.255	NG
82.193.56.0	82.193.59.255	IT
82.193.60.0	82.193.62.255	NG
82.193.63.0	82.193.63.255	IT
82.193.64.0	82.193.95.255	LV
82.193.96.0	82.193.127.255	UA
82.193.128.0	82.193.159.255	RU
82.193.160.0	82.193.191.255	SE
82.193.192.0	82.193.223.255	HR
82.193.224.0	82.193.255.255	DE
82.194.0.0	82.194.31.255	AZ
82.194.32.0	82.194.63.255	BH
82.194.64.0	82.194.95.255	ES
82.194.96.0	82.194.127.255	DE
82.194.128.0	82.194.159.255	AT
82.194.160.0	82.194.191.255	RU
82.194.192.0	82.194.223.255	NO
82.194.224.0	82.195.31.255	RU
82.195.32.0	82.195.63.255	NL
82.195.64.0	82.195.95.255	DE
82.195.96.0	82.195.127.255	GB
82.195.128.0	82.195.136.143	IE
82.195.136.144	82.195.136.153	GB
82.195.136.154	82.195.141.255	IE
82.195.142.0	82.195.142.191	GB
82.195.142.192	82.195.143.31	IE
82.195.143.32	82.195.143.63	GB
82.195.143.64	82.195.143.95	IE
82.195.143.96	82.195.143.111	GB
82.195.143.112	82.195.159.255	IE
82.195.160.0	82.195.191.255	GB
82.195.192.0	82.195.223.255	FI
82.195.224.0	82.195.255.255	CH
82.196.0.0	82.196.31.255	FR
82.196.32.0	82.196.37.63	GB
82.196.37.64	82.196.37.127	EU
82.196.37.128	82.196.37.151	GB
82.196.37.152	82.196.37.159	EU
82.196.37.160	82.196.37.207	GB
82.196.37.208	82.196.37.215	EU
82.196.37.216	82.196.37.255	GB
82.196.38.0	82.196.40.255	EU
82.196.41.0	82.196.41.127	GB
82.196.41.128	82.196.41.143	EU
82.196.41.144	82.196.41.159	GB
82.196.41.160	82.196.41.175	EU
82.196.41.176	82.196.41.207	GB
82.196.41.208	82.196.41.223	EU
82.196.41.224	82.196.41.239	FR
82.196.41.240	82.196.41.247	GB
82.196.41.248	82.196.41.255	EU
82.196.42.0	82.196.42.95	GB
82.196.42.96	82.196.42.111	EU
82.196.42.112	82.196.45.127	GB
82.196.45.128	82.196.45.255	EU
82.196.46.0	82.196.46.31	US
82.196.46.32	82.196.46.239	EU
82.196.46.240	82.196.46.255	US
82.196.47.0	82.196.50.255	GB
82.196.51.0	82.196.51.255	EU
82.196.52.0	82.196.52.47	FR
82.196.52.48	82.196.52.247	EU
82.196.52.248	82.196.52.255	FR
82.196.53.0	82.196.55.255	EU
82.196.56.0	82.196.56.47	SG
82.196.56.48	82.196.56.63	EU
82.196.56.64	82.196.56.83	SG
82.196.56.84	82.196.56.95	EU
82.196.56.96	82.196.56.127	SG
82.196.56.128	82.196.56.199	EU
82.196.56.200	82.196.56.207	SG
82.196.56.208	82.196.56.251	EU
82.196.56.252	82.196.56.255	SG
82.196.57.0	82.196.57.255	EU
82.196.58.0	82.196.58.15	US
82.196.58.16	82.196.58.31	EU
82.196.58.32	82.196.58.47	US
82.196.58.48	82.196.63.255	EU
82.196.64.0	82.196.95.255	RU
82.196.96.0	82.196.127.255	SE
82.196.128.0	82.196.159.255	RU
82.196.160.0	82.196.191.255	SE
82.196.192.0	82.196.223.255	NO
82.196.224.0	82.196.255.255	GB
82.197.0.0	82.197.31.255	FI
82.197.32.0	82.197.63.255	PL
82.197.64.0	82.197.95.255	GB
82.197.128.0	82.197.128.255	NL
82.197.129.0	82.197.129.255	EU
82.197.130.0	82.197.131.255	DE
82.197.132.0	82.197.133.255	EU
82.197.134.0	82.197.134.255	DE
82.197.135.0	82.197.135.255	EU
82.197.136.0	82.197.136.255	GB
82.197.137.0	82.197.137.255	EU
82.197.138.0	82.197.138.31	AT
82.197.138.32	82.197.138.255	EU
82.197.139.0	82.197.143.255	DE
82.197.144.0	82.197.144.255	FR
82.197.145.0	82.197.145.31	DE
82.197.145.32	82.197.145.255	EU
82.197.146.0	82.197.149.255	DE
82.197.150.0	82.197.150.255	EU
82.197.151.0	82.197.155.255	DE
82.197.156.0	82.197.157.255	EU
82.197.158.0	82.197.159.255	DE
82.197.160.0	82.197.184.231	CH
82.197.184.232	82.197.184.239	DE
82.197.184.240	82.197.191.255	CH
82.197.192.0	82.197.223.255	NL
82.197.224.0	82.197.255.255	SE
82.198.0.0	82.198.3.255	RU
82.198.4.0	82.198.4.255	LB
82.198.5.0	82.198.16.255	RU
82.198.17.0	82.198.18.255	LT
82.198.19.0	82.198.20.255	LB
82.198.21.0	82.198.22.255	TJ
82.198.23.0	82.198.24.255	LB
82.198.25.0	82.198.25.255	LT
82.198.26.0	82.198.26.255	RU
82.198.27.0	82.198.27.255	IQ
82.198.28.0	82.198.29.255	LT
82.198.30.0	82.198.30.255	LV
82.198.31.0	82.198.31.255	LT
82.198.32.0	82.198.63.255	ES
82.198.64.0	82.198.81.24	DE
82.198.81.25	82.198.81.32	CZ
82.198.81.33	82.198.81.64	DE
82.198.81.65	82.198.81.97	AT
82.198.81.98	82.198.81.158	DE
82.198.81.159	82.198.81.186	AT
82.198.81.187	82.198.81.207	DE
82.198.81.208	82.198.81.223	AT
82.198.81.224	82.198.81.239	DE
82.198.81.240	82.198.81.244	AT
82.198.81.245	82.198.83.120	DE
82.198.83.121	82.198.83.152	AT
82.198.83.153	82.198.83.192	DE
82.198.83.193	82.198.83.208	AT
82.198.83.209	82.198.83.216	DE
82.198.83.217	82.198.83.232	AT
82.198.83.233	82.198.86.0	DE
82.198.86.1	82.198.86.32	AT
82.198.86.33	82.198.91.0	DE
82.198.91.1	82.198.91.255	AT
82.198.92.0	82.198.95.255	DE
82.198.96.0	82.198.127.255	ES
82.198.128.0	82.198.128.15	GB
82.198.128.16	82.198.128.111	IE
82.198.128.112	82.198.128.127	GB
82.198.128.128	82.198.132.113	IE
82.198.132.114	82.198.132.115	GB
82.198.132.116	82.198.132.119	IE
82.198.132.120	82.198.132.127	GB
82.198.132.128	82.198.132.135	IE
82.198.132.136	82.198.132.155	GB
82.198.132.156	82.198.132.163	IE
82.198.132.164	82.198.132.187	GB
82.198.132.188	82.198.132.227	IE
82.198.132.228	82.198.132.231	GB
82.198.132.232	82.198.133.119	IE
82.198.133.120	82.198.133.127	GB
82.198.133.128	82.198.133.131	IE
82.198.133.132	82.198.133.135	GB
82.198.133.136	82.198.133.136	IE
82.198.133.137	82.198.133.143	GB
82.198.133.144	82.198.135.255	IE
82.198.136.0	82.198.136.63	GB
82.198.136.64	82.198.136.75	IE
82.198.136.76	82.198.136.83	GB
82.198.136.84	82.198.137.131	IE
82.198.137.132	82.198.137.143	GB
82.198.137.144	82.198.139.11	IE
82.198.139.12	82.198.139.15	GB
82.198.139.16	82.198.141.151	IE
82.198.141.152	82.198.141.159	GB
82.198.141.160	82.198.141.181	IE
82.198.141.182	82.198.141.191	GB
82.198.141.192	82.198.144.189	IE
82.198.144.190	82.198.144.191	GB
82.198.144.192	82.198.144.207	IE
82.198.144.208	82.198.144.211	GB
82.198.144.212	82.198.145.195	IE
82.198.145.196	82.198.145.199	GB
82.198.145.200	82.198.145.255	IE
82.198.146.0	82.198.146.127	GB
82.198.146.128	82.198.147.27	IE
82.198.147.28	82.198.147.31	GB
82.198.147.32	82.198.147.179	IE
82.198.147.180	82.198.147.191	GB
82.198.147.192	82.198.147.211	IE
82.198.147.212	82.198.147.255	GB
82.198.148.0	82.198.148.187	IE
82.198.148.188	82.198.148.191	GB
82.198.148.192	82.198.148.199	IE
82.198.148.200	82.198.148.207	GB
82.198.148.208	82.198.148.243	IE
82.198.148.244	82.198.148.247	GB
82.198.148.248	82.198.149.167	IE
82.198.149.168	82.198.149.171	GB
82.198.149.172	82.198.149.183	IE
82.198.149.184	82.198.149.255	GB
82.198.150.0	82.198.151.163	IE
82.198.151.164	82.198.151.175	GB
82.198.151.176	82.198.151.207	IE
82.198.151.208	82.198.151.211	GB
82.198.151.212	82.198.152.107	IE
82.198.152.108	82.198.152.111	GB
82.198.152.112	82.198.152.143	IE
82.198.152.144	82.198.152.151	GB
82.198.152.152	82.198.152.215	IE
82.198.152.216	82.198.152.223	GB
82.198.152.224	82.198.153.75	IE
82.198.153.76	82.198.153.79	GB
82.198.153.80	82.198.155.31	IE
82.198.155.32	82.198.155.35	GB
82.198.155.36	82.198.155.55	IE
82.198.155.56	82.198.155.63	GB
82.198.155.64	82.198.155.151	IE
82.198.155.152	82.198.155.155	GB
82.198.155.156	82.198.156.7	IE
82.198.156.8	82.198.156.15	GB
82.198.156.16	82.198.156.59	IE
82.198.156.60	82.198.156.63	GB
82.198.156.64	82.198.156.83	IE
82.198.156.84	82.198.156.87	GB
82.198.156.88	82.198.156.115	IE
82.198.156.116	82.198.156.119	GB
82.198.156.120	82.198.156.207	IE
82.198.156.208	82.198.156.255	GB
82.198.157.0	82.198.157.147	IE
82.198.157.148	82.198.157.151	GB
82.198.157.152	82.198.157.191	IE
82.198.157.192	82.198.158.31	GB
82.198.158.32	82.198.158.61	IE
82.198.158.62	82.198.158.63	GB
82.198.158.64	82.198.159.255	IE
82.198.160.0	82.198.191.255	RU
82.198.192.0	82.198.223.255	DE
82.198.224.0	82.198.255.255	GB
82.199.0.0	82.199.31.255	NO
82.199.32.0	82.199.63.255	ES
82.199.64.0	82.199.64.127	NL
82.199.64.128	82.199.64.191	GB
82.199.64.192	82.199.95.255	NL
82.199.96.0	82.199.127.255	RU
82.199.128.0	82.199.159.255	DE
82.199.160.0	82.199.186.127	AX
82.199.186.128	82.199.186.158	SE
82.199.186.159	82.199.186.255	AX
82.199.187.0	82.199.191.255	SE
82.199.192.0	82.199.223.255	BG
82.199.224.0	82.199.255.255	FI
82.200.0.0	82.200.127.255	RU
82.200.128.0	82.200.255.255	KZ
82.201.0.0	82.201.127.255	NL
82.201.128.0	82.201.255.255	EG
82.202.0.0	82.202.127.255	CZ
82.202.128.0	82.202.255.255	RU
82.203.0.0	82.203.127.255	GB
82.203.128.0	82.203.255.255	FI
82.204.0.0	82.204.127.255	NL
82.204.128.0	82.204.255.255	RU
82.205.0.0	82.205.127.255	PS
82.205.128.0	82.205.128.255	A2
82.205.129.0	82.205.129.31	IR
82.205.129.32	82.205.143.191	A2
82.205.143.192	82.205.143.255	IR
82.205.144.0	82.205.144.31	IQ
82.205.144.32	82.205.144.63	A2
82.205.144.64	82.205.144.95	IQ
82.205.144.96	82.205.144.111	LB
82.205.144.112	82.205.144.127	A2
82.205.144.128	82.205.144.159	IQ
82.205.144.160	82.205.145.31	A2
82.205.145.32	82.205.145.63	IQ
82.205.145.64	82.205.145.255	A2
82.205.146.0	82.205.146.31	LY
82.205.146.32	82.205.146.255	A2
82.205.147.0	82.205.147.31	IQ
82.205.147.32	82.205.147.63	A2
82.205.147.64	82.205.147.79	SA
82.205.147.80	82.205.149.63	A2
82.205.149.64	82.205.149.127	IQ
82.205.149.128	82.205.149.143	A2
82.205.149.144	82.205.149.159	IQ
82.205.149.160	82.205.152.127	A2
82.205.152.128	82.205.152.255	IR
82.205.153.0	82.205.153.31	A2
82.205.153.32	82.205.153.175	IR
82.205.153.176	82.205.153.239	A2
82.205.153.240	82.205.153.255	IR
82.205.154.0	82.205.154.31	IQ
82.205.154.32	82.205.154.127	A2
82.205.154.128	82.205.154.159	LY
82.205.154.160	82.205.154.255	A2
82.205.155.0	82.205.156.128	IR
82.205.156.129	82.205.156.191	A2
82.205.156.192	82.205.157.255	IR
82.205.158.0	82.205.158.255	LB
82.205.159.0	82.205.159.63	A2
82.205.159.64	82.205.159.95	SA
82.205.159.96	82.205.159.191	IR
82.205.159.192	82.205.159.223	A2
82.205.159.224	82.205.159.255	IR
82.205.160.0	82.205.165.255	A2
82.205.166.0	82.205.166.255	IR
82.205.167.0	82.205.169.31	A2
82.205.169.32	82.205.169.47	IQ
82.205.169.48	82.205.170.15	A2
82.205.170.16	82.205.170.95	IQ
82.205.170.96	82.205.170.111	A2
82.205.170.112	82.205.170.143	IR
82.205.170.144	82.205.170.159	A2
82.205.170.160	82.205.170.191	IQ
82.205.170.192	82.205.170.223	IR
82.205.170.224	82.205.171.255	A2
82.205.172.0	82.205.172.31	IQ
82.205.172.32	82.205.172.63	IR
82.205.172.64	82.205.172.95	IQ
82.205.172.96	82.205.172.143	A2
82.205.172.144	82.205.172.159	IQ
82.205.172.160	82.205.172.191	A2
82.205.172.192	82.205.172.255	IQ
82.205.173.0	82.205.173.255	A2
82.205.174.0	82.205.174.47	IQ
82.205.174.48	82.205.174.63	A2
82.205.174.64	82.205.174.127	IQ
82.205.174.128	82.205.174.207	A2
82.205.174.208	82.205.174.223	LY
82.205.174.224	82.205.174.255	A2
82.205.175.0	82.205.175.31	IQ
82.205.175.32	82.205.175.47	A2
82.205.175.48	82.205.175.63	IQ
82.205.175.64	82.205.175.127	A2
82.205.175.128	82.205.175.143	IQ
82.205.175.144	82.205.175.175	A2
82.205.175.176	82.205.175.255	IQ
82.205.176.0	82.205.176.71	A2
82.205.176.72	82.205.176.79	IR
82.205.176.80	82.205.177.255	A2
82.205.178.0	82.205.178.255	KW
82.205.179.0	82.205.179.255	A2
82.205.180.0	82.205.180.95	IQ
82.205.180.96	82.205.180.255	A2
82.205.181.0	82.205.181.63	IR
82.205.181.64	82.205.181.127	A2
82.205.181.128	82.205.181.159	IR
82.205.181.160	82.205.181.191	IQ
82.205.181.192	82.205.181.255	A2
82.205.182.0	82.205.182.15	IQ
82.205.182.16	82.205.182.23	A2
82.205.182.24	82.205.182.31	LY
82.205.182.32	82.205.182.127	A2
82.205.182.128	82.205.182.159	LY
82.205.182.160	82.205.189.255	A2
82.205.190.0	82.205.199.255	AF
82.205.200.0	82.205.201.255	A2
82.205.202.0	82.205.207.255	AF
82.205.208.0	82.205.208.255	A2
82.205.209.0	82.205.209.47	SA
82.205.209.48	82.205.209.95	A2
82.205.209.96	82.205.209.111	IQ
82.205.209.112	82.205.209.127	IR
82.205.209.128	82.205.210.127	A2
82.205.210.128	82.205.210.143	IQ
82.205.210.144	82.205.210.223	A2
82.205.210.224	82.205.210.239	IQ
82.205.210.240	82.205.210.255	A2
82.205.211.0	82.205.211.31	SA
82.205.211.32	82.205.211.63	A2
82.205.211.64	82.205.211.79	IQ
82.205.211.80	82.205.211.95	SA
82.205.211.96	82.205.211.127	A2
82.205.211.128	82.205.211.143	IQ
82.205.211.144	82.205.211.159	SA
82.205.211.160	82.205.212.31	A2
82.205.212.32	82.205.212.63	SA
82.205.212.64	82.205.212.95	A2
82.205.212.96	82.205.212.111	IQ
82.205.212.112	82.205.212.255	A2
82.205.213.0	82.205.214.255	LY
82.205.215.0	82.205.215.255	A2
82.205.216.0	82.205.217.255	SA
82.205.218.0	82.205.218.95	A2
82.205.218.96	82.205.218.111	SA
82.205.218.112	82.205.218.143	A2
82.205.218.144	82.205.218.159	LY
82.205.218.160	82.205.218.191	SA
82.205.218.192	82.205.218.207	IQ
82.205.218.208	82.205.219.31	A2
82.205.219.32	82.205.219.47	IR
82.205.219.48	82.205.219.63	SA
82.205.219.64	82.205.219.95	IQ
82.205.219.96	82.205.219.143	A2
82.205.219.144	82.205.219.159	SA
82.205.219.160	82.205.219.191	A2
82.205.219.192	82.205.219.223	SA
82.205.219.224	82.205.219.255	A2
82.205.220.0	82.205.220.255	SA
82.205.221.0	82.205.221.7	LY
82.205.221.8	82.205.221.15	A2
82.205.221.16	82.205.221.47	SA
82.205.221.48	82.205.221.63	A2
82.205.221.64	82.205.221.95	SA
82.205.221.96	82.205.221.159	IQ
82.205.221.160	82.205.221.255	A2
82.205.222.0	82.205.222.47	SA
82.205.222.48	82.205.222.63	IQ
82.205.222.64	82.205.222.95	LY
82.205.222.96	82.205.222.255	A2
82.205.223.0	82.205.224.255	DE
82.205.225.0	82.205.225.255	SA
82.205.226.0	82.205.226.63	IR
82.205.226.64	82.205.226.95	A2
82.205.226.96	82.205.226.111	IR
82.205.226.112	82.205.226.127	SA
82.205.226.128	82.205.226.255	A2
82.205.227.0	82.205.227.255	LY
82.205.228.0	82.205.228.255	A2
82.205.229.0	82.205.229.255	SA
82.205.230.0	82.205.230.63	A2
82.205.230.64	82.205.230.127	IQ
82.205.230.128	82.205.231.255	A2
82.205.232.0	82.205.232.255	AE
82.205.233.0	82.205.233.255	A2
82.205.234.0	82.205.238.255	AE
82.205.239.0	82.205.239.15	IQ
82.205.239.16	82.205.239.63	A2
82.205.239.64	82.205.239.79	SA
82.205.239.80	82.205.239.255	A2
82.205.240.0	82.205.240.15	IQ
82.205.240.16	82.205.240.31	A2
82.205.240.32	82.205.240.47	IQ
82.205.240.48	82.205.241.15	A2
82.205.241.16	82.205.241.31	IQ
82.205.241.32	82.205.241.63	A2
82.205.241.64	82.205.241.127	AE
82.205.241.128	82.205.241.191	LB
82.205.241.192	82.205.242.255	A2
82.205.243.0	82.205.243.255	LY
82.205.244.0	82.205.253.255	AE
82.205.254.0	82.205.254.255	A2
82.205.255.0	82.205.255.255	SA
82.206.0.0	82.206.0.191	DE
82.206.0.192	82.206.0.199	LT
82.206.0.200	82.206.124.159	DE
82.206.124.160	82.206.124.191	ES
82.206.124.192	82.206.124.255	DE
82.206.125.0	82.206.126.255	ES
82.206.127.0	82.206.128.15	US
82.206.128.16	82.206.128.31	CD
82.206.128.32	82.206.128.47	GB
82.206.128.48	82.206.128.63	GH
82.206.128.64	82.206.128.143	TZ
82.206.128.144	82.206.128.159	A2
82.206.128.160	82.206.128.175	ZA
82.206.128.176	82.206.128.183	GB
82.206.128.184	82.206.128.191	NG
82.206.128.192	82.206.128.231	A2
82.206.128.232	82.206.128.239	BH
82.206.128.240	82.206.128.255	A2
82.206.129.0	82.206.129.15	NG
82.206.129.16	82.206.129.31	US
82.206.129.32	82.206.129.47	ZA
82.206.129.48	82.206.129.79	ET
82.206.129.80	82.206.129.87	TZ
82.206.129.88	82.206.129.111	A2
82.206.129.112	82.206.129.127	NG
82.206.129.128	82.206.129.255	TD
82.206.130.0	82.206.130.127	US
82.206.130.128	82.206.130.128	A2
82.206.130.129	82.206.130.143	US
82.206.130.144	82.206.130.151	CA
82.206.130.152	82.206.130.159	LR
82.206.130.160	82.206.130.166	GM
82.206.130.167	82.206.130.167	A2
82.206.130.168	82.206.130.183	SC
82.206.130.184	82.206.130.190	CG
82.206.130.191	82.206.130.191	A2
82.206.130.192	82.206.130.255	SO
82.206.131.0	82.206.131.127	ZA
82.206.131.128	82.206.131.143	A2
82.206.131.144	82.206.131.159	CA
82.206.131.160	82.206.131.191	NG
82.206.131.192	82.206.131.199	US
82.206.131.200	82.206.134.31	A2
82.206.134.32	82.206.134.39	CD
82.206.134.40	82.206.134.111	A2
82.206.134.112	82.206.134.119	CD
82.206.134.120	82.206.134.127	A2
82.206.134.128	82.206.134.137	CD
82.206.134.138	82.206.134.143	A2
82.206.134.144	82.206.134.159	NG
82.206.134.160	82.206.134.167	A2
82.206.134.168	82.206.134.175	NG
82.206.134.176	82.206.134.231	A2
82.206.134.232	82.206.134.255	CD
82.206.135.0	82.206.135.7	ZA
82.206.135.8	82.206.135.255	A2
82.206.136.0	82.206.136.255	KE
82.206.137.0	82.206.137.255	CD
82.206.138.0	82.206.139.255	A2
82.206.140.0	82.206.140.255	BI
82.206.141.0	82.206.141.127	US
82.206.141.128	82.206.141.255	A2
82.206.142.0	82.206.142.127	US
82.206.142.128	82.206.142.255	GB
82.206.143.0	82.206.143.127	A2
82.206.143.128	82.206.143.135	KE
82.206.143.136	82.206.144.31	A2
82.206.144.32	82.206.144.39	CD
82.206.144.40	82.206.144.63	A2
82.206.144.64	82.206.144.71	CD
82.206.144.72	82.206.144.159	A2
82.206.144.160	82.206.144.167	NG
82.206.144.168	82.206.144.191	A2
82.206.144.192	82.206.144.223	NG
82.206.144.224	82.206.144.255	A2
82.206.145.0	82.206.145.128	NG
82.206.145.129	82.206.146.255	A2
82.206.147.0	82.206.147.127	CD
82.206.147.128	82.206.147.255	A2
82.206.148.0	82.206.148.255	CD
82.206.149.0	82.206.151.31	A2
82.206.151.32	82.206.151.39	US
82.206.151.40	82.206.151.255	A2
82.206.152.0	82.206.152.255	CA
82.206.153.0	82.206.155.255	A2
82.206.156.0	82.206.156.127	NO
82.206.156.128	82.206.156.159	GB
82.206.156.160	82.206.156.255	A2
82.206.157.0	82.206.157.127	AE
82.206.157.128	82.206.157.255	GB
82.206.158.0	82.206.158.255	A2
82.206.159.0	82.206.159.127	ZA
82.206.159.128	82.206.159.255	FR
82.206.160.0	82.206.160.255	LB
82.206.161.0	82.206.161.255	AE
82.206.162.0	82.206.162.255	MG
82.206.163.0	82.206.163.255	NG
82.206.164.0	82.206.164.255	A2
82.206.165.0	82.206.165.15	US
82.206.165.16	82.206.165.31	SA
82.206.165.32	82.206.165.63	GH
82.206.165.64	82.206.165.126	US
82.206.165.127	82.206.165.127	A2
82.206.165.128	82.206.166.127	ZA
82.206.166.128	82.206.166.191	CD
82.206.166.192	82.206.166.215	LR
82.206.166.216	82.206.166.223	A2
82.206.166.224	82.206.166.255	LR
82.206.167.0	82.206.167.255	AE
82.206.168.0	82.206.168.255	GB
82.206.169.0	82.206.169.79	BD
82.206.169.80	82.206.169.111	A2
82.206.169.112	82.206.169.119	DE
82.206.169.120	82.206.170.191	A2
82.206.170.192	82.206.170.254	SA
82.206.170.255	82.206.170.255	A2
82.206.171.0	82.206.172.255	US
82.206.173.0	82.206.173.255	MX
82.206.174.0	82.206.175.127	A2
82.206.175.128	82.206.175.255	MX
82.206.176.0	82.206.176.255	A2
82.206.177.0	82.206.177.255	IQ
82.206.178.0	82.206.178.255	AE
82.206.179.0	82.206.179.255	A2
82.206.180.0	82.206.180.255	SN
82.206.181.0	82.206.181.255	MX
82.206.182.0	82.206.182.127	DE
82.206.182.128	82.206.182.255	NG
82.206.183.0	82.206.183.127	MX
82.206.183.128	82.206.183.255	NG
82.206.184.0	82.206.184.255	US
82.206.185.0	82.206.185.127	TZ
82.206.185.128	82.206.185.255	NG
82.206.186.0	82.206.186.255	LR
82.206.187.0	82.206.187.255	CI
82.206.188.0	82.206.188.255	A2
82.206.189.0	82.206.189.255	FR
82.206.190.0	82.206.190.255	VG
82.206.191.0	82.206.191.255	A2
82.206.192.0	82.206.194.255	ZA
82.206.195.0	82.206.197.255	A2
82.206.198.0	82.206.198.127	LR
82.206.198.128	82.206.198.255	SN
82.206.199.0	82.206.199.255	A2
82.206.200.0	82.206.200.255	LR
82.206.201.0	82.206.201.127	A2
82.206.201.128	82.206.201.255	ZA
82.206.202.0	82.206.203.255	A2
82.206.204.0	82.206.211.255	TZ
82.206.212.0	82.206.215.255	A2
82.206.216.0	82.206.216.127	US
82.206.216.128	82.206.216.255	A2
82.206.217.0	82.206.217.255	DK
82.206.218.0	82.206.219.255	US
82.206.220.0	82.206.223.255	GN
82.206.224.0	82.206.227.255	GB
82.206.228.0	82.206.228.255	US
82.206.229.0	82.206.229.255	FR
82.206.230.0	82.206.231.255	A2
82.206.232.0	82.206.233.79	US
82.206.233.80	82.206.233.255	A2
82.206.234.0	82.206.236.255	GH
82.206.237.0	82.206.237.255	MG
82.206.238.0	82.206.238.255	US
82.206.239.0	82.206.239.255	KE
82.206.240.0	82.206.242.255	A2
82.206.243.0	82.206.244.127	US
82.206.244.128	82.206.244.255	IQ
82.206.245.0	82.206.247.255	US
82.206.248.0	82.206.249.15	ZA
82.206.249.16	82.206.249.63	A2
82.206.249.64	82.206.249.95	SN
82.206.249.96	82.206.249.127	A2
82.206.249.128	82.206.249.191	US
82.206.249.192	82.206.250.255	A2
82.206.251.0	82.206.251.63	AD
82.206.251.64	82.206.251.255	A2
82.206.252.0	82.206.255.0	US
82.206.255.1	82.206.255.255	A2
82.207.0.0	82.207.127.255	UA
82.207.128.0	82.207.255.255	DE
82.208.0.0	82.208.63.255	CZ
82.208.64.0	82.208.127.255	RU
82.208.128.0	82.208.191.255	RO
82.208.192.0	82.208.255.255	RS
82.209.0.0	82.209.63.255	CZ
82.209.64.0	82.209.127.255	RU
82.209.128.0	82.209.191.255	SE
82.209.192.0	82.209.255.255	BY
82.210.0.0	82.210.5.63	DE
82.210.5.64	82.210.5.93	CH
82.210.5.94	82.210.31.31	DE
82.210.31.32	82.210.31.63	CH
82.210.31.64	82.210.39.255	DE
82.210.40.0	82.210.41.4	FR
82.210.41.5	82.210.41.12	CH
82.210.41.13	82.210.41.255	FR
82.210.42.0	82.210.63.255	DE
82.210.64.0	82.210.127.255	NL
82.210.128.0	82.210.191.255	PL
82.210.192.0	82.210.197.223	DE
82.210.197.224	82.210.197.239	SG
82.210.197.240	82.210.213.191	DE
82.210.213.192	82.210.213.255	BE
82.210.214.0	82.210.233.103	DE
82.210.233.104	82.210.233.119	FR
82.210.233.120	82.210.233.127	TR
82.210.233.128	82.210.233.167	DE
82.210.233.168	82.210.233.175	ES
82.210.233.176	82.210.233.183	DE
82.210.233.184	82.210.233.191	FR
82.210.233.192	82.210.233.215	IT
82.210.233.216	82.210.238.63	DE
82.210.238.64	82.210.238.127	AT
82.210.238.128	82.210.244.15	DE
82.210.244.16	82.210.244.23	CH
82.210.244.24	82.210.252.255	DE
82.210.253.0	82.210.253.63	CH
82.210.253.64	82.210.255.191	DE
82.210.255.192	82.210.255.255	CH
82.211.0.0	82.211.11.255	DE
82.211.12.0	82.211.12.255	IT
82.211.13.0	82.211.13.255	DE
82.211.14.0	82.211.14.255	IT
82.211.15.0	82.211.16.255	DE
82.211.17.0	82.211.17.255	BR
82.211.18.0	82.211.63.255	DE
82.211.64.0	82.211.127.255	GB
82.211.128.0	82.211.128.255	A2
82.211.129.0	82.211.129.255	CY
82.211.130.0	82.211.191.255	A2
82.211.192.0	82.211.255.255	DK
82.212.0.0	82.212.63.255	DE
82.212.64.0	82.212.127.255	JO
82.212.128.0	82.212.191.255	BE
82.212.192.0	82.212.255.255	DE
82.213.0.0	82.213.63.255	PS
82.213.64.0	82.213.127.255	IT
82.213.128.0	82.213.255.255	ES
82.214.0.0	82.214.63.255	SE
82.214.64.0	82.214.95.255	SI
82.214.96.0	82.214.101.255	HR
82.214.102.0	82.214.103.255	SI
82.214.104.0	82.214.107.255	BA
82.214.108.0	82.214.125.255	SI
82.214.126.0	82.214.127.255	RS
82.214.128.0	82.214.191.255	PL
82.214.192.0	82.214.255.255	US
82.215.0.0	82.215.63.255	NL
82.215.64.0	82.215.127.255	UZ
82.215.128.0	82.215.191.255	IT
82.215.192.0	82.215.255.255	FI
82.216.0.0	82.216.255.255	FR
82.217.0.0	82.217.255.255	NL
82.218.0.0	82.218.255.255	AT
82.219.0.0	82.219.255.255	GB
82.220.0.0	82.220.255.255	CH
82.221.0.0	82.221.255.255	IS
82.222.0.0	82.222.255.255	TR
82.223.0.0	82.223.187.255	ES
82.223.188.0	82.223.189.255	PT
82.223.190.0	82.223.191.255	ES
82.223.192.0	82.223.195.255	FR
82.223.196.0	82.223.198.255	PT
82.223.199.0	82.223.255.255	ES
82.224.0.0	82.255.255.255	FR
83.0.0.0	83.31.255.255	PL
83.32.0.0	83.63.255.255	ES
83.64.0.0	83.65.255.255	AT
83.66.0.0	83.66.255.255	TR
83.67.0.0	83.67.255.255	GB
83.68.0.0	83.68.31.255	NL
83.68.32.0	83.68.63.255	RU
83.68.64.0	83.68.95.255	PL
83.68.96.0	83.68.127.255	FR
83.68.128.0	83.68.159.255	AT
83.68.160.0	83.68.191.255	KW
83.68.192.0	83.68.223.255	CH
83.68.224.0	83.68.255.255	SE
83.69.0.0	83.69.31.255	RU
83.69.32.0	83.69.63.255	CZ
83.69.64.0	83.69.127.255	RU
83.69.128.0	83.69.159.255	UZ
83.69.160.0	83.69.255.255	RU
83.70.0.0	83.71.255.255	IE
83.72.0.0	83.75.255.255	DK
83.76.0.0	83.79.255.255	CH
83.80.0.0	83.87.255.255	NL
83.88.0.0	83.95.255.255	DK
83.96.0.0	83.96.127.255	KW
83.96.128.0	83.96.156.127	NL
83.96.156.128	83.96.156.255	GB
83.96.157.0	83.96.255.255	NL
83.97.0.0	83.97.7.255	DE
83.97.8.0	83.97.15.255	NL
83.97.16.0	83.97.23.255	PL
83.97.24.0	83.97.31.255	BG
83.97.32.0	83.97.39.255	GB
83.97.40.0	83.97.55.255	DE
83.97.56.0	83.97.63.255	FR
83.97.64.0	83.97.71.255	BG
83.97.72.0	83.97.79.255	DE
83.97.80.0	83.97.87.255	CH
83.97.88.0	83.97.95.255	GB
83.97.96.0	83.97.103.255	DK
83.97.104.0	83.97.111.255	UA
83.97.112.0	83.97.119.255	DE
83.97.120.0	83.97.127.255	CH
83.97.128.0	83.97.255.255	ES
83.98.0.0	83.98.127.255	GB
83.98.128.0	83.98.132.255	NL
83.98.133.0	83.98.133.255	US
83.98.134.0	83.98.134.255	DE
83.98.135.0	83.98.138.55	NL
83.98.138.56	83.98.138.63	PL
83.98.138.64	83.98.142.63	NL
83.98.142.64	83.98.142.95	IE
83.98.142.96	83.98.142.255	NL
83.98.143.0	83.98.143.255	DE
83.98.144.0	83.98.159.255	NL
83.98.160.0	83.98.160.255	IE
83.98.161.0	83.98.164.255	NL
83.98.165.0	83.98.165.255	AT
83.98.166.0	83.98.166.255	IE
83.98.167.0	83.98.186.255	NL
83.98.187.0	83.98.187.255	US
83.98.188.0	83.98.188.255	GB
83.98.189.0	83.98.193.9	NL
83.98.193.10	83.98.193.17	US
83.98.193.18	83.98.193.92	NL
83.98.193.93	83.98.193.111	US
83.98.193.112	83.98.197.255	NL
83.98.198.0	83.98.198.255	US
83.98.199.0	83.98.202.255	NL
83.98.203.0	83.98.203.63	GB
83.98.203.64	83.98.203.95	JE
83.98.203.96	83.98.203.127	GB
83.98.203.128	83.98.203.255	NL
83.98.204.0	83.98.205.255	US
83.98.206.0	83.98.255.255	NL
83.99.0.0	83.99.127.255	LU
83.99.128.0	83.99.255.255	LV
83.100.0.0	83.100.127.255	FI
83.100.128.0	83.100.255.255	GB
83.101.0.0	83.101.127.255	BE
83.101.128.0	83.101.255.255	SA
83.102.0.0	83.102.127.255	FI
83.102.128.0	83.102.255.255	RU
83.103.0.0	83.103.127.255	IT
83.103.128.0	83.103.255.255	RO
83.104.0.0	83.107.255.255	GB
83.108.0.0	83.109.255.255	NO
83.110.0.0	83.111.255.255	AE
83.112.0.0	83.115.255.255	FR
83.116.0.0	83.119.255.255	NL
83.120.0.0	83.125.16.255	DE
83.125.17.0	83.125.19.255	EU
83.125.20.0	83.125.23.255	DE
83.125.24.0	83.125.31.255	EU
83.125.32.0	83.125.35.255	DE
83.125.36.0	83.125.36.255	EU
83.125.37.0	83.125.45.255	DE
83.125.46.0	83.125.46.255	EU
83.125.47.0	83.125.59.255	DE
83.125.60.0	83.125.63.255	EU
83.125.64.0	83.125.67.255	DE
83.125.68.0	83.125.69.255	EU
83.125.70.0	83.125.79.255	DE
83.125.80.0	83.125.81.255	EU
83.125.82.0	83.125.83.255	DE
83.125.84.0	83.125.111.255	EU
83.125.112.0	83.125.116.15	DE
83.125.116.16	83.125.117.255	EU
83.125.118.0	83.125.127.255	DE
83.125.128.0	83.127.255.255	EU
83.128.0.0	83.128.255.255	NL
83.129.0.0	83.129.255.255	DE
83.130.0.0	83.130.255.255	IL
83.131.0.0	83.131.255.255	HR
83.132.0.0	83.132.255.255	PT
83.133.0.0	83.133.63.255	DE
83.133.64.0	83.133.67.255	DK
83.133.68.0	83.133.73.255	DE
83.133.74.0	83.133.83.255	EU
83.133.84.0	83.133.155.7	DE
83.133.155.8	83.133.155.255	EU
83.133.156.0	83.133.158.255	DE
83.133.159.0	83.133.159.255	EU
83.133.160.0	83.133.188.255	DE
83.133.189.0	83.133.189.127	EU
83.133.189.128	83.133.191.255	DE
83.133.192.0	83.133.207.255	EU
83.133.208.0	83.133.227.255	DE
83.133.228.0	83.133.239.255	EU
83.133.240.0	83.133.255.255	DE
83.134.0.0	83.134.255.255	BE
83.135.0.0	83.135.255.255	DE
83.136.0.0	83.136.5.31	GB
83.136.5.32	83.136.5.63	IN
83.136.5.64	83.136.5.95	GB
83.136.5.96	83.136.5.127	US
83.136.5.128	83.136.7.255	GB
83.136.8.0	83.136.8.31	AE
83.136.8.32	83.136.8.95	GR
83.136.8.96	83.136.8.127	SA
83.136.8.128	83.136.12.255	AE
83.136.13.0	83.136.13.255	GR
83.136.14.0	83.136.15.255	AE
83.136.16.0	83.136.23.255	NL
83.136.24.0	83.136.31.255	RU
83.136.32.0	83.136.39.255	AT
83.136.40.0	83.136.47.255	IE
83.136.48.0	83.136.55.255	RU
83.136.56.0	83.136.63.255	BH
83.136.64.0	83.136.71.255	GB
83.136.72.0	83.136.84.159	DE
83.136.84.160	83.136.84.191	GI
83.136.84.192	83.136.87.255	DE
83.136.88.0	83.136.95.255	DK
83.136.96.0	83.136.103.255	DE
83.136.104.0	83.136.111.255	IT
83.136.112.0	83.136.119.255	RU
83.136.120.0	83.136.127.255	GB
83.136.128.0	83.136.135.255	DE
83.136.136.0	83.136.143.255	LV
83.136.144.0	83.136.151.255	IT
83.136.152.0	83.136.159.255	PL
83.136.160.0	83.136.167.255	FR
83.136.168.0	83.136.175.255	IE
83.136.176.0	83.136.183.255	RS
83.136.184.0	83.136.191.255	ES
83.136.192.0	83.136.199.255	NL
83.136.200.0	83.136.207.255	CZ
83.136.208.0	83.136.215.255	FR
83.136.216.0	83.136.223.255	BE
83.136.224.0	83.136.231.255	PL
83.136.232.0	83.136.247.255	RU
83.137.0.0	83.137.7.255	GB
83.137.8.0	83.137.15.255	SE
83.137.16.0	83.137.23.255	NL
83.137.24.0	83.137.31.255	CH
83.137.32.0	83.137.39.255	DE
83.137.40.0	83.137.47.255	AT
83.137.48.0	83.137.55.255	RU
83.137.56.0	83.137.56.95	IT
83.137.56.96	83.137.57.255	A2
83.137.58.0	83.137.58.255	IT
83.137.59.0	83.137.63.255	A2
83.137.64.0	83.137.71.255	DE
83.137.72.0	83.137.87.255	CH
83.137.88.0	83.137.95.255	UA
83.137.96.0	83.137.103.255	DE
83.137.104.0	83.137.111.255	IT
83.137.112.0	83.137.113.151	AT
83.137.113.152	83.137.113.159	AE
83.137.113.160	83.137.119.255	AT
83.137.120.0	83.137.127.255	IT
83.137.128.0	83.137.135.255	GB
83.137.136.0	83.137.151.255	NL
83.137.152.0	83.137.159.255	HU
83.137.160.0	83.137.167.255	IT
83.137.168.0	83.137.175.255	DE
83.137.176.0	83.137.183.255	GB
83.137.184.0	83.137.191.255	DE
83.137.192.0	83.137.199.255	NL
83.137.200.0	83.137.207.255	NO
83.137.208.0	83.137.215.255	GB
83.137.216.0	83.137.223.255	RU
83.137.224.0	83.137.231.255	GB
83.137.232.0	83.137.239.255	IT
83.137.240.0	83.137.247.255	FR
83.137.248.0	83.137.248.255	JE
83.137.249.0	83.137.255.255	GB
83.138.0.0	83.138.7.255	NL
83.138.8.0	83.138.15.255	IE
83.138.16.0	83.138.39.255	GB
83.138.40.0	83.138.47.255	ES
83.138.48.0	83.138.55.255	RU
83.138.56.0	83.138.63.255	GB
83.138.64.0	83.138.127.255	DE
83.138.128.0	83.138.164.207	GB
83.138.164.208	83.138.164.215	NG
83.138.164.216	83.138.180.191	GB
83.138.180.192	83.138.180.255	IE
83.138.181.0	83.138.191.255	GB
83.138.192.0	83.138.255.255	ES
83.139.0.0	83.139.63.255	AM
83.139.64.0	83.139.127.255	HR
83.139.128.0	83.139.191.255	RU
83.139.192.0	83.139.255.255	IT
83.140.0.0	83.140.1.255	SE
83.140.2.0	83.140.2.31	DK
83.140.2.32	83.140.2.63	SE
83.140.2.64	83.140.2.127	DK
83.140.2.128	83.140.2.191	SE
83.140.2.192	83.140.2.223	DK
83.140.2.224	83.140.2.251	SE
83.140.2.252	83.140.2.255	DK
83.140.3.0	83.140.3.19	NO
83.140.3.20	83.140.3.31	SE
83.140.3.32	83.140.3.159	NO
83.140.3.160	83.140.7.255	SE
83.140.8.0	83.140.8.43	GB
83.140.8.44	83.140.8.47	SE
83.140.8.48	83.140.8.127	GB
83.140.8.128	83.140.8.207	SE
83.140.8.208	83.140.8.255	GB
83.140.9.0	83.140.9.15	NL
83.140.9.16	83.140.9.63	SE
83.140.9.64	83.140.9.127	NL
83.140.9.128	83.140.11.127	SE
83.140.11.128	83.140.11.143	DE
83.140.11.144	83.140.29.127	SE
83.140.29.128	83.140.29.143	DE
83.140.29.144	83.140.44.31	SE
83.140.44.32	83.140.44.35	GB
83.140.44.36	83.140.54.23	SE
83.140.54.24	83.140.54.31	DE
83.140.54.32	83.140.55.175	SE
83.140.55.176	83.140.55.179	GB
83.140.55.180	83.140.95.255	SE
83.140.96.0	83.140.97.255	FR
83.140.98.0	83.140.98.255	SE
83.140.99.0	83.140.99.255	GB
83.140.100.0	83.140.117.127	SE
83.140.117.128	83.140.117.143	FR
83.140.117.144	83.140.131.255	SE
83.140.132.0	83.140.132.255	NL
83.140.133.0	83.140.140.127	SE
83.140.140.128	83.140.140.143	DK
83.140.140.144	83.140.140.147	GB
83.140.140.148	83.140.170.255	SE
83.140.171.0	83.140.171.255	GB
83.140.172.0	83.140.173.79	SE
83.140.173.80	83.140.173.95	NL
83.140.173.96	83.140.173.175	SE
83.140.173.176	83.140.173.191	NL
83.140.173.192	83.140.220.255	SE
83.140.221.0	83.140.221.255	DE
83.140.222.0	83.140.229.255	SE
83.140.230.0	83.140.230.31	GB
83.140.230.32	83.140.230.47	SE
83.140.230.48	83.140.230.63	GB
83.140.230.64	83.140.230.207	SE
83.140.230.208	83.140.230.223	GB
83.140.230.224	83.140.230.239	SE
83.140.230.240	83.140.231.15	GB
83.140.231.16	83.140.231.47	SE
83.140.231.48	83.140.231.63	GB
83.140.231.64	83.140.231.207	SE
83.140.231.208	83.140.231.223	GB
83.140.231.224	83.140.231.239	SE
83.140.231.240	83.140.231.255	GB
83.140.232.0	83.140.240.31	SE
83.140.240.32	83.140.240.35	GB
83.140.240.36	83.140.240.79	SE
83.140.240.80	83.140.240.95	ES
83.140.240.96	83.140.241.255	SE
83.140.242.0	83.140.242.15	IT
83.140.242.16	83.140.242.39	SE
83.140.242.40	83.140.242.47	US
83.140.242.48	83.140.242.63	SE
83.140.242.64	83.140.242.79	NL
83.140.242.80	83.140.242.95	ES
83.140.242.96	83.140.242.99	GB
83.140.242.100	83.140.242.255	SE
83.140.243.0	83.140.243.15	DK
83.140.243.16	83.140.243.39	SE
83.140.243.40	83.140.243.47	GB
83.140.243.48	83.140.243.63	SE
83.140.243.64	83.140.243.79	NL
83.140.243.80	83.140.243.95	ES
83.140.243.96	83.140.243.99	GB
83.140.243.100	83.140.243.255	SE
83.140.244.0	83.140.244.15	NL
83.140.244.16	83.140.244.35	SE
83.140.244.36	83.140.244.39	NL
83.140.244.40	83.140.244.55	GB
83.140.244.56	83.140.244.63	SE
83.140.244.64	83.140.244.79	NL
83.140.244.80	83.140.244.95	ES
83.140.244.96	83.140.244.191	SE
83.140.244.192	83.140.244.207	DE
83.140.244.208	83.140.244.223	SE
83.140.244.224	83.140.244.255	IE
83.140.245.0	83.140.245.15	NO
83.140.245.16	83.140.245.63	SE
83.140.245.64	83.140.245.79	NL
83.140.245.80	83.140.245.95	ES
83.140.245.96	83.140.245.191	SE
83.140.245.192	83.140.245.207	DE
83.140.245.208	83.140.245.255	SE
83.140.246.0	83.140.246.15	FR
83.140.246.16	83.140.246.63	SE
83.140.246.64	83.140.246.79	NL
83.140.246.80	83.140.246.95	ES
83.140.246.96	83.140.246.191	SE
83.140.246.192	83.140.246.207	DE
83.140.246.208	83.140.246.255	SE
83.140.247.0	83.140.247.15	IT
83.140.247.16	83.140.247.79	SE
83.140.247.80	83.140.247.95	ES
83.140.247.96	83.140.247.191	SE
83.140.247.192	83.140.247.207	DE
83.140.247.208	83.140.248.31	SE
83.140.248.32	83.140.248.39	DK
83.140.248.40	83.140.248.43	SE
83.140.248.44	83.140.248.47	GB
83.140.248.48	83.140.248.191	SE
83.140.248.192	83.140.248.207	DE
83.140.248.208	83.140.248.255	SE
83.140.249.0	83.140.249.255	FR
83.140.250.0	83.140.254.143	SE
83.140.254.144	83.140.254.159	DE
83.140.254.160	83.140.255.255	SE
83.141.0.0	83.141.13.255	DE
83.141.14.0	83.141.14.255	AT
83.141.15.0	83.141.37.255	DE
83.141.38.0	83.141.38.255	GB
83.141.39.0	83.141.41.255	DE
83.141.42.0	83.141.43.255	SK
83.141.44.0	83.141.63.255	DE
83.141.64.0	83.141.127.255	IE
83.141.128.0	83.141.255.255	FR
83.142.0.0	83.142.7.255	SE
83.142.8.0	83.142.15.255	RU
83.142.16.0	83.142.23.255	BG
83.142.24.0	83.142.39.255	GB
83.142.40.0	83.142.47.255	PL
83.142.48.0	83.142.55.255	GB
83.142.56.0	83.142.63.255	PL
83.142.64.0	83.142.71.255	GB
83.142.72.0	83.142.79.255	FI
83.142.80.0	83.142.87.255	DE
83.142.88.0	83.142.95.255	CH
83.142.96.0	83.142.103.255	NO
83.142.104.0	83.142.111.255	UA
83.142.112.0	83.142.127.255	PL
83.142.128.0	83.142.135.255	DE
83.142.136.0	83.142.143.255	PL
83.142.144.0	83.142.151.255	FR
83.142.152.0	83.142.159.255	PL
83.142.160.0	83.142.167.255	RU
83.142.168.0	83.142.207.255	PL
83.142.208.0	83.142.215.255	UA
83.142.216.0	83.142.223.255	PL
83.142.224.0	83.142.231.255	GB
83.142.232.0	83.142.239.255	UA
83.142.240.0	83.142.247.255	ES
83.142.248.0	83.142.255.255	MT
83.143.0.0	83.143.7.255	DE
83.143.8.0	83.143.15.255	NG
83.143.16.0	83.143.23.255	FR
83.143.24.0	83.143.31.255	BW
83.143.32.0	83.143.39.255	RU
83.143.40.0	83.143.47.255	PL
83.143.48.0	83.143.55.255	RU
83.143.56.0	83.143.63.255	FI
83.143.64.0	83.143.71.255	RU
83.143.72.0	83.143.79.255	PL
83.143.80.0	83.143.87.255	NO
83.143.88.0	83.143.95.255	FI
83.143.96.0	83.143.103.255	PL
83.143.104.0	83.143.111.255	GR
83.143.112.0	83.143.119.255	NO
83.143.120.0	83.143.127.255	DK
83.143.128.0	83.143.143.255	PL
83.143.144.0	83.143.151.255	BG
83.143.152.0	83.143.159.255	RU
83.143.160.0	83.143.167.255	PL
83.143.168.0	83.143.175.255	KN
83.143.176.0	83.143.183.255	BG
83.143.184.0	83.143.191.255	NL
83.143.192.0	83.143.199.255	RU
83.143.200.0	83.143.207.255	UA
83.143.208.0	83.143.215.255	PL
83.143.216.0	83.143.223.255	FI
83.143.224.0	83.143.231.255	GB
83.143.232.0	83.143.239.255	UA
83.143.240.0	83.143.247.255	EU
83.143.248.0	83.143.255.255	BG
83.144.0.0	83.144.63.255	FR
83.144.64.0	83.144.127.255	PL
83.144.128.0	83.144.191.255	PT
83.144.192.0	83.144.255.255	CH
83.145.0.0	83.145.63.255	SE
83.145.64.0	83.145.127.255	FR
83.145.128.0	83.145.191.255	PL
83.145.192.0	83.145.220.191	FI
83.145.220.192	83.145.220.207	AX
83.145.220.208	83.145.255.255	FI
83.146.0.0	83.146.63.255	GB
83.146.64.0	83.146.127.255	RU
83.146.128.0	83.146.255.255	FI
83.147.0.0	83.147.63.255	ES
83.147.64.0	83.147.127.255	IT
83.147.128.0	83.147.191.255	IE
83.147.192.0	83.147.255.255	IR
83.148.0.0	83.148.63.255	CZ
83.148.64.0	83.148.127.255	BG
83.148.128.0	83.148.191.255	GB
83.148.192.0	83.148.255.255	FI
83.149.0.0	83.149.12.255	RU
83.149.13.0	83.149.13.255	MD
83.149.14.0	83.149.14.255	KG
83.149.15.0	83.149.15.255	TJ
83.149.16.0	83.149.63.255	RU
83.149.64.0	83.149.127.255	NL
83.149.128.0	83.149.191.255	IT
83.149.192.0	83.149.255.255	RU
83.150.0.0	83.150.63.255	CH
83.150.64.0	83.150.127.255	FI
83.150.128.0	83.150.191.255	SE
83.150.192.0	83.150.255.255	ES
83.151.0.0	83.151.15.255	RU
83.151.16.0	83.151.31.255	DE
83.151.32.0	83.151.47.255	PL
83.151.48.0	83.151.63.255	DE
83.151.64.0	83.151.69.255	FR
83.151.70.0	83.151.70.255	LU
83.151.71.0	83.151.71.255	FR
83.151.72.0	83.151.73.255	BE
83.151.74.0	83.151.75.255	FR
83.151.76.0	83.151.76.255	BE
83.151.77.0	83.151.77.255	FR
83.151.78.0	83.151.79.255	GB
83.151.80.0	83.151.80.255	DE
83.151.81.0	83.151.81.255	LU
83.151.82.0	83.151.83.255	FR
83.151.84.0	83.151.84.255	DE
83.151.85.0	83.151.86.255	CH
83.151.87.0	83.151.95.255	GB
83.151.96.0	83.151.103.255	US
83.151.104.0	83.151.111.255	GB
83.151.112.0	83.151.113.255	FR
83.151.114.0	83.151.115.255	GB
83.151.116.0	83.151.116.255	US
83.151.117.0	83.151.127.255	GB
83.151.128.0	83.151.191.255	DK
83.151.192.0	83.151.255.255	GB
83.152.0.0	83.159.255.255	FR
83.160.0.0	83.163.255.255	NL
83.164.0.0	83.164.255.255	AT
83.165.0.0	83.165.255.255	ES
83.166.0.0	83.166.31.255	SE
83.166.32.0	83.166.47.255	EE
83.166.48.0	83.166.48.15	TR
83.166.48.16	83.166.48.23	EE
83.166.48.24	83.166.48.27	US
83.166.48.28	83.166.48.47	EE
83.166.48.48	83.166.48.63	BG
83.166.48.64	83.166.48.71	EE
83.166.48.72	83.166.48.79	US
83.166.48.80	83.166.63.255	EE
83.166.64.0	83.166.95.255	GB
83.166.96.0	83.166.127.255	RU
83.166.128.0	83.166.159.255	NL
83.166.160.0	83.166.191.255	GB
83.166.192.0	83.166.223.255	RO
83.166.224.0	83.167.31.255	RU
83.167.32.0	83.167.43.215	FR
83.167.43.216	83.167.43.223	BE
83.167.43.224	83.167.62.111	FR
83.167.62.112	83.167.62.119	US
83.167.62.120	83.167.63.255	FR
83.167.64.0	83.167.127.255	RU
83.167.128.0	83.167.159.255	FR
83.167.160.0	83.167.191.255	GB
83.167.192.0	83.167.223.255	NL
83.167.224.0	83.167.255.255	CZ
83.168.0.0	83.168.63.255	CY
83.168.64.0	83.168.127.255	PL
83.168.128.0	83.168.191.255	SK
83.168.192.0	83.168.238.255	SE
83.168.239.0	83.168.239.255	GB
83.168.240.0	83.168.255.255	SE
83.169.0.0	83.169.63.255	DE
83.169.64.0	83.169.66.111	FR
83.169.66.112	83.169.66.127	MC
83.169.66.128	83.169.127.255	FR
83.169.128.0	83.169.191.255	DE
83.169.192.0	83.169.255.255	RU
83.170.0.0	83.170.22.255	DE
83.170.23.0	83.170.23.7	IR
83.170.23.8	83.170.25.255	DE
83.170.26.0	83.170.26.255	IR
83.170.27.0	83.170.32.255	DE
83.170.33.0	83.170.33.31	IR
83.170.33.32	83.170.33.63	KW
83.170.33.64	83.170.34.95	DE
83.170.34.96	83.170.34.127	IR
83.170.34.128	83.170.34.159	DE
83.170.34.160	83.170.34.223	IR
83.170.34.224	83.170.41.191	DE
83.170.41.192	83.170.41.255	IR
83.170.42.0	83.170.43.127	DE
83.170.43.128	83.170.43.159	IR
83.170.43.160	83.170.43.223	AE
83.170.43.224	83.170.43.254	IR
83.170.43.255	83.170.45.63	DE
83.170.45.64	83.170.45.95	IR
83.170.45.96	83.170.45.159	DE
83.170.45.160	83.170.45.191	IR
83.170.45.192	83.170.46.63	DE
83.170.46.64	83.170.46.95	IR
83.170.46.96	83.170.46.127	DE
83.170.46.128	83.170.46.159	IR
83.170.46.160	83.170.46.191	DE
83.170.46.192	83.170.46.223	IR
83.170.46.224	83.170.47.31	DE
83.170.47.32	83.170.47.63	IR
83.170.47.64	83.170.47.95	DE
83.170.47.96	83.170.47.127	AE
83.170.47.128	83.170.47.191	DE
83.170.47.192	83.170.47.223	AE
83.170.47.224	83.170.48.159	DE
83.170.48.160	83.170.48.191	IR
83.170.48.192	83.170.49.63	DE
83.170.49.64	83.170.49.95	IR
83.170.49.96	83.170.49.223	DE
83.170.49.224	83.170.50.63	IR
83.170.50.64	83.170.50.95	DE
83.170.50.96	83.170.50.127	AE
83.170.50.128	83.170.50.191	IR
83.170.50.192	83.170.51.31	DE
83.170.51.32	83.170.51.95	AE
83.170.51.96	83.170.51.255	DE
83.170.52.0	83.170.52.127	IR
83.170.52.128	83.170.52.151	DE
83.170.52.152	83.170.52.159	IR
83.170.52.160	83.170.52.167	DE
83.170.52.168	83.170.52.175	IQ
83.170.52.176	83.170.52.207	DE
83.170.52.208	83.170.52.215	AE
83.170.52.216	83.170.52.229	DE
83.170.52.230	83.170.52.230	IR
83.170.52.231	83.170.58.23	DE
83.170.58.24	83.170.58.31	TZ
83.170.58.32	83.170.63.255	DE
83.170.64.0	83.170.127.255	GB
83.170.128.0	83.170.151.255	A2
83.170.152.0	83.170.163.255	GB
83.170.164.0	83.170.191.255	A2
83.170.192.0	83.170.255.255	UA
83.171.0.0	83.171.63.255	LT
83.171.64.0	83.171.127.255	RU
83.171.128.0	83.171.191.255	DE
83.171.192.0	83.171.255.255	GR
83.172.0.0	83.172.63.255	RU
83.172.64.0	83.172.127.255	SE
83.172.128.0	83.172.191.255	NL
83.172.192.0	83.172.255.255	CH
83.173.0.0	83.173.63.255	IS
83.173.64.0	83.173.127.255	FR
83.173.128.0	83.173.191.255	ES
83.173.192.0	83.173.255.255	CH
83.174.0.0	83.174.63.255	PT
83.174.64.0	83.174.127.255	SE
83.174.128.0	83.174.191.255	GR
83.174.192.0	83.174.255.255	RU
83.175.0.0	83.175.63.255	IT
83.175.64.0	83.175.127.255	AT
83.175.128.0	83.175.191.255	PL
83.175.192.0	83.175.255.255	ES
83.176.0.0	83.176.127.255	SE
83.176.128.0	83.176.159.255	DE
83.176.160.0	83.178.37.255	SE
83.178.38.0	83.178.39.255	NO
83.178.40.0	83.178.47.255	SE
83.178.48.0	83.178.51.255	NO
83.178.52.0	83.178.55.255	SE
83.178.56.0	83.178.57.255	LT
83.178.58.0	83.178.59.255	EE
83.178.60.0	83.178.63.255	NO
83.178.64.0	83.178.71.255	SE
83.178.72.0	83.178.79.255	LV
83.178.80.0	83.178.83.255	LT
83.178.84.0	83.178.85.255	NO
83.178.86.0	83.178.89.255	LT
83.178.90.0	83.178.91.255	NO
83.178.92.0	83.178.95.255	LT
83.178.96.0	83.178.103.255	SE
83.178.104.0	83.178.111.255	NL
83.178.112.0	83.178.115.255	HR
83.178.116.0	83.178.127.255	SE
83.178.128.0	83.178.139.255	NO
83.178.140.0	83.178.147.255	LV
83.178.148.0	83.178.159.255	SE
83.178.160.0	83.178.175.255	LV
83.178.176.0	83.178.179.255	SE
83.178.180.0	83.178.183.255	EE
83.178.184.0	83.178.187.255	RU
83.178.188.0	83.178.189.255	LV
83.178.190.0	83.178.199.255	SE
83.178.200.0	83.178.205.255	RU
83.178.206.0	83.178.207.255	HR
83.178.208.0	83.178.223.255	LV
83.178.224.0	83.178.225.255	SE
83.178.226.0	83.178.227.255	NO
83.178.228.0	83.178.229.255	CH
83.178.230.0	83.178.233.255	SE
83.178.234.0	83.178.239.255	HR
83.178.240.0	83.179.255.255	SE
83.180.0.0	83.180.63.255	NL
83.180.64.0	83.181.31.255	SE
83.181.32.0	83.181.47.255	AT
83.181.48.0	83.181.63.255	SE
83.181.64.0	83.181.95.255	DE
83.181.96.0	83.181.127.255	SE
83.181.128.0	83.181.159.255	NL
83.181.160.0	83.185.47.255	SE
83.185.48.0	83.185.49.255	HR
83.185.50.0	83.186.255.255	SE
83.187.0.0	83.187.15.255	NL
83.187.16.0	83.187.147.255	SE
83.187.148.0	83.187.150.255	EE
83.187.151.0	83.187.151.255	SE
83.187.152.0	83.187.153.255	LV
83.187.154.0	83.187.159.255	SE
83.187.160.0	83.187.191.255	AT
83.187.192.0	83.187.255.255	SE
83.188.0.0	83.188.159.255	RU
83.188.160.0	83.188.167.255	LT
83.188.168.0	83.188.175.255	SE
83.188.176.0	83.188.179.255	LV
83.188.180.0	83.188.183.255	LT
83.188.184.0	83.188.255.255	SE
83.189.0.0	83.189.127.255	DE
83.189.128.0	83.189.223.255	SE
83.189.224.0	83.189.255.255	NL
83.190.0.0	83.191.95.255	SE
83.191.96.0	83.191.127.255	AT
83.191.128.0	83.191.143.255	SE
83.191.144.0	83.191.159.255	NO
83.191.160.0	83.191.191.255	DE
83.191.192.0	83.191.255.255	SE
83.192.0.0	83.207.255.255	FR
83.208.0.0	83.208.255.255	CZ
83.209.0.0	83.209.255.255	SE
83.210.0.0	83.210.255.255	IE
83.211.0.0	83.211.255.255	IT
83.212.0.0	83.212.255.255	GR
83.213.0.0	83.213.255.255	ES
83.214.0.0	83.214.255.255	FR
83.215.0.0	83.215.255.255	AT
83.216.0.0	83.216.31.255	FI
83.216.32.0	83.216.63.255	HU
83.216.64.0	83.216.95.255	GB
83.216.96.0	83.216.127.255	SE
83.216.128.0	83.216.159.255	GB
83.216.160.0	83.216.171.255	IT
83.216.172.0	83.216.175.255	A2
83.216.176.0	83.216.176.255	IT
83.216.177.0	83.216.191.255	A2
83.216.192.0	83.216.195.255	AT
83.216.196.0	83.216.197.255	NL
83.216.198.0	83.216.198.127	AT
83.216.198.128	83.216.198.255	NL
83.216.199.0	83.216.199.63	AT
83.216.199.64	83.216.201.255	NL
83.216.202.0	83.216.202.255	AT
83.216.203.0	83.216.203.255	NL
83.216.204.0	83.216.205.255	AT
83.216.206.0	83.216.206.255	NL
83.216.207.0	83.216.207.255	DE
83.216.208.0	83.216.213.255	GB
83.216.214.0	83.216.214.255	AT
83.216.215.0	83.216.215.255	GB
83.216.216.0	83.216.219.255	AT
83.216.220.0	83.216.223.255	GB
83.216.224.0	83.216.255.255	DE
83.217.0.0	83.217.63.255	RU
83.217.64.0	83.217.66.255	BE
83.217.67.0	83.217.68.31	NL
83.217.68.32	83.217.68.95	BE
83.217.68.96	83.217.68.127	NL
83.217.68.128	83.217.73.255	BE
83.217.74.0	83.217.74.255	NL
83.217.75.0	83.217.75.127	BE
83.217.75.128	83.217.75.255	NL
83.217.76.0	83.217.76.79	BE
83.217.76.80	83.217.76.127	NL
83.217.76.128	83.217.76.143	BE
83.217.76.144	83.217.76.223	NL
83.217.76.224	83.217.76.255	BE
83.217.77.0	83.217.77.255	NL
83.217.78.0	83.217.78.111	BE
83.217.78.112	83.217.78.127	NL
83.217.78.128	83.217.80.255	BE
83.217.81.0	83.217.83.255	NL
83.217.84.0	83.217.84.63	BE
83.217.84.64	83.217.84.159	NL
83.217.84.160	83.217.84.223	BE
83.217.84.224	83.217.84.255	NL
83.217.85.0	83.217.85.255	BE
83.217.86.0	83.217.86.127	NL
83.217.86.128	83.217.86.191	BE
83.217.86.192	83.217.86.255	NL
83.217.87.0	83.217.87.223	BE
83.217.87.224	83.217.87.239	NL
83.217.87.240	83.217.87.255	BE
83.217.88.0	83.217.95.255	NL
83.217.96.0	83.217.127.255	GB
83.217.128.0	83.217.159.255	BE
83.217.160.0	83.217.191.255	GB
83.217.192.0	83.217.223.255	RU
83.217.224.0	83.217.255.255	AM
83.218.0.0	83.218.31.255	GB
83.218.32.0	83.218.63.255	DE
83.218.64.0	83.218.95.255	SE
83.218.96.0	83.218.127.255	PL
83.218.128.0	83.218.159.255	GB
83.218.160.0	83.218.191.255	AT
83.218.192.0	83.218.223.255	MD
83.218.224.0	83.218.255.255	UA
83.219.0.0	83.219.31.255	RU
83.219.32.0	83.219.63.255	GB
83.219.64.0	83.219.95.255	NL
83.219.96.0	83.219.127.255	CH
83.219.128.0	83.219.159.255	RU
83.219.160.0	83.219.191.255	AT
83.219.192.0	83.219.223.255	SE
83.219.224.0	83.219.253.255	RU
83.219.254.0	83.219.255.255	DE
83.220.0.0	83.220.31.255	IT
83.220.32.0	83.220.95.255	RU
83.220.96.0	83.220.127.255	PL
83.220.128.0	83.220.146.63	DE
83.220.146.64	83.220.146.95	CH
83.220.146.96	83.220.146.103	BG
83.220.146.104	83.220.146.127	NL
83.220.146.128	83.220.147.255	DE
83.220.148.0	83.220.148.191	US
83.220.148.192	83.220.157.255	DE
83.220.158.0	83.220.158.31	GB
83.220.158.32	83.220.158.47	NL
83.220.158.48	83.220.159.255	DE
83.220.160.0	83.220.191.255	RU
83.220.192.0	83.220.223.255	IE
83.220.224.0	83.221.31.255	RU
83.221.32.0	83.221.95.255	DE
83.221.96.0	83.221.127.255	IT
83.221.128.0	83.221.129.255	DK
83.221.130.0	83.221.130.255	US
83.221.131.0	83.221.159.255	DK
83.221.160.0	83.221.163.255	UZ
83.221.164.0	83.221.167.255	RU
83.221.168.0	83.221.191.255	UZ
83.221.192.0	83.221.223.255	RU
83.221.224.0	83.221.255.255	DE
83.222.0.0	83.222.31.255	RU
83.222.32.0	83.222.63.255	LU
83.222.64.0	83.222.96.127	RU
83.222.96.128	83.222.96.143	DE
83.222.96.144	83.222.123.255	RU
83.222.124.0	83.222.127.255	US
83.222.128.0	83.222.159.255	CH
83.222.160.0	83.222.191.255	BG
83.222.192.0	83.222.223.255	RU
83.222.224.0	83.222.255.255	GB
83.223.0.0	83.223.31.255	SE
83.223.32.0	83.223.63.255	NL
83.223.64.0	83.223.95.255	DE
83.223.96.0	83.223.115.7	GB
83.223.115.8	83.223.115.31	NL
83.223.115.32	83.223.127.255	GB
83.223.128.0	83.223.159.255	LV
83.223.160.0	83.223.191.255	PT
83.223.192.0	83.223.223.255	GB
83.223.224.0	83.223.255.255	RU
83.224.0.0	83.225.255.255	IT
83.226.0.0	83.227.255.255	SE
83.228.0.0	83.228.127.255	BG
83.228.128.0	83.228.255.255	CH
83.229.0.0	83.229.0.7	A2
83.229.0.8	83.229.0.15	NG
83.229.0.16	83.229.0.31	A2
83.229.0.32	83.229.0.63	NG
83.229.0.64	83.229.0.71	UG
83.229.0.72	83.229.0.79	LR
83.229.0.80	83.229.0.87	SL
83.229.0.88	83.229.0.95	A2
83.229.0.96	83.229.0.103	AO
83.229.0.104	83.229.0.111	A2
83.229.0.112	83.229.0.119	NG
83.229.0.120	83.229.0.127	AO
83.229.0.128	83.229.0.135	GH
83.229.0.136	83.229.0.143	NG
83.229.0.144	83.229.0.159	A2
83.229.0.160	83.229.0.167	NG
83.229.0.168	83.229.0.175	A2
83.229.0.176	83.229.0.183	NG
83.229.0.184	83.229.0.191	A2
83.229.0.192	83.229.0.223	NG
83.229.0.224	83.229.0.239	A2
83.229.0.240	83.229.0.255	NG
83.229.1.0	83.229.1.255	ZW
83.229.2.0	83.229.2.127	GB
83.229.2.128	83.229.2.199	A2
83.229.2.200	83.229.2.207	CD
83.229.2.208	83.229.2.231	A2
83.229.2.232	83.229.2.255	NG
83.229.3.0	83.229.4.127	A2
83.229.4.128	83.229.4.191	NG
83.229.4.192	83.229.4.223	CD
83.229.4.224	83.229.4.255	A2
83.229.5.0	83.229.5.63	SL
83.229.5.64	83.229.5.79	ZA
83.229.5.80	83.229.5.87	A2
83.229.5.88	83.229.5.95	CD
83.229.5.96	83.229.5.111	NG
83.229.5.112	83.229.5.127	A2
83.229.5.128	83.229.5.159	FR
83.229.5.160	83.229.5.175	NG
83.229.5.176	83.229.5.183	KE
83.229.5.184	83.229.5.191	GH
83.229.5.192	83.229.5.207	ZA
83.229.5.208	83.229.5.215	NG
83.229.5.216	83.229.5.223	CD
83.229.5.224	83.229.5.231	GH
83.229.5.232	83.229.5.247	NG
83.229.5.248	83.229.5.255	AE
83.229.6.0	83.229.6.7	ZW
83.229.6.8	83.229.6.15	ZA
83.229.6.16	83.229.6.23	A2
83.229.6.24	83.229.6.47	NG
83.229.6.48	83.229.6.55	CD
83.229.6.56	83.229.6.61	GH
83.229.6.62	83.229.6.127	A2
83.229.6.128	83.229.6.135	CG
83.229.6.136	83.229.6.143	ZA
83.229.6.144	83.229.6.151	GH
83.229.6.152	83.229.6.159	NG
83.229.6.160	83.229.6.167	ZA
83.229.6.168	83.229.6.183	NG
83.229.6.184	83.229.6.191	CD
83.229.6.192	83.229.7.255	A2
83.229.8.0	83.229.8.63	AO
83.229.8.64	83.229.8.95	CD
83.229.8.96	83.229.8.111	A2
83.229.8.112	83.229.8.127	NG
83.229.8.128	83.229.8.191	A2
83.229.8.192	83.229.8.223	NG
83.229.8.224	83.229.8.255	A2
83.229.9.0	83.229.9.7	NG
83.229.9.8	83.229.9.15	A2
83.229.9.16	83.229.9.23	NG
83.229.9.24	83.229.9.31	A2
83.229.9.32	83.229.9.39	NG
83.229.9.40	83.229.9.47	AO
83.229.9.48	83.229.9.55	NG
83.229.9.56	83.229.9.63	AO
83.229.9.64	83.229.9.71	NG
83.229.9.72	83.229.9.79	A2
83.229.9.80	83.229.9.87	NG
83.229.9.88	83.229.9.95	BJ
83.229.9.96	83.229.9.103	CD
83.229.9.104	83.229.9.119	NG
83.229.9.120	83.229.9.127	CM
83.229.9.128	83.229.9.135	NG
83.229.9.136	83.229.9.159	SL
83.229.9.160	83.229.9.167	A2
83.229.9.168	83.229.9.175	AO
83.229.9.176	83.229.9.183	A2
83.229.9.184	83.229.9.191	AO
83.229.9.192	83.229.9.199	NG
83.229.9.200	83.229.9.207	SL
83.229.9.208	83.229.9.215	NG
83.229.9.216	83.229.9.223	CD
83.229.9.224	83.229.9.231	AO
83.229.9.232	83.229.9.239	TG
83.229.9.240	83.229.9.247	NG
83.229.9.248	83.229.9.255	A2
83.229.10.0	83.229.11.127	NG
83.229.11.128	83.229.11.255	A2
83.229.12.0	83.229.12.7	NG
83.229.12.8	83.229.12.15	A2
83.229.12.16	83.229.12.31	NG
83.229.12.32	83.229.12.39	A2
83.229.12.40	83.229.12.47	NG
83.229.12.48	83.229.12.55	IQ
83.229.12.56	83.229.12.95	A2
83.229.12.96	83.229.12.111	NG
83.229.12.112	83.229.12.119	A2
83.229.12.120	83.229.12.127	NG
83.229.12.128	83.229.14.15	A2
83.229.14.16	83.229.14.23	NG
83.229.14.24	83.229.14.47	A2
83.229.14.48	83.229.14.71	NG
83.229.14.72	83.229.14.79	SL
83.229.14.80	83.229.14.87	A2
83.229.14.88	83.229.14.103	NG
83.229.14.104	83.229.14.111	CD
83.229.14.112	83.229.14.119	A2
83.229.14.120	83.229.14.141	NG
83.229.14.142	83.229.14.143	A2
83.229.14.144	83.229.14.167	NG
83.229.14.168	83.229.14.183	A2
83.229.14.184	83.229.14.191	CD
83.229.14.192	83.229.14.207	NG
83.229.14.208	83.229.15.7	A2
83.229.15.8	83.229.15.15	CD
83.229.15.16	83.229.15.31	NG
83.229.15.32	83.229.15.39	A2
83.229.15.40	83.229.15.47	NG
83.229.15.48	83.229.15.55	SL
83.229.15.56	83.229.15.63	NG
83.229.15.64	83.229.15.95	A2
83.229.15.96	83.229.15.103	AO
83.229.15.104	83.229.15.111	A2
83.229.15.112	83.229.15.119	NG
83.229.15.120	83.229.15.127	A2
83.229.15.128	83.229.15.143	NG
83.229.15.144	83.229.15.151	GA
83.229.15.152	83.229.15.159	A2
83.229.15.160	83.229.15.167	CM
83.229.15.168	83.229.15.175	A2
83.229.15.176	83.229.15.183	NG
83.229.15.184	83.229.15.199	A2
83.229.15.200	83.229.15.207	NG
83.229.15.208	83.229.15.215	A2
83.229.15.216	83.229.15.223	AO
83.229.15.224	83.229.15.247	A2
83.229.15.248	83.229.15.255	CD
83.229.16.0	83.229.16.7	ZW
83.229.16.8	83.229.16.15	A2
83.229.16.16	83.229.16.23	SD
83.229.16.24	83.229.16.71	A2
83.229.16.72	83.229.16.79	NG
83.229.16.80	83.229.16.87	ZM
83.229.16.88	83.229.16.95	A2
83.229.16.96	83.229.16.103	NG
83.229.16.104	83.229.16.127	A2
83.229.16.128	83.229.16.135	AO
83.229.16.136	83.229.16.143	NG
83.229.16.144	83.229.16.151	ZW
83.229.16.152	83.229.16.159	IQ
83.229.16.160	83.229.16.175	A2
83.229.16.176	83.229.16.183	IQ
83.229.16.184	83.229.16.191	ZW
83.229.16.192	83.229.16.199	TZ
83.229.16.200	83.229.16.207	CD
83.229.16.208	83.229.16.215	A2
83.229.16.216	83.229.16.223	ZM
83.229.16.224	83.229.16.231	AO
83.229.16.232	83.229.16.255	A2
83.229.17.0	83.229.17.7	ZW
83.229.17.8	83.229.17.31	A2
83.229.17.32	83.229.17.39	KE
83.229.17.40	83.229.17.103	A2
83.229.17.104	83.229.17.111	NG
83.229.17.112	83.229.18.135	A2
83.229.18.136	83.229.18.143	LR
83.229.18.144	83.229.20.255	A2
83.229.21.0	83.229.21.255	TZ
83.229.22.0	83.229.22.15	A2
83.229.22.16	83.229.22.23	BF
83.229.22.24	83.229.22.31	NG
83.229.22.32	83.229.22.47	SO
83.229.22.48	83.229.22.55	CD
83.229.22.56	83.229.22.63	NG
83.229.22.64	83.229.22.71	A2
83.229.22.72	83.229.22.79	LR
83.229.22.80	83.229.22.95	A2
83.229.22.96	83.229.22.103	NG
83.229.22.104	83.229.22.111	LR
83.229.22.112	83.229.22.127	NG
83.229.22.128	83.229.22.135	IQ
83.229.22.136	83.229.22.136	NG
83.229.22.137	83.229.22.159	A2
83.229.22.160	83.229.22.175	NG
83.229.22.176	83.229.22.183	CD
83.229.22.184	83.229.22.191	A2
83.229.22.192	83.229.22.199	NG
83.229.22.200	83.229.22.223	A2
83.229.22.224	83.229.22.255	NG
83.229.23.0	83.229.23.7	A2
83.229.23.8	83.229.23.15	NG
83.229.23.16	83.229.23.23	A2
83.229.23.24	83.229.23.31	NG
83.229.23.32	83.229.23.55	A2
83.229.23.56	83.229.23.63	NG
83.229.23.64	83.229.23.79	A2
83.229.23.80	83.229.23.87	GQ
83.229.23.88	83.229.23.95	NG
83.229.23.96	83.229.23.111	A2
83.229.23.112	83.229.23.119	ZM
83.229.23.120	83.229.23.127	IQ
83.229.23.128	83.229.23.135	LR
83.229.23.136	83.229.23.143	A2
83.229.23.144	83.229.23.151	NG
83.229.23.152	83.229.23.167	A2
83.229.23.168	83.229.23.175	CD
83.229.23.176	83.229.23.215	A2
83.229.23.216	83.229.23.239	NG
83.229.23.240	83.229.23.247	ZM
83.229.23.248	83.229.23.255	IQ
83.229.24.0	83.229.24.255	ZW
83.229.25.0	83.229.25.207	A2
83.229.25.208	83.229.25.215	MZ
83.229.25.216	83.229.25.223	NG
83.229.25.224	83.229.25.255	A2
83.229.26.0	83.229.26.15	MW
83.229.26.16	83.229.26.23	NG
83.229.26.24	83.229.26.31	LU
83.229.26.32	83.229.26.39	ZW
83.229.26.40	83.229.26.47	NG
83.229.26.48	83.229.26.63	A2
83.229.26.64	83.229.26.127	ZW
83.229.26.128	83.229.26.191	MW
83.229.26.192	83.229.26.207	A2
83.229.26.208	83.229.26.223	NG
83.229.26.224	83.229.26.231	CM
83.229.26.232	83.229.26.239	KE
83.229.26.240	83.229.26.247	A2
83.229.26.248	83.229.26.255	MW
83.229.27.0	83.229.27.255	SO
83.229.28.0	83.229.29.255	MW
83.229.30.0	83.229.30.255	GB
83.229.31.0	83.229.31.7	A2
83.229.31.8	83.229.31.15	CM
83.229.31.16	83.229.31.23	NG
83.229.31.24	83.229.31.31	BF
83.229.31.32	83.229.31.47	A2
83.229.31.48	83.229.31.55	NG
83.229.31.56	83.229.31.79	A2
83.229.31.80	83.229.31.95	MZ
83.229.31.96	83.229.32.207	A2
83.229.32.208	83.229.32.215	NG
83.229.32.216	83.229.39.255	A2
83.229.40.0	83.229.43.255	MZ
83.229.44.0	83.229.48.63	A2
83.229.48.64	83.229.48.127	NG
83.229.48.128	83.229.48.135	TZ
83.229.48.136	83.229.48.143	ZW
83.229.48.144	83.229.48.151	NG
83.229.48.152	83.229.48.167	A2
83.229.48.168	83.229.48.175	ZW
83.229.48.176	83.229.48.183	US
83.229.48.184	83.229.48.191	ZW
83.229.48.192	83.229.48.223	A2
83.229.48.224	83.229.48.231	NG
83.229.48.232	83.229.48.239	MZ
83.229.48.240	83.229.48.247	A2
83.229.48.248	83.229.48.255	NG
83.229.49.0	83.229.55.255	A2
83.229.56.0	83.229.58.255	NG
83.229.59.0	83.229.61.255	A2
83.229.62.0	83.229.62.7	UG
83.229.62.8	83.229.62.15	AO
83.229.62.16	83.229.62.39	A2
83.229.62.40	83.229.62.47	ZW
83.229.62.48	83.229.62.63	A2
83.229.62.64	83.229.62.71	ZW
83.229.62.72	83.229.62.79	KG
83.229.62.80	83.229.62.87	A2
83.229.62.88	83.229.62.95	MW
83.229.62.96	83.229.62.103	TZ
83.229.62.104	83.229.62.119	A2
83.229.62.120	83.229.62.127	TZ
83.229.62.128	83.229.62.255	ZW
83.229.63.0	83.229.63.127	SO
83.229.63.128	83.229.63.255	A2
83.229.64.0	83.229.64.255	NG
83.229.65.0	83.229.65.15	AO
83.229.65.16	83.229.65.31	A2
83.229.65.32	83.229.65.47	NG
83.229.65.48	83.229.65.63	A2
83.229.65.64	83.229.65.95	CD
83.229.65.96	83.229.65.111	A2
83.229.65.112	83.229.65.255	GH
83.229.66.0	83.229.66.23	NG
83.229.66.24	83.229.66.39	A2
83.229.66.40	83.229.66.63	NG
83.229.66.64	83.229.66.95	IQ
83.229.66.96	83.229.66.111	A2
83.229.66.112	83.229.66.127	NG
83.229.66.128	83.229.66.143	A2
83.229.66.144	83.229.66.151	ZW
83.229.66.152	83.229.66.159	SL
83.229.66.160	83.229.66.167	A2
83.229.66.168	83.229.66.175	GN
83.229.66.176	83.229.66.183	NG
83.229.66.184	83.229.66.191	A2
83.229.66.192	83.229.66.215	NG
83.229.66.216	83.229.66.247	A2
83.229.66.248	83.229.66.255	NG
83.229.67.0	83.229.67.255	A2
83.229.68.0	83.229.68.255	AE
83.229.69.0	83.229.69.23	A2
83.229.69.24	83.229.69.47	NG
83.229.69.48	83.229.69.55	A2
83.229.69.56	83.229.69.63	AO
83.229.69.64	83.229.69.71	NG
83.229.69.72	83.229.69.79	CI
83.229.69.80	83.229.69.111	A2
83.229.69.112	83.229.69.127	NG
83.229.69.128	83.229.69.207	A2
83.229.69.208	83.229.69.223	GH
83.229.69.224	83.229.69.231	NG
83.229.69.232	83.229.69.239	A2
83.229.69.240	83.229.69.247	CD
83.229.69.248	83.229.69.255	A2
83.229.70.0	83.229.70.135	NG
83.229.70.136	83.229.70.143	A2
83.229.70.144	83.229.70.183	NG
83.229.70.184	83.229.70.191	ML
83.229.70.192	83.229.70.199	CD
83.229.70.200	83.229.70.255	A2
83.229.71.0	83.229.71.255	CM
83.229.72.0	83.229.73.255	GA
83.229.74.0	83.229.75.255	A2
83.229.76.0	83.229.77.255	GA
83.229.78.0	83.229.78.255	CD
83.229.79.0	83.229.79.7	A2
83.229.79.8	83.229.79.23	ZW
83.229.79.24	83.229.79.39	A2
83.229.79.40	83.229.79.47	NG
83.229.79.48	83.229.79.55	AO
83.229.79.56	83.229.79.87	A2
83.229.79.88	83.229.79.95	IQ
83.229.79.96	83.229.79.135	A2
83.229.79.136	83.229.79.143	NG
83.229.79.144	83.229.79.151	A2
83.229.79.152	83.229.79.159	NG
83.229.79.160	83.229.79.175	GH
83.229.79.176	83.229.79.191	NG
83.229.79.192	83.229.79.199	GH
83.229.79.200	83.229.79.207	A2
83.229.79.208	83.229.79.215	NG
83.229.79.216	83.229.79.223	LR
83.229.79.224	83.229.79.239	A2
83.229.79.240	83.229.79.247	NG
83.229.79.248	83.229.80.15	A2
83.229.80.16	83.229.80.23	ZM
83.229.80.24	83.229.80.39	NG
83.229.80.40	83.229.80.47	A2
83.229.80.48	83.229.80.55	NG
83.229.80.56	83.229.80.63	A2
83.229.80.64	83.229.80.103	NG
83.229.80.104	83.229.80.111	A2
83.229.80.112	83.229.80.127	NG
83.229.80.128	83.229.80.135	LR
83.229.80.136	83.229.80.143	NG
83.229.80.144	83.229.80.151	A2
83.229.80.152	83.229.80.159	NG
83.229.80.160	83.229.80.175	A2
83.229.80.176	83.229.80.199	NG
83.229.80.200	83.229.80.207	A2
83.229.80.208	83.229.80.215	LR
83.229.80.216	83.229.80.239	NG
83.229.80.240	83.229.80.247	LR
83.229.80.248	83.229.81.15	A2
83.229.81.16	83.229.81.47	NG
83.229.81.48	83.229.81.71	A2
83.229.81.72	83.229.81.79	CM
83.229.81.80	83.229.81.87	GH
83.229.81.88	83.229.81.103	NG
83.229.81.104	83.229.81.111	LR
83.229.81.112	83.229.81.119	A2
83.229.81.120	83.229.81.127	NG
83.229.81.128	83.229.81.135	LR
83.229.81.136	83.229.81.151	A2
83.229.81.152	83.229.81.159	NG
83.229.81.160	83.229.81.167	A2
83.229.81.168	83.229.81.231	NG
83.229.81.232	83.229.81.255	A2
83.229.82.0	83.229.82.7	AO
83.229.82.8	83.229.82.15	NG
83.229.82.16	83.229.82.23	IQ
83.229.82.24	83.229.82.39	A2
83.229.82.40	83.229.82.71	NG
83.229.82.72	83.229.82.79	A2
83.229.82.80	83.229.82.87	IQ
83.229.82.88	83.229.82.183	NG
83.229.82.184	83.229.82.191	A2
83.229.82.192	83.229.82.199	NG
83.229.82.200	83.229.82.207	A2
83.229.82.208	83.229.82.215	IQ
83.229.82.216	83.229.82.223	A2
83.229.82.224	83.229.82.231	NG
83.229.82.232	83.229.82.239	IQ
83.229.82.240	83.229.82.247	A2
83.229.82.248	83.229.83.7	NG
83.229.83.8	83.229.83.15	A2
83.229.83.16	83.229.83.23	GH
83.229.83.24	83.229.83.39	NG
83.229.83.40	83.229.83.47	A2
83.229.83.48	83.229.83.71	NG
83.229.83.72	83.229.83.79	IQ
83.229.83.80	83.229.83.103	NG
83.229.83.104	83.229.83.119	A2
83.229.83.120	83.229.83.127	IQ
83.229.83.128	83.229.83.135	NG
83.229.83.136	83.229.83.151	LU
83.229.83.152	83.229.83.159	NG
83.229.83.160	83.229.83.167	A2
83.229.83.168	83.229.83.175	AO
83.229.83.176	83.229.83.191	A2
83.229.83.192	83.229.83.199	LR
83.229.83.200	83.229.83.215	NG
83.229.83.216	83.229.83.223	A2
83.229.83.224	83.229.83.231	GN
83.229.83.232	83.229.83.247	A2
83.229.83.248	83.229.83.255	IQ
83.229.84.0	83.229.84.119	AT
83.229.84.120	83.229.84.127	AO
83.229.84.128	83.229.84.255	AT
83.229.85.0	83.229.85.7	A2
83.229.85.8	83.229.85.15	NG
83.229.85.16	83.229.85.31	A2
83.229.85.32	83.229.85.39	ZM
83.229.85.40	83.229.85.47	NG
83.229.85.48	83.229.85.63	A2
83.229.85.64	83.229.85.71	NG
83.229.85.72	83.229.85.127	A2
83.229.85.128	83.229.85.191	CD
83.229.85.192	83.229.85.231	A2
83.229.85.232	83.229.85.255	NG
83.229.86.0	83.229.86.63	A2
83.229.86.64	83.229.86.95	NG
83.229.86.96	83.229.86.159	A2
83.229.86.160	83.229.86.175	NG
83.229.86.176	83.229.86.191	GE
83.229.86.192	83.229.86.199	A2
83.229.86.200	83.229.86.207	NG
83.229.86.208	83.229.86.223	A2
83.229.86.224	83.229.86.231	GH
83.229.86.232	83.229.86.239	A2
83.229.86.240	83.229.86.247	NG
83.229.86.248	83.229.86.255	GH
83.229.87.0	83.229.87.23	A2
83.229.87.24	83.229.87.31	CM
83.229.87.32	83.229.87.39	NG
83.229.87.40	83.229.87.47	SL
83.229.87.48	83.229.87.55	A2
83.229.87.56	83.229.87.63	NG
83.229.87.64	83.229.87.111	A2
83.229.87.112	83.229.87.119	NG
83.229.87.120	83.229.87.127	A2
83.229.87.128	83.229.87.135	NG
83.229.87.136	83.229.87.143	A2
83.229.87.144	83.229.87.151	AO
83.229.87.152	83.229.87.159	A2
83.229.87.160	83.229.87.167	NG
83.229.87.168	83.229.87.199	A2
83.229.87.200	83.229.87.207	NG
83.229.87.208	83.229.87.223	A2
83.229.87.224	83.229.87.231	TD
83.229.87.232	83.229.87.239	GH
83.229.87.240	83.229.87.255	NG
83.229.88.0	83.229.88.255	GE
83.229.89.0	83.229.90.255	NG
83.229.91.0	83.229.96.223	A2
83.229.96.224	83.229.96.247	NG
83.229.96.248	83.229.97.31	A2
83.229.97.32	83.229.97.39	CM
83.229.97.40	83.229.97.47	A2
83.229.97.48	83.229.97.55	NG
83.229.97.56	83.229.97.63	GH
83.229.97.64	83.229.97.199	A2
83.229.97.200	83.229.97.215	NG
83.229.97.216	83.229.97.223	A2
83.229.97.224	83.229.97.231	NG
83.229.97.232	83.229.97.247	A2
83.229.97.248	83.229.97.255	NG
83.229.98.0	83.229.98.127	A2
83.229.98.128	83.229.99.127	NG
83.229.99.128	83.229.101.15	A2
83.229.101.16	83.229.101.23	LR
83.229.101.24	83.229.101.47	A2
83.229.101.48	83.229.101.55	CD
83.229.101.56	83.229.101.63	A2
83.229.101.64	83.229.101.71	NG
83.229.101.72	83.229.101.79	TG
83.229.101.80	83.229.101.95	A2
83.229.101.96	83.229.101.103	BJ
83.229.101.104	83.229.101.111	NG
83.229.101.112	83.229.101.127	A2
83.229.101.128	83.229.101.135	SL
83.229.101.136	83.229.101.143	A2
83.229.101.144	83.229.101.151	CM
83.229.101.152	83.229.101.159	NG
83.229.101.160	83.229.101.167	CD
83.229.101.168	83.229.101.175	NG
83.229.101.176	83.229.101.191	A2
83.229.101.192	83.229.101.207	NG
83.229.101.208	83.229.101.239	A2
83.229.101.240	83.229.101.247	GA
83.229.101.248	83.229.101.255	NG
83.229.102.0	83.229.102.7	A2
83.229.102.8	83.229.102.15	NG
83.229.102.16	83.229.102.47	A2
83.229.102.48	83.229.102.79	NG
83.229.102.80	83.229.102.119	A2
83.229.102.120	83.229.102.127	CD
83.229.102.128	83.229.102.255	AT
83.229.103.0	83.229.103.127	A2
83.229.103.128	83.229.103.143	GH
83.229.103.144	83.229.103.199	NG
83.229.103.200	83.229.103.215	A2
83.229.103.216	83.229.103.223	NG
83.229.103.224	83.229.103.239	A2
83.229.103.240	83.229.103.247	NG
83.229.103.248	83.229.111.255	A2
83.229.112.0	83.229.115.255	SL
83.229.116.0	83.229.116.127	AE
83.229.116.128	83.229.117.255	A2
83.229.118.0	83.229.118.255	ZW
83.229.119.0	83.229.119.7	A2
83.229.119.8	83.229.119.15	GH
83.229.119.16	83.229.119.31	A2
83.229.119.32	83.229.119.39	NG
83.229.119.40	83.229.119.47	GH
83.229.119.48	83.229.119.63	NG
83.229.119.64	83.229.119.71	AO
83.229.119.72	83.229.119.79	TD
83.229.119.80	83.229.119.87	SL
83.229.119.88	83.229.119.95	A2
83.229.119.96	83.229.119.119	SL
83.229.119.120	83.229.119.127	A2
83.229.119.128	83.229.119.135	SL
83.229.119.136	83.229.119.159	NG
83.229.119.160	83.229.119.167	A2
83.229.119.168	83.229.119.175	SL
83.229.119.176	83.229.119.191	NG
83.229.119.192	83.229.119.199	A2
83.229.119.200	83.229.119.207	CI
83.229.119.208	83.229.122.7	NG
83.229.122.8	83.229.122.15	A2
83.229.122.16	83.229.122.23	CG
83.229.122.24	83.229.122.39	A2
83.229.122.40	83.229.122.47	BJ
83.229.122.48	83.229.122.79	A2
83.229.122.80	83.229.122.95	BJ
83.229.122.96	83.229.122.119	A2
83.229.122.120	83.229.122.127	NG
83.229.122.128	83.229.122.143	A2
83.229.122.144	83.229.122.151	GA
83.229.122.152	83.229.122.159	NG
83.229.122.160	83.229.122.207	A2
83.229.122.208	83.229.122.215	CI
83.229.122.216	83.229.122.223	A2
83.229.122.224	83.229.122.239	CM
83.229.122.240	83.229.122.247	A2
83.229.122.248	83.229.123.255	NG
83.229.124.0	83.229.124.127	GE
83.229.124.128	83.229.126.255	A2
83.229.127.0	83.229.127.255	GE
83.229.128.0	83.229.255.255	RU
83.230.0.0	83.230.127.255	PL
83.230.128.0	83.231.127.255	ES
83.231.128.0	83.231.131.255	GB
83.231.132.0	83.231.132.103	FR
83.231.132.104	83.231.133.191	GB
83.231.133.192	83.231.133.207	ES
83.231.133.208	83.231.134.255	GB
83.231.135.0	83.231.135.255	FR
83.231.136.0	83.231.137.63	GB
83.231.137.64	83.231.137.95	FI
83.231.137.96	83.231.154.255	GB
83.231.155.0	83.231.155.255	ES
83.231.156.0	83.231.185.111	GB
83.231.185.112	83.231.185.119	ES
83.231.185.120	83.231.205.47	GB
83.231.205.48	83.231.205.63	DE
83.231.205.64	83.231.211.255	GB
83.231.212.0	83.231.212.255	FR
83.231.213.0	83.231.214.255	GB
83.231.215.0	83.231.215.127	FR
83.231.215.128	83.231.215.255	GB
83.231.216.0	83.231.217.111	FR
83.231.217.112	83.231.217.119	GB
83.231.217.120	83.231.217.159	FR
83.231.217.160	83.231.217.239	GB
83.231.217.240	83.231.219.63	FR
83.231.219.64	83.231.219.127	GB
83.231.219.128	83.231.219.231	FR
83.231.219.232	83.231.219.255	GB
83.231.220.0	83.231.220.63	FR
83.231.220.64	83.231.220.127	GB
83.231.220.128	83.231.220.255	FR
83.231.221.0	83.231.221.63	GB
83.231.221.64	83.231.221.127	FR
83.231.221.128	83.231.224.119	GB
83.231.224.120	83.231.224.127	ES
83.231.224.128	83.231.224.159	GB
83.231.224.160	83.231.224.207	ES
83.231.224.208	83.231.225.255	GB
83.231.226.0	83.231.226.127	FR
83.231.226.128	83.231.226.159	GB
83.231.226.160	83.231.226.191	FR
83.231.226.192	83.231.228.255	GB
83.231.229.0	83.231.229.55	FR
83.231.229.56	83.231.234.55	GB
83.231.234.56	83.231.234.191	CH
83.231.234.192	83.231.234.255	GB
83.231.235.0	83.231.235.31	CH
83.231.235.32	83.231.239.255	GB
83.231.240.0	83.231.241.191	DE
83.231.241.192	83.231.243.255	GB
83.231.244.0	83.231.244.31	ES
83.231.244.32	83.231.246.255	GB
83.231.247.0	83.231.248.87	FR
83.231.248.88	83.231.248.95	GB
83.231.248.96	83.231.249.135	FR
83.231.249.136	83.231.249.143	GB
83.231.249.144	83.231.249.239	FR
83.231.249.240	83.231.251.207	GB
83.231.251.208	83.231.251.223	FR
83.231.251.224	83.231.253.255	GB
83.231.254.0	83.231.254.63	DE
83.231.254.64	83.231.254.119	GB
83.231.254.120	83.231.255.255	DE
83.232.0.0	83.232.255.255	NL
83.233.0.0	83.233.255.255	SE
83.234.0.0	83.234.255.255	RU
83.235.0.0	83.235.255.255	GR
83.236.0.0	83.236.255.255	DE
83.237.0.0	83.237.255.255	RU
83.238.0.0	83.238.255.255	PL
83.239.0.0	83.239.255.255	RU
83.240.0.0	83.240.127.255	CZ
83.240.128.0	83.240.255.255	PT
83.241.0.0	83.241.127.255	LV
83.241.128.0	83.241.131.239	SE
83.241.131.240	83.241.131.247	FI
83.241.131.248	83.241.144.79	SE
83.241.144.80	83.241.144.87	NO
83.241.144.88	83.241.225.231	SE
83.241.225.232	83.241.225.239	DK
83.241.225.240	83.241.255.255	SE
83.242.0.0	83.242.31.255	NO
83.242.32.0	83.242.63.255	DE
83.242.64.0	83.242.95.255	PL
83.242.96.0	83.242.127.255	NL
83.242.128.0	83.242.255.255	RU
83.243.0.0	83.243.7.255	DE
83.243.8.0	83.243.15.255	LU
83.243.16.0	83.243.23.255	FR
83.243.24.0	83.243.31.255	SE
83.243.32.0	83.243.39.255	PL
83.243.40.0	83.243.63.255	DE
83.243.64.0	83.243.79.255	RU
83.243.80.0	83.243.87.255	DE
83.243.88.0	83.243.95.255	LV
83.243.96.0	83.243.103.255	GB
83.243.104.0	83.243.111.255	PL
83.243.112.0	83.243.119.255	DE
83.243.120.0	83.243.127.255	RO
83.243.128.0	83.243.255.255	NO
83.244.0.0	83.244.127.255	PS
83.244.128.0	83.245.10.111	GB
83.245.10.112	83.245.10.119	IE
83.245.10.120	83.245.37.127	GB
83.245.37.128	83.245.37.191	IE
83.245.37.192	83.245.38.255	GB
83.245.39.0	83.245.39.7	IE
83.245.39.8	83.245.73.255	GB
83.245.74.0	83.245.75.255	IE
83.245.76.0	83.245.78.191	GB
83.245.78.192	83.245.78.255	IE
83.245.79.0	83.245.98.31	GB
83.245.98.32	83.245.98.47	IM
83.245.98.48	83.245.99.255	GB
83.245.100.0	83.245.100.255	BE
83.245.101.0	83.245.127.255	GB
83.245.128.0	83.245.255.255	FI
83.246.0.0	83.246.15.255	RO
83.246.16.0	83.246.127.255	DE
83.246.128.0	83.246.255.255	RU
83.247.0.0	83.247.127.255	NL
83.247.128.0	83.247.255.255	ES
83.248.0.0	83.255.255.255	SE
84.0.0.0	84.1.41.255	HU
84.1.42.0	84.1.47.255	BG
84.1.48.0	84.1.239.255	HU
84.1.240.0	84.1.247.255	BG
84.1.248.0	84.2.50.255	HU
84.2.51.0	84.2.52.255	RO
84.2.53.0	84.3.255.255	HU
84.4.0.0	84.7.255.255	FR
84.8.0.0	84.9.255.255	GB
84.10.0.0	84.10.255.255	PL
84.11.0.0	84.11.1.255	DE
84.11.2.0	84.11.2.255	IR
84.11.3.0	84.11.5.255	DE
84.11.6.0	84.11.6.31	AE
84.11.6.32	84.11.6.255	DE
84.11.7.0	84.11.7.79	US
84.11.7.80	84.11.8.255	DE
84.11.9.0	84.11.9.135	US
84.11.9.136	84.11.9.143	DE
84.11.9.144	84.11.9.191	GI
84.11.9.192	84.11.12.255	DE
84.11.13.0	84.11.13.31	IR
84.11.13.32	84.11.13.63	LY
84.11.13.64	84.11.13.175	DE
84.11.13.176	84.11.13.207	LY
84.11.13.208	84.11.13.223	DE
84.11.13.224	84.11.13.231	LY
84.11.13.232	84.11.13.239	IR
84.11.13.240	84.11.13.255	LY
84.11.14.0	84.11.14.63	DE
84.11.14.64	84.11.14.79	IR
84.11.14.80	84.11.14.95	DE
84.11.14.96	84.11.14.127	LY
84.11.14.128	84.11.14.199	DE
84.11.14.200	84.11.14.207	IR
84.11.14.208	84.11.14.255	DE
84.11.15.0	84.11.15.255	IR
84.11.16.0	84.11.18.255	DE
84.11.19.0	84.11.19.15	US
84.11.19.16	84.11.19.255	DE
84.11.20.0	84.11.20.255	IQ
84.11.21.0	84.11.23.255	DE
84.11.24.0	84.11.24.255	ES
84.11.25.0	84.11.25.31	IR
84.11.25.32	84.11.25.95	AE
84.11.25.96	84.11.25.127	IR
84.11.25.128	84.11.25.191	AE
84.11.25.192	84.11.25.223	IR
84.11.25.224	84.11.25.255	AE
84.11.26.0	84.11.26.31	KW
84.11.26.32	84.11.26.63	AE
84.11.26.64	84.11.26.95	IR
84.11.26.96	84.11.26.127	DE
84.11.26.128	84.11.26.191	AF
84.11.26.192	84.11.26.223	DE
84.11.26.224	84.11.26.255	KW
84.11.27.0	84.11.27.31	AE
84.11.27.32	84.11.27.63	IR
84.11.27.64	84.11.27.95	KW
84.11.27.96	84.11.27.127	AE
84.11.27.128	84.11.27.255	DE
84.11.28.0	84.11.28.31	AE
84.11.28.32	84.11.28.127	IR
84.11.28.128	84.11.28.191	AE
84.11.28.192	84.11.28.255	ES
84.11.29.0	84.11.29.31	KW
84.11.29.32	84.11.29.127	IR
84.11.29.128	84.11.30.165	DE
84.11.30.166	84.11.30.166	ES
84.11.30.167	84.11.30.175	DE
84.11.30.176	84.11.30.207	IR
84.11.30.208	84.11.30.215	PA
84.11.30.216	84.11.30.223	IR
84.11.30.224	84.11.30.231	AE
84.11.30.232	84.11.30.246	DE
84.11.30.247	84.11.30.247	IR
84.11.30.248	84.11.30.248	DE
84.11.30.249	84.11.30.249	IR
84.11.30.250	84.11.30.252	DE
84.11.30.253	84.11.30.254	AE
84.11.30.255	84.11.31.31	DE
84.11.31.32	84.11.31.127	IR
84.11.31.128	84.11.31.159	ES
84.11.31.160	84.11.32.31	IR
84.11.32.32	84.11.32.63	KW
84.11.32.64	84.11.32.191	IR
84.11.32.192	84.11.32.255	AE
84.11.33.0	84.11.33.255	AF
84.11.34.0	84.11.34.127	IR
84.11.34.128	84.11.34.191	AE
84.11.34.192	84.11.35.255	IR
84.11.36.0	84.11.36.63	AE
84.11.36.64	84.11.36.127	ES
84.11.36.128	84.11.36.159	IR
84.11.36.160	84.11.36.191	PA
84.11.36.192	84.11.37.31	IR
84.11.37.32	84.11.37.63	DE
84.11.37.64	84.11.37.95	AE
84.11.37.96	84.11.37.127	PA
84.11.37.128	84.11.37.159	IR
84.11.37.160	84.11.37.191	PA
84.11.37.192	84.11.37.255	DE
84.11.38.0	84.11.38.63	IR
84.11.38.64	84.11.38.95	AE
84.11.38.96	84.11.38.127	IR
84.11.38.128	84.11.38.255	AE
84.11.39.0	84.11.39.31	PA
84.11.39.32	84.11.39.95	IR
84.11.39.96	84.11.39.255	DE
84.11.40.0	84.11.40.127	IR
84.11.40.128	84.11.41.255	DE
84.11.42.0	84.11.43.31	IR
84.11.43.32	84.11.43.255	DE
84.11.44.0	84.11.44.255	AE
84.11.45.0	84.11.45.31	DE
84.11.45.32	84.11.45.47	IR
84.11.45.48	84.11.45.63	LY
84.11.45.64	84.11.51.7	DE
84.11.51.8	84.11.51.15	US
84.11.51.16	84.11.51.255	DE
84.11.52.0	84.11.53.255	US
84.11.54.0	84.11.55.255	DE
84.11.56.0	84.11.56.31	IR
84.11.56.32	84.11.56.255	DE
84.11.57.0	84.11.57.31	IR
84.11.57.32	84.11.57.159	DE
84.11.57.160	84.11.57.191	IR
84.11.57.192	84.11.60.127	DE
84.11.60.128	84.11.60.191	AE
84.11.60.192	84.11.60.255	IR
84.11.61.0	84.11.61.255	DE
84.11.62.0	84.11.63.255	IR
84.11.64.0	84.11.66.255	DE
84.11.67.0	84.11.67.31	AE
84.11.67.32	84.11.67.95	DE
84.11.67.96	84.11.67.127	IR
84.11.67.128	84.11.67.255	DE
84.11.68.0	84.11.70.127	IR
84.11.70.128	84.11.70.255	DE
84.11.71.0	84.11.71.31	ES
84.11.71.32	84.11.71.63	DE
84.11.71.64	84.11.71.95	AE
84.11.71.96	84.11.71.127	ES
84.11.71.128	84.11.71.191	IR
84.11.71.192	84.11.71.223	AE
84.11.71.224	84.11.72.31	DE
84.11.72.32	84.11.72.47	AE
84.11.72.48	84.11.72.63	IR
84.11.72.64	84.11.72.95	ES
84.11.72.96	84.11.72.127	DE
84.11.72.128	84.11.72.255	IR
84.11.73.0	84.11.73.31	AE
84.11.73.32	84.11.73.63	DE
84.11.73.64	84.11.73.95	AE
84.11.73.96	84.11.73.127	IR
84.11.73.128	84.11.73.255	DE
84.11.74.0	84.11.74.31	IR
84.11.74.32	84.11.74.63	AE
84.11.74.64	84.11.74.127	ES
84.11.74.128	84.11.74.159	DE
84.11.74.160	84.11.74.191	IR
84.11.74.192	84.11.74.223	AE
84.11.74.224	84.11.74.255	IR
84.11.75.0	84.11.75.127	AE
84.11.75.128	84.11.75.191	IR
84.11.75.192	84.11.75.223	DE
84.11.75.224	84.11.76.255	IR
84.11.77.0	84.11.77.63	CA
84.11.77.64	84.11.77.95	DE
84.11.77.96	84.11.77.159	IR
84.11.77.160	84.11.77.191	DE
84.11.77.192	84.11.77.254	IR
84.11.77.255	84.11.77.255	DE
84.11.78.0	84.11.78.255	KW
84.11.79.0	84.11.79.255	AF
84.11.80.0	84.11.80.191	DE
84.11.80.192	84.11.80.255	IR
84.11.81.0	84.11.84.255	DE
84.11.85.0	84.11.85.31	IR
84.11.85.32	84.11.110.127	DE
84.11.110.128	84.11.110.143	IR
84.11.110.144	84.11.113.15	DE
84.11.113.16	84.11.113.31	PA
84.11.113.32	84.11.113.63	DE
84.11.113.64	84.11.113.95	PA
84.11.113.96	84.11.113.143	DE
84.11.113.144	84.11.113.159	PA
84.11.113.160	84.11.113.223	DE
84.11.113.224	84.11.113.239	PA
84.11.113.240	84.11.115.255	DE
84.11.116.0	84.11.116.15	PA
84.11.116.16	84.11.119.255	DE
84.11.120.0	84.11.120.255	US
84.11.121.0	84.11.127.255	DE
84.11.128.0	84.11.135.255	AE
84.11.136.0	84.11.139.191	DE
84.11.139.192	84.11.139.207	US
84.11.139.208	84.11.143.255	DE
84.11.144.0	84.11.145.255	JO
84.11.146.0	84.11.147.255	DE
84.11.148.0	84.11.148.255	VG
84.11.149.0	84.11.254.255	DE
84.11.255.0	84.11.255.255	AE
84.12.0.0	84.13.255.255	GB
84.14.0.0	84.14.3.23	FR
84.14.3.24	84.14.3.39	IT
84.14.3.40	84.14.3.63	FR
84.14.3.64	84.14.3.79	PT
84.14.3.80	84.14.11.79	FR
84.14.11.80	84.14.11.87	ES
84.14.11.88	84.14.35.255	FR
84.14.36.0	84.14.36.255	GB
84.14.37.0	84.14.42.95	FR
84.14.42.96	84.14.42.103	PT
84.14.42.104	84.14.70.95	FR
84.14.70.96	84.14.70.103	GB
84.14.70.104	84.14.183.55	FR
84.14.183.56	84.14.183.63	GB
84.14.183.64	84.14.204.23	FR
84.14.204.24	84.14.204.39	CH
84.14.204.40	84.14.224.15	FR
84.14.224.16	84.14.224.23	GB
84.14.224.24	84.14.231.15	FR
84.14.231.16	84.14.231.31	DE
84.14.231.32	84.14.247.159	FR
84.14.247.160	84.14.247.175	ES
84.14.247.176	84.14.247.191	GB
84.14.247.192	84.14.247.207	IT
84.14.247.208	84.14.255.255	FR
84.15.0.0	84.15.191.255	LT
84.15.192.0	84.15.195.255	LV
84.15.196.0	84.15.255.255	LT
84.16.0.0	84.16.27.255	ES
84.16.28.0	84.16.31.255	MA
84.16.32.0	84.16.63.255	SK
84.16.64.0	84.16.71.143	CH
84.16.71.144	84.16.71.151	NI
84.16.71.152	84.16.71.247	CH
84.16.71.248	84.16.71.255	NI
84.16.72.0	84.16.75.255	CH
84.16.76.0	84.16.76.255	FR
84.16.77.0	84.16.95.255	CH
84.16.96.0	84.16.127.255	CZ
84.16.128.0	84.16.159.255	RU
84.16.160.0	84.16.160.255	DK
84.16.161.0	84.16.161.255	CH
84.16.162.0	84.16.191.255	DK
84.16.192.0	84.16.223.255	NO
84.16.224.0	84.16.243.255	DE
84.16.244.0	84.16.244.255	PL
84.16.245.0	84.16.252.255	DE
84.16.253.0	84.16.253.255	TR
84.16.254.0	84.16.255.63	DE
84.16.255.64	84.16.255.127	TR
84.16.255.128	84.16.255.255	DE
84.17.0.0	84.17.31.255	RU
84.17.32.0	84.17.63.255	IT
84.17.64.0	84.17.95.255	TR
84.17.96.0	84.17.127.255	DE
84.17.128.0	84.17.159.255	BE
84.17.160.0	84.17.191.255	DE
84.17.192.0	84.17.223.255	SE
84.17.224.0	84.17.255.255	RU
84.18.0.0	84.18.31.255	ES
84.18.32.0	84.18.95.255	JO
84.18.96.0	84.18.127.255	RU
84.18.128.0	84.18.144.147	IT
84.18.144.148	84.18.144.151	US
84.18.144.152	84.18.159.255	IT
84.18.160.0	84.18.191.255	IE
84.18.192.0	84.18.223.255	GB
84.18.224.0	84.18.255.255	PT
84.19.0.0	84.19.31.255	DE
84.19.32.0	84.19.43.255	GB
84.19.44.0	84.19.45.255	IE
84.19.46.0	84.19.51.31	GB
84.19.51.32	84.19.51.47	DE
84.19.51.48	84.19.51.63	FR
84.19.51.64	84.19.63.255	GB
84.19.64.0	84.19.95.255	CZ
84.19.96.0	84.19.127.255	GB
84.19.128.0	84.19.159.255	SE
84.19.160.0	84.19.162.63	DE
84.19.162.64	84.19.162.95	RU
84.19.162.96	84.19.164.95	DE
84.19.164.96	84.19.164.127	RU
84.19.164.128	84.19.165.127	DE
84.19.165.128	84.19.165.143	RU
84.19.165.144	84.19.165.247	DE
84.19.165.248	84.19.165.255	RU
84.19.166.0	84.19.168.223	DE
84.19.168.224	84.19.168.239	RU
84.19.168.240	84.19.168.247	DE
84.19.168.248	84.19.168.255	RU
84.19.169.0	84.19.169.127	DE
84.19.169.128	84.19.169.135	RU
84.19.169.136	84.19.169.255	DE
84.19.170.0	84.19.170.255	GB
84.19.171.0	84.19.171.7	US
84.19.171.8	84.19.171.15	IT
84.19.171.16	84.19.171.31	DE
84.19.171.32	84.19.171.63	RU
84.19.171.64	84.19.171.127	DE
84.19.171.128	84.19.171.159	CH
84.19.171.160	84.19.171.175	DE
84.19.171.176	84.19.171.191	IL
84.19.171.192	84.19.171.223	IT
84.19.171.224	84.19.171.255	SI
84.19.172.0	84.19.172.191	DE
84.19.172.192	84.19.172.255	IT
84.19.173.0	84.19.173.159	DE
84.19.173.160	84.19.173.175	RU
84.19.173.176	84.19.173.191	DE
84.19.173.192	84.19.173.207	IL
84.19.173.208	84.19.173.223	BG
84.19.173.224	84.19.173.239	IT
84.19.173.240	84.19.173.255	DE
84.19.174.0	84.19.174.127	DK
84.19.174.128	84.19.174.191	DE
84.19.174.192	84.19.174.255	IT
84.19.175.0	84.19.175.127	DE
84.19.175.128	84.19.175.255	IT
84.19.176.0	84.19.223.255	DE
84.19.224.0	84.19.255.255	GB
84.20.0.0	84.20.31.255	ES
84.20.32.0	84.20.63.255	CH
84.20.64.0	84.20.95.255	AL
84.20.96.0	84.20.127.255	NO
84.20.128.0	84.20.159.255	FI
84.20.160.0	84.20.191.255	AT
84.20.192.0	84.20.223.255	GB
84.20.224.0	84.20.255.255	SI
84.21.0.0	84.21.31.255	HU
84.21.32.0	84.21.63.255	DE
84.21.64.0	84.21.95.255	RU
84.21.96.0	84.21.127.255	CZ
84.21.128.0	84.21.159.255	GB
84.21.160.0	84.21.191.255	ES
84.21.192.0	84.21.223.255	BG
84.21.224.0	84.21.255.255	RU
84.22.0.0	84.22.31.255	BG
84.22.32.0	84.22.63.255	RS
84.22.64.0	84.22.64.255	FR
84.22.65.0	84.22.65.255	A2
84.22.66.0	84.22.67.135	FR
84.22.67.136	84.22.67.143	AE
84.22.67.144	84.22.67.159	FR
84.22.67.160	84.22.67.191	US
84.22.67.192	84.22.69.255	FR
84.22.70.0	84.22.70.255	CH
84.22.71.0	84.22.72.255	AO
84.22.73.0	84.22.79.255	A2
84.22.80.0	84.22.95.255	DE
84.22.96.0	84.22.96.127	AQ
84.22.96.128	84.22.96.251	DE
84.22.96.252	84.22.97.17	AQ
84.22.97.18	84.22.97.31	DE
84.22.97.32	84.22.97.59	AQ
84.22.97.60	84.22.97.255	DE
84.22.98.0	84.22.98.127	AQ
84.22.98.128	84.22.99.23	DE
84.22.99.24	84.22.99.47	AQ
84.22.99.48	84.22.99.55	DE
84.22.99.56	84.22.99.63	AQ
84.22.99.64	84.22.99.71	DE
84.22.99.72	84.22.99.87	AQ
84.22.99.88	84.22.99.111	DE
84.22.99.112	84.22.105.15	AQ
84.22.105.16	84.22.105.39	DE
84.22.105.40	84.22.105.43	AQ
84.22.105.44	84.22.105.51	DE
84.22.105.52	84.22.105.55	AQ
84.22.105.56	84.22.105.247	DE
84.22.105.248	84.22.105.251	AQ
84.22.105.252	84.22.105.255	DE
84.22.106.0	84.22.106.255	AQ
84.22.107.0	84.22.111.255	DE
84.22.112.0	84.22.112.127	AQ
84.22.112.128	84.22.112.255	DE
84.22.113.0	84.22.113.255	AQ
84.22.114.0	84.22.119.255	DE
84.22.120.0	84.22.125.255	AQ
84.22.126.0	84.22.127.7	DE
84.22.127.8	84.22.127.31	AQ
84.22.127.32	84.22.127.39	DE
84.22.127.40	84.22.127.55	AQ
84.22.127.56	84.22.127.235	DE
84.22.127.236	84.22.127.239	AQ
84.22.127.240	84.22.127.251	DE
84.22.127.252	84.22.127.255	AQ
84.22.128.0	84.22.159.255	RU
84.22.160.0	84.22.191.255	GB
84.22.192.0	84.22.223.255	RU
84.22.224.0	84.22.255.255	SA
84.23.0.0	84.23.31.255	GB
84.23.32.0	84.23.63.255	RU
84.23.64.0	84.23.95.255	DE
84.23.96.0	84.23.127.255	SA
84.23.128.0	84.23.159.255	SE
84.23.160.0	84.23.191.255	PL
84.23.192.0	84.23.223.255	PT
84.23.224.0	84.23.255.255	DE
84.24.0.0	84.31.255.255	NL
84.32.0.0	84.32.255.255	LT
84.33.0.0	84.33.9.255	IT
84.33.10.0	84.33.11.255	DE
84.33.12.0	84.33.12.255	IT
84.33.13.0	84.33.13.255	DE
84.33.14.0	84.33.17.255	IT
84.33.18.0	84.33.18.255	DE
84.33.19.0	84.33.23.255	IT
84.33.24.0	84.33.26.255	DE
84.33.27.0	84.33.28.255	IT
84.33.29.0	84.33.29.255	DE
84.33.30.0	84.33.32.255	IT
84.33.33.0	84.33.33.255	DE
84.33.34.0	84.33.63.255	IT
84.33.64.0	84.33.64.255	GB
84.33.65.0	84.33.65.255	US
84.33.66.0	84.33.128.255	IT
84.33.129.0	84.33.136.255	DE
84.33.137.0	84.33.202.255	IT
84.33.203.0	84.33.203.255	DE
84.33.204.0	84.33.220.255	IT
84.33.221.0	84.33.221.255	US
84.33.222.0	84.33.255.255	IT
84.34.0.0	84.34.255.255	FI
84.35.0.0	84.35.255.255	NL
84.36.0.0	84.36.255.255	EG
84.37.0.0	84.37.24.7	FR
84.37.24.8	84.37.24.15	A2
84.37.24.16	84.37.24.63	FR
84.37.24.64	84.37.24.71	A2
84.37.24.72	84.37.24.247	FR
84.37.24.248	84.37.24.255	A2
84.37.25.0	84.37.100.87	FR
84.37.100.88	84.37.100.95	A2
84.37.100.96	84.37.101.247	FR
84.37.101.248	84.37.101.255	A2
84.37.102.0	84.37.255.255	FR
84.38.0.0	84.38.15.255	GR
84.38.16.0	84.38.31.255	PL
84.38.32.0	84.38.47.255	GB
84.38.48.0	84.38.63.255	IT
84.38.64.0	84.38.79.255	DE
84.38.80.0	84.38.111.255	PL
84.38.112.0	84.38.127.255	AT
84.38.128.0	84.38.143.255	LV
84.38.144.0	84.38.159.255	NO
84.38.160.0	84.38.175.255	PL
84.38.176.0	84.38.191.255	RU
84.38.192.0	84.38.207.255	DE
84.38.208.0	84.38.223.255	PL
84.38.224.0	84.38.239.255	NL
84.38.240.0	84.38.255.255	BG
84.39.0.0	84.39.255.255	PT
84.40.0.0	84.40.0.255	EU
84.40.1.0	84.40.2.255	GB
84.40.3.0	84.40.3.47	EU
84.40.3.48	84.40.3.127	GB
84.40.3.128	84.40.3.183	EU
84.40.3.184	84.40.3.207	GB
84.40.3.208	84.40.3.211	AU
84.40.3.212	84.40.3.255	EU
84.40.4.0	84.40.6.255	GB
84.40.7.0	84.40.7.255	EU
84.40.8.0	84.40.8.127	GB
84.40.8.128	84.40.8.255	EU
84.40.9.0	84.40.9.255	GB
84.40.10.0	84.40.10.255	EU
84.40.11.0	84.40.11.255	GB
84.40.12.0	84.40.12.255	EU
84.40.13.0	84.40.13.255	GB
84.40.14.0	84.40.14.255	EU
84.40.15.0	84.40.15.15	GB
84.40.15.16	84.40.15.191	EU
84.40.15.192	84.40.15.223	GB
84.40.15.224	84.40.15.255	EU
84.40.16.0	84.40.31.255	US
84.40.32.0	84.40.32.63	GB
84.40.32.64	84.40.32.127	EU
84.40.32.128	84.40.32.135	GB
84.40.32.136	84.40.32.159	EU
84.40.32.160	84.40.32.191	GB
84.40.32.192	84.40.32.255	EU
84.40.33.0	84.40.33.63	GB
84.40.33.64	84.40.34.7	EU
84.40.34.8	84.40.34.15	GB
84.40.34.16	84.40.35.255	EU
84.40.36.0	84.40.36.63	GB
84.40.36.64	84.40.38.255	EU
84.40.39.0	84.40.39.71	GB
84.40.39.72	84.40.39.95	EU
84.40.39.96	84.40.39.127	GB
84.40.39.128	84.40.39.191	EU
84.40.39.192	84.40.39.223	GB
84.40.39.224	84.40.47.255	EU
84.40.48.0	84.40.63.255	DE
84.40.64.0	84.40.127.255	BG
84.40.128.0	84.40.255.255	PL
84.41.0.0	84.41.104.23	SI
84.41.104.24	84.41.104.39	BA
84.41.104.40	84.41.104.47	SI
84.41.104.48	84.41.104.55	BA
84.41.104.56	84.41.104.63	SI
84.41.104.64	84.41.104.79	BA
84.41.104.80	84.41.104.87	SI
84.41.104.88	84.41.104.95	BA
84.41.104.96	84.41.104.127	SI
84.41.104.128	84.41.107.255	BA
84.41.108.0	84.41.108.15	SI
84.41.108.16	84.41.108.23	BA
84.41.108.24	84.41.108.95	SI
84.41.108.96	84.41.108.111	BA
84.41.108.112	84.41.108.127	SI
84.41.108.128	84.41.108.143	BA
84.41.108.144	84.41.108.191	SI
84.41.108.192	84.41.108.255	BA
84.41.109.0	84.41.110.31	SI
84.41.110.32	84.41.110.39	DE
84.41.110.40	84.41.112.15	SI
84.41.112.16	84.41.112.63	RO
84.41.112.64	84.41.112.127	SI
84.41.112.128	84.41.113.255	RO
84.41.114.0	84.41.114.255	SI
84.41.115.0	84.41.115.223	MK
84.41.115.224	84.41.115.255	SI
84.41.116.0	84.41.116.31	BA
84.41.116.32	84.41.116.47	SI
84.41.116.48	84.41.116.95	BA
84.41.116.96	84.41.116.103	SI
84.41.116.104	84.41.116.191	BA
84.41.116.192	84.41.116.207	SI
84.41.116.208	84.41.116.223	BA
84.41.116.224	84.41.116.239	SI
84.41.116.240	84.41.117.47	BA
84.41.117.48	84.41.117.63	SI
84.41.117.64	84.41.117.71	BA
84.41.117.72	84.41.117.95	SI
84.41.117.96	84.41.117.143	BA
84.41.117.144	84.41.117.151	SI
84.41.117.152	84.41.117.159	BA
84.41.117.160	84.41.117.175	SI
84.41.117.176	84.41.117.191	BA
84.41.117.192	84.41.117.199	SI
84.41.117.200	84.41.117.231	BA
84.41.117.232	84.41.118.31	SI
84.41.118.32	84.41.118.47	BA
84.41.118.48	84.41.118.55	SI
84.41.118.56	84.41.118.63	BA
84.41.118.64	84.41.118.71	HR
84.41.118.72	84.41.118.79	BA
84.41.118.80	84.41.118.95	SI
84.41.118.96	84.41.118.199	BA
84.41.118.200	84.41.118.207	SI
84.41.118.208	84.41.118.223	BA
84.41.118.224	84.41.118.255	SI
84.41.119.0	84.41.119.255	BA
84.41.120.0	84.41.120.15	SI
84.41.120.16	84.41.120.63	BG
84.41.120.64	84.41.120.95	SI
84.41.120.96	84.41.122.255	BG
84.41.123.0	84.41.127.255	SI
84.41.128.0	84.41.255.255	NL
84.42.0.0	84.42.127.255	RU
84.42.128.0	84.42.255.255	CZ
84.43.0.0	84.43.127.255	GB
84.43.128.0	84.43.255.255	BG
84.44.0.0	84.44.127.255	TR
84.44.128.0	84.44.255.255	DE
84.45.0.0	84.45.22.215	GB
84.45.22.216	84.45.22.223	NL
84.45.22.224	84.45.75.255	GB
84.45.76.0	84.45.76.255	NL
84.45.77.0	84.45.86.255	GB
84.45.87.0	84.45.87.63	NL
84.45.87.64	84.45.90.255	GB
84.45.91.0	84.45.91.255	DE
84.45.92.0	84.45.255.255	GB
84.46.0.0	84.46.127.255	DE
84.46.128.0	84.46.255.255	LT
84.47.0.0	84.47.127.255	SK
84.47.128.0	84.47.191.255	RU
84.47.192.0	84.47.195.255	AE
84.47.196.0	84.47.210.255	IR
84.47.211.0	84.47.211.255	AE
84.47.212.0	84.47.255.255	IR
84.48.0.0	84.49.255.255	NO
84.50.0.0	84.50.255.255	EE
84.51.0.0	84.51.51.255	TR
84.51.52.0	84.51.55.255	DE
84.51.56.0	84.51.63.255	TR
84.51.64.0	84.51.95.255	UA
84.51.96.0	84.51.127.255	RU
84.51.128.0	84.51.191.255	GB
84.51.192.0	84.51.223.255	RU
84.51.224.0	84.51.225.159	IE
84.51.225.160	84.51.225.255	BB
84.51.226.0	84.51.226.255	IE
84.51.227.0	84.51.227.255	GB
84.51.228.0	84.51.241.15	IE
84.51.241.16	84.51.241.23	GB
84.51.241.24	84.51.255.255	IE
84.52.0.0	84.52.63.255	EE
84.52.64.0	84.52.127.255	RU
84.52.128.0	84.52.191.255	SI
84.52.192.0	84.53.63.255	NO
84.53.64.0	84.53.127.255	NL
84.53.128.0	84.53.131.255	US
84.53.132.0	84.53.133.255	EU
84.53.134.0	84.53.175.255	US
84.53.176.0	84.53.176.255	EU
84.53.177.0	84.53.179.255	US
84.53.180.0	84.53.181.255	EU
84.53.182.0	84.53.191.255	US
84.53.192.0	84.53.255.255	RU
84.54.0.0	84.54.20.255	IQ
84.54.21.0	84.54.31.255	LB
84.54.32.0	84.54.32.255	CI
84.54.33.0	84.54.63.255	LB
84.54.64.0	84.54.127.255	UZ
84.54.128.0	84.54.191.255	BG
84.54.192.0	84.54.255.255	RU
84.55.0.0	84.55.63.255	LT
84.55.64.0	84.55.127.255	SE
84.55.128.0	84.55.191.255	FR
84.55.192.0	84.55.255.255	CH
84.56.0.0	84.63.255.255	DE
84.64.0.0	84.71.255.255	GB
84.72.0.0	84.75.255.255	CH
84.76.0.0	84.79.255.255	ES
84.80.0.0	84.87.255.255	NL
84.88.0.0	84.89.255.255	ES
84.90.0.0	84.91.255.255	PT
84.92.0.0	84.93.255.255	GB
84.94.0.0	84.95.255.255	IL
84.96.0.0	84.103.255.255	FR
84.104.0.0	84.107.255.255	NL
84.108.0.0	84.111.255.255	IL
84.112.0.0	84.119.255.255	AT
84.120.0.0	84.127.255.255	ES
84.128.0.0	84.191.255.255	DE
84.192.0.0	84.199.255.255	BE
84.200.0.0	84.200.0.255	DE
84.200.1.0	84.200.1.255	IT
84.200.2.0	84.200.22.127	DE
84.200.22.128	84.200.22.255	IT
84.200.23.0	84.200.25.255	DE
84.200.26.0	84.200.26.255	IT
84.200.27.0	84.200.27.255	DE
84.200.28.0	84.200.28.255	BR
84.200.29.0	84.200.30.63	DE
84.200.30.64	84.200.30.127	GB
84.200.30.128	84.201.12.255	DE
84.201.13.0	84.201.13.255	TR
84.201.14.0	84.201.38.63	DE
84.201.38.64	84.201.38.127	IT
84.201.38.128	84.201.80.255	DE
84.201.81.0	84.201.81.255	BE
84.201.82.0	84.201.127.255	DE
84.201.128.0	84.201.191.255	GB
84.201.192.0	84.201.207.255	BG
84.201.208.0	84.201.223.255	PL
84.201.224.0	84.201.239.255	BY
84.201.240.0	84.201.255.255	RU
84.202.0.0	84.202.255.255	NO
84.203.0.0	84.203.255.255	IE
84.204.0.0	84.204.255.255	RU
84.205.0.0	84.205.31.255	PL
84.205.32.0	84.205.63.255	NO
84.205.64.0	84.205.95.255	EU
84.205.96.0	84.205.127.255	EG
84.205.128.0	84.205.159.255	FR
84.205.160.0	84.205.191.255	PL
84.205.192.0	84.205.255.255	GR
84.206.0.0	84.206.255.255	HU
84.207.0.0	84.207.3.255	FR
84.207.4.0	84.207.5.255	EU
84.207.6.0	84.207.7.31	FR
84.207.7.32	84.207.7.255	EU
84.207.8.0	84.207.8.7	FR
84.207.8.8	84.207.16.127	EU
84.207.16.128	84.207.17.127	FR
84.207.17.128	84.207.17.255	EU
84.207.18.0	84.207.22.127	FR
84.207.22.128	84.207.22.191	EU
84.207.22.192	84.207.23.159	FR
84.207.23.160	84.207.23.255	EU
84.207.24.0	84.207.25.127	FR
84.207.25.128	84.207.223.255	EU
84.207.224.0	84.207.224.255	NL
84.207.225.0	84.207.254.255	EU
84.207.255.0	84.207.255.255	GB
84.208.0.0	84.215.255.255	NO
84.216.0.0	84.219.255.255	SE
84.220.0.0	84.223.255.255	IT
84.224.0.0	84.225.255.255	HU
84.226.0.0	84.227.255.255	CH
84.228.0.0	84.229.255.255	IL
84.230.0.0	84.231.255.255	FI
84.232.0.0	84.232.127.255	ES
84.232.128.0	84.232.255.255	RO
84.233.0.0	84.233.127.255	EG
84.233.128.0	84.233.128.39	DE
84.233.128.40	84.233.128.47	GB
84.233.128.48	84.233.128.159	DE
84.233.128.160	84.233.128.163	IT
84.233.128.164	84.233.129.255	DE
84.233.130.0	84.233.130.255	FR
84.233.131.0	84.233.135.127	GB
84.233.135.128	84.233.135.175	SE
84.233.135.176	84.233.135.179	GB
84.233.135.180	84.233.135.191	SE
84.233.135.192	84.233.135.255	CH
84.233.136.0	84.233.138.46	SE
84.233.138.47	84.233.138.47	GB
84.233.138.48	84.233.138.63	SE
84.233.138.64	84.233.138.79	GB
84.233.138.80	84.233.138.103	SE
84.233.138.104	84.233.138.111	GB
84.233.138.112	84.233.138.191	SE
84.233.138.192	84.233.138.255	CZ
84.233.139.0	84.233.139.223	GB
84.233.139.224	84.233.139.255	ZA
84.233.140.0	84.233.142.255	GB
84.233.143.0	84.233.144.255	FR
84.233.145.0	84.233.145.255	NL
84.233.146.0	84.233.146.255	DE
84.233.147.0	84.233.147.63	SK
84.233.147.64	84.233.147.127	HU
84.233.147.128	84.233.147.255	DE
84.233.148.0	84.233.148.47	FR
84.233.148.48	84.233.148.63	GB
84.233.148.64	84.233.148.135	FR
84.233.148.136	84.233.148.143	IT
84.233.148.144	84.233.148.183	FR
84.233.148.184	84.233.148.191	GB
84.233.148.192	84.233.148.255	FR
84.233.149.0	84.233.149.255	GB
84.233.150.0	84.233.150.63	IE
84.233.150.64	84.233.153.255	GB
84.233.154.0	84.233.154.71	IT
84.233.154.72	84.233.154.79	GB
84.233.154.80	84.233.154.95	IT
84.233.154.96	84.233.154.103	GB
84.233.154.104	84.233.154.119	IT
84.233.154.120	84.233.154.127	ES
84.233.154.128	84.233.155.95	IT
84.233.155.96	84.233.155.127	GB
84.233.155.128	84.233.157.255	IT
84.233.158.0	84.233.158.83	FR
84.233.158.84	84.233.158.87	GB
84.233.158.88	84.233.159.255	FR
84.233.160.0	84.233.161.7	CZ
84.233.161.8	84.233.161.15	GB
84.233.161.16	84.233.161.63	CZ
84.233.161.64	84.233.161.95	GB
84.233.161.96	84.233.161.103	CH
84.233.161.104	84.233.161.255	GB
84.233.162.0	84.233.162.255	FR
84.233.163.0	84.233.163.255	IT
84.233.164.0	84.233.167.255	GB
84.233.168.0	84.233.168.239	DK
84.233.168.240	84.233.168.255	GB
84.233.169.0	84.233.169.255	DK
84.233.170.0	84.233.171.31	HU
84.233.171.32	84.233.171.39	GB
84.233.171.40	84.233.171.47	HU
84.233.171.48	84.233.171.63	GB
84.233.171.64	84.233.171.67	HU
84.233.171.68	84.233.171.71	GB
84.233.171.72	84.233.171.79	HU
84.233.171.80	84.233.171.95	GB
84.233.171.96	84.233.171.143	HU
84.233.171.144	84.233.171.191	GB
84.233.171.192	84.233.171.223	HU
84.233.171.224	84.233.171.255	GB
84.233.172.0	84.233.172.255	CH
84.233.173.0	84.233.173.255	GB
84.233.174.0	84.233.174.255	FR
84.233.175.0	84.233.175.255	BE
84.233.176.0	84.233.176.255	GB
84.233.177.0	84.233.177.255	ES
84.233.178.0	84.233.178.255	CH
84.233.179.0	84.233.179.255	GB
84.233.180.0	84.233.181.255	DE
84.233.182.0	84.233.182.255	GB
84.233.183.0	84.233.183.31	US
84.233.183.32	84.233.183.47	FR
84.233.183.48	84.233.183.127	US
84.233.183.128	84.233.183.143	GB
84.233.183.144	84.233.183.175	US
84.233.183.176	84.233.183.183	NL
84.233.183.184	84.233.183.207	US
84.233.183.208	84.233.183.215	GB
84.233.183.216	84.233.183.255	US
84.233.184.0	84.233.184.255	SK
84.233.185.0	84.233.185.255	DE
84.233.186.0	84.233.186.255	GB
84.233.187.0	84.233.187.163	ES
84.233.187.164	84.233.187.191	GB
84.233.187.192	84.233.187.255	ES
84.233.188.0	84.233.189.127	NL
84.233.189.128	84.233.189.255	GB
84.233.190.0	84.233.190.127	NL
84.233.190.128	84.233.190.255	GB
84.233.191.0	84.233.191.191	NL
84.233.191.192	84.233.191.207	GB
84.233.191.208	84.233.191.255	NL
84.233.192.0	84.233.192.255	GB
84.233.193.0	84.233.193.127	BG
84.233.193.128	84.233.193.167	GB
84.233.193.168	84.233.193.183	BG
84.233.193.184	84.233.193.191	GB
84.233.193.192	84.233.193.255	BG
84.233.194.0	84.233.194.255	NL
84.233.195.0	84.233.195.7	CH
84.233.195.8	84.233.195.71	AT
84.233.195.72	84.233.195.247	GB
84.233.195.248	84.233.195.255	AT
84.233.196.0	84.233.196.247	GB
84.233.196.248	84.233.196.255	AT
84.233.197.0	84.233.197.247	GB
84.233.197.248	84.233.197.255	AT
84.233.198.0	84.233.198.247	GB
84.233.198.248	84.233.198.255	AT
84.233.199.0	84.233.199.191	GB
84.233.199.192	84.233.199.223	SK
84.233.199.224	84.233.199.239	GB
84.233.199.240	84.233.199.247	SK
84.233.199.248	84.233.200.255	GB
84.233.201.0	84.233.202.127	DE
84.233.202.128	84.233.203.31	GB
84.233.203.32	84.233.203.83	FR
84.233.203.84	84.233.203.87	GB
84.233.203.88	84.233.203.127	FR
84.233.203.128	84.233.204.23	GB
84.233.204.24	84.233.204.127	FR
84.233.204.128	84.233.204.143	ES
84.233.204.144	84.233.204.255	FR
84.233.205.0	84.233.205.55	ES
84.233.205.56	84.233.205.159	GB
84.233.205.160	84.233.205.175	ES
84.233.205.176	84.233.205.183	GB
84.233.205.184	84.233.205.231	ES
84.233.205.232	84.233.205.239	GB
84.233.205.240	84.233.206.255	ES
84.233.207.0	84.233.207.235	DE
84.233.207.236	84.233.207.247	GB
84.233.207.248	84.233.207.255	DE
84.233.208.0	84.233.208.115	CH
84.233.208.116	84.233.208.119	GB
84.233.208.120	84.233.209.7	CH
84.233.209.8	84.233.209.15	GB
84.233.209.16	84.233.209.255	CH
84.233.210.0	84.233.211.255	GB
84.233.212.0	84.233.212.255	TZ
84.233.213.0	84.233.213.255	PL
84.233.214.0	84.233.214.255	FR
84.233.215.0	84.233.215.15	BE
84.233.215.16	84.233.215.31	GB
84.233.215.32	84.233.215.71	BE
84.233.215.72	84.233.215.79	GB
84.233.215.80	84.233.215.255	BE
84.233.216.0	84.233.216.255	PL
84.233.217.0	84.233.218.255	GB
84.233.219.0	84.233.219.135	CZ
84.233.219.136	84.233.219.143	CH
84.233.219.144	84.233.219.223	CZ
84.233.219.224	84.233.220.255	GB
84.233.221.0	84.233.221.63	AE
84.233.221.64	84.233.221.255	GB
84.233.222.0	84.233.222.255	FR
84.233.223.0	84.233.223.255	GB
84.233.224.0	84.233.224.255	ES
84.233.225.0	84.233.226.239	IT
84.233.226.240	84.233.226.247	GB
84.233.226.248	84.233.226.255	IT
84.233.227.0	84.233.227.255	GB
84.233.228.0	84.233.228.15	FR
84.233.228.16	84.233.228.255	IT
84.233.229.0	84.233.229.255	FR
84.233.230.0	84.233.230.255	RO
84.233.231.0	84.233.232.255	GB
84.233.233.0	84.233.233.123	IT
84.233.233.124	84.233.233.127	GB
84.233.233.128	84.233.233.255	IT
84.233.234.0	84.233.234.255	FR
84.233.235.0	84.233.235.255	IT
84.233.236.0	84.233.236.35	ES
84.233.236.36	84.233.236.39	GB
84.233.236.40	84.233.236.159	ES
84.233.236.160	84.233.236.167	PT
84.233.236.168	84.233.236.175	GB
84.233.236.176	84.233.236.207	ES
84.233.236.208	84.233.236.211	GB
84.233.236.212	84.233.236.247	ES
84.233.236.248	84.233.236.255	GB
84.233.237.0	84.233.237.255	US
84.233.238.0	84.233.238.255	FR
84.233.239.0	84.233.239.135	IT
84.233.239.136	84.233.239.175	GB
84.233.239.176	84.233.239.179	IT
84.233.239.180	84.233.239.183	GB
84.233.239.184	84.233.239.191	IT
84.233.239.192	84.233.239.207	ES
84.233.239.208	84.233.239.215	GB
84.233.239.216	84.233.239.223	ES
84.233.239.224	84.233.239.247	IT
84.233.239.248	84.233.239.255	GB
84.233.240.0	84.233.240.255	US
84.233.241.0	84.233.241.255	IT
84.233.242.0	84.233.242.31	GB
84.233.242.32	84.233.242.255	IT
84.233.243.0	84.233.243.255	NL
84.233.244.0	84.233.244.255	GB
84.233.245.0	84.233.245.231	FR
84.233.245.232	84.233.245.239	GB
84.233.245.240	84.233.245.255	FR
84.233.246.0	84.233.248.255	IT
84.233.249.0	84.233.249.31	BE
84.233.249.32	84.233.249.39	GB
84.233.249.40	84.233.249.47	BE
84.233.249.48	84.233.249.63	GB
84.233.249.64	84.233.249.139	BE
84.233.249.140	84.233.249.143	GB
84.233.249.144	84.233.249.255	BE
84.233.250.0	84.233.253.255	GB
84.233.254.0	84.233.255.255	IT
84.234.0.0	84.234.15.255	PL
84.234.16.0	84.234.31.255	GB
84.234.32.0	84.234.47.255	PL
84.234.48.0	84.234.63.255	MD
84.234.64.0	84.234.79.255	FI
84.234.80.0	84.234.95.255	DK
84.234.112.0	84.234.127.255	PL
84.234.128.0	84.234.255.255	NO
84.235.0.0	84.235.95.255	SA
84.235.96.0	84.235.103.255	BH
84.235.104.0	84.235.127.255	SA
84.235.128.0	84.235.137.255	IE
84.235.138.0	84.235.140.255	CZ
84.235.141.0	84.235.146.255	DE
84.235.147.0	84.235.147.255	IE
84.235.148.0	84.235.155.255	GB
84.235.156.0	84.235.156.255	IE
84.235.157.0	84.235.157.255	SL
84.235.158.0	84.235.159.255	PL
84.235.160.0	84.235.160.255	IE
84.235.161.0	84.235.166.255	FR
84.235.167.0	84.235.168.255	DE
84.235.169.0	84.235.169.255	ES
84.235.170.0	84.235.170.255	GB
84.235.171.0	84.235.179.255	IE
84.235.180.0	84.235.182.255	NL
84.235.183.0	84.235.187.127	SE
84.235.187.128	84.235.191.127	DE
84.235.191.128	84.235.192.127	AT
84.235.192.128	84.235.194.127	FR
84.235.194.128	84.235.195.127	DE
84.235.195.128	84.235.195.255	GB
84.235.196.0	84.235.196.127	DK
84.235.196.128	84.235.196.255	AT
84.235.197.0	84.235.197.135	DE
84.235.197.136	84.235.197.215	GB
84.235.197.216	84.235.201.255	DE
84.235.202.0	84.235.204.255	SE
84.235.205.0	84.235.205.255	GB
84.235.206.0	84.235.208.159	DE
84.235.208.160	84.235.208.199	GB
84.235.208.200	84.235.210.255	DE
84.235.211.0	84.235.211.255	IE
84.235.212.0	84.235.217.255	DE
84.235.218.0	84.235.218.255	IE
84.235.219.0	84.235.219.255	IT
84.235.220.0	84.235.221.255	DE
84.235.222.0	84.235.222.255	GB
84.235.223.0	84.235.224.255	DE
84.235.225.0	84.235.225.255	GB
84.235.226.0	84.235.231.255	DE
84.235.232.0	84.235.241.255	IE
84.235.242.0	84.235.242.255	SL
84.235.243.0	84.235.245.255	DE
84.235.246.0	84.235.246.255	FR
84.235.247.0	84.235.247.255	GB
84.235.248.0	84.235.248.255	FR
84.235.249.0	84.235.249.255	IE
84.235.250.0	84.235.250.255	DE
84.235.251.0	84.235.251.255	AT
84.235.252.0	84.235.253.255	IE
84.235.254.0	84.235.254.255	DE
84.235.255.0	84.235.255.255	NL
84.236.0.0	84.236.127.255	HU
84.236.128.0	84.236.255.255	ES
84.237.0.0	84.237.127.255	RU
84.237.128.0	84.237.255.255	LV
84.238.0.0	84.238.127.255	DK
84.238.128.0	84.238.255.255	BG
84.239.0.0	84.239.127.255	GB
84.239.128.0	84.239.255.255	FI
84.240.0.0	84.240.63.255	LT
84.240.64.0	84.240.127.255	FI
84.240.128.0	84.240.191.255	IT
84.240.192.0	84.240.255.255	KZ
84.241.0.0	84.241.63.255	IR
84.241.64.0	84.241.127.255	CH
84.241.128.0	84.241.255.255	NL
84.242.0.0	84.242.63.255	RU
84.242.64.0	84.242.127.255	CZ
84.242.128.0	84.242.191.255	BG
84.242.192.0	84.242.255.255	RU
84.243.0.0	84.243.63.255	SE
84.243.64.0	84.243.127.255	RO
84.243.128.0	84.243.191.255	NO
84.243.192.0	84.243.255.255	NL
84.244.0.0	84.244.63.255	RU
84.244.64.0	84.244.127.255	CZ
84.244.128.0	84.244.191.255	NL
84.244.192.0	84.244.255.255	SE
84.245.0.0	84.245.63.255	NL
84.245.64.0	84.245.127.255	SK
84.245.128.0	84.245.191.255	DE
84.245.192.0	84.245.255.255	LV
84.246.0.0	84.246.63.255	NL
84.246.64.0	84.246.64.159	A2
84.246.64.160	84.246.64.255	DE
84.246.65.0	84.246.65.255	IR
84.246.66.0	84.246.66.255	NE
84.246.67.0	84.246.68.255	DE
84.246.69.0	84.246.69.255	NE
84.246.70.0	84.246.71.127	DE
84.246.71.128	84.246.71.143	IR
84.246.71.144	84.246.71.167	DE
84.246.71.168	84.246.71.176	IR
84.246.71.177	84.246.71.255	DE
84.246.72.0	84.246.79.255	KW
84.246.80.0	84.246.87.255	GB
84.246.88.0	84.246.95.255	SE
84.246.96.0	84.246.103.255	IT
84.246.104.0	84.246.111.255	FR
84.246.112.0	84.246.119.255	GB
84.246.120.0	84.246.122.39	DE
84.246.122.40	84.246.122.47	CZ
84.246.122.48	84.246.123.47	DE
84.246.123.48	84.246.123.55	CZ
84.246.123.56	84.246.123.223	DE
84.246.123.224	84.246.123.239	CZ
84.246.123.240	84.246.127.255	DE
84.246.128.0	84.246.135.255	SE
84.246.136.0	84.246.143.255	GB
84.246.144.0	84.246.145.6	IT
84.246.145.7	84.246.145.7	FR
84.246.145.8	84.246.145.19	IT
84.246.145.20	84.246.145.21	GB
84.246.145.22	84.246.151.255	IT
84.246.152.0	84.246.159.255	GB
84.246.160.0	84.246.167.255	CZ
84.246.168.0	84.246.194.191	GB
84.246.194.192	84.246.194.255	US
84.246.195.0	84.246.196.95	GB
84.246.196.96	84.246.196.127	US
84.246.196.128	84.246.199.255	GB
84.246.200.0	84.246.205.255	IM
84.246.206.0	84.246.206.31	GB
84.246.206.32	84.246.206.127	IM
84.246.206.128	84.246.206.191	GB
84.246.206.192	84.246.206.255	IM
84.246.207.0	84.246.207.127	GB
84.246.207.128	84.246.207.255	IM
84.246.208.0	84.246.215.255	ES
84.246.216.0	84.246.230.255	FR
84.246.231.0	84.246.231.255	ES
84.246.232.0	84.246.239.255	CH
84.246.240.0	84.246.247.255	DK
84.246.248.0	84.246.255.255	DE
84.247.0.0	84.247.127.255	RO
84.247.128.0	84.247.191.255	NO
84.247.192.0	84.247.255.255	IT
84.248.0.0	84.251.255.255	FI
84.252.0.0	84.252.63.255	BG
84.252.64.0	84.252.127.255	DE
84.252.128.0	84.252.191.255	RU
84.252.192.0	84.252.255.255	GB
84.253.0.0	84.253.63.255	CH
84.253.64.0	84.253.127.255	RU
84.253.128.0	84.253.191.255	IT
84.253.192.0	84.253.255.255	FI
84.254.0.0	84.254.63.255	GR
84.254.64.0	84.254.127.255	DE
84.254.128.0	84.254.128.44	ES
84.254.128.45	84.254.128.56	FR
84.254.128.57	84.254.128.60	ZA
84.254.128.61	84.254.128.64	A2
84.254.128.65	84.254.128.126	IT
84.254.128.127	84.254.128.127	A2
84.254.128.128	84.254.129.191	IT
84.254.129.192	84.254.129.255	FR
84.254.130.0	84.254.130.0	A2
84.254.130.1	84.254.130.4	NG
84.254.130.5	84.254.130.8	US
84.254.130.9	84.254.130.12	FR
84.254.130.13	84.254.130.16	BJ
84.254.130.17	84.254.130.20	ES
84.254.130.21	84.254.130.24	A2
84.254.130.25	84.254.130.63	FR
84.254.130.64	84.254.132.0	A2
84.254.132.1	84.254.132.8	DE
84.254.132.9	84.254.132.24	A2
84.254.132.25	84.254.132.48	DE
84.254.132.49	84.254.132.64	A2
84.254.132.65	84.254.132.72	DE
84.254.132.73	84.254.132.128	A2
84.254.132.129	84.254.132.144	DE
84.254.132.145	84.254.132.159	A2
84.254.132.160	84.254.132.191	IT
84.254.132.192	84.254.132.255	DE
84.254.133.0	84.254.133.127	A2
84.254.133.128	84.254.133.191	IT
84.254.133.192	84.254.134.16	A2
84.254.134.17	84.254.134.32	IT
84.254.134.33	84.254.134.63	A2
84.254.134.64	84.254.134.127	IT
84.254.134.128	84.254.134.128	A2
84.254.134.129	84.254.134.136	BJ
84.254.134.137	84.254.134.143	A2
84.254.134.144	84.254.134.159	BJ
84.254.134.160	84.254.134.192	A2
84.254.134.193	84.254.134.216	BJ
84.254.134.217	84.254.134.223	A2
84.254.134.224	84.254.134.255	BJ
84.254.135.0	84.254.135.4	A2
84.254.135.5	84.254.135.48	DE
84.254.135.49	84.254.135.63	A2
84.254.135.64	84.254.135.127	DE
84.254.135.128	84.254.135.191	IT
84.254.135.192	84.254.135.255	DE
84.254.136.0	84.254.136.0	A2
84.254.136.1	84.254.136.16	TR
84.254.136.17	84.254.136.255	IT
84.254.137.0	84.254.138.127	A2
84.254.138.128	84.254.138.191	IT
84.254.138.192	84.254.139.4	A2
84.254.139.5	84.254.139.20	DE
84.254.139.21	84.254.139.24	A2
84.254.139.25	84.254.139.32	DE
84.254.139.33	84.254.139.40	A2
84.254.139.41	84.254.139.52	DE
84.254.139.53	84.254.139.56	A2
84.254.139.57	84.254.139.68	DE
84.254.139.69	84.254.139.95	A2
84.254.139.96	84.254.139.127	IT
84.254.139.128	84.254.139.255	DE
84.254.140.0	84.254.140.255	A2
84.254.141.0	84.254.141.254	GB
84.254.141.255	84.254.142.63	A2
84.254.142.64	84.254.142.191	IT
84.254.142.192	84.254.142.255	A2
84.254.143.0	84.254.143.127	IT
84.254.143.128	84.254.144.47	A2
84.254.144.48	84.254.144.63	IT
84.254.144.64	84.254.144.127	A2
84.254.144.128	84.254.144.191	IT
84.254.144.192	84.254.144.255	A2
84.254.145.0	84.254.145.63	IT
84.254.145.64	84.254.145.255	A2
84.254.146.0	84.254.146.63	FR
84.254.146.64	84.254.146.127	IT
84.254.146.128	84.254.146.191	FR
84.254.146.192	84.254.147.63	A2
84.254.147.64	84.254.147.127	IT
84.254.147.128	84.254.147.191	DE
84.254.147.192	84.254.148.0	A2
84.254.148.1	84.254.148.4	DE
84.254.148.5	84.254.148.8	A2
84.254.148.9	84.254.148.12	GB
84.254.148.13	84.254.148.16	DE
84.254.148.17	84.254.148.63	GB
84.254.148.64	84.254.148.127	A2
84.254.148.128	84.254.148.255	IT
84.254.149.0	84.254.149.63	A2
84.254.149.64	84.254.149.255	IT
84.254.150.0	84.254.150.0	A2
84.254.150.1	84.254.150.63	DE
84.254.150.64	84.254.150.255	A2
84.254.151.0	84.254.151.63	IT
84.254.151.64	84.254.151.127	NL
84.254.151.128	84.254.151.255	A2
84.254.152.0	84.254.152.255	NL
84.254.153.0	84.254.153.63	A2
84.254.153.64	84.254.153.127	IT
84.254.153.128	84.254.153.191	A2
84.254.153.192	84.254.153.255	IT
84.254.154.0	84.254.154.15	AE
84.254.154.16	84.254.154.31	US
84.254.154.32	84.254.154.63	A2
84.254.154.64	84.254.154.127	DE
84.254.154.128	84.254.154.191	SE
84.254.154.192	84.254.154.255	A2
84.254.155.0	84.254.155.255	IT
84.254.156.0	84.254.157.191	A2
84.254.157.192	84.254.157.255	IT
84.254.158.0	84.254.159.191	A2
84.254.159.192	84.254.159.255	IT
84.254.160.0	84.254.160.0	A2
84.254.160.1	84.254.160.12	PL
84.254.160.13	84.254.160.16	A2
84.254.160.17	84.254.160.20	DE
84.254.160.21	84.254.160.24	FR
84.254.160.25	84.254.160.28	PL
84.254.160.29	84.254.160.32	A2
84.254.160.33	84.254.160.52	PL
84.254.160.53	84.254.160.60	DE
84.254.160.61	84.254.160.84	PL
84.254.160.85	84.254.160.88	DE
84.254.160.89	84.254.160.191	A2
84.254.160.192	84.254.160.255	PL
84.254.161.0	84.254.161.255	IT
84.254.162.0	84.254.162.63	PL
84.254.162.64	84.254.162.127	IT
84.254.162.128	84.254.163.127	A2
84.254.163.128	84.254.163.191	IT
84.254.163.192	84.254.164.191	A2
84.254.164.192	84.254.164.255	IT
84.254.165.0	84.254.165.255	A2
84.254.166.0	84.254.166.63	IT
84.254.166.64	84.254.166.127	SE
84.254.166.128	84.254.166.191	A2
84.254.166.192	84.254.166.255	IT
84.254.167.0	84.254.167.63	A2
84.254.167.64	84.254.167.127	IT
84.254.167.128	84.254.168.0	A2
84.254.168.1	84.254.168.64	PE
84.254.168.65	84.254.168.191	A2
84.254.168.192	84.254.168.255	IT
84.254.169.0	84.254.169.127	FR
84.254.169.128	84.254.169.191	IT
84.254.169.192	84.254.169.255	A2
84.254.170.0	84.254.170.255	IT
84.254.171.0	84.254.171.0	A2
84.254.171.1	84.254.171.62	FR
84.254.171.63	84.254.171.63	A2
84.254.171.64	84.254.171.127	IT
84.254.171.128	84.254.171.191	FR
84.254.171.192	84.254.171.255	IT
84.254.172.0	84.254.172.0	A2
84.254.172.1	84.254.172.8	FR
84.254.172.9	84.254.172.16	GB
84.254.172.17	84.254.172.24	A2
84.254.172.25	84.254.172.32	FR
84.254.172.33	84.254.172.48	GB
84.254.172.49	84.254.172.52	FR
84.254.172.53	84.254.172.60	GB
84.254.172.61	84.254.172.68	FR
84.254.172.69	84.254.172.72	IT
84.254.172.73	84.254.172.112	FR
84.254.172.113	84.254.172.120	GB
84.254.172.121	84.254.172.128	FR
84.254.172.129	84.254.172.144	GB
84.254.172.145	84.254.172.255	A2
84.254.173.0	84.254.173.254	GB
84.254.173.255	84.254.173.255	A2
84.254.174.0	84.254.175.254	GB
84.254.175.255	84.254.175.255	A2
84.254.176.0	84.254.177.255	IT
84.254.178.0	84.254.178.255	DE
84.254.179.0	84.254.179.255	BG
84.254.180.0	84.254.180.0	A2
84.254.180.1	84.254.180.20	IT
84.254.180.21	84.254.180.21	A2
84.254.180.22	84.254.180.127	IT
84.254.180.128	84.254.181.0	A2
84.254.181.1	84.254.181.127	IT
84.254.181.128	84.254.181.191	A2
84.254.181.192	84.254.181.195	IT
84.254.181.196	84.254.182.191	A2
84.254.182.192	84.254.182.255	IT
84.254.183.0	84.254.183.191	A2
84.254.183.192	84.254.183.255	IT
84.254.184.0	84.254.184.0	A2
84.254.184.1	84.254.184.8	DE
84.254.184.9	84.254.184.20	A2
84.254.184.21	84.254.184.24	DE
84.254.184.25	84.254.184.44	A2
84.254.184.45	84.254.184.64	DE
84.254.184.65	84.254.184.68	A2
84.254.184.69	84.254.184.72	DE
84.254.184.73	84.254.184.80	A2
84.254.184.81	84.254.184.84	DE
84.254.184.85	84.254.184.88	A2
84.254.184.89	84.254.184.96	DE
84.254.184.97	84.254.184.111	A2
84.254.184.112	84.254.184.127	IT
84.254.184.128	84.254.184.191	DE
84.254.184.192	84.254.185.4	A2
84.254.185.5	84.254.185.8	AE
84.254.185.9	84.254.185.12	A2
84.254.185.13	84.254.185.44	AE
84.254.185.45	84.254.185.56	A2
84.254.185.57	84.254.185.60	AE
84.254.185.61	84.254.185.63	A2
84.254.185.64	84.254.185.127	DE
84.254.185.128	84.254.185.191	US
84.254.185.192	84.254.185.255	IT
84.254.186.0	84.254.186.0	A2
84.254.186.1	84.254.186.64	AE
84.254.186.65	84.254.186.72	A2
84.254.186.73	84.254.186.80	FR
84.254.186.81	84.254.186.94	IT
84.254.186.95	84.254.186.95	A2
84.254.186.96	84.254.186.127	US
84.254.186.128	84.254.186.191	DE
84.254.186.192	84.254.186.255	AE
84.254.187.0	84.254.187.127	IT
84.254.187.128	84.254.187.191	A2
84.254.187.192	84.254.187.255	IT
84.254.188.0	84.254.191.191	A2
84.254.191.192	84.254.191.255	IT
84.254.192.0	84.254.255.255	RU
84.255.0.0	84.255.63.255	MT
84.255.64.0	84.255.127.255	DK
84.255.128.0	84.255.191.255	BH
84.255.192.0	84.255.255.255	SI
85.0.0.0	85.7.255.255	CH
85.8.0.0	85.8.63.255	SE
85.8.64.0	85.8.127.255	DE
85.8.128.0	85.8.255.255	GB
85.9.0.0	85.9.63.255	RO
85.9.64.0	85.9.127.255	IR
85.9.128.0	85.9.191.255	TJ
85.9.192.0	85.9.194.255	LV
85.9.195.0	85.9.195.63	RU
85.9.195.64	85.9.255.255	LV
85.10.0.0	85.10.47.255	SI
85.10.48.0	85.10.63.255	HR
85.10.64.0	85.10.127.255	BE
85.10.128.0	85.10.191.255	FR
85.10.192.0	85.10.255.255	DE
85.11.0.0	85.11.63.255	SE
85.11.64.0	85.11.127.255	PL
85.11.128.0	85.11.191.255	BG
85.11.192.0	85.11.255.255	SE
85.12.0.0	85.12.1.255	NL
85.12.2.0	85.12.2.31	SE
85.12.2.32	85.12.2.63	GB
85.12.2.64	85.12.2.159	NL
85.12.2.160	85.12.2.191	GB
85.12.2.192	85.12.6.191	NL
85.12.6.192	85.12.6.255	PA
85.12.7.0	85.12.7.255	NL
85.12.8.0	85.12.8.255	SE
85.12.9.0	85.12.10.0	NL
85.12.10.1	85.12.10.7	RU
85.12.10.8	85.12.10.15	SE
85.12.10.16	85.12.10.23	NL
85.12.10.24	85.12.10.31	US
85.12.10.32	85.12.10.191	GB
85.12.10.192	85.12.25.255	NL
85.12.26.0	85.12.26.255	ES
85.12.27.0	85.12.30.0	NL
85.12.30.1	85.12.30.28	ES
85.12.30.29	85.12.36.255	NL
85.12.37.0	85.12.37.255	RU
85.12.38.0	85.12.57.127	NL
85.12.57.128	85.12.57.255	PA
85.12.58.0	85.12.58.255	FR
85.12.59.0	85.12.61.255	NL
85.12.62.0	85.12.62.255	BE
85.12.63.0	85.12.63.255	ES
85.12.64.0	85.12.127.255	GB
85.12.128.0	85.12.191.255	FR
85.12.192.0	85.12.255.255	RU
85.13.0.0	85.13.63.255	AT
85.13.64.0	85.13.127.255	CZ
85.13.128.0	85.13.191.255	DE
85.13.192.0	85.13.203.159	GB
85.13.203.160	85.13.203.167	ES
85.13.203.168	85.13.204.15	GB
85.13.204.16	85.13.204.23	ES
85.13.204.24	85.13.204.119	GB
85.13.204.120	85.13.204.127	ES
85.13.204.128	85.13.207.23	GB
85.13.207.24	85.13.207.31	ES
85.13.207.32	85.13.208.15	GB
85.13.208.16	85.13.208.24	ES
85.13.208.25	85.13.208.215	GB
85.13.208.216	85.13.208.224	ES
85.13.208.225	85.13.210.47	GB
85.13.210.48	85.13.210.63	ES
85.13.210.64	85.13.222.159	GB
85.13.222.160	85.13.222.166	FR
85.13.222.167	85.13.226.151	GB
85.13.226.152	85.13.226.159	ES
85.13.226.160	85.13.237.31	GB
85.13.237.32	85.13.237.47	ES
85.13.237.48	85.13.237.111	GB
85.13.237.112	85.13.237.119	ES
85.13.237.120	85.13.248.183	GB
85.13.248.184	85.13.248.191	ES
85.13.248.192	85.13.255.255	GB
85.14.0.0	85.14.63.255	BG
85.14.64.0	85.14.127.255	PL
85.14.128.0	85.14.191.255	FR
85.14.192.0	85.14.198.127	DE
85.14.198.128	85.14.198.191	AT
85.14.198.192	85.14.198.255	DE
85.14.199.0	85.14.199.255	AT
85.14.200.0	85.14.200.79	DE
85.14.200.80	85.14.200.87	AT
85.14.200.88	85.14.200.119	DE
85.14.200.120	85.14.200.127	PL
85.14.200.128	85.14.200.159	DE
85.14.200.160	85.14.200.167	GR
85.14.200.168	85.14.202.159	DE
85.14.202.160	85.14.202.167	AT
85.14.202.168	85.14.203.127	DE
85.14.203.128	85.14.203.135	NL
85.14.203.136	85.14.204.159	DE
85.14.204.160	85.14.204.175	MZ
85.14.204.176	85.14.204.199	DE
85.14.204.200	85.14.204.207	SE
85.14.204.208	85.14.212.255	DE
85.14.213.0	85.14.213.127	GB
85.14.213.128	85.14.255.255	DE
85.15.0.0	85.15.63.255	IR
85.15.64.0	85.15.191.255	RU
85.15.192.0	85.15.255.255	LV
85.16.0.0	85.16.255.255	DE
85.17.0.0	85.17.153.63	NL
85.17.153.64	85.17.153.127	BE
85.17.153.128	85.17.193.255	NL
85.17.194.0	85.17.195.255	US
85.17.196.0	85.17.197.63	NL
85.17.197.64	85.17.197.71	GB
85.17.197.72	85.17.197.79	DE
85.17.197.80	85.17.197.87	IT
85.17.197.88	85.17.197.95	ES
85.17.197.96	85.17.197.103	PL
85.17.197.104	85.17.197.111	RU
85.17.197.112	85.17.197.119	FR
85.17.197.120	85.17.255.255	NL
85.18.0.0	85.18.255.255	IT
85.19.0.0	85.19.255.255	NO
85.20.0.0	85.20.255.255	IT
85.21.0.0	85.21.255.255	RU
85.22.0.0	85.22.255.255	DE
85.23.0.0	85.23.255.255	FI
85.24.0.0	85.24.127.255	DK
85.24.128.0	85.24.255.255	SE
85.25.0.0	85.25.84.127	DE
85.25.84.128	85.25.84.255	LI
85.25.85.0	85.25.103.255	DE
85.25.104.0	85.25.104.31	US
85.25.104.32	85.25.104.95	DE
85.25.104.96	85.25.104.127	CY
85.25.104.128	85.25.104.159	BR
85.25.104.160	85.25.105.31	DE
85.25.105.32	85.25.105.63	TR
85.25.105.64	85.25.105.159	DE
85.25.105.160	85.25.105.191	RU
85.25.105.192	85.25.105.223	DE
85.25.105.224	85.25.105.255	CY
85.25.106.0	85.25.106.31	DE
85.25.106.32	85.25.106.63	IL
85.25.106.64	85.25.106.95	RU
85.25.106.96	85.25.106.159	DE
85.25.106.160	85.25.106.191	CA
85.25.106.192	85.25.106.223	DE
85.25.106.224	85.25.106.255	RO
85.25.107.0	85.25.107.159	DE
85.25.107.160	85.25.107.191	GR
85.25.107.192	85.25.159.255	DE
85.25.160.0	85.25.160.31	IO
85.25.160.32	85.25.160.127	DE
85.25.160.128	85.25.160.159	CZ
85.25.160.160	85.25.161.255	DE
85.25.162.0	85.25.162.31	GR
85.25.162.32	85.25.162.95	DE
85.25.162.96	85.25.162.127	NL
85.25.162.128	85.25.162.223	DE
85.25.162.224	85.25.162.255	CY
85.25.163.0	85.25.163.127	DE
85.25.163.128	85.25.163.159	DK
85.25.163.160	85.25.164.31	DE
85.25.164.32	85.25.164.63	ZA
85.25.164.64	85.25.165.159	DE
85.25.165.160	85.25.165.191	RU
85.25.165.192	85.25.165.255	DE
85.25.166.0	85.25.166.31	US
85.25.166.32	85.25.166.63	TR
85.25.166.64	85.25.166.95	DE
85.25.166.96	85.25.166.127	UA
85.25.166.128	85.25.166.255	DE
85.25.167.0	85.25.167.31	BE
85.25.167.32	85.25.167.127	DE
85.25.167.128	85.25.167.159	TR
85.25.167.160	85.25.167.191	DE
85.25.167.192	85.25.167.223	CA
85.25.167.224	85.25.167.255	DK
85.25.168.0	85.25.168.95	DE
85.25.168.96	85.25.168.159	TR
85.25.168.160	85.25.168.223	DE
85.25.168.224	85.25.168.255	DK
85.25.169.0	85.25.169.127	DE
85.25.169.128	85.25.169.159	RO
85.25.169.160	85.25.169.223	DE
85.25.169.224	85.25.169.255	TR
85.25.170.0	85.25.170.223	DE
85.25.170.224	85.25.170.255	RU
85.25.171.0	85.25.171.31	CN
85.25.171.32	85.25.171.63	RU
85.25.171.64	85.25.171.95	DE
85.25.171.96	85.25.171.127	BM
85.25.171.128	85.25.171.159	CY
85.25.171.160	85.25.171.191	US
85.25.171.192	85.25.171.255	DE
85.25.172.0	85.25.172.31	GB
85.25.172.32	85.25.172.191	DE
85.25.172.192	85.25.172.223	PL
85.25.172.224	85.25.173.31	DE
85.25.173.32	85.25.173.63	GB
85.25.173.64	85.25.173.191	DE
85.25.173.192	85.25.173.223	TR
85.25.173.224	85.25.174.63	DE
85.25.174.64	85.25.174.95	SE
85.25.174.96	85.25.179.255	DE
85.25.180.0	85.25.180.31	FI
85.25.180.32	85.25.182.191	DE
85.25.182.192	85.25.182.223	MX
85.25.182.224	85.25.183.223	DE
85.25.183.224	85.25.183.255	US
85.25.184.0	85.25.186.127	DE
85.25.186.128	85.25.186.159	UA
85.25.186.160	85.25.186.191	DE
85.25.186.192	85.25.186.223	CY
85.25.186.224	85.25.186.255	DE
85.25.187.0	85.25.187.31	US
85.25.187.32	85.25.187.63	DE
85.25.187.64	85.25.187.95	PL
85.25.187.96	85.25.188.31	DE
85.25.188.32	85.25.188.95	RU
85.25.188.96	85.25.188.255	DE
85.25.189.0	85.25.189.31	TR
85.25.189.32	85.25.189.95	DE
85.25.189.96	85.25.189.127	TR
85.25.189.128	85.25.189.159	DE
85.25.189.160	85.25.189.191	GB
85.25.189.192	85.25.192.255	DE
85.25.193.0	85.25.193.255	NL
85.25.194.0	85.25.227.63	DE
85.25.227.64	85.25.227.95	HR
85.25.227.96	85.25.228.63	DE
85.25.228.64	85.25.228.95	TR
85.25.228.96	85.25.228.127	US
85.25.228.128	85.25.228.191	BR
85.25.228.192	85.25.228.255	DE
85.25.229.0	85.25.229.31	TR
85.25.229.32	85.25.230.159	DE
85.25.230.160	85.25.230.191	NL
85.25.230.192	85.25.231.63	DE
85.25.231.64	85.25.231.95	CZ
85.25.231.96	85.25.231.127	DE
85.25.231.128	85.25.231.159	HR
85.25.231.160	85.25.231.191	DE
85.25.231.192	85.25.231.223	CH
85.25.231.224	85.25.232.31	DE
85.25.232.32	85.25.232.63	IT
85.25.232.64	85.25.232.95	DE
85.25.232.96	85.25.232.127	BR
85.25.232.128	85.25.232.223	DE
85.25.232.224	85.25.232.255	TW
85.25.233.0	85.25.233.95	DE
85.25.233.96	85.25.233.127	PL
85.25.233.128	85.25.233.159	US
85.25.233.160	85.25.233.191	RU
85.25.233.192	85.25.255.255	DE
85.26.0.0	85.26.127.255	BE
85.26.128.0	85.26.219.255	RU
85.26.220.0	85.26.223.255	KG
85.26.224.0	85.26.251.255	RU
85.26.252.0	85.26.255.255	MD
85.27.0.0	85.27.127.255	BE
85.27.128.0	85.27.255.255	DK
85.28.0.0	85.28.63.255	RU
85.28.64.0	85.28.127.255	BE
85.28.128.0	85.28.191.255	PL
85.28.192.0	85.28.255.255	RU
85.29.0.0	85.29.63.255	TR
85.29.64.0	85.29.127.255	FI
85.29.128.0	85.29.191.255	KZ
85.29.192.0	85.29.255.255	EE
85.30.64.0	85.30.127.255	MK
85.30.128.0	85.30.191.255	SE
85.30.192.0	85.30.255.255	RU
85.31.0.0	85.31.4.31	AT
85.31.4.32	85.31.4.39	CH
85.31.4.40	85.31.31.255	AT
85.31.32.0	85.31.95.255	GB
85.31.96.0	85.31.103.255	LV
85.31.104.0	85.31.111.255	FR
85.31.112.0	85.31.124.255	RU
85.31.125.0	85.31.125.255	TR
85.31.126.0	85.31.127.255	RU
85.31.128.0	85.31.135.255	ES
85.31.136.0	85.31.143.255	GB
85.31.144.0	85.31.151.255	FR
85.31.152.0	85.31.159.255	LI
85.31.160.0	85.31.167.255	IT
85.31.168.0	85.31.175.255	GB
85.31.176.0	85.31.183.255	RU
85.31.184.0	85.31.188.159	DE
85.31.188.160	85.31.188.175	CH
85.31.188.176	85.31.191.255	DE
85.31.192.0	85.31.203.159	FR
85.31.203.160	85.31.203.175	GB
85.31.203.176	85.31.203.183	FR
85.31.203.184	85.31.203.191	GB
85.31.203.192	85.31.204.159	FR
85.31.204.160	85.31.204.175	IT
85.31.204.176	85.31.204.191	ES
85.31.204.192	85.31.205.135	FR
85.31.205.136	85.31.205.255	GB
85.31.206.0	85.31.206.143	FR
85.31.206.144	85.31.206.159	US
85.31.206.160	85.31.206.191	GB
85.31.206.192	85.31.207.63	FR
85.31.207.64	85.31.207.95	GB
85.31.207.96	85.31.207.175	FR
85.31.207.176	85.31.207.183	DE
85.31.207.184	85.31.207.191	NL
85.31.207.192	85.31.207.207	FR
85.31.207.208	85.31.207.223	CH
85.31.207.224	85.31.207.255	GB
85.31.208.0	85.31.216.223	FR
85.31.216.224	85.31.216.239	GB
85.31.216.240	85.31.217.207	FR
85.31.217.208	85.31.217.223	GB
85.31.217.224	85.31.218.223	FR
85.31.218.224	85.31.218.255	GB
85.31.219.0	85.31.223.63	FR
85.31.223.64	85.31.223.255	GB
85.31.224.0	85.31.255.255	PL
85.32.0.0	85.47.255.255	IT
85.48.0.0	85.63.255.255	ES
85.64.0.0	85.65.255.255	IL
85.66.0.0	85.67.255.255	HU
85.68.0.0	85.69.255.255	FR
85.70.0.0	85.71.255.255	CZ
85.72.0.0	85.75.255.255	GR
85.76.0.0	85.79.255.255	FI
85.80.0.0	85.83.255.255	DK
85.84.0.0	85.87.255.255	ES
85.88.0.0	85.88.9.0	DE
85.88.9.1	85.88.9.14	AT
85.88.9.15	85.88.27.240	DE
85.88.27.241	85.88.27.254	AT
85.88.27.255	85.88.31.255	DE
85.88.32.0	85.88.33.31	BE
85.88.33.32	85.88.33.63	DE
85.88.33.64	85.88.63.255	BE
85.88.64.0	85.88.95.255	NO
85.88.96.0	85.88.127.255	NL
85.88.128.0	85.88.131.199	PT
85.88.131.200	85.88.131.207	ES
85.88.131.208	85.88.134.103	PT
85.88.134.104	85.88.134.111	ES
85.88.134.112	85.88.135.247	PT
85.88.135.248	85.88.135.255	ES
85.88.136.0	85.88.137.31	PT
85.88.137.32	85.88.137.47	ES
85.88.137.48	85.88.137.63	PT
85.88.137.64	85.88.137.79	ES
85.88.137.80	85.88.137.111	PT
85.88.137.112	85.88.137.119	ES
85.88.137.120	85.88.140.79	PT
85.88.140.80	85.88.140.87	NL
85.88.140.88	85.88.140.111	PT
85.88.140.112	85.88.140.127	ES
85.88.140.128	85.88.159.255	PT
85.88.160.0	85.88.191.255	RU
85.88.192.0	85.88.223.255	IT
85.88.224.0	85.88.255.255	GB
85.89.0.0	85.89.31.255	NO
85.89.32.0	85.89.63.255	EE
85.89.64.0	85.89.95.255	SE
85.89.96.0	85.89.127.255	RU
85.89.128.0	85.89.159.255	IT
85.89.160.0	85.89.191.255	PL
85.89.192.0	85.89.223.255	NO
85.89.224.0	85.89.255.255	DK
85.90.0.0	85.90.31.255	CH
85.90.32.0	85.90.63.255	GB
85.90.64.0	85.90.69.215	NL
85.90.69.216	85.90.69.223	GB
85.90.69.224	85.90.72.119	NL
85.90.72.120	85.90.72.127	US
85.90.72.128	85.90.95.255	NL
85.90.96.0	85.90.127.255	RU
85.90.128.0	85.90.159.255	AT
85.90.160.0	85.90.191.255	HU
85.90.192.0	85.90.223.255	UA
85.90.224.0	85.90.241.255	GB
85.90.242.0	85.90.242.15	BG
85.90.242.16	85.90.255.255	GB
85.91.0.0	85.91.31.255	IE
85.91.32.0	85.91.63.255	GB
85.91.64.0	85.91.95.255	ES
85.91.96.0	85.91.127.255	RU
85.91.128.0	85.91.159.255	BG
85.91.160.0	85.91.191.255	BE
85.91.192.0	85.91.223.255	RU
85.91.224.0	85.91.255.255	GB
85.92.0.0	85.92.31.255	RU
85.92.32.0	85.92.63.255	CZ
85.92.64.0	85.92.95.255	GB
85.92.96.0	85.92.127.255	CY
85.92.128.0	85.92.151.255	NL
85.92.152.0	85.92.159.255	PH
85.92.160.0	85.92.223.255	GB
85.92.224.0	85.92.255.255	BA
85.93.0.0	85.93.5.255	DE
85.93.6.0	85.93.6.127	PL
85.93.6.128	85.93.7.255	DE
85.93.8.0	85.93.8.255	CH
85.93.9.0	85.93.27.127	DE
85.93.27.128	85.93.27.255	PL
85.93.28.0	85.93.31.255	DE
85.93.32.0	85.93.63.255	RU
85.93.64.0	85.93.95.255	DE
85.93.96.0	85.93.127.255	CZ
85.93.128.0	85.93.159.255	RU
85.93.160.0	85.93.191.255	CZ
85.93.192.0	85.93.223.255	LU
85.93.224.0	85.93.255.255	NO
85.94.0.0	85.94.63.255	RU
85.94.64.0	85.94.95.255	HR
85.94.96.0	85.94.127.255	ME
85.94.128.0	85.94.159.255	BA
85.94.160.0	85.94.191.255	AD
85.94.192.0	85.94.223.255	IT
85.94.224.0	85.94.255.255	LU
85.95.0.0	85.95.31.255	GB
85.95.32.0	85.95.63.255	NO
85.95.64.0	85.95.95.255	BG
85.95.96.0	85.95.127.255	GB
85.95.128.0	85.95.191.255	RU
85.95.192.0	85.95.223.255	FR
85.95.224.0	85.111.255.255	TR
85.112.0.0	85.112.15.255	ES
85.112.16.0	85.112.27.255	NL
85.112.28.0	85.112.29.255	ES
85.112.30.0	85.112.31.47	TR
85.112.31.48	85.112.31.63	US
85.112.31.64	85.112.31.79	NL
85.112.31.80	85.112.31.255	TR
85.112.32.0	85.112.63.255	RU
85.112.64.0	85.112.95.255	LB
85.112.96.0	85.112.127.255	RU
85.112.128.0	85.112.159.255	NO
85.112.160.0	85.112.191.255	SE
85.112.192.0	85.112.223.255	PL
85.112.224.0	85.112.255.255	DE
85.113.0.0	85.113.31.255	KG
85.113.32.0	85.113.63.255	RU
85.113.64.0	85.113.95.255	GB
85.113.96.0	85.113.127.255	PS
85.113.128.0	85.113.159.255	RU
85.113.160.0	85.113.191.255	NO
85.113.192.0	85.113.223.255	RU
85.113.224.0	85.113.255.255	NL
85.114.0.0	85.114.31.255	RU
85.114.32.0	85.114.63.255	HR
85.114.64.0	85.114.95.255	RU
85.114.96.0	85.114.127.255	PS
85.114.128.0	85.114.159.255	DE
85.114.160.0	85.114.191.255	RU
85.114.192.0	85.114.223.255	UA
85.114.224.0	85.114.255.255	GE
85.115.0.0	85.115.8.255	DE
85.115.9.0	85.115.9.15	LU
85.115.9.16	85.115.31.255	DE
85.115.32.0	85.115.34.255	GB
85.115.35.0	85.115.35.255	DE
85.115.36.0	85.115.37.255	GB
85.115.38.0	85.115.39.255	CH
85.115.40.0	85.115.47.255	US
85.115.48.0	85.115.55.255	GB
85.115.56.0	85.115.59.255	DE
85.115.60.0	85.115.61.255	FR
85.115.62.0	85.115.63.255	GB
85.115.64.0	85.115.95.255	AE
85.115.96.0	85.115.127.255	LV
85.115.128.0	85.115.159.255	GI
85.115.160.0	85.115.191.255	RU
85.115.192.0	85.115.223.255	KG
85.115.224.0	85.115.255.255	RU
85.116.0.0	85.116.31.255	GB
85.116.32.0	85.116.63.255	FR
85.116.64.0	85.116.95.255	IS
85.116.96.0	85.116.127.255	RU
85.116.128.0	85.116.159.255	IT
85.116.160.0	85.116.191.255	GB
85.116.192.0	85.116.223.255	DE
85.116.224.0	85.116.255.255	IT
85.117.0.0	85.117.31.255	PL
85.117.32.0	85.117.63.255	GE
85.117.64.0	85.117.95.255	RU
85.117.96.0	85.117.127.255	EE
85.117.128.0	85.117.159.255	CZ
85.117.160.0	85.117.223.255	SE
85.117.224.0	85.117.255.255	UZ
85.118.0.0	85.118.31.255	GB
85.118.32.0	85.118.63.255	FR
85.118.64.0	85.118.95.255	BG
85.118.96.0	85.118.127.255	GE
85.118.128.0	85.118.143.255	RU
85.118.144.0	85.118.151.255	IT
85.118.152.0	85.118.159.255	GB
85.118.160.0	85.118.167.255	DE
85.118.168.0	85.118.175.255	GB
85.118.176.0	85.118.183.255	RU
85.118.184.0	85.118.184.31	SE
85.118.184.32	85.118.184.63	NL
85.118.184.64	85.118.184.127	SE
85.118.184.128	85.118.184.255	NL
85.118.185.0	85.118.185.15	RS
85.118.185.16	85.118.191.255	NL
85.118.192.0	85.118.199.255	BG
85.118.200.0	85.118.207.255	SE
85.118.208.0	85.118.215.255	BE
85.118.216.0	85.118.223.255	CH
85.118.224.0	85.118.231.255	RU
85.118.232.0	85.118.239.255	GB
85.118.240.0	85.118.247.255	ES
85.118.248.0	85.118.255.255	DE
85.119.0.0	85.119.2.95	CH
85.119.2.96	85.119.2.127	MC
85.119.2.128	85.119.4.255	CH
85.119.5.0	85.119.5.63	US
85.119.5.64	85.119.7.255	CH
85.119.8.0	85.119.15.255	HU
85.119.16.0	85.119.19.255	NL
85.119.20.0	85.119.20.31	GB
85.119.20.32	85.119.20.255	NL
85.119.21.0	85.119.21.127	GB
85.119.21.128	85.119.21.255	NL
85.119.22.0	85.119.22.127	GB
85.119.22.128	85.119.22.255	NL
85.119.23.0	85.119.31.255	GB
85.119.32.0	85.119.39.255	TR
85.119.40.0	85.119.47.255	IT
85.119.48.0	85.119.55.255	NL
85.119.56.0	85.119.63.255	GB
85.119.64.0	85.119.71.255	TR
85.119.72.0	85.119.79.255	RU
85.119.80.0	85.119.87.255	GB
85.119.88.0	85.119.95.255	CZ
85.119.96.0	85.119.103.255	GB
85.119.104.0	85.119.111.255	NL
85.119.112.0	85.119.119.255	GB
85.119.120.0	85.119.127.255	MT
85.119.128.0	85.119.135.255	SE
85.119.136.0	85.119.137.255	NO
85.119.138.0	85.119.138.255	NL
85.119.139.0	85.119.143.255	NO
85.119.144.0	85.119.151.255	RU
85.119.152.0	85.119.167.255	DE
85.119.168.0	85.119.175.255	FR
85.119.176.0	85.119.183.255	IT
85.119.184.0	85.119.191.255	BE
85.119.192.0	85.119.199.255	ES
85.119.200.0	85.119.202.19	NL
85.119.202.20	85.119.202.23	DE
85.119.202.24	85.119.202.255	NL
85.119.203.0	85.119.206.255	DE
85.119.207.0	85.119.207.255	NL
85.119.208.0	85.119.215.255	DE
85.119.216.0	85.119.223.255	BE
85.119.224.0	85.119.231.255	GB
85.119.232.0	85.119.239.255	CH
85.119.240.0	85.119.240.127	BE
85.119.240.128	85.119.243.127	NL
85.119.243.128	85.119.247.255	BE
85.119.248.0	85.119.255.255	GB
85.120.0.0	85.123.255.255	RO
85.124.0.0	85.127.255.255	AT
85.128.0.0	85.128.255.255	PL
85.129.0.0	85.129.127.255	DK
85.129.128.0	85.129.255.255	SA
85.130.0.0	85.130.127.255	BG
85.130.128.0	85.130.255.255	IL
85.131.0.0	85.131.127.255	FI
85.131.128.0	85.131.129.255	DE
85.131.130.0	85.131.130.255	MY
85.131.131.0	85.131.131.191	DE
85.131.131.192	85.131.131.255	NL
85.131.132.0	85.131.134.207	DE
85.131.134.208	85.131.134.255	NL
85.131.135.0	85.131.135.127	DE
85.131.135.128	85.131.135.255	NL
85.131.136.0	85.131.139.255	DE
85.131.140.0	85.131.140.255	NL
85.131.141.0	85.131.143.255	DE
85.131.144.0	85.131.150.255	NL
85.131.151.0	85.131.151.127	DE
85.131.151.128	85.131.151.255	NL
85.131.152.0	85.131.179.255	DE
85.131.180.0	85.131.180.63	NL
85.131.180.64	85.131.210.127	DE
85.131.210.128	85.131.210.255	NL
85.131.211.0	85.131.211.63	DE
85.131.211.64	85.131.211.79	NL
85.131.211.80	85.131.222.255	DE
85.131.223.0	85.131.223.15	NL
85.131.223.16	85.131.223.31	DE
85.131.223.32	85.131.223.255	NL
85.131.224.0	85.131.242.63	DE
85.131.242.64	85.131.242.255	NL
85.131.243.0	85.131.247.255	DE
85.131.248.0	85.131.248.255	NL
85.131.249.0	85.131.251.127	DE
85.131.251.128	85.131.251.143	NL
85.131.251.144	85.131.254.255	DE
85.131.255.0	85.131.255.255	NL
85.132.0.0	85.132.127.255	AZ
85.132.128.0	85.132.255.255	CZ
85.133.0.0	85.133.127.255	GB
85.133.128.0	85.133.255.255	IR
85.134.0.0	85.134.127.255	FI
85.134.128.0	85.134.255.255	IE
85.135.0.0	85.135.127.255	CZ
85.135.128.0	85.135.255.255	SK
85.136.0.0	85.137.255.255	ES
85.138.0.0	85.139.255.255	PT
85.140.0.0	85.143.255.255	RU
85.144.0.0	85.151.255.255	NL
85.152.0.0	85.152.255.255	ES
85.153.0.0	85.153.255.255	TR
85.154.0.0	85.154.255.255	OM
85.155.0.0	85.155.255.255	ES
85.156.0.0	85.157.255.255	FI
85.158.0.0	85.158.7.255	DE
85.158.8.0	85.158.15.255	GB
85.158.16.0	85.158.23.255	FR
85.158.24.0	85.158.31.255	CH
85.158.32.0	85.158.39.255	BA
85.158.40.0	85.158.47.255	GB
85.158.48.0	85.158.55.255	RU
85.158.56.0	85.158.71.255	GB
85.158.72.0	85.158.79.255	LV
85.158.80.0	85.158.87.255	IT
85.158.88.0	85.158.95.255	RU
85.158.96.0	85.158.103.255	TR
85.158.104.0	85.158.111.255	BE
85.158.112.0	85.158.127.255	FR
85.158.128.0	85.158.135.255	BH
85.158.136.0	85.158.136.255	NL
85.158.137.0	85.158.138.255	DE
85.158.139.0	85.158.139.255	NL
85.158.140.0	85.158.141.255	GB
85.158.142.0	85.158.142.255	NL
85.158.143.0	85.158.143.255	GB
85.158.144.0	85.158.151.255	AZ
85.158.152.0	85.158.159.255	GB
85.158.160.0	85.158.167.255	NL
85.158.168.0	85.158.175.255	ES
85.158.176.0	85.158.183.255	DE
85.158.184.0	85.158.191.255	RU
85.158.192.0	85.158.199.255	DE
85.158.200.0	85.158.207.255	NL
85.158.208.0	85.158.208.255	BE
85.158.209.0	85.158.209.63	NL
85.158.209.64	85.158.209.127	FR
85.158.209.128	85.158.209.191	BE
85.158.209.192	85.158.209.255	BR
85.158.210.0	85.158.215.255	BE
85.158.216.0	85.158.223.255	RO
85.158.224.0	85.158.231.255	AT
85.158.232.0	85.158.247.255	CH
85.158.248.0	85.158.255.255	NL
85.159.0.0	85.159.7.255	UA
85.159.8.0	85.159.15.47	DE
85.159.15.48	85.159.15.63	AT
85.159.15.64	85.159.15.199	DE
85.159.15.200	85.159.15.207	AT
85.159.15.208	85.159.15.255	DE
85.159.16.0	85.159.23.255	IE
85.159.24.0	85.159.31.255	KZ
85.159.32.0	85.159.47.255	RU
85.159.48.0	85.159.55.255	HU
85.159.56.0	85.159.63.255	GB
85.159.64.0	85.159.79.255	TR
85.159.80.0	85.159.95.255	GB
85.159.96.0	85.159.103.255	NL
85.159.104.0	85.159.111.255	SK
85.159.112.0	85.159.119.255	NL
85.159.120.0	85.159.127.255	GI
85.159.128.0	85.159.143.255	GB
85.159.144.0	85.159.151.255	IT
85.159.152.0	85.159.159.255	GB
85.159.160.0	85.159.167.255	IL
85.159.168.0	85.159.175.255	GB
85.159.176.0	85.159.183.255	IT
85.159.184.0	85.159.191.255	GB
85.159.192.0	85.159.204.31	IT
85.159.204.32	85.159.204.47	ET
85.159.204.48	85.159.204.135	IT
85.159.204.136	85.159.204.143	ET
85.159.204.144	85.159.204.191	IT
85.159.204.192	85.159.204.199	MO
85.159.204.200	85.159.207.255	IT
85.159.208.0	85.159.215.255	GB
85.159.216.0	85.159.223.255	JO
85.159.224.0	85.159.231.255	RU
85.159.232.0	85.159.239.255	NL
85.159.240.0	85.159.247.255	DE
85.159.248.0	85.159.255.255	GB
85.160.0.0	85.163.255.255	CZ
85.164.0.0	85.167.255.255	NO
85.168.0.0	85.171.255.255	FR
85.172.0.0	85.175.255.255	RU
85.176.0.0	85.183.255.255	DE
85.184.0.0	85.184.19.255	NL
85.184.20.0	85.184.20.255	GB
85.184.21.0	85.184.21.255	SE
85.184.22.0	85.184.22.255	BE
85.184.23.0	85.184.79.255	NL
85.184.80.0	85.184.80.255	GB
85.184.81.0	85.184.255.255	NL
85.185.0.0	85.185.255.255	IR
85.186.0.0	85.186.255.255	RO
85.187.0.0	85.187.255.255	BG
85.188.0.0	85.188.63.255	FI
85.188.64.0	85.188.191.255	SE
85.188.192.0	85.189.255.255	GB
85.190.0.0	85.190.14.223	DE
85.190.14.224	85.190.14.255	SI
85.190.15.0	85.190.31.255	DE
85.190.32.0	85.190.38.19	NL
85.190.38.20	85.190.38.23	DE
85.190.38.24	85.190.39.151	NL
85.190.39.152	85.190.39.159	DE
85.190.39.160	85.190.40.167	NL
85.190.40.168	85.190.40.255	DE
85.190.41.0	85.190.45.3	NL
85.190.45.4	85.190.255.255	DE
85.191.0.0	85.191.255.255	NL
85.192.0.0	85.192.63.255	RU
85.192.64.0	85.192.127.255	ES
85.192.128.0	85.192.191.255	RU
85.192.192.0	85.192.255.255	FR
85.193.0.0	85.193.63.255	CZ
85.193.64.0	85.193.127.255	RU
85.193.128.0	85.193.191.255	AT
85.193.192.0	85.193.255.255	PL
85.194.0.0	85.194.63.255	SE
85.194.64.0	85.194.127.255	SA
85.194.128.0	85.194.191.255	SE
85.194.192.0	85.194.255.255	FI
85.195.0.0	85.195.63.255	SE
85.195.64.0	85.195.73.255	DE
85.195.74.0	85.195.74.255	CH
85.195.75.0	85.195.118.31	DE
85.195.118.32	85.195.118.39	PA
85.195.118.40	85.195.120.71	DE
85.195.120.72	85.195.120.79	PA
85.195.120.80	85.195.124.63	DE
85.195.124.64	85.195.124.71	CH
85.195.124.72	85.195.124.95	DE
85.195.124.96	85.195.124.127	NL
85.195.124.128	85.195.124.135	DE
85.195.124.136	85.195.124.143	PA
85.195.124.144	85.195.124.159	DE
85.195.124.160	85.195.124.167	PA
85.195.124.168	85.195.124.175	DE
85.195.124.176	85.195.124.231	PA
85.195.124.232	85.195.124.239	DE
85.195.124.240	85.195.124.255	PA
85.195.125.0	85.195.126.87	DE
85.195.126.88	85.195.126.119	GB
85.195.126.120	85.195.126.121	CH
85.195.126.122	85.195.127.255	DE
85.195.128.0	85.195.129.255	RU
85.195.130.0	85.195.130.255	LB
85.195.131.0	85.195.132.255	RU
85.195.133.0	85.195.133.255	IQ
85.195.134.0	85.195.134.255	LT
85.195.135.0	85.195.135.255	LB
85.195.136.0	85.195.136.255	LT
85.195.137.0	85.195.140.255	LB
85.195.141.0	85.195.141.255	IQ
85.195.142.0	85.195.147.255	RU
85.195.148.0	85.195.151.255	LB
85.195.152.0	85.195.153.255	RU
85.195.154.0	85.195.154.255	LT
85.195.155.0	85.195.158.255	RU
85.195.159.0	85.195.159.255	AM
85.195.160.0	85.195.161.255	RU
85.195.162.0	85.195.162.255	LB
85.195.163.0	85.195.163.255	IQ
85.195.164.0	85.195.167.255	RU
85.195.168.0	85.195.183.255	LT
85.195.184.0	85.195.184.255	LB
85.195.185.0	85.195.185.255	RU
85.195.186.0	85.195.186.255	IQ
85.195.187.0	85.195.191.255	RU
85.195.192.0	85.195.192.255	US
85.195.193.0	85.195.223.255	IS
85.195.224.0	85.195.224.255	AQ
85.195.225.0	85.195.239.255	IS
85.195.240.0	85.195.240.255	CH
85.195.241.0	85.195.255.255	IS
85.196.0.0	85.196.63.255	GR
85.196.64.0	85.196.127.255	NO
85.196.128.0	85.196.191.255	BG
85.196.192.0	85.196.255.255	EE
85.197.0.0	85.197.78.255	DE
85.197.79.0	85.197.79.255	SE
85.197.80.0	85.197.80.187	DE
85.197.80.188	85.197.80.191	SE
85.197.80.192	85.197.81.63	DE
85.197.81.64	85.197.81.71	GB
85.197.81.72	85.197.81.75	SE
85.197.81.76	85.197.82.95	DE
85.197.82.96	85.197.82.103	GB
85.197.82.104	85.197.82.123	DE
85.197.82.124	85.197.82.127	SE
85.197.82.128	85.197.96.253	DE
85.197.96.254	85.197.96.255	CH
85.197.97.0	85.197.98.58	DE
85.197.98.59	85.197.98.63	CH
85.197.98.64	85.197.98.221	DE
85.197.98.222	85.197.98.255	NL
85.197.99.0	85.197.99.179	DE
85.197.99.180	85.197.99.191	PT
85.197.99.192	85.197.99.221	DE
85.197.99.222	85.197.99.222	CH
85.197.99.223	85.197.99.237	DE
85.197.99.238	85.197.99.238	CH
85.197.99.239	85.197.100.239	DE
85.197.100.240	85.197.100.255	GB
85.197.101.0	85.197.103.255	DE
85.197.104.0	85.197.104.255	NL
85.197.105.0	85.197.105.7	DE
85.197.105.8	85.197.111.255	NL
85.197.112.0	85.197.127.103	DE
85.197.127.104	85.197.127.111	AT
85.197.127.112	85.197.127.207	DE
85.197.127.208	85.197.127.211	PL
85.197.127.212	85.197.127.255	DE
85.197.128.0	85.197.191.255	SE
85.197.192.0	85.197.255.255	IS
85.198.0.0	85.198.63.255	IR
85.198.64.0	85.198.127.255	RU
85.198.128.0	85.198.191.255	UA
85.198.192.0	85.198.255.255	PL
85.199.0.0	85.199.63.255	AT
85.199.64.0	85.199.191.255	DE
85.199.192.0	85.199.255.255	GB
85.200.0.0	85.200.255.255	NO
85.201.0.0	85.201.255.255	BE
85.202.0.0	85.202.15.255	RU
85.202.16.0	85.202.31.255	DK
85.202.32.0	85.202.63.255	PL
85.202.64.0	85.202.79.255	DK
85.202.80.0	85.202.95.255	RO
85.202.96.0	85.202.111.255	PL
85.202.112.0	85.202.143.255	RU
85.202.144.0	85.202.159.255	PL
85.202.160.0	85.202.175.255	UA
85.202.176.0	85.202.191.255	RU
85.202.192.0	85.202.207.255	UA
85.202.208.0	85.202.223.255	PL
85.202.224.0	85.202.255.255	RU
85.203.0.0	85.203.31.255	NL
85.203.32.0	85.203.63.255	DE
85.203.64.0	85.203.255.255	NL
85.204.0.0	85.204.255.255	RO
85.205.0.0	85.205.18.255	DE
85.205.19.0	85.205.22.255	GB
85.205.23.0	85.205.23.255	DE
85.205.24.0	85.205.63.255	GB
85.205.64.0	85.205.71.255	IT
85.205.72.0	85.205.74.255	DE
85.205.75.0	85.205.75.255	GB
85.205.76.0	85.205.77.255	DE
85.205.78.0	85.205.79.255	IT
85.205.80.0	85.205.87.255	GB
85.205.88.0	85.205.95.255	DE
85.205.96.0	85.205.119.255	GB
85.205.120.0	85.205.120.255	DE
85.205.121.0	85.205.121.255	GB
85.205.122.0	85.205.122.127	DE
85.205.122.128	85.205.123.255	GB
85.205.124.0	85.205.124.255	EG
85.205.125.0	85.205.143.255	DE
85.205.144.0	85.205.155.255	IT
85.205.156.0	85.205.157.255	GB
85.205.158.0	85.205.159.255	IT
85.205.160.0	85.205.199.255	DE
85.205.200.0	85.205.207.255	IT
85.205.208.0	85.205.224.255	DE
85.205.225.0	85.205.225.255	GB
85.205.226.0	85.205.227.255	IT
85.205.228.0	85.205.229.255	DE
85.205.230.0	85.205.230.255	GB
85.205.231.0	85.205.232.255	DE
85.205.233.0	85.205.233.255	GB
85.205.234.0	85.205.236.255	IT
85.205.237.0	85.205.238.255	GB
85.205.239.0	85.205.241.255	DE
85.205.242.0	85.205.242.255	IT
85.205.243.0	85.205.243.255	GB
85.205.244.0	85.205.245.255	IT
85.205.246.0	85.205.247.255	DE
85.205.248.0	85.205.249.255	GB
85.205.250.0	85.205.251.255	IE
85.205.252.0	85.205.252.127	DE
85.205.252.128	85.205.253.255	GB
85.205.254.0	85.205.255.255	DE
85.206.0.0	85.206.255.255	LT
85.207.0.0	85.207.255.255	CZ
85.208.0.0	85.209.255.255	SA
85.210.0.0	85.211.255.255	GB
85.212.0.0	85.216.127.255	DE
85.216.128.0	85.216.255.255	SK
85.217.0.0	85.217.127.255	FI
85.217.128.0	85.217.255.255	BG
85.218.0.0	85.218.127.255	CH
85.218.128.0	85.218.255.255	DK
85.219.0.0	85.219.127.255	ES
85.219.128.0	85.219.255.255	PL
85.220.0.0	85.220.127.255	IS
85.220.128.0	85.220.255.255	DE
85.221.0.0	85.221.127.255	NO
85.221.128.0	85.222.127.255	PL
85.222.128.0	85.222.255.255	RS
85.223.0.0	85.223.127.255	NL
85.223.128.0	85.223.255.255	UA
85.224.0.0	85.231.255.255	SE
85.232.0.0	85.232.31.255	DE
85.232.32.0	85.232.63.255	GB
85.232.64.0	85.232.95.255	AT
85.232.96.0	85.232.127.255	RU
85.232.128.0	85.232.159.255	LT
85.232.160.0	85.232.191.255	SE
85.232.192.0	85.232.223.255	MT
85.232.224.0	85.232.233.159	PL
85.232.233.160	85.232.233.191	SE
85.232.233.192	85.232.255.255	PL
85.233.0.0	85.233.63.255	DE
85.233.64.0	85.233.95.255	RU
85.233.96.0	85.233.127.255	AT
85.233.128.0	85.233.159.255	RU
85.233.160.0	85.233.191.255	GB
85.233.192.0	85.233.200.63	FR
85.233.200.64	85.233.200.95	US
85.233.200.96	85.233.200.143	FR
85.233.200.144	85.233.200.151	AU
85.233.200.152	85.233.200.159	FR
85.233.200.160	85.233.200.191	CN
85.233.200.192	85.233.202.143	FR
85.233.202.144	85.233.202.159	ES
85.233.202.160	85.233.206.127	FR
85.233.206.128	85.233.206.255	IL
85.233.207.0	85.233.216.127	FR
85.233.216.128	85.233.216.255	CA
85.233.217.0	85.233.217.255	FR
85.233.218.0	85.233.218.63	IE
85.233.218.64	85.233.223.255	FR
85.233.224.0	85.233.255.255	DK
85.234.0.0	85.234.63.255	RU
85.234.64.0	85.234.95.255	GB
85.234.96.0	85.234.127.255	RU
85.234.128.0	85.234.159.255	GB
85.234.160.0	85.234.191.255	LV
85.234.192.0	85.234.223.255	BE
85.234.224.0	85.234.255.255	NL
85.235.0.0	85.235.16.255	SE
85.235.17.0	85.235.24.255	DK
85.235.25.0	85.235.31.255	SE
85.235.32.0	85.235.63.255	RU
85.235.64.0	85.235.95.255	TR
85.235.96.0	85.235.108.255	GB
85.235.109.0	85.235.109.255	BE
85.235.110.0	85.235.127.255	GB
85.235.128.0	85.235.159.255	IT
85.235.160.0	85.235.223.255	RU
85.235.224.0	85.235.255.255	DK
85.236.0.0	85.236.31.255	RU
85.236.32.0	85.236.51.239	DE
85.236.51.240	85.236.51.255	LI
85.236.52.0	85.236.53.143	DE
85.236.53.144	85.236.53.159	CH
85.236.53.160	85.236.55.127	DE
85.236.55.128	85.236.55.191	TR
85.236.55.192	85.236.55.207	DE
85.236.55.208	85.236.55.223	CH
85.236.55.224	85.236.61.63	DE
85.236.61.64	85.236.61.127	AT
85.236.61.128	85.236.63.255	DE
85.236.64.0	85.236.95.255	DK
85.236.96.0	85.236.96.255	GB
85.236.97.0	85.236.97.255	NL
85.236.98.0	85.236.108.255	GB
85.236.109.0	85.236.109.255	NL
85.236.110.0	85.236.127.255	GB
85.236.128.0	85.236.135.255	IQ
85.236.136.0	85.236.143.255	PK
85.236.144.0	85.236.159.255	IR
85.236.160.0	85.236.191.255	RU
85.236.192.0	85.236.207.127	DE
85.236.207.128	85.236.207.255	US
85.236.208.0	85.236.223.255	DE
85.236.224.0	85.236.253.255	AT
85.236.254.0	85.236.254.255	DE
85.236.255.0	85.237.3.255	AT
85.237.4.0	85.237.28.255	SK
85.237.29.0	85.237.29.255	AT
85.237.30.0	85.237.31.255	SK
85.237.32.0	85.237.63.255	RU
85.237.64.0	85.237.95.255	DE
85.237.96.0	85.237.97.47	FR
85.237.97.48	85.237.97.63	ES
85.237.97.64	85.237.97.183	FR
85.237.97.184	85.237.97.187	ES
85.237.97.188	85.237.98.255	FR
85.237.99.0	85.237.99.31	ES
85.237.99.32	85.237.99.159	FR
85.237.99.160	85.237.99.191	PT
85.237.99.192	85.237.127.255	FR
85.237.128.0	85.237.159.255	SA
85.237.160.0	85.237.191.255	PL
85.237.192.0	85.237.223.255	GB
85.237.224.0	85.237.255.255	SK
85.238.0.0	85.238.31.255	ES
85.238.32.0	85.238.63.255	GE
85.238.64.0	85.238.95.255	HU
85.238.96.0	85.238.127.255	UA
85.238.128.0	85.238.131.255	BR
85.238.132.0	85.238.135.255	DE
85.238.136.0	85.238.139.255	US
85.238.140.0	85.238.143.255	SG
85.238.144.0	85.238.147.255	US
85.238.148.0	85.238.159.255	DE
85.238.160.0	85.238.191.255	AT
85.238.192.0	85.238.223.255	SE
85.238.224.0	85.238.255.255	DE
85.239.0.0	85.239.9.255	KW
85.239.10.0	85.239.11.255	SG
85.239.12.0	85.239.31.255	KW
85.239.32.0	85.239.63.255	RU
85.239.64.0	85.239.95.255	CZ
85.239.96.0	85.239.127.255	DE
85.239.128.0	85.239.159.255	BG
85.239.160.0	85.239.191.255	IT
85.239.192.0	85.239.223.255	ES
85.239.224.0	85.239.255.255	CZ
85.240.0.0	85.247.255.255	PT
85.248.0.0	85.248.1.39	SK
85.248.1.40	85.248.1.47	DE
85.248.1.48	85.248.20.47	SK
85.248.20.48	85.248.20.55	DE
85.248.20.56	85.248.64.255	SK
85.248.65.0	85.248.65.127	BE
85.248.65.128	85.248.255.255	SK
85.249.0.0	85.249.255.255	RU
85.250.0.0	85.250.255.255	IL
85.251.0.0	85.251.255.255	ES
85.252.0.0	85.252.255.255	NO
85.253.0.0	85.253.255.255	EE
85.254.0.0	85.254.255.255	LV
85.255.0.0	85.255.15.255	PL
85.255.16.0	85.255.31.255	DE
85.255.32.0	85.255.47.255	NO
85.255.48.0	85.255.63.255	LT
85.255.64.0	85.255.79.255	LV
85.255.80.0	85.255.95.255	DE
85.255.96.0	85.255.111.255	LT
85.255.112.0	85.255.127.255	UA
85.255.128.0	85.255.143.255	BG
85.255.144.0	85.255.159.255	AT
85.255.160.0	85.255.175.255	BG
85.255.176.0	85.255.191.255	PL
85.255.192.0	85.255.207.255	BE
85.255.208.0	85.255.223.255	NL
85.255.224.0	85.255.239.255	GB
85.255.240.0	85.255.255.255	PL
86.0.0.0	86.31.255.255	GB
86.32.0.0	86.33.255.255	AT
86.34.0.0	86.35.255.255	RO
86.36.0.0	86.37.255.255	QA
86.38.0.0	86.38.255.255	LT
86.39.0.0	86.39.127.255	BE
86.39.128.0	86.39.128.63	NL
86.39.128.64	86.39.132.31	BE
86.39.132.32	86.39.135.255	NL
86.39.136.0	86.39.137.95	BE
86.39.137.96	86.39.137.127	NL
86.39.137.128	86.39.137.255	BE
86.39.138.0	86.39.145.255	NL
86.39.146.0	86.39.146.31	BE
86.39.146.32	86.39.146.255	NL
86.39.147.0	86.39.148.31	BE
86.39.148.32	86.39.148.159	NL
86.39.148.160	86.39.148.191	BE
86.39.148.192	86.39.152.3	NL
86.39.152.4	86.39.152.7	BE
86.39.152.8	86.39.152.31	NL
86.39.152.32	86.39.152.39	BE
86.39.152.40	86.39.154.63	NL
86.39.154.64	86.39.154.95	BE
86.39.154.96	86.39.155.127	NL
86.39.155.128	86.39.155.255	BE
86.39.156.0	86.39.156.47	NL
86.39.156.48	86.39.156.95	BE
86.39.156.96	86.39.157.127	NL
86.39.157.128	86.39.157.191	BE
86.39.157.192	86.39.157.223	NL
86.39.157.224	86.39.157.255	BE
86.39.158.0	86.39.158.31	NL
86.39.158.32	86.39.158.254	BE
86.39.158.255	86.39.159.127	NL
86.39.159.128	86.39.159.135	BE
86.39.159.136	86.39.159.255	NL
86.39.160.0	86.39.160.255	BE
86.39.161.0	86.39.161.15	NL
86.39.161.16	86.39.161.47	BE
86.39.161.48	86.39.161.127	NL
86.39.161.128	86.39.163.63	BE
86.39.163.64	86.39.169.255	NL
86.39.170.0	86.39.170.255	BE
86.39.171.0	86.39.179.255	NL
86.39.180.0	86.39.182.255	BE
86.39.183.0	86.39.189.255	NL
86.39.190.0	86.39.192.223	BE
86.39.192.224	86.39.199.255	NL
86.39.200.0	86.39.214.255	BE
86.39.215.0	86.39.215.127	NL
86.39.215.128	86.39.232.254	BE
86.39.232.255	86.39.232.255	NL
86.39.233.0	86.39.240.255	BE
86.39.241.0	86.39.255.255	NL
86.40.0.0	86.47.255.255	IE
86.48.0.0	86.48.255.255	DK
86.49.0.0	86.49.255.255	CZ
86.50.0.0	86.50.255.255	FI
86.51.0.0	86.51.255.255	SA
86.52.0.0	86.52.255.255	DK
86.53.0.0	86.54.255.255	GB
86.55.0.0	86.55.255.255	RO
86.56.0.0	86.56.127.255	DE
86.56.128.0	86.56.255.255	AT
86.57.0.0	86.57.127.255	IR
86.57.128.0	86.57.255.255	BY
86.58.0.0	86.58.127.255	SI
86.58.128.0	86.58.255.231	DK
86.58.255.232	86.58.255.235	NO
86.58.255.236	86.58.255.239	FI
86.58.255.240	86.58.255.255	DK
86.59.0.0	86.59.13.159	AT
86.59.13.160	86.59.13.175	ES
86.59.13.176	86.59.114.119	AT
86.59.114.120	86.59.114.127	US
86.59.114.128	86.59.127.255	AT
86.59.128.0	86.59.255.255	RU
86.60.0.0	86.60.127.255	SA
86.60.128.0	86.60.255.255	FI
86.61.0.0	86.61.92.255	SI
86.61.93.0	86.61.94.255	HR
86.61.95.0	86.61.127.255	SI
86.61.128.0	86.61.255.255	CZ
86.62.0.0	86.62.1.7	A2
86.62.1.8	86.62.1.15	CY
86.62.1.16	86.62.1.31	BH
86.62.1.32	86.62.1.47	SA
86.62.1.48	86.62.1.55	BH
86.62.1.56	86.62.1.63	A2
86.62.1.64	86.62.1.71	SA
86.62.1.72	86.62.1.79	IQ
86.62.1.80	86.62.1.87	SA
86.62.1.88	86.62.1.95	IR
86.62.1.96	86.62.1.103	ES
86.62.1.104	86.62.1.111	IQ
86.62.1.112	86.62.3.255	A2
86.62.4.0	86.62.4.3	LY
86.62.4.4	86.62.4.99	A2
86.62.4.100	86.62.4.103	ZM
86.62.4.104	86.62.18.123	A2
86.62.18.124	86.62.18.127	ZM
86.62.18.128	86.62.63.255	A2
86.62.64.0	86.62.127.255	RU
86.62.128.0	86.62.191.255	NO
86.62.192.0	86.62.255.255	QA
86.63.0.0	86.63.63.255	GB
86.63.64.0	86.63.159.255	PL
86.63.160.0	86.63.191.255	LV
86.63.192.0	86.63.193.255	CZ
86.63.194.0	86.63.194.15	BZ
86.63.194.16	86.63.223.255	CZ
86.63.224.0	86.66.13.95	FR
86.66.13.96	86.66.13.111	TN
86.66.13.112	86.79.255.255	FR
86.80.0.0	86.95.255.255	NL
86.96.0.0	86.99.255.255	AE
86.100.0.0	86.100.255.255	LT
86.101.0.0	86.101.255.255	HU
86.102.0.0	86.102.255.255	RU
86.103.0.0	86.103.255.255	DE
86.104.0.0	86.104.239.255	RO
86.104.240.0	86.104.243.255	MD
86.104.244.0	86.106.82.255	RO
86.106.83.0	86.106.83.255	UA
86.106.84.0	86.106.207.255	RO
86.106.208.0	86.106.255.255	MD
86.107.0.0	86.107.255.255	RO
86.108.0.0	86.108.127.255	JO
86.108.128.0	86.108.255.255	TR
86.109.0.0	86.109.31.255	NL
86.109.32.0	86.109.63.255	IR
86.109.64.0	86.109.95.255	HU
86.109.96.0	86.109.127.255	ES
86.109.128.0	86.109.159.255	IT
86.109.160.0	86.109.191.255	ES
86.109.192.0	86.109.223.255	RU
86.109.224.0	86.109.255.255	DE
86.110.0.0	86.110.31.255	RU
86.110.32.0	86.110.63.255	EE
86.110.64.0	86.110.95.255	DE
86.110.96.0	86.110.127.255	RU
86.110.128.0	86.110.131.255	IT
86.110.132.0	86.110.132.255	A2
86.110.133.0	86.110.133.255	IT
86.110.134.0	86.110.135.255	A2
86.110.136.0	86.110.139.255	IT
86.110.140.0	86.110.140.7	A2
86.110.140.8	86.110.140.173	IT
86.110.140.174	86.110.140.175	A2
86.110.140.176	86.110.141.47	IT
86.110.141.48	86.110.141.119	A2
86.110.141.120	86.110.159.255	IT
86.110.160.0	86.110.223.255	RU
86.110.224.0	86.110.255.255	SK
86.111.0.0	86.111.31.255	RU
86.111.32.0	86.111.63.255	AT
86.111.64.0	86.111.95.255	UA
86.111.96.0	86.111.127.255	PL
86.111.128.0	86.111.159.255	RU
86.111.160.0	86.111.191.255	GB
86.111.192.0	86.111.199.255	SA
86.111.200.0	86.111.207.255	PL
86.111.208.0	86.111.215.255	EU
86.111.216.0	86.111.223.255	GB
86.111.224.0	86.111.231.255	UA
86.111.232.0	86.111.239.255	DE
86.111.240.0	86.111.247.255	PL
86.111.248.0	86.111.255.255	DE
86.112.0.0	86.113.255.255	GB
86.114.0.0	86.115.255.255	FI
86.116.0.0	86.119.255.255	CH
86.120.0.0	86.127.39.255	RO
86.127.40.0	86.127.47.255	HU
86.127.48.0	86.127.255.255	RO
86.128.0.0	86.191.255.255	GB
86.192.0.0	86.255.255.255	FR
87.0.0.0	87.31.255.255	IT
87.32.0.0	87.47.255.255	IE
87.48.0.0	87.63.255.255	DK
87.64.0.0	87.67.255.255	BE
87.68.0.0	87.71.255.255	IL
87.72.0.0	87.73.255.255	DK
87.74.0.0	87.75.255.255	GB
87.76.0.0	87.79.255.255	DE
87.80.0.0	87.87.255.255	GB
87.88.0.0	87.91.255.255	FR
87.92.0.0	87.95.255.255	FI
87.96.0.0	87.96.127.255	PL
87.96.128.0	87.96.255.255	SE
87.97.0.0	87.97.127.255	HU
87.97.128.0	87.97.255.255	BG
87.98.0.0	87.98.127.255	EE
87.98.128.0	87.98.223.255	FR
87.98.224.0	87.98.231.255	ES
87.98.232.0	87.98.239.255	PL
87.98.240.0	87.98.247.255	DE
87.98.248.0	87.98.250.255	GB
87.98.251.0	87.98.251.255	FR
87.98.252.0	87.98.253.255	BE
87.98.254.0	87.98.255.255	GB
87.99.0.0	87.99.63.255	PL
87.99.64.0	87.99.95.255	LV
87.99.96.0	87.99.127.255	PL
87.99.128.0	87.99.255.255	SE
87.100.0.0	87.100.127.255	FR
87.100.128.0	87.100.255.255	FI
87.101.0.0	87.101.15.255	NL
87.101.16.0	87.101.47.255	PL
87.101.48.0	87.101.63.255	GR
87.101.64.0	87.101.79.255	PL
87.101.80.0	87.101.95.255	GR
87.101.96.0	87.101.111.255	GB
87.101.112.0	87.101.127.255	HU
87.101.128.0	87.101.255.255	SA
87.102.0.0	87.102.127.255	GB
87.102.128.0	87.102.255.255	CH
87.103.0.0	87.103.127.255	PT
87.103.128.0	87.103.255.255	RU
87.104.0.0	87.104.255.255	DK
87.105.0.0	87.105.255.255	PL
87.106.0.0	87.106.95.255	DE
87.106.96.0	87.106.99.255	FR
87.106.100.0	87.106.107.255	GB
87.106.108.0	87.106.108.255	FR
87.106.109.0	87.106.109.255	GB
87.106.110.0	87.106.111.255	FR
87.106.112.0	87.106.164.255	DE
87.106.165.0	87.106.165.255	FR
87.106.166.0	87.106.191.255	DE
87.106.192.0	87.106.199.255	ES
87.106.200.0	87.106.202.255	GB
87.106.203.0	87.106.205.255	ES
87.106.206.0	87.106.206.127	FR
87.106.206.128	87.106.206.255	GB
87.106.207.0	87.106.207.255	ES
87.106.208.0	87.106.255.255	DE
87.107.0.0	87.107.255.255	IR
87.108.0.0	87.108.255.255	FI
87.109.0.0	87.109.255.255	SA
87.110.0.0	87.110.232.255	LV
87.110.233.0	87.110.233.255	LT
87.110.234.0	87.110.255.255	LV
87.111.0.0	87.111.255.255	ES
87.112.0.0	87.115.255.255	GB
87.116.0.0	87.116.63.255	DK
87.116.64.0	87.116.127.255	BG
87.116.128.0	87.116.191.255	RS
87.116.192.0	87.116.255.255	PL
87.117.0.0	87.117.63.255	RU
87.117.64.0	87.117.127.255	GB
87.117.128.0	87.117.191.255	RU
87.117.192.0	87.117.216.159	GB
87.117.216.160	87.117.216.191	TR
87.117.216.192	87.117.228.255	GB
87.117.229.0	87.117.229.255	CA
87.117.230.0	87.117.243.191	GB
87.117.243.192	87.117.243.223	SE
87.117.243.224	87.117.255.255	GB
87.118.0.0	87.118.63.255	NO
87.118.64.0	87.118.64.191	DE
87.118.64.192	87.118.64.223	SE
87.118.64.224	87.118.64.255	DE
87.118.65.0	87.118.65.15	IT
87.118.65.16	87.118.65.127	DE
87.118.65.128	87.118.65.191	CZ
87.118.65.192	87.118.65.223	SE
87.118.65.224	87.118.65.255	DE
87.118.66.0	87.118.66.255	SI
87.118.67.0	87.118.67.127	DK
87.118.67.128	87.118.72.47	DE
87.118.72.48	87.118.72.63	RU
87.118.72.64	87.118.72.127	DE
87.118.72.128	87.118.72.191	IT
87.118.72.192	87.118.72.255	AT
87.118.73.0	87.118.73.31	DE
87.118.73.32	87.118.73.63	HR
87.118.73.64	87.118.73.127	SE
87.118.73.128	87.118.73.143	RU
87.118.73.144	87.118.73.159	DE
87.118.73.160	87.118.73.175	RU
87.118.73.176	87.118.127.255	DE
87.118.128.0	87.118.191.255	BG
87.118.192.0	87.118.255.255	RU
87.119.0.0	87.119.63.255	PL
87.119.64.0	87.119.127.255	BG
87.119.128.0	87.119.159.255	SI
87.119.160.0	87.119.191.255	EE
87.119.192.0	87.119.192.31	NL
87.119.192.32	87.119.192.63	AT
87.119.192.64	87.119.192.71	NL
87.119.192.72	87.119.192.79	AT
87.119.192.80	87.119.192.95	NL
87.119.192.96	87.119.192.127	AT
87.119.192.128	87.119.193.31	NL
87.119.193.32	87.119.193.39	DE
87.119.193.40	87.119.193.47	AT
87.119.193.48	87.119.193.127	NL
87.119.193.128	87.119.193.159	DE
87.119.193.160	87.119.193.191	NL
87.119.193.192	87.119.193.207	DE
87.119.193.208	87.119.193.223	NL
87.119.193.224	87.119.193.231	DE
87.119.193.232	87.119.193.239	VG
87.119.193.240	87.119.193.255	NL
87.119.194.0	87.119.194.31	DE
87.119.194.32	87.119.194.255	NL
87.119.195.0	87.119.197.63	DE
87.119.197.64	87.119.197.95	CH
87.119.197.96	87.119.200.127	DE
87.119.200.128	87.119.200.255	CH
87.119.201.0	87.119.201.79	DE
87.119.201.80	87.119.201.87	BR
87.119.201.88	87.119.223.255	DE
87.119.224.0	87.119.255.255	RU
87.120.0.0	87.121.255.255	BG
87.122.0.0	87.123.255.255	DE
87.124.0.0	87.125.255.255	GB
87.126.0.0	87.126.255.255	BG
87.127.0.0	87.127.255.255	GB
87.128.0.0	87.191.255.255	DE
87.192.0.0	87.192.100.159	IE
87.192.100.160	87.192.100.175	GB
87.192.100.176	87.192.228.135	IE
87.192.228.136	87.192.228.159	GB
87.192.228.160	87.192.228.175	IE
87.192.228.176	87.192.228.183	GB
87.192.228.184	87.192.250.95	IE
87.192.250.96	87.192.250.103	GB
87.192.250.104	87.192.255.255	IE
87.193.0.0	87.193.255.255	DE
87.194.0.0	87.194.255.255	GB
87.195.0.0	87.195.255.255	NL
87.196.0.0	87.196.255.255	PT
87.197.0.0	87.197.255.255	SK
87.198.0.0	87.198.255.255	IE
87.199.0.0	87.199.255.255	PL
87.200.0.0	87.201.255.255	AE
87.202.0.0	87.203.255.255	GR
87.204.0.0	87.207.255.255	PL
87.208.0.0	87.215.63.255	NL
87.215.64.0	87.215.127.255	BE
87.215.128.0	87.215.255.255	NL
87.216.0.0	87.223.255.255	ES
87.224.0.0	87.224.127.255	GB
87.224.128.0	87.225.127.255	RU
87.225.128.0	87.225.255.255	DE
87.226.0.0	87.226.127.255	LV
87.226.128.0	87.226.255.255	RU
87.227.0.0	87.227.127.255	SE
87.227.128.0	87.227.255.255	BG
87.228.0.0	87.228.127.255	RU
87.228.128.0	87.228.255.255	CY
87.229.0.0	87.229.127.255	HU
87.229.128.0	87.229.255.255	RU
87.230.0.0	87.230.127.255	DE
87.230.128.0	87.230.255.255	SA
87.231.0.0	87.231.255.255	FR
87.232.0.0	87.232.255.255	IE
87.233.0.0	87.233.222.15	NL
87.233.222.16	87.233.222.23	US
87.233.222.24	87.233.255.255	NL
87.234.0.0	87.234.51.201	DE
87.234.51.202	87.234.51.202	A2
87.234.51.203	87.234.255.255	DE
87.235.0.0	87.235.255.255	ES
87.236.0.0	87.236.7.255	NL
87.236.8.0	87.236.31.255	RU
87.236.32.0	87.236.39.255	CY
87.236.40.0	87.236.47.255	RU
87.236.48.0	87.236.55.255	BH
87.236.56.0	87.236.67.255	GB
87.236.68.0	87.236.69.255	ZA
87.236.70.0	87.236.71.255	GB
87.236.72.0	87.236.79.255	FR
87.236.80.0	87.236.87.255	RU
87.236.88.0	87.236.95.255	GB
87.236.96.0	87.236.103.255	NL
87.236.104.0	87.236.111.255	DE
87.236.112.0	87.236.119.255	AT
87.236.120.0	87.236.127.255	KW
87.236.128.0	87.236.135.255	GB
87.236.136.0	87.236.143.255	BH
87.236.144.0	87.236.146.255	GB
87.236.147.0	87.236.147.255	US
87.236.148.0	87.236.151.255	GB
87.236.152.0	87.236.159.255	FI
87.236.160.0	87.236.167.255	IT
87.236.168.0	87.236.175.255	FI
87.236.176.0	87.236.183.255	BE
87.236.184.0	87.236.191.255	RU
87.236.192.0	87.236.199.255	CZ
87.236.200.0	87.236.207.255	CH
87.236.208.0	87.236.215.255	SE
87.236.216.0	87.236.223.255	BE
87.236.224.0	87.236.231.255	FI
87.236.232.0	87.236.239.255	JO
87.236.240.0	87.236.247.255	ES
87.236.248.0	87.236.255.255	GB
87.237.0.0	87.237.7.255	NL
87.237.8.0	87.237.15.255	BE
87.237.16.0	87.237.23.255	GB
87.237.24.0	87.237.31.255	NL
87.237.32.0	87.237.39.255	IS
87.237.40.0	87.237.47.255	RU
87.237.48.0	87.237.79.255	GB
87.237.80.0	87.237.87.255	ES
87.237.88.0	87.237.95.255	DE
87.237.96.0	87.237.98.135	NL
87.237.98.136	87.237.98.143	US
87.237.98.144	87.237.103.255	NL
87.237.104.0	87.237.111.255	RO
87.237.112.0	87.237.119.255	RU
87.237.120.0	87.237.123.143	DE
87.237.123.144	87.237.123.159	SC
87.237.123.160	87.237.123.207	DE
87.237.123.208	87.237.123.223	GB
87.237.123.224	87.237.135.255	DE
87.237.136.0	87.237.143.255	RU
87.237.144.0	87.237.151.255	ES
87.237.152.0	87.237.159.255	SE
87.237.160.0	87.237.167.255	GB
87.237.168.0	87.237.175.255	CH
87.237.176.0	87.237.183.255	DE
87.237.184.0	87.237.187.95	FR
87.237.187.96	87.237.187.111	ES
87.237.187.112	87.237.191.255	FR
87.237.192.0	87.237.199.255	BH
87.237.200.0	87.237.207.255	RS
87.237.208.0	87.237.215.255	SE
87.237.216.0	87.237.218.255	DE
87.237.219.0	87.237.219.255	US
87.237.220.0	87.237.220.63	JP
87.237.220.64	87.237.220.127	US
87.237.220.128	87.237.220.239	DE
87.237.220.240	87.237.220.255	NL
87.237.221.0	87.237.221.255	HK
87.237.222.0	87.237.222.255	DE
87.237.223.0	87.237.223.15	NL
87.237.223.16	87.237.223.31	FR
87.237.223.32	87.237.223.47	PT
87.237.223.48	87.237.223.63	GB
87.237.223.64	87.237.223.79	IT
87.237.223.80	87.237.223.95	SE
87.237.223.96	87.237.223.111	RU
87.237.223.112	87.237.223.127	ES
87.237.223.128	87.237.223.143	AU
87.237.223.144	87.237.223.159	KR
87.237.223.160	87.237.223.175	CH
87.237.223.176	87.237.223.191	JP
87.237.223.192	87.237.223.223	KR
87.237.223.224	87.237.223.235	DE
87.237.223.236	87.237.223.255	US
87.237.224.0	87.237.224.95	AE
87.237.224.96	87.237.224.127	US
87.237.224.128	87.237.224.255	AE
87.237.225.0	87.237.225.255	GR
87.237.226.0	87.237.227.255	SA
87.237.228.0	87.237.231.255	AE
87.237.232.0	87.237.239.255	UZ
87.237.240.0	87.237.247.255	DE
87.237.248.0	87.237.255.255	FR
87.238.0.0	87.238.31.255	IT
87.238.32.0	87.238.55.255	NO
87.238.56.0	87.238.56.63	SE
87.238.56.64	87.238.56.255	NO
87.238.57.0	87.238.57.39	SE
87.238.57.40	87.238.71.255	NO
87.238.72.0	87.238.73.255	GB
87.238.74.0	87.238.74.255	IE
87.238.75.0	87.238.79.255	GB
87.238.80.0	87.238.87.255	IE
87.238.88.0	87.238.95.255	ES
87.238.96.0	87.238.103.255	RU
87.238.104.0	87.238.104.255	MC
87.238.105.0	87.238.110.255	FR
87.238.111.0	87.238.111.255	MC
87.238.112.0	87.238.112.255	DE
87.238.113.0	87.238.113.23	CV
87.238.113.24	87.238.113.31	DE
87.238.113.32	87.238.113.255	CV
87.238.114.0	87.238.115.255	DE
87.238.116.0	87.238.116.127	IE
87.238.116.128	87.238.116.255	SD
87.238.117.0	87.238.117.255	CV
87.238.118.0	87.238.119.254	SA
87.238.119.255	87.238.119.255	DE
87.238.120.0	87.238.127.255	CH
87.238.128.0	87.238.135.255	JO
87.238.136.0	87.238.143.255	DE
87.238.144.0	87.238.151.255	FR
87.238.152.0	87.238.159.255	UA
87.238.160.0	87.238.163.32	BE
87.238.163.33	87.238.163.33	NL
87.238.163.34	87.238.163.48	BE
87.238.163.49	87.238.163.49	FR
87.238.163.50	87.238.163.187	BE
87.238.163.188	87.238.163.188	NL
87.238.163.189	87.238.163.189	GB
87.238.163.190	87.238.163.190	BE
87.238.163.191	87.238.163.192	GB
87.238.163.193	87.238.163.194	NL
87.238.163.195	87.238.163.198	BE
87.238.163.199	87.238.163.199	NL
87.238.163.200	87.238.163.202	BE
87.238.163.203	87.238.163.203	DE
87.238.163.204	87.238.163.207	BE
87.238.163.208	87.238.163.208	GB
87.238.163.209	87.238.163.209	NL
87.238.163.210	87.238.163.210	BE
87.238.163.211	87.238.163.211	ES
87.238.163.212	87.238.163.212	GB
87.238.163.213	87.238.167.65	BE
87.238.167.66	87.238.167.95	NL
87.238.167.96	87.238.167.255	BE
87.238.168.0	87.238.175.255	NL
87.238.176.0	87.238.183.255	FR
87.238.184.0	87.238.199.255	DE
87.238.200.0	87.238.207.255	GB
87.238.208.0	87.238.215.255	RS
87.238.216.0	87.238.223.255	GB
87.238.224.0	87.238.231.255	BE
87.238.232.0	87.238.239.255	RU
87.238.240.0	87.238.247.255	ES
87.238.248.0	87.238.255.255	DK
87.239.0.0	87.239.7.255	PL
87.239.8.0	87.239.15.255	NL
87.239.16.0	87.239.23.255	GB
87.239.24.0	87.239.39.255	RU
87.239.40.0	87.239.47.255	PL
87.239.48.0	87.239.55.255	GB
87.239.56.0	87.239.71.255	DK
87.239.72.0	87.239.79.255	PL
87.239.80.0	87.239.87.255	LT
87.239.88.0	87.239.95.255	PL
87.239.96.0	87.239.103.255	NL
87.239.104.0	87.239.111.255	RU
87.239.112.0	87.239.119.255	LT
87.239.120.0	87.239.127.255	FI
87.239.128.0	87.239.143.255	DE
87.239.144.0	87.239.151.255	RU
87.239.152.0	87.239.159.255	BG
87.239.160.0	87.239.167.255	RO
87.239.168.0	87.239.183.255	PL
87.239.184.0	87.239.191.255	NL
87.239.192.0	87.239.199.255	PL
87.239.200.0	87.239.207.255	LI
87.239.208.0	87.239.215.255	CH
87.239.216.0	87.239.223.255	PL
87.239.224.0	87.239.231.255	RO
87.239.232.0	87.239.239.255	GR
87.239.240.0	87.239.247.255	PL
87.239.248.0	87.239.255.255	RO
87.240.0.0	87.240.63.255	RU
87.240.64.0	87.240.127.255	FR
87.240.128.0	87.240.191.255	RU
87.240.192.0	87.240.255.255	LU
87.241.0.0	87.241.1.247	IT
87.241.1.248	87.241.1.255	ES
87.241.2.0	87.241.23.119	IT
87.241.23.120	87.241.23.127	A2
87.241.23.128	87.241.63.255	IT
87.241.64.0	87.241.127.255	SE
87.241.128.0	87.241.191.255	AM
87.241.192.0	87.241.255.255	RU
87.242.0.0	87.242.63.255	HU
87.242.64.0	87.242.127.255	RU
87.242.128.0	87.242.255.255	GB
87.243.0.0	87.243.63.255	RO
87.243.64.0	87.243.127.255	GR
87.243.128.0	87.243.191.255	AT
87.243.192.0	87.243.255.255	GB
87.244.0.0	87.244.63.255	RU
87.244.64.0	87.244.73.255	JE
87.244.74.0	87.244.74.142	GB
87.244.74.143	87.244.74.143	JE
87.244.74.144	87.244.74.168	GB
87.244.74.169	87.244.74.175	JE
87.244.74.176	87.244.74.255	GB
87.244.75.0	87.244.100.255	JE
87.244.101.0	87.244.101.63	GB
87.244.101.64	87.244.101.127	JE
87.244.101.128	87.244.102.31	GB
87.244.102.32	87.244.102.39	JE
87.244.102.40	87.244.102.47	GB
87.244.102.48	87.244.102.63	JE
87.244.102.64	87.244.102.71	GB
87.244.102.72	87.244.103.23	JE
87.244.103.24	87.244.103.31	GB
87.244.103.32	87.244.107.255	JE
87.244.108.0	87.244.108.175	GB
87.244.108.176	87.244.108.191	JE
87.244.108.192	87.244.108.207	GB
87.244.108.208	87.244.108.223	JE
87.244.108.224	87.244.112.231	GB
87.244.112.232	87.244.112.239	JE
87.244.112.240	87.244.112.255	GB
87.244.113.0	87.244.117.255	JE
87.244.118.0	87.244.119.142	GB
87.244.119.143	87.244.119.143	JE
87.244.119.144	87.244.119.159	GB
87.244.119.160	87.244.119.167	JE
87.244.119.168	87.244.119.176	GB
87.244.119.177	87.244.119.183	JE
87.244.119.184	87.244.119.223	GB
87.244.119.224	87.244.119.231	BB
87.244.119.232	87.244.119.255	JE
87.244.120.0	87.244.120.47	GB
87.244.120.48	87.244.120.55	JE
87.244.120.56	87.244.120.71	GB
87.244.120.72	87.244.120.87	JE
87.244.120.88	87.244.121.43	GB
87.244.121.44	87.244.121.47	JE
87.244.121.48	87.244.121.175	GB
87.244.121.176	87.244.121.183	JE
87.244.121.184	87.244.121.223	GB
87.244.121.224	87.244.121.231	JE
87.244.121.232	87.244.121.255	GB
87.244.122.0	87.244.127.255	JE
87.244.128.0	87.244.191.255	UA
87.244.192.0	87.244.217.135	SK
87.244.217.136	87.244.217.143	UA
87.244.217.144	87.244.255.255	SK
87.245.0.0	87.245.63.255	DE
87.245.64.0	87.245.127.255	CH
87.245.128.0	87.245.191.255	RU
87.245.192.0	87.245.199.255	CY
87.245.200.0	87.245.202.127	RU
87.245.202.128	87.245.206.255	GB
87.245.207.0	87.245.207.63	RU
87.245.207.64	87.245.207.239	GB
87.245.207.240	87.245.207.255	RU
87.245.208.0	87.245.215.255	GB
87.245.216.0	87.245.223.255	UA
87.245.224.0	87.245.255.255	GB
87.246.0.0	87.246.63.255	BG
87.246.64.0	87.246.127.255	GB
87.246.128.0	87.246.191.255	LV
87.246.192.0	87.246.255.255	PL
87.247.0.0	87.247.63.255	KZ
87.247.64.0	87.247.127.255	LT
87.247.128.0	87.247.159.255	GB
87.247.160.0	87.247.191.255	IR
87.247.192.0	87.247.223.255	AT
87.247.224.0	87.247.239.255	IT
87.247.240.0	87.247.247.255	GB
87.247.248.0	87.247.255.255	BG
87.248.0.0	87.248.31.255	NO
87.248.32.0	87.248.63.255	IT
87.248.64.0	87.248.95.255	PL
87.248.96.0	87.248.96.255	GB
87.248.97.0	87.248.103.255	IE
87.248.104.0	87.248.113.255	GB
87.248.114.0	87.248.119.255	IE
87.248.120.0	87.248.127.255	CH
87.248.128.0	87.248.159.255	IR
87.248.160.0	87.248.191.255	MD
87.248.192.0	87.248.223.255	IT
87.248.224.0	87.249.63.255	RU
87.249.64.0	87.249.65.255	AE
87.249.66.0	87.249.67.255	A2
87.249.68.0	87.249.73.255	GB
87.249.74.0	87.249.76.127	NG
87.249.76.128	87.249.76.255	GH
87.249.77.0	87.249.77.255	GB
87.249.78.0	87.249.79.127	NG
87.249.79.128	87.249.79.255	GH
87.249.80.0	87.249.82.255	GB
87.249.83.0	87.249.83.255	IN
87.249.84.0	87.249.84.255	AF
87.249.85.0	87.249.88.255	GB
87.249.89.0	87.249.89.7	US
87.249.89.8	87.249.89.255	A2
87.249.90.0	87.249.93.143	GB
87.249.93.144	87.249.93.255	A2
87.249.94.0	87.249.95.255	GB
87.249.96.0	87.249.127.255	NL
87.249.128.0	87.249.159.255	CZ
87.249.160.0	87.249.191.255	SE
87.249.192.0	87.250.31.255	RU
87.250.32.0	87.250.63.255	RS
87.250.64.0	87.250.95.255	IT
87.250.96.0	87.250.127.255	BA
87.250.128.0	87.250.159.255	NL
87.250.160.0	87.250.191.255	PL
87.250.192.0	87.250.255.255	RU
87.251.0.0	87.251.31.255	TR
87.251.32.0	87.251.41.87	NL
87.251.41.88	87.251.41.95	DE
87.251.41.96	87.251.47.191	NL
87.251.47.192	87.251.47.207	DE
87.251.47.208	87.251.63.255	NL
87.251.64.0	87.251.191.255	RU
87.251.192.0	87.251.223.255	SE
87.251.224.0	87.251.255.255	PL
87.252.0.0	87.252.7.255	FR
87.252.8.0	87.252.8.255	GB
87.252.9.0	87.252.31.255	FR
87.252.32.0	87.252.63.255	GB
87.252.64.0	87.252.95.255	NO
87.252.96.0	87.252.126.255	BH
87.252.127.0	87.252.127.255	JO
87.252.128.0	87.252.159.255	HR
87.252.160.0	87.252.191.255	BG
87.252.192.0	87.252.223.255	IE
87.252.224.0	87.252.255.255	BY
87.253.0.0	87.253.31.255	RU
87.253.32.0	87.253.63.255	GE
87.253.64.0	87.253.95.255	SE
87.253.96.0	87.253.127.255	IT
87.253.128.0	87.253.159.255	NL
87.253.160.0	87.253.191.255	DE
87.253.192.0	87.253.255.255	RU
87.254.0.0	87.254.31.255	GB
87.254.32.0	87.254.63.255	NO
87.254.64.0	87.254.95.255	IM
87.254.96.0	87.254.127.255	LU
87.254.128.0	87.254.159.255	RU
87.254.160.0	87.254.191.255	BG
87.254.192.0	87.254.199.255	FI
87.254.200.0	87.254.203.255	US
87.254.204.0	87.254.223.255	FI
87.254.224.0	87.254.255.255	MC
87.255.0.0	87.255.31.255	RU
87.255.32.0	87.255.63.255	NL
87.255.64.0	87.255.95.255	MD
87.255.96.0	87.255.127.255	KE
87.255.128.0	87.255.159.255	FR
87.255.160.0	87.255.191.255	SE
87.255.192.0	87.255.223.255	KZ
87.255.224.0	87.255.255.255	RU
88.0.0.0	88.31.255.255	ES
88.32.0.0	88.63.255.255	IT
88.64.0.0	88.79.255.255	DE
88.80.0.0	88.80.31.255	SE
88.80.32.0	88.80.63.255	RU
88.80.64.0	88.80.95.255	IT
88.80.96.0	88.80.159.255	BG
88.80.160.0	88.80.163.127	SE
88.80.163.128	88.80.163.159	GB
88.80.163.160	88.80.166.255	SE
88.80.167.0	88.80.167.3	GB
88.80.167.4	88.80.191.255	SE
88.80.192.0	88.80.207.191	DE
88.80.207.192	88.80.207.255	ES
88.80.208.0	88.80.223.255	DE
88.80.224.0	88.80.255.255	SK
88.81.0.0	88.81.31.255	SA
88.81.32.0	88.81.63.255	RU
88.81.64.0	88.81.95.255	CZ
88.81.96.0	88.81.127.255	IE
88.81.128.0	88.81.159.255	GG
88.81.160.0	88.81.191.255	IT
88.81.192.0	88.81.223.255	RU
88.81.224.0	88.81.255.255	UA
88.82.0.0	88.82.31.255	GB
88.82.32.0	88.82.63.255	BE
88.82.64.0	88.82.95.255	RU
88.82.96.0	88.82.127.255	LI
88.82.128.0	88.82.159.255	GB
88.82.160.0	88.82.191.255	RU
88.82.192.0	88.82.223.255	ES
88.82.224.0	88.82.255.255	DE
88.83.0.0	88.83.31.255	GL
88.83.32.0	88.83.63.255	SE
88.83.64.0	88.83.95.255	DK
88.83.96.0	88.83.127.255	GB
88.83.128.0	88.83.159.255	SE
88.83.160.0	88.83.191.255	CZ
88.83.192.0	88.83.223.255	RU
88.83.224.0	88.83.228.255	CZ
88.83.229.0	88.83.229.255	SK
88.83.230.0	88.83.230.255	CZ
88.83.231.0	88.83.231.255	SK
88.83.232.0	88.83.255.255	CZ
88.84.0.0	88.84.31.255	CH
88.84.32.0	88.84.63.255	NO
88.84.64.0	88.84.95.255	ES
88.84.96.0	88.84.127.255	SA
88.84.128.0	88.84.159.255	DE
88.84.160.0	88.84.191.255	NO
88.84.192.0	88.84.223.255	RU
88.84.224.0	88.84.255.255	SE
88.85.0.0	88.85.31.255	CH
88.85.32.0	88.85.63.255	FO
88.85.64.0	88.85.72.127	NL
88.85.72.128	88.85.72.255	PA
88.85.73.0	88.85.73.127	NL
88.85.73.128	88.85.73.255	GI
88.85.74.0	88.85.74.127	CY
88.85.74.128	88.85.75.255	NL
88.85.76.0	88.85.76.255	MT
88.85.77.0	88.85.87.127	NL
88.85.87.128	88.85.87.191	PA
88.85.87.192	88.85.87.255	NL
88.85.88.0	88.85.88.63	GI
88.85.88.64	88.85.88.71	RU
88.85.88.72	88.85.88.223	NL
88.85.88.224	88.85.88.239	BZ
88.85.88.240	88.85.88.255	NL
88.85.89.0	88.85.89.255	GB
88.85.90.0	88.85.95.255	NL
88.85.96.0	88.85.127.255	MK
88.85.128.0	88.85.159.255	FI
88.85.160.0	88.85.223.255	RU
88.85.224.0	88.85.255.255	SA
88.86.0.0	88.86.31.255	SY
88.86.32.0	88.86.63.255	SE
88.86.64.0	88.86.95.255	RU
88.86.96.0	88.86.116.119	CZ
88.86.116.120	88.86.116.127	SK
88.86.116.128	88.86.127.255	CZ
88.86.128.0	88.86.159.255	FI
88.86.160.0	88.86.175.255	IT
88.86.176.0	88.86.176.63	CH
88.86.176.64	88.86.176.223	IT
88.86.176.224	88.86.176.255	MT
88.86.177.0	88.86.191.255	IT
88.86.192.0	88.86.223.255	RU
88.86.224.0	88.86.255.255	FR
88.87.0.0	88.87.31.255	BG
88.87.32.0	88.87.63.255	NO
88.87.64.0	88.87.95.255	RU
88.87.96.0	88.87.119.19	IT
88.87.119.20	88.87.119.23	TR
88.87.119.24	88.87.127.255	IT
88.87.128.0	88.87.159.255	ES
88.87.160.0	88.87.191.255	IE
88.87.192.0	88.87.223.255	ES
88.87.224.0	88.87.255.255	HU
88.88.0.0	88.95.255.255	NO
88.96.0.0	88.99.255.255	GB
88.100.0.0	88.103.255.255	CZ
88.104.0.0	88.111.255.255	GB
88.112.0.0	88.115.255.255	FI
88.116.0.0	88.116.160.79	AT
88.116.160.80	88.116.160.83	A2
88.116.160.84	88.116.160.99	AT
88.116.160.100	88.116.160.103	A2
88.116.160.104	88.116.160.107	AT
88.116.160.108	88.116.160.111	A2
88.116.160.112	88.116.160.247	AT
88.116.160.248	88.116.160.255	A2
88.116.161.0	88.117.255.255	AT
88.118.0.0	88.119.255.255	LT
88.120.0.0	88.127.255.255	FR
88.128.0.0	88.128.255.255	DE
88.129.0.0	88.129.255.255	SE
88.130.0.0	88.130.255.255	DE
88.131.0.0	88.131.255.255	SE
88.132.0.0	88.132.255.255	HU
88.133.0.0	88.134.255.255	DE
88.135.0.0	88.135.15.255	RU
88.135.16.0	88.135.31.255	UA
88.135.32.0	88.135.47.255	IR
88.135.48.0	88.135.63.255	RU
88.135.64.0	88.135.95.255	UA
88.135.96.0	88.135.111.255	RO
88.135.112.0	88.135.127.255	UA
88.135.128.0	88.135.159.255	LV
88.135.160.0	88.135.191.255	PL
88.135.192.0	88.135.255.255	UA
88.136.0.0	88.143.255.255	FR
88.144.0.0	88.145.255.255	GB
88.146.0.0	88.146.255.255	CZ
88.147.0.0	88.147.127.255	BE
88.147.128.0	88.147.255.255	RU
88.148.0.0	88.148.127.255	ES
88.148.128.0	88.148.255.255	FI
88.149.0.0	88.149.127.255	IS
88.149.128.0	88.149.202.103	IT
88.149.202.104	88.149.202.111	GB
88.149.202.112	88.149.255.255	IT
88.150.0.0	88.150.127.255	DE
88.150.128.0	88.150.255.255	RS
88.151.0.0	88.151.0.15	IE
88.151.0.16	88.151.0.127	GB
88.151.0.128	88.151.0.159	IE
88.151.0.160	88.151.0.255	GB
88.151.1.0	88.151.1.15	IE
88.151.1.16	88.151.1.255	GB
88.151.2.0	88.151.2.31	IE
88.151.2.32	88.151.7.255	GB
88.151.8.0	88.151.15.255	RU
88.151.16.0	88.151.23.255	ES
88.151.24.0	88.151.31.255	IE
88.151.32.0	88.151.39.255	NL
88.151.40.0	88.151.42.255	DK
88.151.43.0	88.151.45.255	SE
88.151.46.0	88.151.46.143	DK
88.151.46.144	88.151.46.159	SE
88.151.46.160	88.151.47.255	DK
88.151.48.0	88.151.54.255	IS
88.151.55.0	88.151.55.255	GB
88.151.56.0	88.151.63.255	NO
88.151.64.0	88.151.71.255	DE
88.151.72.0	88.151.79.255	AT
88.151.80.0	88.151.87.255	IE
88.151.88.0	88.151.95.255	RU
88.151.96.0	88.151.103.255	HU
88.151.104.0	88.151.114.255	RU
88.151.115.0	88.151.115.255	US
88.151.116.0	88.151.119.255	RU
88.151.120.0	88.151.120.159	EU
88.151.120.160	88.151.120.191	US
88.151.120.192	88.151.120.223	NL
88.151.120.224	88.151.120.255	US
88.151.121.0	88.151.125.255	EU
88.151.126.0	88.151.126.15	GU
88.151.126.16	88.151.126.31	NL
88.151.126.32	88.151.126.39	GB
88.151.126.40	88.151.126.247	EU
88.151.126.248	88.151.126.255	GB
88.151.127.0	88.151.127.255	EU
88.151.128.0	88.151.135.255	GB
88.151.136.0	88.151.143.255	SA
88.151.144.0	88.151.151.255	CH
88.151.152.0	88.151.159.255	FR
88.151.160.0	88.151.167.255	NO
88.151.168.0	88.151.175.255	SE
88.151.176.0	88.151.183.255	KZ
88.151.184.0	88.151.191.255	RU
88.151.192.0	88.151.199.255	AZ
88.151.200.0	88.151.207.255	RU
88.151.208.0	88.151.215.255	ES
88.151.216.0	88.151.223.255	GB
88.151.224.0	88.151.227.255	NL
88.151.228.0	88.151.231.255	US
88.151.232.0	88.151.239.255	FR
88.151.240.0	88.151.247.255	BE
88.151.248.0	88.151.255.255	RU
88.152.0.0	88.153.255.255	DE
88.154.0.0	88.155.255.255	UA
88.156.0.0	88.156.255.255	PL
88.157.0.0	88.157.255.255	PT
88.158.0.0	88.158.255.255	RO
88.159.0.0	88.159.255.255	NL
88.160.0.0	88.191.255.255	FR
88.192.0.0	88.195.255.255	FI
88.196.0.0	88.196.255.255	EE
88.197.0.0	88.197.127.255	GR
88.197.128.0	88.197.255.255	BE
88.198.0.0	88.198.121.127	DE
88.198.121.128	88.198.121.255	TR
88.198.122.0	88.198.255.255	DE
88.199.0.0	88.199.255.255	PL
88.200.0.0	88.200.127.255	SI
88.200.128.0	88.200.255.255	RU
88.201.0.0	88.201.127.255	BH
88.201.128.0	88.201.255.255	RU
88.202.0.0	88.202.7.255	IT
88.202.8.0	88.202.9.254	GB
88.202.9.255	88.202.9.255	A2
88.202.10.0	88.202.13.255	IT
88.202.14.0	88.202.14.255	FR
88.202.15.0	88.202.17.255	IT
88.202.18.0	88.202.19.255	A2
88.202.20.0	88.202.20.255	IT
88.202.21.0	88.202.21.255	FR
88.202.22.0	88.202.28.255	IT
88.202.29.0	88.202.29.255	FR
88.202.30.0	88.202.35.255	IT
88.202.36.0	88.202.36.255	FR
88.202.37.0	88.202.43.255	IT
88.202.44.0	88.202.45.255	A2
88.202.46.0	88.202.47.255	IT
88.202.48.0	88.202.52.255	A2
88.202.53.0	88.202.53.255	IT
88.202.54.0	88.202.54.255	A2
88.202.55.0	88.202.59.255	IT
88.202.60.0	88.202.62.255	A2
88.202.63.0	88.202.67.255	FR
88.202.68.0	88.202.69.255	A2
88.202.70.0	88.202.79.255	IT
88.202.80.0	88.202.95.255	A2
88.202.96.0	88.202.111.255	IT
88.202.112.0	88.202.114.255	A2
88.202.115.0	88.202.115.255	ZA
88.202.116.0	88.202.117.255	FR
88.202.118.0	88.202.119.255	ES
88.202.120.0	88.202.121.255	LY
88.202.122.0	88.202.123.255	A2
88.202.124.0	88.202.124.255	ZA
88.202.125.0	88.202.127.255	IT
88.202.128.0	88.202.255.255	GB
88.203.0.0	88.203.127.255	MT
88.203.128.0	88.203.255.255	BG
88.204.0.0	88.204.127.255	RU
88.204.128.0	88.204.255.255	KZ
88.205.0.0	88.205.127.255	DE
88.205.128.0	88.206.127.255	RU
88.206.128.0	88.206.255.255	SE
88.207.0.0	88.207.127.255	HR
88.207.128.0	88.207.255.255	LU
88.208.0.0	88.208.7.255	US
88.208.8.0	88.208.9.255	UA
88.208.10.0	88.208.56.7	NL
88.208.56.8	88.208.59.255	UA
88.208.60.0	88.208.91.87	CZ
88.208.91.88	88.208.91.95	AT
88.208.91.96	88.208.91.127	CZ
88.208.91.128	88.208.91.191	PL
88.208.91.192	88.208.104.255	CZ
88.208.105.0	88.208.107.255	PL
88.208.108.0	88.208.127.255	CZ
88.208.128.0	88.208.191.255	DE
88.208.192.0	88.208.255.255	GB
88.209.0.0	88.209.63.255	DE
88.209.64.0	88.209.83.255	MC
88.209.84.0	88.209.85.255	FR
88.209.86.0	88.209.87.255	MC
88.209.88.0	88.209.125.255	FR
88.209.126.0	88.209.127.255	MC
88.209.128.0	88.209.255.255	HU
88.210.0.0	88.210.63.255	RU
88.210.64.0	88.210.127.255	PT
88.210.128.0	88.210.151.255	GB
88.210.152.0	88.210.152.31	FR
88.210.152.32	88.210.152.47	DE
88.210.152.48	88.210.152.63	RS
88.210.152.64	88.210.152.127	GB
88.210.152.128	88.210.152.255	AL
88.210.153.0	88.210.153.127	CZ
88.210.153.128	88.210.153.159	ES
88.210.153.160	88.210.153.191	HU
88.210.153.192	88.210.153.223	IT
88.210.153.224	88.210.154.255	IE
88.210.155.0	88.210.191.255	GB
88.210.192.0	88.210.255.255	GE
88.211.0.0	88.211.11.127	GB
88.211.11.128	88.211.11.255	FR
88.211.12.0	88.211.29.191	GB
88.211.29.192	88.211.29.223	FR
88.211.29.224	88.211.47.127	GB
88.211.47.128	88.211.47.255	FR
88.211.48.0	88.211.127.255	GB
88.211.128.0	88.211.191.255	NL
88.211.192.0	88.211.255.255	GB
88.212.0.0	88.212.63.255	SK
88.212.64.0	88.212.127.255	DK
88.212.128.0	88.212.191.255	GB
88.212.192.0	88.212.255.255	RU
88.213.0.0	88.213.127.255	SA
88.213.128.0	88.213.191.255	IT
88.213.192.0	88.213.255.255	BG
88.214.0.0	88.214.63.255	DE
88.214.64.0	88.214.127.255	UA
88.214.128.0	88.214.191.255	PT
88.214.192.0	88.214.205.255	GB
88.214.206.0	88.214.206.255	US
88.214.207.0	88.214.211.255	GB
88.214.212.0	88.214.212.255	US
88.214.213.0	88.214.229.255	GB
88.214.230.0	88.214.230.255	RU
88.214.231.0	88.214.251.255	GB
88.214.252.0	88.214.252.255	US
88.214.253.0	88.215.63.255	GB
88.215.64.0	88.215.127.255	DE
88.215.128.0	88.215.191.255	RU
88.215.192.0	88.215.255.255	DE
88.216.0.0	88.216.255.255	LT
88.217.0.0	88.217.255.255	DE
88.218.0.0	88.218.255.255	GR
88.219.0.0	88.219.255.255	FR
88.220.0.0	88.220.255.255	PL
88.221.0.0	88.221.3.255	DE
88.221.4.0	88.221.7.255	US
88.221.8.0	88.221.11.255	FR
88.221.12.0	88.221.27.255	EU
88.221.28.0	88.221.31.255	US
88.221.32.0	88.221.99.255	EU
88.221.100.0	88.221.103.255	US
88.221.104.0	88.221.119.255	EU
88.221.120.0	88.221.123.255	US
88.221.124.0	88.221.135.255	EU
88.221.136.0	88.221.143.255	US
88.221.144.0	88.221.151.255	IT
88.221.152.0	88.221.159.255	IL
88.221.160.0	88.221.191.255	EU
88.221.192.0	88.221.199.255	FR
88.221.200.0	88.221.207.255	EU
88.221.208.0	88.221.215.255	DE
88.221.216.0	88.221.218.255	EU
88.221.219.0	88.221.219.255	IL
88.221.220.0	88.221.255.255	EU
88.222.0.0	88.223.255.255	LT
88.224.0.0	88.255.255.255	TR
89.0.0.0	89.1.255.255	DE
89.2.0.0	89.3.255.255	FR
89.4.0.0	89.5.255.255	SA
89.6.0.0	89.7.255.255	ES
89.8.0.0	89.11.255.255	NO
89.12.0.0	89.15.255.255	DE
89.16.0.0	89.16.31.255	FR
89.16.32.0	89.16.63.255	RU
89.16.64.0	89.16.95.255	IE
89.16.96.0	89.16.127.255	RU
89.16.128.0	89.16.159.255	DE
89.16.160.0	89.16.191.255	GB
89.16.192.0	89.16.223.255	AT
89.16.224.0	89.16.255.255	GB
89.17.0.0	89.17.31.255	HR
89.17.32.0	89.17.63.255	RU
89.17.64.0	89.17.95.255	FI
89.17.96.0	89.17.127.255	LB
89.17.128.0	89.17.159.255	MT
89.17.160.0	89.17.191.255	IT
89.17.192.0	89.17.223.255	ES
89.17.224.0	89.17.255.255	PL
89.18.0.0	89.18.31.255	RO
89.18.32.0	89.18.63.255	HR
89.18.64.0	89.18.95.255	IE
89.18.96.0	89.18.127.255	SE
89.18.128.0	89.18.159.255	RU
89.18.160.0	89.18.160.255	US
89.18.161.0	89.18.183.255	NL
89.18.184.0	89.18.186.255	US
89.18.187.0	89.18.191.255	NL
89.18.192.0	89.18.223.255	LV
89.18.224.0	89.18.255.255	FI
89.19.0.0	89.19.31.255	TR
89.19.32.0	89.19.63.255	RU
89.19.64.0	89.19.95.255	IE
89.19.96.0	89.19.127.255	UA
89.19.128.0	89.19.159.255	DK
89.19.160.0	89.19.223.255	RU
89.19.224.0	89.19.234.159	DE
89.19.234.160	89.19.234.191	IL
89.19.234.192	89.19.255.255	DE
89.20.0.0	89.20.63.255	RU
89.20.64.0	89.20.95.255	NL
89.20.96.0	89.20.159.255	RU
89.20.160.0	89.20.191.255	NL
89.20.192.0	89.20.223.255	GB
89.20.224.0	89.20.255.255	NO
89.21.0.0	89.21.31.255	GB
89.21.32.0	89.21.63.255	DE
89.21.64.0	89.21.95.255	UA
89.21.96.0	89.21.127.255	RO
89.21.128.0	89.21.159.255	RU
89.21.160.0	89.21.179.255	NL
89.21.180.0	89.21.181.255	US
89.21.182.0	89.21.182.255	A2
89.21.183.0	89.21.183.255	NL
89.21.184.0	89.21.187.255	US
89.21.188.0	89.21.189.255	NL
89.21.190.0	89.21.190.255	US
89.21.191.0	89.21.191.255	NL
89.21.192.0	89.21.223.255	IT
89.21.224.0	89.21.255.255	GB
89.23.0.0	89.23.63.255	RU
89.23.64.0	89.23.95.255	RS
89.23.96.0	89.23.223.255	RU
89.23.224.0	89.23.255.255	DK
89.24.0.0	89.24.255.255	CZ
89.25.0.0	89.25.127.255	BG
89.25.128.0	89.25.255.255	PL
89.26.0.0	89.26.127.255	AT
89.26.128.0	89.26.255.255	PT
89.27.0.0	89.27.127.255	FI
89.27.128.0	89.27.255.255	DE
89.28.0.0	89.28.127.255	MD
89.28.128.0	89.28.135.255	KZ
89.28.136.0	89.28.143.255	DE
89.28.144.0	89.28.151.255	FR
89.28.152.0	89.28.159.255	BH
89.28.160.0	89.28.167.255	RU
89.28.168.0	89.28.175.255	GB
89.28.176.0	89.28.183.255	IE
89.28.184.0	89.28.191.255	GB
89.28.192.0	89.28.199.255	RU
89.28.200.0	89.28.207.255	UA
89.28.208.0	89.28.215.255	GB
89.28.216.0	89.28.223.255	JO
89.28.224.0	89.28.231.255	PL
89.28.232.0	89.28.239.255	GB
89.28.240.0	89.28.247.255	DE
89.28.248.0	89.28.255.255	RU
89.29.0.0	89.29.127.255	CZ
89.29.128.0	89.29.255.255	ES
89.30.0.0	89.30.3.255	FR
89.30.4.0	89.30.4.255	EU
89.30.5.0	89.30.5.7	GB
89.30.5.8	89.30.5.127	EU
89.30.5.128	89.30.5.255	GB
89.30.6.0	89.30.6.31	ES
89.30.6.32	89.30.6.63	FR
89.30.6.64	89.30.7.255	EU
89.30.8.0	89.30.15.255	FR
89.30.16.0	89.30.31.255	EU
89.30.32.0	89.30.47.255	FR
89.30.48.0	89.30.49.255	GB
89.30.50.0	89.30.50.255	NL
89.30.51.0	89.30.63.255	FR
89.30.64.0	89.30.90.255	EU
89.30.91.0	89.30.91.255	FR
89.30.92.0	89.30.93.255	EU
89.30.94.0	89.30.95.255	US
89.30.96.0	89.30.99.255	FR
89.30.100.0	89.30.101.255	EU
89.30.102.0	89.30.102.255	FR
89.30.103.0	89.30.103.255	EU
89.30.104.0	89.30.104.127	FR
89.30.104.128	89.30.104.255	EU
89.30.105.0	89.30.105.15	FR
89.30.105.16	89.30.105.23	EU
89.30.105.24	89.30.105.31	ES
89.30.105.32	89.30.105.255	EU
89.30.106.0	89.30.117.127	FR
89.30.117.128	89.30.117.255	EU
89.30.118.0	89.30.118.255	FR
89.30.119.0	89.30.119.255	GB
89.30.120.0	89.30.120.255	FR
89.30.121.0	89.30.121.255	EU
89.30.122.0	89.30.122.255	FR
89.30.123.0	89.30.123.255	NL
89.30.124.0	89.30.124.31	FR
89.30.124.32	89.30.124.111	EU
89.30.124.112	89.30.124.127	FR
89.30.124.128	89.30.124.255	EU
89.30.125.0	89.30.125.31	FR
89.30.125.32	89.30.125.255	EU
89.30.126.0	89.30.126.255	FR
89.30.127.0	89.30.127.255	GB
89.30.128.0	89.30.140.255	NL
89.30.141.0	89.30.141.255	US
89.30.142.0	89.30.255.255	NL
89.31.0.0	89.31.7.255	DE
89.31.8.0	89.31.15.255	CZ
89.31.16.0	89.31.23.255	RU
89.31.24.0	89.31.31.255	KZ
89.31.32.0	89.31.39.255	RU
89.31.40.0	89.31.47.255	CZ
89.31.48.0	89.31.55.255	GB
89.31.56.0	89.31.63.255	IT
89.31.64.0	89.31.71.255	PL
89.31.72.0	89.31.79.255	IT
89.31.80.0	89.31.95.255	RU
89.31.96.0	89.31.103.255	NL
89.31.104.0	89.31.119.255	RU
89.31.120.0	89.31.127.255	CH
89.31.128.0	89.31.130.127	AT
89.31.130.128	89.31.130.135	EU
89.31.130.136	89.31.130.151	AT
89.31.130.152	89.31.130.255	EU
89.31.131.0	89.31.132.79	AT
89.31.132.80	89.31.132.95	NL
89.31.132.96	89.31.132.99	AT
89.31.132.100	89.31.132.127	EU
89.31.132.128	89.31.132.143	AT
89.31.132.144	89.31.132.255	EU
89.31.133.0	89.31.134.63	AT
89.31.134.64	89.31.134.79	EU
89.31.134.80	89.31.134.87	AT
89.31.134.88	89.31.134.95	EU
89.31.134.96	89.31.134.111	AT
89.31.134.112	89.31.134.127	EU
89.31.134.128	89.31.135.255	AT
89.31.136.0	89.31.143.255	DE
89.31.144.0	89.31.144.47	FR
89.31.144.48	89.31.144.55	BE
89.31.144.56	89.31.144.63	CH
89.31.144.64	89.31.151.255	FR
89.31.152.0	89.31.159.255	MK
89.31.160.0	89.31.167.255	CZ
89.31.168.0	89.31.175.255	IE
89.31.176.0	89.31.183.255	GR
89.31.184.0	89.31.191.255	RU
89.31.192.0	89.31.199.255	BH
89.31.200.0	89.31.207.255	IT
89.31.208.0	89.31.215.255	GB
89.31.216.0	89.31.223.255	BE
89.31.224.0	89.31.231.255	PT
89.31.232.0	89.31.239.255	GB
89.31.240.0	89.31.241.255	DE
89.31.242.0	89.31.247.255	RU
89.31.248.0	89.31.255.255	SE
89.32.0.0	89.32.223.255	RO
89.32.224.0	89.32.239.255	MD
89.32.240.0	89.32.255.255	RO
89.33.0.0	89.33.3.255	MD
89.33.4.0	89.33.253.255	RO
89.33.254.0	89.33.254.255	MD
89.33.255.0	89.37.103.255	RO
89.37.104.0	89.37.104.255	MD
89.37.105.0	89.37.197.255	RO
89.37.198.0	89.37.199.255	MD
89.37.200.0	89.39.95.255	RO
89.39.96.0	89.39.103.255	ES
89.39.104.0	89.40.31.255	RO
89.40.32.0	89.40.35.255	GB
89.40.36.0	89.41.63.255	RO
89.41.64.0	89.41.127.255	MD
89.41.128.0	89.42.9.255	RO
89.42.10.0	89.42.10.255	AE
89.42.11.0	89.42.47.255	RO
89.42.48.0	89.42.49.255	ES
89.42.50.0	89.44.87.255	RO
89.44.88.0	89.44.91.255	MD
89.44.92.0	89.44.255.255	RO
89.45.0.0	89.45.3.255	MD
89.45.4.0	89.45.224.255	RO
89.45.225.0	89.45.225.255	AE
89.45.226.0	89.47.255.255	RO
89.48.0.0	89.63.255.255	DE
89.64.0.0	89.79.255.255	PL
89.80.0.0	89.95.255.255	FR
89.96.0.0	89.97.255.255	IT
89.98.0.0	89.99.255.255	NL
89.100.0.0	89.101.255.255	IE
89.102.0.0	89.103.255.255	CZ
89.104.0.0	89.104.31.255	AT
89.104.32.0	89.104.63.255	GB
89.104.64.0	89.104.127.255	RU
89.104.128.0	89.104.159.255	IS
89.104.160.0	89.104.191.255	NL
89.104.192.0	89.104.223.255	DK
89.104.224.0	89.105.31.255	GB
89.105.32.0	89.105.63.255	NO
89.105.64.0	89.105.95.255	IT
89.105.96.0	89.105.127.255	GB
89.105.128.0	89.105.159.255	RU
89.105.160.0	89.105.191.255	AT
89.105.192.0	89.105.197.127	NL
89.105.197.128	89.105.197.135	DE
89.105.197.136	89.105.207.31	NL
89.105.207.32	89.105.207.63	DE
89.105.207.64	89.105.210.151	NL
89.105.210.152	89.105.210.159	DE
89.105.210.160	89.105.211.255	NL
89.105.212.0	89.105.212.127	DE
89.105.212.128	89.105.223.255	NL
89.105.224.0	89.105.255.255	UA
89.106.0.0	89.106.31.255	TR
89.106.32.0	89.106.63.255	FI
89.106.64.0	89.106.64.131	DE
89.106.64.132	89.106.64.135	CH
89.106.64.136	89.106.84.16	DE
89.106.84.17	89.106.84.20	AT
89.106.84.21	89.106.84.24	CH
89.106.84.25	89.106.95.255	DE
89.106.96.0	89.106.127.255	BG
89.106.128.0	89.106.135.255	GB
89.106.136.0	89.106.143.255	IE
89.106.144.0	89.106.151.255	GB
89.106.152.0	89.106.159.255	DE
89.106.160.0	89.106.167.255	NL
89.106.168.0	89.106.175.255	RU
89.106.176.0	89.106.183.255	GB
89.106.184.0	89.106.184.255	FR
89.106.185.0	89.106.185.255	DE
89.106.186.0	89.106.191.255	FR
89.106.192.0	89.106.199.255	RU
89.106.200.0	89.106.207.255	LU
89.106.208.0	89.106.215.255	AT
89.106.216.0	89.106.223.255	DE
89.106.224.0	89.106.231.255	GB
89.106.232.0	89.106.239.255	KZ
89.106.240.0	89.106.240.139	NL
89.106.240.140	89.106.243.255	BE
89.106.244.0	89.106.247.255	NL
89.106.248.0	89.106.255.255	RU
89.107.0.0	89.107.0.255	GB
89.107.1.0	89.107.1.63	IM
89.107.1.64	89.107.1.87	GB
89.107.1.88	89.107.1.111	IM
89.107.1.112	89.107.1.175	GB
89.107.1.176	89.107.1.191	IM
89.107.1.192	89.107.1.215	GB
89.107.1.216	89.107.1.223	IM
89.107.1.224	89.107.1.231	GB
89.107.1.232	89.107.1.239	IM
89.107.1.240	89.107.1.247	GB
89.107.1.248	89.107.1.255	IM
89.107.2.0	89.107.2.31	GB
89.107.2.32	89.107.2.111	IM
89.107.2.112	89.107.2.119	GB
89.107.2.120	89.107.2.143	IM
89.107.2.144	89.107.2.159	GB
89.107.2.160	89.107.2.191	IM
89.107.2.192	89.107.2.199	GB
89.107.2.200	89.107.2.223	IM
89.107.2.224	89.107.2.231	GB
89.107.2.232	89.107.2.239	IM
89.107.2.240	89.107.2.247	GB
89.107.2.248	89.107.7.255	IM
89.107.8.0	89.107.15.255	KW
89.107.16.0	89.107.23.255	GB
89.107.24.0	89.107.39.255	RU
89.107.40.0	89.107.47.255	GB
89.107.48.0	89.107.55.255	ES
89.107.56.0	89.107.63.255	GB
89.107.64.0	89.107.71.255	DE
89.107.72.0	89.107.79.255	GB
89.107.80.0	89.107.87.255	RU
89.107.88.0	89.107.95.255	IT
89.107.96.0	89.107.103.255	KZ
89.107.104.0	89.107.111.255	IT
89.107.112.0	89.107.127.255	RU
89.107.128.0	89.107.128.255	CZ
89.107.129.0	89.107.130.255	DE
89.107.131.0	89.107.131.255	CZ
89.107.132.0	89.107.135.255	DE
89.107.136.0	89.107.143.255	FR
89.107.144.0	89.107.151.255	SK
89.107.152.0	89.107.159.255	PL
89.107.160.0	89.107.167.255	DE
89.107.168.0	89.107.175.255	FR
89.107.176.0	89.107.183.255	ES
89.107.184.0	89.107.191.255	DE
89.107.192.0	89.107.207.255	RU
89.107.208.0	89.107.223.255	SE
89.107.224.0	89.107.226.51	TR
89.107.226.52	89.107.226.53	US
89.107.226.54	89.107.227.113	TR
89.107.227.114	89.107.227.126	US
89.107.227.127	89.107.228.64	TR
89.107.228.65	89.107.228.94	GB
89.107.228.95	89.107.231.255	TR
89.107.232.0	89.107.239.255	GB
89.107.240.0	89.107.247.255	ES
89.107.248.0	89.107.255.255	HU
89.108.0.0	89.108.63.255	SA
89.108.64.0	89.108.127.255	RU
89.108.128.0	89.108.191.255	LB
89.108.192.0	89.108.255.255	PL
89.109.0.0	89.109.63.255	RU
89.109.64.0	89.109.127.255	PT
89.109.128.0	89.110.127.255	RU
89.110.128.0	89.110.191.255	DE
89.110.192.0	89.110.255.255	RS
89.111.0.0	89.111.3.255	LV
89.111.4.0	89.111.4.255	LT
89.111.5.0	89.111.6.255	LV
89.111.7.0	89.111.7.255	LT
89.111.8.0	89.111.63.255	LV
89.111.64.0	89.111.127.255	CZ
89.111.128.0	89.111.191.255	RU
89.111.192.0	89.111.255.255	BA
89.112.0.0	89.113.255.255	RU
89.114.0.0	89.115.255.255	RO
89.116.0.0	89.117.255.255	LT
89.118.0.0	89.119.255.255	IT
89.120.0.0	89.123.255.255	RO
89.124.0.0	89.127.255.255	IE
89.128.0.0	89.131.255.255	ES
89.132.0.0	89.135.255.255	HU
89.136.0.0	89.137.255.255	RO
89.138.0.0	89.139.255.255	IL
89.140.0.0	89.141.255.255	ES
89.142.0.0	89.143.239.255	SI
89.143.240.0	89.143.243.255	HR
89.143.244.0	89.143.255.255	SI
89.144.0.0	89.144.63.255	DE
89.144.64.0	89.144.127.255	SA
89.144.128.0	89.144.191.255	IR
89.144.192.0	89.144.255.255	AT
89.145.0.0	89.145.63.255	DE
89.145.64.0	89.145.68.63	GB
89.145.68.64	89.145.68.127	ES
89.145.68.128	89.145.127.255	GB
89.145.128.0	89.145.191.255	RU
89.145.192.0	89.145.255.255	GB
89.146.0.0	89.146.63.255	NL
89.146.64.0	89.146.127.255	UZ
89.146.128.0	89.146.191.255	BA
89.146.192.0	89.146.199.127	DE
89.146.199.128	89.146.199.255	PL
89.146.200.0	89.146.207.31	DE
89.146.207.32	89.146.207.39	NL
89.146.207.40	89.146.209.255	DE
89.146.210.0	89.146.210.255	NL
89.146.211.0	89.146.215.247	DE
89.146.215.248	89.146.215.251	NL
89.146.215.252	89.146.255.255	DE
89.147.0.0	89.147.63.255	SA
89.147.64.0	89.147.127.255	HU
89.147.128.0	89.147.191.255	SE
89.147.192.0	89.147.255.255	AZ
89.148.0.0	89.148.63.255	BH
89.148.64.0	89.148.127.255	HU
89.148.128.0	89.148.191.255	IT
89.148.192.0	89.148.255.255	RU
89.149.0.0	89.149.63.255	RO
89.149.64.0	89.149.127.255	MD
89.149.128.0	89.149.148.255	US
89.149.149.0	89.149.149.15	FR
89.149.149.16	89.149.149.31	IE
89.149.149.32	89.149.149.79	FR
89.149.149.80	89.149.149.87	IE
89.149.149.88	89.149.149.95	FR
89.149.149.96	89.149.149.143	IE
89.149.149.144	89.149.149.151	FR
89.149.149.152	89.149.149.159	ES
89.149.149.160	89.149.149.191	FR
89.149.149.192	89.149.149.223	GB
89.149.149.224	89.149.149.255	IE
89.149.150.0	89.149.150.255	ES
89.149.151.0	89.149.151.31	IE
89.149.151.32	89.149.151.255	FR
89.149.152.0	89.149.156.31	US
89.149.156.32	89.149.156.255	FR
89.149.157.0	89.149.163.255	US
89.149.164.0	89.149.164.31	FR
89.149.164.32	89.149.164.39	ES
89.149.164.40	89.149.164.47	FR
89.149.164.48	89.149.164.63	ES
89.149.164.64	89.149.164.127	FR
89.149.164.128	89.149.164.143	ES
89.149.164.144	89.149.164.255	FR
89.149.165.0	89.149.165.255	US
89.149.166.0	89.149.167.255	FR
89.149.168.0	89.149.168.63	US
89.149.168.64	89.149.168.255	FR
89.149.169.0	89.149.171.7	US
89.149.171.8	89.149.171.63	FR
89.149.171.64	89.149.171.127	US
89.149.171.128	89.149.171.255	FR
89.149.172.0	89.149.174.255	US
89.149.175.0	89.149.175.255	NL
89.149.176.0	89.149.178.255	DE
89.149.179.0	89.149.181.255	FR
89.149.182.0	89.149.192.15	DE
89.149.192.16	89.149.192.255	TR
89.149.193.0	89.149.193.15	DE
89.149.193.16	89.149.193.255	PL
89.149.194.0	89.149.197.255	DE
89.149.198.0	89.149.198.255	TR
89.149.199.0	89.149.202.255	DE
89.149.203.0	89.149.204.255	TR
89.149.205.0	89.149.209.255	DE
89.149.210.0	89.149.210.255	PL
89.149.211.0	89.149.211.255	DE
89.149.212.0	89.149.212.255	PL
89.149.213.0	89.149.224.255	DE
89.149.225.0	89.149.225.255	PL
89.149.226.0	89.149.229.255	DE
89.149.230.0	89.149.231.255	PL
89.149.232.0	89.149.232.255	DE
89.149.233.0	89.149.234.255	PL
89.149.235.0	89.149.235.255	LT
89.149.236.0	89.149.236.255	HK
89.149.237.0	89.149.245.255	DE
89.149.246.0	89.149.246.255	PL
89.149.247.0	89.149.248.255	DE
89.149.249.0	89.149.250.255	PL
89.149.251.0	89.149.255.255	DE
89.150.0.0	89.150.15.255	GE
89.150.16.0	89.150.31.255	GB
89.150.32.0	89.150.63.255	IT
89.150.64.0	89.150.191.255	DK
89.150.192.0	89.150.255.255	SE
89.151.0.0	89.151.63.255	PL
89.151.64.0	89.151.127.255	GB
89.151.128.0	89.151.191.255	RU
89.151.192.0	89.151.255.255	NO
89.152.0.0	89.155.255.255	PT
89.156.0.0	89.159.255.255	FR
89.160.0.0	89.160.127.255	SE
89.160.128.0	89.160.255.255	IS
89.161.0.0	89.161.255.255	PL
89.162.0.0	89.162.127.255	NO
89.162.128.0	89.162.255.255	UA
89.163.0.0	89.163.127.255	RU
89.163.128.0	89.163.160.55	DE
89.163.160.56	89.163.160.71	NL
89.163.160.72	89.163.160.79	DE
89.163.160.80	89.163.160.87	AT
89.163.160.88	89.163.160.119	DE
89.163.160.120	89.163.160.127	PL
89.163.160.128	89.163.160.215	DE
89.163.160.216	89.163.160.231	IT
89.163.160.232	89.163.160.247	DE
89.163.160.248	89.163.160.255	CA
89.163.161.0	89.163.162.111	DE
89.163.162.112	89.163.162.119	NL
89.163.162.120	89.163.163.31	DE
89.163.163.32	89.163.163.39	AT
89.163.163.40	89.163.163.47	CH
89.163.163.48	89.163.163.55	DE
89.163.163.56	89.163.163.63	CH
89.163.163.64	89.163.163.95	DE
89.163.163.96	89.163.163.103	GR
89.163.163.104	89.163.163.119	DE
89.163.163.120	89.163.163.127	NO
89.163.163.128	89.163.163.223	DE
89.163.163.224	89.163.163.231	FR
89.163.163.232	89.163.163.239	AT
89.163.163.240	89.163.166.215	DE
89.163.166.216	89.163.166.223	BE
89.163.166.224	89.163.167.23	DE
89.163.167.24	89.163.167.31	BE
89.163.167.32	89.163.167.39	GR
89.163.167.40	89.163.167.47	DE
89.163.167.48	89.163.167.55	CH
89.163.167.56	89.163.167.63	DE
89.163.167.64	89.163.167.71	IT
89.163.167.72	89.163.167.79	CH
89.163.167.80	89.163.167.87	DE
89.163.167.88	89.163.167.95	IT
89.163.167.96	89.163.167.119	DE
89.163.167.120	89.163.167.127	GR
89.163.167.128	89.163.167.135	AT
89.163.167.136	89.163.167.231	DE
89.163.167.232	89.163.167.239	GB
89.163.167.240	89.163.170.7	DE
89.163.170.8	89.163.170.23	TH
89.163.170.24	89.163.170.55	DE
89.163.170.56	89.163.170.63	RO
89.163.170.64	89.163.170.71	IT
89.163.170.72	89.163.170.79	AT
89.163.170.80	89.163.170.87	GR
89.163.170.88	89.163.170.95	US
89.163.170.96	89.163.170.103	BE
89.163.170.104	89.163.209.255	DE
89.163.210.0	89.163.213.255	IT
89.163.214.0	89.163.255.255	DE
89.164.0.0	89.164.255.255	HR
89.165.0.0	89.165.127.255	IR
89.165.128.0	89.165.255.255	RO
89.166.0.0	89.166.127.255	FI
89.166.128.0	89.166.255.255	DE
89.167.0.0	89.167.127.255	PL
89.167.128.0	89.167.138.63	GB
89.167.138.64	89.167.138.127	IE
89.167.138.128	89.167.139.95	GB
89.167.139.96	89.167.139.111	IE
89.167.139.112	89.167.139.127	GB
89.167.139.128	89.167.139.255	IE
89.167.140.0	89.167.147.255	GB
89.167.148.0	89.167.151.255	IE
89.167.152.0	89.167.156.255	GB
89.167.157.0	89.167.157.255	IE
89.167.158.0	89.167.173.255	GB
89.167.174.0	89.167.174.255	IE
89.167.175.0	89.167.186.255	GB
89.167.187.0	89.167.187.255	IE
89.167.188.0	89.167.207.255	GB
89.167.208.0	89.167.208.255	IE
89.167.209.0	89.167.211.255	GB
89.167.212.0	89.167.212.255	PT
89.167.213.0	89.167.214.255	GB
89.167.215.0	89.167.215.255	US
89.167.216.0	89.167.219.255	GB
89.167.220.0	89.167.220.255	IE
89.167.221.0	89.167.225.255	GB
89.167.226.0	89.167.227.255	IE
89.167.228.0	89.167.232.255	GB
89.167.233.0	89.167.233.255	IE
89.167.234.0	89.167.240.255	GB
89.167.241.0	89.167.241.255	IE
89.167.242.0	89.168.255.255	GB
89.169.0.0	89.169.255.255	RU
89.170.0.0	89.170.255.255	FR
89.171.0.0	89.171.255.255	PL
89.172.0.0	89.172.255.255	HR
89.173.0.0	89.173.255.255	SK
89.174.0.0	89.174.255.255	PL
89.175.0.0	89.175.255.255	RU
89.176.0.0	89.177.255.255	CZ
89.178.0.0	89.179.255.255	RU
89.180.0.0	89.181.255.255	PT
89.182.0.0	89.183.255.255	DE
89.184.0.0	89.184.31.255	RU
89.184.32.0	89.184.63.255	IE
89.184.64.0	89.184.95.255	UA
89.184.96.0	89.184.127.255	IT
89.184.128.0	89.184.159.255	DK
89.184.160.0	89.184.164.255	NL
89.184.165.0	89.184.165.7	NZ
89.184.165.8	89.184.191.255	NL
89.184.192.0	89.184.192.7	IR
89.184.192.8	89.184.210.255	AE
89.184.211.0	89.184.223.255	IR
89.184.224.0	89.184.255.255	RU
89.185.0.0	89.185.31.255	UA
89.185.32.0	89.185.34.110	FR
89.185.34.111	89.185.34.111	DK
89.185.34.112	89.185.34.112	BE
89.185.34.113	89.185.34.113	NL
89.185.34.114	89.185.34.114	GB
89.185.34.115	89.185.34.115	CA
89.185.34.116	89.185.34.116	FR
89.185.34.117	89.185.34.117	CH
89.185.34.118	89.185.34.118	DE
89.185.34.119	89.185.34.119	AT
89.185.34.120	89.185.34.120	IT
89.185.34.121	89.185.34.121	ES
89.185.34.122	89.185.34.122	SE
89.185.34.123	89.185.34.123	NO
89.185.34.124	89.185.37.22	FR
89.185.37.23	89.185.37.23	US
89.185.37.24	89.185.37.24	ES
89.185.37.25	89.185.37.43	FR
89.185.37.44	89.185.37.44	GB
89.185.37.45	89.185.37.45	DE
89.185.37.46	89.185.37.46	IT
89.185.37.47	89.185.37.52	FR
89.185.37.53	89.185.37.53	LU
89.185.37.54	89.185.38.191	FR
89.185.38.192	89.185.38.207	ES
89.185.38.208	89.185.38.223	DE
89.185.38.224	89.185.38.239	GB
89.185.38.240	89.185.38.255	IT
89.185.39.0	89.185.63.255	FR
89.185.64.0	89.185.95.255	RU
89.185.96.0	89.185.96.191	AT
89.185.96.192	89.185.96.223	DE
89.185.96.224	89.185.97.127	AT
89.185.97.128	89.185.97.255	DE
89.185.98.0	89.185.98.159	AT
89.185.98.160	89.185.99.95	DE
89.185.99.96	89.185.99.103	AT
89.185.99.104	89.185.99.255	DE
89.185.100.0	89.185.101.47	AT
89.185.101.48	89.185.101.175	DE
89.185.101.176	89.185.103.127	AT
89.185.103.128	89.185.111.255	DE
89.185.112.0	89.185.127.255	AT
89.185.128.0	89.185.128.63	GB
89.185.128.64	89.185.128.223	IE
89.185.128.224	89.185.128.255	GB
89.185.129.0	89.185.142.255	IE
89.185.143.0	89.185.143.7	GB
89.185.143.8	89.185.145.119	IE
89.185.145.120	89.185.145.127	GB
89.185.145.128	89.185.154.255	IE
89.185.155.0	89.185.155.7	GB
89.185.155.8	89.185.157.255	IE
89.185.158.0	89.185.158.31	GB
89.185.158.32	89.185.158.32	IE
89.185.158.33	89.185.158.47	GB
89.185.158.48	89.185.158.255	IE
89.185.159.0	89.185.159.127	GB
89.185.159.128	89.185.159.255	IE
89.185.160.0	89.185.191.255	FR
89.185.192.0	89.185.223.255	MK
89.185.224.0	89.185.247.47	CZ
89.185.247.48	89.185.247.55	SK
89.185.247.56	89.185.247.59	CZ
89.185.247.60	89.185.247.63	SK
89.185.247.64	89.185.247.143	CZ
89.185.247.144	89.185.247.159	SK
89.185.247.160	89.185.255.255	CZ
89.186.0.0	89.186.31.255	PL
89.186.32.0	89.186.63.255	SM
89.186.64.0	89.186.95.255	IT
89.186.96.0	89.186.127.255	HU
89.186.128.0	89.186.159.255	DE
89.186.160.0	89.186.191.255	DK
89.186.192.0	89.186.223.255	BG
89.186.224.0	89.186.255.255	RU
89.187.0.0	89.187.31.255	UA
89.187.32.0	89.187.63.255	MD
89.187.64.0	89.187.97.39	GB
89.187.97.40	89.187.97.47	NO
89.187.97.48	89.187.105.31	GB
89.187.105.32	89.187.105.39	US
89.187.105.40	89.187.105.47	GB
89.187.105.48	89.187.105.55	US
89.187.105.56	89.187.105.63	SG
89.187.105.64	89.187.105.127	GB
89.187.105.128	89.187.105.159	AU
89.187.105.160	89.187.105.175	GB
89.187.105.176	89.187.105.191	DE
89.187.105.192	89.187.105.207	NZ
89.187.105.208	89.187.107.63	GB
89.187.107.64	89.187.107.95	CZ
89.187.107.96	89.187.107.111	GB
89.187.107.112	89.187.107.127	IE
89.187.107.128	89.187.107.255	US
89.187.108.0	89.187.109.143	GB
89.187.109.144	89.187.109.159	NL
89.187.109.160	89.187.111.255	GB
89.187.112.0	89.187.112.127	US
89.187.112.128	89.187.113.255	GB
89.187.114.0	89.187.114.255	US
89.187.115.0	89.187.115.31	GB
89.187.115.32	89.187.115.39	US
89.187.115.40	89.187.119.255	GB
89.187.120.0	89.187.120.255	US
89.187.121.0	89.187.127.255	GB
89.187.128.0	89.187.191.255	CZ
89.187.192.0	89.187.223.255	RU
89.187.224.0	89.187.255.255	PL
89.188.0.0	89.188.31.255	NL
89.188.32.0	89.188.63.255	ME
89.188.64.0	89.188.95.255	SA
89.188.96.0	89.188.127.255	RU
89.188.128.0	89.188.159.255	IT
89.188.160.0	89.188.191.255	RU
89.188.192.0	89.188.223.255	PL
89.188.224.0	89.189.31.255	RU
89.189.32.0	89.189.63.255	IT
89.189.64.0	89.189.95.255	YE
89.189.96.0	89.189.191.255	RU
89.189.192.0	89.189.223.255	SE
89.189.224.0	89.189.255.255	SA
89.190.0.0	89.190.31.255	FI
89.190.32.0	89.190.95.255	CZ
89.190.96.0	89.190.127.255	LT
89.190.128.0	89.190.159.255	BH
89.190.160.0	89.190.172.167	IT
89.190.172.168	89.190.172.171	DE
89.190.172.172	89.190.181.215	IT
89.190.181.216	89.190.181.223	US
89.190.181.224	89.190.191.255	IT
89.190.192.0	89.190.223.255	BG
89.190.224.0	89.190.255.255	RU
89.191.0.0	89.191.31.255	NO
89.191.32.0	89.191.63.255	IE
89.191.64.0	89.191.69.63	DE
89.191.69.64	89.191.69.255	AT
89.191.70.0	89.191.73.255	DE
89.191.74.0	89.191.75.255	AT
89.191.76.0	89.191.95.255	DE
89.191.96.0	89.191.127.255	LV
89.191.128.0	89.191.191.255	PL
89.191.192.0	89.191.219.175	GB
89.191.219.176	89.191.219.191	IL
89.191.219.192	89.191.223.255	GB
89.191.224.0	89.191.255.255	RU
89.192.0.0	89.195.255.255	GB
89.196.0.0	89.199.255.255	DE
89.200.0.0	89.200.127.255	NL
89.200.128.0	89.200.143.255	GB
89.200.144.0	89.200.167.255	PL
89.200.168.0	89.200.175.255	DE
89.200.176.0	89.200.191.255	RU
89.200.192.0	89.200.199.255	FI
89.200.200.0	89.200.207.255	NL
89.200.208.0	89.200.215.255	PL
89.200.216.0	89.200.223.255	GB
89.200.224.0	89.200.231.255	PL
89.200.232.0	89.200.239.255	UA
89.200.240.0	89.200.247.255	RO
89.200.248.0	89.200.255.255	UA
89.201.0.0	89.201.127.255	LV
89.201.128.0	89.201.255.255	HR
89.202.0.0	89.202.67.15	DE
89.202.67.16	89.202.67.31	GB
89.202.67.32	89.202.69.63	DE
89.202.69.64	89.202.69.79	US
89.202.69.80	89.202.104.255	DE
89.202.105.0	89.202.105.127	US
89.202.105.128	89.202.105.255	DE
89.202.106.0	89.202.106.255	MU
89.202.107.0	89.202.107.15	CA
89.202.107.16	89.202.107.63	US
89.202.107.64	89.202.107.95	DE
89.202.107.96	89.202.107.103	US
89.202.107.104	89.202.107.111	DE
89.202.107.112	89.202.107.127	CA
89.202.107.128	89.202.107.131	US
89.202.107.132	89.202.107.255	DE
89.202.108.0	89.202.108.127	HK
89.202.108.128	89.202.108.223	GB
89.202.108.224	89.202.108.240	IL
89.202.108.241	89.202.108.255	DE
89.202.109.0	89.202.109.127	US
89.202.109.128	89.202.110.127	DE
89.202.110.128	89.202.110.143	KR
89.202.110.144	89.202.110.191	DE
89.202.110.192	89.202.110.207	US
89.202.110.208	89.202.110.215	DE
89.202.110.216	89.202.110.223	FR
89.202.110.224	89.202.110.227	US
89.202.110.228	89.202.110.255	DE
89.202.111.0	89.202.111.127	US
89.202.111.128	89.202.113.39	DE
89.202.113.40	89.202.113.47	GB
89.202.113.48	89.202.114.255	DE
89.202.115.0	89.202.115.255	US
89.202.116.0	89.202.116.255	DE
89.202.117.0	89.202.117.127	US
89.202.117.128	89.202.117.255	DE
89.202.118.0	89.202.118.7	US
89.202.118.8	89.202.118.15	FR
89.202.118.16	89.202.118.31	US
89.202.118.32	89.202.118.63	GB
89.202.118.64	89.202.118.95	US
89.202.118.96	89.202.118.127	DE
89.202.118.128	89.202.118.255	US
89.202.119.0	89.202.119.31	FR
89.202.119.32	89.202.119.39	US
89.202.119.40	89.202.119.47	GB
89.202.119.48	89.202.119.63	US
89.202.119.64	89.202.119.127	HK
89.202.119.128	89.202.119.255	CA
89.202.120.0	89.202.120.127	US
89.202.120.128	89.202.120.191	HK
89.202.120.192	89.202.120.199	DE
89.202.120.200	89.202.120.207	FR
89.202.120.208	89.202.121.23	DE
89.202.121.24	89.202.121.31	GB
89.202.121.32	89.202.121.63	US
89.202.121.64	89.202.121.127	DE
89.202.121.128	89.202.121.159	US
89.202.121.160	89.202.121.175	DE
89.202.121.176	89.202.121.191	GB
89.202.121.192	89.202.121.199	NL
89.202.121.200	89.202.121.207	CA
89.202.121.208	89.202.121.223	DE
89.202.121.224	89.202.121.255	CA
89.202.122.0	89.202.123.255	MU
89.202.124.0	89.202.124.143	US
89.202.124.144	89.202.124.159	GB
89.202.124.160	89.202.124.175	FR
89.202.124.176	89.202.124.187	US
89.202.124.188	89.202.124.191	DE
89.202.124.192	89.202.124.223	HK
89.202.124.224	89.202.125.127	DE
89.202.125.128	89.202.125.159	GB
89.202.125.160	89.202.125.191	US
89.202.125.192	89.202.125.207	GB
89.202.125.208	89.202.125.215	US
89.202.125.216	89.202.125.219	NL
89.202.125.220	89.202.125.223	US
89.202.125.224	89.202.125.239	GB
89.202.125.240	89.202.125.247	DE
89.202.125.248	89.202.125.255	US
89.202.126.0	89.202.126.127	DE
89.202.126.128	89.202.126.159	GB
89.202.126.160	89.202.126.167	DE
89.202.126.168	89.202.126.171	GB
89.202.126.172	89.202.126.175	NL
89.202.126.176	89.202.126.223	US
89.202.126.224	89.202.126.239	DE
89.202.126.240	89.202.126.247	GB
89.202.126.248	89.202.126.251	IE
89.202.126.252	89.202.127.143	DE
89.202.127.144	89.202.127.151	US
89.202.127.152	89.202.127.159	GB
89.202.127.160	89.202.127.175	NL
89.202.127.176	89.202.127.191	DE
89.202.127.192	89.202.127.255	US
89.202.128.0	89.202.131.255	GB
89.202.132.0	89.202.135.255	DE
89.202.136.0	89.202.136.25	FR
89.202.136.26	89.202.136.31	GB
89.202.136.32	89.202.136.63	FR
89.202.136.64	89.202.136.95	GB
89.202.136.96	89.202.136.207	FR
89.202.136.208	89.202.136.215	GB
89.202.136.216	89.202.137.135	FR
89.202.137.136	89.202.137.143	NL
89.202.137.144	89.202.137.151	GB
89.202.137.152	89.202.137.191	FR
89.202.137.192	89.202.137.199	GB
89.202.137.200	89.202.137.207	FR
89.202.137.208	89.202.137.223	GB
89.202.137.224	89.202.137.239	FR
89.202.137.240	89.202.137.255	GB
89.202.138.0	89.202.139.79	FR
89.202.139.80	89.202.139.95	GB
89.202.139.96	89.202.139.255	FR
89.202.140.0	89.202.143.255	NL
89.202.144.0	89.202.147.255	IT
89.202.148.0	89.202.148.255	AT
89.202.149.0	89.202.149.7	GB
89.202.149.8	89.202.149.23	AT
89.202.149.24	89.202.149.31	GB
89.202.149.32	89.202.149.63	AT
89.202.149.64	89.202.149.87	GB
89.202.149.88	89.202.149.95	AT
89.202.149.96	89.202.149.255	GB
89.202.150.0	89.202.151.7	BE
89.202.151.8	89.202.151.19	GB
89.202.151.20	89.202.151.255	BE
89.202.152.0	89.202.152.255	NL
89.202.153.0	89.202.153.255	SK
89.202.154.0	89.202.154.7	CH
89.202.154.8	89.202.154.15	GB
89.202.154.16	89.202.155.255	CH
89.202.156.0	89.202.157.79	CZ
89.202.157.80	89.202.157.159	GB
89.202.157.160	89.202.157.175	CZ
89.202.157.176	89.202.157.191	GB
89.202.157.192	89.202.157.255	CZ
89.202.158.0	89.202.158.63	DK
89.202.158.64	89.202.158.255	GB
89.202.159.0	89.202.161.183	ES
89.202.161.184	89.202.161.191	GB
89.202.161.192	89.202.162.255	ES
89.202.163.0	89.202.163.255	GB
89.202.164.0	89.202.164.255	US
89.202.165.0	89.202.165.7	RO
89.202.165.8	89.202.165.255	GB
89.202.166.0	89.202.166.255	AT
89.202.167.0	89.202.167.143	SE
89.202.167.144	89.202.167.151	ES
89.202.167.152	89.202.167.167	SE
89.202.167.168	89.202.167.175	GB
89.202.167.176	89.202.167.191	SE
89.202.167.192	89.202.167.207	GB
89.202.167.208	89.202.167.223	SE
89.202.167.224	89.202.167.255	GB
89.202.168.0	89.202.168.255	DE
89.202.169.0	89.202.169.255	FR
89.202.170.0	89.202.170.255	AT
89.202.171.0	89.202.171.255	ES
89.202.172.0	89.202.172.255	IT
89.202.173.0	89.202.173.255	US
89.202.174.0	89.202.174.255	GB
89.202.175.0	89.202.175.255	IT
89.202.176.0	89.202.177.255	AE
89.202.178.0	89.202.178.255	HU
89.202.179.0	89.202.179.255	IT
89.202.180.0	89.202.180.255	IE
89.202.181.0	89.202.181.15	IT
89.202.181.16	89.202.181.31	GB
89.202.181.32	89.202.181.255	IT
89.202.182.0	89.202.186.127	GB
89.202.186.128	89.202.187.255	CH
89.202.188.0	89.202.189.255	GB
89.202.190.0	89.202.191.255	BE
89.202.192.0	89.202.193.143	FR
89.202.193.144	89.202.193.151	GB
89.202.193.152	89.202.193.159	FR
89.202.193.160	89.202.193.175	GB
89.202.193.176	89.202.193.222	FR
89.202.193.223	89.202.193.223	GB
89.202.193.224	89.202.194.175	FR
89.202.194.176	89.202.194.183	GB
89.202.194.184	89.202.195.255	FR
89.202.196.0	89.202.196.255	AT
89.202.197.0	89.202.198.127	IT
89.202.198.128	89.202.198.131	GB
89.202.198.132	89.202.198.135	IT
89.202.198.136	89.202.198.143	GB
89.202.198.144	89.202.198.167	IT
89.202.198.168	89.202.198.175	FR
89.202.198.176	89.202.199.255	IT
89.202.200.0	89.202.200.167	FR
89.202.200.168	89.202.200.191	GB
89.202.200.192	89.202.201.255	FR
89.202.202.0	89.202.202.255	ES
89.202.203.0	89.202.203.143	FR
89.202.203.144	89.202.203.159	A2
89.202.203.160	89.202.203.255	FR
89.202.204.0	89.202.205.255	IT
89.202.206.0	89.202.206.255	SE
89.202.207.0	89.202.208.255	DE
89.202.209.0	89.202.211.255	GB
89.202.212.0	89.202.213.255	NL
89.202.214.0	89.202.215.255	GB
89.202.216.0	89.202.216.255	DE
89.202.217.0	89.202.217.255	BE
89.202.218.0	89.202.218.255	DE
89.202.219.0	89.202.220.255	GB
89.202.221.0	89.202.221.255	DE
89.202.222.0	89.202.222.255	GB
89.202.223.0	89.202.225.255	IT
89.202.226.0	89.202.226.255	GB
89.202.227.0	89.202.227.255	TZ
89.202.228.0	89.202.232.255	IT
89.202.233.0	89.202.233.255	GB
89.202.234.0	89.202.234.255	DE
89.202.235.0	89.202.238.255	IT
89.202.239.0	89.202.239.255	GB
89.202.240.0	89.202.240.39	NL
89.202.240.40	89.202.240.43	GB
89.202.240.44	89.202.240.63	NL
89.202.240.64	89.202.240.95	BE
89.202.240.96	89.202.240.255	NL
89.202.241.0	89.202.241.255	IT
89.202.242.0	89.202.242.255	GB
89.202.243.0	89.202.244.255	IT
89.202.245.0	89.202.245.255	GB
89.202.246.0	89.202.249.31	IT
89.202.249.32	89.202.249.63	SE
89.202.249.64	89.202.249.255	IT
89.202.250.0	89.202.250.255	FR
89.202.251.0	89.202.251.127	IT
89.202.251.128	89.202.251.255	GB
89.202.252.0	89.202.253.255	IT
89.202.254.0	89.202.254.7	AT
89.202.254.8	89.202.255.255	GB
89.203.0.0	89.203.127.255	KW
89.203.128.0	89.203.255.255	CZ
89.204.0.0	89.204.127.255	RU
89.204.128.0	89.204.159.255	DE
89.204.160.0	89.204.255.255	IE
89.205.0.0	89.205.127.255	MK
89.205.128.0	89.205.255.255	NL
89.206.0.0	89.206.63.255	PL
89.206.64.0	89.206.127.255	CH
89.206.128.0	89.207.7.255	GB
89.207.8.0	89.207.15.255	FI
89.207.16.0	89.207.19.127	SE
89.207.19.128	89.207.19.143	DE
89.207.19.144	89.207.19.159	FR
89.207.19.160	89.207.19.175	IE
89.207.19.176	89.207.19.192	GB
89.207.19.193	89.207.23.255	SE
89.207.24.0	89.207.31.255	NL
89.207.32.0	89.207.47.255	RU
89.207.48.0	89.207.55.255	GB
89.207.56.0	89.207.63.255	IE
89.207.64.0	89.207.79.255	RU
89.207.80.0	89.207.87.255	IT
89.207.88.0	89.207.103.255	RU
89.207.104.0	89.207.111.255	IT
89.207.112.0	89.207.112.55	NO
89.207.112.56	89.207.119.255	GE
89.207.120.0	89.207.127.255	AT
89.207.128.0	89.207.135.255	NL
89.207.136.0	89.207.143.255	GB
89.207.144.0	89.207.151.255	AT
89.207.152.0	89.207.169.255	GB
89.207.170.0	89.207.170.63	IE
89.207.170.64	89.207.170.127	US
89.207.170.128	89.207.170.191	ZA
89.207.170.192	89.207.170.255	AU
89.207.171.0	89.207.175.255	GB
89.207.176.0	89.207.183.255	RU
89.207.184.0	89.207.191.255	UA
89.207.192.0	89.207.199.255	ME
89.207.200.0	89.207.207.255	DE
89.207.208.0	89.207.215.255	GB
89.207.216.0	89.207.223.255	RU
89.207.224.0	89.207.231.255	IE
89.207.232.0	89.207.239.255	ES
89.207.240.0	89.207.247.255	LV
89.207.248.0	89.207.252.79	DE
89.207.252.80	89.207.252.87	DK
89.207.252.88	89.207.253.191	DE
89.207.253.192	89.207.253.207	CH
89.207.253.208	89.207.255.255	DE
89.208.0.0	89.208.255.255	RU
89.209.0.0	89.209.255.255	UA
89.210.0.0	89.210.255.255	GR
89.211.0.0	89.211.255.255	QA
89.212.0.0	89.212.255.255	SI
89.213.0.0	89.213.255.255	GB
89.214.0.0	89.214.255.255	PT
89.215.0.0	89.215.255.255	BG
89.216.0.0	89.216.255.255	RS
89.217.0.0	89.217.255.255	CH
89.218.0.0	89.218.255.255	KZ
89.219.0.0	89.219.255.255	EE
89.220.0.0	89.220.255.255	NL
89.221.0.0	89.221.13.111	DE
89.221.13.112	89.221.13.127	TR
89.221.13.128	89.221.15.255	DE
89.221.16.0	89.221.31.255	RU
89.221.32.0	89.221.32.255	IT
89.221.33.0	89.221.33.255	GR
89.221.34.0	89.221.35.127	DE
89.221.35.128	89.221.35.255	US
89.221.36.0	89.221.37.255	GR
89.221.38.0	89.221.38.255	IT
89.221.39.0	89.221.41.255	US
89.221.42.0	89.221.42.127	GR
89.221.42.128	89.221.42.159	FR
89.221.42.160	89.221.42.207	GR
89.221.42.208	89.221.42.223	IL
89.221.42.224	89.221.42.255	SG
89.221.43.0	89.221.43.255	GB
89.221.44.0	89.221.45.255	IT
89.221.46.0	89.221.46.255	DE
89.221.47.0	89.221.47.255	US
89.221.48.0	89.221.63.255	RU
89.221.64.0	89.221.79.255	EE
89.221.80.0	89.221.95.255	IR
89.221.96.0	89.221.111.255	NO
89.221.112.0	89.221.127.255	LV
89.221.128.0	89.221.159.255	IT
89.221.160.0	89.221.175.255	DK
89.221.176.0	89.221.191.255	NL
89.221.192.0	89.221.207.255	RU
89.221.208.0	89.221.223.255	CZ
89.221.224.0	89.221.239.255	RU
89.221.240.0	89.221.241.255	SE
89.221.242.0	89.221.246.255	NO
89.221.247.0	89.221.255.255	SE
89.222.0.0	89.222.127.255	GB
89.222.128.0	89.223.127.255	RU
89.223.128.0	89.223.255.255	HU
89.224.0.0	89.227.255.255	FR
89.228.0.0	89.231.255.255	PL
89.232.0.0	89.232.63.255	GE
89.232.64.0	89.232.255.255	RU
89.233.0.0	89.233.63.255	DK
89.233.64.0	89.233.127.255	RU
89.233.128.0	89.233.145.31	CZ
89.233.145.32	89.233.145.63	GB
89.233.145.64	89.233.173.63	CZ
89.233.173.64	89.233.173.127	DE
89.233.173.128	89.233.191.255	CZ
89.233.192.0	89.233.255.255	SE
89.234.0.0	89.234.25.15	GB
89.234.25.16	89.234.25.23	A2
89.234.25.24	89.234.54.63	GB
89.234.54.64	89.234.54.79	IE
89.234.54.80	89.234.63.255	GB
89.234.64.0	89.234.127.255	IE
89.234.128.0	89.234.191.255	FR
89.234.192.0	89.234.255.255	PL
89.235.0.0	89.235.0.71	CZ
89.235.0.72	89.235.0.75	SK
89.235.0.76	89.235.63.255	CZ
89.235.64.0	89.235.127.255	IR
89.235.128.0	89.235.191.255	RU
89.235.192.0	89.235.255.255	EE
89.236.0.0	89.236.1.255	SE
89.236.2.0	89.236.7.255	DK
89.236.8.0	89.236.9.255	SE
89.236.10.0	89.236.10.255	DK
89.236.11.0	89.236.13.127	SE
89.236.13.128	89.236.13.255	DK
89.236.14.0	89.236.14.255	SE
89.236.15.0	89.236.15.255	DK
89.236.16.0	89.236.31.255	SE
89.236.32.0	89.236.32.15	DK
89.236.32.16	89.236.32.23	SE
89.236.32.24	89.236.32.103	DK
89.236.32.104	89.236.37.255	SE
89.236.38.0	89.236.38.255	DK
89.236.39.0	89.236.46.255	SE
89.236.47.0	89.236.47.63	DK
89.236.47.64	89.236.47.127	SE
89.236.47.128	89.236.48.255	DK
89.236.49.0	89.236.53.255	SE
89.236.54.0	89.236.59.255	DK
89.236.60.0	89.236.63.255	SE
89.236.64.0	89.236.127.255	FI
89.236.128.0	89.236.191.255	CH
89.236.192.0	89.236.255.255	UZ
89.237.0.0	89.237.63.255	RU
89.237.64.0	89.237.127.255	FR
89.237.128.0	89.237.191.255	SA
89.237.192.0	89.237.255.255	KG
89.238.0.0	89.238.63.255	PL
89.238.64.0	89.238.67.255	DE
89.238.68.0	89.238.68.255	ES
89.238.69.0	89.238.71.63	DE
89.238.71.64	89.238.71.95	BE
89.238.71.96	89.238.127.255	DE
89.238.128.0	89.238.136.175	GB
89.238.136.176	89.238.136.183	DE
89.238.136.184	89.238.137.255	GB
89.238.138.0	89.238.138.255	NL
89.238.139.0	89.238.154.47	GB
89.238.154.48	89.238.154.55	FR
89.238.154.56	89.238.191.255	GB
89.238.192.0	89.238.255.255	RO
89.239.0.0	89.239.63.255	CZ
89.239.64.0	89.239.127.255	PL
89.239.128.0	89.239.191.255	RU
89.239.192.0	89.239.255.255	DK
89.240.0.0	89.243.255.255	GB
89.244.0.0	89.247.255.255	DE
89.248.0.0	89.248.15.255	NO
89.248.16.0	89.248.31.255	GB
89.248.32.0	89.248.47.255	CH
89.248.48.0	89.248.71.255	GB
89.248.72.0	89.248.79.255	FR
89.248.80.0	89.248.95.255	LV
89.248.96.0	89.248.111.255	ES
89.248.112.0	89.248.127.255	RU
89.248.128.0	89.248.143.255	NL
89.248.144.0	89.248.157.255	LI
89.248.158.0	89.248.159.255	CH
89.248.160.0	89.248.162.255	NL
89.248.163.0	89.248.163.31	FR
89.248.163.32	89.248.163.175	NL
89.248.163.176	89.248.163.223	SE
89.248.163.224	89.248.165.7	NL
89.248.165.8	89.248.165.15	PL
89.248.165.16	89.248.165.31	NL
89.248.165.32	89.248.165.63	PL
89.248.165.64	89.248.165.95	NL
89.248.165.96	89.248.165.127	PL
89.248.165.128	89.248.165.191	BE
89.248.165.192	89.248.166.191	NL
89.248.166.192	89.248.166.223	PL
89.248.166.224	89.248.172.255	NL
89.248.173.0	89.248.173.127	SE
89.248.173.128	89.248.174.191	NL
89.248.174.192	89.248.174.223	MY
89.248.174.224	89.248.175.255	NL
89.248.176.0	89.248.207.255	RU
89.248.208.0	89.248.223.255	FR
89.248.224.0	89.248.239.255	RU
89.248.240.0	89.248.250.255	CZ
89.248.251.0	89.248.251.127	DE
89.248.251.128	89.248.255.255	CZ
89.249.0.0	89.249.15.255	DK
89.249.16.0	89.249.31.255	RU
89.249.32.0	89.249.33.255	CH
89.249.34.0	89.249.38.255	DE
89.249.39.0	89.249.39.255	CH
89.249.40.0	89.249.40.223	DE
89.249.40.224	89.249.40.231	GB
89.249.40.232	89.249.47.255	CH
89.249.48.0	89.249.63.255	RU
89.249.64.0	89.249.79.255	GB
89.249.80.0	89.249.95.255	LT
89.249.96.0	89.249.111.255	HR
89.249.112.0	89.249.159.255	RU
89.249.160.0	89.249.175.255	GB
89.249.176.0	89.249.191.255	RU
89.249.192.0	89.249.207.255	AM
89.249.208.0	89.249.208.39	LB
89.249.208.40	89.249.208.47	DE
89.249.208.48	89.249.223.255	LB
89.249.224.0	89.250.31.255	RU
89.250.32.0	89.250.47.255	GB
89.250.48.0	89.250.63.255	FI
89.250.64.0	89.250.79.255	NL
89.250.80.0	89.250.95.255	KZ
89.250.96.0	89.250.111.255	CZ
89.250.112.0	89.250.125.255	NO
89.250.126.0	89.250.126.127	GB
89.250.126.128	89.250.127.15	NO
89.250.127.16	89.250.127.31	GB
89.250.127.32	89.250.127.255	NO
89.250.128.0	89.250.143.255	DE
89.250.144.0	89.250.175.255	RU
89.250.176.0	89.250.191.255	NL
89.250.192.0	89.250.207.255	PL
89.250.208.0	89.250.239.255	RU
89.250.240.0	89.250.255.255	CZ
89.251.0.0	89.251.9.255	NL
89.251.10.0	89.251.11.255	US
89.251.12.0	89.251.15.255	NL
89.251.16.0	89.251.31.255	UA
89.251.32.0	89.251.47.255	HU
89.251.48.0	89.251.63.255	FR
89.251.64.0	89.251.79.255	RU
89.251.80.0	89.251.88.63	KW
89.251.88.64	89.251.88.95	GB
89.251.88.96	89.251.95.255	KW
89.251.96.0	89.251.111.255	RU
89.251.112.0	89.251.127.255	GB
89.251.128.0	89.251.143.255	DE
89.251.144.0	89.251.175.255	RU
89.251.176.0	89.251.191.255	IT
89.251.192.0	89.251.207.255	GB
89.251.208.0	89.251.218.255	NO
89.251.219.0	89.251.223.255	GB
89.251.224.0	89.251.239.255	ES
89.251.240.0	89.251.255.255	CH
89.252.0.0	89.252.63.255	UA
89.252.64.0	89.252.127.255	RU
89.252.128.0	89.252.191.255	TR
89.252.192.0	89.252.255.255	BG
89.253.0.0	89.253.63.255	RU
89.253.64.0	89.253.127.255	SE
89.253.128.0	89.253.191.255	BG
89.253.192.0	89.253.255.255	RU
89.254.0.0	89.254.127.255	NO
89.254.128.0	89.254.191.255	LV
89.254.192.0	89.254.255.255	RU
89.255.0.0	89.255.63.255	NL
89.255.64.0	89.255.127.255	RU
89.255.128.0	89.255.191.255	GB
89.255.192.0	89.255.255.255	US
90.0.0.0	90.84.48.255	FR
90.84.49.0	90.84.49.255	ES
90.84.50.0	90.84.50.255	FR
90.84.51.0	90.84.52.255	US
90.84.53.0	90.84.53.255	ES
90.84.54.0	90.84.126.255	FR
90.84.127.0	90.84.127.255	CD
90.84.128.0	90.84.128.127	HK
90.84.128.128	90.84.130.255	FR
90.84.131.0	90.84.131.255	HK
90.84.132.0	90.84.254.255	FR
90.84.255.0	90.84.255.255	ES
90.85.0.0	90.127.255.255	FR
90.128.0.0	90.128.127.255	DE
90.128.128.0	90.128.255.255	NL
90.129.0.0	90.129.191.255	SE
90.129.192.0	90.129.223.255	AT
90.129.224.0	90.130.127.255	SE
90.130.128.0	90.130.135.255	EE
90.130.136.0	90.130.139.255	LT
90.130.140.0	90.130.143.255	SE
90.130.144.0	90.130.151.255	LT
90.130.152.0	90.130.159.255	SE
90.130.160.0	90.130.175.255	LV
90.130.176.0	90.132.255.255	SE
90.133.0.0	90.133.239.255	RU
90.133.240.0	90.133.255.255	SE
90.134.0.0	90.136.255.255	DE
90.137.0.0	90.137.63.255	RU
90.137.64.0	90.137.127.255	SE
90.137.128.0	90.137.131.255	LT
90.137.132.0	90.137.133.255	EE
90.137.134.0	90.137.135.255	LV
90.137.136.0	90.137.143.255	NO
90.137.144.0	90.137.151.255	HR
90.137.152.0	90.137.155.255	SE
90.137.156.0	90.137.163.255	HR
90.137.164.0	90.137.255.255	SE
90.138.0.0	90.140.255.255	RU
90.141.0.0	90.142.255.255	SE
90.143.0.0	90.143.255.255	RU
90.144.0.0	90.144.255.255	SE
90.145.0.0	90.145.255.255	NL
90.146.0.0	90.146.255.255	AT
90.147.0.0	90.147.255.255	IT
90.148.0.0	90.148.255.255	SA
90.149.0.0	90.149.255.255	NO
90.150.0.0	90.151.255.255	RU
90.152.0.0	90.152.63.255	GB
90.152.64.0	90.152.64.15	FR
90.152.64.16	90.152.64.23	BE
90.152.64.24	90.152.64.31	FR
90.152.64.32	90.152.64.39	ES
90.152.64.40	90.152.64.47	CH
90.152.64.48	90.152.64.55	AT
90.152.64.56	90.152.64.79	NL
90.152.64.80	90.152.64.87	CH
90.152.64.88	90.152.64.103	NL
90.152.64.104	90.152.64.111	FR
90.152.64.112	90.152.64.119	AT
90.152.64.120	90.152.64.127	BE
90.152.64.128	90.152.64.135	LU
90.152.64.136	90.152.64.143	NL
90.152.64.144	90.152.64.151	CH
90.152.64.152	90.152.64.167	FR
90.152.64.168	90.152.64.175	IT
90.152.64.176	90.152.64.183	NL
90.152.64.184	90.152.64.207	FR
90.152.64.208	90.152.64.215	NL
90.152.64.216	90.152.64.231	ES
90.152.64.232	90.152.64.239	NL
90.152.64.240	90.152.64.247	FR
90.152.64.248	90.152.64.255	IE
90.152.65.0	90.152.65.7	SE
90.152.65.8	90.152.65.15	IT
90.152.65.16	90.152.65.23	GB
90.152.65.24	90.152.65.31	FR
90.152.65.32	90.152.65.39	AT
90.152.65.40	90.152.65.55	BE
90.152.65.56	90.152.65.63	FR
90.152.65.64	90.152.65.79	NL
90.152.65.80	90.152.65.87	CH
90.152.65.88	90.152.65.95	BE
90.152.65.96	90.152.65.103	FR
90.152.65.104	90.152.65.111	NL
90.152.65.112	90.152.65.119	IT
90.152.65.120	90.152.65.127	FI
90.152.65.128	90.152.65.135	IE
90.152.65.136	90.152.65.143	IT
90.152.65.144	90.152.65.167	NL
90.152.65.168	90.152.65.175	ES
90.152.65.176	90.152.65.183	FR
90.152.65.184	90.152.65.191	NL
90.152.65.192	90.152.65.199	ES
90.152.65.200	90.152.65.207	IT
90.152.65.208	90.152.65.215	ES
90.152.65.216	90.152.65.223	NL
90.152.65.224	90.152.65.231	FR
90.152.65.232	90.152.66.15	GB
90.152.66.16	90.152.66.23	BE
90.152.66.24	90.152.66.47	GB
90.152.66.48	90.152.66.55	DK
90.152.66.56	90.152.66.63	FI
90.152.66.64	90.152.66.71	NL
90.152.66.72	90.152.66.87	GB
90.152.66.88	90.152.66.95	NL
90.152.66.96	90.152.67.55	GB
90.152.67.56	90.152.67.79	NO
90.152.67.80	90.152.67.87	NL
90.152.67.88	90.152.67.119	DK
90.152.67.120	90.152.67.127	GB
90.152.67.128	90.152.67.135	SE
90.152.67.136	90.152.67.183	GB
90.152.67.184	90.152.67.191	DK
90.152.67.192	90.152.71.191	GB
90.152.71.192	90.152.71.199	NL
90.152.71.200	90.152.71.255	GB
90.152.72.0	90.152.72.127	NL
90.152.72.128	90.152.72.159	FI
90.152.72.160	90.152.72.223	NL
90.152.72.224	90.152.72.255	FI
90.152.73.0	90.152.73.159	NL
90.152.73.160	90.152.73.191	CZ
90.152.73.192	90.152.73.192	GB
90.152.73.193	90.152.73.223	SE
90.152.73.224	90.152.73.255	DK
90.152.74.0	90.152.74.95	SE
90.152.74.96	90.152.74.255	BE
90.152.75.0	90.152.75.95	NL
90.152.75.96	90.152.75.127	BE
90.152.75.128	90.152.75.159	NL
90.152.75.160	90.152.75.223	DK
90.152.75.224	90.152.75.255	SE
90.152.76.0	90.152.76.31	DK
90.152.76.32	90.152.76.159	NL
90.152.76.160	90.152.76.191	NO
90.152.76.192	90.152.76.223	SE
90.152.76.224	90.152.77.31	NO
90.152.77.32	90.152.77.127	NL
90.152.77.128	90.152.77.159	BE
90.152.77.160	90.152.78.31	NL
90.152.78.32	90.152.78.63	CZ
90.152.78.64	90.152.78.95	BE
90.152.78.96	90.152.78.127	NL
90.152.78.128	90.152.78.159	BE
90.152.78.160	90.152.78.191	DK
90.152.78.192	90.152.78.223	NO
90.152.78.224	90.152.78.255	SE
90.152.79.0	90.152.79.95	NL
90.152.79.96	90.152.79.127	NO
90.152.79.128	90.152.79.223	GB
90.152.79.224	90.152.79.239	BE
90.152.79.240	90.152.79.255	GB
90.152.80.0	90.152.91.255	NL
90.152.92.0	90.152.93.255	GB
90.152.94.0	90.152.95.255	NL
90.152.96.0	90.152.96.127	FR
90.152.96.128	90.152.96.255	NL
90.152.97.0	90.152.97.191	FI
90.152.97.192	90.152.98.191	BE
90.152.98.192	90.152.98.255	DK
90.152.99.0	90.152.99.127	NL
90.152.99.128	90.152.99.191	BE
90.152.99.192	90.152.99.255	NO
90.152.100.0	90.152.100.63	SK
90.152.100.64	90.152.100.255	DK
90.152.101.0	90.152.101.127	SE
90.152.101.128	90.152.101.255	BE
90.152.102.0	90.152.102.255	DK
90.152.103.0	90.152.103.63	NL
90.152.103.64	90.152.103.127	SE
90.152.103.128	90.152.103.191	NO
90.152.103.192	90.152.103.255	GB
90.152.104.0	90.152.104.191	NL
90.152.104.192	90.152.107.255	GB
90.152.108.0	90.152.111.255	NL
90.152.112.0	90.152.112.31	NO
90.152.112.32	90.152.112.63	NL
90.152.112.64	90.152.112.95	SE
90.152.112.96	90.152.112.127	SK
90.152.112.128	90.152.112.159	NL
90.152.112.160	90.152.112.223	BE
90.152.112.224	90.152.112.255	NL
90.152.113.0	90.152.113.255	GB
90.152.114.0	90.152.114.63	NL
90.152.114.64	90.152.114.95	FI
90.152.114.96	90.152.114.127	SE
90.152.114.128	90.152.127.255	GB
90.152.128.0	90.152.255.255	AT
90.153.0.0	90.153.127.255	DE
90.153.128.0	90.153.255.255	SY
90.154.0.0	90.154.127.255	RU
90.154.128.0	90.154.223.255	BG
90.154.224.0	90.154.224.255	A2
90.154.225.0	90.154.255.255	BG
90.155.0.0	90.155.127.255	GB
90.155.128.0	90.155.255.255	RU
90.156.0.0	90.156.127.255	PL
90.156.128.0	90.156.223.255	RU
90.156.224.0	90.156.225.255	NL
90.156.226.0	90.156.229.255	RU
90.156.230.0	90.156.230.255	NL
90.156.231.0	90.156.233.255	RU
90.156.234.0	90.156.235.255	NL
90.156.236.0	90.157.127.255	RU
90.157.128.0	90.157.255.255	SI
90.158.0.0	90.159.255.255	TR
90.160.0.0	90.175.255.255	ES
90.176.0.0	90.183.255.255	CZ
90.184.0.0	90.185.255.255	DK
90.186.0.0	90.187.255.255	DE
90.188.0.0	90.189.255.255	RU
90.190.0.0	90.191.255.255	EE
90.192.0.0	90.223.255.255	GB
90.224.0.0	90.239.255.255	SE
90.240.0.0	90.255.255.255	GB
91.0.0.0	91.67.255.255	DE
91.68.0.0	91.71.255.255	FR
91.72.0.0	91.75.255.255	AE
91.76.0.0	91.79.255.255	RU
91.80.0.0	91.81.255.255	IT
91.82.0.0	91.83.131.255	HU
91.83.132.0	91.83.135.255	RS
91.83.136.0	91.83.255.255	HU
91.84.0.0	91.85.255.255	GB
91.86.0.0	91.87.255.255	BE
91.88.0.0	91.88.255.255	FR
91.89.0.0	91.89.255.255	DE
91.90.0.0	91.90.7.255	ES
91.90.8.0	91.90.23.255	UA
91.90.24.0	91.90.31.255	SE
91.90.32.0	91.90.39.255	RU
91.90.40.0	91.90.47.255	NO
91.90.48.0	91.90.55.255	FI
91.90.56.0	91.90.63.255	PL
91.90.64.0	91.90.71.255	NO
91.90.72.0	91.90.79.255	PL
91.90.80.0	91.90.87.255	RU
91.90.88.0	91.90.95.255	PL
91.90.96.0	91.90.103.255	FR
91.90.104.0	91.90.111.255	NO
91.90.112.0	91.90.119.255	PL
91.90.120.0	91.90.127.255	RO
91.90.128.0	91.90.143.255	IL
91.90.144.0	91.90.159.255	DE
91.90.160.0	91.90.191.255	PL
91.90.192.0	91.90.223.255	UA
91.90.224.0	91.90.255.255	LV
91.91.0.0	91.91.255.255	FR
91.92.0.0	91.92.255.255	BG
91.93.0.0	91.93.255.255	TR
91.94.0.0	91.94.255.255	PL
91.95.0.0	91.95.255.255	SE
91.96.0.0	91.97.255.255	DE
91.98.0.0	91.99.255.255	IR
91.100.0.0	91.101.255.255	DK
91.102.0.0	91.102.7.255	GB
91.102.8.0	91.102.15.255	DE
91.102.16.0	91.102.23.255	SA
91.102.24.0	91.102.31.255	NO
91.102.32.0	91.102.32.255	KW
91.102.33.0	91.102.33.255	SA
91.102.34.0	91.102.34.255	KW
91.102.35.0	91.102.35.255	AE
91.102.36.0	91.102.39.255	KW
91.102.40.0	91.102.47.255	NL
91.102.48.0	91.102.55.255	IT
91.102.56.0	91.102.66.255	GB
91.102.67.0	91.102.67.255	US
91.102.68.0	91.102.71.255	GB
91.102.72.0	91.102.79.255	IT
91.102.80.0	91.102.87.255	IE
91.102.88.0	91.102.95.255	DK
91.102.96.0	91.102.103.255	CZ
91.102.104.0	91.102.111.255	RU
91.102.112.0	91.102.117.239	PL
91.102.117.240	91.102.117.255	CH
91.102.118.0	91.102.119.255	PL
91.102.120.0	91.102.127.255	AE
91.102.128.0	91.102.135.255	IT
91.102.136.0	91.102.143.255	DE
91.102.144.0	91.102.151.255	KW
91.102.152.0	91.102.159.255	RU
91.102.160.0	91.102.167.255	TR
91.102.168.0	91.102.175.255	RS
91.102.176.0	91.102.183.255	UA
91.102.184.0	91.102.191.255	GB
91.102.192.0	91.102.199.255	NL
91.102.200.0	91.102.207.255	RU
91.102.208.0	91.102.215.255	NL
91.102.216.0	91.102.223.255	RU
91.102.224.0	91.102.231.255	RS
91.102.232.0	91.102.239.255	KW
91.102.240.0	91.102.247.255	ES
91.102.248.0	91.102.255.255	FR
91.103.0.0	91.103.7.255	IE
91.103.8.0	91.103.15.255	RS
91.103.16.0	91.103.23.255	NL
91.103.24.0	91.103.31.255	AM
91.103.32.0	91.103.33.255	GB
91.103.34.0	91.103.34.255	DE
91.103.35.0	91.103.36.255	SE
91.103.37.0	91.103.37.255	NO
91.103.38.0	91.103.38.255	DK
91.103.39.0	91.103.39.255	FI
91.103.40.0	91.103.40.255	FR
91.103.41.0	91.103.41.255	US
91.103.42.0	91.103.42.255	JP
91.103.43.0	91.103.45.255	FR
91.103.46.0	91.103.46.255	US
91.103.47.0	91.103.47.255	JP
91.103.48.0	91.103.55.255	ES
91.103.56.0	91.103.63.255	AM
91.103.64.0	91.103.87.255	RU
91.103.88.0	91.103.95.255	MT
91.103.96.0	91.103.103.255	LT
91.103.104.0	91.103.111.255	RU
91.103.112.0	91.103.119.255	DE
91.103.120.0	91.103.127.255	UA
91.103.128.0	91.103.135.255	GB
91.103.136.0	91.103.138.191	FR
91.103.138.192	91.103.138.255	DE
91.103.139.0	91.103.141.255	FR
91.103.142.0	91.103.142.255	GB
91.103.143.0	91.103.143.255	DE
91.103.144.0	91.103.151.255	KW
91.103.152.0	91.103.159.255	RU
91.103.160.0	91.103.167.255	CZ
91.103.168.0	91.103.191.255	GB
91.103.192.0	91.103.215.255	RU
91.103.216.0	91.103.223.255	GB
91.103.224.0	91.103.231.255	RU
91.103.232.0	91.103.239.255	FR
91.103.240.0	91.103.247.255	DE
91.103.248.0	91.103.255.255	AT
91.104.0.0	91.111.255.255	GB
91.112.0.0	91.112.243.255	AT
91.112.244.0	91.112.244.255	A2
91.112.245.0	91.115.255.255	AT
91.116.0.0	91.117.255.255	ES
91.118.0.0	91.119.255.255	AT
91.120.0.0	91.120.255.255	HU
91.121.0.0	91.121.215.255	FR
91.121.216.0	91.121.219.255	BE
91.121.220.0	91.121.223.255	FR
91.121.224.0	91.121.224.31	PL
91.121.224.32	91.121.224.79	FR
91.121.224.80	91.121.224.87	CH
91.121.224.88	91.121.224.91	DE
91.121.224.92	91.121.224.95	GB
91.121.224.96	91.121.224.99	DE
91.121.224.100	91.121.224.103	BE
91.121.224.104	91.121.224.107	CH
91.121.224.108	91.121.224.127	FR
91.121.224.128	91.121.224.143	PL
91.121.224.144	91.121.224.159	FR
91.121.224.160	91.121.224.175	DE
91.121.224.176	91.121.224.191	BE
91.121.224.192	91.121.224.195	FR
91.121.224.196	91.121.224.199	IT
91.121.224.200	91.121.224.203	DE
91.121.224.204	91.121.224.207	FR
91.121.224.208	91.121.224.223	ES
91.121.224.224	91.121.224.239	FR
91.121.224.240	91.121.224.255	BE
91.121.225.0	91.121.225.7	GB
91.121.225.8	91.121.225.11	BE
91.121.225.12	91.121.225.15	NL
91.121.225.16	91.121.225.31	BE
91.121.225.32	91.121.225.47	GB
91.121.225.48	91.121.225.147	FR
91.121.225.148	91.121.225.159	PL
91.121.225.160	91.121.225.175	IT
91.121.225.176	91.121.225.191	ES
91.121.225.192	91.121.225.195	GB
91.121.225.196	91.121.225.199	ES
91.121.225.200	91.121.225.207	FR
91.121.225.208	91.121.225.215	DE
91.121.225.216	91.121.225.219	FR
91.121.225.220	91.121.225.223	PL
91.121.225.224	91.121.225.239	FR
91.121.225.240	91.121.225.255	CH
91.121.226.0	91.121.226.15	GB
91.121.226.16	91.121.226.31	FR
91.121.226.32	91.121.226.47	ES
91.121.226.48	91.121.226.63	GB
91.121.226.64	91.121.226.95	FR
91.121.226.96	91.121.226.127	GB
91.121.226.128	91.121.226.143	FR
91.121.226.144	91.121.226.159	PL
91.121.226.160	91.121.226.163	FR
91.121.226.164	91.121.226.167	PL
91.121.226.168	91.121.226.171	GB
91.121.226.172	91.121.226.179	FR
91.121.226.180	91.121.226.183	ES
91.121.226.184	91.121.226.191	GB
91.121.226.192	91.121.226.207	NL
91.121.226.208	91.121.227.79	FR
91.121.227.80	91.121.227.95	CH
91.121.227.96	91.121.227.127	BE
91.121.227.128	91.121.227.143	DE
91.121.227.144	91.121.227.159	FR
91.121.227.160	91.121.227.175	PL
91.121.227.176	91.121.227.207	FR
91.121.227.208	91.121.227.223	BE
91.121.227.224	91.121.227.231	GB
91.121.227.232	91.121.227.239	CH
91.121.227.240	91.121.227.247	FR
91.121.227.248	91.121.227.251	DE
91.121.227.252	91.121.227.255	FR
91.121.228.0	91.121.228.15	IT
91.121.228.16	91.121.228.31	FR
91.121.228.32	91.121.228.47	DE
91.121.228.48	91.121.228.159	FR
91.121.228.160	91.121.228.175	GB
91.121.228.176	91.121.228.191	PL
91.121.228.192	91.121.228.255	FR
91.121.229.0	91.121.229.3	PL
91.121.229.4	91.121.229.7	GB
91.121.229.8	91.121.229.15	NL
91.121.229.16	91.121.229.31	FR
91.121.229.32	91.121.229.47	NL
91.121.229.48	91.121.229.63	FR
91.121.229.64	91.121.229.67	DE
91.121.229.68	91.121.229.71	FR
91.121.229.72	91.121.229.79	BE
91.121.229.80	91.121.229.127	FR
91.121.229.128	91.121.229.143	ES
91.121.229.144	91.121.229.159	FR
91.121.229.160	91.121.229.175	ES
91.121.229.176	91.121.229.179	FR
91.121.229.180	91.121.229.183	ES
91.121.229.184	91.121.229.191	PL
91.121.229.192	91.121.229.223	FR
91.121.229.224	91.121.229.231	PL
91.121.229.232	91.121.229.235	FR
91.121.229.236	91.121.229.239	GB
91.121.229.240	91.121.229.255	ES
91.121.230.0	91.121.230.15	PL
91.121.230.16	91.121.230.31	ES
91.121.230.32	91.121.230.47	PL
91.121.230.48	91.121.230.55	ES
91.121.230.56	91.121.230.59	FR
91.121.230.60	91.121.230.95	PL
91.121.230.96	91.121.230.111	ES
91.121.230.112	91.121.230.127	CH
91.121.230.128	91.121.230.159	FR
91.121.230.160	91.121.230.191	ES
91.121.230.192	91.121.230.207	GB
91.121.230.208	91.121.230.223	BE
91.121.230.224	91.121.230.239	FR
91.121.230.240	91.121.230.255	ES
91.121.231.0	91.121.231.15	PL
91.121.231.16	91.121.231.31	ES
91.121.231.32	91.121.231.47	GB
91.121.231.48	91.121.231.63	FR
91.121.231.64	91.121.231.79	PT
91.121.231.80	91.121.231.83	FR
91.121.231.84	91.121.231.87	GB
91.121.231.88	91.121.231.111	PL
91.121.231.112	91.121.231.159	ES
91.121.231.160	91.121.231.223	FR
91.121.231.224	91.121.231.239	DE
91.121.231.240	91.121.232.15	FR
91.121.232.16	91.121.232.31	ES
91.121.232.32	91.121.232.95	FR
91.121.232.96	91.121.232.103	PL
91.121.232.104	91.121.232.143	FR
91.121.232.144	91.121.232.159	GB
91.121.232.160	91.121.232.223	FR
91.121.232.224	91.121.232.239	ES
91.121.232.240	91.121.232.255	PL
91.121.233.0	91.121.233.3	IT
91.121.233.4	91.121.233.7	FR
91.121.233.8	91.121.233.15	IE
91.121.233.16	91.121.233.31	FR
91.121.233.32	91.121.233.63	ES
91.121.233.64	91.121.233.79	FR
91.121.233.80	91.121.233.95	GB
91.121.233.96	91.121.233.159	FR
91.121.233.160	91.121.233.199	PL
91.121.233.200	91.121.233.203	CZ
91.121.233.204	91.121.233.207	GB
91.121.233.208	91.121.233.231	FR
91.121.233.232	91.121.233.235	ES
91.121.233.236	91.121.233.239	GB
91.121.233.240	91.121.234.15	FR
91.121.234.16	91.121.234.31	PL
91.121.234.32	91.121.234.63	FR
91.121.234.64	91.121.234.79	ES
91.121.234.80	91.121.234.95	FR
91.121.234.96	91.121.234.111	DE
91.121.234.112	91.121.234.159	FR
91.121.234.160	91.121.234.191	PL
91.121.234.192	91.121.234.223	FR
91.121.234.224	91.121.234.231	BE
91.121.234.232	91.121.234.239	FR
91.121.234.240	91.121.234.247	IE
91.121.234.248	91.121.234.255	FR
91.121.235.0	91.121.235.15	PL
91.121.235.16	91.121.235.31	FR
91.121.235.32	91.121.235.63	ES
91.121.235.64	91.121.235.79	FR
91.121.235.80	91.121.235.87	PL
91.121.235.88	91.121.235.91	FR
91.121.235.92	91.121.235.95	ES
91.121.235.96	91.121.235.207	FR
91.121.235.208	91.121.235.223	BE
91.121.235.224	91.121.235.255	FR
91.121.236.0	91.121.236.15	DE
91.121.236.16	91.121.236.63	FR
91.121.236.64	91.121.236.79	DE
91.121.236.80	91.121.236.95	FR
91.121.236.96	91.121.236.127	PL
91.121.236.128	91.121.236.175	FR
91.121.236.176	91.121.236.191	PL
91.121.236.192	91.121.236.207	IT
91.121.236.208	91.121.236.211	CH
91.121.236.212	91.121.236.215	BE
91.121.236.216	91.121.236.219	FR
91.121.236.220	91.121.236.223	IT
91.121.236.224	91.121.237.79	FR
91.121.237.80	91.121.237.95	ES
91.121.237.96	91.121.237.131	FR
91.121.237.132	91.121.237.135	IE
91.121.237.136	91.121.237.139	GB
91.121.237.140	91.121.237.159	FR
91.121.237.160	91.121.237.175	GB
91.121.237.176	91.121.237.191	PL
91.121.237.192	91.121.238.63	FR
91.121.238.64	91.121.238.79	DE
91.121.238.80	91.121.238.95	FR
91.121.238.96	91.121.238.111	PL
91.121.238.112	91.121.238.127	CZ
91.121.238.128	91.121.238.143	PL
91.121.238.144	91.121.238.207	FR
91.121.238.208	91.121.238.215	BE
91.121.238.216	91.121.238.219	ES
91.121.238.220	91.121.238.223	FR
91.121.238.224	91.121.238.239	GB
91.121.238.240	91.121.239.15	ES
91.121.239.16	91.121.239.31	FR
91.121.239.32	91.121.239.35	GB
91.121.239.36	91.121.239.39	FR
91.121.239.40	91.121.239.43	BE
91.121.239.44	91.121.239.47	DE
91.121.239.48	91.121.239.55	FR
91.121.239.56	91.121.239.63	BE
91.121.239.64	91.121.239.127	ES
91.121.239.128	91.121.239.159	BE
91.121.239.160	91.121.239.175	NL
91.121.239.176	91.121.239.207	FR
91.121.239.208	91.121.239.211	IT
91.121.239.212	91.121.239.215	GB
91.121.239.216	91.121.239.219	FR
91.121.239.220	91.121.239.223	DE
91.121.239.224	91.121.239.239	ES
91.121.239.240	91.121.239.255	IT
91.121.240.0	91.121.240.15	BE
91.121.240.16	91.121.240.31	IT
91.121.240.32	91.121.240.63	FR
91.121.240.64	91.121.240.79	BE
91.121.240.80	91.121.240.111	FR
91.121.240.112	91.121.240.127	IT
91.121.240.128	91.121.240.135	ES
91.121.240.136	91.121.240.143	CZ
91.121.240.144	91.121.240.159	PL
91.121.240.160	91.121.240.175	IT
91.121.240.176	91.121.240.191	ES
91.121.240.192	91.121.240.207	FR
91.121.240.208	91.121.240.223	DE
91.121.240.224	91.121.240.255	PL
91.121.241.0	91.121.241.63	ES
91.121.241.64	91.121.241.191	FR
91.121.241.192	91.121.241.207	DE
91.121.241.208	91.121.241.223	FR
91.121.241.224	91.121.241.239	PL
91.121.241.240	91.121.241.255	FR
91.121.242.0	91.121.242.15	DE
91.121.242.16	91.121.242.67	FR
91.121.242.68	91.121.242.71	PL
91.121.242.72	91.121.242.75	DE
91.121.242.76	91.121.242.79	ES
91.121.242.80	91.121.242.95	FR
91.121.242.96	91.121.242.111	BE
91.121.242.112	91.121.242.223	FR
91.121.242.224	91.121.242.239	PL
91.121.242.240	91.121.242.247	FR
91.121.242.248	91.121.243.15	GB
91.121.243.16	91.121.243.31	FR
91.121.243.32	91.121.243.47	PL
91.121.243.48	91.121.243.79	FR
91.121.243.80	91.121.243.95	ES
91.121.243.96	91.121.243.111	GB
91.121.243.112	91.121.243.127	FR
91.121.243.128	91.121.243.191	BE
91.121.243.192	91.121.243.207	IT
91.121.243.208	91.121.243.223	FR
91.121.243.224	91.121.243.239	DE
91.121.243.240	91.121.243.255	ES
91.121.244.0	91.121.244.63	FR
91.121.244.64	91.121.244.191	BE
91.121.244.192	91.121.244.239	PL
91.121.244.240	91.121.245.127	FR
91.121.245.128	91.121.245.143	PL
91.121.245.144	91.121.245.159	DE
91.121.245.160	91.121.245.163	CH
91.121.245.164	91.121.245.167	PT
91.121.245.168	91.121.245.171	IT
91.121.245.172	91.121.245.191	FR
91.121.245.192	91.121.245.207	DE
91.121.245.208	91.121.245.223	PL
91.121.245.224	91.121.245.239	FR
91.121.245.240	91.121.245.255	GB
91.121.246.0	91.121.246.143	FR
91.121.246.144	91.121.246.151	ES
91.121.246.152	91.121.246.155	GB
91.121.246.156	91.121.246.159	FR
91.121.246.160	91.121.246.167	ES
91.121.246.168	91.121.246.191	FR
91.121.246.192	91.121.246.207	GB
91.121.246.208	91.121.246.211	IT
91.121.246.212	91.121.246.215	DE
91.121.246.216	91.121.246.223	GB
91.121.246.224	91.121.247.15	FR
91.121.247.16	91.121.247.31	IT
91.121.247.32	91.121.247.79	FR
91.121.247.80	91.121.247.95	CH
91.121.247.96	91.121.247.127	FR
91.121.247.128	91.121.247.143	PL
91.121.247.144	91.121.247.207	FR
91.121.247.208	91.121.247.223	DE
91.121.247.224	91.121.247.239	PL
91.121.247.240	91.121.248.7	FR
91.121.248.8	91.121.248.15	PL
91.121.248.16	91.121.248.31	GB
91.121.248.32	91.121.248.47	DE
91.121.248.48	91.121.248.63	ES
91.121.248.64	91.121.248.79	IT
91.121.248.80	91.121.248.95	GB
91.121.248.96	91.121.248.111	FR
91.121.248.112	91.121.248.127	ES
91.121.248.128	91.121.248.207	FR
91.121.248.208	91.121.248.223	GB
91.121.248.224	91.121.248.239	DE
91.121.248.240	91.121.248.255	BE
91.121.249.0	91.121.249.31	PL
91.121.249.32	91.121.249.111	FR
91.121.249.112	91.121.249.127	IT
91.121.249.128	91.121.249.175	FR
91.121.249.176	91.121.249.179	DE
91.121.249.180	91.121.249.183	FR
91.121.249.184	91.121.249.187	GB
91.121.249.188	91.121.249.191	NL
91.121.249.192	91.121.249.195	FR
91.121.249.196	91.121.249.199	NL
91.121.249.200	91.121.249.207	IE
91.121.249.208	91.121.249.211	FR
91.121.249.212	91.121.249.215	GB
91.121.249.216	91.121.249.223	DE
91.121.249.224	91.121.249.239	GB
91.121.249.240	91.121.249.255	PL
91.121.250.0	91.121.250.15	DE
91.121.250.16	91.121.250.23	FR
91.121.250.24	91.121.250.27	PL
91.121.250.28	91.121.250.63	FR
91.121.250.64	91.121.250.79	ES
91.121.250.80	91.121.250.95	FR
91.121.250.96	91.121.250.111	GB
91.121.250.112	91.121.250.143	FR
91.121.250.144	91.121.250.159	PL
91.121.250.160	91.121.250.227	FR
91.121.250.228	91.121.250.231	PL
91.121.250.232	91.121.250.235	NL
91.121.250.236	91.121.250.239	FR
91.121.250.240	91.121.250.255	GB
91.121.251.0	91.121.251.15	ES
91.121.251.16	91.121.251.23	PL
91.121.251.24	91.121.251.27	IT
91.121.251.28	91.121.251.31	ES
91.121.251.32	91.121.251.47	PL
91.121.251.48	91.121.251.63	FR
91.121.251.64	91.121.251.95	PL
91.121.251.96	91.121.251.111	ES
91.121.251.112	91.121.251.127	FR
91.121.251.128	91.121.251.131	ES
91.121.251.132	91.121.251.135	GB
91.121.251.136	91.121.251.191	FR
91.121.251.192	91.121.251.207	ES
91.121.251.208	91.121.251.211	NL
91.121.251.212	91.121.251.215	FR
91.121.251.216	91.121.251.223	PL
91.121.251.224	91.121.251.239	FR
91.121.251.240	91.121.251.255	ES
91.121.252.0	91.121.252.31	FR
91.121.252.32	91.121.252.39	ES
91.121.252.40	91.121.252.47	FR
91.121.252.48	91.121.252.63	GB
91.121.252.64	91.121.252.79	ES
91.121.252.80	91.121.252.83	PL
91.121.252.84	91.121.252.87	ES
91.121.252.88	91.121.252.91	FR
91.121.252.92	91.121.252.95	BE
91.121.252.96	91.121.252.111	IT
91.121.252.112	91.121.252.135	FR
91.121.252.136	91.121.252.139	GB
91.121.252.140	91.121.252.159	FR
91.121.252.160	91.121.252.167	LT
91.121.252.168	91.121.252.171	FR
91.121.252.172	91.121.252.175	IT
91.121.252.176	91.121.252.191	FR
91.121.252.192	91.121.252.199	BE
91.121.252.200	91.121.252.207	CH
91.121.252.208	91.121.252.223	DE
91.121.252.224	91.121.252.239	FR
91.121.252.240	91.121.252.255	GB
91.121.253.0	91.121.253.31	FR
91.121.253.32	91.121.253.39	PL
91.121.253.40	91.121.253.47	PT
91.121.253.48	91.121.253.63	NL
91.121.253.64	91.121.253.79	PL
91.121.253.80	91.121.253.95	FR
91.121.253.96	91.121.253.111	ES
91.121.253.112	91.121.253.127	PL
91.121.253.128	91.121.253.159	DE
91.121.253.160	91.121.253.191	FR
91.121.253.192	91.121.253.211	GB
91.121.253.212	91.121.253.215	FR
91.121.253.216	91.121.253.239	PL
91.121.253.240	91.121.253.247	FR
91.121.253.248	91.121.253.251	ES
91.121.253.252	91.121.253.255	FR
91.121.254.0	91.121.254.47	GB
91.121.254.48	91.121.254.63	FR
91.121.254.64	91.121.254.87	ES
91.121.254.88	91.121.254.91	PL
91.121.254.92	91.121.254.95	NL
91.121.254.96	91.121.254.127	FR
91.121.254.128	91.121.254.143	ES
91.121.254.144	91.121.254.175	FR
91.121.254.176	91.121.254.191	ES
91.121.254.192	91.121.254.207	FR
91.121.254.208	91.121.254.211	PL
91.121.254.212	91.121.254.215	IT
91.121.254.216	91.121.254.219	DE
91.121.254.220	91.121.254.239	FR
91.121.254.240	91.121.254.255	ES
91.121.255.0	91.121.255.31	FR
91.121.255.32	91.121.255.35	PL
91.121.255.36	91.121.255.39	FR
91.121.255.40	91.121.255.43	PL
91.121.255.44	91.121.255.47	BE
91.121.255.48	91.121.255.63	PL
91.121.255.64	91.121.255.95	ES
91.121.255.96	91.121.255.111	FR
91.121.255.112	91.121.255.127	DE
91.121.255.128	91.121.255.143	FR
91.121.255.144	91.121.255.159	PL
91.121.255.160	91.121.255.163	FR
91.121.255.164	91.121.255.167	PL
91.121.255.168	91.121.255.171	IE
91.121.255.172	91.121.255.175	CH
91.121.255.176	91.121.255.183	DE
91.121.255.184	91.121.255.187	ES
91.121.255.188	91.121.255.191	GB
91.121.255.192	91.121.255.207	PL
91.121.255.208	91.121.255.239	FR
91.121.255.240	91.121.255.255	BE
91.122.0.0	91.122.255.255	RU
91.123.0.0	91.123.15.255	RO
91.123.16.0	91.123.31.255	UA
91.123.32.0	91.123.63.255	NO
91.123.64.0	91.123.79.255	LV
91.123.80.0	91.123.95.255	RU
91.123.96.0	91.123.111.255	CH
91.123.112.0	91.123.127.255	FR
91.123.128.0	91.123.143.255	FI
91.123.144.0	91.123.159.255	UA
91.123.160.0	91.123.175.255	PL
91.123.192.0	91.123.207.255	SE
91.123.208.0	91.123.223.255	PL
91.123.224.0	91.123.239.255	IE
91.123.240.0	91.123.255.255	NL
91.124.0.0	91.124.255.255	UA
91.125.0.0	91.125.255.255	GB
91.126.0.0	91.126.22.31	SE
91.126.22.32	91.126.22.239	ES
91.126.22.240	91.126.22.255	SE
91.126.23.0	91.126.23.255	ES
91.126.24.0	91.126.59.255	SE
91.126.60.0	91.126.79.255	ES
91.126.80.0	91.126.95.255	SE
91.126.96.0	91.126.107.255	ES
91.126.108.0	91.126.131.255	SE
91.126.132.0	91.126.137.255	ES
91.126.138.0	91.126.141.255	SE
91.126.142.0	91.126.143.255	ES
91.126.144.0	91.126.155.255	SE
91.126.156.0	91.126.255.255	ES
91.127.0.0	91.127.255.255	SK
91.128.0.0	91.131.255.255	AT
91.132.0.0	91.132.255.255	GR
91.133.0.0	91.133.255.255	FI
91.134.0.0	91.134.255.255	BG
91.135.0.0	91.135.15.255	GB
91.135.16.0	91.135.31.255	LV
91.135.32.0	91.135.63.255	NO
91.135.64.0	91.135.79.255	CH
91.135.80.0	91.135.95.255	LV
91.135.96.0	91.135.111.255	IL
91.135.112.0	91.135.127.255	HU
91.135.128.0	91.135.143.255	NO
91.135.144.0	91.135.159.255	RU
91.135.160.0	91.135.175.255	AT
91.135.176.0	91.135.191.255	FR
91.135.192.0	91.135.207.255	KZ
91.135.208.0	91.135.223.255	RU
91.135.224.0	91.135.239.255	GB
91.135.240.0	91.135.255.255	AZ
91.136.0.0	91.136.127.255	GB
91.136.128.0	91.136.255.255	DE
91.137.0.0	91.137.63.255	CH
91.137.64.0	91.137.64.254	DE
91.137.64.255	91.137.127.255	CH
91.137.128.0	91.137.252.255	HU
91.137.253.0	91.137.255.255	SR
91.138.0.0	91.138.127.255	CH
91.138.128.0	91.138.255.255	GR
91.139.0.0	91.139.127.255	HU
91.139.128.0	91.139.255.255	BG
91.140.0.0	91.140.127.255	GR
91.140.128.0	91.140.255.255	KW
91.141.0.0	91.141.127.255	AT
91.141.128.0	91.141.255.255	NL
91.142.0.0	91.142.15.255	LV
91.142.16.0	91.142.31.255	AT
91.142.32.0	91.142.47.255	GB
91.142.48.0	91.142.49.127	DE
91.142.49.128	91.142.49.255	A2
91.142.50.0	91.142.51.255	IQ
91.142.52.0	91.142.53.255	A2
91.142.54.0	91.142.54.255	IQ
91.142.55.0	91.142.55.127	A2
91.142.55.128	91.142.55.191	SA
91.142.55.192	91.142.55.255	IQ
91.142.56.0	91.142.58.63	LB
91.142.58.64	91.142.59.127	A2
91.142.59.128	91.142.59.255	SA
91.142.60.0	91.142.60.127	AE
91.142.60.128	91.142.60.191	DE
91.142.60.192	91.142.60.255	IQ
91.142.61.0	91.142.61.127	A2
91.142.61.128	91.142.61.191	IQ
91.142.61.192	91.142.61.255	A2
91.142.62.0	91.142.62.31	FR
91.142.62.32	91.142.62.63	LU
91.142.62.64	91.142.62.79	IQ
91.142.62.80	91.142.62.95	NL
91.142.62.96	91.142.63.255	A2
91.142.64.0	91.142.71.255	IT
91.142.80.0	91.142.95.255	RU
91.142.96.0	91.142.111.255	IE
91.142.112.0	91.142.127.255	SE
91.142.128.0	91.142.128.255	GB
91.142.129.0	91.142.130.255	LU
91.142.131.0	91.142.132.255	NL
91.142.133.0	91.142.133.255	RU
91.142.134.0	91.142.134.255	GB
91.142.135.0	91.142.135.255	RU
91.142.136.0	91.142.136.255	DK
91.142.137.0	91.142.137.255	PL
91.142.138.0	91.142.138.255	RU
91.142.139.0	91.142.139.255	HR
91.142.140.0	91.142.141.255	RU
91.142.142.0	91.142.142.255	TR
91.142.143.0	91.142.143.255	IT
91.142.144.0	91.142.159.255	RU
91.142.160.0	91.142.175.255	UA
91.142.176.0	91.142.191.255	SE
91.142.192.0	91.142.207.255	PL
91.142.208.0	91.142.223.255	ES
91.142.224.0	91.142.239.255	IE
91.142.240.0	91.142.255.255	NL
91.143.0.0	91.143.63.255	RU
91.143.64.0	91.143.79.255	GB
91.143.80.0	91.143.95.255	DE
91.143.96.0	91.143.111.255	AT
91.143.112.0	91.143.127.255	DK
91.143.128.0	91.143.175.255	RU
91.143.176.0	91.143.191.255	GB
91.143.192.0	91.143.207.255	IT
91.143.208.0	91.143.223.255	RS
91.143.224.0	91.143.239.255	IL
91.143.240.0	91.143.255.255	DE
91.144.0.0	91.144.63.255	SY
91.144.64.0	91.144.127.255	HU
91.144.128.0	91.144.191.255	RU
91.144.192.0	91.144.255.255	DK
91.145.0.0	91.145.63.255	SE
91.145.64.0	91.145.127.255	FI
91.145.128.0	91.145.191.255	PL
91.145.192.0	91.145.255.255	UA
91.146.0.0	91.146.127.255	RU
91.146.128.0	91.146.191.255	HU
91.146.192.0	91.146.255.255	PL
91.147.0.0	91.147.63.255	RU
91.147.64.0	91.147.127.255	KZ
91.147.128.0	91.147.191.255	SA
91.147.192.0	91.147.255.255	HU
91.148.0.0	91.148.63.255	SK
91.148.64.0	91.148.127.255	RS
91.148.128.0	91.148.191.255	BG
91.148.192.0	91.148.255.255	NL
91.149.0.0	91.149.31.255	NO
91.149.32.0	91.149.47.255	SE
91.149.48.0	91.149.63.255	NO
91.149.64.0	91.149.127.255	RU
91.149.128.0	91.149.191.255	BY
91.149.192.0	91.149.255.255	PL
91.150.0.0	91.150.63.255	FI
91.150.64.0	91.150.127.255	RS
91.150.128.0	91.150.223.255	PL
91.150.224.0	91.150.255.255	DK
91.151.0.0	91.151.15.255	GB
91.151.16.0	91.151.31.255	IT
91.151.32.0	91.151.47.255	RU
91.151.48.0	91.151.79.255	FR
91.151.80.0	91.151.95.255	TR
91.151.96.0	91.151.97.10	ES
91.151.97.11	91.151.97.11	PT
91.151.97.12	91.151.111.255	ES
91.151.112.0	91.151.127.255	FR
91.151.128.0	91.151.143.255	GE
91.151.144.0	91.151.145.47	DE
91.151.145.48	91.151.145.63	BI
91.151.145.64	91.151.145.79	LB
91.151.145.80	91.151.145.111	SD
91.151.145.112	91.151.145.255	DE
91.151.146.0	91.151.146.7	EG
91.151.146.8	91.151.146.23	DE
91.151.146.24	91.151.146.35	EG
91.151.146.36	91.151.146.39	SO
91.151.146.40	91.151.146.47	DE
91.151.146.48	91.151.146.51	KW
91.151.146.52	91.151.146.63	DE
91.151.146.64	91.151.146.71	DJ
91.151.146.72	91.151.148.255	DE
91.151.149.0	91.151.149.255	SA
91.151.150.0	91.151.150.255	DE
91.151.151.0	91.151.152.255	GQ
91.151.153.0	91.151.153.255	BJ
91.151.154.0	91.151.154.255	DE
91.151.155.0	91.151.155.31	SO
91.151.155.32	91.151.155.47	DE
91.151.155.48	91.151.155.63	LB
91.151.155.64	91.151.155.79	DE
91.151.155.80	91.151.155.87	TD
91.151.155.88	91.151.155.95	IR
91.151.155.96	91.151.155.127	IQ
91.151.155.128	91.151.155.143	DE
91.151.155.144	91.151.155.159	GN
91.151.155.160	91.151.155.255	IQ
91.151.156.0	91.151.156.255	DE
91.151.157.0	91.151.157.255	SA
91.151.158.0	91.151.158.255	DE
91.151.159.0	91.151.159.15	LB
91.151.159.16	91.151.159.23	DE
91.151.159.24	91.151.159.31	LB
91.151.159.32	91.151.159.39	CV
91.151.159.40	91.151.159.63	DE
91.151.159.64	91.151.159.95	IQ
91.151.159.96	91.151.159.127	DE
91.151.159.128	91.151.159.255	KW
91.151.160.0	91.151.175.255	SA
91.151.176.0	91.151.207.255	RU
91.151.208.0	91.151.223.255	GB
91.151.224.0	91.151.239.255	LB
91.152.0.0	91.159.255.255	FI
91.160.0.0	91.175.255.255	FR
91.176.0.0	91.183.255.255	BE
91.184.0.0	91.184.31.255	NL
91.184.32.0	91.184.47.255	DE
91.184.48.0	91.184.55.191	NL
91.184.55.192	91.184.55.255	DE
91.184.56.0	91.184.63.255	NL
91.184.64.0	91.184.95.255	IR
91.184.96.0	91.184.127.255	GE
91.184.128.0	91.184.159.255	NO
91.184.160.0	91.184.191.255	DE
91.184.192.0	91.184.223.255	CY
91.184.224.0	91.184.255.255	RU
91.185.0.0	91.185.31.255	KZ
91.185.32.0	91.185.95.255	RU
91.185.96.0	91.185.127.255	RS
91.185.128.0	91.185.159.255	BE
91.185.160.0	91.185.185.255	DE
91.185.186.0	91.185.191.255	FR
91.185.192.0	91.185.207.223	SI
91.185.207.224	91.185.207.231	BH
91.185.207.232	91.185.223.255	SI
91.185.224.0	91.185.255.255	RU
91.186.0.0	91.186.31.255	GB
91.186.32.0	91.186.63.255	DE
91.186.64.0	91.186.95.255	NO
91.186.96.0	91.186.127.255	RU
91.186.128.0	91.186.159.255	AT
91.186.160.0	91.186.176.127	DE
91.186.176.128	91.186.176.191	IT
91.186.176.192	91.186.179.87	DE
91.186.179.88	91.186.179.95	GB
91.186.179.96	91.186.183.199	DE
91.186.183.200	91.186.183.207	FR
91.186.183.208	91.186.191.255	DE
91.186.192.0	91.186.223.255	IR
91.186.224.0	91.186.255.255	JO
91.187.0.0	91.187.31.255	BY
91.187.32.0	91.187.63.255	CZ
91.187.64.0	91.187.95.255	AD
91.187.96.0	91.187.96.255	AL
91.187.97.0	91.187.97.15	RS
91.187.97.16	91.187.103.255	AL
91.187.104.0	91.187.105.255	RS
91.187.106.0	91.187.127.255	AL
91.187.128.0	91.187.159.255	RS
91.187.160.0	91.187.191.255	LT
91.187.192.0	91.187.223.255	IT
91.187.224.0	91.187.255.255	PL
91.188.0.0	91.188.0.159	IT
91.188.0.160	91.188.0.167	US
91.188.0.168	91.188.3.31	IT
91.188.3.32	91.188.3.47	GB
91.188.3.48	91.188.3.55	IT
91.188.3.56	91.188.3.71	GB
91.188.3.72	91.188.3.79	IT
91.188.3.80	91.188.3.143	GB
91.188.3.144	91.188.3.191	IT
91.188.3.192	91.188.3.199	GB
91.188.3.200	91.188.3.207	IT
91.188.3.208	91.188.3.255	GB
91.188.4.0	91.188.4.95	IT
91.188.4.96	91.188.4.103	LY
91.188.4.104	91.188.4.111	IT
91.188.4.112	91.188.4.119	LY
91.188.4.120	91.188.4.191	IT
91.188.4.192	91.188.4.239	IQ
91.188.4.240	91.188.4.255	IT
91.188.5.0	91.188.5.255	A2
91.188.6.0	91.188.6.255	IT
91.188.7.0	91.188.7.7	LY
91.188.7.8	91.188.7.39	IT
91.188.7.40	91.188.7.47	LY
91.188.7.48	91.188.7.63	IT
91.188.7.64	91.188.7.71	LY
91.188.7.72	91.188.7.95	IT
91.188.7.96	91.188.7.111	LY
91.188.7.112	91.188.7.119	IT
91.188.7.120	91.188.7.127	LY
91.188.7.128	91.188.11.95	IT
91.188.11.96	91.188.11.111	TR
91.188.11.112	91.188.11.119	IT
91.188.11.120	91.188.11.127	TR
91.188.11.128	91.188.11.135	FR
91.188.11.136	91.188.11.143	IT
91.188.11.144	91.188.11.159	FR
91.188.11.160	91.188.11.167	IT
91.188.11.168	91.188.11.175	AL
91.188.11.176	91.188.31.111	IT
91.188.31.112	91.188.31.127	FR
91.188.31.128	91.188.31.151	IT
91.188.31.152	91.188.31.159	DE
91.188.31.160	91.188.31.207	IT
91.188.31.208	91.188.31.215	FR
91.188.31.216	91.188.31.255	IT
91.188.32.0	91.188.63.255	LV
91.188.64.0	91.188.95.255	FR
91.188.96.0	91.188.127.255	PL
91.188.128.0	91.188.159.255	UZ
91.188.160.0	91.188.191.255	RU
91.188.192.0	91.188.255.255	TR
91.189.0.0	91.189.7.255	PL
91.189.8.0	91.189.15.255	CH
91.189.16.0	91.189.39.255	PL
91.189.40.0	91.189.47.255	SE
91.189.48.0	91.189.55.255	RU
91.189.56.0	91.189.63.255	PL
91.189.64.0	91.189.71.255	IE
91.189.72.0	91.189.79.255	PL
91.189.80.0	91.189.87.255	RU
91.189.88.0	91.189.95.255	GB
91.189.96.0	91.189.103.255	NL
91.189.104.0	91.189.111.255	FR
91.189.112.0	91.189.119.255	RU
91.189.120.0	91.189.127.255	NO
91.189.128.0	91.189.135.255	UA
91.189.136.0	91.189.143.255	PL
91.189.144.0	91.189.151.255	GB
91.189.152.0	91.189.159.255	UA
91.189.160.0	91.189.167.255	RU
91.189.168.0	91.189.183.255	NO
91.189.184.0	91.189.191.255	RU
91.189.192.0	91.189.199.255	DE
91.189.200.0	91.189.207.255	DK
91.189.208.0	91.189.215.255	FI
91.189.216.0	91.189.223.255	PL
91.189.224.0	91.189.231.255	NL
91.189.232.0	91.189.247.255	RU
91.189.248.0	91.189.255.255	PL
91.190.0.0	91.190.31.255	CH
91.190.32.0	91.190.63.255	LV
91.190.64.0	91.190.95.255	RU
91.190.96.0	91.190.111.255	NL
91.190.112.0	91.190.127.255	RU
91.190.128.0	91.190.129.7	CZ
91.190.129.8	91.190.129.11	GB
91.190.129.12	91.190.129.255	CZ
91.190.130.0	91.190.130.255	DE
91.190.131.0	91.190.131.255	CZ
91.190.132.0	91.190.132.255	DE
91.190.133.0	91.190.135.255	CZ
91.190.136.0	91.190.143.255	SE
91.190.144.0	91.190.159.255	DE
91.190.168.0	91.190.171.15	FR
91.190.171.16	91.190.171.31	HK
91.190.171.32	91.190.171.255	FR
91.190.172.0	91.190.172.255	HK
91.190.173.0	91.190.175.255	FR
91.190.176.0	91.190.183.255	DE
91.190.184.0	91.190.191.255	HU
91.190.200.0	91.190.207.255	DE
91.190.208.0	91.190.215.255	BE
91.190.216.0	91.190.223.255	GR
91.190.224.0	91.190.231.255	DE
91.190.232.0	91.190.239.255	RU
91.190.240.0	91.190.255.255	DE
91.191.0.0	91.191.63.255	BA
91.191.64.0	91.191.127.255	SK
91.191.128.0	91.191.141.7	SE
91.191.141.8	91.191.141.15	FI
91.191.141.16	91.191.143.255	SE
91.191.144.0	91.191.159.255	FR
91.191.160.0	91.191.167.255	DE
91.191.168.0	91.191.175.255	TR
91.191.176.0	91.191.191.255	RU
91.191.192.0	91.191.207.255	AZ
91.191.208.0	91.191.223.255	BG
91.191.224.0	91.191.255.255	RU
91.192.0.0	91.192.3.255	PL
91.192.4.0	91.192.7.255	UA
91.192.8.0	91.192.11.255	NL
91.192.12.0	91.192.15.255	DE
91.192.16.0	91.192.19.255	GB
91.192.20.0	91.192.23.255	RU
91.192.24.0	91.192.27.255	UA
91.192.28.0	91.192.31.255	SE
91.192.32.0	91.192.35.255	RU
91.192.36.0	91.192.39.255	NL
91.192.40.0	91.192.43.255	DE
91.192.44.0	91.192.47.255	UA
91.192.48.0	91.192.51.255	EG
91.192.52.0	91.192.55.255	DK
91.192.56.0	91.192.59.255	PL
91.192.60.0	91.192.63.255	RU
91.192.64.0	91.192.67.255	KG
91.192.68.0	91.192.75.255	RU
91.192.76.0	91.192.79.255	PL
91.192.80.0	91.192.83.255	RU
91.192.84.0	91.192.87.255	UA
91.192.88.0	91.192.91.255	PL
91.192.92.0	91.192.99.255	RU
91.192.100.0	91.192.103.255	CH
91.192.104.0	91.192.105.255	UA
91.192.106.0	91.192.107.255	EE
91.192.108.0	91.192.111.255	ES
91.192.116.0	91.192.119.255	NL
91.192.120.0	91.192.123.255	PL
91.192.124.0	91.192.127.255	IT
91.192.128.0	91.192.139.255	UA
91.192.140.0	91.192.143.255	RO
91.192.144.0	91.192.147.255	PL
91.192.148.0	91.192.151.255	RU
91.192.152.0	91.192.163.255	UA
91.192.164.0	91.192.167.255	PL
91.192.168.0	91.192.175.255	RU
91.192.176.0	91.192.179.255	PL
91.192.180.0	91.192.187.255	UA
91.192.188.0	91.192.191.255	RU
91.192.192.0	91.192.195.255	GB
91.192.196.0	91.192.199.255	PL
91.192.200.0	91.192.201.255	UA
91.192.202.0	91.192.203.255	DE
91.192.204.0	91.192.207.255	PL
91.192.208.0	91.192.211.255	GB
91.192.212.0	91.192.215.255	DK
91.192.216.0	91.192.219.255	UA
91.192.220.0	91.192.223.255	NO
91.192.224.0	91.192.231.255	PL
91.192.232.0	91.192.235.255	GB
91.192.236.0	91.192.239.255	BG
91.192.240.0	91.192.247.255	RU
91.192.248.0	91.192.251.255	PL
91.192.252.0	91.192.255.255	SE
91.193.0.0	91.193.3.255	NO
91.193.4.0	91.193.7.255	IL
91.193.8.0	91.193.11.255	UA
91.193.12.0	91.193.15.255	PL
91.193.16.0	91.193.19.255	EU
91.193.20.0	91.193.23.255	CH
91.193.24.0	91.193.27.255	RS
91.193.28.0	91.193.31.255	PL
91.193.32.0	91.193.35.255	UA
91.193.36.0	91.193.39.255	RU
91.193.40.0	91.193.41.255	PL
91.193.42.0	91.193.43.255	BE
91.193.44.0	91.193.47.255	IT
91.193.48.0	91.193.51.255	IL
91.193.52.0	91.193.55.255	PL
91.193.56.0	91.193.57.255	FR
91.193.58.0	91.193.59.255	RU
91.193.60.0	91.193.63.255	RO
91.193.64.0	91.193.67.255	LV
91.193.68.0	91.193.71.255	UA
91.193.72.0	91.193.75.255	RU
91.193.76.0	91.193.83.255	UA
91.193.84.0	91.193.87.255	PL
91.193.88.0	91.193.89.255	RU
91.193.90.0	91.193.91.255	PL
91.193.92.0	91.193.95.255	ES
91.193.96.0	91.193.103.255	PL
91.193.104.0	91.193.105.255	GB
91.193.106.0	91.193.107.255	FR
91.193.108.0	91.193.109.255	GB
91.193.110.0	91.193.111.255	RU
91.193.112.0	91.193.115.255	GR
91.193.116.0	91.193.119.255	EE
91.193.120.0	91.193.123.255	PL
91.193.124.0	91.193.131.255	UA
91.193.132.0	91.193.135.255	CZ
91.193.136.0	91.193.139.255	DK
91.193.140.0	91.193.143.255	RU
91.193.144.0	91.193.147.255	PL
91.193.148.0	91.193.151.255	RU
91.193.152.0	91.193.155.255	UA
91.193.156.0	91.193.159.255	BG
91.193.160.0	91.193.163.255	PL
91.193.164.0	91.193.167.255	UA
91.193.168.0	91.193.171.255	RU
91.193.172.0	91.193.175.255	UA
91.193.176.0	91.193.179.255	RU
91.193.180.0	91.193.183.255	GB
91.193.184.0	91.193.187.255	PL
91.193.188.0	91.193.191.255	IE
91.193.192.0	91.193.195.255	UA
91.193.196.0	91.193.199.255	PL
91.193.200.0	91.193.203.255	BG
91.193.204.0	91.193.207.255	UA
91.193.208.0	91.193.211.255	PL
91.193.212.0	91.193.231.255	RU
91.193.232.0	91.193.235.255	UA
91.193.236.0	91.193.243.255	RU
91.193.244.0	91.193.251.255	GB
91.193.252.0	91.193.255.255	UA
91.194.0.0	91.194.3.255	RU
91.194.4.0	91.194.5.255	IL
91.194.6.0	91.194.7.255	DE
91.194.8.0	91.194.9.255	NL
91.194.10.0	91.194.13.255	RU
91.194.14.0	91.194.15.255	FR
91.194.16.0	91.194.17.255	RU
91.194.18.0	91.194.19.255	PL
91.194.20.0	91.194.21.255	FI
91.194.22.0	91.194.23.255	SE
91.194.24.0	91.194.25.255	RU
91.194.26.0	91.194.27.255	SE
91.194.28.0	91.194.31.255	RO
91.194.32.0	91.194.33.255	AT
91.194.34.0	91.194.35.255	UA
91.194.36.0	91.194.37.255	DK
91.194.38.0	91.194.39.255	SE
91.194.40.0	91.194.41.255	UA
91.194.42.0	91.194.45.255	RO
91.194.46.0	91.194.47.255	GB
91.194.48.0	91.194.49.255	CH
91.194.50.0	91.194.51.255	UA
91.194.52.0	91.194.53.255	GB
91.194.54.0	91.194.55.255	RU
91.194.56.0	91.194.57.255	UA
91.194.58.0	91.194.59.255	RU
91.194.60.0	91.194.61.255	FR
91.194.62.0	91.194.63.255	ES
91.194.64.0	91.194.65.255	RU
91.194.66.0	91.194.67.255	SE
91.194.68.0	91.194.71.255	GB
91.194.72.0	91.194.73.255	UA
91.194.74.0	91.194.75.255	GB
91.194.76.0	91.194.77.255	LV
91.194.78.0	91.194.81.255	UA
91.194.82.0	91.194.83.255	RS
91.194.84.0	91.194.85.255	DE
91.194.86.0	91.194.87.255	BE
91.194.88.0	91.194.89.255	UA
91.194.90.0	91.194.91.255	DE
91.194.92.0	91.194.93.255	RO
91.194.94.0	91.194.95.255	DK
91.194.96.0	91.194.101.255	FR
91.194.102.0	91.194.103.255	KW
91.194.104.0	91.194.105.255	RU
91.194.106.0	91.194.107.255	PL
91.194.108.0	91.194.109.255	DE
91.194.110.0	91.194.113.255	RU
91.194.114.0	91.194.115.255	IL
91.194.116.0	91.194.117.255	GB
91.194.118.0	91.194.119.255	SE
91.194.120.0	91.194.121.255	RU
91.194.122.0	91.194.123.255	PL
91.194.124.0	91.194.125.255	UA
91.194.126.0	91.194.127.255	GB
91.194.128.0	91.194.129.255	FR
91.194.130.0	91.194.131.255	KW
91.194.132.0	91.194.133.255	DE
91.194.134.0	91.194.135.255	UA
91.194.136.0	91.194.137.255	NL
91.194.138.0	91.194.139.255	PL
91.194.140.0	91.194.141.255	CZ
91.194.142.0	91.194.143.255	IT
91.194.144.0	91.194.145.255	PL
91.194.146.0	91.194.147.255	CH
91.194.148.0	91.194.149.255	RO
91.194.150.0	91.194.151.255	DK
91.194.152.0	91.194.153.255	GB
91.194.154.0	91.194.155.255	DK
91.194.156.0	91.194.157.255	PL
91.194.158.0	91.194.159.255	GB
91.194.160.0	91.194.161.255	RU
91.194.162.0	91.194.163.255	UA
91.194.164.0	91.194.165.255	RU
91.194.166.0	91.194.167.255	ES
91.194.168.0	91.194.169.255	NL
91.194.170.0	91.194.171.255	GB
91.194.172.0	91.194.175.255	RU
91.194.176.0	91.194.177.255	RO
91.194.178.0	91.194.179.255	FR
91.194.180.0	91.194.181.255	DE
91.194.182.0	91.194.185.255	RU
91.194.186.0	91.194.187.255	SE
91.194.188.0	91.194.189.255	PL
91.194.190.0	91.194.195.255	RU
91.194.196.0	91.194.197.255	CH
91.194.198.0	91.194.199.255	PL
91.194.200.0	91.194.201.255	RU
91.194.202.0	91.194.203.255	BE
91.194.204.0	91.194.205.255	KR
91.194.206.0	91.194.207.255	RU
91.194.208.0	91.194.209.255	FR
91.194.210.0	91.194.211.255	PL
91.194.212.0	91.194.213.255	RU
91.194.214.0	91.194.215.255	UA
91.194.216.0	91.194.217.255	RS
91.194.218.0	91.194.219.255	NL
91.194.220.0	91.194.221.255	GB
91.194.222.0	91.194.223.255	DE
91.194.224.0	91.194.225.255	NL
91.194.226.0	91.194.227.255	RU
91.194.228.0	91.194.229.255	PL
91.194.230.0	91.194.233.255	DE
91.194.234.0	91.194.235.255	RO
91.194.236.0	91.194.237.255	BE
91.194.238.0	91.194.239.255	UA
91.194.240.0	91.194.241.255	PL
91.194.242.0	91.194.243.255	HR
91.194.244.0	91.194.247.255	RU
91.194.248.0	91.194.249.255	AT
91.194.250.0	91.194.251.255	UA
91.194.252.0	91.194.255.255	RU
91.195.0.0	91.195.1.255	NL
91.195.2.0	91.195.3.255	UA
91.195.4.0	91.195.7.255	RO
91.195.8.0	91.195.9.255	NO
91.195.10.0	91.195.13.255	UA
91.195.14.0	91.195.15.255	RO
91.195.16.0	91.195.17.255	RU
91.195.18.0	91.195.19.255	LU
91.195.20.0	91.195.21.255	UA
91.195.22.0	91.195.23.255	RU
91.195.24.0	91.195.25.255	BG
91.195.26.0	91.195.27.255	PL
91.195.28.0	91.195.29.255	RO
91.195.30.0	91.195.31.255	RU
91.195.32.0	91.195.33.255	SE
91.195.34.0	91.195.35.255	ES
91.195.36.0	91.195.37.255	FR
91.195.38.0	91.195.39.255	RS
91.195.40.0	91.195.41.255	AT
91.195.42.0	91.195.43.255	PL
91.195.44.0	91.195.45.255	RO
91.195.46.0	91.195.47.255	GB
91.195.48.0	91.195.49.255	DE
91.195.50.0	91.195.51.255	RU
91.195.52.0	91.195.53.255	UA
91.195.54.0	91.195.55.255	DE
91.195.56.0	91.195.57.255	PL
91.195.58.0	91.195.59.255	DK
91.195.60.0	91.195.61.255	RU
91.195.62.0	91.195.63.255	RO
91.195.64.0	91.195.65.255	RU
91.195.66.0	91.195.67.255	RO
91.195.68.0	91.195.69.255	UA
91.195.70.0	91.195.71.255	GR
91.195.72.0	91.195.73.255	FR
91.195.74.0	91.195.75.255	UA
91.195.76.0	91.195.77.255	SE
91.195.78.0	91.195.79.255	DE
91.195.80.0	91.195.81.255	NL
91.195.82.0	91.195.83.255	GB
91.195.84.0	91.195.85.255	RO
91.195.86.0	91.195.87.255	UA
91.195.88.0	91.195.89.255	SA
91.195.90.0	91.195.91.255	UA
91.195.92.0	91.195.93.255	PL
91.195.94.0	91.195.95.255	AT
91.195.96.0	91.195.97.255	UA
91.195.98.0	91.195.99.255	RO
91.195.100.0	91.195.103.255	RU
91.195.104.0	91.195.105.255	DE
91.195.106.0	91.195.107.255	CZ
91.195.108.0	91.195.109.255	PL
91.195.110.0	91.195.111.255	RU
91.195.112.0	91.195.113.255	GB
91.195.114.0	91.195.115.255	RU
91.195.116.0	91.195.117.255	AT
91.195.118.0	91.195.119.255	NL
91.195.120.0	91.195.121.255	UA
91.195.122.0	91.195.123.255	GB
91.195.124.0	91.195.133.255	RU
91.195.134.0	91.195.135.255	PL
91.195.136.0	91.195.137.255	RU
91.195.138.0	91.195.139.255	TR
91.195.140.0	91.195.141.255	DE
91.195.142.0	91.195.143.255	CH
91.195.144.0	91.195.145.255	RO
91.195.146.0	91.195.147.255	SI
91.195.148.0	91.195.149.255	RU
91.195.150.0	91.195.151.255	CH
91.195.152.0	91.195.153.255	GR
91.195.154.0	91.195.155.255	SE
91.195.156.0	91.195.157.255	UA
91.195.158.0	91.195.159.255	PL
91.195.160.0	91.195.161.255	NL
91.195.162.0	91.195.163.255	IL
91.195.164.0	91.195.165.255	FR
91.195.166.0	91.195.167.255	EU
91.195.168.0	91.195.169.255	GB
91.195.170.0	91.195.171.255	RU
91.195.172.0	91.195.173.255	UA
91.195.174.0	91.195.175.255	ES
91.195.176.0	91.195.177.255	RS
91.195.178.0	91.195.179.255	RU
91.195.180.0	91.195.181.255	RO
91.195.182.0	91.195.183.255	GB
91.195.184.0	91.195.185.255	UA
91.195.186.0	91.195.187.255	GB
91.195.188.0	91.195.189.255	CH
91.195.190.0	91.195.191.255	PL
91.195.192.0	91.195.193.255	GB
91.195.194.0	91.195.197.255	RO
91.195.198.0	91.195.199.255	AT
91.195.200.0	91.195.201.255	NL
91.195.202.0	91.195.203.255	CZ
91.195.204.0	91.195.205.255	RU
91.195.206.0	91.195.207.255	FR
91.195.208.0	91.195.211.255	RU
91.195.212.0	91.195.213.255	GB
91.195.214.0	91.195.215.255	UA
91.195.216.0	91.195.217.255	RO
91.195.218.0	91.195.221.255	DE
91.195.222.0	91.195.223.255	RU
91.195.224.0	91.195.225.255	SE
91.195.226.0	91.195.227.255	KZ
91.195.228.0	91.195.229.255	GB
91.195.230.0	91.195.231.255	UA
91.195.232.0	91.195.233.255	PL
91.195.234.0	91.195.237.255	NL
91.195.238.0	91.195.239.255	CH
91.195.240.0	91.195.241.255	DE
91.195.242.0	91.195.243.255	NL
91.195.244.0	91.195.245.255	UA
91.195.246.0	91.195.247.255	EE
91.195.248.0	91.195.249.255	UA
91.195.250.0	91.195.251.255	PL
91.195.252.0	91.195.255.255	RU
91.196.0.0	91.196.3.255	UA
91.196.4.0	91.196.7.255	RU
91.196.8.0	91.196.15.255	PL
91.196.16.0	91.196.19.255	LV
91.196.20.0	91.196.23.255	GB
91.196.24.0	91.196.27.255	RU
91.196.28.0	91.196.31.255	PL
91.196.32.0	91.196.35.255	RU
91.196.36.0	91.196.39.255	AM
91.196.40.0	91.196.43.255	RU
91.196.44.0	91.196.47.255	RO
91.196.48.0	91.196.51.255	PL
91.196.52.0	91.196.55.255	UA
91.196.56.0	91.196.59.255	PL
91.196.60.0	91.196.63.255	UA
91.196.64.0	91.196.67.255	BG
91.196.68.0	91.196.71.255	GB
91.196.72.0	91.196.75.255	RU
91.196.76.0	91.196.79.255	UZ
91.196.80.0	91.196.83.255	UA
91.196.84.0	91.196.87.255	IL
91.196.88.0	91.196.103.255	UA
91.196.104.0	91.196.107.255	NL
91.196.108.0	91.196.111.255	PL
91.196.112.0	91.196.115.255	HU
91.196.116.0	91.196.119.255	GB
91.196.120.0	91.196.123.255	UA
91.196.124.0	91.196.127.255	BG
91.196.128.0	91.196.131.255	ES
91.196.132.0	91.196.135.255	UA
91.196.136.0	91.196.139.255	RU
91.196.140.0	91.196.147.255	DE
91.196.148.0	91.196.151.255	UA
91.196.152.0	91.196.155.255	RU
91.196.156.0	91.196.167.255	UA
91.196.168.0	91.196.171.255	NL
91.196.172.0	91.196.175.255	DK
91.196.176.0	91.196.179.255	UA
91.196.180.0	91.196.183.255	FR
91.196.184.0	91.196.187.255	GB
91.196.188.0	91.196.191.255	RU
91.196.192.0	91.196.203.255	UA
91.196.204.0	91.196.207.255	DE
91.196.208.0	91.196.211.255	RU
91.196.212.0	91.196.215.255	PL
91.196.216.0	91.196.219.255	RU
91.196.220.0	91.196.223.255	UA
91.196.224.0	91.196.227.255	BG
91.196.228.0	91.196.231.255	UA
91.196.232.0	91.196.235.255	CN
91.196.236.0	91.196.239.255	RU
91.196.240.0	91.196.243.255	SE
91.196.244.0	91.197.3.255	RU
91.197.4.0	91.197.7.255	UA
91.197.8.0	91.197.11.255	RU
91.197.12.0	91.197.15.255	PL
91.197.16.0	91.197.19.255	UA
91.197.20.0	91.197.23.255	RU
91.197.24.0	91.197.27.255	UA
91.197.28.0	91.197.31.255	DE
91.197.32.0	91.197.35.255	GB
91.197.36.0	91.197.39.255	IE
91.197.40.0	91.197.43.255	RU
91.197.44.0	91.197.51.255	UA
91.197.52.0	91.197.55.255	RU
91.197.56.0	91.197.59.255	UA
91.197.60.0	91.197.63.255	IL
91.197.64.0	91.197.71.255	RU
91.197.72.0	91.197.75.255	NL
91.197.76.0	91.197.79.255	RU
91.197.80.0	91.197.83.255	UA
91.197.84.0	91.197.87.255	FI
91.197.88.0	91.197.91.255	PL
91.197.92.0	91.197.95.255	GB
91.197.96.0	91.197.99.255	RU
91.197.100.0	91.197.103.255	IL
91.197.104.0	91.197.107.255	RU
91.197.108.0	91.197.111.255	BE
91.197.112.0	91.197.115.255	RU
91.197.116.0	91.197.119.255	CZ
91.197.120.0	91.197.123.255	UA
91.197.124.0	91.197.127.255	RU
91.197.128.0	91.197.135.255	UA
91.197.136.0	91.197.139.255	FR
91.197.140.0	91.197.143.255	GB
91.197.144.0	91.197.147.255	UA
91.197.148.0	91.197.155.255	PL
91.197.156.0	91.197.159.255	UA
91.197.160.0	91.197.163.255	RU
91.197.164.0	91.197.167.255	FR
91.197.168.0	91.197.171.255	UA
91.197.172.0	91.197.183.255	RU
91.197.184.0	91.197.187.255	UA
91.197.192.0	91.197.199.255	RU
91.197.200.0	91.197.203.255	SA
91.197.204.0	91.197.207.255	RU
91.197.208.0	91.197.211.255	FI
91.197.212.0	91.197.215.255	RU
91.197.216.0	91.197.223.255	UA
91.197.224.0	91.197.227.255	PL
91.197.228.0	91.197.231.255	GB
91.197.232.0	91.197.235.255	RU
91.197.236.0	91.197.239.255	UA
91.197.240.0	91.197.243.255	GE
91.197.244.0	91.197.247.255	RO
91.197.248.0	91.197.251.255	DK
91.197.252.0	91.197.255.255	UA
91.198.0.0	91.198.0.255	SI
91.198.1.0	91.198.1.255	UA
91.198.2.0	91.198.2.255	DE
91.198.3.0	91.198.3.255	GB
91.198.4.0	91.198.4.255	UA
91.198.5.0	91.198.5.255	IL
91.198.6.0	91.198.6.255	CH
91.198.7.0	91.198.7.255	HU
91.198.8.0	91.198.8.255	CH
91.198.9.0	91.198.9.255	GB
91.198.10.0	91.198.10.255	UA
91.198.11.0	91.198.12.255	CH
91.198.13.0	91.198.13.255	GB
91.198.14.0	91.198.14.255	RU
91.198.15.0	91.198.16.255	PL
91.198.17.0	91.198.17.255	LT
91.198.18.0	91.198.18.255	GB
91.198.19.0	91.198.19.255	RO
91.198.20.0	91.198.20.255	UA
91.198.21.0	91.198.21.255	DE
91.198.22.0	91.198.22.255	GB
91.198.23.0	91.198.23.255	RO
91.198.24.0	91.198.24.255	IE
91.198.25.0	91.198.25.255	AT
91.198.26.0	91.198.26.255	BE
91.198.27.0	91.198.27.255	NL
91.198.28.0	91.198.28.255	DE
91.198.29.0	91.198.29.255	GB
91.198.30.0	91.198.30.255	FR
91.198.31.0	91.198.31.255	UA
91.198.32.0	91.198.32.255	DE
91.198.33.0	91.198.33.255	RU
91.198.34.0	91.198.34.255	UA
91.198.35.0	91.198.35.255	DE
91.198.36.0	91.198.36.255	UA
91.198.37.0	91.198.37.255	NL
91.198.38.0	91.198.38.255	RU
91.198.39.0	91.198.39.255	RO
91.198.40.0	91.198.40.255	UA
91.198.41.0	91.198.41.255	FR
91.198.42.0	91.198.42.255	DK
91.198.43.0	91.198.43.255	DE
91.198.44.0	91.198.44.255	FR
91.198.45.0	91.198.45.255	AT
91.198.46.0	91.198.46.255	RU
91.198.47.0	91.198.47.255	PT
91.198.48.0	91.198.48.255	SE
91.198.49.0	91.198.49.255	TR
91.198.50.0	91.198.50.255	UA
91.198.51.0	91.198.51.255	RU
91.198.52.0	91.198.52.255	SI
91.198.53.0	91.198.53.255	PL
91.198.54.0	91.198.54.255	RU
91.198.55.0	91.198.56.255	PL
91.198.57.0	91.198.57.255	DE
91.198.58.0	91.198.58.255	CH
91.198.59.0	91.198.59.255	MK
91.198.60.0	91.198.60.255	DE
91.198.61.0	91.198.61.255	TR
91.198.62.0	91.198.62.255	SA
91.198.63.0	91.198.63.255	KZ
91.198.64.0	91.198.64.255	IE
91.198.65.0	91.198.65.255	PL
91.198.66.0	91.198.66.255	IE
91.198.67.0	91.198.67.255	DE
91.198.68.0	91.198.69.255	RU
91.198.70.0	91.198.70.255	IL
91.198.71.0	91.198.71.255	RU
91.198.72.0	91.198.73.255	CH
91.198.74.0	91.198.74.255	PL
91.198.75.0	91.198.75.255	RU
91.198.76.0	91.198.76.255	PL
91.198.77.0	91.198.77.255	GB
91.198.78.0	91.198.78.255	DE
91.198.79.0	91.198.79.255	CH
91.198.80.0	91.198.80.255	PL
91.198.81.0	91.198.81.255	GB
91.198.82.0	91.198.82.255	DE
91.198.83.0	91.198.83.255	UA
91.198.84.0	91.198.84.255	IT
91.198.85.0	91.198.85.255	RU
91.198.86.0	91.198.86.255	UA
91.198.87.0	91.198.87.255	NL
91.198.88.0	91.198.88.255	FR
91.198.89.0	91.198.89.255	PL
91.198.90.0	91.198.90.255	PT
91.198.91.0	91.198.91.255	RU
91.198.92.0	91.198.92.255	SE
91.198.93.0	91.198.93.255	AT
91.198.94.0	91.198.94.255	PL
91.198.95.0	91.198.95.255	SE
91.198.96.0	91.198.96.255	SI
91.198.97.0	91.198.97.255	PL
91.198.98.0	91.198.98.255	RU
91.198.99.0	91.198.99.255	GB
91.198.100.0	91.198.100.255	PL
91.198.101.0	91.198.101.255	UA
91.198.102.0	91.198.102.255	SA
91.198.103.0	91.198.103.255	NL
91.198.104.0	91.198.104.255	RU
91.198.105.0	91.198.105.255	FR
91.198.106.0	91.198.106.255	NL
91.198.107.0	91.198.107.255	GB
91.198.108.0	91.198.108.255	GR
91.198.109.0	91.198.109.255	KZ
91.198.110.0	91.198.111.255	PL
91.198.112.0	91.198.112.255	SI
91.198.113.0	91.198.114.255	DE
91.198.115.0	91.198.115.255	FR
91.198.116.0	91.198.116.255	UA
91.198.117.0	91.198.117.255	DK
91.198.118.0	91.198.118.255	PL
91.198.119.0	91.198.119.255	BG
91.198.120.0	91.198.120.255	FI
91.198.121.0	91.198.121.255	PL
91.198.122.0	91.198.122.255	FR
91.198.123.0	91.198.123.255	NO
91.198.124.0	91.198.125.255	TR
91.198.126.0	91.198.126.255	BE
91.198.127.0	91.198.127.255	RU
91.198.128.0	91.198.128.255	AT
91.198.129.0	91.198.129.255	IL
91.198.130.0	91.198.130.255	RU
91.198.131.0	91.198.131.255	HU
91.198.132.0	91.198.132.255	BG
91.198.133.0	91.198.133.255	UA
91.198.134.0	91.198.134.255	KW
91.198.135.0	91.198.135.255	RU
91.198.136.0	91.198.136.255	RO
91.198.137.0	91.198.137.255	RU
91.198.138.0	91.198.138.255	DK
91.198.139.0	91.198.139.255	DE
91.198.140.0	91.198.140.255	UA
91.198.141.0	91.198.141.255	NL
91.198.142.0	91.198.142.255	AT
91.198.143.0	91.198.143.255	UA
91.198.144.0	91.198.144.255	DK
91.198.145.0	91.198.146.255	PL
91.198.147.0	91.198.147.255	RO
91.198.148.0	91.198.148.255	AT
91.198.149.0	91.198.149.255	RU
91.198.150.0	91.198.150.255	PL
91.198.151.0	91.198.151.255	NL
91.198.152.0	91.198.152.255	DE
91.198.153.0	91.198.153.255	UA
91.198.154.0	91.198.154.255	CH
91.198.155.0	91.198.155.255	RU
91.198.156.0	91.198.156.255	LV
91.198.157.0	91.198.157.255	DE
91.198.158.0	91.198.158.255	GR
91.198.159.0	91.198.159.255	FR
91.198.160.0	91.198.160.255	RO
91.198.161.0	91.198.161.255	HR
91.198.162.0	91.198.162.255	RO
91.198.163.0	91.198.163.255	DE
91.198.164.0	91.198.164.255	SE
91.198.165.0	91.198.166.255	GB
91.198.167.0	91.198.167.255	CH
91.198.168.0	91.198.169.255	DK
91.198.170.0	91.198.171.255	RU
91.198.172.0	91.198.172.255	DK
91.198.173.0	91.198.173.255	CH
91.198.174.0	91.198.174.255	NL
91.198.175.0	91.198.175.255	UA
91.198.176.0	91.198.176.255	NO
91.198.177.0	91.198.177.255	PL
91.198.178.0	91.198.178.255	NL
91.198.179.0	91.198.179.255	PL
91.198.180.0	91.198.180.255	GB
91.198.181.0	91.198.181.255	BG
91.198.182.0	91.198.182.255	PT
91.198.183.0	91.198.183.255	GR
91.198.184.0	91.198.184.255	RU
91.198.185.0	91.198.185.255	TR
91.198.186.0	91.198.186.255	PL
91.198.187.0	91.198.187.255	DE
91.198.188.0	91.198.188.255	UA
91.198.189.0	91.198.189.255	TR
91.198.190.0	91.198.190.255	SI
91.198.191.0	91.198.191.255	FR
91.198.192.0	91.198.192.255	DE
91.198.193.0	91.198.193.255	SE
91.198.194.0	91.198.194.255	PL
91.198.195.0	91.198.195.255	AT
91.198.196.0	91.198.196.255	RO
91.198.197.0	91.198.197.255	DE
91.198.198.0	91.198.198.255	HU
91.198.199.0	91.198.200.255	FR
91.198.201.0	91.198.201.255	NO
91.198.202.0	91.198.202.255	SE
91.198.203.0	91.198.203.255	BE
91.198.204.0	91.198.204.255	DK
91.198.205.0	91.198.205.255	IL
91.198.206.0	91.198.206.255	EE
91.198.207.0	91.198.207.255	MT
91.198.208.0	91.198.209.255	PL
91.198.210.0	91.198.210.255	DE
91.198.211.0	91.198.211.255	BE
91.198.212.0	91.198.212.255	RU
91.198.213.0	91.198.213.255	GB
91.198.214.0	91.198.214.255	SI
91.198.215.0	91.198.215.255	UA
91.198.216.0	91.198.216.255	HR
91.198.218.0	91.198.218.255	NL
91.198.219.0	91.198.219.255	BA
91.198.220.0	91.198.220.255	DK
91.198.221.0	91.198.221.255	RU
91.198.222.0	91.198.222.255	PL
91.198.223.0	91.198.223.255	SE
91.198.224.0	91.198.224.255	DE
91.198.225.0	91.198.225.255	RU
91.198.226.0	91.198.226.255	PL
91.198.227.0	91.198.227.255	DK
91.198.228.0	91.198.228.255	DE
91.198.229.0	91.198.229.255	CH
91.198.230.0	91.198.230.255	PL
91.198.231.0	91.198.231.255	RU
91.198.232.0	91.198.232.255	PL
91.198.233.0	91.198.233.255	UA
91.198.234.0	91.198.234.255	NL
91.198.235.0	91.198.235.255	UA
91.198.236.0	91.198.236.255	MD
91.198.237.0	91.198.237.255	DK
91.198.238.0	91.198.238.255	DE
91.198.239.0	91.198.239.255	PT
91.198.240.0	91.198.240.255	AT
91.198.241.0	91.198.241.255	GB
91.198.242.0	91.198.242.255	RO
91.198.243.0	91.198.243.255	BE
91.198.244.0	91.198.244.255	GB
91.198.245.0	91.198.246.255	PL
91.198.247.0	91.198.247.255	AM
91.198.248.0	91.198.248.255	PL
91.198.249.0	91.198.249.255	UA
91.198.250.0	91.198.250.255	DE
91.198.251.0	91.198.251.255	SA
91.198.252.0	91.198.252.255	DK
91.198.253.0	91.198.253.255	DE
91.198.254.0	91.198.254.255	IL
91.198.255.0	91.198.255.255	GB
91.199.0.0	91.199.0.255	FR
91.199.1.0	91.199.1.255	GB
91.199.2.0	91.199.2.255	IT
91.199.3.0	91.199.4.255	BE
91.199.5.0	91.199.5.255	AT
91.199.6.0	91.199.6.255	FR
91.199.7.0	91.199.7.255	GR
91.199.8.0	91.199.8.255	DE
91.199.9.0	91.199.9.255	FR
91.199.10.0	91.199.10.255	RU
91.199.11.0	91.199.11.255	FR
91.199.12.0	91.199.12.255	PL
91.199.13.0	91.199.13.255	UA
91.199.14.0	91.199.14.255	RU
91.199.15.0	91.199.15.255	BE
91.199.16.0	91.199.16.255	RU
91.199.17.0	91.199.17.255	RS
91.199.18.0	91.199.18.255	RU
91.199.19.0	91.199.19.255	GB
91.199.20.0	91.199.20.255	KZ
91.199.21.0	91.199.21.255	DE
91.199.22.0	91.199.22.255	PL
91.199.23.0	91.199.23.255	SI
91.199.24.0	91.199.24.255	RU
91.199.25.0	91.199.25.255	PL
91.199.26.0	91.199.26.255	RU
91.199.27.0	91.199.27.255	CH
91.199.28.0	91.199.28.255	UA
91.199.29.0	91.199.29.255	IL
91.199.30.0	91.199.30.255	PL
91.199.31.0	91.199.31.255	SK
91.199.32.0	91.199.32.255	HU
91.199.33.0	91.199.33.255	UA
91.199.34.0	91.199.34.255	RU
91.199.35.0	91.199.35.255	UA
91.199.36.0	91.199.36.255	BG
91.199.37.0	91.199.37.255	UA
91.199.38.0	91.199.38.255	AM
91.199.39.0	91.199.39.255	LB
91.199.40.0	91.199.40.255	RU
91.199.41.0	91.199.41.255	RO
91.199.42.0	91.199.42.255	GB
91.199.43.0	91.199.43.255	CH
91.199.44.0	91.199.44.255	PL
91.199.45.0	91.199.45.255	NL
91.199.46.0	91.199.46.255	RU
91.199.47.0	91.199.47.255	AT
91.199.48.0	91.199.48.255	PL
91.199.49.0	91.199.49.255	RO
91.199.50.0	91.199.50.255	NL
91.199.51.0	91.199.51.255	DE
91.199.52.0	91.199.52.255	HU
91.199.53.0	91.199.53.255	IL
91.199.54.0	91.199.54.255	UA
91.199.55.0	91.199.55.255	LT
91.199.56.0	91.199.56.255	GI
91.199.57.0	91.199.57.255	PL
91.199.58.0	91.199.59.255	NL
91.199.60.0	91.199.60.255	DE
91.199.61.0	91.199.61.255	SI
91.199.62.0	91.199.62.255	RU
91.199.63.0	91.199.63.255	NO
91.199.64.0	91.199.64.255	SE
91.199.65.0	91.199.65.255	DE
91.199.66.0	91.199.66.255	CH
91.199.67.0	91.199.67.255	RU
91.199.68.0	91.199.68.255	SE
91.199.69.0	91.199.69.255	IL
91.199.70.0	91.199.70.255	AT
91.199.71.0	91.199.71.255	GB
91.199.72.0	91.199.72.255	HU
91.199.73.0	91.199.73.255	TR
91.199.74.0	91.199.74.255	IE
91.199.75.0	91.199.75.255	UA
91.199.76.0	91.199.76.255	CH
91.199.77.0	91.199.77.255	HR
91.199.78.0	91.199.78.255	GB
91.199.79.0	91.199.79.255	HR
91.199.80.0	91.199.81.255	RU
91.199.82.0	91.199.82.255	UA
91.199.83.0	91.199.83.255	DE
91.199.84.0	91.199.84.255	NL
91.199.85.0	91.199.85.255	CH
91.199.86.0	91.199.86.255	LV
91.199.87.0	91.199.87.255	PL
91.199.88.0	91.199.88.255	DE
91.199.89.0	91.199.89.255	PL
91.199.90.0	91.199.90.255	RU
91.199.91.0	91.199.93.255	UA
91.199.94.0	91.199.94.255	IL
91.199.95.0	91.199.95.255	PL
91.199.96.0	91.199.96.255	GR
91.199.97.0	91.199.97.255	PL
91.199.98.0	91.199.98.255	CH
91.199.99.0	91.199.100.255	IL
91.199.101.0	91.199.101.255	PL
91.199.102.0	91.199.102.255	DK
91.199.103.0	91.199.103.255	FR
91.199.104.0	91.199.104.255	RO
91.199.105.0	91.199.105.255	PL
91.199.106.0	91.199.106.255	UA
91.199.107.0	91.199.107.255	SA
91.199.108.0	91.199.108.255	NL
91.199.109.0	91.199.109.255	MC
91.199.110.0	91.199.110.255	GB
91.199.111.0	91.199.111.255	TR
91.199.112.0	91.199.112.255	CY
91.199.113.0	91.199.113.255	DK
91.199.114.0	91.199.114.255	RU
91.199.115.0	91.199.115.255	UA
91.199.116.0	91.199.116.255	HU
91.199.117.0	91.199.117.255	PL
91.199.118.0	91.199.118.255	GB
91.199.119.0	91.199.119.255	IL
91.199.120.0	91.199.120.255	ES
91.199.121.0	91.199.121.255	DK
91.199.122.0	91.199.122.255	ES
91.199.123.0	91.199.123.255	RO
91.199.124.0	91.199.124.255	SI
91.199.125.0	91.199.125.255	GB
91.199.126.0	91.199.126.255	LV
91.199.127.0	91.199.127.255	PL
91.199.128.0	91.199.128.255	BG
91.199.129.0	91.199.130.255	GB
91.199.131.0	91.199.131.255	SI
91.199.132.0	91.199.132.255	PL
91.199.133.0	91.199.133.255	RO
91.199.134.0	91.199.134.255	IS
91.199.135.0	91.199.135.255	NL
91.199.136.0	91.199.136.255	GB
91.199.137.0	91.199.137.255	NL
91.199.138.0	91.199.139.255	UA
91.199.140.0	91.199.141.255	PL
91.199.142.0	91.199.142.255	SI
91.199.143.0	91.199.144.255	UA
91.199.145.0	91.199.145.255	AT
91.199.146.0	91.199.146.255	CH
91.199.147.0	91.199.147.255	RU
91.199.148.0	91.199.148.255	FI
91.199.149.0	91.199.149.255	RU
91.199.150.0	91.199.150.255	BG
91.199.151.0	91.199.151.255	GB
91.199.152.0	91.199.152.255	FR
91.199.153.0	91.199.153.255	RU
91.199.154.0	91.199.154.255	GB
91.199.155.0	91.199.155.255	HU
91.199.156.0	91.199.156.255	RU
91.199.157.0	91.199.157.255	RO
91.199.158.0	91.199.158.255	DE
91.199.159.0	91.199.159.255	GB
91.199.160.0	91.199.160.255	EU
91.199.161.0	91.199.161.255	SI
91.199.162.0	91.199.162.255	DE
91.199.163.0	91.199.163.255	UA
91.199.164.0	91.199.164.255	CZ
91.199.165.0	91.199.165.255	DE
91.199.166.0	91.199.166.255	TR
91.199.167.0	91.199.167.255	NL
91.199.168.0	91.199.168.255	CZ
91.199.169.0	91.199.169.255	DE
91.199.170.0	91.199.170.255	SE
91.199.171.0	91.199.171.255	RU
91.199.172.0	91.199.172.255	CH
91.199.173.0	91.199.173.255	IT
91.199.174.0	91.199.174.255	SI
91.199.175.0	91.199.175.255	AT
91.199.176.0	91.199.176.255	PL
91.199.177.0	91.199.177.255	NL
91.199.178.0	91.199.178.255	RU
91.199.179.0	91.199.179.255	NL
91.199.180.0	91.199.181.255	GB
91.199.182.0	91.199.182.255	UA
91.199.183.0	91.199.183.255	GB
91.199.184.0	91.199.185.255	RU
91.199.186.0	91.199.186.255	CH
91.199.187.0	91.199.187.255	SA
91.199.188.0	91.199.188.255	UA
91.199.189.0	91.199.189.255	RU
91.199.190.0	91.199.190.255	DK
91.199.191.0	91.199.191.255	TR
91.199.192.0	91.199.192.255	DE
91.199.193.0	91.199.193.255	PL
91.199.194.0	91.199.194.255	UA
91.199.195.0	91.199.195.255	NO
91.199.196.0	91.199.197.255	RU
91.199.198.0	91.199.198.255	CH
91.199.199.0	91.199.199.255	RO
91.199.200.0	91.199.200.255	AT
91.199.201.0	91.199.201.255	SI
91.199.202.0	91.199.202.255	VG
91.199.203.0	91.199.203.255	PL
91.199.204.0	91.199.204.255	ES
91.199.205.0	91.199.205.255	RU
91.199.206.0	91.199.206.255	UA
91.199.207.0	91.199.207.255	CZ
91.199.208.0	91.199.208.255	DK
91.199.209.0	91.199.209.255	DE
91.199.210.0	91.199.210.255	RO
91.199.211.0	91.199.211.255	RU
91.199.212.0	91.199.212.255	GB
91.199.213.0	91.199.213.255	IE
91.199.214.0	91.199.214.255	DE
91.199.215.0	91.199.215.255	CY
91.199.216.0	91.199.216.255	RO
91.199.217.0	91.199.217.255	DK
91.199.218.0	91.199.218.255	CH
91.199.219.0	91.199.219.255	NL
91.199.220.0	91.199.220.255	HU
91.199.221.0	91.199.221.255	RU
91.199.222.0	91.199.222.255	UA
91.199.223.0	91.199.224.255	RU
91.199.225.0	91.199.225.255	DE
91.199.226.0	91.199.226.255	AM
91.199.227.0	91.199.227.255	BE
91.199.228.0	91.199.228.255	CH
91.199.230.0	91.199.230.255	RU
91.199.231.0	91.199.231.255	MK
91.199.232.0	91.199.232.255	RU
91.199.233.0	91.199.234.255	FR
91.199.235.0	91.199.235.255	SI
91.199.236.0	91.199.236.255	NL
91.199.237.0	91.199.237.255	BG
91.199.238.0	91.199.238.255	SE
91.199.239.0	91.199.239.255	DE
91.199.240.0	91.199.240.255	PL
91.199.241.0	91.199.241.255	DE
91.199.242.0	91.199.242.255	FR
91.199.243.0	91.199.243.255	RO
91.199.244.0	91.199.244.255	RU
91.199.245.0	91.199.245.255	UA
91.199.246.0	91.199.246.255	PL
91.199.247.0	91.199.247.255	DE
91.199.248.0	91.199.248.255	RU
91.199.249.0	91.199.249.255	GB
91.199.250.0	91.199.250.255	PL
91.199.251.0	91.199.251.255	RU
91.199.252.0	91.199.252.255	GB
91.199.253.0	91.199.253.255	RU
91.199.254.0	91.199.255.255	FR
91.200.0.0	91.200.15.255	UA
91.200.16.0	91.200.19.255	NL
91.200.20.0	91.200.23.255	GR
91.200.24.0	91.200.27.255	PL
91.200.28.0	91.200.31.255	RU
91.200.32.0	91.200.39.255	PL
91.200.40.0	91.200.47.255	UA
91.200.48.0	91.200.51.255	NL
91.200.52.0	91.200.59.255	UA
91.200.60.0	91.200.63.255	RU
91.200.64.0	91.200.67.255	LV
91.200.68.0	91.200.71.255	PL
91.200.72.0	91.200.75.255	UA
91.200.76.0	91.200.79.255	PL
91.200.80.0	91.200.83.255	UA
91.200.84.0	91.200.87.255	RU
91.200.88.0	91.200.91.255	UA
91.200.92.0	91.200.95.255	PL
91.200.96.0	91.200.99.255	RO
91.200.100.0	91.200.103.255	DE
91.200.104.0	91.200.107.255	UA
91.200.108.0	91.200.111.255	DE
91.200.112.0	91.200.115.255	UA
91.200.120.0	91.200.123.255	RO
91.200.124.0	91.200.127.255	UA
91.200.128.0	91.200.131.255	IT
91.200.132.0	91.200.139.255	UA
91.200.140.0	91.200.143.255	ES
91.200.144.0	91.200.147.255	IL
91.200.148.0	91.200.151.255	ES
91.200.152.0	91.200.155.255	SE
91.200.156.0	91.200.163.255	UA
91.200.164.0	91.200.167.255	MD
91.200.168.0	91.200.171.255	ES
91.200.172.0	91.200.175.255	PL
91.200.176.0	91.200.179.255	EU
91.200.180.0	91.200.183.255	UA
91.200.184.0	91.200.187.255	PL
91.200.188.0	91.200.195.255	UA
91.200.196.0	91.200.199.255	MT
91.200.200.0	91.200.203.255	UA
91.200.204.0	91.200.207.255	FR
91.200.208.0	91.200.211.255	IT
91.200.212.0	91.200.215.255	UA
91.200.216.0	91.200.219.255	RU
91.200.220.0	91.200.223.255	UA
91.200.224.0	91.200.231.255	RU
91.200.232.0	91.200.235.255	UA
91.200.236.0	91.200.239.255	PL
91.200.240.0	91.200.243.255	EU
91.200.244.0	91.200.255.255	UA
91.201.0.0	91.201.3.255	RU
91.201.4.0	91.201.7.255	EU
91.201.8.0	91.201.11.255	RU
91.201.12.0	91.201.15.255	LV
91.201.16.0	91.201.19.255	PL
91.201.20.0	91.201.23.255	CZ
91.201.24.0	91.201.31.255	UA
91.201.32.0	91.201.35.255	EU
91.201.36.0	91.201.43.255	UA
91.201.44.0	91.201.47.255	PL
91.201.48.0	91.201.55.255	RU
91.201.56.0	91.201.59.255	CH
91.201.60.0	91.201.63.255	SE
91.201.64.0	91.201.67.255	RU
91.201.68.0	91.201.71.255	UA
91.201.72.0	91.201.75.255	RU
91.201.76.0	91.201.83.255	RO
91.201.84.0	91.201.87.255	UA
91.201.88.0	91.201.91.255	PL
91.201.92.0	91.201.95.255	SE
91.201.96.0	91.201.99.255	RU
91.201.100.0	91.201.103.255	DE
91.201.104.0	91.201.107.255	RU
91.201.108.0	91.201.111.255	UA
91.201.112.0	91.201.119.255	RU
91.201.120.0	91.201.123.255	PL
91.201.124.0	91.201.127.255	UA
91.201.128.0	91.201.131.255	DE
91.201.132.0	91.201.135.255	ES
91.201.136.0	91.201.139.255	RS
91.201.140.0	91.201.143.255	LV
91.201.144.0	91.201.147.255	UA
91.201.148.0	91.201.151.255	CH
91.201.152.0	91.201.155.255	PL
91.201.156.0	91.201.159.255	UA
91.201.160.0	91.201.163.255	GB
91.201.164.0	91.201.167.255	NL
91.201.168.0	91.201.171.255	UA
91.201.172.0	91.201.175.255	BG
91.201.176.0	91.201.183.255	UA
91.201.184.0	91.201.187.255	RU
91.201.188.0	91.201.191.255	UA
91.201.192.0	91.201.195.255	RO
91.201.196.0	91.201.199.255	MD
91.201.200.0	91.201.203.255	KZ
91.201.204.0	91.201.211.255	RU
91.201.212.0	91.201.215.255	UA
91.201.216.0	91.201.223.255	RO
91.201.224.0	91.201.227.255	UA
91.201.228.0	91.201.231.255	RU
91.201.232.0	91.201.247.255	UA
91.201.248.0	91.201.255.255	RU
91.202.0.0	91.202.3.255	UA
91.202.4.0	91.202.7.255	RU
91.202.8.0	91.202.11.255	UA
91.202.12.0	91.202.27.255	RU
91.202.28.0	91.202.31.255	GB
91.202.32.0	91.202.39.255	RU
91.202.40.0	91.202.43.255	DE
91.202.44.0	91.202.47.255	RU
91.202.48.0	91.202.51.255	DE
91.202.52.0	91.202.59.255	UA
91.202.60.0	91.202.63.255	VG
91.202.64.0	91.202.67.255	SI
91.202.68.0	91.202.71.255	RU
91.202.72.0	91.202.75.255	UA
91.202.76.0	91.202.79.255	RU
91.202.80.0	91.202.83.255	SE
91.202.84.0	91.202.87.255	RU
91.202.88.0	91.202.91.255	RO
91.202.92.0	91.202.99.255	RU
91.202.100.0	91.202.103.255	PL
91.202.104.0	91.202.111.255	UA
91.202.112.0	91.202.115.255	FI
91.202.116.0	91.202.119.255	AT
91.202.120.0	91.202.123.255	CH
91.202.124.0	91.202.127.255	PL
91.202.128.0	91.202.135.255	UA
91.202.136.0	91.202.139.255	GB
91.202.140.0	91.202.143.255	RU
91.202.144.0	91.202.147.255	UA
91.202.148.0	91.202.151.255	RU
91.202.152.0	91.202.155.255	PL
91.202.156.0	91.202.159.255	SE
91.202.160.0	91.202.163.255	UA
91.202.164.0	91.202.167.255	RU
91.202.168.0	91.202.171.255	IL
91.202.172.0	91.202.179.255	PL
91.202.180.0	91.202.191.255	RU
91.202.192.0	91.202.195.255	PL
91.202.196.0	91.202.199.255	RU
91.202.200.0	91.202.203.255	KR
91.202.204.0	91.202.207.255	RU
91.202.208.0	91.202.215.255	UA
91.202.216.0	91.202.223.255	RU
91.202.224.0	91.202.227.255	GB
91.202.228.0	91.202.231.255	PL
91.202.232.0	91.202.235.255	RU
91.202.236.0	91.202.239.255	GB
91.202.240.0	91.202.247.255	UA
91.202.248.0	91.202.251.255	ES
91.202.252.0	91.202.255.255	RU
91.203.0.0	91.203.3.255	DE
91.203.4.0	91.203.7.255	UA
91.203.8.0	91.203.11.255	RU
91.203.12.0	91.203.15.255	UA
91.203.16.0	91.203.19.255	PL
91.203.20.0	91.203.23.255	RU
91.203.24.0	91.203.27.255	UA
91.203.28.0	91.203.31.255	EE
91.203.32.0	91.203.35.255	FR
91.203.36.0	91.203.39.255	RU
91.203.40.0	91.203.43.255	SE
91.203.44.0	91.203.47.255	RU
91.203.48.0	91.203.51.255	UA
91.203.52.0	91.203.55.255	PL
91.203.56.0	91.203.59.255	GB
91.203.60.0	91.203.63.255	UA
91.203.64.0	91.203.67.255	RU
91.203.68.0	91.203.71.255	LV
91.203.72.0	91.203.75.255	GB
91.203.76.0	91.203.79.255	UA
91.203.80.0	91.203.83.255	RU
91.203.88.0	91.203.92.36	UA
91.203.92.37	91.203.92.46	MD
91.203.92.47	91.203.95.255	UA
91.203.96.0	91.203.99.255	NO
91.203.100.0	91.203.103.255	NL
91.203.104.0	91.203.104.255	PL
91.203.105.0	91.203.105.255	RU
91.203.106.0	91.203.106.255	US
91.203.107.0	91.203.107.255	UA
91.203.108.0	91.203.111.255	DE
91.203.112.0	91.203.115.255	UA
91.203.116.0	91.203.119.255	NO
91.203.120.0	91.203.123.255	A2
91.203.124.0	91.203.127.255	RU
91.203.128.0	91.203.131.255	NL
91.203.132.0	91.203.135.255	PL
91.203.136.0	91.203.147.255	UA
91.203.148.0	91.203.151.255	FR
91.203.152.0	91.203.155.255	RU
91.203.156.0	91.203.159.255	PL
91.203.160.0	91.203.163.255	SE
91.203.164.0	91.203.167.255	UA
91.203.168.0	91.203.171.255	RU
91.203.172.0	91.203.175.255	UZ
91.203.176.0	91.203.183.255	RU
91.203.184.0	91.203.187.255	FR
91.203.188.0	91.203.199.255	RU
91.203.200.0	91.203.203.255	DE
91.203.204.0	91.203.207.255	NO
91.203.208.0	91.203.211.255	RU
91.203.212.0	91.203.215.255	LU
91.203.216.0	91.203.223.255	PL
91.203.224.0	91.203.243.255	RU
91.203.244.0	91.203.251.255	PL
91.203.252.0	91.203.255.255	EU
91.204.0.0	91.204.3.255	SE
91.204.4.0	91.204.11.255	DE
91.204.12.0	91.204.15.255	UA
91.204.16.0	91.204.27.255	RU
91.204.28.0	91.204.35.255	DE
91.204.36.0	91.204.55.255	UA
91.204.56.0	91.204.59.255	RU
91.204.60.0	91.204.63.255	UA
91.204.64.0	91.204.67.255	LV
91.204.68.0	91.204.75.255	RU
91.204.76.0	91.204.79.255	UA
91.204.80.0	91.204.83.255	CH
91.204.84.0	91.204.87.255	UA
91.204.88.0	91.204.91.255	PL
91.204.92.0	91.204.95.255	UA
91.204.96.0	91.204.111.255	RU
91.204.112.0	91.204.115.255	NO
91.204.116.0	91.204.119.255	FR
91.204.120.0	91.204.123.255	UA
91.204.124.0	91.204.127.255	GB
91.204.128.0	91.204.131.255	RU
91.204.132.0	91.204.135.255	UA
91.204.136.0	91.204.139.255	RU
91.204.140.0	91.204.143.255	PL
91.204.144.0	91.204.151.255	RU
91.204.152.0	91.204.155.255	PL
91.204.156.0	91.204.159.255	BG
91.204.160.0	91.204.163.255	PL
91.204.164.0	91.204.167.255	RU
91.204.168.0	91.204.171.255	DE
91.204.172.0	91.204.175.255	GB
91.204.176.0	91.204.179.255	RU
91.204.180.0	91.204.183.255	UA
91.204.184.0	91.204.187.255	RU
91.204.188.0	91.204.191.255	AM
91.204.192.0	91.204.195.255	AT
91.204.196.0	91.204.199.255	UA
91.204.200.0	91.204.203.255	RU
91.204.204.0	91.204.207.255	PL
91.204.208.0	91.204.211.255	GB
91.204.212.0	91.204.215.255	UA
91.204.216.0	91.204.219.255	AT
91.204.220.0	91.204.223.255	SE
91.204.224.0	91.204.235.255	RU
91.204.236.0	91.204.239.255	UZ
91.204.240.0	91.204.243.255	RU
91.204.244.0	91.204.247.255	GB
91.204.248.0	91.204.251.255	UA
91.204.252.0	91.205.3.255	RU
91.205.4.0	91.205.7.255	UA
91.205.8.0	91.205.11.255	RU
91.205.12.0	91.205.15.255	DE
91.205.16.0	91.205.19.255	UA
91.205.20.0	91.205.23.255	PL
91.205.24.0	91.205.27.255	RU
91.205.28.0	91.205.31.255	DE
91.205.32.0	91.205.35.255	NL
91.205.36.0	91.205.39.255	DE
91.205.40.0	91.205.43.255	GB
91.205.44.0	91.205.47.255	RU
91.205.48.0	91.205.51.255	KG
91.205.52.0	91.205.55.255	RU
91.205.56.0	91.205.59.255	DE
91.205.60.0	91.205.63.255	SE
91.205.64.0	91.205.67.255	UA
91.205.68.0	91.205.71.255	BA
91.205.72.0	91.205.75.255	PL
91.205.76.0	91.205.79.255	DE
91.205.80.0	91.205.83.255	UA
91.205.84.0	91.205.87.255	RU
91.205.88.0	91.205.91.255	PL
91.205.92.0	91.205.95.255	RU
91.205.96.0	91.205.99.255	NL
91.205.100.0	91.205.103.255	US
91.205.104.0	91.205.107.255	KZ
91.205.108.0	91.205.111.255	GB
91.205.112.0	91.205.115.255	PT
91.205.116.0	91.205.119.255	FR
91.205.120.0	91.205.131.255	RU
91.205.132.0	91.205.143.255	AM
91.205.144.0	91.205.147.255	RU
91.205.148.0	91.205.151.255	CH
91.205.152.0	91.205.155.255	IL
91.205.156.0	91.205.159.255	UA
91.205.164.0	91.205.167.255	UA
91.205.168.0	91.205.171.255	RU
91.205.172.0	91.205.175.255	DE
91.205.176.0	91.205.179.255	RU
91.205.184.0	91.205.187.255	NO
91.205.188.0	91.205.195.255	RU
91.205.196.0	91.205.199.255	DE
91.205.200.0	91.205.203.255	RU
91.205.204.0	91.205.207.255	UA
91.205.208.0	91.205.211.255	RU
91.205.212.0	91.205.215.255	NL
91.205.216.0	91.205.219.255	UA
91.205.220.0	91.205.223.255	GB
91.205.224.0	91.205.227.255	RU
91.205.228.0	91.205.231.255	PL
91.205.232.0	91.205.235.255	NL
91.205.236.0	91.205.243.255	RU
91.205.244.0	91.205.247.255	PL
91.205.248.0	91.205.251.255	GB
91.205.252.0	91.205.255.255	RU
91.206.0.0	91.206.1.255	GB
91.206.2.0	91.206.3.255	RU
91.206.4.0	91.206.5.255	UA
91.206.6.0	91.206.7.255	PL
91.206.8.0	91.206.9.255	AT
91.206.10.0	91.206.11.255	NL
91.206.12.0	91.206.19.255	RU
91.206.20.0	91.206.21.255	BG
91.206.22.0	91.206.23.255	RU
91.206.24.0	91.206.25.255	CH
91.206.26.0	91.206.27.255	PL
91.206.28.0	91.206.29.255	DE
91.206.30.0	91.206.33.255	UA
91.206.34.0	91.206.35.255	NO
91.206.36.0	91.206.37.255	RO
91.206.38.0	91.206.39.255	PL
91.206.40.0	91.206.45.255	RO
91.206.46.0	91.206.47.255	DE
91.206.48.0	91.206.49.255	UA
91.206.50.0	91.206.51.255	FR
91.206.52.0	91.206.53.255	CH
91.206.54.0	91.206.59.255	RU
91.206.60.0	91.206.61.255	DE
91.206.62.0	91.206.63.255	RU
91.206.64.0	91.206.65.255	PL
91.206.66.0	91.206.67.255	RU
91.206.68.0	91.206.69.255	CH
91.206.70.0	91.206.71.255	DE
91.206.72.0	91.206.73.255	RU
91.206.74.0	91.206.75.255	IT
91.206.76.0	91.206.79.255	RO
91.206.80.0	91.206.81.255	NL
91.206.82.0	91.206.83.255	RO
91.206.84.0	91.206.85.255	GB
91.206.86.0	91.206.87.255	PL
91.206.88.0	91.206.89.255	KZ
91.206.90.0	91.206.91.255	DK
91.206.92.0	91.206.93.255	RU
91.206.94.0	91.206.95.255	GB
91.206.96.0	91.206.97.255	PL
91.206.98.0	91.206.99.255	DE
91.206.100.0	91.206.101.255	RU
91.206.102.0	91.206.103.255	AT
91.206.104.0	91.206.105.255	CH
91.206.106.0	91.206.107.255	RU
91.206.108.0	91.206.109.255	PL
91.206.110.0	91.206.111.255	UA
91.206.112.0	91.206.113.255	AT
91.206.114.0	91.206.115.255	PL
91.206.116.0	91.206.117.255	RU
91.206.118.0	91.206.119.255	GB
91.206.120.0	91.206.121.255	RU
91.206.122.0	91.206.123.255	IR
91.206.124.0	91.206.125.255	UA
91.206.126.0	91.206.127.255	RU
91.206.128.0	91.206.129.255	IT
91.206.130.0	91.206.131.255	RU
91.206.132.0	91.206.133.255	LT
91.206.134.0	91.206.135.255	SA
91.206.136.0	91.206.137.255	NL
91.206.138.0	91.206.139.255	BG
91.206.140.0	91.206.141.255	RO
91.206.142.0	91.206.143.255	DE
91.206.144.0	91.206.145.255	GB
91.206.146.0	91.206.151.255	RU
91.206.152.0	91.206.153.255	DE
91.206.154.0	91.206.155.255	PL
91.206.156.0	91.206.157.255	FR
91.206.158.0	91.206.161.255	RO
91.206.162.0	91.206.163.255	RU
91.206.164.0	91.206.165.255	DK
91.206.166.0	91.206.167.255	RU
91.206.168.0	91.206.169.255	GB
91.206.170.0	91.206.171.255	IL
91.206.172.0	91.206.173.255	PL
91.206.174.0	91.206.175.255	SE
91.206.176.0	91.206.177.255	GB
91.206.178.0	91.206.181.255	PL
91.206.182.0	91.206.183.255	GB
91.206.184.0	91.206.185.255	DE
91.206.186.0	91.206.187.255	UA
91.206.188.0	91.206.189.255	DE
91.206.190.0	91.206.191.255	GR
91.206.192.0	91.206.193.255	AT
91.206.194.0	91.206.195.255	RO
91.206.196.0	91.206.197.255	RU
91.206.198.0	91.206.199.255	FR
91.206.200.0	91.206.201.255	UA
91.206.202.0	91.206.205.255	RU
91.206.206.0	91.206.207.255	RO
91.206.208.0	91.206.209.255	MD
91.206.210.0	91.206.211.255	PL
91.206.212.0	91.206.213.255	UA
91.206.214.0	91.206.215.255	DE
91.206.216.0	91.206.217.255	RU
91.206.218.0	91.206.219.255	UA
91.206.220.0	91.206.223.255	RU
91.206.224.0	91.206.225.255	AT
91.206.226.0	91.206.227.255	UA
91.206.228.0	91.206.229.255	DE
91.206.230.0	91.206.231.255	RU
91.206.232.0	91.206.233.255	NL
91.206.234.0	91.206.235.255	GB
91.206.236.0	91.206.239.255	AT
91.206.240.0	91.206.243.255	RU
91.206.244.0	91.206.245.255	PL
91.206.246.0	91.206.247.255	NL
91.206.248.0	91.206.249.255	RU
91.206.250.0	91.206.251.255	BE
91.206.252.0	91.206.253.255	UA
91.206.254.0	91.206.255.255	RU
91.207.0.0	91.207.1.255	FR
91.207.2.0	91.207.3.255	DK
91.207.4.0	91.207.9.255	UA
91.207.10.0	91.207.11.255	PL
91.207.12.0	91.207.13.255	SA
91.207.14.0	91.207.15.255	PL
91.207.16.0	91.207.17.255	DE
91.207.18.0	91.207.21.255	FR
91.207.22.0	91.207.23.255	HR
91.207.24.0	91.207.25.255	RU
91.207.26.0	91.207.27.255	UA
91.207.28.0	91.207.29.255	KZ
91.207.30.0	91.207.31.255	RU
91.207.32.0	91.207.33.255	DK
91.207.34.0	91.207.35.255	IL
91.207.36.0	91.207.39.255	GB
91.207.40.0	91.207.43.255	RU
91.207.44.0	91.207.47.255	UA
91.207.48.0	91.207.49.255	PL
91.207.50.0	91.207.51.255	GB
91.207.54.0	91.207.55.255	UA
91.207.56.0	91.207.57.255	GB
91.207.58.0	91.207.59.255	RU
91.207.60.0	91.207.61.255	UA
91.207.62.0	91.207.63.255	RS
91.207.64.0	91.207.65.255	PL
91.207.66.0	91.207.67.255	UA
91.207.68.0	91.207.69.255	PL
91.207.70.0	91.207.79.255	RU
91.207.80.0	91.207.81.255	SE
91.207.82.0	91.207.87.255	RU
91.207.88.0	91.207.89.255	UA
91.207.90.0	91.207.91.255	IL
91.207.92.0	91.207.93.255	DE
91.207.94.0	91.207.95.255	RO
91.207.96.0	91.207.97.255	KG
91.207.98.0	91.207.99.255	UA
91.207.100.0	91.207.101.255	RU
91.207.102.0	91.207.103.255	RO
91.207.104.0	91.207.107.255	UA
91.207.108.0	91.207.109.255	RU
91.207.112.0	91.207.113.255	SE
91.207.114.0	91.207.115.255	RU
91.207.116.0	91.207.117.255	UA
91.207.118.0	91.207.119.255	DE
91.207.120.0	91.207.121.255	RO
91.207.122.0	91.207.123.255	UA
91.207.124.0	91.207.125.255	RO
91.207.126.0	91.207.127.255	PL
91.207.128.0	91.207.129.255	DE
91.207.130.0	91.207.131.255	LI
91.207.132.0	91.207.133.255	RU
91.207.134.0	91.207.135.255	AT
91.207.136.0	91.207.137.255	RU
91.207.138.0	91.207.139.255	IR
91.207.140.0	91.207.145.255	RU
91.207.146.0	91.207.147.255	UA
91.207.148.0	91.207.149.255	PL
91.207.150.0	91.207.151.255	IT
91.207.152.0	91.207.153.255	GB
91.207.154.0	91.207.155.255	RU
91.207.156.0	91.207.157.255	PL
91.207.158.0	91.207.159.255	NO
91.207.160.0	91.207.161.255	RO
91.207.162.0	91.207.163.255	DE
91.207.164.0	91.207.165.255	RU
91.207.166.0	91.207.169.255	PL
91.207.170.0	91.207.171.255	RU
91.207.172.0	91.207.175.255	MC
91.207.176.0	91.207.177.255	FR
91.207.178.0	91.207.181.255	RU
91.207.182.0	91.207.183.255	UA
91.207.184.0	91.207.187.255	PL
91.207.188.0	91.207.189.255	CZ
91.207.190.0	91.207.191.255	BG
91.207.192.0	91.207.193.255	GB
91.207.194.0	91.207.195.255	UA
91.207.196.0	91.207.197.255	ES
91.207.198.0	91.207.199.255	GB
91.207.200.0	91.207.203.255	PL
91.207.204.0	91.207.205.255	UA
91.207.206.0	91.207.207.255	IL
91.207.208.0	91.207.209.255	FR
91.207.210.0	91.207.211.255	UA
91.207.212.0	91.207.213.255	GB
91.207.214.0	91.207.215.255	DK
91.207.216.0	91.207.217.255	RO
91.207.218.0	91.207.219.255	UA
91.207.220.0	91.207.221.255	GB
91.207.222.0	91.207.223.255	AT
91.207.224.0	91.207.225.255	UA
91.207.226.0	91.207.227.255	NO
91.207.228.0	91.207.229.255	DK
91.207.230.0	91.207.231.255	RO
91.207.232.0	91.207.233.255	NL
91.207.234.0	91.207.235.255	RU
91.207.236.0	91.207.237.255	GR
91.207.238.0	91.207.239.255	RU
91.207.240.0	91.207.241.255	IL
91.207.242.0	91.207.243.255	PL
91.207.244.0	91.207.245.255	UA
91.207.246.0	91.207.249.255	RU
91.207.250.0	91.207.251.255	DE
91.207.252.0	91.207.253.255	RU
91.207.254.0	91.207.255.255	FR
91.208.0.0	91.208.0.255	RU
91.208.1.0	91.208.1.255	GB
91.208.2.0	91.208.2.255	SE
91.208.3.0	91.208.3.255	GB
91.208.4.0	91.208.4.255	SA
91.208.5.0	91.208.5.255	DE
91.208.6.0	91.208.6.255	GB
91.208.7.0	91.208.7.255	AT
91.208.8.0	91.208.8.255	NO
91.208.9.0	91.208.9.255	FR
91.208.10.0	91.208.10.255	PL
91.208.11.0	91.208.11.255	GB
91.208.12.0	91.208.12.255	BE
91.208.13.0	91.208.13.255	DE
91.208.14.0	91.208.14.255	IT
91.208.15.0	91.208.15.255	EE
91.208.16.0	91.208.16.255	DK
91.208.17.0	91.208.18.255	DE
91.208.19.0	91.208.19.255	FR
91.208.20.0	91.208.20.255	RU
91.208.21.0	91.208.21.255	GB
91.208.22.0	91.208.22.255	IS
91.208.23.0	91.208.23.255	RU
91.208.24.0	91.208.24.255	NO
91.208.25.0	91.208.25.255	UA
91.208.26.0	91.208.26.255	EE
91.208.27.0	91.208.27.255	SI
91.208.28.0	91.208.28.255	GB
91.208.29.0	91.208.29.255	RU
91.208.30.0	91.208.30.255	CH
91.208.31.0	91.208.31.255	IE
91.208.32.0	91.208.32.255	PL
91.208.33.0	91.208.33.255	RU
91.208.34.0	91.208.34.255	AT
91.208.35.0	91.208.35.255	RU
91.208.36.0	91.208.36.255	HU
91.208.37.0	91.208.37.255	BE
91.208.38.0	91.208.38.255	DE
91.208.39.0	91.208.39.255	RU
91.208.40.0	91.208.40.255	FR
91.208.41.0	91.208.41.255	SK
91.208.42.0	91.208.43.255	RU
91.208.44.0	91.208.44.255	PL
91.208.45.0	91.208.45.255	DE
91.208.46.0	91.208.46.255	UA
91.208.47.0	91.208.47.255	DE
91.208.48.0	91.208.48.255	LB
91.208.49.0	91.208.49.255	NL
91.208.50.0	91.208.50.255	PL
91.208.51.0	91.208.51.255	BE
91.208.52.0	91.208.52.255	UA
91.208.53.0	91.208.53.255	GB
91.208.54.0	91.208.54.255	NO
91.208.55.0	91.208.55.255	PL
91.208.56.0	91.208.56.255	EU
91.208.57.0	91.208.57.255	GR
91.208.58.0	91.208.58.255	DE
91.208.59.0	91.208.59.255	UA
91.208.60.0	91.208.60.255	NL
91.208.61.0	91.208.61.255	TR
91.208.62.0	91.208.62.255	NL
91.208.63.0	91.208.63.255	HU
91.208.64.0	91.208.64.255	RU
91.208.65.0	91.208.65.255	UA
91.208.66.0	91.208.66.255	DE
91.208.67.0	91.208.67.255	GB
91.208.68.0	91.208.68.255	DE
91.208.69.0	91.208.69.255	NL
91.208.70.0	91.208.70.255	TR
91.208.71.0	91.208.71.255	DK
91.208.72.0	91.208.72.255	PL
91.208.73.0	91.208.73.255	RU
91.208.74.0	91.208.74.255	DE
91.208.75.0	91.208.75.255	RO
91.208.76.0	91.208.76.255	AM
91.208.77.0	91.208.77.255	ES
91.208.78.0	91.208.78.255	PL
91.208.79.0	91.208.79.255	CH
91.208.80.0	91.208.80.255	AT
91.208.81.0	91.208.81.255	SE
91.208.82.0	91.208.82.255	CH
91.208.83.0	91.208.83.255	DE
91.208.84.0	91.208.84.255	RU
91.208.85.0	91.208.85.255	EU
91.208.86.0	91.208.86.255	IL
91.208.87.0	91.208.87.255	NL
91.208.88.0	91.208.88.255	SI
91.208.89.0	91.208.89.255	RS
91.208.90.0	91.208.90.255	RO
91.208.91.0	91.208.91.255	AT
91.208.92.0	91.208.92.255	RO
91.208.93.0	91.208.93.255	PL
91.208.94.0	91.208.94.255	UA
91.208.95.0	91.208.95.255	GB
91.208.96.0	91.208.96.255	LB
91.208.97.0	91.208.97.255	UA
91.208.98.0	91.208.98.255	AT
91.208.99.0	91.208.99.255	GB
91.208.100.0	91.208.100.255	RO
91.208.101.0	91.208.101.255	SI
91.208.102.0	91.208.102.255	FR
91.208.103.0	91.208.103.255	SE
91.208.104.0	91.208.104.255	HR
91.208.105.0	91.208.105.255	GB
91.208.106.0	91.208.106.255	PL
91.208.107.0	91.208.107.255	DE
91.208.108.0	91.208.109.255	FR
91.208.110.0	91.208.110.255	NL
91.208.111.0	91.208.111.255	GB
91.208.112.0	91.208.112.255	NL
91.208.113.0	91.208.113.255	RU
91.208.114.0	91.208.114.255	GB
91.208.115.0	91.208.116.255	UA
91.208.117.0	91.208.117.255	GB
91.208.118.0	91.208.118.255	IL
91.208.119.0	91.208.119.255	RU
91.208.120.0	91.208.120.255	RO
91.208.121.0	91.208.121.255	RU
91.208.122.0	91.208.122.255	GB
91.208.123.0	91.208.123.255	RO
91.208.124.0	91.208.124.255	GB
91.208.125.0	91.208.125.255	SI
91.208.126.0	91.208.126.255	RU
91.208.127.0	91.208.127.255	UA
91.208.128.0	91.208.128.255	SA
91.208.129.0	91.208.129.255	IL
91.208.130.0	91.208.130.255	CH
91.208.131.0	91.208.131.255	NL
91.208.132.0	91.208.132.255	RU
91.208.133.0	91.208.133.255	PL
91.208.134.0	91.208.134.255	RU
91.208.135.0	91.208.135.255	PL
91.208.136.0	91.208.137.255	GB
91.208.138.0	91.208.138.255	UA
91.208.139.0	91.208.140.255	IL
91.208.141.0	91.208.141.255	GB
91.208.142.0	91.208.142.255	RO
91.208.143.0	91.208.143.255	DK
91.208.144.0	91.208.144.255	GE
91.208.145.0	91.208.145.255	UA
91.208.146.0	91.208.146.255	GB
91.208.147.0	91.208.147.255	IL
91.208.148.0	91.208.148.255	NO
91.208.149.0	91.208.149.255	AM
91.208.150.0	91.208.150.255	PL
91.208.151.0	91.208.151.255	RU
91.208.152.0	91.208.152.255	IT
91.208.153.0	91.208.154.255	UA
91.208.155.0	91.208.155.255	DE
91.208.156.0	91.208.156.255	SA
91.208.157.0	91.208.157.255	DK
91.208.158.0	91.208.158.255	IT
91.208.159.0	91.208.160.255	DE
91.208.161.0	91.208.162.255	RU
91.208.163.0	91.208.163.255	GB
91.208.164.0	91.208.164.255	NL
91.208.165.0	91.208.165.255	IR
91.208.166.0	91.208.166.255	RU
91.208.167.0	91.208.167.255	NL
91.208.168.0	91.208.168.255	SI
91.208.169.0	91.208.169.255	AT
91.208.170.0	91.208.170.255	GB
91.208.171.0	91.208.171.255	RU
91.208.172.0	91.208.172.255	FR
91.208.173.0	91.208.173.255	CH
91.208.174.0	91.208.174.255	SE
91.208.175.0	91.208.175.255	NL
91.208.176.0	91.208.176.255	AT
91.208.177.0	91.208.177.255	GB
91.208.178.0	91.208.179.255	RO
91.208.180.0	91.208.180.255	CH
91.208.181.0	91.208.181.255	FR
91.208.182.0	91.208.182.255	PL
91.208.183.0	91.208.183.255	RU
91.208.184.0	91.208.184.255	GB
91.208.185.0	91.208.185.255	RU
91.208.186.0	91.208.186.255	PL
91.208.187.0	91.208.187.255	RU
91.208.188.0	91.208.188.255	SE
91.208.189.0	91.208.190.255	PL
91.208.191.0	91.208.193.255	DE
91.208.194.0	91.208.194.255	UA
91.208.195.0	91.208.195.255	IT
91.208.196.0	91.208.196.255	NL
91.208.197.0	91.208.197.255	HR
91.208.198.0	91.208.198.255	UA
91.208.199.0	91.208.199.255	TR
91.208.200.0	91.208.200.255	SI
91.208.201.0	91.208.201.255	AT
91.208.202.0	91.208.202.255	DE
91.208.203.0	91.208.203.255	KW
91.208.204.0	91.208.204.255	CH
91.208.205.0	91.208.205.255	RU
91.208.206.0	91.208.206.255	TR
91.208.207.0	91.208.207.255	SG
91.208.208.0	91.208.208.255	RU
91.208.209.0	91.208.209.255	FR
91.208.210.0	91.208.210.255	RU
91.208.211.0	91.208.211.255	BE
91.208.212.0	91.208.212.255	DE
91.208.213.0	91.208.213.255	RO
91.208.214.0	91.208.214.255	FR
91.208.215.0	91.208.215.255	RO
91.208.216.0	91.208.216.255	RU
91.208.217.0	91.208.217.255	AT
91.208.218.0	91.208.218.255	IL
91.208.219.0	91.208.219.255	GB
91.208.220.0	91.208.220.255	BE
91.208.221.0	91.208.221.255	SE
91.208.222.0	91.208.222.255	FR
91.208.223.0	91.208.223.255	RO
91.208.224.0	91.208.224.255	FR
91.208.225.0	91.208.225.255	SI
91.208.226.0	91.208.226.255	FR
91.208.227.0	91.208.227.255	CH
91.208.228.0	91.208.228.255	RU
91.208.229.0	91.208.229.255	NL
91.208.230.0	91.208.230.255	RU
91.208.231.0	91.208.231.255	UA
91.208.232.0	91.208.232.255	RU
91.208.233.0	91.208.233.255	HR
91.208.234.0	91.208.235.255	RO
91.208.236.0	91.208.236.255	AT
91.208.237.0	91.208.237.255	FR
91.208.238.0	91.208.238.255	RU
91.208.239.0	91.208.240.255	GB
91.208.241.0	91.208.241.255	NL
91.208.242.0	91.208.243.255	GB
91.208.244.0	91.208.244.255	DE
91.208.245.0	91.208.245.255	GB
91.208.246.0	91.208.246.255	RU
91.208.247.0	91.208.247.255	PL
91.208.248.0	91.208.249.255	RU
91.208.250.0	91.208.250.255	PL
91.208.251.0	91.208.251.255	UA
91.208.252.0	91.208.252.255	GB
91.208.253.0	91.208.254.255	RU
91.208.255.0	91.208.255.255	BA
91.209.0.0	91.209.0.255	SE
91.209.1.0	91.209.1.255	UA
91.209.2.0	91.209.2.255	AT
91.209.3.0	91.209.3.255	ES
91.209.4.0	91.209.4.255	PL
91.209.5.0	91.209.5.255	RO
91.209.6.0	91.209.6.255	US
91.209.7.0	91.209.7.255	NL
91.209.8.0	91.209.8.255	BG
91.209.9.0	91.209.9.255	DE
91.209.10.0	91.209.10.255	IE
91.209.11.0	91.209.11.255	UA
91.209.12.0	91.209.13.255	NL
91.209.14.0	91.209.14.255	RU
91.209.15.0	91.209.15.255	FR
91.209.16.0	91.209.17.255	RU
91.209.18.0	91.209.18.255	SI
91.209.19.0	91.209.19.255	FR
91.209.20.0	91.209.20.255	PL
91.209.21.0	91.209.21.255	BG
91.209.22.0	91.209.23.255	RO
91.209.24.0	91.209.24.255	UA
91.209.25.0	91.209.25.255	FR
91.209.26.0	91.209.26.255	DE
91.209.27.0	91.209.27.255	PL
91.209.28.0	91.209.28.255	CH
91.209.29.0	91.209.29.255	FI
91.209.30.0	91.209.30.255	NO
91.209.31.0	91.209.31.255	GB
91.209.32.0	91.209.32.255	HR
91.209.33.0	91.209.33.255	AT
91.209.34.0	91.209.34.255	GB
91.209.35.0	91.209.35.255	FR
91.209.36.0	91.209.36.255	UA
91.209.37.0	91.209.37.255	GB
91.209.38.0	91.209.38.255	AM
91.209.39.0	91.209.39.255	DK
91.209.40.0	91.209.40.255	GB
91.209.41.0	91.209.41.255	CH
91.209.42.0	91.209.42.255	DE
91.209.43.0	91.209.43.255	GB
91.209.44.0	91.209.44.255	FR
91.209.45.0	91.209.45.255	RO
91.209.46.0	91.209.47.255	GR
91.209.48.0	91.209.48.255	RU
91.209.49.0	91.209.49.255	SI
91.209.50.0	91.209.50.255	GB
91.209.51.0	91.209.51.255	UA
91.209.52.0	91.209.52.255	DE
91.209.53.0	91.209.53.255	CH
91.209.54.0	91.209.55.255	UA
91.209.56.0	91.209.56.255	PL
91.209.57.0	91.209.57.255	LB
91.209.58.0	91.209.59.255	RU
91.209.60.0	91.209.60.255	NO
91.209.61.0	91.209.61.255	RO
91.209.62.0	91.209.63.255	PL
91.209.64.0	91.209.64.255	UA
91.209.65.0	91.209.65.255	RU
91.209.66.0	91.209.66.255	MD
91.209.67.0	91.209.67.255	FR
91.209.68.0	91.209.68.255	PL
91.209.69.0	91.209.70.255	RU
91.209.71.0	91.209.71.255	GB
91.209.72.0	91.209.72.255	RU
91.209.73.0	91.209.73.255	GB
91.209.74.0	91.209.74.255	IE
91.209.75.0	91.209.75.255	AT
91.209.76.0	91.209.77.255	RU
91.209.79.0	91.209.79.255	GB
91.209.80.0	91.209.80.255	RU
91.209.81.0	91.209.81.255	DE
91.209.82.0	91.209.83.255	GB
91.209.84.0	91.209.84.255	CH
91.209.85.0	91.209.85.255	RU
91.209.86.0	91.209.86.255	GB
91.209.87.0	91.209.87.255	DE
91.209.88.0	91.209.88.255	NO
91.209.89.0	91.209.89.255	AT
91.209.90.0	91.209.90.255	UA
91.209.91.0	91.209.91.255	RU
91.209.92.0	91.209.92.255	DE
91.209.93.0	91.209.93.255	PL
91.209.94.0	91.209.94.255	RU
91.209.95.0	91.209.95.255	PL
91.209.96.0	91.209.96.255	UA
91.209.97.0	91.209.97.255	IT
91.209.98.0	91.209.98.255	CH
91.209.99.0	91.209.99.255	DE
91.209.100.0	91.209.100.255	UA
91.209.101.0	91.209.101.255	CZ
91.209.102.0	91.209.102.255	RO
91.209.103.0	91.209.103.255	DE
91.209.104.0	91.209.104.255	GB
91.209.105.0	91.209.105.255	AM
91.209.106.0	91.209.106.255	IE
91.209.107.0	91.209.107.255	FR
91.209.108.0	91.209.108.255	ES
91.209.109.0	91.209.109.255	RO
91.209.110.0	91.209.110.255	GB
91.209.111.0	91.209.111.255	CH
91.209.112.0	91.209.112.255	AT
91.209.113.0	91.209.113.255	IL
91.209.114.0	91.209.114.255	HU
91.209.115.0	91.209.115.255	RU
91.209.116.0	91.209.116.255	PL
91.209.117.0	91.209.117.255	FR
91.209.118.0	91.209.118.255	UA
91.209.119.0	91.209.119.255	RU
91.209.120.0	91.209.121.255	DE
91.209.122.0	91.209.122.255	RU
91.209.123.0	91.209.123.255	RO
91.209.124.0	91.209.124.255	RU
91.209.125.0	91.209.125.255	GB
91.209.126.0	91.209.126.255	UA
91.209.127.0	91.209.130.255	RU
91.209.131.0	91.209.131.255	GE
91.209.132.0	91.209.132.255	SI
91.209.133.0	91.209.133.255	BE
91.209.134.0	91.209.134.255	CH
91.209.135.0	91.209.135.255	ES
91.209.136.0	91.209.136.255	HR
91.209.137.0	91.209.137.255	NL
91.209.138.0	91.209.139.255	UA
91.209.140.0	91.209.140.255	GB
91.209.141.0	91.209.141.255	PL
91.209.142.0	91.209.143.255	NL
91.209.144.0	91.209.144.255	GB
91.209.145.0	91.209.145.255	SI
91.209.146.0	91.209.146.255	BG
91.209.147.0	91.209.148.255	RU
91.209.149.0	91.209.149.255	RO
91.209.150.0	91.209.150.255	SI
91.209.151.0	91.209.151.255	UA
91.209.152.0	91.209.153.255	PL
91.209.154.0	91.209.154.255	FR
91.209.155.0	91.209.155.255	PL
91.209.156.0	91.209.156.255	DK
91.209.157.0	91.209.157.255	UA
91.209.158.0	91.209.158.255	CH
91.209.159.0	91.209.160.255	DE
91.209.161.0	91.209.162.255	GB
91.209.163.0	91.209.163.255	ES
91.209.165.0	91.209.165.255	UA
91.209.166.0	91.209.166.255	DK
91.209.167.0	91.209.167.255	RU
91.209.168.0	91.209.168.255	NL
91.209.169.0	91.209.170.255	CH
91.209.171.0	91.209.171.255	RO
91.209.172.0	91.209.172.255	KW
91.209.173.0	91.209.173.255	GR
91.209.174.0	91.209.175.255	FR
91.209.176.0	91.209.176.255	UA
91.209.177.0	91.209.177.255	PL
91.209.178.0	91.209.178.255	GB
91.209.179.0	91.209.179.255	RO
91.209.180.0	91.209.180.255	PL
91.209.181.0	91.209.181.255	SI
91.209.182.0	91.209.182.255	IL
91.209.183.0	91.209.184.255	RU
91.209.185.0	91.209.185.255	DE
91.209.186.0	91.209.186.255	RU
91.209.187.0	91.209.187.255	GB
91.209.188.0	91.209.188.255	SI
91.209.189.0	91.209.189.255	RO
91.209.190.0	91.209.190.255	DK
91.209.191.0	91.209.191.255	FR
91.209.192.0	91.209.192.255	NL
91.209.193.0	91.209.193.255	UA
91.209.194.0	91.209.194.255	IT
91.209.195.0	91.209.195.255	RO
91.209.196.0	91.209.197.255	GB
91.209.198.0	91.209.198.255	RO
91.209.199.0	91.209.199.255	PL
91.209.200.0	91.209.200.255	GB
91.209.201.0	91.209.203.255	UA
91.209.204.0	91.209.204.255	CH
91.209.205.0	91.209.205.255	DE
91.209.206.0	91.209.206.255	UA
91.209.207.0	91.209.207.255	SI
91.209.208.0	91.209.208.255	NL
91.209.209.0	91.209.209.255	RO
91.209.210.0	91.209.210.255	UA
91.209.211.0	91.209.211.255	DE
91.209.212.0	91.209.212.255	NO
91.209.213.0	91.209.213.255	NL
91.209.214.0	91.209.214.255	UA
91.209.215.0	91.209.215.255	SA
91.209.216.0	91.209.216.255	HR
91.209.217.0	91.209.217.255	GB
91.209.218.0	91.209.218.255	RU
91.209.219.0	91.209.219.255	AT
91.209.220.0	91.209.220.255	GB
91.209.221.0	91.209.222.255	PL
91.209.223.0	91.209.223.255	GB
91.209.224.0	91.209.224.255	LT
91.209.225.0	91.209.225.255	GB
91.209.226.0	91.209.226.255	UA
91.209.227.0	91.209.227.255	RU
91.209.228.0	91.209.228.255	DK
91.209.229.0	91.209.229.255	FR
91.209.230.0	91.209.230.255	CH
91.209.231.0	91.209.231.255	DE
91.209.232.0	91.209.232.255	SE
91.209.233.0	91.209.234.255	RU
91.209.235.0	91.209.235.255	UA
91.209.236.0	91.209.236.255	DK
91.209.237.0	91.209.237.255	SI
91.209.238.0	91.209.238.255	EU
91.209.239.0	91.209.239.255	UA
91.209.240.0	91.209.240.255	SE
91.209.241.0	91.209.241.255	RO
91.209.242.0	91.209.242.255	IR
91.209.243.0	91.209.243.255	ES
91.209.244.0	91.209.244.255	GB
91.209.245.0	91.209.245.255	FR
91.209.246.0	91.209.246.255	GB
91.209.247.0	91.209.247.255	SK
91.209.248.0	91.209.248.255	PS
91.209.249.0	91.209.249.255	UA
91.209.250.0	91.209.250.255	DE
91.209.251.0	91.209.252.255	GB
91.209.253.0	91.209.253.255	SA
91.209.254.0	91.209.254.255	DE
91.209.255.0	91.209.255.255	RO
91.210.0.0	91.210.7.255	RU
91.210.8.0	91.210.15.255	UA
91.210.16.0	91.210.19.255	CZ
91.210.20.0	91.210.23.255	UA
91.210.24.0	91.210.27.255	RU
91.210.28.0	91.210.39.255	UA
91.210.40.0	91.210.43.255	AM
91.210.44.0	91.210.47.255	RU
91.210.48.0	91.210.51.255	PL
91.210.52.0	91.210.55.255	RU
91.210.56.0	91.210.59.255	NL
91.210.60.0	91.210.63.255	SE
91.210.64.0	91.210.67.255	RU
91.210.68.0	91.210.71.255	GB
91.210.72.0	91.210.75.255	RU
91.210.76.0	91.210.79.255	UA
91.210.80.0	91.210.83.255	RO
91.210.84.0	91.210.87.255	RU
91.210.88.0	91.210.91.255	BG
91.210.92.0	91.210.99.255	UA
91.210.100.0	91.210.103.255	GB
91.210.104.0	91.210.107.255	RU
91.210.108.0	91.210.111.255	UA
91.210.112.0	91.210.115.255	RU
91.210.116.0	91.210.123.255	UA
91.210.124.0	91.210.127.255	RU
91.210.128.0	91.210.131.255	PL
91.210.132.0	91.210.135.255	RU
91.210.136.0	91.210.139.255	AL
91.210.140.0	91.210.143.255	AT
91.210.144.0	91.210.151.255	UA
91.210.152.0	91.210.155.255	RU
91.210.156.0	91.210.159.255	UA
91.210.160.0	91.210.163.255	RU
91.210.164.0	91.210.167.255	UA
91.210.168.0	91.210.171.255	RU
91.210.172.0	91.210.175.255	KZ
91.210.176.0	91.210.179.255	UA
91.210.180.0	91.210.183.255	SK
91.210.184.0	91.210.187.255	RU
91.210.188.0	91.210.191.255	UA
91.210.192.0	91.210.207.255	RU
91.210.208.0	91.210.211.255	PL
91.210.212.0	91.210.215.255	DE
91.210.216.0	91.210.219.255	RU
91.210.220.0	91.210.223.255	AT
91.210.224.0	91.210.231.255	RU
91.210.232.0	91.210.235.255	IE
91.210.236.0	91.210.247.255	PL
91.210.248.0	91.210.251.255	UA
91.210.252.0	91.211.3.255	RU
91.211.4.0	91.211.7.255	UZ
91.211.8.0	91.211.11.255	GB
91.211.12.0	91.211.19.255	UA
91.211.20.0	91.211.31.255	RU
91.211.32.0	91.211.35.255	AT
91.211.36.0	91.211.39.255	RU
91.211.40.0	91.211.43.255	DE
91.211.44.0	91.211.47.255	RU
91.211.48.0	91.211.51.255	MD
91.211.52.0	91.211.67.255	RU
91.211.68.0	91.211.71.255	UA
91.211.72.0	91.211.75.255	NL
91.211.76.0	91.211.83.255	RU
91.211.84.0	91.211.87.255	PL
91.211.88.0	91.211.95.255	RU
91.211.96.0	91.211.99.255	IE
91.211.100.0	91.211.103.255	PL
91.211.104.0	91.211.107.255	RU
91.211.108.0	91.211.111.255	BG
91.211.112.0	91.211.115.255	DE
91.211.116.0	91.211.123.255	UA
91.211.124.0	91.211.131.255	RU
91.211.132.0	91.211.135.255	UA
91.211.136.0	91.211.151.255	RU
91.211.152.0	91.211.155.255	GB
91.211.156.0	91.211.159.255	IT
91.211.160.0	91.211.163.255	KZ
91.211.164.0	91.211.167.255	FR
91.211.168.0	91.211.171.255	SE
91.211.172.0	91.211.179.255	UA
91.211.180.0	91.211.187.255	RU
91.211.188.0	91.211.191.255	BG
91.211.192.0	91.211.199.255	RU
91.211.200.0	91.211.203.255	MD
91.211.204.0	91.211.207.255	UA
91.211.208.0	91.211.211.255	RU
91.211.212.0	91.211.215.255	UA
91.211.216.0	91.211.219.255	RU
91.211.220.0	91.211.223.255	PL
91.211.224.0	91.211.227.255	TR
91.211.228.0	91.211.231.255	RU
91.211.232.0	91.211.235.255	BG
91.211.236.0	91.211.239.255	RU
91.211.240.0	91.211.243.255	AT
91.211.244.0	91.211.247.255	LT
91.211.248.0	91.211.251.255	UA
91.211.252.0	91.211.255.255	PL
91.212.0.0	91.212.0.255	NL
91.212.1.0	91.212.1.255	LB
91.212.2.0	91.212.2.255	PL
91.212.3.0	91.212.3.255	DE
91.212.4.0	91.212.4.255	BA
91.212.5.0	91.212.5.255	PL
91.212.6.0	91.212.7.255	RU
91.212.8.0	91.212.8.255	KW
91.212.9.0	91.212.9.255	PL
91.212.10.0	91.212.10.255	LV
91.212.11.0	91.212.11.255	SE
91.212.12.0	91.212.12.255	GB
91.212.13.0	91.212.13.255	BG
91.212.14.0	91.212.14.255	RO
91.212.15.0	91.212.15.255	RS
91.212.16.0	91.212.16.255	IR
91.212.17.0	91.212.17.255	BG
91.212.18.0	91.212.18.255	GB
91.212.19.0	91.212.19.255	IR
91.212.20.0	91.212.20.255	RU
91.212.21.0	91.212.21.255	FR
91.212.22.0	91.212.22.255	UA
91.212.23.0	91.212.23.255	RO
91.212.24.0	91.212.24.255	SI
91.212.25.0	91.212.25.255	PL
91.212.26.0	91.212.26.255	FR
91.212.27.0	91.212.27.255	PL
91.212.28.0	91.212.28.255	DK
91.212.29.0	91.212.29.255	CH
91.212.30.0	91.212.30.255	PL
91.212.31.0	91.212.31.255	HR
91.212.32.0	91.212.32.255	KW
91.212.33.0	91.212.33.255	PL
91.212.34.0	91.212.34.255	UA
91.212.35.0	91.212.35.255	RO
91.212.36.0	91.212.36.255	DK
91.212.37.0	91.212.37.255	BG
91.212.38.0	91.212.38.255	DE
91.212.39.0	91.212.39.255	RO
91.212.40.0	91.212.40.255	CH
91.212.41.0	91.212.41.255	RU
91.212.42.0	91.212.42.255	NL
91.212.43.0	91.212.43.255	CH
91.212.44.0	91.212.44.255	HR
91.212.45.0	91.212.45.255	LV
91.212.46.0	91.212.46.255	AT
91.212.47.0	91.212.47.255	RU
91.212.48.0	91.212.48.255	DK
91.212.49.0	91.212.49.255	GB
91.212.50.0	91.212.50.255	RU
91.212.51.0	91.212.51.255	CH
91.212.52.0	91.212.52.255	RO
91.212.53.0	91.212.54.255	GB
91.212.55.0	91.212.55.255	FR
91.212.56.0	91.212.56.255	UA
91.212.57.0	91.212.57.255	RU
91.212.58.0	91.212.58.255	FR
91.212.59.0	91.212.59.255	RO
91.212.60.0	91.212.61.255	RU
91.212.62.0	91.212.62.255	RO
91.212.63.0	91.212.63.255	LV
91.212.64.0	91.212.64.255	RU
91.212.65.0	91.212.65.255	UA
91.212.66.0	91.212.66.255	RO
91.212.67.0	91.212.67.255	SA
91.212.68.0	91.212.68.255	RU
91.212.69.0	91.212.69.255	RS
91.212.70.0	91.212.70.255	RO
91.212.71.0	91.212.71.255	AM
91.212.72.0	91.212.72.255	UA
91.212.73.0	91.212.74.255	RO
91.212.75.0	91.212.75.255	CH
91.212.76.0	91.212.76.255	IL
91.212.77.0	91.212.77.255	CH
91.212.78.0	91.212.78.255	FR
91.212.79.0	91.212.79.255	ES
91.212.80.0	91.212.80.255	UA
91.212.81.0	91.212.82.255	RU
91.212.83.0	91.212.83.255	DE
91.212.84.0	91.212.84.255	PL
91.212.85.0	91.212.85.255	DE
91.212.86.0	91.212.86.255	PL
91.212.87.0	91.212.87.255	DE
91.212.88.0	91.212.88.255	IE
91.212.89.0	91.212.89.255	UZ
91.212.90.0	91.212.90.255	GB
91.212.91.0	91.212.91.255	CH
91.212.92.0	91.212.92.255	NO
91.212.93.0	91.212.94.255	GB
91.212.95.0	91.212.95.255	DE
91.212.96.0	91.212.96.255	NL
91.212.97.0	91.212.97.255	RU
91.212.98.0	91.212.98.255	BE
91.212.99.0	91.212.99.255	NL
91.212.100.0	91.212.100.255	PL
91.212.101.0	91.212.101.255	RO
91.212.102.0	91.212.102.255	PS
91.212.103.0	91.212.103.255	SE
91.212.104.0	91.212.104.255	RU
91.212.105.0	91.212.105.255	GB
91.212.106.0	91.212.106.255	RU
91.212.107.0	91.212.107.255	CY
91.212.108.0	91.212.108.255	GB
91.212.109.0	91.212.109.255	CH
91.212.110.0	91.212.111.255	RO
91.212.112.0	91.212.112.255	FR
91.212.113.0	91.212.113.255	DE
91.212.114.0	91.212.114.255	IL
91.212.115.0	91.212.115.255	GB
91.212.116.0	91.212.116.255	FR
91.212.117.0	91.212.117.255	CH
91.212.118.0	91.212.118.255	RU
91.212.119.0	91.212.119.255	FR
91.212.120.0	91.212.120.255	RO
91.212.121.0	91.212.121.255	CH
91.212.122.0	91.212.122.255	MK
91.212.123.0	91.212.123.255	RU
91.212.124.0	91.212.125.255	UA
91.212.126.0	91.212.126.255	TR
91.212.127.0	91.212.127.255	EU
91.212.128.0	91.212.128.255	FR
91.212.129.0	91.212.129.255	DK
91.212.130.0	91.212.130.255	DE
91.212.131.0	91.212.131.255	GB
91.212.132.0	91.212.132.255	RS
91.212.133.0	91.212.133.255	RU
91.212.134.0	91.212.134.255	SI
91.212.135.0	91.212.135.255	RU
91.212.136.0	91.212.136.255	AT
91.212.137.0	91.212.137.255	RU
91.212.138.0	91.212.138.255	GB
91.212.139.0	91.212.140.255	NL
91.212.141.0	91.212.142.255	RU
91.212.143.0	91.212.143.255	RO
91.212.144.0	91.212.144.255	DE
91.212.145.0	91.212.145.255	CY
91.212.146.0	91.212.146.255	RU
91.212.147.0	91.212.147.255	FR
91.212.148.0	91.212.148.255	RO
91.212.149.0	91.212.151.255	RU
91.212.152.0	91.212.152.255	FR
91.212.153.0	91.212.154.255	UA
91.212.155.0	91.212.155.255	PL
91.212.156.0	91.212.156.255	UA
91.212.157.0	91.212.157.255	FR
91.212.158.0	91.212.158.255	UA
91.212.159.0	91.212.159.255	RO
91.212.160.0	91.212.160.255	GB
91.212.161.0	91.212.162.255	RO
91.212.163.0	91.212.163.255	BG
91.212.164.0	91.212.164.255	RO
91.212.165.0	91.212.165.255	PL
91.212.166.0	91.212.166.255	GB
91.212.167.0	91.212.167.255	IT
91.212.168.0	91.212.168.255	RU
91.212.169.0	91.212.170.255	PL
91.212.171.0	91.212.171.255	RU
91.212.172.0	91.212.172.255	PL
91.212.173.0	91.212.174.255	UA
91.212.175.0	91.212.175.255	ES
91.212.176.0	91.212.176.255	NL
91.212.177.0	91.212.177.255	UA
91.212.178.0	91.212.178.255	TR
91.212.179.0	91.212.179.255	RU
91.212.180.0	91.212.180.255	UZ
91.212.181.0	91.212.181.255	DE
91.212.182.0	91.212.182.255	GB
91.212.183.0	91.212.184.255	NL
91.212.185.0	91.212.186.255	BE
91.212.187.0	91.212.187.255	AT
91.212.188.0	91.212.188.255	SE
91.212.189.0	91.212.189.255	IL
91.212.190.0	91.212.192.255	RO
91.212.193.0	91.212.193.255	KZ
91.212.194.0	91.212.194.255	UA
91.212.195.0	91.212.195.255	RU
91.212.196.0	91.212.196.255	CH
91.212.197.0	91.212.197.255	RU
91.212.198.0	91.212.198.255	LV
91.212.199.0	91.212.199.255	SI
91.212.200.0	91.212.200.255	CH
91.212.201.0	91.212.201.255	BG
91.212.202.0	91.212.202.255	FR
91.212.203.0	91.212.203.255	UA
91.212.204.0	91.212.204.255	DE
91.212.205.0	91.212.205.255	FR
91.212.206.0	91.212.206.255	DE
91.212.207.0	91.212.207.255	SE
91.212.208.0	91.212.208.255	SI
91.212.209.0	91.212.209.255	SE
91.212.210.0	91.212.210.255	GB
91.212.211.0	91.212.211.255	FR
91.212.212.0	91.212.212.255	GB
91.212.213.0	91.212.213.255	GE
91.212.214.0	91.212.214.255	UA
91.212.215.0	91.212.215.255	NL
91.212.216.0	91.212.216.255	GB
91.212.217.0	91.212.218.255	RU
91.212.219.0	91.212.219.255	IT
91.212.220.0	91.212.221.255	RU
91.212.222.0	91.212.222.255	GB
91.212.223.0	91.212.223.255	PL
91.212.224.0	91.212.224.255	DK
91.212.225.0	91.212.225.255	DE
91.212.226.0	91.212.226.255	RU
91.212.227.0	91.212.227.255	RO
91.212.228.0	91.212.228.255	SE
91.212.229.0	91.212.229.255	RO
91.212.230.0	91.212.230.255	RU
91.212.231.0	91.212.231.255	PL
91.212.232.0	91.212.232.255	LT
91.212.233.0	91.212.233.255	BG
91.212.234.0	91.212.234.255	CH
91.212.235.0	91.212.235.255	BG
91.212.236.0	91.212.236.255	FR
91.212.237.0	91.212.237.255	NL
91.212.238.0	91.212.238.255	FR
91.212.239.0	91.212.239.255	RU
91.212.240.0	91.212.240.255	TR
91.212.241.0	91.212.241.255	IT
91.212.242.0	91.212.242.255	PL
91.212.243.0	91.212.243.255	DE
91.212.244.0	91.212.244.255	EE
91.212.245.0	91.212.245.255	DE
91.212.246.0	91.212.247.255	HR
91.212.248.0	91.212.248.255	UA
91.212.249.0	91.212.249.255	IT
91.212.250.0	91.212.250.255	HU
91.212.251.0	91.212.251.255	SI
91.212.252.0	91.212.252.255	IR
91.212.253.0	91.212.253.255	UA
91.212.254.0	91.212.254.255	RO
91.212.255.0	91.212.255.255	FR
91.213.0.0	91.213.0.255	SE
91.213.1.0	91.213.1.255	TR
91.213.2.0	91.213.2.255	CH
91.213.3.0	91.213.3.255	GB
91.213.4.0	91.213.4.255	CH
91.213.5.0	91.213.5.255	RU
91.213.6.0	91.213.6.255	AT
91.213.7.0	91.213.7.255	IT
91.213.8.0	91.213.8.255	UA
91.213.9.0	91.213.9.255	HU
91.213.10.0	91.213.10.255	CZ
91.213.11.0	91.213.11.255	RO
91.213.12.0	91.213.12.255	BG
91.213.13.0	91.213.13.255	NL
91.213.14.0	91.213.14.255	RU
91.213.15.0	91.213.15.255	FR
91.213.16.0	91.213.16.255	RO
91.213.17.0	91.213.17.255	DK
91.213.18.0	91.213.18.255	SA
91.213.19.0	91.213.19.255	RO
91.213.20.0	91.213.22.255	DE
91.213.23.0	91.213.23.255	RU
91.213.24.0	91.213.24.255	CH
91.213.25.0	91.213.25.255	FR
91.213.26.0	91.213.26.255	BE
91.213.27.0	91.213.27.255	DE
91.213.28.0	91.213.28.255	GB
91.213.29.0	91.213.29.255	RU
91.213.30.0	91.213.30.255	ES
91.213.31.0	91.213.31.255	UZ
91.213.32.0	91.213.32.255	CH
91.213.34.0	91.213.35.255	RO
91.213.36.0	91.213.36.255	DE
91.213.37.0	91.213.37.255	NL
91.213.38.0	91.213.38.255	PL
91.213.39.0	91.213.39.255	RU
91.213.40.0	91.213.40.255	HU
91.213.41.0	91.213.41.255	FR
91.213.42.0	91.213.42.255	GB
91.213.43.0	91.213.43.255	EE
91.213.44.0	91.213.44.255	RU
91.213.45.0	91.213.45.255	GB
91.213.46.0	91.213.46.255	ES
91.213.47.0	91.213.47.255	NO
91.213.48.0	91.213.48.255	DE
91.213.49.0	91.213.49.255	IE
91.213.50.0	91.213.50.255	EU
91.213.51.0	91.213.51.255	RU
91.213.52.0	91.213.52.255	GR
91.213.53.0	91.213.53.255	NL
91.213.54.0	91.213.54.255	AT
91.213.55.0	91.213.55.255	RO
91.213.56.0	91.213.56.255	DE
91.213.57.0	91.213.57.255	RO
91.213.58.0	91.213.58.255	PL
91.213.59.0	91.213.59.255	UA
91.213.60.0	91.213.61.255	DE
91.213.62.0	91.213.62.255	UA
91.213.63.0	91.213.63.255	GB
91.213.64.0	91.213.64.255	PL
91.213.65.0	91.213.65.255	PT
91.213.66.0	91.213.66.255	AT
91.213.67.0	91.213.67.255	RU
91.213.68.0	91.213.68.255	MH
91.213.69.0	91.213.69.255	NL
91.213.70.0	91.213.70.255	DK
91.213.71.0	91.213.71.255	PL
91.213.72.0	91.213.72.255	KZ
91.213.73.0	91.213.73.255	IE
91.213.74.0	91.213.74.255	UA
91.213.75.0	91.213.75.255	HU
91.213.76.0	91.213.76.255	RO
91.213.77.0	91.213.77.255	AT
91.213.78.0	91.213.78.255	NL
91.213.79.0	91.213.79.255	FR
91.213.80.0	91.213.80.255	SI
91.213.81.0	91.213.81.255	GB
91.213.82.0	91.213.82.255	FR
91.213.83.0	91.213.84.255	GB
91.213.85.0	91.213.85.255	NL
91.213.86.0	91.213.86.255	MD
91.213.87.0	91.213.87.255	RU
91.213.88.0	91.213.88.255	PL
91.213.89.0	91.213.89.255	SI
91.213.90.0	91.213.90.255	FR
91.213.91.0	91.213.91.255	DE
91.213.92.0	91.213.92.255	UA
91.213.93.0	91.213.93.255	KZ
91.213.94.0	91.213.94.255	UA
91.213.95.0	91.213.95.255	NL
91.213.96.0	91.213.96.255	PL
91.213.97.0	91.213.97.255	FI
91.213.98.0	91.213.99.255	DE
91.213.100.0	91.213.100.255	CH
91.213.101.0	91.213.101.255	RO
91.213.102.0	91.213.102.255	FR
91.213.103.0	91.213.103.255	DE
91.213.104.0	91.213.104.255	RU
91.213.105.0	91.213.106.255	LV
91.213.107.0	91.213.108.255	PL
91.213.109.0	91.213.109.255	RU
91.213.110.0	91.213.110.255	GB
91.213.111.0	91.213.111.255	RO
91.213.112.0	91.213.112.255	NL
91.213.113.0	91.213.115.255	RU
91.213.116.0	91.213.116.255	DE
91.213.117.0	91.213.117.255	UA
91.213.118.0	91.213.118.255	PL
91.213.119.0	91.213.119.255	UA
91.213.120.0	91.213.120.255	RU
91.213.121.0	91.213.121.255	UA
91.213.122.0	91.213.122.255	CZ
91.213.123.0	91.213.124.255	PL
91.213.125.0	91.213.125.255	UA
91.213.126.0	91.213.126.255	CR
91.213.127.0	91.213.127.255	DE
91.213.128.0	91.213.128.255	CH
91.213.129.0	91.213.129.255	IT
91.213.130.0	91.213.130.255	RU
91.213.131.0	91.213.131.255	SI
91.213.132.0	91.213.132.255	AT
91.213.133.0	91.213.133.255	CH
91.213.134.0	91.213.134.255	NL
91.213.135.0	91.213.135.255	RO
91.213.136.0	91.213.136.255	CH
91.213.137.0	91.213.137.255	PL
91.213.138.0	91.213.139.255	RU
91.213.140.0	91.213.140.255	GB
91.213.141.0	91.213.142.255	RU
91.213.143.0	91.213.143.255	CZ
91.213.144.0	91.213.144.255	RU
91.213.145.0	91.213.146.255	FR
91.213.147.0	91.213.147.255	SI
91.213.148.0	91.213.148.255	RU
91.213.149.0	91.213.149.255	UA
91.213.150.0	91.213.150.255	HU
91.213.151.0	91.213.151.255	DE
91.213.152.0	91.213.152.255	CH
91.213.153.0	91.213.153.255	IT
91.213.154.0	91.213.154.255	UA
91.213.155.0	91.213.155.255	SE
91.213.156.0	91.213.156.255	PL
91.213.157.0	91.213.157.255	TT
91.213.158.0	91.213.158.255	RU
91.213.159.0	91.213.159.255	CH
91.213.160.0	91.213.160.255	CZ
91.213.161.0	91.213.161.255	FI
91.213.162.0	91.213.162.255	PL
91.213.163.0	91.213.163.255	RU
91.213.164.0	91.213.164.255	GB
91.213.165.0	91.213.165.255	NL
91.213.166.0	91.213.169.255	RU
91.213.170.0	91.213.170.255	PL
91.213.171.0	91.213.171.255	CH
91.213.172.0	91.213.172.255	RU
91.213.173.0	91.213.173.255	GB
91.213.174.0	91.213.174.255	RU
91.213.175.0	91.213.175.255	UA
91.213.176.0	91.213.176.255	IL
91.213.177.0	91.213.177.255	DE
91.213.178.0	91.213.178.255	NL
91.213.179.0	91.213.179.255	SE
91.213.180.0	91.213.180.255	FR
91.213.181.0	91.213.181.255	MD
91.213.182.0	91.213.182.255	UA
91.213.183.0	91.213.183.255	GB
91.213.184.0	91.213.184.255	RU
91.213.185.0	91.213.185.255	UA
91.213.186.0	91.213.186.255	RU
91.213.187.0	91.213.187.255	UA
91.213.188.0	91.213.188.255	GB
91.213.189.0	91.213.189.255	RU
91.213.190.0	91.213.190.255	NL
91.213.191.0	91.213.191.255	IQ
91.213.192.0	91.213.192.255	UA
91.213.193.0	91.213.193.255	PL
91.213.194.0	91.213.194.255	CH
91.213.195.0	91.213.195.255	NL
91.213.196.0	91.213.196.255	RU
91.213.197.0	91.213.197.255	IT
91.213.198.0	91.213.198.255	DE
91.213.199.0	91.213.202.255	GB
91.213.203.0	91.213.203.255	NO
91.213.204.0	91.213.204.255	AT
91.213.205.0	91.213.205.255	SA
91.213.206.0	91.213.206.255	PL
91.213.207.0	91.213.207.255	DE
91.213.208.0	91.213.208.255	SE
91.213.209.0	91.213.209.255	PA
91.213.210.0	91.213.210.255	IT
91.213.211.0	91.213.211.255	CZ
91.213.212.0	91.213.212.255	GB
91.213.213.0	91.213.213.255	SA
91.213.214.0	91.213.214.255	NL
91.213.215.0	91.213.215.255	RO
91.213.216.0	91.213.216.255	GB
91.213.217.0	91.213.217.255	EU
91.213.218.0	91.213.219.255	NL
91.213.220.0	91.213.220.255	RU
91.213.221.0	91.213.221.255	DE
91.213.222.0	91.213.222.255	AT
91.213.223.0	91.213.223.255	RU
91.213.224.0	91.213.224.255	NO
91.213.225.0	91.213.225.255	RU
91.213.226.0	91.213.226.255	MD
91.213.227.0	91.213.227.255	CH
91.213.228.0	91.213.228.255	GR
91.213.229.0	91.213.229.255	UA
91.213.230.0	91.213.230.255	GB
91.213.231.0	91.213.231.255	UA
91.213.232.0	91.213.232.255	DE
91.213.233.0	91.213.233.255	KG
91.213.234.0	91.213.235.255	AT
91.213.236.0	91.213.236.255	FR
91.213.237.0	91.213.239.255	PL
91.213.240.0	91.213.240.255	RU
91.213.241.0	91.213.241.255	SI
91.213.242.0	91.213.242.255	FR
91.213.243.0	91.213.243.255	RU
91.213.244.0	91.213.244.255	CZ
91.213.245.0	91.213.245.255	TR
91.213.246.0	91.213.246.255	SE
91.213.247.0	91.213.247.255	RU
91.213.248.0	91.213.248.255	UZ
91.213.249.0	91.213.249.255	RU
91.213.250.0	91.213.250.255	SE
91.213.251.0	91.213.251.255	BE
91.213.252.0	91.213.252.255	GB
91.213.253.0	91.213.254.255	TR
91.213.255.0	91.214.3.255	PL
91.214.4.0	91.214.7.255	GB
91.214.8.0	91.214.11.255	DE
91.214.12.0	91.214.15.255	RO
91.214.16.0	91.214.19.255	UA
91.214.20.0	91.214.23.255	DK
91.214.24.0	91.214.27.255	PL
91.214.28.0	91.214.35.255	UA
91.214.36.0	91.214.39.255	PL
91.214.40.0	91.214.43.255	RU
91.214.44.0	91.214.47.255	LU
91.214.48.0	91.214.51.255	UA
91.214.52.0	91.214.55.255	PL
91.214.56.0	91.214.59.255	RU
91.214.60.0	91.214.63.255	IT
91.214.64.0	91.214.67.255	GB
91.214.68.0	91.214.71.255	RU
91.214.72.0	91.214.75.255	IT
91.214.76.0	91.214.79.255	RU
91.214.80.0	91.214.87.255	UA
91.214.88.0	91.214.91.255	SE
91.214.92.0	91.214.95.255	GB
91.214.96.0	91.214.99.255	RU
91.214.100.0	91.214.103.255	IL
91.214.104.0	91.214.107.255	HR
91.214.108.0	91.214.111.255	NL
91.214.112.0	91.214.115.255	UA
91.214.116.0	91.214.123.255	RU
91.214.124.0	91.214.139.255	UA
91.214.140.0	91.214.143.255	KZ
91.214.144.0	91.214.151.255	RU
91.214.152.0	91.214.155.255	KW
91.214.156.0	91.214.159.255	CZ
91.214.160.0	91.214.163.255	UA
91.214.164.0	91.214.167.255	FI
91.214.168.0	91.214.171.255	CH
91.214.172.0	91.214.175.255	RU
91.214.176.0	91.214.183.255	UA
91.214.184.0	91.214.187.255	RU
91.214.188.0	91.214.191.255	RO
91.214.192.0	91.214.195.255	CZ
91.214.196.0	91.214.199.255	RU
91.214.200.0	91.214.203.255	MD
91.214.204.0	91.214.207.255	RU
91.214.208.0	91.214.211.255	UA
91.214.212.0	91.214.227.255	RU
91.214.228.0	91.214.231.255	GB
91.214.232.0	91.214.235.255	UA
91.214.236.0	91.214.239.255	PL
91.214.240.0	91.214.243.255	RU
91.214.244.0	91.214.251.255	UA
91.214.252.0	91.214.255.255	DE
91.215.0.0	91.215.3.255	PL
91.215.4.0	91.215.7.255	NL
91.215.8.0	91.215.11.255	UA
91.215.12.0	91.215.15.255	CZ
91.215.16.0	91.215.19.255	RU
91.215.20.0	91.215.23.255	FR
91.215.24.0	91.215.27.255	UA
91.215.28.0	91.215.31.255	RU
91.215.32.0	91.215.35.255	PL
91.215.36.0	91.215.43.255	RU
91.215.44.0	91.215.47.255	PL
91.215.48.0	91.215.51.255	RU
91.215.52.0	91.215.63.255	UA
91.215.64.0	91.215.67.255	ES
91.215.68.0	91.215.71.255	UA
91.215.72.0	91.215.75.255	DE
91.215.76.0	91.215.79.255	RU
91.215.80.0	91.215.83.255	PL
91.215.84.0	91.215.91.255	RU
91.215.92.0	91.215.95.255	SE
91.215.96.0	91.215.99.255	RO
91.215.100.0	91.215.103.255	DE
91.215.104.0	91.215.107.255	PL
91.215.108.0	91.215.115.255	RU
91.215.116.0	91.215.119.255	DE
91.215.120.0	91.215.123.255	RU
91.215.124.0	91.215.127.255	UA
91.215.128.0	91.215.131.255	RU
91.215.132.0	91.215.135.255	FI
91.215.136.0	91.215.139.255	UA
91.215.140.0	91.215.143.255	RU
91.215.144.0	91.215.147.255	UA
91.215.148.0	91.215.151.255	NL
91.215.152.0	91.215.155.255	RU
91.215.156.0	91.215.159.255	NL
91.215.160.0	91.215.163.255	DK
91.215.164.0	91.215.167.255	GB
91.215.168.0	91.215.171.255	RU
91.215.172.0	91.215.175.255	KZ
91.215.176.0	91.215.179.255	BY
91.215.180.0	91.215.187.255	GB
91.215.188.0	91.215.215.255	RU
91.215.216.0	91.215.219.255	BG
91.215.220.0	91.215.227.255	RU
91.215.228.0	91.215.231.255	PL
91.215.232.0	91.215.235.255	RU
91.215.236.0	91.215.239.255	PL
91.215.240.0	91.215.243.255	AT
91.215.244.0	91.215.247.255	RU
91.215.248.0	91.215.251.255	UA
91.215.252.0	91.215.255.255	RU
91.216.0.0	91.216.0.255	SE
91.216.1.0	91.216.2.255	LV
91.216.3.0	91.216.3.255	RU
91.216.4.0	91.216.4.255	IR
91.216.5.0	91.216.5.255	PL
91.216.6.0	91.216.6.255	IE
91.216.7.0	91.216.7.255	SE
91.216.8.0	91.216.9.255	GB
91.216.10.0	91.216.10.255	BE
91.216.11.0	91.216.11.255	UA
91.216.12.0	91.216.12.255	ES
91.216.13.0	91.216.13.255	DE
91.216.14.0	91.216.14.255	DK
91.216.15.0	91.216.15.255	UA
91.216.16.0	91.216.16.255	PL
91.216.17.0	91.216.17.255	IT
91.216.18.0	91.216.18.255	GB
91.216.19.0	91.216.19.255	FR
91.216.20.0	91.216.20.255	BE
91.216.21.0	91.216.21.255	MD
91.216.22.0	91.216.22.255	UA
91.216.23.0	91.216.23.255	DE
91.216.24.0	91.216.24.255	SE
91.216.25.0	91.216.25.255	PL
91.216.26.0	91.216.26.255	FR
91.216.27.0	91.216.27.255	RO
91.216.28.0	91.216.28.255	UA
91.216.29.0	91.216.29.255	FR
91.216.30.0	91.216.30.255	PL
91.216.31.0	91.216.31.255	IL
91.216.32.0	91.216.32.255	SE
91.216.33.0	91.216.33.255	DE
91.216.34.0	91.216.34.255	NL
91.216.35.0	91.216.35.255	DE
91.216.36.0	91.216.36.255	CH
91.216.38.0	91.216.38.255	IT
91.216.39.0	91.216.39.255	UA
91.216.40.0	91.216.40.255	GB
91.216.41.0	91.216.41.255	BE
91.216.42.0	91.216.42.255	GB
91.216.43.0	91.216.43.255	FR
91.216.44.0	91.216.44.255	HU
91.216.45.0	91.216.45.255	DE
91.216.46.0	91.216.46.255	RU
91.216.47.0	91.216.47.255	RO
91.216.48.0	91.216.48.255	RS
91.216.49.0	91.216.50.255	RU
91.216.51.0	91.216.51.255	PL
91.216.52.0	91.216.52.255	RO
91.216.53.0	91.216.53.255	RU
91.216.54.0	91.216.54.255	SI
91.216.55.0	91.216.55.255	GB
91.216.56.0	91.216.56.255	EU
91.216.57.0	91.216.57.255	GB
91.216.58.0	91.216.58.255	FR
91.216.59.0	91.216.59.255	RU
91.216.60.0	91.216.60.255	HU
91.216.61.0	91.216.61.255	UA
91.216.62.0	91.216.62.255	SE
91.216.63.0	91.216.63.255	ES
91.216.64.0	91.216.64.255	PL
91.216.66.0	91.216.66.255	RU
91.216.67.0	91.216.67.255	FR
91.216.68.0	91.216.69.255	RU
91.216.70.0	91.216.70.255	HU
91.216.71.0	91.216.71.255	BG
91.216.72.0	91.216.72.255	RU
91.216.73.0	91.216.73.255	EU
91.216.74.0	91.216.74.255	DE
91.216.75.0	91.216.75.255	RO
91.216.76.0	91.216.76.255	GR
91.216.77.0	91.216.77.255	FI
91.216.78.0	91.216.78.255	RO
91.216.79.0	91.216.79.255	DE
91.216.80.0	91.216.80.255	RO
91.216.81.0	91.216.81.255	RU
91.216.82.0	91.216.82.255	GB
91.216.83.0	91.216.85.255	FR
91.216.86.0	91.216.86.255	EE
91.216.87.0	91.216.87.255	SI
91.216.88.0	91.216.89.255	GB
91.216.90.0	91.216.90.255	DE
91.216.91.0	91.216.91.255	TR
91.216.92.0	91.216.92.255	AT
91.216.93.0	91.216.93.255	GB
91.216.94.0	91.216.94.255	UA
91.216.95.0	91.216.95.255	BG
91.216.96.0	91.216.96.255	RU
91.216.97.0	91.216.97.255	MD
91.216.98.0	91.216.98.255	RU
91.216.99.0	91.216.99.255	PL
91.216.100.0	91.216.100.255	NL
91.216.101.0	91.216.101.255	DK
91.216.102.0	91.216.102.255	IT
91.216.103.0	91.216.103.255	DK
91.216.104.0	91.216.104.255	NL
91.216.105.0	91.216.105.255	GB
91.216.106.0	91.216.106.255	UA
91.216.107.0	91.216.107.255	FR
91.216.108.0	91.216.108.255	DE
91.216.109.0	91.216.109.255	SI
91.216.110.0	91.216.110.255	FR
91.216.111.0	91.216.111.255	SE
91.216.112.0	91.216.112.255	GB
91.216.113.0	91.216.113.255	NL
91.216.114.0	91.216.115.255	RU
91.216.116.0	91.216.116.255	GB
91.216.117.0	91.216.117.255	PT
91.216.118.0	91.216.118.255	DK
91.216.119.0	91.216.119.255	TR
91.216.120.0	91.216.120.255	AT
91.216.121.0	91.216.121.255	RU
91.216.122.0	91.216.122.255	MD
91.216.123.0	91.216.123.255	RU
91.216.124.0	91.216.125.255	PL
91.216.126.0	91.216.126.255	RU
91.216.127.0	91.216.127.255	IT
91.216.128.0	91.216.128.255	DE
91.216.129.0	91.216.130.255	RU
91.216.131.0	91.216.132.255	NL
91.216.133.0	91.216.133.255	UA
91.216.134.0	91.216.134.255	PL
91.216.135.0	91.216.135.255	UA
91.216.136.0	91.216.136.255	FI
91.216.137.0	91.216.138.255	GB
91.216.139.0	91.216.140.255	FR
91.216.141.0	91.216.141.255	EU
91.216.142.0	91.216.142.255	NL
91.216.143.0	91.216.143.255	GB
91.216.144.0	91.216.144.255	RO
91.216.145.0	91.216.145.255	BE
91.216.146.0	91.216.146.255	GB
91.216.147.0	91.216.147.255	RU
91.216.148.0	91.216.148.255	TR
91.216.149.0	91.216.149.255	PL
91.216.150.0	91.216.150.255	HU
91.216.151.0	91.216.152.255	RO
91.216.153.0	91.216.153.255	MT
91.216.154.0	91.216.154.255	EU
91.216.155.0	91.216.155.255	ES
91.216.156.0	91.216.157.255	RO
91.216.158.0	91.216.158.255	DE
91.216.159.0	91.216.159.255	GB
91.216.160.0	91.216.160.255	PL
91.216.161.0	91.216.161.255	UA
91.216.162.0	91.216.162.255	DE
91.216.163.0	91.216.163.255	LT
91.216.164.0	91.216.164.255	RU
91.216.165.0	91.216.165.255	UA
91.216.166.0	91.216.166.255	MD
91.216.167.0	91.216.167.255	RU
91.216.168.0	91.216.168.255	CZ
91.216.169.0	91.216.169.255	AE
91.216.170.0	91.216.170.255	TR
91.216.171.0	91.216.171.255	FR
91.216.172.0	91.216.172.255	SI
91.216.173.0	91.216.173.255	UA
91.216.174.0	91.216.174.255	BG
91.216.175.0	91.216.175.255	RU
91.216.176.0	91.216.176.255	GE
91.216.177.0	91.216.177.255	RO
91.216.178.0	91.216.178.255	KZ
91.216.179.0	91.216.179.255	CZ
91.216.180.0	91.216.180.255	GR
91.216.181.0	91.216.181.255	GB
91.216.182.0	91.216.182.255	DK
91.216.183.0	91.216.183.255	GB
91.216.184.0	91.216.184.255	NL
91.216.185.0	91.216.185.255	CZ
91.216.186.0	91.216.186.255	FR
91.216.187.0	91.216.187.255	RU
91.216.188.0	91.216.188.255	KW
91.216.189.0	91.216.189.255	KZ
91.216.190.0	91.216.190.255	EU
91.216.191.0	91.216.191.255	PL
91.216.192.0	91.216.192.255	RU
91.216.193.0	91.216.193.255	GB
91.216.194.0	91.216.194.255	PL
91.216.195.0	91.216.195.255	FR
91.216.196.0	91.216.196.255	UA
91.216.197.0	91.216.197.255	GB
91.216.198.0	91.216.198.255	RU
91.216.199.0	91.216.199.255	RO
91.216.200.0	91.216.200.255	NL
91.216.201.0	91.216.201.255	TR
91.216.202.0	91.216.202.255	PL
91.216.203.0	91.216.203.255	FR
91.216.204.0	91.216.204.255	PL
91.216.205.0	91.216.205.255	RU
91.216.206.0	91.216.206.255	GR
91.216.207.0	91.216.207.255	NL
91.216.208.0	91.216.208.255	RU
91.216.209.0	91.216.209.255	FR
91.216.210.0	91.216.210.255	CY
91.216.211.0	91.216.212.255	RU
91.216.213.0	91.216.214.255	PL
91.216.215.0	91.216.215.255	RU
91.216.216.0	91.216.216.255	DE
91.216.218.0	91.216.219.255	ES
91.216.220.0	91.216.220.255	KZ
91.216.221.0	91.216.221.255	FR
91.216.222.0	91.216.222.255	IL
91.216.223.0	91.216.223.255	TR
91.216.224.0	91.216.224.255	PL
91.216.225.0	91.216.225.255	RO
91.216.226.0	91.216.226.255	DK
91.216.227.0	91.216.227.255	RO
91.216.228.0	91.216.228.255	FR
91.216.229.0	91.216.229.255	CH
91.216.230.0	91.216.230.255	AT
91.216.231.0	91.216.231.255	UA
91.216.232.0	91.216.232.255	RU
91.216.233.0	91.216.233.255	RO
91.216.234.0	91.216.234.255	FR
91.216.235.0	91.216.235.255	DE
91.216.236.0	91.216.236.255	IE
91.216.237.0	91.216.237.255	UA
91.216.238.0	91.216.238.255	BE
91.216.239.0	91.216.239.255	PL
91.216.240.0	91.216.240.255	UA
91.216.241.0	91.216.241.255	IE
91.216.242.0	91.216.242.255	AT
91.216.243.0	91.216.243.255	DE
91.216.244.0	91.216.244.255	UA
91.216.245.0	91.216.245.255	DE
91.216.246.0	91.216.246.255	GB
91.216.247.0	91.216.247.255	AT
91.216.248.0	91.216.248.255	DE
91.216.249.0	91.216.249.255	AT
91.216.250.0	91.216.250.255	RU
91.216.251.0	91.216.251.255	UA
91.216.252.0	91.216.252.255	IL
91.216.253.0	91.216.253.255	BG
91.216.254.0	91.216.254.255	PL
91.216.255.0	91.216.255.255	IS
91.217.0.0	91.217.1.255	PL
91.217.2.0	91.217.3.255	RU
91.217.4.0	91.217.5.255	UA
91.217.6.0	91.217.7.255	RU
91.217.8.0	91.217.13.255	UA
91.217.14.0	91.217.15.255	RS
91.217.16.0	91.217.17.255	RU
91.217.18.0	91.217.19.255	PL
91.217.20.0	91.217.21.255	RU
91.217.22.0	91.217.23.255	UA
91.217.24.0	91.217.25.255	PL
91.217.26.0	91.217.29.255	RO
91.217.30.0	91.217.31.255	NL
91.217.32.0	91.217.33.255	SK
91.217.34.0	91.217.35.255	RU
91.217.36.0	91.217.37.255	DE
91.217.38.0	91.217.39.255	AT
91.217.40.0	91.217.41.255	PL
91.217.42.0	91.217.43.255	RU
91.217.44.0	91.217.45.255	FR
91.217.46.0	91.217.47.255	RU
91.217.48.0	91.217.49.255	PL
91.217.50.0	91.217.51.255	RU
91.217.52.0	91.217.53.255	CZ
91.217.54.0	91.217.55.255	HU
91.217.56.0	91.217.57.255	NL
91.217.58.0	91.217.59.255	EU
91.217.128.0	91.217.128.255	CH
91.217.129.0	91.217.129.255	RU
91.217.130.0	91.217.130.255	RO
91.217.131.0	91.217.131.255	DE
91.217.132.0	91.217.132.255	PL
91.217.133.0	91.217.133.255	DK
91.217.134.0	91.217.135.255	GB
91.217.136.0	91.217.137.255	RU
91.217.138.0	91.217.138.255	ME
91.217.139.0	91.217.139.255	CH
91.217.140.0	91.217.140.255	FR
91.217.141.0	91.217.141.255	DE
91.217.142.0	91.217.142.255	PL
91.217.143.0	91.217.143.255	RU
91.217.144.0	91.217.144.255	UA
91.217.145.0	91.217.145.255	DE
91.217.146.0	91.217.146.255	NL
91.217.147.0	91.217.147.255	TR
91.217.148.0	91.217.148.255	BG
91.217.149.0	91.217.149.255	AT
91.217.150.0	91.217.150.255	PL
91.217.151.0	91.217.151.255	FR
91.217.152.0	91.217.152.255	PL
91.217.153.0	91.217.153.255	UA
91.217.154.0	91.217.154.255	FR
91.217.155.0	91.217.155.255	GR
91.217.156.0	91.217.156.255	RU
91.217.157.0	91.217.157.255	AM
91.217.158.0	91.217.158.255	PL
91.217.159.0	91.217.159.255	RU
91.217.160.0	91.217.160.255	GB
91.217.161.0	91.217.161.255	PL
91.217.162.0	91.217.162.255	UA
91.217.163.0	91.217.163.255	PL
91.217.164.0	91.217.164.255	FR
91.217.165.0	91.217.165.255	DE
91.217.167.0	91.217.167.255	UA
91.217.168.0	91.217.168.255	FR
91.217.169.0	91.217.169.255	HU
91.217.170.0	91.217.170.255	CH
91.217.171.0	91.217.171.255	PL
91.217.172.0	91.217.172.255	FR
91.217.173.0	91.217.173.255	AT
91.218.0.0	91.218.3.255	RO
91.218.4.0	91.218.7.255	AM
91.218.8.0	91.218.11.255	RU
91.218.12.0	91.218.19.255	UA
91.218.20.0	91.218.23.255	ES
91.218.24.0	91.218.27.255	RU
91.218.28.0	91.218.39.255	UA
91.218.40.0	91.218.43.255	RU
91.218.44.0	91.218.51.255	UA
91.218.52.0	91.218.55.255	LV
91.218.56.0	91.218.59.255	RU
91.218.60.0	91.218.63.255	PL
91.218.64.0	91.218.67.255	UA
91.218.68.0	91.218.71.255	DE
91.218.72.0	91.218.75.255	UA
91.218.76.0	91.218.79.255	PL
91.218.80.0	91.218.83.255	BG
91.218.84.0	91.218.87.255	RU
91.218.88.0	91.218.91.255	UA
91.218.92.0	91.218.95.255	RU
91.218.96.0	91.218.99.255	UA
91.218.100.0	91.218.103.255	RU
91.218.104.0	91.218.107.255	UA
91.218.108.0	91.218.111.255	RU
91.218.112.0	91.218.115.255	DE
91.218.116.0	91.218.119.255	RU
91.218.120.0	91.218.123.255	US
91.218.124.0	91.218.127.255	NL
91.218.128.0	91.218.147.255	RU
91.218.148.0	91.218.151.255	NL
91.218.152.0	91.218.155.255	RO
91.218.156.0	91.218.159.255	PL
91.218.160.0	91.218.163.255	RU
91.218.168.0	91.218.171.255	TJ
91.218.172.0	91.218.175.255	RS
91.218.176.0	91.218.179.255	RU
91.218.180.0	91.218.183.255	AM
91.218.184.0	91.218.187.255	NO
91.218.188.0	91.218.191.255	CZ
91.218.192.0	91.218.195.255	UA
91.218.196.0	91.218.203.255	PL
91.218.204.0	91.218.207.255	NL
91.218.208.0	91.218.211.255	PL
91.218.212.0	91.218.215.255	UA
91.218.216.0	91.218.219.255	PL
91.218.220.0	91.218.223.255	RU
91.218.224.0	91.218.227.255	IT
91.218.228.0	91.218.231.255	RU
91.218.232.0	91.218.235.255	CZ
91.218.236.0	91.218.239.255	RO
91.218.240.0	91.218.243.255	PL
91.218.244.0	91.218.251.255	RU
91.218.252.0	91.218.255.255	RO
91.219.0.0	91.219.3.255	PL
91.219.4.0	91.219.7.255	RU
91.219.8.0	91.219.11.255	DE
92.0.0.0	92.31.255.255	GB
92.32.0.0	92.35.255.255	SE
92.36.0.0	92.36.127.255	RU
92.36.128.0	92.36.255.255	BA
92.37.0.0	92.37.127.255	SI
92.37.128.0	92.37.255.255	RU
92.38.0.0	92.38.127.255	CZ
92.38.128.0	92.38.255.255	RU
92.39.0.0	92.39.15.255	SE
92.39.16.0	92.39.31.255	DE
92.39.32.0	92.39.47.255	SE
92.39.48.0	92.39.63.255	MD
92.39.64.0	92.39.79.255	RU
92.39.80.0	92.39.95.255	AZ
92.39.96.0	92.39.111.255	RU
92.39.112.0	92.39.112.127	SN
92.39.112.128	92.39.112.255	TM
92.39.113.0	92.39.113.127	BA
92.39.113.128	92.39.113.255	TJ
92.39.114.0	92.39.114.127	SD
92.39.114.128	92.39.114.255	DE
92.39.115.0	92.39.115.127	MW
92.39.115.128	92.39.115.255	ZW
92.39.116.0	92.39.116.127	BI
92.39.116.128	92.39.116.255	GW
92.39.117.0	92.39.117.127	LS
92.39.117.128	92.39.117.255	NE
92.39.118.0	92.39.118.127	DE
92.39.118.128	92.39.118.255	MR
92.39.119.0	92.39.119.127	ZM
92.39.119.128	92.39.119.255	MG
92.39.120.0	92.39.120.127	BW
92.39.120.128	92.39.120.255	GH
92.39.121.0	92.39.121.127	ER
92.39.121.128	92.39.121.255	AO
92.39.122.0	92.39.122.127	NA
92.39.122.128	92.39.122.255	KM
92.39.123.0	92.39.123.127	GN
92.39.123.128	92.39.123.255	HT
92.39.124.0	92.39.124.127	AF
92.39.124.128	92.39.124.255	TD
92.39.125.0	92.39.125.127	BF
92.39.125.128	92.39.125.255	RW
92.39.126.0	92.39.126.127	TG
92.39.126.128	92.39.126.255	SD
92.39.127.0	92.39.127.127	RW
92.39.127.128	92.39.127.255	NG
92.39.128.0	92.39.143.255	RU
92.39.144.0	92.39.159.255	IT
92.39.160.0	92.39.175.255	AT
92.39.176.0	92.39.191.255	IE
92.39.192.0	92.39.207.255	IM
92.39.208.0	92.39.239.255	RU
92.39.240.0	92.39.253.255	ES
92.39.254.0	92.39.255.255	FR
92.40.0.0	92.41.255.255	GB
92.42.0.0	92.42.31.255	RU
92.42.32.0	92.42.39.255	TR
92.42.40.0	92.42.47.255	RU
92.42.48.0	92.42.55.255	IR
92.42.56.0	92.42.63.255	GB
92.42.64.0	92.42.71.255	NO
92.42.72.0	92.42.79.255	SE
92.42.88.0	92.42.95.255	RU
92.42.96.0	92.42.103.255	IT
92.42.104.0	92.42.111.255	CH
92.42.112.0	92.42.119.255	PL
92.42.120.0	92.42.127.255	GB
92.42.128.0	92.42.135.255	RU
92.42.136.0	92.42.143.255	AT
92.42.144.0	92.42.151.255	GB
92.42.152.0	92.42.159.255	SE
92.42.160.0	92.42.167.255	RU
92.42.168.0	92.42.175.255	GB
92.42.176.0	92.42.183.255	LU
92.42.184.0	92.42.191.255	CH
92.42.192.0	92.42.199.255	DE
92.42.200.0	92.42.215.255	RU
92.42.216.0	92.42.223.255	FR
92.42.224.0	92.42.231.255	DE
92.42.232.0	92.42.239.255	NL
92.42.240.0	92.42.247.255	CH
92.42.248.0	92.42.249.255	RS
92.42.250.0	92.42.250.3	SR
92.42.250.4	92.42.255.255	RS
92.43.0.0	92.43.7.255	RU
92.43.8.0	92.43.9.255	GE
92.43.10.0	92.43.15.255	NO
92.43.16.0	92.43.20.255	ES
92.43.21.0	92.43.21.255	FR
92.43.22.0	92.43.23.255	ES
92.43.24.0	92.43.31.255	CZ
92.43.32.0	92.43.39.255	SE
92.43.40.0	92.43.47.255	GB
92.43.48.0	92.43.55.255	DE
92.43.56.0	92.43.63.255	CZ
92.43.64.0	92.43.71.255	GB
92.43.72.0	92.43.79.255	DK
92.43.80.0	92.43.87.255	TR
92.43.88.0	92.43.95.255	DK
92.43.96.0	92.43.103.255	AT
92.43.104.0	92.43.111.63	DE
92.43.111.64	92.43.111.95	JP
92.43.111.96	92.43.111.255	DE
92.43.112.0	92.43.119.255	PL
92.43.120.0	92.43.127.255	DK
92.43.128.0	92.43.135.255	FR
92.43.136.0	92.43.143.255	AM
92.43.144.0	92.43.151.255	PL
92.43.152.0	92.43.167.255	RU
92.43.168.0	92.43.175.255	SA
92.43.176.0	92.43.183.255	DK
92.43.184.0	92.43.191.255	RU
92.43.192.0	92.43.199.255	IS
92.43.200.0	92.43.207.255	HU
92.43.208.0	92.43.215.255	GB
92.43.216.0	92.43.223.255	CH
92.43.224.0	92.43.231.255	ES
92.43.232.0	92.43.239.255	DK
92.43.240.0	92.43.247.255	IT
92.43.248.0	92.43.255.255	FR
92.44.0.0	92.45.255.255	TR
92.46.0.0	92.47.255.255	KZ
92.48.0.0	92.48.63.255	SA
92.48.64.0	92.48.94.159	GB
92.48.94.160	92.48.94.175	RS
92.48.94.176	92.48.108.255	GB
92.48.109.0	92.48.109.47	IN
92.48.109.48	92.48.109.51	GB
92.48.109.52	92.48.109.53	IN
92.48.109.54	92.48.109.55	GB
92.48.109.56	92.48.109.57	IN
92.48.109.58	92.48.109.63	GB
92.48.109.64	92.48.109.65	IN
92.48.109.66	92.48.109.67	GB
92.48.109.68	92.48.109.69	IN
92.48.109.70	92.48.109.175	GB
92.48.109.176	92.48.109.191	IN
92.48.109.192	92.48.114.79	GB
92.48.114.80	92.48.114.87	RS
92.48.114.88	92.48.121.255	GB
92.48.122.0	92.48.122.63	RS
92.48.122.64	92.48.124.63	GB
92.48.124.64	92.48.124.95	RS
92.48.124.96	92.48.124.111	GB
92.48.124.112	92.48.124.127	RS
92.48.124.128	92.48.127.255	GB
92.48.128.0	92.48.191.255	BE
92.48.192.0	92.48.255.255	NL
92.49.0.0	92.49.63.255	LV
92.49.64.0	92.49.127.255	FR
92.49.128.0	92.49.191.255	RU
92.49.192.0	92.49.255.255	UA
92.50.0.0	92.50.63.255	IR
92.50.64.0	92.50.127.255	DE
92.50.128.0	92.51.63.255	RU
92.51.64.0	92.51.127.255	GE
92.51.128.0	92.51.191.255	DE
92.51.192.0	92.51.255.255	IE
92.52.0.0	92.52.63.255	SK
92.52.64.0	92.52.127.255	GB
92.52.192.0	92.52.255.255	HU
92.53.0.0	92.53.63.255	MK
92.53.64.0	92.53.127.255	RU
92.53.128.0	92.53.191.255	SI
92.53.192.0	92.53.255.255	NL
92.54.0.0	92.54.63.255	ES
92.54.64.0	92.54.127.255	RU
92.54.128.0	92.54.191.255	GB
92.54.192.0	92.54.255.255	GE
92.55.0.0	92.55.63.255	RU
92.55.64.0	92.55.127.255	MK
92.55.128.0	92.55.191.255	RO
92.55.192.0	92.55.255.255	PL
92.56.0.0	92.59.255.255	ES
92.60.0.0	92.60.15.255	AT
92.60.16.0	92.60.31.255	AL
92.60.32.0	92.60.47.255	IT
92.60.48.0	92.60.63.255	SK
92.60.64.0	92.60.79.255	IT
92.60.80.0	92.60.95.255	RU
92.60.96.0	92.60.127.255	GB
92.60.128.0	92.60.143.255	PL
92.60.144.0	92.60.159.255	DK
92.60.160.0	92.60.175.255	ES
92.60.176.0	92.60.191.255	UA
92.60.192.0	92.60.207.255	IE
92.60.208.0	92.60.223.255	DE
92.60.224.0	92.60.239.255	RS
92.60.240.0	92.60.255.255	GB
92.61.0.0	92.61.15.255	TR
92.61.16.0	92.61.31.255	RU
92.61.32.0	92.61.47.255	LT
92.61.48.0	92.61.63.255	AT
92.61.64.0	92.61.79.255	RU
92.61.80.0	92.61.95.255	CZ
92.61.96.0	92.61.127.255	HU
92.61.128.0	92.61.143.255	FR
92.61.144.0	92.61.159.255	DE
92.61.160.0	92.61.175.255	FR
92.61.176.0	92.61.191.255	IR
92.61.192.0	92.61.207.255	IE
92.61.208.0	92.61.223.255	AT
92.61.224.0	92.61.239.255	IL
92.61.240.0	92.61.244.255	NL
92.61.245.0	92.61.245.23	CH
92.61.245.24	92.61.245.27	BG
92.61.245.28	92.61.245.47	NL
92.61.245.48	92.61.245.127	US
92.61.245.128	92.61.245.151	NZ
92.61.245.152	92.61.245.255	NL
92.61.246.0	92.61.246.255	US
92.61.247.0	92.61.247.31	NL
92.61.247.32	92.61.247.63	LV
92.61.247.64	92.61.247.255	NL
92.61.248.0	92.61.251.255	US
92.61.252.0	92.61.255.255	NL
92.62.0.0	92.62.15.255	GB
92.62.16.0	92.62.31.255	AT
92.62.32.0	92.62.47.255	NO
92.62.48.0	92.62.63.255	RU
92.62.64.0	92.62.79.255	KG
92.62.80.0	92.62.95.255	IT
92.62.96.0	92.62.111.255	EE
92.62.112.0	92.62.127.255	JO
92.62.128.0	92.62.143.255	LT
92.62.144.0	92.62.159.255	RU
92.62.160.0	92.62.175.255	LB
92.62.176.0	92.62.191.255	IR
92.62.192.0	92.62.207.255	DK
92.62.208.0	92.62.208.7	A2
92.62.208.8	92.62.208.15	NG
92.62.208.16	92.62.208.23	A2
92.62.208.24	92.62.208.31	NG
92.62.208.32	92.62.208.47	A2
92.62.208.48	92.62.208.55	NG
92.62.208.56	92.62.208.63	A2
92.62.208.64	92.62.208.71	NG
92.62.208.72	92.62.208.87	A2
92.62.208.88	92.62.208.199	NG
92.62.208.200	92.62.208.207	A2
92.62.208.208	92.62.209.7	NG
92.62.209.8	92.62.209.31	A2
92.62.209.32	92.62.209.39	NG
92.62.209.40	92.62.209.255	A2
92.62.210.0	92.62.210.7	NG
92.62.210.8	92.62.210.15	A2
92.62.210.16	92.62.210.23	NG
92.62.210.24	92.62.210.31	A2
92.62.210.32	92.62.210.39	NG
92.62.210.40	92.62.210.47	A2
92.62.210.48	92.62.210.71	NG
92.62.210.72	92.62.210.87	A2
92.62.210.88	92.62.210.95	NG
92.62.210.96	92.62.210.103	A2
92.62.210.104	92.62.210.119	NG
92.62.210.120	92.62.210.135	A2
92.62.210.136	92.62.210.167	NG
92.62.210.168	92.62.210.175	A2
92.62.210.176	92.62.210.199	NG
92.62.210.200	92.62.210.207	A2
92.62.210.208	92.62.210.223	NG
92.62.210.224	92.62.210.231	A2
92.62.210.232	92.62.210.255	NG
92.62.211.0	92.62.211.7	A2
92.62.211.8	92.62.211.15	NG
92.62.211.16	92.62.211.23	A2
92.62.211.24	92.62.211.31	NG
92.62.211.32	92.62.211.47	A2
92.62.211.48	92.62.211.71	NG
92.62.211.72	92.62.211.79	A2
92.62.211.80	92.62.211.103	NG
92.62.211.104	92.62.211.111	A2
92.62.211.112	92.62.211.119	NG
92.62.211.120	92.62.211.127	A2
92.62.211.128	92.62.211.143	NG
92.62.211.144	92.62.211.151	A2
92.62.211.152	92.62.211.159	NG
92.62.211.160	92.62.211.183	A2
92.62.211.184	92.62.211.215	NG
92.62.211.216	92.62.211.231	A2
92.62.211.232	92.62.211.255	NG
92.62.212.0	92.62.216.63	A2
92.62.216.64	92.62.216.71	NG
92.62.216.72	92.62.223.255	A2
92.62.224.0	92.62.239.255	CZ
92.62.240.0	92.62.255.255	BG
92.63.0.0	92.63.15.255	TR
92.63.16.0	92.63.31.255	SI
92.63.32.0	92.63.47.255	PL
92.63.48.0	92.63.63.255	CZ
92.63.64.0	92.63.79.255	RU
92.63.80.0	92.63.86.255	LV
92.63.87.0	92.63.87.255	SE
92.63.88.0	92.63.95.255	LV
92.63.96.0	92.63.107.255	RU
92.63.108.0	92.63.111.255	BE
92.63.112.0	92.63.127.255	LV
92.63.128.0	92.63.143.255	GB
92.63.144.0	92.63.155.255	AT
92.63.156.0	92.63.157.255	HR
92.63.158.0	92.63.159.255	AT
92.63.160.0	92.63.207.255	RU
92.63.208.0	92.63.223.255	AT
92.63.224.0	92.63.239.255	IT
92.63.240.0	92.63.255.255	HU
92.64.0.0	92.65.52.95	NL
92.65.52.96	92.65.52.103	IT
92.65.52.104	92.71.0.191	NL
92.71.0.192	92.71.0.255	DE
92.71.1.0	92.71.255.255	NL
92.72.0.0	92.79.255.255	DE
92.80.0.0	92.87.255.255	RO
92.88.0.0	92.95.255.255	FR
92.96.0.0	92.99.255.255	AE
92.100.0.0	92.101.255.255	RU
92.102.0.0	92.103.255.255	FR
92.104.0.0	92.107.255.255	CH
92.108.0.0	92.111.255.255	NL
92.112.0.0	92.113.255.255	UA
92.114.0.0	92.114.82.255	RO
92.114.83.0	92.114.83.255	CH
92.114.84.0	92.114.127.255	RO
92.114.128.0	92.115.255.255	MD
92.116.0.0	92.117.255.255	DE
92.118.0.0	92.119.255.255	GR
92.120.0.0	92.121.255.255	NL
92.122.0.0	92.122.15.255	EU
92.122.16.0	92.122.19.255	GB
92.122.20.0	92.122.23.255	FR
92.122.24.0	92.122.31.255	EU
92.122.32.0	92.122.35.255	DE
92.122.36.0	92.122.39.255	IT
92.122.40.0	92.122.67.255	EU
92.122.68.0	92.122.71.255	IT
92.122.72.0	92.122.75.255	ES
92.122.76.0	92.122.115.255	EU
92.122.116.0	92.122.119.255	FR
92.122.120.0	92.122.175.255	EU
92.122.176.0	92.122.187.255	DE
92.122.188.0	92.122.191.255	EU
92.122.192.0	92.122.203.255	DE
92.122.204.0	92.122.223.255	EU
92.122.224.0	92.122.231.255	FR
92.122.232.0	92.122.255.255	EU
92.123.0.0	92.123.31.255	FR
92.123.32.0	92.123.43.255	NL
92.123.44.0	92.123.47.255	EU
92.123.48.0	92.123.59.255	NL
92.123.60.0	92.123.255.255	EU
92.124.0.0	92.127.255.255	RU
92.128.0.0	92.191.255.255	FR
92.192.0.0	92.198.26.73	DE
92.198.26.74	92.198.26.74	A2
92.198.26.75	92.231.255.255	DE
92.232.0.0	92.239.255.255	GB
92.240.0.0	92.240.31.255	IL
92.240.32.0	92.240.63.255	BA
92.240.64.0	92.240.95.255	LV
92.240.96.0	92.240.127.255	UA
92.240.128.0	92.240.159.255	RU
92.240.160.0	92.240.191.255	CZ
92.240.192.0	92.240.223.255	RU
92.240.224.0	92.240.255.255	SK
92.241.0.0	92.241.31.255	RU
92.241.32.0	92.241.63.255	JO
92.241.64.0	92.241.95.255	GE
92.241.96.0	92.241.127.255	RU
92.241.128.0	92.241.159.255	BA
92.241.160.0	92.241.162.191	RU
92.241.162.192	92.241.162.255	A1
92.241.163.0	92.241.170.127	RU
92.241.170.128	92.241.170.135	ES
92.241.170.136	92.241.191.255	RU
92.241.192.0	92.241.223.255	SE
92.241.224.0	92.242.95.255	RU
92.242.96.0	92.242.127.255	UA
92.242.128.0	92.242.159.255	GB
92.242.160.0	92.242.191.255	FI
92.242.192.0	92.242.223.255	IR
92.242.224.0	92.242.255.255	HR
92.243.0.0	92.243.31.255	FR
92.243.32.0	92.243.63.255	AT
92.243.64.0	92.243.127.255	RU
92.243.128.0	92.243.159.255	IT
92.243.160.0	92.243.191.255	RU
92.243.192.0	92.243.223.255	CZ
92.243.224.0	92.243.255.255	DK
92.244.0.0	92.244.31.255	SE
92.244.32.0	92.244.63.255	PL
92.244.64.0	92.244.95.255	SI
92.244.96.0	92.244.127.255	UA
92.244.128.0	92.244.159.255	RS
92.244.160.0	92.244.191.255	GB
92.244.192.0	92.244.223.255	SE
92.244.224.0	92.244.255.255	RU
92.245.0.0	92.245.31.255	SK
92.245.32.0	92.245.63.255	RU
92.245.64.0	92.245.95.255	HU
92.245.96.0	92.245.127.255	KG
92.245.128.0	92.245.159.255	FR
92.245.160.0	92.245.191.255	IT
92.245.192.0	92.245.223.255	SK
92.245.224.0	92.245.255.255	GB
92.246.0.0	92.246.31.255	DK
92.246.32.0	92.246.63.255	IT
92.246.64.0	92.246.95.255	RU
92.246.96.0	92.246.127.255	IT
92.246.128.0	92.246.223.255	RU
92.246.224.0	92.246.255.255	CH
92.247.0.0	92.247.255.255	BG
92.248.0.0	92.248.127.255	AT
92.248.128.0	92.249.63.255	RU
92.249.64.0	92.249.127.255	UA
92.249.128.0	92.249.255.255	HU
92.250.0.0	92.250.127.255	PT
92.250.128.0	92.250.175.255	LU
92.250.176.0	92.250.255.255	DE
92.251.0.0	92.251.127.255	MT
92.251.128.0	92.251.255.255	IE
92.252.0.0	92.252.127.255	DE
92.252.128.0	92.252.255.255	RU
92.253.0.0	92.253.127.255	JO
92.253.128.0	92.253.255.255	CZ
92.254.0.0	92.254.127.255	NL
92.254.128.0	92.254.255.255	SE
92.255.0.0	92.255.255.255	RU
93.0.0.0	93.31.255.255	FR
93.32.0.0	93.62.236.159	IT
93.62.236.160	93.62.236.167	A2
93.62.236.168	93.71.255.255	IT
93.72.0.0	93.79.255.255	UA
93.80.0.0	93.81.255.255	RU
93.82.0.0	93.83.255.255	AT
93.84.0.0	93.85.255.255	BY
93.86.0.0	93.87.255.255	RS
93.88.0.0	93.88.31.255	RU
93.88.32.0	93.88.47.255	IT
93.88.48.0	93.88.63.255	UA
93.88.64.0	93.88.79.255	RU
93.88.80.0	93.88.95.255	AZ
93.88.96.0	93.88.127.255	IT
93.88.128.0	93.88.143.255	RU
93.88.144.0	93.88.159.255	NL
93.88.160.0	93.88.191.255	RU
93.88.192.0	93.88.207.255	GB
93.88.208.0	93.88.223.255	RU
93.88.224.0	93.88.239.255	DE
93.88.240.0	93.88.245.255	CH
93.88.246.0	93.88.246.63	FR
93.88.246.64	93.88.255.255	CH
93.89.0.0	93.89.15.255	DE
93.89.16.0	93.89.31.255	TR
93.89.32.0	93.89.47.255	NO
93.89.48.0	93.89.63.255	IT
93.89.64.0	93.89.79.255	TR
93.89.80.0	93.89.82.215	GB
93.89.82.216	93.89.82.223	ES
93.89.82.224	93.89.95.255	GB
93.89.96.0	93.89.111.255	CZ
93.89.112.0	93.89.127.255	NO
93.89.128.0	93.89.143.255	GB
93.89.144.0	93.89.159.255	CZ
93.89.160.0	93.89.175.255	HU
93.89.176.0	93.89.191.255	RU
93.89.192.0	93.89.207.255	PL
93.89.208.0	93.89.223.255	UA
93.89.240.0	93.89.255.255	IE
93.90.0.0	93.90.15.255	DK
93.90.16.0	93.90.31.255	ES
93.90.32.0	93.90.47.255	RU
93.90.48.0	93.90.63.255	FI
93.90.64.0	93.90.79.255	AL
93.90.80.0	93.90.111.255	RU
93.90.112.0	93.90.127.255	DK
93.90.128.0	93.90.143.255	DE
93.90.144.0	93.90.159.255	SE
93.90.160.0	93.90.175.255	CZ
93.90.176.0	93.90.191.255	DE
93.90.192.0	93.90.207.255	GB
93.90.208.0	93.91.15.255	RU
93.91.16.0	93.91.47.255	GB
93.91.48.0	93.91.63.255	CZ
93.91.64.0	93.91.79.255	TR
93.91.80.0	93.91.95.255	A2
93.91.96.0	93.91.103.255	NO
93.91.104.0	93.91.105.255	FI
93.91.106.0	93.91.107.255	SE
93.91.108.0	93.91.111.255	NO
93.91.112.0	93.91.127.255	RU
93.91.128.0	93.91.143.255	IT
93.91.144.0	93.91.159.255	CZ
93.91.160.0	93.91.175.255	RU
93.91.176.0	93.91.191.255	FI
93.91.192.0	93.91.207.255	IQ
93.91.208.0	93.91.223.255	PL
93.91.224.0	93.91.239.255	RU
93.91.240.0	93.91.255.255	CZ
93.92.0.0	93.92.7.255	SE
93.92.8.0	93.92.15.255	IE
93.92.16.0	93.92.23.255	BE
93.92.24.0	93.92.31.255	NO
93.92.32.0	93.92.39.255	RU
93.92.40.0	93.92.41.255	GB
93.92.42.0	93.92.42.255	NL
93.92.43.0	93.92.43.255	UA
93.92.44.0	93.92.44.255	BZ
93.92.45.0	93.92.46.255	GB
93.92.47.0	93.92.47.255	BS
93.92.48.0	93.92.55.255	CZ
93.92.56.0	93.92.63.255	HU
93.92.64.0	93.92.71.255	RU
93.92.72.0	93.92.79.255	IT
93.92.80.0	93.92.95.255	RU
93.92.96.0	93.92.103.255	NL
93.92.104.0	93.92.111.255	FR
93.92.112.0	93.92.119.255	RU
93.92.120.0	93.92.127.255	GB
93.92.128.0	93.92.135.255	DE
93.92.136.0	93.92.143.255	RU
93.92.144.0	93.92.151.255	DE
93.92.152.0	93.92.159.255	IT
93.92.160.0	93.92.167.255	AT
93.92.168.0	93.92.175.255	ES
93.92.176.0	93.92.183.255	RU
93.92.184.0	93.92.191.255	IT
93.92.192.0	93.92.207.255	RU
93.92.208.0	93.92.215.255	GB
93.92.216.0	93.92.223.255	RU
93.92.224.0	93.92.239.255	ES
93.92.240.0	93.92.247.255	RU
93.92.248.0	93.92.255.255	RS
93.93.0.0	93.93.7.255	DE
93.93.8.0	93.93.15.255	BG
93.93.16.0	93.93.23.255	IT
93.93.24.0	93.93.31.255	TR
93.93.32.0	93.93.39.255	RU
93.93.40.0	93.93.47.255	FR
93.93.48.0	93.93.50.255	HU
93.93.51.0	93.93.51.255	SC
93.93.52.0	93.93.52.255	HU
93.93.53.0	93.93.53.255	SC
93.93.54.0	93.93.55.255	US
93.93.56.0	93.93.63.255	LT
93.93.64.0	93.93.71.255	ES
93.93.72.0	93.93.79.255	NO
93.93.80.0	93.93.87.255	GB
93.93.88.0	93.93.95.255	RU
93.93.96.0	93.93.96.63	NO
93.93.96.64	93.93.96.95	NL
93.93.96.96	93.93.96.127	GB
93.93.96.128	93.93.96.159	NO
93.93.96.160	93.93.96.191	DE
93.93.96.192	93.93.96.223	NL
93.93.96.224	93.93.96.255	DE
93.93.97.0	93.93.97.64	NO
93.93.97.65	93.93.97.127	GB
93.93.97.128	93.93.97.255	NO
93.93.98.0	93.93.98.31	US
93.93.98.32	93.93.98.63	NO
93.93.98.64	93.93.98.191	US
93.93.98.192	93.93.98.255	NO
93.93.99.0	93.93.99.255	US
93.93.100.0	93.93.100.63	IN
93.93.100.64	93.93.100.127	CN
93.93.100.128	93.93.100.191	SG
93.93.100.192	93.93.100.255	AU
93.93.101.0	93.93.101.64	SI
93.93.101.65	93.93.101.127	HK
93.93.101.128	93.93.101.191	NO
93.93.101.192	93.93.101.255	AU
93.93.102.0	93.93.103.255	NO
93.93.104.0	93.93.111.255	IT
93.93.112.0	93.93.119.255	ES
93.93.120.0	93.93.127.255	NL
93.93.128.0	93.93.135.255	GB
93.93.136.0	93.93.151.255	RU
93.93.152.0	93.93.159.255	FR
93.93.160.0	93.93.167.255	IT
93.93.168.0	93.93.175.255	RU
93.93.176.0	93.93.183.255	ES
93.93.184.0	93.93.191.255	FR
93.93.192.0	93.93.199.255	RS
93.93.200.0	93.93.207.255	IT
93.93.208.0	93.93.239.255	GB
93.93.240.0	93.93.247.255	BE
93.93.248.0	93.94.7.255	DE
93.94.8.0	93.94.15.255	NO
93.94.16.0	93.94.23.255	CY
93.94.24.0	93.94.39.255	IT
93.94.40.0	93.94.47.255	IL
93.94.48.0	93.94.55.255	IQ
93.94.56.0	93.94.58.31	PT
93.94.58.32	93.94.58.39	AO
93.94.58.40	93.94.63.255	PT
93.94.64.0	93.94.71.255	CH
93.94.72.0	93.94.79.255	GB
93.94.80.0	93.94.87.255	DE
93.94.88.0	93.94.95.255	IT
93.94.96.0	93.94.103.255	ES
93.94.104.0	93.94.107.15	BE
93.94.107.16	93.94.107.31	HU
93.94.107.32	93.94.109.15	BE
93.94.109.16	93.94.109.31	HU
93.94.109.32	93.94.111.255	BE
93.94.112.0	93.94.112.176	IE
93.94.112.177	93.94.112.255	GB
93.94.113.0	93.94.114.63	IE
93.94.114.64	93.94.114.255	GB
93.94.115.0	93.94.119.255	IE
93.94.120.0	93.94.127.255	GB
93.94.128.0	93.94.135.255	DE
93.94.136.0	93.94.143.255	BG
93.94.144.0	93.94.159.255	RU
93.94.160.0	93.94.167.255	FR
93.94.168.0	93.94.175.255	SE
93.94.176.0	93.94.183.255	RU
93.94.184.0	93.94.191.255	PL
93.94.192.0	93.94.199.255	TR
93.94.200.0	93.94.207.255	NL
93.94.208.0	93.94.215.255	SE
93.94.216.0	93.94.223.255	AM
93.94.224.0	93.94.231.255	NL
93.94.232.0	93.94.239.255	RU
93.94.240.0	93.94.247.255	CH
93.94.248.0	93.94.255.255	TR
93.95.0.0	93.95.7.255	NL
93.95.8.0	93.95.15.255	GB
93.95.16.0	93.95.23.255	KN
93.95.24.0	93.95.31.255	BH
93.95.32.0	93.95.39.255	CZ
93.95.40.0	93.95.47.255	RU
93.95.48.0	93.95.55.255	BE
93.95.56.0	93.95.63.255	FR
93.95.64.0	93.95.71.255	MK
93.95.72.0	93.95.79.255	IS
93.95.80.0	93.95.87.255	IE
93.95.88.0	93.95.95.255	PL
93.95.96.0	93.95.103.255	RU
93.95.104.0	93.95.111.255	GB
93.95.112.0	93.95.119.255	NL
93.95.120.0	93.95.127.255	GB
93.95.128.0	93.95.135.255	DE
93.95.136.0	93.95.143.255	RU
93.95.144.0	93.95.151.255	NL
93.95.152.0	93.95.175.255	RU
93.95.176.0	93.95.183.255	TR
93.95.184.0	93.95.191.255	UA
93.95.192.0	93.95.199.255	RU
93.95.200.0	93.95.207.255	JO
93.95.208.0	93.95.223.255	IT
93.95.224.0	93.95.231.255	IS
93.95.232.0	93.95.239.255	FR
93.95.240.0	93.95.247.255	KZ
93.95.248.0	93.95.255.255	NL
93.96.0.0	93.97.255.255	GB
93.98.0.0	93.98.255.255	SA
93.99.0.0	93.99.17.255	CZ
93.99.18.0	93.99.18.255	SK
93.99.19.0	93.99.93.255	CZ
93.99.94.0	93.99.94.255	SK
93.99.95.0	93.99.255.255	CZ
93.100.0.0	93.100.255.255	RU
93.101.0.0	93.101.255.255	IT
93.102.0.0	93.102.255.255	PT
93.103.0.0	93.103.255.255	SI
93.104.0.0	93.104.255.255	DE
93.105.0.0	93.105.255.255	PL
93.106.0.0	93.106.255.255	FI
93.107.0.0	93.107.255.255	IE
93.108.0.0	93.108.255.255	PT
93.109.0.0	93.109.248.55	CY
93.109.248.56	93.109.248.63	A2
93.109.248.64	93.109.255.255	CY
93.110.0.0	93.110.255.255	IR
93.111.0.0	93.111.255.255	AT
93.112.0.0	93.113.37.255	RO
93.113.38.0	93.113.39.255	MD
93.113.40.0	93.113.71.255	RO
93.113.72.0	93.113.79.255	MD
93.113.80.0	93.113.111.255	RO
93.113.112.0	93.113.119.255	MD
93.113.120.0	93.113.255.255	RO
93.114.0.0	93.114.15.255	MD
93.114.16.0	93.114.91.255	RO
93.114.92.0	93.114.95.255	MD
93.114.96.0	93.115.47.255	RO
93.115.48.0	93.115.51.255	MD
93.115.52.0	93.115.255.255	RO
93.116.0.0	93.116.255.255	MD
93.117.0.0	93.119.15.255	RO
93.119.16.0	93.119.23.255	MD
93.119.24.0	93.120.127.255	RO
93.120.128.0	93.121.127.255	RU
93.121.128.0	93.121.255.255	FR
93.122.0.0	93.122.65.15	DE
93.122.65.16	93.122.65.31	SA
93.122.65.32	93.122.69.79	DE
93.122.69.80	93.122.69.95	IT
93.122.69.96	93.122.72.71	DE
93.122.72.72	93.122.72.79	FR
93.122.72.80	93.122.75.111	DE
93.122.75.112	93.122.75.119	GB
93.122.75.120	93.122.75.175	DE
93.122.75.176	93.122.75.183	GB
93.122.75.184	93.122.77.47	DE
93.122.77.48	93.122.77.55	ZA
93.122.77.56	93.122.127.255	DE
93.122.128.0	93.122.255.255	RO
93.123.0.0	93.123.127.255	BG
93.123.128.0	93.124.127.255	RU
93.124.128.0	93.124.255.255	NO
93.125.0.0	93.125.127.255	BY
93.125.128.0	93.125.255.255	NL
93.126.0.0	93.126.63.255	IR
93.126.64.0	93.126.127.255	UA
93.127.0.0	93.127.127.255	UA
93.127.128.0	93.127.254.255	DE
93.127.255.0	93.127.255.255	MD
93.128.0.0	93.135.255.255	DE
93.136.0.0	93.143.255.255	HR
93.144.0.0	93.151.255.255	IT
93.152.0.0	93.152.127.255	GB
93.152.128.0	93.152.255.255	BG
93.153.0.0	93.153.127.255	CZ
93.153.128.0	93.154.127.255	RU
93.154.128.0	93.154.255.255	PL
93.155.0.0	93.155.127.255	TR
93.155.128.0	93.155.162.255	BG
93.155.163.0	93.155.163.255	MK
93.155.164.0	93.155.255.255	BG
93.156.0.0	93.156.255.255	ES
93.157.0.0	93.157.7.255	NL
93.157.8.0	93.157.15.255	UA
93.157.24.0	93.157.31.255	UA
93.157.32.0	93.157.39.255	CH
93.157.40.0	93.157.47.255	RU
93.157.48.0	93.157.55.255	DE
93.157.56.0	93.157.63.255	RU
93.157.64.0	93.157.79.255	PL
93.157.80.0	93.157.87.255	IL
93.157.88.0	93.157.103.255	PL
93.157.104.0	93.157.111.255	UA
93.157.112.0	93.157.119.255	PL
93.157.120.0	93.157.127.255	RU
93.157.136.0	93.157.143.255	NL
93.157.144.0	93.157.151.255	RU
93.157.152.0	93.157.159.255	PL
93.157.160.0	93.157.191.255	RU
93.157.192.0	93.157.199.255	BA
93.157.200.0	93.157.215.255	RU
93.157.216.0	93.157.223.255	GB
93.157.224.0	93.157.255.255	RU
93.158.0.0	93.158.35.255	FR
93.158.36.0	93.158.36.47	GB
93.158.36.48	93.158.63.255	FR
93.158.64.0	93.158.65.127	SE
93.158.65.128	93.158.65.135	FR
93.158.65.136	93.158.66.219	SE
93.158.66.220	93.158.66.223	DE
93.158.66.224	93.158.77.143	SE
93.158.77.144	93.158.77.147	DE
93.158.77.148	93.158.78.255	SE
93.158.79.0	93.158.79.3	DE
93.158.79.4	93.158.79.119	SE
93.158.79.120	93.158.79.127	GB
93.158.79.128	93.158.95.255	SE
93.158.96.0	93.158.96.7	FI
93.158.96.8	93.158.96.15	SE
93.158.96.16	93.158.96.31	FR
93.158.96.32	93.158.96.35	RU
93.158.96.36	93.158.96.191	SE
93.158.96.192	93.158.96.223	FI
93.158.96.224	93.158.96.239	GB
93.158.96.240	93.158.96.243	RU
93.158.96.244	93.158.96.247	SE
93.158.96.248	93.158.96.255	FI
93.158.97.0	93.158.97.7	SE
93.158.97.8	93.158.97.11	RU
93.158.97.12	93.158.97.15	SE
93.158.97.16	93.158.97.31	FR
93.158.97.32	93.158.97.255	SE
93.158.98.0	93.158.99.255	NO
93.158.100.0	93.158.100.255	GB
93.158.101.0	93.158.102.255	SE
93.158.103.0	93.158.103.255	DE
93.158.104.0	93.158.107.255	SE
93.158.108.0	93.158.108.255	US
93.158.109.0	93.158.109.255	GB
93.158.110.0	93.158.115.127	SE
93.158.115.128	93.158.115.135	GB
93.158.115.136	93.158.115.191	SE
93.158.115.192	93.158.115.207	GB
93.158.115.208	93.158.115.223	SE
93.158.115.224	93.158.115.239	FR
93.158.115.240	93.158.115.247	DK
93.158.115.248	93.158.117.191	SE
93.158.117.192	93.158.117.207	GB
93.158.117.208	93.158.117.223	IT
93.158.117.224	93.158.117.239	FR
93.158.117.240	93.158.118.191	SE
93.158.118.192	93.158.118.207	GB
93.158.118.208	93.158.118.239	FR
93.158.118.240	93.158.118.243	SE
93.158.118.244	93.158.118.247	NO
93.158.118.248	93.158.119.127	SE
93.158.119.128	93.158.119.143	FR
93.158.119.144	93.158.119.147	SE
93.158.119.148	93.158.119.151	NL
93.158.119.152	93.158.119.191	SE
93.158.119.192	93.158.119.207	GB
93.158.119.208	93.158.119.223	DE
93.158.119.224	93.158.119.255	SE
93.158.120.0	93.158.120.3	ES
93.158.120.4	93.158.120.15	SE
93.158.120.16	93.158.120.23	NO
93.158.120.24	93.158.120.191	SE
93.158.120.192	93.158.120.207	GB
93.158.120.208	93.158.120.223	ES
93.158.120.224	93.158.120.239	FR
93.158.120.240	93.158.120.255	SE
93.158.121.0	93.158.121.3	ES
93.158.121.4	93.158.121.7	SE
93.158.121.8	93.158.121.15	GB
93.158.121.16	93.158.121.191	SE
93.158.121.192	93.158.121.207	FR
93.158.121.208	93.158.121.223	SE
93.158.121.224	93.158.121.239	FR
93.158.121.240	93.158.121.255	SE
93.158.122.0	93.158.122.3	ES
93.158.122.4	93.158.122.7	SE
93.158.122.8	93.158.122.15	GB
93.158.122.16	93.158.122.31	ES
93.158.122.32	93.158.122.191	SE
93.158.122.192	93.158.122.207	FR
93.158.122.208	93.158.122.223	SE
93.158.122.224	93.158.122.239	FR
93.158.122.240	93.158.122.255	SE
93.158.123.0	93.158.123.3	ES
93.158.123.4	93.158.123.15	SE
93.158.123.16	93.158.123.31	ES
93.158.123.32	93.158.123.63	GB
93.158.123.64	93.158.123.191	SE
93.158.123.192	93.158.123.207	FR
93.158.123.208	93.158.123.223	SE
93.158.123.224	93.158.123.239	FR
93.158.123.240	93.158.123.251	SE
93.158.123.252	93.158.123.255	US
93.158.124.0	93.158.124.3	NL
93.158.124.4	93.158.124.7	IT
93.158.124.8	93.158.124.11	NO
93.158.124.12	93.158.124.15	GB
93.158.124.16	93.158.124.191	SE
93.158.124.192	93.158.124.207	FR
93.158.124.208	93.158.124.223	NL
93.158.124.224	93.158.124.255	SE
93.158.125.0	93.158.125.3	NL
93.158.125.4	93.158.125.15	SE
93.158.125.16	93.158.125.31	ES
93.158.125.32	93.158.125.63	SE
93.158.125.64	93.158.125.127	FR
93.158.125.128	93.158.125.131	SE
93.158.125.132	93.158.125.135	RU
93.158.125.136	93.158.125.191	SE
93.158.125.192	93.158.125.207	FR
93.158.125.208	93.158.125.255	SE
93.158.126.0	93.158.126.3	NL
93.158.126.4	93.158.126.255	SE
93.158.127.0	93.158.127.3	NL
93.158.127.4	93.158.127.63	SE
93.158.127.64	93.158.127.127	NO
93.158.127.128	93.158.127.255	SE
93.158.128.0	93.158.255.255	RU
93.159.0.0	93.159.63.255	PL
93.159.64.0	93.159.95.255	HR
93.159.96.0	93.159.127.255	DE
93.159.128.0	93.159.191.255	PL
93.159.200.0	93.159.207.255	GB
93.159.208.0	93.159.215.255	ES
93.159.216.0	93.159.247.255	RU
93.159.248.0	93.159.255.255	DE
93.160.0.0	93.167.255.255	DK
93.168.0.0	93.169.255.255	RO
93.170.0.0	93.170.15.255	RU
93.170.16.0	93.171.255.255	CZ
93.172.0.0	93.173.255.255	IL
93.174.0.0	93.174.7.255	ES
93.174.8.0	93.174.15.255	GB
93.174.16.0	93.174.23.255	CH
93.174.24.0	93.174.31.255	GE
93.174.32.0	93.174.39.255	FR
93.174.40.0	93.174.47.255	LU
93.174.48.0	93.174.63.255	RU
93.174.64.0	93.174.71.255	IT
93.174.72.0	93.174.79.255	RU
93.174.80.0	93.174.87.255	GB
93.174.88.0	93.174.95.255	NL
93.174.96.0	93.174.97.255	GB
93.174.98.0	93.174.98.127	DE
93.174.98.128	93.174.98.255	GB
93.174.99.0	93.174.99.127	FR
93.174.99.128	93.174.99.255	GB
93.174.100.0	93.174.100.127	NL
93.174.100.128	93.174.100.255	GB
93.174.101.0	93.174.101.127	ES
93.174.101.128	93.174.101.255	GB
93.174.102.0	93.174.102.127	IT
93.174.102.128	93.174.103.255	GB
93.174.104.0	93.174.111.255	NL
93.174.112.0	93.174.119.255	RU
93.174.120.0	93.174.127.255	GR
93.174.128.0	93.174.135.255	RU
93.174.136.0	93.174.143.255	GB
93.174.144.0	93.174.151.255	FR
93.174.152.0	93.174.153.255	GB
93.174.154.0	93.174.154.255	SE
93.174.155.0	93.174.159.255	GB
93.174.160.0	93.174.167.255	RO
93.174.168.0	93.174.175.255	IE
93.174.176.0	93.174.183.255	SK
93.174.184.0	93.174.187.255	CH
93.174.188.0	93.174.188.15	LI
93.174.188.16	93.174.191.255	CH
93.174.192.0	93.174.199.255	FI
93.174.200.0	93.174.207.255	NL
93.174.208.0	93.174.208.255	GB
93.174.209.0	93.174.209.255	EU
93.174.210.0	93.174.210.255	NL
93.174.211.0	93.174.215.255	EU
93.174.216.0	93.174.223.255	GB
93.174.224.0	93.174.231.255	RU
93.174.232.0	93.174.239.255	GB
93.174.240.0	93.174.247.255	RU
93.174.248.0	93.174.255.255	GB
93.175.0.0	93.175.31.255	RU
93.175.32.0	93.175.63.255	IL
93.175.64.0	93.175.143.255	PL
93.175.144.0	93.175.159.255	EU
93.175.160.0	93.175.175.255	PL
93.175.176.0	93.175.191.255	NL
93.175.192.0	93.175.255.255	UA
93.176.0.0	93.176.63.255	FR
93.176.64.0	93.176.88.127	DK
93.176.88.128	93.176.88.159	CY
93.176.88.160	93.176.127.255	DK
93.176.128.0	93.176.191.255	RU
93.176.192.0	93.176.255.255	PL
93.177.0.0	93.177.63.255	RU
93.177.64.0	93.177.127.255	NO
93.177.128.0	93.177.191.255	GE
93.177.192.0	93.177.255.255	LV
93.178.0.0	93.178.63.255	SA
93.178.64.0	93.178.127.255	RU
93.178.128.0	93.178.191.255	DK
93.178.192.0	93.178.255.255	UA
93.179.0.0	93.179.31.255	NO
93.179.32.0	93.179.63.255	SE
93.179.64.0	93.179.127.255	RU
93.179.128.0	93.179.191.255	IT
93.179.192.0	93.179.255.255	PL
93.180.64.0	93.180.127.255	BG
93.180.128.0	93.180.191.255	RU
93.180.192.0	93.180.255.255	UA
93.181.0.0	93.181.63.255	DE
93.181.64.0	93.181.127.255	CZ
93.181.128.0	93.181.191.255	PL
93.181.192.0	93.182.63.255	RU
93.182.64.0	93.182.127.255	TR
93.182.128.0	93.182.191.255	SE
93.182.192.0	93.182.255.255	FR
93.183.0.0	93.183.30.255	SG
93.183.31.0	93.183.31.255	PT
93.183.32.0	93.183.63.255	SG
93.183.64.0	93.183.127.255	RU
93.183.128.0	93.183.191.255	BG
93.183.192.0	93.183.255.255	UA
93.184.0.0	93.184.15.255	PS
93.184.16.0	93.184.31.255	CH
93.184.32.0	93.184.47.255	FR
93.184.48.0	93.184.63.255	DE
93.184.64.0	93.184.79.255	SK
93.184.80.0	93.184.95.255	RS
93.184.96.0	93.184.111.255	NL
93.184.112.0	93.184.127.255	NO
93.184.128.0	93.184.143.255	DE
93.184.144.0	93.184.159.255	TR
93.184.160.0	93.184.175.255	RU
93.184.176.0	93.184.191.255	DE
93.184.192.0	93.184.207.255	DK
93.184.208.0	93.184.223.255	US
93.184.224.0	93.184.239.255	AZ
93.184.240.0	93.184.255.255	GB
93.185.0.0	93.185.15.255	CZ
93.185.16.0	93.185.31.255	RU
93.185.32.0	93.185.47.255	AM
93.185.48.0	93.185.63.255	CZ
93.185.64.0	93.185.79.255	KZ
93.185.80.0	93.185.95.255	LB
93.185.96.0	93.185.111.255	CZ
93.185.112.0	93.185.127.255	IT
93.185.128.0	93.185.143.255	AT
93.185.144.0	93.185.159.255	RU
93.185.160.0	93.185.175.255	NO
93.185.176.0	93.185.207.255	RU
93.185.208.0	93.185.223.255	UA
93.185.224.0	93.185.239.255	LB
93.185.240.0	93.185.255.255	EE
93.186.0.0	93.186.15.255	DE
93.186.16.0	93.186.47.255	GB
93.186.48.0	93.186.63.255	RU
93.186.64.0	93.186.77.255	RS
93.186.78.0	93.186.78.255	HR
93.186.79.0	93.186.79.255	LU
93.186.80.0	93.186.95.255	IT
93.186.96.0	93.186.111.255	RU
93.186.112.0	93.186.127.255	TR
93.186.128.0	93.186.129.255	IT
93.186.130.0	93.186.130.255	US
93.186.131.0	93.186.131.255	DE
93.186.132.0	93.186.132.127	RO
93.186.132.128	93.186.132.255	TR
93.186.133.0	93.186.143.255	IT
93.186.144.0	93.186.159.255	GB
93.186.160.0	93.186.175.255	DE
93.186.176.0	93.186.183.127	NL
93.186.183.128	93.186.183.143	CA
93.186.183.144	93.186.191.255	NL
93.186.192.0	93.186.207.255	DE
93.186.208.0	93.186.223.255	GE
93.186.224.0	93.186.239.255	RU
93.186.240.0	93.186.255.255	IT
93.187.0.0	93.187.7.255	GB
93.187.8.0	93.187.15.255	NL
93.187.16.0	93.187.19.255	GB
93.187.20.0	93.187.20.7	FR
93.187.20.8	93.187.20.15	GB
93.187.20.16	93.187.20.23	FR
93.187.20.24	93.187.20.31	GB
93.187.20.32	93.187.20.95	FR
93.187.20.96	93.187.21.255	GB
93.187.22.0	93.187.22.31	DE
93.187.22.32	93.187.22.47	ES
93.187.22.48	93.187.22.255	GB
93.187.23.0	93.187.23.255	FR
93.187.24.0	93.187.31.255	IT
93.187.32.0	93.187.39.255	HR
93.187.40.0	93.187.47.255	FR
93.187.48.0	93.187.55.255	GB
93.187.56.0	93.187.63.255	DE
93.187.64.0	93.187.71.255	TR
93.187.72.0	93.187.79.255	CH
93.187.80.0	93.187.87.255	NO
93.187.88.0	93.187.95.255	IT
93.187.96.0	93.187.103.255	RU
93.187.104.0	93.187.111.255	CZ
93.187.112.0	93.187.119.255	DE
93.187.120.0	93.187.127.255	RU
93.187.128.0	93.187.135.255	NL
93.187.136.0	93.187.143.255	RO
93.187.144.0	93.187.150.255	GG
93.187.151.0	93.187.151.127	GB
93.187.151.128	93.187.151.255	GG
93.187.152.0	93.187.159.255	RU
93.187.160.0	93.187.167.255	AM
93.187.168.0	93.187.175.255	GB
93.187.176.0	93.187.191.255	RU
93.187.192.0	93.187.199.255	CH
93.187.200.0	93.187.207.255	TR
93.187.208.0	93.187.215.255	CH
93.187.216.0	93.187.223.255	NL
93.187.224.0	93.187.231.255	GB
93.187.232.0	93.187.239.255	DE
93.187.240.0	93.187.247.255	RS
93.187.248.0	93.187.255.255	DE
93.188.0.0	93.188.7.255	SE
93.188.8.0	93.188.15.255	GE
93.188.16.0	93.188.23.255	RU
93.188.24.0	93.188.31.255	DE
93.188.32.0	93.188.39.255	UA
93.188.40.0	93.188.47.255	RU
93.188.48.0	93.188.55.255	ES
93.188.56.0	93.188.63.255	CH
93.188.64.0	93.188.71.255	RS
93.188.72.0	93.188.72.127	CH
93.188.72.128	93.188.72.143	CZ
93.188.72.144	93.188.73.15	CH
93.188.73.16	93.188.73.23	NL
93.188.73.24	93.188.79.255	CH
93.188.80.0	93.188.87.255	RU
93.188.88.0	93.188.95.255	NO
93.188.96.0	93.188.103.255	RU
93.188.104.0	93.188.111.255	DE
93.188.112.0	93.188.119.255	IT
93.188.120.0	93.188.127.255	RU
93.188.128.0	93.188.135.255	US
93.188.136.0	93.188.143.255	ES
93.188.144.0	93.188.151.255	FR
93.188.152.0	93.188.159.255	RU
93.188.160.0	93.188.167.255	UA
93.188.168.0	93.188.175.255	FR
93.188.176.0	93.188.183.255	GB
93.188.184.0	93.188.191.255	RU
93.188.192.0	93.188.199.255	BH
93.188.200.0	93.188.215.255	RU
93.188.216.0	93.188.223.255	DE
93.188.224.0	93.188.231.255	IT
93.188.232.0	93.188.239.255	NO
93.188.240.0	93.188.247.255	DE
93.188.248.0	93.188.255.255	NL
93.189.0.0	93.189.7.255	GB
93.189.8.0	93.189.23.255	RU
93.189.24.0	93.189.31.255	AT
93.189.32.0	93.189.39.255	ES
93.189.40.0	93.189.55.255	RU
93.189.56.0	93.189.56.255	DE
93.189.57.0	93.189.57.255	RU
93.189.58.0	93.189.59.255	DE
93.189.60.0	93.189.63.255	RU
93.189.64.0	93.189.71.255	CH
93.189.72.0	93.189.87.255	RU
93.189.88.0	93.189.95.255	ES
93.189.96.0	93.189.103.255	SA
93.189.104.0	93.189.104.198	GB
93.189.104.199	93.189.104.201	US
93.189.104.202	93.189.106.127	GB
93.189.106.128	93.189.106.255	SG
93.189.107.0	93.189.111.255	GB
93.189.112.0	93.189.119.255	HU
93.189.120.0	93.189.127.255	RU
93.189.128.0	93.189.135.255	NL
93.189.136.0	93.189.143.255	IT
93.189.144.0	93.189.151.255	RU
93.189.152.0	93.189.159.255	DE
93.189.160.0	93.189.167.255	GB
93.189.168.0	93.189.175.255	DE
93.189.176.0	93.189.183.255	ES
93.189.184.0	93.189.191.255	IT
93.189.192.0	93.189.199.255	SA
93.189.200.0	93.189.207.255	RU
93.189.208.0	93.189.215.255	IT
93.189.216.0	93.189.231.255	RU
93.189.232.0	93.189.239.255	CH
93.189.240.0	93.189.247.255	SE
93.189.248.0	93.189.255.255	RU
93.190.0.0	93.190.7.255	HU
93.190.8.0	93.190.23.255	RU
93.190.24.0	93.190.31.255	IR
93.190.32.0	93.190.39.255	FI
93.190.40.0	93.190.47.255	UA
93.190.48.0	93.190.63.255	CZ
93.190.64.0	93.190.71.255	DE
93.190.72.0	93.190.79.255	CH
93.190.80.0	93.190.87.255	NO
93.190.88.0	93.190.95.255	DE
93.190.96.0	93.190.103.255	FI
93.190.104.0	93.190.111.255	RU
93.190.112.0	93.190.119.255	GB
93.190.120.0	93.190.127.255	TR
93.190.128.0	93.190.135.255	CZ
93.190.136.0	93.190.143.204	NL
93.190.143.205	93.190.143.254	KY
93.190.143.255	93.190.143.255	NL
93.190.144.0	93.190.144.255	RO
93.190.145.0	93.190.145.63	RS
93.190.145.64	93.190.151.255	RO
93.190.152.0	93.190.159.255	ES
93.190.160.0	93.190.167.255	RS
93.190.168.0	93.190.175.255	GB
93.190.176.0	93.190.183.255	UA
93.190.184.0	93.190.191.255	NL
93.190.192.0	93.190.199.255	SE
93.190.200.0	93.190.207.255	RU
93.190.208.0	93.190.215.255	FR
93.190.216.0	93.190.223.255	TR
93.190.224.0	93.190.231.255	RU
93.190.232.0	93.190.239.255	DE
93.190.240.0	93.190.247.255	RU
93.190.248.0	93.190.255.255	DE
93.191.0.0	93.191.7.255	NL
93.191.8.0	93.191.23.255	RU
93.191.24.0	93.191.39.255	GB
93.191.40.0	93.191.47.255	FR
93.191.48.0	93.191.55.255	DE
93.191.56.0	93.191.63.255	RU
93.191.64.0	93.191.71.255	KW
93.191.72.0	93.191.79.255	RU
93.191.80.0	93.191.87.255	FR
93.191.88.0	93.191.95.255	GB
93.191.96.0	93.191.103.255	BY
93.191.104.0	93.191.111.255	RU
93.191.112.0	93.191.119.255	NO
93.191.120.0	93.191.127.255	FI
93.191.128.0	93.191.135.255	BH
93.191.136.0	93.191.143.255	ES
93.191.144.0	93.191.151.255	IE
93.191.160.0	93.191.167.255	DE
93.191.168.0	93.191.170.255	EU
93.191.171.0	93.191.171.255	LV
93.191.172.0	93.191.172.255	EU
93.191.173.0	93.191.173.255	NL
93.191.174.0	93.191.175.255	EU
93.191.176.0	93.191.183.255	JO
93.191.184.0	93.191.191.255	FR
93.191.192.0	93.191.199.255	GI
93.191.200.0	93.191.207.255	GB
93.191.208.0	93.191.215.255	DE
93.191.216.0	93.191.216.255	BE
93.191.217.0	93.191.218.255	LU
93.191.219.0	93.191.222.255	EU
93.191.223.0	93.191.223.255	LU
93.191.224.0	93.191.231.255	KZ
93.191.232.0	93.191.239.255	SE
93.191.240.0	93.191.247.255	IT
93.191.248.0	93.191.255.255	CH
93.192.0.0	93.255.255.255	DE
94.0.0.0	94.15.255.255	GB
94.16.0.0	94.16.255.255	DE
94.17.0.0	94.17.255.255	MT
94.18.0.0	94.18.255.255	DK
94.19.0.0	94.19.255.255	RU
94.20.0.0	94.20.255.255	AZ
94.21.0.0	94.21.255.255	HU
94.22.0.0	94.22.255.255	FI
94.23.0.0	94.23.63.255	FR
94.23.64.0	94.23.73.255	IT
94.23.74.0	94.23.79.255	PT
94.23.80.0	94.23.87.255	ES
94.23.88.0	94.23.95.255	PL
94.23.96.0	94.23.96.63	FR
94.23.96.64	94.23.96.67	NL
94.23.96.68	94.23.96.71	PT
94.23.96.72	94.23.96.75	PL
94.23.96.76	94.23.96.79	GB
94.23.96.80	94.23.96.95	DE
94.23.96.96	94.23.96.103	IT
94.23.96.104	94.23.96.111	FR
94.23.96.112	94.23.96.127	CH
94.23.96.128	94.23.96.135	FR
94.23.96.136	94.23.96.143	GB
94.23.96.144	94.23.96.207	FR
94.23.96.208	94.23.96.223	PL
94.23.96.224	94.23.96.239	BE
94.23.96.240	94.23.97.7	FR
94.23.97.8	94.23.97.15	DE
94.23.97.16	94.23.97.31	IT
94.23.97.32	94.23.97.63	PL
94.23.97.64	94.23.97.79	FR
94.23.97.80	94.23.97.95	GB
94.23.97.96	94.23.97.111	ES
94.23.97.112	94.23.97.139	FR
94.23.97.140	94.23.97.143	PL
94.23.97.144	94.23.97.155	FR
94.23.97.156	94.23.97.159	IT
94.23.97.160	94.23.97.175	FR
94.23.97.176	94.23.97.183	CZ
94.23.97.184	94.23.97.191	BE
94.23.97.192	94.23.97.195	FR
94.23.97.196	94.23.97.199	CZ
94.23.97.200	94.23.97.203	FR
94.23.97.204	94.23.97.223	PL
94.23.97.224	94.23.97.235	FR
94.23.97.236	94.23.97.255	PL
94.23.98.0	94.23.98.79	FR
94.23.98.80	94.23.98.111	GB
94.23.98.112	94.23.98.127	ES
94.23.98.128	94.23.98.159	FR
94.23.98.160	94.23.98.191	PL
94.23.98.192	94.23.98.207	GB
94.23.98.208	94.23.98.215	DE
94.23.98.216	94.23.98.223	ES
94.23.98.224	94.23.98.239	CH
94.23.98.240	94.23.98.255	NL
94.23.99.0	94.23.99.15	GB
94.23.99.16	94.23.99.23	IT
94.23.99.24	94.23.99.31	FR
94.23.99.32	94.23.99.35	GB
94.23.99.36	94.23.99.47	FR
94.23.99.48	94.23.99.63	PL
94.23.99.64	94.23.99.79	NL
94.23.99.80	94.23.99.111	FR
94.23.99.112	94.23.99.127	ES
94.23.99.128	94.23.99.143	GB
94.23.99.144	94.23.99.151	FR
94.23.99.152	94.23.99.159	DE
94.23.99.160	94.23.99.167	FR
94.23.99.168	94.23.99.175	GB
94.23.99.176	94.23.99.207	FR
94.23.99.208	94.23.99.223	ES
94.23.99.224	94.23.100.15	FR
94.23.100.16	94.23.100.31	PL
94.23.100.32	94.23.100.47	FR
94.23.100.48	94.23.100.55	ES
94.23.100.56	94.23.100.59	DE
94.23.100.60	94.23.100.63	ES
94.23.100.64	94.23.100.95	FR
94.23.100.96	94.23.100.111	PL
94.23.100.112	94.23.100.127	ES
94.23.100.128	94.23.100.143	PL
94.23.100.144	94.23.100.159	FR
94.23.100.160	94.23.100.175	CH
94.23.100.176	94.23.100.191	GB
94.23.100.192	94.23.100.199	PL
94.23.100.200	94.23.100.203	DE
94.23.100.204	94.23.100.207	ES
94.23.100.208	94.23.100.231	FR
94.23.100.232	94.23.100.255	PL
94.23.101.0	94.23.101.15	FR
94.23.101.16	94.23.101.31	CH
94.23.101.32	94.23.101.63	ES
94.23.101.64	94.23.101.67	BE
94.23.101.68	94.23.101.71	IT
94.23.101.72	94.23.101.75	PL
94.23.101.76	94.23.101.95	FR
94.23.101.96	94.23.101.111	IT
94.23.101.112	94.23.101.175	FR
94.23.101.176	94.23.101.207	PL
94.23.101.208	94.23.101.211	DE
94.23.101.212	94.23.101.219	FR
94.23.101.220	94.23.101.223	CZ
94.23.101.224	94.23.101.255	PL
94.23.102.0	94.23.102.15	ES
94.23.102.16	94.23.102.47	FR
94.23.102.48	94.23.102.63	PL
94.23.102.64	94.23.102.79	DE
94.23.102.80	94.23.102.143	FR
94.23.102.144	94.23.102.147	DE
94.23.102.148	94.23.102.159	FR
94.23.102.160	94.23.102.175	PL
94.23.102.176	94.23.102.195	ES
94.23.102.196	94.23.102.199	GB
94.23.102.200	94.23.102.207	FR
94.23.102.208	94.23.102.223	PT
94.23.102.224	94.23.102.239	FR
94.23.102.240	94.23.103.31	PL
94.23.103.32	94.23.103.47	IT
94.23.103.48	94.23.103.79	FR
94.23.103.80	94.23.103.95	PL
94.23.103.96	94.23.103.111	FR
94.23.103.112	94.23.103.127	GB
94.23.103.128	94.23.103.143	DE
94.23.103.144	94.23.103.159	NL
94.23.103.160	94.23.103.163	FR
94.23.103.164	94.23.103.171	IT
94.23.103.172	94.23.103.175	FR
94.23.103.176	94.23.103.183	CZ
94.23.103.184	94.23.103.191	PT
94.23.103.192	94.23.103.199	BE
94.23.103.200	94.23.103.207	CH
94.23.103.208	94.23.103.223	FR
94.23.103.224	94.23.103.255	ES
94.23.104.0	94.23.104.15	FR
94.23.104.16	94.23.104.23	NL
94.23.104.24	94.23.104.27	BE
94.23.104.28	94.23.104.31	NL
94.23.104.32	94.23.104.47	DE
94.23.104.48	94.23.104.63	FR
94.23.104.64	94.23.104.79	ES
94.23.104.80	94.23.104.95	FR
94.23.104.96	94.23.104.111	PL
94.23.104.112	94.23.104.127	FR
94.23.104.128	94.23.104.143	IE
94.23.104.144	94.23.104.159	GB
94.23.104.160	94.23.104.167	IT
94.23.104.168	94.23.104.175	IE
94.23.104.176	94.23.104.191	FR
94.23.104.192	94.23.104.239	PL
94.23.104.240	94.23.104.255	FR
94.23.105.0	94.23.105.3	GB
94.23.105.4	94.23.105.7	PL
94.23.105.8	94.23.105.19	FR
94.23.105.20	94.23.105.23	GB
94.23.105.24	94.23.105.31	NL
94.23.105.32	94.23.105.47	FR
94.23.105.48	94.23.105.63	NL
94.23.105.64	94.23.105.175	FR
94.23.105.176	94.23.105.207	ES
94.23.105.208	94.23.105.223	CH
94.23.105.224	94.23.105.239	FR
94.23.105.240	94.23.106.15	DE
94.23.106.16	94.23.106.47	FR
94.23.106.48	94.23.106.55	PL
94.23.106.56	94.23.106.59	FR
94.23.106.60	94.23.106.63	IE
94.23.106.64	94.23.106.79	PL
94.23.106.80	94.23.106.95	FR
94.23.106.96	94.23.106.111	PL
94.23.106.112	94.23.106.115	FR
94.23.106.116	94.23.106.123	GB
94.23.106.124	94.23.106.127	FR
94.23.106.128	94.23.106.191	IT
94.23.106.192	94.23.106.239	FR
94.23.106.240	94.23.107.255	DE
94.23.108.0	94.23.108.15	PL
94.23.108.16	94.23.108.47	FR
94.23.108.48	94.23.108.63	IT
94.23.108.64	94.23.108.79	FR
94.23.108.80	94.23.108.127	GB
94.23.108.128	94.23.108.135	FR
94.23.108.136	94.23.108.143	PL
94.23.108.144	94.23.108.159	FR
94.23.108.160	94.23.108.175	PL
94.23.108.176	94.23.108.207	FR
94.23.108.208	94.23.108.215	ES
94.23.108.216	94.23.108.223	FR
94.23.108.224	94.23.108.255	PL
94.23.109.0	94.23.109.63	GB
94.23.109.64	94.23.109.95	FR
94.23.109.96	94.23.109.111	NL
94.23.109.112	94.23.109.123	PL
94.23.109.124	94.23.109.127	FR
94.23.109.128	94.23.109.143	IT
94.23.109.144	94.23.109.175	FR
94.23.109.176	94.23.109.191	CZ
94.23.109.192	94.23.109.223	FR
94.23.109.224	94.23.109.239	ES
94.23.109.240	94.23.109.255	NL
94.23.110.0	94.23.110.31	FR
94.23.110.32	94.23.110.39	GB
94.23.110.40	94.23.110.43	FR
94.23.110.44	94.23.110.47	NL
94.23.110.48	94.23.110.79	FR
94.23.110.80	94.23.110.83	ES
94.23.110.84	94.23.110.87	FR
94.23.110.88	94.23.110.95	DE
94.23.110.96	94.23.110.127	FR
94.23.110.128	94.23.110.159	PL
94.23.110.160	94.23.110.163	FR
94.23.110.164	94.23.110.175	PL
94.23.110.176	94.23.110.191	FR
94.23.110.192	94.23.110.207	PL
94.23.110.208	94.23.110.223	FR
94.23.110.224	94.23.110.239	BE
94.23.110.240	94.23.110.247	ES
94.23.110.248	94.23.110.255	IT
94.23.111.0	94.23.111.15	FR
94.23.111.16	94.23.111.31	PL
94.23.111.32	94.23.111.39	CH
94.23.111.40	94.23.111.47	CZ
94.23.111.48	94.23.111.63	FR
94.23.111.64	94.23.111.79	PL
94.23.111.80	94.23.111.111	FR
94.23.111.112	94.23.111.127	DE
94.23.111.128	94.23.111.143	FR
94.23.111.144	94.23.111.159	IT
94.23.111.160	94.23.111.163	DE
94.23.111.164	94.23.111.175	PL
94.23.111.176	94.23.111.191	ES
94.23.111.192	94.23.111.207	FR
94.23.111.208	94.23.111.223	GB
94.23.111.224	94.23.111.255	PL
94.23.112.0	94.23.112.15	FR
94.23.112.16	94.23.112.31	PL
94.23.112.32	94.23.112.71	FR
94.23.112.72	94.23.112.79	PT
94.23.112.80	94.23.112.95	FR
94.23.112.96	94.23.112.127	PL
94.23.112.128	94.23.112.143	FR
94.23.112.144	94.23.112.159	PL
94.23.112.160	94.23.112.175	FR
94.23.112.176	94.23.112.191	ES
94.23.112.192	94.23.112.207	FR
94.23.112.208	94.23.112.211	DE
94.23.112.212	94.23.112.215	FR
94.23.112.216	94.23.112.219	PL
94.23.112.220	94.23.112.255	FR
94.23.113.0	94.23.113.15	PL
94.23.113.16	94.23.113.47	ES
94.23.113.48	94.23.113.63	FR
94.23.113.64	94.23.113.127	DE
94.23.113.128	94.23.113.143	FR
94.23.113.144	94.23.113.147	BE
94.23.113.148	94.23.113.151	DE
94.23.113.152	94.23.113.155	IT
94.23.113.156	94.23.113.191	FR
94.23.113.192	94.23.113.207	ES
94.23.113.208	94.23.113.211	DE
94.23.113.212	94.23.113.215	FR
94.23.113.216	94.23.113.223	ES
94.23.113.224	94.23.113.239	FR
94.23.113.240	94.23.113.255	DE
94.23.114.0	94.23.114.223	FR
94.23.114.224	94.23.114.239	GB
94.23.114.240	94.23.115.31	FR
94.23.115.32	94.23.115.47	GB
94.23.115.48	94.23.115.55	FR
94.23.115.56	94.23.115.59	ES
94.23.115.60	94.23.115.79	FR
94.23.115.80	94.23.115.95	ES
94.23.115.96	94.23.115.127	FR
94.23.115.128	94.23.115.131	DE
94.23.115.132	94.23.115.135	FR
94.23.115.136	94.23.115.143	PL
94.23.115.144	94.23.115.159	DE
94.23.115.160	94.23.115.191	BE
94.23.115.192	94.23.115.195	ES
94.23.115.196	94.23.115.199	FR
94.23.115.200	94.23.115.203	PL
94.23.115.204	94.23.115.207	ES
94.23.115.208	94.23.115.215	FR
94.23.115.216	94.23.115.223	PL
94.23.115.224	94.23.115.255	FR
94.23.116.0	94.23.116.15	IT
94.23.116.16	94.23.116.35	FR
94.23.116.36	94.23.116.39	DE
94.23.116.40	94.23.116.51	FR
94.23.116.52	94.23.116.55	CH
94.23.116.56	94.23.116.59	ES
94.23.116.60	94.23.116.63	PL
94.23.116.64	94.23.116.95	CH
94.23.116.96	94.23.116.127	LT
94.23.116.128	94.23.116.135	DE
94.23.116.136	94.23.116.159	FR
94.23.116.160	94.23.116.175	DE
94.23.116.176	94.23.116.191	PL
94.23.116.192	94.23.117.23	FR
94.23.117.24	94.23.117.27	GB
94.23.117.28	94.23.117.31	ES
94.23.117.32	94.23.117.63	PL
94.23.117.64	94.23.117.95	FR
94.23.117.96	94.23.117.111	BE
94.23.117.112	94.23.117.179	FR
94.23.117.180	94.23.117.191	ES
94.23.117.192	94.23.117.223	CH
94.23.117.224	94.23.118.143	FR
94.23.118.144	94.23.118.151	NL
94.23.118.152	94.23.118.155	IT
94.23.118.156	94.23.118.255	FR
94.23.119.0	94.23.119.3	DE
94.23.119.4	94.23.119.7	GB
94.23.119.8	94.23.119.15	FR
94.23.119.16	94.23.119.31	ES
94.23.119.32	94.23.119.47	PL
94.23.119.48	94.23.119.51	DE
94.23.119.52	94.23.119.55	FR
94.23.119.56	94.23.119.59	DE
94.23.119.60	94.23.119.63	FR
94.23.119.64	94.23.119.79	PL
94.23.119.80	94.23.119.87	GB
94.23.119.88	94.23.119.95	BE
94.23.119.96	94.23.119.111	ES
94.23.119.112	94.23.119.159	FR
94.23.119.160	94.23.119.191	GB
94.23.119.192	94.23.119.207	ES
94.23.119.208	94.23.119.239	FR
94.23.119.240	94.23.119.255	ES
94.23.120.0	94.23.121.255	GB
94.23.122.0	94.23.134.255	FR
94.23.135.0	94.23.135.63	BE
94.23.135.64	94.23.136.63	FR
94.23.136.64	94.23.136.127	BE
94.23.136.128	94.23.143.255	FR
94.23.144.0	94.23.151.255	NL
94.23.152.0	94.23.159.255	GB
94.23.160.0	94.23.167.255	DE
94.23.168.0	94.23.175.255	CZ
94.23.176.0	94.23.176.255	FR
94.23.177.0	94.23.177.31	ES
94.23.177.32	94.23.177.95	PL
94.23.177.96	94.23.177.127	FR
94.23.177.128	94.23.177.131	DE
94.23.177.132	94.23.177.135	FR
94.23.177.136	94.23.177.143	NL
94.23.177.144	94.23.177.175	DE
94.23.177.176	94.23.177.191	FR
94.23.177.192	94.23.177.207	CH
94.23.177.208	94.23.177.223	FR
94.23.177.224	94.23.177.239	ES
94.23.177.240	94.23.177.255	FR
94.23.178.0	94.23.178.15	NL
94.23.178.16	94.23.178.31	PL
94.23.178.32	94.23.178.47	FR
94.23.178.48	94.23.178.51	ES
94.23.178.52	94.23.178.55	IT
94.23.178.56	94.23.178.63	PL
94.23.178.64	94.23.178.79	IT
94.23.178.80	94.23.178.95	FR
94.23.178.96	94.23.178.103	GB
94.23.178.104	94.23.178.127	PL
94.23.178.128	94.23.178.143	BE
94.23.178.144	94.23.178.159	FR
94.23.178.160	94.23.178.175	CH
94.23.178.176	94.23.178.191	FR
94.23.178.192	94.23.178.207	DE
94.23.178.208	94.23.178.223	IT
94.23.178.224	94.23.178.239	FR
94.23.178.240	94.23.178.255	IT
94.23.179.0	94.23.179.255	FR
94.23.180.0	94.23.180.63	CH
94.23.180.64	94.23.180.79	ES
94.23.180.80	94.23.180.95	FR
94.23.180.96	94.23.180.127	CH
94.23.180.128	94.23.180.207	FR
94.23.180.208	94.23.180.223	BE
94.23.180.224	94.23.180.231	PL
94.23.180.232	94.23.180.235	FR
94.23.180.236	94.23.180.239	GB
94.23.180.240	94.23.180.255	FR
94.23.181.0	94.23.181.191	GB
94.23.181.192	94.23.181.255	PL
94.23.182.0	94.23.182.15	DE
94.23.182.16	94.23.182.31	FR
94.23.182.32	94.23.182.35	PL
94.23.182.36	94.23.182.39	IT
94.23.182.40	94.23.182.47	FR
94.23.182.48	94.23.182.63	ES
94.23.182.64	94.23.182.79	BE
94.23.182.80	94.23.182.95	DE
94.23.182.96	94.23.182.159	FR
94.23.182.160	94.23.182.191	PL
94.23.182.192	94.23.183.143	FR
94.23.183.144	94.23.183.159	CH
94.23.183.160	94.23.183.191	PL
94.23.183.192	94.23.183.207	FR
94.23.183.208	94.23.183.223	DE
94.23.183.224	94.23.184.127	FR
94.23.184.128	94.23.184.159	NL
94.23.184.160	94.23.184.175	PL
94.23.184.176	94.23.184.239	ES
94.23.184.240	94.23.184.255	FR
94.23.185.0	94.23.185.255	DE
94.23.186.0	94.23.186.255	FR
94.23.187.0	94.23.187.63	DE
94.23.187.64	94.23.187.127	PL
94.23.187.128	94.23.187.143	DE
94.23.187.144	94.23.187.175	FR
94.23.187.176	94.23.187.191	ES
94.23.187.192	94.23.187.207	NL
94.23.187.208	94.23.187.215	BE
94.23.187.216	94.23.187.219	ES
94.23.187.220	94.23.187.223	IT
94.23.187.224	94.23.187.239	CZ
94.23.187.240	94.23.187.247	ES
94.23.187.248	94.23.187.255	NL
94.23.188.0	94.23.188.31	DE
94.23.188.32	94.23.188.63	ES
94.23.188.64	94.23.188.127	IT
94.23.188.128	94.23.188.191	ES
94.23.188.192	94.23.188.255	IE
94.23.189.0	94.23.189.15	FR
94.23.189.16	94.23.189.31	BE
94.23.189.32	94.23.189.55	FR
94.23.189.56	94.23.189.63	ES
94.23.189.64	94.23.189.159	FR
94.23.189.160	94.23.189.175	ES
94.23.189.176	94.23.189.179	FR
94.23.189.180	94.23.189.191	GB
94.23.189.192	94.23.189.255	PL
94.23.190.0	94.23.190.255	ES
94.23.191.0	94.23.255.255	FR
94.24.0.0	94.24.127.255	RO
94.24.128.0	94.25.255.255	RU
94.26.0.0	94.26.127.255	BG
94.26.128.0	94.26.255.255	RU
94.27.0.0	94.27.127.255	UA
94.27.128.0	94.27.255.255	HU
94.28.0.0	94.29.127.255	RU
94.29.128.0	94.29.255.255	KW
94.30.0.0	94.30.127.255	GB
94.30.128.0	94.30.255.255	LV
94.31.0.0	94.31.2.143	NL
94.31.2.144	94.31.2.255	GB
94.31.3.0	94.31.3.255	NL
94.31.4.0	94.31.7.47	GB
94.31.7.48	94.31.7.63	IL
94.31.7.64	94.31.7.127	GB
94.31.7.128	94.31.7.143	US
94.31.7.144	94.31.7.255	GB
94.31.8.0	94.31.8.255	DE
94.31.9.0	94.31.56.255	GB
94.31.57.0	94.31.57.255	NL
94.31.58.0	94.31.58.255	GB
94.31.59.0	94.31.59.127	NL
94.31.59.128	94.31.59.255	GB
94.31.60.0	94.31.60.63	NL
94.31.60.64	94.31.60.255	GB
94.31.61.0	94.31.61.63	NL
94.31.61.64	94.31.63.255	GB
94.31.64.0	94.31.127.255	DE
94.31.128.0	94.31.255.255	RU
94.32.0.0	94.39.255.255	IT
94.40.0.0	94.40.255.255	PL
94.41.0.0	94.41.255.255	RU
94.42.0.0	94.42.255.255	PL
94.43.0.0	94.43.255.255	GE
94.44.0.0	94.44.255.255	HU
94.45.0.0	94.45.31.255	RU
94.45.32.0	94.45.159.255	UA
94.45.160.0	94.45.223.255	RU
94.45.224.0	94.45.255.255	DE
94.46.0.0	94.46.239.255	PT
94.46.240.0	94.46.247.255	ES
94.46.248.0	94.46.255.255	PT
94.47.0.0	94.47.255.255	IT
94.48.0.0	94.49.255.255	RO
94.50.0.0	94.51.255.255	RU
94.52.0.0	94.53.255.255	RO
94.54.0.0	94.55.255.255	TR
94.56.0.0	94.59.255.255	AE
94.60.0.0	94.63.255.255	RO
94.64.0.0	94.71.255.255	GR
94.72.0.0	94.72.63.255	RU
94.72.64.0	94.72.127.255	PL
94.72.128.0	94.72.191.255	BG
94.72.192.0	94.72.255.255	GB
94.73.0.0	94.73.63.255	BG
94.73.64.0	94.73.127.255	IT
94.73.128.0	94.73.191.255	TR
94.73.192.0	94.73.255.255	RU
94.74.0.0	94.74.63.255	IT
94.74.64.0	94.74.127.255	UA
94.74.128.0	94.74.191.255	IR
94.74.192.0	94.74.255.255	CZ
94.75.0.0	94.75.63.255	RU
94.75.64.0	94.75.127.255	PL
94.75.128.0	94.75.191.255	RU
94.75.192.0	94.75.255.255	NL
94.76.0.0	94.76.63.255	RU
94.76.64.0	94.76.127.255	UA
94.76.128.0	94.76.191.255	ES
94.76.192.0	94.76.255.255	GB
94.77.0.0	94.77.191.255	RU
94.77.192.0	94.77.255.255	SA
94.78.0.0	94.78.63.255	CH
94.78.64.0	94.78.127.255	TR
94.78.128.0	94.78.191.255	PL
94.78.192.0	94.79.63.255	RU
94.79.64.0	94.79.127.255	TR
94.79.128.0	94.79.191.255	DE
94.79.192.0	94.79.255.255	BH
94.80.0.0	94.95.255.255	IT
94.96.0.0	94.99.255.255	SA
94.100.0.0	94.100.15.255	LV
94.100.16.0	94.100.22.255	NL
94.100.23.0	94.100.23.255	US
94.100.24.0	94.100.30.255	NL
94.100.31.0	94.100.31.255	US
94.100.32.0	94.100.47.255	IT
94.100.48.0	94.100.63.255	RS
94.100.64.0	94.100.79.255	DE
94.100.80.0	94.100.95.255	RU
94.100.96.0	94.100.111.255	MK
94.100.112.0	94.100.127.255	NL
94.100.128.0	94.100.143.255	DE
94.100.144.0	94.100.159.255	CH
94.100.160.0	94.100.175.255	FR
94.100.176.0	94.100.207.255	RU
94.100.208.0	94.100.223.255	UA
94.100.224.0	94.100.239.255	GE
94.100.240.0	94.100.242.135	DE
94.100.242.136	94.100.242.143	GB
94.100.242.144	94.100.242.175	DE
94.100.242.176	94.100.242.183	NL
94.100.242.184	94.100.255.255	DE
94.101.0.0	94.101.15.255	FI
94.101.16.0	94.101.31.255	PL
94.101.32.0	94.101.47.255	DE
94.101.48.0	94.101.63.255	IT
94.101.64.0	94.101.79.255	RU
94.101.80.0	94.101.95.255	TR
94.101.96.0	94.101.111.255	RU
94.101.112.0	94.101.127.255	GI
94.101.128.0	94.101.135.255	IR
94.101.136.0	94.101.143.255	AE
94.101.144.0	94.101.158.223	GB
94.101.158.224	94.101.158.224	FR
94.101.158.225	94.101.158.225	DE
94.101.158.226	94.101.158.226	ES
94.101.158.227	94.101.158.227	IT
94.101.158.228	94.101.158.228	NL
94.101.158.229	94.101.158.229	BE
94.101.158.230	94.101.175.255	GB
94.101.176.0	94.101.191.255	IR
94.101.192.0	94.101.207.255	BG
94.101.208.0	94.101.214.111	DK
94.101.214.112	94.101.214.127	A2
94.101.214.128	94.101.214.159	DK
94.101.214.160	94.101.214.175	DE
94.101.214.176	94.101.223.255	DK
94.101.224.0	94.101.239.255	LV
94.101.240.0	94.101.255.255	IR
94.102.0.0	94.102.15.255	TR
94.102.16.0	94.102.31.255	RU
94.102.32.0	94.102.47.255	NO
94.102.48.0	94.102.63.255	NL
94.102.64.0	94.102.79.255	TR
94.102.80.0	94.102.95.255	RU
94.102.96.0	94.102.111.255	AT
94.102.112.0	94.102.127.255	RU
94.102.128.0	94.102.143.255	IT
94.102.144.0	94.102.159.255	GB
94.102.160.0	94.102.175.255	EU
94.102.176.0	94.102.191.255	TM
94.102.192.0	94.102.207.255	IE
94.102.208.0	94.102.223.255	DE
94.102.224.0	94.102.239.255	ME
94.102.240.0	94.102.255.255	GB
94.103.0.0	94.103.15.255	MD
94.103.16.0	94.103.20.47	NL
94.103.20.48	94.103.20.51	GB
94.103.20.52	94.103.20.79	NL
94.103.20.80	94.103.20.95	US
94.103.20.96	94.103.20.103	NL
94.103.20.104	94.103.20.111	DE
94.103.20.112	94.103.31.255	NL
94.103.32.0	94.103.47.255	TR
94.103.48.0	94.103.63.255	LV
94.103.64.0	94.103.79.255	SI
94.103.80.0	94.103.95.255	RU
94.103.96.0	94.103.111.255	CH
94.103.112.0	94.103.127.255	GB
94.103.128.0	94.103.143.255	FR
94.103.144.0	94.103.145.95	NL
94.103.145.96	94.103.145.111	BE
94.103.145.112	94.103.156.191	NL
94.103.156.192	94.103.156.255	BE
94.103.157.0	94.103.157.31	NL
94.103.157.32	94.103.157.95	BE
94.103.157.96	94.103.159.255	NL
94.103.160.0	94.103.175.255	DE
94.103.176.0	94.103.191.255	RU
94.103.192.0	94.103.207.255	SE
94.103.208.0	94.103.223.255	LU
94.103.224.0	94.103.239.255	RU
94.103.240.0	94.103.255.255	KZ
94.104.0.0	94.111.255.255	BE
94.112.0.0	94.115.255.255	CZ
94.116.0.0	94.118.255.255	GB
94.119.0.0	94.119.7.255	DE
94.119.8.0	94.119.255.255	GB
94.120.0.0	94.123.255.255	TR
94.124.0.0	94.124.23.255	PL
94.124.24.0	94.124.31.255	ES
94.124.32.0	94.124.39.255	IT
94.124.40.0	94.124.47.255	CZ
94.124.48.0	94.124.55.255	IT
94.124.56.0	94.124.63.255	NL
94.124.64.0	94.124.79.255	IT
94.124.80.0	94.124.87.255	FR
94.124.88.0	94.124.97.255	NL
94.124.98.0	94.124.98.255	IQ
94.124.99.0	94.124.101.255	IR
94.124.102.0	94.124.103.255	NL
94.124.104.0	94.124.111.255	CZ
94.124.112.0	94.124.115.255	GB
94.124.116.0	94.124.127.255	NL
94.124.128.0	94.124.135.255	FR
94.124.136.0	94.124.143.255	NL
94.124.144.0	94.124.144.127	SK
94.124.144.128	94.124.151.255	CZ
94.124.152.0	94.124.159.255	FR
94.124.160.0	94.124.167.255	UA
94.124.168.0	94.124.183.255	RU
94.124.184.0	94.124.191.255	CZ
94.124.192.0	94.124.199.255	LB
94.124.200.0	94.124.207.255	RU
94.124.208.0	94.124.215.255	DE
94.124.216.0	94.124.219.255	FR
94.124.220.0	94.124.223.255	MQ
94.124.224.0	94.124.231.255	RU
94.124.232.0	94.124.239.255	FR
94.124.240.0	94.124.247.255	RU
94.124.248.0	94.124.255.255	CZ
94.125.0.0	94.125.15.255	RU
94.125.16.0	94.125.23.255	GB
94.125.24.0	94.125.31.255	DE
94.125.32.0	94.125.39.255	GB
94.125.40.0	94.125.55.255	RU
94.125.56.0	94.125.59.255	MT
94.125.60.0	94.125.60.31	FR
94.125.60.32	94.125.60.63	IM
94.125.60.64	94.125.60.103	FR
94.125.60.104	94.125.60.111	IM
94.125.60.112	94.125.61.23	FR
94.125.61.24	94.125.61.31	IM
94.125.61.32	94.125.61.47	FR
94.125.61.48	94.125.61.63	IM
94.125.61.64	94.125.61.127	FR
94.125.61.128	94.125.63.255	IM
94.125.64.0	94.125.79.255	DE
94.125.80.0	94.125.87.255	IT
94.125.88.0	94.125.95.255	RU
94.125.96.0	94.125.103.255	ES
94.125.104.0	94.125.111.255	FR
94.125.112.0	94.125.119.255	AL
94.125.120.0	94.125.127.255	UA
94.125.128.0	94.125.135.255	GB
94.125.136.0	94.125.143.255	ES
94.125.144.0	94.125.151.255	CY
94.125.152.0	94.125.159.255	DE
94.125.160.0	94.125.175.255	FR
94.125.176.0	94.125.183.255	HU
94.125.184.0	94.125.191.255	RU
94.125.192.0	94.125.199.255	GB
94.125.200.0	94.125.207.255	LU
94.125.208.0	94.125.215.255	DE
94.125.216.0	94.125.223.255	CZ
94.125.224.0	94.125.231.255	QA
94.125.232.0	94.125.239.255	IT
94.125.240.0	94.125.247.255	RU
94.125.248.0	94.125.255.255	HU
94.126.0.0	94.126.7.255	DK
94.126.8.0	94.126.15.255	IT
94.126.16.0	94.126.23.255	CH
94.126.24.0	94.126.31.255	RU
94.126.32.0	94.126.39.255	NL
94.126.40.0	94.126.47.255	GB
94.126.48.0	94.126.55.255	BE
94.126.56.0	94.126.63.255	IT
94.126.64.0	94.126.71.255	NL
94.126.72.0	94.126.79.255	DE
94.126.80.0	94.126.87.255	SE
94.126.88.0	94.126.95.255	RU
94.126.96.0	94.126.103.255	AT
94.126.104.0	94.126.107.79	GB
94.126.107.80	94.126.107.87	DE
94.126.107.88	94.126.111.255	GB
94.126.112.0	94.126.119.255	FR
94.126.120.0	94.126.127.255	GB
94.126.128.0	94.126.135.255	CH
94.126.136.0	94.126.143.255	IT
94.126.144.0	94.126.151.255	PT
94.126.152.0	94.126.159.255	RU
94.126.160.0	94.126.167.255	FI
94.126.168.0	94.126.175.255	PT
94.126.176.0	94.126.183.255	GB
94.126.184.0	94.126.185.255	IT
94.126.186.0	94.126.186.95	ES
94.126.186.96	94.126.191.255	IT
94.126.192.0	94.126.199.255	GB
94.126.200.0	94.126.207.255	RU
94.126.208.0	94.126.215.255	GB
94.126.216.0	94.126.231.255	SE
94.126.232.0	94.126.239.255	GB
94.126.240.0	94.126.247.255	ES
94.126.248.0	94.126.255.255	CH
94.127.0.0	94.127.1.255	RS
94.127.2.0	94.127.7.255	GB
94.127.8.0	94.127.15.255	FR
94.127.16.0	94.127.23.255	DE
94.127.24.0	94.127.31.255	SI
94.127.32.0	94.127.39.255	SE
94.127.40.0	94.127.47.255	IT
94.127.48.0	94.127.55.255	DK
94.127.56.0	94.127.63.255	NO
94.127.64.0	94.127.71.255	RU
94.127.72.0	94.127.72.255	NL
94.127.73.0	94.127.73.255	IL
94.127.74.0	94.127.74.255	GB
94.127.75.0	94.127.79.255	US
94.127.80.0	94.127.87.255	IT
94.127.88.0	94.127.95.255	RU
94.127.96.0	94.127.103.255	GB
94.127.104.0	94.127.111.255	PL
94.127.112.0	94.127.119.255	GB
94.127.120.0	94.127.127.255	NO
94.127.128.0	94.127.135.255	CZ
94.127.136.0	94.127.159.255	RU
94.127.160.0	94.127.167.255	ES
94.127.168.0	94.127.183.255	RU
94.127.184.0	94.127.199.255	ES
94.127.200.0	94.127.207.255	RU
94.127.208.0	94.127.215.255	JO
94.127.216.0	94.127.223.255	RU
94.127.224.0	94.127.231.255	DE
94.127.232.0	94.127.239.255	IT
94.127.240.0	94.127.255.255	RU
94.128.0.0	94.129.255.255	KW
94.130.0.0	94.131.255.255	UA
94.132.0.0	94.133.255.255	PT
94.134.0.0	94.135.255.255	DE
94.136.0.0	94.136.31.255	AT
94.136.32.0	94.136.63.255	GB
94.136.64.0	94.136.65.255	SE
94.136.66.0	94.136.66.7	IT
94.136.66.8	94.136.66.255	SE
94.136.67.0	94.136.67.7	DE
94.136.67.8	94.136.75.255	SE
94.136.76.0	94.136.76.3	US
94.136.76.4	94.136.76.255	SE
94.136.77.0	94.136.77.3	US
94.136.77.4	94.136.77.255	SE
94.136.78.0	94.136.78.3	US
94.136.78.4	94.136.80.3	SE
94.136.80.4	94.136.80.7	US
94.136.80.8	94.136.80.255	SE
94.136.81.0	94.136.81.3	US
94.136.81.4	94.136.95.255	SE
94.136.96.0	94.136.127.255	AT
94.136.128.0	94.136.159.255	SK
94.136.160.0	94.136.191.255	DE
94.136.192.0	94.136.223.255	RU
94.136.224.0	94.136.255.255	GB
94.137.0.0	94.137.95.255	RU
94.137.96.0	94.137.127.255	HR
94.137.128.0	94.137.159.255	DE
94.137.160.0	94.137.191.255	GE
94.137.192.0	94.138.31.255	RU
94.138.32.0	94.138.63.255	IT
94.138.64.0	94.138.95.255	DK
94.138.96.0	94.138.101.255	CZ
94.138.102.0	94.138.102.255	SK
94.138.103.0	94.138.127.255	CZ
94.138.128.0	94.138.159.255	RU
94.138.160.0	94.138.191.255	IT
94.138.192.0	94.138.223.255	TR
94.138.224.0	94.138.255.255	MT
94.139.0.0	94.139.31.255	DE
94.139.32.0	94.139.63.255	BE
94.139.64.0	94.139.95.255	NO
94.139.96.0	94.139.127.255	RU
94.139.128.0	94.139.159.255	MD
94.139.160.0	94.139.191.255	IR
94.139.192.0	94.139.223.255	BG
94.139.224.0	94.139.255.255	RU
94.140.0.0	94.140.31.255	FR
94.140.32.0	94.140.63.255	SE
94.140.64.0	94.140.95.255	SI
94.140.96.0	94.140.127.255	EU
94.140.128.0	94.140.159.255	RU
94.140.160.0	94.140.191.255	BE
94.140.192.0	94.140.255.255	RU
94.141.0.0	94.141.31.255	IT
94.141.32.0	94.141.63.255	RU
94.141.64.0	94.141.95.255	UZ
94.141.96.0	94.141.127.255	RU
94.141.128.0	94.141.159.255	PL
94.141.160.0	94.141.191.255	RU
94.141.192.0	94.141.223.255	SY
94.141.224.0	94.142.31.255	RU
94.142.32.0	94.142.63.255	JO
94.142.64.0	94.142.95.255	GB
94.142.96.0	94.142.127.255	ES
94.142.128.0	94.142.135.255	LV
94.142.136.0	94.142.143.255	RU
94.142.144.0	94.142.151.255	IT
94.142.152.0	94.142.159.255	IS
94.142.160.0	94.142.167.255	AT
94.142.168.0	94.142.175.255	GB
94.142.176.0	94.142.183.255	IT
94.142.184.0	94.142.184.255	GB
94.142.185.0	94.142.186.255	US
94.142.187.0	94.142.187.255	HK
94.142.188.0	94.142.191.255	GB
94.142.192.0	94.142.199.255	IT
94.142.200.0	94.142.202.127	ES
94.142.202.128	94.142.207.255	AD
94.142.208.0	94.142.215.255	NL
94.142.216.0	94.142.223.255	DE
94.142.224.0	94.142.231.255	SE
94.142.232.0	94.142.239.255	CZ
94.142.240.0	94.142.247.255	NL
94.142.248.0	94.142.248.255	CH
94.142.249.0	94.142.255.255	FR
94.143.0.0	94.143.7.255	CH
94.143.8.0	94.143.15.255	DK
94.143.16.0	94.143.23.255	BE
94.143.24.0	94.143.31.255	ES
94.143.32.0	94.143.63.255	RU
94.143.64.0	94.143.71.255	NO
94.143.72.0	94.143.79.255	ES
94.143.88.0	94.143.95.255	CH
94.143.96.0	94.143.103.255	IT
94.143.104.0	94.143.111.255	GB
94.143.112.0	94.143.119.255	FR
94.143.120.0	94.143.127.255	GB
94.143.128.0	94.143.135.255	RU
94.143.136.0	94.143.143.255	ES
94.143.144.0	94.143.151.255	RU
94.143.152.0	94.143.159.255	IT
94.143.160.0	94.143.167.255	GB
94.143.168.0	94.143.175.255	CZ
94.143.176.0	94.143.183.255	GR
94.143.184.0	94.143.191.255	BE
94.143.192.0	94.143.199.255	KG
94.143.200.0	94.143.207.255	ES
94.143.208.0	94.143.215.255	NL
94.143.216.0	94.143.223.255	FR
94.143.224.0	94.143.231.255	SA
94.143.232.0	94.143.239.255	CZ
94.143.240.0	94.143.247.255	RU
94.143.248.0	94.143.255.255	GB
94.144.0.0	94.151.255.255	DK
94.152.0.0	94.152.255.255	PL
94.153.0.0	94.154.127.255	UA
94.154.128.0	94.154.191.255	RU
94.154.192.0	94.154.255.255	UA
94.155.0.0	94.156.255.255	BG
94.157.0.0	94.157.255.255	NL
94.158.0.0	94.158.15.255	RU
94.158.16.0	94.158.47.255	UA
94.158.48.0	94.158.63.255	UZ
94.158.64.0	94.158.95.255	UA
94.158.96.0	94.158.127.255	RU
94.158.128.0	94.158.143.255	PL
94.158.144.0	94.158.159.255	UA
94.158.160.0	94.158.223.255	RU
94.158.224.0	94.158.239.255	PL
94.158.240.0	94.158.255.255	UA
94.159.0.0	94.159.127.255	RU
94.159.128.0	94.159.255.255	IL
94.160.0.0	94.167.255.255	IT
94.168.0.0	94.175.255.255	GB
94.176.0.0	94.176.111.255	RO
94.176.112.0	94.176.127.255	MD
94.176.128.0	94.177.255.255	RO
94.178.0.0	94.179.255.255	UA
94.180.0.0	94.181.255.255	RU
94.182.0.0	94.184.255.255	IR
94.185.0.0	94.185.127.255	RU
94.185.128.0	94.185.255.255	GB
94.186.0.0	94.186.127.255	NO
94.186.128.0	94.186.255.255	DE
94.187.0.0	94.187.127.255	LB
94.187.128.0	94.187.255.255	KW
94.188.0.0	94.188.127.255	RU
94.188.128.0	94.188.255.255	IL
94.189.0.0	94.189.127.255	DK
94.189.128.0	94.189.255.255	RS
94.190.0.0	94.190.127.255	RU
94.190.128.0	94.190.255.255	BG
94.191.0.0	94.191.127.255	RU
94.191.128.0	94.191.143.255	DK
94.191.144.0	94.191.175.255	SE
94.191.176.0	94.191.255.255	DK
94.192.0.0	94.197.255.255	GB
94.198.0.0	94.198.7.255	RU
94.198.8.0	94.198.15.255	GB
94.198.16.0	94.198.23.255	RU
94.198.24.0	94.198.31.255	NL
94.198.32.0	94.198.55.255	RU
94.198.56.0	94.198.63.255	DE
94.198.64.0	94.198.71.255	SE
94.198.72.0	94.198.79.255	IT
94.198.80.0	94.198.87.255	GB
94.198.88.0	94.198.95.255	ES
94.198.96.0	94.198.100.191	IT
94.198.100.192	94.198.100.223	CH
94.198.100.224	94.198.103.255	IT
94.198.104.0	94.198.111.255	RU
94.198.112.0	94.198.119.255	CZ
94.198.120.0	94.198.127.255	IE
94.198.128.0	94.198.135.255	RU
94.198.136.0	94.198.143.255	AT
94.198.144.0	94.198.151.255	FR
94.198.152.0	94.198.159.255	NL
94.198.160.0	94.198.167.63	BE
94.198.167.64	94.198.167.95	NL
94.198.167.96	94.198.167.255	BE
94.198.168.0	94.198.175.255	GB
94.198.176.0	94.198.183.255	FR
94.198.184.0	94.198.191.255	GB
94.198.192.0	94.198.199.255	RU
94.198.200.0	94.198.207.255	FR
94.198.208.0	94.198.215.255	IT
94.198.216.0	94.198.223.255	RU
94.198.224.0	94.198.231.255	CZ
94.198.232.0	94.198.239.255	RU
94.198.240.0	94.198.247.255	CZ
94.198.248.0	94.198.255.255	CH
94.199.0.0	94.199.7.255	RU
94.199.8.0	94.199.15.255	IT
94.199.16.0	94.199.23.255	TJ
94.199.24.0	94.199.31.255	GB
94.199.32.0	94.199.39.255	TR
94.199.40.0	94.199.47.255	CZ
94.199.48.0	94.199.55.255	HU
94.199.56.0	94.199.63.255	FI
94.199.64.0	94.199.79.255	RU
94.199.80.0	94.199.87.255	IT
94.199.88.0	94.199.95.255	DE
94.199.96.0	94.199.103.255	CH
94.199.104.0	94.199.111.255	RU
94.199.112.0	94.199.119.255	FI
94.199.120.0	94.199.127.255	FR
94.199.128.0	94.199.128.255	DE
94.199.129.0	94.199.135.255	GB
94.199.136.0	94.199.143.255	ES
94.199.144.0	94.199.151.255	GB
94.199.152.0	94.199.159.255	CZ
94.199.160.0	94.199.167.255	UA
94.199.168.0	94.199.175.255	AT
94.199.176.0	94.199.183.255	HU
94.199.184.0	94.199.191.255	GB
94.199.192.0	94.199.199.255	CZ
94.199.200.0	94.199.207.255	TR
94.199.208.0	94.199.223.255	RU
94.199.224.0	94.199.231.255	IE
94.199.232.0	94.199.239.255	GB
94.199.240.0	94.199.247.255	DE
94.199.248.0	94.199.255.255	NL
94.200.0.0	94.200.44.63	AE
94.200.44.64	94.200.44.95	A2
94.200.44.96	94.207.255.255	AE
94.208.0.0	94.215.255.255	NL
94.216.0.0	94.223.255.255	DE
94.224.0.0	94.227.255.255	BE
94.228.0.0	94.228.15.255	ES
94.228.16.0	94.228.31.255	AM
94.228.32.0	94.228.47.255	GB
94.228.48.0	94.228.63.255	CH
94.228.64.0	94.228.79.255	GB
94.228.80.0	94.228.95.255	SK
94.228.96.0	94.228.111.255	DE
94.228.112.0	94.228.127.255	RU
94.228.128.0	94.228.143.255	NL
94.228.144.0	94.228.159.255	CH
94.228.160.0	94.228.175.255	RU
94.228.176.0	94.228.191.255	FR
94.228.192.0	94.228.207.255	RU
94.228.208.0	94.228.209.255	NL
94.228.210.0	94.228.210.255	AE
94.228.211.0	94.228.211.255	NL
94.228.212.0	94.228.213.255	AE
94.228.214.0	94.228.216.127	NL
94.228.216.128	94.228.216.191	SG
94.228.216.192	94.228.220.127	NL
94.228.220.128	94.228.220.191	SG
94.228.220.192	94.228.223.255	NL
94.228.224.0	94.228.239.255	RS
94.228.240.0	94.228.255.255	RU
94.229.0.0	94.229.5.255	US
94.229.6.0	94.229.6.127	NO
94.229.6.128	94.229.13.255	CY
94.229.14.0	94.229.14.63	NL
94.229.14.64	94.229.14.255	CY
94.229.15.0	94.229.31.255	RU
94.229.32.0	94.229.47.255	SK
94.229.48.0	94.229.63.255	NL
94.229.64.0	94.229.79.255	GB
94.229.80.0	94.229.82.255	CZ
94.229.83.0	94.229.85.255	PL
94.229.86.0	94.229.95.255	CZ
94.229.96.0	94.229.111.255	RU
94.229.112.0	94.229.127.255	RS
94.229.128.0	94.229.143.255	GB
94.229.144.0	94.229.159.255	PT
94.229.160.0	94.229.175.255	GB
94.229.176.0	94.229.191.255	DE
94.229.192.0	94.229.207.255	ES
94.229.208.0	94.229.223.255	PL
94.229.224.0	94.230.15.255	RU
94.230.16.0	94.230.31.255	PL
94.230.32.0	94.230.47.255	RU
94.230.48.0	94.230.63.255	DE
94.230.64.0	94.230.79.255	IT
94.230.80.0	94.230.95.255	IL
94.230.96.0	94.230.111.255	IE
94.230.112.0	94.230.143.255	RU
94.230.144.0	94.230.159.255	CZ
94.230.160.0	94.230.175.255	RU
94.230.176.0	94.230.191.255	RS
94.230.192.0	94.230.207.255	UA
94.230.208.0	94.230.223.255	CH
94.230.224.0	94.230.239.255	UZ
94.230.240.0	94.230.255.255	RU
94.231.0.0	94.231.15.255	PL
94.231.16.0	94.231.31.255	RU
94.231.32.0	94.231.47.255	UA
94.231.48.0	94.231.63.255	PL
94.231.64.0	94.231.79.255	UA
94.231.80.0	94.231.95.255	CH
94.231.96.0	94.231.111.255	DK
94.231.112.0	94.231.175.255	RU
94.231.176.0	94.231.191.255	UA
94.231.192.0	94.231.223.255	RU
94.231.224.0	94.231.239.255	PL
94.231.240.0	94.231.255.255	NL
94.232.0.0	94.232.31.255	RU
94.232.32.0	94.232.39.255	PL
94.232.40.0	94.232.71.255	RU
94.232.72.0	94.232.79.255	UA
94.232.80.0	94.232.87.255	GR
94.232.88.0	94.232.95.255	RU
94.232.96.0	94.232.103.255	RO
94.232.104.0	94.232.111.255	RU
94.232.112.0	94.232.119.255	NL
94.232.128.0	94.232.143.255	RU
94.232.144.0	94.232.159.255	PL
94.232.160.0	94.232.167.255	NL
94.232.168.0	94.232.175.255	IR
94.232.176.0	94.232.183.255	UA
94.232.184.0	94.232.191.255	RU
94.232.192.0	94.232.199.255	DE
94.232.200.0	94.232.207.255	RU
94.232.208.0	94.232.215.255	UA
94.232.216.0	94.232.223.255	PL
94.232.224.0	94.232.231.255	LT
94.232.232.0	94.232.239.255	RU
94.232.240.0	94.232.247.255	KZ
94.232.248.0	94.232.255.255	UA
94.233.0.0	94.233.255.255	RU
94.234.0.0	94.234.255.255	SE
94.235.0.0	94.235.255.255	GE
94.236.0.0	94.236.60.255	GB
94.236.61.0	94.236.61.7	A2
94.236.61.8	94.236.127.255	GB
94.236.128.0	94.236.255.255	BG
94.237.0.0	94.237.127.255	FI
94.237.128.0	94.237.255.255	RU
94.238.0.0	94.239.255.255	FR
94.240.0.0	94.240.63.255	PL
94.240.64.0	94.240.127.255	RU
94.240.128.0	94.240.191.255	UA
94.240.192.0	94.240.255.255	GE
94.241.0.0	94.241.63.255	RU
94.241.64.0	94.241.127.255	CZ
94.241.128.0	94.241.191.255	IR
94.241.192.0	94.242.63.255	RU
94.242.64.0	94.242.127.255	CZ
94.242.128.0	94.242.191.255	RU
94.242.192.0	94.242.255.255	LU
94.243.0.0	94.243.63.255	RU
94.243.64.0	94.243.127.255	MD
94.243.128.0	94.243.255.255	RU
94.244.0.0	94.244.63.255	UA
94.244.64.0	94.244.127.255	LT
94.244.128.0	94.244.191.255	UA
94.244.192.0	94.244.255.255	CH
94.245.0.0	94.245.31.255	DK
94.245.32.0	94.245.63.255	SE
94.245.64.0	94.245.127.255	GB
94.245.128.0	94.245.191.255	RU
94.245.192.0	94.245.255.255	AT
94.246.0.0	94.246.63.255	NO
94.246.64.0	94.246.64.239	SE
94.246.64.240	94.246.64.255	GB
94.246.65.0	94.246.90.255	SE
94.246.91.0	94.246.91.31	NO
94.246.91.32	94.246.93.191	SE
94.246.93.192	94.246.93.255	DK
94.246.94.0	94.246.99.63	SE
94.246.99.64	94.246.99.127	DK
94.246.99.128	94.246.101.67	SE
94.246.101.68	94.246.101.79	DK
94.246.101.80	94.246.101.87	FI
94.246.101.88	94.246.101.95	GB
94.246.101.96	94.246.101.191	SE
94.246.101.192	94.246.101.255	FI
94.246.102.0	94.246.113.63	SE
94.246.113.64	94.246.113.67	GR
94.246.113.68	94.246.113.71	HU
94.246.113.72	94.246.113.75	FI
94.246.113.76	94.246.113.79	CH
94.246.113.80	94.246.119.255	SE
94.246.120.0	94.246.121.255	NO
94.246.122.0	94.246.125.255	SE
94.246.126.0	94.246.127.255	NO
94.246.128.0	94.246.191.255	PL
94.246.192.0	94.246.255.255	EE
94.247.0.0	94.247.7.255	NL
94.247.8.0	94.247.15.255	IT
94.247.16.0	94.247.23.255	RU
94.247.24.0	94.247.25.63	FR
94.247.25.64	94.247.25.96	GB
94.247.25.97	94.247.31.255	FR
94.247.32.0	94.247.39.255	CZ
94.247.40.0	94.247.47.255	DE
94.247.48.0	94.247.55.255	IE
94.247.56.0	94.247.63.255	RU
94.247.64.0	94.247.71.255	KZ
94.247.72.0	94.247.79.255	NL
94.247.80.0	94.247.87.255	GB
94.247.88.0	94.247.95.255	HU
94.247.96.0	94.247.103.255	GB
94.247.104.0	94.247.111.255	RU
94.247.112.0	94.247.119.255	DE
94.247.120.0	94.247.127.255	RU
94.247.128.0	94.247.135.255	KZ
94.247.136.0	94.247.143.255	EE
94.247.144.0	94.247.151.255	AT
94.247.152.0	94.247.159.255	GB
94.247.160.0	94.247.167.255	FR
94.247.168.0	94.247.175.255	SE
94.247.176.0	94.247.183.255	FR
94.247.184.0	94.247.191.255	IT
94.247.192.0	94.247.199.255	NL
94.247.200.0	94.247.207.255	RS
94.247.208.0	94.247.215.255	RU
94.247.216.0	94.247.223.255	CH
94.247.224.0	94.247.231.255	UA
94.247.232.0	94.247.239.255	FR
94.247.240.0	94.247.255.255	RU
94.248.0.0	94.248.127.255	UA
94.248.128.0	94.248.255.255	HU
94.249.0.0	94.249.127.255	JO
94.249.128.0	94.249.154.39	DE
94.249.154.40	94.249.154.47	CH
94.249.154.48	94.249.255.255	DE
94.250.0.0	94.250.127.255	BA
94.250.128.0	94.251.127.255	RU
94.251.128.0	94.251.255.255	PL
94.252.0.0	94.252.127.255	LU
94.252.128.0	94.252.255.255	SY
94.253.0.0	94.253.127.255	RU
94.253.128.0	94.253.255.255	HR
94.254.0.0	94.254.1.255	SE
94.254.2.0	94.254.3.255	NO
94.254.4.0	94.254.127.255	SE
94.254.128.0	94.254.255.255	PL
94.255.0.0	94.255.127.255	RU
94.255.128.0	94.255.255.255	SE
95.0.0.0	95.15.255.255	TR
95.16.0.0	95.23.255.255	ES
95.24.0.0	95.32.255.255	RU
95.33.0.0	95.33.255.255	DE
95.34.0.0	95.34.255.255	NO
95.35.0.0	95.35.255.255	IL
95.36.0.0	95.36.255.255	NL
95.37.0.0	95.37.255.255	RU
95.38.0.0	95.38.255.255	IR
95.39.0.0	95.39.255.255	ES
95.40.0.0	95.41.255.255	PL
95.42.0.0	95.43.255.255	BG
95.44.0.0	95.45.255.255	IE
95.46.0.0	95.47.255.255	CZ
95.48.0.0	95.51.255.255	PL
95.52.0.0	95.55.255.255	RU
95.56.0.0	95.59.255.255	KZ
95.60.0.0	95.63.255.255	ES
95.64.0.0	95.64.127.255	RO
95.64.128.0	95.64.255.255	RU
95.65.0.0	95.65.127.255	MD
95.65.128.0	95.65.255.255	TR
95.66.0.0	95.66.127.255	KW
95.66.128.0	95.66.255.255	RU
95.67.0.0	95.67.127.255	UA
95.67.128.0	95.67.255.255	RU
95.68.0.0	95.68.127.255	LV
95.68.128.0	95.68.255.255	RU
95.69.0.0	95.69.127.255	PT
95.69.128.0	95.69.255.255	UA
95.70.0.0	95.70.127.255	RU
95.70.128.0	95.70.255.255	TR
95.71.0.0	95.73.255.255	RU
95.74.0.0	95.75.255.255	IT
95.76.0.0	95.77.255.255	RO
95.78.0.0	95.79.255.255	RU
95.80.0.0	95.80.63.255	SE
95.80.64.0	95.80.127.255	RU
95.80.128.0	95.80.191.255	IR
95.80.192.0	95.80.255.255	CZ
95.81.64.0	95.81.127.255	IR
95.81.128.0	95.81.191.255	FR
95.81.192.0	95.81.255.255	RU
95.82.0.0	95.82.127.255	IR
95.82.128.0	95.82.191.255	CZ
95.82.192.0	95.83.191.255	RU
95.83.192.0	95.83.255.255	IE
95.84.0.0	95.84.63.255	RU
95.84.64.0	95.84.127.255	BH
95.84.128.0	95.85.127.255	RU
95.85.128.0	95.85.191.255	RS
95.85.192.0	95.85.255.255	CZ
95.86.0.0	95.86.63.255	MK
95.86.64.0	95.86.127.255	IL
95.86.128.0	95.86.191.255	AZ
95.86.192.0	95.86.255.255	RU
95.87.0.0	95.87.63.255	BG
95.87.64.0	95.87.127.255	RU
95.87.128.0	95.87.191.255	SI
95.87.192.0	95.87.255.255	BG
95.88.0.0	95.91.255.255	DE
95.92.0.0	95.95.255.255	PT
95.96.0.0	95.99.255.255	NL
95.100.0.0	95.100.31.255	EU
95.100.32.0	95.100.47.255	DE
95.100.48.0	95.101.255.255	EU
95.102.0.0	95.103.255.255	SK
95.104.0.0	95.104.127.255	GE
95.104.128.0	95.105.127.255	RU
95.105.128.0	95.105.255.255	SK
95.106.0.0	95.107.127.255	RU
95.107.128.0	95.107.255.255	AL
95.108.0.0	95.108.127.255	PL
95.108.128.0	95.108.194.95	RU
95.108.194.96	95.108.194.103	UA
95.108.194.104	95.108.194.111	RU
95.108.194.112	95.108.194.119	BY
95.108.194.120	95.108.194.127	KZ
95.108.194.128	95.108.255.255	RU
95.109.0.0	95.109.127.255	SE
95.109.128.0	95.109.255.255	UA
95.110.0.0	95.110.127.255	RU
95.110.128.0	95.110.255.255	IT
95.111.0.0	95.111.127.255	BG
95.111.128.0	95.111.255.255	UA
95.112.0.0	95.119.255.255	DE
95.120.0.0	95.127.255.255	ES
95.128.0.0	95.128.7.255	NL
95.128.8.0	95.128.15.255	GB
95.128.16.0	95.128.23.255	DE
95.128.24.0	95.128.31.255	DK
95.128.32.0	95.128.39.255	CH
95.128.40.0	95.128.40.223	FR
95.128.40.224	95.128.40.255	GB
95.128.41.0	95.128.41.79	FR
95.128.41.80	95.128.41.224	GB
95.128.41.225	95.128.42.15	FR
95.128.42.16	95.128.42.23	GB
95.128.42.24	95.128.42.63	FR
95.128.42.64	95.128.42.255	GB
95.128.43.0	95.128.43.127	FR
95.128.43.128	95.128.44.255	GB
95.128.45.0	95.128.45.127	FR
95.128.45.128	95.128.45.255	GB
95.128.46.0	95.128.46.63	ES
95.128.46.64	95.128.55.255	GB
95.128.56.0	95.128.63.255	TR
95.128.64.0	95.128.71.255	BY
95.128.72.0	95.128.79.255	FR
95.128.80.0	95.128.87.255	CH
95.128.88.0	95.128.95.255	NL
95.128.96.0	95.128.103.255	BE
95.128.104.0	95.128.111.255	NO
95.128.112.0	95.128.119.255	SE
95.128.120.0	95.128.121.255	HU
95.128.122.0	95.128.122.255	US
95.128.123.0	95.128.127.255	HU
95.128.128.0	95.128.135.255	GB
95.128.136.0	95.128.143.255	RU
95.128.144.0	95.128.151.255	FR
95.128.152.0	95.128.159.255	ES
95.128.160.0	95.128.167.255	RU
95.128.168.0	95.128.175.255	RO
95.128.176.0	95.128.183.255	RU
95.128.184.0	95.128.191.255	MK
95.128.192.0	95.128.192.255	FR
95.128.193.0	95.128.193.255	GB
95.128.194.0	95.128.199.255	FR
95.128.200.0	95.128.201.31	DE
95.128.201.32	95.128.201.63	CY
95.128.201.64	95.128.215.255	DE
95.128.216.0	95.128.223.255	GB
95.128.224.0	95.128.231.255	RU
95.128.232.0	95.128.239.255	HR
95.128.240.0	95.128.247.255	RU
95.128.248.0	95.128.255.255	DE
95.129.0.0	95.129.7.255	LB
95.129.8.0	95.129.15.255	SA
95.129.16.0	95.129.23.255	RU
95.129.24.0	95.129.31.255	NL
95.129.32.0	95.129.33.255	IL
95.129.34.0	95.129.34.63	MT
95.129.34.64	95.129.35.255	IL
95.129.36.0	95.129.37.255	MT
95.129.38.0	95.129.39.255	IL
95.129.40.0	95.129.47.255	DK
95.129.48.0	95.129.55.255	DE
95.129.56.0	95.129.63.255	RU
95.129.64.0	95.129.71.255	GB
95.129.72.0	95.129.79.255	RU
95.129.80.0	95.129.87.255	NL
95.129.88.0	95.129.95.255	RU
95.129.96.0	95.129.103.255	CZ
95.129.104.0	95.129.111.255	GB
95.129.112.0	95.129.119.255	ES
95.129.120.0	95.129.135.255	NL
95.129.136.0	95.129.143.255	RU
95.129.152.0	95.129.159.255	ES
95.129.160.0	95.129.183.255	RU
95.129.184.0	95.129.191.255	GB
95.129.192.0	95.129.199.255	EE
95.129.200.0	95.129.207.255	AT
95.129.208.0	95.129.215.255	DE
95.129.216.0	95.129.223.255	ES
95.129.224.0	95.129.231.255	PL
95.129.232.0	95.129.239.255	RU
95.129.240.0	95.129.247.255	CZ
95.129.248.0	95.129.255.255	RU
95.130.0.0	95.130.7.255	GB
95.130.8.0	95.130.15.255	FR
95.130.16.0	95.130.23.255	DE
95.130.24.0	95.130.31.255	FI
95.130.32.0	95.130.39.255	LV
95.130.40.0	95.130.47.255	BE
95.130.48.0	95.130.55.255	ES
95.130.56.0	95.130.63.255	IR
95.130.64.0	95.130.71.255	SE
95.130.72.0	95.130.79.255	GB
95.130.80.0	95.130.87.255	BY
95.130.88.0	95.130.95.255	PS
95.130.96.0	95.130.111.255	GB
95.130.112.0	95.130.112.0	EU
95.130.112.1	95.130.112.1	DE
95.130.112.2	95.130.115.255	EU
95.130.116.0	95.130.116.255	DE
95.130.117.0	95.130.119.255	EU
95.130.120.0	95.130.127.255	AT
95.130.128.0	95.130.135.255	RU
95.130.136.0	95.130.143.255	IT
95.130.144.0	95.130.151.255	GB
95.130.152.0	95.130.159.255	FR
95.130.160.0	95.130.167.255	DE
95.130.168.0	95.130.175.255	TR
95.130.176.0	95.130.183.255	RU
95.130.184.0	95.130.191.255	LU
95.130.192.0	95.130.199.255	GB
95.130.200.0	95.130.207.255	DE
95.130.208.0	95.130.215.255	DK
95.130.216.0	95.130.223.255	NO
95.130.224.0	95.130.231.255	GB
95.130.232.0	95.130.239.255	NL
95.130.240.0	95.130.247.255	IR
95.130.248.0	95.130.255.255	DE
95.131.0.0	95.131.15.255	RU
95.131.16.0	95.131.23.255	FR
95.131.24.0	95.131.31.255	RU
95.131.32.0	95.131.39.255	PL
95.131.40.0	95.131.47.255	IT
95.131.48.0	95.131.49.191	HU
95.131.49.192	95.131.49.199	CY
95.131.49.200	95.131.55.255	HU
95.131.56.0	95.131.63.255	IT
95.131.64.0	95.131.71.255	GB
95.131.72.0	95.131.79.255	RU
95.131.80.0	95.131.87.255	GB
95.131.88.0	95.131.95.255	RU
95.131.96.0	95.131.103.255	DE
95.131.104.0	95.131.105.255	GB
95.131.106.0	95.131.107.255	DE
95.131.108.0	95.131.109.255	NL
95.131.110.0	95.131.111.255	GB
95.131.112.0	95.131.119.255	LV
95.131.120.0	95.131.127.255	DE
95.131.128.0	95.131.135.255	SK
95.131.136.0	95.131.137.207	FR
95.131.137.208	95.131.137.215	ES
95.131.137.216	95.131.143.255	FR
95.131.144.0	95.131.151.255	RU
95.131.152.0	95.131.159.255	GB
95.131.160.0	95.131.175.255	ES
95.131.176.0	95.131.183.255	RU
95.131.184.0	95.131.191.255	GI
95.131.192.0	95.131.199.255	AT
95.131.200.0	95.131.207.255	SE
95.131.208.0	95.131.215.255	RU
95.131.216.0	95.131.223.255	GB
95.131.224.0	95.131.231.255	RU
95.131.232.0	95.131.239.255	MT
95.131.240.0	95.131.247.255	FR
95.131.248.0	95.131.255.255	GB
95.132.0.0	95.135.255.255	UA
95.136.0.0	95.136.127.255	PT
95.136.128.0	95.136.255.255	FR
95.137.0.0	95.137.127.255	RU
95.137.128.0	95.137.255.255	GE
95.138.0.0	95.138.127.255	FR
95.138.128.0	95.139.255.255	RU
95.140.0.0	95.140.15.255	FR
95.140.16.0	95.140.31.255	RU
95.140.32.0	95.140.47.255	HU
95.140.48.0	95.140.63.255	GB
95.140.64.0	95.140.79.255	SE
95.140.80.0	95.140.95.255	RU
95.140.96.0	95.140.111.255	SY
95.140.112.0	95.140.127.255	RS
95.140.128.0	95.140.143.255	IT
95.140.144.0	95.140.159.255	RU
95.140.160.0	95.140.175.255	JO
95.140.176.0	95.140.191.255	SE
95.140.192.0	95.140.207.255	AM
95.140.208.0	95.140.223.255	BG
95.140.224.0	95.140.239.255	GB
95.140.240.0	95.140.255.255	CZ
95.141.0.0	95.141.15.255	RU
95.141.16.0	95.141.31.255	DE
95.141.32.0	95.141.47.255	IT
95.141.48.0	95.141.63.255	LB
95.141.64.0	95.141.95.255	NO
95.141.96.0	95.141.127.255	FR
95.141.128.0	95.141.143.255	KZ
95.141.144.0	95.141.175.255	GB
95.141.176.0	95.141.207.255	RU
95.141.208.0	95.141.223.255	JO
95.141.224.0	95.141.239.255	RU
95.141.240.0	95.141.255.255	KW
95.142.0.0	95.142.15.255	ES
95.142.16.0	95.142.17.31	NL
95.142.17.32	95.142.17.95	CY
95.142.17.96	95.142.17.255	NL
95.142.18.0	95.142.19.255	US
95.142.20.0	95.142.20.255	NL
95.142.21.0	95.142.21.255	US
95.142.22.0	95.142.23.255	IL
95.142.24.0	95.142.24.255	US
95.142.25.0	95.142.30.255	IL
95.142.31.0	95.142.31.255	US
95.142.32.0	95.142.47.255	RU
95.142.48.0	95.142.63.255	NL
95.142.64.0	95.142.79.255	DE
95.142.80.0	95.142.95.255	TJ
95.142.96.0	95.142.98.31	NL
95.142.98.32	95.142.98.47	MT
95.142.98.48	95.142.98.95	NL
95.142.98.96	95.142.98.127	VE
95.142.98.128	95.142.98.191	NL
95.142.98.192	95.142.98.223	VE
95.142.98.224	95.142.98.239	NL
95.142.98.240	95.142.98.255	US
95.142.99.0	95.142.99.159	NL
95.142.99.160	95.142.99.191	JP
95.142.99.192	95.142.99.255	NL
95.142.100.0	95.142.101.255	BE
95.142.102.0	95.142.102.127	NO
95.142.102.128	95.142.110.127	NL
95.142.110.128	95.142.110.191	US
95.142.110.192	95.142.110.255	SE
95.142.111.0	95.142.111.255	NL
95.142.112.0	95.142.127.255	IE
95.142.128.0	95.142.143.255	TR
95.142.144.0	95.142.159.255	DK
95.142.160.0	95.142.167.255	FR
95.142.168.0	95.142.171.255	GB
95.142.172.0	95.142.175.255	FR
95.142.176.0	95.142.191.255	IT
95.142.192.0	95.142.207.255	RU
95.142.208.0	95.142.223.255	IT
95.142.224.0	95.142.239.255	IR
95.142.240.0	95.142.255.255	PL
95.143.0.0	95.143.31.255	RU
95.143.32.0	95.143.47.255	DE
95.143.48.0	95.143.52.15	CH
95.143.52.16	95.143.52.23	LI
95.143.52.24	95.143.63.255	CH
95.143.64.0	95.143.64.63	FR
95.143.64.64	95.143.64.79	GB
95.143.64.80	95.143.64.151	FR
95.143.64.152	95.143.64.159	GB
95.143.64.160	95.143.65.128	FR
95.143.65.129	95.143.65.191	GB
95.143.65.192	95.143.66.255	FR
95.143.67.0	95.143.75.255	GB
95.143.76.0	95.143.76.255	FR
95.143.77.0	95.143.79.255	GB
95.143.80.0	95.143.95.255	AT
95.143.96.0	95.143.111.255	IT
95.143.112.0	95.143.127.255	RU
95.143.128.0	95.143.143.255	CZ
95.143.144.0	95.143.159.255	SI
95.143.160.0	95.143.175.255	DE
95.143.176.0	95.143.191.255	RU
95.143.192.0	95.143.207.255	SE
95.143.208.0	95.143.223.255	RU
95.143.224.0	95.143.239.255	AT
95.143.240.0	95.143.255.255	PL
95.144.0.0	95.151.255.255	GB
95.152.0.0	95.152.63.255	RU
95.152.64.0	95.152.127.255	CH
95.152.128.0	95.152.191.255	NL
95.152.192.0	95.152.255.255	GB
95.153.0.0	95.153.63.255	EE
95.153.64.0	95.153.127.255	MD
95.153.128.0	95.153.255.255	RU
95.154.0.0	95.154.63.255	DK
95.154.64.0	95.154.191.255	RU
95.154.192.0	95.154.204.175	GB
95.154.204.176	95.154.204.191	CH
95.154.204.192	95.154.209.255	GB
95.154.210.0	95.154.210.255	IE
95.154.211.0	95.154.213.63	GB
95.154.213.64	95.154.213.95	DK
95.154.213.96	95.154.213.127	AN
95.154.213.128	95.154.213.191	US
95.154.213.192	95.154.213.255	AN
95.154.214.0	95.154.221.255	GB
95.154.222.0	95.154.222.255	PT
95.154.223.0	95.154.242.255	GB
95.154.243.0	95.154.243.255	SA
95.154.244.0	95.154.255.255	GB
95.155.0.0	95.155.63.255	ME
95.155.64.0	95.155.127.255	PL
95.155.128.0	95.155.191.255	NL
95.155.192.0	95.155.255.255	SE
95.156.0.0	95.156.63.255	MK
95.156.64.0	95.156.127.255	RU
95.156.128.0	95.156.191.255	BA
95.156.192.0	95.157.63.255	DE
95.157.64.0	95.157.127.255	RO
95.157.128.0	95.157.255.255	FR
95.158.0.0	95.158.63.255	UA
95.158.64.0	95.158.127.255	PL
95.158.128.0	95.158.191.255	BG
95.158.192.0	95.158.255.255	RU
95.159.0.0	95.159.63.255	SY
95.159.64.0	95.159.127.255	IQ
95.159.128.0	95.159.191.255	RU
95.159.192.0	95.159.255.255	SI
95.160.0.0	95.160.255.255	PL
95.161.0.0	95.161.255.255	RU
95.162.0.0	95.162.255.255	RO
95.163.0.0	95.164.191.0	RU
95.164.191.1	95.164.191.255	UA
95.164.192.0	95.164.250.255	RU
95.164.251.0	95.164.255.255	UA
95.165.0.0	95.165.255.255	RU
95.166.0.0	95.166.255.255	DK
95.167.0.0	95.167.255.255	RU
95.168.0.0	95.168.31.255	FR
95.168.32.0	95.168.63.255	HU
95.168.64.0	95.168.95.255	RS
95.168.96.0	95.168.127.255	HR
95.168.128.0	95.168.160.127	DE
95.168.160.128	95.168.160.255	RU
95.168.161.0	95.168.161.255	DE
95.168.162.0	95.168.162.255	GB
95.168.163.0	95.168.165.255	DE
95.168.166.0	95.168.171.255	TR
95.168.172.0	95.168.173.255	DE
95.168.174.0	95.168.174.255	RU
95.168.175.0	95.168.176.255	TR
95.168.177.0	95.168.181.63	DE
95.168.181.64	95.168.181.255	RU
95.168.182.0	95.168.184.255	DE
95.168.185.0	95.168.185.255	HK
95.168.186.0	95.168.186.127	RU
95.168.186.128	95.168.186.191	TR
95.168.186.192	95.168.186.255	DE
95.168.187.0	95.168.187.255	TR
95.168.188.0	95.168.188.255	DE
95.168.189.0	95.168.190.255	TR
95.168.191.0	95.168.191.255	DE
95.168.192.0	95.168.208.191	CZ
95.168.208.192	95.168.208.223	SK
95.168.208.224	95.168.223.255	CZ
95.168.224.0	95.168.255.255	BG
95.169.0.0	95.169.31.255	UA
95.169.32.0	95.169.63.255	NO
95.169.64.0	95.169.95.255	IT
95.169.96.0	95.169.159.255	RU
95.169.160.0	95.169.185.255	DE
95.169.186.0	95.169.187.255	RU
95.169.188.0	95.169.189.255	DE
95.169.190.0	95.169.191.255	RU
95.169.192.0	95.169.223.255	BG
95.169.224.0	95.169.255.255	ES
95.170.0.0	95.170.63.255	FR
95.170.64.0	95.170.95.255	NL
95.170.96.0	95.170.191.255	RU
95.170.192.0	95.170.223.255	IQ
95.170.224.0	95.170.255.255	SK
95.171.0.0	95.171.31.255	RU
95.171.32.0	95.171.63.255	IT
95.171.64.0	95.171.95.255	HU
95.171.96.0	95.171.127.255	PL
95.171.128.0	95.171.159.255	FR
95.171.160.0	95.171.191.255	BE
95.171.192.0	95.171.223.255	PL
95.171.224.0	95.171.255.255	RU
95.172.0.0	95.172.31.255	GB
95.172.32.0	95.172.63.255	RU
95.172.64.0	95.172.64.255	US
95.172.65.0	95.172.68.143	GB
95.172.68.144	95.172.68.159	US
95.172.68.160	95.172.68.207	GB
95.172.68.208	95.172.68.215	US
95.172.68.216	95.172.68.255	GB
95.172.69.0	95.172.69.63	US
95.172.69.64	95.172.69.127	GB
95.172.69.128	95.172.69.255	US
95.172.70.0	95.172.71.255	DE
95.172.72.0	95.172.75.255	US
95.172.76.0	95.172.95.255	GB
95.172.96.0	95.172.159.255	RU
95.172.160.0	95.172.191.255	PT
95.172.192.0	95.172.223.255	JO
95.172.224.0	95.172.255.255	GB
95.173.0.0	95.173.31.255	TR
95.173.32.0	95.173.63.255	LT
95.173.64.0	95.173.64.31	SK
95.173.64.32	95.173.64.127	CZ
95.173.64.128	95.173.64.255	SK
95.173.65.0	95.173.95.255	CZ
95.173.96.0	95.173.127.255	DE
95.173.128.0	95.173.159.255	RU
95.173.160.0	95.173.191.255	TR
95.173.192.0	95.173.223.255	CZ
95.173.224.0	95.173.255.255	TR
95.174.0.0	95.174.31.255	IT
95.174.32.0	95.174.63.255	PL
95.174.64.0	95.174.95.255	HU
95.174.96.0	95.174.127.255	RU
95.174.128.0	95.174.159.255	DE
95.174.160.0	95.174.191.255	FR
95.174.192.0	95.174.223.255	RU
95.174.224.0	95.174.255.255	CH
95.175.0.0	95.175.31.255	PL
95.175.32.0	95.175.63.255	IL
95.175.64.0	95.175.95.255	KW
95.175.96.0	95.175.127.255	FI
95.175.128.0	95.175.159.255	GB
95.175.160.0	95.175.191.255	FR
95.175.192.0	95.175.223.255	GB
95.175.224.0	95.175.255.255	RU
95.176.0.0	95.176.127.255	FR
95.176.128.0	95.176.255.255	SI
95.177.0.0	95.177.127.255	GB
95.177.128.0	95.177.255.255	RO
95.178.0.0	95.178.127.255	PL
95.178.128.0	95.178.255.255	HR
95.179.0.0	95.179.127.255	RU
95.179.128.0	95.179.255.255	GR
95.180.0.0	95.180.127.255	RS
95.180.128.0	95.180.255.255	MK
95.181.0.0	95.182.127.255	RU
95.182.128.0	95.182.255.255	BE
95.183.0.0	95.183.127.255	RU
95.183.128.0	95.183.255.255	TR
95.184.0.0	95.187.255.255	RO
95.188.0.0	95.191.255.255	RU
95.192.0.0	95.207.255.255	SE
95.208.0.0	95.208.255.255	DE
95.209.0.0	95.209.147.255	SE
95.209.148.0	95.209.151.255	DK
95.209.152.0	95.209.207.255	SE
95.209.208.0	95.209.215.255	DK
95.209.216.0	95.209.219.255	SE
95.209.220.0	95.209.255.255	DK
95.210.0.0	95.210.47.255	IT
95.210.48.0	95.210.55.255	IE
95.210.56.0	95.210.63.255	A2
95.210.64.0	95.210.71.255	GR
95.210.72.0	95.210.127.255	A2
95.210.128.0	95.210.135.255	IE
95.210.136.0	95.210.255.255	A2
95.211.0.0	95.211.255.255	NL
95.212.0.0	95.212.127.255	EG
95.212.128.0	95.212.143.255	SY
95.212.144.0	95.212.255.255	EG
95.213.0.0	95.213.255.255	RU
95.214.0.0	95.214.255.255	ES
95.215.0.0	95.215.3.255	RU
95.215.4.0	95.215.7.255	NL
95.215.8.0	95.215.15.255	RU
95.215.16.0	95.215.19.255	SE
95.215.20.0	95.215.31.255	PL
95.215.32.0	95.215.35.255	DE
95.215.36.0	95.215.39.255	UA
95.215.44.0	95.215.47.255	LV
95.215.48.0	95.215.51.255	UA
95.215.52.0	95.215.55.255	PL
95.215.56.0	95.215.59.255	RU
95.215.60.0	95.215.63.255	ES
95.215.64.0	95.215.71.255	RU
95.215.72.0	95.215.75.255	FR
95.215.80.0	95.215.83.255	UA
95.215.84.0	95.215.87.255	RU
95.215.88.0	95.215.91.255	GB
95.215.92.0	95.215.95.255	UA
95.215.104.0	95.215.107.255	UA
95.215.120.0	95.215.123.255	ES
95.215.124.0	95.215.127.255	UA
95.215.128.0	95.215.131.255	PS
95.215.132.0	95.215.135.255	EE
95.215.136.0	95.215.143.255	RU
95.215.144.0	95.215.147.255	UA
95.215.148.0	95.215.155.255	RU
95.215.156.0	95.215.159.255	UA
95.215.160.0	95.215.163.255	RU
95.215.164.0	95.215.167.255	UA
95.215.168.0	95.215.171.255	SE
95.215.172.0	95.215.179.255	RU
95.215.192.0	95.215.195.255	LV
95.215.200.0	95.215.203.255	KZ
95.215.204.0	95.215.207.255	NL
95.215.208.0	95.215.211.255	RU
95.215.212.0	95.215.215.255	DE
95.215.216.0	95.215.219.255	UA
95.215.220.0	95.215.223.255	RU
95.215.224.0	95.215.227.255	GB
95.215.228.0	95.215.231.255	RU
95.215.232.0	95.215.235.255	PL
95.215.236.0	95.215.239.255	UA
95.215.240.0	95.215.243.255	ES
95.215.244.0	95.215.247.255	KG
95.215.252.0	95.215.255.255	RU
95.216.0.0	95.217.255.255	UA
95.218.0.0	95.219.255.255	RO
95.220.0.0	95.221.255.255	RU
95.222.0.0	95.223.255.255	DE
95.224.0.0	95.255.255.255	IT
96.0.0.0	96.0.255.255	US
96.1.0.0	96.1.255.255	CA
96.2.0.0	96.9.95.255	US
96.9.96.0	96.9.127.255	CA
96.9.128.0	96.19.255.255	US
96.20.0.0	96.23.255.255	CA
96.24.0.0	96.30.127.255	US
96.30.128.0	96.30.223.255	CA
96.30.224.0	96.31.160.255	US
96.31.161.0	96.31.161.15	CA
96.31.161.16	96.31.163.95	US
96.31.163.96	96.31.163.127	KR
96.31.163.128	96.31.166.207	US
96.31.166.208	96.31.166.215	CA
96.31.166.216	96.31.174.191	US
96.31.174.192	96.31.174.255	CA
96.31.175.0	96.43.159.255	US
96.43.160.0	96.43.191.255	JM
96.43.192.0	96.43.223.255	US
96.43.224.0	96.43.239.255	CA
96.44.0.0	96.44.31.255	US
96.44.64.0	96.44.127.255	CA
96.44.128.0	96.44.155.191	US
96.44.155.192	96.44.155.223	TW
96.44.155.224	96.44.155.255	US
96.44.156.0	96.44.156.31	TW
96.44.156.32	96.44.191.255	US
96.44.192.0	96.44.192.23	CA
96.44.192.24	96.44.192.31	US
96.44.192.32	96.44.192.79	CA
96.44.192.80	96.44.192.87	US
96.44.192.88	96.44.193.71	CA
96.44.193.72	96.44.193.79	US
96.44.193.80	96.44.193.143	CA
96.44.193.144	96.44.193.151	US
96.44.193.152	96.44.193.159	NL
96.44.193.160	96.44.194.135	CA
96.44.194.136	96.44.194.143	US
96.44.194.144	96.44.194.175	CA
96.44.194.176	96.44.194.183	US
96.44.194.184	96.44.195.167	CA
96.44.195.168	96.44.195.183	US
96.44.195.184	96.44.196.47	CA
96.44.196.48	96.44.196.55	US
96.44.196.56	96.44.196.111	CA
96.44.196.112	96.44.196.119	US
96.44.196.120	96.44.196.167	CA
96.44.196.168	96.44.196.175	US
96.44.196.176	96.44.196.183	CA
96.44.196.184	96.44.196.199	US
96.44.196.200	96.44.196.207	CA
96.44.196.208	96.44.196.223	US
96.44.196.224	96.44.201.143	CA
96.44.201.144	96.44.201.167	US
96.44.201.168	96.44.203.191	CA
96.44.203.192	96.44.203.199	US
96.44.203.200	96.44.205.159	CA
96.44.205.160	96.44.205.167	US
96.44.205.168	96.44.205.183	CA
96.44.205.184	96.44.205.191	US
96.44.205.192	96.44.205.239	CA
96.44.205.240	96.44.205.247	US
96.44.205.248	96.44.206.87	CA
96.44.206.88	96.44.206.111	US
96.44.206.112	96.44.206.127	CA
96.44.206.128	96.44.206.135	US
96.44.206.136	96.44.206.151	CA
96.44.206.152	96.44.207.7	US
96.44.207.8	96.44.212.143	CA
96.44.212.144	96.44.212.151	US
96.44.212.152	96.45.15.255	CA
96.45.16.0	96.45.31.255	US
96.45.32.0	96.45.47.255	CA
96.45.48.0	96.45.95.255	US
96.45.96.0	96.45.111.255	CA
96.45.112.0	96.45.175.255	US
96.45.176.0	96.45.207.255	CA
96.45.208.0	96.46.31.255	US
96.46.32.0	96.46.47.255	CA
96.46.48.0	96.46.191.255	US
96.46.192.0	96.46.207.255	CA
96.46.208.0	96.47.175.255	US
96.47.176.0	96.47.191.255	CA
96.47.192.0	96.47.225.63	US
96.47.225.64	96.47.225.79	BR
96.47.225.80	96.47.225.111	US
96.47.225.112	96.47.225.119	PA
96.47.225.120	96.47.225.127	NL
96.47.225.128	96.47.225.191	US
96.47.225.192	96.47.225.199	TW
96.47.225.200	96.47.228.15	US
96.47.228.16	96.47.228.23	PA
96.47.228.24	96.47.255.255	US
96.48.0.0	96.55.255.255	CA
96.56.0.0	96.62.255.255	US
96.63.0.0	96.63.63.255	CA
96.63.64.0	96.63.127.255	US
96.63.128.0	96.63.191.255	CA
96.63.192.0	97.74.255.255	US
97.75.0.0	97.75.63.255	CA
97.75.64.0	97.75.191.255	US
97.75.192.0	97.75.193.47	CA
97.75.193.48	97.75.193.55	US
97.75.193.56	97.75.193.119	CA
97.75.193.120	97.75.193.127	US
97.75.193.128	97.75.194.103	CA
97.75.194.104	97.75.194.111	NL
97.75.194.112	97.75.196.183	CA
97.75.196.184	97.75.196.191	US
97.75.196.192	97.75.196.255	CA
97.75.197.0	97.75.197.15	US
97.75.197.16	97.75.223.255	CA
97.75.224.0	97.107.47.255	US
97.107.48.0	97.107.63.255	CA
97.107.64.0	97.107.175.255	US
97.107.176.0	97.107.191.255	CA
97.107.192.0	97.107.207.255	US
97.107.208.0	97.107.223.255	CA
97.107.224.0	97.107.255.255	US
97.108.0.0	97.111.255.255	CA
97.112.0.0	98.123.255.255	US
98.124.0.0	98.124.63.255	CA
98.124.64.0	98.126.220.255	US
98.126.221.0	98.126.222.255	CN
98.126.223.0	98.129.0.15	US
98.129.0.16	98.129.0.23	CA
98.129.0.24	98.129.0.31	AU
98.129.0.32	98.129.0.47	CA
98.129.0.48	98.129.0.183	US
98.129.0.184	98.129.0.191	CA
98.129.0.192	98.129.1.95	US
98.129.1.96	98.129.1.103	GB
98.129.1.104	98.129.1.111	US
98.129.1.112	98.129.1.119	CA
98.129.1.120	98.129.1.127	US
98.129.1.128	98.129.1.135	MX
98.129.1.136	98.129.2.87	US
98.129.2.88	98.129.2.95	GB
98.129.2.96	98.129.3.39	US
98.129.3.40	98.129.3.47	GB
98.129.3.48	98.129.3.95	US
98.129.3.96	98.129.3.127	GB
98.129.3.128	98.129.3.191	US
98.129.3.192	98.129.3.199	AU
98.129.3.200	98.129.4.239	US
98.129.4.240	98.129.4.247	GB
98.129.4.248	98.129.6.47	US
98.129.6.48	98.129.6.55	MX
98.129.6.56	98.129.10.31	US
98.129.10.32	98.129.10.63	IN
98.129.10.64	98.129.10.239	US
98.129.10.240	98.129.10.247	MX
98.129.10.248	98.129.12.127	US
98.129.12.128	98.129.12.135	IN
98.129.12.136	98.129.12.143	US
98.129.12.144	98.129.12.151	GB
98.129.12.152	98.129.12.207	US
98.129.12.208	98.129.12.215	IE
98.129.12.216	98.129.13.15	US
98.129.13.16	98.129.13.23	ZA
98.129.13.24	98.129.14.223	US
98.129.14.224	98.129.14.231	ZA
98.129.14.232	98.129.15.151	US
98.129.15.152	98.129.15.159	CA
98.129.15.160	98.129.16.87	US
98.129.16.88	98.129.16.95	CA
98.129.16.96	98.129.17.31	US
98.129.17.32	98.129.17.47	IN
98.129.17.48	98.129.18.135	US
98.129.18.136	98.129.18.143	GB
98.129.18.144	98.129.18.199	US
98.129.18.200	98.129.18.207	MX
98.129.18.208	98.129.19.143	US
98.129.19.144	98.129.19.151	GB
98.129.19.152	98.129.19.223	US
98.129.19.224	98.129.19.231	IE
98.129.19.232	98.129.20.55	US
98.129.20.56	98.129.20.63	GB
98.129.20.64	98.129.21.39	US
98.129.21.40	98.129.21.47	IL
98.129.21.48	98.129.24.63	US
98.129.24.64	98.129.24.111	MY
98.129.24.112	98.129.24.119	US
98.129.24.120	98.129.24.127	GB
98.129.24.128	98.129.26.87	US
98.129.26.88	98.129.26.95	IN
98.129.26.96	98.129.27.87	US
98.129.27.88	98.129.27.95	BO
98.129.27.96	98.129.27.127	US
98.129.27.128	98.129.27.135	CA
98.129.27.136	98.129.32.47	US
98.129.32.48	98.129.32.55	NZ
98.129.32.56	98.129.34.15	US
98.129.34.16	98.129.34.23	GB
98.129.34.24	98.129.34.231	US
98.129.34.232	98.129.34.239	AU
98.129.34.240	98.129.36.127	US
98.129.36.128	98.129.36.135	IL
98.129.36.136	98.129.37.103	US
98.129.37.104	98.129.37.111	AU
98.129.37.112	98.129.37.231	US
98.129.37.232	98.129.37.239	IN
98.129.37.240	98.129.39.47	US
98.129.39.48	98.129.39.55	CA
98.129.39.56	98.129.39.239	US
98.129.39.240	98.129.39.255	MY
98.129.40.0	98.129.40.199	US
98.129.40.200	98.129.40.207	GB
98.129.40.208	98.129.41.191	US
98.129.41.192	98.129.41.207	AE
98.129.41.208	98.129.42.191	US
98.129.42.192	98.129.42.199	IL
98.129.42.200	98.129.43.111	US
98.129.43.112	98.129.43.119	CA
98.129.43.120	98.129.44.71	US
98.129.44.72	98.129.44.79	MY
98.129.44.80	98.129.44.95	US
98.129.44.96	98.129.44.175	MY
98.129.44.176	98.129.45.31	US
98.129.45.32	98.129.45.47	CA
98.129.45.48	98.129.45.55	US
98.129.45.56	98.129.45.63	AU
98.129.45.64	98.129.45.79	US
98.129.45.80	98.129.45.87	CA
98.129.45.88	98.129.45.103	US
98.129.45.104	98.129.45.111	PH
98.129.45.112	98.129.46.71	US
98.129.46.72	98.129.46.79	CA
98.129.46.80	98.129.49.143	US
98.129.49.144	98.129.49.151	GB
98.129.49.152	98.129.50.31	US
98.129.50.32	98.129.50.39	AE
98.129.50.40	98.129.51.55	US
98.129.51.56	98.129.51.63	CA
98.129.51.64	98.129.52.23	US
98.129.52.24	98.129.52.31	PH
98.129.52.32	98.129.52.39	AU
98.129.52.40	98.129.52.143	US
98.129.52.144	98.129.52.151	AU
98.129.52.152	98.129.52.167	US
98.129.52.168	98.129.52.175	CA
98.129.52.176	98.129.52.231	US
98.129.52.232	98.129.52.239	CA
98.129.52.240	98.129.53.167	US
98.129.53.168	98.129.53.175	GB
98.129.53.176	98.129.54.159	US
98.129.54.160	98.129.54.175	CA
98.129.54.176	98.129.55.199	US
98.129.55.200	98.129.55.207	CA
98.129.55.208	98.129.56.255	US
98.129.57.0	98.129.57.7	AU
98.129.57.8	98.129.59.7	US
98.129.59.8	98.129.59.15	CA
98.129.59.16	98.129.59.215	US
98.129.59.216	98.129.59.223	IL
98.129.59.224	98.129.59.239	US
98.129.59.240	98.129.59.247	CA
98.129.59.248	98.129.60.167	US
98.129.60.168	98.129.60.175	CA
98.129.60.176	98.129.62.23	US
98.129.62.24	98.129.62.31	FR
98.129.62.32	98.129.63.183	US
98.129.63.184	98.129.63.191	GB
98.129.63.192	98.129.64.191	US
98.129.64.192	98.129.64.199	IL
98.129.64.200	98.129.65.191	US
98.129.65.192	98.129.65.199	CH
98.129.65.200	98.129.65.239	US
98.129.65.240	98.129.65.255	IN
98.129.66.0	98.129.66.7	US
98.129.66.8	98.129.66.15	AU
98.129.66.16	98.129.67.239	US
98.129.67.240	98.129.67.247	IN
98.129.67.248	98.129.68.135	US
98.129.68.136	98.129.68.143	CA
98.129.68.144	98.129.68.175	US
98.129.68.176	98.129.68.183	GB
98.129.68.184	98.129.69.39	US
98.129.69.40	98.129.69.47	MX
98.129.69.48	98.129.69.159	US
98.129.69.160	98.129.69.167	AU
98.129.69.168	98.129.70.223	US
98.129.70.224	98.129.70.239	IN
98.129.70.240	98.129.71.47	US
98.129.71.48	98.129.71.55	CA
98.129.71.56	98.129.71.183	US
98.129.71.184	98.129.71.191	GB
98.129.71.192	98.129.75.119	US
98.129.75.120	98.129.75.127	NL
98.129.75.128	98.129.77.159	US
98.129.77.160	98.129.77.167	BR
98.129.77.168	98.129.78.151	US
98.129.78.152	98.129.78.159	IN
98.129.78.160	98.129.80.87	US
98.129.80.88	98.129.80.95	GB
98.129.80.96	98.129.80.103	US
98.129.80.104	98.129.80.119	GB
98.129.80.120	98.129.80.127	CA
98.129.80.128	98.129.80.191	US
98.129.80.192	98.129.80.223	AE
98.129.80.224	98.129.80.231	CA
98.129.80.232	98.129.85.143	US
98.129.85.144	98.129.85.151	IT
98.129.85.152	98.129.86.23	US
98.129.86.24	98.129.86.31	CA
98.129.86.32	98.129.86.103	US
98.129.86.104	98.129.86.119	CA
98.129.86.120	98.129.86.135	US
98.129.86.136	98.129.86.143	CA
98.129.86.144	98.129.86.247	US
98.129.86.248	98.129.86.255	EG
98.129.87.0	98.129.87.47	US
98.129.87.48	98.129.87.55	IN
98.129.87.56	98.129.87.71	US
98.129.87.72	98.129.87.79	GB
98.129.87.80	98.129.87.95	US
98.129.87.96	98.129.87.103	GB
98.129.87.104	98.129.87.215	US
98.129.87.216	98.129.87.223	GB
98.129.87.224	98.129.87.255	US
98.129.88.0	98.129.88.7	GB
98.129.88.8	98.129.88.39	US
98.129.88.40	98.129.88.47	AU
98.129.88.48	98.129.88.55	CA
98.129.88.56	98.129.89.127	US
98.129.89.128	98.129.89.135	AU
98.129.89.136	98.129.89.151	US
98.129.89.152	98.129.89.159	GB
98.129.89.160	98.129.89.215	US
98.129.89.216	98.129.89.223	CA
98.129.89.224	98.129.90.23	US
98.129.90.24	98.129.90.31	CA
98.129.90.32	98.129.90.239	US
98.129.90.240	98.129.91.31	BD
98.129.91.32	98.129.91.39	US
98.129.91.40	98.129.91.47	BO
98.129.91.48	98.129.91.191	US
98.129.91.192	98.129.91.199	CA
98.129.91.200	98.129.91.255	US
98.129.92.0	98.129.92.7	AU
98.129.92.8	98.129.92.239	US
98.129.92.240	98.129.92.247	CA
98.129.92.248	98.129.95.119	US
98.129.95.120	98.129.95.127	NZ
98.129.95.128	98.129.95.159	US
98.129.95.160	98.129.95.167	IN
98.129.95.168	98.129.95.247	US
98.129.95.248	98.129.95.255	NZ
98.129.96.0	98.129.96.31	US
98.129.96.32	98.129.96.47	AE
98.129.96.48	98.129.97.127	US
98.129.97.128	98.129.97.135	AU
98.129.97.136	98.129.98.87	US
98.129.98.88	98.129.98.95	CA
98.129.98.96	98.129.98.103	US
98.129.98.104	98.129.98.111	CA
98.129.98.112	98.129.99.159	US
98.129.99.160	98.129.99.167	BD
98.129.99.168	98.129.101.31	US
98.129.101.32	98.129.101.39	IL
98.129.101.40	98.129.101.47	GB
98.129.101.48	98.129.101.135	US
98.129.101.136	98.129.101.143	AU
98.129.101.144	98.129.101.151	US
98.129.101.152	98.129.101.159	IL
98.129.101.160	98.129.101.183	US
98.129.101.184	98.129.101.191	GB
98.129.101.192	98.129.102.87	US
98.129.102.88	98.129.102.95	CA
98.129.102.96	98.129.102.223	US
98.129.102.224	98.129.102.231	MX
98.129.102.232	98.129.103.143	US
98.129.103.144	98.129.103.151	CA
98.129.103.152	98.129.103.175	US
98.129.103.176	98.129.103.191	CA
98.129.103.192	98.129.103.239	US
98.129.103.240	98.129.103.255	IE
98.129.104.0	98.129.104.167	US
98.129.104.168	98.129.104.175	MX
98.129.104.176	98.129.105.63	US
98.129.105.64	98.129.105.71	GB
98.129.105.72	98.129.105.207	US
98.129.105.208	98.129.105.215	IN
98.129.105.216	98.129.106.191	US
98.129.106.192	98.129.106.199	MY
98.129.106.200	98.129.107.175	US
98.129.107.176	98.129.107.183	BD
98.129.107.184	98.129.108.23	US
98.129.108.24	98.129.108.31	NZ
98.129.108.32	98.129.109.247	US
98.129.109.248	98.129.109.255	GB
98.129.110.0	98.129.110.47	US
98.129.110.48	98.129.110.55	SE
98.129.110.56	98.129.110.71	US
98.129.110.72	98.129.110.79	CA
98.129.110.80	98.129.113.63	US
98.129.113.64	98.129.113.71	SE
98.129.113.72	98.129.113.95	US
98.129.113.96	98.129.113.103	CA
98.129.113.104	98.129.114.183	US
98.129.114.184	98.129.114.191	CA
98.129.114.192	98.129.114.255	US
98.129.115.0	98.129.115.7	AU
98.129.115.8	98.129.115.39	US
98.129.115.40	98.129.115.47	GB
98.129.115.48	98.129.116.55	US
98.129.116.56	98.129.116.63	SG
98.129.116.64	98.129.116.71	US
98.129.116.72	98.129.116.79	GB
98.129.116.80	98.129.116.103	US
98.129.116.104	98.129.116.111	NZ
98.129.116.112	98.129.117.7	US
98.129.117.8	98.129.117.15	IN
98.129.117.16	98.129.117.87	US
98.129.117.88	98.129.117.95	CA
98.129.117.96	98.129.117.231	US
98.129.117.232	98.129.117.239	AR
98.129.117.240	98.129.120.119	US
98.129.120.120	98.129.120.127	IN
98.129.120.128	98.129.121.39	US
98.129.121.40	98.129.121.47	SG
98.129.121.48	98.129.122.47	US
98.129.122.48	98.129.122.55	BD
98.129.122.56	98.129.122.111	US
98.129.122.112	98.129.122.119	GB
98.129.122.120	98.129.123.95	US
98.129.123.96	98.129.123.127	CA
98.129.123.128	98.129.124.175	US
98.129.124.176	98.129.124.183	CA
98.129.124.184	98.129.124.191	US
98.129.124.192	98.129.124.223	BD
98.129.124.224	98.129.125.31	US
98.129.125.32	98.129.125.47	BD
98.129.125.48	98.129.126.63	US
98.129.126.64	98.129.126.71	CA
98.129.126.72	98.129.126.95	US
98.129.126.96	98.129.126.103	IN
98.129.126.104	98.129.126.111	GB
98.129.126.112	98.129.127.31	US
98.129.127.32	98.129.127.39	AR
98.129.127.40	98.129.127.199	US
98.129.127.200	98.129.127.207	CA
98.129.127.208	98.129.129.191	US
98.129.129.192	98.129.129.199	NZ
98.129.129.200	98.129.129.207	CA
98.129.129.208	98.129.130.127	US
98.129.130.128	98.129.130.135	GB
98.129.130.136	98.129.130.191	US
98.129.130.192	98.129.130.223	BD
98.129.130.224	98.129.131.47	US
98.129.131.48	98.129.131.63	ZA
98.129.131.64	98.129.131.79	US
98.129.131.80	98.129.131.87	GB
98.129.131.88	98.129.131.159	US
98.129.131.160	98.129.131.167	GB
98.129.131.168	98.129.131.215	US
98.129.131.216	98.129.131.223	GU
98.129.131.224	98.129.132.127	US
98.129.132.128	98.129.132.159	CA
98.129.132.160	98.129.132.199	US
98.129.132.200	98.129.132.207	IN
98.129.132.208	98.129.133.71	US
98.129.133.72	98.129.133.79	GU
98.129.133.80	98.129.133.151	US
98.129.133.152	98.129.133.159	AU
98.129.133.160	98.129.134.111	US
98.129.134.112	98.129.134.127	GB
98.129.134.128	98.129.134.255	US
98.129.135.0	98.129.135.7	CA
98.129.135.8	98.129.135.15	US
98.129.135.16	98.129.135.23	IN
98.129.135.24	98.129.135.31	GB
98.129.135.32	98.129.135.71	US
98.129.135.72	98.129.135.79	JM
98.129.135.80	98.129.135.111	US
98.129.135.112	98.129.135.127	GB
98.129.135.128	98.129.135.191	US
98.129.135.192	98.129.135.199	GB
98.129.135.200	98.129.136.255	US
98.129.137.0	98.129.137.7	CA
98.129.137.8	98.129.137.47	US
98.129.137.48	98.129.137.55	ZA
98.129.137.56	98.129.137.63	CA
98.129.137.64	98.129.138.31	US
98.129.138.32	98.129.138.39	GB
98.129.138.40	98.129.138.63	US
98.129.138.64	98.129.138.71	CA
98.129.138.72	98.129.138.79	US
98.129.138.80	98.129.138.87	NZ
98.129.138.88	98.129.138.119	US
98.129.138.120	98.129.138.127	CN
98.129.138.128	98.129.138.159	US
98.129.138.160	98.129.138.167	GB
98.129.138.168	98.129.138.215	US
98.129.138.216	98.129.138.223	PH
98.129.138.224	98.129.139.31	US
98.129.139.32	98.129.139.39	GB
98.129.139.40	98.129.140.143	US
98.129.140.144	98.129.140.159	AU
98.129.140.160	98.129.141.31	US
98.129.141.32	98.129.141.39	MX
98.129.141.40	98.129.141.159	US
98.129.141.160	98.129.141.167	JM
98.129.141.168	98.129.142.199	US
98.129.142.200	98.129.142.207	GB
98.129.142.208	98.129.144.47	US
98.129.144.48	98.129.144.55	GB
98.129.144.56	98.129.144.191	US
98.129.144.192	98.129.144.199	MX
98.129.144.200	98.129.144.255	US
98.129.145.0	98.129.145.7	GB
98.129.145.8	98.129.145.103	US
98.129.145.104	98.129.145.111	GB
98.129.145.112	98.129.145.127	US
98.129.145.128	98.129.145.135	CA
98.129.145.136	98.129.145.255	US
98.129.146.0	98.129.146.7	NZ
98.129.146.8	98.129.146.39	US
98.129.146.40	98.129.146.47	IN
98.129.146.48	98.129.147.207	US
98.129.147.208	98.129.147.215	GB
98.129.147.216	98.129.148.167	US
98.129.148.168	98.129.148.175	CA
98.129.148.176	98.129.151.39	US
98.129.151.40	98.129.151.47	CA
98.129.151.48	98.129.151.159	US
98.129.151.160	98.129.151.167	CA
98.129.151.168	98.129.151.215	US
98.129.151.216	98.129.151.223	MX
98.129.151.224	98.129.152.63	US
98.129.152.64	98.129.152.71	IN
98.129.152.72	98.129.152.79	MX
98.129.152.80	98.129.153.71	US
98.129.153.72	98.129.153.79	GB
98.129.153.80	98.129.153.159	US
98.129.153.160	98.129.153.183	AU
98.129.153.184	98.129.154.223	US
98.129.154.224	98.129.154.231	BR
98.129.154.232	98.129.155.95	US
98.129.155.96	98.129.155.103	MY
98.129.155.104	98.129.155.143	US
98.129.155.144	98.129.155.151	GB
98.129.155.152	98.129.155.159	US
98.129.155.160	98.129.155.167	IL
98.129.155.168	98.129.155.199	US
98.129.155.200	98.129.155.207	CA
98.129.155.208	98.129.161.207	US
98.129.161.208	98.129.161.223	GB
98.129.161.224	98.129.162.135	US
98.129.162.136	98.129.162.143	AU
98.129.162.144	98.129.162.255	US
98.129.163.0	98.129.163.7	MX
98.129.163.8	98.129.163.95	US
98.129.163.96	98.129.163.103	CA
98.129.163.104	98.129.168.207	US
98.129.168.208	98.129.168.223	CA
98.129.168.224	98.129.170.247	US
98.129.170.248	98.129.170.255	CA
98.129.171.0	98.129.171.15	US
98.129.171.16	98.129.171.23	CA
98.129.171.24	98.129.171.231	US
98.129.171.232	98.129.171.239	BR
98.129.171.240	98.129.171.247	PR
98.129.171.248	98.129.172.111	US
98.129.172.112	98.129.172.119	CA
98.129.172.120	98.129.172.135	US
98.129.172.136	98.129.172.143	GB
98.129.172.144	98.129.173.71	US
98.129.173.72	98.129.173.79	MX
98.129.173.80	98.129.173.87	IE
98.129.173.88	98.129.173.207	US
98.129.173.208	98.129.173.215	GB
98.129.173.216	98.129.174.7	US
98.129.174.8	98.129.174.15	AU
98.129.174.16	98.129.174.95	US
98.129.174.96	98.129.174.103	IT
98.129.174.104	98.129.174.127	US
98.129.174.128	98.129.174.135	CA
98.129.174.136	98.129.175.63	US
98.129.175.64	98.129.175.71	CA
98.129.175.72	98.129.175.95	US
98.129.175.96	98.129.175.103	GB
98.129.175.104	98.129.175.215	US
98.129.175.216	98.129.175.223	MX
98.129.175.224	98.129.176.127	US
98.129.176.128	98.129.176.143	CA
98.129.176.144	98.129.176.159	US
98.129.176.160	98.129.176.175	GB
98.129.176.176	98.129.186.23	US
98.129.186.24	98.129.186.31	IE
98.129.186.32	98.129.186.39	US
98.129.186.40	98.129.186.47	AU
98.129.186.48	98.129.187.7	US
98.129.187.8	98.129.187.15	IN
98.129.187.16	98.129.187.47	US
98.129.187.48	98.129.187.55	CA
98.129.187.56	98.129.188.127	US
98.129.188.128	98.129.188.135	GB
98.129.188.136	98.129.190.63	US
98.129.190.64	98.129.190.71	CA
98.129.190.72	98.129.191.103	US
98.129.191.104	98.129.191.111	BR
98.129.191.112	98.129.191.119	US
98.129.191.120	98.129.191.127	BR
98.129.191.128	98.129.191.255	CA
98.129.192.0	98.129.193.151	US
98.129.193.152	98.129.193.159	CA
98.129.193.160	98.129.194.191	US
98.129.194.192	98.129.194.199	NL
98.129.194.200	98.129.194.231	US
98.129.194.232	98.129.194.239	NL
98.129.194.240	98.129.195.39	US
98.129.195.40	98.129.195.47	GB
98.129.195.48	98.129.195.111	US
98.129.195.112	98.129.195.119	GB
98.129.195.120	98.129.195.127	MX
98.129.195.128	98.129.195.143	US
98.129.195.144	98.129.195.151	CA
98.129.195.152	98.129.195.175	US
98.129.195.176	98.129.195.183	GB
98.129.195.184	98.129.197.39	US
98.129.197.40	98.129.197.47	NL
98.129.197.48	98.129.198.23	US
98.129.198.24	98.129.198.31	MX
98.129.198.32	98.129.198.63	US
98.129.198.64	98.129.198.71	GB
98.129.198.72	98.129.198.159	US
98.129.198.160	98.129.198.167	JP
98.129.198.168	98.129.198.191	US
98.129.198.192	98.129.198.199	PK
98.129.198.200	98.129.199.39	US
98.129.199.40	98.129.199.47	MT
98.129.199.48	98.129.199.79	US
98.129.199.80	98.129.199.87	MT
98.129.199.88	98.129.199.183	US
98.129.199.184	98.129.199.191	CA
98.129.199.192	98.129.199.199	GB
98.129.199.200	98.129.199.207	US
98.129.199.208	98.129.199.215	IN
98.129.199.216	98.129.199.223	ZA
98.129.199.224	98.129.199.231	IN
98.129.199.232	98.129.201.31	US
98.129.201.32	98.129.201.39	CA
98.129.201.40	98.129.202.255	US
98.129.203.0	98.129.203.255	CA
98.129.204.0	98.129.206.15	US
98.129.206.16	98.129.206.23	CA
98.129.206.24	98.129.206.87	US
98.129.206.88	98.129.206.95	MX
98.129.206.96	98.129.207.23	US
98.129.207.24	98.129.207.31	GB
98.129.207.32	98.129.207.39	US
98.129.207.40	98.129.207.47	NA
98.129.207.48	98.129.207.63	US
98.129.207.64	98.129.207.71	GB
98.129.207.72	98.129.209.63	US
98.129.209.64	98.129.209.71	CA
98.129.209.72	98.129.209.103	US
98.129.209.104	98.129.209.111	CH
98.129.209.112	98.129.209.127	US
98.129.209.128	98.129.209.135	CA
98.129.209.136	98.129.209.231	US
98.129.209.232	98.129.209.239	MX
98.129.209.240	98.129.210.31	US
98.129.210.32	98.129.210.39	GB
98.129.210.40	98.129.211.63	US
98.129.211.64	98.129.211.71	IN
98.129.211.72	98.129.211.159	US
98.129.211.160	98.129.211.167	NZ
98.129.211.168	98.129.213.111	US
98.129.213.112	98.129.213.119	KE
98.129.213.120	98.129.213.191	US
98.129.213.192	98.129.213.207	IN
98.129.213.208	98.129.214.95	US
98.129.214.96	98.129.214.103	IN
98.129.214.104	98.129.216.7	US
98.129.216.8	98.129.216.15	AU
98.129.216.16	98.129.216.71	US
98.129.216.72	98.129.216.79	CA
98.129.216.80	98.129.217.143	US
98.129.217.144	98.129.217.151	IN
98.129.217.152	98.129.217.175	US
98.129.217.176	98.129.217.183	MT
98.129.217.184	98.129.218.215	US
98.129.218.216	98.129.218.223	KE
98.129.218.224	98.129.218.247	US
98.129.218.248	98.129.218.255	GB
98.129.219.0	98.129.219.31	US
98.129.219.32	98.129.219.39	IN
98.129.219.40	98.129.219.199	US
98.129.219.200	98.129.219.207	CH
98.129.219.208	98.129.225.87	US
98.129.225.88	98.129.225.95	SG
98.129.225.96	98.129.225.119	US
98.129.225.120	98.129.225.127	BR
98.129.225.128	98.129.225.191	US
98.129.225.192	98.129.225.199	MX
98.129.225.200	98.129.225.207	NO
98.129.225.208	98.129.232.39	US
98.129.232.40	98.129.232.47	CA
98.129.232.48	98.129.233.87	US
98.129.233.88	98.129.233.95	GB
98.129.233.96	98.129.233.199	US
98.129.233.200	98.129.233.207	CA
98.129.233.208	98.129.234.239	US
98.129.234.240	98.129.234.247	CA
98.129.234.248	98.129.234.255	US
98.129.235.0	98.129.235.7	GB
98.129.235.8	98.129.235.39	US
98.129.235.40	98.129.235.47	IL
98.129.235.48	98.142.239.255	US
98.142.240.0	98.142.255.255	CA
98.143.0.0	98.143.63.255	US
98.143.64.0	98.143.111.255	CA
98.143.112.0	98.143.127.255	US
98.143.128.0	98.143.143.255	CA
98.143.144.0	98.143.207.255	US
98.143.208.0	98.143.223.255	CA
98.143.224.0	98.143.239.255	US
98.143.240.0	98.143.255.255	CA
98.144.0.0	98.158.79.255	US
98.158.80.0	98.158.95.255	CA
98.158.96.0	98.158.111.255	VG
98.158.112.0	98.158.127.255	US
98.158.128.0	98.158.143.255	CA
98.158.144.0	98.159.39.255	US
98.159.40.0	98.159.40.255	CA
98.159.41.0	98.159.239.255	US
98.159.240.0	98.159.255.255	CA
98.160.0.0	99.74.152.215	US
99.74.152.216	99.74.152.223	A2
99.74.152.224	99.191.255.255	US
99.192.0.0	99.192.127.255	CA
99.192.128.0	99.192.136.95	US
99.192.136.96	99.192.136.127	CR
99.192.136.128	99.192.136.143	CA
99.192.136.144	99.192.136.191	US
99.192.136.192	99.192.136.207	CA
99.192.136.208	99.192.136.223	PL
99.192.136.224	99.192.137.31	US
99.192.137.32	99.192.137.47	GB
99.192.137.48	99.192.137.127	US
99.192.137.128	99.192.137.143	CA
99.192.137.144	99.192.138.15	US
99.192.138.16	99.192.138.47	GB
99.192.138.48	99.192.138.95	US
99.192.138.96	99.192.138.127	NL
99.192.138.128	99.192.138.143	CA
99.192.138.144	99.192.139.15	US
99.192.139.16	99.192.139.31	CA
99.192.139.32	99.192.139.95	US
99.192.139.96	99.192.139.127	NL
99.192.139.128	99.192.139.191	US
99.192.139.192	99.192.139.255	NL
99.192.140.0	99.192.140.31	CA
99.192.140.32	99.192.141.15	US
99.192.141.16	99.192.141.31	CA
99.192.141.32	99.192.141.95	US
99.192.141.96	99.192.141.127	CA
99.192.141.128	99.192.142.15	US
99.192.142.16	99.192.142.31	CA
99.192.142.32	99.192.142.47	US
99.192.142.48	99.192.142.63	CA
99.192.142.64	99.192.142.127	US
99.192.142.128	99.192.142.255	GB
99.192.143.0	99.192.143.63	US
99.192.143.64	99.192.143.79	CA
99.192.143.80	99.192.152.255	US
99.192.153.0	99.192.153.255	NL
99.192.154.0	99.192.154.15	CA
99.192.154.16	99.192.154.47	US
99.192.154.48	99.192.154.63	NO
99.192.154.64	99.192.154.127	US
99.192.154.128	99.192.154.191	CA
99.192.154.192	99.192.154.255	US
99.192.155.0	99.192.155.31	CA
99.192.155.32	99.192.155.127	US
99.192.155.128	99.192.155.191	GB
99.192.155.192	99.192.155.255	US
99.192.156.0	99.192.156.15	CA
99.192.156.16	99.192.156.31	US
99.192.156.32	99.192.156.47	AT
99.192.156.48	99.192.156.79	US
99.192.156.80	99.192.156.95	GB
99.192.156.96	99.192.156.111	RU
99.192.156.112	99.192.156.127	US
99.192.156.128	99.192.156.191	MT
99.192.156.192	99.192.157.79	US
99.192.157.80	99.192.157.95	CZ
99.192.157.96	99.192.157.127	CA
99.192.157.128	99.192.157.255	CZ
99.192.158.0	99.192.158.47	US
99.192.158.48	99.192.158.63	CA
99.192.158.64	99.192.158.79	AU
99.192.158.80	99.192.158.111	US
99.192.158.112	99.192.158.127	CA
99.192.158.128	99.192.159.255	US
99.192.160.0	99.192.160.15	CA
99.192.160.16	99.192.160.47	US
99.192.160.48	99.192.160.63	GB
99.192.160.64	99.192.160.127	US
99.192.160.128	99.192.160.191	CA
99.192.160.192	99.192.161.15	US
99.192.161.16	99.192.161.31	CA
99.192.161.32	99.192.162.255	US
99.192.163.0	99.192.163.15	CA
99.192.163.16	99.192.163.31	HR
99.192.163.32	99.192.163.79	US
99.192.163.80	99.192.163.95	CA
99.192.163.96	99.192.163.159	US
99.192.163.160	99.192.163.191	NL
99.192.163.192	99.192.166.95	US
99.192.166.96	99.192.166.111	PL
99.192.166.112	99.192.166.175	US
99.192.166.176	99.192.166.191	GB
99.192.166.192	99.192.168.255	US
99.192.169.0	99.192.170.15	LT
99.192.170.16	99.192.170.255	US
99.192.171.0	99.192.171.191	LT
99.192.171.192	99.192.173.95	US
99.192.173.96	99.192.173.127	CA
99.192.173.128	99.192.174.255	US
99.192.175.0	99.192.175.255	LT
99.192.176.0	99.192.176.31	US
99.192.176.32	99.192.176.47	EC
99.192.176.48	99.192.176.63	US
99.192.176.64	99.192.176.79	CA
99.192.176.80	99.192.178.31	US
99.192.178.32	99.192.178.47	CA
99.192.178.48	99.192.179.63	US
99.192.179.64	99.192.179.127	CA
99.192.179.128	99.192.180.127	US
99.192.180.128	99.192.180.191	NL
99.192.180.192	99.192.181.127	US
99.192.181.128	99.192.181.191	CA
99.192.181.192	99.192.191.255	US
99.192.192.0	99.192.192.255	NL
99.192.193.0	99.192.196.255	US
99.192.197.0	99.192.197.255	LT
99.192.198.0	99.192.198.255	A1
99.192.199.0	99.198.255.255	US
99.199.0.0	99.199.255.255	CA
99.200.0.0	99.207.255.255	US
99.208.0.0	99.255.255.255	CA
107.0.0.0	107.7.255.255	US
108.0.0.0	108.255.255.255	US
109.0.0.0	109.31.255.255	FR
109.32.0.0	109.39.255.255	NL
109.40.0.0	109.47.255.255	DE
109.48.0.0	109.51.255.255	PT
109.52.0.0	109.55.255.255	IT
109.56.0.0	109.57.255.255	DK
109.58.0.0	109.59.255.255	SE
109.60.0.0	109.60.127.255	HR
109.60.128.0	109.60.255.255	RU
109.61.0.0	109.61.127.255	HU
109.61.128.0	109.61.255.255	RU
109.62.0.0	109.62.127.255	FR
109.62.128.0	109.62.255.255	RU
109.63.0.0	109.63.127.255	BH
109.63.128.0	109.63.255.255	RU
109.64.0.0	109.67.255.255	IL
109.68.0.0	109.68.15.255	GB
109.68.16.0	109.68.23.255	RU
109.68.24.0	109.68.31.255	IT
109.68.32.0	109.68.39.255	GB
109.68.40.0	109.68.47.255	UA
109.68.48.0	109.68.55.255	DE
109.68.56.0	109.68.63.255	NL
109.68.64.0	109.68.71.255	GB
109.68.72.0	109.68.79.255	RU
109.68.80.0	109.68.87.255	ES
109.68.88.0	109.68.95.255	NO
109.68.96.0	109.68.103.255	DE
109.68.104.0	109.68.111.255	AT
109.68.112.0	109.68.119.255	RU
109.68.120.0	109.68.127.255	AM
109.68.128.0	109.68.135.255	FI
109.68.136.0	109.68.143.255	RU
109.68.144.0	109.68.151.255	GR
109.68.152.0	109.68.159.255	IT
109.68.160.0	109.68.167.255	BE
109.68.168.0	109.68.175.255	RU
109.68.176.0	109.68.183.255	NO
109.68.184.0	109.68.191.255	RU
109.68.192.0	109.68.199.255	GB
109.68.200.0	109.68.215.255	RU
109.68.216.0	109.68.231.255	DE
109.68.232.0	109.68.239.255	TJ
109.68.240.0	109.68.247.255	GB
109.68.248.0	109.68.255.255	FI
109.69.0.0	109.69.7.255	AL
109.69.8.0	109.69.15.255	ES
109.69.16.0	109.69.31.255	RU
109.69.32.0	109.69.39.255	FI
109.69.40.0	109.69.47.255	MK
109.69.48.0	109.69.63.255	GB
109.69.64.0	109.69.71.255	DE
109.69.72.0	109.69.87.255	GB
109.69.88.0	109.69.95.255	PL
109.69.96.0	109.69.103.255	DE
109.69.104.0	109.69.111.255	GB
109.69.112.0	109.69.119.255	HU
109.69.120.0	109.69.127.255	FI
109.69.128.0	109.69.135.255	IT
109.69.136.0	109.69.143.255	EU
109.69.144.0	109.69.151.255	GB
109.69.152.0	109.69.159.255	CH
109.69.160.0	109.69.167.255	AL
109.69.168.0	109.69.175.255	AT
109.69.176.0	109.69.183.255	RU
109.69.184.0	109.69.199.255	FR
109.69.200.0	109.69.207.255	IT
109.69.208.0	109.69.215.255	CZ
109.69.216.0	109.69.223.255	BE
109.69.224.0	109.69.231.255	NL
109.69.232.0	109.69.239.255	GB
109.69.240.0	109.69.247.255	LU
109.69.248.0	109.69.255.255	AT
109.70.0.0	109.70.15.255	NL
109.70.16.0	109.70.18.83	FR
109.70.18.84	109.70.18.87	NL
109.70.18.88	109.70.23.255	FR
109.70.24.0	109.70.31.255	RU
109.70.32.0	109.70.39.255	ES
109.70.40.0	109.70.46.63	IM
109.70.46.64	109.70.46.79	GB
109.70.46.80	109.70.47.255	IM
109.70.48.0	109.70.55.255	DK
109.70.56.0	109.70.63.255	GB
109.70.64.0	109.70.71.255	AE
109.70.72.0	109.70.79.255	IT
109.70.80.0	109.70.87.255	NO
109.70.88.0	109.70.89.255	GB
109.70.90.0	109.70.95.255	US
109.70.96.0	109.70.103.255	AT
109.70.104.0	109.70.111.255	UA
109.70.112.0	109.70.119.255	CH
109.70.120.0	109.70.127.255	IT
109.70.128.0	109.70.128.127	ES
109.70.128.128	109.70.128.143	FR
109.70.128.144	109.70.135.255	ES
109.70.136.0	109.70.151.255	GB
109.70.152.0	109.70.159.255	CH
109.70.160.0	109.70.167.255	FI
109.70.168.0	109.70.175.255	FR
109.70.176.0	109.70.183.255	FI
109.70.184.0	109.70.191.255	RU
109.70.192.0	109.70.199.255	DE
109.70.200.0	109.70.207.255	IT
109.70.208.0	109.70.211.47	GB
109.70.211.48	109.70.211.55	IE
109.70.211.56	109.70.215.255	GB
109.70.216.0	109.70.223.255	DE
109.70.224.0	109.70.231.255	GB
109.70.232.0	109.70.239.255	RU
109.70.240.0	109.70.247.255	IT
109.70.248.0	109.70.255.255	RU
109.71.0.0	109.71.1.255	NL
109.71.2.0	109.71.2.255	BG
109.71.3.0	109.71.3.255	SE
109.71.4.0	109.71.7.255	NL
109.71.8.0	109.71.15.255	RU
109.71.16.0	109.71.31.255	DE
109.71.32.0	109.71.39.255	KZ
109.71.40.0	109.71.47.255	PT
109.71.48.0	109.71.55.255	NL
109.71.56.0	109.71.63.255	DK
109.71.64.0	109.71.71.255	SK
109.71.72.0	109.71.79.255	RU
109.71.80.0	109.71.80.127	GB
109.71.80.128	109.71.80.255	US
109.71.81.0	109.71.86.255	GB
109.71.87.0	109.71.87.255	US
109.71.88.0	109.71.103.255	CH
109.71.104.0	109.71.111.255	NL
109.71.112.0	109.71.119.255	DE
109.71.120.0	109.71.127.255	GB
109.71.128.0	109.71.143.255	FR
109.71.144.0	109.71.145.0	GB
109.71.145.1	109.71.145.31	NL
109.71.145.32	109.71.145.128	GB
109.71.145.129	109.71.145.143	ET
109.71.145.144	109.71.145.192	GB
109.71.145.193	109.71.145.199	CA
109.71.145.200	109.71.151.255	GB
109.71.152.0	109.71.159.255	RS
109.71.160.0	109.71.167.255	PT
109.71.168.0	109.71.175.255	GB
109.71.176.0	109.71.183.255	RU
109.71.184.0	109.71.191.255	NL
109.71.192.0	109.71.207.255	RU
109.71.208.0	109.71.215.255	CZ
109.71.216.0	109.71.222.255	DE
109.71.223.0	109.71.223.255	GB
109.71.224.0	109.71.231.255	KG
109.71.232.0	109.71.239.255	IT
109.71.240.0	109.71.247.255	RU
109.71.248.0	109.71.255.255	GB
109.72.0.0	109.72.15.255	CZ
109.72.16.0	109.72.31.255	GB
109.72.32.0	109.72.47.255	NL
109.72.48.0	109.72.63.255	RS
109.72.64.0	109.72.79.255	RU
109.72.80.0	109.72.95.255	NL
109.72.96.0	109.72.111.255	ME
109.72.112.0	109.72.127.255	UA
109.72.128.0	109.72.128.175	RU
109.72.128.176	109.72.128.255	CH
109.72.129.0	109.72.129.127	RU
109.72.129.128	109.72.130.159	CH
109.72.130.160	109.72.130.175	RU
109.72.130.176	109.72.143.255	CH
109.72.144.0	109.72.159.255	EU
109.72.160.0	109.72.164.255	NL
109.72.165.0	109.72.165.127	GB
109.72.165.128	109.72.165.255	DE
109.72.166.0	109.72.179.127	NL
109.72.179.128	109.72.179.255	IE
109.72.180.0	109.72.191.255	NL
109.72.192.0	109.72.207.255	IR
109.72.208.0	109.72.223.255	GB
109.72.224.0	109.73.15.255	RU
109.73.16.0	109.73.31.255	DE
109.73.32.0	109.73.47.255	RU
109.73.48.0	109.73.63.255	DE
109.73.64.0	109.73.79.255	ES
109.73.80.0	109.73.95.255	IT
109.73.96.0	109.73.111.255	LV
109.73.112.0	109.73.127.255	GB
109.73.128.0	109.73.143.255	RU
109.73.144.0	109.73.159.255	AT
109.73.160.0	109.73.161.255	IL
109.73.162.0	109.73.163.255	GB
109.73.164.0	109.73.164.255	IN
109.73.165.0	109.73.175.255	GB
109.73.176.0	109.73.191.255	IT
109.73.192.0	109.73.207.255	RU
109.73.208.0	109.73.223.255	CZ
109.73.224.0	109.73.239.255	RO
109.73.240.0	109.73.255.255	PS
109.74.0.0	109.74.15.255	SE
109.74.16.0	109.74.19.255	GB
109.74.20.0	109.74.31.255	NL
109.74.32.0	109.74.47.255	YE
109.74.48.0	109.74.63.255	HU
109.74.64.0	109.74.79.255	TJ
109.74.80.0	109.74.95.255	FR
109.74.96.0	109.74.111.255	PL
109.74.112.0	109.74.143.255	RU
109.74.144.0	109.74.159.255	SK
109.74.160.0	109.74.175.255	RU
109.74.176.0	109.74.191.255	NO
109.74.192.0	109.74.207.255	GB
109.74.208.0	109.74.223.255	RU
109.74.224.0	109.74.239.255	IR
109.74.240.0	109.74.255.255	GB
109.75.0.0	109.75.15.255	CZ
109.75.16.0	109.75.18.15	DE
109.75.18.16	109.75.18.23	AL
109.75.18.24	109.75.31.255	DE
109.75.32.0	109.75.47.255	AM
109.75.48.0	109.75.48.31	TJ
109.75.48.32	109.75.48.255	RU
109.75.49.0	109.75.49.31	TJ
109.75.49.32	109.75.63.255	RU
109.75.64.0	109.75.79.255	LB
109.75.80.0	109.75.106.143	DE
109.75.106.144	109.75.106.159	BZ
109.75.106.160	109.75.109.255	DE
109.75.110.0	109.75.110.15	NA
109.75.110.16	109.75.110.255	DE
109.75.111.0	109.75.111.63	CH
109.75.111.64	109.75.111.191	DE
109.75.111.192	109.75.111.255	US
109.75.112.0	109.75.127.255	IT
109.75.128.0	109.75.143.255	RU
109.75.144.0	109.75.159.255	CZ
109.75.160.0	109.75.175.255	GB
109.75.176.0	109.75.191.255	DE
109.75.192.0	109.75.207.255	UA
109.75.208.0	109.75.223.255	DE
109.75.224.0	109.75.239.255	FI
109.75.240.0	109.75.255.255	RU
109.76.0.0	109.79.255.255	IE
109.80.0.0	109.81.255.255	CZ
109.82.0.0	109.83.255.255	SA
109.84.0.0	109.85.255.255	DE
109.86.0.0	109.87.255.255	UA
109.88.0.0	109.89.255.255	BE
109.90.0.0	109.91.255.255	DE
109.92.0.0	109.93.255.255	RS
109.94.0.0	109.94.31.255	RU
109.94.32.0	109.94.63.255	FR
109.94.64.0	109.94.95.255	RU
109.94.96.0	109.94.127.255	RS
109.94.128.0	109.94.143.255	GB
109.94.144.0	109.94.159.255	RO
109.94.160.0	109.94.175.255	UA
109.94.176.0	109.94.207.255	RU
109.94.208.0	109.94.223.255	UA
109.94.224.0	109.94.239.255	RS
109.94.240.0	109.95.7.255	PL
109.95.8.0	109.95.15.255	RO
109.95.16.0	109.95.23.255	RU
109.95.24.0	109.95.31.255	PL
109.95.32.0	109.95.55.255	UA
109.95.56.0	109.95.71.255	IR
109.95.72.0	109.95.87.255	RU
109.95.88.0	109.95.95.255	PL
109.95.96.0	109.95.111.255	RU
109.95.112.0	109.95.119.255	KZ
109.95.120.0	109.95.127.255	RU
109.95.128.0	109.95.135.255	IL
109.95.136.0	109.95.159.255	PL
109.95.160.0	109.95.167.255	RU
109.95.168.0	109.95.183.255	PL
109.95.184.0	109.95.191.255	GB
109.95.192.0	109.95.199.255	RU
109.95.200.0	109.95.207.255	PL
109.95.208.0	109.95.231.255	RU
109.95.232.0	109.95.239.255	PL
109.95.240.0	109.95.247.255	CH
109.95.248.0	109.95.255.255	RU
109.96.0.0	109.103.255.255	RO
109.104.0.0	109.104.31.255	SE
109.104.32.0	109.104.63.255	DE
109.104.64.0	109.104.67.255	GB
109.104.68.0	109.104.69.255	ES
109.104.70.0	109.104.127.255	GB
109.104.128.0	109.104.159.255	AL
109.104.160.0	109.104.191.255	UA
109.104.192.0	109.104.223.255	BG
109.104.224.0	109.104.255.255	IT
109.105.0.0	109.105.31.255	HU
109.105.32.0	109.105.63.255	CZ
109.105.64.0	109.105.95.255	RU
109.105.96.0	109.105.105.255	SE
109.105.106.0	109.105.106.255	DK
109.105.107.0	109.105.107.255	SE
109.105.108.0	109.105.108.127	DK
109.105.108.128	109.105.110.255	SE
109.105.111.0	109.105.111.255	DK
109.105.112.0	109.105.112.255	SE
109.105.113.0	109.105.113.255	DK
109.105.114.0	109.105.115.255	SE
109.105.116.0	109.105.116.127	DK
109.105.116.128	109.105.123.255	SE
109.105.124.0	109.105.126.255	DK
109.105.127.0	109.105.127.255	SE
109.105.128.0	109.105.191.255	RU
109.105.192.0	109.105.223.255	BA
109.105.224.0	109.105.255.255	CY
109.106.0.0	109.106.31.255	UA
109.106.32.0	109.106.63.255	CH
109.106.64.0	109.106.95.255	FR
109.106.96.0	109.106.127.255	IE
109.106.128.0	109.106.159.255	RU
109.106.160.0	109.106.179.255	NL
109.106.180.0	109.106.191.255	EU
109.106.192.0	109.106.223.255	RU
109.106.224.0	109.106.255.255	RS
109.107.0.0	109.107.31.255	PL
109.107.32.0	109.107.63.255	GB
109.107.64.0	109.107.95.255	BG
109.107.96.0	109.107.127.255	ES
109.107.128.0	109.107.159.255	JO
109.107.160.0	109.107.191.255	RU
109.107.192.0	109.107.223.255	CZ
109.107.224.0	109.107.255.255	JO
109.108.0.0	109.108.31.255	FI
109.108.32.0	109.108.63.255	RU
109.108.64.0	109.108.95.255	UA
109.108.96.0	109.108.127.255	CZ
109.108.128.0	109.108.159.255	GB
109.108.160.0	109.108.191.255	ES
109.108.192.0	109.108.223.255	NO
109.108.224.0	109.108.255.255	UA
109.109.0.0	109.109.31.255	DE
109.109.32.0	109.109.63.255	IR
109.109.64.0	109.109.95.255	NO
109.109.96.0	109.109.127.255	NL
109.109.128.0	109.109.191.255	GB
109.109.192.0	109.109.207.255	RS
109.109.208.0	109.109.223.255	RU
109.109.224.0	109.109.255.255	GB
109.110.0.0	109.110.31.255	LV
109.110.32.0	109.110.63.255	RU
109.110.64.0	109.110.95.255	UA
109.110.96.0	109.110.127.255	LB
109.110.128.0	109.110.159.255	HU
109.110.160.0	109.110.191.255	IR
109.110.192.0	109.110.223.255	PL
109.110.224.0	109.110.255.255	CY
109.111.0.0	109.111.31.255	RU
109.111.32.0	109.111.63.255	IR
109.111.64.0	109.111.95.255	RU
109.111.96.0	109.111.127.255	AD
109.111.128.0	109.111.191.255	RU
109.111.192.0	109.111.223.255	GB
109.111.224.0	109.111.255.255	RS
109.112.0.0	109.119.255.255	IT
109.120.0.0	109.120.63.255	RU
109.120.64.0	109.120.65.255	LU
109.120.66.0	109.120.80.255	DE
109.120.81.0	109.120.127.255	LU
109.120.128.0	109.120.191.255	RU
109.120.192.0	109.120.255.255	BG
109.121.0.0	109.121.127.255	RS
109.121.128.0	109.121.255.255	BG
109.122.0.0	109.122.63.255	UA
109.122.64.0	109.122.127.255	RS
109.122.128.0	109.122.191.255	FR
109.122.192.0	109.122.255.255	IR
109.123.0.0	109.123.63.255	SI
109.123.64.0	109.123.127.255	GB
109.123.128.0	109.123.191.255	RU
109.123.192.0	109.123.255.255	CZ
109.124.0.0	109.124.127.255	RU
109.124.128.0	109.124.191.255	SE
109.124.192.0	109.124.255.255	RU
109.125.0.0	109.125.63.255	IE
109.125.64.0	109.125.127.255	DE
109.125.128.0	109.125.191.255	IR
109.125.192.0	109.125.255.255	PL
109.126.0.0	109.126.63.255	RU
109.126.64.0	109.126.127.255	AT
109.126.128.0	109.126.191.255	BY
109.126.192.0	109.126.255.255	RU
109.127.0.0	109.127.63.255	AZ
109.127.64.0	109.127.127.255	IQ
109.127.128.0	109.127.191.255	RU
109.127.192.0	109.127.255.255	SI
109.128.0.0	109.143.255.255	BE
109.144.0.0	109.159.255.255	GB
109.160.0.0	109.160.127.255	BG
109.160.128.0	109.160.255.255	IL
109.161.0.0	109.161.127.255	RU
109.161.128.0	109.161.255.255	BH
109.162.0.0	109.162.127.255	UA
109.162.128.0	109.162.255.255	IR
109.163.0.0	109.163.127.255	NO
109.163.128.0	109.163.255.255	RU
109.164.0.0	109.164.127.255	CZ
109.164.128.0	109.164.255.255	CH
109.165.0.0	109.165.127.255	RU
109.165.128.0	109.165.255.255	BA
109.166.0.0	109.166.255.255	RO
109.167.0.0	109.167.127.255	UA
109.167.128.0	109.167.255.255	RU
109.168.0.0	109.168.127.255	IT
109.168.128.0	109.168.255.255	RU
109.169.0.0	109.169.9.255	GB
109.169.10.0	109.169.10.255	US
109.169.11.0	109.169.11.127	GB
109.169.11.128	109.169.11.143	US
109.169.11.144	109.169.11.207	GB
109.169.11.208	109.169.11.223	US
109.169.11.224	109.169.17.127	GB
109.169.17.128	109.169.17.191	US
109.169.17.192	109.169.17.255	GB
109.169.18.0	109.169.18.255	TR
109.169.19.0	109.169.21.255	GB
109.169.22.0	109.169.22.255	GR
109.169.23.0	109.169.24.255	GB
109.169.25.0	109.169.25.31	US
109.169.25.32	109.169.32.127	GB
109.169.32.128	109.169.32.159	SG
109.169.32.160	109.169.34.63	GB
109.169.34.64	109.169.34.127	CY
109.169.34.128	109.169.34.191	GR
109.169.34.192	109.169.35.191	GB
109.169.35.192	109.169.35.223	VG
109.169.35.224	109.169.35.255	GB
109.169.36.0	109.169.36.127	CN
109.169.36.128	109.169.36.255	GB
109.169.37.0	109.169.37.255	US
109.169.38.0	109.169.38.255	GB
109.169.39.0	109.169.39.127	RO
109.169.39.128	109.169.55.255	GB
109.169.56.0	109.169.63.255	US
109.169.64.0	109.169.95.255	GB
109.169.96.0	109.169.127.255	NO
109.169.128.0	109.170.127.255	RU
109.170.128.0	109.170.255.255	GB
109.171.0.0	109.171.127.255	RU
109.171.128.0	109.171.255.255	SA
109.172.0.0	109.172.127.255	RU
109.172.128.0	109.172.255.255	GE
109.173.0.0	109.173.127.255	RU
109.173.128.0	109.173.255.255	PL
109.174.0.0	109.174.127.255	RU
109.174.128.0	109.174.255.255	GB
109.175.0.0	109.175.127.255	BA
109.175.128.0	109.176.255.255	GB
109.177.0.0	109.177.255.255	RU
109.178.0.0	109.178.255.255	GR
109.179.0.0	109.179.255.255	NO
109.180.0.0	109.181.255.255	GB
109.182.0.0	109.182.255.255	SI
109.183.0.0	109.183.255.255	CZ
109.184.0.0	109.184.255.255	RU
109.185.0.0	109.185.255.255	MD
109.186.0.0	109.186.255.255	IL
109.187.0.0	109.188.255.255	RU
109.189.0.0	109.189.255.255	NO
109.190.0.0	109.191.255.255	RU
109.192.0.0	109.193.255.255	DE
109.194.0.0	109.195.255.255	RU
109.196.0.0	109.196.15.255	PL
109.196.16.0	109.196.31.255	RU
109.196.32.0	109.196.63.255	PL
109.196.64.0	109.196.79.255	RU
109.196.80.0	109.196.95.255	PL
109.196.96.0	109.196.111.255	RU
109.196.112.0	109.196.127.255	PL
109.196.128.0	109.196.143.255	RU
109.196.144.0	109.196.159.255	PL
109.196.160.0	109.196.191.255	UA
109.196.192.0	109.196.223.255	RU
109.196.224.0	109.196.255.255	PL
109.197.0.0	109.197.7.255	NO
109.197.8.0	109.197.31.255	RU
109.197.32.0	109.197.47.255	PL
109.197.48.0	109.197.55.255	RU
109.197.56.0	109.197.63.255	PL
109.197.72.0	109.197.79.255	RU
109.197.80.0	109.197.87.255	RO
109.197.88.0	109.197.95.255	RU
109.197.96.0	109.197.103.255	PL
109.197.104.0	109.197.111.255	FR
109.197.112.0	109.197.159.255	RU
109.197.168.0	109.197.175.255	PL
109.197.176.0	109.197.183.255	FR
109.197.184.0	109.197.191.255	PL
109.197.192.0	109.197.207.255	RU
109.197.208.0	109.197.215.255	LV
109.197.216.0	109.197.223.255	UA
109.197.224.0	109.197.231.255	RU
109.197.232.0	109.197.239.255	RO
109.197.240.0	109.197.247.255	FR
109.197.248.0	109.197.255.255	RU
109.198.0.0	109.198.31.255	RS
109.198.32.0	109.198.63.255	MD
109.198.64.0	109.198.127.255	RU
109.198.128.0	109.198.159.255	DK
109.198.160.0	109.198.255.255	RU
109.199.0.0	109.199.31.255	PL
109.199.32.0	109.199.63.255	HU
109.199.64.0	109.199.95.255	PL
109.199.96.0	109.199.127.255	RO
109.199.128.0	109.199.159.255	BG
109.199.160.0	109.199.191.255	DE
109.199.192.0	109.199.223.255	NO
109.199.224.0	109.199.255.255	BG
109.200.0.0	109.200.13.7	GB
109.200.13.8	109.200.13.15	ES
109.200.13.16	109.200.13.159	GB
109.200.13.160	109.200.13.191	BR
109.200.13.192	109.200.13.207	BD
109.200.13.208	109.200.31.255	GB
109.200.32.0	109.200.63.255	MT
109.200.64.0	109.200.95.255	PL
109.200.96.0	109.200.127.255	RU
109.200.128.0	109.200.159.255	UA
109.200.160.0	109.200.191.255	YE
109.200.192.0	109.200.223.255	NL
109.200.224.0	109.200.255.255	UA
109.201.0.0	109.201.31.255	IR
109.201.32.0	109.201.63.255	RO
109.201.64.0	109.201.127.255	RU
109.201.128.0	109.201.159.255	NL
109.201.160.0	109.201.191.255	KG
109.201.192.0	109.201.223.255	RU
109.201.224.0	109.201.255.255	UA
109.202.0.0	109.202.63.255	RU
109.202.64.0	109.202.95.255	CZ
109.202.96.0	109.202.127.255	NL
109.202.128.0	109.202.159.255	DK
109.202.160.0	109.202.191.255	RU
109.202.192.0	109.202.223.255	CH
109.202.224.0	109.202.255.255	GB
109.203.0.0	109.203.31.255	NO
109.203.32.0	109.203.63.255	CH
109.203.64.0	109.203.71.255	FR
109.203.72.0	109.203.95.255	LU
109.203.96.0	109.203.105.137	GB
109.203.105.138	109.203.105.139	IN
109.203.105.140	109.203.127.255	GB
109.203.128.0	109.203.159.255	ES
109.203.160.0	109.203.191.255	IR
109.203.192.0	109.203.223.255	RU
109.203.224.0	109.203.231.255	FR
109.203.232.0	109.203.255.255	MQ
109.204.0.0	109.204.127.255	GB
109.204.128.0	109.204.255.255	FI
109.205.0.0	109.205.7.255	FR
109.205.8.0	109.205.15.255	NO
109.205.16.0	109.205.23.255	IT
109.205.24.0	109.205.31.255	AE
109.205.32.0	109.205.39.255	BA
109.205.40.0	109.205.47.255	GE
109.205.48.0	109.205.55.255	PL
109.205.56.0	109.205.63.255	RU
109.205.64.0	109.205.71.255	FR
109.205.72.0	109.205.79.255	CZ
109.205.80.0	109.205.87.255	RU
109.205.88.0	109.205.95.255	RO
109.205.96.0	109.205.103.255	FI
109.205.104.0	109.205.111.255	IT
109.205.112.0	109.205.119.255	IQ
109.205.120.0	109.205.127.255	LV
109.205.128.0	109.205.135.255	DE
109.205.136.0	109.205.143.255	ES
109.205.144.0	109.205.151.255	RU
109.205.152.0	109.205.159.255	GB
109.205.160.0	109.205.167.255	AZ
109.205.168.0	109.205.175.95	CH
109.205.175.96	109.205.175.127	NL
109.205.175.128	109.205.175.255	CH
109.205.176.0	109.205.183.255	DE
109.205.184.0	109.205.191.255	GB
109.205.192.0	109.205.199.255	NL
109.205.200.0	109.205.207.255	CH
109.205.208.0	109.205.215.255	AZ
109.205.216.0	109.205.223.255	SE
109.205.224.0	109.205.231.255	GB
109.205.232.0	109.205.239.255	LT
109.205.240.0	109.205.247.255	CZ
109.205.248.0	109.205.255.255	RU
109.206.0.0	109.206.31.255	RO
109.206.32.0	109.206.63.255	UA
109.206.64.0	109.206.95.255	RO
109.206.96.0	109.206.127.255	RS
109.206.128.0	109.206.159.255	RU
109.206.160.0	109.206.191.255	EU
109.206.192.0	109.206.223.255	PL
109.206.224.0	109.206.255.255	RO
109.207.0.0	109.207.15.255	RU
109.207.16.0	109.207.31.255	GB
109.207.32.0	109.207.47.255	RS
109.207.48.0	109.207.63.255	PL
109.207.64.0	109.207.79.255	UA
109.207.80.0	109.207.95.255	RU
109.207.96.0	109.207.111.255	PL
109.207.112.0	109.207.127.255	UA
109.207.128.0	109.207.143.255	RO
109.207.144.0	109.207.159.255	PL
109.207.160.0	109.207.191.255	RU
109.207.192.0	109.207.207.255	UA
109.207.208.0	109.207.223.255	RO
109.207.224.0	109.207.239.255	RU
109.207.240.0	109.207.255.255	UZ
109.208.0.0	109.223.255.255	FR
109.224.0.0	109.224.63.255	IQ
109.224.64.0	109.224.127.255	CZ
109.224.128.0	109.224.255.255	GB
109.225.0.0	109.225.63.255	RU
109.225.64.0	109.225.127.255	SE
109.225.128.0	109.225.191.255	IR
109.225.192.0	109.225.255.255	RU
109.226.0.0	109.226.63.255	IL
109.226.64.0	109.226.127.255	RU
109.226.128.0	109.226.191.255	DE
109.226.192.0	109.226.255.255	RU
109.227.0.0	109.227.63.255	HR
109.227.64.0	109.227.127.255	UA
109.227.128.0	109.227.191.255	ES
109.227.192.0	109.227.255.255	RU
109.228.0.0	109.228.63.255	GB
109.228.64.0	109.228.127.255	ME
109.228.128.0	109.228.191.255	SE
109.228.192.0	109.228.255.255	TR
109.229.0.0	109.229.31.255	UA
109.229.32.0	109.229.159.255	RU
109.229.192.0	109.229.223.255	LV
109.229.224.0	109.229.255.255	RU
109.230.0.0	109.230.63.255	SK
109.230.64.0	109.230.127.255	IR
109.230.128.0	109.230.191.255	RU
109.230.192.0	109.230.255.255	DE
109.231.0.0	109.231.63.255	PL
109.231.64.0	109.231.127.255	GB
109.231.128.0	109.231.191.255	CZ
109.231.192.0	109.231.255.255	GB
109.232.0.0	109.232.7.255	KZ
109.232.8.0	109.232.15.255	NL
109.232.16.0	109.232.23.255	ES
109.232.24.0	109.232.31.255	PL
109.232.32.0	109.232.39.255	IT
109.232.40.0	109.232.47.255	NL
109.232.48.0	109.232.55.255	IT
109.232.56.0	109.232.63.255	GB
109.232.64.0	109.232.71.255	ES
109.232.72.0	109.232.79.255	DK
109.232.80.0	109.232.87.255	FI
109.232.88.0	109.232.95.255	CH
109.232.96.0	109.232.103.255	FR
109.232.104.0	109.232.111.255	RU
109.232.112.0	109.232.119.255	BY
109.232.120.0	109.232.135.255	DE
109.232.136.0	109.232.143.255	IT
109.232.144.0	109.232.151.255	CZ
109.232.152.0	109.232.159.255	GB
109.232.160.0	109.232.175.255	DE
109.232.176.0	109.232.183.255	GB
109.232.184.0	109.232.191.255	RU
109.232.192.0	109.232.199.255	FR
109.232.200.0	109.232.207.255	HU
109.232.208.0	109.232.215.255	ES
109.232.216.0	109.232.223.255	TR
109.232.224.0	109.232.231.255	NL
109.232.232.0	109.232.239.255	FR
109.232.240.0	109.232.247.255	PL
109.232.248.0	109.232.251.255	RU
109.232.252.0	109.232.252.255	UA
109.232.253.0	109.232.255.255	RU
109.233.0.0	109.233.7.255	NO
109.233.8.0	109.233.15.255	GB
109.233.16.0	109.233.23.255	LB
109.233.24.0	109.233.31.255	AT
109.233.32.0	109.233.55.255	GB
109.233.56.0	109.233.60.255	NL
109.233.61.0	109.233.63.255	NO
109.233.64.0	109.233.79.255	CZ
109.233.80.0	109.233.87.255	SM
109.233.88.0	109.233.95.255	PL
109.233.96.0	109.233.103.255	IT
109.233.104.0	109.233.111.255	PL
109.233.112.0	109.233.119.255	GB
109.233.120.0	109.233.127.255	IT
109.233.128.0	109.233.135.255	RU
109.233.136.0	109.233.159.255	DE
109.233.160.0	109.233.167.255	CZ
109.233.168.0	109.233.175.255	RU
109.233.176.0	109.233.176.255	EU
109.233.177.0	109.233.177.255	CH
109.233.178.0	109.233.178.255	GB
109.233.179.0	109.233.179.255	CH
109.233.180.0	109.233.183.255	EU
109.233.184.0	109.233.191.255	RS
109.233.192.0	109.233.199.255	MD
109.233.200.0	109.233.215.255	RU
109.233.216.0	109.233.223.255	IT
109.233.224.0	109.233.239.255	RU
109.233.240.0	109.233.247.255	KZ
109.233.248.0	109.233.255.255	DE
109.234.0.0	109.234.7.255	FR
109.234.8.0	109.234.15.255	RU
109.234.16.0	109.234.23.255	IL
109.234.24.0	109.234.39.255	RU
109.234.40.0	109.234.47.255	CZ
109.234.48.0	109.234.63.255	IT
109.234.64.0	109.234.79.255	GB
109.234.80.0	109.234.95.255	ES
109.234.96.0	109.234.103.255	IE
109.234.104.0	109.234.111.255	DE
109.234.112.0	109.234.119.255	GE
109.234.120.0	109.234.127.255	DE
109.234.128.0	109.234.135.255	RU
109.234.136.0	109.234.143.255	IT
109.234.144.0	109.234.151.255	AT
109.234.152.0	109.234.159.255	RU
109.234.160.0	109.234.167.255	FR
109.234.168.0	109.234.183.255	GB
109.234.184.0	109.234.191.255	DE
109.234.192.0	109.234.207.255	GB
109.234.208.0	109.234.215.255	ES
109.234.216.0	109.234.223.255	DE
109.234.224.0	109.234.224.255	US
109.234.225.0	109.234.231.255	GB
109.234.232.0	109.234.239.255	AL
109.234.240.0	109.234.247.255	FI
109.234.248.0	109.234.255.255	DE
109.235.0.0	109.235.7.255	CZ
109.235.8.0	109.235.15.255	UA
109.235.16.0	109.235.23.255	ES
109.235.24.0	109.235.31.255	RU
109.235.32.0	109.235.39.255	NL
109.235.40.0	109.235.47.255	DE
109.235.48.0	109.235.55.255	NL
109.235.56.0	109.235.63.255	DE
109.235.64.0	109.235.71.255	LT
109.235.72.0	109.235.79.255	NL
109.235.80.0	109.235.87.255	FR
109.235.88.0	109.235.95.255	RU
109.235.96.0	109.235.103.255	RS
109.235.104.0	109.235.111.255	SM
109.235.112.0	109.235.119.255	NO
109.235.120.0	109.235.127.255	GB
109.235.128.0	109.235.135.255	ES
109.235.136.0	109.235.143.255	DE
109.235.144.0	109.235.145.255	GB
109.235.146.0	109.235.146.255	FR
109.235.147.0	109.235.147.255	US
109.235.148.0	109.235.151.255	GB
109.235.152.0	109.235.159.255	IT
109.235.160.0	109.235.167.255	RU
109.235.168.0	109.235.175.255	SE
109.235.176.0	109.235.183.255	CZ
109.235.184.0	109.235.191.255	RU
109.235.192.0	109.235.199.255	AZ
109.235.200.0	109.235.203.255	LB
109.235.204.0	109.235.206.147	DE
109.235.206.148	109.235.207.255	GI
109.235.208.0	109.235.223.255	RU
109.235.224.0	109.235.239.255	DE
109.235.240.0	109.235.247.255	EE
109.235.248.0	109.235.249.240	TR
109.235.249.241	109.235.249.255	DE
109.235.250.0	109.235.250.104	TR
109.235.250.105	109.235.250.112	CA
109.235.250.113	109.235.251.192	TR
109.235.251.193	109.235.251.198	GB
109.235.251.199	109.235.251.224	TR
109.235.251.225	109.235.251.230	GB
109.235.251.231	109.235.255.255	TR
109.236.0.0	109.236.31.255	IT
109.236.32.0	109.236.47.255	AL
109.236.48.0	109.236.79.255	RU
109.236.80.0	109.236.95.255	NL
109.236.96.0	109.236.111.255	RU
109.236.112.0	109.236.127.255	SK
109.236.128.0	109.236.143.255	BE
109.236.144.0	109.236.144.255	KE
109.236.145.0	109.236.159.255	DE
109.236.160.0	109.236.175.255	GB
109.236.176.0	109.236.191.255	DK
109.236.192.0	109.236.205.255	ES
109.236.206.0	109.236.206.255	GB
109.236.207.0	109.236.207.255	FR
109.236.208.0	109.237.15.255	RU
109.237.16.0	109.237.31.255	GB
109.237.32.0	109.237.47.255	BA
109.237.48.0	109.237.63.255	CH
109.237.64.0	109.237.79.255	NL
109.237.96.0	109.237.111.255	RU
109.237.112.0	109.237.127.255	AZ
109.237.128.0	109.237.143.255	DE
109.237.144.0	109.237.159.255	RU
109.237.160.0	109.237.175.255	IT
109.237.176.0	109.237.191.255	DE
109.237.192.0	109.237.207.255	IQ
109.237.208.0	109.237.223.255	NL
109.237.224.0	109.237.239.255	RU
109.237.240.0	109.238.15.255	FR
109.238.16.0	109.238.31.255	IT
109.238.32.0	109.238.47.255	CZ
109.238.48.0	109.238.63.255	DK
109.238.64.0	109.238.95.255	GB
109.238.96.0	109.238.111.255	RU
109.238.112.0	109.238.127.255	IT
109.238.128.0	109.238.128.127	US
109.238.128.128	109.238.128.255	GB
109.238.129.0	109.238.129.127	BE
109.238.129.128	109.238.131.255	GB
109.238.132.0	109.238.132.255	US
109.238.133.0	109.238.134.255	GB
109.238.135.0	109.238.135.255	BE
109.238.136.0	109.238.137.255	GB
109.238.138.0	109.238.139.255	US
109.238.140.0	109.238.140.255	HK
109.238.141.0	109.238.142.255	CA
109.238.143.0	109.238.143.255	GB
109.238.144.0	109.238.159.255	SY
109.238.160.0	109.238.175.255	KZ
109.238.176.0	109.238.191.255	IR
109.238.192.0	109.238.207.255	RU
109.238.208.0	109.238.223.255	CZ
109.238.224.0	109.238.239.255	GE
109.238.240.0	109.238.255.255	RU
109.239.0.0	109.239.15.255	IR
109.239.16.0	109.239.31.255	AZ
109.239.32.0	109.239.47.255	KZ
109.239.48.0	109.239.63.255	DE
109.239.64.0	109.239.79.255	CZ
109.239.80.0	109.239.111.255	GB
109.239.112.0	109.239.127.255	FR
109.239.128.0	109.239.143.255	RU
109.239.144.0	109.239.159.255	FR
109.239.160.0	109.239.175.255	DE
109.239.176.0	109.239.191.255	SI
109.239.192.0	109.239.207.255	DE
109.239.208.0	109.239.223.255	RU
109.239.224.0	109.239.239.255	NO
109.239.240.0	109.239.255.255	IT
109.240.0.0	109.240.255.255	FI
109.241.0.0	109.241.255.255	RU
109.242.0.0	109.242.255.255	GR
109.243.0.0	109.243.255.255	PL
109.244.0.0	109.244.255.255	RU
109.245.0.0	109.245.255.255	RS
109.246.0.0	109.246.255.255	GB
109.247.0.0	109.247.255.255	NO
109.248.0.0	109.248.255.255	RU
109.249.0.0	109.249.255.255	GB
109.250.0.0	109.250.255.255	DE
109.251.0.0	109.251.255.255	UA
109.252.0.0	109.252.255.255	RU
109.253.0.0	109.253.255.255	IL
109.254.0.0	109.254.255.255	UA
109.255.0.0	109.255.255.255	IE
110.0.0.0	110.3.255.255	JP
110.4.0.0	110.4.31.255	HK
110.4.32.0	110.4.39.255	JP
110.4.40.0	110.4.47.255	MY
110.4.48.0	110.4.63.255	JP
110.4.64.0	110.4.127.255	KR
110.4.128.0	110.5.63.255	JP
110.5.64.0	110.5.71.255	PH
110.5.72.0	110.5.79.255	IN
110.5.80.0	110.5.95.255	AU
110.5.96.0	110.5.111.255	ID
110.5.112.0	110.5.115.255	WS
110.5.116.0	110.5.119.255	AU
110.5.120.0	110.5.127.255	JP
110.5.128.0	110.5.255.255	KR
110.6.0.0	110.7.255.255	CN
110.8.0.0	110.15.255.255	KR
110.16.0.0	110.19.255.255	CN
110.20.0.0	110.23.255.255	AU
110.24.0.0	110.31.255.255	TW
110.32.0.0	110.33.255.255	AU
110.34.0.0	110.34.31.255	NP
110.34.32.0	110.34.39.255	PK
110.34.48.0	110.34.51.255	NZ
110.34.56.0	110.34.63.255	AP
110.34.64.0	110.34.127.255	KR
110.34.128.0	110.34.255.255	AP
110.35.0.0	110.35.63.255	KR
110.35.64.0	110.35.79.255	VN
110.35.80.0	110.35.87.255	ID
110.35.96.0	110.35.255.255	KR
110.36.0.0	110.39.255.255	PK
110.40.0.0	110.43.255.255	CN
110.44.16.0	110.44.19.255	NZ
110.44.24.0	110.44.31.255	AU
110.44.32.0	110.44.63.255	KR
110.44.64.0	110.44.95.255	JP
110.44.96.0	110.44.111.255	PH
110.44.112.0	110.44.127.255	NP
110.44.128.0	110.44.143.255	PH
110.44.160.0	110.44.163.255	AU
110.44.168.0	110.44.175.255	ID
110.44.176.0	110.44.183.255	JP
110.44.184.0	110.44.191.255	VN
110.44.192.0	110.47.255.255	KR
110.48.0.0	110.48.255.255	CN
110.49.0.0	110.49.255.255	TH
110.50.0.0	110.50.15.255	JP
110.50.16.0	110.50.23.255	AU
110.50.32.0	110.50.63.255	IN
110.50.64.0	110.50.79.255	JP
110.50.80.0	110.50.87.255	ID
110.50.88.0	110.50.127.255	JP
110.50.128.0	110.50.191.255	TW
110.50.192.0	110.50.223.255	JP
110.50.224.0	110.50.239.255	PH
110.50.240.0	110.50.255.255	JP
110.51.0.0	110.53.255.255	CN
110.54.0.0	110.54.127.255	JP
110.54.128.0	110.55.255.255	PH
110.56.0.0	110.65.255.255	CN
110.66.0.0	110.67.255.255	JP
110.68.0.0	110.71.255.255	KR
110.72.0.0	110.73.255.255	CN
110.74.0.0	110.74.127.255	JP
110.74.128.0	110.74.191.255	MY
110.74.192.0	110.74.223.255	KH
110.74.224.0	110.74.255.255	JP
110.75.0.0	110.76.63.255	CN
110.76.64.0	110.76.127.255	KR
110.76.128.0	110.76.143.255	AU
110.76.144.0	110.76.151.255	ID
110.76.152.0	110.76.155.255	TH
110.76.160.0	110.76.175.255	IN
110.76.176.0	110.76.179.255	AU
110.76.188.0	110.76.191.255	HK
110.76.192.0	110.77.127.255	CN
110.77.128.0	110.78.255.255	TH
110.79.0.0	110.79.255.255	HK
110.80.0.0	110.91.255.255	CN
110.92.0.0	110.92.15.255	JP
110.92.16.0	110.92.19.255	NZ
110.92.24.0	110.92.31.255	PH
110.92.32.0	110.92.63.255	JP
110.92.72.0	110.92.75.255	ID
110.92.76.0	110.92.79.255	HK
110.92.80.0	110.92.95.255	JP
110.92.96.0	110.92.127.255	SG
110.92.128.0	110.92.255.255	KR
110.93.0.0	110.93.7.255	JP
110.93.8.0	110.93.11.255	AU
110.93.16.0	110.93.19.255	AU
110.93.24.0	110.93.31.255	KR
110.93.32.0	110.93.63.255	IN
110.93.64.0	110.93.95.255	PH
110.93.96.0	110.93.111.255	JP
110.93.112.0	110.93.191.255	KR
110.93.192.0	110.93.255.255	PK
110.94.0.0	110.127.255.255	CN
110.128.0.0	110.135.255.255	JP
110.136.0.0	110.139.255.255	ID
110.140.0.0	110.151.255.255	AU
110.152.0.0	110.157.255.255	CN
110.158.0.0	110.158.255.255	JP
110.159.0.0	110.159.255.255	MY
110.160.0.0	110.163.255.255	JP
110.164.0.0	110.164.255.255	TH
110.165.0.0	110.165.31.255	KR
110.165.32.0	110.165.63.255	CN
110.165.64.0	110.165.127.255	KR
110.165.128.0	110.165.255.255	JP
110.166.0.0	110.167.255.255	CN
110.168.0.0	110.171.255.255	TH
110.172.0.0	110.172.15.255	JP
110.172.16.0	110.172.31.255	IN
110.172.32.0	110.172.51.255	JP
110.172.52.0	110.172.55.255	IN
110.172.56.0	110.172.63.255	JP
110.172.64.0	110.172.127.255	KR
110.172.128.0	110.172.191.255	IN
110.172.192.0	110.173.47.255	CN
110.173.48.0	110.173.63.255	HK
110.173.96.0	110.173.127.255	CN
110.173.128.0	110.173.159.255	AU
110.173.160.0	110.173.175.255	NZ
110.173.192.0	110.173.223.255	CN
110.173.224.0	110.173.239.255	AU
110.173.240.0	110.173.255.255	JP
110.174.0.0	110.175.255.255	AU
110.176.0.0	110.223.255.255	CN
110.224.0.0	110.227.255.255	IN
110.228.0.0	110.231.255.255	CN
110.232.0.0	110.232.31.255	JP
110.232.32.0	110.232.63.255	CN
110.232.64.0	110.232.95.255	ID
110.232.96.0	110.232.111.255	KR
110.232.112.0	110.232.115.255	AU
110.232.120.0	110.232.143.255	JP
110.232.144.0	110.232.147.255	NZ
110.232.152.0	110.232.159.255	JP
110.232.160.0	110.232.175.255	PH
110.232.176.0	110.232.191.255	AU
110.232.192.0	110.232.239.255	JP
110.232.240.0	110.232.247.255	AU
110.233.0.0	110.233.255.255	JP
110.234.0.0	110.235.255.255	IN
110.236.0.0	110.237.255.255	CN
110.238.0.0	110.239.255.255	AU
110.240.0.0	111.63.255.255	CN
111.64.0.0	111.64.255.255	JP
111.65.0.0	111.65.127.255	SG
111.65.128.0	111.65.191.255	KR
111.65.192.0	111.65.223.255	JP
111.65.224.0	111.65.239.255	NZ
111.66.0.0	111.66.255.255	CN
111.67.0.0	111.67.31.255	AU
111.67.32.0	111.67.47.255	MY
111.67.48.0	111.67.63.255	TW
111.67.64.0	111.67.95.255	ID
111.67.96.0	111.67.111.255	KH
111.67.112.0	111.67.191.255	JP
111.67.192.0	111.67.207.255	CN
111.67.208.0	111.67.255.255	KR
111.68.0.0	111.68.15.255	HK
111.68.16.0	111.68.23.255	JP
111.68.24.0	111.68.31.255	ID
111.68.32.0	111.68.63.255	PH
111.68.64.0	111.68.95.255	CN
111.68.96.0	111.68.111.255	PK
111.68.112.0	111.68.127.255	ID
111.68.128.0	111.68.255.255	JP
111.69.0.0	111.69.255.255	NZ
111.70.0.0	111.71.255.255	TW
111.72.0.0	111.79.255.255	CN
111.80.0.0	111.83.255.255	TW
111.84.0.0	111.84.255.255	TH
111.85.0.0	111.85.255.255	CN
111.86.0.0	111.87.255.255	JP
111.88.0.0	111.88.255.255	PK
111.89.0.0	111.90.127.255	JP
111.90.128.0	111.90.159.255	MY
111.90.160.0	111.90.167.255	JP
111.90.168.0	111.90.175.255	IN
111.90.176.0	111.90.191.255	KH
111.90.192.0	111.90.255.255	SG
111.91.0.0	111.91.127.255	IN
111.91.128.0	111.91.191.255	KR
111.91.192.0	111.91.223.255	CN
111.91.224.0	111.91.231.255	IN
111.91.232.0	111.91.235.255	VN
111.91.236.0	111.91.239.255	HK
111.91.240.0	111.91.255.255	JP
111.92.0.0	111.92.127.255	IN
111.92.128.0	111.92.159.255	PK
111.92.160.0	111.92.175.255	ID
111.92.176.0	111.92.179.255	GU
111.92.184.0	111.92.187.255	AU
111.92.192.0	111.92.223.255	SG
111.92.224.0	111.92.239.255	HK
111.92.240.0	111.92.243.255	KH
111.92.244.0	111.92.247.255	JP
111.92.248.0	111.92.255.255	BD
111.93.0.0	111.93.255.255	IN
111.94.0.0	111.95.255.255	ID
111.96.0.0	111.111.255.255	JP
111.112.0.0	111.117.255.255	CN
111.118.0.0	111.118.127.255	KR
111.118.128.0	111.118.159.255	KH
111.118.160.0	111.118.175.255	AU
111.118.176.0	111.118.191.255	IN
111.118.192.0	111.118.255.255	AU
111.119.0.0	111.119.31.255	AP
111.119.64.0	111.119.159.255	CN
111.119.160.0	111.119.191.255	PK
111.119.192.0	111.119.255.255	IN
111.120.0.0	111.124.255.255	CN
111.125.0.0	111.125.63.255	JP
111.125.64.0	111.125.127.255	PH
111.125.128.0	111.125.135.255	TW
111.125.136.0	111.125.143.255	IN
111.125.144.0	111.125.151.255	JP
111.125.152.0	111.125.159.255	AF
111.125.160.0	111.125.175.255	AU
111.125.192.0	111.125.255.255	IN
111.126.0.0	111.167.255.255	CN
111.168.0.0	111.169.255.255	JP
111.170.0.0	111.170.255.255	CN
111.171.0.0	111.171.127.255	KR
111.171.128.0	111.171.255.255	JP
111.172.0.0	111.183.255.255	CN
111.184.0.0	111.185.255.255	TW
111.186.0.0	111.187.255.255	CN
111.188.0.0	111.191.255.255	JP
111.192.0.0	111.215.255.255	CN
111.216.0.0	111.217.255.255	JP
111.218.0.0	111.219.255.255	KR
111.220.0.0	111.220.255.255	AU
111.221.0.0	111.221.7.255	BD
111.221.8.0	111.221.31.255	SG
111.221.32.0	111.221.39.255	KR
111.221.40.0	111.221.43.255	ID
111.221.44.0	111.221.47.255	SG
111.221.48.0	111.221.55.255	MY
111.221.56.0	111.221.59.255	AU
111.221.60.0	111.221.63.255	JP
111.221.64.0	111.221.127.255	SG
111.221.128.0	111.222.255.255	CN
111.223.0.0	111.223.31.255	PH
111.223.32.0	111.223.63.255	TH
111.223.64.0	111.223.127.255	SG
111.223.128.0	111.223.191.255	LK
111.223.192.0	111.223.223.255	JP
111.223.224.0	111.223.239.255	AU
111.223.240.0	111.223.243.255	CN
111.223.244.0	111.223.247.255	AF
111.223.248.0	111.223.251.255	CN
111.223.252.0	111.223.255.255	ID
111.224.0.0	111.231.255.255	CN
111.232.0.0	111.235.63.255	JP
111.235.64.0	111.235.67.255	IN
111.235.68.0	111.235.71.255	TH
111.235.72.0	111.235.75.255	IN
111.235.76.0	111.235.79.255	JP
111.235.80.0	111.235.95.255	PH
111.235.96.0	111.235.127.255	CN
111.235.128.0	111.235.131.255	AU
111.235.136.0	111.235.139.255	SG
111.235.140.0	111.235.147.255	AU
111.235.152.0	111.235.155.255	AP
111.235.156.0	111.235.159.255	BD
111.235.160.0	111.235.191.255	CN
111.235.192.0	111.235.255.255	TW
111.236.0.0	111.239.255.255	JP
111.240.0.0	111.255.255.255	TW
112.0.0.0	112.63.162.115	CN
112.63.162.116	112.63.162.119	ES
112.63.162.120	112.63.162.123	FR
112.63.162.124	112.63.162.147	CN
112.63.162.148	112.63.162.151	BE
112.63.162.152	112.67.255.255	CN
112.68.0.0	112.71.255.255	JP
112.72.0.0	112.72.15.255	MN
112.72.16.0	112.72.63.255	KR
112.72.64.0	112.72.127.255	VN
112.72.128.0	112.72.255.255	KR
112.73.0.0	112.75.255.255	CN
112.76.0.0	112.77.255.255	KR
112.78.0.0	112.78.15.255	VN
112.78.16.0	112.78.31.255	TW
112.78.32.0	112.78.47.255	ID
112.78.48.0	112.78.63.255	PH
112.78.64.0	112.78.95.255	TW
112.78.96.0	112.78.103.255	ID
112.78.104.0	112.78.111.255	TW
112.78.112.0	112.78.127.255	JP
112.78.128.0	112.78.191.255	ID
112.78.192.0	112.78.223.255	JP
112.78.224.0	112.78.255.255	SG
112.79.0.0	112.79.255.255	IN
112.80.0.0	112.103.255.255	CN
112.104.0.0	112.105.255.255	TW
112.106.0.0	112.108.255.255	KR
112.109.0.0	112.109.15.255	PH
112.109.16.0	112.109.23.255	ID
112.109.32.0	112.109.63.255	KR
112.109.64.0	112.109.95.255	NZ
112.109.128.0	112.109.255.255	CN
112.110.0.0	112.110.255.255	IN
112.111.0.0	112.117.255.255	CN
112.118.0.0	112.120.255.255	HK
112.121.0.0	112.121.31.255	KR
112.121.32.0	112.121.47.255	TW
112.121.48.0	112.121.63.255	IN
112.121.64.0	112.121.127.255	TW
112.121.128.0	112.121.159.255	TH
112.121.160.0	112.121.191.255	HK
112.121.192.0	112.121.255.255	KR
112.122.0.0	112.132.255.255	CN
112.133.0.0	112.133.191.255	KR
112.133.192.0	112.133.255.255	IN
112.134.0.0	112.135.255.255	LK
112.136.0.0	112.136.127.255	JP
112.136.128.0	112.136.255.255	KR
112.137.0.0	112.137.15.255	BD
112.137.16.0	112.137.31.255	HK
112.137.32.0	112.137.127.255	JP
112.137.128.0	112.137.143.255	VN
112.137.144.0	112.137.159.255	JP
112.137.160.0	112.137.175.255	MY
112.137.176.0	112.137.183.255	KR
112.137.184.0	112.140.63.255	JP
112.140.64.0	112.140.127.255	KR
112.140.128.0	112.140.143.255	JP
112.140.144.0	112.140.159.255	KR
112.140.160.0	112.140.167.255	ID
112.140.168.0	112.140.175.255	JP
112.140.176.0	112.140.183.255	AU
112.140.184.0	112.140.187.255	SG
112.140.188.0	112.140.191.255	TH
112.140.192.0	112.140.255.255	KR
112.141.0.0	112.141.255.255	AU
112.142.0.0	112.143.255.255	TH
112.144.0.0	112.191.255.255	KR
112.192.0.0	112.195.255.255	CN
112.196.0.0	112.196.191.255	IN
112.196.192.0	112.196.223.255	KR
112.196.224.0	112.196.255.255	PH
112.197.0.0	112.197.255.255	VN
112.198.0.0	112.199.127.255	PH
112.199.128.0	112.199.255.255	SG
112.200.0.0	112.211.255.255	PH
112.212.0.0	112.213.31.255	KR
112.213.32.0	112.213.47.255	AU
112.213.64.0	112.213.79.255	HK
112.213.80.0	112.213.95.255	VN
112.213.96.0	112.213.127.255	HK
112.213.128.0	112.213.255.255	AU
112.214.0.0	112.214.255.255	KR
112.215.0.0	112.215.255.255	ID
112.216.0.0	112.223.255.255	KR
112.224.0.0	113.9.255.255	CN
113.10.0.0	113.10.63.255	KR
113.10.64.0	113.10.127.255	SG
113.10.128.0	113.10.255.255	HK
113.11.0.0	113.11.127.255	BD
113.11.128.0	113.11.159.255	ID
113.11.160.0	113.11.175.255	SG
113.11.176.0	113.11.183.255	ID
113.11.184.0	113.11.187.255	AU
113.11.192.0	113.11.223.255	CN
113.11.224.0	113.11.231.255	IN
113.11.232.0	113.11.235.255	AU
113.11.240.0	113.11.247.255	VU
113.12.0.0	113.18.255.255	CN
113.19.0.0	113.19.255.255	IN
113.20.0.0	113.20.15.255	AU
113.20.16.0	113.20.19.255	IN
113.20.20.0	113.20.23.255	HK
113.20.24.0	113.20.27.255	AU
113.20.32.0	113.20.63.255	NC
113.20.64.0	113.20.95.255	FJ
113.20.128.0	113.20.131.255	AU
113.20.136.0	113.20.143.255	ID
113.20.144.0	113.20.151.255	SG
113.20.152.0	113.20.155.255	JP
113.20.156.0	113.20.159.255	SG
113.20.160.0	113.20.191.255	PH
113.20.192.0	113.20.255.255	JP
113.21.0.0	113.21.31.255	KR
113.21.32.0	113.21.47.255	AU
113.21.48.0	113.21.63.255	JP
113.21.64.0	113.21.79.255	IN
113.21.80.0	113.21.95.255	TW
113.21.96.0	113.21.127.255	NC
113.21.128.0	113.21.159.255	MY
113.21.160.0	113.21.191.255	TW
113.21.192.0	113.21.223.255	HK
113.21.224.0	113.21.227.255	NZ
113.21.228.0	113.21.231.255	BD
113.21.232.0	113.21.239.255	JP
113.21.240.0	113.21.247.255	TH
113.21.248.0	113.21.255.255	JP
113.22.0.0	113.23.127.255	VN
113.23.128.0	113.23.255.255	MY
113.24.0.0	113.27.255.255	CN
113.28.0.0	113.28.255.255	HK
113.29.0.0	113.29.127.255	AP
113.29.128.0	113.29.207.255	KR
113.29.208.0	113.29.215.255	AU
113.29.216.0	113.29.223.255	JP
113.29.224.0	113.29.239.255	SG
113.29.240.0	113.29.243.255	AU
113.29.248.0	113.29.251.255	KH
113.29.252.0	113.29.255.255	HK
113.30.0.0	113.30.127.255	KR
113.30.128.0	113.30.255.255	IN
113.31.0.0	113.31.255.255	CN
113.32.0.0	113.43.255.255	JP
113.44.0.0	113.51.255.255	CN
113.52.0.0	113.52.15.255	AU
113.52.32.0	113.52.63.255	VN
113.52.64.0	113.52.127.255	MO
113.52.128.0	113.52.131.255	AU
113.52.136.0	113.52.143.255	KR
113.52.144.0	113.52.147.255	AU
113.52.152.0	113.52.155.255	SG
113.52.156.0	113.52.159.255	JP
113.52.160.0	113.52.191.255	CN
113.52.192.0	113.52.223.255	KR
113.52.224.0	113.52.239.255	AU
113.53.0.0	113.53.255.255	TH
113.54.0.0	113.59.127.255	CN
113.59.128.0	113.59.191.255	KR
113.59.192.0	113.59.223.255	LK
113.59.228.0	113.59.231.255	JP
113.59.232.0	113.59.239.255	ID
113.59.240.0	113.59.255.255	HK
113.60.0.0	113.61.31.255	KR
113.61.32.0	113.61.63.255	PH
113.61.64.0	113.61.103.255	AU
113.61.104.0	113.61.107.255	KR
113.61.108.0	113.61.111.255	VN
113.61.112.0	113.61.127.255	JP
113.61.128.0	113.61.255.255	TW
113.62.0.0	113.129.255.255	CN
113.130.0.0	113.130.63.255	JP
113.130.64.0	113.130.95.255	KR
113.130.96.0	113.130.119.255	CN
113.130.120.0	113.130.123.255	NZ
113.130.128.0	113.131.255.255	KR
113.132.0.0	113.143.255.255	CN
113.144.0.0	113.159.255.255	JP
113.160.0.0	113.191.255.255	VN
113.192.0.0	113.192.63.255	AU
113.192.128.0	113.192.255.255	JP
113.193.0.0	113.193.255.255	IN
113.194.0.0	113.195.255.255	CN
113.196.0.0	113.196.255.255	TW
113.197.0.0	113.197.15.255	AU
113.197.32.0	113.197.47.255	JP
113.197.48.0	113.197.55.255	PK
113.197.64.0	113.197.67.255	NZ
113.197.72.0	113.197.79.255	PH
113.197.80.0	113.197.95.255	KR
113.197.96.0	113.197.99.255	NZ
113.197.104.0	113.197.107.255	IN
113.197.112.0	113.197.127.255	AP
113.197.128.0	113.197.255.255	JP
113.198.0.0	113.199.127.255	KR
113.199.128.0	113.199.255.255	NP
113.200.0.0	113.202.255.255	CN
113.203.0.0	113.203.127.255	AU
113.204.0.0	113.207.255.255	CN
113.208.0.0	113.208.63.255	JP
113.208.64.0	113.208.95.255	HK
113.208.96.0	113.209.255.255	CN
113.210.0.0	113.211.255.255	MY
113.212.0.0	113.212.63.255	CN
113.212.64.0	113.212.95.255	IN
113.212.96.0	113.212.99.255	AU
113.212.104.0	113.212.107.255	JP
113.212.108.0	113.212.111.255	MY
113.212.112.0	113.212.127.255	ID
113.212.128.0	113.212.159.255	JP
113.212.160.0	113.212.167.255	ID
113.212.168.0	113.212.175.255	AU
113.212.176.0	113.212.183.255	PH
113.212.192.0	113.212.255.255	HK
113.213.0.0	113.213.127.255	CN
113.213.128.0	113.213.255.255	JP
113.214.0.0	113.215.255.255	CN
113.216.0.0	113.217.255.255	KR
113.218.0.0	113.251.255.255	CN
113.252.0.0	113.255.255.255	HK
114.0.0.0	114.15.255.255	ID
114.16.0.0	114.23.255.255	JP
114.24.0.0	114.27.255.255	TW
114.28.0.0	114.28.255.255	CN
114.29.0.0	114.29.191.255	KR
114.29.192.0	114.29.223.255	SG
114.29.224.0	114.29.255.255	KH
114.30.0.0	114.30.31.255	KR
114.30.32.0	114.30.47.255	TW
114.30.48.0	114.30.63.255	KR
114.30.64.0	114.30.71.255	AU
114.30.72.0	114.30.79.255	IN
114.30.80.0	114.30.95.255	ID
114.30.96.0	114.30.127.255	AU
114.30.128.0	114.30.255.255	KR
114.31.0.0	114.31.31.255	BD
114.31.32.0	114.31.63.255	KR
114.31.64.0	114.31.71.255	MN
114.31.72.0	114.31.79.255	AU
114.31.80.0	114.31.95.255	JP
114.31.96.0	114.31.103.255	AU
114.31.112.0	114.31.127.255	KR
114.31.128.0	114.31.191.255	IN
114.31.192.0	114.31.207.255	AU
114.31.208.0	114.31.211.255	NZ
114.31.216.0	114.31.223.255	JP
114.31.224.0	114.31.239.255	IN
114.31.240.0	114.31.247.255	ID
114.31.248.0	114.31.255.255	IN
114.32.0.0	114.47.255.255	TW
114.48.0.0	114.51.255.255	JP
114.52.0.0	114.53.255.255	KR
114.54.0.0	114.55.255.255	CN
114.56.0.0	114.59.255.255	ID
114.60.0.0	114.68.255.255	CN
114.69.0.0	114.69.175.255	JP
114.69.176.0	114.69.207.255	NC
114.69.224.0	114.69.255.255	IN
114.70.0.0	114.71.255.255	KR
114.72.0.0	114.78.255.255	AU
114.79.0.0	114.79.63.255	ID
114.79.64.0	114.79.255.255	IN
114.80.0.0	114.107.255.255	CN
114.108.0.0	114.108.191.255	KR
114.108.192.0	114.108.255.255	PH
114.109.0.0	114.109.255.255	TH
114.110.0.0	114.110.15.255	CN
114.110.16.0	114.110.23.255	ID
114.110.24.0	114.110.31.255	KR
114.110.32.0	114.110.39.255	NZ
114.110.48.0	114.110.63.255	JP
114.110.64.0	114.110.127.255	CN
114.111.0.0	114.111.31.255	CN
114.111.32.0	114.111.63.255	KR
114.111.64.0	114.111.127.255	JP
114.111.128.0	114.111.159.255	AU
114.111.160.0	114.111.191.255	CN
114.111.192.0	114.111.255.255	KR
114.112.0.0	114.119.255.255	CN
114.120.0.0	114.127.255.255	ID
114.128.0.0	114.128.255.255	TH
114.129.0.0	114.129.7.255	JP
114.129.8.0	114.129.15.255	BD
114.129.16.0	114.129.23.255	ID
114.129.24.0	114.129.31.255	LA
114.129.32.0	114.129.47.255	SG
114.129.48.0	114.129.63.255	JP
114.129.64.0	114.129.127.255	KR
114.129.128.0	114.129.191.255	AU
114.129.192.0	114.129.255.255	KR
114.130.0.0	114.130.255.255	BD
114.132.0.0	114.132.255.255	CN
114.133.0.0	114.133.255.255	MY
114.134.0.0	114.134.15.255	NZ
114.134.32.0	114.134.63.255	JP
114.134.64.0	114.134.79.255	ID
114.134.80.0	114.134.87.255	HK
114.134.88.0	114.134.95.255	BD
114.134.96.0	114.134.159.255	JP
114.134.160.0	114.134.191.255	NZ
114.134.192.0	114.134.255.255	JP
114.135.0.0	114.135.255.255	CN
114.136.0.0	114.137.255.255	TW
114.138.0.0	114.139.255.255	CN
114.140.0.0	114.140.255.255	TW
114.141.0.0	114.141.31.255	KR
114.141.32.0	114.141.39.255	JP
114.141.40.0	114.141.47.255	KR
114.141.48.0	114.141.63.255	ID
114.141.64.0	114.141.71.255	IN
114.141.72.0	114.141.79.255	SG
114.141.80.0	114.141.87.255	BD
114.141.88.0	114.141.95.255	ID
114.141.96.0	114.141.111.255	AU
114.141.128.0	114.141.191.255	CN
114.141.192.0	114.141.207.255	AU
114.141.224.0	114.141.255.255	KR
114.142.0.0	114.142.135.255	JP
114.142.136.0	114.142.143.255	IN
114.142.144.0	114.142.159.255	HK
114.142.160.0	114.142.175.255	AU
114.142.192.0	114.142.255.255	GU
114.143.0.0	114.143.255.255	IN
114.144.0.0	114.195.255.255	JP
114.196.0.0	114.197.255.255	CN
114.198.0.0	114.198.127.255	AU
114.198.128.0	114.198.159.255	PH
114.198.160.0	114.198.191.255	TW
114.198.192.0	114.198.231.255	JP
114.198.232.0	114.198.232.255	SA
114.198.233.0	114.198.233.255	PK
114.198.234.0	114.198.234.255	KW
114.198.235.0	114.198.235.255	EG
114.198.236.0	114.198.236.255	AE
114.198.237.0	114.198.237.255	EG
114.198.238.0	114.198.238.255	KW
114.198.239.0	114.198.239.255	SA
114.198.240.0	114.198.247.255	ID
114.198.248.0	114.198.255.255	AU
114.199.0.0	114.199.63.255	KR
114.199.64.0	114.199.79.255	HK
114.199.80.0	114.199.127.255	ID
114.199.128.0	114.207.255.255	KR
114.208.0.0	114.255.255.255	CN
115.0.0.0	115.23.255.255	KR
115.24.0.0	115.29.255.255	CN
115.30.0.0	115.30.31.255	JP
115.30.32.0	115.30.63.255	AU
115.30.64.0	115.30.127.255	TW
115.30.128.0	115.31.63.255	JP
115.31.64.0	115.31.79.255	PH
115.31.80.0	115.31.87.255	JP
115.31.88.0	115.31.95.255	AU
115.31.96.0	115.31.127.255	KR
115.31.128.0	115.31.191.255	TH
115.31.192.0	115.31.223.255	JP
115.31.224.0	115.31.255.255	SG
115.32.0.0	115.35.255.255	CN
115.36.0.0	115.39.255.255	JP
115.40.0.0	115.41.255.255	KR
115.42.0.0	115.42.63.255	AU
115.42.64.0	115.42.79.255	PK
115.42.96.0	115.42.111.255	JP
115.42.112.0	115.42.119.255	TW
115.42.120.0	115.42.127.255	PH
115.42.128.0	115.42.255.255	SG
115.43.0.0	115.43.255.255	TW
115.44.0.0	115.63.255.255	CN
115.64.0.0	115.64.255.255	AU
115.65.0.0	115.65.255.255	JP
115.66.0.0	115.66.255.255	SG
115.67.0.0	115.67.255.255	TH
115.68.0.0	115.68.255.255	KR
115.69.0.0	115.69.63.255	AU
115.69.64.0	115.69.79.255	KH
115.69.80.0	115.69.95.255	IN
115.69.96.0	115.69.127.255	KR
115.69.128.0	115.69.159.255	IN
115.69.160.0	115.69.191.255	AU
115.69.192.0	115.69.207.255	JP
115.69.208.0	115.69.215.255	BD
115.69.216.0	115.69.223.255	ID
115.69.224.0	115.69.239.255	JP
115.69.240.0	115.69.255.255	IN
115.70.0.0	115.70.255.255	AU
115.72.0.0	115.79.255.255	VN
115.80.0.0	115.83.255.255	TW
115.84.0.0	115.84.63.255	CN
115.84.64.0	115.84.127.255	LA
115.84.128.0	115.84.159.255	MV
115.84.160.0	115.84.167.255	KR
115.84.168.0	115.84.175.255	PH
115.84.176.0	115.84.183.255	VN
115.84.184.0	115.84.191.255	JP
115.84.192.0	115.84.223.255	CN
115.84.224.0	115.85.63.255	PH
115.85.64.0	115.85.95.255	ID
115.85.96.0	115.85.127.255	JP
115.85.128.0	115.85.135.255	AU
115.85.144.0	115.85.159.255	TW
115.85.160.0	115.85.191.255	KR
115.85.192.0	115.85.255.255	CN
115.86.0.0	115.86.255.255	KR
115.87.0.0	115.87.255.255	TH
115.88.0.0	115.95.255.255	KR
115.96.0.0	115.99.255.255	IN
115.100.0.0	115.107.255.255	CN
115.108.0.0	115.119.255.255	IN
115.120.0.0	115.123.255.255	CN
115.124.0.0	115.124.7.255	AU
115.124.16.0	115.124.31.255	CN
115.124.32.0	115.124.39.255	AU
115.124.64.0	115.124.95.255	ID
115.124.96.0	115.124.103.255	US
115.124.104.0	115.124.109.255	IN
115.124.110.0	115.124.111.255	GB
115.124.112.0	115.124.113.255	US
115.124.114.0	115.124.127.255	IN
115.124.128.0	115.125.255.255	JP
115.126.0.0	115.126.127.255	HK
115.126.128.0	115.126.135.255	NZ
115.126.144.0	115.126.159.255	JP
115.126.160.0	115.126.175.255	NC
115.126.192.0	115.126.255.255	KR
115.127.0.0	115.127.255.255	BD
115.128.0.0	115.131.255.255	AU
115.132.0.0	115.135.255.255	MY
115.136.0.0	115.145.255.255	KR
115.146.0.0	115.146.63.255	JP
115.146.64.0	115.146.79.255	AU
115.146.96.0	115.146.111.255	MY
115.146.112.0	115.146.119.255	SG
115.146.120.0	115.146.127.255	VN
115.146.128.0	115.147.255.255	PH
115.148.0.0	115.159.255.255	CN
115.160.0.0	115.160.127.255	KR
115.160.128.0	115.160.191.255	HK
115.160.192.0	115.160.255.255	IN
115.161.0.0	115.161.255.255	KR
115.162.0.0	115.163.255.255	JP
115.164.0.0	115.164.255.255	MY
115.165.0.0	115.165.159.255	JP
115.165.160.0	115.165.167.255	VN
115.165.168.0	115.165.175.255	AU
115.165.176.0	115.165.183.255	KR
115.165.184.0	115.165.191.255	JP
115.165.192.0	115.165.255.255	TW
115.166.0.0	115.166.63.255	AU
115.166.64.0	115.166.95.255	PH
115.166.96.0	115.166.127.255	ID
115.166.128.0	115.166.143.255	HK
115.166.144.0	115.166.255.255	JP
115.167.0.0	115.167.127.255	PK
115.167.128.0	115.167.255.255	JP
115.168.0.0	115.175.255.255	CN
115.176.0.0	115.177.255.255	JP
115.178.0.0	115.178.15.255	AP
115.178.16.0	115.178.23.255	AU
115.178.24.0	115.178.27.255	KH
115.178.28.0	115.178.31.255	AU
115.178.32.0	115.178.47.255	KR
115.178.48.0	115.178.55.255	ID
115.178.56.0	115.178.63.255	TH
115.178.64.0	115.178.95.255	KR
115.178.96.0	115.178.103.255	IN
115.178.104.0	115.178.111.255	AU
115.178.112.0	115.178.119.255	JP
115.178.120.0	115.178.255.255	ID
115.179.0.0	115.179.255.255	JP
115.180.0.0	115.183.255.255	CN
115.184.0.0	115.185.255.255	IN
115.186.0.0	115.186.191.255	PK
115.186.192.0	115.186.255.255	AU
115.187.0.0	115.187.15.255	IN
115.187.16.0	115.187.31.255	NP
115.187.32.0	115.187.63.255	IN
115.187.64.0	115.187.79.255	JP
115.187.80.0	115.187.87.255	KR
115.187.88.0	115.187.91.255	MN
115.187.92.0	115.187.95.255	JP
115.187.96.0	115.187.127.255	NZ
115.187.128.0	115.187.255.255	AU
115.188.0.0	115.189.255.255	NZ
115.192.0.0	115.239.255.255	CN
115.240.0.0	115.255.255.255	IN
116.0.0.0	116.0.7.255	ID
116.0.8.0	116.0.15.255	MY
116.0.16.0	116.0.23.255	AU
116.0.24.0	116.0.31.255	HK
116.0.32.0	116.0.63.255	PK
116.0.64.0	116.0.64.63	MY
116.0.64.64	116.0.64.95	SG
116.0.64.96	116.0.64.127	AP
116.0.64.128	116.0.64.191	HK
116.0.64.192	116.0.64.223	AP
116.0.64.224	116.0.64.239	PH
116.0.64.240	116.0.64.247	TW
116.0.64.248	116.0.64.255	AP
116.0.65.0	116.0.65.255	TW
116.0.66.0	116.0.67.255	AP
116.0.68.0	116.0.69.0	SG
116.0.69.1	116.0.71.255	AP
116.0.72.0	116.0.75.255	SY
116.0.76.0	116.0.76.255	PH
116.0.77.0	116.0.79.255	AP
116.0.80.0	116.0.80.255	SG
116.0.81.0	116.0.95.255	AP
116.0.96.0	116.0.127.255	MY
116.0.128.0	116.0.255.255	JP
116.1.0.0	116.11.255.255	CN
116.12.0.0	116.12.31.255	JP
116.12.32.0	116.12.39.255	BD
116.12.40.0	116.12.47.255	ID
116.12.48.0	116.12.55.255	SG
116.12.64.0	116.12.127.255	LK
116.12.128.0	116.12.255.255	SG
116.13.0.0	116.13.255.255	CN
116.14.0.0	116.15.255.255	SG
116.16.0.0	116.31.255.255	CN
116.32.0.0	116.47.255.255	KR
116.48.0.0	116.49.255.255	HK
116.50.0.0	116.50.7.255	IN
116.50.8.0	116.50.15.255	HK
116.50.16.0	116.50.23.255	AU
116.50.24.0	116.50.31.255	ID
116.50.32.0	116.50.47.255	TW
116.50.48.0	116.50.55.255	JP
116.50.56.0	116.50.63.255	AU
116.50.64.0	116.50.127.255	IN
116.50.128.0	116.50.255.255	PH
116.51.0.0	116.51.255.255	SG
116.52.0.0	116.57.255.255	CN
116.58.0.0	116.58.127.255	PK
116.58.128.0	116.58.143.255	CN
116.58.144.0	116.58.191.255	JP
116.58.192.0	116.58.199.255	ID
116.58.200.0	116.58.207.255	BD
116.58.208.0	116.58.223.255	CN
116.58.224.0	116.58.255.255	TH
116.59.0.0	116.59.255.255	TW
116.60.0.0	116.63.255.255	CN
116.64.0.0	116.65.255.255	JP
116.66.0.0	116.66.127.255	CN
116.66.128.0	116.66.139.255	US
116.66.140.0	116.66.141.255	IN
116.66.142.0	116.66.143.255	NL
116.66.144.0	116.66.159.255	IN
116.66.160.0	116.66.175.255	AU
116.66.192.0	116.66.199.255	NP
116.66.200.0	116.66.207.255	ID
116.66.208.0	116.66.223.255	HK
116.66.224.0	116.66.231.255	AU
116.66.240.0	116.66.247.255	NZ
116.66.248.0	116.66.255.255	PH
116.67.0.0	116.67.127.255	KR
116.68.0.0	116.68.15.255	GU
116.68.32.0	116.68.63.255	KR
116.68.64.0	116.68.127.255	IN
116.68.128.0	116.68.135.255	VN
116.68.136.0	116.68.143.255	PH
116.68.144.0	116.68.159.255	TH
116.68.160.0	116.68.175.255	ID
116.68.176.0	116.68.183.255	PH
116.68.184.0	116.68.191.255	AP
116.68.192.0	116.68.207.255	BD
116.68.208.0	116.68.215.255	NP
116.68.216.0	116.68.223.255	JP
116.68.224.0	116.68.231.255	ID
116.68.232.0	116.68.239.255	KR
116.68.240.0	116.68.247.255	IN
116.68.248.0	116.68.255.255	ID
116.69.0.0	116.70.127.255	CN
116.70.128.0	116.70.191.255	JP
116.71.0.0	116.71.255.255	PK
116.72.0.0	116.75.255.255	IN
116.76.0.0	116.79.255.255	CN
116.80.0.0	116.83.255.255	JP
116.84.0.0	116.84.255.255	KR
116.86.0.0	116.89.127.255	SG
116.89.128.0	116.89.143.255	TW
116.89.144.0	116.89.159.255	CN
116.89.160.0	116.89.191.255	KR
116.89.192.0	116.89.223.255	JP
116.89.224.0	116.89.239.255	NZ
116.90.0.0	116.90.63.255	AU
116.90.64.0	116.90.71.255	HK
116.90.72.0	116.90.75.255	AU
116.90.76.0	116.90.79.255	NZ
116.90.80.0	116.90.95.255	CN
116.90.96.0	116.90.127.255	PK
116.90.128.0	116.90.143.255	NZ
116.90.144.0	116.90.159.255	JP
116.90.160.0	116.90.183.255	ID
116.90.184.0	116.90.191.255	CN
116.90.192.0	116.90.207.255	JP
116.90.208.0	116.90.215.255	ID
116.90.216.0	116.90.223.255	KR
116.90.224.0	116.90.239.255	NP
116.90.240.0	116.90.255.255	IN
116.91.0.0	116.91.255.255	JP
116.92.0.0	116.92.255.255	HK
116.93.0.0	116.93.127.255	PH
116.93.128.0	116.93.143.255	NZ
116.93.192.0	116.93.255.255	KR
116.94.0.0	116.94.255.255	JP
116.95.0.0	116.95.255.255	CN
116.96.0.0	116.111.255.255	VN
116.112.0.0	116.117.255.255	CN
116.118.0.0	116.118.127.255	VN
116.118.128.0	116.118.191.255	TW
116.118.192.0	116.118.239.255	JP
116.118.240.0	116.118.255.255	AU
116.119.0.0	116.119.255.255	IN
116.120.0.0	116.127.255.255	KR
116.128.0.0	116.192.255.255	CN
116.193.0.0	116.193.7.255	SG
116.193.8.0	116.193.15.255	MO
116.193.16.0	116.193.63.255	CN
116.193.64.0	116.193.79.255	VN
116.193.80.0	116.193.95.255	KR
116.193.96.0	116.193.127.255	JP
116.193.128.0	116.193.143.255	IN
116.193.144.0	116.193.151.255	NZ
116.193.160.0	116.193.167.255	IN
116.193.168.0	116.193.175.255	BD
116.193.176.0	116.193.223.255	AU
116.194.0.0	116.196.255.255	CN
116.197.0.0	116.197.127.255	MY
116.197.128.0	116.197.135.255	ID
116.197.136.0	116.197.143.255	JP
116.197.144.0	116.197.151.255	AU
116.197.160.0	116.197.167.255	NP
116.197.168.0	116.197.175.255	JP
116.197.176.0	116.197.191.255	HK
116.197.192.0	116.197.255.255	SG
116.198.0.0	116.199.159.255	CN
116.199.160.0	116.199.167.255	KR
116.199.168.0	116.199.175.255	IN
116.199.176.0	116.199.191.255	JP
116.199.192.0	116.199.207.255	ID
116.199.208.0	116.199.223.255	NZ
116.199.224.0	116.199.239.255	AU
116.200.0.0	116.201.255.255	KR
116.204.0.0	116.205.255.255	CN
116.206.0.0	116.206.255.255	MY
116.207.0.0	116.211.255.255	CN
116.212.0.0	116.212.31.255	KR
116.212.64.0	116.212.71.255	AU
116.212.72.0	116.212.79.255	ID
116.212.80.0	116.212.95.255	TW
116.212.96.0	116.212.103.255	ID
116.212.104.0	116.212.111.255	BD
116.212.112.0	116.212.114.255	HK
116.212.115.0	116.212.115.255	CN
116.212.116.0	116.212.127.255	HK
116.212.128.0	116.212.159.255	KH
116.212.160.0	116.212.175.255	CN
116.212.176.0	116.212.183.255	IN
116.212.184.0	116.212.191.255	BD
116.212.192.0	116.213.47.255	AU
116.213.48.0	116.213.63.255	ID
116.213.64.0	116.213.255.255	CN
116.214.0.0	116.214.15.255	TW
116.214.16.0	116.214.23.255	JP
116.214.24.0	116.214.31.255	IN
116.214.32.0	116.214.79.255	CN
116.214.80.0	116.214.95.255	JP
116.214.96.0	116.214.112.255	SG
116.214.113.0	116.214.113.255	TH
116.214.114.0	116.214.114.255	IN
116.214.115.0	116.214.122.255	SG
116.214.123.0	116.214.123.255	PH
116.214.124.0	116.214.124.255	CN
116.214.125.0	116.214.127.255	SG
116.214.128.0	116.219.255.255	CN
116.220.0.0	116.223.255.255	JP
116.224.0.0	116.239.255.255	CN
116.240.0.0	116.240.255.255	AU
116.242.0.0	116.249.255.255	CN
116.250.0.0	116.251.255.255	AU
116.252.0.0	116.253.255.255	CN
116.254.0.0	116.254.95.255	JP
116.254.96.0	116.254.103.255	ID
116.254.104.0	116.254.111.255	JP
116.254.112.0	116.254.127.255	ID
116.254.128.0	116.254.255.255	CN
116.255.0.0	116.255.63.255	AU
116.255.128.0	116.255.255.255	CN
117.0.0.0	117.7.255.255	VN
117.8.0.0	117.15.255.255	CN
117.16.0.0	117.17.255.255	KR
117.18.0.0	117.18.15.255	HK
117.18.16.0	117.18.23.255	ID
117.18.24.0	117.18.31.255	JP
117.18.32.0	117.18.47.255	SG
117.18.48.0	117.18.48.255	HK
117.18.49.0	117.18.63.255	SG
117.18.64.0	117.18.79.255	HK
117.18.80.0	117.18.87.255	NZ
117.18.96.0	117.18.127.255	HK
117.18.128.0	117.18.223.255	JP
117.18.224.0	117.18.231.255	BD
117.18.232.0	117.18.239.255	AP
117.18.240.0	117.18.255.255	PK
117.19.0.0	117.19.255.255	TW
117.20.0.0	117.20.15.255	AU
117.20.16.0	117.20.31.255	PK
117.20.32.0	117.20.39.255	WF
117.20.40.0	117.20.47.255	SG
117.20.48.0	117.20.63.255	ID
117.20.64.0	117.20.71.255	AU
117.20.72.0	117.20.79.255	JP
117.20.80.0	117.20.95.255	KR
117.20.112.0	117.20.119.255	KH
117.20.120.0	117.20.127.255	GU
117.20.128.0	117.20.191.255	SG
117.20.192.0	117.20.255.255	KR
117.21.0.0	117.45.255.255	CN
117.46.0.0	117.46.255.255	JP
117.47.0.0	117.47.255.255	TH
117.48.0.0	117.51.255.255	CN
117.53.0.0	117.53.39.255	JP
117.53.48.0	117.53.63.255	CN
117.53.64.0	117.53.127.255	KR
117.53.128.0	117.53.143.255	AU
117.53.144.0	117.53.151.255	NZ
117.53.152.0	117.53.155.255	MY
117.53.156.0	117.53.159.255	NZ
117.53.160.0	117.53.175.255	AU
117.53.176.0	117.53.191.255	CN
117.53.192.0	117.53.255.255	KR
117.54.0.0	117.54.255.255	ID
117.55.0.0	117.55.127.255	JP
117.55.128.0	117.55.191.255	KR
117.55.192.0	117.55.207.255	AF
117.55.208.0	117.55.223.255	JP
117.55.224.0	117.55.239.255	AU
117.55.240.0	117.55.247.255	IN
117.55.248.0	117.55.255.255	KH
117.56.0.0	117.56.255.255	TW
117.57.0.0	117.58.127.255	CN
117.58.128.0	117.58.143.255	KR
117.58.144.0	117.58.159.255	JP
117.58.160.0	117.58.191.255	SG
117.58.192.0	117.58.223.255	PH
117.58.224.0	117.58.239.255	JP
117.58.240.0	117.58.247.255	BD
117.58.248.0	117.58.255.255	AU
117.59.0.0	117.73.255.255	CN
117.74.0.0	117.74.63.255	JP
117.74.64.0	117.74.79.255	CN
117.74.80.0	117.74.95.255	KH
117.74.96.0	117.74.111.255	AU
117.74.112.0	117.74.127.255	ID
117.74.128.0	117.95.255.255	CN
117.96.0.0	117.99.255.255	IN
117.100.0.0	117.101.255.255	CN
117.102.0.0	117.102.63.255	PK
117.102.64.0	117.102.127.255	ID
117.102.128.0	117.102.159.255	AU
117.102.160.0	117.102.167.255	ID
117.102.168.0	117.102.223.255	JP
117.102.224.0	117.103.15.255	ID
117.103.16.0	117.103.31.255	CN
117.103.32.0	117.103.39.255	ID
117.103.40.0	117.103.47.255	PH
117.103.48.0	117.103.71.255	ID
117.103.72.0	117.103.79.255	AU
117.103.80.0	117.103.87.255	BD
117.103.88.0	117.103.95.255	MH
117.103.96.0	117.103.111.255	TW
117.103.112.0	117.103.119.255	AU
117.103.128.0	117.103.143.255	CN
117.103.144.0	117.103.159.255	HK
117.103.160.0	117.103.167.255	JP
117.103.168.0	117.103.175.255	ID
117.103.176.0	117.103.191.255	JP
117.103.192.0	117.103.255.255	VN
117.104.0.0	117.104.159.255	JP
117.104.160.0	117.104.167.255	AU
117.104.168.0	117.104.175.255	AP
117.104.176.0	117.104.183.255	NZ
117.104.184.0	117.104.187.255	SG
117.104.188.0	117.104.191.255	HK
117.104.192.0	117.104.223.255	ID
117.104.224.0	117.104.231.255	AF
117.104.232.0	117.104.239.255	IN
117.104.240.0	117.104.255.255	PH
117.105.0.0	117.105.255.255	SG
117.106.0.0	117.107.255.255	CN
117.108.0.0	117.109.255.255	JP
117.110.0.0	117.111.255.255	KR
117.112.0.0	117.119.255.255	CN
117.120.0.0	117.120.7.255	SG
117.120.8.0	117.120.23.255	AU
117.120.24.0	117.120.31.255	KH
117.120.32.0	117.120.39.255	NZ
117.120.48.0	117.120.55.255	JP
117.120.56.0	117.120.63.255	LK
117.120.64.0	117.121.199.255	CN
117.121.200.0	117.121.207.255	ID
117.121.208.0	117.121.223.255	TH
117.121.224.0	117.121.239.255	NP
117.121.240.0	117.121.241.255	SG
117.121.242.0	117.121.242.255	AU
117.121.243.0	117.121.243.255	US
117.121.244.0	117.121.244.255	SG
117.121.245.0	117.121.245.255	IL
117.121.246.0	117.121.247.255	SG
117.121.248.0	117.121.255.255	AU
117.122.0.0	117.122.127.255	VN
117.122.128.0	117.122.255.255	CN
117.123.0.0	117.123.255.255	KR
117.124.0.0	117.191.255.255	CN
117.192.0.0	117.255.255.255	IN
118.0.0.0	118.23.255.255	JP
118.24.0.0	118.31.255.255	CN
118.32.0.0	118.63.255.255	KR
118.64.0.0	118.66.255.255	CN
118.67.0.0	118.67.63.255	AU
118.67.64.0	118.67.111.255	JP
118.67.112.0	118.67.127.255	CN
118.67.128.0	118.67.191.255	KR
118.67.200.0	118.67.207.255	KH
118.67.208.0	118.67.223.255	AU
118.67.224.0	118.67.255.255	IN
118.68.0.0	118.71.255.255	VN
118.72.0.0	118.81.255.255	CN
118.82.0.0	118.82.31.255	ID
118.82.32.0	118.82.47.255	AU
118.82.64.0	118.82.127.255	JP
118.82.128.0	118.82.255.255	NZ
118.83.0.0	118.83.255.255	JP
118.84.0.0	118.85.255.255	CN
118.86.0.0	118.87.255.255	JP
118.88.0.0	118.88.7.255	IN
118.88.8.0	118.88.15.255	PH
118.88.16.0	118.88.23.255	AU
118.88.32.0	118.89.255.255	CN
118.90.0.0	118.90.255.255	NZ
118.91.0.0	118.91.127.255	KR
118.91.128.0	118.91.143.255	ID
118.91.144.0	118.91.159.255	KR
118.91.160.0	118.91.175.255	NP
118.91.176.0	118.91.191.255	IN
118.91.192.0	118.91.223.255	JP
118.91.224.0	118.91.231.255	ID
118.91.232.0	118.91.239.255	IN
118.91.240.0	118.91.255.255	CN
118.92.0.0	118.93.255.255	NZ
118.94.0.0	118.95.255.255	IN
118.96.0.0	118.98.255.255	ID
118.99.0.0	118.99.63.255	HK
118.99.64.0	118.99.127.255	ID
118.99.128.0	118.99.255.255	TW
118.100.0.0	118.101.255.255	MY
118.102.0.0	118.102.7.255	VN
118.102.8.0	118.102.15.255	HK
118.102.16.0	118.102.31.255	CN
118.102.32.0	118.102.39.255	PH
118.102.40.0	118.102.63.255	JP
118.102.64.0	118.102.127.255	AU
118.102.128.0	118.102.255.255	IN
118.103.0.0	118.103.135.255	JP
118.103.136.0	118.103.143.255	BT
118.103.144.0	118.103.159.255	HK
118.103.160.0	118.103.191.255	KH
118.103.192.0	118.103.223.255	KR
118.103.224.0	118.103.239.255	PK
118.103.240.0	118.103.247.255	CN
118.103.248.0	118.103.255.255	BN
118.104.0.0	118.106.255.255	JP
118.107.0.0	118.107.63.255	AU
118.107.128.0	118.107.143.255	PK
118.107.144.0	118.107.151.255	AU
118.107.160.0	118.107.175.255	KR
118.107.176.0	118.107.191.255	AU
118.107.192.0	118.107.255.255	MY
118.108.0.0	118.111.255.255	JP
118.112.0.0	118.126.255.255	CN
118.127.0.0	118.127.191.255	AU
118.127.192.0	118.131.255.255	KR
118.132.0.0	118.135.255.255	CN
118.136.0.0	118.137.255.255	ID
118.138.0.0	118.139.255.255	AU
118.140.0.0	118.143.255.255	HK
118.144.0.0	118.147.255.255	CN
118.148.0.0	118.149.255.255	NZ
118.150.0.0	118.150.255.255	TW
118.151.0.0	118.151.207.255	JP
118.151.208.0	118.151.211.255	IN
118.151.212.0	118.151.215.255	ID
118.151.216.0	118.151.219.255	AU
118.151.220.0	118.151.223.255	ID
118.151.224.0	118.159.255.255	JP
118.160.0.0	118.171.255.255	TW
118.172.0.0	118.175.255.255	TH
118.176.0.0	118.176.255.255	KR
118.177.0.0	118.177.255.255	JP
118.178.0.0	118.178.255.255	CN
118.179.0.0	118.179.255.255	BD
118.180.0.0	118.207.255.255	CN
118.208.0.0	118.211.255.255	AU
118.212.0.0	118.213.255.255	CN
118.214.0.0	118.215.255.255	SG
118.216.0.0	118.223.255.255	KR
118.224.0.0	118.230.255.255	CN
118.231.0.0	118.233.255.255	TW
118.234.0.0	118.235.255.255	KR
118.236.0.0	118.238.255.255	JP
118.239.0.0	118.239.255.255	CN
118.240.0.0	118.241.255.255	JP
118.242.0.0	118.242.255.255	CN
118.243.0.0	118.243.255.255	JP
118.244.0.0	119.2.31.255	CN
119.2.32.0	119.2.39.255	PH
119.2.40.0	119.2.55.255	ID
119.2.56.0	119.2.63.255	NP
119.2.64.0	119.2.95.255	ID
119.2.96.0	119.2.127.255	BT
119.2.128.0	119.10.127.255	CN
119.10.128.0	119.10.143.255	AU
119.10.160.0	119.10.167.255	JP
119.10.168.0	119.10.175.255	HK
119.10.176.0	119.10.183.255	ID
119.10.184.0	119.10.255.255	JP
119.11.0.0	119.11.127.255	AU
119.11.128.0	119.11.255.255	ID
119.12.0.0	119.13.255.255	AU
119.14.0.0	119.14.255.255	TW
119.15.0.0	119.15.31.255	NZ
119.15.64.0	119.15.71.255	AU
119.15.80.0	119.15.95.255	KH
119.15.96.0	119.15.111.255	AU
119.15.128.0	119.15.135.255	ID
119.15.136.0	119.15.143.255	CN
119.15.144.0	119.15.151.255	JP
119.15.152.0	119.15.159.255	BD
119.15.160.0	119.15.191.255	VN
119.15.192.0	119.15.255.255	TW
119.16.0.0	119.16.255.255	CN
119.17.0.0	119.17.127.255	KR
119.17.128.0	119.17.159.255	AU
119.17.192.0	119.17.255.255	VN
119.18.0.0	119.18.63.255	AU
119.18.128.0	119.18.143.255	VN
119.18.144.0	119.18.151.255	BD
119.18.152.0	119.18.159.255	ID
119.18.160.0	119.18.183.255	JP
119.18.184.0	119.18.191.255	VN
119.18.192.0	119.18.215.255	CN
119.18.216.0	119.18.223.255	JP
119.18.224.0	119.23.255.255	CN
119.24.0.0	119.26.255.255	JP
119.27.0.0	119.27.63.255	SG
119.27.64.0	119.27.127.255	CN
119.27.128.0	119.27.159.255	PH
119.27.160.0	119.29.255.255	CN
119.30.0.0	119.30.7.255	AU
119.30.16.0	119.30.31.255	TW
119.30.32.0	119.30.47.255	BD
119.30.48.0	119.30.63.255	CN
119.30.64.0	119.30.127.255	PK
119.30.128.0	119.30.191.255	KR
119.30.192.0	119.30.255.255	JP
119.31.0.0	119.31.127.255	TH
119.31.128.0	119.31.159.255	JP
119.31.160.0	119.31.175.255	IN
119.31.176.0	119.31.191.255	TW
119.31.192.0	119.31.223.255	CN
119.31.224.0	119.31.231.255	AU
119.31.240.0	119.31.255.255	KR
119.32.0.0	119.40.79.255	CN
119.40.80.0	119.40.95.255	BD
119.40.96.0	119.40.103.255	MN
119.40.104.0	119.40.111.255	AU
119.40.112.0	119.40.127.255	MY
119.40.128.0	119.42.31.255	CN
119.42.64.0	119.42.135.255	TH
119.42.136.0	119.42.143.255	CN
119.42.144.0	119.42.151.255	HK
119.42.152.0	119.42.159.255	IN
119.42.160.0	119.42.191.255	KR
119.42.192.0	119.42.223.255	SG
119.42.224.0	119.42.255.255	CN
119.43.0.0	119.43.255.255	IN
119.44.0.0	119.45.255.255	CN
119.46.0.0	119.46.255.255	TH
119.47.0.0	119.47.79.255	JP
119.47.80.0	119.47.87.255	HK
119.47.88.0	119.47.95.255	ID
119.47.96.0	119.47.111.255	JP
119.47.112.0	119.47.127.255	NZ
119.47.128.0	119.47.255.255	JP
119.48.0.0	119.55.255.255	CN
119.56.0.0	119.56.127.255	SG
119.57.0.0	119.58.255.255	CN
119.59.0.0	119.59.63.255	KR
119.59.64.0	119.59.71.255	JP
119.59.72.0	119.59.79.255	HK
119.59.80.0	119.59.87.255	AF
119.59.88.0	119.59.95.255	JP
119.59.128.0	119.62.255.255	CN
119.63.0.0	119.63.15.255	PH
119.63.16.0	119.63.31.255	JP
119.63.32.0	119.63.63.255	CN
119.63.64.0	119.63.95.255	TH
119.63.96.0	119.63.111.255	HK
119.63.112.0	119.63.127.255	JP
119.63.128.0	119.63.143.255	PK
119.63.160.0	119.63.199.255	JP
119.63.200.0	119.63.223.255	AU
119.63.224.0	119.71.255.255	KR
119.72.0.0	119.72.255.255	JP
119.73.0.0	119.73.127.255	PK
119.73.128.0	119.75.63.255	SG
119.75.64.0	119.75.191.255	KR
119.75.192.0	119.75.207.255	SG
119.75.208.0	119.75.223.255	CN
119.75.224.0	119.75.239.255	JP
119.75.240.0	119.75.255.255	TW
119.76.0.0	119.76.255.255	TH
119.77.0.0	119.77.95.255	AU
119.77.96.0	119.77.127.255	KR
119.77.128.0	119.77.255.255	TW
119.78.0.0	119.81.255.255	CN
119.82.0.0	119.82.7.255	AU
119.82.16.0	119.82.31.255	JP
119.82.32.0	119.82.63.255	KR
119.82.64.0	119.82.127.255	IN
119.82.128.0	119.82.143.255	VN
119.82.144.0	119.82.151.255	AU
119.82.160.0	119.82.207.255	JP
119.82.208.0	119.82.223.255	BD
119.82.224.0	119.82.247.255	ID
119.82.248.0	119.82.255.255	KH
119.83.0.0	119.83.255.255	JP
119.84.0.0	119.91.255.255	CN
119.92.0.0	119.95.255.255	PH
119.96.0.0	119.103.255.255	CN
119.104.0.0	119.107.255.255	JP
119.108.0.0	119.109.255.255	CN
119.110.0.0	119.110.63.255	MY
119.110.64.0	119.110.87.255	ID
119.110.88.0	119.110.95.255	JP
119.110.96.0	119.110.111.255	MY
119.110.112.0	119.110.127.255	ID
119.110.128.0	119.110.255.255	MY
119.111.0.0	119.111.255.255	PH
119.112.0.0	119.147.255.255	CN
119.148.0.0	119.148.63.255	BD
119.148.64.0	119.148.95.255	AU
119.148.96.0	119.148.103.255	TH
119.148.104.0	119.148.111.255	JP
119.148.112.0	119.148.159.255	KR
119.148.160.0	119.148.175.255	CN
119.148.176.0	119.148.191.255	PH
119.148.192.0	119.148.255.255	JP
119.149.0.0	119.149.255.255	KR
119.150.0.0	119.150.255.255	JP
119.151.0.0	119.151.255.255	IN
119.152.0.0	119.160.127.255	PK
119.160.128.0	119.160.191.255	BN
119.160.192.0	119.160.199.255	IN
119.160.200.0	119.160.207.255	ID
119.160.208.0	119.160.223.255	TH
119.160.224.0	119.160.239.255	AU
119.160.240.0	119.160.255.255	TW
119.161.0.0	119.161.31.255	KR
119.161.32.0	119.161.47.255	AU
119.161.64.0	119.161.95.255	AU
119.161.96.0	119.161.103.255	MY
119.161.104.0	119.161.119.255	JP
119.161.120.0	119.161.127.255	US
119.161.128.0	119.167.255.255	CN
119.168.0.0	119.175.255.255	JP
119.176.0.0	119.191.255.255	CN
119.192.0.0	119.223.255.255	KR
119.224.0.0	119.224.255.255	NZ
119.225.0.0	119.225.255.255	AU
119.226.0.0	119.227.255.255	IN
119.228.0.0	119.231.255.255	JP
119.232.0.0	119.233.255.255	CN
119.234.0.0	119.234.255.255	SG
119.235.0.0	119.235.15.255	LK
119.235.16.0	119.235.31.255	ID
119.235.32.0	119.235.39.255	NZ
119.235.40.0	119.235.47.255	HK
119.235.48.0	119.235.63.255	IN
119.235.64.0	119.235.127.255	FJ
119.235.128.0	119.235.191.255	CN
119.235.192.0	119.235.207.255	KR
119.235.208.0	119.235.223.255	ID
119.235.224.0	119.235.239.255	JP
119.235.240.0	119.235.247.255	KR
119.235.248.0	119.235.255.255	ID
119.236.0.0	119.237.255.255	HK
119.238.0.0	119.245.255.255	JP
119.246.0.0	119.247.255.255	HK
119.248.0.0	119.251.255.255	CN
119.252.0.0	119.252.31.255	AU
119.252.64.0	119.252.95.255	AU
119.252.96.0	119.252.103.255	TH
119.252.104.0	119.252.111.255	ID
119.252.112.0	119.252.127.255	FM
119.252.128.0	119.252.135.255	ID
119.252.136.0	119.252.143.255	HK
119.252.144.0	119.252.159.255	IN
119.252.160.0	119.252.175.255	ID
119.252.176.0	119.252.183.255	AU
119.252.192.0	119.252.223.255	IN
119.252.224.0	119.252.239.255	PG
119.253.0.0	120.15.255.255	CN
120.16.0.0	120.23.255.255	AU
120.24.0.0	120.27.255.255	CN
120.28.0.0	120.28.255.255	PH
120.29.0.0	120.29.63.255	AU
120.29.128.0	120.29.143.255	KR
120.29.144.0	120.29.151.255	JP
120.29.152.0	120.29.159.255	ID
120.29.160.0	120.29.191.255	JP
120.29.192.0	120.29.193.255	HK
120.29.194.0	120.29.199.255	CA
120.29.200.0	120.29.207.0	GU
120.29.207.1	120.29.223.191	CA
120.29.223.192	120.29.223.199	PG
120.29.223.200	120.29.223.207	AU
120.29.223.208	120.29.223.255	CA
120.29.224.0	120.29.231.255	ID
120.29.232.0	120.29.239.255	IN
120.29.240.0	120.29.247.255	AU
120.30.0.0	120.49.255.255	CN
120.50.0.0	120.50.31.255	BD
120.50.32.0	120.50.47.255	SG
120.50.48.0	120.50.63.255	MY
120.50.64.0	120.50.159.255	KR
120.50.160.0	120.50.167.255	JP
120.50.176.0	120.50.183.255	BD
120.50.184.0	120.50.191.255	VN
120.50.192.0	120.51.255.255	JP
120.52.0.0	120.55.255.255	CN
120.56.0.0	120.63.255.255	IN
120.64.0.0	120.71.255.255	CN
120.72.0.0	120.72.15.255	JP
120.72.16.0	120.72.31.255	PH
120.72.32.0	120.72.63.255	CN
120.72.64.0	120.72.79.255	JP
120.72.80.0	120.72.87.255	VN
120.72.88.0	120.72.95.255	IN
120.72.96.0	120.72.127.255	VN
120.72.128.0	120.72.255.255	CN
120.73.0.0	120.73.255.255	KR
120.74.0.0	120.75.255.255	JP
120.76.0.0	120.87.255.255	CN
120.88.0.0	120.88.7.255	AU
120.88.8.0	120.88.15.255	CN
120.88.16.0	120.88.31.255	JP
120.88.32.0	120.88.47.255	IN
120.88.64.0	120.88.95.255	AU
120.88.128.0	120.88.191.255	AU
120.89.0.0	120.89.63.255	PH
120.89.64.0	120.89.71.255	US
120.89.72.0	120.89.79.255	IN
120.89.80.0	120.89.87.255	NZ
120.89.96.0	120.89.127.255	NP
120.89.128.0	120.89.255.255	JP
120.90.0.0	120.92.255.255	CN
120.93.0.0	120.93.255.255	JP
120.94.0.0	120.95.255.255	CN
120.96.0.0	120.127.255.255	TW
120.128.0.0	120.135.255.255	CN
120.136.0.0	120.136.7.255	NZ
120.136.16.0	120.136.23.255	ID
120.136.24.0	120.136.31.255	KH
120.136.32.0	120.136.32.63	US
120.136.32.64	120.136.47.255	HK
120.136.48.0	120.136.55.255	NZ
120.136.64.0	120.136.127.255	KR
120.136.128.0	120.136.191.255	CN
120.136.192.0	120.136.255.255	JP
120.137.0.0	120.137.127.255	CN
120.137.128.0	120.137.255.255	JP
120.138.0.0	120.138.15.255	PH
120.138.16.0	120.138.31.255	NZ
120.138.32.0	120.138.63.255	AU
120.138.64.0	120.138.79.255	VN
120.138.80.0	120.138.95.255	MY
120.138.96.0	120.138.127.255	IN
120.138.128.0	120.138.191.255	JP
120.138.192.0	120.138.255.255	IN
120.139.0.0	120.141.255.255	MY
120.142.0.0	120.142.255.255	KR
120.143.0.0	120.143.127.255	JP
120.143.128.0	120.143.159.255	PH
120.143.160.0	120.143.255.255	KR
120.144.0.0	120.159.255.255	AU
120.160.0.0	120.191.255.255	ID
120.192.0.0	120.255.255.255	CN
121.0.0.0	121.0.7.255	AU
121.0.8.0	121.0.15.255	BD
121.0.16.0	121.0.31.255	CN
121.0.32.0	121.0.63.255	JP
121.0.64.0	121.0.255.255	KR
121.1.0.0	121.1.63.255	PH
121.1.64.0	121.1.127.255	KR
121.1.128.0	121.3.255.255	JP
121.4.0.0	121.5.255.255	CN
121.6.0.0	121.7.255.255	SG
121.8.0.0	121.43.255.255	CN
121.44.0.0	121.45.255.255	AU
121.46.0.0	121.49.255.255	CN
121.50.0.0	121.50.15.255	IN
121.50.16.0	121.50.31.255	KR
121.50.32.0	121.50.39.255	ID
121.50.40.0	121.50.63.255	JP
121.50.64.0	121.50.127.255	KR
121.50.128.0	121.50.143.255	ID
121.50.144.0	121.50.151.255	TW
121.50.152.0	121.50.167.255	JP
121.50.168.0	121.50.175.255	TH
121.50.176.0	121.50.191.255	TW
121.50.192.0	121.50.223.255	AU
121.50.224.0	121.50.255.255	PH
121.51.0.0	121.51.255.255	CN
121.52.0.0	121.52.143.255	ID
121.52.144.0	121.52.159.255	PK
121.52.160.0	121.52.191.255	CN
121.52.192.0	121.52.199.255	AU
121.52.200.0	121.52.207.255	SG
121.52.208.0	121.52.255.255	CN
121.53.0.0	121.53.255.255	KR
121.54.0.0	121.54.127.255	PH
121.54.128.0	121.54.159.255	AU
121.54.160.0	121.54.167.255	PH
121.54.168.0	121.54.175.255	HK
121.54.176.0	121.54.183.255	NZ
121.54.192.0	121.54.255.255	KR
121.55.0.0	121.55.63.255	CN
121.55.64.0	121.55.191.255	KR
121.55.192.0	121.55.255.255	GU
121.56.0.0	121.58.127.255	CN
121.58.128.0	121.58.135.255	JP
121.58.136.0	121.58.143.255	ID
121.58.144.0	121.58.159.255	CN
121.58.160.0	121.58.167.255	AF
121.58.168.0	121.58.175.255	IN
121.58.176.0	121.58.183.255	JP
121.58.184.0	121.58.191.255	ID
121.58.192.0	121.58.255.255	PH
121.59.0.0	121.63.163.143	CN
121.63.163.144	121.63.163.147	FR
121.63.163.148	121.63.163.151	DE
121.63.163.152	121.63.163.155	CN
121.63.163.156	121.63.163.159	SL
121.63.163.160	121.63.255.255	CN
121.64.0.0	121.67.255.255	KR
121.68.0.0	121.71.255.255	CN
121.72.0.0	121.75.255.255	NZ
121.76.0.0	121.77.255.255	CN
121.78.0.0	121.78.255.255	KR
121.79.0.0	121.79.127.255	AU
121.79.128.0	121.79.191.255	CN
121.79.192.0	121.79.255.255	NZ
121.80.0.0	121.87.255.255	JP
121.88.0.0	121.88.255.255	KR
121.89.0.0	121.89.255.255	CN
121.90.0.0	121.90.255.255	NZ
121.91.0.0	121.91.255.255	AU
121.92.0.0	121.95.255.255	JP
121.96.0.0	121.97.255.255	PH
121.98.0.0	121.99.255.255	NZ
121.100.0.0	121.100.7.255	ID
121.100.8.0	121.100.15.255	JP
121.100.16.0	121.100.31.255	ID
121.100.32.0	121.100.47.255	SG
121.100.48.0	121.100.55.255	AF
121.100.64.0	121.100.127.255	KR
121.100.128.0	121.100.255.255	CN
121.101.0.0	121.101.63.255	AU
121.101.64.0	121.101.127.255	JP
121.101.128.0	121.101.135.255	ID
121.101.136.0	121.101.143.255	AU
121.101.144.0	121.101.159.255	IN
121.101.160.0	121.101.167.255	AU
121.101.168.0	121.101.175.255	HK
121.101.176.0	121.101.183.255	MN
121.101.184.0	121.101.191.255	ID
121.101.192.0	121.101.207.255	KR
121.101.208.0	121.101.223.255	CN
121.101.224.0	121.101.255.255	KR
121.102.0.0	121.119.255.255	JP
121.120.0.0	121.123.255.255	MY
121.124.0.0	121.126.255.255	KR
121.127.0.0	121.127.31.255	PH
121.127.32.0	121.127.63.255	AF
121.127.64.0	121.127.191.255	KR
121.127.192.0	121.127.223.255	AU
121.127.224.0	121.127.255.255	HK
121.128.0.0	121.191.255.255	KR
121.192.0.0	121.199.255.255	CN
121.200.0.0	121.200.63.255	AU
121.200.64.0	121.200.127.255	KR
121.200.128.0	121.200.191.255	JP
121.200.192.0	121.200.199.255	BD
121.200.200.0	121.200.207.255	JP
121.200.208.0	121.200.215.255	AU
121.200.224.0	121.200.239.255	AU
121.201.0.0	121.201.255.255	CN
121.202.0.0	121.203.255.255	HK
121.204.0.0	121.207.255.255	CN
121.208.0.0	121.223.255.255	AU
121.224.0.0	121.239.255.255	CN
121.240.0.0	121.247.255.255	IN
121.248.0.0	121.251.255.255	CN
121.252.0.0	121.254.63.255	KR
121.254.64.0	121.254.127.255	TW
121.254.128.0	121.254.255.255	KR
121.255.0.0	121.255.255.255	CN
122.0.0.0	122.0.7.255	TH
122.0.8.0	122.0.15.255	KR
122.0.16.0	122.0.31.255	MY
122.0.32.0	122.0.63.255	KR
122.0.64.0	122.0.255.255	CN
122.1.0.0	122.1.255.255	JP
122.2.0.0	122.3.255.255	PH
122.4.0.0	122.15.255.255	CN
122.16.0.0	122.31.255.255	JP
122.32.0.0	122.47.255.255	KR
122.48.0.0	122.49.63.255	CN
122.49.64.0	122.49.127.255	KR
122.49.128.0	122.49.191.255	AU
122.49.192.0	122.49.199.255	JP
122.49.200.0	122.49.207.255	AU
122.49.208.0	122.49.223.255	PH
122.49.224.0	122.49.231.255	ID
122.49.232.0	122.49.255.255	JP
122.50.0.0	122.50.15.255	SG
122.50.16.0	122.50.63.255	JP
122.50.64.0	122.50.127.255	SG
122.50.128.0	122.50.255.255	IN
122.51.0.0	122.51.255.255	CN
122.52.0.0	122.55.255.255	PH
122.56.0.0	122.63.255.255	NZ
122.64.0.0	122.97.255.255	CN
122.98.0.0	122.98.255.255	IN
122.99.0.0	122.99.63.255	TW
122.99.64.0	122.99.95.255	AU
122.99.96.0	122.99.103.255	BD
122.99.104.0	122.99.111.255	JP
122.99.112.0	122.99.123.255	AU
122.99.124.0	122.99.127.255	IN
122.99.128.0	122.99.255.255	KR
122.100.0.0	122.100.15.255	AU
122.100.16.0	122.100.23.255	JP
122.100.32.0	122.100.63.255	KR
122.100.64.0	122.100.127.255	TW
122.100.128.0	122.100.255.255	MO
122.101.0.0	122.101.255.255	KR
122.102.0.0	122.102.15.255	CN
122.102.16.0	122.102.23.255	AU
122.102.32.0	122.102.39.255	BD
122.102.48.0	122.102.55.255	ID
122.102.56.0	122.102.63.255	BD
122.102.64.0	122.102.95.255	CN
122.102.96.0	122.102.111.255	AU
122.102.128.0	122.103.255.255	JP
122.104.0.0	122.111.255.255	AU
122.112.0.0	122.115.255.255	CN
122.116.0.0	122.118.255.255	TW
122.119.0.0	122.119.255.255	CN
122.120.0.0	122.127.255.255	TW
122.128.0.0	122.128.15.255	JP
122.128.16.0	122.128.31.255	ID
122.128.32.0	122.128.79.255	KR
122.128.80.0	122.128.87.255	TW
122.128.88.0	122.128.95.255	AU
122.128.96.0	122.128.103.255	NP
122.128.104.0	122.128.111.255	HK
122.128.112.0	122.128.119.255	JP
122.128.120.0	122.128.127.255	VU
122.128.128.0	122.128.255.255	KR
122.129.0.0	122.129.63.255	AU
122.129.64.0	122.129.95.255	PK
122.129.96.0	122.129.127.255	ID
122.129.128.0	122.129.159.255	AU
122.129.192.0	122.129.207.255	ID
122.129.208.0	122.129.215.255	KR
122.129.224.0	122.129.239.255	JP
122.129.240.0	122.129.255.255	KR
122.130.0.0	122.135.255.255	JP
122.136.0.0	122.143.255.255	CN
122.144.0.0	122.144.7.255	ID
122.144.8.0	122.144.15.255	BD
122.144.16.0	122.144.23.255	IN
122.144.24.0	122.144.31.255	TH
122.144.32.0	122.144.63.255	TW
122.144.64.0	122.144.127.255	PH
122.144.128.0	122.144.255.255	CN
122.145.0.0	122.145.255.255	JP
122.146.0.0	122.147.255.255	TW
122.148.0.0	122.151.255.255	AU
122.152.0.0	122.152.47.255	JP
122.152.48.0	122.152.55.255	BD
122.152.64.0	122.152.95.255	JP
122.152.128.0	122.152.130.63	JP
122.152.130.64	122.152.130.91	HK
122.152.130.92	122.152.130.111	JP
122.152.130.112	122.152.130.191	HK
122.152.130.192	122.152.130.231	JP
122.152.130.232	122.152.130.239	HK
122.152.130.240	122.152.130.255	JP
122.152.131.0	122.152.131.255	HK
122.152.132.0	122.152.133.159	AU
122.152.133.160	122.152.133.175	NZ
122.152.133.176	122.152.133.223	AU
122.152.133.224	122.152.135.255	JP
122.152.136.0	122.152.136.175	SG
122.152.136.176	122.152.136.191	JP
122.152.136.192	122.152.136.255	SG
122.152.137.0	122.152.137.255	JP
122.152.138.0	122.152.138.247	HK
122.152.138.248	122.152.138.255	JP
122.152.139.0	122.152.139.191	HK
122.152.139.192	122.152.142.47	JP
122.152.142.48	122.152.142.63	SG
122.152.142.64	122.152.142.127	JP
122.152.142.128	122.152.143.127	SG
122.152.143.128	122.152.147.255	JP
122.152.148.0	122.152.148.47	AU
122.152.148.48	122.152.148.63	JP
122.152.148.64	122.152.148.79	AU
122.152.148.80	122.152.148.95	JP
122.152.148.96	122.152.148.127	AU
122.152.148.128	122.152.149.255	JP
122.152.150.0	122.152.150.55	HK
122.152.150.56	122.152.150.63	JP
122.152.150.64	122.152.150.95	HK
122.152.150.96	122.152.150.127	JP
122.152.150.128	122.152.150.255	HK
122.152.151.0	122.152.174.255	JP
122.152.175.0	122.152.175.255	HK
122.152.176.0	122.152.180.31	JP
122.152.180.32	122.152.180.61	HK
122.152.180.62	122.152.189.63	JP
122.152.189.64	122.152.189.67	HK
122.152.189.68	122.152.191.255	JP
122.152.192.0	122.152.255.255	CN
122.153.0.0	122.153.255.255	KR
122.154.0.0	122.155.255.255	TH
122.156.0.0	122.159.255.255	CN
122.160.0.0	122.191.255.255	IN
122.192.0.0	122.195.255.255	CN
122.196.0.0	122.197.255.255	JP
122.198.0.0	122.198.255.255	CN
122.199.0.0	122.199.63.255	AU
122.199.64.0	122.199.255.255	KR
122.200.0.0	122.200.15.255	ID
122.200.16.0	122.200.23.255	IN
122.200.24.0	122.200.31.255	AU
122.200.32.0	122.200.39.255	JP
122.200.40.0	122.200.47.255	BD
122.200.48.0	122.200.55.255	ID
122.200.56.0	122.200.63.255	AU
122.200.64.0	122.200.127.255	CN
122.200.128.0	122.200.143.255	AU
122.200.144.0	122.200.151.255	ID
122.200.152.0	122.200.159.255	TW
122.200.160.0	122.200.175.255	AU
122.200.192.0	122.201.7.255	JP
122.201.8.0	122.201.15.255	VN
122.201.16.0	122.201.31.255	MN
122.201.32.0	122.201.47.255	HK
122.201.64.0	122.201.127.255	AU
122.201.128.0	122.201.255.255	TW
122.202.16.0	122.202.31.255	JP
122.202.32.0	122.202.63.255	KR
122.202.64.0	122.202.79.255	AU
122.202.96.0	122.202.127.255	PH
122.202.128.0	122.203.255.255	KR
122.204.0.0	122.207.255.255	CN
122.208.0.0	122.223.255.255	JP
122.224.0.0	122.247.255.255	CN
122.248.0.0	122.248.15.255	BD
122.248.16.0	122.248.31.255	HK
122.248.32.0	122.248.47.255	BD
122.248.48.0	122.248.63.255	CN
122.248.64.0	122.248.95.255	JP
122.248.128.0	122.248.129.255	SG
122.248.130.0	122.248.130.255	JP
122.248.131.0	122.248.133.95	SG
122.248.133.96	122.248.133.127	JP
122.248.133.128	122.248.133.247	SG
122.248.133.248	122.248.133.255	JP
122.248.134.0	122.248.134.31	SG
122.248.134.32	122.248.135.255	JP
122.248.136.0	122.248.139.255	HK
122.248.140.0	122.248.140.255	JP
122.248.141.0	122.248.141.191	HK
122.248.141.192	122.248.141.255	JP
122.248.142.0	122.248.142.127	HK
122.248.142.128	122.248.147.255	JP
122.248.148.0	122.248.150.32	AU
122.248.150.33	122.248.150.63	JP
122.248.150.64	122.248.150.119	AU
122.248.150.120	122.248.151.255	JP
122.248.152.0	122.248.156.23	AU
122.248.156.24	122.248.156.31	JP
122.248.156.32	122.248.156.63	AU
122.248.156.64	122.248.156.127	JP
122.248.156.128	122.248.157.255	AU
122.248.158.0	122.248.159.255	JP
122.248.160.0	122.248.160.87	IN
122.248.160.88	122.248.167.255	JP
122.248.168.0	122.248.168.31	SG
122.248.168.32	122.248.191.255	JP
122.249.0.0	122.251.255.255	JP
122.252.0.0	122.252.23.255	AU
122.252.24.0	122.252.63.255	AP
122.252.64.0	122.252.127.255	KR
122.252.128.0	122.252.135.255	AP
122.252.136.0	122.252.143.255	JP
122.252.144.0	122.252.151.255	AP
122.252.160.0	122.252.175.255	TW
122.252.176.0	122.252.183.255	KH
122.252.192.0	122.252.223.255	KR
122.252.224.0	122.252.255.255	IN
122.253.0.0	122.253.255.255	JP
122.254.0.0	122.254.63.255	TW
122.254.64.0	122.254.127.255	MN
122.254.128.0	122.254.255.255	KR
122.255.0.0	122.255.63.255	LK
122.255.64.0	122.255.71.255	BD
122.255.72.0	122.255.79.255	IN
122.255.80.0	122.255.95.255	TW
122.255.96.0	122.255.127.255	MY
122.255.128.0	122.255.255.255	JP
123.0.0.0	123.0.15.255	KR
123.0.32.0	123.0.63.255	TW
123.0.64.0	123.0.127.255	JP
123.0.128.0	123.0.191.255	CN
123.0.192.0	123.0.255.255	TW
123.1.0.0	123.1.127.255	JP
123.2.0.0	123.3.255.255	AU
123.4.0.0	123.15.255.255	CN
123.16.0.0	123.31.255.255	VN
123.32.0.0	123.47.255.255	KR
123.48.0.0	123.48.255.255	JP
123.49.0.0	123.49.63.255	BD
123.49.64.0	123.49.127.255	SG
123.49.128.0	123.49.255.255	CN
123.50.0.0	123.50.31.255	JP
123.50.32.0	123.50.63.255	TW
123.50.64.0	123.50.127.255	PF
123.50.128.0	123.50.159.255	AU
123.50.160.0	123.50.191.255	IN
123.50.192.0	123.50.255.255	JP
123.51.0.0	123.51.127.255	AU
123.51.128.0	123.51.255.255	TW
123.52.0.0	123.98.127.255	CN
123.98.128.0	123.98.143.255	AU
123.98.144.0	123.98.159.255	JP
123.98.160.0	123.98.223.255	KR
123.98.224.0	123.98.255.255	JP
123.99.0.0	123.99.63.255	TW
123.99.64.0	123.99.127.255	KR
123.99.128.0	123.100.31.255	CN
123.100.32.0	123.100.63.255	AU
123.100.64.0	123.100.127.255	NZ
123.100.128.0	123.100.159.255	AU
123.100.192.0	123.100.223.255	JP
123.100.224.0	123.100.225.255	MY
123.100.226.0	123.100.227.255	SG
123.100.228.0	123.100.229.255	AU
123.100.230.0	123.100.231.255	SG
123.100.232.0	123.100.232.255	CN
123.100.233.0	123.100.233.255	SG
123.100.234.0	123.100.234.255	IN
123.100.235.0	123.100.235.255	SG
123.100.236.0	123.100.239.255	US
123.100.240.0	123.100.255.255	SG
123.101.0.0	123.101.255.255	CN
123.102.0.0	123.102.255.255	AU
123.103.0.0	123.103.127.255	CN
123.103.128.0	123.108.7.255	JP
123.108.8.0	123.108.15.255	ID
123.108.16.0	123.108.31.255	KR
123.108.32.0	123.108.63.255	IN
123.108.64.0	123.108.95.255	AU
123.108.96.0	123.108.103.255	ID
123.108.104.0	123.108.107.255	AU
123.108.108.0	123.108.111.255	HK
123.108.112.0	123.108.127.255	PH
123.108.128.0	123.108.143.255	CN
123.108.144.0	123.108.151.255	NZ
123.108.160.0	123.108.191.255	KR
123.108.192.0	123.108.199.255	JP
123.108.200.0	123.108.207.255	IN
123.108.208.0	123.108.223.255	CN
123.108.224.0	123.108.231.255	IN
123.108.232.0	123.108.239.255	JP
123.108.240.0	123.108.247.255	BD
123.108.248.0	123.108.255.255	KH
123.109.0.0	123.109.255.255	KR
123.110.0.0	123.110.255.255	TW
123.111.0.0	123.111.255.255	KR
123.112.0.0	123.135.255.255	CN
123.136.0.0	123.136.15.255	HK
123.136.16.0	123.136.23.255	IN
123.136.24.0	123.136.31.255	BD
123.136.32.0	123.136.47.255	AU
123.136.64.0	123.136.71.255	SG
123.136.72.0	123.136.79.255	PH
123.136.80.0	123.136.95.255	CN
123.136.96.0	123.136.127.255	MY
123.136.128.0	123.136.255.255	IN
123.137.0.0	123.139.255.255	CN
123.140.0.0	123.143.255.255	KR
123.144.0.0	123.175.255.255	CN
123.176.0.0	123.176.31.255	MV
123.176.32.0	123.176.47.255	IN
123.176.48.0	123.176.55.255	JP
123.176.56.0	123.176.59.255	BD
123.176.64.0	123.176.71.255	PH
123.176.72.0	123.176.79.255	WS
123.176.80.0	123.176.95.255	CN
123.176.96.0	123.176.103.255	HK
123.176.104.0	123.176.111.255	JP
123.176.112.0	123.176.119.255	AU
123.176.120.0	123.176.127.255	ID
123.176.128.0	123.176.255.255	JP
123.177.0.0	123.191.255.255	CN
123.192.0.0	123.195.255.255	TW
123.196.0.0	123.197.255.255	CN
123.198.0.0	123.198.255.255	JP
123.199.0.0	123.199.127.255	KR
123.199.128.0	123.199.255.255	CN
123.200.0.0	123.200.31.255	BD
123.200.32.0	123.200.63.255	JP
123.200.64.0	123.200.127.255	KR
123.200.128.0	123.200.255.255	AU
123.201.0.0	123.201.255.255	IN
123.202.0.0	123.203.255.255	HK
123.204.0.0	123.205.255.255	TW
123.206.0.0	123.207.255.255	CN
123.208.0.0	123.211.255.255	AU
123.212.0.0	123.215.255.255	KR
123.216.0.0	123.227.255.255	JP
123.228.0.0	123.229.255.255	KR
123.230.0.0	123.230.255.255	JP
123.231.0.0	123.231.127.255	LK
123.231.128.0	123.231.255.255	ID
123.232.0.0	123.235.255.255	CN
123.236.0.0	123.239.255.255	IN
123.240.0.0	123.241.255.255	TW
123.242.0.0	123.242.127.255	CN
123.242.128.0	123.242.191.255	TH
123.242.200.0	123.242.207.255	PH
123.242.208.0	123.242.223.255	JP
123.242.224.0	123.242.231.255	HK
123.242.232.0	123.242.239.255	JP
123.242.240.0	123.242.255.255	IN
123.243.0.0	123.243.255.255	AU
123.244.0.0	123.247.255.255	CN
123.248.0.0	123.248.255.255	KR
123.249.0.0	123.249.255.255	CN
123.250.0.0	123.251.255.255	KR
123.252.0.0	123.252.127.255	TW
123.252.128.0	123.252.255.255	IN
123.253.0.0	123.253.255.255	CN
123.254.0.0	123.254.63.255	JP
123.254.64.0	123.254.95.255	KR
123.254.96.0	123.254.103.255	AP
123.254.128.0	123.254.255.255	KR
123.255.0.0	123.255.63.255	NZ
123.255.64.0	123.255.127.255	HK
123.255.128.0	123.255.199.255	JP
123.255.200.0	123.255.207.255	ID
123.255.208.0	123.255.223.255	AU
123.255.224.0	123.255.231.255	TW
123.255.232.0	123.255.247.255	JP
123.255.248.0	123.255.255.255	IN
124.0.0.0	124.3.255.255	KR
124.4.0.0	124.4.255.255	IN
124.5.0.0	124.5.255.255	KR
124.6.0.0	124.6.31.255	TW
124.6.32.0	124.6.63.255	AP
124.6.64.0	124.6.127.255	CN
124.6.128.0	124.6.191.255	PH
124.6.192.0	124.6.223.255	NZ
124.6.224.0	124.6.239.255	BD
124.7.0.0	124.7.255.255	IN
124.8.0.0	124.12.255.255	TW
124.13.0.0	124.13.255.255	MY
124.14.0.0	124.17.255.255	CN
124.18.0.0	124.18.255.255	JP
124.19.0.0	124.19.127.255	AU
124.19.128.0	124.19.255.255	PH
124.20.0.0	124.23.255.255	CN
124.24.0.0	124.27.255.255	JP
124.28.0.0	124.28.191.255	KR
124.28.192.0	124.29.127.255	CN
124.29.128.0	124.29.191.255	TW
124.29.192.0	124.29.255.255	PK
124.30.0.0	124.30.255.255	IN
124.31.0.0	124.31.255.255	CN
124.32.0.0	124.40.111.255	JP
124.40.112.0	124.40.191.255	CN
124.40.192.0	124.40.223.255	AU
124.40.224.0	124.40.239.255	TH
124.40.240.0	124.40.243.255	AU
124.40.248.0	124.40.255.255	ID
124.41.0.0	124.41.191.255	JP
124.41.192.0	124.41.255.255	NP
124.42.0.0	124.42.255.255	CN
124.43.0.0	124.43.255.255	LK
124.44.0.0	124.45.255.255	JP
124.46.0.0	124.46.255.255	KR
124.47.0.0	124.47.63.255	CN
124.47.64.0	124.47.127.255	JP
124.47.128.0	124.47.191.255	IN
124.47.192.0	124.47.255.255	JP
124.48.0.0	124.63.255.255	KR
124.64.0.0	124.66.127.255	CN
124.66.128.0	124.66.159.255	SG
124.66.160.0	124.66.167.255	ID
124.66.168.0	124.66.175.255	JP
124.66.176.0	124.66.191.255	KR
124.66.192.0	124.66.255.255	JP
124.67.0.0	124.79.255.255	CN
124.80.0.0	124.80.255.255	KR
124.81.0.0	124.81.255.255	ID
124.82.0.0	124.82.255.255	MY
124.83.0.0	124.83.127.255	PH
124.83.128.0	124.87.255.255	JP
124.88.0.0	124.95.255.255	CN
124.96.0.0	124.103.255.255	JP
124.104.0.0	124.107.255.255	PH
124.108.4.0	124.108.7.255	KH
124.108.8.0	124.108.15.255	CN
124.108.16.0	124.108.23.255	BD
124.108.24.0	124.108.31.255	FJ
124.108.32.0	124.108.39.255	JP
124.108.40.0	124.108.47.255	CN
124.108.48.0	124.108.55.255	KH
124.108.56.0	124.108.63.255	JP
124.108.64.0	124.108.77.255	AP
124.108.78.0	124.108.79.255	SG
124.108.80.0	124.108.83.255	HK
124.108.84.0	124.108.89.255	AP
124.108.90.0	124.108.91.255	JP
124.108.92.0	124.108.95.255	HK
124.108.96.0	124.108.99.255	AU
124.108.100.0	124.108.111.255	AP
124.108.112.0	124.108.127.255	HK
124.108.128.0	124.108.191.255	TW
124.108.192.0	124.108.255.255	JP
124.109.0.0	124.109.3.255	TH
124.109.4.0	124.109.7.255	SG
124.109.8.0	124.109.15.255	FM
124.109.16.0	124.109.23.255	BD
124.109.24.0	124.109.31.255	TH
124.109.32.0	124.109.63.255	PK
124.109.64.0	124.109.95.255	AU
124.109.96.0	124.109.103.255	AP
124.109.104.0	124.109.107.255	BD
124.109.108.0	124.109.111.255	JP
124.109.112.0	124.109.127.255	TW
124.109.128.0	124.110.255.255	JP
124.111.0.0	124.111.255.255	KR
124.112.0.0	124.119.255.255	CN
124.120.0.0	124.122.255.255	TH
124.123.0.0	124.125.255.255	IN
124.126.0.0	124.135.255.255	CN
124.136.0.0	124.139.255.255	KR
124.140.0.0	124.145.255.255	JP
124.146.0.0	124.146.63.255	KR
124.146.64.0	124.147.127.255	JP
124.147.128.0	124.147.255.255	CN
124.148.0.0	124.150.127.255	AU
124.150.128.0	124.150.135.255	TW
124.150.136.0	124.150.136.255	IN
124.150.140.0	124.150.143.255	MY
124.150.144.0	124.150.159.255	JP
124.150.160.0	124.150.175.255	NZ
124.150.176.0	124.150.255.255	JP
124.151.0.0	124.151.255.255	CN
124.153.0.0	124.153.63.255	ID
124.153.64.0	124.153.127.255	IN
124.153.128.0	124.153.255.255	KR
124.154.0.0	124.155.127.255	JP
124.155.128.0	124.155.191.255	TW
124.155.192.0	124.155.223.255	SG
124.155.224.0	124.155.239.255	NZ
124.156.0.0	124.156.255.255	CN
124.157.0.0	124.157.63.255	AU
124.157.64.0	124.157.127.255	NZ
124.157.128.0	124.157.255.255	TH
124.158.0.0	124.158.15.255	VN
124.158.16.0	124.158.27.255	AU
124.158.28.0	124.158.31.255	IN
124.158.32.0	124.158.63.255	PH
124.158.64.0	124.158.127.255	MN
124.158.128.0	124.158.191.255	ID
124.158.192.0	124.158.223.255	HK
124.158.224.0	124.158.255.255	SG
124.159.0.0	124.159.255.255	JP
124.160.0.0	124.167.255.255	CN
124.168.0.0	124.171.255.255	AU
124.172.0.0	124.175.255.255	CN
124.176.0.0	124.191.255.255	AU
124.192.0.0	124.193.255.255	CN
124.194.0.0	124.194.255.255	KR
124.195.0.0	124.195.127.255	ID
124.195.128.0	124.195.143.255	MY
124.195.144.0	124.195.159.255	JP
124.195.160.0	124.195.191.255	KR
124.195.192.0	124.195.223.255	MV
124.195.224.0	124.195.255.255	KR
124.196.0.0	124.196.255.255	CN
124.197.0.0	124.197.63.255	NZ
124.197.64.0	124.197.127.255	SG
124.197.128.0	124.197.223.255	KR
124.197.224.0	124.197.255.255	MY
124.198.0.0	124.198.127.255	KR
124.198.128.0	124.198.255.255	NZ
124.199.0.0	124.199.63.255	KR
124.199.64.0	124.199.111.255	TW
124.199.112.0	124.199.127.255	SG
124.199.128.0	124.199.255.255	KR
124.200.0.0	124.207.255.255	CN
124.208.0.0	124.215.255.255	JP
124.216.0.0	124.216.255.255	KR
124.217.0.0	124.217.127.255	PH
124.217.128.0	124.217.191.255	HK
124.217.192.0	124.217.223.255	KR
124.217.224.0	124.217.255.255	MY
124.218.0.0	124.219.127.255	TW
124.219.128.0	124.219.255.255	JP
124.220.0.0	124.240.191.255	CN
124.240.192.0	124.240.223.255	PG
124.241.0.0	124.241.255.255	JP
124.242.0.0	124.242.255.255	CN
124.243.0.0	124.243.127.255	KR
124.243.128.0	124.243.191.255	AU
124.243.192.0	124.243.255.255	CN
124.244.0.0	124.244.255.255	HK
124.245.0.0	124.245.255.255	JP
124.246.0.0	124.246.63.255	AU
124.246.64.0	124.246.127.255	SG
124.246.128.0	124.247.191.255	JP
124.247.192.0	124.247.255.255	IN
124.248.0.0	124.248.127.255	CN
124.248.128.0	124.248.143.255	NZ
124.248.160.0	124.248.191.255	KH
124.248.192.0	124.248.255.255	HK
124.249.0.0	124.251.255.255	CN
124.252.0.0	124.252.255.255	AU
124.253.0.0	124.253.255.255	IN
124.254.0.0	124.254.63.255	CN
124.254.64.0	124.254.127.255	AU
124.254.128.0	124.254.255.255	KR
124.255.0.0	125.4.255.255	JP
125.5.0.0	125.5.255.255	PH
125.6.0.0	125.6.255.255	JP
125.7.0.0	125.7.127.255	AU
125.7.128.0	125.7.255.255	KR
125.8.0.0	125.15.255.255	JP
125.16.0.0	125.23.255.255	IN
125.24.0.0	125.27.255.255	TH
125.28.0.0	125.30.255.255	JP
125.31.0.0	125.31.63.255	MO
125.31.64.0	125.31.127.255	JP
125.31.128.0	125.31.191.255	KR
125.31.192.0	125.47.255.255	CN
125.48.0.0	125.56.127.255	JP
125.56.128.0	125.56.255.255	US
125.57.0.0	125.57.255.255	KR
125.58.0.0	125.58.63.255	AU
125.58.64.0	125.58.127.255	JP
125.58.128.0	125.58.255.255	CN
125.59.0.0	125.59.255.255	HK
125.60.0.0	125.60.127.255	KR
125.60.128.0	125.60.255.255	PH
125.61.0.0	125.61.127.255	KR
125.61.128.0	125.62.63.255	CN
125.62.64.0	125.62.95.255	AU
125.62.96.0	125.62.223.255	IN
125.62.224.0	125.62.239.255	TW
125.62.240.0	125.62.255.255	JP
125.63.0.0	125.63.31.255	AU
125.63.32.0	125.63.47.255	JP
125.63.64.0	125.63.127.255	IN
125.63.128.0	125.63.255.255	AU
125.64.0.0	125.98.255.255	CN
125.99.0.0	125.99.255.255	IN
125.100.0.0	125.103.255.255	JP
125.104.0.0	125.127.255.255	CN
125.128.0.0	125.159.255.255	KR
125.160.0.0	125.167.255.255	ID
125.168.0.0	125.168.255.255	AU
125.169.0.0	125.169.255.255	CN
125.170.0.0	125.170.255.255	JP
125.171.0.0	125.171.255.255	CN
125.172.0.0	125.175.255.255	JP
125.176.0.0	125.191.255.255	KR
125.192.0.0	125.207.255.255	JP
125.208.0.0	125.208.63.255	CN
125.208.64.0	125.208.127.255	KR
125.208.128.0	125.208.191.255	ID
125.208.192.0	125.209.63.255	KR
125.209.64.0	125.209.127.255	PK
125.209.128.0	125.209.191.255	AU
125.210.0.0	125.211.255.255	CN
125.212.0.0	125.212.127.255	PH
125.212.128.0	125.212.255.255	VN
125.213.0.0	125.213.127.255	CN
125.213.128.0	125.213.159.255	ID
125.213.160.0	125.213.191.255	AU
125.213.192.0	125.213.223.255	AF
125.213.224.0	125.213.255.255	TH
125.214.0.0	125.214.43.103	VN
125.214.43.104	125.214.43.111	KH
125.214.43.112	125.214.63.255	VN
125.214.64.0	125.214.95.255	AU
125.214.96.0	125.214.127.255	CN
125.214.128.0	125.214.159.255	JP
125.214.160.0	125.214.191.255	LK
125.214.192.0	125.214.255.255	HK
125.215.0.0	125.215.63.255	CN
125.215.64.0	125.215.127.255	JP
125.215.128.0	125.215.255.255	HK
125.216.0.0	125.223.255.255	CN
125.224.0.0	125.233.255.255	TW
125.234.0.0	125.235.255.255	VN
125.236.0.0	125.239.255.255	NZ
125.240.0.0	125.252.63.255	KR
125.252.64.0	125.252.64.31	AP
125.252.64.32	125.252.64.63	TW
125.252.64.64	125.252.64.127	PH
125.252.64.128	125.252.64.159	AP
125.252.64.160	125.252.64.191	PH
125.252.64.192	125.252.64.223	AP
125.252.64.224	125.252.65.31	TW
125.252.65.32	125.252.65.63	AP
125.252.65.64	125.252.65.127	PH
125.252.65.128	125.252.66.191	AP
125.252.66.192	125.252.66.207	TW
125.252.66.208	125.252.67.31	PH
125.252.67.32	125.252.67.47	TW
125.252.67.48	125.252.67.63	AP
125.252.67.64	125.252.67.207	PH
125.252.67.208	125.252.67.215	TW
125.252.67.216	125.252.67.223	PH
125.252.67.224	125.252.68.63	AP
125.252.68.64	125.252.68.255	PH
125.252.69.0	125.252.69.255	TW
125.252.70.0	125.252.70.15	PH
125.252.70.16	125.252.70.31	AP
125.252.70.32	125.252.70.55	PH
125.252.70.56	125.252.70.127	AP
125.252.70.128	125.252.70.223	PH
125.252.70.224	125.252.70.231	AP
125.252.70.232	125.252.70.239	PH
125.252.70.240	125.252.70.255	TW
125.252.71.0	125.252.71.159	AP
125.252.71.160	125.252.73.255	PH
125.252.74.0	125.252.74.63	AP
125.252.74.64	125.252.74.191	TW
125.252.74.192	125.252.75.255	AP
125.252.76.0	125.252.77.255	TW
125.252.78.0	125.252.79.255	JP
125.252.80.0	125.252.82.255	AP
125.252.83.0	125.252.85.255	PH
125.252.86.0	125.252.86.255	AP
125.252.87.0	125.252.87.255	HK
125.252.88.0	125.252.89.255	JP
125.252.90.0	125.252.90.255	PH
125.252.91.0	125.252.91.255	AP
125.252.92.0	125.252.95.255	AU
125.252.96.0	125.252.97.255	AP
125.252.98.0	125.252.98.255	PH
125.252.99.0	125.252.101.255	AP
125.252.102.0	125.252.103.223	HK
125.252.103.224	125.252.105.255	AP
125.252.106.0	125.252.106.255	JP
125.252.107.0	125.252.107.255	HK
125.252.108.0	125.252.108.255	AP
125.252.109.0	125.252.109.255	PH
125.252.110.0	125.252.127.255	AP
125.252.128.0	125.252.191.255	JP
125.252.192.0	125.252.225.255	AP
125.252.226.0	125.252.226.255	IN
125.252.227.0	125.252.239.255	AP
125.252.240.0	125.252.255.255	JP
125.253.0.0	125.253.127.255	AU
125.253.128.0	125.253.255.255	HK
125.254.0.0	125.254.51.255	AU
125.254.56.0	125.254.59.255	JP
125.254.60.0	125.254.127.255	AU
125.254.128.0	125.254.255.255	CN
125.255.0.0	125.255.255.255	AU
126.0.0.0	126.255.255.255	JP
128.0.0.0	128.6.255.255	US
128.7.0.0	128.7.255.255	DE
128.8.0.0	128.11.62.99	US
128.11.62.100	128.11.62.119	AU
128.11.62.120	128.11.96.31	US
128.11.96.32	128.11.96.63	CA
128.11.96.64	128.15.255.255	US
128.16.0.0	128.16.255.255	GB
128.17.0.0	128.38.255.255	US
128.39.0.0	128.39.255.255	NO
128.40.0.0	128.41.255.255	GB
128.42.0.0	128.42.255.255	US
128.43.0.0	128.43.255.255	CA
128.44.0.0	128.64.255.255	US
128.80.0.0	128.85.255.255	US
128.86.0.0	128.87.255.255	GB
128.88.0.0	128.92.255.255	US
128.93.0.0	128.93.255.255	FR
128.94.0.0	128.97.255.255	US
128.98.0.0	128.98.255.255	GB
128.99.0.0	128.99.255.255	US
128.100.0.0	128.100.255.255	CA
128.101.0.0	128.129.255.255	US
128.130.0.0	128.131.255.255	AT
128.132.0.0	128.133.255.255	US
128.134.0.0	128.134.255.255	KR
128.135.0.0	128.138.255.255	US
128.139.0.0	128.139.255.255	IL
128.141.0.0	128.142.255.255	CH
128.143.0.0	128.143.255.255	US
128.144.0.0	128.144.255.255	CA
128.145.0.0	128.175.255.255	US
128.176.0.0	128.176.255.255	DE
128.177.0.0	128.177.255.255	US
128.178.0.0	128.179.255.255	CH
128.180.0.0	128.183.255.255	US
128.184.0.0	128.184.255.255	AU
128.185.0.0	128.188.255.255	US
128.189.0.0	128.189.255.255	CA
128.190.0.0	128.198.255.255	US
128.199.0.0	128.199.255.255	GB
128.200.0.0	128.200.255.255	US
128.201.0.0	128.201.255.255	FR
128.202.0.0	128.213.255.255	US
128.214.0.0	128.214.255.255	FI
128.215.0.0	128.231.255.255	US
128.232.0.0	128.232.255.255	GB
128.233.0.0	128.233.255.255	CA
128.235.0.0	128.239.255.255	US
128.240.0.0	128.240.255.255	GB
128.241.0.0	128.241.39.255	US
128.241.40.0	128.241.47.255	A1
128.241.48.0	128.241.87.255	US
128.241.88.0	128.241.88.255	A1
128.241.89.0	128.241.103.255	US
128.241.104.0	128.241.109.255	A1
128.241.110.0	128.242.255.255	US
128.243.0.0	128.243.255.255	GB
128.244.0.0	128.245.255.255	US
128.246.0.0	128.246.255.255	CH
128.247.0.0	128.249.255.255	US
128.250.0.0	128.250.255.255	AU
128.251.0.0	129.10.255.255	US
129.11.0.0	129.12.255.255	GB
129.13.0.0	129.13.255.255	DE
129.14.0.0	129.15.255.255	US
129.16.0.0	129.16.255.255	SE
129.17.0.0	129.17.255.255	US
129.19.0.0	129.19.255.255	US
129.20.0.0	129.20.255.255	FR
129.21.0.0	129.25.255.255	US
129.26.0.0	129.26.255.255	DE
129.27.0.0	129.27.255.255	AT
129.28.0.0	129.30.255.255	US
129.31.0.0	129.31.255.255	GB
129.32.0.0	129.35.63.255	US
129.35.64.0	129.35.79.255	GB
129.35.80.0	129.59.255.255	US
129.60.0.0	129.60.255.255	JP
129.61.0.0	129.66.255.255	US
129.67.0.0	129.67.255.255	GB
129.68.0.0	129.68.255.255	US
129.69.0.0	129.70.255.255	DE
129.71.0.0	129.77.255.255	US
129.78.0.0	129.78.255.255	AU
129.79.0.0	129.87.255.255	US
129.88.0.0	129.88.255.255	FR
129.89.0.0	129.89.255.255	US
129.90.0.0	129.90.255.255	VE
129.91.0.0	129.93.255.255	US
129.94.0.0	129.94.255.255	AU
129.95.0.0	129.95.255.255	US
129.96.0.0	129.96.255.255	AU
129.97.0.0	129.97.255.255	CA
129.98.0.0	129.99.255.255	US
129.100.0.0	129.100.255.255	CA
129.101.0.0	129.101.255.255	US
129.102.0.0	129.102.255.255	FR
129.103.0.0	129.103.255.255	DE
129.104.0.0	129.104.255.255	FR
129.105.0.0	129.124.255.255	US
129.125.0.0	129.125.255.255	NL
129.126.0.0	129.126.255.255	US
129.127.0.0	129.127.255.255	AU
129.128.0.0	129.128.255.255	CA
129.129.0.0	129.129.255.255	CH
129.130.0.0	129.131.255.255	US
129.132.0.0	129.132.255.255	CH
129.133.0.0	129.135.255.255	US
129.136.0.0	129.136.255.255	JP
129.137.0.0	129.139.255.255	US
129.141.0.0	129.141.255.255	US
129.142.0.0	129.142.255.255	DK
129.143.0.0	129.143.255.255	DE
129.144.0.0	129.168.255.255	US
129.169.0.0	129.169.255.255	GB
129.170.0.0	129.172.255.255	US
129.173.0.0	129.173.255.255	CA
129.174.0.0	129.174.255.255	US
129.175.0.0	129.175.255.255	FR
129.176.0.0	129.176.255.255	US
129.177.0.0	129.177.255.255	NO
129.178.0.0	129.178.255.255	SE
129.179.0.0	129.179.255.255	US
129.180.0.0	129.180.255.255	AU
129.181.0.0	129.185.255.255	FR
129.186.0.0	129.186.255.255	US
129.187.0.0	129.187.255.255	DE
129.188.0.0	129.193.255.255	US
129.194.0.0	129.195.255.255	CH
129.196.0.0	129.198.255.255	US
129.199.0.0	129.199.255.255	FR
129.200.0.0	129.204.255.255	US
129.206.0.0	129.206.255.255	DE
129.207.0.0	129.207.255.255	US
129.208.0.0	129.208.255.255	GB
129.209.0.0	129.214.255.255	US
129.215.0.0	129.215.255.255	GB
129.216.0.0	129.216.255.255	US
129.217.0.0	129.217.255.255	DE
129.218.0.0	129.231.255.255	US
129.233.0.0	129.233.255.255	DE
129.234.0.0	129.234.255.255	GB
129.235.0.0	129.239.255.255	US
129.240.0.0	129.242.255.255	NO
129.243.0.0	129.246.255.255	US
129.247.0.0	129.247.255.255	DE
129.248.0.0	129.248.255.255	US
129.249.0.0	129.249.255.255	JP
129.250.0.0	129.253.255.255	US
129.254.0.0	129.254.255.255	KR
129.255.0.0	130.11.255.255	US
130.12.0.0	130.12.255.255	CA
130.13.0.0	130.14.255.255	US
130.15.0.0	130.15.255.255	CA
130.16.0.0	130.23.255.255	US
130.24.0.0	130.24.255.255	GB
130.26.0.0	130.27.255.255	US
130.28.0.0	130.28.255.255	SE
130.29.0.0	130.31.255.255	US
130.32.0.0	130.32.255.255	GB
130.33.0.0	130.33.255.255	US
130.34.0.0	130.34.255.255	JP
130.35.0.0	130.36.255.255	US
130.37.0.0	130.37.255.255	NL
130.38.0.0	130.53.255.255	US
130.54.0.0	130.54.255.255	JP
130.55.0.0	130.55.255.255	US
130.56.0.0	130.56.255.255	AU
130.57.0.0	130.58.255.255	US
130.59.0.0	130.60.255.255	CH
130.61.0.0	130.62.255.255	US
130.63.0.0	130.63.255.255	CA
130.64.0.0	130.65.255.255	US
130.66.0.0	130.66.255.255	FR
130.67.0.0	130.67.255.255	NO
130.68.0.0	130.68.255.255	US
130.69.0.0	130.69.255.255	JP
130.70.0.0	130.72.255.255	US
130.73.0.0	130.73.255.255	DE
130.74.0.0	130.74.255.255	US
130.75.0.0	130.75.255.255	DE
130.76.0.0	130.77.255.255	US
130.78.0.0	130.78.255.255	NL
130.79.0.0	130.79.255.255	FR
130.80.0.0	130.81.255.255	US
130.82.0.0	130.82.255.255	CH
130.83.0.0	130.83.255.255	DE
130.84.0.0	130.84.255.255	FR
130.85.0.0	130.86.255.255	US
130.87.0.0	130.87.255.255	JP
130.88.0.0	130.88.255.255	GB
130.89.0.0	130.89.255.255	NL
130.90.0.0	130.91.255.255	US
130.92.0.0	130.92.255.255	CH
130.93.0.0	130.94.91.127	US
130.94.91.128	130.94.91.255	A1
130.94.92.0	130.94.105.127	US
130.94.105.128	130.94.105.255	A1
130.94.106.0	130.94.106.223	US
130.94.106.224	130.94.106.255	A1
130.94.107.0	130.94.107.127	US
130.94.107.128	130.94.107.255	A1
130.94.108.0	130.94.121.31	US
130.94.121.32	130.94.121.39	A1
130.94.121.40	130.94.121.167	US
130.94.121.168	130.94.121.175	A1
130.94.121.176	130.94.121.247	US
130.94.121.248	130.94.121.255	A1
130.94.122.0	130.94.123.159	US
130.94.123.160	130.94.123.191	A1
130.94.123.192	130.94.132.255	US
130.94.133.0	130.94.133.127	A1
130.94.133.128	130.94.133.255	US
130.94.134.0	130.94.134.255	A1
130.94.135.0	130.94.255.255	US
130.95.0.0	130.95.255.255	AU
130.96.0.0	130.97.255.255	US
130.98.0.0	130.98.255.255	FR
130.99.0.0	130.99.255.255	US
130.100.0.0	130.100.255.255	SE
130.101.0.0	130.101.255.255	US
130.102.0.0	130.102.255.255	AU
130.103.0.0	130.103.255.255	US
130.104.0.0	130.104.255.255	BE
130.105.0.0	130.111.255.255	US
130.112.0.0	130.112.255.255	NL
130.113.0.0	130.113.255.255	CA
130.114.0.0	130.114.255.255	US
130.115.0.0	130.115.255.255	NL
130.116.0.0	130.116.255.255	AU
130.117.0.0	130.119.255.255	US
130.120.0.0	130.120.255.255	FR
130.121.0.0	130.122.255.255	US
130.123.0.0	130.123.255.255	NZ
130.124.0.0	130.124.255.255	US
130.125.0.0	130.125.255.255	CH
130.126.0.0	130.129.255.255	US
130.130.0.0	130.130.255.255	AU
130.131.0.0	130.132.255.255	US
130.133.0.0	130.133.255.255	DE
130.134.0.0	130.135.255.255	US
130.136.0.0	130.136.255.255	IT
130.137.0.0	130.137.255.255	US
130.138.0.0	130.147.255.255	NL
130.148.0.0	130.148.255.255	GB
130.149.0.0	130.149.255.255	DE
130.150.0.0	130.152.255.255	US
130.153.0.0	130.153.255.255	JP
130.154.0.0	130.154.255.255	US
130.155.0.0	130.155.255.255	AU
130.156.0.0	130.157.255.255	US
130.158.0.0	130.158.255.255	JP
130.159.0.0	130.159.255.255	GB
130.160.0.0	130.160.255.255	US
130.161.0.0	130.161.255.255	NL
130.162.0.0	130.178.255.255	US
130.179.0.0	130.179.255.255	CA
130.181.0.0	130.182.255.255	US
130.183.0.0	130.183.255.255	DE
130.184.0.0	130.184.255.255	US
130.186.0.0	130.186.255.255	IT
130.187.0.0	130.187.255.255	US
130.188.0.0	130.188.255.255	FI
130.189.0.0	130.189.255.255	US
130.190.0.0	130.190.255.255	FR
130.191.0.0	130.191.255.255	US
130.192.0.0	130.192.255.255	IT
130.194.0.0	130.194.255.255	AU
130.195.0.0	130.195.255.255	NZ
130.196.0.0	130.197.255.255	US
130.198.0.0	130.198.255.255	CH
130.199.0.0	130.203.255.255	US
130.205.0.0	130.205.255.255	US
130.206.0.0	130.206.255.255	ES
130.207.0.0	130.207.255.255	US
130.208.0.0	130.208.255.255	IS
130.209.0.0	130.209.255.255	GB
130.210.0.0	130.215.255.255	US
130.216.0.0	130.217.255.255	NZ
130.218.0.0	130.219.255.255	US
130.220.0.0	130.220.255.255	AU
130.221.0.0	130.222.255.255	US
130.223.0.0	130.223.255.255	CH
130.224.0.0	130.224.255.255	US
130.225.0.0	130.228.255.255	DK
130.229.0.0	130.229.255.255	SE
130.230.0.0	130.234.255.255	FI
130.235.0.0	130.244.255.255	SE
130.245.0.0	130.245.255.255	US
130.246.0.0	130.246.255.255	GB
130.247.0.0	130.249.255.255	US
130.250.0.0	130.250.255.255	CA
130.251.0.0	130.251.255.255	IT
130.252.0.0	130.255.255.255	US
131.1.0.0	131.1.255.255	IT
131.2.0.0	131.96.255.255	US
131.97.0.0	131.97.255.255	SE
131.98.0.0	131.98.255.255	US
131.99.0.0	131.99.255.255	DE
131.101.0.0	131.101.255.255	US
131.102.0.0	131.102.255.255	CH
131.103.0.0	131.103.255.255	US
131.104.0.0	131.104.255.255	CA
131.105.0.0	131.107.255.255	US
131.109.0.0	131.110.255.255	US
131.111.0.0	131.111.255.255	GB
131.112.0.0	131.113.255.255	JP
131.114.0.0	131.114.255.255	IT
131.115.0.0	131.116.255.255	SE
131.117.0.0	131.117.127.255	CH
131.118.0.0	131.128.255.255	US
131.129.0.0	131.129.255.255	CA
131.130.0.0	131.130.255.255	AT
131.131.0.0	131.131.255.255	US
131.132.0.0	131.141.255.255	CA
131.142.0.0	131.146.255.255	US
131.147.0.0	131.150.6.255	CA
131.150.7.0	131.150.7.255	US
131.150.8.0	131.150.10.255	CA
131.150.11.0	131.150.15.255	US
131.150.16.0	131.150.30.255	CA
131.150.31.0	131.150.31.255	US
131.150.32.0	131.150.54.255	CA
131.150.55.0	131.150.55.255	US
131.150.56.0	131.150.61.255	CA
131.150.62.0	131.150.62.255	US
131.150.63.0	131.150.79.255	CA
131.150.80.0	131.150.83.255	US
131.150.84.0	131.150.129.255	CA
131.150.130.0	131.150.131.255	US
131.150.132.0	131.150.189.255	CA
131.150.190.0	131.150.190.255	US
131.150.191.0	131.150.255.255	CA
131.151.0.0	131.151.255.255	US
131.152.0.0	131.152.255.255	CH
131.153.0.0	131.153.255.255	US
131.154.0.0	131.154.255.255	IT
131.155.0.0	131.155.255.255	NL
131.156.0.0	131.158.255.255	US
131.159.0.0	131.159.255.255	DE
131.160.0.0	131.160.255.255	FI
131.162.0.0	131.163.255.255	CA
131.164.0.0	131.165.255.255	DK
131.166.0.0	131.166.255.255	EU
131.167.0.0	131.168.255.255	US
131.169.0.0	131.169.255.255	DE
131.170.0.0	131.170.255.255	AU
131.171.0.0	131.171.255.255	US
131.172.0.0	131.172.255.255	AU
131.173.0.0	131.173.255.255	DE
131.174.0.0	131.174.255.255	NL
131.175.0.0	131.175.255.255	IT
131.176.0.0	131.176.255.255	US
131.177.0.0	131.177.255.255	FI
131.178.0.0	131.178.255.255	MX
131.179.0.0	131.179.255.255	US
131.180.0.0	131.180.255.255	NL
131.181.0.0	131.181.255.255	AU
131.182.0.0	131.184.255.255	US
131.185.0.0	131.185.255.255	AU
131.186.0.0	131.187.255.255	US
131.188.0.0	131.188.255.255	DE
131.189.0.0	131.194.255.255	US
131.195.0.0	131.195.255.255	CA
131.196.0.0	131.196.255.255	FR
131.197.0.0	131.201.255.255	US
131.202.0.0	131.202.255.255	CA
131.203.0.0	131.203.255.255	NZ
131.204.0.0	131.204.255.255	US
131.205.0.0	131.205.255.255	SE
131.206.0.0	131.206.255.255	JP
131.207.0.0	131.207.255.255	FI
131.208.0.0	131.210.255.255	US
131.211.0.0	131.211.255.255	NL
131.212.0.0	131.212.255.255	US
131.213.0.0	131.213.255.255	CA
131.214.0.0	131.216.255.255	US
131.217.0.0	131.217.255.255	AU
131.218.0.0	131.219.255.255	US
131.220.0.0	131.220.255.255	DE
131.222.0.0	131.223.255.255	US
131.224.0.0	131.224.255.255	NL
131.225.0.0	131.226.255.255	US
131.227.0.0	131.227.255.255	GB
131.228.0.0	131.228.255.255	FI
131.229.0.0	131.230.255.255	US
131.231.0.0	131.231.255.255	GB
131.232.0.0	131.232.255.255	CA
131.233.0.0	131.233.255.255	US
131.234.0.0	131.234.255.255	DE
131.235.0.0	131.235.255.255	CA
131.236.0.0	131.236.255.255	AU
131.237.0.0	131.237.255.255	NL
131.238.0.0	131.241.255.255	US
131.242.0.0	131.242.255.255	AU
131.243.0.0	131.243.255.255	US
131.244.0.0	131.245.255.255	AU
131.246.0.0	131.246.255.255	DE
131.247.0.0	131.247.255.255	US
131.248.0.0	131.248.255.255	JP
131.249.0.0	131.250.255.255	US
131.251.0.0	131.251.255.255	GB
131.252.0.0	131.253.0.255	US
131.253.1.0	131.253.1.255	CA
131.253.2.0	131.253.2.255	US
131.253.3.0	131.253.3.255	CA
131.253.4.0	131.253.4.255	US
131.253.5.0	131.253.6.255	CA
131.253.7.0	131.253.7.255	US
131.253.8.0	131.253.8.255	CA
131.253.9.0	131.253.11.255	US
131.253.12.0	131.253.18.255	CA
131.253.19.0	131.253.20.255	US
131.253.21.0	131.253.47.255	CA
131.253.48.0	131.253.60.255	US
131.253.61.0	131.253.255.255	CA
131.254.0.0	131.254.255.255	FR
132.0.0.0	132.63.255.255	US
132.64.0.0	132.78.255.255	IL
132.79.0.0	132.145.255.255	US
132.146.0.0	132.146.255.255	GB
132.147.0.0	132.148.255.255	US
132.149.0.0	132.149.255.255	FR
132.150.0.0	132.150.255.255	NO
132.151.0.0	132.152.255.255	US
132.153.0.0	132.153.255.255	GB
132.154.0.0	132.154.255.255	US
132.155.0.0	132.155.255.255	FI
132.156.0.0	132.156.255.255	CA
132.158.0.0	132.164.255.255	US
132.165.0.0	132.169.255.255	FR
132.170.0.0	132.170.255.255	US
132.171.0.0	132.171.255.255	FI
132.172.0.0	132.175.255.255	US
132.176.0.0	132.176.255.255	DE
132.177.0.0	132.178.255.255	US
132.179.0.0	132.179.255.255	JP
132.180.0.0	132.180.255.255	DE
132.181.0.0	132.181.255.255	NZ
132.182.0.0	132.182.255.255	JP
132.183.0.0	132.183.255.255	US
132.185.0.0	132.185.255.255	GB
132.186.0.0	132.186.255.255	AU
132.187.0.0	132.187.255.255	DE
132.188.0.0	132.194.255.255	US
132.195.0.0	132.195.255.255	DE
132.196.0.0	132.196.255.255	SE
132.197.0.0	132.198.255.255	US
132.199.0.0	132.199.255.255	DE
132.200.0.0	132.201.255.255	US
132.202.0.0	132.221.255.255	CA
132.222.0.0	132.222.255.255	JP
132.223.0.0	132.224.255.255	US
132.225.0.0	132.225.255.255	CA
132.226.0.0	132.226.255.255	US
132.227.0.0	132.227.255.255	FR
132.228.0.0	132.228.255.255	US
132.229.0.0	132.229.255.255	NL
132.230.0.0	132.231.255.255	DE
132.232.0.0	132.232.255.255	GB
132.233.0.0	132.233.255.255	US
132.234.0.0	132.234.255.255	AU
132.235.0.0	132.243.255.255	US
132.244.0.0	132.244.255.255	GB
132.245.0.0	132.245.255.255	US
132.246.0.0	132.246.255.255	CA
132.247.0.0	132.248.255.255	MX
132.249.0.0	132.250.255.255	US
132.252.0.0	132.252.255.255	DE
132.253.0.0	132.253.255.255	US
132.254.0.0	132.254.255.255	MX
133.0.0.0	133.255.255.255	JP
134.0.0.0	134.3.255.255	DE
134.4.0.0	134.6.255.255	US
134.7.0.0	134.7.255.255	AU
134.8.0.0	134.16.255.255	US
134.18.0.0	134.18.255.255	AU
134.20.0.0	134.20.255.255	US
134.21.0.0	134.21.255.255	CH
134.22.0.0	134.22.255.255	CA
134.23.0.0	134.24.239.255	US
134.24.240.0	134.24.240.7	FR
134.24.240.8	134.24.255.255	US
134.25.0.0	134.25.255.255	SE
134.26.0.0	134.26.255.255	US
134.27.0.0	134.27.255.255	NL
134.28.0.0	134.28.255.255	DE
134.29.0.0	134.29.255.255	US
134.30.0.0	134.30.255.255	DE
134.31.0.0	134.31.255.255	CA
134.32.0.0	134.33.255.255	US
134.34.0.0	134.34.255.255	DE
134.35.0.0	134.35.255.255	US
134.36.0.0	134.36.255.255	GB
134.37.0.0	134.37.255.255	FI
134.38.0.0	134.46.255.255	US
134.47.0.0	134.47.255.255	NO
134.48.0.0	134.53.255.255	US
134.54.0.0	134.54.255.255	BE
134.55.0.0	134.57.255.255	US
134.58.0.0	134.58.255.255	BE
134.59.0.0	134.59.255.255	FR
134.60.0.0	134.61.255.255	DE
134.62.0.0	134.74.255.255	US
134.75.0.0	134.75.255.255	KR
134.76.0.0	134.76.255.255	DE
134.77.0.0	134.80.255.255	US
134.81.0.0	134.81.255.255	DE
134.82.0.0	134.82.255.255	US
134.83.0.0	134.83.255.255	GB
134.84.0.0	134.86.255.255	US
134.87.0.0	134.87.255.255	CA
134.88.0.0	134.89.255.255	US
134.91.0.0	134.110.255.255	DE
134.111.0.0	134.114.255.255	US
134.115.0.0	134.115.255.255	AU
134.116.0.0	134.116.255.255	US
134.117.0.0	134.117.255.255	CA
134.118.0.0	134.118.255.255	US
134.119.0.0	134.119.255.255	NO
134.120.0.0	134.129.255.255	US
134.130.0.0	134.130.255.255	DE
134.131.0.0	134.137.255.255	US
134.138.0.0	134.138.255.255	SE
134.139.0.0	134.141.255.255	US
134.142.0.0	134.142.255.255	GB
134.143.0.0	134.143.255.255	NL
134.144.0.0	134.144.255.255	AU
134.145.0.0	134.146.255.255	NL
134.147.0.0	134.147.255.255	DE
134.148.0.0	134.148.255.255	AU
134.149.0.0	134.149.255.255	US
134.150.0.0	134.150.255.255	CA
134.151.0.0	134.151.255.255	GB
134.152.0.0	134.152.255.255	US
134.153.0.0	134.153.255.255	CA
134.154.0.0	134.154.255.255	US
134.155.0.0	134.155.255.255	DE
134.156.0.0	134.156.255.255	US
134.157.0.0	134.158.255.255	FR
134.159.0.0	134.159.1.255	US
134.159.2.0	134.159.2.255	HK
134.159.3.0	134.159.3.255	US
134.159.4.0	134.159.4.255	HK
134.159.5.0	134.159.63.255	US
134.159.64.0	134.159.95.255	GB
134.159.96.0	134.159.96.63	HK
134.159.96.64	134.159.96.95	AU
134.159.96.96	134.159.96.103	TW
134.159.96.104	134.159.96.111	JP
134.159.96.112	134.159.96.191	TW
134.159.96.192	134.159.96.223	HK
134.159.96.224	134.159.96.255	AU
134.159.97.0	134.159.97.255	HK
134.159.98.0	134.159.98.127	JP
134.159.98.128	134.159.98.183	HK
134.159.98.184	134.159.98.191	JP
134.159.98.192	134.159.98.223	IN
134.159.98.224	134.159.98.239	HK
134.159.98.240	134.159.98.255	JP
134.159.99.0	134.159.99.255	AU
134.159.100.0	134.159.100.255	HK
134.159.101.0	134.159.101.127	SG
134.159.101.128	134.159.102.255	HK
134.159.103.0	134.159.104.255	AU
134.159.105.0	134.159.105.255	HK
134.159.106.0	134.159.106.255	BD
134.159.107.0	134.159.107.255	HK
134.159.108.0	134.159.108.15	AU
134.159.108.16	134.159.108.23	JP
134.159.108.24	134.159.108.31	AU
134.159.108.32	134.159.108.63	JP
134.159.108.64	134.159.108.143	HK
134.159.108.144	134.159.108.151	JP
134.159.108.152	134.159.108.159	AU
134.159.108.160	134.159.108.175	JP
134.159.108.176	134.159.108.191	HK
134.159.108.192	134.159.108.207	TW
134.159.108.208	134.159.108.215	JP
134.159.108.216	134.159.109.63	HK
134.159.109.64	134.159.109.95	SG
134.159.109.96	134.159.109.127	AU
134.159.109.128	134.159.109.143	HK
134.159.109.144	134.159.109.159	AU
134.159.109.160	134.159.109.191	TW
134.159.109.192	134.159.109.223	AU
134.159.109.224	134.159.109.255	SG
134.159.110.0	134.159.110.7	KR
134.159.110.8	134.159.110.15	TW
134.159.110.16	134.159.110.23	HK
134.159.110.24	134.159.110.31	JP
134.159.110.32	134.159.110.55	HK
134.159.110.56	134.159.110.63	KR
134.159.110.64	134.159.110.95	HK
134.159.110.96	134.159.110.127	AU
134.159.110.128	134.159.110.135	HK
134.159.110.136	134.159.110.143	TW
134.159.110.144	134.159.110.151	HK
134.159.110.152	134.159.110.167	AU
134.159.110.168	134.159.110.191	HK
134.159.110.192	134.159.110.223	AU
134.159.110.224	134.159.110.239	JP
134.159.110.240	134.159.110.255	AU
134.159.111.0	134.159.111.7	TW
134.159.111.8	134.159.111.15	HK
134.159.111.16	134.159.111.19	AU
134.159.111.20	134.159.111.23	JP
134.159.111.24	134.159.111.47	HK
134.159.111.48	134.159.111.55	AU
134.159.111.56	134.159.111.59	JP
134.159.111.60	134.159.111.71	AU
134.159.111.72	134.159.111.79	IN
134.159.111.80	134.159.111.127	AU
134.159.111.128	134.159.111.191	HK
134.159.111.192	134.159.111.255	SG
134.159.112.0	134.159.112.127	HK
134.159.112.128	134.159.112.143	AU
134.159.112.144	134.159.112.159	HK
134.159.112.160	134.159.112.175	AU
134.159.112.176	134.159.112.239	HK
134.159.112.240	134.159.112.247	JP
134.159.112.248	134.159.116.207	HK
134.159.116.208	134.159.116.223	TW
134.159.116.224	134.159.116.255	AU
134.159.117.0	134.159.120.7	HK
134.159.120.8	134.159.120.15	NZ
134.159.120.16	134.159.120.39	AU
134.159.120.40	134.159.120.47	JP
134.159.120.48	134.159.120.63	AU
134.159.120.64	134.159.120.95	NZ
134.159.120.96	134.159.120.111	JP
134.159.120.112	134.159.120.127	TW
134.159.120.128	134.159.120.255	HK
134.159.121.0	134.159.121.95	KR
134.159.121.96	134.159.121.111	AU
134.159.121.112	134.159.121.143	KR
134.159.121.144	134.159.121.175	NZ
134.159.121.176	134.159.121.191	JP
134.159.121.192	134.159.121.207	TW
134.159.121.208	134.159.121.255	AU
134.159.122.0	134.159.122.31	HK
134.159.122.32	134.159.122.47	AU
134.159.122.48	134.159.122.95	HK
134.159.122.96	134.159.122.119	AU
134.159.122.120	134.159.122.127	NZ
134.159.122.128	134.159.122.167	JP
134.159.122.168	134.159.122.183	AU
134.159.122.184	134.159.122.191	HK
134.159.122.192	134.159.122.223	TW
134.159.122.224	134.159.122.239	HK
134.159.122.240	134.159.122.247	JP
134.159.122.248	134.159.122.255	KR
134.159.123.0	134.159.131.33	HK
134.159.131.34	134.159.131.37	AU
134.159.131.38	134.159.131.95	HK
134.159.131.96	134.159.131.127	KR
134.159.131.128	134.159.131.151	HK
134.159.131.152	134.159.131.155	AU
134.159.131.156	134.159.131.255	HK
134.159.132.0	134.159.132.127	SG
134.159.132.128	134.159.132.191	AU
134.159.132.192	134.159.132.239	HK
134.159.132.240	134.159.132.247	JP
134.159.132.248	134.159.133.255	HK
134.159.134.0	134.159.135.255	JP
134.159.136.0	134.159.137.255	HK
134.159.138.0	134.159.138.255	VN
134.159.139.0	134.159.140.255	HK
134.159.141.0	134.159.141.15	IN
134.159.141.16	134.159.141.127	HK
134.159.141.128	134.159.141.195	AU
134.159.141.196	134.159.141.255	HK
134.159.142.0	134.159.142.31	AU
134.159.142.32	134.159.142.71	HK
134.159.142.72	134.159.142.79	AU
134.159.142.80	134.159.142.127	HK
134.159.142.128	134.159.142.159	AU
134.159.142.160	134.159.142.191	IN
134.159.142.192	134.159.142.207	HK
134.159.142.208	134.159.142.215	SG
134.159.142.216	134.159.142.223	HK
134.159.142.224	134.159.142.231	TW
134.159.142.232	134.159.142.255	HK
134.159.143.0	134.159.143.255	MO
134.159.144.0	134.159.145.255	AU
134.159.146.0	134.159.146.31	IN
134.159.146.32	134.159.146.47	SG
134.159.146.48	134.159.146.63	IN
134.159.146.64	134.159.146.95	SG
134.159.146.96	134.159.146.127	HK
134.159.146.128	134.159.146.191	SG
134.159.146.192	134.159.146.255	AU
134.159.147.0	134.159.147.255	TW
134.159.148.0	134.159.149.255	HK
134.159.150.0	134.159.150.63	SG
134.159.150.64	134.159.150.127	AU
134.159.150.128	134.159.150.255	HK
134.159.151.0	134.159.151.143	AU
134.159.151.144	134.159.151.167	NZ
134.159.151.168	134.159.151.207	AU
134.159.151.208	134.159.151.211	NZ
134.159.151.212	134.159.153.127	HK
134.159.153.128	134.159.153.135	JP
134.159.153.136	134.159.153.255	HK
134.159.154.0	134.159.154.15	JP
134.159.154.16	134.159.154.63	HK
134.159.154.64	134.159.154.95	AU
134.159.154.96	134.159.154.111	JP
134.159.154.112	134.159.154.255	HK
134.159.155.0	134.159.155.31	AU
134.159.155.32	134.159.155.63	HK
134.159.155.64	134.159.155.111	AU
134.159.155.112	134.159.155.115	HK
134.159.155.116	134.159.155.223	AU
134.159.155.224	134.159.155.255	HK
134.159.156.0	134.159.156.127	AU
134.159.156.128	134.159.156.143	HK
134.159.156.144	134.159.156.159	AU
134.159.156.160	134.159.156.167	HK
134.159.156.168	134.159.156.191	AU
134.159.156.192	134.159.156.231	HK
134.159.156.232	134.159.156.239	AU
134.159.156.240	134.159.156.247	SG
134.159.156.248	134.159.157.127	AU
134.159.157.128	134.159.157.159	HK
134.159.157.160	134.159.157.175	AU
134.159.157.176	134.159.163.127	HK
134.159.163.128	134.159.163.191	AU
134.159.163.192	134.159.165.31	HK
134.159.165.32	134.159.165.63	AU
134.159.165.64	134.159.165.79	HK
134.159.165.80	134.159.165.95	IN
134.159.165.96	134.159.165.103	HK
134.159.165.104	134.159.165.119	IN
134.159.165.120	134.159.168.127	HK
134.159.168.128	134.159.168.255	IN
134.159.169.0	134.159.172.255	HK
134.159.173.0	134.159.173.71	AU
134.159.173.72	134.159.173.127	HK
134.159.173.128	134.159.173.159	AU
134.159.173.160	134.159.185.255	HK
134.159.186.0	134.159.186.15	TW
134.159.186.16	134.159.255.255	HK
134.160.0.0	134.160.255.255	JP
134.161.0.0	134.168.255.255	US
134.169.0.0	134.169.255.255	DE
134.170.0.0	134.170.255.255	US
134.171.0.0	134.171.255.255	DE
134.172.0.0	134.175.255.255	US
134.176.0.0	134.176.255.255	DE
134.177.0.0	134.177.255.255	US
134.178.0.0	134.178.255.255	AU
134.179.0.0	134.179.255.255	US
134.180.0.0	134.180.255.255	JP
134.181.0.0	134.182.255.255	US
134.183.0.0	134.183.255.255	GB
134.184.0.0	134.184.255.255	BE
134.185.0.0	134.187.255.255	US
134.188.0.0	134.188.255.255	NL
134.189.0.0	134.189.255.255	US
134.190.0.0	134.190.255.255	CA
134.191.0.0	134.191.255.255	GB
134.192.0.0	134.195.255.255	US
134.196.0.0	134.196.255.255	CN
134.197.0.0	134.198.255.255	US
134.199.0.0	134.199.255.255	CA
134.200.0.0	134.201.255.255	US
134.202.0.0	134.202.255.255	PR
134.203.0.0	134.203.255.255	NL
134.204.0.0	134.205.255.255	US
134.206.0.0	134.206.255.255	FR
134.207.0.0	134.207.255.255	US
134.208.0.0	134.208.255.255	TW
134.209.0.0	134.210.255.255	US
134.211.0.0	134.211.255.255	AU
134.212.0.0	134.212.255.255	FR
134.213.0.0	134.213.255.255	IE
134.214.0.0	134.214.255.255	FR
134.215.0.0	134.218.255.255	US
134.219.0.0	134.220.255.255	GB
134.221.0.0	134.222.255.255	NL
134.223.0.0	134.224.255.255	US
134.225.0.0	134.225.255.255	GB
134.226.0.0	134.226.255.255	IE
134.227.0.0	134.227.255.255	FR
134.228.0.0	134.236.255.255	US
134.237.0.0	134.237.255.255	JP
134.238.0.0	134.238.255.255	US
134.239.0.0	134.239.255.255	GB
134.240.0.0	134.244.255.255	US
134.245.0.0	134.245.255.255	DE
134.246.0.0	134.246.255.255	FR
134.247.0.0	134.247.255.255	DE
134.248.0.0	135.11.255.255	US
135.12.0.0	135.12.255.255	CA
135.13.0.0	135.180.255.255	US
135.181.0.0	135.181.255.255	CA
135.182.0.0	135.195.255.255	US
135.196.0.0	135.196.12.255	GB
135.196.13.0	135.196.13.255	DE
135.196.14.0	135.196.255.255	GB
135.197.0.0	136.144.255.255	US
136.145.0.0	136.145.255.255	PR
136.146.0.0	136.147.255.255	CA
136.148.0.0	136.148.255.255	GB
136.149.0.0	136.152.255.255	US
136.153.0.0	136.154.255.255	AU
136.155.0.0	136.155.255.255	SE
136.156.0.0	136.156.255.255	GB
136.157.0.0	136.157.255.255	US
136.158.0.0	136.158.255.255	NO
136.159.0.0	136.159.255.255	CA
136.160.0.0	136.162.255.255	US
136.163.0.0	136.163.255.255	SE
136.164.0.0	136.164.255.255	NO
136.165.0.0	136.168.255.255	US
136.170.0.0	136.170.255.255	GB
136.171.0.0	136.171.255.255	US
136.172.0.0	136.172.255.255	DE
136.173.0.0	136.173.255.255	LU
136.174.0.0	136.185.255.255	US
136.186.0.0	136.186.255.255	AU
136.187.0.0	136.187.255.255	JP
136.188.0.0	136.197.255.255	US
136.198.0.0	136.198.255.255	JP
136.199.0.0	136.199.255.255	DE
136.200.0.0	136.200.255.255	US
136.201.0.0	136.201.255.255	IE
136.202.0.0	136.205.255.255	US
136.206.0.0	136.206.255.255	IE
136.207.0.0	136.224.255.255	US
136.225.0.0	136.225.255.255	SE
136.226.0.0	136.229.255.255	US
136.230.0.0	136.230.255.255	DE
136.231.0.0	136.231.255.255	NL
136.232.0.0	136.235.255.255	US
136.236.0.0	136.236.255.255	AU
136.237.0.0	136.237.255.255	US
136.238.0.0	136.238.255.255	CH
136.239.0.0	136.242.255.255	US
136.243.0.0	136.243.255.255	DE
136.244.0.0	137.14.255.255	US
137.15.0.0	137.15.255.255	CA
137.16.0.0	137.16.255.255	US
137.17.0.0	137.17.255.255	NL
137.18.0.0	137.32.255.255	US
137.33.0.0	137.33.255.255	FI
137.34.0.0	137.34.255.255	CH
137.35.0.0	137.42.255.255	US
137.43.0.0	137.43.255.255	IE
137.44.0.0	137.44.255.255	GB
137.45.0.0	137.46.255.255	US
137.47.0.0	137.47.255.255	NO
137.48.0.0	137.49.255.255	US
137.50.0.0	137.50.255.255	GB
137.51.0.0	137.54.255.255	US
137.55.0.0	137.56.255.255	NL
137.57.0.0	137.57.255.255	US
137.58.0.0	137.61.255.255	SE
137.62.0.0	137.62.255.255	CH
137.64.0.0	137.67.255.255	US
137.68.0.0	137.68.255.255	KR
137.69.0.0	137.72.255.255	US
137.73.0.0	137.73.255.255	GB
137.74.0.0	137.74.255.255	CA
137.75.0.0	137.75.255.255	US
137.76.0.0	137.76.255.255	AU
137.77.0.0	137.81.255.255	US
137.82.0.0	137.82.255.255	CA
137.83.0.0	137.91.255.255	US
137.92.0.0	137.92.255.255	AU
137.93.0.0	137.93.255.255	NO
137.94.0.0	137.94.255.255	CA
137.95.0.0	137.95.255.255	US
137.96.0.0	137.96.255.255	SE
137.97.0.0	137.100.255.255	US
137.101.0.0	137.101.255.255	GB
137.102.0.0	137.104.255.255	US
137.105.0.0	137.105.255.255	GB
137.106.0.0	137.107.255.255	US
137.108.0.0	137.108.255.255	GB
137.109.0.0	137.109.255.255	AU
137.110.0.0	137.110.255.255	US
137.111.0.0	137.111.255.255	AU
137.112.0.0	137.116.255.255	US
137.117.0.0	137.117.255.255	CA
137.118.0.0	137.119.255.255	US
137.120.0.0	137.120.255.255	NL
137.121.0.0	137.121.255.255	FR
137.122.0.0	137.122.255.255	CA
137.123.0.0	137.128.255.255	US
137.129.0.0	137.129.255.255	FR
137.130.0.0	137.131.255.255	US
137.132.0.0	137.132.255.255	SG
137.133.0.0	137.133.255.255	NO
137.134.0.0	137.137.255.255	US
137.138.0.0	137.138.255.255	CH
137.139.0.0	137.146.255.255	US
137.147.0.0	137.147.255.255	AU
137.148.0.0	137.148.255.255	US
137.149.0.0	137.149.255.255	CA
137.150.0.0	137.152.255.255	US
137.153.0.0	137.153.255.255	JP
137.154.0.0	137.154.255.255	AU
137.155.0.0	137.155.255.255	US
137.156.0.0	137.156.255.255	CH
137.157.0.0	137.157.255.255	AU
137.158.0.0	137.158.255.255	ZA
137.159.0.0	137.162.255.255	US
137.163.0.0	137.163.255.255	FI
137.164.0.0	137.165.255.255	US
137.166.0.0	137.166.255.255	AU
137.167.0.0	137.171.255.255	US
137.172.0.0	137.172.255.255	AU
137.173.0.0	137.173.255.255	US
137.174.0.0	137.174.255.255	NL
137.175.0.0	137.185.255.255	US
137.186.0.0	137.186.255.255	CA
137.187.0.0	137.188.255.255	US
137.189.0.0	137.189.255.255	HK
137.190.0.0	137.190.255.255	US
137.191.0.0	137.191.255.255	IE
137.192.0.0	137.192.255.255	US
137.193.0.0	137.193.255.255	DE
137.194.0.0	137.194.255.255	FR
137.195.0.0	137.195.255.255	GB
137.196.0.0	137.203.255.255	US
137.204.0.0	137.204.255.255	IT
137.205.0.0	137.205.255.255	GB
137.206.0.0	137.206.255.255	US
137.207.0.0	137.207.255.255	CA
137.208.0.0	137.208.255.255	AT
137.209.0.0	137.212.255.255	US
137.213.0.0	137.213.255.255	GB
137.214.0.0	137.215.255.255	ZA
137.216.0.0	137.216.255.255	US
137.217.0.0	137.217.255.255	NO
137.218.0.0	137.218.255.255	GB
137.219.0.0	137.219.255.255	AU
137.220.0.0	137.220.255.255	US
137.221.0.0	137.222.255.255	GB
137.223.0.0	137.223.255.255	IE
137.224.0.0	137.224.255.255	NL
137.225.0.0	137.225.255.255	US
137.226.0.0	137.226.255.255	DE
137.227.0.0	137.247.255.255	US
137.248.0.0	137.248.255.255	DE
137.249.0.0	137.249.255.255	US
137.250.0.0	137.251.255.255	DE
137.252.0.0	137.252.255.255	US
137.253.0.0	137.253.255.255	GB
137.254.0.0	137.254.255.255	US
138.1.0.0	138.2.255.255	US
138.3.0.0	138.3.255.255	GB
138.4.0.0	138.4.255.255	ES
138.5.0.0	138.5.255.255	US
138.6.0.0	138.6.255.255	SE
138.7.0.0	138.7.255.255	AU
138.8.0.0	138.9.255.255	US
138.10.0.0	138.11.255.255	CA
138.12.0.0	138.13.255.255	US
138.14.0.0	138.14.255.255	SE
138.15.0.0	138.18.255.255	US
138.19.0.0	138.19.255.255	AU
138.20.0.0	138.20.255.255	US
138.21.0.0	138.21.255.255	FR
138.22.0.0	138.22.255.255	AT
138.23.0.0	138.23.255.255	US
138.24.0.0	138.25.255.255	AU
138.26.0.0	138.29.255.255	US
138.30.0.0	138.30.255.255	JP
138.31.0.0	138.33.255.255	US
138.34.0.0	138.34.255.255	CA
138.35.0.0	138.35.255.255	US
138.37.0.0	138.38.255.255	GB
138.39.0.0	138.39.255.255	US
138.40.0.0	138.40.255.255	GB
138.41.0.0	138.41.255.255	IT
138.42.0.0	138.43.255.255	US
138.44.0.0	138.44.255.255	AU
138.45.0.0	138.47.255.255	US
138.48.0.0	138.48.255.255	BE
138.49.0.0	138.50.255.255	US
138.51.0.0	138.51.255.255	CA
138.52.0.0	138.61.255.255	US
138.62.0.0	138.62.255.255	NO
138.63.0.0	138.63.255.255	FR
138.64.0.0	138.65.255.255	US
138.66.0.0	138.66.255.255	IT
138.67.0.0	138.69.255.255	US
138.70.0.0	138.70.255.255	IT
138.71.0.0	138.71.255.255	AU
138.72.0.0	138.72.255.255	US
138.73.0.0	138.73.255.255	CA
138.74.0.0	138.74.255.255	US
138.75.0.0	138.75.255.255	NZ
138.76.0.0	138.76.255.255	US
138.77.0.0	138.77.255.255	AU
138.78.0.0	138.78.255.255	US
138.79.0.0	138.80.255.255	AU
138.81.0.0	138.81.255.255	CH
138.82.0.0	138.82.255.255	CA
138.83.0.0	138.95.255.255	US
138.96.0.0	138.96.255.255	FR
138.98.0.0	138.98.255.255	US
138.100.0.0	138.100.255.255	ES
138.101.0.0	138.101.255.255	JP
138.102.0.0	138.102.255.255	FR
138.103.0.0	138.103.255.255	SE
138.104.0.0	138.104.255.255	GB
138.105.0.0	138.105.255.255	US
138.106.0.0	138.106.255.255	SE
138.107.0.0	138.107.255.255	JP
138.108.0.0	138.116.255.255	US
138.119.0.0	138.120.255.255	CA
138.123.0.0	138.123.255.255	US
138.124.0.0	138.124.255.255	NO
138.125.0.0	138.129.255.255	US
138.130.0.0	138.130.255.255	AU
138.131.0.0	138.131.255.255	CH
138.132.0.0	138.132.255.255	IT
138.133.0.0	138.133.255.255	US
138.134.0.0	138.134.255.255	IL
138.135.0.0	138.184.255.255	US
138.187.0.0	138.191.255.255	CH
138.192.0.0	138.193.255.255	US
138.194.0.0	138.194.255.255	AU
138.195.0.0	138.195.255.255	FR
138.196.0.0	138.197.255.255	US
138.198.0.0	138.198.255.255	GB
138.199.0.0	138.199.63.255	EU
138.199.64.0	138.199.79.255	NL
138.199.80.0	138.199.175.255	EU
138.199.176.0	138.199.176.255	DE
138.199.177.0	138.199.254.255	EU
138.199.255.0	138.201.255.255	DE
138.202.0.0	138.202.255.255	US
138.203.0.0	138.203.255.255	BE
138.205.0.0	138.205.255.255	BE
138.206.0.0	138.206.255.255	CH
138.207.0.0	138.210.255.255	US
138.211.0.0	138.211.255.255	NZ
138.212.0.0	138.213.255.255	JP
138.214.0.0	138.214.255.255	CA
138.215.0.0	138.215.255.255	SE
138.216.0.0	138.216.255.255	FI
138.217.0.0	138.217.255.255	AU
138.218.0.0	138.218.255.255	CA
138.220.0.0	138.220.255.255	US
138.221.0.0	138.221.255.255	CH
138.222.0.0	138.222.255.255	DE
138.223.0.0	138.226.255.255	CH
138.227.0.0	138.227.255.255	SE
138.228.0.0	138.228.255.255	CH
138.229.0.0	138.230.255.255	US
138.231.0.0	138.231.255.255	FR
138.232.0.0	138.232.255.255	AT
138.233.0.0	138.233.255.255	SE
138.234.0.0	138.234.255.255	US
138.235.0.0	138.235.255.255	NZ
138.236.0.0	138.242.255.255	US
138.243.0.0	138.243.255.255	JP
138.244.0.0	138.246.255.255	DE
138.247.0.0	138.247.255.255	US
138.248.0.0	138.248.255.255	GB
138.249.0.0	138.249.255.255	FI
138.250.0.0	138.251.255.255	GB
138.252.0.0	138.252.255.255	AU
138.253.0.0	138.253.255.255	GB
138.254.0.0	138.254.255.255	US
139.0.0.0	139.8.255.255	DE
139.10.0.0	139.10.255.255	NL
139.11.0.0	139.30.255.255	DE
139.31.0.0	139.43.255.255	US
139.44.0.0	139.44.255.255	AU
139.45.0.0	139.47.255.255	US
139.48.0.0	139.48.255.255	CA
139.49.0.0	139.49.255.255	US
139.50.0.0	139.50.255.255	DE
139.51.0.0	139.52.255.255	US
139.53.0.0	139.53.255.255	ZA
139.54.0.0	139.54.255.255	FR
139.55.0.0	139.56.255.255	US
139.57.0.0	139.57.255.255	CA
139.58.0.0	139.58.255.255	SE
139.59.0.0	139.59.255.255	AU
139.60.0.0	139.62.255.255	US
139.63.0.0	139.63.255.255	NL
139.64.0.0	139.65.255.255	US
139.66.0.0	139.66.255.255	FI
139.67.0.0	139.73.255.255	US
139.74.0.0	139.74.255.255	FI
139.75.0.0	139.75.255.255	DE
139.76.0.0	139.78.255.255	US
139.79.0.0	139.79.255.255	CH
139.80.0.0	139.80.255.255	NZ
139.81.0.0	139.81.255.255	US
139.82.0.0	139.82.255.255	BR
139.83.0.0	139.83.255.255	PT
139.84.0.0	139.85.255.255	US
139.86.0.0	139.86.255.255	AU
139.87.0.0	139.88.255.255	US
139.89.0.0	139.89.255.255	DE
139.90.0.0	139.90.255.255	BE
139.91.0.0	139.91.255.255	GR
139.92.0.0	139.92.50.255	EU
139.92.51.0	139.92.51.255	IL
139.92.52.0	139.92.87.255	EU
139.92.88.0	139.92.89.255	IL
139.92.90.0	139.92.90.255	EU
139.92.91.0	139.92.92.255	IL
139.92.93.0	139.92.97.255	EU
139.92.98.0	139.92.98.255	IL
139.92.99.0	139.92.181.255	EU
139.92.182.0	139.92.185.255	IL
139.92.186.0	139.92.205.255	EU
139.92.206.0	139.92.208.255	IL
139.92.209.0	139.92.250.255	EU
139.92.251.0	139.92.254.255	IL
139.92.255.0	139.92.255.255	EU
139.93.0.0	139.95.255.255	US
139.96.0.0	139.96.255.255	SE
139.97.0.0	139.97.255.255	FI
139.98.0.0	139.98.255.255	NO
139.99.0.0	139.99.255.255	US
139.100.0.0	139.100.255.255	FR
139.102.0.0	139.102.255.255	US
139.103.0.0	139.103.255.255	CA
139.104.0.0	139.104.255.255	US
139.105.0.0	139.120.255.255	NO
139.121.0.0	139.121.255.255	US
139.122.0.0	139.122.255.255	NL
139.123.0.0	139.123.255.255	FI
139.124.0.0	139.124.255.255	FR
139.125.0.0	139.127.255.255	US
139.128.0.0	139.128.255.255	IT
139.130.0.0	139.130.255.255	AU
139.131.0.0	139.131.255.255	US
139.132.0.0	139.132.255.255	AU
139.133.0.0	139.133.255.255	GB
139.134.0.0	139.134.255.255	AU
139.135.0.0	139.140.255.255	US
139.141.0.0	139.141.255.255	KW
139.142.0.0	139.142.255.255	CA
139.143.0.0	139.143.255.255	GB
139.144.0.0	139.144.255.255	US
139.145.0.0	139.145.255.255	NO
139.146.0.0	139.147.255.255	US
139.149.0.0	139.149.255.255	GB
139.151.0.0	139.151.255.255	US
139.152.0.0	139.152.255.255	JP
139.153.0.0	139.153.255.255	GB
139.154.0.0	139.154.255.255	JP
139.156.0.0	139.156.255.255	NL
139.157.0.0	139.157.255.255	FI
139.158.0.0	139.158.255.255	FR
139.160.0.0	139.160.255.255	FR
139.161.0.0	139.161.255.255	US
139.162.0.0	139.162.255.255	NL
139.163.0.0	139.163.255.255	AU
139.164.0.0	139.164.255.255	NO
139.165.0.0	139.165.255.255	BE
139.166.0.0	139.166.255.255	GB
139.167.0.0	139.167.255.255	US
139.168.0.0	139.168.255.255	AU
139.169.0.0	139.169.255.255	US
139.171.0.0	139.172.255.255	US
139.173.0.0	139.173.255.255	CA
139.174.0.0	139.174.255.255	DE
139.175.0.0	139.175.255.255	TW
139.177.0.0	139.177.255.255	US
139.178.0.0	139.178.255.255	NL
139.179.0.0	139.179.255.255	TR
139.180.0.0	139.181.115.255	US
139.181.116.0	139.181.119.255	IL
139.181.120.0	139.181.155.255	US
139.181.156.0	139.181.159.255	IL
139.181.160.0	139.182.255.255	US
139.184.0.0	139.184.255.255	GB
139.185.0.0	139.185.255.255	US
139.187.0.0	139.187.255.255	US
139.188.0.0	139.188.255.255	AU
139.191.0.0	139.191.255.255	EU
139.222.0.0	139.222.255.255	GB
139.223.0.0	139.223.255.255	TW
139.225.0.0	139.225.255.255	US
139.229.0.0	139.229.255.255	US
139.230.0.0	139.230.255.255	AU
139.231.0.0	140.76.255.255	US
140.77.0.0	140.77.255.255	FR
140.78.0.0	140.78.255.255	AT
140.79.0.0	140.79.255.255	AU
140.80.0.0	140.80.255.255	CA
140.81.0.0	140.81.255.255	JP
140.82.0.0	140.82.255.255	US
140.83.0.0	140.83.255.255	AU
140.84.0.0	140.84.255.255	DE
140.85.0.0	140.85.255.255	NL
140.86.0.0	140.86.255.255	FR
140.87.0.0	140.87.255.255	CA
140.88.0.0	140.91.255.255	US
140.92.0.0	140.92.255.255	TW
140.93.0.0	140.94.255.255	FR
140.95.0.0	140.95.255.255	US
140.96.0.0	140.96.255.255	TW
140.97.0.0	140.97.255.255	GB
140.98.0.0	140.99.28.111	US
140.99.28.112	140.99.28.119	DK
140.99.28.120	140.104.255.255	US
140.105.0.0	140.105.255.255	IT
140.106.0.0	140.108.255.255	US
140.109.0.0	140.138.255.255	TW
140.139.0.0	140.147.255.255	US
140.148.0.0	140.148.255.255	MX
140.150.0.0	140.150.255.255	SE
140.151.0.0	140.151.255.255	FI
140.152.0.0	140.158.255.255	US
140.159.0.0	140.159.255.255	AU
140.160.0.0	140.160.255.255	US
140.161.0.0	140.161.255.255	CA
140.162.0.0	140.163.255.255	US
140.164.0.0	140.164.255.255	IT
140.165.0.0	140.165.255.255	US
140.166.0.0	140.166.255.255	SE
140.167.0.0	140.167.255.255	CA
140.168.0.0	140.168.255.255	AU
140.169.0.0	140.174.8.255	US
140.174.9.0	140.174.9.255	A1
140.174.10.0	140.180.255.255	US
140.181.0.0	140.181.255.255	DE
140.182.0.0	140.183.255.255	US
140.184.0.0	140.184.255.255	CA
140.185.0.0	140.190.255.255	US
140.191.0.0	140.191.255.255	AR
140.192.0.0	140.192.255.255	US
140.193.0.0	140.193.255.255	CA
140.194.0.0	140.199.255.255	US
140.200.0.0	140.200.255.255	NZ
140.201.0.0	140.202.255.255	US
140.203.0.0	140.203.255.255	IE
140.204.0.0	140.204.255.255	GB
140.208.0.0	140.229.255.255	US
140.230.0.0	140.230.255.255	CA
140.231.0.0	140.239.255.255	US
140.241.0.0	140.242.5.255	US
140.242.6.0	140.242.6.255	CN
140.242.7.0	140.242.22.255	US
140.242.23.0	140.242.23.255	CA
140.242.24.0	140.242.26.255	US
140.242.27.0	140.242.27.255	GB
140.242.28.0	140.242.255.255	US
140.244.0.0	140.252.255.255	US
140.253.0.0	140.253.255.255	AU
140.254.0.0	140.254.255.255	US
141.0.0.0	141.10.255.255	DE
141.11.0.0	141.11.255.255	FR
141.12.0.0	141.28.255.255	DE
141.29.0.0	141.29.255.255	SI
141.30.0.0	141.80.255.255	DE
141.81.0.0	141.81.255.255	SE
141.82.0.0	141.84.255.255	DE
141.85.0.0	141.85.255.255	RO
141.86.0.0	141.86.255.255	US
141.87.0.0	141.91.255.255	DE
141.92.0.0	141.92.255.255	GB
141.93.0.0	141.93.255.255	NL
141.94.0.0	141.95.255.255	GB
141.96.0.0	141.96.255.255	BE
141.97.0.0	141.97.255.255	GB
141.98.0.0	141.98.255.255	CH
141.99.0.0	141.100.255.255	DE
141.102.0.0	141.102.255.255	US
141.103.0.0	141.103.255.255	ID
141.104.0.0	141.107.255.255	US
141.108.0.0	141.108.255.255	IT
141.109.0.0	141.109.255.255	CA
141.110.0.0	141.112.255.255	US
141.113.0.0	141.113.255.255	DE
141.114.0.0	141.114.255.255	US
141.115.0.0	141.115.255.255	FR
141.116.0.0	141.116.255.255	US
141.117.0.0	141.119.255.255	CA
141.120.0.0	141.120.255.255	AU
141.121.0.0	141.121.255.255	US
141.122.0.0	141.122.255.255	CH
141.123.0.0	141.126.255.255	US
141.127.0.0	141.127.255.255	FI
141.128.0.0	141.129.255.255	US
141.130.0.0	141.130.255.255	DE
141.131.0.0	141.131.255.255	US
141.132.0.0	141.132.255.255	AU
141.133.0.0	141.133.255.255	US
141.137.0.0	141.137.255.255	SE
141.139.0.0	141.142.255.255	US
141.143.0.0	141.143.255.255	BE
141.144.0.0	141.144.255.255	DK
141.145.0.0	141.145.255.255	NO
141.146.0.0	141.146.255.255	FI
141.147.0.0	141.147.255.255	SE
141.148.0.0	141.148.255.255	CH
141.149.0.0	141.162.255.255	US
141.163.0.0	141.163.255.255	GB
141.164.0.0	141.167.255.255	US
141.168.0.0	141.168.255.255	AU
141.169.0.0	141.169.255.255	DE
141.171.0.0	141.171.255.255	CH
141.172.0.0	141.172.255.255	FI
141.173.0.0	141.174.255.255	US
141.175.0.0	141.175.255.255	FR
141.176.0.0	141.176.255.255	NL
141.177.0.0	141.177.255.255	US
141.178.0.0	141.178.255.255	JP
141.179.0.0	141.180.255.255	US
141.181.0.0	141.181.255.255	FR
141.182.0.0	141.186.255.255	US
141.187.0.0	141.187.255.255	GB
141.188.0.0	141.191.255.255	US
141.192.0.0	141.192.255.255	FI
141.193.0.0	141.193.255.255	US
141.194.0.0	141.194.255.255	FR
141.195.0.0	141.199.255.255	US
141.200.0.0	141.200.255.255	DE
141.201.0.0	141.201.255.255	AT
141.202.0.0	141.202.255.255	US
141.203.0.0	141.203.255.255	AT
141.204.0.0	141.207.255.255	US
141.208.0.0	141.208.255.255	FI
141.209.0.0	141.222.255.255	US
141.223.0.0	141.223.255.255	KR
141.224.0.0	141.225.255.255	US
141.226.0.0	141.226.255.255	IL
141.227.0.0	141.227.255.255	FR
141.228.0.0	141.228.255.255	GB
141.229.0.0	141.229.255.255	JP
141.230.0.0	141.230.255.255	US
141.231.0.0	141.231.255.255	GB
141.232.0.0	141.240.255.255	US
141.241.0.0	141.241.255.255	GB
141.242.0.0	141.242.255.255	US
141.243.0.0	141.243.255.255	AU
141.244.0.0	141.244.255.255	AT
141.245.0.0	141.245.255.255	GB
141.246.0.0	141.248.255.255	US
141.249.0.0	141.249.255.255	CH
141.250.0.0	141.250.255.255	IT
141.251.0.0	141.251.255.255	US
141.252.0.0	141.252.255.255	NL
141.253.0.0	141.253.255.255	BE
141.254.0.0	141.254.255.255	US
142.0.0.0	142.46.199.47	CA
142.46.199.48	142.46.199.63	US
142.46.199.64	142.46.200.127	CA
142.46.200.128	142.46.200.159	US
142.46.200.160	142.56.127.255	CA
142.56.128.0	142.56.191.255	US
142.56.192.0	142.64.255.255	CA
142.65.0.0	142.65.255.255	US
142.66.0.0	142.70.143.255	CA
142.70.144.0	142.70.144.255	GB
142.70.145.0	142.76.255.255	CA
142.77.0.0	142.77.255.255	US
142.78.0.0	142.78.255.255	CA
142.79.0.0	142.79.255.255	US
142.80.0.0	142.191.255.255	CA
142.192.0.0	142.192.255.255	US
142.193.0.0	142.195.255.255	CA
142.198.0.0	142.255.255.255	CA
143.0.0.0	143.40.255.255	US
143.41.0.0	143.41.255.255	GB
143.42.0.0	143.46.255.255	US
143.47.0.0	143.47.255.255	IE
143.48.0.0	143.49.255.255	US
143.50.0.0	143.50.255.255	AT
143.51.0.0	143.51.255.255	FI
143.52.0.0	143.53.255.255	GB
143.54.0.0	143.54.255.255	BR
143.55.0.0	143.64.255.255	US
143.65.0.0	143.65.255.255	GB
143.66.0.0	143.88.255.255	US
143.89.0.0	143.89.255.255	HK
143.90.0.0	143.90.255.255	JP
143.91.0.0	143.91.255.255	US
143.92.0.0	143.92.255.255	AU
143.93.0.0	143.93.255.255	DE
143.94.0.0	143.94.255.255	JP
143.95.0.0	143.95.255.255	US
143.96.0.0	143.96.255.255	NZ
143.97.0.0	143.97.255.255	NO
143.98.0.0	143.98.255.255	US
143.99.0.0	143.99.255.255	CH
143.100.0.0	143.105.255.255	US
143.106.0.0	143.108.255.255	BR
143.109.0.0	143.116.255.255	US
143.117.0.0	143.117.255.255	GB
143.118.0.0	143.118.255.255	SE
143.119.0.0	143.119.255.255	AU
143.120.0.0	143.120.255.255	US
143.121.0.0	143.121.255.255	NL
143.122.0.0	143.124.255.255	US
143.125.0.0	143.125.255.255	JP
143.126.0.0	143.126.255.255	FR
143.127.0.0	143.127.255.255	US
143.128.0.0	143.128.255.255	ZA
143.129.0.0	143.129.255.255	BE
143.130.0.0	143.130.255.255	AT
143.131.0.0	143.135.255.255	US
143.136.0.0	143.136.255.255	JP
143.138.0.0	143.159.255.255	US
143.160.0.0	143.160.255.255	ZA
143.161.0.0	143.161.255.255	AT
143.162.0.0	143.162.255.255	US
143.163.0.0	143.164.255.255	DE
143.165.0.0	143.166.255.255	US
143.167.0.0	143.167.255.255	GB
143.168.0.0	143.168.255.255	US
143.169.0.0	143.169.255.255	BE
143.170.0.0	143.170.255.255	US
143.171.0.0	143.171.255.255	JP
143.172.0.0	143.173.255.255	US
143.174.0.0	143.174.255.255	AU
143.175.0.0	143.175.255.255	US
143.176.0.0	143.179.255.255	NL
143.180.0.0	143.180.255.255	CH
143.181.0.0	143.187.255.255	US
143.188.0.0	143.189.255.255	AU
143.190.0.0	143.195.255.255	US
143.196.0.0	143.196.255.255	FR
143.197.0.0	143.200.255.255	US
143.201.0.0	143.201.255.255	JP
143.203.0.0	143.204.255.255	US
143.205.0.0	143.205.255.255	AT
143.206.0.0	143.207.255.255	US
143.209.0.0	143.209.255.255	US
143.210.0.0	143.210.255.255	GB
143.211.0.0	143.215.255.255	US
143.216.0.0	143.216.255.255	AU
143.217.0.0	143.217.255.255	SE
143.218.0.0	143.218.255.255	AU
143.219.0.0	143.220.255.255	US
143.221.0.0	143.221.255.255	JP
143.222.0.0	143.223.255.255	US
143.224.0.0	143.224.255.255	AT
143.225.0.0	143.225.255.255	IT
143.226.0.0	143.232.255.255	US
143.233.0.0	143.233.255.255	GR
143.234.0.0	143.234.255.255	GB
143.235.0.0	143.236.255.255	US
143.237.0.0	143.237.255.255	SE
143.238.0.0	143.238.255.255	AU
143.239.0.0	143.239.255.255	IE
143.240.0.0	143.244.255.255	US
143.245.0.0	143.245.255.255	AT
143.246.0.0	143.247.255.255	US
143.248.0.0	143.248.255.255	KR
143.249.0.0	143.251.255.255	US
143.252.0.0	143.252.255.255	GB
143.253.0.0	143.253.255.255	JP
143.254.0.0	143.254.255.255	US
144.1.0.0	144.1.255.255	JP
144.2.0.0	144.2.255.255	NL
144.3.0.0	144.3.255.255	US
144.4.0.0	144.4.255.255	FI
144.5.0.0	144.5.255.255	US
144.6.0.0	144.6.255.255	AU
144.8.0.0	144.15.255.255	US
144.16.0.0	144.16.255.255	IN
144.17.0.0	144.19.255.255	US
144.20.0.0	144.20.255.255	ES
144.21.0.0	144.21.255.255	PT
144.22.0.0	144.22.255.255	MX
144.23.0.0	144.23.255.255	BR
144.24.0.0	144.24.255.255	GR
144.25.0.0	144.26.255.255	US
144.27.0.0	144.27.255.255	SE
144.28.0.0	144.31.255.255	US
144.32.0.0	144.32.255.255	GB
144.33.0.0	144.40.255.255	US
144.41.0.0	144.41.255.255	DE
144.42.0.0	144.42.255.255	US
144.43.0.0	144.43.255.255	NL
144.44.0.0	144.44.255.255	EU
144.45.0.0	144.51.255.255	US
144.53.0.0	144.53.255.255	AU
144.54.0.0	144.54.255.255	NL
144.55.0.0	144.55.255.255	AU
144.56.0.0	144.56.255.255	FR
144.57.0.0	144.57.255.255	SE
144.58.0.0	144.62.255.255	US
144.63.0.0	144.63.255.255	SE
144.64.0.0	144.64.255.255	PT
144.65.0.0	144.65.255.255	AT
144.66.0.0	144.66.255.255	NZ
144.67.0.0	144.75.255.255	US
144.76.0.0	144.76.255.255	DE
144.77.0.0	144.78.255.255	US
144.79.0.0	144.79.255.255	AU
144.80.0.0	144.81.255.255	US
144.82.0.0	144.82.255.255	GB
144.83.0.0	144.83.255.255	US
144.84.0.0	144.84.255.255	NO
144.85.0.0	144.85.255.255	CH
144.86.0.0	144.86.255.255	US
144.87.0.0	144.87.255.255	GB
144.88.0.0	144.94.255.255	US
144.95.0.0	144.95.35.255	NL
144.95.36.0	144.95.39.255	US
144.95.40.0	144.95.63.255	NL
144.95.64.0	144.95.71.255	GB
144.95.72.0	144.95.79.255	US
144.95.80.0	144.95.87.255	HK
144.95.88.0	144.95.255.255	NL
144.96.0.0	144.96.255.255	US
144.97.0.0	144.97.255.255	AU
144.98.0.0	144.98.255.255	GB
144.99.0.0	144.109.255.255	US
144.110.0.0	144.110.255.255	AU
144.111.0.0	144.118.255.255	US
144.119.0.0	144.119.255.255	NL
144.120.0.0	144.120.255.255	FJ
144.121.0.0	144.121.255.255	US
144.122.0.0	144.122.255.255	TR
144.124.0.0	144.124.255.255	GB
144.125.0.0	144.126.255.255	US
144.127.0.0	144.127.255.255	NO
144.128.0.0	144.129.255.255	US
144.130.0.0	144.140.255.255	AU
144.141.0.0	144.144.255.255	US
144.145.0.0	144.145.255.255	DE
144.146.0.0	144.163.255.255	US
144.164.0.0	144.164.255.255	NO
144.165.0.0	144.165.255.255	FR
144.166.0.0	144.167.255.255	US
144.168.0.0	144.168.255.255	GB
144.169.0.0	144.172.255.255	US
144.173.0.0	144.173.255.255	GB
144.174.0.0	144.175.255.255	US
144.176.0.0	144.177.255.255	NO
144.178.0.0	144.178.255.255	GB
144.179.0.0	144.181.255.255	NO
144.182.0.0	144.192.255.255	US
144.193.0.0	144.193.255.255	NO
144.194.0.0	144.194.255.255	CA
144.195.0.0	144.198.255.255	US
144.199.0.0	144.199.255.255	MY
144.200.0.0	144.200.255.255	CH
144.201.0.0	144.203.255.255	US
144.204.0.0	144.204.255.255	FR
144.205.0.0	144.205.255.255	AU
144.206.0.0	144.206.255.255	RU
144.207.0.0	144.208.255.255	US
144.209.0.0	144.209.255.255	NL
144.210.0.0	144.212.255.255	US
144.213.0.0	144.213.255.255	JP
144.214.0.0	144.214.255.255	HK
144.215.0.0	144.217.255.255	US
144.218.0.0	144.218.255.255	AU
144.219.0.0	144.247.255.255	US
144.248.0.0	144.248.255.255	BE
144.249.0.0	144.255.255.255	US
145.0.0.0	145.16.255.255	NL
145.17.0.0	145.17.255.255	GB
145.18.0.0	145.54.255.255	NL
145.55.0.0	145.55.255.255	GB
145.56.0.0	145.61.255.255	NL
145.62.0.0	145.62.255.255	GB
145.63.0.0	145.223.255.255	NL
145.224.0.0	145.224.255.255	GB
145.225.0.0	145.225.255.255	DE
145.226.0.0	145.226.255.255	FR
145.227.0.0	145.227.255.255	GB
145.228.0.0	145.228.161.75	DE
145.228.161.76	145.228.161.95	IT
145.228.161.96	145.228.255.255	DE
145.229.0.0	145.229.255.255	GB
145.230.0.0	145.230.255.255	DE
145.231.0.0	145.231.255.255	FR
145.232.0.0	145.232.255.255	CH
145.233.0.0	145.233.255.255	GB
145.234.0.0	145.234.255.255	CH
145.235.0.0	145.235.255.255	SE
145.236.0.0	145.236.255.255	HU
145.237.0.0	145.237.255.255	PL
145.238.0.0	145.238.255.255	FR
145.239.0.0	145.239.255.255	GB
145.240.0.0	145.240.255.255	FR
145.241.0.0	145.241.255.255	AT
145.242.0.0	145.242.255.255	FR
145.243.0.0	145.243.255.255	DE
145.244.0.0	145.244.255.255	AT
145.245.0.0	145.245.255.255	CH
145.246.0.0	145.246.255.255	GB
145.247.0.0	145.247.150.255	FI
145.247.151.0	145.247.170.255	NO
145.247.171.0	145.247.255.255	FI
145.248.0.0	145.248.255.255	FR
145.249.0.0	145.249.255.255	RU
145.250.0.0	145.250.255.255	CH
145.251.0.0	145.251.255.255	SE
145.252.0.0	145.252.255.255	CH
145.253.0.0	145.254.255.255	DE
146.1.0.0	146.1.255.255	US
146.2.0.0	146.2.255.255	NO
146.3.0.0	146.3.255.255	LU
146.4.0.0	146.4.255.255	CH
146.5.0.0	146.10.255.255	US
146.11.0.0	146.11.255.255	AU
146.12.0.0	146.18.255.255	US
146.19.0.0	146.19.255.255	FR
146.20.0.0	146.20.255.255	US
146.21.0.0	146.21.255.255	SE
146.22.0.0	146.47.255.255	US
146.48.0.0	146.48.255.255	IT
146.49.0.0	146.49.255.255	US
146.50.0.0	146.50.255.255	NL
146.51.0.0	146.51.255.255	JP
146.52.0.0	146.55.255.255	US
146.56.0.0	146.56.255.255	JP
146.57.0.0	146.58.255.255	US
146.59.0.0	146.59.255.255	NO
146.61.0.0	146.61.255.255	US
146.62.0.0	146.62.255.255	AU
146.63.0.0	146.63.255.255	US
146.64.0.0	146.64.255.255	ZA
146.65.0.0	146.65.255.255	US
146.67.0.0	146.67.255.255	CH
146.68.0.0	146.69.255.255	US
146.70.0.0	146.70.255.255	GB
146.71.0.0	146.71.255.255	US
146.72.0.0	146.72.255.255	NO
146.73.0.0	146.74.255.255	US
146.75.0.0	146.75.255.255	SE
146.76.0.0	146.76.255.255	US
146.77.0.0	146.77.255.255	GB
146.78.0.0	146.79.255.255	US
146.80.0.0	146.80.255.255	GB
146.81.0.0	146.81.255.255	FI
146.82.0.0	146.82.15.255	US
146.82.16.0	146.82.16.255	DK
146.82.17.0	146.82.21.255	US
146.82.22.0	146.82.22.255	DK
146.82.23.0	146.82.155.255	US
146.82.156.0	146.82.156.255	DK
146.82.157.0	146.82.255.255	US
146.83.0.0	146.83.255.255	CL
146.84.0.0	146.86.255.255	US
146.87.0.0	146.87.255.255	GB
146.88.0.0	146.96.255.255	US
146.97.0.0	146.97.255.255	GB
146.98.0.0	146.99.255.255	US
146.100.0.0	146.100.255.255	IT
146.101.0.0	146.101.255.255	GB
146.102.0.0	146.102.255.255	CZ
146.103.0.0	146.103.255.255	BE
146.104.0.0	146.104.255.255	NL
146.105.0.0	146.105.255.255	GB
146.106.0.0	146.106.255.255	EU
146.107.0.0	146.107.255.255	DE
146.108.0.0	146.108.255.255	AT
146.109.0.0	146.109.255.255	CH
146.110.0.0	146.110.255.255	HU
146.111.0.0	146.111.255.255	US
146.112.0.0	146.112.255.255	AT
146.113.0.0	146.115.255.255	US
146.116.0.0	146.116.255.255	AU
146.117.0.0	146.117.255.255	JP
146.118.0.0	146.118.255.255	AU
146.119.0.0	146.119.255.255	FI
146.120.0.0	146.123.255.255	US
146.124.0.0	146.124.255.255	GR
146.125.0.0	146.130.255.255	US
146.131.0.0	146.131.255.255	CA
146.132.0.0	146.132.255.255	US
146.133.0.0	146.133.255.255	IT
146.134.0.0	146.134.255.255	BR
146.135.0.0	146.135.255.255	US
146.136.0.0	146.136.255.255	CH
146.137.0.0	146.139.255.255	US
146.140.0.0	146.140.255.255	DE
146.141.0.0	146.141.255.255	ZA
146.142.0.0	146.143.255.255	US
146.144.0.0	146.144.255.255	AU
146.145.0.0	146.145.75.55	US
146.145.75.56	146.145.75.63	PA
146.145.75.64	146.154.255.255	US
146.155.0.0	146.155.255.255	CL
146.156.0.0	146.157.255.255	US
146.159.0.0	146.159.255.255	CH
146.160.0.0	146.160.255.255	US
146.161.0.0	146.161.255.255	FI
146.162.0.0	146.162.255.255	GB
146.163.0.0	146.163.255.255	US
146.164.0.0	146.164.255.255	BR
146.165.0.0	146.168.255.255	US
146.169.0.0	146.169.255.255	GB
146.170.0.0	146.170.255.255	US
146.171.0.0	146.171.255.255	NZ
146.172.0.0	146.172.255.255	NO
146.173.0.0	146.173.255.255	SE
146.174.0.0	146.174.255.255	US
146.175.0.0	146.175.255.255	BE
146.176.0.0	146.177.255.255	GB
146.178.0.0	146.178.255.255	AU
146.179.0.0	146.179.255.255	GB
146.180.0.0	146.181.255.255	US
146.182.0.0	146.182.255.255	ZA
146.183.0.0	146.187.255.255	US
146.188.0.0	146.188.255.255	GB
146.189.0.0	146.190.255.255	US
146.191.0.0	146.191.255.255	GB
146.192.0.0	146.192.255.255	NO
146.193.0.0	146.193.255.255	PT
146.194.0.0	146.194.255.255	GB
146.195.0.0	146.196.255.255	AU
146.197.0.0	146.209.255.255	US
146.210.0.0	146.210.255.255	AT
146.211.0.0	146.211.255.255	FI
146.213.0.0	146.213.255.255	NO
146.214.0.0	146.215.255.255	US
146.216.0.0	146.216.255.255	CH
146.217.0.0	146.218.255.255	US
146.219.0.0	146.219.255.255	ES
146.220.0.0	146.220.79.255	LU
146.220.80.0	146.220.95.255	FR
146.220.96.0	146.220.255.255	LU
146.221.0.0	146.221.255.255	AU
146.222.0.0	146.223.255.255	US
146.224.0.0	146.224.255.255	NO
146.225.0.0	146.225.255.255	US
146.226.0.0	146.226.255.255	VI
146.227.0.0	146.227.255.255	GB
146.228.0.0	146.228.255.255	CH
146.229.0.0	146.229.255.255	US
146.230.0.0	146.232.255.255	ZA
146.233.0.0	146.233.255.255	US
146.234.0.0	146.234.255.255	DE
146.235.0.0	146.247.255.255	US
146.248.0.0	146.248.255.255	CH
146.249.0.0	146.249.255.255	FR
146.250.0.0	146.250.255.255	US
146.252.0.0	146.252.255.255	US
146.253.0.0	146.253.255.255	SE
146.254.0.0	146.254.255.255	DE
147.0.0.0	147.5.255.255	US
147.6.0.0	147.6.255.255	KR
147.7.0.0	147.7.255.255	HU
147.8.0.0	147.8.255.255	HK
147.9.0.0	147.9.255.255	US
147.10.0.0	147.10.255.255	AU
147.11.0.0	147.11.255.255	US
147.12.0.0	147.12.255.255	NL
147.13.0.0	147.14.255.255	SE
147.15.0.0	147.26.255.255	US
147.27.0.0	147.27.255.255	GR
147.28.0.0	147.28.255.255	JP
147.29.0.0	147.29.91.255	DK
147.29.92.0	147.29.93.255	NO
147.29.94.0	147.29.149.223	DK
147.29.149.224	147.29.149.255	GB
147.29.150.0	147.29.255.255	DK
147.30.0.0	147.30.255.255	EU
147.31.0.0	147.31.255.255	US
147.32.0.0	147.33.255.255	CZ
147.34.0.0	147.40.255.255	US
147.41.0.0	147.41.255.255	AU
147.42.0.0	147.42.255.255	US
147.43.0.0	147.43.255.255	KR
147.44.0.0	147.44.255.255	SE
147.45.0.0	147.45.255.255	RU
147.46.0.0	147.47.255.255	KR
147.48.0.0	147.51.255.255	US
147.52.0.0	147.52.255.255	GR
147.53.0.0	147.53.255.255	US
147.54.0.0	147.54.255.255	DE
147.55.0.0	147.59.255.255	US
147.60.0.0	147.60.255.255	CH
147.61.0.0	147.64.255.255	US
147.65.0.0	147.65.255.255	BR
147.66.0.0	147.66.255.255	AU
147.67.0.0	147.67.255.255	LU
147.68.0.0	147.68.255.255	GB
147.69.0.0	147.69.255.255	AU
147.70.0.0	147.74.255.255	US
147.75.0.0	147.75.255.255	CH
147.76.0.0	147.76.255.255	AU
147.77.0.0	147.77.255.255	GB
147.78.0.0	147.78.255.255	EU
147.79.0.0	147.82.255.255	US
147.83.0.0	147.84.255.255	ES
147.86.0.0	147.88.255.255	CH
147.89.0.0	147.89.255.255	GB
147.90.0.0	147.90.255.255	US
147.91.0.0	147.91.255.255	RS
147.92.0.0	147.92.255.255	US
147.93.0.0	147.93.255.255	BE
147.94.0.0	147.94.255.255	FR
147.95.0.0	147.95.255.255	GR
147.96.0.0	147.96.255.255	ES
147.97.0.0	147.97.255.255	US
147.98.0.0	147.100.255.255	FR
147.101.0.0	147.101.255.255	US
147.102.0.0	147.102.255.255	GR
147.103.0.0	147.108.255.255	US
147.109.0.0	147.109.255.255	AU
147.110.0.0	147.110.255.255	ZA
147.111.0.0	147.112.255.255	NO
147.113.0.0	147.113.255.255	US
147.114.0.0	147.114.255.255	GB
147.115.0.0	147.118.255.255	US
147.119.0.0	147.119.255.255	GB
147.120.0.0	147.121.255.255	US
147.122.0.0	147.123.255.255	IT
147.124.0.0	147.124.255.255	US
147.125.0.0	147.125.255.255	AT
147.126.0.0	147.126.255.255	US
147.127.0.0	147.127.255.255	FR
147.128.0.0	147.131.255.255	US
147.132.0.0	147.132.255.255	AU
147.133.0.0	147.141.255.255	US
147.142.0.0	147.142.255.255	DE
147.143.0.0	147.143.255.255	GB
147.144.0.0	147.146.255.255	US
147.147.0.0	147.152.255.255	GB
147.153.0.0	147.155.255.255	US
147.156.0.0	147.156.255.255	ES
147.157.0.0	147.157.255.255	JP
147.158.0.0	147.158.255.255	NZ
147.159.0.0	147.160.255.255	US
147.161.0.0	147.161.255.255	IL
147.162.0.0	147.163.255.255	IT
147.164.0.0	147.166.255.255	US
147.167.0.0	147.167.255.255	CH
147.168.0.0	147.170.255.255	US
147.171.0.0	147.171.255.255	FR
147.172.0.0	147.172.255.255	DE
147.173.0.0	147.173.255.255	FR
147.174.0.0	147.174.255.255	US
147.175.0.0	147.175.255.255	SK
147.176.0.0	147.176.255.255	JP
147.177.0.0	147.179.255.255	US
147.180.0.0	147.180.255.255	SE
147.181.0.0	147.181.255.255	NL
147.182.0.0	147.183.255.255	US
147.184.0.0	147.184.255.255	GB
147.185.0.0	147.185.255.255	US
147.186.0.0	147.186.255.255	SE
147.187.0.0	147.187.255.255	US
147.188.0.0	147.189.255.255	GB
147.190.0.0	147.192.255.255	US
147.193.0.0	147.193.255.255	GB
147.195.0.0	147.195.255.255	US
147.196.0.0	147.196.255.255	FR
147.197.0.0	147.197.255.255	GB
147.198.0.0	147.199.255.255	US
147.200.0.0	147.200.255.255	AU
147.201.0.0	147.201.255.255	GB
147.202.0.0	147.203.255.255	US
147.204.0.0	147.204.255.255	DE
147.205.0.0	147.208.255.255	US
147.209.0.0	147.209.255.255	AU
147.210.0.0	147.210.255.255	FR
147.211.0.0	147.212.255.255	AU
147.213.0.0	147.213.255.255	SK
147.214.0.0	147.214.255.255	SE
147.215.0.0	147.215.255.255	FR
147.216.0.0	147.219.255.255	US
147.220.0.0	147.220.255.255	SE
147.221.0.0	147.227.255.255	US
147.228.0.0	147.231.255.255	CZ
147.232.0.0	147.232.255.255	SK
147.233.0.0	147.237.255.255	IL
147.238.0.0	147.242.255.255	US
147.243.0.0	147.243.127.255	FI
147.243.128.0	147.243.159.255	US
147.243.160.0	147.243.191.255	FI
147.243.192.0	147.243.223.255	SG
147.243.224.0	147.243.255.255	CN
147.244.0.0	147.249.255.255	US
147.250.0.0	147.250.255.255	FR
147.251.0.0	147.251.255.255	CZ
147.252.0.0	147.252.255.255	IE
147.253.0.0	147.254.255.255	US
148.1.0.0	148.1.255.255	US
148.2.0.0	148.2.255.255	SE
148.3.0.0	148.3.255.255	GB
148.4.0.0	148.5.255.255	US
148.6.0.0	148.6.255.255	HU
148.7.0.0	148.53.255.255	US
148.54.0.0	148.54.255.255	CH
148.55.0.0	148.55.255.255	US
148.56.0.0	148.56.255.255	AT
148.57.0.0	148.59.255.255	US
148.60.0.0	148.60.255.255	FR
148.61.0.0	148.78.255.255	US
148.79.0.0	148.79.255.255	GB
148.80.0.0	148.80.255.255	US
148.81.0.0	148.81.255.255	PL
148.82.0.0	148.83.255.255	NO
148.84.0.0	148.87.255.255	US
148.88.0.0	148.88.255.255	GB
148.89.0.0	148.109.255.255	US
148.110.0.0	148.110.255.255	LU
148.111.0.0	148.116.255.255	US
148.117.0.0	148.117.255.255	CA
148.118.0.0	148.123.255.255	NO
148.124.0.0	148.134.255.255	US
148.135.0.0	148.136.255.255	SE
148.137.0.0	148.137.255.255	US
148.138.0.0	148.138.255.255	SE
148.139.0.0	148.139.255.255	US
148.140.0.0	148.140.255.255	NO
148.141.0.0	148.142.255.255	US
148.143.0.0	148.143.255.255	FR
148.144.0.0	148.144.255.255	US
148.145.0.0	148.145.255.255	AU
148.146.0.0	148.147.255.255	US
148.148.0.0	148.148.255.255	NL
148.149.0.0	148.150.255.255	US
148.151.0.0	148.151.255.255	OM
148.152.0.0	148.159.255.255	US
148.160.0.0	148.160.255.255	SE
148.161.0.0	148.161.255.255	JP
148.162.0.0	148.168.255.255	US
148.169.0.0	148.169.255.255	FR
148.170.0.0	148.175.255.255	US
148.176.0.0	148.176.255.255	GB
148.177.0.0	148.180.255.255	US
148.181.0.0	148.181.255.255	GB
148.182.0.0	148.182.255.255	AU
148.183.0.0	148.184.255.255	US
148.185.0.0	148.185.255.255	EU
148.186.0.0	148.186.255.255	US
148.187.0.0	148.187.255.255	CH
148.188.0.0	148.194.255.255	US
148.195.0.0	148.195.255.255	AU
148.196.0.0	148.196.255.255	CH
148.197.0.0	148.197.255.255	GB
148.198.0.0	148.198.255.255	AT
148.199.0.0	148.199.255.255	US
148.200.0.0	148.200.255.255	NL
148.201.0.0	148.223.155.255	MX
148.223.156.0	148.223.159.255	EC
148.223.160.0	148.235.179.255	MX
148.235.180.0	148.235.183.255	EC
148.235.184.0	148.250.255.255	MX
148.251.0.0	148.251.255.255	DE
148.252.0.0	148.253.255.255	GB
148.254.0.0	148.254.255.255	US
149.0.0.0	149.48.255.255	US
149.49.0.0	149.49.255.255	IL
149.50.0.0	149.58.255.255	US
149.59.0.0	149.59.255.255	NL
149.60.0.0	149.98.255.255	US
149.99.0.0	149.99.255.255	CA
149.100.0.0	149.131.255.255	US
149.132.0.0	149.132.255.255	IT
149.133.0.0	149.133.255.255	CH
149.134.0.0	149.134.255.255	BE
149.135.0.0	149.135.255.255	AU
149.136.0.0	149.138.255.255	US
149.139.0.0	149.139.255.255	IT
149.140.0.0	149.143.255.255	US
149.144.0.0	149.144.255.255	AU
149.145.0.0	149.145.255.255	US
149.146.0.0	149.146.255.255	NL
149.148.0.0	149.148.255.255	AT
149.149.0.0	149.152.255.255	US
149.153.0.0	149.153.255.255	IE
149.155.0.0	149.155.255.255	GB
149.156.0.0	149.156.255.255	PL
149.157.0.0	149.157.255.255	IE
149.158.0.0	149.166.255.255	US
149.167.0.0	149.167.255.255	AU
149.168.0.0	149.169.255.255	US
149.170.0.0	149.170.255.255	GB
149.171.0.0	149.171.255.255	AU
149.172.0.0	149.175.255.255	US
149.176.0.0	149.176.255.255	AU
149.177.0.0	149.196.255.255	GB
149.197.0.0	149.197.255.255	FI
149.198.0.0	149.199.255.255	US
149.200.0.0	149.208.255.255	DE
149.209.0.0	149.209.255.255	NO
149.211.0.0	149.211.255.255	DE
149.212.0.0	149.212.255.255	DK
149.213.0.0	149.222.255.255	DE
149.223.0.0	149.223.255.255	GB
149.224.0.0	149.224.113.255	DE
149.224.114.0	149.224.114.255	NL
149.224.115.0	149.240.255.255	DE
149.241.0.0	149.241.255.255	EU
149.242.0.0	149.250.255.255	DE
149.251.0.0	149.251.255.255	FR
149.252.0.0	149.253.255.255	US
149.254.0.0	149.254.255.255	GB
150.0.0.0	150.100.255.255	JP
150.101.0.0	150.101.255.255	AU
150.102.0.0	150.105.255.255	US
150.106.0.0	150.106.255.255	NO
150.107.0.0	150.107.255.255	AT
150.108.0.0	150.127.255.255	US
150.128.0.0	150.128.255.255	ES
150.129.0.0	150.129.255.255	EU
150.130.0.0	150.131.255.255	US
150.132.0.0	150.132.255.255	SE
150.133.0.0	150.137.255.255	US
150.140.0.0	150.140.255.255	GR
150.141.0.0	150.144.255.255	US
150.145.0.0	150.146.255.255	IT
150.147.0.0	150.149.255.255	US
150.150.0.0	150.150.255.255	KR
150.151.0.0	150.151.255.255	AU
150.152.0.0	150.157.255.255	US
150.158.0.0	150.158.255.255	BE
150.159.0.0	150.160.255.255	US
150.161.0.0	150.165.255.255	BR
150.166.0.0	150.172.255.255	US
150.173.0.0	150.173.255.255	AU
150.174.0.0	150.174.255.255	US
150.175.0.0	150.175.255.255	FR
150.176.0.0	150.177.255.255	US
150.178.0.0	150.178.255.255	IT
150.179.0.0	150.182.255.255	US
150.183.0.0	150.183.255.255	KR
150.184.0.0	150.184.255.255	US
150.185.0.0	150.189.255.255	VE
150.190.0.0	150.190.255.255	US
150.191.0.0	150.191.255.255	AU
150.192.0.0	150.196.255.255	US
150.197.0.0	150.197.255.255	KR
150.198.0.0	150.202.255.255	US
150.203.0.0	150.203.255.255	AU
150.204.0.0	150.204.255.255	GB
150.205.0.0	150.205.255.255	CH
150.206.0.0	150.206.255.255	NZ
150.207.0.0	150.207.255.255	AU
150.208.0.0	150.212.255.255	US
150.213.0.0	150.213.255.255	CH
150.214.0.0	150.214.255.255	ES
150.215.0.0	150.216.255.255	US
150.217.0.0	150.217.255.255	IT
150.218.0.0	150.226.255.255	US
150.227.0.0	150.227.255.255	SE
150.228.0.0	150.228.255.255	US
150.229.0.0	150.229.255.255	AU
150.230.0.0	150.235.255.255	US
150.236.0.0	150.236.255.255	SE
150.237.0.0	150.237.255.255	GB
150.238.0.0	150.240.255.255	US
150.241.0.0	150.241.255.255	ES
150.242.0.0	150.242.255.255	FR
150.243.0.0	150.243.255.255	US
150.244.0.0	150.244.255.255	ES
150.245.0.0	150.250.255.255	US
150.251.0.0	150.251.255.255	BE
150.252.0.0	150.253.255.255	US
150.254.0.0	150.254.255.255	PL
151.0.0.0	151.100.255.255	IT
151.101.0.0	151.104.255.255	US
151.105.0.0	151.105.255.255	FI
151.106.0.0	151.114.255.255	US
151.115.0.0	151.115.255.255	GB
151.116.0.0	151.119.255.255	US
151.120.0.0	151.120.255.255	CH
151.121.0.0	151.126.255.255	US
151.127.0.0	151.127.255.255	CH
151.128.0.0	151.128.255.255	US
151.129.0.0	151.129.255.255	GB
151.130.0.0	151.130.255.255	AU
151.131.0.0	151.132.255.255	US
151.133.0.0	151.133.255.255	GB
151.134.0.0	151.134.255.255	US
151.136.0.0	151.136.255.255	DE
151.137.0.0	151.155.255.255	US
151.156.0.0	151.156.255.255	SE
151.157.0.0	151.157.255.255	NO
151.158.0.0	151.158.255.255	JP
151.159.0.0	151.169.255.255	US
151.170.0.0	151.170.255.255	GB
151.171.0.0	151.171.255.255	US
151.172.0.0	151.172.255.255	JP
151.173.0.0	151.174.255.255	US
151.175.0.0	151.175.255.255	EU
151.176.0.0	151.176.255.255	GB
151.177.0.0	151.177.255.255	SE
151.178.0.0	151.178.255.255	AU
151.179.0.0	151.179.255.255	US
151.180.0.0	151.180.255.255	GB
151.181.0.0	151.181.255.255	US
151.182.0.0	151.182.255.255	GB
151.183.0.0	151.183.255.255	CH
151.184.0.0	151.184.255.255	NL
151.185.0.0	151.186.255.255	US
151.187.0.0	151.187.255.255	NO
151.188.0.0	151.188.255.255	US
151.189.0.0	151.189.255.255	DE
151.190.0.0	151.210.255.255	US
151.211.0.0	151.212.255.255	GB
151.213.0.0	151.215.255.255	US
152.0.0.0	152.65.255.255	US
152.66.0.0	152.66.255.255	HU
152.67.0.0	152.70.255.255	US
152.71.0.0	152.71.255.255	GB
152.72.0.0	152.72.255.255	US
152.73.0.0	152.73.255.255	DK
152.74.0.0	152.74.255.255	CL
152.75.0.0	152.75.255.255	US
152.76.0.0	152.76.255.255	AU
152.77.0.0	152.77.255.255	FR
152.78.0.0	152.78.255.255	GB
152.79.0.0	152.80.255.255	US
152.81.0.0	152.81.255.255	FR
152.82.0.0	152.82.255.255	US
152.83.0.0	152.83.255.255	AU
152.84.0.0	152.84.255.255	BR
152.85.0.0	152.87.255.255	US
152.88.0.0	152.88.255.255	CH
152.89.0.0	152.89.255.255	FR
152.90.0.0	152.90.255.255	NO
152.91.0.0	152.91.255.255	AU
152.92.0.0	152.92.255.255	BR
152.93.0.0	152.94.255.255	NO
152.95.0.0	152.95.255.255	DK
152.96.0.0	152.96.255.255	CH
152.97.0.0	152.97.255.255	US
152.98.0.0	152.98.255.255	AU
152.99.0.0	152.99.255.255	KR
152.100.0.0	152.100.255.255	US
152.101.0.0	152.104.255.255	HK
152.105.0.0	152.105.255.255	GB
152.106.0.0	152.112.255.255	ZA
152.113.0.0	152.113.255.255	US
152.114.0.0	152.114.255.255	GB
152.115.0.0	152.115.255.255	DK
152.116.0.0	152.117.255.255	US
152.118.0.0	152.118.255.255	ID
152.119.0.0	152.133.255.255	US
152.134.0.0	152.134.255.255	GB
152.135.0.0	152.138.255.255	US
152.139.0.0	152.139.255.255	CL
152.140.0.0	152.142.255.255	US
152.143.0.0	152.143.255.255	DE
152.144.0.0	152.146.255.255	US
152.147.0.0	152.147.255.255	AU
152.148.0.0	152.148.255.255	US
152.149.0.0	152.149.255.255	KR
152.150.0.0	152.150.255.255	GB
152.151.0.0	152.151.255.255	US
152.152.0.0	152.152.255.255	BE
152.153.0.0	152.153.255.255	NZ
152.154.0.0	152.160.85.255	US
152.160.86.0	152.160.86.255	CA
152.160.87.0	152.165.255.255	US
152.176.0.0	152.225.255.255	US
152.226.0.0	152.226.255.255	SG
152.227.0.0	152.229.255.255	US
153.1.0.0	153.1.255.255	FI
153.2.0.0	153.2.255.255	US
153.4.0.0	153.4.255.255	US
153.5.0.0	153.5.255.255	SI
153.6.0.0	153.14.255.255	US
153.15.0.0	153.15.255.255	NO
153.16.0.0	153.16.255.255	US
153.17.0.0	153.17.255.255	DE
153.18.0.0	153.18.255.255	US
153.19.0.0	153.19.255.255	PL
153.20.0.0	153.20.255.255	SG
153.21.0.0	153.40.255.255	US
153.41.0.0	153.41.255.255	CA
153.42.0.0	153.43.255.255	US
153.44.0.0	153.44.255.255	NO
153.45.0.0	153.45.255.255	US
153.46.0.0	153.46.255.255	CH
153.47.0.0	153.48.255.255	US
153.49.0.0	153.49.255.255	BE
153.50.0.0	153.87.255.255	US
153.88.0.0	153.88.255.255	SE
153.89.0.0	153.91.255.255	US
153.92.0.0	153.92.4.255	EU
153.92.5.0	153.92.5.255	DE
153.92.6.0	153.92.9.255	EU
153.92.10.0	153.92.10.255	DE
153.92.11.0	153.92.255.255	EU
153.93.0.0	153.100.255.255	DE
153.102.0.0	153.106.255.255	US
153.107.0.0	153.107.255.255	AU
153.108.0.0	153.109.255.255	CH
153.110.0.0	153.110.255.255	NO
153.111.0.0	153.111.255.255	NZ
153.112.0.0	153.112.237.255	SE
153.112.238.0	153.112.238.255	NO
153.112.239.0	153.112.255.255	SE
153.113.0.0	153.117.255.255	US
154.0.0.0	154.4.255.255	US
154.5.0.0	154.5.255.255	CA
154.6.0.0	154.7.255.255	US
154.8.0.0	154.8.255.255	GB
154.9.0.0	154.9.255.255	US
154.10.0.0	154.10.255.255	KR
154.11.0.0	154.11.255.255	CA
154.12.0.0	154.13.255.255	US
154.14.0.0	154.16.255.255	CH
154.17.0.0	154.19.255.255	US
154.20.0.0	154.20.255.255	CA
154.21.0.0	154.31.255.255	US
154.32.0.0	154.32.255.255	GB
154.33.0.0	154.34.255.255	JP
154.35.0.0	154.64.255.255	US
155.1.0.0	155.2.255.255	US
155.3.0.0	155.3.255.255	CA
155.4.0.0	155.4.255.255	NO
155.5.0.0	155.9.255.255	US
155.10.0.0	155.10.255.255	CA
155.13.0.0	155.14.255.255	US
155.15.0.0	155.15.255.255	CA
155.16.0.0	155.31.255.255	US
155.32.0.0	155.32.255.255	NZ
155.33.0.0	155.53.255.255	US
155.54.0.0	155.54.255.255	ES
155.55.0.0	155.55.255.255	NO
155.56.0.0	155.56.255.255	DE
155.57.0.0	155.58.255.255	US
155.59.0.0	155.59.255.255	NZ
155.60.0.0	155.60.255.255	AU
155.61.0.0	155.61.255.255	US
155.62.0.0	155.62.255.255	CA
155.63.0.0	155.65.255.255	US
155.66.0.0	155.66.255.255	CH
155.67.0.0	155.68.255.255	US
155.69.0.0	155.69.255.255	SG
155.70.0.0	155.70.255.255	US
155.71.0.0	155.71.255.255	AU
155.72.0.0	155.72.255.255	US
155.73.0.0	155.73.255.255	AT
155.74.0.0	155.104.255.255	US
155.105.0.0	155.105.255.255	CH
155.106.0.0	155.130.255.255	US
155.131.0.0	155.131.255.255	GB
155.132.0.0	155.132.255.255	FR
155.133.0.0	155.133.255.255	EU
155.134.0.0	155.135.255.255	US
155.136.0.0	155.136.255.255	GB
155.137.0.0	155.137.255.255	DK
155.138.0.0	155.139.255.255	US
155.140.0.0	155.140.255.255	GB
155.141.0.0	155.142.255.255	US
155.143.0.0	155.144.255.255	AU
155.145.0.0	155.145.255.255	GB
155.146.0.0	155.157.255.255	US
155.158.0.0	155.158.255.255	PL
155.159.0.0	155.159.255.255	ZA
155.160.0.0	155.160.255.255	JP
155.161.0.0	155.184.255.255	US
155.185.0.0	155.185.255.255	IT
155.186.0.0	155.186.255.255	US
155.187.0.0	155.187.255.255	AU
155.188.0.0	155.191.255.255	US
155.192.0.0	155.192.255.255	GB
155.193.0.0	155.193.255.255	US
155.194.0.0	155.194.255.255	CA
155.195.0.0	155.195.255.255	US
155.197.0.0	155.197.255.255	US
155.198.0.0	155.198.255.255	GB
155.199.0.0	155.201.255.255	US
155.202.0.0	155.202.255.255	GB
155.203.0.0	155.203.255.255	US
155.204.0.0	155.204.255.255	NL
155.205.0.0	155.205.255.255	AU
155.206.0.0	155.206.255.255	US
155.207.0.0	155.207.255.255	GR
155.208.0.0	155.208.255.255	US
155.209.0.0	155.209.255.255	NO
155.210.0.0	155.210.255.255	ES
155.211.0.0	155.211.255.255	BR
155.212.0.0	155.222.255.255	US
155.223.0.0	155.223.255.255	TR
155.224.0.0	155.226.255.255	US
155.227.0.0	155.227.255.255	NO
155.228.0.0	155.228.255.255	CH
155.229.0.0	155.229.255.255	US
155.230.0.0	155.230.255.255	KR
155.231.0.0	155.231.255.255	GB
155.232.0.0	155.240.255.255	ZA
155.241.0.0	155.244.255.255	US
155.245.0.0	155.245.255.255	GB
155.246.0.0	155.248.255.255	US
155.249.0.0	155.249.255.255	GB
155.250.0.0	155.250.255.255	DE
155.252.0.0	155.252.255.255	US
155.253.0.0	155.253.255.255	IT
155.254.0.0	155.254.255.255	US
156.0.0.0	156.7.255.255	US
156.8.0.0	156.8.255.255	ZA
156.9.0.0	156.9.255.255	US
156.10.0.0	156.10.255.255	FI
156.11.0.0	156.11.255.255	CA
156.12.0.0	156.12.255.255	US
156.13.0.0	156.13.255.255	NZ
156.14.0.0	156.14.255.255	IT
156.15.0.0	156.15.255.255	US
156.16.0.0	156.16.255.255	AU
156.17.0.0	156.17.255.255	PL
156.18.0.0	156.18.255.255	FR
156.19.0.0	156.21.255.255	US
156.22.0.0	156.22.255.255	AU
156.23.0.0	156.24.255.255	US
156.25.0.0	156.25.255.255	CH
156.26.0.0	156.27.255.255	US
156.28.0.0	156.28.255.255	FR
156.29.0.0	156.30.255.255	US
156.31.0.0	156.31.255.255	BN
156.32.0.0	156.33.255.255	US
156.34.0.0	156.34.255.255	CA
156.35.0.0	156.35.255.255	ES
156.36.0.0	156.42.255.255	US
156.43.0.0	156.43.255.255	GB
156.44.0.0	156.44.255.255	CA
156.45.0.0	156.46.213.159	US
156.46.213.160	156.46.213.183	DE
156.46.213.184	156.47.255.255	US
156.48.0.0	156.48.255.255	GB
156.49.0.0	156.49.255.255	SE
156.50.0.0	156.50.255.255	AU
156.51.0.0	156.51.255.255	SE
156.52.0.0	156.52.255.255	NO
156.53.0.0	156.53.255.255	US
156.54.0.0	156.54.255.255	IT
156.55.0.0	156.56.255.255	US
156.57.0.0	156.57.255.255	CA
156.58.0.0	156.58.255.255	AT
156.59.0.0	156.59.255.255	NZ
156.60.0.0	156.60.255.255	US
156.61.0.0	156.61.255.255	GB
156.62.0.0	156.62.255.255	NZ
156.63.0.0	156.66.255.255	US
156.67.0.0	156.67.255.255	DE
156.68.0.0	156.68.255.255	US
156.69.0.0	156.69.255.255	NZ
156.70.0.0	156.78.255.255	US
156.79.0.0	156.79.255.255	CA
156.80.0.0	156.82.255.255	US
156.83.0.0	156.83.255.255	NL
156.84.0.0	156.96.255.255	US
156.97.0.0	156.97.255.255	CL
156.98.0.0	156.105.255.255	US
156.106.0.0	156.106.255.255	CH
156.107.0.0	156.113.255.255	US
156.114.0.0	156.114.255.255	NL
156.115.0.0	156.115.255.255	CH
156.116.0.0	156.116.255.255	NO
156.117.0.0	156.117.255.255	US
156.118.0.0	156.118.255.255	FR
156.119.0.0	156.132.255.255	US
156.133.0.0	156.133.255.255	LU
156.134.0.0	156.134.255.255	US
156.135.0.0	156.135.255.255	CH
156.136.0.0	156.146.255.255	US
156.147.0.0	156.147.255.255	KR
156.148.0.0	156.148.255.255	IT
156.149.0.0	156.149.255.255	NZ
156.150.0.0	156.150.255.255	NL
156.151.0.0	156.155.255.255	US
157.0.0.0	157.20.255.255	JP
157.21.0.0	157.22.255.255	US
157.23.0.0	157.23.255.255	FR
157.24.0.0	157.24.255.255	FI
157.25.0.0	157.25.255.255	PL
157.26.0.0	157.26.255.255	CH
157.27.0.0	157.29.255.255	IT
157.30.0.0	157.31.255.255	US
157.32.0.0	157.53.255.255	ID
157.54.0.0	157.60.255.255	US
157.62.0.0	157.62.255.255	US
157.63.0.0	157.82.255.255	JP
157.83.0.0	157.84.255.255	GB
157.85.0.0	157.85.255.255	AU
157.86.0.0	157.86.255.255	BR
157.87.0.0	157.87.255.255	US
157.88.0.0	157.88.255.255	ES
157.89.0.0	157.91.255.255	US
157.92.0.0	157.92.255.255	AR
157.93.0.0	157.93.255.255	US
157.94.0.0	157.94.255.255	FI
157.95.0.0	157.95.255.255	US
157.96.0.0	157.96.255.255	SE
157.97.0.0	157.97.255.255	CA
157.98.0.0	157.98.255.255	US
157.99.0.0	157.99.255.255	FR
157.100.0.0	157.100.255.255	EC
157.101.0.0	157.120.255.255	JP
157.121.0.0	157.121.255.255	US
157.123.0.0	157.123.255.255	US
157.124.0.0	157.124.255.255	FI
157.125.0.0	157.125.255.255	SE
157.126.0.0	157.127.255.255	US
157.128.0.0	157.128.255.255	AU
157.129.0.0	157.129.255.255	FI
157.130.0.0	157.135.255.255	US
157.136.0.0	157.136.255.255	FR
157.137.0.0	157.137.255.255	US
157.138.0.0	157.138.255.255	IT
157.139.0.0	157.139.255.255	US
157.140.0.0	157.140.255.255	GB
157.141.0.0	157.143.255.255	US
157.144.0.0	157.144.255.255	FI
157.145.0.0	157.154.255.255	US
157.155.0.0	157.155.255.255	AU
157.157.0.0	157.157.255.255	IS
157.158.0.0	157.158.255.255	PL
157.159.0.0	157.159.255.255	FR
157.160.0.0	157.160.255.255	US
157.161.0.0	157.161.255.255	CH
157.162.0.0	157.163.255.255	DE
157.164.0.0	157.164.255.255	BE
157.165.0.0	157.166.255.255	US
157.167.0.0	157.167.255.255	AT
157.168.0.0	157.168.255.255	CH
157.169.0.0	157.169.255.255	FR
157.170.0.0	157.170.255.255	US
157.171.0.0	157.171.255.255	SE
157.172.0.0	157.172.255.255	FR
157.173.0.0	157.173.255.255	GB
157.174.0.0	157.176.255.255	US
157.177.0.0	157.177.255.255	AT
157.178.0.0	157.178.255.255	US
157.179.0.0	157.179.255.255	TH
157.180.0.0	157.180.255.255	SE
157.181.0.0	157.181.255.255	HU
157.182.0.0	157.185.255.255	US
157.186.0.0	157.186.255.255	RU
157.187.0.0	157.189.255.255	US
157.190.0.0	157.190.255.255	IE
157.191.0.0	157.191.255.255	US
157.192.0.0	157.192.255.255	JP
157.193.0.0	157.193.255.255	BE
157.194.0.0	157.196.255.255	US
157.197.0.0	157.197.255.255	KR
157.198.0.0	157.199.255.255	US
157.200.0.0	157.200.255.255	FI
157.201.0.0	157.202.255.255	US
157.203.0.0	157.203.255.255	GB
157.204.0.0	157.204.255.255	US
157.205.0.0	157.205.255.255	JP
157.206.0.0	157.210.255.255	US
157.211.0.0	157.211.255.255	AU
157.212.0.0	157.226.255.255	US
157.227.0.0	157.227.255.255	IN
157.228.0.0	157.228.255.255	GB
157.229.0.0	157.235.255.255	US
157.236.0.0	157.236.255.255	GB
157.237.0.0	157.237.255.255	NO
157.238.0.0	157.242.255.255	US
157.243.0.0	157.243.255.255	FR
157.244.0.0	157.244.255.255	CA
157.245.0.0	157.246.255.255	US
157.247.0.0	157.247.255.255	AT
157.248.0.0	157.248.255.255	US
157.249.0.0	157.249.255.255	NO
157.250.0.0	157.252.255.255	US
157.253.0.0	157.253.255.255	CO
157.254.0.0	157.254.255.255	US
158.0.0.0	158.35.255.255	US
158.36.0.0	158.39.255.255	NO
158.40.0.0	158.40.255.255	AU
158.41.0.0	158.41.255.255	GB
158.42.0.0	158.42.255.255	ES
158.43.0.0	158.43.255.255	GB
158.44.0.0	158.44.255.255	KR
158.45.0.0	158.45.255.255	AU
158.47.0.0	158.47.255.255	IT
158.48.0.0	158.48.255.255	US
158.49.0.0	158.49.255.255	ES
158.50.0.0	158.50.255.255	FR
158.51.0.0	158.51.255.255	CA
158.52.0.0	158.53.255.255	US
158.54.0.0	158.54.255.255	AU
158.55.0.0	158.63.255.255	US
158.64.0.0	158.64.255.255	LU
158.65.0.0	158.65.255.255	US
158.66.0.0	158.66.232.255	EU
158.66.233.0	158.66.240.0	PL
158.66.240.1	158.67.255.255	EU
158.68.0.0	158.74.255.255	US
158.75.0.0	158.75.255.255	PL
158.76.0.0	158.88.255.255	US
158.89.0.0	158.89.255.255	AU
158.90.0.0	158.90.255.255	FI
158.91.0.0	158.91.255.255	US
158.92.0.0	158.92.255.255	SE
158.93.0.0	158.93.255.255	US
158.94.0.0	158.94.255.255	GB
158.95.0.0	158.96.255.255	US
158.97.0.0	158.97.255.255	MX
158.98.0.0	158.98.255.255	US
158.99.0.0	158.99.255.255	ES
158.100.0.0	158.101.255.255	US
158.102.0.0	158.102.255.255	IT
158.103.0.0	158.104.255.255	US
158.105.0.0	158.105.255.255	SE
158.106.0.0	158.107.255.255	US
158.108.0.0	158.108.255.255	TH
158.109.0.0	158.109.255.255	ES
158.110.0.0	158.110.255.255	IT
158.111.0.0	158.111.255.255	US
158.112.0.0	158.112.255.255	NO
158.113.0.0	158.118.255.255	US
158.119.0.0	158.119.255.255	GB
158.120.0.0	158.123.255.255	US
158.124.0.0	158.125.255.255	GB
158.126.0.0	158.126.255.255	SE
158.127.0.0	158.127.255.255	FI
158.128.0.0	158.128.255.255	CA
158.129.0.0	158.129.255.255	LT
158.130.0.0	158.130.255.255	US
158.131.0.0	158.131.255.255	FI
158.132.0.0	158.132.255.255	HK
158.133.0.0	158.133.255.255	CH
158.134.0.0	158.140.255.255	US
158.141.0.0	158.141.255.255	CA
158.142.0.0	158.142.255.255	US
158.143.0.0	158.143.255.255	GB
158.144.0.0	158.144.255.255	IN
158.145.0.0	158.147.255.255	US
158.149.0.0	158.150.255.255	NO
158.151.0.0	158.151.255.255	US
158.152.0.0	158.152.255.255	GB
158.153.0.0	158.155.255.255	US
158.156.0.0	158.156.255.255	FR
158.157.0.0	158.159.255.255	US
158.160.0.0	158.160.255.255	VE
158.161.0.0	158.161.255.255	BN
158.162.0.0	158.162.255.255	PT
158.163.0.0	158.163.255.255	CA
158.164.0.0	158.165.255.255	US
158.166.0.0	158.169.255.255	LU
158.170.0.0	158.170.255.255	CL
158.171.0.0	158.171.255.255	US
158.172.0.0	158.172.255.255	ES
158.173.0.0	158.173.255.255	SE
158.174.0.0	158.180.255.255	GB
158.182.0.0	158.182.255.255	HK
158.183.0.0	158.189.255.255	US
158.190.0.0	158.192.255.255	FR
158.193.0.0	158.193.255.255	SK
158.194.0.0	158.194.255.255	CZ
158.195.0.0	158.195.255.255	SK
158.196.0.0	158.196.255.255	CZ
158.197.0.0	158.197.255.255	SK
158.198.0.0	158.215.255.255	JP
158.216.0.0	158.216.255.255	CH
158.217.0.0	158.217.255.255	JP
158.218.0.0	158.218.255.255	GB
158.219.0.0	158.219.255.255	US
158.220.0.0	158.220.255.255	CH
158.221.0.0	158.222.127.255	US
158.223.0.0	158.223.255.255	GB
158.224.0.0	158.224.255.255	US
158.225.0.0	158.225.255.255	DE
158.226.0.0	158.226.255.255	CH
158.227.0.0	158.227.255.255	ES
158.228.0.0	158.229.255.255	US
158.230.0.0	158.230.255.255	GB
158.231.0.0	158.231.255.255	FR
158.232.0.0	158.232.255.255	CH
158.233.0.0	158.233.255.255	FI
158.234.0.0	158.234.255.255	GB
158.235.0.0	158.247.255.255	US
158.248.0.0	158.248.255.255	SE
158.249.0.0	158.249.255.255	HU
158.250.0.0	158.250.255.255	RU
158.251.0.0	158.251.255.255	CL
158.252.0.0	159.5.255.255	US
159.6.0.0	159.6.255.255	CA
159.7.0.0	159.7.255.255	SE
159.8.0.0	159.8.255.255	CH
159.9.0.0	159.11.255.255	US
159.12.0.0	159.12.255.255	CH
159.13.0.0	159.13.255.255	AU
159.14.0.0	159.14.255.255	US
159.15.0.0	159.15.255.255	GB
159.16.0.0	159.16.255.255	MX
159.17.0.0	159.17.255.255	US
159.18.0.0	159.18.255.255	CA
159.19.0.0	159.19.255.255	US
159.21.0.0	159.21.255.255	US
159.22.0.0	159.22.255.255	CH
159.23.0.0	159.23.255.255	ES
159.24.0.0	159.24.255.255	US
159.25.0.0	159.25.255.255	DE
159.26.0.0	159.28.255.255	US
159.29.0.0	159.29.255.255	CH
159.30.0.0	159.30.255.255	GB
159.31.0.0	159.31.255.255	FR
159.32.0.0	159.33.255.255	CA
159.34.0.0	159.34.255.255	GB
159.35.0.0	159.37.255.255	US
159.38.0.0	159.38.255.255	SE
159.39.0.0	159.45.255.255	US
159.46.0.0	159.46.255.255	NL
159.47.0.0	159.49.255.255	US
159.50.0.0	159.50.255.255	FR
159.51.0.0	159.51.255.255	DE
159.52.0.0	159.52.255.255	AU
159.53.0.0	159.54.255.255	US
159.55.0.0	159.55.255.255	CA
159.56.0.0	159.57.255.255	US
159.58.0.0	159.58.255.255	NO
159.59.0.0	159.59.255.255	US
159.60.0.0	159.60.255.255	NL
159.61.0.0	159.71.255.255	US
159.72.0.0	159.72.255.255	SE
159.73.0.0	159.73.255.255	AU
159.74.0.0	159.79.255.255	US
159.80.0.0	159.80.255.255	JP
159.81.0.0	159.81.255.255	NO
159.82.0.0	159.83.255.255	US
159.84.0.0	159.84.255.255	FR
159.85.0.0	159.85.255.255	US
159.87.0.0	159.88.255.255	US
159.89.0.0	159.89.255.255	CA
159.90.0.0	159.90.255.255	VE
159.91.0.0	159.91.255.255	US
159.92.0.0	159.92.255.255	GB
159.93.0.0	159.93.255.255	RU
159.94.0.0	159.94.255.255	US
159.95.0.0	159.95.255.255	FR
159.96.0.0	159.99.255.255	US
159.100.0.0	159.101.255.255	GB
159.102.0.0	159.102.255.255	US
159.103.0.0	159.103.255.255	CH
159.104.0.0	159.104.255.255	GB
159.105.0.0	159.106.255.255	US
159.107.0.0	159.107.255.255	SE
159.108.0.0	159.108.255.255	US
159.109.0.0	159.109.255.255	FR
159.110.0.0	159.110.255.255	US
159.111.0.0	159.111.255.255	AU
159.112.0.0	159.113.255.255	US
159.114.0.0	159.114.255.255	GB
159.115.0.0	159.116.255.255	US
159.117.0.0	159.117.255.255	NZ
159.118.0.0	159.121.255.255	US
159.122.0.0	159.122.255.255	CH
159.123.0.0	159.127.255.255	US
159.128.0.0	159.128.255.255	CA
159.129.0.0	159.129.255.255	US
159.130.0.0	159.130.255.255	NO
159.131.0.0	159.133.255.255	US
159.134.0.0	159.134.255.255	IE
159.135.0.0	159.143.255.255	US
159.144.0.0	159.144.255.255	CH
159.145.0.0	159.145.255.255	US
159.147.0.0	159.147.255.255	GB
159.148.0.0	159.148.255.255	LV
159.149.0.0	159.149.255.255	IT
159.150.0.0	159.150.255.255	US
159.151.0.0	159.151.255.255	FR
159.152.0.0	159.152.255.255	FI
159.153.0.0	159.153.255.255	US
159.154.0.0	159.154.255.255	DE
159.155.0.0	159.155.255.255	US
159.156.0.0	159.156.255.255	CH
159.157.0.0	159.158.255.255	US
159.159.0.0	159.159.255.255	CA
159.161.0.0	159.161.255.255	US
159.162.0.0	159.162.255.255	NO
159.163.0.0	159.166.255.255	US
159.167.0.0	159.167.255.255	GB
159.168.0.0	159.168.255.255	CH
159.169.0.0	159.169.255.255	US
159.170.0.0	159.170.255.255	GB
159.171.0.0	159.171.255.255	NO
159.172.0.0	159.172.255.255	US
159.173.0.0	159.173.255.255	FR
159.174.0.0	159.174.255.255	US
159.175.0.0	159.175.255.255	CA
159.176.0.0	159.176.255.255	US
159.177.0.0	159.177.255.255	CA
159.178.0.0	159.178.255.255	US
159.179.0.0	159.179.255.255	CH
159.180.0.0	159.180.255.255	GB
159.181.0.0	159.189.255.255	US
159.190.0.0	159.190.255.255	SE
159.191.0.0	159.192.255.255	US
159.193.0.0	159.194.255.255	SE
159.195.0.0	159.195.255.255	DK
159.196.0.0	159.196.255.255	AU
159.197.0.0	159.197.255.255	GB
159.198.0.0	159.199.255.255	US
159.200.0.0	159.200.255.255	SE
159.201.0.0	159.204.255.255	US
159.206.0.0	159.206.255.255	CA
159.207.0.0	159.207.255.255	AU
159.208.0.0	159.208.255.255	CA
159.209.0.0	159.209.255.255	US
159.210.0.0	159.210.255.255	IT
159.211.0.0	159.211.255.255	JP
159.212.0.0	159.212.255.255	US
159.213.0.0	159.213.255.255	IT
159.214.0.0	159.215.255.255	US
159.216.0.0	159.216.255.255	NO
159.217.0.0	159.217.255.255	FR
159.218.0.0	159.218.255.255	US
159.219.0.0	159.219.255.255	GB
159.220.0.0	159.223.255.255	US
159.225.0.0	159.225.255.255	US
159.226.0.0	159.226.255.255	CN
159.227.0.0	159.227.255.255	US
159.228.0.0	159.228.255.255	JP
159.229.0.0	159.230.255.255	US
159.231.0.0	159.231.255.255	CA
159.232.0.0	159.232.255.255	CH
159.233.0.0	159.235.255.255	US
159.236.0.0	159.236.255.255	GB
159.237.0.0	159.237.255.255	ES
159.238.0.0	159.238.255.255	US
159.239.0.0	159.239.255.255	GB
159.240.0.0	159.240.255.255	US
159.241.0.0	159.241.255.255	CH
159.242.0.0	159.243.255.255	US
159.244.0.0	159.244.255.255	GB
159.245.0.0	159.245.15.255	EU
159.245.16.0	159.245.31.255	NL
159.245.32.0	159.245.47.255	US
159.245.48.0	159.245.63.255	SG
159.245.64.0	159.245.255.255	EU
159.246.0.0	159.247.255.255	US
159.248.0.0	159.248.255.255	AU
159.249.0.0	159.252.255.255	US
159.254.0.0	159.254.255.255	GB
160.0.0.0	160.3.255.255	US
160.4.0.0	160.4.255.255	NZ
160.5.0.0	160.5.255.255	GB
160.6.0.0	160.6.255.255	IE
160.7.0.0	160.7.255.255	US
160.8.0.0	160.8.255.255	SE
160.9.0.0	160.9.255.255	GB
160.10.0.0	160.10.255.255	US
160.11.0.0	160.30.255.255	JP
160.31.0.0	160.37.255.255	US
160.38.0.0	160.38.255.255	GB
160.39.0.0	160.39.255.255	US
160.40.0.0	160.40.255.255	GR
160.41.0.0	160.43.255.255	US
160.44.0.0	160.44.238.47	DE
160.44.238.48	160.44.238.55	US
160.44.238.56	160.44.238.63	CN
160.44.238.64	160.51.255.255	DE
160.52.0.0	160.52.255.255	AT
160.53.0.0	160.53.255.255	CH
160.54.0.0	160.58.255.255	DE
160.59.0.0	160.59.255.255	CH
160.60.0.0	160.60.255.255	DE
160.61.0.0	160.62.8.255	CH
160.62.9.0	160.62.9.255	CN
160.62.10.0	160.62.11.255	CH
160.62.12.0	160.62.13.255	SG
160.62.14.0	160.62.15.255	US
160.62.16.0	160.63.255.255	CH
160.64.0.0	160.64.255.255	AU
160.65.0.0	160.65.255.255	US
160.66.0.0	160.66.255.255	IT
160.67.0.0	160.68.255.255	NO
160.69.0.0	160.69.255.255	US
160.70.0.0	160.70.255.255	DE
160.71.0.0	160.71.255.255	FI
160.72.0.0	160.72.255.255	CA
160.73.0.0	160.73.255.255	US
160.74.0.0	160.74.255.255	JP
160.75.0.0	160.75.255.255	TR
160.76.0.0	160.76.255.255	US
160.78.0.0	160.78.255.255	IT
160.79.0.0	160.79.15.255	US
160.79.16.0	160.79.17.255	GB
160.79.18.0	160.79.37.255	US
160.79.38.0	160.79.38.255	GB
160.79.39.0	160.79.53.255	US
160.79.54.0	160.79.55.255	GB
160.79.56.0	160.79.108.255	US
160.79.109.0	160.79.109.255	GB
160.79.110.0	160.79.133.255	US
160.79.134.0	160.79.135.255	GB
160.79.136.0	160.79.141.255	US
160.79.142.0	160.79.143.255	GB
160.79.144.0	160.79.194.255	US
160.79.195.0	160.79.195.255	GB
160.79.196.0	160.79.213.255	US
160.79.214.0	160.79.215.255	GB
160.79.216.0	160.79.239.255	US
160.79.240.0	160.79.241.255	GB
160.79.242.0	160.79.242.255	US
160.79.243.0	160.79.245.255	GB
160.79.246.0	160.79.255.255	US
160.80.0.0	160.80.255.255	IT
160.81.0.0	160.84.255.255	US
160.85.0.0	160.85.255.255	CH
160.86.0.0	160.91.255.255	US
160.92.0.0	160.92.255.255	FR
160.93.0.0	160.95.255.255	US
160.96.0.0	160.96.255.255	SG
160.97.0.0	160.97.255.255	IT
160.98.0.0	160.98.255.255	CH
160.99.0.0	160.99.255.255	RS
160.100.0.0	160.100.255.255	GB
160.101.0.0	160.102.255.255	US
160.103.0.0	160.103.255.255	FR
160.104.0.0	160.104.255.255	GB
160.106.0.0	160.106.255.255	CA
160.107.0.0	160.112.255.255	US
160.114.0.0	160.114.255.255	HU
160.115.0.0	160.124.255.255	ZA
160.125.0.0	160.159.255.255	US
160.180.0.0	160.180.255.255	IT
160.184.0.0	160.204.255.255	JP
160.205.0.0	160.205.255.255	US
160.206.0.0	160.206.255.255	AU
160.207.0.0	160.209.255.255	US
160.210.0.0	160.210.255.255	IS
160.211.0.0	160.211.255.255	DE
160.212.0.0	160.212.255.255	US
160.213.0.0	160.213.255.255	GB
160.214.0.0	160.214.255.255	ES
160.215.0.0	160.215.255.255	JP
160.216.0.0	160.218.255.255	CZ
160.219.0.0	160.219.255.255	CH
160.220.0.0	160.220.255.255	IT
160.221.0.0	160.221.255.255	BE
160.222.0.0	160.222.255.255	AU
160.223.0.0	160.223.255.255	CA
160.227.0.0	160.227.255.255	US
160.228.0.0	160.228.255.255	FR
160.229.0.0	160.232.255.255	US
160.233.0.0	160.252.255.255	JP
160.253.0.0	160.254.255.255	US
161.1.0.0	161.1.255.255	US
161.2.0.0	161.2.255.255	GB
161.3.0.0	161.3.255.255	FR
161.4.0.0	161.4.255.255	NO
161.5.0.0	161.5.255.255	AT
161.6.0.0	161.7.255.255	US
161.8.0.0	161.8.255.255	RU
161.9.0.0	161.9.255.255	TR
161.11.0.0	161.11.255.255	US
161.12.0.0	161.12.255.255	GB
161.13.0.0	161.16.255.255	US
161.17.0.0	161.17.255.255	GB
161.19.0.0	161.19.255.255	CA
161.20.0.0	161.20.255.255	CH
161.21.0.0	161.21.255.255	US
161.23.0.0	161.23.255.255	GB
161.24.0.0	161.24.255.255	BR
161.25.0.0	161.25.255.255	CL
161.26.0.0	161.26.255.255	US
161.27.0.0	161.27.255.255	IT
161.28.0.0	161.28.255.255	US
161.29.0.0	161.29.255.255	NZ
161.30.0.0	161.30.255.255	GB
161.31.0.0	161.36.255.255	US
161.37.0.0	161.37.255.255	ES
161.38.0.0	161.40.255.255	US
161.41.0.0	161.41.255.255	FI
161.42.0.0	161.42.255.255	DE
161.43.0.0	161.43.255.255	AU
161.44.0.0	161.47.255.255	US
161.48.0.0	161.48.255.255	FR
161.49.0.0	161.49.255.255	US
161.50.0.0	161.50.255.255	AU
161.51.0.0	161.51.255.255	US
161.52.0.0	161.52.255.255	SE
161.53.0.0	161.53.255.255	HR
161.54.0.0	161.54.255.255	SE
161.55.0.0	161.55.255.255	US
161.57.0.0	161.58.255.255	US
161.59.0.0	161.59.255.255	BE
161.60.0.0	161.61.255.255	US
161.62.0.0	161.62.255.255	CH
161.63.0.0	161.63.255.255	US
161.64.0.0	161.64.255.255	MO
161.65.0.0	161.66.255.255	NZ
161.67.0.0	161.67.255.255	ES
161.68.0.0	161.70.255.255	US
161.71.0.0	161.71.255.255	GB
161.72.0.0	161.72.255.255	ES
161.73.0.0	161.74.255.255	GB
161.75.0.0	161.75.255.255	JP
161.76.0.0	161.76.255.255	GB
161.77.0.0	161.77.255.255	US
161.78.0.0	161.78.255.255	CH
161.79.0.0	161.79.255.255	BR
161.80.0.0	161.82.255.255	US
161.83.0.0	161.84.223.255	NL
161.84.224.0	161.84.255.255	US
161.85.0.0	161.88.239.255	NL
161.88.240.0	161.88.255.255	US
161.89.0.0	161.92.255.255	NL
161.93.0.0	161.96.255.255	JP
161.97.0.0	161.103.255.255	US
161.104.0.0	161.106.255.255	FR
161.107.0.0	161.109.255.255	US
161.110.0.0	161.110.255.255	AT
161.111.0.0	161.111.255.255	ES
161.112.0.0	161.112.255.255	GB
161.113.0.0	161.115.255.255	US
161.116.0.0	161.116.255.255	ES
161.117.0.0	161.117.255.255	AU
161.118.0.0	161.118.255.255	JP
161.119.0.0	161.121.255.255	US
161.122.0.0	161.122.255.255	KR
161.123.0.0	161.123.255.255	EU
161.124.0.0	161.125.255.255	US
161.126.0.0	161.126.255.255	SG
161.127.0.0	161.130.255.255	US
161.131.0.0	161.131.255.255	CL
161.132.0.0	161.132.255.255	PE
161.133.0.0	161.137.255.255	US
161.139.0.0	161.139.255.255	MY
161.141.0.0	161.141.255.255	CA
161.142.0.0	161.142.255.255	MY
161.143.0.0	161.143.255.255	AU
161.144.0.0	161.145.255.255	US
161.146.0.0	161.146.255.255	AU
161.147.0.0	161.147.255.255	IT
161.148.0.0	161.148.255.255	BR
161.149.0.0	161.151.255.255	US
161.152.0.0	161.152.255.255	AU
161.153.0.0	161.157.255.255	US
161.158.0.0	161.158.255.255	NL
161.159.0.0	161.183.255.255	US
161.184.0.0	161.184.255.255	CA
161.185.0.0	161.186.255.255	US
161.187.0.0	161.187.255.255	CA
161.188.0.0	161.189.255.255	US
161.190.0.0	161.190.255.255	AR
161.191.0.0	161.195.255.255	US
161.196.0.0	161.196.255.255	VE
161.197.0.0	161.199.255.255	US
161.200.0.0	161.200.255.255	TH
161.201.0.0	161.201.255.255	US
161.202.0.0	161.202.255.255	CH
161.203.0.0	161.206.255.255	US
161.207.0.0	161.207.255.255	CN
161.208.0.0	161.215.255.255	US
161.216.0.0	161.216.255.255	CA
161.217.0.0	161.228.255.255	US
161.229.0.0	161.229.255.255	SG
161.230.0.0	161.237.255.255	US
161.238.0.0	161.238.255.255	CL
161.239.0.0	161.245.255.255	US
161.246.0.0	161.246.255.255	TH
161.247.0.0	161.247.255.255	US
161.248.0.0	161.248.255.255	JP
161.249.0.0	161.251.255.255	US
161.252.0.0	161.252.255.255	KW
161.253.0.0	161.254.255.255	US
162.0.0.0	162.3.255.255	US
162.4.0.0	162.4.255.255	JP
162.5.0.0	162.10.255.255	US
162.11.0.0	162.11.255.255	GB
162.12.0.0	162.12.255.255	US
162.13.0.0	162.13.255.255	GB
162.14.0.0	162.20.255.255	US
162.21.0.0	162.21.255.255	CH
162.22.0.0	162.22.255.255	US
162.23.0.0	162.23.255.255	CH
162.24.0.0	162.24.255.255	US
162.25.0.0	162.25.255.255	AT
162.26.0.0	162.26.255.255	CH
162.27.0.0	162.37.255.255	US
162.38.0.0	162.38.255.255	FR
162.39.0.0	162.52.255.255	US
162.53.0.0	162.53.255.255	CA
162.54.0.0	162.71.255.255	US
162.73.0.0	162.73.255.255	CA
162.74.0.0	162.84.255.255	US
162.85.0.0	162.85.255.255	CA
162.86.0.0	162.86.255.255	CH
162.87.0.0	162.103.255.255	US
162.105.0.0	162.105.255.255	CN
162.106.0.0	162.106.255.255	CA
162.107.0.0	162.111.255.255	US
162.112.0.0	162.112.255.255	NZ
162.113.0.0	162.121.255.255	US
162.122.0.0	162.122.255.255	VE
162.123.0.0	162.138.255.255	US
162.139.0.0	162.139.255.255	CA
162.140.0.0	162.143.255.255	US
162.144.0.0	162.147.255.255	AU
163.1.0.0	163.1.255.255	GB
163.2.0.0	163.2.255.255	US
163.3.0.0	163.3.255.255	SE
163.4.0.0	163.4.255.255	US
163.5.0.0	163.5.255.255	FR
163.6.0.0	163.6.255.255	US
163.7.0.0	163.7.255.255	NZ
163.8.0.0	163.8.255.255	AU
163.9.0.0	163.9.255.255	FR
163.10.0.0	163.10.255.255	AR
163.11.0.0	163.12.255.255	US
163.13.0.0	163.32.255.255	TW
163.33.0.0	163.33.255.255	US
163.34.0.0	163.34.255.255	NO
163.35.0.0	163.41.255.255	US
163.42.0.0	163.61.255.255	JP
163.62.0.0	163.116.255.255	FR
163.117.0.0	163.117.255.255	ES
163.118.0.0	163.118.255.255	US
163.119.0.0	163.119.255.255	GB
163.120.0.0	163.120.255.255	US
163.121.0.0	163.121.255.255	EG
163.122.0.0	163.122.255.255	IN
163.123.0.0	163.123.127.255	CA
163.124.0.0	163.124.255.255	US
163.126.0.0	163.126.255.255	US
163.127.0.0	163.128.255.255	AU
163.129.0.0	163.129.255.255	US
163.130.0.0	163.149.255.255	JP
163.150.0.0	163.151.255.255	US
163.152.0.0	163.152.255.255	KR
163.153.0.0	163.154.255.255	US
163.155.0.0	163.155.255.255	CA
163.156.0.0	163.156.255.255	GB
163.157.0.0	163.157.255.255	SE
163.158.0.0	163.158.255.255	DE
163.159.0.0	163.159.255.255	SI
163.160.0.0	163.160.255.255	GB
163.161.0.0	163.161.255.255	CH
163.162.0.0	163.162.255.255	IT
163.163.0.0	163.163.255.255	BE
163.164.0.0	163.164.255.255	GB
163.165.0.0	163.165.191.255	BE
163.165.192.0	163.165.255.255	DE
163.166.0.0	163.167.255.255	GB
163.168.0.0	163.168.255.255	CH
163.169.0.0	163.172.255.255	GB
163.173.0.0	163.173.255.255	FR
163.174.0.0	163.174.255.255	NO
163.175.0.0	163.175.255.255	NL
163.176.0.0	163.176.255.255	US
163.178.0.0	163.178.255.255	CR
163.180.0.0	163.180.255.255	KR
163.181.0.0	163.188.255.255	US
163.189.0.0	163.189.255.255	AU
163.190.0.0	163.194.255.255	US
163.195.0.0	163.203.255.255	ZA
163.204.0.0	163.207.255.255	US
163.208.0.0	163.227.255.255	JP
163.228.0.0	163.231.255.255	US
163.232.0.0	163.233.255.255	AU
163.234.0.0	163.238.255.255	US
163.239.0.0	163.239.255.255	KR
163.240.0.0	163.246.255.255	US
163.247.0.0	163.247.255.255	CL
163.248.0.0	163.249.255.255	US
163.250.0.0	163.250.255.255	CL
163.251.0.0	163.255.255.255	US
164.1.0.0	164.2.255.255	FR
164.3.0.0	164.3.255.255	AT
164.4.0.0	164.4.255.255	SE
164.5.0.0	164.5.255.255	FI
164.6.0.0	164.6.255.255	GB
164.7.0.0	164.7.255.255	FR
164.8.0.0	164.8.255.255	SI
164.9.0.0	164.10.255.255	SE
164.11.0.0	164.12.255.255	GB
164.13.0.0	164.13.255.255	FI
164.14.0.0	164.14.255.255	CH
164.15.0.0	164.15.255.255	BE
164.16.0.0	164.34.255.255	DE
164.35.0.0	164.35.255.255	BE
164.36.0.0	164.36.255.255	GB
164.37.0.0	164.37.255.255	SE
164.38.0.0	164.39.255.255	GB
164.41.0.0	164.41.255.255	BR
164.42.0.0	164.42.255.255	PR
164.43.0.0	164.43.255.255	JP
164.44.0.0	164.45.255.255	US
164.46.0.0	164.46.255.255	JP
164.47.0.0	164.47.255.255	US
164.48.0.0	164.48.255.255	SE
164.49.0.0	164.52.255.255	US
164.53.0.0	164.53.255.255	AU
164.54.0.0	164.58.255.255	US
164.59.0.0	164.59.255.255	DE
164.60.0.0	164.60.255.255	FR
164.61.0.0	164.61.255.255	DE
164.62.0.0	164.68.255.255	US
164.69.0.0	164.71.255.255	JP
164.72.0.0	164.72.255.255	US
164.73.0.0	164.73.255.255	UY
164.74.0.0	164.74.255.255	US
164.75.0.0	164.75.255.255	AU
164.76.0.0	164.76.255.255	US
164.77.0.0	164.77.182.255	CL
164.77.183.0	164.77.186.255	PE
164.77.187.0	164.77.255.255	CL
164.78.0.0	164.78.255.255	SG
164.79.0.0	164.79.255.255	US
164.80.0.0	164.80.255.255	AU
164.81.0.0	164.81.255.255	FR
164.82.0.0	164.84.255.255	US
164.85.0.0	164.85.255.255	BR
164.86.0.0	164.87.255.255	US
164.88.0.0	164.88.255.255	ZA
164.89.0.0	164.95.255.255	US
164.96.0.0	164.96.255.255	CL
164.97.0.0	164.97.255.255	AU
164.98.0.0	164.98.255.255	CL
164.99.0.0	164.99.255.255	US
164.100.0.0	164.100.255.255	IN
164.101.0.0	164.101.255.255	US
164.102.0.0	164.102.255.255	CA
164.103.0.0	164.107.255.255	US
164.108.0.0	164.108.255.255	AU
164.109.0.0	164.111.255.255	US
164.112.0.0	164.112.255.255	AU
164.113.0.0	164.114.255.255	US
164.115.0.0	164.115.255.255	TH
164.116.0.0	164.123.255.255	US
164.124.0.0	164.125.255.255	KR
164.128.0.0	164.128.122.175	CH
164.128.122.176	164.128.122.179	LI
164.128.122.180	164.128.122.187	CH
164.128.122.188	164.128.122.191	LI
164.128.122.192	164.128.125.79	CH
164.128.125.80	164.128.125.83	GB
164.128.125.84	164.128.166.31	CH
164.128.166.32	164.128.166.35	LI
164.128.166.36	164.128.255.255	CH
164.129.0.0	164.129.255.255	FR
164.130.0.0	164.130.255.255	IT
164.131.0.0	164.131.255.255	FR
164.132.0.0	164.132.255.255	IT
164.133.0.0	164.133.255.255	DE
164.134.0.0	164.134.255.255	GB
164.135.0.0	164.135.255.255	SE
164.136.0.0	164.137.255.255	GB
164.138.0.0	164.138.255.255	FR
164.139.0.0	164.139.255.255	DE
164.140.0.0	164.140.255.255	NL
164.141.0.0	164.141.255.255	FI
164.142.0.0	164.142.255.255	IT
164.143.0.0	164.143.247.255	GB
164.143.248.0	164.143.251.255	US
164.143.252.0	164.143.255.255	GB
164.144.0.0	164.145.255.255	US
164.146.0.0	164.151.255.255	ZA
164.152.0.0	164.154.255.255	US
164.155.0.0	164.155.255.255	ZA
164.156.0.0	164.159.255.255	US
164.160.0.0	164.163.255.255	JP
164.164.0.0	164.164.255.255	IN
164.165.0.0	164.165.255.255	US
164.166.0.0	164.166.255.255	CA
164.167.0.0	164.176.255.255	US
164.178.0.0	164.178.255.255	CA
164.179.0.0	164.255.255.255	US
165.1.0.0	165.2.255.255	US
165.3.0.0	165.5.255.255	ZA
165.6.0.0	165.7.255.255	US
165.8.0.0	165.11.255.255	ZA
165.12.0.0	165.12.255.255	AU
165.13.0.0	165.13.255.255	US
165.14.0.0	165.15.255.255	JP
165.17.0.0	165.18.255.255	JP
165.19.0.0	165.20.255.255	US
165.21.0.0	165.21.255.255	SG
165.22.0.0	165.22.255.255	US
165.23.0.0	165.23.255.255	CA
165.24.0.0	165.24.255.255	US
165.25.0.0	165.25.255.255	ZA
165.26.0.0	165.30.255.255	US
165.31.0.0	165.31.255.255	AU
165.32.0.0	165.66.255.255	US
165.67.0.0	165.67.255.255	AU
165.68.0.0	165.68.255.255	US
165.69.0.0	165.69.255.255	AU
165.70.0.0	165.75.255.255	US
165.76.0.0	165.76.255.255	JP
165.77.0.0	165.77.255.255	US
165.78.0.0	165.78.255.255	CA
165.79.0.0	165.83.255.255	US
165.84.0.0	165.84.255.255	NZ
165.85.0.0	165.85.255.255	US
165.86.0.0	165.86.255.255	AU
165.87.0.0	165.92.255.255	US
165.93.0.0	165.93.255.255	JP
165.94.0.0	165.95.255.255	US
165.96.0.0	165.96.255.255	JP
165.97.0.0	165.97.255.255	US
165.98.0.0	165.98.255.255	NI
165.99.0.0	165.102.255.255	JP
165.103.0.0	165.107.255.255	US
165.108.0.0	165.108.255.255	JP
165.109.0.0	165.113.255.255	US
165.114.0.0	165.114.255.255	NL
165.115.0.0	165.115.255.255	CA
165.116.0.0	165.117.255.255	US
165.118.0.0	165.118.255.255	AU
165.119.0.0	165.131.255.255	US
165.132.0.0	165.133.255.255	KR
165.134.0.0	165.140.255.255	US
165.141.0.0	165.141.255.255	KR
165.142.0.0	165.142.255.255	AU
165.143.0.0	165.149.255.255	ZA
165.150.0.0	165.153.255.255	US
165.154.0.0	165.154.255.255	CA
165.155.0.0	165.164.255.255	US
165.165.0.0	165.165.255.255	ZA
165.166.0.0	165.177.255.255	US
165.178.0.0	165.178.255.255	CA
165.179.0.0	165.179.255.255	US
165.180.0.0	165.180.255.255	ZA
165.181.0.0	165.181.255.255	US
165.182.0.0	165.183.255.255	CL
165.184.0.0	165.184.255.255	US
165.185.0.0	165.185.255.255	CA
165.186.0.0	165.186.255.255	KR
165.187.0.0	165.187.255.255	AU
165.188.0.0	165.190.255.255	US
165.191.0.0	165.191.255.255	AU
165.192.0.0	165.193.58.223	US
165.193.58.224	165.193.58.255	CA
165.193.59.0	165.193.81.63	US
165.193.81.64	165.193.81.79	CA
165.193.81.80	165.193.126.15	US
165.193.126.16	165.193.126.23	GB
165.193.126.24	165.193.143.255	US
165.193.144.0	165.193.144.255	GB
165.193.145.0	165.193.145.63	US
165.193.145.64	165.193.145.95	FR
165.193.145.96	165.193.145.111	IT
165.193.145.112	165.193.145.119	GB
165.193.145.120	165.193.147.103	US
165.193.147.104	165.193.147.127	GB
165.193.147.128	165.193.147.255	US
165.193.148.0	165.193.149.255	GB
165.193.150.0	165.193.150.255	US
165.193.151.0	165.193.151.255	GB
165.193.152.0	165.193.152.31	US
165.193.152.32	165.193.152.127	GB
165.193.152.128	165.193.153.127	US
165.193.153.128	165.193.153.159	GB
165.193.153.160	165.193.153.191	US
165.193.153.192	165.193.153.199	GB
165.193.153.200	165.193.153.207	US
165.193.153.208	165.193.153.215	DE
165.193.153.216	165.193.155.255	US
165.193.156.0	165.193.156.255	GB
165.193.157.0	165.193.158.255	FR
165.193.159.0	165.193.159.255	US
165.193.160.0	165.193.161.255	GB
165.193.162.0	165.193.163.63	US
165.193.163.64	165.193.163.111	GB
165.193.163.112	165.193.163.127	US
165.193.163.128	165.193.163.143	GB
165.193.163.144	165.193.163.159	FR
165.193.163.160	165.193.163.191	US
165.193.163.192	165.193.163.223	GB
165.193.163.224	165.193.163.255	US
165.193.164.0	165.193.168.239	GB
165.193.168.240	165.193.169.255	US
165.193.170.0	165.193.171.255	GB
165.193.172.0	165.193.172.31	US
165.193.172.32	165.193.172.71	GB
165.193.172.72	165.193.172.127	US
165.193.172.128	165.193.173.255	GB
165.193.174.0	165.193.174.255	US
165.193.175.0	165.193.175.255	GB
165.193.176.0	165.193.176.23	PL
165.193.176.24	165.193.200.79	US
165.193.200.80	165.193.200.95	CA
165.193.200.96	165.193.202.255	US
165.193.203.0	165.193.203.31	GB
165.193.203.32	165.193.205.151	US
165.193.205.152	165.193.205.159	GB
165.193.205.160	165.193.212.215	US
165.193.212.216	165.193.212.223	BM
165.193.212.224	165.193.219.159	US
165.193.219.160	165.193.219.223	BM
165.193.219.224	165.193.220.255	US
165.193.221.0	165.193.221.31	BM
165.193.221.32	165.193.222.207	US
165.193.222.208	165.193.222.215	CA
165.193.222.216	165.193.229.191	US
165.193.229.192	165.193.229.255	MY
165.193.230.0	165.193.249.135	US
165.193.249.136	165.193.249.143	GB
165.193.249.144	165.193.255.255	US
165.194.0.0	165.194.255.255	KR
165.195.0.0	165.201.255.255	US
165.202.0.0	165.202.255.255	HK
165.203.0.0	165.204.255.255	US
165.205.0.0	165.205.255.255	NZ
165.206.0.0	165.208.255.255	US
165.209.0.0	165.209.255.255	TH
165.212.0.0	165.212.255.255	US
165.213.0.0	165.213.255.255	KR
165.214.0.0	165.219.255.255	US
165.220.0.0	165.220.255.255	PH
165.221.0.0	165.221.255.255	US
165.222.0.0	165.222.255.255	CH
165.223.0.0	165.227.255.255	US
165.228.0.0	165.228.255.255	AU
165.229.0.0	165.229.255.255	KR
165.230.0.0	165.230.255.255	US
165.231.0.0	165.231.255.255	GN
165.232.0.0	165.232.255.255	US
165.233.0.0	165.233.255.255	ZA
165.234.0.0	165.239.255.255	US
165.240.0.0	165.240.255.255	AU
165.241.0.0	165.242.255.255	JP
165.243.0.0	165.244.255.255	KR
165.245.0.0	165.245.255.255	US
165.246.0.0	165.246.255.255	KR
165.247.0.0	166.7.255.255	US
166.8.0.0	166.15.255.255	CH
166.16.0.0	166.47.255.255	US
166.49.0.0	166.49.3.47	US
166.49.3.48	166.49.3.55	GB
166.49.3.56	166.49.6.7	US
166.49.6.8	166.49.6.23	GB
166.49.6.24	166.49.6.47	US
166.49.6.48	166.49.6.63	GB
166.49.6.64	166.49.6.71	CH
166.49.6.72	166.49.6.79	GB
166.49.6.80	166.49.16.47	US
166.49.16.48	166.49.16.55	GB
166.49.16.56	166.49.20.39	US
166.49.20.40	166.49.20.47	CA
166.49.20.48	166.49.22.15	US
166.49.22.16	166.49.22.23	GB
166.49.22.24	166.49.24.31	US
166.49.24.32	166.49.24.47	SG
166.49.24.48	166.49.37.255	US
166.49.38.0	166.49.38.7	GB
166.49.38.8	166.49.38.63	US
166.49.38.64	166.49.38.71	GB
166.49.38.72	166.49.48.39	US
166.49.48.40	166.49.48.47	GB
166.49.48.48	166.49.56.15	US
166.49.56.16	166.49.56.31	SG
166.49.56.32	166.49.62.15	US
166.49.62.16	166.49.62.31	CA
166.49.62.32	166.49.127.255	US
166.49.128.0	166.49.255.255	GB
166.50.0.0	166.63.255.255	US
166.64.0.0	166.64.255.255	AU
166.65.0.0	166.65.255.255	NZ
166.66.0.0	166.74.255.255	US
166.75.0.0	166.75.255.255	CL
166.76.0.0	166.77.255.255	US
166.79.0.0	166.79.255.255	KR
166.80.0.0	166.80.255.255	US
166.81.0.0	166.81.255.255	HK
166.82.0.0	166.82.72.255	US
166.82.73.0	166.82.73.255	AQ
166.82.74.0	166.82.255.255	US
166.83.0.0	166.83.255.255	NZ
166.84.0.0	166.84.255.255	US
166.85.0.0	166.85.255.255	ZA
166.86.0.0	166.86.255.255	US
166.87.0.0	166.87.255.255	SA
166.88.0.0	166.99.255.255	US
166.100.0.0	166.100.255.255	JP
166.101.0.0	166.102.255.255	US
166.103.0.0	166.104.255.255	KR
166.105.0.0	166.105.255.255	US
166.106.0.0	166.106.255.255	NZ
166.107.0.0	166.109.255.255	US
166.110.0.0	166.110.255.255	CL
166.111.0.0	166.111.255.255	CN
166.112.0.0	166.113.255.255	US
166.114.0.0	166.114.255.255	BO
166.115.0.0	166.117.255.255	US
166.118.0.0	166.119.255.255	JP
166.120.0.0	166.120.255.255	AU
166.121.0.0	166.121.255.255	SG
166.122.0.0	166.124.255.255	US
166.125.0.0	166.125.255.255	KR
166.126.0.0	167.10.255.255	US
167.11.0.0	167.11.255.255	CA
167.12.0.0	167.16.255.255	US
167.17.0.0	167.17.255.255	CA
167.18.0.0	167.27.255.255	US
167.28.0.0	167.28.255.255	CL
167.29.0.0	167.29.255.255	US
167.30.0.0	167.30.255.255	AU
167.31.0.0	167.31.255.255	US
167.32.0.0	167.63.255.255	CA
167.64.0.0	167.73.255.255	US
167.74.0.0	167.74.255.255	CA
167.75.0.0	167.80.255.255	US
167.81.0.0	167.81.255.255	NL
167.82.0.0	167.91.255.255	US
167.92.0.0	167.92.255.255	CA
167.93.0.0	167.102.255.255	US
167.103.0.0	167.103.255.255	AU
167.104.0.0	167.107.255.255	US
167.109.0.0	167.110.255.255	US
167.111.0.0	167.111.255.255	SA
167.112.0.0	167.122.255.255	US
167.123.0.0	167.123.255.255	AU
167.124.0.0	167.124.255.255	US
167.125.0.0	167.125.255.255	CA
167.126.0.0	167.128.255.255	US
167.129.0.0	167.129.255.255	CA
167.130.0.0	167.130.255.255	AU
167.131.0.0	167.133.255.255	US
167.134.0.0	167.134.255.255	VE
167.135.0.0	167.138.255.255	US
167.139.0.0	167.139.255.255	CN
167.140.0.0	167.148.255.255	US
167.149.0.0	167.149.255.255	CH
167.150.0.0	167.156.255.255	US
167.157.0.0	167.157.255.255	BO
167.158.0.0	167.161.255.255	US
167.162.0.0	167.162.255.255	AU
167.163.0.0	167.167.255.255	US
167.168.0.0	167.168.255.255	CH
167.169.0.0	167.169.255.255	JP
167.170.0.0	167.171.255.255	US
167.172.0.0	167.172.255.255	GB
167.173.0.0	167.174.255.255	US
167.175.0.0	167.175.255.255	JP
167.176.0.0	167.178.255.255	US
167.179.0.0	167.179.255.255	NZ
167.180.0.0	167.188.255.255	US
167.189.0.0	167.189.255.255	AU
167.190.0.0	167.202.255.255	US
167.203.0.0	167.203.255.255	GB
167.204.0.0	167.204.255.255	US
167.205.0.0	167.205.255.255	ID
167.206.0.0	167.216.131.255	US
167.216.132.0	167.216.134.255	IL
167.216.135.0	167.216.135.255	US
167.216.136.0	167.216.139.255	IL
167.216.140.0	167.216.140.127	GB
167.216.140.128	167.216.140.143	US
167.216.140.144	167.216.142.15	GB
167.216.142.16	167.216.142.31	IL
167.216.142.32	167.216.142.71	GB
167.216.142.72	167.216.142.127	IL
167.216.142.128	167.216.142.191	GB
167.216.142.192	167.216.142.255	IL
167.216.143.0	167.216.143.255	US
167.216.144.0	167.216.146.127	FR
167.216.146.128	167.216.146.159	GB
167.216.146.160	167.216.146.255	IL
167.216.147.0	167.216.147.63	GB
167.216.147.64	167.216.159.255	IL
167.216.160.0	167.216.160.31	US
167.216.160.32	167.216.193.127	IL
167.216.193.128	167.216.193.143	US
167.216.193.144	167.216.193.191	IL
167.216.193.192	167.216.195.255	US
167.216.196.0	167.216.196.127	IL
167.216.196.128	167.216.196.159	DE
167.216.196.160	167.216.199.255	IL
167.216.200.0	167.216.200.31	US
167.216.200.32	167.216.200.191	IL
167.216.200.192	167.216.200.199	US
167.216.200.200	167.216.202.255	IL
167.216.203.0	167.216.203.63	US
167.216.203.64	167.216.203.95	IL
167.216.203.96	167.216.203.111	US
167.216.203.112	167.216.205.31	IL
167.216.205.32	167.216.205.63	US
167.216.205.64	167.216.205.111	IL
167.216.205.112	167.216.205.127	US
167.216.205.128	167.216.207.15	IL
167.216.207.16	167.216.207.31	US
167.216.207.32	167.216.208.255	IL
167.216.209.0	167.216.209.15	US
167.216.209.16	167.216.209.63	IL
167.216.209.64	167.216.209.127	US
167.216.209.128	167.216.223.255	IL
167.216.224.0	167.216.224.15	IE
167.216.224.16	167.216.232.255	IL
167.216.233.0	167.216.233.255	US
167.216.234.0	167.216.247.159	IL
167.216.247.160	167.216.247.191	US
167.216.247.192	167.216.251.215	IL
167.216.251.216	167.216.251.223	US
167.216.251.224	167.216.251.231	IL
167.216.251.232	167.216.251.239	US
167.216.251.240	167.216.251.255	IL
167.216.252.0	167.216.252.63	US
167.216.252.64	167.216.255.255	IL
167.217.0.0	167.226.255.255	US
167.227.0.0	167.227.255.255	CA
167.228.0.0	167.251.255.255	US
167.252.0.0	167.252.255.255	AR
167.253.0.0	167.255.255.255	US
168.1.0.0	168.1.255.255	CH
168.2.0.0	168.69.255.255	US
168.70.0.0	168.70.255.255	HK
168.71.0.0	168.75.255.255	US
168.76.0.0	168.76.255.255	ZA
168.77.0.0	168.77.255.255	PA
168.78.0.0	168.78.255.255	KR
168.79.0.0	168.79.255.255	JP
168.80.0.0	168.81.255.255	ZA
168.82.0.0	168.82.255.255	US
168.83.0.0	168.83.255.255	AR
168.84.0.0	168.88.255.255	US
168.89.0.0	168.89.255.255	ZA
168.91.0.0	168.94.255.255	US
168.95.0.0	168.95.255.255	TW
168.96.0.0	168.96.255.255	AR
168.97.0.0	168.100.255.255	US
168.101.0.0	168.101.255.255	AR
168.102.0.0	168.105.255.255	US
168.106.0.0	168.106.255.255	HK
168.107.0.0	168.114.255.255	US
168.115.0.0	168.115.255.255	KR
168.116.0.0	168.119.255.255	US
168.120.0.0	168.120.255.255	TH
168.122.0.0	168.122.255.255	US
168.123.0.0	168.123.255.255	GU
168.124.0.0	168.125.255.255	US
168.126.0.0	168.126.255.255	KR
168.127.0.0	168.127.255.255	US
168.128.0.0	168.128.255.255	ZA
168.129.0.0	168.129.255.255	US
168.130.0.0	168.130.255.255	AU
168.131.0.0	168.131.255.255	KR
168.132.0.0	168.132.255.255	AU
168.133.0.0	168.133.255.255	US
168.134.0.0	168.134.255.255	AU
168.135.0.0	168.138.255.255	US
168.139.0.0	168.139.255.255	TR
168.140.0.0	168.140.255.255	AU
168.141.0.0	168.141.255.255	US
168.142.0.0	168.142.255.255	ZA
168.143.0.0	168.143.113.255	US
168.143.114.0	168.143.114.255	A1
168.143.115.0	168.143.117.127	US
168.143.117.128	168.143.117.255	A1
168.143.118.0	168.143.119.255	US
168.143.120.0	168.143.120.127	A1
168.143.120.128	168.143.123.63	US
168.143.123.64	168.143.123.127	A1
168.143.123.128	168.143.185.175	US
168.143.185.176	168.143.185.191	A1
168.143.185.192	168.143.185.207	US
168.143.185.208	168.143.185.223	A1
168.143.185.224	168.143.255.255	US
168.144.0.0	168.144.255.255	CA
168.145.0.0	168.151.255.255	US
168.152.0.0	168.153.255.255	AU
168.154.0.0	168.154.255.255	KR
168.155.0.0	168.155.255.255	ZA
168.156.0.0	168.159.255.255	US
168.160.0.0	168.160.255.255	CN
168.161.0.0	168.162.255.255	US
168.163.0.0	168.163.255.255	CH
168.164.0.0	168.164.255.255	ZA
168.165.0.0	168.165.255.255	MX
168.166.0.0	168.166.255.255	US
168.167.0.0	168.167.255.255	BW
168.168.0.0	168.171.255.255	US
168.172.0.0	168.172.255.255	ZA
168.173.0.0	168.175.255.255	US
168.176.0.0	168.176.255.255	CO
168.177.0.0	168.185.255.255	US
168.186.0.0	168.186.255.255	AU
168.187.0.0	168.187.255.255	KW
168.188.0.0	168.188.255.255	KR
168.189.0.0	168.193.255.255	US
168.198.0.0	168.198.255.255	AU
168.199.0.0	168.201.255.255	US
168.202.0.0	168.202.255.255	IT
168.203.0.0	168.204.255.255	US
168.206.0.0	168.206.255.255	ZA
168.207.0.0	168.208.255.255	US
168.209.0.0	168.210.255.255	ZA
168.212.0.0	168.215.119.255	US
168.215.120.0	168.215.120.255	A2
168.215.121.0	168.216.255.255	US
168.217.0.0	168.217.255.255	AU
168.218.0.0	168.218.255.255	US
168.219.0.0	168.219.255.255	KR
168.220.0.0	168.225.255.255	US
168.226.0.0	168.226.255.255	AR
168.229.0.0	168.230.255.255	US
168.231.0.0	168.231.255.255	CL
168.233.0.0	168.233.255.255	US
168.234.0.0	168.234.255.255	GT
168.235.0.0	168.235.63.255	US
168.236.0.0	168.242.255.255	US
168.243.0.0	168.243.255.255	SV
168.244.0.0	168.247.255.255	US
168.248.0.0	168.249.255.255	KR
168.250.0.0	168.251.255.255	US
168.252.0.0	168.252.255.255	AU
168.254.0.0	168.254.255.255	US
168.255.0.0	168.255.255.255	MX
169.0.0.0	169.31.255.255	US
169.32.0.0	169.63.255.255	CH
169.64.0.0	169.71.49.255	US
169.71.50.0	169.71.50.255	GB
169.71.51.0	169.128.255.255	US
169.129.0.0	169.129.255.255	ZA
169.130.0.0	169.139.255.255	US
169.140.0.0	169.140.255.255	KR
169.141.0.0	169.157.255.255	US
169.158.0.0	169.158.255.255	CU
169.160.0.0	169.200.255.255	US
169.201.0.0	169.201.255.255	AU
169.202.0.0	169.202.255.255	ZA
169.203.0.0	169.207.255.255	US
169.208.0.0	169.211.0.255	AU
169.211.1.0	169.211.1.255	CN
169.211.2.0	169.211.2.255	KR
169.211.3.0	169.211.3.255	AU
169.211.4.0	169.211.4.255	ID
169.211.5.0	169.211.5.255	VN
169.211.6.0	169.222.255.255	AU
169.223.0.0	169.223.255.255	PH
169.224.0.0	169.253.255.255	US
170.0.0.0	170.17.255.255	US
170.18.0.0	170.18.255.255	CL
170.19.0.0	170.24.255.255	US
170.25.0.0	170.25.255.255	MX
170.26.0.0	170.37.255.255	US
170.38.0.0	170.38.255.255	MY
170.39.0.0	170.50.255.255	US
170.51.0.0	170.51.255.255	AR
170.52.0.0	170.59.255.255	US
170.60.0.0	170.60.255.255	CH
170.61.0.0	170.65.255.255	US
170.66.0.0	170.66.255.255	BR
170.67.0.0	170.69.255.255	US
170.70.0.0	170.70.255.255	MX
170.71.0.0	170.79.255.255	US
170.84.0.0	170.94.255.255	US
170.95.0.0	170.95.255.255	SG
170.96.0.0	170.104.255.255	US
170.105.0.0	170.105.255.255	JP
170.106.0.0	170.154.255.255	US
170.155.0.0	170.155.255.255	AR
170.156.0.0	170.156.255.255	US
170.157.0.0	170.157.255.255	AU
170.158.0.0	170.168.255.255	US
170.169.0.0	170.169.255.255	MX
170.170.0.0	170.174.255.255	US
170.175.0.0	170.175.255.255	CA
170.176.0.0	170.178.255.255	US
170.179.0.0	170.179.255.255	SG
170.180.0.0	170.205.63.255	US
170.205.64.0	170.205.191.255	BE
170.205.192.0	170.209.255.255	US
170.210.0.0	170.210.255.255	AR
170.211.0.0	170.235.255.255	US
170.236.0.0	170.236.179.255	CH
170.236.180.0	170.236.180.255	AT
170.236.181.0	170.237.255.255	CH
170.240.0.0	170.243.255.255	US
170.248.0.0	170.253.255.255	US
170.255.0.0	170.255.255.255	BE
171.16.0.0	171.16.255.255	FR
171.17.0.0	171.17.255.255	DE
171.18.0.0	171.18.255.255	FR
171.19.0.0	171.19.255.255	HU
171.20.0.0	171.20.255.255	DK
171.21.0.0	171.21.255.255	NL
171.22.0.0	171.22.255.255	GB
171.23.0.0	171.23.255.255	NO
171.24.0.0	171.24.255.255	DE
171.25.0.0	171.25.127.255	CH
171.25.128.0	171.25.159.255	SE
171.25.160.0	171.25.163.255	NO
171.26.0.0	171.26.255.255	BE
171.27.0.0	171.27.255.255	CH
171.28.0.0	171.30.255.255	GB
171.31.0.0	171.31.255.255	HU
171.32.0.0	171.32.255.255	SE
171.33.0.0	171.33.63.255	CH
171.64.0.0	171.79.255.255	US
171.128.0.0	171.255.255.255	US
172.128.0.0	172.140.255.255	US
172.141.0.0	172.143.255.255	GB
172.144.0.0	172.146.204.255	US
172.146.205.0	172.146.205.255	AR
172.146.206.0	172.151.255.255	US
172.152.0.0	172.152.255.255	FR
172.153.0.0	172.157.255.255	US
172.158.0.0	172.158.255.255	DE
172.159.0.0	172.159.255.255	GB
172.160.0.0	172.172.255.255	US
172.173.0.0	172.174.255.255	DE
172.175.0.0	172.175.255.255	US
172.176.0.0	172.183.255.255	DE
172.184.0.0	172.187.255.255	FR
172.188.0.0	172.189.255.255	GB
172.190.0.0	172.199.255.255	US
172.200.0.0	172.203.255.255	GB
172.204.0.0	172.204.255.255	FR
172.205.0.0	172.205.127.255	VN
172.205.128.0	172.205.255.255	AU
172.206.0.0	172.207.255.255	GB
172.208.0.0	172.208.255.255	FR
172.209.0.0	172.209.255.255	GB
172.210.0.0	172.211.255.255	FR
172.212.0.0	172.216.255.255	GB
173.0.0.0	173.0.15.255	A1
173.0.16.0	173.0.191.255	US
173.0.192.0	173.0.223.255	CA
173.0.224.0	173.31.255.255	US
173.32.0.0	173.35.255.255	CA
173.36.0.0	173.44.135.255	US
173.44.136.0	173.44.138.255	CA
173.44.139.0	173.44.139.255	US
173.44.140.0	173.44.140.255	CA
173.44.141.0	173.44.141.255	US
173.44.142.0	173.44.143.255	CA
173.44.144.0	173.44.144.255	US
173.44.145.0	173.44.146.255	CA
173.44.147.0	173.44.151.255	US
173.44.152.0	173.44.152.255	CA
173.44.153.0	173.44.155.255	US
173.44.156.0	173.44.156.128	CA
173.44.156.129	173.44.164.255	US
173.44.165.0	173.44.169.255	CA
173.44.170.0	173.44.172.255	US
173.44.173.0	173.44.173.255	CA
173.44.174.0	173.44.179.255	US
173.44.180.0	173.44.180.255	CA
173.44.181.0	173.44.194.255	US
173.44.195.0	173.44.195.255	CA
173.44.196.0	173.44.198.255	US
173.44.199.0	173.44.206.255	CA
173.44.207.0	173.44.208.255	US
173.44.209.0	173.44.214.255	CA
173.44.215.0	173.44.217.255	US
173.44.218.0	173.44.219.255	CA
173.44.220.0	173.44.222.255	US
173.44.223.0	173.44.223.255	CA
173.44.224.0	173.44.244.255	US
173.44.245.0	173.44.246.255	CA
173.44.247.0	173.45.0.255	US
173.45.1.0	173.45.1.255	TW
173.45.2.0	173.45.83.231	US
173.45.83.232	173.45.83.239	AE
173.45.83.240	173.45.99.143	US
173.45.99.144	173.45.99.151	AE
173.45.99.152	173.45.165.255	US
173.45.166.0	173.45.169.255	CA
173.45.170.0	173.45.171.255	US
173.45.172.0	173.45.172.127	PA
173.45.172.128	173.45.172.255	US
173.45.173.0	173.45.173.127	PA
173.45.173.128	173.45.255.255	US
173.46.0.0	173.46.31.255	CA
173.46.32.0	173.175.255.255	US
173.176.0.0	173.183.255.255	CA
173.184.0.0	173.203.12.31	US
173.203.12.32	173.203.12.39	IN
173.203.12.40	173.203.12.95	US
173.203.12.96	173.203.12.103	NZ
173.203.12.104	173.203.12.119	US
173.203.12.120	173.203.12.127	PE
173.203.12.128	173.203.12.183	US
173.203.12.184	173.203.12.191	MX
173.203.12.192	173.203.12.223	US
173.203.12.224	173.203.12.231	CA
173.203.12.232	173.203.13.167	US
173.203.13.168	173.203.13.175	AU
173.203.13.176	173.203.15.63	US
173.203.15.64	173.203.15.79	BR
173.203.15.80	173.203.16.175	US
173.203.16.176	173.203.16.191	GB
173.203.16.192	173.203.17.31	US
173.203.17.32	173.203.17.63	GB
173.203.17.64	173.203.17.95	US
173.203.17.96	173.203.17.127	CA
173.203.17.128	173.203.18.55	US
173.203.18.56	173.203.18.63	DE
173.203.18.64	173.203.19.15	US
173.203.19.16	173.203.19.23	GB
173.203.19.24	173.203.20.111	US
173.203.20.112	173.203.20.119	GB
173.203.20.120	173.203.21.127	US
173.203.21.128	173.203.21.143	GB
173.203.21.144	173.203.21.191	US
173.203.21.192	173.203.21.223	GB
173.203.21.224	173.203.22.23	US
173.203.22.24	173.203.22.31	CA
173.203.22.32	173.203.22.87	US
173.203.22.88	173.203.22.95	KW
173.203.22.96	173.203.23.127	US
173.203.23.128	173.203.23.135	GB
173.203.23.136	173.203.23.239	US
173.203.23.240	173.203.23.247	IL
173.203.23.248	173.203.24.39	US
173.203.24.40	173.203.24.47	GB
173.203.24.48	173.203.24.55	US
173.203.24.56	173.203.24.63	GB
173.203.24.64	173.203.24.111	US
173.203.24.112	173.203.24.119	IE
173.203.24.120	173.203.24.167	US
173.203.24.168	173.203.24.175	CA
173.203.24.176	173.203.25.127	US
173.203.25.128	173.203.25.191	GB
173.203.25.192	173.203.26.71	US
173.203.26.72	173.203.26.79	GR
173.203.26.80	173.203.27.7	US
173.203.27.8	173.203.27.15	BB
173.203.27.16	173.203.27.23	US
173.203.27.24	173.203.27.31	BB
173.203.27.32	173.203.27.151	US
173.203.27.152	173.203.27.159	CA
173.203.27.160	173.203.27.207	US
173.203.27.208	173.203.27.215	BR
173.203.27.216	173.203.40.255	US
173.203.41.0	173.203.41.7	IN
173.203.41.8	173.203.41.39	US
173.203.41.40	173.203.41.47	GB
173.203.41.48	173.203.42.95	US
173.203.42.96	173.203.42.111	IN
173.203.42.112	173.203.42.247	US
173.203.42.248	173.203.42.255	KW
173.203.43.0	173.203.128.15	US
173.203.128.16	173.203.128.31	MX
173.203.128.32	173.203.128.63	US
173.203.128.64	173.203.128.79	BR
173.203.128.80	173.203.129.63	US
173.203.129.64	173.203.129.79	NZ
173.203.129.80	173.203.129.143	US
173.203.129.144	173.203.129.159	NZ
173.203.129.160	173.203.130.79	US
173.203.130.80	173.203.130.95	CA
173.203.130.96	173.203.131.15	US
173.203.131.16	173.203.131.31	CA
173.203.131.32	173.203.131.255	US
173.203.132.0	173.203.132.7	GB
173.203.132.8	173.203.132.15	US
173.203.132.16	173.203.132.23	AE
173.203.132.24	173.203.132.71	US
173.203.132.72	173.203.132.79	MX
173.203.132.80	173.203.132.87	US
173.203.132.88	173.203.132.95	MX
173.203.132.96	173.203.132.167	US
173.203.132.168	173.203.132.175	CA
173.203.132.176	173.203.132.183	US
173.203.132.184	173.203.132.191	AR
173.203.132.192	173.203.132.231	US
173.203.132.232	173.203.132.239	IL
173.203.132.240	173.203.133.79	US
173.203.133.80	173.203.133.87	MX
173.203.133.88	173.203.133.127	US
173.203.133.128	173.203.133.135	CA
173.203.133.136	173.203.133.175	US
173.203.133.176	173.203.133.183	PE
173.203.133.184	173.203.133.207	US
173.203.133.208	173.203.133.215	AU
173.203.133.216	173.203.134.15	US
173.203.134.16	173.203.134.23	IL
173.203.134.24	173.203.134.151	US
173.203.134.152	173.203.134.159	BR
173.203.134.160	173.203.134.167	US
173.203.134.168	173.203.134.175	AU
173.203.134.176	173.203.134.231	US
173.203.134.232	173.203.134.239	GB
173.203.134.240	173.203.135.79	US
173.203.135.80	173.203.135.87	CA
173.203.135.88	173.203.135.183	US
173.203.135.184	173.203.135.191	BR
173.203.135.192	173.203.135.231	US
173.203.135.232	173.203.135.239	BR
173.203.135.240	173.203.136.159	US
173.203.136.160	173.203.136.167	MX
173.203.136.168	173.203.137.199	US
173.203.137.200	173.203.137.207	CA
173.203.137.208	173.203.137.215	MX
173.203.137.216	173.203.138.39	US
173.203.138.40	173.203.138.47	CA
173.203.138.48	173.203.138.55	IN
173.203.138.56	173.203.138.223	US
173.203.138.224	173.203.138.231	IL
173.203.138.232	173.203.139.7	US
173.203.139.8	173.203.139.15	MX
173.203.139.16	173.203.139.111	US
173.203.139.112	173.203.139.119	IN
173.203.139.120	173.203.139.135	US
173.203.139.136	173.203.139.143	MX
173.203.139.144	173.203.140.63	US
173.203.140.64	173.203.140.95	IN
173.203.140.96	173.203.142.159	US
173.203.142.160	173.203.142.191	BR
173.203.142.192	173.203.143.159	US
173.203.143.160	173.203.143.191	PH
173.203.143.192	173.203.143.223	US
173.203.143.224	173.203.143.255	CA
173.203.144.0	173.203.144.7	US
173.203.144.8	173.203.144.15	ES
173.203.144.16	173.203.144.127	US
173.203.144.128	173.203.144.135	GB
173.203.144.136	173.203.144.143	US
173.203.144.144	173.203.144.151	GB
173.203.144.152	173.203.144.159	JE
173.203.144.160	173.203.144.175	US
173.203.144.176	173.203.144.183	MX
173.203.144.184	173.203.145.31	US
173.203.145.32	173.203.145.39	TH
173.203.145.40	173.203.145.135	US
173.203.145.136	173.203.145.143	TH
173.203.145.144	173.203.145.239	US
173.203.145.240	173.203.145.247	JP
173.203.145.248	173.203.146.39	US
173.203.146.40	173.203.146.47	IN
173.203.146.48	173.203.146.223	US
173.203.146.224	173.203.146.239	PR
173.203.146.240	173.203.146.255	CA
173.203.147.0	173.203.147.95	US
173.203.147.96	173.203.147.103	CA
173.203.147.104	173.203.147.127	US
173.203.147.128	173.203.147.135	AR
173.203.147.136	173.203.147.247	US
173.203.147.248	173.203.147.255	NZ
173.203.148.0	173.203.148.167	US
173.203.148.168	173.203.148.175	AU
173.203.148.176	173.203.148.207	US
173.203.148.208	173.203.148.215	AU
173.203.148.216	173.203.149.95	US
173.203.149.96	173.203.149.103	GB
173.203.149.104	173.203.149.199	US
173.203.149.200	173.203.149.207	PH
173.203.149.208	173.203.149.223	US
173.203.149.224	173.203.149.231	IN
173.203.149.232	173.203.150.55	US
173.203.150.56	173.203.150.63	TH
173.203.150.64	173.203.150.87	US
173.203.150.88	173.203.150.103	BG
173.203.150.104	173.203.150.135	US
173.203.150.136	173.203.150.143	CA
173.203.150.144	173.203.150.159	US
173.203.150.160	173.203.150.167	CA
173.203.150.168	173.203.150.175	US
173.203.150.176	173.203.150.183	CL
173.203.150.184	173.203.151.71	US
173.203.151.72	173.203.151.79	IL
173.203.151.80	173.203.151.119	US
173.203.151.120	173.203.151.127	GB
173.203.151.128	173.203.151.247	US
173.203.151.248	173.203.151.255	IL
173.203.152.0	173.203.154.79	US
173.203.154.80	173.203.154.87	MX
173.203.154.88	173.203.155.15	US
173.203.155.16	173.203.155.23	BR
173.203.155.24	173.203.155.135	US
173.203.155.136	173.203.155.143	IL
173.203.155.144	173.203.156.207	US
173.203.156.208	173.203.156.215	AW
173.203.156.216	173.203.156.239	US
173.203.156.240	173.203.156.247	AW
173.203.156.248	173.203.157.7	US
173.203.157.8	173.203.157.15	CA
173.203.157.16	173.203.157.47	US
173.203.157.48	173.203.157.55	CA
173.203.157.56	173.203.157.183	US
173.203.157.184	173.203.157.191	AU
173.203.157.192	173.203.158.87	US
173.203.158.88	173.203.158.95	ZA
173.203.158.96	173.203.159.15	US
173.203.159.16	173.203.159.23	PH
173.203.159.24	173.203.159.119	US
173.203.159.120	173.203.159.127	RU
173.203.159.128	173.203.160.55	US
173.203.160.56	173.203.160.63	CA
173.203.160.64	173.203.160.71	GB
173.203.160.72	173.203.160.103	US
173.203.160.104	173.203.160.111	BR
173.203.160.112	173.203.160.159	US
173.203.160.160	173.203.160.175	CA
173.203.160.176	173.203.160.191	ID
173.203.160.192	173.203.162.135	US
173.203.162.136	173.203.162.143	CN
173.203.162.144	173.203.162.167	US
173.203.162.168	173.203.162.175	PE
173.203.162.176	173.203.164.215	US
173.203.164.216	173.203.164.223	BR
173.203.164.224	173.203.165.103	US
173.203.165.104	173.203.165.111	CN
173.203.165.112	173.203.165.175	US
173.203.165.176	173.203.165.183	CA
173.203.165.184	173.203.166.7	US
173.203.166.8	173.203.166.15	CA
173.203.166.16	173.203.166.87	US
173.203.166.88	173.203.166.95	NZ
173.203.166.96	173.203.166.119	US
173.203.166.120	173.203.166.127	GB
173.203.166.128	173.203.166.135	US
173.203.166.136	173.203.166.143	NZ
173.203.166.144	173.203.166.175	US
173.203.166.176	173.203.166.183	CO
173.203.166.184	173.203.167.127	US
173.203.167.128	173.203.167.135	GB
173.203.167.136	173.203.168.191	US
173.203.168.192	173.203.168.207	PH
173.203.168.208	173.203.168.255	US
173.203.169.0	173.203.169.15	BR
173.203.169.16	173.203.174.15	US
173.203.174.16	173.203.174.31	IT
173.203.174.32	173.203.174.103	US
173.203.174.104	173.203.174.111	IN
173.203.174.112	173.203.174.143	US
173.203.174.144	173.203.174.151	IN
173.203.174.152	173.203.174.175	US
173.203.174.176	173.203.174.183	CA
173.203.174.184	173.203.174.247	US
173.203.174.248	173.203.174.255	CA
173.203.175.0	173.203.176.39	US
173.203.176.40	173.203.176.47	GB
173.203.176.48	173.203.176.55	US
173.203.176.56	173.203.176.63	ZA
173.203.176.64	173.203.176.207	US
173.203.176.208	173.203.176.215	CA
173.203.176.216	173.203.176.223	US
173.203.176.224	173.203.176.231	PT
173.203.176.232	173.203.177.31	US
173.203.177.32	173.203.177.39	CA
173.203.177.40	173.203.177.71	US
173.203.177.72	173.203.177.79	CA
173.203.177.80	173.203.177.119	US
173.203.177.120	173.203.177.127	IL
173.203.177.128	173.203.178.207	US
173.203.178.208	173.203.178.215	CA
173.203.178.216	173.203.179.95	US
173.203.179.96	173.203.179.103	CA
173.203.179.104	173.203.179.183	US
173.203.179.184	173.203.179.191	CA
173.203.179.192	173.203.179.247	US
173.203.179.248	173.203.179.255	DE
173.203.180.0	173.203.188.167	US
173.203.188.168	173.203.188.175	GB
173.203.188.176	173.203.191.63	US
173.203.191.64	173.203.191.127	IN
173.203.191.128	173.205.255.255	US
173.206.0.0	173.206.255.255	CA
173.207.0.0	173.208.7.255	US
173.208.8.0	173.208.8.255	IN
173.208.9.0	173.208.11.255	US
173.208.12.0	173.208.12.255	IN
173.208.13.0	173.208.14.255	US
173.208.15.0	173.208.15.255	IN
173.208.16.0	173.208.81.31	US
173.208.81.32	173.208.81.47	CA
173.208.81.48	173.209.31.255	US
173.209.32.0	173.209.63.255	CA
173.209.64.0	173.209.127.255	US
173.209.128.0	173.209.159.255	CA
173.209.160.0	173.209.175.255	US
173.209.192.0	173.210.127.255	US
173.210.128.0	173.210.255.255	CA
173.211.0.0	173.211.127.255	US
173.211.128.0	173.211.191.255	PR
173.212.0.0	173.212.63.255	US
173.212.64.0	173.212.191.255	CA
173.212.192.0	173.212.255.255	US
173.213.0.0	173.213.66.63	CA
173.213.66.64	173.213.66.127	US
173.213.66.128	173.213.66.159	CA
173.213.66.160	173.213.77.255	US
173.213.78.0	173.213.78.63	CA
173.213.78.64	173.213.87.255	US
173.213.88.0	173.213.88.31	CA
173.213.88.32	173.213.88.79	US
173.213.88.80	173.213.88.95	CA
173.213.88.96	173.213.92.255	US
173.213.93.0	173.213.95.255	CA
173.213.96.0	173.213.97.255	US
173.213.98.0	173.213.98.255	CA
173.213.99.0	173.213.101.190	US
173.213.101.191	173.213.101.222	PK
173.213.101.223	173.213.101.255	CA
173.213.102.0	173.213.102.255	US
173.213.103.0	173.213.103.255	CA
173.213.104.0	173.213.106.255	US
173.213.107.0	173.213.110.255	CA
173.213.111.0	173.213.115.255	US
173.213.116.0	173.213.119.31	CA
173.213.119.32	173.213.119.63	US
173.213.119.64	173.213.119.255	CA
173.213.120.0	173.213.123.255	US
173.213.124.0	173.213.127.255	CA
173.213.128.0	173.214.127.255	US
173.215.0.0	173.215.127.255	US
173.215.128.0	173.215.255.255	PR
173.216.0.0	173.224.223.255	US
173.224.224.0	173.224.224.255	CA
173.224.225.0	173.224.239.255	A2
173.224.240.0	173.224.255.255	CA
173.225.0.0	173.225.24.223	US
173.225.24.224	173.225.24.255	CA
173.225.25.0	173.225.25.63	US
173.225.25.64	173.225.25.95	HK
173.225.25.96	173.225.207.255	US
173.225.208.0	173.225.223.255	KY
173.225.224.0	173.225.239.255	US
173.225.240.0	173.225.255.255	JM
173.226.0.0	173.230.159.255	US
173.230.160.0	173.230.191.255	CA
173.230.192.0	173.231.0.255	US
173.231.1.0	173.231.1.255	GB
173.231.2.0	173.231.95.255	US
173.231.128.0	173.231.191.255	US
173.232.0.0	173.232.1.255	US
173.232.2.0	173.232.2.255	CA
173.232.3.0	173.232.11.255	US
173.232.12.0	173.232.13.255	CA
173.232.14.0	173.232.19.126	US
173.232.19.127	173.232.35.255	CA
173.232.36.0	173.232.48.255	US
173.232.49.0	173.232.50.255	CA
173.232.51.0	173.232.51.255	US
173.232.52.0	173.232.55.255	CA
173.232.56.0	173.232.57.255	US
173.232.58.0	173.232.60.255	CA
173.232.61.0	173.232.70.255	US
173.232.71.0	173.232.72.255	CA
173.232.73.0	173.232.74.255	US
173.232.75.0	173.232.75.255	CA
173.232.76.0	173.232.87.255	US
173.232.88.0	173.232.90.255	CA
173.232.91.0	173.232.107.255	US
173.232.108.0	173.232.109.255	CA
173.232.110.0	173.232.118.255	US
173.232.119.0	173.232.121.255	CA
173.232.122.0	173.232.126.255	US
173.232.127.0	173.232.127.255	CA
173.232.128.0	173.232.149.255	US
173.232.150.0	173.232.150.255	CA
173.232.151.0	173.232.154.255	US
173.232.155.0	173.232.174.255	CA
173.232.175.0	173.232.191.255	US
173.232.192.0	173.232.201.255	CA
173.232.202.0	173.232.217.255	US
173.232.218.0	173.232.219.255	CA
173.232.220.0	173.232.220.255	US
173.232.221.0	173.232.221.255	CA
173.232.222.0	173.232.232.255	US
173.232.233.0	173.232.234.255	CA
173.232.235.0	173.234.188.255	US
173.234.189.0	173.234.189.255	CA
173.234.190.0	173.237.255.255	US
173.238.0.0	173.238.255.255	CA
173.239.0.0	173.239.127.255	US
173.239.128.0	173.239.191.255	CA
173.239.192.0	173.240.175.255	US
173.240.176.0	173.240.191.255	CA
173.240.192.0	173.241.31.255	US
173.241.32.0	173.241.47.255	CA
173.241.48.0	173.241.95.255	US
173.241.96.0	173.241.111.255	CA
173.241.112.0	173.241.134.31	US
173.241.134.32	173.241.134.47	GB
173.241.134.48	173.241.134.255	US
173.241.135.0	173.241.135.255	CR
173.241.136.0	173.241.143.255	GB
173.241.144.0	173.242.207.255	US
173.242.208.0	173.242.223.255	CA
173.242.224.0	173.243.31.255	US
173.243.32.0	173.243.47.255	CA
173.243.48.0	173.243.79.255	US
173.243.80.0	173.243.95.255	PR
173.243.96.0	173.243.191.255	US
173.243.192.0	173.243.207.255	CA
173.243.208.0	173.245.255.255	US
173.246.0.0	173.246.31.255	CA
173.246.32.0	173.246.63.255	US
173.246.64.0	173.246.95.255	CA
173.246.96.0	173.246.111.255	US
173.246.128.0	173.247.31.255	US
173.247.32.0	173.247.63.255	CA
173.247.64.0	173.248.191.255	US
173.248.192.0	173.248.255.255	CA
173.249.0.0	173.249.255.255	US
173.250.0.0	173.250.127.255	CA
173.250.128.0	173.251.255.255	US
173.252.0.0	173.252.63.255	CA
173.255.0.0	173.255.15.255	US
173.255.16.0	173.255.31.255	CA
173.255.32.0	173.255.63.255	US
173.255.64.0	173.255.79.255	CA
173.255.80.0	173.255.127.255	US
173.255.144.0	173.255.159.255	CA
173.255.192.0	173.255.255.255	US
174.0.0.0	174.7.255.255	CA
174.8.0.0	174.34.129.63	US
174.34.129.64	174.34.129.71	IN
174.34.129.72	174.34.129.135	US
174.34.129.136	174.34.129.143	IN
174.34.129.144	174.34.131.31	US
174.34.131.32	174.34.131.63	IN
174.34.131.64	174.34.131.71	US
174.34.131.72	174.34.131.79	IN
174.34.131.80	174.34.131.127	US
174.34.131.128	174.34.131.255	IN
174.34.132.0	174.34.155.119	US
174.34.155.120	174.34.155.127	GB
174.34.155.128	174.34.155.207	US
174.34.155.208	174.34.155.215	GB
174.34.155.216	174.34.172.255	US
174.34.173.0	174.34.173.7	IN
174.34.173.8	174.34.173.223	US
174.34.173.224	174.34.173.255	IN
174.34.174.0	174.34.175.31	US
174.34.175.32	174.34.175.63	IN
174.34.175.64	174.34.175.71	US
174.34.175.72	174.34.175.111	IN
174.34.175.112	174.34.175.119	SE
174.34.175.120	174.34.185.183	US
174.34.185.184	174.34.185.191	IN
174.34.185.192	174.34.187.63	US
174.34.187.64	174.34.187.79	BE
174.34.187.80	174.34.190.255	US
174.34.191.0	174.34.191.255	CA
174.34.192.0	174.35.127.255	US
174.35.128.0	174.35.255.255	CA
174.36.0.0	174.87.255.255	US
174.88.0.0	174.95.255.255	CA
174.96.0.0	174.111.255.255	US
174.112.0.0	174.119.255.255	CA
174.120.0.0	174.137.16.15	US
174.137.16.16	174.137.16.31	CA
174.137.16.32	174.137.17.255	US
174.137.18.0	174.137.19.255	CA
174.137.20.0	174.137.47.255	US
174.137.48.0	174.137.48.95	CA
174.137.48.96	174.137.48.103	US
174.137.48.104	174.137.48.111	CA
174.137.48.112	174.137.48.119	US
174.137.48.120	174.137.52.255	CA
174.137.53.0	174.137.53.199	US
174.137.53.200	174.137.54.247	CA
174.137.54.248	174.137.54.255	RU
174.137.55.0	174.137.55.255	CA
174.137.56.0	174.137.56.255	US
174.137.57.0	174.137.63.255	CA
174.137.64.0	174.137.184.255	US
174.137.185.0	174.137.186.255	CA
174.137.187.0	174.137.191.255	US
174.137.192.0	174.137.193.255	CA
174.137.194.0	174.137.194.7	US
174.137.194.8	174.137.194.23	CA
174.137.194.24	174.137.194.31	US
174.137.194.32	174.137.194.111	CA
174.137.194.112	174.137.194.119	US
174.137.194.120	174.137.194.143	CA
174.137.194.144	174.137.194.151	US
174.137.194.152	174.137.194.175	CA
174.137.194.176	174.137.194.191	US
174.137.194.192	174.137.195.63	CA
174.137.195.64	174.137.195.71	US
174.137.195.72	174.137.195.79	CA
174.137.195.80	174.137.195.87	US
174.137.195.88	174.137.195.127	CA
174.137.195.128	174.137.195.159	US
174.137.195.160	174.137.195.223	CA
174.137.195.224	174.137.195.231	US
174.137.195.232	174.137.196.7	CA
174.137.196.8	174.137.196.15	US
174.137.196.16	174.137.196.23	CA
174.137.196.24	174.137.196.31	US
174.137.196.32	174.137.196.95	CA
174.137.196.96	174.137.196.111	US
174.137.196.112	174.137.196.135	CA
174.137.196.136	174.137.196.143	NL
174.137.196.144	174.137.196.167	CA
174.137.196.168	174.137.196.183	US
174.137.196.184	174.137.196.191	CA
174.137.196.192	174.137.196.199	US
174.137.196.200	174.137.196.207	CA
174.137.196.208	174.137.196.231	US
174.137.196.232	174.137.198.55	CA
174.137.198.56	174.137.198.71	US
174.137.198.72	174.137.198.79	CA
174.137.198.80	174.137.198.127	US
174.137.198.128	174.137.198.159	CA
174.137.198.160	174.137.198.167	US
174.137.198.168	174.137.198.175	CA
174.137.198.176	174.137.199.7	US
174.137.199.8	174.137.199.23	CA
174.137.199.24	174.137.199.47	US
174.137.199.48	174.137.199.95	CA
174.137.199.96	174.137.199.143	US
174.137.199.144	174.137.199.183	CA
174.137.199.184	174.137.199.255	US
174.137.200.0	174.137.200.255	CA
174.137.201.0	174.137.201.7	US
174.137.201.8	174.137.201.31	CA
174.137.201.32	174.137.201.55	US
174.137.201.56	174.137.201.87	CA
174.137.201.88	174.137.201.95	US
174.137.201.96	174.137.201.103	CA
174.137.201.104	174.137.201.151	US
174.137.201.152	174.137.201.159	CA
174.137.201.160	174.137.201.175	US
174.137.201.176	174.137.201.199	CA
174.137.201.200	174.137.201.215	US
174.137.201.216	174.137.201.231	CA
174.137.201.232	174.137.201.239	US
174.137.201.240	174.137.201.255	CA
174.137.202.0	174.137.202.7	US
174.137.202.8	174.137.203.39	CA
174.137.203.40	174.137.203.47	US
174.137.203.48	174.137.203.71	CA
174.137.203.72	174.137.203.79	US
174.137.203.80	174.137.203.127	CA
174.137.203.128	174.137.203.135	US
174.137.203.136	174.137.203.191	CA
174.137.203.192	174.137.203.207	US
174.137.203.208	174.137.204.15	CA
174.137.204.16	174.137.204.23	US
174.137.204.24	174.137.204.55	CA
174.137.204.56	174.137.204.71	US
174.137.204.72	174.137.204.119	CA
174.137.204.120	174.137.204.127	US
174.137.204.128	174.137.204.167	CA
174.137.204.168	174.137.204.175	US
174.137.204.176	174.137.217.191	CA
174.137.217.192	174.137.217.207	US
174.137.217.208	174.137.217.215	CA
174.137.217.216	174.137.217.239	US
174.137.217.240	174.137.218.151	CA
174.137.218.152	174.137.218.159	US
174.137.218.160	174.137.218.175	CA
174.137.218.176	174.137.218.183	US
174.137.218.184	174.137.218.239	CA
174.137.218.240	174.137.218.247	US
174.137.218.248	174.137.219.55	CA
174.137.219.56	174.137.219.63	US
174.137.219.64	174.137.219.95	CA
174.137.219.96	174.137.219.103	US
174.137.219.104	174.137.219.247	CA
174.137.219.248	174.137.219.255	US
174.137.220.0	174.137.220.143	CA
174.137.220.144	174.137.220.151	NL
174.137.220.152	174.137.220.215	CA
174.137.220.216	174.137.220.223	US
174.137.220.224	174.137.220.247	CA
174.137.220.248	174.137.220.255	US
174.137.221.0	174.137.221.15	CA
174.137.221.16	174.137.221.23	US
174.137.221.24	174.137.221.31	CA
174.137.221.32	174.137.221.39	US
174.137.221.40	174.137.221.55	CA
174.137.221.56	174.137.221.63	US
174.137.221.64	174.137.221.135	CA
174.137.221.136	174.137.221.151	US
174.137.221.152	174.137.221.159	CA
174.137.221.160	174.137.221.175	US
174.137.221.176	174.137.221.199	CA
174.137.221.200	174.137.221.207	US
174.137.221.208	174.137.223.39	CA
174.137.223.40	174.137.223.47	US
174.137.223.48	174.137.223.79	CA
174.137.223.80	174.137.223.87	US
174.137.223.88	174.137.224.87	CA
174.137.224.88	174.137.224.95	US
174.137.224.96	174.137.225.151	CA
174.137.225.152	174.137.225.159	US
174.137.225.160	174.137.225.207	CA
174.137.225.208	174.137.225.255	US
174.137.226.0	174.137.226.71	CA
174.137.226.72	174.137.226.79	US
174.137.226.80	174.137.228.207	CA
174.137.228.208	174.137.228.215	US
174.137.228.216	174.137.229.135	CA
174.137.229.136	174.137.229.143	US
174.137.229.144	174.137.229.199	CA
174.137.229.200	174.137.229.207	US
174.137.229.208	174.137.230.7	CA
174.137.230.8	174.137.230.23	US
174.137.230.24	174.137.230.55	CA
174.137.230.56	174.137.230.175	US
174.137.230.176	174.137.230.183	CA
174.137.230.184	174.137.231.31	US
174.137.231.32	174.137.231.39	CA
174.137.231.40	174.137.231.47	US
174.137.231.48	174.137.231.143	CA
174.137.231.144	174.137.231.151	US
174.137.231.152	174.137.231.159	CA
174.137.231.160	174.137.231.215	US
174.137.231.216	174.137.231.231	CA
174.137.231.232	174.137.232.31	US
174.137.232.32	174.137.232.39	CA
174.137.232.40	174.137.232.63	US
174.137.232.64	174.137.232.71	CA
174.137.232.72	174.137.232.183	US
174.137.232.184	174.137.232.191	CA
174.137.232.192	174.137.232.199	NL
174.137.232.200	174.137.232.231	CA
174.137.232.232	174.137.232.239	US
174.137.232.240	174.137.233.7	CA
174.137.233.8	174.137.233.39	US
174.137.233.40	174.137.233.71	CA
174.137.233.72	174.137.233.135	US
174.137.233.136	174.137.233.143	CA
174.137.233.144	174.137.233.255	US
174.137.234.0	174.137.234.255	CA
174.137.235.0	174.137.235.23	US
174.137.235.24	174.137.235.31	CA
174.137.235.32	174.137.235.71	US
174.137.235.72	174.137.235.87	CA
174.137.235.88	174.137.235.119	US
174.137.235.120	174.137.235.135	CA
174.137.235.136	174.137.235.143	US
174.137.235.144	174.137.235.159	CA
174.137.235.160	174.137.235.183	US
174.137.235.184	174.137.235.191	CA
174.137.235.192	174.137.235.215	US
174.137.235.216	174.137.236.63	CA
174.137.236.64	174.137.236.71	US
174.137.236.72	174.137.236.87	CA
174.137.236.88	174.137.236.95	US
174.137.236.96	174.137.236.143	CA
174.137.236.144	174.137.236.151	US
174.137.236.152	174.137.236.167	CA
174.137.236.168	174.137.236.175	US
174.137.236.176	174.137.236.183	CA
174.137.236.184	174.137.236.191	US
174.137.236.192	174.137.236.199	CA
174.137.236.200	174.137.236.207	US
174.137.236.208	174.137.237.15	CA
174.137.237.16	174.137.237.23	US
174.137.237.24	174.137.237.79	CA
174.137.237.80	174.137.237.87	US
174.137.237.88	174.137.237.159	CA
174.137.237.160	174.137.237.167	US
174.137.237.168	174.137.237.231	CA
174.137.237.232	174.137.237.239	US
174.137.237.240	174.137.238.111	CA
174.137.238.112	174.137.238.127	US
174.137.238.128	174.137.239.255	CA
174.137.240.0	174.137.240.7	US
174.137.240.8	174.137.240.23	CA
174.137.240.24	174.137.240.39	US
174.137.240.40	174.137.240.143	CA
174.137.240.144	174.137.240.151	US
174.137.240.152	174.137.241.7	CA
174.137.241.8	174.137.241.15	US
174.137.241.16	174.137.241.55	CA
174.137.241.56	174.137.241.63	US
174.137.241.64	174.137.241.103	CA
174.137.241.104	174.137.241.111	US
174.137.241.112	174.137.242.103	CA
174.137.242.104	174.137.242.111	US
174.137.242.112	174.137.242.159	CA
174.137.242.160	174.137.242.167	US
174.137.242.168	174.137.242.223	CA
174.137.242.224	174.137.243.7	US
174.137.243.8	174.137.243.47	CA
174.137.243.48	174.137.243.95	US
174.137.243.96	174.137.243.143	CA
174.137.243.144	174.137.243.231	US
174.137.243.232	174.137.243.239	CA
174.137.243.240	174.137.244.55	US
174.137.244.56	174.137.244.63	CA
174.137.244.64	174.137.244.119	US
174.137.244.120	174.137.244.127	CA
174.137.244.128	174.137.244.199	US
174.137.244.200	174.137.244.215	CA
174.137.244.216	174.137.244.231	US
174.137.244.232	174.137.244.247	CA
174.137.244.248	174.137.244.255	US
174.137.245.0	174.137.245.7	CA
174.137.245.8	174.137.245.167	US
174.137.245.168	174.137.245.175	CA
174.137.245.176	174.137.245.183	US
174.137.245.184	174.137.246.39	CA
174.137.246.40	174.137.246.47	US
174.137.246.48	174.137.246.175	CA
174.137.246.176	174.137.246.191	US
174.137.246.192	174.137.246.207	CA
174.137.246.208	174.137.246.223	US
174.137.246.224	174.137.247.31	CA
174.137.247.32	174.137.247.55	US
174.137.247.56	174.137.247.87	CA
174.137.247.88	174.137.247.95	US
174.137.247.96	174.137.247.119	CA
174.137.247.120	174.137.247.167	US
174.137.247.168	174.137.247.175	CA
174.137.247.176	174.137.247.239	US
174.137.247.240	174.137.247.247	CA
174.137.247.248	174.137.247.255	US
174.137.248.0	174.137.248.167	CA
174.137.248.168	174.137.248.175	US
174.137.248.176	174.137.248.191	CA
174.137.248.192	174.137.248.199	US
174.137.248.200	174.137.251.7	CA
174.137.251.8	174.137.251.15	US
174.137.251.16	174.137.251.63	CA
174.137.251.64	174.137.251.71	US
174.137.251.72	174.137.251.95	CA
174.137.251.96	174.137.251.103	US
174.137.251.104	174.137.252.199	CA
174.137.252.200	174.137.252.207	US
174.137.252.208	174.137.253.7	CA
174.137.253.8	174.137.253.15	US
174.137.253.16	174.137.253.95	CA
174.137.253.96	174.137.253.103	US
174.137.253.104	174.137.253.111	CA
174.137.253.112	174.137.253.127	US
174.137.253.128	174.137.253.175	CA
174.137.253.176	174.137.253.207	US
174.137.253.208	174.137.253.231	CA
174.137.253.232	174.137.253.239	US
174.137.253.240	174.137.255.255	CA
174.138.0.0	174.138.127.255	US
174.138.128.0	174.138.143.255	CA
174.138.144.0	174.138.163.31	US
174.138.163.32	174.138.163.47	GB
174.138.163.48	174.138.170.63	US
174.138.170.64	174.138.170.71	RU
174.138.170.72	174.138.173.127	US
174.138.173.128	174.138.173.143	RU
174.138.173.144	174.138.191.255	US
174.138.192.0	174.138.223.255	CA
174.138.224.0	174.139.116.167	US
174.139.116.168	174.139.116.183	CN
174.139.116.184	174.140.175.255	US
174.140.176.0	174.140.191.255	CA
174.140.192.0	174.141.255.255	US
174.142.0.0	174.142.45.87	CA
174.142.45.88	174.142.45.95	HU
174.142.45.96	174.142.67.95	CA
174.142.67.96	174.142.67.103	PE
174.142.67.104	174.142.113.47	CA
174.142.113.48	174.142.113.63	FR
174.142.113.64	174.142.147.215	CA
174.142.147.216	174.142.147.223	HU
174.142.147.224	174.142.164.55	CA
174.142.164.56	174.142.164.63	SY
174.142.164.64	174.142.211.247	CA
174.142.211.248	174.142.211.255	US
174.142.212.0	174.142.255.255	CA
174.143.0.0	174.143.0.55	US
174.143.0.56	174.143.0.71	NO
174.143.0.72	174.143.0.111	US
174.143.0.112	174.143.0.119	GB
174.143.0.120	174.143.1.79	US
174.143.1.80	174.143.1.87	CA
174.143.1.88	174.143.1.223	US
174.143.1.224	174.143.1.231	CA
174.143.1.232	174.143.2.71	US
174.143.2.72	174.143.2.79	CA
174.143.2.80	174.143.5.239	US
174.143.5.240	174.143.6.15	GB
174.143.6.16	174.143.7.47	US
174.143.7.48	174.143.7.63	CA
174.143.7.64	174.143.8.191	US
174.143.8.192	174.143.10.191	BD
174.143.10.192	174.143.11.95	US
174.143.11.96	174.143.11.127	GB
174.143.11.128	174.143.12.79	US
174.143.12.80	174.143.12.87	VG
174.143.12.88	174.143.13.55	US
174.143.13.56	174.143.13.63	IL
174.143.13.64	174.143.13.95	US
174.143.13.96	174.143.13.103	MX
174.143.13.104	174.143.13.143	US
174.143.13.144	174.143.13.151	IN
174.143.13.152	174.143.14.7	US
174.143.14.8	174.143.14.15	CA
174.143.14.16	174.143.14.23	GB
174.143.14.24	174.143.14.119	US
174.143.14.120	174.143.14.127	GB
174.143.14.128	174.143.15.207	US
174.143.15.208	174.143.15.215	CA
174.143.15.216	174.143.15.231	US
174.143.15.232	174.143.15.239	IL
174.143.15.240	174.143.16.23	US
174.143.16.24	174.143.16.31	ZA
174.143.16.32	174.143.16.47	US
174.143.16.48	174.143.16.55	ZA
174.143.16.56	174.143.17.7	US
174.143.17.8	174.143.17.15	CA
174.143.17.16	174.143.17.111	US
174.143.17.112	174.143.17.119	BB
174.143.17.120	174.143.17.207	US
174.143.17.208	174.143.17.223	GB
174.143.17.224	174.143.17.255	US
174.143.18.0	174.143.18.7	CA
174.143.18.8	174.143.19.39	US
174.143.19.40	174.143.19.47	AU
174.143.19.48	174.143.19.135	US
174.143.19.136	174.143.19.143	GB
174.143.19.144	174.143.19.183	US
174.143.19.184	174.143.19.191	GB
174.143.19.192	174.143.19.223	US
174.143.19.224	174.143.19.231	CA
174.143.19.232	174.143.19.247	US
174.143.19.248	174.143.19.255	CA
174.143.20.0	174.143.20.63	US
174.143.20.64	174.143.20.95	CA
174.143.20.96	174.143.21.127	US
174.143.21.128	174.143.21.191	CA
174.143.21.192	174.143.32.31	US
174.143.32.32	174.143.32.39	GB
174.143.32.40	174.143.33.55	US
174.143.33.56	174.143.33.63	GB
174.143.33.64	174.143.33.79	CA
174.143.33.80	174.143.33.191	US
174.143.33.192	174.143.33.199	MY
174.143.33.200	174.143.34.47	US
174.143.34.48	174.143.34.55	AU
174.143.34.56	174.143.37.159	US
174.143.37.160	174.143.37.175	ZA
174.143.37.176	174.143.38.63	US
174.143.38.64	174.143.38.79	IN
174.143.38.80	174.143.38.239	US
174.143.38.240	174.143.38.255	IL
174.143.39.0	174.143.39.143	US
174.143.39.144	174.143.39.159	CA
174.143.39.160	174.143.40.151	US
174.143.40.152	174.143.40.159	IN
174.143.40.160	174.143.40.167	US
174.143.40.168	174.143.40.175	JP
174.143.40.176	174.143.41.167	US
174.143.41.168	174.143.41.175	IN
174.143.41.176	174.143.41.223	US
174.143.41.224	174.143.41.231	GB
174.143.41.232	174.143.42.247	US
174.143.42.248	174.143.42.255	IL
174.143.43.0	174.143.43.7	US
174.143.43.8	174.143.43.15	GB
174.143.43.16	174.143.43.31	US
174.143.43.32	174.143.43.39	IL
174.143.43.40	174.143.43.127	US
174.143.43.128	174.143.43.135	GB
174.143.43.136	174.143.43.143	US
174.143.43.144	174.143.43.159	CA
174.143.43.160	174.143.43.239	US
174.143.43.240	174.143.43.247	CA
174.143.43.248	174.143.44.63	US
174.143.44.64	174.143.44.95	IN
174.143.44.96	174.143.46.63	US
174.143.46.64	174.143.46.95	BD
174.143.46.96	174.143.47.127	US
174.143.47.128	174.143.47.159	CA
174.143.47.160	174.143.50.103	US
174.143.50.104	174.143.50.111	IN
174.143.50.112	174.143.50.119	CA
174.143.50.120	174.143.50.151	US
174.143.50.152	174.143.50.159	FR
174.143.50.160	174.143.50.199	US
174.143.50.200	174.143.50.207	SE
174.143.50.208	174.143.51.15	US
174.143.51.16	174.143.51.23	GB
174.143.51.24	174.143.51.71	US
174.143.51.72	174.143.51.79	IN
174.143.51.80	174.143.51.151	US
174.143.51.152	174.143.51.159	NL
174.143.51.160	174.143.52.71	US
174.143.52.72	174.143.52.79	AU
174.143.52.80	174.143.53.55	US
174.143.53.56	174.143.53.63	ZA
174.143.53.64	174.143.53.191	US
174.143.53.192	174.143.53.199	GB
174.143.53.200	174.143.54.79	US
174.143.54.80	174.143.54.87	GB
174.143.54.88	174.143.54.159	US
174.143.54.160	174.143.54.167	GB
174.143.54.168	174.143.55.239	US
174.143.55.240	174.143.55.247	FR
174.143.55.248	174.143.55.255	GB
174.143.56.0	174.143.56.255	US
174.143.57.0	174.143.57.15	CA
174.143.57.16	174.143.57.79	US
174.143.57.80	174.143.57.87	AE
174.143.57.88	174.143.57.111	US
174.143.57.112	174.143.57.119	NZ
174.143.57.120	174.143.57.127	IN
174.143.57.128	174.143.57.223	US
174.143.57.224	174.143.57.231	CA
174.143.57.232	174.143.58.95	US
174.143.58.96	174.143.58.103	GB
174.143.58.104	174.143.58.151	US
174.143.58.152	174.143.58.159	AU
174.143.58.160	174.143.58.247	US
174.143.58.248	174.143.58.255	CN
174.143.59.0	174.143.60.31	US
174.143.60.32	174.143.60.47	NZ
174.143.60.48	174.143.60.111	US
174.143.60.112	174.143.60.127	GB
174.143.60.128	174.143.60.207	US
174.143.60.208	174.143.60.223	CA
174.143.60.224	174.143.61.79	US
174.143.61.80	174.143.61.111	CA
174.143.61.112	174.143.62.135	US
174.143.62.136	174.143.62.143	CA
174.143.62.144	174.143.62.159	US
174.143.62.160	174.143.62.167	MX
174.143.62.168	174.143.63.135	US
174.143.63.136	174.143.63.143	CA
174.143.63.144	174.143.64.191	US
174.143.64.192	174.143.64.199	AU
174.143.64.200	174.143.64.215	US
174.143.64.216	174.143.64.223	NO
174.143.64.224	174.143.64.239	US
174.143.64.240	174.143.64.247	NZ
174.143.64.248	174.143.65.127	US
174.143.65.128	174.143.65.135	CA
174.143.65.136	174.143.65.255	US
174.143.66.0	174.143.66.7	CY
174.143.66.8	174.143.66.15	CA
174.143.66.16	174.143.66.23	US
174.143.66.24	174.143.66.31	CA
174.143.66.32	174.143.66.175	US
174.143.66.176	174.143.66.183	NL
174.143.66.184	174.143.66.191	US
174.143.66.192	174.143.66.199	CA
174.143.66.200	174.143.67.95	US
174.143.67.96	174.143.67.103	MX
174.143.67.104	174.143.68.71	US
174.143.68.72	174.143.68.79	AU
174.143.68.80	174.143.68.151	US
174.143.68.152	174.143.68.159	AU
174.143.68.160	174.143.70.23	US
174.143.70.24	174.143.70.31	AU
174.143.70.32	174.143.70.39	US
174.143.70.40	174.143.70.47	ZA
174.143.70.48	174.143.70.79	US
174.143.70.80	174.143.70.87	CA
174.143.70.88	174.143.73.255	US
174.143.74.0	174.143.74.15	CA
174.143.74.16	174.143.74.255	US
174.143.75.0	174.143.75.15	HU
174.143.75.16	174.143.75.47	CA
174.143.75.48	174.143.75.175	US
174.143.75.176	174.143.75.191	IN
174.143.75.192	174.143.76.143	US
174.143.76.144	174.143.76.151	MX
174.143.76.152	174.143.76.183	US
174.143.76.184	174.143.76.191	AU
174.143.76.192	174.143.76.215	US
174.143.76.216	174.143.76.223	GB
174.143.76.224	174.143.77.31	US
174.143.77.32	174.143.77.39	CA
174.143.77.40	174.143.77.111	US
174.143.77.112	174.143.77.119	AU
174.143.77.120	174.143.77.127	GB
174.143.77.128	174.143.77.151	US
174.143.77.152	174.143.77.159	AU
174.143.77.160	174.143.77.223	US
174.143.77.224	174.143.77.231	GB
174.143.77.232	174.143.77.239	IE
174.143.77.240	174.143.78.183	US
174.143.78.184	174.143.78.191	AU
174.143.78.192	174.143.78.215	US
174.143.78.216	174.143.78.223	AU
174.143.78.224	174.143.78.231	IL
174.143.78.232	174.143.78.239	GB
174.143.78.240	174.143.79.7	US
174.143.79.8	174.143.79.15	TW
174.143.79.16	174.143.79.31	US
174.143.79.32	174.143.79.39	IN
174.143.79.40	174.143.79.87	US
174.143.79.88	174.143.79.95	GB
174.143.79.96	174.143.84.47	US
174.143.84.48	174.143.84.55	GB
174.143.84.56	174.143.84.63	US
174.143.84.64	174.143.84.71	CA
174.143.84.72	174.143.84.143	US
174.143.84.144	174.143.84.151	AU
174.143.84.152	174.143.85.15	US
174.143.85.16	174.143.85.23	CA
174.143.85.24	174.143.85.39	US
174.143.85.40	174.143.85.47	HK
174.143.85.48	174.143.85.191	US
174.143.85.192	174.143.85.199	GB
174.143.85.200	174.143.85.207	CA
174.143.85.208	174.143.85.215	US
174.143.85.216	174.143.85.223	IL
174.143.85.224	174.143.85.247	US
174.143.85.248	174.143.85.255	GB
174.143.86.0	174.143.87.7	US
174.143.87.8	174.143.87.15	MX
174.143.87.16	174.143.87.103	US
174.143.87.104	174.143.87.111	GB
174.143.87.112	174.143.87.143	US
174.143.87.144	174.143.87.151	GB
174.143.87.152	174.143.87.159	IL
174.143.87.160	174.143.87.167	US
174.143.87.168	174.143.87.175	JP
174.143.87.176	174.143.87.191	US
174.143.87.192	174.143.87.199	CA
174.143.87.200	174.143.88.127	US
174.143.88.128	174.143.88.191	BD
174.143.88.192	174.143.90.255	US
174.143.91.0	174.143.91.31	CA
174.143.91.32	174.143.92.7	US
174.143.92.8	174.143.92.23	GB
174.143.92.24	174.143.92.111	US
174.143.92.112	174.143.92.119	MX
174.143.92.120	174.143.92.127	HU
174.143.92.128	174.143.93.39	US
174.143.93.40	174.143.93.47	GB
174.143.93.48	174.143.93.71	US
174.143.93.72	174.143.93.79	AU
174.143.93.80	174.143.93.95	US
174.143.93.96	174.143.93.103	CA
174.143.93.104	174.143.93.199	US
174.143.93.200	174.143.93.207	CA
174.143.93.208	174.143.94.15	US
174.143.94.16	174.143.94.23	CA
174.143.94.24	174.143.94.127	US
174.143.94.128	174.143.94.135	MX
174.143.94.136	174.143.94.255	US
174.143.95.0	174.143.95.7	SG
174.143.95.8	174.143.95.15	US
174.143.95.16	174.143.95.23	CA
174.143.95.24	174.143.95.191	US
174.143.95.192	174.143.95.199	MX
174.143.95.200	174.143.95.223	US
174.143.95.224	174.143.95.231	IL
174.143.95.232	174.143.96.47	US
174.143.96.48	174.143.96.55	CA
174.143.96.56	174.143.96.63	AU
174.143.96.64	174.143.96.79	US
174.143.96.80	174.143.96.87	FR
174.143.96.88	174.143.96.143	US
174.143.96.144	174.143.96.151	SG
174.143.96.152	174.143.96.167	US
174.143.96.168	174.143.96.175	IN
174.143.96.176	174.143.96.223	US
174.143.96.224	174.143.96.231	NO
174.143.96.232	174.143.96.247	US
174.143.96.248	174.143.96.255	MX
174.143.97.0	174.143.97.159	US
174.143.97.160	174.143.97.167	GB
174.143.97.168	174.143.98.47	US
174.143.98.48	174.143.98.55	IN
174.143.98.56	174.143.98.79	US
174.143.98.80	174.143.98.87	CA
174.143.98.88	174.143.98.199	US
174.143.98.200	174.143.98.207	IN
174.143.98.208	174.143.100.223	US
174.143.100.224	174.143.100.239	CA
174.143.100.240	174.143.100.255	US
174.143.101.0	174.143.101.15	CA
174.143.101.16	174.143.101.31	US
174.143.101.32	174.143.101.47	CA
174.143.101.48	174.143.101.111	US
174.143.101.112	174.143.101.127	CA
174.143.101.128	174.143.102.79	US
174.143.102.80	174.143.102.95	IN
174.143.102.96	174.143.102.239	US
174.143.102.240	174.143.102.255	GB
174.143.103.0	174.143.104.23	US
174.143.104.24	174.143.104.31	IL
174.143.104.32	174.143.104.39	CA
174.143.104.40	174.143.104.103	US
174.143.104.104	174.143.104.111	GB
174.143.104.112	174.143.105.79	US
174.143.105.80	174.143.105.87	CH
174.143.105.88	174.143.105.135	US
174.143.105.136	174.143.105.143	CA
174.143.105.144	174.143.106.111	US
174.143.106.112	174.143.106.119	CA
174.143.106.120	174.143.106.127	US
174.143.106.128	174.143.106.135	CN
174.143.106.136	174.143.106.143	US
174.143.106.144	174.143.106.151	CA
174.143.106.152	174.143.106.175	US
174.143.106.176	174.143.106.183	IN
174.143.106.184	174.143.107.15	US
174.143.107.16	174.143.107.23	VG
174.143.107.24	174.143.107.31	US
174.143.107.32	174.143.107.39	IN
174.143.107.40	174.143.107.215	US
174.143.107.216	174.143.107.223	GB
174.143.107.224	174.143.108.23	US
174.143.108.24	174.143.108.31	MX
174.143.108.32	174.143.108.55	US
174.143.108.56	174.143.108.63	PH
174.143.108.64	174.143.108.79	US
174.143.108.80	174.143.108.87	CA
174.143.108.88	174.143.108.231	US
174.143.108.232	174.143.108.239	IN
174.143.108.240	174.143.108.247	US
174.143.108.248	174.143.108.255	IE
174.143.109.0	174.143.109.55	US
174.143.109.56	174.143.109.63	IN
174.143.109.64	174.143.109.71	US
174.143.109.72	174.143.109.79	IN
174.143.109.80	174.143.109.135	US
174.143.109.136	174.143.109.143	IL
174.143.109.144	174.143.109.167	US
174.143.109.168	174.143.109.175	CA
174.143.109.176	174.143.109.207	US
174.143.109.208	174.143.109.215	ZA
174.143.109.216	174.143.111.15	US
174.143.111.16	174.143.111.23	AU
174.143.111.24	174.143.111.167	US
174.143.111.168	174.143.111.175	BR
174.143.111.176	174.143.111.183	GB
174.143.111.184	174.143.111.215	US
174.143.111.216	174.143.111.223	AU
174.143.111.224	174.143.113.31	US
174.143.113.32	174.143.113.39	CA
174.143.113.40	174.143.113.215	US
174.143.113.216	174.143.113.223	CA
174.143.113.224	174.143.114.63	US
174.143.114.64	174.143.114.71	SE
174.143.114.72	174.143.114.111	US
174.143.114.112	174.143.114.119	CA
174.143.114.120	174.143.114.239	US
174.143.114.240	174.143.114.247	NZ
174.143.114.248	174.143.115.255	US
174.143.116.0	174.143.116.7	IL
174.143.116.8	174.143.116.79	US
174.143.116.80	174.143.116.87	BG
174.143.116.88	174.143.116.111	US
174.143.116.112	174.143.116.119	CA
174.143.116.120	174.143.118.47	US
174.143.118.48	174.143.118.55	CA
174.143.118.56	174.143.120.31	US
174.143.120.32	174.143.120.39	IN
174.143.120.40	174.143.120.95	US
174.143.120.96	174.143.120.103	BE
174.143.120.104	174.143.120.143	US
174.143.120.144	174.143.120.151	IN
174.143.120.152	174.143.120.167	US
174.143.120.168	174.143.120.175	IN
174.143.120.176	174.143.120.255	US
174.143.121.0	174.143.121.7	GB
174.143.121.8	174.143.121.151	US
174.143.121.152	174.143.121.159	CA
174.143.121.160	174.143.121.167	IN
174.143.121.168	174.143.121.247	US
174.143.121.248	174.143.121.255	MX
174.143.122.0	174.143.123.127	US
174.143.123.128	174.143.123.135	CA
174.143.123.136	174.143.126.39	US
174.143.126.40	174.143.126.47	GB
174.143.126.48	174.143.126.127	US
174.143.126.128	174.143.126.135	CA
174.143.126.136	174.143.126.191	US
174.143.126.192	174.143.126.199	GB
174.143.126.200	174.143.127.23	US
174.143.127.24	174.143.127.31	CA
174.143.127.32	174.143.132.63	US
174.143.132.64	174.143.132.127	CA
174.143.132.128	174.143.133.103	US
174.143.133.104	174.143.133.111	ID
174.143.133.112	174.143.138.39	US
174.143.138.40	174.143.138.47	IN
174.143.138.48	174.143.160.127	US
174.143.160.128	174.143.160.191	BD
174.143.160.192	174.143.160.223	US
174.143.160.224	174.143.160.255	BD
174.143.161.0	174.143.161.31	US
174.143.161.32	174.143.161.127	BD
174.143.161.128	174.143.161.159	US
174.143.161.160	174.143.161.191	BD
174.143.161.192	174.143.164.39	US
174.143.164.40	174.143.164.47	ZA
174.143.164.48	174.143.164.55	IL
174.143.164.56	174.143.164.71	US
174.143.164.72	174.143.164.79	RO
174.143.164.80	174.143.164.87	GR
174.143.164.88	174.143.164.95	IN
174.143.164.96	174.143.164.135	US
174.143.164.136	174.143.164.143	JP
174.143.164.144	174.143.164.159	US
174.143.164.160	174.143.164.167	IN
174.143.164.168	174.143.164.199	US
174.143.164.200	174.143.164.207	CA
174.143.164.208	174.143.164.231	US
174.143.164.232	174.143.164.239	GB
174.143.164.240	174.143.165.79	US
174.143.165.80	174.143.165.87	BO
174.143.165.88	174.143.167.103	US
174.143.167.104	174.143.167.111	CZ
174.143.167.112	174.143.167.127	US
174.143.167.128	174.143.167.135	IN
174.143.167.136	174.143.167.167	US
174.143.167.168	174.143.167.175	AU
174.143.167.176	174.143.167.223	US
174.143.167.224	174.143.167.231	IL
174.143.167.232	174.143.190.23	US
174.143.190.24	174.143.190.31	CA
174.143.190.32	174.143.190.55	US
174.143.190.56	174.143.190.63	NZ
174.143.190.64	174.143.190.71	US
174.143.190.72	174.143.190.79	NZ
174.143.190.80	174.143.190.111	US
174.143.190.112	174.143.190.119	GB
174.143.190.120	174.143.192.255	US
174.143.193.0	174.143.193.7	CA
174.143.193.8	174.143.193.15	US
174.143.193.16	174.143.193.23	PK
174.143.193.24	174.143.193.183	US
174.143.193.184	174.143.193.191	ZA
174.143.193.192	174.143.193.239	US
174.143.193.240	174.143.193.255	GB
174.143.194.0	174.143.198.63	US
174.143.198.64	174.143.198.95	NO
174.143.198.96	174.143.216.143	US
174.143.216.144	174.143.216.159	GB
174.143.216.160	174.143.216.207	US
174.143.216.208	174.143.216.223	CA
174.143.216.224	174.143.217.95	US
174.143.217.96	174.143.217.111	IL
174.143.217.112	174.143.217.175	US
174.143.217.176	174.143.217.191	IN
174.143.217.192	174.143.218.63	US
174.143.218.64	174.143.218.79	MX
174.143.218.80	174.143.220.207	US
174.143.220.208	174.143.220.223	GB
174.143.220.224	174.143.222.95	US
174.143.222.96	174.143.222.111	GB
174.143.222.112	174.143.222.127	US
174.143.222.128	174.143.222.143	GB
174.143.222.144	174.143.223.207	US
174.143.223.208	174.143.223.223	CA
174.143.223.224	174.143.224.63	US
174.143.224.64	174.143.224.95	GB
174.143.224.96	174.143.227.127	US
174.143.227.128	174.143.227.159	GB
174.143.227.160	174.143.227.191	US
174.143.227.192	174.143.227.223	GB
174.143.227.224	174.143.228.255	US
174.143.229.0	174.143.229.15	GB
174.143.229.16	174.143.229.175	US
174.143.229.176	174.143.229.191	SG
174.143.229.192	174.143.230.47	US
174.143.230.48	174.143.230.63	GB
174.143.230.64	174.143.230.191	US
174.143.230.192	174.143.230.207	AU
174.143.230.208	174.143.230.223	US
174.143.230.224	174.143.230.239	GB
174.143.230.240	174.143.231.223	US
174.143.231.224	174.143.231.239	AU
174.143.231.240	174.255.255.255	US
175.0.0.0	175.27.255.255	CN
175.28.0.0	175.28.3.255	KH
175.28.4.0	175.28.7.255	JP
175.28.8.0	175.28.11.255	SG
175.28.12.0	175.28.15.255	MY
175.28.16.0	175.28.31.255	JP
175.28.32.0	175.28.47.255	KR
175.28.48.0	175.28.63.255	JP
175.28.64.0	175.28.127.255	SG
175.28.128.0	175.28.255.255	JP
175.29.0.0	175.29.255.255	BD
175.30.0.0	175.31.255.255	CN
175.32.0.0	175.39.255.255	AU
175.40.0.0	175.40.255.255	IN
175.41.0.0	175.41.15.255	KR
175.41.16.0	175.41.31.255	HK
175.41.32.0	175.41.39.255	JP
175.41.40.0	175.41.47.255	AU
175.41.48.0	175.41.63.255	TW
175.41.64.0	175.41.127.255	JP
175.41.128.0	175.41.255.255	SG
175.42.0.0	175.44.255.255	CN
175.45.0.0	175.45.63.255	HK
175.45.64.0	175.45.135.255	AU
175.45.136.0	175.45.143.255	JP
175.45.144.0	175.45.159.255	AU
175.45.160.0	175.45.167.255	KR
175.45.168.0	175.45.175.255	JP
175.45.176.0	175.45.179.255	KP
175.45.180.0	175.45.183.255	IN
175.45.184.0	175.45.191.255	ID
175.45.192.0	175.45.255.255	KR
175.46.0.0	175.95.255.255	CN
175.96.0.0	175.99.255.255	TW
175.100.0.0	175.100.127.255	KH
175.100.128.0	175.100.163.255	IN
175.100.164.0	175.100.167.255	HK
175.100.168.0	175.100.191.255	IN
175.100.192.0	175.100.207.255	HK
175.100.208.0	175.100.255.255	JP
175.101.0.0	175.101.255.255	IN
175.102.0.0	175.102.255.255	CN
175.103.0.0	175.103.15.255	JP
175.103.16.0	175.103.31.255	AU
175.103.32.0	175.103.63.255	ID
175.103.128.0	175.105.255.255	JP
175.106.0.0	175.106.3.255	VN
175.106.4.0	175.106.7.255	AU
175.106.8.0	175.106.23.255	ID
175.106.24.0	175.106.27.255	AU
175.106.32.0	175.106.63.255	AF
175.106.64.0	175.106.127.255	KR
175.106.128.0	175.106.255.255	CN
175.107.0.0	175.107.63.255	PK
175.107.64.0	175.107.127.255	KR
175.107.128.0	175.107.191.255	AU
175.108.0.0	175.109.255.255	JP
175.110.0.0	175.111.15.255	PK
175.111.16.0	175.111.31.255	KR
175.111.32.0	175.111.63.255	TW
175.111.64.0	175.111.87.255	JP
175.111.88.0	175.111.91.255	ID
175.111.92.0	175.111.95.255	JP
175.111.96.0	175.111.99.255	HK
175.111.100.0	175.111.103.255	NZ
175.111.104.0	175.111.107.255	SG
175.111.108.0	175.111.111.255	BD
175.111.112.0	175.111.119.255	ID
175.111.120.0	175.111.127.255	JP
175.111.128.0	175.111.191.255	PK
175.111.192.0	175.111.255.255	TW
175.112.0.0	175.127.255.255	KR
175.128.0.0	175.135.255.255	JP
175.136.0.0	175.145.255.255	MY
175.146.0.0	175.155.255.255	CN
175.156.0.0	175.156.255.255	SG
175.157.0.0	175.157.255.255	LK
175.158.0.0	175.158.31.255	KR
175.158.32.0	175.158.63.255	ID
175.158.64.0	175.158.95.255	IN
175.158.96.0	175.158.99.255	BD
175.158.100.0	175.158.103.255	JP
175.158.104.0	175.158.107.255	AU
175.158.112.0	175.158.127.255	JP
175.158.128.0	175.158.191.255	NC
175.158.192.0	175.158.255.255	PH
175.159.0.0	175.159.255.255	HK
175.160.0.0	175.175.255.255	CN
175.176.0.0	175.176.127.255	PH
175.176.128.0	175.176.143.255	KR
175.176.144.0	175.176.151.255	TO
175.176.152.0	175.176.159.255	JP
175.176.160.0	175.176.167.255	ID
175.176.168.0	175.176.175.255	SG
175.176.176.0	175.176.191.255	HK
175.176.192.0	175.176.195.255	IN
175.176.196.0	175.176.199.255	JP
175.176.200.0	175.176.215.255	AU
175.176.216.0	175.176.219.255	NZ
175.176.220.0	175.176.223.255	TH
175.176.224.0	175.176.255.255	HK
175.177.0.0	175.177.255.255	JP
175.178.0.0	175.178.255.255	CN
175.179.0.0	175.179.255.255	JP
175.180.0.0	175.183.255.255	TW
175.184.0.0	175.184.127.255	JP
175.184.128.0	175.184.191.255	CN
175.184.192.0	175.184.223.255	AU
175.184.224.0	175.184.239.255	ID
175.184.240.0	175.184.247.255	TW
175.184.248.0	175.184.251.255	ID
175.184.252.0	175.184.255.255	IN
175.185.0.0	175.191.255.255	CN
175.192.0.0	175.255.255.255	KR
178.0.0.0	178.15.255.255	DE
178.16.0.0	178.16.15.255	IM
178.16.16.0	178.16.31.255	LV
178.16.32.0	178.16.47.255	LT
178.16.48.0	178.16.63.255	DE
178.16.64.0	178.16.79.255	NO
178.16.80.0	178.16.95.255	UA
178.16.96.0	178.16.127.255	PL
178.16.128.0	178.16.143.255	BG
178.16.144.0	178.16.156.255	RU
178.16.157.0	178.16.157.19	KZ
178.16.157.20	178.16.157.31	RU
178.16.157.32	178.16.157.63	KZ
178.16.157.64	178.16.159.255	RU
178.16.160.0	178.16.175.255	FR
178.16.176.0	178.16.191.255	FI
178.16.192.0	178.16.207.255	IE
178.16.208.0	178.16.223.255	SE
178.16.224.0	178.16.239.255	GB
178.16.240.0	178.16.255.255	FR
178.17.0.0	178.17.15.255	CZ
178.17.16.0	178.17.31.255	RS
178.17.32.0	178.17.47.255	GB
178.17.48.0	178.17.63.255	DE
178.17.64.0	178.17.79.255	GB
178.17.80.0	178.17.111.255	CZ
178.17.112.0	178.17.127.255	HR
178.17.128.0	178.17.143.255	RU
178.17.144.0	178.17.159.255	NO
178.17.160.0	178.17.162.71	MD
178.17.162.72	178.17.162.79	US
178.17.162.80	178.17.162.207	MD
178.17.162.208	178.17.162.223	DE
178.17.162.224	178.17.175.255	MD
178.17.176.0	178.17.207.255	RU
178.17.208.0	178.17.223.255	JO
178.17.224.0	178.17.239.255	A2
178.17.240.0	178.17.255.255	GB
178.18.0.0	178.18.15.255	RU
178.18.16.0	178.18.19.255	US
178.18.20.0	178.18.31.255	NL
178.18.32.0	178.18.47.255	MD
178.18.48.0	178.18.63.255	FR
178.18.64.0	178.18.79.255	SK
178.18.80.0	178.18.95.255	NL
178.18.96.0	178.18.111.255	RU
178.18.112.0	178.18.127.255	GB
178.18.128.0	178.18.143.255	NL
178.18.160.0	178.18.175.255	AT
178.18.176.0	178.18.191.255	FR
178.18.192.0	178.18.207.255	TR
178.18.208.0	178.18.239.255	RU
178.18.240.0	178.18.240.255	DE
178.18.241.0	178.18.241.7	PA
178.18.241.8	178.18.241.15	CZ
178.18.241.16	178.18.241.23	ES
178.18.241.24	178.18.241.31	IT
178.18.241.32	178.18.241.39	FR
178.18.241.40	178.18.241.47	US
178.18.241.48	178.18.241.55	DK
178.18.241.56	178.18.241.63	SE
178.18.241.64	178.18.241.71	RU
178.18.241.72	178.18.241.79	GB
178.18.241.80	178.18.241.87	IT
178.18.241.88	178.18.241.95	FR
178.18.241.96	178.18.241.103	PL
178.18.241.104	178.18.255.255	DE
178.19.0.0	178.19.15.255	FR
178.19.16.0	178.19.31.255	LT
178.19.32.0	178.19.47.255	ES
178.19.48.0	178.19.63.255	IS
178.19.64.0	178.19.65.255	US
178.19.66.0	178.19.79.255	DE
178.19.80.0	178.19.95.255	RU
178.19.96.0	178.19.111.255	PL
178.19.112.0	178.19.127.255	NL
178.19.128.0	178.19.143.255	FR
178.19.144.0	178.19.175.255	IT
178.19.176.0	178.19.191.255	PL
178.19.192.0	178.19.207.255	FO
178.19.208.0	178.19.239.255	DE
178.19.240.0	178.19.255.255	RU
178.20.0.0	178.20.12.127	DE
178.20.12.128	178.20.12.143	AT
178.20.12.144	178.20.15.255	DE
178.20.16.0	178.20.16.255	BA
178.20.17.0	178.20.23.255	SI
178.20.24.0	178.20.31.255	GB
178.20.32.0	178.20.39.255	IT
178.20.40.0	178.20.47.255	RU
178.20.48.0	178.20.55.255	FR
178.20.56.0	178.20.63.255	NL
178.20.64.0	178.20.71.255	FR
178.20.72.0	178.20.79.255	IT
178.20.80.0	178.20.87.255	IE
178.20.88.0	178.20.103.255	DE
178.20.104.0	178.20.111.255	NO
178.20.112.0	178.20.119.255	IT
178.20.120.0	178.20.127.255	GR
178.20.128.0	178.20.135.255	RU
178.20.136.0	178.20.143.255	CZ
178.20.144.0	178.20.151.255	SA
178.20.152.0	178.20.159.255	UA
178.20.160.0	178.20.167.255	RS
178.20.168.0	178.20.175.255	NL
178.20.176.0	178.20.183.255	RU
178.20.184.0	178.20.191.255	JO
178.20.192.0	178.20.199.255	GB
178.20.200.0	178.20.207.255	RS
178.20.208.0	178.20.215.255	PT
178.20.216.0	178.20.223.255	DK
178.20.224.0	178.20.231.255	GB
178.20.232.0	178.20.239.255	RU
178.20.240.0	178.20.247.255	FR
178.20.248.0	178.20.255.255	NL
178.21.0.0	178.21.7.255	DE
178.21.8.0	178.21.15.255	RU
178.21.16.0	178.21.23.255	NL
178.21.24.0	178.21.31.255	RU
178.21.32.0	178.21.39.255	GB
178.21.40.0	178.21.47.255	IR
178.21.48.0	178.21.55.255	HU
178.21.56.0	178.21.63.255	ES
178.21.64.0	178.21.71.255	RU
178.21.72.0	178.21.87.255	SE
178.21.88.0	178.21.95.255	DK
178.21.96.0	178.21.103.255	IT
178.21.104.0	178.21.111.255	ES
178.21.112.0	178.21.119.255	NL
178.21.120.0	178.21.127.255	RO
178.21.128.0	178.21.135.255	NO
178.21.136.0	178.21.143.255	PL
178.21.144.0	178.21.151.255	DE
178.21.152.0	178.21.159.255	PL
178.21.160.0	178.21.167.255	DK
178.21.168.0	178.21.175.255	GR
178.21.176.0	178.21.183.255	FR
178.21.184.0	178.21.191.255	CZ
178.21.192.0	178.21.199.255	FI
178.21.200.0	178.21.207.255	IT
178.21.208.0	178.21.215.255	FR
178.21.216.0	178.21.223.255	NL
178.21.224.0	178.21.231.255	CH
178.21.232.0	178.21.239.255	GB
178.21.240.0	178.21.247.255	EE
178.21.248.0	178.21.255.255	DK
178.22.0.0	178.22.7.255	FR
178.22.8.0	178.22.8.255	GB
178.22.9.0	178.22.15.255	TR
178.22.16.0	178.22.23.255	GB
178.22.24.0	178.22.31.255	CH
178.22.32.0	178.22.39.255	IQ
178.22.40.0	178.22.55.255	RU
178.22.56.0	178.22.63.255	NL
178.22.64.0	178.22.71.255	CH
178.22.72.0	178.22.79.255	IR
178.22.80.0	178.22.87.255	NL
178.22.88.0	178.22.95.255	RU
178.22.96.0	178.22.103.255	NO
178.22.104.0	178.22.111.255	CH
178.22.112.0	178.22.119.255	CZ
178.22.120.0	178.22.127.255	NL
178.22.128.0	178.22.135.255	FR
178.22.136.0	178.22.143.255	GB
178.22.144.0	178.22.159.255	FR
178.22.160.0	178.22.167.255	GB
178.22.168.0	178.22.175.255	KZ
178.22.176.0	178.22.183.255	FR
178.22.184.0	178.22.191.255	IT
178.22.192.0	178.22.199.255	RU
178.22.200.0	178.22.207.255	SE
178.22.208.0	178.22.215.255	GB
178.22.216.0	178.22.223.255	RS
178.22.224.0	178.22.231.255	HU
178.22.232.0	178.22.239.255	NL
178.22.240.0	178.22.247.255	FR
178.22.248.0	178.22.255.255	IT
178.23.0.0	178.23.7.255	RU
178.23.8.0	178.23.15.255	IT
178.23.16.0	178.23.23.255	QA
178.23.24.0	178.23.31.255	DE
178.23.32.0	178.23.39.255	FR
178.23.40.0	178.23.47.255	BE
178.23.48.0	178.23.55.255	DE
178.23.56.0	178.23.63.255	ES
178.23.64.0	178.23.71.255	RO
178.23.72.0	178.23.79.255	GR
178.23.80.0	178.23.87.255	AT
178.23.88.0	178.23.95.255	SK
178.23.96.0	178.23.103.255	NO
178.23.104.0	178.23.111.255	PL
178.23.112.0	178.23.119.255	EE
178.23.120.0	178.23.127.255	DE
178.23.128.0	178.23.135.255	GB
178.23.136.0	178.23.143.255	UA
178.23.144.0	178.23.151.255	RU
178.23.152.0	178.23.159.255	FR
178.23.160.0	178.23.167.255	GB
178.23.168.0	178.23.175.255	CH
178.23.176.0	178.23.183.255	DK
178.23.184.0	178.23.191.255	NL
178.23.192.0	178.23.199.255	PL
178.23.200.0	178.23.207.255	IT
178.23.208.0	178.23.215.255	ES
178.23.216.0	178.23.223.255	CZ
178.23.224.0	178.23.231.255	RU
178.23.232.0	178.23.239.255	CZ
178.23.240.0	178.23.247.255	DK
178.23.248.0	178.23.255.255	IT
178.24.0.0	178.27.255.255	DE
178.28.0.0	178.31.255.255	SE
178.32.0.0	178.32.0.3	CH
178.32.0.4	178.32.0.55	FR
178.32.0.56	178.32.0.63	DE
178.32.0.64	178.32.0.239	FR
178.32.0.240	178.32.0.243	PL
178.32.0.244	178.32.0.247	BE
178.32.0.248	178.32.0.255	FR
178.32.1.0	178.32.1.31	IT
178.32.1.32	178.32.1.39	FR
178.32.1.40	178.32.1.47	PL
178.32.1.48	178.32.1.55	IT
178.32.1.56	178.32.1.127	FR
178.32.1.128	178.32.1.143	NL
178.32.1.144	178.32.1.147	FR
178.32.1.148	178.32.1.151	ES
178.32.1.152	178.32.1.191	FR
178.32.1.192	178.32.1.207	GB
178.32.1.208	178.32.1.211	FR
178.32.1.212	178.32.1.215	BE
178.32.1.216	178.32.1.219	FR
178.32.1.220	178.32.1.223	GB
178.32.1.224	178.32.3.31	FR
178.32.3.32	178.32.3.63	ES
178.32.3.64	178.32.3.71	CZ
178.32.3.72	178.32.3.79	ES
178.32.3.80	178.32.3.95	GB
178.32.3.96	178.32.5.15	FR
178.32.5.16	178.32.5.19	PL
178.32.5.20	178.32.5.23	FR
178.32.5.24	178.32.5.27	IT
178.32.5.28	178.32.5.31	FR
178.32.5.32	178.32.5.39	NL
178.32.5.40	178.32.5.43	LT
178.32.5.44	178.32.5.47	GB
178.32.5.48	178.32.5.95	FR
178.32.5.96	178.32.5.143	GB
178.32.5.144	178.32.5.147	FR
178.32.5.148	178.32.5.151	BE
178.32.5.152	178.32.5.155	GB
178.32.5.156	178.32.5.159	BE
178.32.5.160	178.32.5.175	PL
178.32.5.176	178.32.5.191	DE
178.32.5.192	178.32.5.207	ES
178.32.5.208	178.32.5.231	PL
178.32.5.232	178.32.5.239	ES
178.32.5.240	178.32.6.255	FR
178.32.7.0	178.32.7.15	GB
178.32.7.16	178.32.7.47	FR
178.32.7.48	178.32.7.51	CZ
178.32.7.52	178.32.7.55	DE
178.32.7.56	178.32.7.63	FR
178.32.7.64	178.32.7.95	BE
178.32.7.96	178.32.7.147	FR
178.32.7.148	178.32.7.155	ES
178.32.7.156	178.32.7.159	IT
178.32.7.160	178.32.7.163	FR
178.32.7.164	178.32.7.167	PL
178.32.7.168	178.32.7.171	GB
178.32.7.172	178.32.7.175	PL
178.32.7.176	178.32.7.191	FR
178.32.7.192	178.32.7.255	GB
178.32.8.0	178.32.10.7	FR
178.32.10.8	178.32.10.11	CZ
178.32.10.12	178.32.10.39	FR
178.32.10.40	178.32.10.43	DE
178.32.10.44	178.32.10.47	NL
178.32.10.48	178.32.10.255	FR
178.32.11.0	178.32.12.7	ES
178.32.12.8	178.32.12.23	PL
178.32.12.24	178.32.12.47	FR
178.32.12.48	178.32.12.63	ES
178.32.12.64	178.32.12.67	GB
178.32.12.68	178.32.12.83	BE
178.32.12.84	178.32.12.87	DE
178.32.12.88	178.32.12.95	IE
178.32.12.96	178.32.12.99	DE
178.32.12.100	178.32.12.103	GB
178.32.12.104	178.32.12.111	CZ
178.32.12.112	178.32.12.127	FR
178.32.12.128	178.32.13.127	ES
178.32.13.128	178.32.13.191	FR
178.32.13.192	178.32.13.223	IT
178.32.13.224	178.32.13.255	GB
178.32.14.0	178.32.16.255	DE
178.32.17.0	178.32.17.15	FR
178.32.17.16	178.32.17.31	GB
178.32.17.32	178.32.17.255	DE
178.32.18.0	178.32.18.63	PL
178.32.18.64	178.32.18.67	IT
178.32.18.68	178.32.18.71	GB
178.32.18.72	178.32.18.79	FR
178.32.18.80	178.32.18.95	GB
178.32.18.96	178.32.18.115	FR
178.32.18.116	178.32.18.119	LT
178.32.18.120	178.32.18.127	NL
178.32.18.128	178.32.18.191	PL
178.32.18.192	178.32.18.255	FR
178.32.19.0	178.32.19.255	PL
178.32.20.0	178.32.20.255	DE
178.32.21.0	178.32.21.127	IT
178.32.21.128	178.32.21.255	FR
178.32.22.0	178.32.24.127	DE
178.32.24.128	178.32.24.179	PL
178.32.24.180	178.32.24.183	IT
178.32.24.184	178.32.24.191	PL
178.32.24.192	178.32.24.199	DE
178.32.24.200	178.32.24.203	NL
178.32.24.204	178.32.24.207	DE
178.32.24.208	178.32.24.211	GB
178.32.24.212	178.32.24.215	BE
178.32.24.216	178.32.24.223	IT
178.32.24.224	178.32.24.255	GB
178.32.25.0	178.32.25.127	DE
178.32.25.128	178.32.25.255	ES
178.32.26.0	178.32.26.255	DE
178.32.27.0	178.32.27.7	FR
178.32.27.8	178.32.27.31	PL
178.32.27.32	178.32.27.47	FR
178.32.27.48	178.32.27.51	DE
178.32.27.52	178.32.27.55	ES
178.32.27.56	178.32.27.95	FR
178.32.27.96	178.32.27.127	ES
178.32.27.128	178.32.27.159	GB
178.32.27.160	178.32.27.179	IT
178.32.27.180	178.32.27.183	DE
178.32.27.184	178.32.27.187	IT
178.32.27.188	178.32.27.191	LT
178.32.27.192	178.32.27.255	GB
178.32.28.0	178.32.28.15	FR
178.32.28.16	178.32.28.47	PL
178.32.28.48	178.32.28.63	ES
178.32.28.64	178.32.28.127	FR
178.32.28.128	178.32.28.131	PT
178.32.28.132	178.32.28.135	PL
178.32.28.136	178.32.28.139	ES
178.32.28.140	178.32.28.191	FR
178.32.28.192	178.32.28.223	DE
178.32.28.224	178.32.28.239	FR
178.32.28.240	178.32.28.255	GB
178.32.29.0	178.32.29.31	PL
178.32.29.32	178.32.29.63	ES
178.32.29.64	178.32.29.79	PL
178.32.29.80	178.32.29.95	DE
178.32.29.96	178.32.29.99	FR
178.32.29.100	178.32.29.103	DE
178.32.29.104	178.32.29.111	ES
178.32.29.112	178.32.29.127	FR
178.32.29.128	178.32.29.255	PL
178.32.30.0	178.32.30.255	GB
178.32.31.0	178.32.31.127	PL
178.32.31.128	178.32.31.159	DE
178.32.31.160	178.32.31.191	IT
178.32.31.192	178.32.31.207	BE
178.32.31.208	178.32.31.223	GB
178.32.31.224	178.32.31.255	CH
178.32.32.0	178.32.39.255	FR
178.32.40.0	178.32.47.255	BE
178.32.48.0	178.32.63.255	GB
178.32.64.0	178.32.64.3	FR
178.32.64.4	178.32.64.7	PL
178.32.64.8	178.32.64.47	FR
178.32.64.48	178.32.64.63	IT
178.32.64.64	178.32.64.71	FR
178.32.64.72	178.32.64.79	CH
178.32.64.80	178.32.64.83	ES
178.32.64.84	178.32.64.91	FR
178.32.64.92	178.32.64.127	PL
178.32.64.128	178.32.65.15	FR
178.32.65.16	178.32.65.31	IT
178.32.65.32	178.32.65.47	PL
178.32.65.48	178.32.65.55	FR
178.32.65.56	178.32.65.59	GB
178.32.65.60	178.32.65.79	ES
178.32.65.80	178.32.65.83	CZ
178.32.65.84	178.32.65.91	FR
178.32.65.92	178.32.65.95	GB
178.32.65.96	178.32.65.127	DE
178.32.65.128	178.32.65.159	FR
178.32.65.160	178.32.65.191	PL
178.32.65.192	178.32.65.255	FR
178.32.66.0	178.32.66.255	GB
178.32.67.0	178.32.67.255	FR
178.32.68.0	178.32.68.7	PL
178.32.68.8	178.32.68.11	DE
178.32.68.12	178.32.68.15	GB
178.32.68.16	178.32.68.19	BE
178.32.68.20	178.32.68.23	CH
178.32.68.24	178.32.68.27	CZ
178.32.68.28	178.32.68.31	ES
178.32.68.32	178.32.68.43	FR
178.32.68.44	178.32.68.47	ES
178.32.68.48	178.32.68.63	CH
178.32.68.64	178.32.68.67	GB
178.32.68.68	178.32.68.71	ES
178.32.68.72	178.32.68.75	DE
178.32.68.76	178.32.68.79	FR
178.32.68.80	178.32.68.95	GB
178.32.68.96	178.32.68.103	FR
178.32.68.104	178.32.68.111	ES
178.32.68.112	178.32.68.119	IT
178.32.68.120	178.32.68.127	PL
178.32.68.128	178.32.68.159	IT
178.32.68.160	178.32.68.163	IE
178.32.68.164	178.32.68.175	FR
178.32.68.176	178.32.68.191	ES
178.32.68.192	178.32.68.207	FR
178.32.68.208	178.32.68.211	DE
178.32.68.212	178.32.68.215	FR
178.32.68.216	178.32.68.255	PL
178.32.69.0	178.32.69.255	ES
178.32.70.0	178.32.70.63	DE
178.32.70.64	178.32.70.79	FR
178.32.70.80	178.32.70.83	GB
178.32.70.84	178.32.70.95	FR
178.32.70.96	178.32.70.111	CZ
178.32.70.112	178.32.70.119	FR
178.32.70.120	178.32.70.123	IT
178.32.70.124	178.32.70.127	CH
178.32.70.128	178.32.70.191	FR
178.32.70.192	178.32.70.195	ES
178.32.70.196	178.32.70.203	FR
178.32.70.204	178.32.70.207	DE
178.32.70.208	178.32.70.211	FR
178.32.70.212	178.32.70.215	BE
178.32.70.216	178.32.70.223	PL
178.32.70.224	178.32.70.227	ES
178.32.70.228	178.32.70.231	PL
178.32.70.232	178.32.71.255	FR
178.32.72.0	178.32.72.31	DE
178.32.72.32	178.32.72.63	FR
178.32.72.64	178.32.72.71	ES
178.32.72.72	178.32.72.75	PL
178.32.72.76	178.32.72.79	DE
178.32.72.80	178.32.72.87	FR
178.32.72.88	178.32.72.91	DE
178.32.72.92	178.32.72.95	FR
178.32.72.96	178.32.72.99	PL
178.32.72.100	178.32.72.103	CZ
178.32.72.104	178.32.72.111	FR
178.32.72.112	178.32.72.127	ES
178.32.72.128	178.32.72.159	GB
178.32.72.160	178.32.72.163	FR
178.32.72.164	178.32.72.167	CZ
178.32.72.168	178.32.72.175	FR
178.32.72.176	178.32.72.191	PL
178.32.72.192	178.32.72.207	FR
178.32.72.208	178.32.72.211	BE
178.32.72.212	178.32.72.215	PL
178.32.72.216	178.32.72.223	FR
178.32.72.224	178.32.72.239	ES
178.32.72.240	178.32.72.243	FR
178.32.72.244	178.32.72.247	NL
178.32.72.248	178.32.72.255	PL
178.32.73.0	178.32.73.35	FR
178.32.73.36	178.32.73.47	PL
178.32.73.48	178.32.73.63	DE
178.32.73.64	178.32.73.87	GB
178.32.73.88	178.32.73.255	FR
178.32.74.0	178.32.74.3	GB
178.32.74.4	178.32.74.7	FR
178.32.74.8	178.32.74.31	PL
178.32.74.32	178.32.74.47	PT
178.32.74.48	178.32.74.63	GB
178.32.74.64	178.32.74.135	FR
178.32.74.136	178.32.74.139	GB
178.32.74.140	178.32.74.143	DE
178.32.74.144	178.32.74.175	FR
178.32.74.176	178.32.74.191	ES
178.32.74.192	178.32.74.215	FR
178.32.74.216	178.32.74.219	PT
178.32.74.220	178.32.74.223	FR
178.32.74.224	178.32.74.255	PL
178.32.75.0	178.32.75.63	CH
178.32.75.64	178.32.75.127	FR
178.32.75.128	178.32.75.131	DE
178.32.75.132	178.32.75.143	PL
178.32.75.144	178.32.75.159	DE
178.32.75.160	178.32.75.191	GB
178.32.75.192	178.32.75.255	FR
178.32.76.0	178.32.76.63	IE
178.32.76.64	178.32.76.95	NL
178.32.76.96	178.32.76.191	GB
178.32.76.192	178.32.76.199	FR
178.32.76.200	178.32.76.239	IT
178.32.76.240	178.32.76.243	PL
178.32.76.244	178.32.76.251	FR
178.32.76.252	178.32.76.255	PL
178.32.77.0	178.32.77.63	CH
178.32.77.64	178.32.77.79	FR
178.32.77.80	178.32.77.83	CH
178.32.77.84	178.32.77.87	DE
178.32.77.88	178.32.77.91	ES
178.32.77.92	178.32.77.95	GB
178.32.77.96	178.32.77.99	IT
178.32.77.100	178.32.77.103	NL
178.32.77.104	178.32.77.111	FR
178.32.77.112	178.32.77.119	IT
178.32.77.120	178.32.77.123	PT
178.32.77.124	178.32.77.127	BE
178.32.77.128	178.32.77.159	ES
178.32.77.160	178.32.77.163	PL
178.32.77.164	178.32.77.167	IE
178.32.77.168	178.32.77.171	CZ
178.32.77.172	178.32.77.175	LT
178.32.77.176	178.32.77.179	FR
178.32.77.180	178.32.77.183	PL
178.32.77.184	178.32.77.187	ES
178.32.77.188	178.32.77.191	BE
178.32.77.192	178.32.77.207	PL
178.32.77.208	178.32.77.211	GB
178.32.77.212	178.32.77.247	FR
178.32.77.248	178.32.77.255	GB
178.32.78.0	178.32.78.31	FR
178.32.78.32	178.32.78.47	BE
178.32.78.48	178.32.78.55	IT
178.32.78.56	178.32.78.127	FR
178.32.78.128	178.32.78.131	DE
178.32.78.132	178.32.78.135	FR
178.32.78.136	178.32.78.139	NL
178.32.78.140	178.32.78.143	BE
178.32.78.144	178.32.78.151	FR
178.32.78.152	178.32.78.155	GB
178.32.78.156	178.32.78.167	FR
178.32.78.168	178.32.78.179	DE
178.32.78.180	178.32.78.183	IT
178.32.78.184	178.32.78.187	FR
178.32.78.188	178.32.78.191	NL
178.32.78.192	178.32.78.223	PL
178.32.78.224	178.32.78.231	IT
178.32.78.232	178.32.78.243	DE
178.32.78.244	178.32.78.247	FR
178.32.78.248	178.32.78.251	PL
178.32.78.252	178.32.78.255	GB
178.32.79.0	178.32.79.31	NL
178.32.79.32	178.32.79.35	PL
178.32.79.36	178.32.79.47	DE
178.32.79.48	178.32.79.55	FR
178.32.79.56	178.32.79.59	CZ
178.32.79.60	178.32.79.63	IT
178.32.79.64	178.32.79.79	FR
178.32.79.80	178.32.79.87	ES
178.32.79.88	178.32.79.111	FR
178.32.79.112	178.32.79.127	GB
178.32.79.128	178.32.79.255	PL
178.32.80.0	178.32.80.15	CZ
178.32.80.16	178.32.80.47	FR
178.32.80.48	178.32.80.51	ES
178.32.80.52	178.32.80.63	FR
178.32.80.64	178.32.80.71	PL
178.32.80.72	178.32.80.75	IT
178.32.80.76	178.32.80.79	NL
178.32.80.80	178.32.80.111	PL
178.32.80.112	178.32.80.119	FR
178.32.80.120	178.32.80.123	PL
178.32.80.124	178.32.80.223	FR
178.32.80.224	178.32.80.227	DE
178.32.80.228	178.32.80.231	NL
178.32.80.232	178.32.80.239	FR
178.32.80.240	178.32.80.243	IT
178.32.80.244	178.32.80.247	DE
178.32.80.248	178.32.80.255	FR
178.32.81.0	178.32.81.127	ES
178.32.81.128	178.32.81.159	GB
178.32.81.160	178.32.81.191	DE
178.32.81.192	178.32.81.223	NL
178.32.81.224	178.32.81.251	FR
178.32.81.252	178.32.81.255	DE
178.32.82.0	178.32.82.7	FR
178.32.82.8	178.32.82.11	IT
178.32.82.12	178.32.82.15	ES
178.32.82.16	178.32.82.143	FR
178.32.82.144	178.32.82.151	IT
178.32.82.152	178.32.82.175	FR
178.32.82.176	178.32.82.183	GB
178.32.82.184	178.32.82.187	PL
178.32.82.188	178.32.82.191	FR
178.32.82.192	178.32.82.207	DE
178.32.82.208	178.32.82.223	FR
178.32.82.224	178.32.82.231	BE
178.32.82.232	178.32.82.255	FR
178.32.83.0	178.32.83.255	BE
178.32.84.0	178.32.84.3	IT
178.32.84.4	178.32.84.15	FR
178.32.84.16	178.32.84.23	GB
178.32.84.24	178.32.84.27	FR
178.32.84.28	178.32.84.31	PL
178.32.84.32	178.32.84.39	NL
178.32.84.40	178.32.84.43	FR
178.32.84.44	178.32.84.47	ES
178.32.84.48	178.32.84.55	FR
178.32.84.56	178.32.84.63	ES
178.32.84.64	178.32.84.95	NL
178.32.84.96	178.32.84.99	GB
178.32.84.100	178.32.84.103	DE
178.32.84.104	178.32.84.107	FR
178.32.84.108	178.32.84.119	GB
178.32.84.120	178.32.84.123	FR
178.32.84.124	178.32.84.127	CH
178.32.84.128	178.32.84.159	NL
178.32.84.160	178.32.84.175	PL
178.32.84.176	178.32.84.211	FR
178.32.84.212	178.32.84.215	DE
178.32.84.216	178.32.84.219	FR
178.32.84.220	178.32.84.227	DE
178.32.84.228	178.32.84.231	IT
178.32.84.232	178.32.84.235	PT
178.32.84.236	178.32.84.239	FR
178.32.84.240	178.32.84.255	BE
178.32.85.0	178.32.85.255	FR
178.32.86.0	178.32.86.7	DE
178.32.86.8	178.32.86.11	PL
178.32.86.12	178.32.86.15	FR
178.32.86.16	178.32.86.31	GB
178.32.86.32	178.32.86.35	PL
178.32.86.36	178.32.86.43	GB
178.32.86.44	178.32.86.47	FR
178.32.86.48	178.32.86.63	PL
178.32.86.64	178.32.86.127	FR
178.32.86.128	178.32.86.131	BE
178.32.86.132	178.32.86.143	FR
178.32.86.144	178.32.86.159	DE
178.32.86.160	178.32.86.175	PL
178.32.86.176	178.32.86.187	GB
178.32.86.188	178.32.86.207	FR
178.32.86.208	178.32.86.211	DE
178.32.86.212	178.32.86.215	ES
178.32.86.216	178.32.86.219	DE
178.32.86.220	178.32.86.223	FR
178.32.86.224	178.32.86.255	PL
178.32.87.0	178.32.87.43	FR
178.32.87.44	178.32.87.47	GB
178.32.87.48	178.32.87.75	FR
178.32.87.76	178.32.87.79	GB
178.32.87.80	178.32.87.127	FR
178.32.87.128	178.32.87.135	IE
178.32.87.136	178.32.87.143	LT
178.32.87.144	178.32.87.183	FR
178.32.87.184	178.32.87.187	ES
178.32.87.188	178.32.87.191	FR
178.32.87.192	178.32.87.223	PL
178.32.87.224	178.32.88.175	FR
178.32.88.176	178.32.88.179	IT
178.32.88.180	178.32.88.223	FR
178.32.88.224	178.32.88.227	DE
178.32.88.228	178.32.88.231	FR
178.32.88.232	178.32.88.235	PL
178.32.88.236	178.32.89.127	FR
178.32.89.128	178.32.89.135	PT
178.32.89.136	178.32.89.143	FR
178.32.89.144	178.32.89.159	DE
178.32.89.160	178.32.89.191	IT
178.32.89.192	178.32.89.223	FR
178.32.89.224	178.32.89.227	DE
178.32.89.228	178.32.89.231	PL
178.32.89.232	178.32.89.235	FR
178.32.89.236	178.32.89.239	ES
178.32.89.240	178.32.89.243	FR
178.32.89.244	178.32.89.247	IT
178.32.89.248	178.32.89.255	GB
178.32.90.0	178.32.90.143	FR
178.32.90.144	178.32.90.147	IT
178.32.90.148	178.32.90.151	ES
178.32.90.152	178.32.90.191	FR
178.32.90.192	178.32.90.255	ES
178.32.91.0	178.32.91.31	NL
178.32.91.32	178.32.91.51	FR
178.32.91.52	178.32.91.55	CH
178.32.91.56	178.32.91.59	FR
178.32.91.60	178.32.91.63	GB
178.32.91.64	178.32.92.63	FR
178.32.92.64	178.32.92.71	ES
178.32.92.72	178.32.92.83	FR
178.32.92.84	178.32.92.87	ES
178.32.92.88	178.32.92.127	FR
178.32.92.128	178.32.92.143	DE
178.32.92.144	178.32.92.147	IT
178.32.92.148	178.32.92.191	FR
178.32.92.192	178.32.92.211	DE
178.32.92.212	178.32.92.219	PL
178.32.92.220	178.32.92.223	FR
178.32.92.224	178.32.92.239	IT
178.32.92.240	178.32.92.255	FR
178.32.93.0	178.32.93.15	CH
178.32.93.16	178.32.93.31	FR
178.32.93.32	178.32.93.63	GB
178.32.93.64	178.32.93.95	FR
178.32.93.96	178.32.93.99	DE
178.32.93.100	178.32.93.103	PL
178.32.93.104	178.32.93.107	PT
178.32.93.108	178.32.93.111	GB
178.32.93.112	178.32.93.115	IT
178.32.93.116	178.32.93.119	ES
178.32.93.120	178.32.93.123	FR
178.32.93.124	178.32.93.127	GB
178.32.93.128	178.32.93.131	FR
178.32.93.132	178.32.93.135	GB
178.32.93.136	178.32.93.143	FR
178.32.93.144	178.32.93.151	ES
178.32.93.152	178.32.93.159	GB
178.32.93.160	178.32.93.163	ES
178.32.93.164	178.32.93.167	GB
178.32.93.168	178.32.93.175	DE
178.32.93.176	178.32.93.179	PL
178.32.93.180	178.32.93.183	ES
178.32.93.184	178.32.93.191	FR
178.32.93.192	178.32.93.207	PL
178.32.93.208	178.32.93.211	FR
178.32.93.212	178.32.93.215	ES
178.32.93.216	178.32.93.223	FR
178.32.93.224	178.32.93.239	IT
178.32.93.240	178.32.93.255	CZ
178.32.94.0	178.32.95.127	FR
178.32.95.128	178.32.95.191	PL
178.32.95.192	178.32.95.195	FR
178.32.95.196	178.32.95.207	NL
178.32.95.208	178.32.95.211	PT
178.32.95.212	178.32.95.219	FR
178.32.95.220	178.32.95.223	PL
178.32.95.224	178.32.95.255	NL
178.32.96.0	178.32.255.255	FR
178.33.0.0	178.33.0.47	DE
178.33.0.48	178.33.0.63	FR
178.33.0.64	178.33.0.67	GB
178.33.0.68	178.33.0.71	PL
178.33.0.72	178.33.0.75	ES
178.33.0.76	178.33.0.79	PL
178.33.0.80	178.33.0.95	FR
178.33.0.96	178.33.0.103	ES
178.33.0.104	178.33.0.107	FR
178.33.0.108	178.33.0.111	ES
178.33.0.112	178.33.0.127	FR
178.33.0.128	178.33.0.143	PL
178.33.0.144	178.33.0.151	GB
178.33.0.152	178.33.0.191	FR
178.33.0.192	178.33.0.199	DE
178.33.0.200	178.33.1.31	FR
178.33.1.32	178.33.1.39	PL
178.33.1.40	178.33.1.47	DE
178.33.1.48	178.33.1.51	IT
178.33.1.52	178.33.1.55	NL
178.33.1.56	178.33.1.59	PL
178.33.1.60	178.33.1.67	FR
178.33.1.68	178.33.1.71	BE
178.33.1.72	178.33.1.75	CH
178.33.1.76	178.33.1.79	ES
178.33.1.80	178.33.1.83	FR
178.33.1.84	178.33.1.87	GB
178.33.1.88	178.33.1.91	IE
178.33.1.92	178.33.1.95	IT
178.33.1.96	178.33.1.111	FR
178.33.1.112	178.33.1.127	IT
178.33.1.128	178.33.1.135	PL
178.33.1.136	178.33.1.139	DE
178.33.1.140	178.33.1.143	PL
178.33.1.144	178.33.1.147	FR
178.33.1.148	178.33.1.151	PL
178.33.1.152	178.33.1.159	FR
178.33.1.160	178.33.1.175	GB
178.33.1.176	178.33.1.191	IE
178.33.1.192	178.33.1.199	ES
178.33.1.200	178.33.1.203	FR
178.33.1.204	178.33.1.207	DE
178.33.1.208	178.33.1.211	ES
178.33.1.212	178.33.1.215	FR
178.33.1.216	178.33.1.219	ES
178.33.1.220	178.33.1.223	DE
178.33.1.224	178.33.1.231	IT
178.33.1.232	178.33.1.235	GB
178.33.1.236	178.33.1.239	PT
178.33.1.240	178.33.1.247	IT
178.33.1.248	178.33.1.251	FR
178.33.1.252	178.33.1.255	IT
178.33.2.0	178.33.2.63	DE
178.33.2.64	178.33.2.127	IT
178.33.2.128	178.33.2.191	IE
178.33.2.192	178.33.2.207	FR
178.33.2.208	178.33.2.211	BE
178.33.2.212	178.33.2.219	PL
178.33.2.220	178.33.2.227	ES
178.33.2.228	178.33.2.231	FR
178.33.2.232	178.33.2.235	ES
178.33.2.236	178.33.2.239	GB
178.33.2.240	178.33.2.255	ES
178.33.3.0	178.33.3.15	PL
178.33.3.16	178.33.3.19	DE
178.33.3.20	178.33.3.23	IT
178.33.3.24	178.33.3.31	BE
178.33.3.32	178.33.3.47	FR
178.33.3.48	178.33.3.51	DE
178.33.3.52	178.33.3.55	BE
178.33.3.56	178.33.3.63	PL
178.33.3.64	178.33.3.67	FR
178.33.3.68	178.33.3.71	PL
178.33.3.72	178.33.3.75	FR
178.33.3.76	178.33.3.79	DE
178.33.3.80	178.33.3.95	FR
178.33.3.96	178.33.3.127	NL
178.33.3.128	178.33.3.159	DE
178.33.3.160	178.33.3.163	FR
178.33.3.164	178.33.3.167	PL
178.33.3.168	178.33.3.175	FR
178.33.3.176	178.33.3.191	ES
178.33.3.192	178.33.3.199	FR
178.33.3.200	178.33.3.223	GB
178.33.3.224	178.33.3.231	PL
178.33.3.232	178.33.3.239	GB
178.33.3.240	178.33.3.247	FR
178.33.3.248	178.33.3.251	ES
178.33.3.252	178.33.3.255	PL
178.33.4.0	178.33.4.59	FR
178.33.4.60	178.33.4.63	DE
178.33.4.64	178.33.4.127	FR
178.33.4.128	178.33.4.143	PL
178.33.4.144	178.33.4.155	FR
178.33.4.156	178.33.4.159	ES
178.33.4.160	178.33.4.183	FR
178.33.4.184	178.33.4.207	ES
178.33.4.208	178.33.4.223	FR
178.33.4.224	178.33.4.239	PL
178.33.4.240	178.33.4.255	ES
178.33.5.0	178.33.5.15	PT
178.33.5.16	178.33.5.19	FR
178.33.5.20	178.33.5.23	DE
178.33.5.24	178.33.5.31	PL
178.33.5.32	178.33.5.63	FR
178.33.5.64	178.33.5.127	PT
178.33.5.128	178.33.5.191	GB
178.33.5.192	178.33.5.255	IT
178.33.6.0	178.33.6.7	DE
178.33.6.8	178.33.6.11	CZ
178.33.6.12	178.33.6.15	DE
178.33.6.16	178.33.6.31	PL
178.33.6.32	178.33.6.39	GB
178.33.6.40	178.33.6.43	DE
178.33.6.44	178.33.6.47	GB
178.33.6.48	178.33.6.175	FR
178.33.6.176	178.33.6.183	GB
178.33.6.184	178.33.6.199	FR
178.33.6.200	178.33.6.203	PL
178.33.6.204	178.33.6.207	DE
178.33.6.208	178.33.6.223	ES
178.33.6.224	178.33.6.239	PL
178.33.6.240	178.33.6.243	FR
178.33.6.244	178.33.6.247	GB
178.33.6.248	178.33.6.251	IE
178.33.6.252	178.33.6.255	IT
178.33.7.0	178.33.7.3	LT
178.33.7.4	178.33.7.11	NL
178.33.7.12	178.33.7.15	PL
178.33.7.16	178.33.7.19	PT
178.33.7.20	178.33.7.23	FR
178.33.7.24	178.33.7.31	IT
178.33.7.32	178.33.7.47	DE
178.33.7.48	178.33.7.63	NL
178.33.7.64	178.33.7.95	FR
178.33.7.96	178.33.7.127	ES
178.33.7.128	178.33.7.191	IT
178.33.7.192	178.33.7.223	GB
178.33.7.224	178.33.7.255	ES
178.33.8.0	178.33.8.95	FR
178.33.8.96	178.33.8.99	DE
178.33.8.100	178.33.8.103	IT
178.33.8.104	178.33.8.107	BE
178.33.8.108	178.33.8.111	FR
178.33.8.112	178.33.8.127	DE
178.33.8.128	178.33.8.159	FR
178.33.8.160	178.33.8.167	BE
178.33.8.168	178.33.8.171	NL
178.33.8.172	178.33.8.179	DE
178.33.8.180	178.33.8.183	IT
178.33.8.184	178.33.8.187	CH
178.33.8.188	178.33.8.191	PL
178.33.8.192	178.33.8.223	FR
178.33.8.224	178.33.8.227	PL
178.33.8.228	178.33.8.231	DE
178.33.8.232	178.33.8.235	ES
178.33.8.236	178.33.9.3	FR
178.33.9.4	178.33.9.11	ES
178.33.9.12	178.33.9.15	PL
178.33.9.16	178.33.9.27	FR
178.33.9.28	178.33.9.31	NL
178.33.9.32	178.33.9.63	FR
178.33.9.64	178.33.9.67	PL
178.33.9.68	178.33.9.71	FR
178.33.9.72	178.33.9.75	GB
178.33.9.76	178.33.9.95	FR
178.33.9.96	178.33.9.103	ES
178.33.9.104	178.33.9.107	PL
178.33.9.108	178.33.9.111	GB
178.33.9.112	178.33.9.135	FR
178.33.9.136	178.33.9.143	PL
178.33.9.144	178.33.9.179	FR
178.33.9.180	178.33.9.183	DE
178.33.9.184	178.33.9.187	CZ
178.33.9.188	178.33.9.191	IT
178.33.9.192	178.33.10.15	FR
178.33.10.16	178.33.10.19	IE
178.33.10.20	178.33.10.23	GB
178.33.10.24	178.33.10.31	IT
178.33.10.32	178.33.10.47	FR
178.33.10.48	178.33.10.55	ES
178.33.10.56	178.33.10.63	DE
178.33.10.64	178.33.10.71	PL
178.33.10.72	178.33.10.79	IT
178.33.10.80	178.33.10.83	DE
178.33.10.84	178.33.10.87	GB
178.33.10.88	178.33.10.91	FR
178.33.10.92	178.33.10.95	ES
178.33.10.96	178.33.10.127	NL
178.33.10.128	178.33.10.143	FR
178.33.10.144	178.33.10.159	ES
178.33.10.160	178.33.10.163	FR
178.33.10.164	178.33.10.175	DE
178.33.10.176	178.33.10.207	FR
178.33.10.208	178.33.10.211	PL
178.33.10.212	178.33.10.223	IT
178.33.10.224	178.33.10.235	FR
178.33.10.236	178.33.10.255	PL
178.33.11.0	178.33.11.3	IT
178.33.11.4	178.33.11.11	DE
178.33.11.12	178.33.11.15	GB
178.33.11.16	178.33.11.31	ES
178.33.11.32	178.33.11.43	FR
178.33.11.44	178.33.11.47	DE
178.33.11.48	178.33.11.63	PL
178.33.11.64	178.33.11.71	ES
178.33.11.72	178.33.11.79	FR
178.33.11.80	178.33.11.127	PL
178.33.11.128	178.33.11.159	NL
178.33.11.160	178.33.11.191	CZ
178.33.11.192	178.33.11.223	NL
178.33.11.224	178.33.11.255	ES
178.33.12.0	178.33.12.3	FR
178.33.12.4	178.33.12.7	DE
178.33.12.8	178.33.12.47	FR
178.33.12.48	178.33.12.51	GB
178.33.12.52	178.33.12.55	FR
178.33.12.56	178.33.12.63	PL
178.33.12.64	178.33.12.79	FR
178.33.12.80	178.33.12.95	PL
178.33.12.96	178.33.12.99	ES
178.33.12.100	178.33.12.103	FR
178.33.12.104	178.33.12.111	BE
178.33.12.112	178.33.12.115	FR
178.33.12.116	178.33.12.119	GB
178.33.12.120	178.33.12.191	FR
178.33.12.192	178.33.12.195	DE
178.33.12.196	178.33.12.199	FR
178.33.12.200	178.33.12.207	PL
178.33.12.208	178.33.12.223	FR
178.33.12.224	178.33.12.227	IT
178.33.12.228	178.33.14.31	FR
178.33.14.32	178.33.14.39	PL
178.33.14.40	178.33.14.47	FR
178.33.14.48	178.33.14.55	ES
178.33.14.56	178.33.14.127	FR
178.33.14.128	178.33.14.191	PL
178.33.14.192	178.33.14.223	FR
178.33.14.224	178.33.14.255	GB
178.33.15.0	178.33.15.15	PL
178.33.15.16	178.33.15.31	FR
178.33.15.32	178.33.15.39	PL
178.33.15.40	178.33.15.47	IT
178.33.15.48	178.33.15.95	FR
178.33.15.96	178.33.15.103	PL
178.33.15.104	178.33.15.107	FR
178.33.15.108	178.33.15.111	PL
178.33.15.112	178.33.15.127	FR
178.33.15.128	178.33.15.191	PL
178.33.15.192	178.33.15.207	FR
178.33.15.208	178.33.15.211	CZ
178.33.15.212	178.33.15.215	GB
178.33.15.216	178.33.16.255	FR
178.33.17.0	178.33.17.63	PL
178.33.17.64	178.33.17.71	FR
178.33.17.72	178.33.17.79	GB
178.33.17.80	178.33.17.87	FR
178.33.17.88	178.33.17.95	GB
178.33.17.96	178.33.17.175	FR
178.33.17.176	178.33.17.183	DE
178.33.17.184	178.33.17.187	FR
178.33.17.188	178.33.17.191	GB
178.33.17.192	178.33.17.195	NL
178.33.17.196	178.33.17.199	ES
178.33.17.200	178.33.17.203	DE
178.33.17.204	178.33.17.207	FR
178.33.17.208	178.33.17.211	BE
178.33.17.212	178.33.17.215	IT
178.33.17.216	178.33.17.223	PL
178.33.17.224	178.33.17.231	DE
178.33.17.232	178.33.17.235	FR
178.33.17.236	178.33.17.239	GB
178.33.17.240	178.33.17.247	FR
178.33.17.248	178.33.17.251	DE
178.33.17.252	178.33.18.255	FR
178.33.19.0	178.33.19.31	PL
178.33.19.32	178.33.19.55	FR
178.33.19.56	178.33.19.59	PL
178.33.19.60	178.33.19.63	FR
178.33.19.64	178.33.19.95	CH
178.33.19.96	178.33.19.127	FR
178.33.19.128	178.33.19.143	PL
178.33.19.144	178.33.19.151	GB
178.33.19.152	178.33.19.155	ES
178.33.19.156	178.33.19.159	FR
178.33.19.160	178.33.19.191	GB
178.33.19.192	178.33.19.199	FR
178.33.19.200	178.33.19.207	ES
178.33.19.208	178.33.19.239	FR
178.33.19.240	178.33.19.247	LT
178.33.19.248	178.33.19.251	GB
178.33.19.252	178.33.19.255	ES
178.33.20.0	178.33.20.31	FR
178.33.20.32	178.33.20.47	PL
178.33.20.48	178.33.20.51	IT
178.33.20.52	178.33.20.55	GB
178.33.20.56	178.33.20.59	FR
178.33.20.60	178.33.20.63	DE
178.33.20.64	178.33.20.79	FR
178.33.20.80	178.33.20.83	PL
178.33.20.84	178.33.20.87	ES
178.33.20.88	178.33.20.95	FR
178.33.20.96	178.33.20.127	IT
178.33.20.128	178.33.20.159	FR
178.33.20.160	178.33.20.179	PL
178.33.20.180	178.33.20.183	FR
178.33.20.184	178.33.20.191	NL
178.33.20.192	178.33.20.199	PL
178.33.20.200	178.33.20.203	ES
178.33.20.204	178.33.20.211	FR
178.33.20.212	178.33.20.215	GB
178.33.20.216	178.33.20.223	FR
178.33.20.224	178.33.20.227	ES
178.33.20.228	178.33.21.11	FR
178.33.21.12	178.33.21.15	IT
178.33.21.16	178.33.21.31	FR
178.33.21.32	178.33.21.39	PL
178.33.21.40	178.33.21.67	FR
178.33.21.68	178.33.21.71	ES
178.33.21.72	178.33.21.75	FR
178.33.21.76	178.33.21.79	PL
178.33.21.80	178.33.21.83	BE
178.33.21.84	178.33.21.87	ES
178.33.21.88	178.33.21.95	PT
178.33.21.96	178.33.21.127	FR
178.33.21.128	178.33.21.135	GB
178.33.21.136	178.33.21.139	ES
178.33.21.140	178.33.21.143	DE
178.33.21.144	178.33.21.151	PT
178.33.21.152	178.33.21.155	FR
178.33.21.156	178.33.21.159	ES
178.33.21.160	178.33.21.175	FR
178.33.21.176	178.33.21.191	PL
178.33.21.192	178.33.21.255	FR
178.33.22.0	178.33.22.63	PL
178.33.22.64	178.33.22.67	FR
178.33.22.68	178.33.22.71	ES
178.33.22.72	178.33.22.79	DE
178.33.22.80	178.33.22.111	FR
178.33.22.112	178.33.22.127	DE
178.33.22.128	178.33.22.131	PL
178.33.22.132	178.33.22.139	GB
178.33.22.140	178.33.22.143	LT
178.33.22.144	178.33.22.151	FR
178.33.22.152	178.33.22.159	CH
178.33.22.160	178.33.22.175	FR
178.33.22.176	178.33.22.183	GB
178.33.22.184	178.33.22.187	FR
178.33.22.188	178.33.22.191	LT
178.33.22.192	178.33.22.207	BE
178.33.22.208	178.33.22.227	FR
178.33.22.228	178.33.22.231	GB
178.33.22.232	178.33.22.235	FR
178.33.22.236	178.33.22.239	PL
178.33.22.240	178.33.22.247	IT
178.33.22.248	178.33.22.251	GB
178.33.22.252	178.33.22.255	NL
178.33.23.0	178.33.23.127	FR
178.33.23.128	178.33.23.159	ES
178.33.23.160	178.33.23.167	DE
178.33.23.168	178.33.23.171	FR
178.33.23.172	178.33.23.175	ES
178.33.23.176	178.33.23.183	PT
178.33.23.184	178.33.23.195	FR
178.33.23.196	178.33.23.199	DE
178.33.23.200	178.33.23.203	PT
178.33.23.204	178.33.23.247	FR
178.33.23.248	178.33.23.251	DE
178.33.23.252	178.33.23.255	CH
178.33.24.0	178.33.24.3	FR
178.33.24.4	178.33.24.7	ES
178.33.24.8	178.33.24.27	FR
178.33.24.28	178.33.24.31	PL
178.33.24.32	178.33.24.47	PT
178.33.24.48	178.33.24.51	ES
178.33.24.52	178.33.24.55	FR
178.33.24.56	178.33.24.63	GB
178.33.24.64	178.33.24.71	ES
178.33.24.72	178.33.24.79	IT
178.33.24.80	178.33.24.95	GB
178.33.24.96	178.33.24.111	IT
178.33.24.112	178.33.24.127	GB
178.33.24.128	178.33.24.191	PL
178.33.24.192	178.33.24.223	FR
178.33.24.224	178.33.24.227	CH
178.33.24.228	178.33.24.231	DE
178.33.24.232	178.33.24.235	FR
178.33.24.236	178.33.24.239	DE
178.33.24.240	178.33.24.255	GB
178.33.25.0	178.33.25.15	DE
178.33.25.16	178.33.25.19	IT
178.33.25.20	178.33.25.31	FR
178.33.25.32	178.33.25.39	GB
178.33.25.40	178.33.25.47	PL
178.33.25.48	178.33.25.63	IE
178.33.25.64	178.33.25.135	FR
178.33.25.136	178.33.25.139	ES
178.33.25.140	178.33.25.143	FR
178.33.25.144	178.33.25.147	ES
178.33.25.148	178.33.25.155	FR
178.33.25.156	178.33.25.159	DE
178.33.25.160	178.33.25.187	FR
178.33.25.188	178.33.25.191	DE
178.33.25.192	178.33.25.195	FR
178.33.25.196	178.33.25.199	BE
178.33.25.200	178.33.25.207	DE
178.33.25.208	178.33.25.223	GB
178.33.25.224	178.33.26.87	FR
178.33.26.88	178.33.26.91	ES
178.33.26.92	178.33.26.103	FR
178.33.26.104	178.33.26.107	IT
178.33.26.108	178.33.26.111	PL
178.33.26.112	178.33.26.159	FR
178.33.26.160	178.33.26.191	PT
178.33.26.192	178.33.26.223	GB
178.33.26.224	178.33.26.227	FR
178.33.26.228	178.33.26.231	NL
178.33.26.232	178.33.26.239	IE
178.33.26.240	178.33.27.63	FR
178.33.27.64	178.33.27.67	DE
178.33.27.68	178.33.27.71	FR
178.33.27.72	178.33.27.79	PT
178.33.27.80	178.33.27.83	IE
178.33.27.84	178.33.27.87	IT
178.33.27.88	178.33.27.111	FR
178.33.27.112	178.33.27.115	IT
178.33.27.116	178.33.27.119	DE
178.33.27.120	178.33.27.123	FR
178.33.27.124	178.33.27.127	DE
178.33.27.128	178.33.27.159	FR
178.33.27.160	178.33.27.163	ES
178.33.27.164	178.33.27.171	FR
178.33.27.172	178.33.27.179	GB
178.33.27.180	178.33.27.183	FR
178.33.27.184	178.33.27.191	GB
178.33.27.192	178.33.27.195	FR
178.33.27.196	178.33.27.203	GB
178.33.27.204	178.33.27.207	FR
178.33.27.208	178.33.27.223	ES
178.33.27.224	178.33.27.231	FR
178.33.27.232	178.33.27.235	PL
178.33.27.236	178.33.27.239	GB
178.33.27.240	178.33.27.255	ES
178.33.28.0	178.33.28.31	FR
178.33.28.32	178.33.28.35	IE
178.33.28.36	178.33.28.39	FR
178.33.28.40	178.33.28.47	GB
178.33.28.48	178.33.28.95	FR
178.33.28.96	178.33.28.127	GB
178.33.28.128	178.33.28.143	FR
178.33.28.144	178.33.28.159	ES
178.33.28.160	178.33.28.223	FR
178.33.28.224	178.33.28.255	GB
178.33.29.0	178.33.29.63	FR
178.33.29.64	178.33.29.95	DE
178.33.29.96	178.33.29.111	FR
178.33.29.112	178.33.29.115	GB
178.33.29.116	178.33.29.119	IT
178.33.29.120	178.33.29.127	FR
178.33.29.128	178.33.29.159	GB
178.33.29.160	178.33.29.175	DE
178.33.29.176	178.33.29.179	FR
178.33.29.180	178.33.29.183	ES
178.33.29.184	178.33.29.187	BE
178.33.29.188	178.33.29.191	IT
178.33.29.192	178.33.29.255	FI
178.33.30.0	178.33.30.15	FR
178.33.30.16	178.33.30.23	PL
178.33.30.24	178.33.30.63	ES
178.33.30.64	178.33.30.127	PL
178.33.30.128	178.33.30.143	ES
178.33.30.144	178.33.30.159	PL
178.33.30.160	178.33.30.163	BE
178.33.30.164	178.33.30.167	PL
178.33.30.168	178.33.30.175	IT
178.33.30.176	178.33.30.183	FR
178.33.30.184	178.33.30.191	PL
178.33.30.192	178.33.30.223	FR
178.33.30.224	178.33.30.255	GB
178.33.31.0	178.33.31.255	FR
178.33.32.0	178.33.39.255	DE
178.33.40.0	178.33.47.255	FR
178.33.48.0	178.33.55.255	PL
178.33.56.0	178.33.128.31	FR
178.33.128.32	178.33.128.63	GB
178.33.128.64	178.33.128.67	ES
178.33.128.68	178.33.128.71	IT
178.33.128.72	178.33.128.79	DE
178.33.128.80	178.33.128.99	PL
178.33.128.100	178.33.128.103	CZ
178.33.128.104	178.33.128.119	FR
178.33.128.120	178.33.128.123	PL
178.33.128.124	178.33.128.127	ES
178.33.128.128	178.33.129.47	FR
178.33.129.48	178.33.129.51	GB
178.33.129.52	178.33.129.55	DE
178.33.129.56	178.33.129.59	FR
178.33.129.60	178.33.129.63	GB
178.33.129.64	178.33.129.95	BE
178.33.129.96	178.33.129.111	PL
178.33.129.112	178.33.129.127	FR
178.33.129.128	178.33.129.143	BE
178.33.129.144	178.33.129.159	FR
178.33.129.160	178.33.129.191	PT
178.33.129.192	178.33.129.203	FR
178.33.129.204	178.33.129.207	PL
178.33.129.208	178.33.129.215	FR
178.33.129.216	178.33.129.219	GB
178.33.129.220	178.33.130.7	FR
178.33.130.8	178.33.130.11	GB
178.33.130.12	178.33.130.15	NL
178.33.130.16	178.33.130.19	FR
178.33.130.20	178.33.130.23	DE
178.33.130.24	178.33.130.31	PL
178.33.130.32	178.33.130.35	IT
178.33.130.36	178.33.130.39	FR
178.33.130.40	178.33.130.43	DE
178.33.130.44	178.33.130.47	ES
178.33.130.48	178.33.130.55	PL
178.33.130.56	178.33.130.63	DE
178.33.130.64	178.33.130.67	FR
178.33.130.68	178.33.130.71	DE
178.33.130.72	178.33.130.75	ES
178.33.130.76	178.33.130.87	FR
178.33.130.88	178.33.130.91	DE
178.33.130.92	178.33.130.95	ES
178.33.130.96	178.33.130.127	FR
178.33.130.128	178.33.130.191	PL
178.33.130.192	178.33.130.223	FR
178.33.130.224	178.33.130.231	PL
178.33.130.232	178.33.130.235	GB
178.33.130.236	178.33.130.247	PL
178.33.130.248	178.33.130.255	IT
178.33.131.0	178.33.131.7	PL
178.33.131.8	178.33.131.11	IT
178.33.131.12	178.33.131.43	FR
178.33.131.44	178.33.131.47	PL
178.33.131.48	178.33.131.63	DE
178.33.131.64	178.33.131.79	ES
178.33.131.80	178.33.131.87	PL
178.33.131.88	178.33.131.91	GB
178.33.131.92	178.33.131.95	DE
178.33.131.96	178.33.131.103	GB
178.33.131.104	178.33.131.111	BE
178.33.131.112	178.33.131.115	ES
178.33.131.116	178.33.131.119	DE
178.33.131.120	178.33.131.123	FR
178.33.131.124	178.33.131.127	GB
178.33.131.128	178.33.131.159	FR
178.33.131.160	178.33.131.167	PL
178.33.131.168	178.33.131.175	GB
178.33.131.176	178.33.131.183	FR
178.33.131.184	178.33.131.191	ES
178.33.131.192	178.33.132.3	FR
178.33.132.4	178.33.132.7	DE
178.33.132.8	178.33.132.15	FR
178.33.132.16	178.33.132.31	ES
178.33.132.32	178.33.132.47	FR
178.33.132.48	178.33.132.63	GB
178.33.132.64	178.33.132.127	ES
178.33.132.128	178.33.132.159	FR
178.33.132.160	178.33.132.175	BE
178.33.132.176	178.33.132.183	ES
178.33.132.184	178.33.132.191	DE
178.33.132.192	178.33.132.203	FR
178.33.132.204	178.33.132.207	DE
178.33.132.208	178.33.132.215	GB
178.33.132.216	178.33.132.223	IT
178.33.132.224	178.33.133.31	FR
178.33.133.32	178.33.133.47	PT
178.33.133.48	178.33.133.51	DE
178.33.133.52	178.33.133.59	FR
178.33.133.60	178.33.133.63	GB
178.33.133.64	178.33.133.95	FR
178.33.133.96	178.33.133.127	NL
178.33.133.128	178.33.133.143	DE
178.33.133.144	178.33.133.151	PL
178.33.133.152	178.33.133.191	FR
178.33.133.192	178.33.133.207	BE
178.33.133.208	178.33.133.223	FR
178.33.133.224	178.33.133.239	BE
178.33.133.240	178.33.133.255	PL
178.33.134.0	178.33.134.3	IT
178.33.134.4	178.33.134.23	FR
178.33.134.24	178.33.134.27	ES
178.33.134.28	178.33.134.63	FR
178.33.134.64	178.33.134.79	CH
178.33.134.80	178.33.134.95	FR
178.33.134.96	178.33.134.111	GB
178.33.134.112	178.33.134.143	FR
178.33.134.144	178.33.134.147	ES
178.33.134.148	178.33.134.151	FR
178.33.134.152	178.33.134.159	PL
178.33.134.160	178.33.134.163	FR
178.33.134.164	178.33.134.167	NL
178.33.134.168	178.33.134.171	GB
178.33.134.172	178.33.134.175	IT
178.33.134.176	178.33.134.179	BE
178.33.134.180	178.33.134.183	CH
178.33.134.184	178.33.134.191	FR
178.33.134.192	178.33.134.207	PL
178.33.134.208	178.33.134.215	FR
178.33.134.216	178.33.134.219	ES
178.33.134.220	178.33.134.223	PL
178.33.134.224	178.33.134.239	FR
178.33.134.240	178.33.134.243	BE
178.33.134.244	178.33.134.247	DE
178.33.134.248	178.33.134.251	ES
178.33.134.252	178.33.134.255	IT
178.33.135.0	178.33.135.31	PL
178.33.135.32	178.33.135.39	FR
178.33.135.40	178.33.135.43	GB
178.33.135.44	178.33.135.47	FR
178.33.135.48	178.33.135.51	DE
178.33.135.52	178.33.135.55	ES
178.33.135.56	178.33.135.63	FR
178.33.135.64	178.33.135.67	BE
178.33.135.68	178.33.135.71	DE
178.33.135.72	178.33.135.79	PL
178.33.135.80	178.33.135.83	CH
178.33.135.84	178.33.135.87	FR
178.33.135.88	178.33.135.91	NL
178.33.135.92	178.33.135.95	FR
178.33.135.96	178.33.135.111	ES
178.33.135.112	178.33.135.127	FR
178.33.135.128	178.33.135.159	LT
178.33.135.160	178.33.135.191	IE
178.33.135.192	178.33.135.199	DE
178.33.135.200	178.33.135.203	FR
178.33.135.204	178.33.135.207	BE
178.33.135.208	178.33.135.211	DE
178.33.135.212	178.33.135.215	GB
178.33.135.216	178.33.135.239	PL
178.33.135.240	178.33.135.243	FR
178.33.135.244	178.33.135.247	FI
178.33.135.248	178.33.135.251	FR
178.33.135.252	178.33.135.255	ES
178.33.136.0	178.33.136.7	DE
178.33.136.8	178.33.136.11	CH
178.33.136.12	178.33.136.15	DE
178.33.136.16	178.33.136.31	FR
178.33.136.32	178.33.136.63	ES
178.33.136.64	178.33.136.67	GB
178.33.136.68	178.33.136.71	FR
178.33.136.72	178.33.136.75	NL
178.33.136.76	178.33.136.79	PL
178.33.136.80	178.33.136.103	FR
178.33.136.104	178.33.136.111	BE
178.33.136.112	178.33.136.115	GB
178.33.136.116	178.33.255.255	FR
178.34.0.0	178.35.255.255	RU
178.36.0.0	178.37.255.255	PL
178.38.0.0	178.39.255.255	CH
178.40.0.0	178.41.255.255	SK
178.42.0.0	178.43.255.255	PL
178.44.0.0	178.47.255.255	RU
178.49.0.0	178.49.255.255	RU
178.50.0.0	178.51.255.255	BE
178.52.0.0	178.52.255.255	SY
178.53.0.0	178.53.255.255	KW
178.54.0.0	178.54.127.255	UA
178.55.0.0	178.55.255.255	FI
178.56.0.0	178.56.255.255	PL
178.57.0.0	178.57.255.255	RU
178.58.0.0	178.58.255.255	SI
178.59.0.0	178.59.255.255	GR
178.60.0.0	178.60.255.255	ES
178.61.0.0	178.61.255.255	KW
178.62.0.0	178.62.255.255	RU
178.63.0.0	178.63.174.255	DE
178.63.175.0	178.63.175.63	IT
178.63.175.64	178.63.203.63	DE
178.63.203.64	178.63.203.127	ES
178.63.203.128	178.63.239.255	DE
178.63.240.0	178.63.240.127	EG
178.63.240.128	178.63.244.255	DE
178.63.245.0	178.63.245.31	PL
178.63.245.32	178.63.255.255	DE
178.64.0.0	178.71.255.255	RU
178.72.0.0	178.72.15.255	SE
178.72.16.0	178.72.31.255	DK
178.72.32.0	178.72.63.255	NO
178.72.64.0	178.72.127.255	RU
178.72.128.0	178.72.191.255	AM
178.72.192.0	178.72.255.255	CZ
178.73.0.0	178.73.63.255	PL
178.73.64.0	178.73.127.255	SA
178.73.128.0	178.73.191.255	FR
178.73.192.0	178.73.209.255	SE
178.73.210.0	178.73.210.255	GB
178.73.211.0	178.73.223.255	SE
178.73.224.0	178.73.224.31	GB
178.73.224.32	178.73.224.255	SE
178.73.225.0	178.73.225.31	GB
178.73.225.32	178.73.225.255	SE
178.73.226.0	178.73.226.31	GB
178.73.226.32	178.73.226.255	SE
178.73.227.0	178.73.227.31	GB
178.73.227.32	178.73.227.255	SE
178.73.228.0	178.73.228.31	GB
178.73.228.32	178.73.228.255	SE
178.73.229.0	178.73.229.31	GB
178.73.229.32	178.73.229.255	SE
178.73.230.0	178.73.230.31	GB
178.73.230.32	178.73.230.255	SE
178.73.231.0	178.73.231.31	GB
178.73.231.32	178.73.231.255	SE
178.73.232.0	178.73.232.31	GB
178.73.232.32	178.73.232.255	SE
178.73.233.0	178.73.233.31	GB
178.73.233.32	178.73.233.255	SE
178.73.234.0	178.73.234.31	GB
178.73.234.32	178.73.234.255	SE
178.73.235.0	178.73.235.31	GB
178.73.235.32	178.73.235.255	SE
178.73.236.0	178.73.236.31	GB
178.73.236.32	178.73.236.255	SE
178.73.237.0	178.73.237.31	GB
178.73.237.32	178.73.237.255	SE
178.73.238.0	178.73.238.31	GB
178.73.238.32	178.73.238.255	SE
178.73.239.0	178.73.239.31	GB
178.73.239.32	178.73.239.255	SE
178.73.240.0	178.73.240.31	GB
178.73.240.32	178.73.240.255	SE
178.73.241.0	178.73.241.31	GB
178.73.241.32	178.73.241.255	SE
178.73.242.0	178.73.242.31	GB
178.73.242.32	178.73.242.255	SE
178.73.243.0	178.73.243.31	GB
178.73.243.32	178.73.243.255	SE
178.73.244.0	178.73.244.31	GB
178.73.244.32	178.73.244.255	SE
178.73.245.0	178.73.245.31	GB
178.73.245.32	178.73.245.255	SE
178.73.246.0	178.73.246.31	GB
178.73.246.32	178.73.246.255	SE
178.73.247.0	178.73.247.255	FI
178.73.248.0	178.73.248.255	DK
178.73.249.0	178.73.255.255	SE
178.74.0.0	178.74.63.255	NO
178.74.64.0	178.74.191.255	RU
178.74.192.0	178.74.255.255	UA
178.75.0.0	178.75.127.255	RU
178.75.128.0	178.75.191.255	FI
178.75.192.0	178.75.255.255	BG
178.76.0.0	178.76.63.255	AZ
178.76.64.0	178.76.127.255	MD
178.76.128.0	178.76.191.255	DE
178.76.192.0	178.76.255.255	RU
178.77.0.0	178.77.63.255	BA
178.77.64.0	178.77.127.255	DE
178.77.128.0	178.77.191.255	JO
178.77.192.0	178.77.255.255	CZ
178.78.0.0	178.78.63.255	RU
178.78.64.0	178.78.127.255	GB
178.78.128.0	178.78.191.255	AM
178.78.192.0	178.78.255.255	SE
178.79.0.0	178.79.63.255	RS
178.79.64.0	178.79.127.255	SI
178.79.128.0	178.79.193.255	GB
178.79.194.0	178.79.255.255	IT
178.80.0.0	178.81.255.255	RU
178.82.0.0	178.83.255.255	CH
178.84.0.0	178.85.255.255	NL
178.86.0.0	178.86.1.7	UA
178.86.1.8	178.86.1.15	NA
178.86.1.16	178.86.2.7	UA
178.86.2.8	178.86.2.15	DE
178.86.2.16	178.86.2.255	UA
178.86.3.0	178.86.3.3	RU
178.86.3.4	178.86.3.63	UA
178.86.3.64	178.86.3.71	NA
178.86.3.72	178.86.3.103	UA
178.86.3.104	178.86.3.111	NA
178.86.3.112	178.86.3.127	UA
178.86.3.128	178.86.3.135	NA
178.86.3.136	178.86.3.151	UA
178.86.3.152	178.86.3.159	NA
178.86.3.160	178.86.3.183	UA
178.86.3.184	178.86.3.191	NA
178.86.3.192	178.86.4.15	UA
178.86.4.16	178.86.4.23	NA
178.86.4.24	178.86.4.63	UA
178.86.4.64	178.86.4.71	NA
178.86.4.72	178.86.4.79	UA
178.86.4.80	178.86.4.87	NA
178.86.4.88	178.86.4.119	UA
178.86.4.120	178.86.4.127	NA
178.86.4.128	178.86.5.15	UA
178.86.5.16	178.86.5.23	RU
178.86.5.24	178.86.5.87	UA
178.86.5.88	178.86.5.95	RU
178.86.5.96	178.86.5.111	UA
178.86.5.112	178.86.5.119	RU
178.86.5.120	178.86.5.127	US
178.86.5.128	178.86.7.199	UA
178.86.7.200	178.86.7.207	GL
178.86.7.208	178.86.8.0	UA
178.86.8.1	178.86.8.254	JP
178.86.8.255	178.87.255.255	UA
178.88.0.0	178.91.255.255	KZ
178.92.0.0	178.95.255.255	UA
178.96.0.0	178.111.255.255	GB
178.112.0.0	178.115.255.255	AT
178.116.0.0	178.119.255.255	BE
178.120.0.0	178.127.255.255	BY
178.128.0.0	178.128.255.255	GR
178.129.0.0	178.130.255.255	RU
178.131.0.0	178.131.255.255	IR
178.132.0.0	178.132.255.255	RU
178.133.0.0	178.133.255.255	UA
178.134.0.0	178.134.255.255	GE
178.135.0.0	178.135.255.255	LB
178.136.0.0	178.137.255.255	UA
178.138.0.0	178.138.255.255	RO
178.139.0.0	178.139.255.255	ES
178.140.0.0	178.141.255.255	RU
178.142.0.0	178.142.255.255	DE
178.143.0.0	178.143.255.255	SK
178.144.0.0	178.145.255.255	BE
178.146.0.0	178.147.255.255	GR
178.148.0.0	178.149.255.255	RS
178.150.0.0	178.151.255.255	UA
178.152.0.0	178.153.255.255	QA
178.154.0.0	178.154.127.255	BY
178.154.128.0	178.154.165.255	RU
178.154.166.0	178.154.166.3	US
178.154.166.4	178.155.127.255	RU
178.155.128.0	178.155.255.255	DK
178.156.0.0	178.156.127.255	ES
178.156.128.0	178.156.255.255	RO
178.157.0.0	178.157.63.255	IR
178.157.64.0	178.157.127.255	RO
178.157.128.0	178.157.191.255	RU
178.157.192.0	178.157.255.255	DK
178.159.0.0	178.159.15.255	NL
178.159.16.0	178.159.31.255	RU
178.159.32.0	178.159.47.255	UA
178.160.0.0	178.160.127.255	HR
178.160.128.0	178.160.255.255	AM
178.161.0.0	178.161.127.255	KW
178.161.128.0	178.162.127.255	RU
178.162.128.0	178.162.128.255	DE
178.162.129.0	178.162.130.255	BY
178.162.131.0	178.162.131.31	DE
178.162.131.32	178.162.131.63	SC
178.162.131.64	178.162.131.127	UA
178.162.131.128	178.162.131.255	US
178.162.132.0	178.162.132.255	BZ
178.162.133.0	178.162.134.63	DE
178.162.134.64	178.162.134.127	BZ
178.162.134.128	178.162.134.191	BY
178.162.134.192	178.162.134.255	RU
178.162.135.0	178.162.135.255	UA
178.162.136.0	178.162.136.31	DE
178.162.136.32	178.162.136.63	CA
178.162.136.64	178.162.136.191	DE
178.162.136.192	178.162.136.255	RU
178.162.137.0	178.162.137.31	DE
178.162.137.32	178.162.137.95	RU
178.162.137.96	178.162.137.223	UA
178.162.137.224	178.162.138.31	DE
178.162.138.32	178.162.138.159	UA
178.162.138.160	178.162.138.223	RU
178.162.138.224	178.162.138.255	DE
178.162.139.0	178.162.139.255	CN
178.162.140.0	178.162.140.255	MK
178.162.141.0	178.162.141.255	DE
178.162.142.0	178.162.143.255	BY
178.162.144.0	178.162.144.127	UA
178.162.144.128	178.162.145.127	DE
178.162.145.128	178.162.145.255	UA
178.162.146.0	178.162.146.63	DE
178.162.146.64	178.162.146.255	RU
178.162.147.0	178.162.148.63	DE
178.162.148.64	178.162.148.191	IN
178.162.148.192	178.162.149.255	DE
178.162.150.0	178.162.150.255	GB
178.162.151.0	178.162.151.127	DE
178.162.151.128	178.162.152.255	CN
178.162.153.0	178.162.153.255	RU
178.162.154.0	178.162.154.127	DE
178.162.154.128	178.162.154.255	CA
178.162.155.0	178.162.157.255	DE
178.162.158.0	178.162.158.255	UA
178.162.159.0	178.162.163.63	DE
178.162.163.64	178.162.163.127	RU
178.162.163.128	178.162.163.191	US
178.162.163.192	178.162.163.255	RU
178.162.164.0	178.162.164.31	DE
178.162.164.32	178.162.164.63	CA
178.162.164.64	178.162.164.127	RU
178.162.164.128	178.162.165.63	DE
178.162.165.64	178.162.165.127	UA
178.162.165.128	178.162.166.255	DE
178.162.167.0	178.162.167.255	BZ
178.162.168.0	178.162.168.255	US
178.162.169.0	178.162.169.63	DE
178.162.169.64	178.162.169.255	RU
178.162.170.0	178.162.170.255	BZ
178.162.171.0	178.162.171.127	GB
178.162.171.128	178.162.172.63	DE
178.162.172.64	178.162.172.127	GR
178.162.172.128	178.162.172.255	GB
178.162.173.0	178.162.173.255	BZ
178.162.174.0	178.162.174.255	DE
178.162.175.0	178.162.175.255	GB
178.162.176.0	178.162.176.255	TR
178.162.177.0	178.162.177.127	DE
178.162.177.128	178.162.177.255	RU
178.162.178.0	178.162.183.63	DE
178.162.183.64	178.162.183.127	GR
178.162.183.128	178.162.183.255	LT
178.162.184.0	178.162.184.63	DE
178.162.184.64	178.162.184.127	RU
178.162.184.128	178.162.184.255	LT
178.162.185.0	178.162.185.255	TR
178.162.186.0	178.162.186.63	DE
178.162.186.64	178.162.186.127	RU
178.162.186.128	178.162.191.255	DE
178.162.192.0	178.162.223.255	US
178.162.224.0	178.162.225.255	GB
178.162.226.0	178.162.255.255	DE
178.163.0.0	178.163.127.255	RU
178.163.128.0	178.163.255.255	BY
178.164.0.0	178.164.127.255	NO
178.164.128.0	178.164.255.255	HU
178.165.0.0	178.165.127.255	UA
178.165.128.0	178.165.255.255	AT
178.166.0.0	178.166.127.255	PT
178.166.128.0	178.167.127.255	RU
178.167.128.0	178.167.255.255	IE
178.168.0.0	178.168.127.255	MD
178.168.128.0	178.168.255.255	BY
178.169.0.0	178.169.127.255	RU
178.169.128.0	178.169.255.255	BG
178.170.0.0	178.170.127.255	FR
178.170.128.0	178.170.165.255	RU
178.170.166.0	178.170.166.255	UA
178.170.167.0	178.171.127.255	RU
178.171.128.0	178.171.255.255	SY
178.172.0.0	178.172.127.255	SI
178.172.128.0	178.172.255.255	BY
178.173.0.0	178.173.127.255	RU
178.173.128.0	178.173.255.255	IR
178.174.0.0	178.174.127.255	DE
178.174.128.0	178.174.255.255	SE
178.175.0.0	178.175.127.255	RS
178.175.128.0	178.175.255.255	MD
178.176.0.0	178.179.255.255	RU
178.180.0.0	178.183.255.255	PL
178.184.0.0	178.187.255.255	RU
178.188.0.0	178.191.255.255	AT
178.192.0.0	178.199.255.255	CH
178.200.0.0	178.203.255.255	DE
178.204.0.0	178.207.255.255	RU
178.208.0.0	178.208.31.255	FR
178.208.32.0	178.208.37.255	BE
178.208.38.0	178.208.63.255	NL
178.208.64.0	178.208.95.255	RU
178.208.96.0	178.208.127.255	DE
178.208.128.0	178.208.159.255	RU
178.208.160.0	178.208.191.255	GB
178.208.192.0	178.208.223.255	GI
178.208.224.0	178.208.255.255	RU
178.209.0.0	178.209.31.255	BA
178.209.32.0	178.209.63.255	CH
178.209.64.0	178.209.95.255	UA
178.209.96.0	178.209.127.255	RU
178.209.128.0	178.209.159.255	CZ
178.209.160.0	178.209.191.255	DK
178.209.192.0	178.210.95.255	RU
178.210.96.0	178.210.127.255	DE
178.210.128.0	178.210.159.255	UA
178.210.160.0	178.210.191.255	TR
178.210.192.0	178.210.223.255	UA
178.210.224.0	178.210.255.255	HU
178.211.0.0	178.211.31.255	RU
178.211.32.0	178.211.63.255	TR
178.211.64.0	178.211.95.255	IT
178.211.96.0	178.211.159.255	UA
178.211.160.0	178.211.191.255	RU
178.211.192.0	178.211.223.255	TR
178.211.224.0	178.211.255.255	CH
178.212.0.0	178.212.7.255	KZ
178.212.8.0	178.212.15.255	RU
178.212.16.0	178.212.23.255	AT
178.212.24.0	178.212.31.255	PL
178.212.32.0	178.212.39.255	RO
178.212.40.0	178.212.55.255	PL
178.212.56.0	178.212.63.255	RO
178.212.64.0	178.212.71.255	UA
178.212.72.0	178.212.87.255	RU
178.212.88.0	178.212.95.255	RS
178.212.96.0	178.212.111.255	UA
178.212.112.0	178.212.119.255	DE
178.212.120.0	178.212.127.255	PL
178.212.128.0	178.212.135.255	RU
178.212.136.0	178.212.143.255	IT
178.212.144.0	178.212.175.255	PL
178.212.176.0	178.212.183.255	RU
178.212.184.0	178.212.191.255	RO
178.212.192.0	178.212.199.255	UA
178.212.200.0	178.212.207.255	RO
178.214.0.0	178.214.31.255	PL
178.214.32.0	178.214.63.255	RU
178.214.64.0	178.214.95.255	PS
178.214.96.0	178.214.127.255	NL
178.215.0.0	178.215.63.255	IR
178.215.64.0	178.215.127.255	RU
178.215.128.0	178.215.143.255	GB
178.215.160.0	178.215.191.255	UA
178.215.192.0	178.215.207.255	PL
178.215.208.0	178.215.223.255	PS
178.215.224.0	178.216.23.255	UA
178.216.24.0	178.216.31.255	PL
178.216.32.0	178.216.39.255	UA
178.216.40.0	178.216.47.255	PL
178.216.48.0	178.216.55.255	EE
178.216.56.0	178.216.63.255	SI
178.216.64.0	178.216.79.255	RU
178.216.80.0	178.216.87.255	CZ
178.216.88.0	178.216.95.255	PL
178.216.96.0	178.216.103.255	UA
178.216.104.0	178.216.111.255	PL
178.216.112.0	178.216.119.255	IE
178.216.120.0	178.216.127.255	UA
178.216.128.0	178.216.135.255	UZ
178.216.136.0	178.216.143.255	PL
178.216.144.0	178.216.151.255	CZ
178.216.152.0	178.216.167.255	RU
178.216.168.0	178.216.175.255	UA
178.216.176.0	178.216.183.255	RU
178.216.184.0	178.216.191.255	UA
178.216.200.0	178.216.207.255	RS
178.216.208.0	178.216.215.255	KG
178.216.216.0	178.216.223.255	RU
178.216.224.0	178.216.239.255	UA
178.216.240.0	178.216.247.255	RO
178.216.248.0	178.216.255.255	CZ
178.217.0.0	178.217.7.255	RU
178.217.8.0	178.217.15.255	RS
178.217.16.0	178.217.23.255	BE
178.217.24.0	178.217.31.255	RU
178.217.32.0	178.217.39.255	PL
178.217.40.0	178.217.79.255	RU
178.217.80.0	178.217.87.255	NL
178.217.88.0	178.217.95.255	RO
178.217.96.0	178.217.111.255	RU
178.217.112.0	178.217.119.255	PL
178.217.120.0	178.217.127.255	RU
178.217.128.0	178.217.135.255	FI
178.217.136.0	178.217.143.255	PL
178.217.144.0	178.217.151.255	CZ
178.217.152.0	178.217.159.255	RU
178.217.160.0	178.217.167.255	UA
178.217.168.0	178.217.175.255	KG
178.217.176.0	178.217.183.255	RU
178.217.184.0	178.217.199.255	PL
178.217.200.0	178.217.215.255	UA
178.217.216.0	178.217.223.255	PL
178.217.224.0	178.217.231.255	RU
178.217.232.0	178.217.239.255	RO
178.217.240.0	178.217.247.255	CZ
178.217.248.0	178.217.255.255	PL
178.218.0.0	178.218.63.255	RU
178.218.64.0	178.218.79.255	UA
178.218.80.0	178.218.127.255	RU
178.218.128.0	178.218.143.255	RO
178.218.144.0	178.218.159.255	RU
178.218.160.0	178.218.175.255	HR
178.218.176.0	178.218.191.255	RO
178.218.192.0	178.218.207.255	RS
178.218.208.0	178.218.223.255	RU
178.218.224.0	178.218.239.255	PL
178.218.240.0	178.218.255.255	UA
178.219.0.0	178.219.15.255	RS
178.219.16.0	178.219.31.255	PL
178.219.32.0	178.219.47.255	RU
178.219.48.0	178.219.63.255	AM
178.219.64.0	178.219.79.255	A2
178.219.80.0	178.219.95.255	UA
178.219.96.0	178.219.127.255	PL
178.219.128.0	178.219.143.255	NL
178.219.144.0	178.219.159.255	RU
178.219.160.0	178.219.175.255	UA
178.219.176.0	178.219.191.255	RU
178.219.192.0	178.219.207.255	UA
178.219.208.0	178.219.223.255	RU
178.219.224.0	178.219.239.255	IR
178.219.240.0	178.219.255.255	UA
178.220.0.0	178.223.255.255	RS
178.224.0.0	178.231.255.255	NL
178.232.0.0	178.232.255.255	NO
178.233.0.0	178.233.255.255	TR
178.234.0.0	178.234.255.255	RU
178.235.0.0	178.235.255.255	PL
178.236.0.0	178.236.15.255	IE
178.236.16.0	178.236.31.255	RU
178.236.32.0	178.236.47.255	IR
178.236.48.0	178.236.63.255	GE
178.236.64.0	178.236.79.255	SE
178.236.80.0	178.236.95.255	BA
178.236.96.0	178.236.111.255	RU
178.236.112.0	178.236.127.255	ES
178.236.128.0	178.236.135.255	RU
178.236.136.0	178.236.159.255	GB
178.236.160.0	178.236.175.255	IT
178.236.176.0	178.236.185.255	NL
178.236.186.0	178.236.187.255	RO
178.236.188.0	178.236.188.255	MD
178.236.189.0	178.236.191.255	NL
178.236.192.0	178.236.207.255	EE
178.236.208.0	178.236.223.255	RU
178.236.224.0	178.236.239.255	FR
178.236.240.0	178.236.255.255	RU
178.237.0.0	178.237.15.255	IT
178.237.16.0	178.237.31.255	RU
178.237.32.0	178.237.32.255	SE
178.237.33.0	178.237.33.127	NL
178.237.33.128	178.237.33.159	US
178.237.33.160	178.237.47.255	NL
178.237.48.0	178.237.63.255	BH
178.237.64.0	178.237.79.255	AZ
178.237.80.0	178.237.95.255	CH
178.237.96.0	178.237.111.255	FR
178.237.112.0	178.237.127.255	GB
178.237.128.0	178.237.159.255	ES
178.237.160.0	178.237.175.255	GB
178.237.176.0	178.237.207.255	RU
178.237.208.0	178.237.223.255	RS
178.237.224.0	178.237.239.255	ES
178.237.240.0	178.237.255.255	RU
178.238.0.0	178.238.15.255	BY
178.238.16.0	178.238.31.255	RU
178.238.32.0	178.238.47.255	CZ
178.238.48.0	178.238.63.255	IT
178.238.64.0	178.238.79.255	KZ
178.238.80.0	178.238.95.255	GB
178.238.96.0	178.238.111.255	NL
178.238.112.0	178.238.127.255	RU
178.238.128.0	178.238.159.255	GB
178.238.160.0	178.238.175.255	CH
178.238.176.0	178.238.191.255	JO
178.238.192.0	178.238.207.255	IR
178.238.208.0	178.238.223.255	HU
178.238.224.0	178.238.239.255	DE
178.238.240.0	178.239.15.255	PL
178.239.16.0	178.239.31.255	BA
178.239.32.0	178.239.47.255	IT
178.239.48.0	178.239.48.255	NL
178.239.49.0	178.239.49.63	SG
178.239.49.64	178.239.63.255	NL
178.239.64.0	178.239.79.255	DE
178.239.80.0	178.239.111.255	GB
178.239.112.0	178.239.127.255	BG
178.239.128.0	178.239.143.255	PL
178.240.0.0	178.247.255.255	TR
178.248.0.0	178.248.7.255	RU
178.248.8.0	178.248.15.255	CZ
178.248.16.0	178.248.23.255	IS
178.248.24.0	178.248.31.255	SE
178.248.32.0	178.248.39.255	GB
178.248.40.0	178.248.47.255	IR
178.248.48.0	178.248.55.255	IT
178.248.56.0	178.248.63.255	CZ
178.248.64.0	178.248.71.255	RU
178.248.72.0	178.248.79.255	PL
178.248.80.0	178.248.87.255	RU
178.248.88.0	178.248.88.7	GB
178.248.88.8	178.248.88.47	IT
178.248.88.48	178.248.88.63	GB
178.248.88.64	178.248.88.79	IT
178.248.88.80	178.248.88.87	GB
178.248.88.88	178.248.88.127	IT
178.248.88.128	178.248.88.135	DE
178.248.88.136	178.248.95.255	IT
178.248.96.0	178.248.103.255	NO
178.248.104.0	178.248.119.255	GB
178.248.120.0	178.248.127.255	NO
178.248.128.0	178.248.135.255	GB
178.248.136.0	178.248.143.255	EE
178.248.144.0	178.248.151.255	IT
178.248.152.0	178.248.159.255	NL
178.248.160.0	178.248.167.255	BE
178.248.168.0	178.248.175.255	NL
178.248.176.0	178.248.183.255	IT
178.248.184.0	178.248.199.255	FR
178.248.200.0	178.248.207.255	HU
178.248.208.0	178.248.215.255	FR
178.248.216.0	178.248.223.255	DE
178.248.224.0	178.248.231.255	NL
178.248.232.0	178.248.239.255	RU
178.248.240.0	178.248.247.255	DE
178.248.248.0	178.248.255.255	CZ
178.249.0.0	178.249.7.255	DE
178.249.8.0	178.249.15.255	ES
178.249.16.0	178.249.23.255	GE
178.249.24.0	178.249.31.255	DE
178.249.32.0	178.249.39.255	LV
178.249.40.0	178.249.47.255	GB
178.249.48.0	178.249.55.255	DK
178.249.56.0	178.249.79.255	RU
178.249.80.0	178.249.87.255	DE
178.249.88.0	178.249.95.255	MT
178.249.96.0	178.249.99.255	GB
178.249.100.0	178.249.103.255	NL
178.249.104.0	178.249.111.255	IL
178.249.112.0	178.249.119.255	MK
178.249.120.0	178.249.127.255	NO
178.249.128.0	178.249.135.255	RU
178.249.136.0	178.249.143.255	DE
178.249.144.0	178.249.151.255	SE
178.249.152.0	178.249.159.255	NL
178.249.160.0	178.249.167.255	DE
178.249.168.0	178.249.175.255	BG
178.249.176.0	178.249.183.255	KW
178.249.184.0	178.249.191.255	IT
178.249.192.0	178.249.199.255	LU
178.249.200.0	178.249.207.255	IT
178.249.208.0	178.249.215.255	CZ
178.249.216.0	178.249.239.255	IT
178.249.240.0	178.249.247.255	RU
178.249.248.0	178.249.255.255	NL
178.250.0.0	178.250.7.255	FR
178.250.8.0	178.250.15.255	DE
178.250.16.0	178.250.23.255	NL
178.250.24.0	178.250.31.255	CH
178.250.32.0	178.250.39.255	FR
178.250.40.0	178.250.47.255	PL
178.250.48.0	178.250.55.255	GB
178.250.56.0	178.250.63.255	LI
178.250.64.0	178.250.71.255	IT
178.250.72.0	178.250.79.255	GB
178.250.80.0	178.250.87.255	DE
178.250.88.0	178.250.95.255	TR
178.250.96.0	178.250.103.255	GB
178.250.104.0	178.250.111.255	FR
178.250.112.0	178.250.119.255	IE
178.250.120.0	178.250.127.255	DE
178.250.128.0	178.250.135.255	CH
178.250.136.0	178.250.143.255	RS
178.250.144.0	178.250.151.255	NL
178.250.152.0	178.250.159.255	RU
178.250.160.0	178.250.175.255	DE
178.250.176.0	178.250.183.255	GB
178.250.184.0	178.250.191.255	RO
178.250.192.0	178.250.199.255	NL
178.250.200.0	178.250.207.255	IT
178.250.208.0	178.250.215.255	FR
178.250.216.0	178.250.223.255	NO
178.250.224.0	178.250.239.255	DE
178.250.240.0	178.250.247.255	RU
178.250.248.0	178.250.255.255	AE
178.251.0.0	178.251.7.255	DK
178.251.8.0	178.251.15.255	DE
178.251.16.0	178.251.23.255	FR
178.251.24.0	178.251.31.255	NL
178.251.32.0	178.251.39.255	GB
178.251.40.0	178.251.47.255	TR
178.251.48.0	178.251.55.255	DE
178.251.56.0	178.251.63.255	FI
178.251.64.0	178.251.71.255	AT
178.251.72.0	178.251.79.255	IT
178.251.80.0	178.251.87.255	FR
178.251.88.0	178.251.95.255	DE
178.251.96.0	178.251.103.255	RU
178.251.104.0	178.251.111.255	UA
178.251.112.0	178.251.119.255	DE
178.251.120.0	178.251.127.255	NL
178.251.128.0	178.251.135.255	SE
178.251.136.0	178.251.143.255	RU
178.251.144.0	178.251.159.255	FI
178.251.160.0	178.251.167.255	LU
178.251.168.0	178.251.183.255	GB
178.251.184.0	178.251.191.255	CZ
178.251.192.0	178.251.199.255	NL
178.251.200.0	178.251.207.255	FR
178.251.208.0	178.251.215.255	IR
178.251.216.0	178.251.223.255	RU
178.251.224.0	178.251.231.255	DE
178.251.232.0	178.251.239.255	GB
178.251.240.0	178.251.247.255	SE
178.251.248.0	178.251.255.255	FR
178.252.0.0	178.252.63.255	PL
178.252.64.0	178.252.127.255	RU
178.252.128.0	178.252.191.255	IR
178.252.192.0	178.252.255.255	RU
178.253.0.0	178.253.63.255	IR
178.253.64.0	178.253.127.255	SY
178.253.128.0	178.253.191.255	SK
178.253.192.0	178.253.255.255	RS
178.254.0.0	178.254.63.255	DE
178.254.64.0	178.254.127.255	LU
178.254.128.0	178.254.191.255	RS
178.254.192.0	178.254.255.255	BG
178.255.0.0	178.255.7.255	DE
178.255.8.0	178.255.8.255	MT
178.255.9.0	178.255.9.255	FI
178.255.10.0	178.255.15.255	EE
178.255.16.0	178.255.23.255	DE
178.255.24.0	178.255.31.255	NL
178.255.32.0	178.255.39.255	RO
178.255.40.0	178.255.47.255	PL
178.255.48.0	178.255.55.255	NL
178.255.56.0	178.255.71.255	GB
178.255.72.0	178.255.79.255	IT
178.255.80.0	178.255.95.255	GB
178.255.96.0	178.255.103.255	FR
178.255.104.0	178.255.111.255	ES
178.255.112.0	178.255.119.255	IT
178.255.120.0	178.255.127.255	RU
178.255.128.0	178.255.135.255	FR
178.255.136.0	178.255.143.255	DE
178.255.144.0	178.255.151.255	NO
178.255.152.0	178.255.159.255	AT
178.255.160.0	178.255.167.255	FR
178.255.168.0	178.255.175.255	CZ
178.255.176.0	178.255.183.255	UA
178.255.184.0	178.255.191.255	IT
178.255.192.0	178.255.199.255	NL
178.255.200.0	178.255.207.255	RU
178.255.208.0	178.255.215.255	FR
178.255.216.0	178.255.223.255	IT
178.255.224.0	178.255.231.255	ES
178.255.232.0	178.255.239.255	RU
178.255.240.0	178.255.247.255	IT
178.255.248.0	178.255.255.255	RU
180.0.0.0	180.63.255.255	JP
180.64.0.0	180.71.255.255	KR
180.72.0.0	180.75.255.255	MY
180.76.0.0	180.79.255.255	CN
180.80.0.0	180.83.255.255	KR
180.84.0.0	180.86.255.255	CN
180.87.0.0	180.87.191.255	AP
180.87.192.0	180.87.255.255	IN
180.88.0.0	180.91.255.255	CN
180.92.0.0	180.92.15.255	TW
180.92.16.0	180.92.63.255	JP
180.92.64.0	180.92.127.255	KR
180.92.128.0	180.92.159.255	PK
180.92.160.0	180.92.175.255	IN
180.92.176.0	180.92.179.255	AU
180.92.184.0	180.92.191.255	SG
180.92.192.0	180.92.199.255	AU
180.92.200.0	180.92.207.255	IN
180.92.208.0	180.92.223.255	AU
180.92.224.0	180.92.239.255	BD
180.92.240.0	180.92.255.255	KR
180.93.0.0	180.93.255.255	VN
180.94.0.0	180.94.31.255	PH
180.94.32.0	180.94.35.255	BD
180.94.36.0	180.94.39.255	PH
180.94.40.0	180.94.47.255	JP
180.94.48.0	180.94.55.255	AP
180.94.56.0	180.94.63.255	CN
180.94.64.0	180.94.95.255	AF
180.94.96.0	180.94.111.255	CN
180.94.112.0	180.94.119.255	AU
180.94.120.0	180.94.127.255	MN
180.94.128.0	180.94.191.255	MO
180.94.192.0	180.94.215.255	JP
180.94.216.0	180.94.219.255	SG
180.94.220.0	180.94.223.255	AU
180.94.224.0	180.94.231.255	HK
180.94.232.0	180.94.239.255	AU
180.94.240.0	180.94.255.255	JP
180.95.0.0	180.95.127.255	AU
180.95.128.0	180.127.255.255	CN
180.128.0.0	180.128.255.255	TH
180.129.0.0	180.129.127.255	SG
180.129.128.0	180.130.255.255	CN
180.131.0.0	180.131.63.255	KR
180.131.64.0	180.131.127.255	JP
180.131.128.0	180.131.135.255	AU
180.131.144.0	180.131.147.255	ID
180.131.148.0	180.131.151.255	LA
180.131.152.0	180.131.159.255	JP
180.131.160.0	180.131.191.255	HK
180.131.192.0	180.131.255.255	JP
180.132.0.0	180.135.255.255	KR
180.136.0.0	180.143.255.255	CN
180.144.0.0	180.147.255.255	JP
180.148.0.0	180.148.7.255	VN
180.148.8.0	180.148.11.255	AU
180.148.24.0	180.148.27.255	AU
180.148.32.0	180.148.63.255	IN
180.148.64.0	180.148.95.255	AU
180.148.128.0	180.148.143.255	VN
180.148.144.0	180.148.151.255	JP
180.148.152.0	180.148.159.255	BD
180.148.160.0	180.148.175.255	JP
180.148.176.0	180.148.179.255	AU
180.148.184.0	180.148.207.255	JP
180.148.208.0	180.148.219.255	BD
180.148.220.0	180.148.223.255	IN
180.148.224.0	180.148.255.255	CN
180.149.0.0	180.149.31.255	BD
180.149.32.0	180.149.63.255	IN
180.149.64.0	180.149.127.255	MN
180.149.128.0	180.149.159.255	CN
180.149.160.0	180.149.191.255	JP
180.149.192.0	180.149.195.255	AU
180.149.200.0	180.149.207.255	JP
180.149.208.0	180.149.223.255	PK
180.149.224.0	180.149.239.255	AP
180.149.240.0	180.149.247.255	IN
180.149.248.0	180.149.251.255	AU
180.149.252.0	180.149.255.255	HK
180.150.0.0	180.150.127.255	AU
180.150.128.0	180.150.159.255	HK
180.150.160.0	180.150.191.255	CN
180.150.192.0	180.150.231.255	KR
180.150.232.0	180.150.239.255	ID
180.150.240.0	180.150.243.255	IN
180.150.244.0	180.150.247.255	ID
180.150.248.0	180.150.251.255	IN
180.150.252.0	180.150.255.255	PG
180.151.0.0	180.151.255.255	IN
180.152.0.0	180.175.255.255	CN
180.176.0.0	180.177.255.255	TW
180.178.0.0	180.178.31.255	IN
180.178.32.0	180.178.63.255	HK
180.178.64.0	180.178.67.255	AU
180.178.72.0	180.178.79.255	SG
180.178.80.0	180.178.91.255	JP
180.178.92.0	180.178.111.255	ID
180.178.112.0	180.178.119.255	HK
180.178.120.0	180.178.123.255	AU
180.178.128.0	180.178.191.255	PK
180.178.192.0	180.178.255.255	CN
180.179.0.0	180.179.255.255	IN
180.180.0.0	180.180.255.255	TH
180.181.0.0	180.181.255.255	AU
180.182.0.0	180.182.255.255	KR
180.183.0.0	180.183.255.255	TH
180.184.0.0	180.188.127.255	CN
180.188.128.0	180.188.203.255	HK
180.188.204.0	180.188.207.255	AU
180.188.208.0	180.188.223.255	JP
180.188.224.0	180.188.255.255	IN
180.189.0.0	180.189.63.255	JP
180.189.64.0	180.189.127.255	KR
180.189.128.0	180.189.135.255	JP
180.189.136.0	180.189.139.255	AU
180.189.144.0	180.189.147.255	AU
180.189.148.0	180.189.151.255	CN
180.189.152.0	180.189.159.255	AU
180.189.160.0	180.189.175.255	TL
180.189.176.0	180.189.191.255	KR
180.189.192.0	180.189.223.255	NZ
180.190.0.0	180.195.255.255	PH
180.196.0.0	180.200.127.255	JP
180.200.128.0	180.200.223.255	AU
180.200.224.0	180.200.231.255	JP
180.200.232.0	180.200.235.255	MY
180.200.236.0	180.200.239.255	BD
180.200.240.0	180.200.243.255	IN
180.200.244.0	180.200.247.255	AU
180.200.248.0	180.200.251.255	JP
180.200.252.0	180.203.255.255	CN
180.204.0.0	180.207.255.255	TW
180.208.0.0	180.209.255.255	CN
180.210.0.0	180.210.127.255	KR
180.210.128.0	180.210.191.255	BD
180.210.192.0	180.210.199.255	KR
180.210.200.0	180.210.207.255	SG
180.210.208.0	180.210.211.255	NZ
180.210.216.0	180.210.219.255	TH
180.210.220.0	180.210.223.255	BD
180.210.224.0	180.210.255.255	CN
180.211.0.0	180.211.63.255	KR
180.211.64.0	180.211.71.255	IN
180.211.72.0	180.211.79.255	JP
180.211.80.0	180.211.83.255	IN
180.211.84.0	180.211.87.255	JP
180.211.88.0	180.211.95.255	ID
180.211.96.0	180.211.127.255	IN
180.211.128.0	180.211.255.255	BD
180.212.0.0	180.213.255.255	CN
180.214.0.0	180.214.63.255	JP
180.214.64.0	180.214.95.255	AU
180.214.128.0	180.214.159.255	IN
180.214.160.0	180.214.167.255	HK
180.214.168.0	180.214.175.255	AU
180.214.176.0	180.214.191.255	TW
180.214.192.0	180.214.223.255	TH
180.214.224.0	180.214.231.255	JP
180.214.232.0	180.214.235.255	ID
180.214.236.0	180.214.239.255	VN
180.214.240.0	180.214.255.255	ID
180.215.0.0	180.215.255.255	IN
180.216.0.0	180.216.255.255	AU
180.217.0.0	180.218.255.255	TW
180.219.0.0	180.219.255.255	HK
180.220.0.0	180.221.255.255	JP
180.222.0.0	180.222.31.255	AU
180.222.64.0	180.222.67.255	NZ
180.222.72.0	180.222.95.255	JP
180.222.96.0	180.222.127.255	IN
180.222.128.0	180.222.135.255	SG
180.222.136.0	180.222.143.255	AF
180.222.144.0	180.222.159.255	TH
180.222.160.0	180.222.175.255	AU
180.222.192.0	180.222.195.255	AU
180.222.200.0	180.222.203.255	HK
180.222.204.0	180.222.207.255	TW
180.222.208.0	180.222.211.255	VU
180.222.216.0	180.222.219.255	ID
180.222.220.0	180.222.223.255	KR
180.222.224.0	180.223.255.255	CN
180.224.0.0	180.231.255.255	KR
180.232.0.0	180.232.255.255	PH
180.233.0.0	180.233.95.255	CN
180.233.96.0	180.233.111.255	JP
180.233.112.0	180.233.119.255	AP
180.233.120.0	180.233.123.255	IN
180.233.128.0	180.233.131.255	AU
180.233.132.0	180.233.143.255	JP
180.233.144.0	180.233.151.255	MY
180.233.152.0	180.233.159.255	ID
180.233.160.0	180.233.191.255	HK
180.233.192.0	180.233.255.255	KR
180.234.0.0	180.234.255.255	BD
180.235.0.0	180.235.63.255	JP
180.235.64.0	180.235.95.255	CN
180.235.96.0	180.235.103.255	JP
180.235.104.0	180.235.107.255	AU
180.235.112.0	180.235.127.255	BD
180.235.128.0	180.235.131.255	AU
180.235.136.0	180.235.139.255	AU
180.235.140.0	180.235.147.255	JP
180.235.148.0	180.235.151.255	ID
180.235.152.0	180.235.152.255	SG
180.235.153.0	180.235.153.255	IN
180.235.154.0	180.235.155.255	HK
180.235.160.0	180.235.191.255	MN
180.235.192.0	180.235.223.255	AU
180.236.0.0	180.239.255.255	KR
180.240.0.0	180.255.255.255	ID
182.0.0.0	182.15.255.255	ID
182.16.0.0	182.16.127.255	HK
182.16.128.0	182.16.139.255	PH
182.16.140.0	182.16.143.255	SG
182.16.144.0	182.16.151.255	BD
182.16.152.0	182.16.155.255	NZ
182.16.156.0	182.16.159.255	BD
182.16.160.0	182.16.191.255	ID
182.16.192.0	182.16.223.255	CN
182.16.224.0	182.16.231.255	JP
182.16.232.0	182.16.235.255	SG
182.16.236.0	182.16.239.255	JP
182.16.240.0	182.16.255.255	ID
182.17.0.0	182.17.255.255	TH
182.18.0.0	182.18.127.255	CN
182.18.128.0	182.18.191.255	IN
182.18.192.0	182.18.255.255	PH
182.19.0.0	182.19.127.255	IN
182.20.0.0	182.22.255.255	JP
182.23.0.0	182.23.127.255	ID
182.23.128.0	182.23.143.255	IN
182.23.144.0	182.23.159.255	SG
182.23.160.0	182.23.175.255	ID
182.23.176.0	182.23.183.255	NZ
182.23.192.0	182.23.199.255	AU
182.23.208.0	182.23.211.255	JP
182.23.212.0	182.23.215.255	AU
182.23.216.0	182.23.255.255	JP
182.24.0.0	182.31.255.255	ID
182.32.0.0	182.47.255.255	CN
182.48.0.0	182.48.63.255	JP
182.48.64.0	182.48.95.255	BD
182.48.96.0	182.48.127.255	CN
182.48.128.0	182.48.159.255	NZ
182.48.192.0	182.48.255.255	IN
182.49.0.0	182.50.15.255	CN
182.50.16.0	182.50.63.255	KR
182.50.64.0	182.50.67.255	NP
182.50.68.0	182.50.71.255	BD
182.50.72.0	182.50.75.255	WS
182.50.80.0	182.50.95.255	TH
182.50.96.0	182.50.111.255	JP
182.50.112.0	182.50.127.255	CN
182.50.128.0	182.50.159.255	SG
182.50.160.0	182.50.163.255	NZ
182.50.168.0	182.50.171.255	WS
182.50.176.0	182.50.191.255	AP
182.50.192.0	182.50.239.255	JP
182.50.240.0	182.50.255.255	ID
182.51.0.0	182.51.255.255	CN
182.52.0.0	182.53.255.255	TH
182.54.0.0	182.54.127.255	CN
182.54.128.0	182.54.159.255	PH
182.54.160.0	182.54.175.255	NZ
182.54.192.0	182.54.223.255	MY
182.54.224.0	182.54.239.255	AU
182.54.240.0	182.54.243.255	JP
182.54.244.0	182.54.247.255	HK
182.54.248.0	182.54.255.255	JP
182.55.0.0	182.55.255.255	SG
182.56.0.0	182.60.255.255	IN
182.61.0.0	182.61.255.255	CN
182.62.0.0	182.63.255.255	MY
182.64.0.0	182.79.255.255	IN
182.80.0.0	182.92.255.255	CN
182.93.0.0	182.93.63.255	MO
182.93.64.0	182.93.95.255	NP
182.93.96.0	182.93.127.255	JP
182.93.128.0	182.93.255.255	TH
182.94.0.0	182.95.255.255	IN
182.96.0.0	182.151.255.255	CN
182.152.0.0	182.153.255.255	HK
182.154.0.0	182.154.255.255	NZ
182.156.0.0	182.156.255.255	IN
182.157.0.0	182.157.255.255	CN
182.158.0.0	182.159.255.255	JP
182.160.0.0	182.160.63.255	MN
182.160.64.0	182.160.95.255	CN
182.160.96.0	182.160.127.255	BD
182.160.128.0	182.160.191.255	AU
182.161.0.0	182.161.31.255	LK
182.161.32.0	182.161.63.255	MY
182.161.64.0	182.161.71.255	JP
182.161.72.0	182.161.75.255	SG
182.161.76.0	182.161.79.255	JP
182.161.80.0	182.161.95.255	VN
182.161.96.0	182.162.255.255	KR
182.163.0.0	182.163.95.255	JP
182.163.96.0	182.163.127.255	BD
182.163.128.0	182.163.255.255	KR
182.164.0.0	182.171.255.255	JP
182.172.0.0	182.172.255.255	KR
182.173.0.0	182.173.63.255	TW
182.173.64.0	182.173.67.255	IN
182.173.68.0	182.173.71.255	TW
182.173.72.0	182.173.75.255	MY
182.173.76.0	182.173.79.255	HK
182.173.80.0	182.173.127.255	KR
182.173.128.0	182.173.159.255	JP
182.173.160.0	182.173.191.255	KR
182.173.192.0	182.173.255.255	GU
182.174.0.0	182.175.255.255	CN
182.176.0.0	182.191.255.255	PK
182.192.0.0	182.199.255.255	KR
182.200.0.0	182.207.255.255	CN
182.208.0.0	182.231.255.255	KR
182.232.0.0	182.232.255.255	TH
182.233.0.0	182.235.255.255	TW
182.236.0.0	182.236.111.255	JP
182.236.112.0	182.236.115.255	VN
182.236.116.0	182.236.119.255	AU
182.236.120.0	182.236.127.255	NZ
182.236.128.0	182.236.255.255	CN
182.237.0.0	182.237.3.255	HK
182.237.4.0	182.237.7.255	AU
182.237.8.0	182.237.19.255	IN
182.237.20.0	182.237.23.255	VN
182.237.24.0	182.237.27.255	IN
182.237.28.0	182.237.31.255	PH
182.237.32.0	182.237.127.255	KR
182.237.128.0	182.237.191.255	IN
182.237.192.0	182.237.255.255	KR
182.238.0.0	182.239.31.255	CN
182.239.32.0	182.239.39.255	PH
182.239.40.0	182.239.43.255	MY
182.239.44.0	182.239.47.255	TW
182.239.48.0	182.239.127.255	HK
182.239.128.0	182.239.255.255	AU
182.240.0.0	182.247.255.255	CN
182.248.0.0	182.251.255.255	JP
182.252.0.0	182.252.63.255	KR
182.252.64.0	182.252.127.255	BD
182.252.128.0	182.252.255.255	KR
182.253.0.0	182.253.255.255	ID
182.254.0.0	182.254.255.255	CN
182.255.0.0	182.255.7.255	ID
182.255.8.0	182.255.15.255	TH
182.255.16.0	182.255.19.255	ID
182.255.20.0	182.255.23.255	MY
182.255.24.0	182.255.27.255	HK
182.255.28.0	182.255.31.255	AU
182.255.32.0	182.255.63.255	PH
182.255.64.0	182.255.79.255	JP
182.255.80.0	182.255.127.255	AU
182.255.128.0	182.255.255.255	KR
183.0.0.0	183.71.255.255	CN
183.72.0.0	183.77.255.255	JP
183.78.0.0	183.78.127.255	MY
183.78.128.0	183.78.159.255	KR
183.78.160.0	183.78.167.255	IN
183.78.168.0	183.78.171.255	MY
183.78.172.0	183.78.175.255	AU
183.78.176.0	183.78.179.255	JP
183.78.180.0	183.78.183.255	MY
183.78.184.0	183.78.187.255	IN
183.78.188.0	183.78.191.255	JP
183.78.192.0	183.78.255.255	KR
183.79.0.0	183.79.255.255	JP
183.80.0.0	183.81.127.255	VN
183.81.128.0	183.81.143.255	FJ
183.81.144.0	183.81.151.255	AU
183.81.160.0	183.81.167.255	MY
183.81.168.0	183.81.171.255	MN
183.81.172.0	183.81.175.255	TH
183.81.176.0	183.81.179.255	JP
183.81.180.0	183.81.183.255	CN
183.81.184.0	183.81.191.255	KH
183.81.192.0	183.81.255.255	SG
183.82.0.0	183.83.255.255	IN
183.84.0.0	183.85.255.255	CN
183.86.0.0	183.86.191.255	JP
183.86.192.0	183.86.255.255	KR
183.87.0.0	183.87.255.255	IN
183.88.0.0	183.89.255.255	TH
183.90.0.0	183.90.127.255	SG
183.90.128.0	183.90.159.255	KR
183.90.160.0	183.90.167.255	VN
183.90.168.0	183.90.175.255	TH
183.90.176.0	183.90.183.255	JP
183.90.184.0	183.90.191.255	HK
183.90.192.0	183.90.255.255	JP
183.91.0.0	183.91.31.255	VN
183.91.32.0	183.91.63.255	HK
183.91.64.0	183.91.95.255	ID
183.91.128.0	183.91.131.255	CN
183.91.132.0	183.91.135.255	NP
183.91.136.0	183.91.143.255	TH
183.91.144.0	183.91.159.255	CN
183.91.160.0	183.91.191.255	VN
183.91.192.0	183.91.255.255	KR
183.92.0.0	183.95.255.255	CN
183.96.0.0	183.127.255.255	KR
183.128.0.0	183.170.255.255	CN
183.171.0.0	183.171.255.255	MY
183.172.0.0	183.175.255.255	CN
183.176.0.0	183.177.63.255	JP
183.177.64.0	183.177.95.255	AP
183.177.96.0	183.177.111.255	MN
183.177.112.0	183.177.119.255	PH
183.177.120.0	183.177.123.255	AU
183.177.124.0	183.177.127.255	IN
183.177.128.0	183.177.255.255	JP
183.178.0.0	183.179.255.255	HK
183.180.0.0	183.181.255.255	JP
183.182.0.0	183.182.31.255	CN
183.182.32.0	183.182.63.255	JP
183.182.64.0	183.182.79.255	PH
183.182.80.0	183.182.83.255	AP
183.182.84.0	183.182.91.255	IN
183.182.92.0	183.182.95.255	ID
183.182.96.0	183.182.127.255	LA
183.182.128.0	183.183.255.255	JP
183.184.0.0	183.255.255.255	CN
184.0.0.0	184.63.255.255	US
184.64.0.0	184.71.255.255	CA
184.72.0.0	184.93.255.255	US
184.94.0.0	184.94.127.255	CA
184.95.0.0	184.95.15.255	PR
184.96.0.0	184.106.0.199	US
184.106.0.200	184.106.0.207	AR
184.106.0.208	184.106.1.159	US
184.106.1.160	184.106.1.167	AU
184.106.1.168	184.106.1.207	US
184.106.1.208	184.106.1.215	CA
184.106.1.216	184.106.2.7	US
184.106.2.8	184.106.2.15	CA
184.106.2.16	184.106.2.55	US
184.106.2.56	184.106.2.63	CA
184.106.2.64	184.106.2.103	US
184.106.2.104	184.106.2.111	AU
184.106.2.112	184.106.2.159	US
184.106.2.160	184.106.2.175	AU
184.106.2.176	184.106.3.31	US
184.106.3.32	184.106.3.39	GB
184.106.3.40	184.106.3.111	US
184.106.3.112	184.106.3.119	CA
184.106.3.120	184.106.3.127	GB
184.106.3.128	184.106.3.239	US
184.106.3.240	184.106.3.247	GB
184.106.3.248	184.106.4.63	US
184.106.4.64	184.106.4.79	GB
184.106.4.80	184.106.4.95	CA
184.106.4.96	184.106.9.31	US
184.106.9.32	184.106.9.79	CA
184.106.9.80	184.106.9.239	US
184.106.9.240	184.106.9.255	CA
184.106.10.0	184.106.10.23	US
184.106.10.24	184.106.10.31	IL
184.106.10.32	184.106.12.71	US
184.106.12.72	184.106.12.79	BE
184.106.12.80	184.106.12.255	US
184.106.13.0	184.106.13.7	CA
184.106.13.8	184.106.13.15	US
184.106.13.16	184.106.13.23	CA
184.106.13.24	184.106.13.223	US
184.106.13.224	184.106.13.231	CA
184.106.13.232	184.106.14.31	US
184.106.14.32	184.106.14.39	GB
184.106.14.40	184.106.16.7	US
184.106.16.8	184.106.16.11	MX
184.106.16.12	184.106.16.65	US
184.106.16.66	184.106.16.67	IL
184.106.16.68	184.106.21.255	US
184.106.22.0	184.106.22.15	CA
184.106.22.16	184.106.124.63	US
184.106.124.64	184.106.124.127	DE
184.106.124.128	184.106.124.159	US
184.106.124.160	184.106.124.191	GB
184.106.124.192	184.106.255.255	US
184.107.0.0	184.107.255.255	CA
184.108.0.0	184.143.255.255	US
184.144.0.0	184.151.255.255	CA
184.152.0.0	184.159.255.255	US
184.160.0.0	184.163.255.255	CA
184.164.0.0	184.167.255.255	US
184.169.0.0	184.169.15.255	US
184.176.0.0	184.255.255.255	US
186.0.0.0	186.0.127.255	CO
186.0.128.0	186.0.143.255	AR
186.0.144.0	186.0.151.255	EC
186.0.152.0	186.0.155.255	AR
186.0.156.0	186.0.159.255	BO
186.0.160.0	186.0.179.255	AR
186.0.184.0	186.0.187.255	AR
186.0.188.0	186.0.191.255	PY
186.0.192.0	186.0.255.255	AR
186.1.0.0	186.1.63.255	NI
186.1.128.0	186.1.159.255	PA
186.1.192.0	186.1.207.255	HT
186.1.224.0	186.1.239.255	AR
186.2.0.0	186.2.127.255	BO
186.2.128.0	186.2.159.255	HN
186.2.192.0	186.2.223.255	PY
186.3.0.0	186.3.255.255	EC
186.4.0.0	186.4.63.255	CR
186.4.64.0	186.4.127.255	AR
186.4.128.0	186.4.255.255	EC
186.6.0.0	186.6.255.255	DO
186.8.0.0	186.8.255.255	UY
186.9.0.0	186.11.255.255	CL
186.12.0.0	186.13.255.255	AR
186.14.0.0	186.14.255.255	VE
186.15.0.0	186.15.255.255	CR
186.16.0.0	186.17.255.255	PY
186.18.0.0	186.19.255.255	AR
186.20.0.0	186.20.255.255	CL
186.22.0.0	186.23.255.255	AR
186.24.0.0	186.26.255.255	VE
186.27.0.0	186.27.63.255	BO
186.28.0.0	186.31.255.255	CO
186.32.0.0	186.32.255.255	GT
186.34.0.0	186.36.255.255	CL
186.38.0.0	186.38.255.255	AR
186.40.0.0	186.41.255.255	CL
186.42.0.0	186.42.255.255	EC
186.43.0.0	186.43.127.255	CO
186.44.0.0	186.45.255.255	TT
186.46.0.0	186.46.127.255	EC
186.48.0.0	186.51.255.255	UY
186.56.0.0	186.64.63.255	AR
186.66.0.0	186.66.255.255	EC
186.68.0.0	186.69.255.255	EC
186.72.0.0	186.75.255.255	PA
186.80.0.0	186.87.255.255	CO
186.88.0.0	186.95.255.255	VE
186.96.0.0	186.96.255.255	AR
186.97.0.0	186.99.255.255	CO
186.100.0.0	186.100.255.255	AR
186.102.0.0	186.103.255.255	CO
186.104.0.0	186.107.255.255	CL
186.108.0.0	186.111.255.255	AR
186.112.0.0	186.115.255.255	CO
186.120.0.0	186.120.255.255	DO
186.121.0.0	186.121.127.255	CO
186.122.0.0	186.127.255.255	AR
186.128.0.0	186.128.255.255	UY
186.129.0.0	186.143.255.255	AR
186.144.0.0	186.147.255.255	CO
186.152.0.0	186.153.255.255	AR
186.160.0.0	186.163.255.255	PE
186.176.0.0	186.176.127.255	CR
186.178.0.0	186.178.255.255	EC
186.192.0.0	187.127.255.255	BR
187.128.0.0	187.255.255.255	MX
188.0.0.0	188.0.255.255	EU
188.1.0.0	188.1.255.255	DE
188.2.0.0	188.2.255.255	RS
188.3.0.0	188.3.255.255	TR
188.4.0.0	188.4.255.255	GR
188.5.0.0	188.5.255.255	BE
188.6.0.0	188.6.255.255	RU
188.7.0.0	188.7.255.255	FR
188.8.0.0	188.15.255.255	IT
188.16.0.0	188.19.255.255	RU
188.20.0.0	188.21.52.155	AT
188.21.52.156	188.21.52.159	ES
188.21.52.160	188.23.255.255	AT
188.24.0.0	188.27.255.255	RO
188.28.0.0	188.31.255.255	GB
188.32.0.0	188.32.255.255	RU
188.33.0.0	188.33.255.255	PL
188.34.0.0	188.34.255.255	IR
188.35.0.0	188.35.255.255	RU
188.36.0.0	188.36.247.255	HU
188.36.248.0	188.36.248.255	RO
188.36.249.0	188.36.255.255	HU
188.38.0.0	188.38.255.255	TR
188.39.0.0	188.39.255.255	GB
188.40.0.0	188.40.208.143	DE
188.40.208.144	188.40.208.159	NL
188.40.208.160	188.40.250.223	DE
188.40.250.224	188.40.250.255	US
188.40.251.0	188.40.255.255	DE
188.41.0.0	188.41.255.255	TR
188.42.0.0	188.42.255.255	LU
188.43.0.0	188.44.255.255	RU
188.45.0.0	188.45.255.255	AT
188.46.0.0	188.46.255.255	DE
188.47.0.0	188.47.255.255	PL
188.48.0.0	188.55.255.255	SA
188.56.0.0	188.59.255.255	TR
188.60.0.0	188.63.255.255	CH
188.64.0.0	188.64.7.255	FI
188.64.8.0	188.64.15.255	NL
188.64.16.0	188.64.23.255	DE
188.64.24.0	188.64.31.255	SI
188.64.32.0	188.64.39.255	GB
188.64.40.0	188.64.40.255	DE
188.64.41.0	188.64.41.15	US
188.64.41.16	188.64.45.255	DE
188.64.46.0	188.64.46.143	NL
188.64.46.144	188.64.47.255	DE
188.64.48.0	188.64.55.255	BE
188.64.56.0	188.64.63.255	DE
188.64.64.0	188.64.71.255	NL
188.64.72.0	188.64.79.255	BE
188.64.80.0	188.64.87.255	GB
188.64.88.0	188.64.95.255	IT
188.64.96.0	188.64.103.255	IL
188.64.104.0	188.64.111.255	SI
188.64.112.0	188.64.119.255	RU
188.64.120.0	188.64.127.255	IT
188.64.128.0	188.64.135.255	RU
188.64.136.0	188.64.143.255	CY
188.64.144.0	188.64.151.255	RU
188.64.152.0	188.64.159.255	DK
188.64.160.0	188.64.175.255	RU
188.64.176.0	188.64.183.255	LV
188.64.184.0	188.64.191.255	GB
188.64.192.0	188.64.199.255	DE
188.64.200.0	188.64.207.255	IL
188.64.208.0	188.64.215.255	TR
188.64.216.0	188.64.223.255	RU
188.64.224.0	188.64.231.255	FR
188.64.232.0	188.64.239.255	BE
188.64.240.0	188.64.247.255	FR
188.64.248.0	188.64.255.255	DE
188.65.0.0	188.65.7.255	IT
188.65.8.0	188.65.23.255	RU
188.65.24.0	188.65.31.255	OM
188.65.32.0	188.65.39.255	GB
188.65.40.0	188.65.47.255	PL
188.65.48.0	188.65.55.255	RU
188.65.56.0	188.65.63.255	GB
188.65.64.0	188.65.71.255	RU
188.65.72.0	188.65.72.127	AT
188.65.72.128	188.65.72.255	GB
188.65.73.0	188.65.73.15	AT
188.65.73.16	188.65.73.23	DE
188.65.73.24	188.65.73.127	AT
188.65.73.128	188.65.73.159	DE
188.65.73.160	188.65.74.255	AT
188.65.75.0	188.65.75.15	DE
188.65.75.16	188.65.79.255	AT
188.65.80.0	188.65.87.255	IT
188.65.88.0	188.65.95.255	ES
188.65.96.0	188.65.103.255	GB
188.65.104.0	188.65.111.255	RU
188.65.112.0	188.65.119.255	GB
188.65.120.0	188.65.127.255	FR
188.65.128.0	188.65.135.255	RU
188.65.136.0	188.65.143.255	FI
188.65.144.0	188.65.151.255	DE
188.65.152.0	188.65.159.255	SE
188.65.160.0	188.65.167.255	NL
188.65.168.0	188.65.175.255	FR
188.65.176.0	188.65.183.255	GB
188.65.184.0	188.65.191.255	MT
188.65.192.0	188.65.199.255	NL
188.65.200.0	188.65.207.255	DE
188.65.208.0	188.65.215.255	RU
188.65.216.0	188.65.223.255	BE
188.65.224.0	188.65.231.255	NL
188.65.232.0	188.65.247.255	RU
188.65.248.0	188.65.255.255	GB
188.66.0.0	188.66.7.255	EE
188.66.8.0	188.66.15.255	BE
188.66.16.0	188.66.23.255	NL
188.66.24.0	188.66.39.255	RU
188.66.40.0	188.66.47.255	DE
188.68.0.0	188.68.255.255	RU
188.69.0.0	188.69.255.255	LT
188.72.0.0	188.72.63.255	IQ
188.72.64.0	188.72.127.255	RU
188.72.128.0	188.72.191.255	AZ
188.72.192.0	188.72.192.255	DE
188.72.193.0	188.72.193.255	BE
188.72.194.0	188.72.194.255	GB
188.72.195.0	188.72.197.255	TR
188.72.198.0	188.72.198.255	HK
188.72.199.0	188.72.199.31	DE
188.72.199.32	188.72.199.63	BZ
188.72.199.64	188.72.199.127	DE
188.72.199.128	188.72.199.191	RO
188.72.199.192	188.72.199.255	DE
188.72.200.0	188.72.200.255	TR
188.72.201.0	188.72.202.255	DE
188.72.203.0	188.72.203.255	CA
188.72.204.0	188.72.210.255	DE
188.72.211.0	188.72.212.255	TR
188.72.213.0	188.72.213.255	DE
188.72.214.0	188.72.214.255	HK
188.72.215.0	188.72.218.255	DE
188.72.219.0	188.72.219.255	CA
188.72.220.0	188.72.220.63	DE
188.72.220.64	188.72.220.127	RU
188.72.220.128	188.72.220.191	DE
188.72.220.192	188.72.220.255	RU
188.72.221.0	188.72.221.255	PL
188.72.222.0	188.72.224.127	DE
188.72.224.128	188.72.224.255	RU
188.72.225.0	188.72.227.255	DE
188.72.228.0	188.72.228.255	GB
188.72.229.0	188.72.229.255	TR
188.72.230.0	188.72.234.63	DE
188.72.234.64	188.72.234.127	RU
188.72.234.128	188.72.235.63	DE
188.72.235.64	188.72.235.127	RU
188.72.235.128	188.72.235.191	MK
188.72.235.192	188.72.235.255	AE
188.72.236.0	188.72.236.255	IN
188.72.237.0	188.72.238.127	DE
188.72.238.128	188.72.238.255	IN
188.72.239.0	188.72.241.255	DE
188.72.242.0	188.72.242.255	BY
188.72.243.0	188.72.243.95	DE
188.72.243.96	188.72.243.159	RU
188.72.243.160	188.72.243.223	DE
188.72.243.224	188.72.243.255	BZ
188.72.244.0	188.72.244.63	DE
188.72.244.64	188.72.244.127	RU
188.72.244.128	188.72.244.191	DE
188.72.244.192	188.72.244.255	UA
188.72.245.0	188.72.245.255	BY
188.72.246.0	188.72.246.31	DE
188.72.246.32	188.72.246.95	CZ
188.72.246.96	188.72.246.159	RU
188.72.246.160	188.72.246.255	DE
188.72.247.0	188.72.247.255	US
188.72.248.0	188.72.248.255	DE
188.72.249.0	188.72.249.255	ES
188.72.250.0	188.72.250.255	DE
188.72.251.0	188.72.251.255	CA
188.72.252.0	188.72.255.255	DE
188.73.0.0	188.73.63.255	FR
188.73.64.0	188.73.127.255	DE
188.73.128.0	188.73.191.255	RU
188.73.192.0	188.73.255.255	GR
188.74.64.0	188.74.127.255	GB
188.74.128.0	188.74.255.255	RO
188.75.0.0	188.75.63.255	RU
188.75.64.0	188.75.127.255	IR
188.75.128.0	188.75.191.255	CZ
188.75.192.0	188.75.255.255	RU
188.80.0.0	188.83.255.255	PT
188.84.0.0	188.87.255.255	ES
188.88.0.0	188.91.255.255	NL
188.92.0.0	188.92.7.255	RU
188.92.8.0	188.92.15.255	CZ
188.92.16.0	188.92.23.255	LV
188.92.24.0	188.92.31.255	IT
188.92.32.0	188.92.39.255	DE
188.92.40.0	188.92.47.255	AM
188.92.56.0	188.92.63.255	NL
188.92.64.0	188.92.71.255	FR
188.92.72.0	188.92.79.255	LV
188.92.80.0	188.92.87.255	NO
188.92.88.0	188.92.95.255	GB
188.92.96.0	188.92.103.255	IT
188.92.104.0	188.92.111.255	RU
188.92.112.0	188.92.119.255	DE
188.92.120.0	188.92.127.255	IT
188.92.128.0	188.92.135.255	DE
188.92.136.0	188.92.143.255	GB
188.92.144.0	188.92.151.255	CH
188.92.152.0	188.92.159.255	NL
188.92.160.0	188.92.167.255	EE
188.92.168.0	188.92.175.255	SE
188.92.176.0	188.92.183.255	RU
188.92.184.0	188.92.184.255	IT
188.92.185.0	188.92.185.255	DE
188.92.186.0	188.92.187.15	A2
188.92.187.16	188.92.187.79	LY
188.92.187.80	188.92.187.255	A2
188.92.188.0	188.92.188.127	LY
188.92.188.128	188.92.189.239	A2
188.92.189.240	188.92.189.247	IT
188.92.189.248	188.92.190.175	A2
188.92.190.176	188.92.190.255	IT
188.92.191.0	188.92.191.255	A2
188.92.192.0	188.92.199.255	RU
188.92.200.0	188.92.207.255	DE
188.92.208.0	188.92.215.255	GE
188.92.216.0	188.92.223.255	RU
188.92.224.0	188.92.225.255	CH
188.92.226.0	188.92.226.7	DE
188.92.226.8	188.92.226.31	CH
188.92.226.32	188.92.226.39	FR
188.92.226.40	188.92.231.255	CH
188.92.232.0	188.92.239.255	GB
188.92.240.0	188.92.247.255	RU
188.92.248.0	188.92.255.255	SE
188.93.0.0	188.93.7.255	IE
188.93.8.0	188.93.15.255	DE
188.93.16.0	188.93.31.255	RU
188.93.32.0	188.93.39.255	ES
188.93.40.0	188.93.47.255	FR
188.93.48.0	188.93.63.255	RU
188.93.64.0	188.93.71.255	IR
188.93.72.0	188.93.79.255	ES
188.93.80.0	188.93.87.255	BE
188.93.88.0	188.93.95.255	GE
188.93.96.0	188.93.103.255	BE
188.93.104.0	188.93.111.255	RU
188.93.112.0	188.93.119.255	BE
188.93.120.0	188.93.127.255	RS
188.93.128.0	188.93.135.255	RU
188.93.136.0	188.93.143.255	IT
188.93.144.0	188.93.151.255	NL
188.93.152.0	188.93.159.255	BE
188.93.160.0	188.93.167.255	PL
188.93.168.0	188.93.175.255	LU
188.93.176.0	188.93.183.255	GB
188.93.184.0	188.93.191.255	NO
188.93.192.0	188.93.199.255	PT
188.93.200.0	188.93.207.255	HU
188.93.208.0	188.93.215.255	RU
188.93.216.0	188.93.223.255	DE
188.93.224.0	188.93.234.255	PT
188.93.235.0	188.93.236.63	ES
188.93.236.64	188.93.236.79	PT
188.93.236.80	188.93.239.255	ES
188.93.240.0	188.93.247.255	RU
188.93.248.0	188.93.255.255	AT
188.94.8.0	188.94.15.255	ES
188.94.16.0	188.94.23.255	GB
188.94.24.0	188.94.31.255	DE
188.94.32.0	188.94.39.255	RU
188.94.40.0	188.94.47.255	GB
188.94.48.0	188.94.55.255	RU
188.94.56.0	188.94.63.255	ES
188.94.64.0	188.94.71.255	FI
188.94.72.0	188.94.79.255	GB
188.94.80.0	188.94.87.255	MD
188.94.88.0	188.94.95.255	RU
188.94.96.0	188.94.103.255	DE
188.94.104.0	188.94.111.255	GB
188.94.112.0	188.94.119.255	DE
188.94.120.0	188.94.127.255	IT
188.94.128.0	188.94.135.255	GB
188.94.136.0	188.94.143.255	HU
188.94.144.0	188.94.151.255	IT
188.94.152.0	188.94.159.255	KZ
188.94.160.0	188.94.175.255	RU
188.94.176.0	188.94.183.255	CH
188.94.184.0	188.94.199.255	IT
188.94.200.0	188.94.207.255	FR
188.94.208.0	188.94.215.255	RU
188.94.216.0	188.94.218.255	NO
188.94.219.0	188.94.219.31	CO
188.94.219.32	188.94.223.255	NO
188.94.224.0	188.94.231.255	RU
188.94.232.0	188.94.239.255	CZ
188.94.240.0	188.94.247.255	GB
188.94.248.0	188.95.15.255	DE
188.95.16.0	188.95.23.255	IT
188.95.24.0	188.95.31.255	PL
188.95.32.0	188.95.39.255	SE
188.95.40.0	188.95.47.255	GB
188.95.48.0	188.95.55.255	NL
188.95.56.0	188.95.63.255	CZ
188.95.64.0	188.95.71.255	JO
188.95.72.0	188.95.79.255	IT
188.95.80.0	188.95.87.255	GB
188.95.88.0	188.95.103.255	NL
188.95.104.0	188.95.111.255	RU
188.95.112.0	188.95.119.255	ES
188.95.120.0	188.95.127.255	CZ
188.95.128.0	188.95.135.255	GB
188.95.136.0	188.95.143.255	NL
188.95.144.0	188.95.151.255	TR
188.95.152.0	188.95.159.255	UA
188.95.160.0	188.95.167.255	GB
188.95.168.0	188.95.175.255	NL
188.95.176.0	188.95.183.255	RS
188.95.184.0	188.95.191.255	RU
188.95.192.0	188.95.207.255	GB
188.95.208.0	188.95.215.255	EE
188.95.216.0	188.95.223.255	ES
188.95.224.0	188.95.239.255	SE
188.95.240.0	188.95.247.255	NO
188.96.0.0	188.111.255.255	DE
188.112.0.0	188.112.63.255	PL
188.112.64.0	188.112.127.255	SK
188.112.128.0	188.112.191.255	LV
188.112.192.0	188.113.63.255	RU
188.113.64.0	188.113.127.255	NO
188.113.128.0	188.113.191.255	RU
188.113.192.0	188.113.255.255	UZ
188.114.0.0	188.114.127.255	RU
188.114.128.0	188.114.191.255	DK
188.114.192.0	188.114.255.255	RU
188.115.0.0	188.115.63.255	LU
188.115.64.0	188.115.127.255	FR
188.115.128.0	188.115.191.255	UA
188.115.192.0	188.115.255.255	AM
188.116.0.0	188.116.63.255	PL
188.116.64.0	188.116.127.255	CZ
188.116.128.0	188.116.191.255	RU
188.116.192.0	188.116.255.255	BH
188.117.0.0	188.117.63.255	FI
188.117.64.0	188.117.127.255	SA
188.117.128.0	188.117.191.255	PL
188.117.192.0	188.117.193.255	MK
188.117.194.0	188.117.195.255	AT
188.117.196.0	188.117.198.255	MK
188.117.199.0	188.117.255.255	AT
188.118.0.0	188.118.63.255	BE
188.118.64.0	188.118.127.255	IR
188.118.128.0	188.118.191.255	DE
188.118.192.0	188.118.255.255	AT
188.119.64.0	188.119.127.255	SA
188.119.128.0	188.119.191.255	RO
188.119.192.0	188.119.255.255	ES
188.120.0.0	188.120.31.255	SK
188.120.32.0	188.120.63.255	RU
188.120.64.0	188.120.95.255	DK
188.120.96.0	188.120.127.255	RS
188.120.128.0	188.120.159.255	IL
188.120.160.0	188.120.191.255	SE
188.120.192.0	188.120.223.255	CZ
188.120.224.0	188.120.255.255	RU
188.121.0.0	188.121.31.255	PL
188.121.32.0	188.121.63.255	NL
188.121.64.0	188.121.95.255	SE
188.121.96.0	188.121.159.255	IR
188.121.160.0	188.121.191.255	SK
188.121.192.0	188.121.223.255	GE
188.121.224.0	188.121.225.255	FR
188.121.226.0	188.121.255.255	NL
188.122.0.0	188.122.31.255	PL
188.122.32.0	188.122.65.255	GB
188.122.66.0	188.122.67.255	NL
188.122.68.0	188.122.69.255	DE
188.122.70.0	188.122.95.255	NL
188.122.128.0	188.122.159.255	SE
188.122.160.0	188.122.191.255	RU
188.122.192.0	188.122.223.255	CZ
188.122.224.0	188.122.255.255	RU
188.123.0.0	188.123.31.255	FI
188.123.32.0	188.123.63.255	RU
188.123.64.0	188.123.95.255	FR
188.123.96.0	188.123.127.255	SK
188.123.128.0	188.123.159.255	GE
188.123.160.0	188.123.191.255	JO
188.123.192.0	188.123.223.255	PL
188.123.224.0	188.123.255.255	RU
188.124.0.0	188.124.31.255	TR
188.124.32.0	188.124.63.255	RU
188.124.64.0	188.124.95.255	CZ
188.124.96.0	188.124.127.255	RU
188.124.128.0	188.124.159.255	NO
188.124.160.0	188.124.191.255	PL
188.124.192.0	188.124.223.255	BA
188.124.224.0	188.124.255.255	RU
188.125.0.0	188.125.31.255	HR
188.125.32.0	188.125.63.255	PL
188.125.64.0	188.125.71.255	GB
188.125.72.0	188.125.73.0	CH
188.125.73.1	188.125.95.255	GB
188.125.96.0	188.125.127.255	IT
188.125.128.0	188.125.159.255	PL
188.125.160.0	188.125.191.255	TR
188.125.192.0	188.125.223.255	PT
188.125.224.0	188.125.255.255	PL
188.126.0.0	188.126.31.255	BG
188.126.32.0	188.126.63.255	RU
188.126.64.0	188.126.95.255	SE
188.126.96.0	188.126.127.255	BE
188.126.128.0	188.126.159.255	IR
188.126.160.0	188.126.191.255	DE
188.126.192.0	188.126.223.255	NO
188.126.224.0	188.126.255.255	SE
188.127.0.0	188.127.31.255	PL
188.127.32.0	188.127.63.255	RU
188.127.64.0	188.127.95.255	BG
188.127.96.0	188.127.127.255	BA
188.127.128.0	188.127.159.255	HU
188.127.160.0	188.127.191.255	ES
188.127.192.0	188.127.223.255	FI
188.127.224.0	188.128.127.255	RU
188.128.128.0	188.128.255.255	PL
188.129.0.0	188.129.127.255	HR
188.129.128.0	188.129.255.255	GE
188.130.0.0	188.130.127.255	FR
188.130.128.0	188.130.175.255	RU
188.130.176.0	188.130.179.255	UA
188.130.180.0	188.130.191.255	RU
188.130.192.0	188.130.239.255	UA
188.130.240.0	188.130.249.255	RU
188.130.250.0	188.130.251.255	LV
188.130.252.0	188.130.255.255	RU
188.131.0.0	188.131.127.255	MD
188.131.128.0	188.131.255.255	RU
188.132.0.0	188.132.127.255	SA
188.132.128.0	188.132.255.255	TR
188.133.0.0	188.133.127.255	GR
188.133.128.0	188.134.127.255	RU
188.134.128.0	188.134.255.255	CZ
188.135.0.0	188.135.127.255	OM
188.135.128.0	188.135.255.255	IT
188.136.0.0	188.136.127.255	DE
188.136.128.0	188.136.255.255	IR
188.137.0.0	188.137.127.255	PL
188.138.0.0	188.138.4.31	DE
188.138.4.32	188.138.4.63	DK
188.138.4.64	188.138.4.95	DE
188.138.4.96	188.138.4.127	BG
188.138.4.128	188.138.5.31	DE
188.138.5.32	188.138.5.63	US
188.138.5.64	188.138.5.255	DE
188.138.6.0	188.138.6.31	TR
188.138.6.32	188.138.6.63	DE
188.138.6.64	188.138.6.95	US
188.138.6.96	188.138.6.127	IT
188.138.6.128	188.138.6.159	CH
188.138.6.160	188.138.6.191	NL
188.138.6.192	188.138.6.223	DE
188.138.6.224	188.138.6.255	TR
188.138.7.0	188.138.7.127	DE
188.138.7.128	188.138.7.159	RU
188.138.7.160	188.138.12.95	DE
188.138.12.96	188.138.12.127	GB
188.138.12.128	188.138.12.223	DE
188.138.12.224	188.138.12.255	RU
188.138.13.0	188.138.13.31	DE
188.138.13.32	188.138.13.63	VG
188.138.13.64	188.138.15.127	DE
188.138.15.128	188.138.15.159	RU
188.138.15.160	188.138.19.255	DE
188.138.20.0	188.138.20.31	TR
188.138.20.32	188.138.20.63	DE
188.138.20.64	188.138.20.95	PL
188.138.20.96	188.138.21.223	DE
188.138.21.224	188.138.21.255	US
188.138.22.0	188.138.23.31	DE
188.138.23.32	188.138.23.63	RO
188.138.23.64	188.138.23.95	DE
188.138.23.96	188.138.23.127	HU
188.138.23.128	188.138.28.31	DE
188.138.28.32	188.138.28.63	GR
188.138.28.64	188.138.28.95	TR
188.138.28.96	188.138.28.223	DE
188.138.28.224	188.138.28.255	TR
188.138.29.0	188.138.29.31	DE
188.138.29.32	188.138.29.63	RU
188.138.29.64	188.138.29.95	DE
188.138.29.96	188.138.29.127	TR
188.138.29.128	188.138.29.159	IL
188.138.29.160	188.138.30.63	DE
188.138.30.64	188.138.30.95	DK
188.138.30.96	188.138.30.159	DE
188.138.30.160	188.138.30.191	CA
188.138.30.192	188.138.31.63	DE
188.138.31.64	188.138.31.95	TR
188.138.31.96	188.138.31.159	DE
188.138.31.160	188.138.31.191	US
188.138.31.192	188.138.36.31	DE
188.138.36.32	188.138.36.63	RU
188.138.36.64	188.138.36.159	DE
188.138.36.160	188.138.36.191	GB
188.138.36.192	188.138.36.223	DE
188.138.36.224	188.138.36.255	ES
188.138.37.0	188.138.37.31	RU
188.138.37.32	188.138.37.63	TR
188.138.37.64	188.138.37.159	DE
188.138.37.160	188.138.37.191	RU
188.138.37.192	188.138.37.255	DE
188.138.38.0	188.138.38.31	IT
188.138.38.32	188.138.38.63	DE
188.138.38.64	188.138.38.95	IR
188.138.38.96	188.138.38.127	CY
188.138.38.128	188.138.38.191	DE
188.138.38.192	188.138.38.223	BR
188.138.38.224	188.138.39.31	DE
188.138.39.32	188.138.39.63	BR
188.138.39.64	188.138.44.191	DE
188.138.44.192	188.138.44.223	PL
188.138.44.224	188.138.45.31	DE
188.138.45.32	188.138.45.63	TR
188.138.45.64	188.138.45.95	RU
188.138.45.96	188.138.45.127	DE
188.138.45.128	188.138.45.159	TR
188.138.45.160	188.138.45.191	PL
188.138.45.192	188.138.45.223	TR
188.138.45.224	188.138.45.255	NL
188.138.46.0	188.138.46.31	GB
188.138.46.32	188.138.46.255	DE
188.138.47.0	188.138.47.31	DK
188.138.47.32	188.138.47.127	DE
188.138.47.128	188.138.47.159	GR
188.138.47.160	188.138.52.159	DE
188.138.52.160	188.138.52.191	DK
188.138.52.192	188.138.53.191	DE
188.138.53.192	188.138.53.223	RU
188.138.53.224	188.138.53.255	DE
188.138.54.0	188.138.54.31	DK
188.138.54.32	188.138.54.191	DE
188.138.54.192	188.138.54.223	SE
188.138.54.224	188.138.54.255	GB
188.138.55.0	188.138.55.31	DE
188.138.55.32	188.138.55.63	US
188.138.55.64	188.138.55.95	NL
188.138.55.96	188.138.55.127	US
188.138.55.128	188.138.60.191	DE
188.138.60.192	188.138.60.223	TR
188.138.60.224	188.138.61.63	DE
188.138.61.64	188.138.61.95	UG
188.138.61.96	188.138.62.31	DE
188.138.62.32	188.138.62.95	GB
188.138.62.96	188.138.62.127	DE
188.138.62.128	188.138.62.159	GR
188.138.62.160	188.138.62.223	DE
188.138.62.224	188.138.62.255	PL
188.138.63.0	188.138.63.63	DE
188.138.63.64	188.138.63.95	PL
188.138.63.96	188.138.63.191	DE
188.138.63.192	188.138.63.223	SE
188.138.63.224	188.138.127.255	DE
188.139.0.0	188.139.127.255	SA
188.139.128.0	188.139.255.255	SY
188.140.0.0	188.140.127.255	PT
188.140.128.0	188.140.255.255	OM
188.141.0.0	188.141.127.255	IE
188.141.128.0	188.141.255.255	FR
188.142.0.0	188.142.127.255	NL
188.142.128.0	188.142.255.255	HU
188.143.128.0	188.143.255.255	RU
188.144.0.0	188.145.255.255	DE
188.146.0.0	188.147.255.255	PL
188.148.0.0	188.151.255.255	NO
188.152.0.0	188.153.255.255	IT
188.154.0.0	188.155.255.255	CH
188.156.0.0	188.157.255.255	HU
188.158.0.0	188.159.255.255	IR
188.160.0.0	188.160.255.255	SY
188.161.0.0	188.161.255.255	PS
188.162.0.0	188.162.255.255	RU
188.163.0.0	188.163.255.255	UA
188.164.0.0	188.164.255.255	RU
188.165.0.0	188.165.7.255	IE
188.165.8.0	188.165.15.255	FR
188.165.16.0	188.165.23.255	PL
188.165.24.0	188.165.31.255	LT
188.165.32.0	188.165.63.255	FR
188.165.64.0	188.165.64.3	PL
188.165.64.4	188.165.64.7	PT
188.165.64.8	188.165.64.15	ES
188.165.64.16	188.165.64.47	FR
188.165.64.48	188.165.64.51	ES
188.165.64.52	188.165.64.63	PL
188.165.64.64	188.165.64.67	IT
188.165.64.68	188.165.64.71	GB
188.165.64.72	188.165.64.75	BE
188.165.64.76	188.165.64.79	FR
188.165.64.80	188.165.64.95	ES
188.165.64.96	188.165.64.127	GB
188.165.64.128	188.165.65.95	FR
188.165.65.96	188.165.65.111	BE
188.165.65.112	188.165.66.95	FR
188.165.66.96	188.165.66.99	ES
188.165.66.100	188.165.66.103	GB
188.165.66.104	188.165.66.119	FR
188.165.66.120	188.165.66.123	NL
188.165.66.124	188.165.66.255	DE
188.165.67.0	188.165.67.255	FR
188.165.68.0	188.165.68.255	DE
188.165.69.0	188.165.69.31	FR
188.165.69.32	188.165.69.35	ES
188.165.69.36	188.165.69.39	BE
188.165.69.40	188.165.69.127	FR
188.165.69.128	188.165.69.255	GB
188.165.70.0	188.165.71.255	BE
188.165.72.0	188.165.72.255	FR
188.165.73.0	188.165.74.95	GB
188.165.74.96	188.165.74.103	FR
188.165.74.104	188.165.74.111	IT
188.165.74.112	188.165.74.127	GB
188.165.74.128	188.165.74.139	DE
188.165.74.140	188.165.74.159	FR
188.165.74.160	188.165.74.163	NL
188.165.74.164	188.165.74.167	FR
188.165.74.168	188.165.74.171	PL
188.165.74.172	188.165.74.191	FR
188.165.74.192	188.165.74.223	DE
188.165.74.224	188.165.74.239	NL
188.165.74.240	188.165.74.255	BE
188.165.75.0	188.165.75.31	FR
188.165.75.32	188.165.75.47	ES
188.165.75.48	188.165.75.111	FR
188.165.75.112	188.165.75.115	BE
188.165.75.116	188.165.75.143	FR
188.165.75.144	188.165.75.147	ES
188.165.75.148	188.165.75.191	FR
188.165.75.192	188.165.75.223	PL
188.165.75.224	188.165.75.255	FR
188.165.76.0	188.165.77.255	BE
188.165.78.0	188.165.78.255	GB
188.165.79.0	188.165.79.127	FR
188.165.79.128	188.165.79.135	ES
188.165.79.136	188.165.79.139	FR
188.165.79.140	188.165.79.143	CZ
188.165.79.144	188.165.79.159	PL
188.165.79.160	188.165.79.163	FR
188.165.79.164	188.165.79.167	ES
188.165.79.168	188.165.79.175	FR
188.165.79.176	188.165.79.179	PL
188.165.79.180	188.165.79.183	CZ
188.165.79.184	188.165.79.191	PL
188.165.79.192	188.165.79.207	ES
188.165.79.208	188.165.79.215	IT
188.165.79.216	188.165.79.223	PL
188.165.79.224	188.165.79.239	ES
188.165.79.240	188.165.79.243	GB
188.165.79.244	188.165.79.247	ES
188.165.79.248	188.165.79.255	GB
188.165.80.0	188.165.80.15	BE
188.165.80.16	188.165.80.63	NL
188.165.80.64	188.165.80.95	FR
188.165.80.96	188.165.80.127	GB
188.165.80.128	188.165.80.159	FR
188.165.80.160	188.165.80.175	ES
188.165.80.176	188.165.80.191	PL
188.165.80.192	188.165.80.195	GB
188.165.80.196	188.165.80.207	FR
188.165.80.208	188.165.80.223	ES
188.165.80.224	188.165.80.231	GB
188.165.80.232	188.165.80.255	ES
188.165.81.0	188.165.81.255	FR
188.165.82.0	188.165.82.191	DE
188.165.82.192	188.165.82.199	GB
188.165.82.200	188.165.82.223	FR
188.165.82.224	188.165.82.255	DE
188.165.83.0	188.165.83.175	PL
188.165.83.176	188.165.83.191	FR
188.165.83.192	188.165.83.223	PL
188.165.83.224	188.165.83.239	GB
188.165.83.240	188.165.83.247	BE
188.165.83.248	188.165.83.251	NL
188.165.83.252	188.165.84.7	FR
188.165.84.8	188.165.84.15	PL
188.165.84.16	188.165.84.19	BE
188.165.84.20	188.165.84.23	CZ
188.165.84.24	188.165.84.31	NL
188.165.84.32	188.165.84.39	GB
188.165.84.40	188.165.84.43	IE
188.165.84.44	188.165.84.63	FR
188.165.84.64	188.165.84.111	GB
188.165.84.112	188.165.84.119	PL
188.165.84.120	188.165.84.127	FR
188.165.84.128	188.165.84.131	ES
188.165.84.132	188.165.84.135	GB
188.165.84.136	188.165.84.139	FR
188.165.84.140	188.165.84.143	CH
188.165.84.144	188.165.84.159	IE
188.165.84.160	188.165.84.255	FR
188.165.85.0	188.165.85.15	NL
188.165.85.16	188.165.85.23	CH
188.165.85.24	188.165.85.31	FR
188.165.85.32	188.165.85.47	PL
188.165.85.48	188.165.85.63	FR
188.165.85.64	188.165.85.67	CZ
188.165.85.68	188.165.85.71	IT
188.165.85.72	188.165.85.79	DE
188.165.85.80	188.165.85.87	ES
188.165.85.88	188.165.85.99	FR
188.165.85.100	188.165.85.103	PL
188.165.85.104	188.165.85.107	ES
188.165.85.108	188.165.85.111	IE
188.165.85.112	188.165.85.127	FR
188.165.85.128	188.165.85.191	DE
188.165.85.192	188.165.85.207	ES
188.165.85.208	188.165.85.223	FR
188.165.85.224	188.165.85.255	PL
188.165.86.0	188.165.86.127	FR
188.165.86.128	188.165.86.143	ES
188.165.86.144	188.165.86.155	NL
188.165.86.156	188.165.86.191	FR
188.165.86.192	188.165.86.255	DE
188.165.87.0	188.165.87.255	ES
188.165.88.0	188.165.88.255	FR
188.165.89.0	188.165.89.127	IT
188.165.89.128	188.165.89.143	GB
188.165.89.144	188.165.89.159	FR
188.165.89.160	188.165.89.175	PL
188.165.89.176	188.165.89.191	ES
188.165.89.192	188.165.89.255	FR
188.165.90.0	188.165.90.63	LT
188.165.90.64	188.165.90.127	PL
188.165.90.128	188.165.90.159	FR
188.165.90.160	188.165.90.167	CH
188.165.90.168	188.165.90.175	CZ
188.165.90.176	188.165.90.223	FR
188.165.90.224	188.165.91.31	PL
188.165.91.32	188.165.91.47	FR
188.165.91.48	188.165.91.51	IT
188.165.91.52	188.165.91.55	NL
188.165.91.56	188.165.91.59	BE
188.165.91.60	188.165.91.63	CH
188.165.91.64	188.165.91.79	BE
188.165.91.80	188.165.91.95	FR
188.165.91.96	188.165.91.99	CZ
188.165.91.100	188.165.91.103	DE
188.165.91.104	188.165.91.107	ES
188.165.91.108	188.165.91.111	FR
188.165.91.112	188.165.91.115	IE
188.165.91.116	188.165.91.119	PT
188.165.91.120	188.165.91.123	PL
188.165.91.124	188.165.91.127	GB
188.165.91.128	188.165.91.159	PL
188.165.91.160	188.165.91.167	FR
188.165.91.168	188.165.91.171	PL
188.165.91.172	188.165.91.175	IE
188.165.91.176	188.165.91.223	PL
188.165.91.224	188.165.91.227	FR
188.165.91.228	188.165.91.231	GB
188.165.91.232	188.165.91.239	IT
188.165.91.240	188.165.93.255	ES
188.165.94.0	188.165.94.151	FR
188.165.94.152	188.165.94.159	DE
188.165.94.160	188.165.94.163	IT
188.165.94.164	188.165.94.167	GB
188.165.94.168	188.165.94.175	FR
188.165.94.176	188.165.94.191	ES
188.165.94.192	188.165.94.255	DE
188.165.95.0	188.165.95.63	FR
188.165.95.64	188.165.95.71	ES
188.165.95.72	188.165.95.75	DE
188.165.95.76	188.165.95.79	NL
188.165.95.80	188.165.95.111	FR
188.165.95.112	188.165.95.127	GB
188.165.95.128	188.165.95.131	PL
188.165.95.132	188.165.95.135	ES
188.165.95.136	188.165.95.139	FR
188.165.95.140	188.165.95.143	ES
188.165.95.144	188.165.95.147	PL
188.165.95.148	188.165.95.151	IT
188.165.95.152	188.165.95.175	GB
188.165.95.176	188.165.95.223	FR
188.165.95.224	188.165.95.255	PL
188.165.96.0	188.165.103.63	FR
188.165.103.64	188.165.103.127	GB
188.165.103.128	188.165.112.127	FR
188.165.112.128	188.165.112.191	IT
188.165.112.192	188.165.112.207	CH
188.165.112.208	188.165.112.223	ES
188.165.112.224	188.165.112.235	FR
188.165.112.236	188.165.112.239	GB
188.165.112.240	188.165.113.63	FR
188.165.113.64	188.165.113.159	DE
188.165.113.160	188.165.113.255	ES
188.165.114.0	188.165.114.15	FR
188.165.114.16	188.165.114.23	BE
188.165.114.24	188.165.114.31	PL
188.165.114.32	188.165.114.63	GB
188.165.114.64	188.165.114.71	IT
188.165.114.72	188.165.114.75	FR
188.165.114.76	188.165.114.79	IT
188.165.114.80	188.165.114.95	ES
188.165.114.96	188.165.114.111	BE
188.165.114.112	188.165.114.127	PL
188.165.114.128	188.165.114.143	ES
188.165.114.144	188.165.114.151	DE
188.165.114.152	188.165.114.155	PL
188.165.114.156	188.165.114.255	FR
188.165.115.0	188.165.115.255	ES
188.165.116.0	188.165.116.255	FR
188.165.117.0	188.165.117.255	DE
188.165.118.0	188.165.118.255	FR
188.165.119.0	188.165.119.63	PL
188.165.119.64	188.165.119.255	IT
188.165.120.0	188.165.120.63	PL
188.165.120.64	188.165.120.127	FR
188.165.120.128	188.165.120.191	PT
188.165.120.192	188.165.120.255	CH
188.165.121.0	188.165.121.255	FR
188.165.122.0	188.165.122.31	DE
188.165.122.32	188.165.122.39	FR
188.165.122.40	188.165.122.47	PL
188.165.122.48	188.165.122.51	ES
188.165.122.52	188.165.122.59	FR
188.165.122.60	188.165.122.63	ES
188.165.122.64	188.165.122.83	FR
188.165.122.84	188.165.122.87	ES
188.165.122.88	188.165.122.95	FR
188.165.122.96	188.165.122.111	DE
188.165.122.112	188.165.122.119	FR
188.165.122.120	188.165.122.123	PL
188.165.122.124	188.165.122.191	FR
188.165.122.192	188.165.122.223	DE
188.165.122.224	188.165.123.15	ES
188.165.123.16	188.165.123.23	FR
188.165.123.24	188.165.123.27	DE
188.165.123.28	188.165.123.47	FR
188.165.123.48	188.165.123.63	DE
188.165.123.64	188.165.123.95	BE
188.165.123.96	188.165.123.111	IT
188.165.123.112	188.165.123.119	NL
188.165.123.120	188.165.123.127	ES
188.165.123.128	188.165.123.159	DE
188.165.123.160	188.165.123.191	GB
188.165.123.192	188.165.123.207	ES
188.165.123.208	188.165.123.223	PL
188.165.123.224	188.165.124.63	FR
188.165.124.64	188.165.124.79	PL
188.165.124.80	188.165.124.95	IE
188.165.124.96	188.165.124.111	ES
188.165.124.112	188.165.124.127	GB
188.165.124.128	188.165.124.159	IT
188.165.124.160	188.165.124.175	ES
188.165.124.176	188.165.124.179	FR
188.165.124.180	188.165.124.183	ES
188.165.124.184	188.165.124.187	GB
188.165.124.188	188.165.124.207	DE
188.165.124.208	188.165.124.239	FR
188.165.124.240	188.165.124.255	NL
188.165.125.0	188.165.125.31	FR
188.165.125.32	188.165.125.47	ES
188.165.125.48	188.165.125.63	BE
188.165.125.64	188.165.125.95	GB
188.165.125.96	188.165.125.127	FR
188.165.125.128	188.165.125.191	NL
188.165.125.192	188.165.125.199	PL
188.165.125.200	188.165.125.203	FR
188.165.125.204	188.165.125.207	DE
188.165.125.208	188.165.125.211	NL
188.165.125.212	188.165.125.215	DE
188.165.125.216	188.165.125.231	ES
188.165.125.232	188.165.125.235	DE
188.165.125.236	188.165.125.247	ES
188.165.125.248	188.165.125.255	PL
188.165.126.0	188.165.126.31	NL
188.165.126.32	188.165.126.63	DE
188.165.126.64	188.165.126.127	PL
188.165.126.128	188.165.126.135	GB
188.165.126.136	188.165.126.143	PL
188.165.126.144	188.165.126.147	PT
188.165.126.148	188.165.126.151	FR
188.165.126.152	188.165.126.155	IE
188.165.126.156	188.165.126.223	FR
188.165.126.224	188.165.126.231	PL
188.165.126.232	188.165.126.235	CH
188.165.126.236	188.165.126.239	CZ
188.165.126.240	188.165.127.63	FR
188.165.127.64	188.165.127.67	BE
188.165.127.68	188.165.127.71	CH
188.165.127.72	188.165.127.95	FR
188.165.127.96	188.165.127.127	ES
188.165.127.128	188.165.127.191	GB
188.165.127.192	188.165.135.255	ES
188.165.136.0	188.165.143.255	FI
188.165.144.0	188.165.144.127	FR
188.165.144.128	188.165.144.159	PL
188.165.144.160	188.165.144.175	FR
188.165.144.176	188.165.144.183	IT
188.165.144.184	188.165.144.191	PL
188.165.144.192	188.165.144.223	ES
188.165.144.224	188.165.144.243	FR
188.165.144.244	188.165.144.247	PL
188.165.144.248	188.165.144.255	FR
188.165.145.0	188.165.145.127	ES
188.165.145.128	188.165.145.135	NL
188.165.145.136	188.165.145.139	IT
188.165.145.140	188.165.145.143	DE
188.165.145.144	188.165.145.175	IT
188.165.145.176	188.165.145.183	ES
188.165.145.184	188.165.145.191	PL
188.165.145.192	188.165.145.255	FR
188.165.146.0	188.165.146.255	ES
188.165.147.0	188.165.147.255	FR
188.165.148.0	188.165.148.31	DE
188.165.148.32	188.165.148.35	FR
188.165.148.36	188.165.148.39	DE
188.165.148.40	188.165.148.63	FR
188.165.148.64	188.165.148.127	ES
188.165.148.128	188.165.148.255	FR
188.165.149.0	188.165.150.255	PL
188.165.151.0	188.165.151.127	FR
188.165.151.128	188.165.151.159	DE
188.165.151.160	188.165.151.191	FR
188.165.151.192	188.165.151.223	GB
188.165.151.224	188.165.151.255	IT
188.165.152.0	188.165.152.31	DE
188.165.152.32	188.165.152.47	FR
188.165.152.48	188.165.152.55	PT
188.165.152.56	188.165.152.63	FR
188.165.152.64	188.165.152.95	PL
188.165.152.96	188.165.152.111	CZ
188.165.152.112	188.165.152.127	FR
188.165.152.128	188.165.152.135	ES
188.165.152.136	188.165.152.139	PL
188.165.152.140	188.165.152.143	DE
188.165.152.144	188.165.152.175	FR
188.165.152.176	188.165.152.183	ES
188.165.152.184	188.165.152.187	PT
188.165.152.188	188.165.152.223	GB
188.165.152.224	188.165.152.239	DE
188.165.152.240	188.165.152.247	GB
188.165.152.248	188.165.152.251	IT
188.165.152.252	188.165.153.255	FR
188.165.154.0	188.165.154.255	PL
188.165.155.0	188.165.155.255	GB
188.165.156.0	188.165.156.63	IE
188.165.156.64	188.165.156.95	GB
188.165.156.96	188.165.156.127	DE
188.165.156.128	188.165.156.227	FR
188.165.156.228	188.165.156.231	GB
188.165.156.232	188.165.156.235	PL
188.165.156.236	188.165.156.239	FR
188.165.156.240	188.165.157.63	GB
188.165.157.64	188.165.157.95	ES
188.165.157.96	188.165.157.99	NL
188.165.157.100	188.165.157.103	BE
188.165.157.104	188.165.157.107	FI
188.165.157.108	188.165.157.111	GB
188.165.157.112	188.165.157.119	FR
188.165.157.120	188.165.157.123	DE
188.165.157.124	188.165.157.127	ES
188.165.157.128	188.165.157.131	PL
188.165.157.132	188.165.157.135	ES
188.165.157.136	188.165.157.159	IT
188.165.157.160	188.165.157.175	GB
188.165.157.176	188.165.157.183	FR
188.165.157.184	188.165.157.187	IE
188.165.157.188	188.165.157.191	PT
188.165.157.192	188.165.157.223	FR
188.165.157.224	188.165.157.255	GB
188.165.158.0	188.165.158.63	PL
188.165.158.64	188.165.158.71	FR
188.165.158.72	188.165.158.79	ES
188.165.158.80	188.165.158.111	FR
188.165.158.112	188.165.158.119	ES
188.165.158.120	188.165.158.127	CH
188.165.158.128	188.165.158.135	FR
188.165.158.136	188.165.158.143	CH
188.165.158.144	188.165.158.151	ES
188.165.158.152	188.165.158.155	GB
188.165.158.156	188.165.158.159	FR
188.165.158.160	188.165.158.191	IT
188.165.158.192	188.165.158.195	GB
188.165.158.196	188.165.158.199	FR
188.165.158.200	188.165.158.223	PL
188.165.158.224	188.165.159.31	FR
188.165.159.32	188.165.159.39	PL
188.165.159.40	188.165.159.71	FR
188.165.159.72	188.165.159.75	BE
188.165.159.76	188.165.159.79	CH
188.165.159.80	188.165.159.83	IT
188.165.159.84	188.165.159.87	PL
188.165.159.88	188.165.159.95	GB
188.165.159.96	188.165.159.159	FR
188.165.159.160	188.165.159.163	ES
188.165.159.164	188.165.159.167	FR
188.165.159.168	188.165.159.171	GB
188.165.159.172	188.165.159.175	LT
188.165.159.176	188.165.159.239	FR
188.165.159.240	188.165.159.255	BE
188.165.160.0	188.165.160.3	ES
188.165.160.4	188.165.160.7	FR
188.165.160.8	188.165.160.15	PL
188.165.160.16	188.165.160.47	FR
188.165.160.48	188.165.160.63	NL
188.165.160.64	188.165.160.127	DE
188.165.160.128	188.165.160.255	GB
188.165.161.0	188.165.161.191	DE
188.165.161.192	188.165.161.195	NL
188.165.161.196	188.165.161.199	IT
188.165.161.200	188.165.161.203	CH
188.165.161.204	188.165.161.207	FR
188.165.161.208	188.165.161.215	NL
188.165.161.216	188.165.161.219	FR
188.165.161.220	188.165.161.223	PL
188.165.161.224	188.165.161.239	ES
188.165.161.240	188.165.161.247	PL
188.165.161.248	188.165.161.255	CZ
188.165.162.0	188.165.162.255	ES
188.165.163.0	188.165.163.19	FR
188.165.163.20	188.165.163.23	IT
188.165.163.24	188.165.163.27	DE
188.165.163.28	188.165.163.31	FR
188.165.163.32	188.165.163.127	BE
188.165.163.128	188.165.163.191	DE
188.165.163.192	188.165.163.207	FR
188.165.163.208	188.165.163.223	ES
188.165.163.224	188.165.163.239	CH
188.165.163.240	188.165.163.243	ES
188.165.163.244	188.165.163.251	FR
188.165.163.252	188.165.163.255	ES
188.165.164.0	188.165.164.255	GB
188.165.165.0	188.165.165.31	FR
188.165.165.32	188.165.165.63	DE
188.165.165.64	188.165.165.127	NL
188.165.165.128	188.165.165.191	BE
188.165.165.192	188.165.165.211	FR
188.165.165.212	188.165.165.215	IT
188.165.165.216	188.165.165.223	DE
188.165.165.224	188.165.165.239	GB
188.165.165.240	188.165.166.255	FR
188.165.167.0	188.165.168.255	ES
188.165.169.0	188.165.170.255	FR
188.165.171.0	188.165.171.31	DE
188.165.171.32	188.165.171.39	PL
188.165.171.40	188.165.171.43	FR
188.165.171.44	188.165.171.51	ES
188.165.171.52	188.165.171.55	GB
188.165.171.56	188.165.171.59	FR
188.165.171.60	188.165.171.63	DE
188.165.171.64	188.165.171.95	ES
188.165.171.96	188.165.171.111	FR
188.165.171.112	188.165.171.115	IT
188.165.171.116	188.165.171.119	FR
188.165.171.120	188.165.171.127	PL
188.165.171.128	188.165.173.255	FR
188.165.174.0	188.165.175.255	GB
188.165.176.0	188.165.176.63	CH
188.165.176.64	188.165.176.127	GB
188.165.176.128	188.165.176.195	IT
188.165.176.196	188.165.176.203	ES
188.165.176.204	188.165.176.207	GB
188.165.176.208	188.165.176.239	ES
188.165.176.240	188.165.176.247	GB
188.165.176.248	188.165.176.251	NL
188.165.176.252	188.165.176.255	FR
188.165.177.0	188.165.177.255	ES
188.165.178.0	188.165.179.255	GB
188.165.180.0	188.165.181.255	IT
188.165.182.0	188.165.182.127	FR
188.165.182.128	188.165.182.143	DE
188.165.182.144	188.165.182.159	ES
188.165.182.160	188.165.182.175	DE
188.165.182.176	188.165.182.191	GB
188.165.182.192	188.165.182.195	IT
188.165.182.196	188.165.182.199	ES
188.165.182.200	188.165.182.207	FR
188.165.182.208	188.165.182.223	CH
188.165.182.224	188.165.182.255	CZ
188.165.183.0	188.165.183.255	FR
188.165.184.0	188.165.184.63	PL
188.165.184.64	188.165.184.95	DE
188.165.184.96	188.165.184.127	ES
188.165.184.128	188.165.184.255	FR
188.165.185.0	188.165.185.255	PL
188.165.186.0	188.165.186.31	GB
188.165.186.32	188.165.186.63	IT
188.165.186.64	188.165.186.79	LT
188.165.186.80	188.165.186.95	PT
188.165.186.96	188.165.186.111	NL
188.165.186.112	188.165.186.127	PL
188.165.186.128	188.165.186.143	FR
188.165.186.144	188.165.186.159	NL
188.165.186.160	188.165.186.175	GB
188.165.186.176	188.165.186.219	FR
188.165.186.220	188.165.186.223	GB
188.165.186.224	188.165.186.239	IT
188.165.186.240	188.165.186.255	NL
188.165.187.0	188.165.187.127	DE
188.165.187.128	188.165.187.147	FR
188.165.187.148	188.165.187.159	ES
188.165.187.160	188.165.187.191	IT
188.165.187.192	188.165.187.207	ES
188.165.187.208	188.165.187.223	FR
188.165.187.224	188.165.187.227	DE
188.165.187.228	188.165.187.231	ES
188.165.187.232	188.165.187.235	GB
188.165.187.236	188.165.187.239	DE
188.165.187.240	188.165.187.255	FR
188.165.188.0	188.165.188.255	IT
188.165.189.0	188.165.189.15	FR
188.165.189.16	188.165.189.31	PT
188.165.189.32	188.165.189.63	DE
188.165.189.64	188.165.189.79	IT
188.165.189.80	188.165.189.95	ES
188.165.189.96	188.165.189.111	FR
188.165.189.112	188.165.189.127	PT
188.165.189.128	188.165.189.143	GB
188.165.189.144	188.165.189.159	ES
188.165.189.160	188.165.189.175	FR
188.165.189.176	188.165.189.191	CZ
188.165.189.192	188.165.189.255	FR
188.165.190.0	188.165.190.255	PL
188.165.191.0	188.165.191.7	PT
188.165.191.8	188.165.191.11	PL
188.165.191.12	188.165.191.15	GB
188.165.191.16	188.165.191.31	FR
188.165.191.32	188.165.191.47	ES
188.165.191.48	188.165.191.63	FR
188.165.191.64	188.165.191.79	ES
188.165.191.80	188.165.191.95	CH
188.165.191.96	188.165.191.127	PT
188.165.191.128	188.165.191.159	ES
188.165.191.160	188.165.191.167	DE
188.165.191.168	188.165.191.175	PL
188.165.191.176	188.165.191.191	NL
188.165.191.192	188.165.191.207	DE
188.165.191.208	188.165.191.215	FR
188.165.191.216	188.165.191.223	PL
188.165.191.224	188.165.191.231	DE
188.165.191.232	188.165.191.239	FR
188.165.191.240	188.165.191.255	DE
188.165.192.0	188.165.255.255	FR
188.166.0.0	188.166.255.255	RU
188.167.0.0	188.167.255.255	SK
188.168.0.0	188.168.255.255	RU
188.169.0.0	188.169.255.255	GE
188.170.0.0	188.170.255.255	RO
188.171.0.0	188.171.255.255	ES
188.172.0.0	188.173.255.255	RO
188.174.0.0	188.174.255.255	DE
188.175.0.0	188.175.255.255	CZ
188.176.0.0	188.183.255.255	DK
188.184.0.0	188.185.255.255	CH
188.186.0.0	188.187.255.255	RU
188.188.0.0	188.189.255.255	BE
188.192.0.0	188.195.255.255	DE
188.200.0.0	188.207.255.255	NL
188.208.0.0	188.210.237.255	RO
188.210.238.0	188.210.238.255	CY
188.210.239.0	188.213.63.255	RO
188.213.64.0	188.213.79.255	GB
188.213.80.0	188.213.95.255	MD
188.213.96.0	188.213.111.255	RO
188.213.112.0	188.213.127.255	GB
188.213.128.0	188.213.143.255	RO
188.213.144.0	188.213.159.255	GB
188.213.160.0	188.213.175.255	RO
188.213.176.0	188.213.191.255	GB
188.213.192.0	188.213.207.255	RO
188.213.208.0	188.213.255.255	GB
188.214.0.0	188.214.63.255	RO
188.214.64.0	188.214.143.255	GB
188.214.144.0	188.214.159.255	RO
188.214.160.0	188.214.207.255	GB
188.214.208.0	188.214.223.255	RO
188.214.224.0	188.214.239.255	GB
188.214.240.0	188.215.0.255	RO
188.215.1.0	188.215.1.255	CY
188.215.2.0	188.215.29.255	RO
188.215.30.0	188.215.30.255	CY
188.215.31.0	188.215.255.255	RO
188.216.0.0	188.219.255.255	IT
188.220.0.0	188.223.255.255	GB
188.224.0.0	188.224.127.255	FR
188.224.128.0	188.224.255.255	RO
188.225.0.0	188.225.127.255	RU
188.225.128.0	188.225.255.255	PS
188.226.0.0	188.227.255.255	RU
188.228.0.0	188.228.127.255	DK
188.228.128.0	188.228.255.255	IT
188.229.0.0	188.229.127.255	RO
188.230.0.0	188.230.127.255	UA
188.230.128.0	188.230.255.255	SI
188.231.0.0	188.231.36.255	KW
188.231.37.0	188.231.37.31	OM
188.231.37.32	188.231.38.15	KW
188.231.38.16	188.231.38.23	IQ
188.231.38.24	188.231.38.31	SA
188.231.38.32	188.231.38.71	KW
188.231.38.72	188.231.38.79	IQ
188.231.38.80	188.231.38.143	SA
188.231.38.144	188.231.38.151	SD
188.231.38.152	188.231.38.159	SA
188.231.38.160	188.231.39.159	KW
188.231.39.160	188.231.39.175	IQ
188.231.39.176	188.231.92.15	KW
188.231.92.16	188.231.92.31	SA
188.231.92.32	188.231.92.255	KW
188.231.93.0	188.231.93.7	IQ
188.231.93.8	188.231.93.23	SA
188.231.93.24	188.231.93.31	KW
188.231.93.32	188.231.93.63	SA
188.231.93.64	188.231.93.71	KW
188.231.93.72	188.231.93.79	SA
188.231.93.80	188.231.93.87	SD
188.231.93.88	188.231.94.255	KW
188.231.95.0	188.231.95.15	IQ
188.231.95.16	188.231.99.255	KW
188.231.100.0	188.231.100.255	US
188.231.101.0	188.231.127.255	KW
188.231.128.0	188.231.255.255	UA
188.240.0.0	188.241.214.255	RO
188.241.215.0	188.241.215.255	GB
188.241.216.0	188.241.255.255	RO
188.242.0.0	188.244.15.255	RU
188.244.16.0	188.244.31.255	MD
188.244.32.0	188.244.47.255	RU
188.244.48.0	188.244.63.255	CZ
188.244.64.0	188.244.79.255	DK
188.244.80.0	188.244.95.255	ES
188.244.96.0	188.244.111.255	JO
188.246.0.0	188.246.31.255	DE
188.246.32.0	188.246.63.255	RS
188.246.64.0	188.246.95.255	BA
188.246.96.0	188.246.127.255	CZ
188.246.128.0	188.246.159.255	PL
188.246.160.0	188.246.191.255	RU
188.246.224.0	188.246.255.255	RU
188.247.0.0	188.247.31.255	SY
188.247.32.0	188.247.63.255	RU
188.247.64.0	188.247.95.255	JO
188.248.0.0	188.249.255.255	SA
189.0.0.0	189.127.255.255	BR
189.128.0.0	189.128.1.255	UY
189.128.2.0	189.128.2.255	MX
189.128.3.0	189.128.7.255	UY
189.128.8.0	189.255.255.255	MX
190.0.0.0	190.0.63.255	CO
190.0.64.0	190.0.95.255	DO
190.0.96.0	190.0.127.255	AR
190.0.128.0	190.0.159.255	UY
190.0.160.0	190.0.191.255	AR
190.0.192.0	190.0.223.255	GT
190.1.0.0	190.1.63.255	AR
190.1.64.0	190.1.95.255	CO
190.1.128.0	190.1.255.255	CO
190.2.0.0	190.2.63.255	AR
190.2.64.0	190.2.79.255	PY
190.2.80.0	190.2.87.255	AR
190.2.88.0	190.2.95.255	CL
190.2.96.0	190.2.127.255	AR
190.2.128.0	190.2.191.255	AN
190.2.192.0	190.2.207.255	PY
190.2.224.0	190.2.239.255	PA
190.3.0.0	190.3.159.255	AR
190.3.160.0	190.3.167.255	CO
190.3.168.0	190.3.183.255	CL
190.3.184.0	190.3.191.255	BO
190.3.192.0	190.3.255.255	CO
190.4.0.0	190.4.13.211	GT
190.4.13.212	190.4.13.215	HN
190.4.13.216	190.4.63.255	GT
190.4.64.0	190.4.79.255	AN
190.4.96.0	190.4.111.255	CL
190.4.128.0	190.4.191.255	AN
190.4.192.0	190.4.255.255	CL
190.5.0.0	190.5.31.255	AR
190.5.64.0	190.5.127.255	HN
190.5.128.0	190.5.159.255	SV
190.5.192.0	190.5.207.255	CO
190.5.224.0	190.5.255.255	PA
190.6.0.0	190.6.63.255	VE
190.6.64.0	190.6.95.255	CU
190.6.96.0	190.6.127.255	AR
190.6.128.0	190.6.159.255	DO
190.6.160.0	190.6.191.255	CO
190.6.192.0	190.6.207.255	HN
190.6.224.0	190.6.239.255	TT
190.7.0.0	190.7.63.255	AR
190.7.64.0	190.7.159.255	CO
190.7.160.0	190.7.175.255	CR
190.7.192.0	190.7.223.255	CR
190.7.224.0	190.8.15.255	AR
190.8.32.0	190.8.47.255	DO
190.8.64.0	190.8.127.255	CL
190.8.128.0	190.8.159.255	PE
190.8.192.0	190.8.255.255	CO
190.9.0.0	190.9.15.255	AR
190.9.32.0	190.9.47.255	VE
190.9.48.0	190.9.55.255	PA
190.9.56.0	190.9.63.255	CL
190.9.64.0	190.9.127.255	CO
190.9.128.0	190.9.159.255	VE
190.9.160.0	190.9.191.255	EC
190.9.192.0	190.9.255.255	CO
190.10.0.0	190.10.127.255	CR
190.10.128.0	190.11.31.255	EC
190.11.32.0	190.11.63.255	AR
190.11.64.0	190.11.95.255	BO
190.11.96.0	190.11.207.255	AR
190.11.224.0	190.11.239.255	HN
190.12.0.0	190.12.63.255	EC
190.12.64.0	190.12.95.255	PE
190.12.96.0	190.12.127.255	AR
190.12.128.0	190.12.159.255	CO
190.12.192.0	190.12.217.255	AR
190.12.218.0	190.12.218.255	US
190.12.219.0	190.12.255.255	AR
190.13.0.0	190.13.63.255	CO
190.13.64.0	190.13.79.255	CL
190.13.96.0	190.13.111.255	CO
190.13.128.0	190.13.191.255	CL
190.13.192.0	190.13.207.255	CO
190.13.224.0	190.14.31.255	AR
190.14.64.0	190.14.68.255	AR
190.14.69.0	190.14.69.255	CL
190.14.70.0	190.14.80.255	AR
190.14.81.0	190.14.81.255	CL
190.14.82.0	190.14.83.255	AR
190.14.84.0	190.14.84.255	CL
190.14.85.0	190.14.91.255	AR
190.14.92.0	190.14.92.255	CL
190.14.93.0	190.14.127.255	AR
190.14.128.0	190.14.143.255	GT
190.14.160.0	190.14.191.255	AR
190.14.192.0	190.14.223.255	PA
190.14.224.0	190.15.31.255	CO
190.15.64.0	190.15.79.255	HN
190.15.96.0	190.15.127.255	AR
190.15.128.0	190.15.143.255	EC
190.15.160.0	190.15.191.255	VE
190.15.192.0	190.15.223.255	AR
190.16.0.0	190.19.255.255	AR
190.20.0.0	190.22.255.255	CL
190.23.0.0	190.23.127.255	PY
190.24.0.0	190.29.255.255	CO
190.30.0.0	190.31.255.255	AR
190.32.0.0	190.35.255.255	PA
190.36.0.0	190.39.255.255	VE
190.40.0.0	190.43.255.255	PE
190.44.0.0	190.47.255.255	CL
190.48.0.0	190.51.255.255	AR
190.52.0.0	190.52.31.255	CO
190.52.64.0	190.52.79.255	EC
190.52.96.0	190.52.111.255	CO
190.52.128.0	190.52.191.255	PY
190.52.192.0	190.52.207.255	EC
190.52.224.0	190.52.255.255	DO
190.53.0.0	190.53.34.255	SV
190.53.35.0	190.53.39.255	NI
190.53.40.0	190.53.47.255	SV
190.53.48.0	190.53.95.255	HN
190.53.96.0	190.53.191.255	SV
190.53.192.0	190.53.207.255	HN
190.53.208.0	190.53.255.255	SV
190.54.0.0	190.54.255.255	CL
190.55.0.0	190.55.255.255	AR
190.56.0.0	190.56.255.255	GT
190.57.0.0	190.57.79.255	SV
190.57.80.0	190.57.109.255	GT
190.57.110.0	190.57.111.255	SV
190.57.112.0	190.57.113.255	GT
190.57.114.0	190.57.115.255	SV
190.57.116.0	190.57.123.255	GT
190.57.124.0	190.57.127.255	SV
190.58.0.0	190.59.255.255	TT
190.60.0.0	190.60.19.255	MX
190.60.20.0	190.60.21.255	CO
190.60.22.0	190.60.22.255	MX
190.60.23.0	190.60.127.255	CO
190.60.128.0	190.60.133.255	AR
190.60.134.0	190.60.136.79	CO
190.60.136.80	190.60.136.87	AR
190.60.136.88	190.60.136.255	CO
190.60.137.0	190.60.137.255	AR
190.60.138.0	190.60.138.255	CO
190.60.139.0	190.60.139.255	AR
190.60.140.0	190.61.12.255	CO
190.61.13.0	190.61.13.255	AR
190.61.14.0	190.61.255.255	CO
190.64.0.0	190.64.255.255	UY
190.65.0.0	190.71.255.255	CO
190.72.0.0	190.79.255.255	VE
190.80.0.0	190.80.127.255	GY
190.80.128.0	190.80.255.255	DO
190.81.0.0	190.81.255.255	PE
190.82.0.0	190.82.255.255	CL
190.83.0.0	190.83.127.255	CO
190.84.0.0	190.85.255.255	CO
190.86.0.0	190.87.255.255	SV
190.88.0.0	190.89.255.255	AN
190.90.0.0	190.90.255.255	CO
190.92.0.0	190.92.63.255	HN
190.92.128.0	190.92.255.255	AR
190.93.0.0	190.93.127.255	TT
190.93.128.0	190.93.159.255	CO
190.93.192.0	190.93.207.255	AR
190.93.224.0	190.93.239.255	CL
190.94.0.0	190.94.127.255	DO
190.94.128.0	190.94.159.255	EC
190.94.192.0	190.94.223.255	VE
190.95.0.0	190.95.127.255	CL
190.95.128.0	190.95.255.255	EC
190.96.0.0	190.96.127.255	CL
190.96.128.0	190.96.255.255	CO
190.97.0.0	190.97.63.255	AR
190.97.64.0	190.97.95.255	CO
190.97.96.0	190.97.111.255	TT
190.97.128.0	190.97.255.255	CO
190.98.0.0	190.98.127.255	SR
190.98.128.0	190.98.131.255	GT
190.98.132.0	190.98.135.255	AR
190.98.136.0	190.98.136.255	PE
190.98.137.0	190.98.143.255	AR
190.98.144.0	190.98.159.255	BR
190.98.160.0	190.98.191.255	AR
190.98.192.0	190.98.255.255	CL
190.99.0.0	190.99.15.255	NI
190.99.16.0	190.99.63.255	GT
190.99.64.0	190.99.71.255	AR
190.99.72.0	190.99.79.255	EC
190.99.80.0	190.99.87.255	AR
190.99.88.0	190.99.91.255	CL
190.99.92.0	190.99.95.255	BO
190.99.96.0	190.99.111.255	UY
190.99.128.0	190.99.255.255	CO
190.100.0.0	190.101.255.255	CL
190.102.0.0	190.102.31.255	AN
190.102.32.0	190.102.47.255	CR
190.102.48.0	190.102.55.255	BO
190.102.56.0	190.102.63.255	PA
190.102.64.0	190.102.95.255	HT
190.102.128.0	190.102.159.255	PE
190.102.192.0	190.102.223.255	CO
190.102.224.0	190.102.255.255	CL
190.103.0.0	190.103.15.255	AR
190.103.32.0	190.103.63.255	VE
190.103.64.0	190.103.79.255	BO
190.103.96.0	190.103.127.255	CO
190.103.128.0	190.103.255.255	AR
190.104.0.0	190.104.31.255	BO
190.104.64.0	190.104.79.255	AR
190.104.96.0	190.104.111.255	AW
190.104.128.0	190.104.191.255	PY
190.105.0.0	190.105.127.255	AR
190.105.128.0	190.105.143.255	HN
190.105.192.0	190.105.195.255	AN
190.105.196.0	190.105.207.255	AR
190.105.224.0	190.105.239.255	AR
190.106.0.0	190.106.31.255	NI
190.106.64.0	190.106.79.255	CR
190.106.96.0	190.106.111.255	AR
190.106.128.0	190.106.138.255	AR
190.106.139.0	190.106.139.255	US
190.106.140.0	190.106.187.255	AR
190.106.188.0	190.106.188.255	US
190.106.189.0	190.106.191.255	AR
190.107.0.0	190.107.15.255	CU
190.107.32.0	190.107.63.255	BO
190.107.64.0	190.107.79.255	EC
190.107.96.0	190.107.127.255	AR
190.107.128.0	190.107.159.255	HN
190.107.160.0	190.107.175.255	PA
190.107.192.0	190.107.207.255	AR
190.107.224.0	190.107.231.255	CL
190.107.232.0	190.107.239.255	EC
190.107.240.0	190.107.247.255	AR
190.107.248.0	190.107.255.255	AN
190.108.0.0	190.108.31.255	UY
190.108.64.0	190.108.71.255	EC
190.108.80.0	190.108.87.255	PE
190.108.128.0	190.108.191.255	CL
190.108.192.0	190.108.195.255	AR
190.108.196.0	190.108.207.255	GY
190.108.224.0	190.108.239.255	AR
190.109.16.0	190.109.31.255	AR
190.109.64.0	190.109.95.255	PA
190.109.128.0	190.109.191.255	CO
190.109.192.0	190.109.223.255	HN
190.110.0.0	190.110.63.255	DO
190.110.64.0	190.110.95.255	CO
190.110.128.0	190.110.159.255	CL
190.110.192.0	190.110.223.255	EC
190.111.0.0	190.111.31.255	GT
190.111.64.0	190.111.79.255	EC
190.111.96.0	190.111.111.255	PA
190.111.112.0	190.111.119.255	AR
190.111.128.0	190.111.191.255	PA
190.111.192.0	190.111.223.255	AR
190.112.0.0	190.112.39.255	AR
190.112.48.0	190.112.51.255	CL
190.112.52.0	190.112.55.255	UY
190.112.56.0	190.112.95.255	AR
190.112.128.0	190.112.159.255	CO
190.112.192.0	190.112.207.255	UY
190.112.224.0	190.112.239.255	AN
190.113.0.0	190.113.31.255	CL
190.113.64.0	190.113.79.255	AR
190.113.96.0	190.113.111.255	CR
190.113.128.0	190.113.159.255	AR
190.113.192.0	190.113.223.255	PE
190.114.0.0	190.114.31.255	VE
190.114.64.0	190.114.159.255	AR
190.114.192.0	190.114.223.255	AR
190.114.224.0	190.114.231.255	PY
190.114.240.0	190.114.247.255	VE
190.115.0.0	190.115.15.255	GT
190.115.32.0	190.115.63.255	AR
190.115.64.0	190.115.95.255	PA
190.116.0.0	190.119.255.255	PE
190.120.0.0	190.120.15.255	SV
190.120.32.0	190.120.47.255	PE
190.120.64.0	190.120.79.255	EC
190.120.96.0	190.120.111.255	AR
190.120.128.0	190.120.143.255	CO
190.120.160.0	190.120.175.255	CL
190.120.192.0	190.120.223.255	HT
190.120.224.0	190.120.239.255	PA
190.121.0.0	190.121.127.255	CL
190.121.128.0	190.121.143.255	CO
190.121.160.0	190.121.175.255	PY
190.121.192.0	190.121.207.255	GT
190.121.224.0	190.121.239.255	VE
190.122.0.0	190.122.79.255	AR
190.122.96.0	190.122.111.255	DO
190.122.128.0	190.122.143.255	AR
190.122.160.0	190.122.175.255	PA
190.122.192.0	190.122.255.255	AR
190.123.0.0	190.123.15.255	EC
190.123.32.0	190.123.47.255	PA
190.123.64.0	190.123.79.255	CL
190.123.96.0	190.123.111.255	AR
190.123.128.0	190.123.143.255	CR
190.123.160.0	190.123.175.255	VE
190.123.192.0	190.123.255.255	PA
190.124.0.0	190.124.15.255	AR
190.124.32.0	190.124.39.255	NI
190.124.40.0	190.124.47.255	BZ
190.124.48.0	190.124.55.255	PE
190.124.56.0	190.124.63.255	AR
190.124.64.0	190.124.95.255	DO
190.124.128.0	190.124.159.255	AR
190.124.160.0	190.124.167.255	HN
190.124.192.0	190.124.215.255	AR
190.124.216.0	190.124.219.255	AN
190.124.220.0	190.124.223.255	GY
190.124.224.0	190.124.243.255	AR
190.124.244.0	190.124.251.255	CR
190.124.252.0	190.124.255.255	AR
190.125.0.0	190.127.255.255	CO
190.128.0.0	190.128.7.255	UY
190.128.8.0	190.128.127.255	CO
190.128.128.0	190.128.255.255	PY
190.129.0.0	190.129.255.255	BO
190.130.0.0	190.130.63.255	HN
190.131.0.0	190.131.255.255	EC
190.132.0.0	190.135.255.255	UY
190.136.0.0	190.137.160.255	AR
190.137.161.0	190.137.161.255	UY
190.137.162.0	190.139.255.255	AR
190.140.0.0	190.141.255.255	PA
190.142.0.0	190.142.255.255	VE
190.143.0.0	190.143.127.255	CO
190.143.128.0	190.143.191.255	GT
190.144.0.0	190.147.255.255	CO
190.148.0.0	190.149.255.255	GT
190.150.0.0	190.150.127.255	SV
190.151.0.0	190.151.127.255	CL
190.152.0.0	190.152.255.255	EC
190.153.0.0	190.153.127.255	VE
190.154.0.0	190.155.255.255	EC
190.156.0.0	190.159.255.255	CO
190.160.0.0	190.164.255.255	CL
190.165.0.0	190.165.255.255	CO
190.166.0.0	190.167.255.255	DO
190.168.0.0	190.170.255.255	VE
190.171.0.0	190.171.63.255	CR
190.171.128.0	190.171.191.255	CL
190.172.0.0	190.180.129.255	AR
190.180.130.0	190.180.131.255	US
190.180.132.0	190.180.255.255	AR
190.181.0.0	190.181.63.255	BO
190.181.128.0	190.181.191.255	NI
190.182.0.0	190.182.127.255	CO
190.183.0.0	190.183.255.255	AR
190.184.0.0	190.184.127.255	NI
190.185.0.0	190.185.127.255	AN
190.185.128.0	190.185.191.255	AR
190.186.0.0	190.186.255.255	BO
190.187.0.0	190.187.255.255	PE
190.188.0.0	190.195.255.255	AR
190.196.0.0	190.196.191.255	CL
190.196.192.0	190.196.207.255	HT
190.196.224.0	190.196.239.255	AR
190.197.0.0	190.197.127.255	BZ
190.197.128.0	190.197.255.255	AR
190.198.0.0	190.207.255.255	VE
190.208.0.0	190.209.255.255	CL
190.210.0.0	190.210.255.255	AR
190.211.0.0	190.211.63.255	CL
190.212.0.0	190.212.255.255	NI
190.213.0.0	190.213.255.255	TT
190.214.0.0	190.214.255.255	EC
190.215.0.0	190.215.127.255	CL
190.216.0.0	190.216.191.255	AR
190.216.192.0	190.216.207.255	CO
190.216.208.0	190.216.239.255	AR
190.216.240.0	190.216.255.255	VE
190.218.0.0	190.219.255.255	PA
190.220.0.0	190.221.255.255	AR
190.222.0.0	190.223.255.255	PE
190.224.0.0	190.231.255.255	AR
190.232.0.0	190.239.255.255	PE
190.240.0.0	190.240.127.255	CO
190.241.0.0	190.241.43.255	CR
190.241.44.0	190.241.44.255	CO
190.241.45.0	190.241.45.255	CR
190.241.46.0	190.241.47.127	CO
190.241.47.128	190.241.255.255	CR
190.242.0.0	190.242.31.255	NI
190.242.32.0	190.242.255.255	CO
190.244.0.0	190.247.255.255	AR
190.248.0.0	190.255.255.255	CO
192.0.0.0	192.5.27.255	US
192.5.28.0	192.5.31.255	GB
192.5.32.0	192.5.35.255	US
192.5.36.0	192.5.36.255	SE
192.5.37.0	192.5.49.255	US
192.5.50.0	192.5.50.255	SE
192.5.52.0	192.5.56.255	US
192.5.59.0	192.5.59.255	FR
192.5.61.0	192.5.62.255	FR
192.5.63.0	192.5.89.255	US
192.5.90.0	192.5.90.255	KR
192.5.91.0	192.5.95.255	US
192.5.96.0	192.5.96.255	CA
192.5.97.0	192.5.97.255	IT
192.5.98.0	192.5.141.255	US
192.5.142.0	192.5.142.255	FR
192.5.143.0	192.5.143.255	US
192.5.144.0	192.5.144.255	CA
192.5.145.0	192.5.145.255	DE
192.5.146.0	192.5.161.255	US
192.5.162.0	192.5.162.255	AT
192.5.163.0	192.5.203.255	US
192.5.204.0	192.5.205.255	CA
192.5.206.0	192.5.215.255	US
192.5.216.0	192.5.216.255	JP
192.5.217.0	192.5.238.255	US
192.5.239.0	192.5.239.255	GB
192.5.240.0	192.5.240.255	AU
192.5.242.0	192.5.253.255	US
192.5.254.0	192.5.254.255	GB
192.6.0.0	192.6.0.255	GB
192.6.1.0	192.6.83.255	US
192.6.84.0	192.6.84.255	NL
192.6.85.0	192.6.148.255	US
192.6.149.0	192.6.149.255	AU
192.6.150.0	192.11.255.255	US
192.12.1.0	192.12.1.255	GB
192.12.3.0	192.12.44.255	US
192.12.47.0	192.12.47.255	IT
192.12.48.0	192.12.53.255	US
192.12.54.0	192.12.54.255	NL
192.12.56.0	192.12.61.255	US
192.12.62.0	192.12.62.255	CA
192.12.63.0	192.12.71.255	US
192.12.72.0	192.12.73.255	GB
192.12.74.0	192.12.75.255	US
192.12.76.0	192.12.76.255	AU
192.12.77.0	192.12.77.255	IT
192.12.78.0	192.12.80.255	US
192.12.81.0	192.12.81.255	DE
192.12.82.0	192.12.95.255	US
192.12.96.0	192.12.96.255	FR
192.12.97.0	192.12.97.255	US
192.12.98.0	192.12.98.255	CA
192.12.99.0	192.12.99.255	GB
192.12.100.0	192.12.103.255	US
192.12.108.0	192.12.127.255	US
192.12.129.0	192.12.129.255	CA
192.12.130.0	192.12.171.255	US
192.12.173.0	192.12.173.255	US
192.12.174.0	192.12.183.255	CA
192.12.184.0	192.12.191.255	US
192.12.192.0	192.12.194.255	IT
192.12.195.0	192.12.214.255	US
192.12.215.0	192.12.215.255	CA
192.12.216.0	192.12.216.255	US
192.12.217.0	192.12.218.255	CH
192.12.220.0	192.12.230.255	US
192.12.231.0	192.12.231.255	GB
192.12.232.0	192.12.232.255	PT
192.12.233.0	192.12.234.255	US
192.12.235.0	192.12.235.255	SE
192.12.236.0	192.12.246.255	US
192.12.247.0	192.12.247.255	CH
192.12.248.0	192.15.255.255	US
192.16.64.0	192.16.122.255	US
192.16.123.0	192.16.136.255	SE
192.16.137.0	192.16.137.255	EU
192.16.138.0	192.16.154.255	SE
192.16.155.0	192.16.166.255	CH
192.16.167.0	192.16.177.255	US
192.16.178.0	192.16.179.255	JP
192.16.180.0	192.16.180.255	AU
192.16.181.0	192.16.182.255	US
192.16.183.0	192.16.202.255	NL
192.16.203.0	192.16.204.255	US
192.16.205.0	192.16.255.255	CA
192.17.0.0	192.18.194.255	US
192.18.195.0	192.18.195.255	GB
192.18.196.0	192.25.18.255	US
192.25.19.0	192.25.19.255	DE
192.25.20.0	192.25.21.255	US
192.25.22.0	192.25.22.255	GB
192.25.23.0	192.25.32.255	US
192.25.33.0	192.25.33.255	CA
192.25.34.0	192.25.104.255	US
192.25.105.0	192.25.105.255	CA
192.25.106.0	192.26.27.255	US
192.26.28.0	192.26.44.255	CH
192.26.45.0	192.26.45.255	GB
192.26.46.0	192.26.47.255	CH
192.26.48.0	192.26.90.255	US
192.26.91.0	192.26.91.255	JP
192.26.92.0	192.26.92.255	US
192.26.93.0	192.26.94.255	JP
192.26.95.0	192.26.95.255	US
192.26.96.0	192.26.96.255	JP
192.26.97.0	192.26.97.255	US
192.26.100.0	192.26.103.255	US
192.26.104.0	192.26.135.255	FI
192.26.136.0	192.26.136.255	US
192.26.144.0	192.26.153.255	US
192.26.154.0	192.26.173.255	NL
192.26.174.0	192.26.193.255	DE
192.26.194.0	192.26.209.255	US
192.26.210.0	192.26.212.255	CA
192.26.213.0	192.26.214.255	US
192.26.215.0	192.26.230.255	AU
192.26.231.0	192.26.231.255	PT
192.26.232.0	192.26.232.255	AU
192.26.233.0	192.26.233.255	US
192.26.234.0	192.26.234.255	GB
192.26.235.0	192.26.235.255	CA
192.26.236.0	192.26.236.255	PT
192.26.237.0	192.26.237.255	EU
192.26.238.0	192.26.238.255	AT
192.26.239.0	192.26.239.255	PT
192.26.240.0	192.30.127.255	US
192.30.142.0	192.30.142.255	CA
192.30.147.0	192.30.148.255	US
192.30.149.0	192.30.149.255	CA
192.30.191.0	192.30.191.255	US
192.30.200.0	192.30.200.255	US
192.30.202.0	192.30.202.255	CA
192.30.206.0	192.30.209.255	US
192.30.226.0	192.30.226.255	CA
192.30.240.0	192.31.5.255	US
192.31.6.0	192.31.6.255	CA
192.31.7.0	192.31.13.255	US
192.31.14.0	192.31.14.255	DE
192.31.16.0	192.31.22.255	US
192.31.23.0	192.31.23.255	BE
192.31.24.0	192.31.25.255	US
192.31.26.0	192.31.26.255	GB
192.31.27.0	192.31.27.255	FR
192.31.28.0	192.31.30.255	US
192.31.31.0	192.31.31.255	GB
192.31.32.0	192.31.39.255	US
192.31.40.0	192.31.40.255	BE
192.31.41.0	192.31.48.255	US
192.31.62.0	192.31.62.255	GB
192.31.63.0	192.31.101.255	US
192.31.102.0	192.31.102.255	DE
192.31.104.0	192.31.115.255	US
192.31.116.0	192.31.127.255	JP
192.31.144.0	192.31.164.255	US
192.31.166.0	192.31.171.255	NL
192.31.172.0	192.31.179.255	US
192.31.180.0	192.31.180.255	CA
192.31.181.0	192.31.181.255	US
192.31.191.0	192.31.196.255	US
192.31.197.0	192.31.206.255	JP
192.31.207.0	192.31.207.255	US
192.31.209.0	192.31.210.255	US
192.31.211.0	192.31.211.255	FR
192.31.212.0	192.31.223.255	US
192.31.224.0	192.31.224.255	CA
192.31.225.0	192.31.227.255	US
192.31.229.0	192.31.230.255	US
192.31.231.0	192.31.231.255	NL
192.31.232.0	192.31.251.255	US
192.31.252.0	192.31.252.255	FR
192.31.253.0	192.31.254.255	US
192.32.0.0	192.33.9.255	US
192.33.10.0	192.33.10.255	ZA
192.33.12.0	192.33.14.255	US
192.33.15.0	192.33.15.255	FR
192.33.16.0	192.33.16.255	GB
192.33.19.0	192.33.23.255	US
192.33.32.0	192.33.35.255	US
192.33.36.0	192.33.36.255	NL
192.33.37.0	192.33.86.255	US
192.33.87.0	192.33.111.255	CH
192.33.112.0	192.33.112.255	US
192.33.113.0	192.33.114.255	FR
192.33.115.0	192.33.117.255	US
192.33.118.0	192.33.127.255	CH
192.33.128.0	192.33.129.255	US
192.33.130.0	192.33.130.255	GB
192.33.131.0	192.33.131.255	NL
192.33.134.0	192.33.134.255	US
192.33.135.0	192.33.135.255	JP
192.33.136.0	192.33.142.255	US
192.33.143.0	192.33.182.255	FR
192.33.183.0	192.33.191.255	US
192.33.192.0	192.33.231.255	CH
192.33.232.0	192.33.232.255	US
192.33.233.0	192.33.233.255	NL
192.33.234.0	192.33.251.255	US
192.33.253.0	192.33.253.255	US
192.33.254.0	192.33.254.255	DE
192.34.19.0	192.34.19.255	GB
192.34.25.0	192.34.25.255	US
192.34.35.0	192.34.35.255	US
192.34.50.0	192.34.50.255	GB
192.34.70.0	192.34.70.255	CA
192.34.71.0	192.34.72.255	US
192.34.90.0	192.34.90.255	US
192.34.107.0	192.34.107.255	SE
192.34.116.0	192.34.116.255	NL
192.34.145.0	192.34.145.255	US
192.34.169.0	192.34.169.255	US
192.34.179.0	192.34.179.255	FI
192.34.180.0	192.34.199.255	CA
192.34.212.0	192.34.215.255	US
192.34.224.0	192.34.255.255	US
192.35.0.0	192.35.19.255	DE
192.35.20.0	192.35.58.255	US
192.35.59.0	192.35.59.255	AU
192.35.60.0	192.35.60.255	US
192.35.62.0	192.35.62.255	US
192.35.63.0	192.35.72.255	DE
192.35.73.0	192.35.89.255	US
192.35.90.0	192.35.90.255	DE
192.35.91.0	192.35.93.255	US
192.35.94.0	192.35.94.255	GB
192.35.95.0	192.35.107.255	US
192.35.108.0	192.35.108.255	GB
192.35.109.0	192.35.129.255	US
192.35.130.0	192.35.133.255	NL
192.35.134.0	192.35.137.255	US
192.35.138.0	192.35.138.255	GB
192.35.140.0	192.35.143.255	US
192.35.144.0	192.35.144.255	CA
192.35.145.0	192.35.145.255	US
192.35.146.0	192.35.146.255	IT
192.35.147.0	192.35.148.255	US
192.35.149.0	192.35.153.255	DE
192.35.154.0	192.35.171.255	US
192.35.172.0	192.35.172.255	GB
192.35.173.0	192.35.180.255	US
192.35.182.0	192.35.182.255	US
192.35.183.0	192.35.192.255	NL
192.35.193.0	192.35.196.255	US
192.35.197.0	192.35.198.255	GB
192.35.204.0	192.35.204.255	US
192.35.205.0	192.35.206.255	GB
192.35.207.0	192.35.207.255	IE
192.35.208.0	192.35.228.255	US
192.35.229.0	192.35.229.255	DE
192.35.230.0	192.35.239.255	US
192.35.240.0	192.35.244.255	AT
192.35.245.0	192.35.245.255	US
192.35.246.0	192.35.246.255	PT
192.35.247.0	192.35.247.255	NL
192.35.248.0	192.35.248.255	AU
192.35.251.0	192.35.255.255	US
192.36.0.0	192.36.255.255	SE
192.37.0.0	192.37.255.255	CH
192.38.0.0	192.38.255.255	DK
192.39.0.0	192.39.165.255	US
192.39.166.0	192.39.166.255	AT
192.39.167.0	192.40.63.255	US
192.40.65.0	192.40.65.255	US
192.40.68.0	192.40.80.255	FI
192.40.96.0	192.40.159.255	US
192.40.201.0	192.40.201.255	US
192.40.217.0	192.40.217.255	CA
192.40.228.0	192.40.228.255	FI
192.40.244.0	192.40.249.255	US
192.40.254.0	192.40.254.255	CA
192.41.0.0	192.41.101.255	US
192.41.103.0	192.41.131.255	GB
192.41.132.0	192.41.136.255	CH
192.41.137.0	192.41.137.255	US
192.41.140.0	192.41.140.255	NL
192.41.141.0	192.41.145.255	CH
192.41.146.0	192.41.146.255	AU
192.41.147.0	192.41.147.255	DE
192.41.148.0	192.41.148.255	CA
192.41.149.0	192.41.160.255	CH
192.41.161.0	192.41.169.255	US
192.41.170.0	192.41.170.255	TH
192.41.171.0	192.41.176.255	US
192.41.178.0	192.41.197.255	JP
192.41.198.0	192.41.199.255	US
192.41.201.0	192.41.201.255	CA
192.41.202.0	192.41.202.255	US
192.41.203.0	192.41.203.255	AU
192.41.204.0	192.41.205.255	US
192.41.206.0	192.41.206.255	ID
192.41.207.0	192.41.209.255	US
192.41.210.0	192.41.210.255	GB
192.41.211.0	192.41.215.255	US
192.41.217.0	192.41.217.255	US
192.41.218.0	192.41.218.255	IT
192.41.219.0	192.41.225.255	US
192.41.227.0	192.41.227.255	DE
192.41.228.0	192.41.255.255	US
192.42.1.0	192.42.1.255	DE
192.42.3.0	192.42.4.255	US
192.42.5.0	192.42.6.255	CA
192.42.7.0	192.42.41.255	US
192.42.42.0	192.42.47.255	CH
192.42.48.0	192.42.51.255	US
192.42.52.0	192.42.52.255	AU
192.42.53.0	192.42.53.255	GB
192.42.54.0	192.42.54.255	CA
192.42.55.0	192.42.59.255	US
192.42.60.0	192.42.62.255	AU
192.42.63.0	192.42.64.255	DE
192.42.65.0	192.42.65.255	NO
192.42.66.0	192.42.67.255	US
192.42.68.0	192.42.68.255	CA
192.42.69.0	192.42.70.255	US
192.42.72.0	192.42.83.255	US
192.42.84.0	192.42.86.255	JP
192.42.87.0	192.42.87.255	GB
192.42.88.0	192.42.89.255	US
192.42.90.0	192.42.90.255	CA
192.42.91.0	192.42.95.255	US
192.42.97.0	192.42.98.255	US
192.42.99.0	192.42.99.255	ZA
192.42.100.0	192.42.100.255	GB
192.42.101.0	192.42.101.255	US
192.42.102.0	192.42.102.255	FR
192.42.103.0	192.42.107.255	JP
192.42.108.0	192.42.111.255	US
192.42.112.0	192.42.132.255	NL
192.42.133.0	192.42.142.255	US
192.42.143.0	192.42.143.255	DE
192.42.144.0	192.42.150.255	US
192.42.151.0	192.42.151.255	AU
192.42.152.0	192.42.175.255	US
192.42.179.0	192.42.179.255	US
192.42.180.0	192.42.201.255	CH
192.42.202.0	192.42.204.255	CA
192.42.206.0	192.42.206.255	CA
192.42.207.0	192.42.236.255	US
192.42.237.0	192.42.237.255	JP
192.42.238.0	192.42.252.255	US
192.42.253.0	192.42.253.255	DE
192.42.254.0	192.42.254.255	US
192.43.0.0	192.43.161.255	US
192.43.162.0	192.43.171.255	SE
192.43.172.0	192.43.173.255	US
192.43.174.0	192.43.174.255	JP
192.43.175.0	192.43.184.255	US
192.43.185.0	192.43.185.255	AU
192.43.188.0	192.43.188.255	US
192.43.189.0	192.43.189.255	JP
192.43.191.0	192.43.191.255	US
192.43.192.0	192.43.196.255	CH
192.43.197.0	192.43.197.255	US
192.43.198.0	192.43.198.255	AU
192.43.199.0	192.43.200.255	US
192.43.201.0	192.43.202.255	JP
192.43.203.0	192.43.205.255	US
192.43.207.0	192.43.209.255	AU
192.43.210.0	192.43.210.255	NL
192.43.211.0	192.43.211.255	US
192.43.212.0	192.43.212.255	NL
192.43.213.0	192.43.214.255	US
192.43.216.0	192.43.218.255	US
192.43.219.0	192.43.219.255	CA
192.43.220.0	192.43.223.255	US
192.43.225.0	192.43.225.255	US
192.43.226.0	192.43.229.255	AU
192.43.234.0	192.43.234.255	GB
192.43.235.0	192.43.237.255	US
192.43.239.0	192.43.239.255	AU
192.43.240.0	192.43.255.255	US
192.44.0.0	192.44.40.255	DE
192.44.41.0	192.44.80.255	FR
192.44.81.0	192.44.90.255	DE
192.44.91.0	192.44.239.255	US
192.44.240.0	192.44.251.255	SE
192.44.252.0	192.46.69.255	US
192.46.70.0	192.46.70.255	FI
192.46.71.0	192.46.71.255	BE
192.46.72.0	192.46.187.255	US
192.46.188.0	192.46.190.255	DE
192.46.191.0	192.46.242.255	US
192.46.243.0	192.46.243.255	CA
192.46.244.0	192.46.255.255	US
192.47.0.0	192.47.241.255	JP
192.47.242.0	192.47.243.255	US
192.47.244.0	192.47.249.255	CH
192.47.250.0	192.48.30.255	US
192.48.31.0	192.48.31.255	DE
192.48.32.0	192.48.104.255	US
192.48.106.0	192.48.106.255	US
192.48.107.0	192.48.107.255	DE
192.48.108.0	192.48.108.255	US
192.48.109.0	192.48.110.255	AU
192.48.111.0	192.48.139.255	US
192.48.141.0	192.48.141.255	CA
192.48.143.0	192.48.144.255	US
192.48.145.0	192.48.145.255	DE
192.48.146.0	192.48.223.255	US
192.48.224.0	192.48.224.255	DE
192.48.225.0	192.48.229.255	US
192.48.231.0	192.48.231.255	DE
192.48.232.0	192.48.232.255	US
192.48.234.0	192.48.234.255	CA
192.48.235.0	192.48.235.255	US
192.48.238.0	192.48.238.255	US
192.48.240.0	192.48.247.255	US
192.48.248.0	192.48.248.255	AU
192.48.249.0	192.48.252.255	US
192.48.253.0	192.48.253.255	ZA
192.48.254.0	192.48.254.255	US
192.49.0.0	192.49.255.255	FI
192.50.0.0	192.50.255.255	JP
192.51.0.0	192.51.15.255	NO
192.51.16.0	192.51.255.255	JP
192.52.0.0	192.52.50.255	DE
192.52.51.0	192.52.71.255	US
192.52.72.0	192.52.73.255	AU
192.52.76.0	192.52.107.255	US
192.52.108.0	192.52.108.255	CA
192.52.110.0	192.52.113.255	US
192.52.116.0	192.52.117.255	US
192.52.119.0	192.52.150.255	JP
192.52.151.0	192.52.151.255	US
192.52.152.0	192.52.152.255	NL
192.52.153.0	192.52.157.255	US
192.52.159.0	192.52.160.255	DE
192.52.161.0	192.52.161.255	GB
192.52.163.0	192.52.165.255	US
192.52.170.0	192.52.170.255	US
192.52.171.0	192.52.176.255	AU
192.52.177.0	192.52.184.255	US
192.52.185.0	192.52.185.255	AU
192.52.186.0	192.52.187.255	US
192.52.192.0	192.52.195.255	US
192.52.196.0	192.52.197.255	AU
192.52.198.0	192.52.220.255	US
192.52.221.0	192.52.223.255	NL
192.52.224.0	192.52.231.255	US
192.52.232.0	192.52.232.255	DZ
192.52.233.0	192.52.238.255	US
192.52.239.0	192.52.239.255	CA
192.52.240.0	192.52.249.255	US
192.52.252.0	192.52.252.255	US
192.52.253.0	192.52.253.255	GB
192.52.254.0	192.52.254.255	FR
192.53.0.0	192.53.0.255	US
192.53.1.0	192.53.2.255	BE
192.53.3.0	192.53.102.255	US
192.53.103.0	192.53.103.255	DE
192.53.104.0	192.53.104.255	CH
192.53.105.0	192.53.156.255	US
192.53.157.0	192.53.157.255	FI
192.53.158.0	192.54.30.255	US
192.54.31.0	192.54.65.255	DE
192.54.66.0	192.54.66.255	EU
192.54.67.0	192.54.80.255	DE
192.54.81.0	192.54.103.255	US
192.54.104.0	192.54.104.255	DE
192.54.105.0	192.54.106.255	AU
192.54.107.0	192.54.112.255	US
192.54.113.0	192.54.113.255	DE
192.54.114.0	192.54.114.255	US
192.54.115.0	192.54.120.255	DK
192.54.121.0	192.54.121.255	CA
192.54.122.0	192.54.122.255	CH
192.54.124.0	192.54.124.255	US
192.54.125.0	192.54.128.255	DE
192.54.129.0	192.54.129.255	US
192.54.130.0	192.54.130.255	NZ
192.54.131.0	192.54.131.255	US
192.54.132.0	192.54.132.255	CH
192.54.133.0	192.54.134.255	US
192.54.135.0	192.54.135.255	AU
192.54.137.0	192.54.137.255	AU
192.54.138.0	192.54.138.255	US
192.54.139.0	192.54.139.255	DE
192.54.140.0	192.54.203.255	FR
192.54.204.0	192.54.204.255	EU
192.54.205.0	192.54.219.255	FR
192.54.220.0	192.54.220.255	AT
192.54.221.0	192.54.221.255	DE
192.54.222.0	192.54.224.255	US
192.54.225.0	192.54.225.255	SE
192.54.226.0	192.54.226.255	US
192.54.228.0	192.54.241.255	US
192.54.242.0	192.54.242.255	CA
192.54.243.0	192.54.243.255	US
192.54.244.0	192.54.244.255	CH
192.54.245.0	192.54.245.255	GB
192.54.246.0	192.54.246.255	US
192.54.247.0	192.54.247.255	JP
192.54.248.0	192.54.250.255	US
192.54.251.0	192.54.251.255	AU
192.54.253.0	192.54.253.255	US
192.54.254.0	192.54.254.255	DE
192.55.0.0	192.55.83.255	US
192.55.84.0	192.55.84.255	DE
192.55.86.0	192.55.88.255	US
192.55.89.0	192.55.89.255	DE
192.55.90.0	192.55.95.255	US
192.55.97.0	192.55.97.255	US
192.55.98.0	192.55.99.255	AU
192.55.100.0	192.55.100.255	US
192.55.101.0	192.55.101.255	IT
192.55.102.0	192.55.103.255	US
192.55.105.0	192.55.105.255	NL
192.55.106.0	192.55.108.255	US
192.55.109.0	192.55.109.255	EU
192.55.110.0	192.55.110.255	JP
192.55.111.0	192.55.111.255	US
192.55.112.0	192.55.112.255	AU
192.55.113.0	192.55.114.255	US
192.55.115.0	192.55.115.255	NL
192.55.116.0	192.55.117.255	US
192.55.118.0	192.55.118.255	JP
192.55.120.0	192.55.127.255	US
192.55.129.0	192.55.129.255	NL
192.55.131.0	192.55.131.255	US
192.55.132.0	192.55.132.255	GB
192.55.133.0	192.55.187.255	US
192.55.188.0	192.55.188.255	DE
192.55.189.0	192.55.189.255	US
192.55.190.0	192.55.190.255	AU
192.55.193.0	192.55.193.255	GB
192.55.194.0	192.55.194.255	CA
192.55.195.0	192.55.196.255	US
192.55.197.0	192.55.197.255	DE
192.55.198.0	192.55.198.255	AU
192.55.199.0	192.55.204.255	US
192.55.206.0	192.55.206.255	CA
192.55.207.0	192.55.208.255	US
192.55.209.0	192.55.209.255	AU
192.55.210.0	192.55.211.255	US
192.55.212.0	192.55.212.255	GB
192.55.213.0	192.55.214.255	US
192.55.216.0	192.55.216.255	CA
192.55.218.0	192.55.218.255	US
192.55.219.0	192.55.219.255	AU
192.55.220.0	192.55.220.255	JP
192.55.221.0	192.55.223.255	US
192.55.224.0	192.55.224.255	CA
192.55.226.0	192.55.231.255	US
192.55.232.0	192.55.232.255	AU
192.55.233.0	192.55.237.255	US
192.55.238.0	192.55.238.255	JP
192.55.239.0	192.55.240.255	US
192.55.243.0	192.55.243.255	CA
192.55.244.0	192.55.244.255	DE
192.55.246.0	192.55.246.255	US
192.55.248.0	192.55.249.255	US
192.56.0.0	192.56.13.255	US
192.56.14.0	192.56.14.255	AT
192.56.15.0	192.56.50.255	US
192.56.51.0	192.56.51.255	CA
192.56.52.0	192.56.99.255	US
192.56.100.0	192.56.100.255	FI
192.56.101.0	192.56.127.255	US
192.56.128.0	192.56.128.255	FI
192.56.129.0	192.56.149.255	US
192.56.150.0	192.56.150.255	DE
192.56.151.0	192.56.243.255	US
192.56.244.0	192.56.244.255	CA
192.56.245.0	192.58.8.255	US
192.58.9.0	192.58.18.255	JP
192.58.19.0	192.58.27.255	US
192.58.28.0	192.58.35.255	LU
192.58.36.0	192.58.40.255	US
192.58.41.0	192.58.95.255	FI
192.58.96.0	192.58.101.255	JP
192.58.102.0	192.58.120.255	US
192.58.121.0	192.58.121.255	CA
192.58.122.0	192.58.131.255	US
192.58.132.0	192.58.136.255	AU
192.58.144.0	192.58.196.255	US
192.58.197.0	192.58.197.255	SE
192.58.199.0	192.58.212.255	US
192.58.213.0	192.58.213.255	CA
192.58.215.0	192.58.217.255	US
192.58.218.0	192.58.218.255	IT
192.58.220.0	192.58.226.255	US
192.58.227.0	192.58.228.255	NL
192.58.229.0	192.58.244.255	US
192.58.245.0	192.58.245.255	CA
192.58.246.0	192.62.99.255	US
192.62.100.0	192.62.100.255	GB
192.62.101.0	192.63.255.255	US
192.64.1.0	192.64.1.255	US
192.64.16.0	192.64.17.255	US
192.64.28.0	192.64.28.255	AT
192.64.38.0	192.64.38.255	CA
192.64.44.0	192.64.45.255	EU
192.64.46.0	192.64.51.255	US
192.64.64.0	192.64.96.255	US
192.64.100.0	192.64.103.255	BE
192.64.125.0	192.64.125.255	SE
192.64.157.0	192.64.158.255	US
192.64.159.0	192.64.167.255	CA
192.64.198.0	192.64.198.255	US
192.64.202.0	192.64.202.255	DE
192.64.203.0	192.64.205.255	US
192.64.224.0	192.64.239.255	US
192.65.0.0	192.65.49.255	US
192.65.51.0	192.65.70.255	NL
192.65.71.0	192.65.80.255	US
192.65.82.0	192.65.91.255	AU
192.65.92.0	192.65.94.255	CH
192.65.95.0	192.65.95.255	US
192.65.96.0	192.65.96.255	NL
192.65.97.0	192.65.129.255	US
192.65.130.0	192.65.130.255	AU
192.65.131.0	192.65.131.255	IT
192.65.132.0	192.65.132.255	GB
192.65.135.0	192.65.137.255	US
192.65.139.0	192.65.139.255	DE
192.65.140.0	192.65.143.255	US
192.65.144.0	192.65.146.255	GB
192.65.147.0	192.65.151.255	US
192.65.152.0	192.65.152.255	VE
192.65.153.0	192.65.153.255	GB
192.65.168.0	192.65.175.255	US
192.65.176.0	192.65.176.255	PR
192.65.177.0	192.65.177.255	US
192.65.179.0	192.65.180.255	US
192.65.182.0	192.65.182.255	AU
192.65.183.0	192.65.197.255	CH
192.65.198.0	192.65.216.255	US
192.65.217.0	192.65.217.255	AU
192.65.218.0	192.65.218.255	US
192.65.219.0	192.65.231.255	GB
192.65.244.0	192.65.247.255	US
192.65.248.0	192.65.248.255	NZ
192.65.249.0	192.65.249.255	US
192.65.250.0	192.65.250.255	AU
192.65.251.0	192.65.255.255	US
192.66.0.0	192.66.255.255	DK
192.67.1.0	192.67.1.255	AU
192.67.3.0	192.67.3.255	IE
192.67.4.0	192.67.4.255	GB
192.67.6.0	192.67.6.255	US
192.67.8.0	192.67.8.255	US
192.67.9.0	192.67.9.255	CA
192.67.11.0	192.67.11.255	US
192.67.12.0	192.67.12.255	AU
192.67.13.0	192.67.23.255	US
192.67.39.0	192.67.39.255	GB
192.67.41.0	192.67.42.255	US
192.67.43.0	192.67.43.255	GB
192.67.44.0	192.67.44.255	US
192.67.45.0	192.67.45.255	CA
192.67.46.0	192.67.46.255	US
192.67.47.0	192.67.47.255	GB
192.67.48.0	192.67.49.255	US
192.67.50.0	192.67.50.255	GB
192.67.51.0	192.67.51.255	US
192.67.52.0	192.67.52.255	GB
192.67.53.0	192.67.53.255	US
192.67.55.0	192.67.55.255	DE
192.67.56.0	192.67.57.255	US
192.67.58.0	192.67.58.255	SE
192.67.59.0	192.67.75.255	US
192.67.76.0	192.67.76.255	PT
192.67.77.0	192.67.78.255	US
192.67.79.0	192.67.79.255	ES
192.67.80.0	192.67.83.255	US
192.67.84.0	192.67.85.255	AU
192.67.86.0	192.67.86.255	US
192.67.87.0	192.67.87.255	GB
192.67.90.0	192.67.93.255	US
192.67.94.0	192.67.94.255	GB
192.67.95.0	192.67.99.255	US
192.67.100.0	192.67.104.255	GB
192.67.105.0	192.67.106.255	CA
192.67.107.0	192.67.134.255	US
192.67.135.0	192.67.135.255	GB
192.67.136.0	192.67.159.255	US
192.67.165.0	192.67.166.255	US
192.67.167.0	192.67.167.255	DE
192.67.168.0	192.67.168.255	NZ
192.67.170.0	192.67.170.255	DE
192.67.171.0	192.67.171.255	AU
192.67.172.0	192.67.187.255	US
192.67.188.0	192.67.208.255	DE
192.67.209.0	192.67.216.255	US
192.67.217.0	192.67.217.255	AU
192.67.218.0	192.67.218.255	DE
192.67.219.0	192.67.219.255	US
192.67.220.0	192.67.221.255	NL
192.67.223.0	192.67.223.255	IE
192.67.224.0	192.67.247.255	US
192.67.248.0	192.67.248.255	AU
192.67.249.0	192.67.249.255	GR
192.67.251.0	192.67.255.255	US
192.68.0.0	192.68.3.255	DE
192.68.4.0	192.68.4.255	AT
192.68.5.0	192.68.19.255	DE
192.68.20.0	192.68.22.255	US
192.68.23.0	192.68.23.255	GB
192.68.24.0	192.68.28.255	US
192.68.30.0	192.68.30.255	US
192.68.31.0	192.68.50.255	NL
192.68.51.0	192.68.51.255	EU
192.68.52.0	192.68.52.255	US
192.68.53.0	192.68.74.255	CA
192.68.75.0	192.68.75.255	US
192.68.76.0	192.68.107.255	NO
192.68.108.0	192.68.109.255	US
192.68.110.0	192.68.111.255	JP
192.68.112.0	192.68.127.255	US
192.68.131.0	192.68.131.255	CA
192.68.132.0	192.68.132.255	AU
192.68.133.0	192.68.136.255	US
192.68.137.0	192.68.137.255	CA
192.68.138.0	192.68.138.255	TN
192.68.139.0	192.68.139.255	AU
192.68.140.0	192.68.148.255	US
192.68.151.0	192.68.153.255	GB
192.68.154.0	192.68.163.255	US
192.68.164.0	192.68.169.255	DE
192.68.170.0	192.68.170.255	GB
192.68.171.0	192.68.172.255	AU
192.68.173.0	192.68.173.255	US
192.68.174.0	192.68.174.255	GB
192.68.175.0	192.68.175.255	US
192.68.176.0	192.68.176.255	IT
192.68.177.0	192.68.177.255	US
192.68.179.0	192.68.179.255	AU
192.68.180.0	192.68.181.255	US
192.68.182.0	192.68.182.255	NL
192.68.183.0	192.68.183.255	US
192.68.184.0	192.68.184.255	CA
192.68.185.0	192.68.185.255	US
192.68.186.0	192.68.186.255	PT
192.68.187.0	192.68.207.255	US
192.68.209.0	192.68.209.255	PT
192.68.210.0	192.68.210.255	US
192.68.211.0	192.68.215.255	DE
192.68.216.0	192.68.216.255	PT
192.68.217.0	192.68.220.255	US
192.68.221.0	192.68.221.255	PT
192.68.222.0	192.68.223.255	US
192.68.224.0	192.68.224.255	PT
192.68.225.0	192.68.228.255	US
192.68.229.0	192.68.229.255	CA
192.68.230.0	192.68.230.255	NL
192.68.231.0	192.68.233.255	US
192.68.235.0	192.68.249.255	JP
192.68.250.0	192.68.252.255	NL
192.68.253.0	192.68.253.255	US
192.68.254.0	192.68.254.255	DE
192.69.0.0	192.69.63.255	US
192.69.64.0	192.69.64.255	BE
192.69.74.0	192.69.74.255	CA
192.69.80.0	192.69.87.255	US
192.69.101.0	192.69.101.255	CA
192.69.112.0	192.69.112.255	US
192.69.116.0	192.69.116.255	AU
192.69.117.0	192.69.117.255	US
192.69.128.0	192.69.143.255	US
192.69.144.0	192.69.159.255	CA
192.69.190.0	192.69.190.255	US
192.69.228.0	192.69.231.255	US
192.69.234.0	192.69.234.255	DE
192.69.247.0	192.69.247.255	US
192.70.0.0	192.70.54.255	FR
192.70.55.0	192.70.55.255	US
192.70.56.0	192.70.119.255	FR
192.70.120.0	192.70.132.255	US
192.70.133.0	192.70.134.255	TR
192.70.135.0	192.70.135.255	AU
192.70.136.0	192.70.136.255	IT
192.70.137.0	192.70.139.255	US
192.70.140.0	192.70.159.255	DE
192.70.160.0	192.70.171.255	US
192.70.172.0	192.70.172.255	CA
192.70.173.0	192.70.173.255	US
192.70.174.0	192.70.174.255	AU
192.70.175.0	192.70.175.255	US
192.70.176.0	192.70.177.255	CA
192.70.178.0	192.70.178.255	US
192.70.179.0	192.70.183.255	JP
192.70.184.0	192.70.215.255	US
192.70.216.0	192.70.216.255	AU
192.70.217.0	192.70.218.255	US
192.70.219.0	192.70.219.255	AU
192.70.220.0	192.70.223.255	US
192.70.224.0	192.70.224.255	CA
192.70.225.0	192.70.236.255	US
192.70.237.0	192.70.237.255	ZA
192.70.238.0	192.70.241.255	US
192.70.242.0	192.70.242.255	GB
192.70.244.0	192.70.245.255	US
192.70.248.0	192.70.255.255	US
192.71.0.0	192.71.6.255	SE
192.71.7.0	192.71.7.255	US
192.71.8.0	192.71.255.255	SE
192.72.0.0	192.72.131.255	TW
192.72.132.0	192.72.132.255	CH
192.72.133.0	192.72.252.255	TW
192.72.253.0	192.72.254.255	US
192.73.0.0	192.73.4.255	US
192.73.5.0	192.73.5.255	CA
192.73.6.0	192.73.11.255	US
192.73.12.0	192.73.12.255	AU
192.73.13.0	192.73.17.255	US
192.73.19.0	192.73.20.255	GB
192.73.21.0	192.73.21.255	NZ
192.73.22.0	192.73.22.255	AU
192.73.24.0	192.73.25.255	ID
192.73.26.0	192.73.33.255	US
192.73.34.0	192.73.34.255	DE
192.73.35.0	192.73.44.255	CH
192.73.45.0	192.73.65.255	US
192.73.66.0	192.73.66.255	AU
192.73.67.0	192.73.225.255	US
192.73.226.0	192.73.226.255	BE
192.73.227.0	192.73.228.255	US
192.73.229.0	192.73.229.255	GB
192.73.230.0	192.73.231.255	US
192.74.0.0	192.74.127.255	US
192.74.137.0	192.74.138.255	US
192.74.139.0	192.74.208.255	AU
192.74.209.0	192.74.219.255	US
192.75.0.0	192.75.65.255	CA
192.75.66.0	192.75.66.255	US
192.75.67.0	192.75.191.255	CA
192.75.198.0	192.75.198.255	US
192.75.200.0	192.75.238.255	CA
192.75.239.0	192.75.239.255	US
192.75.240.0	192.75.252.255	CA
192.75.253.0	192.75.253.255	AE
192.75.254.0	192.75.254.255	CA
192.76.0.0	192.76.35.255	GB
192.76.36.0	192.76.119.255	US
192.76.121.0	192.76.121.255	US
192.76.122.0	192.76.122.255	AU
192.76.123.0	192.76.137.255	DE
192.76.138.0	192.76.138.255	EU
192.76.139.0	192.76.172.255	DE
192.76.173.0	192.76.175.255	US
192.76.176.0	192.76.176.255	DE
192.76.177.0	192.76.240.255	US
192.76.241.0	192.76.241.255	DE
192.76.242.0	192.76.242.255	PT
192.76.243.0	192.76.244.255	AT
192.76.245.0	192.76.248.255	DE
192.76.249.0	192.76.251.255	US
192.76.252.0	192.76.255.255	JP
192.77.0.0	192.77.7.255	US
192.77.8.0	192.77.8.255	AU
192.77.9.0	192.77.10.255	US
192.77.11.0	192.77.11.255	CH
192.77.12.0	192.77.16.255	US
192.77.17.0	192.77.17.255	AU
192.77.18.0	192.77.19.255	US
192.77.23.0	192.77.45.255	US
192.77.46.0	192.77.75.255	CA
192.77.76.0	192.77.113.255	US
192.77.114.0	192.77.115.255	DE
192.77.116.0	192.77.119.255	US
192.77.120.0	192.77.123.255	FI
192.77.124.0	192.77.131.255	US
192.77.132.0	192.77.138.255	GB
192.77.139.0	192.77.139.255	US
192.77.140.0	192.77.141.255	ES
192.77.142.0	192.78.109.255	US
192.78.110.0	192.78.111.255	DE
192.78.112.0	192.78.115.255	US
192.78.116.0	192.78.116.255	CA
192.78.117.0	192.78.143.255	US
192.78.144.0	192.78.148.255	DE
192.78.149.0	192.78.153.255	US
192.78.154.0	192.78.154.255	AT
192.78.155.0	192.78.184.255	US
192.78.185.0	192.78.187.255	BE
192.78.188.0	192.78.219.255	US
192.78.220.0	192.78.220.255	DE
192.78.221.0	192.78.235.255	US
192.78.236.0	192.78.245.255	DE
192.78.246.0	192.79.255.255	US
192.80.8.0	192.80.19.255	US
192.80.20.0	192.80.21.255	PT
192.80.22.0	192.80.23.255	US
192.80.24.0	192.80.24.255	CL
192.80.27.0	192.80.27.255	US
192.80.29.0	192.80.30.255	US
192.80.31.0	192.80.42.255	CH
192.80.43.0	192.80.44.255	US
192.80.46.0	192.80.46.255	GB
192.80.47.0	192.80.50.255	US
192.80.51.0	192.80.51.255	DE
192.80.52.0	192.80.95.255	US
192.80.207.0	192.80.208.255	US
192.80.209.0	192.80.209.255	BR
192.80.210.0	192.80.255.255	US
192.81.8.0	192.81.8.255	US
192.81.48.0	192.81.48.255	US
192.81.59.0	192.81.59.255	BE
192.81.60.0	192.81.63.255	GB
192.81.64.0	192.81.79.255	US
192.81.85.0	192.81.85.255	CA
192.81.88.0	192.81.88.255	US
192.81.97.0	192.81.97.255	US
192.81.109.0	192.81.109.255	NO
192.81.114.0	192.81.114.255	US
192.81.121.0	192.81.121.255	DE
192.81.123.0	192.81.123.255	FI
192.81.141.0	192.81.141.255	US
192.81.160.0	192.81.160.255	FI
192.81.166.0	192.81.166.255	US
192.81.182.0	192.81.184.255	FI
192.81.190.0	192.81.190.255	US
192.81.192.0	192.81.192.255	US
192.81.194.0	192.81.194.255	SE
192.81.230.0	192.81.230.255	DE
192.81.234.0	192.81.234.255	GB
192.81.252.0	192.81.253.255	US
192.82.0.0	192.82.103.255	US
192.82.104.0	192.82.104.255	CA
192.82.105.0	192.82.116.255	US
192.82.117.0	192.82.117.255	CA
192.82.118.0	192.82.120.255	US
192.82.121.0	192.82.121.255	GB
192.82.123.0	192.82.123.255	US
192.82.124.0	192.82.124.255	CH
192.82.125.0	192.82.126.255	US
192.82.127.0	192.82.127.255	PT
192.82.128.0	192.82.131.255	CA
192.82.132.0	192.82.132.255	JP
192.82.139.0	192.82.139.255	US
192.82.140.0	192.82.140.255	AU
192.82.141.0	192.82.141.255	US
192.82.142.0	192.82.142.255	ZA
192.82.143.0	192.82.143.255	AU
192.82.147.0	192.82.149.255	US
192.82.150.0	192.82.150.255	CA
192.82.151.0	192.82.151.255	US
192.82.153.0	192.82.153.255	GB
192.82.154.0	192.82.156.255	US
192.82.157.0	192.82.158.255	AT
192.82.159.0	192.82.160.255	US
192.82.161.0	192.82.161.255	AU
192.82.162.0	192.82.213.255	US
192.82.214.0	192.82.214.255	PT
192.82.215.0	192.82.219.255	US
192.82.220.0	192.82.221.255	IT
192.82.222.0	192.82.222.255	AU
192.82.223.0	192.82.229.255	US
192.82.230.0	192.82.230.255	AU
192.82.231.0	192.82.240.255	US
192.82.241.0	192.82.241.255	DE
192.82.244.0	192.82.244.255	US
192.83.0.0	192.83.100.255	FI
192.83.101.0	192.83.101.255	CA
192.83.102.0	192.83.102.255	GB
192.83.104.0	192.83.104.255	JP
192.83.105.0	192.83.117.255	US
192.83.118.0	192.83.119.255	AU
192.83.120.0	192.83.120.255	US
192.83.121.0	192.83.121.255	CA
192.83.122.0	192.83.122.255	CN
192.83.123.0	192.83.123.255	AU
192.83.157.0	192.83.157.255	JP
192.83.158.0	192.83.159.255	US
192.83.160.0	192.83.160.255	FR
192.83.161.0	192.83.163.255	US
192.83.165.0	192.83.165.255	EU
192.83.166.0	192.83.196.255	TW
192.83.197.0	192.83.197.255	US
192.83.198.0	192.83.198.255	AU
192.83.199.0	192.83.199.255	US
192.83.200.0	192.83.200.255	GB
192.83.202.0	192.83.202.255	GB
192.83.203.0	192.83.204.255	US
192.83.206.0	192.83.206.255	US
192.83.207.0	192.83.216.255	GB
192.83.217.0	192.83.219.255	JP
192.83.220.0	192.83.221.255	US
192.83.223.0	192.83.223.255	CH
192.83.224.0	192.83.224.255	AU
192.83.225.0	192.83.228.255	US
192.83.229.0	192.83.229.255	DE
192.83.230.0	192.83.230.255	JP
192.83.231.0	192.83.231.255	AU
192.83.232.0	192.83.236.255	US
192.83.237.0	192.83.238.255	AU
192.83.239.0	192.83.246.255	US
192.83.247.0	192.83.247.255	CA
192.83.248.0	192.83.255.255	US
192.84.2.0	192.84.3.255	US
192.84.5.0	192.84.5.255	GB
192.84.7.0	192.84.11.255	US
192.84.12.0	192.84.12.255	MX
192.84.13.0	192.84.13.255	PT
192.84.14.0	192.84.14.255	US
192.84.15.0	192.84.15.255	PT
192.84.16.0	192.84.26.255	US
192.84.27.0	192.84.27.255	AT
192.84.28.0	192.84.29.255	US
192.84.30.0	192.84.30.255	NL
192.84.31.0	192.84.31.255	US
192.84.32.0	192.84.33.255	NO
192.84.40.0	192.84.47.255	US
192.84.55.0	192.84.61.255	US
192.84.62.0	192.84.62.255	PT
192.84.63.0	192.84.70.255	US
192.84.71.0	192.84.73.255	JP
192.84.74.0	192.84.74.255	US
192.84.75.0	192.84.84.255	GB
192.84.85.0	192.84.86.255	US
192.84.87.0	192.84.87.255	IT
192.84.88.0	192.84.88.255	US
192.84.89.0	192.84.89.255	AU
192.84.90.0	192.84.90.255	SI
192.84.91.0	192.84.92.255	HR
192.84.93.0	192.84.104.255	SI
192.84.105.0	192.84.106.255	HR
192.84.107.0	192.84.109.255	SI
192.84.111.0	192.84.125.255	US
192.84.127.0	192.84.156.255	IT
192.84.157.0	192.84.165.255	US
192.84.166.0	192.84.166.255	CH
192.84.167.0	192.84.172.255	US
192.84.173.0	192.84.173.255	GB
192.84.174.0	192.84.174.255	US
192.84.176.0	192.84.207.255	FI
192.84.208.0	192.84.211.255	US
192.84.212.0	192.84.212.255	GB
192.84.213.0	192.84.218.255	US
192.84.219.0	192.84.219.255	AU
192.84.220.0	192.84.220.255	DE
192.84.221.0	192.84.221.255	AT
192.84.222.0	192.84.224.255	US
192.84.226.0	192.84.229.255	HU
192.84.230.0	192.84.230.255	AU
192.84.231.0	192.84.236.255	US
192.84.237.0	192.84.238.255	AU
192.84.239.0	192.84.240.255	US
192.84.241.0	192.84.242.255	AU
192.84.243.0	192.84.243.255	US
192.84.244.0	192.84.244.255	ZA
192.84.245.0	192.84.247.255	DE
192.84.248.0	192.84.252.255	US
192.84.253.0	192.84.253.255	NZ
192.84.254.0	192.84.254.255	US
192.85.0.0	192.85.15.255	US
192.85.16.0	192.85.17.255	DE
192.85.18.0	192.85.59.255	US
192.85.60.0	192.85.60.255	DE
192.85.61.0	192.85.109.255	US
192.85.110.0	192.85.110.255	DE
192.85.111.0	192.85.255.255	US
192.86.1.0	192.86.1.255	CA
192.86.2.0	192.86.10.255	US
192.86.11.0	192.86.11.255	RU
192.86.12.0	192.86.12.255	NZ
192.86.13.0	192.86.13.255	US
192.86.14.0	192.86.14.255	PL
192.86.15.0	192.86.17.255	US
192.86.18.0	192.86.18.255	GB
192.86.19.0	192.86.24.255	US
192.86.25.0	192.86.25.255	IL
192.86.26.0	192.86.26.255	US
192.86.27.0	192.86.27.255	GB
192.86.28.0	192.86.88.255	US
192.86.89.0	192.86.89.255	IL
192.86.90.0	192.86.124.255	US
192.86.125.0	192.86.126.255	NL
192.86.127.0	192.86.127.255	GB
192.86.128.0	192.86.128.255	US
192.86.129.0	192.86.129.255	AU
192.86.131.0	192.86.131.255	US
192.86.132.0	192.86.133.255	SG
192.86.134.0	192.86.134.255	GB
192.86.135.0	192.86.136.255	US
192.86.137.0	192.86.137.255	GB
192.86.138.0	192.86.138.255	PT
192.86.139.0	192.86.159.255	US
192.86.162.0	192.86.162.255	US
192.86.163.0	192.86.163.255	DE
192.86.164.0	192.86.164.255	US
192.86.165.0	192.86.165.255	AU
192.86.166.0	192.86.166.255	CH
192.86.167.0	192.86.167.255	FR
192.86.168.0	192.86.168.255	US
192.86.169.0	192.86.169.255	GB
192.86.170.0	192.86.253.255	US
192.86.254.0	192.86.254.255	SE
192.87.0.0	192.87.255.255	NL
192.88.1.0	192.88.1.255	CH
192.88.2.0	192.88.3.255	US
192.88.4.0	192.88.4.255	DE
192.88.5.0	192.88.5.255	US
192.88.6.0	192.88.7.255	AU
192.88.8.0	192.88.8.255	US
192.88.9.0	192.88.10.255	GB
192.88.11.0	192.88.15.255	US
192.88.17.0	192.88.17.255	PT
192.88.21.0	192.88.22.255	US
192.88.23.0	192.88.24.255	AT
192.88.25.0	192.88.79.255	US
192.88.80.0	192.88.80.255	JP
192.88.81.0	192.88.82.255	US
192.88.83.0	192.88.84.255	GB
192.88.85.0	192.88.85.255	NZ
192.88.86.0	192.88.86.255	FI
192.88.87.0	192.88.95.255	US
192.88.97.0	192.88.98.255	DE
192.88.101.0	192.88.102.255	JP
192.88.103.0	192.88.107.255	US
192.88.108.0	192.88.108.255	DE
192.88.110.0	192.88.117.255	US
192.88.118.0	192.88.118.255	GB
192.88.119.0	192.88.119.255	NZ
192.88.120.0	192.88.120.255	US
192.88.122.0	192.88.122.255	US
192.88.123.0	192.88.123.255	PT
192.88.124.0	192.88.125.255	US
192.88.128.0	192.88.128.255	GB
192.88.129.0	192.88.129.255	US
192.88.130.0	192.88.130.255	GB
192.88.131.0	192.88.132.255	US
192.88.133.0	192.88.133.255	GB
192.88.136.0	192.88.177.255	US
192.88.184.0	192.88.185.255	US
192.88.187.0	192.88.187.255	AU
192.88.188.0	192.88.189.255	US
192.88.190.0	192.88.190.255	NZ
192.88.191.0	192.88.195.255	US
192.88.196.0	192.88.196.255	IT
192.88.197.0	192.88.197.255	US
192.88.199.0	192.88.203.255	US
192.88.204.0	192.88.204.255	EU
192.88.205.0	192.88.237.255	US
192.88.238.0	192.88.238.255	GB
192.88.239.0	192.88.239.255	DE
192.88.240.0	192.88.249.255	US
192.88.250.0	192.88.255.255	PT
192.89.0.0	192.89.3.7	FI
192.89.3.8	192.89.3.11	AX
192.89.3.12	192.89.9.255	FI
192.89.10.0	192.89.10.63	AX
192.89.10.64	192.89.53.255	FI
192.89.54.0	192.89.54.127	AX
192.89.54.128	192.89.54.171	FI
192.89.54.172	192.89.54.175	AX
192.89.54.176	192.89.98.255	FI
192.89.99.0	192.89.99.255	ES
192.89.100.0	192.89.240.63	FI
192.89.240.64	192.89.240.95	AX
192.89.240.96	192.89.253.255	FI
192.89.254.0	192.89.254.255	AX
192.89.255.0	192.89.255.255	FI
192.90.0.0	192.91.139.255	US
192.91.140.0	192.91.141.255	LU
192.91.142.0	192.91.176.255	US
192.91.177.0	192.91.177.255	PT
192.91.178.0	192.91.178.255	US
192.91.179.0	192.91.179.255	AU
192.91.180.0	192.91.184.255	US
192.91.185.0	192.91.185.255	AU
192.91.186.0	192.91.186.255	RU
192.91.187.0	192.91.188.255	US
192.91.189.0	192.91.189.255	NO
192.91.190.0	192.91.190.255	US
192.91.191.0	192.91.191.255	GB
192.91.192.0	192.91.197.255	US
192.91.199.0	192.91.199.255	GB
192.91.200.0	192.91.200.255	BE
192.91.201.0	192.91.201.255	GB
192.91.202.0	192.91.209.255	US
192.91.210.0	192.91.210.255	CA
192.91.211.0	192.91.211.255	GB
192.91.212.0	192.91.212.255	US
192.91.213.0	192.91.213.255	AU
192.91.214.0	192.91.233.255	SE
192.91.235.0	192.91.235.255	US
192.91.236.0	192.91.247.255	CH
192.91.248.0	192.91.253.255	US
192.91.254.0	192.91.254.255	HK
192.92.8.0	192.92.14.255	US
192.92.15.0	192.92.15.255	NZ
192.92.16.0	192.92.74.255	US
192.92.75.0	192.92.75.255	FI
192.92.76.0	192.92.76.255	US
192.92.77.0	192.92.77.255	NL
192.92.78.0	192.92.84.255	US
192.92.86.0	192.92.86.255	FR
192.92.88.0	192.92.93.255	US
192.92.94.0	192.92.94.255	IE
192.92.95.0	192.92.103.255	US
192.92.104.0	192.92.106.255	IT
192.92.107.0	192.92.107.255	US
192.92.108.0	192.92.108.255	NL
192.92.109.0	192.92.109.255	GB
192.92.110.0	192.92.115.255	US
192.92.116.0	192.92.116.255	FI
192.92.118.0	192.92.124.255	US
192.92.125.0	192.92.125.255	AT
192.92.126.0	192.92.126.255	IT
192.92.127.0	192.92.127.255	NL
192.92.128.0	192.92.128.255	CH
192.92.129.0	192.92.129.255	BG
192.92.130.0	192.92.130.255	BE
192.92.131.0	192.92.132.255	NL
192.92.133.0	192.92.133.255	PT
192.92.134.0	192.92.134.255	NL
192.92.135.0	192.92.135.255	PT
192.92.136.0	192.92.137.255	NL
192.92.138.0	192.92.138.255	AT
192.92.139.0	192.92.139.255	CH
192.92.141.0	192.92.141.255	AT
192.92.142.0	192.92.154.255	PT
192.92.155.0	192.92.156.255	GR
192.92.158.0	192.92.199.255	US
192.92.215.0	192.92.215.255	US
192.92.216.0	192.92.216.255	NO
192.92.217.0	192.92.223.255	US
192.92.224.0	192.92.224.255	DK
192.92.225.0	192.92.235.255	US
192.93.0.0	192.93.161.255	FR
192.93.162.0	192.93.163.255	US
192.93.164.0	192.93.255.255	FR
192.94.0.0	192.94.23.255	US
192.94.24.0	192.94.24.255	PT
192.94.25.0	192.94.27.255	US
192.94.28.0	192.94.28.255	AT
192.94.29.0	192.94.40.255	US
192.94.41.0	192.94.41.255	AU
192.94.42.0	192.94.56.255	US
192.94.57.0	192.94.57.255	AT
192.94.58.0	192.94.58.255	GB
192.94.59.0	192.94.60.255	US
192.94.61.0	192.94.61.255	ZA
192.94.62.0	192.94.64.255	AU
192.94.65.0	192.94.66.255	US
192.94.67.0	192.94.68.255	GR
192.94.69.0	192.94.69.255	US
192.94.72.0	192.94.75.255	US
192.94.76.0	192.94.76.255	DE
192.94.77.0	192.94.109.255	US
192.94.111.0	192.94.115.255	GB
192.94.116.0	192.94.116.255	US
192.94.117.0	192.94.117.255	GB
192.94.118.0	192.94.121.255	US
192.94.122.0	192.94.122.255	BN
192.94.123.0	192.94.123.255	US
192.94.125.0	192.94.125.255	US
192.94.126.0	192.94.126.255	CA
192.94.127.0	192.94.155.255	US
192.94.156.0	192.94.162.255	DK
192.94.163.0	192.94.163.255	ES
192.94.164.0	192.94.168.255	US
192.94.169.0	192.94.169.255	NZ
192.94.170.0	192.94.171.255	US
192.94.172.0	192.94.172.255	GB
192.94.173.0	192.94.173.255	US
192.94.174.0	192.94.174.255	HK
192.94.175.0	192.94.199.255	FR
192.94.200.0	192.94.200.255	AU
192.94.201.0	192.94.202.255	US
192.94.207.0	192.94.207.255	US
192.94.208.0	192.94.209.255	AU
192.94.210.0	192.94.210.255	ZA
192.94.211.0	192.94.211.255	US
192.94.212.0	192.94.212.255	IT
192.94.213.0	192.94.219.255	US
192.94.220.0	192.94.220.255	JP
192.94.221.0	192.94.221.255	RU
192.94.222.0	192.94.225.255	US
192.94.226.0	192.94.226.255	EU
192.94.227.0	192.94.227.255	AU
192.94.228.0	192.94.232.255	US
192.94.233.0	192.94.233.255	CH
192.94.234.0	192.94.234.255	US
192.94.235.0	192.94.235.255	GB
192.94.236.0	192.94.237.255	US
192.94.238.0	192.94.238.255	JP
192.94.239.0	192.94.239.255	AT
192.94.240.0	192.94.241.255	ZA
192.94.242.0	192.94.242.255	US
192.94.243.0	192.94.244.255	AU
192.94.245.0	192.94.245.255	US
192.94.246.0	192.94.246.255	ZA
192.94.247.0	192.94.251.255	US
192.95.65.0	192.95.65.255	US
192.96.0.0	192.96.255.255	ZA
192.97.0.0	192.97.217.255	US
192.97.218.0	192.97.218.255	CA
192.97.219.0	192.97.255.255	US
192.98.0.0	192.98.45.255	FI
192.98.46.0	192.98.46.255	JP
192.98.47.0	192.98.48.255	FI
192.98.49.0	192.98.49.255	EE
192.98.50.0	192.98.255.255	FI
192.100.1.0	192.100.1.255	ZA
192.100.2.0	192.100.2.255	KR
192.100.3.0	192.100.17.255	US
192.100.18.0	192.100.18.255	FR
192.100.19.0	192.100.21.255	US
192.100.22.0	192.100.22.255	AU
192.100.23.0	192.100.25.255	AT
192.100.26.0	192.100.51.255	US
192.100.52.0	192.100.52.255	GB
192.100.53.0	192.100.53.255	NZ
192.100.54.0	192.100.60.255	US
192.100.61.0	192.100.61.255	GB
192.100.62.0	192.100.62.255	US
192.100.63.0	192.100.63.255	NO
192.100.64.0	192.100.71.255	US
192.100.76.0	192.100.76.255	US
192.100.77.0	192.100.77.255	TH
192.100.78.0	192.100.78.255	GB
192.100.79.0	192.100.79.255	US
192.100.80.0	192.100.80.255	AU
192.100.81.0	192.100.81.255	US
192.100.83.0	192.100.95.255	US
192.100.96.0	192.100.98.255	DE
192.100.99.0	192.100.99.255	GB
192.100.100.0	192.100.100.255	US
192.100.101.0	192.100.101.255	CA
192.100.102.0	192.100.103.255	FI
192.100.104.0	192.100.106.255	US
192.100.107.0	192.100.107.31	FI
192.100.107.32	192.100.107.63	GB
192.100.107.64	192.100.107.255	FI
192.100.108.0	192.100.111.255	US
192.100.112.0	192.100.133.255	FI
192.100.134.0	192.100.134.255	US
192.100.135.0	192.100.140.255	GB
192.100.141.0	192.100.143.255	US
192.100.144.0	192.100.144.255	GB
192.100.145.0	192.100.153.255	US
192.100.154.0	192.100.154.255	GB
192.100.155.0	192.100.255.255	MX
192.101.1.0	192.101.1.255	ES
192.101.2.0	192.101.3.255	US
192.101.4.0	192.101.4.255	RU
192.101.6.0	192.101.7.255	US
192.101.8.0	192.101.8.255	ES
192.101.11.0	192.101.11.255	GB
192.101.12.0	192.101.15.255	US
192.101.16.0	192.101.16.255	NZ
192.101.17.0	192.101.27.255	US
192.101.28.0	192.101.28.255	DE
192.101.29.0	192.101.32.255	US
192.101.34.0	192.101.34.255	GB
192.101.35.0	192.101.63.255	US
192.101.75.0	192.101.75.255	DE
192.101.76.0	192.101.80.255	US
192.101.81.0	192.101.90.255	NL
192.101.91.0	192.101.91.255	TH
192.101.92.0	192.101.110.255	US
192.101.111.0	192.101.114.255	NL
192.101.115.0	192.101.117.255	US
192.101.118.0	192.101.118.255	PT
192.101.119.0	192.101.133.255	US
192.101.134.0	192.101.134.255	AU
192.101.135.0	192.101.136.255	US
192.101.137.0	192.101.137.255	GB
192.101.139.0	192.101.141.255	US
192.101.142.0	192.101.142.255	EG
192.101.143.0	192.101.159.255	US
192.101.160.0	192.101.168.255	ES
192.101.169.0	192.101.169.255	PR
192.101.170.0	192.101.170.255	BE
192.101.171.0	192.101.175.255	US
192.101.176.0	192.101.176.255	CH
192.101.177.0	192.101.178.255	US
192.101.179.0	192.101.180.255	DE
192.101.181.0	192.101.182.255	US
192.101.183.0	192.101.183.255	AU
192.101.184.0	192.101.191.255	US
192.101.192.0	192.101.192.255	FI
192.101.193.0	192.101.196.255	US
192.101.197.0	192.101.198.255	DE
192.101.199.0	192.101.251.255	US
192.101.252.0	192.101.252.255	BE
192.101.253.0	192.101.253.255	US
192.101.254.0	192.101.254.255	AU
192.102.1.0	192.102.1.255	AT
192.102.2.0	192.102.5.255	US
192.102.6.0	192.102.7.255	HU
192.102.8.0	192.102.8.255	GB
192.102.9.0	192.102.9.255	ZA
192.102.10.0	192.102.10.255	US
192.102.11.0	192.102.11.255	CA
192.102.12.0	192.102.16.255	US
192.102.17.0	192.102.17.255	AT
192.102.18.0	192.102.32.255	FI
192.102.33.0	192.102.33.255	US
192.102.34.0	192.102.81.255	FI
192.102.82.0	192.102.82.255	US
192.102.83.0	192.102.83.255	TH
192.102.84.0	192.102.84.255	PE
192.102.88.0	192.102.88.255	US
192.102.89.0	192.102.89.255	DE
192.102.90.0	192.102.91.255	US
192.102.92.0	192.102.92.255	NZ
192.102.93.0	192.102.94.255	US
192.102.95.0	192.102.95.255	CH
192.102.96.0	192.102.145.255	US
192.102.146.0	192.102.177.255	DE
192.102.178.0	192.102.213.255	US
192.102.214.0	192.102.214.255	GB
192.102.215.0	192.102.223.255	US
192.102.224.0	192.102.224.255	FR
192.102.225.0	192.102.225.255	PL
192.102.226.0	192.102.226.255	US
192.102.227.0	192.102.228.255	GB
192.102.229.0	192.102.229.255	RU
192.102.230.0	192.102.238.255	US
192.102.239.0	192.102.239.255	AU
192.102.240.0	192.102.249.255	US
192.102.250.0	192.102.251.255	AU
192.102.252.0	192.102.253.255	US
192.103.1.0	192.103.1.255	US
192.103.2.0	192.103.2.255	LU
192.103.3.0	192.103.6.255	US
192.103.7.0	192.103.7.255	FR
192.103.8.0	192.103.11.255	US
192.103.13.0	192.103.13.255	US
192.103.14.0	192.103.14.255	AE
192.103.15.0	192.103.19.255	US
192.103.20.0	192.103.20.255	GR
192.103.21.0	192.103.22.255	US
192.103.23.0	192.103.23.255	DE
192.103.24.0	192.103.26.255	US
192.103.27.0	192.103.27.255	DE
192.103.28.0	192.103.39.255	GB
192.103.40.0	192.103.40.255	DE
192.103.41.0	192.103.41.255	US
192.103.42.0	192.103.43.255	JP
192.103.44.0	192.103.45.255	US
192.103.46.0	192.103.46.255	AU
192.103.47.0	192.103.84.255	US
192.103.85.0	192.103.116.255	FI
192.103.117.0	192.103.129.255	US
192.103.130.0	192.103.130.255	AU
192.103.132.0	192.103.132.255	AU
192.103.133.0	192.103.136.255	US
192.103.137.0	192.103.139.255	GB
192.103.140.0	192.103.146.255	US
192.103.147.0	192.103.147.255	PT
192.103.148.0	192.104.14.255	US
192.104.15.0	192.104.15.255	KR
192.104.16.0	192.104.19.255	US
192.104.21.0	192.104.22.255	US
192.104.23.0	192.104.23.255	IT
192.104.24.0	192.104.27.255	US
192.104.28.0	192.104.29.255	GB
192.104.30.0	192.104.34.255	US
192.104.35.0	192.104.37.255	PT
192.104.39.0	192.104.39.255	US
192.104.40.0	192.104.40.255	JP
192.104.41.0	192.104.41.255	CH
192.104.42.0	192.104.42.255	US
192.104.43.0	192.104.45.255	AU
192.104.46.0	192.104.47.255	US
192.104.48.0	192.104.48.255	PT
192.104.50.0	192.104.52.255	US
192.104.53.0	192.104.53.255	GB
192.104.54.0	192.104.54.255	US
192.104.55.0	192.104.56.255	NL
192.104.57.0	192.104.58.255	NO
192.104.59.0	192.104.71.255	US
192.104.72.0	192.104.72.255	CH
192.104.74.0	192.104.76.255	US
192.104.77.0	192.104.77.255	DE
192.104.78.0	192.104.79.255	US
192.104.80.0	192.104.80.255	JP
192.104.81.0	192.104.81.255	US
192.104.82.0	192.104.82.255	GB
192.104.83.0	192.104.111.255	US
192.104.136.0	192.104.139.255	US
192.104.140.0	192.104.140.255	NL
192.104.141.0	192.104.141.255	US
192.104.142.0	192.104.142.255	NL
192.104.143.0	192.104.146.255	US
192.104.147.0	192.104.147.255	GR
192.104.148.0	192.104.153.255	US
192.104.154.0	192.104.154.255	IE
192.104.155.0	192.104.155.255	FR
192.104.156.0	192.104.159.255	US
192.104.163.0	192.104.166.255	US
192.104.167.0	192.104.168.255	BE
192.104.169.0	192.104.171.255	US
192.104.172.0	192.104.172.255	JP
192.104.173.0	192.104.231.255	US
192.104.232.0	192.104.233.255	JP
192.104.234.0	192.104.237.255	US
192.104.238.0	192.104.238.255	GB
192.104.239.0	192.104.244.255	US
192.104.245.0	192.104.245.255	FR
192.104.246.0	192.104.247.255	JP
192.104.248.0	192.104.248.255	DK
192.104.249.0	192.104.250.255	US
192.104.251.0	192.104.251.255	CH
192.104.252.0	192.104.252.255	NZ
192.104.253.0	192.104.254.255	US
192.105.0.0	192.105.9.255	US
192.105.10.0	192.105.10.255	NZ
192.105.11.0	192.105.74.255	US
192.105.75.0	192.105.75.255	DE
192.105.76.0	192.105.103.255	US
192.105.104.0	192.105.108.255	CA
192.105.109.0	192.105.169.255	US
192.105.170.0	192.105.170.255	FI
192.105.171.0	192.105.194.255	US
192.105.195.0	192.105.195.255	BE
192.105.196.0	192.105.253.255	US
192.105.254.0	192.105.254.255	GB
192.105.255.0	192.105.255.255	US
192.106.0.0	192.106.255.255	IT
192.107.1.0	192.107.1.255	NO
192.107.2.0	192.107.2.255	GB
192.107.3.0	192.107.3.255	US
192.107.4.0	192.107.5.255	GB
192.107.7.0	192.107.8.255	US
192.107.9.0	192.107.9.255	AU
192.107.10.0	192.107.10.255	NZ
192.107.11.0	192.107.13.255	GB
192.107.14.0	192.107.48.255	US
192.107.50.0	192.107.50.255	US
192.107.51.0	192.107.100.255	IT
192.107.101.0	192.107.101.255	AU
192.107.102.0	192.107.103.255	US
192.107.104.0	192.107.104.255	NI
192.107.105.0	192.107.109.255	US
192.107.110.0	192.107.110.255	IE
192.107.112.0	192.107.113.255	NZ
192.107.114.0	192.107.114.255	NO
192.107.115.0	192.107.119.255	US
192.107.122.0	192.107.122.255	PT
192.107.123.0	192.107.123.255	DE
192.107.124.0	192.107.125.255	AT
192.107.126.0	192.107.129.255	GB
192.107.130.0	192.107.130.255	US
192.107.131.0	192.107.131.255	CA
192.107.132.0	192.107.132.255	DE
192.107.134.0	192.107.134.255	US
192.107.144.0	192.107.167.255	US
192.107.168.0	192.107.168.255	GB
192.107.169.0	192.107.170.255	US
192.107.171.0	192.107.172.255	NZ
192.107.173.0	192.107.173.255	US
192.107.174.0	192.107.174.255	GB
192.107.175.0	192.107.176.255	US
192.107.177.0	192.107.177.255	GR
192.107.178.0	192.107.178.255	GB
192.107.179.0	192.107.186.255	US
192.107.187.0	192.107.187.255	SE
192.107.188.0	192.107.199.255	US
192.107.200.0	192.107.231.255	FI
192.107.232.0	192.107.233.255	AT
192.107.234.0	192.107.234.255	US
192.107.235.0	192.107.236.255	DE
192.107.237.0	192.108.22.255	US
192.108.23.0	192.108.92.255	DE
192.108.93.0	192.108.98.255	US
192.108.99.0	192.108.99.255	AU
192.108.100.0	192.108.101.255	NO
192.108.102.0	192.108.106.255	US
192.108.107.0	192.108.108.255	SE
192.108.109.0	192.108.112.255	US
192.108.113.0	192.108.113.255	AU
192.108.114.0	192.108.114.255	GR
192.108.115.0	192.108.119.255	FR
192.108.120.0	192.108.120.255	GB
192.108.121.0	192.108.121.255	AT
192.108.122.0	192.108.124.255	US
192.108.125.0	192.108.125.255	SK
192.108.126.0	192.108.126.255	CZ
192.108.128.0	192.108.129.255	CZ
192.108.130.0	192.108.133.255	SK
192.108.134.0	192.108.136.255	CZ
192.108.137.0	192.108.145.255	SK
192.108.146.0	192.108.147.255	CZ
192.108.148.0	192.108.149.255	SK
192.108.150.0	192.108.151.255	CZ
192.108.152.0	192.108.153.255	SK
192.108.154.0	192.108.154.255	CZ
192.108.155.0	192.108.155.255	SK
192.108.156.0	192.108.156.255	CZ
192.108.157.0	192.108.158.255	SK
192.108.159.0	192.108.160.255	CZ
192.108.161.0	192.108.170.255	SK
192.108.171.0	192.108.171.255	CZ
192.108.172.0	192.108.174.255	SK
192.108.175.0	192.108.194.255	US
192.108.195.0	192.108.214.255	SE
192.108.215.0	192.108.229.255	US
192.108.230.0	192.108.230.255	TH
192.108.231.0	192.108.231.255	US
192.108.233.0	192.108.233.255	US
192.108.234.0	192.108.234.255	CH
192.108.235.0	192.108.237.255	US
192.108.238.0	192.108.238.255	AT
192.108.240.0	192.108.255.255	US
192.109.0.0	192.109.139.255	DE
192.109.140.0	192.109.148.255	FR
192.109.149.0	192.109.172.255	DE
192.109.173.0	192.109.173.255	SG
192.109.174.0	192.109.190.255	DE
192.109.191.0	192.109.193.255	AT
192.109.194.0	192.109.194.255	IN
192.109.195.0	192.109.203.255	DE
192.109.204.0	192.109.204.255	BE
192.109.205.0	192.109.213.255	DE
192.109.214.0	192.109.215.255	CH
192.109.216.0	192.109.255.255	DE
192.110.0.0	192.110.36.255	US
192.110.37.0	192.110.37.255	CA
192.110.38.0	192.110.84.255	US
192.110.85.0	192.110.85.255	CA
192.110.86.0	192.110.89.255	US
192.110.90.0	192.110.90.255	CA
192.110.91.0	192.110.94.255	US
192.110.95.0	192.110.95.255	CA
192.110.96.0	192.110.105.255	US
192.110.106.0	192.110.106.255	CA
192.110.107.0	192.110.115.255	US
192.110.116.0	192.110.116.255	CA
192.110.117.0	192.110.191.255	US
192.110.223.0	192.110.240.255	US
192.110.241.0	192.110.241.255	GB
192.110.242.0	192.111.31.255	US
192.111.32.0	192.111.32.255	AU
192.111.33.0	192.111.33.255	NO
192.111.34.0	192.111.36.255	US
192.111.39.0	192.111.39.255	IE
192.111.40.0	192.111.43.255	US
192.111.44.0	192.111.44.255	CZ
192.111.45.0	192.111.46.255	US
192.111.47.0	192.111.47.255	DE
192.111.48.0	192.111.48.255	CH
192.111.49.0	192.111.53.255	US
192.111.86.0	192.111.87.255	US
192.111.88.0	192.111.88.255	GB
192.111.89.0	192.111.100.255	US
192.111.101.0	192.111.101.255	PT
192.111.102.0	192.111.102.255	NZ
192.111.103.0	192.111.103.255	CH
192.111.104.0	192.111.104.255	AT
192.111.105.0	192.111.105.255	AU
192.111.106.0	192.111.123.255	US
192.111.124.0	192.111.125.255	NO
192.111.126.0	192.111.126.255	US
192.111.127.0	192.111.127.255	DE
192.111.160.0	192.111.228.255	US
192.111.229.0	192.111.230.255	BR
192.111.231.0	192.111.251.255	US
192.111.252.0	192.111.252.255	AT
192.111.253.0	192.111.254.255	US
192.112.0.0	192.112.28.255	US
192.112.30.0	192.112.32.255	PT
192.112.33.0	192.112.34.255	US
192.112.36.0	192.112.44.255	US
192.112.45.0	192.112.45.255	PT
192.112.46.0	192.112.48.255	US
192.112.49.0	192.112.49.255	GB
192.112.50.0	192.112.60.255	US
192.112.61.0	192.112.61.255	AT
192.112.62.0	192.112.68.255	US
192.112.70.0	192.112.79.255	ES
192.112.80.0	192.112.97.255	US
192.112.98.0	192.112.98.255	GB
192.112.99.0	192.112.99.255	DK
192.112.100.0	192.112.100.255	GB
192.112.101.0	192.112.203.255	US
192.112.204.0	192.112.204.255	FI
192.112.205.0	192.112.205.255	US
192.112.206.0	192.112.206.255	SE
192.112.207.0	192.112.207.255	US
192.112.208.0	192.112.208.255	DE
192.112.209.0	192.112.212.255	US
192.112.213.0	192.112.213.255	DE
192.112.214.0	192.112.214.255	CH
192.112.215.0	192.112.215.255	AU
192.112.216.0	192.112.246.255	US
192.112.247.0	192.112.247.255	ES
192.112.248.0	192.112.253.255	US
192.112.254.0	192.112.254.255	CH
192.113.0.0	192.113.255.255	NL
192.114.0.0	192.114.189.223	IL
192.114.189.224	192.114.189.227	A2
192.114.189.228	192.115.255.255	IL
192.116.0.0	192.116.1.255	PS
192.116.2.0	192.116.5.255	IL
192.116.6.0	192.116.7.255	PS
192.116.8.0	192.116.9.255	IL
192.116.10.0	192.116.23.255	PS
192.116.24.0	192.116.72.255	IL
192.116.73.0	192.116.73.255	A2
192.116.74.0	192.116.84.255	IL
192.116.85.0	192.116.85.255	A2
192.116.86.0	192.116.87.255	IL
192.116.88.0	192.116.88.255	A2
192.116.89.0	192.116.118.255	IL
192.116.119.0	192.116.119.255	A2
192.116.120.0	192.116.142.255	IL
192.116.143.0	192.116.143.255	A2
192.116.144.0	192.116.231.227	IL
192.116.231.228	192.116.231.231	A2
192.116.231.232	192.118.255.255	IL
192.119.0.0	192.120.8.255	US
192.120.9.0	192.120.15.255	AU
192.120.16.0	192.120.46.255	US
192.120.47.0	192.120.49.255	FI
192.120.50.0	192.120.58.255	US
192.120.59.0	192.120.59.255	ES
192.120.60.0	192.120.119.255	US
192.120.120.0	192.120.120.255	SE
192.120.121.0	192.120.240.255	US
192.120.241.0	192.120.241.255	SE
192.120.242.0	192.120.255.255	US
192.121.0.0	192.121.86.63	SE
192.121.86.64	192.121.86.79	JP
192.121.86.80	192.121.250.255	SE
192.121.251.0	192.121.251.255	EE
192.121.252.0	192.121.255.255	SE
192.122.0.0	192.122.95.255	GB
192.122.96.0	192.122.100.255	US
192.122.101.0	192.122.116.255	GB
192.122.117.0	192.122.117.255	US
192.122.118.0	192.122.130.255	GB
192.122.131.0	192.122.140.255	SG
192.122.141.0	192.122.146.255	GB
192.122.147.0	192.122.148.255	US
192.122.151.0	192.122.170.255	GB
192.122.171.0	192.122.171.255	NZ
192.122.172.0	192.122.175.255	US
192.122.176.0	192.122.176.255	AU
192.122.177.0	192.122.179.255	US
192.122.180.0	192.122.180.255	NZ
192.122.181.0	192.122.209.255	US
192.122.210.0	192.122.210.255	AU
192.122.211.0	192.122.213.255	US
192.122.214.0	192.122.214.255	GB
192.122.216.0	192.122.234.255	IE
192.122.235.0	192.122.237.255	US
192.122.238.0	192.122.242.255	PT
192.122.243.0	192.122.253.255	US
192.122.254.0	192.122.254.255	NO
192.123.0.0	192.124.9.255	US
192.124.10.0	192.124.14.255	AU
192.124.15.0	192.124.23.255	US
192.124.24.0	192.124.24.255	NZ
192.124.25.0	192.124.28.255	DE
192.124.31.0	192.124.31.255	US
192.124.32.0	192.124.32.255	AT
192.124.33.0	192.124.38.255	US
192.124.39.0	192.124.39.255	BE
192.124.40.0	192.124.43.255	US
192.124.45.0	192.124.45.255	US
192.124.46.0	192.124.46.255	GB
192.124.47.0	192.124.111.255	US
192.124.112.0	192.124.112.255	DE
192.124.113.0	192.124.114.255	US
192.124.115.0	192.124.115.255	DE
192.124.116.0	192.124.116.255	PL
192.124.117.0	192.124.117.255	AU
192.124.118.0	192.124.118.255	US
192.124.120.0	192.124.151.255	US
192.124.152.0	192.124.152.255	AU
192.124.153.0	192.124.153.255	US
192.124.154.0	192.124.154.255	CN
192.124.155.0	192.124.155.255	AT
192.124.156.0	192.124.167.255	US
192.124.168.0	192.124.219.255	RU
192.124.220.0	192.124.234.255	US
192.124.235.0	192.125.255.255	DE
192.126.0.0	192.126.64.255	FI
192.126.65.0	192.126.68.255	US
192.127.0.0	192.128.255.255	US
192.129.1.0	192.129.2.255	DE
192.129.3.0	192.129.4.255	RO
192.129.5.0	192.129.52.255	DE
192.129.53.0	192.129.53.255	NL
192.129.54.0	192.129.61.255	DE
192.129.62.0	192.129.79.255	US
192.129.80.0	192.129.80.255	AT
192.129.81.0	192.129.86.255	US
192.129.87.0	192.129.87.255	TR
192.129.88.0	192.129.97.255	US
192.129.98.0	192.129.98.255	DE
192.129.100.0	192.129.111.255	US
192.130.0.0	192.130.17.255	FI
192.130.18.0	192.130.18.255	BE
192.130.19.0	192.130.255.255	FI
192.131.0.0	192.131.12.255	US
192.131.13.0	192.131.13.255	AU
192.131.14.0	192.131.19.255	US
192.131.20.0	192.131.20.255	DE
192.131.22.0	192.131.24.255	US
192.131.25.0	192.131.26.255	SE
192.131.27.0	192.131.30.255	AU
192.131.31.0	192.131.78.255	US
192.131.79.0	192.131.79.255	GB
192.131.80.0	192.131.87.255	US
192.131.89.0	192.131.89.255	GB
192.131.90.0	192.131.91.255	IN
192.131.92.0	192.131.92.255	AU
192.131.93.0	192.131.93.255	US
192.131.94.0	192.131.94.255	CA
192.131.95.0	192.131.95.255	US
192.131.96.0	192.131.96.255	FI
192.131.97.0	192.131.97.255	CA
192.131.98.0	192.131.107.255	US
192.131.108.0	192.131.108.255	GB
192.131.109.0	192.131.109.255	US
192.131.111.0	192.131.131.255	US
192.131.132.0	192.131.132.255	BE
192.131.133.0	192.131.133.255	US
192.131.135.0	192.131.135.255	US
192.131.136.0	192.131.142.255	CA
192.131.143.0	192.131.250.255	US
192.131.251.0	192.131.252.255	AU
192.131.253.0	192.131.254.255	US
192.132.0.0	192.132.7.255	US
192.132.9.0	192.132.9.255	GB
192.132.10.0	192.132.10.255	IT
192.132.11.0	192.132.11.255	NO
192.132.12.0	192.132.14.255	US
192.132.15.0	192.132.15.255	KR
192.132.16.0	192.132.18.255	US
192.132.19.0	192.132.19.255	CA
192.132.20.0	192.132.27.255	US
192.132.29.0	192.132.29.255	US
192.132.31.0	192.132.31.255	JP
192.132.34.0	192.132.34.255	IT
192.132.35.0	192.132.35.255	BR
192.132.36.0	192.132.40.255	US
192.132.41.0	192.132.41.255	AU
192.132.42.0	192.132.52.255	US
192.132.53.0	192.132.53.255	PT
192.132.54.0	192.132.54.255	US
192.132.55.0	192.132.55.255	PT
192.132.56.0	192.132.59.255	US
192.132.60.0	192.132.60.255	CA
192.132.64.0	192.132.92.255	US
192.132.93.0	192.132.93.255	AU
192.132.94.0	192.132.98.255	US
192.132.99.0	192.132.99.255	GB
192.132.100.0	192.132.101.255	US
192.132.102.0	192.132.102.255	AU
192.132.103.0	192.132.238.255	US
192.132.239.0	192.132.239.255	GB
192.132.240.0	192.132.240.255	US
192.132.241.0	192.132.241.255	CA
192.132.242.0	192.132.242.255	US
192.132.244.0	192.132.244.255	IL
192.132.245.0	192.132.245.255	AT
192.132.246.0	192.132.246.255	US
192.132.247.0	192.132.251.255	KR
192.132.252.0	192.132.252.255	CH
192.132.253.0	192.132.253.255	AU
192.132.254.0	192.132.254.255	US
192.133.0.0	192.133.9.255	US
192.133.10.0	192.133.10.255	TH
192.133.11.0	192.133.13.255	US
192.133.14.0	192.133.14.255	AU
192.133.15.0	192.133.15.255	PT
192.133.16.0	192.133.20.255	US
192.133.21.0	192.133.21.255	AU
192.133.22.0	192.133.27.255	US
192.133.28.0	192.133.28.255	IT
192.133.29.0	192.133.30.255	US
192.133.31.0	192.133.31.255	NZ
192.133.32.0	192.133.32.255	NO
192.133.33.0	192.133.35.255	US
192.133.36.0	192.133.36.255	IL
192.133.37.0	192.133.40.255	US
192.133.41.0	192.133.41.255	AU
192.133.42.0	192.133.52.255	US
192.133.53.0	192.133.53.255	NL
192.133.54.0	192.133.55.255	PT
192.133.56.0	192.133.57.255	US
192.133.58.0	192.133.58.255	GB
192.133.59.0	192.133.63.255	US
192.133.64.0	192.133.64.255	NO
192.133.65.0	192.133.65.255	US
192.133.66.0	192.133.66.255	NZ
192.133.67.0	192.133.67.255	SG
192.133.68.0	192.133.75.255	US
192.133.80.0	192.133.100.255	US
192.133.102.0	192.133.102.255	US
192.133.103.0	192.133.103.255	BE
192.133.104.0	192.133.105.255	US
192.133.108.0	192.133.108.255	PT
192.133.109.0	192.133.109.255	AT
192.133.110.0	192.133.111.255	FI
192.133.116.0	192.133.120.255	US
192.133.121.0	192.133.121.255	SE
192.133.122.0	192.133.130.255	US
192.133.131.0	192.133.131.255	GB
192.133.132.0	192.133.135.255	US
192.133.144.0	192.133.243.255	US
192.133.244.0	192.133.244.255	GB
192.133.245.0	192.133.246.255	US
192.133.250.0	192.133.250.255	ZA
192.133.251.0	192.133.255.255	US
192.134.0.0	192.134.255.255	FR
192.135.0.0	192.135.6.255	US
192.135.7.0	192.135.7.255	DE
192.135.8.0	192.135.37.255	IT
192.135.38.0	192.135.38.255	US
192.135.40.0	192.135.45.255	US
192.135.46.0	192.135.46.255	NO
192.135.47.0	192.135.47.255	US
192.135.48.0	192.135.48.255	CA
192.135.49.0	192.135.49.255	US
192.135.51.0	192.135.51.255	DE
192.135.52.0	192.135.53.255	GB
192.135.63.0	192.135.63.255	AT
192.135.64.0	192.135.65.255	US
192.135.66.0	192.135.66.255	GB
192.135.67.0	192.135.67.255	US
192.135.68.0	192.135.68.255	GB
192.135.69.0	192.135.76.255	US
192.135.77.0	192.135.77.255	CA
192.135.78.0	192.135.81.255	US
192.135.82.0	192.135.82.255	NL
192.135.83.0	192.135.83.255	CA
192.135.84.0	192.135.88.255	US
192.135.89.0	192.135.111.255	JP
192.135.112.0	192.135.128.255	US
192.135.129.0	192.135.129.255	PT
192.135.130.0	192.135.132.255	US
192.135.133.0	192.135.133.255	AT
192.135.134.0	192.135.142.255	US
192.135.143.0	192.135.143.255	NO
192.135.144.0	192.135.144.255	US
192.135.145.0	192.135.164.255	CH
192.135.165.0	192.135.165.255	IT
192.135.166.0	192.135.166.255	GR
192.135.167.0	192.135.168.255	BE
192.135.169.0	192.135.174.255	US
192.135.175.0	192.135.175.255	FR
192.135.176.0	192.135.184.255	US
192.135.185.0	192.135.185.255	BE
192.135.186.0	192.135.186.255	US
192.135.187.0	192.135.187.255	PT
192.135.188.0	192.135.199.255	US
192.135.205.0	192.135.205.255	US
192.135.207.0	192.135.208.255	AU
192.135.209.0	192.135.209.255	US
192.135.210.0	192.135.210.255	AU
192.135.211.0	192.135.217.255	US
192.135.219.0	192.135.219.255	PT
192.135.220.0	192.135.221.255	US
192.135.222.0	192.135.222.255	JP
192.135.224.0	192.135.224.255	US
192.135.225.0	192.135.225.255	IE
192.135.226.0	192.135.230.255	US
192.135.231.0	192.135.234.255	GB
192.135.235.0	192.135.252.255	US
192.135.253.0	192.135.253.255	NO
192.135.254.0	192.135.254.255	PL
192.136.0.0	192.136.6.255	US
192.136.7.0	192.136.7.255	MT
192.136.8.0	192.136.8.255	US
192.136.9.0	192.136.9.255	FI
192.136.10.0	192.136.17.255	US
192.136.18.0	192.136.18.255	GB
192.136.19.0	192.136.19.255	BE
192.136.20.0	192.136.22.255	US
192.136.23.0	192.136.23.255	NL
192.136.24.0	192.136.26.255	US
192.136.27.0	192.136.27.255	CA
192.136.28.0	192.136.28.255	US
192.136.29.0	192.136.29.255	GB
192.136.30.0	192.136.30.255	FR
192.136.31.0	192.136.31.255	PT
192.136.32.0	192.136.35.255	US
192.136.37.0	192.136.38.255	US
192.136.39.0	192.136.39.255	AU
192.136.40.0	192.136.40.255	GB
192.136.41.0	192.136.41.255	CH
192.136.42.0	192.136.47.255	NI
192.136.48.0	192.136.48.255	US
192.136.49.0	192.136.49.255	PT
192.136.50.0	192.136.50.255	US
192.136.51.0	192.136.51.255	NL
192.136.52.0	192.136.52.255	PT
192.136.54.0	192.136.54.255	FR
192.136.55.0	192.136.56.255	BF
192.136.57.0	192.136.57.255	NE
192.136.58.0	192.136.58.255	FR
192.136.59.0	192.136.59.255	PF
192.136.60.0	192.136.60.255	US
192.136.61.0	192.136.61.255	RU
192.136.62.0	192.136.70.255	US
192.136.71.0	192.136.103.255	FI
192.136.104.0	192.136.112.255	US
192.136.114.0	192.136.115.255	CA
192.136.119.0	192.136.140.255	US
192.136.141.0	192.136.143.255	IN
192.136.144.0	192.136.153.255	US
192.136.154.0	192.136.155.255	GB
192.136.156.0	192.136.156.255	CH
192.137.0.0	192.137.23.255	US
192.137.24.0	192.137.24.255	CA
192.137.25.0	192.137.30.255	US
192.137.31.0	192.137.31.255	CN
192.137.32.0	192.137.42.255	US
192.137.43.0	192.137.43.255	PR
192.137.44.0	192.137.61.255	US
192.137.62.0	192.137.62.255	NL
192.137.63.0	192.137.63.255	US
192.137.64.0	192.137.73.255	NL
192.137.74.0	192.137.74.255	ES
192.137.75.0	192.137.75.255	GB
192.137.76.0	192.137.76.255	CH
192.137.77.0	192.137.85.255	LU
192.137.86.0	192.137.86.255	AU
192.137.87.0	192.137.87.255	ES
192.137.88.0	192.137.88.255	US
192.137.89.0	192.137.89.255	NO
192.137.90.0	192.137.94.255	GB
192.137.95.0	192.137.95.255	ES
192.137.96.0	192.137.96.255	AU
192.137.97.0	192.137.97.255	US
192.137.98.0	192.137.98.255	GB
192.137.99.0	192.137.99.255	US
192.137.100.0	192.137.100.255	ES
192.137.101.0	192.137.101.255	DE
192.137.102.0	192.137.125.255	US
192.137.126.0	192.137.126.255	AU
192.137.127.0	192.137.127.255	GB
192.137.128.0	192.137.128.255	CA
192.137.129.0	192.137.143.255	US
192.137.144.0	192.137.144.255	DK
192.137.145.0	192.137.147.255	GB
192.137.148.0	192.137.149.255	CH
192.137.150.0	192.137.155.255	US
192.137.156.0	192.137.156.255	HK
192.137.157.0	192.137.157.255	US
192.137.158.0	192.137.158.255	CA
192.137.159.0	192.137.160.255	FR
192.137.161.0	192.137.164.255	SE
192.137.165.0	192.137.167.255	US
192.137.168.0	192.137.168.255	CH
192.137.169.0	192.137.170.255	US
192.137.171.0	192.137.171.255	SE
192.137.172.0	192.137.172.255	AU
192.137.173.0	192.137.183.255	US
192.137.184.0	192.137.184.255	CH
192.137.185.0	192.137.185.255	MX
192.137.186.0	192.137.187.255	CH
192.137.188.0	192.137.198.255	US
192.137.199.0	192.137.200.255	SE
192.137.201.0	192.137.201.255	ES
192.137.202.0	192.137.203.255	US
192.137.204.0	192.137.204.255	GB
192.137.205.0	192.137.210.255	US
192.137.211.0	192.137.215.255	CH
192.137.216.0	192.137.233.255	US
192.137.234.0	192.137.234.255	SE
192.137.235.0	192.137.235.255	NL
192.137.236.0	192.137.242.255	CH
192.137.243.0	192.137.246.255	US
192.137.247.0	192.137.249.255	CA
192.137.250.0	192.137.255.255	US
192.138.0.0	192.138.15.255	GB
192.138.24.0	192.138.85.255	US
192.138.86.0	192.138.86.255	PT
192.138.87.0	192.138.99.255	US
192.138.100.0	192.138.100.255	AU
192.138.101.0	192.138.104.255	US
192.138.105.0	192.138.108.255	NO
192.138.109.0	192.138.117.255	SE
192.138.118.0	192.138.125.255	SG
192.138.126.0	192.138.127.255	US
192.138.128.0	192.138.130.255	CA
192.138.131.0	192.138.154.255	US
192.138.155.0	192.138.155.255	NO
192.138.156.0	192.138.158.255	GB
192.138.159.0	192.138.182.255	US
192.138.183.0	192.138.183.255	IT
192.138.184.0	192.138.184.255	US
192.138.185.0	192.138.186.255	CA
192.138.187.0	192.138.187.255	US
192.138.188.0	192.138.188.255	SG
192.138.189.0	192.138.191.255	US
192.138.192.0	192.138.192.255	GB
192.138.193.0	192.138.203.255	US
192.138.204.0	192.138.204.255	PT
192.138.205.0	192.138.205.255	US
192.138.207.0	192.138.227.255	US
192.138.228.0	192.138.228.255	AT
192.138.229.0	192.138.229.255	GB
192.138.230.0	192.138.232.255	CH
192.138.233.0	192.138.247.255	US
192.138.248.0	192.138.248.255	GB
192.138.249.0	192.138.250.255	US
192.138.251.0	192.138.251.255	NZ
192.138.252.0	192.138.255.255	US
192.139.0.0	192.139.77.255	CA
192.139.78.0	192.139.78.255	FR
192.139.79.0	192.139.131.255	CA
192.139.132.0	192.139.137.255	US
192.139.138.0	192.139.138.255	CA
192.139.140.0	192.139.255.255	CA
192.140.0.0	192.142.232.255	FR
192.142.233.0	192.142.233.255	FI
192.142.234.0	192.143.111.255	FR
192.143.112.0	192.143.112.255	FI
192.143.113.0	192.143.225.159	FR
192.143.225.160	192.143.225.175	HU
192.143.225.176	192.145.255.255	FR
192.146.0.0	192.146.116.255	US
192.146.117.0	192.146.117.255	DK
192.146.119.0	192.146.119.255	FR
192.146.120.0	192.146.122.255	US
192.146.123.0	192.146.123.255	GB
192.146.124.0	192.146.126.255	ES
192.146.127.0	192.146.129.255	US
192.146.132.0	192.146.132.255	AT
192.146.133.0	192.146.133.255	NZ
192.146.134.0	192.146.135.255	HU
192.146.136.0	192.146.141.255	GB
192.146.142.0	192.146.149.255	US
192.146.150.0	192.146.150.255	NZ
192.146.151.0	192.146.151.255	US
192.146.152.0	192.146.152.255	FI
192.146.153.0	192.146.155.255	US
192.146.156.0	192.146.156.255	CA
192.146.157.0	192.146.157.255	BR
192.146.158.0	192.146.162.255	US
192.146.163.0	192.146.170.255	NO
192.146.171.0	192.146.171.255	US
192.146.172.0	192.146.172.255	ES
192.146.173.0	192.146.181.255	IT
192.146.182.0	192.146.182.255	FR
192.146.183.0	192.146.183.255	US
192.146.184.0	192.146.184.255	JP
192.146.185.0	192.146.185.255	DE
192.146.187.0	192.146.187.255	ES
192.146.188.0	192.146.188.255	US
192.146.189.0	192.146.189.255	AU
192.146.191.0	192.146.192.255	US
192.146.193.0	192.146.193.255	NO
192.146.194.0	192.146.199.255	US
192.146.200.0	192.146.200.255	AU
192.146.201.0	192.146.203.255	US
192.146.204.0	192.146.204.255	CZ
192.146.205.0	192.146.217.255	US
192.146.218.0	192.146.219.255	NZ
192.146.220.0	192.146.226.255	US
192.146.227.0	192.146.227.255	NO
192.146.228.0	192.146.228.255	GB
192.146.229.0	192.146.229.255	BR
192.146.232.0	192.146.232.255	AU
192.146.233.0	192.146.234.255	FR
192.146.235.0	192.146.236.255	US
192.146.237.0	192.146.237.255	UY
192.146.238.0	192.146.239.255	NO
192.146.240.0	192.146.241.255	US
192.146.242.0	192.146.242.255	IT
192.146.243.0	192.146.250.255	US
192.146.251.0	192.146.253.255	AU
192.146.254.0	192.146.254.255	US
192.147.0.0	192.147.22.255	US
192.147.23.0	192.147.23.255	GB
192.147.24.0	192.147.33.255	US
192.147.34.0	192.147.34.255	IS
192.147.35.0	192.147.35.255	US
192.147.36.0	192.147.36.255	GB
192.147.38.0	192.147.41.255	US
192.147.42.0	192.147.42.255	PL
192.147.43.0	192.147.75.255	US
192.147.76.0	192.147.78.255	PT
192.147.79.0	192.147.79.255	FR
192.147.80.0	192.147.113.255	US
192.147.114.0	192.147.114.255	AU
192.147.115.0	192.147.140.255	US
192.147.141.0	192.147.141.255	PL
192.147.142.0	192.147.147.255	US
192.147.149.0	192.147.149.255	US
192.147.150.0	192.147.150.255	GB
192.147.151.0	192.147.153.255	NZ
192.147.154.0	192.147.154.255	US
192.147.155.0	192.147.155.255	PT
192.147.156.0	192.147.209.255	US
192.147.210.0	192.147.210.255	BR
192.147.211.0	192.147.211.255	US
192.147.212.0	192.147.212.255	GB
192.147.213.0	192.147.213.255	CA
192.147.214.0	192.147.214.255	US
192.147.215.0	192.147.216.255	FI
192.147.217.0	192.147.217.255	GB
192.147.218.0	192.147.218.255	BR
192.147.219.0	192.147.219.255	GB
192.147.220.0	192.147.227.255	US
192.147.228.0	192.147.228.255	GB
192.147.229.0	192.147.230.255	US
192.147.232.0	192.147.234.255	US
192.147.235.0	192.147.235.255	AU
192.147.236.0	192.147.245.255	US
192.147.246.0	192.147.246.255	AU
192.147.247.0	192.147.247.255	IT
192.147.248.0	192.147.250.255	US
192.147.251.0	192.147.251.255	EU
192.147.252.0	192.147.252.255	US
192.147.253.0	192.147.253.255	AU
192.147.254.0	192.147.254.255	US
192.148.0.0	192.148.32.255	US
192.148.33.0	192.148.92.255	SE
192.148.93.0	192.148.102.255	US
192.148.103.0	192.148.103.255	PT
192.148.104.0	192.148.111.255	US
192.148.112.0	192.148.165.255	AU
192.148.166.0	192.148.166.255	RU
192.148.167.0	192.148.167.255	ES
192.148.168.0	192.148.172.255	US
192.148.174.0	192.148.174.255	US
192.148.175.0	192.148.175.255	MX
192.148.176.0	192.148.176.255	US
192.148.177.0	192.148.186.255	GB
192.148.187.0	192.148.191.255	US
192.148.192.0	192.148.192.255	NL
192.148.193.0	192.148.193.255	IT
192.148.194.0	192.148.194.255	GB
192.148.195.0	192.148.197.255	US
192.148.198.0	192.148.199.255	GB
192.148.200.0	192.148.200.255	NL
192.148.201.0	192.148.215.255	ES
192.148.216.0	192.148.216.255	GB
192.148.217.0	192.148.217.255	CA
192.148.218.0	192.148.218.255	US
192.148.220.0	192.148.220.255	IT
192.148.221.0	192.148.221.255	NZ
192.148.222.0	192.148.222.255	US
192.148.223.0	192.148.230.255	AU
192.148.231.0	192.148.255.255	US
192.149.1.0	192.149.2.255	US
192.149.3.0	192.149.3.255	PL
192.149.4.0	192.149.4.255	US
192.149.5.0	192.149.5.255	FI
192.149.6.0	192.149.14.255	US
192.149.15.0	192.149.15.255	GB
192.149.16.0	192.149.16.255	US
192.149.18.0	192.149.18.255	US
192.149.19.0	192.149.19.255	ES
192.149.20.0	192.149.20.255	AU
192.149.21.0	192.149.22.255	US
192.149.24.0	192.149.26.255	US
192.149.27.0	192.149.27.255	AT
192.149.28.0	192.149.28.255	US
192.149.29.0	192.149.33.255	NL
192.149.34.0	192.149.34.255	US
192.149.35.0	192.149.35.255	NL
192.149.36.0	192.149.36.255	AU
192.149.37.0	192.149.38.255	US
192.149.40.0	192.149.40.255	US
192.149.41.0	192.149.41.255	FR
192.149.42.0	192.149.52.255	US
192.149.53.0	192.149.53.255	CA
192.149.54.0	192.149.54.255	AU
192.149.55.0	192.149.56.255	US
192.149.57.0	192.149.57.255	GB
192.149.59.0	192.149.59.255	FR
192.149.60.0	192.149.60.255	GB
192.149.61.0	192.149.67.255	US
192.149.74.0	192.149.75.255	US
192.149.77.0	192.149.77.255	FR
192.149.78.0	192.149.79.255	NO
192.149.80.0	192.149.80.255	CA
192.149.81.0	192.149.95.255	US
192.149.97.0	192.149.97.255	US
192.149.98.0	192.149.98.255	CA
192.149.99.0	192.149.99.255	US
192.149.100.0	192.149.100.255	NO
192.149.101.0	192.149.101.255	US
192.149.102.0	192.149.102.255	NO
192.149.103.0	192.149.109.255	US
192.149.110.0	192.149.110.255	IT
192.149.111.0	192.149.111.255	GB
192.149.112.0	192.149.116.255	US
192.149.117.0	192.149.117.255	GB
192.149.118.0	192.149.118.255	NL
192.149.119.0	192.149.121.255	GB
192.149.122.0	192.149.122.255	US
192.149.123.0	192.149.123.255	CA
192.149.124.0	192.149.125.255	US
192.149.126.0	192.149.126.255	DE
192.149.127.0	192.149.148.255	US
192.149.149.0	192.149.149.255	AU
192.149.150.0	192.149.201.255	US
192.149.202.0	192.149.202.255	GU
192.149.203.0	192.149.208.255	US
192.149.209.0	192.149.209.255	JP
192.149.211.0	192.149.226.255	US
192.149.227.0	192.149.227.255	NL
192.149.228.0	192.149.231.255	US
192.149.232.0	192.149.232.255	AT
192.149.233.0	192.149.233.255	US
192.149.235.0	192.149.237.255	US
192.149.238.0	192.149.238.255	GB
192.149.239.0	192.149.239.255	HK
192.149.240.0	192.150.56.255	US
192.150.58.0	192.150.82.255	SE
192.150.83.0	192.150.83.255	EU
192.150.84.0	192.150.84.255	SE
192.150.87.0	192.150.88.255	US
192.150.89.0	192.150.89.255	GB
192.150.90.0	192.150.91.255	CA
192.150.92.0	192.150.92.255	GB
192.150.93.0	192.150.93.255	US
192.150.94.0	192.150.94.255	NL
192.150.95.0	192.150.95.255	US
192.150.96.0	192.150.96.255	AU
192.150.97.0	192.150.103.255	US
192.150.104.0	192.150.104.255	PL
192.150.105.0	192.150.105.255	US
192.150.106.0	192.150.106.255	GB
192.150.107.0	192.150.107.255	AU
192.150.108.0	192.150.123.255	US
192.150.124.0	192.150.124.255	NO
192.150.125.0	192.150.125.255	US
192.150.126.0	192.150.126.255	GT
192.150.127.0	192.150.128.255	US
192.150.129.0	192.150.139.255	AU
192.150.140.0	192.150.140.255	GB
192.150.141.0	192.150.141.255	US
192.150.143.0	192.150.143.255	US
192.150.144.0	192.150.144.255	NZ
192.150.145.0	192.150.145.255	US
192.150.146.0	192.150.146.255	IT
192.150.147.0	192.150.151.255	US
192.150.160.0	192.150.176.255	US
192.150.177.0	192.150.184.255	GB
192.150.186.0	192.150.187.255	US
192.150.188.0	192.150.188.255	NO
192.150.189.0	192.150.190.255	DE
192.150.191.0	192.150.191.255	US
192.150.192.0	192.150.193.255	PT
192.150.194.0	192.150.196.255	IT
192.150.197.0	192.150.197.255	NO
192.150.198.0	192.150.198.255	GB
192.150.199.0	192.150.199.255	US
192.150.200.0	192.150.200.255	AU
192.150.201.0	192.150.201.255	US
192.150.202.0	192.150.202.255	AU
192.150.203.0	192.150.203.255	AT
192.150.204.0	192.150.204.255	GB
192.150.205.0	192.150.205.255	RU
192.150.206.0	192.150.206.255	US
192.150.208.0	192.150.208.255	GB
192.150.209.0	192.150.209.255	NO
192.150.210.0	192.150.210.255	US
192.150.212.0	192.150.212.255	US
192.150.216.0	192.150.217.255	US
192.150.218.0	192.150.220.255	NZ
192.150.221.0	192.150.222.255	US
192.150.223.0	192.150.223.255	NO
192.150.224.0	192.150.226.255	US
192.150.227.0	192.150.233.255	GB
192.150.234.0	192.150.237.255	AU
192.150.238.0	192.150.238.255	HU
192.150.239.0	192.150.243.255	US
192.150.245.0	192.150.245.255	US
192.150.246.0	192.150.246.255	AU
192.150.247.0	192.150.247.255	US
192.150.248.0	192.150.248.255	GB
192.150.249.0	192.150.251.255	TH
192.150.252.0	192.150.252.255	NO
192.150.253.0	192.150.253.255	US
192.150.254.0	192.150.254.255	NO
192.151.0.0	192.151.108.255	US
192.151.109.0	192.151.109.255	CA
192.151.110.0	192.151.128.255	US
192.151.129.0	192.151.129.255	IN
192.152.0.0	192.152.5.255	US
192.152.6.0	192.152.6.255	NO
192.152.7.0	192.152.13.255	US
192.152.14.0	192.152.14.255	GB
192.152.15.0	192.152.16.255	US
192.152.17.0	192.152.17.255	GB
192.152.18.0	192.152.21.255	US
192.152.26.0	192.152.27.255	DE
192.152.28.0	192.152.41.255	US
192.152.42.0	192.152.42.255	FR
192.152.43.0	192.152.43.255	US
192.152.44.0	192.152.44.255	GB
192.152.45.0	192.152.46.255	US
192.152.47.0	192.152.47.255	PT
192.152.48.0	192.152.48.255	GB
192.152.49.0	192.152.51.255	NL
192.152.52.0	192.152.53.255	US
192.152.54.0	192.152.54.255	AT
192.152.55.0	192.152.60.255	US
192.152.61.0	192.152.62.255	GB
192.152.63.0	192.152.63.255	AT
192.152.64.0	192.152.67.255	US
192.152.68.0	192.152.68.255	FI
192.152.69.0	192.152.69.255	JP
192.152.70.0	192.152.81.255	US
192.152.82.0	192.152.82.255	DE
192.152.83.0	192.152.85.255	US
192.152.86.0	192.152.87.255	AU
192.152.88.0	192.152.96.255	US
192.152.97.0	192.152.97.255	CA
192.152.98.0	192.152.98.255	CH
192.152.99.0	192.152.106.255	US
192.152.107.0	192.152.107.255	CA
192.152.108.0	192.152.109.255	US
192.152.111.0	192.152.111.255	NO
192.152.112.0	192.152.112.255	GB
192.152.113.0	192.152.117.255	US
192.152.119.0	192.152.119.255	AU
192.152.120.0	192.152.121.255	US
192.152.122.0	192.152.122.255	GB
192.152.123.0	192.152.123.255	US
192.152.124.0	192.152.124.255	BE
192.152.125.0	192.152.140.255	US
192.152.141.0	192.152.141.255	IT
192.152.142.0	192.152.143.255	US
192.152.144.0	192.152.144.255	AU
192.152.145.0	192.152.145.255	US
192.152.146.0	192.152.146.255	AU
192.152.147.0	192.152.150.255	US
192.152.151.0	192.152.151.255	DE
192.152.154.0	192.152.155.255	US
192.152.156.0	192.152.156.255	GB
192.152.159.0	192.152.163.255	US
192.152.164.0	192.152.164.255	PR
192.152.165.0	192.152.165.255	CA
192.152.166.0	192.152.166.255	IT
192.152.167.0	192.152.167.255	FR
192.152.168.0	192.152.173.255	US
192.152.174.0	192.152.174.255	PT
192.152.175.0	192.152.183.255	US
192.152.184.0	192.152.187.255	GB
192.152.188.0	192.152.191.255	US
192.152.194.0	192.152.194.255	US
192.152.195.0	192.152.195.255	CA
192.152.196.0	192.152.196.255	US
192.152.197.0	192.152.197.255	AU
192.152.198.0	192.152.211.255	US
192.152.212.0	192.152.212.255	JP
192.152.215.0	192.152.240.255	US
192.152.241.0	192.152.241.255	GB
192.152.242.0	192.152.243.255	US
192.152.244.0	192.152.244.255	GB
192.152.245.0	192.152.247.255	US
192.152.248.0	192.152.248.255	CA
192.152.249.0	192.152.252.255	US
192.152.253.0	192.152.253.255	GB
192.152.254.0	192.152.254.255	AT
192.153.1.0	192.153.1.255	US
192.153.2.0	192.153.3.255	GB
192.153.4.0	192.153.8.255	US
192.153.9.0	192.153.9.255	AU
192.153.10.0	192.153.11.255	US
192.153.12.0	192.153.12.255	GB
192.153.13.0	192.153.13.255	PT
192.153.14.0	192.153.17.255	US
192.153.18.0	192.153.19.255	HU
192.153.20.0	192.153.87.255	US
192.153.88.0	192.153.88.255	BR
192.153.89.0	192.153.89.255	CH
192.153.90.0	192.153.92.255	US
192.153.93.0	192.153.93.255	AU
192.153.94.0	192.153.94.255	US
192.153.95.0	192.153.114.255	JP
192.153.115.0	192.153.115.255	US
192.153.116.0	192.153.116.255	HU
192.153.117.0	192.153.118.255	US
192.153.119.0	192.153.119.255	CL
192.153.120.0	192.153.120.255	BR
192.153.121.0	192.153.126.255	US
192.153.127.0	192.153.127.255	PL
192.153.128.0	192.153.152.255	US
192.153.153.0	192.153.153.255	GB
192.153.154.0	192.153.154.255	US
192.153.155.0	192.153.155.255	BR
192.153.156.0	192.153.157.255	US
192.153.158.0	192.153.158.255	AU
192.153.159.0	192.153.165.255	US
192.153.166.0	192.153.166.255	GB
192.153.167.0	192.153.167.255	CR
192.153.168.0	192.153.168.255	BE
192.153.169.0	192.153.170.255	US
192.153.171.0	192.153.171.255	RU
192.153.172.0	192.153.172.255	US
192.153.173.0	192.153.182.255	AT
192.153.183.0	192.153.183.255	US
192.153.187.0	192.153.187.255	US
192.153.188.0	192.153.188.255	SE
192.153.189.0	192.153.189.255	GB
192.153.190.0	192.153.193.255	US
192.153.194.0	192.153.194.255	NO
192.153.195.0	192.153.195.255	US
192.153.196.0	192.153.197.255	AU
192.153.198.0	192.153.212.255	US
192.153.213.0	192.153.213.255	GB
192.153.214.0	192.153.216.255	US
192.153.217.0	192.153.217.255	CA
192.153.218.0	192.153.219.255	US
192.153.220.0	192.153.220.255	CA
192.153.221.0	192.153.228.255	PH
192.153.229.0	192.153.250.255	US
192.153.251.0	192.153.251.255	NZ
192.153.252.0	192.154.15.255	US
192.154.16.0	192.154.31.255	SG
192.154.32.0	192.154.131.255	US
192.155.0.0	192.155.7.255	NO
192.155.8.0	192.155.71.255	US
192.155.128.0	192.155.159.255	US
192.156.0.0	192.156.131.255	US
192.156.132.0	192.156.132.255	BE
192.156.133.0	192.156.139.255	US
192.156.140.0	192.156.159.255	JP
192.156.160.0	192.156.161.255	US
192.156.162.0	192.156.162.255	GB
192.156.163.0	192.156.163.255	US
192.156.165.0	192.156.165.255	NZ
192.156.166.0	192.156.166.255	US
192.156.167.0	192.156.167.255	GB
192.156.168.0	192.156.173.255	US
192.156.174.0	192.156.174.255	CH
192.156.175.0	192.156.195.255	US
192.156.197.0	192.156.198.255	US
192.156.199.0	192.156.199.255	BM
192.156.200.0	192.156.206.255	US
192.156.207.0	192.156.208.255	AU
192.156.209.0	192.156.209.255	US
192.156.210.0	192.156.210.255	PT
192.156.211.0	192.156.212.255	US
192.156.213.0	192.156.213.255	IT
192.156.214.0	192.156.215.255	US
192.156.217.0	192.156.217.255	GB
192.156.218.0	192.156.219.255	US
192.156.220.0	192.156.220.255	JP
192.156.221.0	192.156.224.255	US
192.156.225.0	192.156.225.255	NZ
192.156.226.0	192.156.226.255	US
192.156.227.0	192.156.227.255	BE
192.156.228.0	192.156.231.255	US
192.156.234.0	192.156.234.255	US
192.156.239.0	192.156.239.255	GB
192.156.240.0	192.156.243.255	US
192.156.248.0	192.156.248.255	LU
192.156.249.0	192.156.249.255	AU
192.156.250.0	192.156.250.255	US
192.156.252.0	192.156.255.255	US
192.157.0.0	192.157.3.255	NO
192.157.4.0	192.157.5.255	US
192.157.8.0	192.157.17.255	SE
192.157.31.0	192.157.39.255	US
192.157.64.0	192.157.79.255	US
192.157.128.0	192.157.128.255	US
192.157.129.0	192.157.129.255	NO
192.157.130.0	192.157.137.255	US
192.157.138.0	192.157.138.255	JP
192.157.139.0	192.157.140.255	DE
192.157.141.0	192.157.141.255	GB
192.157.142.0	192.157.142.255	US
192.157.143.0	192.157.145.255	CA
192.157.146.0	192.157.149.255	US
192.157.150.0	192.157.152.255	JP
192.157.153.0	192.157.153.255	CH
192.157.154.0	192.157.158.255	DE
192.157.159.0	192.157.161.255	CA
192.157.162.0	192.157.162.255	HK
192.157.163.0	192.157.164.255	US
192.157.165.0	192.157.165.255	AT
192.157.166.0	192.157.168.255	US
192.157.169.0	192.157.170.255	GB
192.157.171.0	192.157.171.255	DE
192.157.172.0	192.157.172.255	GB
192.157.173.0	192.157.173.255	CA
192.157.174.0	192.157.174.255	GB
192.157.175.0	192.157.175.255	US
192.157.176.0	192.157.176.255	GB
192.157.177.0	192.157.184.255	US
192.157.185.0	192.157.185.255	IT
192.157.186.0	192.157.186.255	US
192.157.187.0	192.157.187.255	GB
192.157.188.0	192.157.188.255	US
192.157.189.0	192.157.189.255	CH
192.157.190.0	192.157.190.255	ZA
192.157.191.0	192.157.191.255	HK
192.158.0.0	192.159.15.255	US
192.159.16.0	192.159.31.255	SG
192.159.32.0	192.159.39.255	US
192.159.70.0	192.159.70.255	FI
192.159.71.0	192.159.71.255	CA
192.159.72.0	192.159.72.255	US
192.159.73.0	192.159.73.255	GB
192.159.74.0	192.159.76.255	US
192.159.77.0	192.159.77.255	IT
192.159.78.0	192.159.83.255	US
192.159.84.0	192.159.85.255	ES
192.159.86.0	192.159.89.255	US
192.159.90.0	192.159.90.255	BE
192.159.92.0	192.159.92.255	US
192.159.94.0	192.159.94.255	CA
192.159.95.0	192.159.95.255	DE
192.159.96.0	192.159.98.255	US
192.159.99.0	192.159.103.255	GB
192.159.104.0	192.159.104.255	US
192.159.105.0	192.159.105.255	NL
192.159.106.0	192.159.107.255	US
192.159.108.0	192.159.108.255	NO
192.159.109.0	192.159.109.255	IE
192.159.110.0	192.159.110.255	US
192.159.111.0	192.159.111.255	CA
192.159.112.0	192.159.115.255	US
192.159.116.0	192.159.117.255	BR
192.159.118.0	192.159.118.255	IE
192.159.121.0	192.159.121.255	FR
192.159.122.0	192.159.122.255	FI
192.159.128.0	192.159.143.255	US
192.160.0.0	192.160.6.255	US
192.160.7.0	192.160.7.255	CA
192.160.8.0	192.160.9.255	US
192.160.10.0	192.160.10.255	IE
192.160.11.0	192.160.14.255	US
192.160.15.0	192.160.15.255	SI
192.160.16.0	192.160.16.255	AU
192.160.17.0	192.160.18.255	US
192.160.19.0	192.160.19.255	AU
192.160.20.0	192.160.20.255	US
192.160.21.0	192.160.21.255	TR
192.160.22.0	192.160.22.255	LU
192.160.23.0	192.160.23.255	NO
192.160.25.0	192.160.26.255	US
192.160.27.0	192.160.27.255	IT
192.160.28.0	192.160.28.255	US
192.160.29.0	192.160.29.255	PG
192.160.30.0	192.160.32.255	US
192.160.33.0	192.160.33.255	ES
192.160.35.0	192.160.36.255	US
192.160.37.0	192.160.37.255	IT
192.160.38.0	192.160.44.255	US
192.160.45.0	192.160.45.255	BR
192.160.46.0	192.160.47.255	US
192.160.49.0	192.160.49.255	US
192.160.50.0	192.160.50.255	BR
192.160.51.0	192.160.64.255	US
192.160.65.0	192.160.65.255	DE
192.160.67.0	192.160.67.255	AT
192.160.68.0	192.160.70.255	US
192.160.71.0	192.160.71.255	AU
192.160.72.0	192.160.94.255	US
192.160.95.0	192.160.96.255	CH
192.160.97.0	192.160.105.255	US
192.160.106.0	192.160.106.255	NL
192.160.107.0	192.160.108.255	US
192.160.109.0	192.160.109.255	GB
192.160.110.0	192.160.110.255	PL
192.160.111.0	192.160.111.255	BR
192.160.112.0	192.160.122.255	US
192.160.123.0	192.160.123.255	FR
192.160.124.0	192.160.125.255	US
192.160.126.0	192.160.126.255	NO
192.160.127.0	192.160.127.255	US
192.160.128.0	192.160.128.255	BR
192.160.129.0	192.160.141.255	US
192.160.142.0	192.160.142.255	DE
192.160.143.0	192.160.143.255	GB
192.160.144.0	192.160.151.255	US
192.160.152.0	192.160.152.255	NL
192.160.153.0	192.160.154.255	US
192.160.155.0	192.160.155.255	AU
192.160.156.0	192.160.156.255	IT
192.160.157.0	192.160.159.255	US
192.160.160.0	192.160.160.255	IT
192.160.161.0	192.160.161.255	JP
192.160.162.0	192.160.166.255	US
192.160.167.0	192.160.167.255	CA
192.160.168.0	192.160.168.255	US
192.160.169.0	192.160.171.255	AU
192.160.172.0	192.160.172.255	HU
192.160.173.0	192.160.173.255	US
192.160.174.0	192.160.176.255	PR
192.160.177.0	192.160.179.255	GB
192.160.180.0	192.160.187.255	US
192.160.188.0	192.160.188.255	BR
192.160.189.0	192.160.193.255	US
192.160.194.0	192.160.195.255	GB
192.160.196.0	192.160.204.255	US
192.160.205.0	192.160.205.255	AU
192.160.206.0	192.160.223.255	US
192.160.224.0	192.160.224.255	EU
192.160.225.0	192.160.225.255	NO
192.160.226.0	192.160.226.255	NZ
192.160.227.0	192.160.228.255	US
192.160.229.0	192.160.229.255	AU
192.160.230.0	192.160.230.255	US
192.160.231.0	192.160.232.255	AT
192.160.233.0	192.160.233.255	RU
192.160.234.0	192.160.244.255	US
192.160.245.0	192.160.251.255	PT
192.160.252.0	192.160.252.255	IL
192.160.253.0	192.160.254.255	US
192.161.0.0	192.161.63.255	US
192.161.64.0	192.161.65.255	BE
192.161.128.0	192.161.129.255	NZ
192.162.0.0	192.162.15.255	EU
192.162.16.0	192.162.16.255	RO
192.162.17.0	192.162.255.255	EU
192.163.0.0	192.163.31.255	US
192.163.32.0	192.163.159.255	FI
192.164.0.0	192.164.255.255	AT
192.165.0.0	192.165.209.255	SE
192.165.210.0	192.165.211.255	GB
192.165.212.0	192.165.212.255	US
192.165.213.0	192.165.215.255	GB
192.165.216.0	192.165.217.255	CH
192.165.218.0	192.165.219.255	US
192.165.220.0	192.165.223.255	GB
192.165.224.0	192.165.255.255	SE
192.166.0.0	192.166.11.255	DE
192.166.12.0	192.166.15.255	EU
192.166.16.0	192.166.95.255	DE
192.166.96.0	192.166.103.255	EU
192.166.104.0	192.166.111.255	DE
192.166.112.0	192.166.113.255	EU
192.166.114.0	192.166.115.255	DE
192.166.116.0	192.166.145.255	EU
192.166.146.0	192.166.201.255	DE
192.166.202.0	192.166.203.255	EU
192.166.204.0	192.166.215.255	DE
192.166.216.0	192.166.219.255	EU
192.166.220.0	192.166.231.255	DE
192.166.232.0	192.166.239.255	EU
192.166.240.0	192.166.254.255	DE
192.166.255.0	192.166.255.255	EU
192.167.0.0	192.167.255.255	IT
192.169.0.0	192.169.31.255	US
192.169.32.0	192.169.47.255	SG
192.169.64.0	192.169.65.255	US
192.170.0.0	192.170.57.255	US
192.170.58.0	192.170.60.255	AU
192.170.61.0	192.170.128.255	US
192.171.0.0	192.171.5.255	EU
192.171.7.0	192.171.17.255	US
192.171.64.0	192.171.127.255	US
192.171.128.0	192.171.255.255	GB
192.172.0.0	192.172.223.255	US
192.172.225.0	192.172.226.255	US
192.172.227.0	192.172.246.255	JP
192.172.247.0	192.172.249.255	US
192.172.250.0	192.172.250.255	CA
192.172.251.0	192.172.252.255	US
192.172.253.0	192.172.253.255	LU
192.172.254.0	192.172.254.255	CA
192.173.0.0	192.173.7.255	GB
192.173.8.0	192.173.15.255	US
192.173.16.0	192.173.31.255	NZ
192.173.32.0	192.173.63.255	US
192.173.128.0	192.173.135.255	GB
192.174.0.0	192.174.63.255	US
192.174.64.0	192.174.71.255	AT
192.174.128.0	192.174.255.255	JP
192.175.0.0	192.175.31.255	US
192.175.32.0	192.175.47.255	FI
192.175.48.0	192.175.48.255	US
192.175.64.0	192.175.95.255	US
192.175.128.0	192.175.255.255	US
192.176.0.0	192.176.255.255	SE
192.184.4.0	192.184.4.255	US
192.187.0.0	192.187.15.255	US
192.187.16.0	192.187.31.255	ES
192.187.32.0	192.187.95.255	US
192.187.128.0	192.188.7.255	US
192.188.10.0	192.188.10.255	PT
192.188.11.0	192.188.11.255	BR
192.188.12.0	192.188.42.255	US
192.188.43.0	192.188.43.255	NZ
192.188.44.0	192.188.60.255	EC
192.188.61.0	192.188.62.255	US
192.188.63.0	192.188.64.255	GB
192.188.65.0	192.188.65.255	FR
192.188.66.0	192.188.68.255	US
192.188.69.0	192.188.69.255	GB
192.188.70.0	192.188.70.255	US
192.188.71.0	192.188.71.255	NZ
192.188.72.0	192.188.72.255	US
192.188.73.0	192.188.92.255	JP
192.188.93.0	192.188.94.255	US
192.188.96.0	192.188.96.255	GB
192.188.97.0	192.188.100.255	US
192.188.101.0	192.188.101.255	AU
192.188.102.0	192.188.104.255	US
192.188.105.0	192.188.105.255	NO
192.188.106.0	192.188.106.255	US
192.188.107.0	192.188.107.255	AU
192.188.108.0	192.188.114.255	US
192.188.115.0	192.188.115.255	AU
192.188.116.0	192.188.116.255	RU
192.188.117.0	192.188.117.255	GB
192.188.118.0	192.188.120.255	US
192.188.121.0	192.188.121.255	AT
192.188.122.0	192.188.122.255	GB
192.188.124.0	192.188.124.255	US
192.188.125.0	192.188.125.255	GB
192.188.126.0	192.188.126.255	US
192.188.127.0	192.188.127.255	IE
192.188.128.0	192.188.128.255	AU
192.188.129.0	192.188.129.255	GB
192.188.130.0	192.188.131.255	US
192.188.132.0	192.188.132.255	GB
192.188.133.0	192.188.135.255	US
192.188.136.0	192.188.136.255	DE
192.188.137.0	192.188.144.255	US
192.188.145.0	192.188.145.255	GB
192.188.146.0	192.188.150.255	US
192.188.151.0	192.188.151.255	AU
192.188.152.0	192.188.156.255	US
192.188.157.0	192.188.158.255	GB
192.188.159.0	192.188.163.255	US
192.188.164.0	192.188.167.255	GA
192.188.168.0	192.188.169.255	CA
192.188.170.0	192.188.170.255	CN
192.188.171.0	192.188.171.255	TW
192.188.172.0	192.188.172.255	TH
192.188.173.0	192.188.173.255	PR
192.188.174.0	192.188.174.255	PH
192.188.175.0	192.188.175.255	ID
192.188.176.0	192.188.184.255	US
192.188.185.0	192.188.185.255	NZ
192.188.186.0	192.188.186.255	AU
192.188.187.0	192.188.187.255	RU
192.188.188.0	192.188.188.255	US
192.188.189.0	192.188.189.255	RU
192.188.190.0	192.188.193.255	US
192.188.194.0	192.188.197.255	EC
192.188.198.0	192.188.232.255	US
192.188.233.0	192.188.237.255	PL
192.188.238.0	192.188.240.255	US
192.188.241.0	192.188.241.255	NZ
192.188.242.0	192.188.247.255	HU
192.188.248.0	192.188.248.255	BE
192.188.249.0	192.188.250.255	US
192.188.252.0	192.188.255.255	US
192.189.1.0	192.189.1.255	GB
192.189.3.0	192.189.7.255	US
192.189.8.0	192.189.11.255	GB
192.189.13.0	192.189.13.255	US
192.189.14.0	192.189.14.255	DE
192.189.15.0	192.189.20.255	US
192.189.22.0	192.189.22.255	CA
192.189.23.0	192.189.23.255	GB
192.189.24.0	192.189.24.255	JP
192.189.30.0	192.189.33.255	US
192.189.34.0	192.189.34.255	NZ
192.189.35.0	192.189.35.255	US
192.189.41.0	192.189.41.255	GB
192.189.42.0	192.189.50.255	US
192.189.51.0	192.189.51.255	AT
192.189.52.0	192.189.52.255	GB
192.189.53.0	192.189.53.255	US
192.189.54.0	192.189.54.255	AU
192.189.55.0	192.189.55.255	GB
192.189.56.0	192.189.65.255	US
192.189.66.0	192.189.66.255	FR
192.189.67.0	192.189.68.255	CA
192.189.69.0	192.189.69.255	GB
192.189.70.0	192.189.70.255	IL
192.189.71.0	192.189.72.255	US
192.189.73.0	192.189.73.255	NL
192.189.74.0	192.189.74.255	US
192.189.75.0	192.189.75.255	ZA
192.189.76.0	192.189.76.255	DE
192.189.77.0	192.189.77.255	US
192.189.79.0	192.189.93.255	US
192.189.94.0	192.189.94.255	AU
192.189.95.0	192.189.118.255	US
192.189.119.0	192.189.119.255	GB
192.189.120.0	192.189.135.255	US
192.189.136.0	192.189.136.255	AU
192.189.137.0	192.189.138.255	US
192.189.139.0	192.189.140.255	GA
192.189.141.0	192.189.147.255	US
192.189.148.0	192.189.148.255	AU
192.189.149.0	192.189.150.255	US
192.189.151.0	192.189.151.255	DE
192.189.154.0	192.189.154.255	IT
192.189.155.0	192.189.156.255	US
192.189.157.0	192.189.157.255	GB
192.189.158.0	192.189.158.255	US
192.189.159.0	192.189.159.255	AU
192.189.160.0	192.189.160.255	GB
192.189.161.0	192.189.165.255	US
192.189.166.0	192.189.170.255	GB
192.189.171.0	192.189.199.255	US
192.189.202.0	192.189.203.255	GB
192.189.204.0	192.189.207.255	US
192.189.208.0	192.189.211.255	AU
192.189.212.0	192.189.222.255	US
192.189.223.0	192.189.223.255	PH
192.189.224.0	192.189.228.255	US
192.189.229.0	192.189.233.255	AU
192.189.234.0	192.189.247.255	US
192.189.249.0	192.189.250.255	US
192.189.251.0	192.189.251.255	DE
192.189.252.0	192.190.29.255	US
192.190.30.0	192.190.31.255	BR
192.190.32.0	192.190.41.255	US
192.190.44.0	192.190.44.255	GB
192.190.45.0	192.190.57.255	US
192.190.58.0	192.190.59.255	NO
192.190.60.0	192.190.60.255	US
192.190.61.0	192.190.61.255	AU
192.190.62.0	192.190.63.255	US
192.190.64.0	192.190.64.255	GB
192.190.65.0	192.190.65.255	US
192.190.66.0	192.190.66.255	AU
192.190.67.0	192.190.67.255	GB
192.190.68.0	192.190.68.255	US
192.190.69.0	192.190.69.255	FR
192.190.70.0	192.190.74.255	US
192.190.75.0	192.190.75.255	CA
192.190.76.0	192.190.79.255	US
192.190.95.0	192.190.95.255	NO
192.190.96.0	192.190.107.255	US
192.190.108.0	192.190.108.255	NZ
192.190.109.0	192.190.128.255	US
192.190.129.0	192.190.132.255	FR
192.190.133.0	192.190.172.255	US
192.190.173.0	192.190.173.255	HU
192.190.174.0	192.190.174.255	PT
192.190.175.0	192.190.179.255	US
192.190.180.0	192.190.181.255	AU
192.190.182.0	192.190.183.255	GB
192.190.184.0	192.190.187.255	US
192.190.190.0	192.190.193.255	NO
192.190.194.0	192.190.200.255	US
192.190.201.0	192.190.202.255	GB
192.190.203.0	192.190.203.255	US
192.190.204.0	192.190.205.255	SG
192.190.208.0	192.190.215.255	AU
192.190.216.0	192.190.219.255	US
192.190.224.0	192.190.232.255	US
192.190.233.0	192.190.236.255	FR
192.190.237.0	192.190.239.255	US
192.190.240.0	192.190.240.255	GB
192.190.241.0	192.190.241.255	US
192.190.242.0	192.190.242.255	FR
192.190.243.0	192.190.246.255	US
192.190.247.0	192.190.249.255	GB
192.190.250.0	192.191.1.255	US
192.191.2.0	192.191.2.255	CA
192.191.3.0	192.191.5.255	US
192.191.6.0	192.191.6.255	PR
192.191.7.0	192.191.10.255	US
192.191.11.0	192.191.11.255	CA
192.191.12.0	192.191.15.255	US
192.191.16.0	192.191.16.255	PR
192.191.17.0	192.191.22.255	US
192.191.23.0	192.191.23.255	PR
192.191.24.0	192.191.25.255	US
192.191.26.0	192.191.27.255	CA
192.191.28.0	192.191.38.255	US
192.191.39.0	192.191.39.255	PR
192.191.40.0	192.191.78.255	US
192.191.79.0	192.191.79.255	CA
192.191.80.0	192.191.89.255	US
192.191.90.0	192.191.90.255	CA
192.191.91.0	192.191.99.255	US
192.191.100.0	192.191.100.255	CA
192.191.101.0	192.191.101.255	PR
192.191.102.0	192.191.137.255	US
192.191.138.0	192.191.138.255	CA
192.191.139.0	192.191.142.255	US
192.191.143.0	192.191.143.255	CA
192.191.144.0	192.191.150.255	US
192.191.151.0	192.191.151.255	PR
192.191.152.0	192.191.159.255	US
192.191.160.0	192.191.160.255	PR
192.191.161.0	192.191.161.255	CA
192.191.162.0	192.191.168.255	US
192.191.169.0	192.191.169.255	PR
192.191.170.0	192.191.184.255	US
192.191.185.0	192.191.185.255	PR
192.191.186.0	192.191.186.255	CA
192.191.187.0	192.191.187.255	PR
192.191.188.0	192.191.188.255	CA
192.191.189.0	192.191.189.255	PR
192.191.190.0	192.191.195.255	US
192.191.196.0	192.191.196.255	PR
192.191.197.0	192.191.199.255	US
192.191.200.0	192.191.200.255	CA
192.191.201.0	192.191.216.255	US
192.191.217.0	192.191.217.255	CA
192.191.218.0	192.191.224.255	US
192.191.225.0	192.191.225.255	CA
192.191.226.0	192.191.226.255	US
192.191.227.0	192.191.227.255	CA
192.191.228.0	192.191.230.255	US
192.191.231.0	192.191.231.255	CA
192.191.232.0	192.191.232.255	US
192.191.233.0	192.191.233.255	CA
192.191.234.0	192.191.234.255	US
192.191.235.0	192.191.235.255	CA
192.191.236.0	192.191.236.255	US
192.191.237.0	192.191.237.255	CA
192.191.238.0	192.191.255.255	US
192.192.0.0	192.192.255.255	TW
192.193.0.0	192.193.255.255	US
192.194.0.0	192.194.160.255	FI
192.194.161.0	192.194.161.255	GB
192.194.162.0	192.194.201.255	FI
192.194.202.0	192.194.202.255	DE
192.194.203.0	192.194.214.111	FI
192.194.214.112	192.194.214.127	AX
192.194.214.128	192.194.243.75	FI
192.194.243.76	192.194.243.79	AX
192.194.243.80	192.194.255.255	FI
192.195.1.0	192.195.1.255	GB
192.195.2.0	192.195.2.255	AU
192.195.6.0	192.195.7.255	US
192.195.8.0	192.195.8.255	RU
192.195.9.0	192.195.9.255	US
192.195.10.0	192.195.10.255	AU
192.195.11.0	192.195.11.255	US
192.195.12.0	192.195.14.255	NZ
192.195.15.0	192.195.31.255	US
192.195.33.0	192.195.33.255	US
192.195.34.0	192.195.34.255	AU
192.195.35.0	192.195.35.255	US
192.195.37.0	192.195.38.255	US
192.195.39.0	192.195.40.255	KR
192.195.41.0	192.195.41.255	US
192.195.42.0	192.195.42.255	IE
192.195.43.0	192.195.43.255	GB
192.195.44.0	192.195.55.255	AU
192.195.56.0	192.195.57.255	MX
192.195.58.0	192.195.71.255	US
192.195.72.0	192.195.72.255	PL
192.195.73.0	192.195.76.255	US
192.195.80.0	192.195.97.255	US
192.195.98.0	192.195.98.255	DE
192.195.99.0	192.195.101.255	US
192.195.102.0	192.195.102.255	AU
192.195.103.0	192.195.104.255	US
192.195.105.0	192.195.105.255	GB
192.195.106.0	192.195.106.255	PL
192.195.107.0	192.195.108.255	US
192.195.110.0	192.195.110.255	IT
192.195.111.0	192.195.111.255	US
192.195.112.0	192.195.112.255	AU
192.195.113.0	192.195.115.255	US
192.195.116.0	192.195.118.255	GB
192.195.119.0	192.195.133.255	US
192.195.134.0	192.195.148.255	SE
192.195.149.0	192.195.151.255	US
192.195.152.0	192.195.152.255	AU
192.195.153.0	192.195.169.255	US
192.195.170.0	192.195.170.255	AU
192.195.171.0	192.195.182.255	US
192.195.183.0	192.195.183.255	NL
192.195.184.0	192.195.184.255	DE
192.195.185.0	192.195.185.255	US
192.195.186.0	192.195.186.255	NZ
192.195.187.0	192.195.194.255	US
192.195.195.0	192.195.195.255	PT
192.195.196.0	192.195.196.255	US
192.195.197.0	192.195.197.255	AU
192.195.198.0	192.195.218.255	US
192.195.219.0	192.195.219.255	NZ
192.195.220.0	192.195.232.255	US
192.195.233.0	192.195.233.255	AU
192.195.234.0	192.195.235.255	US
192.195.236.0	192.195.236.255	GB
192.195.237.0	192.195.237.255	BR
192.195.238.0	192.195.255.255	US
192.196.0.0	192.196.255.255	FR
192.197.0.0	192.197.106.255	CA
192.197.107.0	192.197.107.255	US
192.197.108.0	192.197.143.255	CA
192.197.144.0	192.197.147.255	US
192.197.148.0	192.197.155.255	CA
192.197.156.0	192.197.160.255	US
192.197.161.0	192.197.198.255	CA
192.197.199.0	192.197.200.255	US
192.197.201.0	192.197.212.127	CA
192.197.212.128	192.197.213.127	A1
192.197.213.128	192.197.219.255	CA
192.197.220.0	192.197.224.255	US
192.197.225.0	192.197.255.255	CA
192.198.4.0	192.198.7.255	US
192.198.8.0	192.198.15.255	BR
192.198.16.0	192.198.79.255	US
192.198.128.0	192.198.191.255	US
192.199.0.0	192.199.15.255	US
192.199.16.0	192.199.31.255	PT
192.199.32.0	192.199.47.255	AU
192.199.64.0	192.199.191.255	US
192.200.0.0	192.200.63.255	US
192.200.64.0	192.200.79.255	NZ
192.200.128.0	192.200.135.255	US
192.201.0.0	192.201.9.167	US
192.201.9.168	192.201.9.175	NA
192.201.9.176	192.201.12.231	US
192.201.12.232	192.201.12.239	NA
192.201.12.240	192.203.36.255	US
192.203.38.0	192.203.39.255	AU
192.203.40.0	192.203.79.255	US
192.203.80.0	192.203.80.255	RU
192.203.81.0	192.203.95.255	NZ
192.203.96.0	192.203.97.255	US
192.203.99.0	192.203.99.255	NZ
192.203.104.0	192.203.105.255	US
192.203.106.0	192.203.107.255	CA
192.203.108.0	192.203.109.255	FI
192.203.110.0	192.203.137.255	US
192.203.138.0	192.203.146.255	KR
192.203.147.0	192.203.153.255	US
192.203.154.0	192.203.154.255	NZ
192.203.155.0	192.203.155.255	US
192.203.156.0	192.203.157.255	AU
192.203.158.0	192.203.158.255	CL
192.203.159.0	192.203.175.255	US
192.203.176.0	192.203.176.255	AU
192.203.177.0	192.203.177.255	MX
192.203.178.0	192.203.182.255	US
192.203.183.0	192.203.185.255	HK
192.203.186.0	192.203.192.255	US
192.203.193.0	192.203.193.255	AU
192.203.194.0	192.203.196.255	US
192.203.197.0	192.203.197.255	CA
192.203.198.0	192.203.202.255	US
192.203.203.0	192.203.203.255	CA
192.203.204.0	192.203.207.255	US
192.203.208.0	192.203.209.255	NZ
192.203.210.0	192.203.212.255	US
192.203.213.0	192.203.213.255	AU
192.203.214.0	192.203.215.255	US
192.203.216.0	192.203.216.255	NZ
192.203.217.0	192.203.218.255	US
192.203.220.0	192.203.226.255	US
192.203.227.0	192.203.227.255	SA
192.203.228.0	192.203.231.255	US
192.203.232.0	192.203.232.255	MO
192.203.233.0	192.203.234.255	US
192.203.235.0	192.203.235.255	AU
192.203.236.0	192.203.246.255	US
192.203.247.0	192.203.247.255	TH
192.203.248.0	192.205.255.255	US
192.206.1.0	192.206.1.255	CA
192.206.2.0	192.206.3.255	US
192.206.8.0	192.206.27.255	US
192.206.28.0	192.206.28.255	CA
192.206.29.0	192.206.71.255	US
192.206.74.0	192.206.76.255	US
192.206.77.0	192.206.81.255	GB
192.206.82.0	192.206.85.255	US
192.206.86.0	192.206.86.255	IL
192.206.87.0	192.206.91.255	US
192.206.92.0	192.206.95.255	CA
192.206.96.0	192.206.101.255	US
192.206.102.0	192.206.102.255	HK
192.206.103.0	192.206.107.255	US
192.206.108.0	192.206.108.255	AU
192.206.109.0	192.206.109.255	US
192.206.112.0	192.206.116.255	US
192.206.117.0	192.206.117.255	AU
192.206.118.0	192.206.143.255	US
192.206.144.0	192.206.151.255	CA
192.206.152.0	192.206.157.255	NZ
192.206.158.0	192.206.180.255	US
192.206.181.0	192.206.181.255	CA
192.206.182.0	192.206.182.255	US
192.206.184.0	192.206.216.255	US
192.206.217.0	192.206.218.255	CA
192.206.219.0	192.206.221.255	US
192.206.222.0	192.206.226.255	IL
192.206.227.0	192.207.11.255	US
192.207.13.0	192.207.13.255	US
192.207.14.0	192.207.14.255	GB
192.207.15.0	192.207.30.255	US
192.207.31.0	192.207.31.255	NL
192.207.32.0	192.207.32.255	US
192.207.33.0	192.207.33.255	AU
192.207.36.0	192.207.36.255	AU
192.207.37.0	192.207.39.255	US
192.207.40.0	192.207.42.255	EC
192.207.43.0	192.207.47.255	US
192.207.48.0	192.207.48.255	PR
192.207.50.0	192.207.63.255	US
192.207.64.0	192.207.64.255	TH
192.207.65.0	192.207.68.255	EC
192.207.69.0	192.207.75.255	US
192.207.76.0	192.207.76.255	CA
192.207.77.0	192.207.90.255	US
192.207.91.0	192.207.91.255	HK
192.207.92.0	192.207.95.255	US
192.207.96.0	192.207.98.255	AU
192.207.99.0	192.207.112.255	US
192.207.113.0	192.207.113.255	AU
192.207.114.0	192.207.118.255	US
192.207.119.0	192.207.121.255	AU
192.207.122.0	192.207.137.255	US
192.207.138.0	192.207.138.255	CA
192.207.139.0	192.207.140.255	US
192.207.141.0	192.207.141.255	GB
192.207.142.0	192.207.142.255	LU
192.207.143.0	192.207.143.255	NZ
192.207.144.0	192.207.145.255	US
192.207.146.0	192.207.146.255	CL
192.207.147.0	192.207.150.255	US
192.207.151.0	192.207.158.255	AU
192.207.159.0	192.207.160.255	US
192.207.161.0	192.207.161.255	AU
192.207.162.0	192.207.164.255	US
192.207.165.0	192.207.165.255	AU
192.207.166.0	192.207.182.255	US
192.207.183.0	192.207.183.255	GT
192.207.184.0	192.207.186.255	US
192.207.187.0	192.207.187.255	AU
192.207.188.0	192.207.193.255	US
192.207.194.0	192.207.195.255	BR
192.207.196.0	192.207.196.255	PT
192.207.197.0	192.207.198.255	AU
192.207.199.0	192.207.199.255	US
192.207.200.0	192.207.206.255	BR
192.207.207.0	192.207.241.255	US
192.207.242.0	192.207.242.255	TH
192.207.243.0	192.207.243.255	US
192.207.244.0	192.207.244.255	EC
192.207.245.0	192.207.247.255	US
192.207.248.0	192.207.248.255	AU
192.207.249.0	192.207.251.255	US
192.207.253.0	192.207.253.255	US
192.207.254.0	192.207.254.255	TH
192.208.0.0	192.208.15.255	CA
192.208.16.0	192.208.159.255	US
192.209.0.0	192.209.255.255	US
192.210.0.0	192.210.15.255	CA
192.210.32.0	192.210.47.255	US
192.210.64.0	192.210.127.255	CA
192.211.0.0	192.211.127.255	US
192.212.0.0	192.212.255.255	US
192.213.0.0	192.213.0.255	CA
192.213.1.0	192.216.31.255	US
192.216.32.0	192.216.33.255	VE
192.216.34.0	192.216.140.127	US
192.216.140.128	192.216.140.135	BR
192.216.140.136	192.217.255.255	US
192.218.0.0	192.218.255.255	JP
192.219.0.0	192.219.255.255	CA
192.220.0.0	192.221.255.255	US
192.222.0.0	192.222.15.255	CA
192.222.16.0	192.222.127.255	US
192.223.0.0	192.223.63.255	US
192.223.64.0	192.223.127.255	BR
192.223.128.0	192.224.2.255	US
192.224.3.0	192.224.3.255	CA
192.224.4.0	192.224.12.255	US
192.224.13.0	192.224.13.255	CA
192.224.14.0	192.224.26.255	US
192.224.27.0	192.224.27.255	CA
192.224.28.0	192.224.34.255	US
192.224.35.0	192.224.35.255	CA
192.224.36.0	192.224.42.255	US
192.224.43.0	192.224.43.255	VI
192.224.44.0	192.224.46.255	US
192.224.47.0	192.224.47.255	CA
192.224.48.0	192.224.53.255	US
192.224.54.0	192.224.54.255	CA
192.224.55.0	192.224.60.255	US
192.224.61.0	192.224.61.255	PR
192.224.62.0	192.224.77.255	US
192.224.78.0	192.224.78.255	CA
192.224.79.0	192.224.80.255	US
192.224.81.0	192.224.81.255	CA
192.224.82.0	192.224.84.255	US
192.224.85.0	192.224.86.255	CA
192.224.87.0	192.224.88.255	US
192.224.89.0	192.224.92.255	CA
192.224.93.0	192.224.93.255	US
192.224.94.0	192.224.94.255	CA
192.224.95.0	192.224.103.255	US
192.224.104.0	192.224.106.255	CA
192.224.107.0	192.224.120.255	US
192.224.121.0	192.224.121.255	CA
192.224.122.0	192.224.122.255	US
192.224.123.0	192.224.124.255	CA
192.224.125.0	192.224.125.255	US
192.224.126.0	192.224.126.255	CA
192.224.127.0	192.224.140.255	US
192.224.141.0	192.224.141.255	CA
192.224.142.0	192.224.157.255	US
192.224.158.0	192.224.158.255	CA
192.224.159.0	192.224.160.255	US
192.224.161.0	192.224.162.255	CA
192.224.163.0	192.224.170.255	US
192.224.171.0	192.224.174.255	CA
192.224.175.0	192.224.175.255	US
192.224.176.0	192.224.176.255	CA
192.224.177.0	192.224.180.255	US
192.224.181.0	192.224.181.255	CA
192.224.182.0	192.224.201.255	US
192.224.202.0	192.224.202.255	PR
192.224.203.0	192.224.203.255	US
192.224.204.0	192.224.204.255	DE
192.224.205.0	192.224.210.255	US
192.224.211.0	192.224.211.255	CA
192.224.212.0	192.224.213.255	US
192.224.214.0	192.224.214.255	CA
192.224.215.0	192.224.218.255	US
192.224.219.0	192.224.219.255	CA
192.224.220.0	192.224.220.255	US
192.224.221.0	192.224.221.255	CA
192.224.222.0	192.224.226.255	US
192.224.227.0	192.224.227.255	CA
192.224.228.0	192.224.239.255	US
192.224.240.0	192.224.240.255	PR
192.224.241.0	192.224.242.255	US
192.224.243.0	192.224.243.255	CA
192.224.244.0	192.224.245.255	US
192.224.246.0	192.224.246.255	CA
192.224.247.0	192.224.253.255	US
192.224.254.0	192.224.254.255	CA
192.224.255.0	192.226.31.255	US
192.226.32.0	192.226.63.255	CA
192.226.64.0	192.226.127.255	US
192.227.0.0	192.227.15.255	PH
192.227.16.0	192.227.127.255	US
192.228.0.0	192.228.31.255	CA
192.228.32.0	192.228.95.255	US
192.228.128.0	192.228.255.255	MY
192.229.0.0	192.229.63.255	US
192.230.0.0	192.230.15.255	US
192.230.16.0	192.230.31.255	NZ
192.231.0.0	192.231.14.255	US
192.231.15.0	192.231.15.255	NZ
192.231.16.0	192.231.33.255	US
192.231.34.0	192.231.34.255	AU
192.231.36.0	192.231.58.255	US
192.231.59.0	192.231.59.255	AU
192.231.60.0	192.231.64.255	US
192.231.66.0	192.231.66.255	CA
192.231.67.0	192.231.67.255	AT
192.231.68.0	192.231.76.255	US
192.231.77.0	192.231.77.255	AU
192.231.78.0	192.231.81.255	US
192.231.82.0	192.231.82.255	DE
192.231.83.0	192.231.83.255	US
192.231.86.0	192.231.88.255	US
192.231.89.0	192.231.89.255	CA
192.231.90.0	192.231.91.255	US
192.231.92.0	192.231.97.255	PR
192.231.98.0	192.231.109.255	US
192.231.110.0	192.231.110.255	CL
192.231.111.0	192.231.113.255	US
192.231.114.0	192.231.121.255	BR
192.231.122.0	192.231.126.255	US
192.231.127.0	192.231.127.255	AU
192.231.128.0	192.231.133.255	US
192.231.135.0	192.231.137.255	AU
192.231.138.0	192.231.139.255	US
192.231.140.0	192.231.140.255	CL
192.231.141.0	192.231.143.255	US
192.231.144.0	192.231.144.255	AU
192.231.145.0	192.231.165.255	US
192.231.166.0	192.231.168.255	AU
192.231.169.0	192.231.170.255	SG
192.231.171.0	192.231.171.255	US
192.231.172.0	192.231.174.255	CA
192.231.175.0	192.231.176.255	BR
192.231.177.0	192.231.182.255	US
192.231.183.0	192.231.183.255	NZ
192.231.184.0	192.231.192.255	US
192.231.193.0	192.231.193.255	AU
192.231.194.0	192.231.202.255	US
192.231.203.0	192.231.203.255	AU
192.231.204.0	192.231.210.255	US
192.231.211.0	192.231.212.255	AU
192.231.213.0	192.231.215.255	US
192.231.216.0	192.231.216.255	AU
192.231.217.0	192.231.217.255	US
192.231.218.0	192.231.218.255	AU
192.231.219.0	192.231.236.255	US
192.231.237.0	192.231.237.255	MZ
192.231.238.0	192.231.246.255	US
192.231.247.0	192.231.247.255	CA
192.231.248.0	192.231.248.255	NZ
192.231.252.0	192.231.253.255	US
192.231.254.0	192.231.254.255	ZA
192.232.0.0	192.232.31.255	US
192.232.32.0	192.232.63.255	AU
192.232.64.0	192.232.127.255	US
192.232.128.0	192.232.159.255	AU
192.233.0.0	192.234.22.255	US
192.234.23.0	192.234.23.255	CA
192.234.24.0	192.234.57.255	US
192.234.58.0	192.234.58.255	JP
192.234.59.0	192.234.97.255	US
192.234.98.0	192.234.98.255	CA
192.234.99.0	192.234.170.255	US
192.234.171.0	192.234.171.255	CA
192.234.172.0	192.234.220.255	US
192.234.222.0	192.234.222.255	US
192.234.223.0	192.234.229.255	CA
192.234.230.0	192.234.230.255	US
192.234.231.0	192.234.231.255	AU
192.234.232.0	192.234.244.255	US
192.234.245.0	192.234.245.255	AU
192.234.246.0	192.234.253.255	US
192.234.254.0	192.234.254.255	CA
192.235.0.0	192.235.63.255	US
192.236.0.0	192.236.63.255	US
192.237.0.0	192.237.31.255	CA
192.237.32.0	192.237.67.255	US
192.237.68.0	192.237.69.255	HK
192.237.70.0	192.237.70.255	NL
192.237.71.0	192.237.72.255	CA
192.237.73.0	192.237.73.255	DE
192.237.74.0	192.237.75.255	US
192.237.76.0	192.237.76.255	CA
192.237.77.0	192.237.79.255	US
192.237.80.0	192.237.80.255	DE
192.237.81.0	192.237.82.255	GB
192.237.83.0	192.237.88.255	US
192.237.89.0	192.237.89.255	FR
192.237.90.0	192.237.90.255	CH
192.237.91.0	192.237.94.31	US
192.237.94.32	192.237.94.47	NL
192.237.94.48	192.237.94.159	US
192.237.94.160	192.237.94.191	NL
192.237.94.192	192.237.94.255	US
192.237.95.0	192.237.96.255	ES
192.237.97.0	192.237.98.127	US
192.237.98.128	192.237.98.159	BE
192.237.98.160	192.237.98.255	US
192.237.99.0	192.237.99.63	LU
192.237.99.64	192.237.104.255	US
192.237.105.0	192.237.106.255	IT
192.237.107.0	192.237.109.255	US
192.237.110.0	192.237.110.255	DE
192.237.111.0	192.237.111.255	ZA
192.237.112.0	192.237.112.255	US
192.237.113.0	192.237.113.255	FR
192.237.114.0	192.237.115.255	CA
192.237.116.0	192.237.118.255	US
192.237.119.0	192.237.119.255	JP
192.237.120.0	192.237.120.255	US
192.237.121.0	192.237.124.255	GB
192.237.125.0	192.237.127.255	US
192.238.0.0	192.238.15.255	CH
192.238.16.0	192.238.23.255	US
192.238.32.0	192.238.127.255	US
192.239.0.0	192.240.15.255	US
192.240.16.0	192.240.31.255	AU
192.240.32.0	192.240.47.255	US
192.240.64.0	192.240.95.255	US
192.240.128.0	192.240.159.255	US
192.241.0.0	192.241.63.255	US
192.242.0.0	192.243.15.255	US
192.243.16.0	192.243.19.255	ES
192.243.20.0	192.243.23.255	AU
192.243.32.0	192.243.39.255	US
192.243.128.0	192.243.255.255	US
192.244.0.0	192.244.255.255	JP
192.245.0.0	192.245.10.255	US
192.245.11.0	192.245.11.255	AU
192.245.12.0	192.245.12.255	US
192.245.13.0	192.245.14.255	AU
192.245.15.0	192.245.23.255	US
192.245.24.0	192.245.24.255	CA
192.245.25.0	192.245.33.255	US
192.245.34.0	192.245.35.255	AU
192.245.36.0	192.245.36.255	NZ
192.245.37.0	192.245.50.255	US
192.245.51.0	192.245.51.255	CA
192.245.52.0	192.245.57.255	US
192.245.58.0	192.245.59.255	SG
192.245.60.0	192.245.60.255	CL
192.245.61.0	192.245.72.255	US
192.245.73.0	192.245.80.255	NZ
192.245.81.0	192.245.90.255	US
192.245.91.0	192.245.91.255	CA
192.245.92.0	192.245.93.255	US
192.245.94.0	192.245.94.255	NZ
192.245.95.0	192.245.104.255	US
192.245.105.0	192.245.112.255	AU
192.245.113.0	192.245.120.255	US
192.245.121.0	192.245.121.255	BO
192.245.122.0	192.245.147.255	US
192.245.148.0	192.245.148.255	DZ
192.245.149.0	192.245.151.255	US
192.245.152.0	192.245.152.255	UA
192.245.153.0	192.245.154.255	US
192.245.155.0	192.245.155.255	HK
192.245.156.0	192.245.156.255	US
192.245.160.0	192.245.168.255	US
192.245.169.0	192.245.169.255	PL
192.245.170.0	192.245.171.255	US
192.245.172.0	192.245.172.255	CA
192.245.173.0	192.245.180.255	US
192.245.182.0	192.245.182.255	US
192.245.183.0	192.245.183.255	CA
192.245.184.0	192.245.184.255	US
192.245.185.0	192.245.185.255	NZ
192.245.186.0	192.245.191.255	US
192.245.192.0	192.245.192.255	AU
192.245.194.0	192.245.195.255	US
192.245.196.0	192.245.196.255	HK
192.245.197.0	192.245.207.255	US
192.245.208.0	192.245.208.255	HK
192.245.209.0	192.245.209.255	US
192.245.210.0	192.245.217.255	AU
192.245.218.0	192.245.218.255	US
192.245.219.0	192.245.219.255	AU
192.245.220.0	192.245.220.255	NZ
192.245.221.0	192.245.224.255	US
192.245.225.0	192.245.225.255	GB
192.245.226.0	192.245.227.255	US
192.245.228.0	192.245.228.255	CA
192.245.229.0	192.245.248.255	US
192.245.249.0	192.245.251.255	KR
192.245.252.0	192.246.6.255	US
192.246.7.0	192.246.7.255	AU
192.246.8.0	192.246.72.255	US
192.246.73.0	192.246.73.255	AU
192.246.74.0	192.246.255.255	US
192.247.0.0	192.247.15.255	GB
192.247.16.0	192.247.95.255	US
192.247.128.0	192.247.255.255	US
192.248.0.0	192.248.127.255	LK
192.248.128.0	192.249.15.255	US
192.249.16.0	192.249.31.255	KR
192.249.32.0	192.249.63.255	US
192.250.0.0	192.250.15.255	US
192.250.22.0	192.250.23.255	US
192.250.24.0	192.250.28.255	CA
192.250.30.0	192.250.191.255	US
192.251.0.0	192.251.25.255	US
192.251.26.0	192.251.30.255	CA
192.251.31.0	192.251.38.255	US
192.251.39.0	192.251.39.255	CL
192.251.40.0	192.251.51.255	US
192.251.52.0	192.251.55.255	CA
192.251.56.0	192.251.60.255	US
192.251.61.0	192.251.65.255	SA
192.251.66.0	192.251.90.255	US
192.251.91.0	192.251.91.255	CA
192.251.92.0	192.251.147.255	US
192.251.148.0	192.251.148.255	AU
192.251.149.0	192.251.163.255	US
192.251.164.0	192.251.164.255	CA
192.251.165.0	192.251.165.255	US
192.251.166.0	192.251.166.255	CA
192.251.167.0	192.251.194.255	US
192.251.195.0	192.251.195.255	AU
192.251.196.0	192.251.196.255	CA
192.251.197.0	192.251.197.255	US
192.251.201.0	192.251.201.255	AU
192.251.202.0	192.251.202.255	GH
192.251.203.0	192.251.203.255	US
192.251.204.0	192.251.207.255	AU
192.251.208.0	192.251.225.255	US
192.251.226.0	192.251.226.255	DE
192.251.227.0	192.251.228.255	TH
192.251.229.0	192.251.229.255	AU
192.251.230.0	192.251.230.255	NZ
192.251.231.0	192.251.231.255	CA
192.251.232.0	192.251.239.255	US
192.252.0.0	192.255.255.255	US
193.0.0.0	193.0.15.255	NL
193.0.16.0	193.0.16.255	GB
193.0.17.0	193.0.31.255	NL
193.0.32.0	193.0.55.255	CH
193.0.56.0	193.0.60.255	DK
193.0.61.0	193.0.61.255	TR
193.0.62.0	193.0.62.255	FR
193.0.63.0	193.0.63.255	DE
193.0.64.0	193.0.127.255	PL
193.0.128.0	193.0.223.255	FR
193.0.224.0	193.0.224.255	CH
193.0.225.0	193.0.225.255	RO
193.0.226.0	193.0.226.255	HU
193.0.227.0	193.0.228.255	UA
193.0.229.0	193.0.229.255	GB
193.0.230.0	193.0.230.255	AT
193.0.231.0	193.0.231.255	CZ
193.0.232.0	193.0.233.255	CH
193.0.234.0	193.0.234.255	GB
193.0.235.0	193.0.235.255	SE
193.0.236.0	193.0.236.255	PL
193.0.237.0	193.0.237.255	CH
193.0.238.0	193.0.238.255	DE
193.0.239.0	193.0.239.255	GB
193.0.240.0	193.0.240.255	UA
193.0.241.0	193.0.241.255	ES
193.0.242.0	193.0.242.255	PL
193.0.243.0	193.0.243.255	DK
193.0.244.0	193.0.244.255	SI
193.0.245.0	193.0.245.255	FR
193.0.246.0	193.0.246.255	DE
193.0.247.0	193.0.247.255	UA
193.0.248.0	193.0.248.255	DE
193.0.249.0	193.0.249.255	GB
193.0.250.0	193.0.250.255	DE
193.0.251.0	193.0.251.255	LT
193.0.252.0	193.0.252.255	NO
193.0.253.0	193.0.253.255	SE
193.0.254.0	193.0.254.255	AT
193.0.255.0	193.0.255.255	GB
193.1.0.0	193.1.255.255	IE
193.2.0.0	193.2.255.255	SI
193.3.0.0	193.3.8.255	DK
193.3.9.0	193.3.11.255	US
193.3.12.0	193.3.255.255	DK
193.4.0.0	193.4.255.255	IS
193.5.0.0	193.5.25.255	CH
193.5.26.0	193.5.27.255	LI
193.5.28.0	193.5.255.255	CH
193.6.0.0	193.6.255.255	HU
193.7.0.0	193.7.159.255	DE
193.7.160.0	193.7.167.255	RU
193.7.168.0	193.7.255.255	DE
193.8.0.0	193.8.255.255	CH
193.9.0.0	193.9.1.255	GB
193.9.2.0	193.9.6.255	EU
193.9.7.0	193.9.7.255	GB
193.9.8.0	193.9.11.255	BE
193.9.12.0	193.9.12.255	SI
193.9.13.0	193.9.15.255	GB
193.9.16.0	193.9.16.255	BG
193.9.17.0	193.9.17.255	RU
193.9.18.0	193.9.18.255	DE
193.9.19.0	193.9.19.255	SI
193.9.20.0	193.9.20.255	GB
193.9.21.0	193.9.21.255	SI
193.9.22.0	193.9.22.255	RU
193.9.23.0	193.9.23.255	NL
193.9.24.0	193.9.24.255	CH
193.9.25.0	193.9.25.255	PL
193.9.26.0	193.9.27.255	HU
193.9.28.0	193.9.28.255	UA
193.9.29.0	193.9.31.255	HU
193.9.32.0	193.9.47.255	DE
193.9.48.0	193.9.53.255	NL
193.9.54.0	193.9.54.255	SE
193.9.55.0	193.9.57.255	NL
193.9.58.0	193.9.59.255	SE
193.9.60.0	193.9.63.255	NL
193.9.64.0	193.9.111.255	EU
193.9.112.0	193.9.112.255	FI
193.9.113.0	193.9.113.255	FR
193.9.114.0	193.9.114.255	IT
193.9.115.0	193.9.115.255	NL
193.9.116.0	193.9.116.255	NO
193.9.117.0	193.9.117.255	SE
193.9.118.0	193.9.118.255	DK
193.9.119.0	193.9.119.255	GB
193.9.120.0	193.9.120.255	LV
193.9.121.0	193.9.121.255	PL
193.9.122.0	193.9.122.255	CH
193.9.123.0	193.9.123.255	PL
193.9.124.0	193.9.127.255	HU
193.9.128.0	193.9.147.255	EU
193.9.148.0	193.9.148.255	GR
193.9.149.0	193.9.157.255	GB
193.9.158.0	193.9.158.255	UA
193.9.159.0	193.9.254.255	DK
193.9.255.0	193.9.255.255	AT
193.10.0.0	193.10.67.255	SE
193.10.68.0	193.10.68.255	DK
193.10.69.0	193.10.253.255	SE
193.10.254.0	193.10.254.255	DK
193.10.255.0	193.12.23.255	SE
193.12.24.0	193.12.25.255	IT
193.12.26.0	193.12.47.127	SE
193.12.47.128	193.12.47.191	GB
193.12.47.192	193.15.255.255	SE
193.16.0.0	193.16.0.255	CH
193.16.1.0	193.16.42.255	DE
193.16.43.0	193.16.43.255	ES
193.16.44.0	193.16.44.255	CH
193.16.45.0	193.16.47.255	UA
193.16.48.0	193.16.95.255	DE
193.16.96.0	193.16.96.255	MT
193.16.97.0	193.16.97.255	SE
193.16.98.0	193.16.98.255	DE
193.16.99.0	193.16.99.255	PL
193.16.100.0	193.16.100.255	NL
193.16.101.0	193.16.101.255	UA
193.16.102.0	193.16.102.255	BG
193.16.103.0	193.16.103.255	PT
193.16.104.0	193.16.104.255	CZ
193.16.105.0	193.16.105.255	UA
193.16.106.0	193.16.106.255	RU
193.16.107.0	193.16.107.255	PL
193.16.108.0	193.16.108.255	GB
193.16.109.0	193.16.109.255	SI
193.16.110.0	193.16.110.255	FR
193.16.111.0	193.16.111.255	MD
193.16.112.0	193.16.143.255	DE
193.16.144.0	193.16.145.255	GB
193.16.146.0	193.16.146.255	DK
193.16.147.0	193.16.147.255	IL
193.16.148.0	193.16.148.255	RO
193.16.149.0	193.16.150.255	GB
193.16.151.0	193.16.151.255	DE
193.16.152.0	193.16.152.255	SI
193.16.153.0	193.16.153.255	ES
193.16.154.0	193.16.154.255	NL
193.16.155.0	193.16.155.255	AT
193.16.156.0	193.16.156.255	FR
193.16.157.0	193.16.157.255	BG
193.16.158.0	193.16.158.255	UA
193.16.159.0	193.16.159.255	FR
193.16.160.0	193.16.207.255	DE
193.16.208.0	193.16.210.255	RU
193.16.211.0	193.16.211.255	CH
193.16.212.0	193.16.212.255	DE
193.16.213.0	193.16.213.255	RO
193.16.214.0	193.16.215.255	AT
193.16.216.0	193.16.216.255	ES
193.16.217.0	193.16.217.255	CH
193.16.218.0	193.16.218.255	RO
193.16.219.0	193.16.219.255	GR
193.16.220.0	193.16.220.255	CH
193.16.221.0	193.16.221.255	RO
193.16.222.0	193.16.228.255	DE
193.16.229.0	193.16.229.255	PL
193.16.230.0	193.16.231.255	DE
193.16.232.0	193.16.232.255	RU
193.16.233.0	193.16.233.255	UA
193.16.234.0	193.16.234.255	NL
193.16.235.0	193.16.236.255	DE
193.16.237.0	193.16.237.255	AT
193.16.238.0	193.16.238.255	IL
193.16.239.0	193.16.240.255	PL
193.16.241.0	193.16.241.255	CH
193.16.242.0	193.16.242.255	AT
193.16.243.0	193.16.243.255	ES
193.16.244.0	193.16.244.255	AT
193.16.245.0	193.16.245.255	DE
193.16.246.0	193.16.246.255	BG
193.16.247.0	193.16.247.255	UA
193.16.248.0	193.16.254.255	DE
193.16.255.0	193.16.255.255	PL
193.17.0.0	193.17.0.255	PT
193.17.1.0	193.17.11.255	DE
193.17.12.0	193.17.12.255	GB
193.17.13.0	193.17.13.255	CZ
193.17.14.0	193.17.14.255	PL
193.17.15.0	193.17.15.255	FR
193.17.16.0	193.17.18.255	DE
193.17.19.0	193.17.19.255	FR
193.17.20.0	193.17.39.255	DE
193.17.40.0	193.17.40.255	PT
193.17.41.0	193.17.41.255	PL
193.17.42.0	193.17.42.255	IL
193.17.43.0	193.17.43.255	RU
193.17.44.0	193.17.44.255	AT
193.17.45.0	193.17.45.255	IT
193.17.46.0	193.17.46.255	UA
193.17.47.0	193.17.47.255	CZ
193.17.48.0	193.17.51.255	DE
193.17.52.0	193.17.52.255	RU
193.17.53.0	193.17.53.255	JO
193.17.54.0	193.17.55.255	PL
193.17.56.0	193.17.63.255	DE
193.17.64.0	193.17.64.255	CH
193.17.65.0	193.17.65.255	GB
193.17.66.0	193.17.66.255	ES
193.17.67.0	193.17.67.255	SE
193.17.68.0	193.17.68.255	IL
193.17.69.0	193.17.69.255	UA
193.17.70.0	193.17.70.255	RO
193.17.71.0	193.17.71.255	PL
193.17.72.0	193.17.72.255	SE
193.17.73.0	193.17.73.255	FR
193.17.74.0	193.17.74.255	IL
193.17.75.0	193.17.75.255	UA
193.17.76.0	193.17.76.255	CH
193.17.77.0	193.17.77.255	DE
193.17.78.0	193.17.78.255	MD
193.17.79.0	193.17.79.255	LI
193.17.80.0	193.17.83.255	DE
193.17.84.0	193.17.84.255	PL
193.17.85.0	193.17.85.255	CH
193.17.86.0	193.17.127.255	DE
193.17.128.0	193.17.169.255	GB
193.17.170.0	193.17.170.255	RU
193.17.171.0	193.17.171.255	DE
193.17.172.0	193.17.172.255	PL
193.17.173.0	193.17.173.255	BY
193.17.174.0	193.17.174.255	UA
193.17.175.0	193.17.175.255	HU
193.17.176.0	193.17.178.255	DE
193.17.179.0	193.17.179.255	BE
193.17.180.0	193.17.186.255	DE
193.17.187.0	193.17.187.255	GB
193.17.188.0	193.17.188.255	DK
193.17.189.0	193.17.191.255	DE
193.17.192.0	193.17.192.255	FR
193.17.193.0	193.17.193.255	DE
193.17.194.0	193.17.194.255	CH
193.17.195.0	193.17.195.255	RO
193.17.196.0	193.17.196.255	FR
193.17.197.0	193.17.197.255	DE
193.17.198.0	193.17.198.255	FR
193.17.199.0	193.17.201.255	CH
193.17.202.0	193.17.202.255	SE
193.17.203.0	193.17.203.255	PL
193.17.204.0	193.17.205.255	DE
193.17.206.0	193.17.206.255	DK
193.17.207.0	193.17.207.255	SE
193.17.208.0	193.17.208.255	UA
193.17.209.0	193.17.209.255	FR
193.17.210.0	193.17.210.255	GB
193.17.211.0	193.17.211.255	SE
193.17.212.0	193.17.212.255	PL
193.17.213.0	193.17.213.255	UA
193.17.214.0	193.17.214.255	PL
193.17.215.0	193.17.215.255	CM
193.17.216.0	193.17.217.255	UA
193.17.218.0	193.17.218.255	SE
193.17.219.0	193.17.219.255	DE
193.17.220.0	193.17.220.255	RO
193.17.221.0	193.17.221.255	DE
193.17.222.0	193.17.222.255	AT
193.17.223.0	193.17.223.255	PL
193.17.224.0	193.17.224.255	DE
193.17.226.0	193.17.226.255	GB
193.17.227.0	193.17.227.255	SI
193.17.228.0	193.17.228.255	UA
193.17.229.0	193.17.229.255	BG
193.17.230.0	193.17.230.255	DE
193.17.231.0	193.17.231.255	FI
193.17.232.0	193.17.251.255	DE
193.17.252.0	193.17.252.255	AT
193.17.253.0	193.17.253.255	UA
193.17.254.0	193.19.63.255	DE
193.19.64.0	193.19.65.255	NO
193.19.66.0	193.19.71.255	RU
193.19.72.0	193.19.73.255	PL
193.19.74.0	193.19.75.255	UA
193.19.76.0	193.19.77.255	FR
193.19.78.0	193.19.79.255	DE
193.19.80.0	193.19.81.255	SE
193.19.82.0	193.19.83.255	RU
193.19.84.0	193.19.87.255	UA
193.19.88.0	193.19.89.255	GB
193.19.90.0	193.19.91.255	SA
193.19.92.0	193.19.93.255	AT
193.19.94.0	193.19.95.255	CH
193.19.96.0	193.19.97.255	UA
193.19.98.0	193.19.99.255	GB
193.19.100.0	193.19.101.255	UA
193.19.102.0	193.19.103.255	RU
193.19.104.0	193.19.105.255	PL
193.19.106.0	193.19.107.255	RO
193.19.108.0	193.19.111.255	UA
193.19.112.0	193.19.113.255	LU
193.19.114.0	193.19.115.255	DE
193.19.116.0	193.19.117.255	RU
193.19.118.0	193.19.119.255	UA
193.19.120.0	193.19.121.255	RU
193.19.122.0	193.19.125.255	PL
193.19.126.0	193.19.127.255	RU
193.19.128.0	193.19.131.255	IR
193.19.132.0	193.19.135.255	UA
193.19.136.0	193.19.139.255	FI
193.19.140.0	193.19.143.255	PL
193.19.144.0	193.19.147.255	UA
193.19.148.0	193.19.151.255	KW
193.19.152.0	193.19.155.255	UA
193.19.156.0	193.19.159.255	GB
193.19.160.0	193.19.163.255	DE
193.19.164.0	193.19.167.255	PL
193.19.168.0	193.19.171.255	GB
193.19.172.0	193.19.175.255	BG
193.19.176.0	193.19.179.255	CZ
193.19.180.0	193.19.183.255	DE
193.19.184.0	193.19.187.255	UA
193.19.188.0	193.19.191.255	SA
193.19.192.0	193.19.195.255	RO
193.19.196.0	193.19.199.255	GB
193.19.200.0	193.19.207.255	UA
193.19.208.0	193.19.211.255	FR
193.19.212.0	193.19.215.255	PL
193.19.216.0	193.19.219.255	FR
193.19.220.0	193.19.223.255	SI
193.19.224.0	193.19.227.255	NL
193.19.228.0	193.19.231.255	UA
193.19.232.0	193.19.235.255	EG
193.19.236.0	193.19.239.255	DE
193.19.240.0	193.19.247.255	UA
193.19.248.0	193.19.251.255	FR
193.19.252.0	193.19.255.255	UA
193.20.0.0	193.22.4.255	DE
193.22.5.0	193.22.5.255	PL
193.22.6.0	193.22.6.255	RU
193.22.7.0	193.22.7.255	FR
193.22.8.0	193.22.27.255	DE
193.22.29.0	193.22.29.255	DE
193.22.30.0	193.22.30.255	CY
193.22.31.0	193.22.31.255	HR
193.22.32.0	193.22.79.255	DE
193.22.80.0	193.22.80.255	IL
193.22.81.0	193.22.81.255	HR
193.22.82.0	193.22.82.255	AT
193.22.83.0	193.22.83.255	PL
193.22.84.0	193.22.84.255	UA
193.22.85.0	193.22.85.255	AT
193.22.86.0	193.22.86.255	FI
193.22.87.0	193.22.87.255	GB
193.22.88.0	193.22.88.255	RU
193.22.89.0	193.22.89.255	GB
193.22.90.0	193.22.90.255	IT
193.22.91.0	193.22.91.255	PL
193.22.92.0	193.22.92.255	FR
193.22.93.0	193.22.93.255	RO
193.22.94.0	193.22.94.255	NO
193.22.95.0	193.22.95.255	RO
193.22.96.0	193.22.101.255	DE
193.22.102.0	193.22.102.255	CH
193.22.103.0	193.22.103.255	BG
193.22.104.0	193.22.106.255	DE
193.22.107.0	193.22.107.255	FR
193.22.108.0	193.22.118.255	DE
193.22.119.0	193.22.119.255	ES
193.22.120.0	193.22.137.255	DE
193.22.138.0	193.22.138.255	UA
193.22.139.0	193.22.139.255	FR
193.22.140.0	193.22.140.255	UA
193.22.141.0	193.22.141.255	RO
193.22.142.0	193.22.142.255	CH
193.22.143.0	193.22.143.255	FR
193.22.144.0	193.22.164.255	DE
193.22.165.0	193.22.165.255	ES
193.22.166.0	193.22.167.255	DE
193.22.168.0	193.22.168.255	GB
193.22.169.0	193.22.169.255	PL
193.22.170.0	193.22.170.255	AT
193.22.171.0	193.22.171.255	CH
193.22.172.0	193.22.172.255	KW
193.22.173.0	193.22.173.255	RO
193.22.175.0	193.22.175.255	PL
193.22.176.0	193.22.223.255	DE
193.22.224.0	193.22.239.255	BE
193.22.240.0	193.22.241.255	DE
193.22.242.0	193.22.242.255	RU
193.22.243.0	193.22.245.255	GB
193.22.246.0	193.22.247.255	DE
193.22.248.0	193.22.248.255	BG
193.22.249.0	193.22.249.255	SA
193.22.250.0	193.22.250.255	NO
193.22.251.0	193.22.251.255	DE
193.22.252.0	193.22.252.255	PL
193.22.253.0	193.22.255.255	DE
193.23.0.0	193.23.0.255	UA
193.23.1.0	193.23.47.255	DE
193.23.48.0	193.23.48.255	PL
193.23.49.0	193.23.49.255	SI
193.23.50.0	193.23.50.255	LT
193.23.51.0	193.23.51.255	PL
193.23.52.0	193.23.52.255	BG
193.23.53.0	193.23.53.255	UA
193.23.54.0	193.23.54.255	PL
193.23.55.0	193.23.55.255	SE
193.23.56.0	193.23.56.255	DE
193.23.57.0	193.23.57.255	SE
193.23.58.0	193.23.58.255	UA
193.23.59.0	193.23.59.255	LT
193.23.60.0	193.23.60.255	UA
193.23.61.0	193.23.61.255	PL
193.23.62.0	193.23.62.255	SI
193.23.63.0	193.23.63.255	PL
193.23.64.0	193.23.111.255	DE
193.23.112.0	193.23.113.255	NL
193.23.114.0	193.23.114.255	IT
193.23.115.0	193.23.115.255	BE
193.23.116.0	193.23.116.255	GB
193.23.117.0	193.23.117.255	SE
193.23.118.0	193.23.118.255	GR
193.23.119.0	193.23.119.255	DE
193.23.120.0	193.23.120.255	GB
193.23.121.0	193.23.121.255	FR
193.23.122.0	193.23.122.255	UA
193.23.123.0	193.23.123.255	FR
193.23.124.0	193.23.124.255	GB
193.23.125.0	193.23.125.255	PL
193.23.126.0	193.23.126.255	UA
193.23.127.0	193.23.127.255	FR
193.23.128.0	193.23.135.255	DE
193.23.136.0	193.23.136.255	GB
193.23.137.0	193.23.137.255	SI
193.23.138.0	193.23.139.255	HU
193.23.140.0	193.23.140.255	UA
193.23.141.0	193.23.141.255	GB
193.23.142.0	193.23.142.255	RU
193.23.143.0	193.23.143.255	NL
193.23.144.0	193.23.155.255	DE
193.23.156.0	193.23.156.255	TR
193.23.157.0	193.23.157.255	UA
193.23.158.0	193.23.158.255	FR
193.23.159.0	193.23.159.255	NO
193.23.160.0	193.23.171.255	DE
193.23.172.0	193.23.172.255	SE
193.23.173.0	193.23.173.255	DK
193.23.174.0	193.23.174.255	PL
193.23.175.0	193.23.175.255	UA
193.23.176.0	193.23.179.255	DE
193.23.180.0	193.23.180.255	SA
193.23.181.0	193.23.181.255	UA
193.23.182.0	193.23.182.255	HR
193.23.183.0	193.23.183.255	UA
193.23.184.0	193.23.223.255	DE
193.23.224.0	193.23.224.255	GB
193.23.225.0	193.23.225.255	UA
193.23.226.0	193.23.226.255	DE
193.23.227.0	193.23.227.255	FR
193.23.228.0	193.23.228.255	SE
193.23.229.0	193.23.229.255	NO
193.23.230.0	193.23.254.255	DE
193.23.255.0	193.23.255.255	DK
193.24.0.0	193.24.0.255	RO
193.24.1.0	193.24.13.255	DE
193.24.14.0	193.24.14.255	PL
193.24.15.0	193.24.23.255	DE
193.24.24.0	193.24.24.255	PL
193.24.25.0	193.24.25.255	UA
193.24.26.0	193.24.26.255	GB
193.24.27.0	193.24.27.255	DE
193.24.28.0	193.24.28.255	GB
193.24.29.0	193.24.29.255	IT
193.24.30.0	193.24.30.255	UA
193.24.31.0	193.24.31.255	RO
193.24.32.0	193.24.63.255	DE
193.24.64.0	193.24.71.255	FI
193.24.72.0	193.24.191.255	DE
193.24.192.0	193.24.195.255	CH
193.24.196.0	193.24.199.255	RU
193.24.200.0	193.24.207.255	PL
193.24.208.0	193.24.211.255	DE
193.24.212.0	193.24.215.255	FR
193.24.216.0	193.24.219.255	DE
193.24.220.0	193.24.223.255	UA
193.24.224.0	193.24.227.255	DE
193.24.228.0	193.24.231.255	FR
193.24.232.0	193.24.235.255	RU
193.24.236.0	193.24.239.255	DE
193.24.240.0	193.24.243.255	BG
193.24.244.0	193.24.247.255	PL
193.24.248.0	193.24.251.255	SI
193.24.252.0	193.24.255.255	DE
193.25.0.0	193.25.7.255	PL
193.25.8.0	193.25.15.255	RU
193.25.16.0	193.25.95.255	DE
193.25.96.0	193.25.97.255	BE
193.25.98.0	193.25.99.255	AT
193.25.100.0	193.25.101.255	SE
193.25.102.0	193.25.103.255	CH
193.25.104.0	193.25.105.255	RO
193.25.106.0	193.25.107.255	UA
193.25.108.0	193.25.109.255	PL
193.25.110.0	193.25.113.255	RO
193.25.114.0	193.25.115.255	DE
193.25.116.0	193.25.117.255	GB
193.25.118.0	193.25.119.255	DE
193.25.120.0	193.25.121.255	UA
193.25.122.0	193.25.123.255	DE
193.25.124.0	193.25.125.255	TR
193.25.126.0	193.25.127.255	SE
193.25.128.0	193.25.159.255	DE
193.25.160.0	193.25.161.255	PL
193.25.162.0	193.25.163.255	BG
193.25.164.0	193.25.165.255	PT
193.25.166.0	193.25.169.255	PL
193.25.170.0	193.25.171.255	GB
193.25.172.0	193.25.175.255	DE
193.25.176.0	193.25.177.255	UA
193.25.178.0	193.25.179.255	IT
193.25.180.0	193.25.181.255	UA
193.25.182.0	193.25.183.255	DE
193.25.184.0	193.25.185.255	PL
193.25.186.0	193.25.189.255	GB
193.25.190.0	193.25.191.255	RU
193.25.192.0	193.25.192.255	ES
193.25.193.0	193.25.193.255	PL
193.25.194.0	193.25.195.255	FR
193.25.196.0	193.25.196.255	IT
193.25.197.0	193.25.197.255	FR
193.25.198.0	193.25.198.255	EU
193.25.199.0	193.25.199.255	AT
193.25.200.0	193.25.219.255	DE
193.25.221.0	193.25.221.255	RU
193.25.222.0	193.25.223.255	PL
193.25.224.0	193.25.254.255	DE
193.25.255.0	193.25.255.255	UA
193.26.0.0	193.26.0.255	RU
193.26.1.0	193.26.1.255	NL
193.26.2.0	193.26.2.255	RU
193.26.3.0	193.26.3.255	UA
193.26.4.0	193.26.4.255	GB
193.26.5.0	193.26.5.255	DE
193.26.6.0	193.26.6.255	SE
193.26.7.0	193.26.7.255	RO
193.26.8.0	193.26.8.255	AT
193.26.9.0	193.26.9.255	NL
193.26.10.0	193.26.10.255	RO
193.26.11.0	193.26.11.255	FR
193.26.12.0	193.26.12.255	DE
193.26.13.0	193.26.13.255	UA
193.26.14.0	193.26.14.255	BG
193.26.15.0	193.26.15.255	DE
193.26.16.0	193.26.16.255	RU
193.26.17.0	193.26.17.255	SE
193.26.18.0	193.26.18.255	BY
193.26.19.0	193.26.19.255	FR
193.26.20.0	193.26.20.255	UA
193.26.21.0	193.26.21.255	PL
193.26.22.0	193.26.22.255	DE
193.26.23.0	193.26.23.255	GB
193.26.24.0	193.26.24.255	DE
193.26.25.0	193.26.25.255	PL
193.26.26.0	193.26.26.255	SI
193.26.27.0	193.26.27.255	UA
193.26.28.0	193.26.28.255	DE
193.26.29.0	193.26.29.255	FR
193.26.30.0	193.26.30.255	SE
193.26.31.0	193.26.31.255	HU
193.26.32.0	193.26.63.255	DE
193.26.64.0	193.26.95.255	GB
193.26.96.0	193.26.127.255	DE
193.26.128.0	193.26.128.255	IT
193.26.129.0	193.26.129.255	RO
193.26.130.0	193.26.130.255	CH
193.26.131.0	193.26.131.255	PL
193.26.132.0	193.26.132.255	DK
193.26.133.0	193.26.133.255	GB
193.26.134.0	193.26.134.255	UA
193.26.135.0	193.26.135.255	RU
193.26.136.0	193.26.207.255	DE
193.26.208.0	193.26.208.255	RU
193.26.209.0	193.26.209.255	UA
193.26.210.0	193.26.211.255	PL
193.26.212.0	193.26.212.255	RU
193.26.213.0	193.26.213.255	GB
193.26.214.0	193.26.214.255	RU
193.26.215.0	193.26.215.255	PL
193.26.216.0	193.26.216.255	BG
193.26.218.0	193.26.218.255	DK
193.26.219.0	193.26.219.255	RO
193.26.220.0	193.26.220.255	PL
193.26.221.0	193.26.221.255	SE
193.26.222.0	193.26.223.255	GB
193.26.224.0	193.26.255.255	DE
193.27.0.0	193.27.0.255	UA
193.27.1.0	193.27.1.255	GB
193.27.2.0	193.27.3.255	DK
193.27.4.0	193.27.4.255	FR
193.27.5.0	193.27.6.255	PL
193.27.7.0	193.27.7.255	SA
193.27.8.0	193.27.8.255	PL
193.27.9.0	193.27.9.255	ES
193.27.10.0	193.27.10.255	FR
193.27.11.0	193.27.11.255	PT
193.27.12.0	193.27.39.255	DE
193.27.40.0	193.27.40.255	AT
193.27.41.0	193.27.41.255	RU
193.27.42.0	193.27.42.255	GB
193.27.43.0	193.27.43.255	CH
193.27.44.0	193.27.44.255	DK
193.27.45.0	193.27.45.255	CH
193.27.46.0	193.27.46.255	DE
193.27.47.0	193.27.47.255	UA
193.27.48.0	193.27.63.255	DE
193.27.64.0	193.27.65.255	EU
193.27.66.0	193.27.67.255	RU
193.27.68.0	193.27.69.255	FR
193.27.70.0	193.27.73.255	RO
193.27.74.0	193.27.77.255	CH
193.27.78.0	193.27.79.255	FR
193.27.80.0	193.27.81.255	UA
193.27.82.0	193.27.83.255	PL
193.27.84.0	193.27.85.255	RO
193.27.86.0	193.27.87.255	NL
193.27.88.0	193.27.89.255	GB
193.27.90.0	193.27.91.255	PL
193.27.92.0	193.27.93.255	IL
193.27.94.0	193.27.95.255	NO
193.27.96.0	193.27.191.255	DE
193.27.192.0	193.27.193.255	SE
193.27.194.0	193.27.195.255	FR
193.27.196.0	193.27.197.255	RU
193.27.198.0	193.27.199.255	PL
193.27.200.0	193.27.201.255	SE
193.27.202.0	193.27.203.255	IT
193.27.204.0	193.27.205.255	PL
193.27.206.0	193.27.207.255	UZ
193.27.208.0	193.27.209.255	UA
193.27.210.0	193.27.211.255	PL
193.27.212.0	193.27.213.255	GB
193.27.214.0	193.27.215.255	RU
193.27.216.0	193.27.217.255	DK
193.27.218.0	193.27.219.255	CH
193.27.220.0	193.27.221.255	DE
193.27.222.0	193.27.225.255	RU
193.27.226.0	193.27.227.255	CH
193.27.228.0	193.27.229.255	SE
193.27.230.0	193.27.233.255	RU
193.27.234.0	193.27.235.255	UA
193.27.236.0	193.27.241.255	RU
193.27.242.0	193.27.243.255	UA
193.27.244.0	193.27.245.255	AT
193.27.246.0	193.27.249.255	RU
193.27.250.0	193.27.251.255	DK
193.27.254.0	193.27.255.255	SE
193.28.0.0	193.28.0.255	PL
193.28.1.0	193.28.5.255	DE
193.28.6.0	193.28.6.255	RU
193.28.7.0	193.28.7.255	DE
193.28.8.0	193.28.8.255	SK
193.28.9.0	193.28.10.255	SA
193.28.11.0	193.28.11.255	DE
193.28.12.0	193.28.12.255	AT
193.28.13.0	193.28.13.255	NL
193.28.14.0	193.28.41.255	DE
193.28.42.0	193.28.42.255	CH
193.28.43.0	193.28.43.255	SE
193.28.44.0	193.28.44.255	RU
193.28.45.0	193.28.45.255	GB
193.28.46.0	193.28.46.255	RU
193.28.47.0	193.28.47.255	NL
193.28.48.0	193.28.83.255	DE
193.28.84.0	193.28.84.255	PL
193.28.85.0	193.28.85.255	UA
193.28.86.0	193.28.86.255	HU
193.28.87.0	193.28.87.255	CA
193.28.88.0	193.28.88.255	DE
193.28.89.0	193.28.89.255	GB
193.28.90.0	193.28.91.255	DE
193.28.92.0	193.28.92.255	UA
193.28.93.0	193.28.93.255	PL
193.28.94.0	193.28.94.255	SA
193.28.95.0	193.28.95.255	IT
193.28.96.0	193.28.143.255	DE
193.28.144.0	193.28.144.255	NL
193.28.145.0	193.28.145.255	DE
193.28.146.0	193.28.146.255	SI
193.28.147.0	193.28.147.255	DK
193.28.148.0	193.28.148.255	PL
193.28.149.0	193.28.149.255	DK
193.28.150.0	193.28.150.255	DE
193.28.151.0	193.28.151.255	RO
193.28.152.0	193.28.152.255	NL
193.28.153.0	193.28.153.255	DE
193.28.154.0	193.28.154.255	GB
193.28.155.0	193.28.155.255	IL
193.28.156.0	193.28.156.255	UA
193.28.157.0	193.28.157.255	IT
193.28.158.0	193.28.158.255	PL
193.28.159.0	193.28.175.255	DE
193.28.176.0	193.28.176.255	GB
193.28.177.0	193.28.177.255	UA
193.28.178.0	193.28.179.255	GB
193.28.180.0	193.28.180.255	DE
193.28.181.0	193.28.181.255	CH
193.28.182.0	193.28.182.255	GB
193.28.183.0	193.28.183.255	FR
193.28.184.0	193.28.184.255	UA
193.28.185.0	193.28.185.255	CH
193.28.186.0	193.28.186.255	UA
193.28.187.0	193.28.187.255	PL
193.28.188.0	193.28.188.255	CH
193.28.189.0	193.28.189.255	PL
193.28.190.0	193.28.190.255	RU
193.28.191.0	193.28.191.255	FR
193.28.192.0	193.28.199.255	DE
193.28.200.0	193.28.200.255	UA
193.28.201.0	193.28.201.255	GB
193.28.202.0	193.28.202.255	CZ
193.28.203.0	193.28.203.255	FI
193.28.204.0	193.28.204.255	AT
193.28.205.0	193.28.205.255	FR
193.28.206.0	193.28.206.255	NL
193.28.207.0	193.28.223.255	DE
193.28.224.0	193.28.224.255	DK
193.28.225.0	193.28.225.255	TR
193.28.226.0	193.28.226.255	PL
193.28.227.0	193.28.227.255	DK
193.28.228.0	193.28.229.255	DE
193.28.230.0	193.28.230.255	PL
193.28.231.0	193.28.231.255	HU
193.28.232.0	193.28.232.255	GB
193.28.233.0	193.28.233.255	FR
193.28.234.0	193.28.234.255	RU
193.28.235.0	193.28.235.255	FR
193.28.236.0	193.28.236.255	NO
193.28.237.0	193.28.237.255	GB
193.28.238.0	193.28.238.255	DE
193.28.239.0	193.28.239.255	RU
193.28.240.0	193.28.249.255	DE
193.28.250.0	193.28.250.255	BG
193.28.251.0	193.28.251.255	DE
193.28.252.0	193.28.252.255	PL
193.28.253.0	193.28.253.255	RU
193.28.254.0	193.28.254.255	EE
193.28.255.0	193.28.255.255	GB
193.29.0.0	193.29.15.255	DE
193.29.16.0	193.29.16.255	UA
193.29.17.0	193.29.38.255	DE
193.29.39.0	193.29.39.255	LT
193.29.40.0	193.29.47.255	DE
193.29.48.0	193.29.48.255	PL
193.29.49.0	193.29.49.255	HU
193.29.50.0	193.29.50.255	SA
193.29.51.0	193.29.51.255	PL
193.29.52.0	193.29.52.255	FR
193.29.53.0	193.29.53.255	KZ
193.29.54.0	193.29.54.255	DE
193.29.55.0	193.29.55.255	BG
193.29.56.0	193.29.127.255	DE
193.29.128.0	193.29.128.255	UA
193.29.129.0	193.29.129.255	FR
193.29.130.0	193.29.138.255	DE
193.29.139.0	193.29.139.255	NL
193.29.140.0	193.29.186.255	DE
193.29.187.0	193.29.187.255	AT
193.29.188.0	193.29.199.255	DE
193.29.200.0	193.29.200.255	UA
193.29.201.0	193.29.201.255	DK
193.29.202.0	193.29.202.255	ES
193.29.203.0	193.29.204.255	UA
193.29.205.0	193.29.205.255	PL
193.29.206.0	193.29.206.255	CZ
193.29.207.0	193.29.207.255	PL
193.29.208.0	193.29.219.255	DE
193.29.220.0	193.29.220.255	UA
193.29.221.0	193.29.221.255	BE
193.29.222.0	193.29.222.255	FR
193.29.223.0	193.29.223.255	GB
193.29.224.0	193.29.254.255	DE
193.29.255.0	193.29.255.255	PL
193.30.0.0	193.30.0.255	NO
193.30.1.0	193.30.23.255	DE
193.30.24.0	193.30.27.255	GB
193.30.28.0	193.30.38.255	DE
193.30.39.0	193.30.39.255	RU
193.30.40.0	193.30.40.255	UA
193.30.41.0	193.30.41.255	GB
193.30.42.0	193.30.42.255	DE
193.30.43.0	193.30.43.255	SI
193.30.44.0	193.30.107.255	DE
193.30.108.0	193.30.108.255	GB
193.30.109.0	193.30.109.255	PL
193.30.110.0	193.30.110.255	BE
193.30.111.0	193.30.111.255	GB
193.30.112.0	193.30.140.255	DE
193.30.141.0	193.30.141.255	FR
193.30.142.0	193.30.142.255	SE
193.30.143.0	193.30.143.255	NL
193.30.144.0	193.30.159.255	DE
193.30.160.0	193.30.160.255	PL
193.30.161.0	193.30.161.255	IL
193.30.162.0	193.30.162.255	GB
193.30.163.0	193.30.163.255	AT
193.30.164.0	193.30.164.255	HU
193.30.165.0	193.30.165.255	DE
193.30.166.0	193.30.166.255	GB
193.30.167.0	193.30.167.255	CH
193.30.168.0	193.30.223.255	DE
193.30.224.0	193.30.227.255	FR
193.30.228.0	193.30.231.255	BG
193.30.232.0	193.30.235.255	GB
193.30.236.0	193.30.239.255	RU
193.30.240.0	193.30.247.255	UA
193.30.248.0	193.30.251.255	RS
193.30.252.0	193.30.255.255	DE
193.31.0.0	193.31.0.255	RU
193.31.1.0	193.31.13.255	DE
193.31.14.0	193.31.14.255	AT
193.31.15.0	193.31.15.255	DK
193.31.16.0	193.31.251.255	DE
193.31.252.0	193.31.253.255	CH
193.31.254.0	193.31.255.255	DE
193.32.0.0	193.32.11.255	GB
193.32.12.0	193.32.15.255	UA
193.32.16.0	193.32.18.255	GB
193.32.19.0	193.32.19.255	NL
193.32.20.0	193.32.20.255	RU
193.32.21.0	193.32.21.255	UA
193.32.22.0	193.32.35.255	GB
193.32.36.0	193.32.37.255	PL
193.32.38.0	193.32.99.255	GB
193.32.100.0	193.32.100.255	RO
193.32.101.0	193.32.101.255	IE
193.32.102.0	193.32.255.255	GB
193.33.0.0	193.33.1.255	IT
193.33.2.0	193.33.3.255	ES
193.33.4.0	193.33.5.255	PL
193.33.6.0	193.33.7.255	RO
193.33.8.0	193.33.9.255	PL
193.33.10.0	193.33.11.255	RU
193.33.12.0	193.33.13.255	FR
193.33.14.0	193.33.15.255	CZ
193.33.16.0	193.33.17.255	IL
193.33.18.0	193.33.19.255	IT
193.33.20.0	193.33.21.255	DE
193.33.22.0	193.33.23.255	CZ
193.33.24.0	193.33.25.255	RO
193.33.26.0	193.33.29.255	RU
193.33.30.0	193.33.31.255	CH
193.33.32.0	193.33.33.255	RO
193.33.34.0	193.33.35.255	PL
193.33.36.0	193.33.37.255	FR
193.33.38.0	193.33.41.255	RU
193.33.42.0	193.33.43.255	PL
193.33.44.0	193.33.45.255	UA
193.33.46.0	193.33.47.255	FR
193.33.48.0	193.33.49.255	UA
193.33.50.0	193.33.51.255	NL
193.33.52.0	193.33.53.255	BE
193.33.54.0	193.33.55.255	UA
193.33.56.0	193.33.57.255	RO
193.33.58.0	193.33.59.255	PL
193.33.60.0	193.33.61.255	NL
193.33.62.0	193.33.63.255	RU
193.33.64.0	193.33.65.255	UA
193.33.66.0	193.33.67.255	RO
193.33.68.0	193.33.69.255	RU
193.33.70.0	193.33.71.63	NL
193.33.71.64	193.33.71.95	CR
193.33.71.96	193.33.71.255	NL
193.33.72.0	193.33.73.255	GB
193.33.74.0	193.33.75.255	UA
193.33.76.0	193.33.77.255	GB
193.33.78.0	193.33.79.255	FR
193.33.80.0	193.33.85.255	RU
193.33.86.0	193.33.87.255	UA
193.33.88.0	193.33.89.255	RU
193.33.90.0	193.33.91.255	RO
193.33.92.0	193.33.93.255	MD
193.33.94.0	193.33.95.255	RO
193.33.96.0	193.33.97.255	DE
193.33.98.0	193.33.99.255	IT
193.33.100.0	193.33.101.255	RU
193.33.102.0	193.33.103.255	SE
193.33.104.0	193.33.105.255	UA
193.33.106.0	193.33.107.255	RO
193.33.108.0	193.33.109.255	GB
193.33.110.0	193.33.111.255	PL
193.33.112.0	193.33.113.255	GB
193.33.114.0	193.33.115.255	AT
193.33.116.0	193.33.117.255	GB
193.33.118.0	193.33.119.255	RO
193.33.120.0	193.33.123.255	RU
193.33.124.0	193.33.125.255	PL
193.33.126.0	193.33.127.255	CZ
193.33.128.0	193.33.129.255	CH
193.33.130.0	193.33.131.255	RO
193.33.132.0	193.33.133.255	HU
193.33.134.0	193.33.135.255	NL
193.33.136.0	193.33.137.255	RO
193.33.138.0	193.33.139.255	GB
193.33.140.0	193.33.141.255	RO
193.33.142.0	193.33.143.255	CH
193.33.144.0	193.33.145.255	RU
193.33.146.0	193.33.147.255	GB
193.33.148.0	193.33.149.255	DK
193.33.150.0	193.33.151.255	AT
193.33.152.0	193.33.153.255	SE
193.33.154.0	193.33.155.255	RO
193.33.156.0	193.33.157.255	GB
193.33.158.0	193.33.159.255	DE
193.33.160.0	193.33.161.255	RU
193.33.162.0	193.33.165.255	RO
193.33.166.0	193.33.167.255	RU
193.33.168.0	193.33.169.255	FR
193.33.170.0	193.33.171.255	GB
193.33.172.0	193.33.173.255	UA
193.33.174.0	193.33.177.255	PL
193.33.178.0	193.33.179.255	GB
193.33.180.0	193.33.181.255	NL
193.33.182.0	193.33.183.255	BE
193.33.184.0	193.33.185.255	RU
193.33.186.0	193.33.187.255	GB
193.33.188.0	193.33.189.255	SE
193.33.190.0	193.33.191.255	DK
193.33.192.0	193.33.195.255	RU
193.33.196.0	193.33.197.255	UA
193.33.198.0	193.33.199.255	GB
193.33.200.0	193.33.201.255	RO
193.33.202.0	193.33.203.255	UA
193.33.204.0	193.33.205.255	RU
193.33.206.0	193.33.207.255	UA
193.33.208.0	193.33.209.255	NL
193.33.210.0	193.33.211.255	AT
193.33.212.0	193.33.213.255	UA
193.33.214.0	193.33.215.255	NL
193.33.216.0	193.33.217.255	AT
193.33.218.0	193.33.219.255	SE
193.33.220.0	193.33.221.255	NL
193.33.222.0	193.33.223.255	FR
193.33.224.0	193.33.225.255	KW
193.33.226.0	193.33.227.255	RU
193.33.228.0	193.33.229.255	MT
193.33.230.0	193.33.233.255	RU
193.33.234.0	193.33.235.255	IL
193.33.236.0	193.33.237.255	UA
193.33.238.0	193.33.239.255	CH
193.33.240.0	193.33.243.255	RU
193.33.244.0	193.33.245.255	GB
193.33.246.0	193.33.247.255	SE
193.33.248.0	193.33.249.255	GB
193.33.250.0	193.33.253.255	RO
193.33.254.0	193.33.255.255	GB
193.34.0.0	193.34.3.255	PL
193.34.4.0	193.34.7.255	NL
193.34.8.0	193.34.15.255	RU
193.34.16.0	193.34.19.255	FR
193.34.20.0	193.34.23.255	UA
193.34.24.0	193.34.27.255	DE
193.34.32.0	193.34.35.255	FR
193.34.36.0	193.34.39.255	US
193.34.40.0	193.34.43.255	FI
193.34.44.0	193.34.47.255	PL
193.34.48.0	193.34.51.255	DE
193.34.52.0	193.34.55.255	PL
193.34.56.0	193.34.59.255	IL
193.34.60.0	193.34.63.255	UA
193.34.64.0	193.34.67.255	RS
193.34.68.0	193.34.71.255	DE
193.34.72.0	193.34.79.255	UA
193.34.80.0	193.34.83.255	IE
193.34.84.0	193.34.87.255	LT
193.34.88.0	193.34.91.255	BE
193.34.92.0	193.34.99.255	UA
193.34.100.0	193.34.103.255	DE
193.34.104.0	193.34.107.255	FO
193.34.108.0	193.34.111.255	RO
193.34.112.0	193.34.115.255	PL
193.34.116.0	193.34.123.255	DE
193.34.128.0	193.34.129.255	UA
193.34.130.0	193.34.131.255	FR
193.34.132.0	193.34.133.255	TR
193.34.134.0	193.34.135.255	HU
193.34.136.0	193.34.137.255	CH
193.34.138.0	193.34.139.255	PL
193.34.140.0	193.34.141.255	UA
193.34.142.0	193.34.143.255	RS
193.34.144.0	193.34.145.255	DE
193.34.146.0	193.34.149.255	GB
193.34.150.0	193.34.151.255	NL
193.34.152.0	193.34.153.255	SE
193.34.154.0	193.34.155.255	UA
193.34.156.0	193.34.157.255	RO
193.34.158.0	193.34.159.255	PL
193.34.160.0	193.34.161.255	RU
193.34.162.0	193.34.163.255	PL
193.34.164.0	193.34.165.255	RU
193.34.166.0	193.34.167.255	NL
193.34.168.0	193.34.169.255	UA
193.34.170.0	193.34.171.255	GB
193.34.172.0	193.34.173.255	UA
193.34.174.0	193.34.175.255	RO
193.34.176.0	193.34.177.255	GR
193.34.178.0	193.34.179.255	PL
193.34.180.0	193.34.183.255	RO
193.34.184.0	193.34.185.255	RU
193.34.186.0	193.34.187.255	GB
193.34.188.0	193.34.189.255	CH
193.34.190.0	193.34.191.255	RO
193.34.192.0	193.34.192.127	DE
193.34.192.128	193.34.193.127	PL
193.34.193.128	193.34.193.255	UA
193.34.194.0	193.34.194.127	GB
193.34.194.128	193.34.194.255	RU
193.34.195.0	193.34.195.127	GB
193.34.195.128	193.34.196.127	PL
193.34.196.128	193.34.196.255	FR
193.34.197.0	193.34.197.127	PL
193.34.197.128	193.34.197.255	IR
193.34.198.0	193.34.198.127	JO
193.34.198.128	193.34.198.255	PL
193.34.199.0	193.34.199.127	NL
193.34.199.128	193.34.199.255	IT
193.34.200.0	193.34.200.127	DE
193.34.200.128	193.34.200.255	UA
193.34.201.0	193.34.201.127	RO
193.34.202.0	193.34.202.255	SE
193.34.203.0	193.34.203.127	UA
193.34.203.128	193.34.203.255	PL
193.34.208.0	193.34.211.255	RU
193.34.212.0	193.34.215.255	PL
193.34.216.0	193.34.219.255	UA
193.34.220.0	193.34.223.255	PL
193.34.224.0	193.34.255.255	GB
193.35.0.0	193.35.0.255	RO
193.35.1.0	193.35.24.255	GB
193.35.25.0	193.35.25.255	UA
193.35.26.0	193.35.255.255	GB
193.36.0.0	193.36.0.255	TR
193.36.1.0	193.36.31.255	GB
193.36.32.0	193.36.32.255	CH
193.36.33.0	193.36.33.255	DE
193.36.34.0	193.36.34.255	GB
193.36.35.0	193.36.35.255	RU
193.36.36.0	193.36.36.255	CH
193.36.37.0	193.36.37.255	RO
193.36.38.0	193.36.38.255	RU
193.36.39.0	193.36.39.255	TR
193.36.40.0	193.36.40.255	SI
193.36.41.0	193.36.42.255	RU
193.36.43.0	193.36.43.255	IE
193.36.44.0	193.36.44.255	RO
193.36.45.0	193.36.45.255	FR
193.36.46.0	193.36.46.255	DE
193.36.47.0	193.36.175.255	GB
193.36.176.0	193.36.176.255	IL
193.36.177.0	193.36.177.255	NL
193.36.178.0	193.36.178.255	NO
193.36.179.0	193.36.179.255	NL
193.36.180.0	193.36.180.255	DE
193.36.181.0	193.36.181.255	CH
193.36.182.0	193.36.182.255	FR
193.36.183.0	193.36.183.255	PL
193.36.184.0	193.36.184.255	TR
193.36.185.0	193.36.185.255	GB
193.36.186.0	193.36.186.255	NL
193.36.187.0	193.36.187.255	DE
193.36.188.0	193.36.188.255	CH
193.36.189.0	193.36.189.255	AT
193.36.190.0	193.36.190.255	PT
193.36.191.0	193.36.191.255	NO
193.36.192.0	193.36.225.255	GB
193.36.226.0	193.36.226.255	AT
193.36.227.0	193.36.227.255	DE
193.36.228.0	193.36.228.255	RO
193.36.229.0	193.36.229.255	NL
193.36.230.0	193.37.127.255	GB
193.37.128.0	193.37.130.255	IL
193.37.131.0	193.37.132.255	DE
193.37.133.0	193.37.133.255	UA
193.37.134.0	193.37.134.255	EU
193.37.135.0	193.37.135.255	TR
193.37.136.0	193.37.136.255	RO
193.37.137.0	193.37.137.255	RU
193.37.138.0	193.37.138.255	RO
193.37.139.0	193.37.140.255	PL
193.37.141.0	193.37.141.255	UA
193.37.142.0	193.37.142.255	GB
193.37.143.0	193.37.143.255	SA
193.37.144.0	193.37.144.255	AT
193.37.145.0	193.37.145.255	FR
193.37.146.0	193.37.146.255	GB
193.37.147.0	193.37.147.255	CH
193.37.148.0	193.37.149.255	DE
193.37.150.0	193.37.150.255	FR
193.37.151.0	193.37.152.255	DE
193.37.153.0	193.37.153.255	PT
193.37.154.0	193.37.154.255	TR
193.37.155.0	193.37.155.255	NL
193.37.156.0	193.37.156.255	UA
193.37.157.0	193.37.157.255	RU
193.37.158.0	193.37.158.255	GB
193.37.159.0	193.37.159.255	CH
193.37.160.0	193.37.235.255	GB
193.37.236.0	193.37.236.255	CH
193.37.237.0	193.37.237.255	GB
193.37.238.0	193.37.238.255	BG
193.37.239.0	193.37.239.255	NL
193.37.240.0	193.39.65.255	GB
193.39.66.0	193.39.66.255	RO
193.39.67.0	193.39.67.255	GB
193.39.68.0	193.39.68.255	DE
193.39.69.0	193.39.69.255	UA
193.39.70.0	193.39.70.255	FR
193.39.71.0	193.39.71.255	PL
193.39.72.0	193.39.72.255	UA
193.39.73.0	193.39.73.255	RO
193.39.74.0	193.39.74.255	DE
193.39.75.0	193.39.77.255	UA
193.39.78.0	193.39.78.255	CH
193.39.79.0	193.39.79.255	IL
193.39.80.0	193.39.111.255	GB
193.39.112.0	193.39.112.255	NL
193.39.113.0	193.39.113.255	RU
193.39.114.0	193.39.114.255	UA
193.39.115.0	193.39.115.255	DE
193.39.116.0	193.39.116.255	RU
193.39.117.0	193.39.117.255	RO
193.39.118.0	193.39.118.255	UA
193.39.119.0	193.39.119.255	RO
193.39.120.0	193.39.135.255	SE
193.39.136.0	193.39.138.255	GB
193.39.139.0	193.39.139.255	DK
193.39.140.0	193.39.199.255	GB
193.39.200.0	193.39.207.255	DE
193.39.208.0	193.39.247.255	GB
193.39.248.0	193.39.249.255	RU
193.39.250.0	193.39.255.255	GB
193.40.0.0	193.40.255.255	EE
193.41.0.0	193.41.1.255	GB
193.41.2.0	193.41.3.255	TR
193.41.4.0	193.41.5.255	UA
193.41.6.0	193.41.7.255	IT
193.41.8.0	193.41.11.255	DE
193.41.12.0	193.41.13.255	DK
193.41.14.0	193.41.15.255	ES
193.41.16.0	193.41.23.255	BE
193.41.24.0	193.41.31.255	ES
193.41.32.0	193.41.32.255	SE
193.41.33.0	193.41.33.255	LV
193.41.34.0	193.41.34.255	GB
193.41.35.0	193.41.36.255	SI
193.41.37.0	193.41.37.255	DE
193.41.38.0	193.41.38.255	UA
193.41.39.0	193.41.39.255	NO
193.41.40.0	193.41.40.255	LT
193.41.41.0	193.41.41.255	AT
193.41.42.0	193.41.42.255	BE
193.41.43.0	193.41.43.255	ES
193.41.44.0	193.41.44.255	FR
193.41.45.0	193.41.45.255	LV
193.41.46.0	193.41.46.255	ES
193.41.47.0	193.41.47.255	FR
193.41.48.0	193.41.51.255	UA
193.41.52.0	193.41.55.255	DE
193.41.56.0	193.41.59.255	GR
193.41.60.0	193.41.63.255	UA
193.41.64.0	193.41.67.255	BG
193.41.68.0	193.41.70.255	NL
193.41.71.0	193.41.75.255	FR
193.41.80.0	193.41.80.255	UA
193.41.81.0	193.41.81.255	LT
193.41.82.0	193.41.82.255	DE
193.41.83.0	193.41.83.255	FR
193.41.84.0	193.41.85.255	IT
193.41.86.0	193.41.86.255	RU
193.41.87.0	193.41.87.255	DE
193.41.88.0	193.41.88.255	UA
193.41.89.0	193.41.89.255	SI
193.41.90.0	193.41.90.255	CH
193.41.91.0	193.41.91.255	IT
193.41.92.0	193.41.92.255	GB
193.41.93.0	193.41.93.255	DE
193.41.94.0	193.41.94.255	AT
193.41.95.0	193.41.95.255	FR
193.41.96.0	193.41.103.255	GB
193.41.104.0	193.41.111.255	CH
193.41.112.0	193.41.113.255	PL
193.41.114.0	193.41.115.255	PT
193.41.116.0	193.41.117.255	DE
193.41.118.0	193.41.119.255	SE
193.41.120.0	193.41.121.255	DE
193.41.122.0	193.41.123.255	RO
193.41.124.0	193.41.125.255	DE
193.41.126.0	193.41.127.255	RO
193.41.128.0	193.41.131.255	UA
193.41.132.0	193.41.135.255	DE
193.41.136.0	193.41.137.255	CH
193.41.138.0	193.41.139.255	AT
193.41.140.0	193.41.143.255	RU
193.41.144.0	193.41.145.255	DE
193.41.146.0	193.41.147.255	DZ
193.41.148.0	193.41.149.255	CH
193.41.150.0	193.41.151.255	GR
193.41.152.0	193.41.155.255	GB
193.41.156.0	193.41.157.255	DK
193.41.158.0	193.41.159.255	BE
193.41.160.0	193.41.163.255	ES
193.41.164.0	193.41.167.255	GB
193.41.168.0	193.41.171.255	SE
193.41.172.0	193.41.175.255	UA
193.41.176.0	193.41.179.255	IT
193.41.180.0	193.41.181.255	FR
193.41.182.0	193.41.183.255	BG
193.41.184.0	193.41.187.255	UA
193.41.188.0	193.41.191.255	BG
193.41.192.0	193.41.192.255	UA
193.41.193.0	193.41.193.255	CH
193.41.194.0	193.41.194.255	FR
193.41.195.0	193.41.195.255	LV
193.41.196.0	193.41.196.255	US
193.41.197.0	193.41.197.255	LT
193.41.198.0	193.41.198.255	IT
193.41.199.0	193.41.200.255	DE
193.41.201.0	193.41.201.255	AT
193.41.202.0	193.41.202.255	IL
193.41.203.0	193.41.203.255	SK
193.41.204.0	193.41.204.255	LV
193.41.205.0	193.41.205.255	IT
193.41.207.0	193.41.207.255	AT
193.41.208.0	193.41.209.255	IL
193.41.210.0	193.41.211.255	DK
193.41.212.0	193.41.213.255	DE
193.41.214.0	193.41.215.255	SE
193.41.216.0	193.41.217.255	RO
193.41.218.0	193.41.219.255	UA
193.41.220.0	193.41.221.255	GB
193.41.222.0	193.41.223.255	FR
193.41.224.0	193.41.224.255	SE
193.41.225.0	193.41.225.255	TR
193.41.226.0	193.41.226.255	RU
193.41.227.0	193.41.227.255	ES
193.41.228.0	193.41.228.255	AT
193.41.229.0	193.41.229.255	GR
193.41.230.0	193.41.231.255	PL
193.41.232.0	193.41.232.255	AT
193.41.233.0	193.41.233.255	BE
193.41.234.0	193.41.234.255	ES
193.41.235.0	193.41.236.255	IT
193.41.237.0	193.41.237.255	LU
193.41.238.0	193.41.238.255	FR
193.41.239.0	193.41.239.255	UA
193.41.240.0	193.41.243.255	ES
193.41.244.0	193.41.251.255	RO
193.41.252.0	193.41.255.255	DE
193.42.0.0	193.42.0.255	IE
193.42.1.0	193.42.141.255	IT
193.42.142.0	193.42.142.255	RU
193.42.143.0	193.42.143.255	ES
193.42.144.0	193.42.144.255	GB
193.42.145.0	193.42.145.255	RO
193.42.146.0	193.42.146.255	CH
193.42.147.0	193.42.147.255	PL
193.42.148.0	193.42.148.255	UA
193.42.149.0	193.42.149.255	RU
193.42.150.0	193.42.151.255	FR
193.42.152.0	193.42.152.255	GB
193.42.153.0	193.42.154.255	PL
193.42.155.0	193.42.155.255	DE
193.42.156.0	193.42.156.255	BG
193.42.157.0	193.42.157.255	UA
193.42.158.0	193.42.158.255	CH
193.42.159.0	193.42.159.255	SE
193.42.160.0	193.42.209.255	IT
193.42.210.0	193.42.210.255	GB
193.42.211.0	193.42.211.255	PL
193.42.212.0	193.42.212.255	NL
193.42.213.0	193.42.213.255	FR
193.42.214.0	193.42.214.255	GR
193.42.215.0	193.42.215.255	SA
193.42.216.0	193.42.216.255	TR
193.42.217.0	193.42.217.255	GB
193.42.218.0	193.42.218.255	PL
193.42.219.0	193.42.219.255	FR
193.42.220.0	193.42.220.255	SA
193.42.221.0	193.42.221.255	DE
193.42.222.0	193.42.222.255	HU
193.42.223.0	193.42.223.255	KW
193.42.224.0	193.42.227.255	IT
193.42.228.0	193.42.231.255	PL
193.42.232.0	193.42.247.255	IT
193.42.248.0	193.42.255.255	NL
193.43.0.0	193.43.0.63	EU
193.43.0.64	193.43.0.95	RU
193.43.0.96	193.43.24.255	IT
193.43.25.0	193.43.25.255	FR
193.43.26.0	193.43.26.255	BG
193.43.27.0	193.43.27.255	CH
193.43.28.0	193.43.28.255	IT
193.43.29.0	193.43.29.255	DE
193.43.30.0	193.43.63.255	IT
193.43.64.0	193.43.64.255	GB
193.43.65.0	193.43.76.255	IT
193.43.77.0	193.43.77.255	PL
193.43.78.0	193.43.78.255	RU
193.43.79.0	193.43.79.255	GB
193.43.80.0	193.43.87.255	IT
193.43.88.0	193.43.89.255	NL
193.43.90.0	193.43.90.255	PL
193.43.91.0	193.43.92.255	NL
193.43.93.0	193.43.93.255	CH
193.43.94.0	193.43.94.255	GB
193.43.95.0	193.43.95.255	UA
193.43.96.0	193.43.101.255	IT
193.43.102.0	193.43.103.255	VA
193.43.104.0	193.43.124.255	IT
193.43.125.0	193.43.125.255	GB
193.43.126.0	193.43.126.255	IT
193.43.127.0	193.43.127.255	RU
193.43.128.0	193.43.131.255	VA
193.43.132.0	193.43.133.255	IT
193.43.134.0	193.43.134.255	RU
193.43.135.0	193.43.143.255	IT
193.43.144.0	193.43.144.255	PL
193.43.145.0	193.43.147.255	IT
193.43.148.0	193.43.148.255	PL
193.43.149.0	193.43.149.255	IT
193.43.150.0	193.43.150.255	NL
193.43.151.0	193.43.151.255	SE
193.43.152.0	193.43.157.255	CH
193.43.158.0	193.43.159.255	AT
193.43.160.0	193.43.179.255	IT
193.43.181.0	193.43.181.255	PL
193.43.182.0	193.43.182.255	RU
193.43.183.0	193.43.183.255	CH
193.43.184.0	193.43.207.255	IT
193.43.208.0	193.43.209.255	RU
193.43.212.0	193.43.213.255	AT
193.43.214.0	193.43.215.255	FR
193.43.216.0	193.43.217.255	DK
193.43.218.0	193.43.219.255	GR
193.43.220.0	193.43.221.255	DE
193.43.222.0	193.43.227.255	UA
193.43.228.0	193.43.231.255	PL
193.43.232.0	193.43.235.255	RU
193.43.236.0	193.43.239.255	EU
193.43.240.0	193.43.243.255	PL
193.43.244.0	193.43.247.255	IL
193.43.248.0	193.43.255.255	UA
193.44.0.0	193.45.1.7	SE
193.45.1.8	193.45.1.15	IE
193.45.1.16	193.45.1.23	GB
193.45.1.24	193.45.1.31	SE
193.45.1.32	193.45.1.63	US
193.45.1.64	193.45.6.127	SE
193.45.6.128	193.45.6.255	DE
193.45.7.0	193.45.10.127	SE
193.45.10.128	193.45.10.255	DE
193.45.11.0	193.45.14.255	SE
193.45.15.0	193.45.15.255	GB
193.45.16.0	193.45.38.255	SE
193.45.39.0	193.45.39.7	FI
193.45.39.8	193.45.63.255	SE
193.45.64.0	193.45.64.255	DE
193.45.65.0	193.45.65.255	SE
193.45.66.0	193.45.66.255	GB
193.45.67.0	193.45.67.255	SE
193.45.68.0	193.45.68.15	GB
193.45.68.16	193.45.141.255	SE
193.45.142.0	193.45.142.7	PL
193.45.142.8	193.45.255.255	SE
193.46.0.0	193.46.1.255	AT
193.46.2.0	193.46.2.255	DE
193.46.3.0	193.46.45.255	AT
193.46.46.0	193.46.46.255	UA
193.46.47.0	193.46.47.255	PL
193.46.48.0	193.46.59.255	AT
193.46.60.0	193.46.60.255	RU
193.46.61.0	193.46.61.255	GB
193.46.62.0	193.46.63.255	DE
193.46.64.0	193.46.64.255	IL
193.46.65.0	193.46.65.255	RU
193.46.66.0	193.46.66.255	UA
193.46.67.0	193.46.67.255	DE
193.46.68.0	193.46.68.255	PL
193.46.69.0	193.46.69.255	DK
193.46.70.0	193.46.70.255	RO
193.46.71.0	193.46.71.255	SI
193.46.72.0	193.46.72.255	GB
193.46.73.0	193.46.73.255	CH
193.46.74.0	193.46.74.255	RU
193.46.75.0	193.46.75.255	SI
193.46.76.0	193.46.76.255	GB
193.46.77.0	193.46.77.255	RU
193.46.78.0	193.46.78.255	BE
193.46.79.0	193.46.79.255	DK
193.46.80.0	193.46.80.255	NL
193.46.81.0	193.46.81.255	UA
193.46.82.0	193.46.82.255	DE
193.46.83.0	193.46.84.255	LT
193.46.85.0	193.46.85.255	FR
193.46.86.0	193.46.86.255	UA
193.46.87.0	193.46.87.255	GB
193.46.88.0	193.46.88.255	CH
193.46.89.0	193.46.89.255	UA
193.46.90.0	193.46.90.255	GB
193.46.91.0	193.46.91.255	RO
193.46.92.0	193.46.179.255	AT
193.46.180.0	193.46.180.255	IT
193.46.181.0	193.46.181.255	PL
193.46.182.0	193.46.182.255	DE
193.46.183.0	193.46.183.255	GB
193.46.184.0	193.46.184.255	DE
193.46.185.0	193.46.187.255	PL
193.46.188.0	193.46.199.255	AT
193.46.200.0	193.46.200.255	GB
193.46.201.0	193.46.202.255	UA
193.46.203.0	193.46.203.255	FR
193.46.204.0	193.46.205.255	GB
193.46.206.0	193.46.206.255	FR
193.46.207.0	193.46.208.255	RU
193.46.209.0	193.46.209.255	AT
193.46.210.0	193.46.210.255	UA
193.46.211.0	193.46.211.255	RU
193.46.212.0	193.46.212.255	MD
193.46.213.0	193.46.213.255	RU
193.46.214.0	193.46.214.255	BE
193.46.215.0	193.46.215.255	DE
193.46.216.0	193.46.220.255	AT
193.46.221.0	193.46.221.255	GB
193.46.222.0	193.46.231.255	AT
193.46.232.0	193.46.232.255	GR
193.46.233.0	193.46.235.255	AT
193.46.236.0	193.46.236.255	LV
193.46.237.0	193.46.237.255	PL
193.46.238.0	193.46.238.255	ES
193.46.239.0	193.46.239.255	DE
193.46.240.0	193.46.255.255	AT
193.47.0.0	193.47.0.255	FR
193.47.1.0	193.47.69.255	CH
193.47.70.0	193.47.70.255	UA
193.47.71.0	193.47.71.255	DK
193.47.72.0	193.47.72.255	RO
193.47.73.0	193.47.73.255	DE
193.47.74.0	193.47.74.255	BG
193.47.75.0	193.47.75.255	RO
193.47.76.0	193.47.76.255	ES
193.47.77.0	193.47.77.255	DE
193.47.78.0	193.47.79.255	NL
193.47.80.0	193.47.80.255	FR
193.47.81.0	193.47.81.255	DK
193.47.82.0	193.47.82.255	DE
193.47.83.0	193.47.83.255	GB
193.47.84.0	193.47.84.255	ES
193.47.85.0	193.47.85.255	UA
193.47.86.0	193.47.86.255	ES
193.47.87.0	193.47.87.255	RU
193.47.88.0	193.47.98.255	CH
193.47.99.0	193.47.100.255	DE
193.47.101.0	193.47.101.255	RO
193.47.102.0	193.47.102.255	SA
193.47.103.0	193.47.135.255	CH
193.47.136.0	193.47.136.255	SI
193.47.137.0	193.47.137.255	UA
193.47.138.0	193.47.138.255	AT
193.47.139.0	193.47.139.255	FR
193.47.140.0	193.47.140.255	CH
193.47.141.0	193.47.141.255	FR
193.47.142.0	193.47.142.255	DK
193.47.143.0	193.47.143.255	BE
193.47.144.0	193.47.144.255	RO
193.47.145.0	193.47.145.255	UA
193.47.147.0	193.47.147.255	GB
193.47.148.0	193.47.148.255	RU
193.47.149.0	193.47.149.255	CH
193.47.150.0	193.47.150.255	FR
193.47.151.0	193.47.151.255	PL
193.47.152.0	193.47.152.255	DE
193.47.153.0	193.47.153.255	CH
193.47.154.0	193.47.154.255	RU
193.47.155.0	193.47.157.255	AT
193.47.158.0	193.47.160.255	PL
193.47.161.0	193.47.161.255	DE
193.47.162.0	193.47.162.255	RO
193.47.163.0	193.47.163.255	PL
193.47.164.0	193.47.164.255	ES
193.47.165.0	193.47.165.255	IL
193.47.166.0	193.47.166.255	UA
193.47.167.0	193.47.167.255	SE
193.47.168.0	193.47.183.255	CH
193.47.184.0	193.47.184.255	FR
193.47.185.0	193.47.185.255	PT
193.47.186.0	193.47.186.255	DK
193.47.187.0	193.47.187.255	DE
193.47.188.0	193.47.188.255	NL
193.47.189.0	193.47.189.255	FR
193.47.190.0	193.47.190.255	CH
193.47.191.0	193.47.191.255	DK
193.47.192.0	193.47.245.255	CH
193.47.246.0	193.47.246.255	HR
193.47.247.0	193.47.247.255	PL
193.47.248.0	193.47.248.255	IL
193.47.249.0	193.47.249.255	RO
193.47.250.0	193.47.255.255	CH
193.48.0.0	193.52.255.255	FR
193.53.0.0	193.53.0.255	CH
193.53.1.0	193.53.20.255	BE
193.53.21.0	193.53.21.255	NL
193.53.22.0	193.53.22.255	PT
193.53.23.0	193.53.23.255	DE
193.53.24.0	193.53.33.255	SE
193.53.34.0	193.53.35.255	BE
193.53.36.0	193.53.36.255	GB
193.53.37.0	193.53.79.255	BE
193.53.80.0	193.53.80.255	AT
193.53.81.0	193.53.82.255	BE
193.53.83.0	193.53.83.255	UA
193.53.84.0	193.53.84.255	SE
193.53.85.0	193.53.85.255	DK
193.53.86.0	193.53.86.255	BE
193.53.87.0	193.53.87.255	RO
193.53.88.0	193.53.88.255	NO
193.53.89.0	193.53.89.255	UA
193.53.90.0	193.53.92.255	BE
193.53.93.0	193.53.93.255	DE
193.53.94.0	193.53.95.255	GB
193.53.96.0	193.53.104.255	BE
193.53.105.0	193.53.105.255	GR
193.53.106.0	193.53.106.255	FR
193.53.107.0	193.53.124.255	BE
193.53.125.0	193.53.125.255	NL
193.53.126.0	193.53.254.255	BE
193.53.255.0	193.53.255.255	PL
193.54.0.0	193.57.255.255	FR
193.58.0.0	193.58.0.39	GB
193.58.0.40	193.58.0.47	RU
193.58.0.48	193.58.0.55	EU
193.58.0.56	193.58.0.63	GB
193.58.0.64	193.58.0.127	PT
193.58.0.128	193.58.0.255	UA
193.58.1.0	193.58.63.255	BE
193.58.64.0	193.58.69.255	GB
193.58.70.0	193.58.71.255	GR
193.58.72.0	193.58.79.255	CZ
193.58.80.0	193.58.154.255	BE
193.58.155.0	193.58.155.255	CH
193.58.156.0	193.58.172.255	BE
193.58.173.0	193.58.185.255	CH
193.58.186.0	193.58.187.255	GR
193.58.188.0	193.58.191.255	GB
193.58.192.0	193.58.197.255	SK
193.58.198.0	193.58.199.255	GB
193.58.200.0	193.58.203.255	DE
193.58.204.0	193.58.208.255	NL
193.58.209.0	193.58.209.255	CH
193.58.210.0	193.58.215.255	AT
193.58.216.0	193.58.223.255	US
193.58.224.0	193.58.231.255	BE
193.58.232.0	193.58.232.255	PL
193.58.233.0	193.58.233.255	FR
193.58.234.0	193.58.234.255	GR
193.58.235.0	193.58.235.255	GB
193.58.236.0	193.58.236.255	TR
193.58.237.0	193.58.237.255	RU
193.58.238.0	193.58.238.255	SE
193.58.239.0	193.58.239.255	IT
193.58.240.0	193.58.240.255	DE
193.58.241.0	193.58.241.255	NO
193.58.242.0	193.58.242.255	CH
193.58.243.0	193.58.243.255	RO
193.58.244.0	193.58.245.255	DE
193.58.247.0	193.58.247.255	FR
193.58.248.0	193.58.248.255	UA
193.58.249.0	193.58.249.255	PL
193.58.251.0	193.58.251.255	RU
193.58.252.0	193.58.252.255	HR
193.58.253.0	193.58.253.255	DE
193.58.254.0	193.58.254.255	UA
193.58.255.0	193.58.255.255	BY
193.59.0.0	193.59.255.255	PL
193.60.0.0	193.63.255.255	GB
193.64.0.0	193.66.255.255	FI
193.67.0.0	193.67.255.255	NL
193.68.0.0	193.68.31.255	BG
193.68.32.0	193.68.63.255	HU
193.68.64.0	193.68.95.255	LV
193.68.96.0	193.68.255.255	BG
193.69.0.0	193.69.255.255	NO
193.70.0.0	193.70.255.255	IT
193.71.0.0	193.71.255.255	NO
193.72.0.0	193.73.255.255	CH
193.74.0.0	193.74.229.255	BE
193.74.230.0	193.74.231.255	NL
193.74.232.0	193.74.255.255	BE
193.75.0.0	193.75.127.255	NO
193.75.128.0	193.75.255.255	BE
193.76.0.0	193.76.255.255	IT
193.77.0.0	193.77.255.255	SI
193.78.0.0	193.78.141.255	NL
193.78.142.0	193.78.142.255	IT
193.78.143.0	193.79.143.183	NL
193.79.143.184	193.79.143.191	GB
193.79.143.192	193.79.170.63	NL
193.79.170.64	193.79.170.71	NO
193.79.170.72	193.79.170.143	NL
193.79.170.144	193.79.170.151	PT
193.79.170.152	193.79.255.255	NL
193.80.0.0	193.80.203.255	AT
193.80.204.0	193.80.204.255	SI
193.80.205.0	193.81.255.255	AT
193.82.0.0	193.82.254.255	GB
193.82.255.0	193.82.255.255	MT
193.83.0.0	193.83.7.199	AT
193.83.7.200	193.83.7.215	NL
193.83.7.216	193.83.255.255	AT
193.84.0.0	193.84.0.255	GB
193.84.1.0	193.84.7.255	CZ
193.84.8.0	193.84.8.255	RU
193.84.9.0	193.84.9.255	NL
193.84.10.0	193.84.15.255	CZ
193.84.16.0	193.84.16.255	GB
193.84.17.0	193.84.17.255	UA
193.84.18.0	193.84.18.255	FR
193.84.19.0	193.84.19.255	UA
193.84.20.0	193.84.20.255	DE
193.84.21.0	193.84.21.255	GR
193.84.22.0	193.84.23.255	UA
193.84.24.0	193.84.24.255	BE
193.84.25.0	193.84.25.255	CH
193.84.26.0	193.84.26.255	IE
193.84.27.0	193.84.27.255	DK
193.84.28.0	193.84.28.255	AT
193.84.29.0	193.84.29.255	PL
193.84.30.0	193.84.30.255	DE
193.84.31.0	193.84.31.255	RU
193.84.32.0	193.84.49.255	CZ
193.84.50.0	193.84.50.255	UA
193.84.51.0	193.84.51.255	GB
193.84.52.0	193.84.52.255	AT
193.84.53.0	193.84.53.255	CZ
193.84.54.0	193.84.54.255	DE
193.84.55.0	193.84.63.255	CZ
193.84.64.0	193.84.64.255	RO
193.84.65.0	193.84.65.255	AT
193.84.66.0	193.84.66.255	DE
193.84.67.0	193.84.67.255	NL
193.84.68.0	193.84.68.255	CZ
193.84.69.0	193.84.69.255	RO
193.84.70.0	193.84.70.255	CZ
193.84.71.0	193.84.71.255	PL
193.84.72.0	193.84.72.255	UA
193.84.73.0	193.84.73.255	FR
193.84.74.0	193.84.74.255	PL
193.84.75.0	193.84.75.255	SE
193.84.76.0	193.84.77.255	UA
193.84.78.0	193.84.78.255	GB
193.84.79.0	193.84.79.255	PL
193.84.80.0	193.84.83.255	CZ
193.84.84.0	193.84.84.255	BE
193.84.85.0	193.84.85.255	GB
193.84.86.0	193.84.86.255	BG
193.84.87.0	193.84.87.255	GB
193.84.88.0	193.84.88.255	RU
193.84.89.0	193.84.89.255	FR
193.84.90.0	193.84.90.255	UA
193.84.91.0	193.84.91.255	DE
193.84.92.0	193.84.93.255	CZ
193.84.94.0	193.84.94.255	AT
193.84.95.0	193.84.95.255	DE
193.84.96.0	193.84.111.255	CZ
193.84.112.0	193.84.112.255	AT
193.84.113.0	193.84.113.255	CH
193.84.114.0	193.84.114.255	CZ
193.84.115.0	193.84.115.255	RO
193.84.116.0	193.84.141.255	CZ
193.84.142.0	193.84.142.255	GB
193.84.143.0	193.84.143.255	CH
193.84.144.0	193.84.175.255	CZ
193.84.176.0	193.84.176.255	NL
193.84.177.0	193.84.177.255	FR
193.84.178.0	193.84.178.255	DE
193.84.179.0	193.84.179.255	PL
193.84.180.0	193.84.181.255	DE
193.84.182.0	193.84.182.255	PL
193.84.183.0	193.84.183.255	MD
193.84.184.0	193.84.184.255	LV
193.84.185.0	193.84.185.255	RO
193.84.186.0	193.84.186.255	CZ
193.84.187.0	193.84.187.255	FR
193.84.188.0	193.84.223.255	CZ
193.84.224.0	193.84.239.255	GB
193.84.240.0	193.84.245.255	CZ
193.84.246.0	193.84.246.255	PL
193.84.247.0	193.84.249.255	CZ
193.84.250.0	193.84.250.255	GB
193.84.251.0	193.84.251.255	GR
193.84.252.0	193.84.254.255	CZ
193.84.255.0	193.84.255.255	RU
193.85.0.0	193.86.255.255	CZ
193.87.0.0	193.87.255.255	SK
193.88.0.0	193.89.255.255	DK
193.90.0.0	193.90.255.255	NO
193.91.0.0	193.91.31.255	PL
193.91.32.0	193.91.47.255	LU
193.91.48.0	193.91.63.255	NL
193.91.64.0	193.91.95.255	HU
193.91.96.0	193.91.127.255	BE
193.91.128.0	193.91.255.255	NO
193.92.0.0	193.92.255.255	GR
193.93.0.0	193.93.3.255	DE
193.93.4.0	193.93.7.255	GB
193.93.8.0	193.93.11.255	FR
193.93.12.0	193.93.19.255	UA
193.93.20.0	193.93.23.255	CH
193.93.24.0	193.93.27.255	BG
193.93.28.0	193.93.31.255	DE
193.93.32.0	193.93.39.255	GB
193.93.40.0	193.93.43.255	RO
193.93.44.0	193.93.47.255	GB
193.93.48.0	193.93.55.255	UA
193.93.56.0	193.93.59.255	KZ
193.93.60.0	193.93.63.255	RU
193.93.64.0	193.93.67.255	CH
193.93.68.0	193.93.71.255	PL
193.93.72.0	193.93.75.255	SK
193.93.76.0	193.93.79.255	UA
193.93.80.0	193.93.87.255	GB
193.93.88.0	193.93.95.255	PL
193.93.96.0	193.93.99.255	A2
193.93.100.0	193.93.103.255	UA
193.93.104.0	193.93.107.255	PL
193.93.108.0	193.93.111.255	UA
193.93.112.0	193.93.115.255	BE
193.93.116.0	193.93.119.255	UA
193.93.120.0	193.93.123.255	RU
193.93.124.0	193.93.127.255	FR
193.93.128.0	193.93.131.255	NO
193.93.132.0	193.93.139.255	FI
193.93.140.0	193.93.143.255	RO
193.93.144.0	193.93.147.255	PL
193.93.148.0	193.93.155.255	GB
193.93.156.0	193.93.159.255	PL
193.93.160.0	193.93.163.255	UA
193.93.164.0	193.93.167.255	GR
193.93.168.0	193.93.171.255	UA
193.93.172.0	193.93.175.255	NL
193.93.176.0	193.93.179.255	DE
193.93.180.0	193.93.183.255	FR
193.93.184.0	193.93.191.255	UA
193.93.192.0	193.93.195.255	RU
193.93.196.0	193.93.203.255	GB
193.93.204.0	193.93.207.255	PL
193.93.208.0	193.93.211.255	CH
193.93.212.0	193.93.215.255	KZ
193.93.216.0	193.93.219.255	UA
193.93.220.0	193.93.223.255	NO
193.93.224.0	193.93.227.255	GB
193.93.228.0	193.93.231.255	UA
193.93.232.0	193.93.239.255	RU
193.93.240.0	193.93.243.255	DE
193.93.244.0	193.93.247.255	RU
193.93.248.0	193.93.255.255	NO
193.94.0.0	193.94.15.127	FI
193.94.15.128	193.94.15.191	AX
193.94.15.192	193.94.255.255	FI
193.95.0.0	193.95.127.255	TN
193.95.128.0	193.95.145.95	IE
193.95.145.96	193.95.145.103	ES
193.95.145.104	193.95.171.191	IE
193.95.171.192	193.95.171.255	US
193.95.172.0	193.95.176.23	IE
193.95.176.24	193.95.176.31	US
193.95.176.32	193.95.176.63	IE
193.95.176.64	193.95.176.71	GB
193.95.176.72	193.95.178.39	IE
193.95.178.40	193.95.178.47	GB
193.95.178.48	193.95.178.103	IE
193.95.178.104	193.95.178.111	US
193.95.178.112	193.95.190.111	IE
193.95.190.112	193.95.190.119	GB
193.95.190.120	193.95.191.127	IE
193.95.191.128	193.95.191.191	US
193.95.191.192	193.95.191.255	IE
193.95.192.0	193.95.255.255	SI
193.96.0.0	193.97.190.255	DE
193.97.191.0	193.97.191.255	GB
193.97.192.0	193.100.139.255	DE
193.100.140.0	193.100.141.255	CH
193.100.142.0	193.103.161.255	DE
193.103.162.0	193.103.163.255	CA
193.103.164.0	193.103.235.255	DE
193.103.236.0	193.103.237.255	CA
193.103.238.0	193.103.255.255	DE
193.104.0.0	193.104.0.255	ES
193.104.1.0	193.104.1.255	AT
193.104.2.0	193.104.2.255	PL
193.104.3.0	193.104.3.255	DE
193.104.4.0	193.104.4.255	GB
193.104.5.0	193.104.5.255	RO
193.104.6.0	193.104.6.255	NL
193.104.7.0	193.104.7.255	UA
193.104.8.0	193.104.8.255	BE
193.104.9.0	193.104.9.255	DE
193.104.10.0	193.104.10.255	SI
193.104.11.0	193.104.11.255	RU
193.104.12.0	193.104.12.255	PA
193.104.13.0	193.104.13.255	TR
193.104.14.0	193.104.14.255	RU
193.104.15.0	193.104.15.255	GB
193.104.16.0	193.104.16.255	UA
193.104.17.0	193.104.17.255	CZ
193.104.18.0	193.104.18.255	DE
193.104.19.0	193.104.19.255	FR
193.104.20.0	193.104.20.255	GE
193.104.21.0	193.104.21.255	RO
193.104.22.0	193.104.22.255	MT
193.104.23.0	193.104.23.255	SI
193.104.24.0	193.104.24.255	RU
193.104.25.0	193.104.25.255	GB
193.104.26.0	193.104.26.255	DE
193.104.27.0	193.104.29.255	RU
193.104.30.0	193.104.30.255	RO
193.104.31.0	193.104.31.255	CH
193.104.32.0	193.104.32.255	DE
193.104.33.0	193.104.33.255	MK
193.104.34.0	193.104.34.255	RU
193.104.35.0	193.104.35.255	GB
193.104.36.0	193.104.36.255	FR
193.104.37.0	193.104.37.255	BE
193.104.38.0	193.104.38.255	FI
193.104.39.0	193.104.39.255	FR
193.104.40.0	193.104.40.255	SA
193.104.41.0	193.104.41.255	MD
193.104.42.0	193.104.42.255	CH
193.104.43.0	193.104.43.255	DK
193.104.44.0	193.104.44.255	IL
193.104.45.0	193.104.46.255	PL
193.104.47.0	193.104.47.255	CH
193.104.48.0	193.104.48.255	FR
193.104.49.0	193.104.49.255	DE
193.104.50.0	193.104.50.255	PL
193.104.51.0	193.104.51.255	ES
193.104.52.0	193.104.52.255	PT
193.104.53.0	193.104.53.255	HU
193.104.54.0	193.104.54.255	FR
193.104.55.0	193.104.55.255	AT
193.104.56.0	193.104.56.255	FR
193.104.57.0	193.104.57.255	RU
193.104.58.0	193.104.58.255	UA
193.104.59.0	193.104.59.255	RU
193.104.60.0	193.104.60.255	FR
193.104.61.0	193.104.61.255	CH
193.104.62.0	193.104.62.255	IL
193.104.63.0	193.104.63.255	GB
193.104.64.0	193.104.64.255	RU
193.104.65.0	193.104.65.255	AT
193.104.66.0	193.104.66.255	DE
193.104.67.0	193.104.67.255	UA
193.104.68.0	193.104.68.255	RS
193.104.69.0	193.104.70.255	RU
193.104.71.0	193.104.71.255	PL
193.104.72.0	193.104.72.255	FR
193.104.73.0	193.104.73.255	RO
193.104.74.0	193.104.74.255	ES
193.104.75.0	193.104.75.255	RU
193.104.76.0	193.104.76.255	CY
193.104.77.0	193.104.77.255	IL
193.104.78.0	193.104.78.255	GB
193.104.79.0	193.104.79.255	BG
193.104.80.0	193.104.80.255	TR
193.104.81.0	193.104.81.255	GB
193.104.82.0	193.104.82.255	AT
193.104.83.0	193.104.83.255	DK
193.104.84.0	193.104.84.255	DE
193.104.85.0	193.104.85.255	UA
193.104.86.0	193.104.86.255	IT
193.104.87.0	193.104.87.255	RU
193.104.88.0	193.104.88.255	PL
193.104.89.0	193.104.89.255	GB
193.104.90.0	193.104.90.255	DE
193.104.91.0	193.104.93.255	GB
193.104.94.0	193.104.94.255	RU
193.104.95.0	193.104.95.255	DE
193.104.96.0	193.104.96.255	UA
193.104.97.0	193.104.97.255	RU
193.104.98.0	193.104.98.255	NL
193.104.99.0	193.104.99.255	PL
193.104.100.0	193.104.100.255	SE
193.104.101.0	193.104.101.255	GB
193.104.102.0	193.104.102.255	RU
193.104.103.0	193.104.103.255	GB
193.104.104.0	193.104.104.255	NL
193.104.105.0	193.104.105.255	NO
193.104.106.0	193.104.106.255	AD
193.104.107.0	193.104.108.255	GB
193.104.109.0	193.104.109.255	TR
193.104.110.0	193.104.110.255	CZ
193.104.111.0	193.104.111.255	NL
193.104.112.0	193.104.112.255	SE
193.104.113.0	193.104.113.255	A1
193.104.114.0	193.104.114.255	DK
193.104.115.0	193.104.115.255	IL
193.104.116.0	193.104.116.255	CH
193.104.117.0	193.104.117.255	IL
193.104.118.0	193.104.118.255	HU
193.104.119.0	193.104.119.255	IL
193.104.120.0	193.104.120.255	AT
193.104.121.0	193.104.121.255	RO
193.104.122.0	193.104.122.255	SE
193.104.123.0	193.104.123.255	RO
193.104.124.0	193.104.124.255	TR
193.104.125.0	193.104.125.255	AT
193.104.126.0	193.104.126.255	GB
193.104.127.0	193.104.128.255	RU
193.104.129.0	193.104.129.255	NL
193.104.130.0	193.104.130.255	TR
193.104.131.0	193.104.131.255	GB
193.104.132.0	193.104.132.255	CH
193.104.133.0	193.104.133.255	UA
193.104.134.0	193.104.134.255	SI
193.104.135.0	193.104.135.255	DK
193.104.136.0	193.104.136.255	IE
193.104.137.0	193.104.137.255	IT
193.104.138.0	193.104.138.255	TR
193.104.139.0	193.104.139.255	NL
193.104.140.0	193.104.140.255	GB
193.104.141.0	193.104.143.255	RU
193.104.144.0	193.104.144.255	GB
193.104.145.0	193.104.145.255	UA
193.104.146.0	193.104.146.255	CZ
193.104.147.0	193.104.147.255	IL
193.104.148.0	193.104.148.255	CH
193.104.149.0	193.104.149.255	RU
193.104.150.0	193.104.150.255	RO
193.104.151.0	193.104.151.255	IT
193.104.152.0	193.104.152.255	GB
193.104.153.0	193.104.153.255	MC
193.104.154.0	193.104.154.255	PL
193.104.155.0	193.104.155.255	DE
193.104.156.0	193.104.156.255	PL
193.104.157.0	193.104.157.255	RU
193.104.158.0	193.104.158.255	FR
193.104.159.0	193.104.159.255	BE
193.104.160.0	193.104.160.255	SE
193.104.161.0	193.104.161.255	PL
193.104.162.0	193.104.162.255	FR
193.104.163.0	193.104.163.255	PL
193.104.164.0	193.104.164.255	GB
193.104.165.0	193.104.165.255	BG
193.104.166.0	193.104.166.255	PL
193.104.167.0	193.104.167.255	CH
193.104.168.0	193.104.169.255	GB
193.104.170.0	193.104.170.255	RU
193.104.171.0	193.104.171.255	DK
193.104.172.0	193.104.172.255	CZ
193.104.173.0	193.104.173.255	RO
193.104.174.0	193.104.174.255	DE
193.104.175.0	193.104.175.255	GB
193.104.176.0	193.104.176.255	KZ
193.104.177.0	193.104.177.255	RU
193.104.178.0	193.104.178.255	UA
193.104.179.0	193.104.179.255	GB
193.104.180.0	193.104.180.255	RO
193.104.181.0	193.104.181.255	RU
193.104.182.0	193.104.183.255	UA
193.104.184.0	193.104.184.255	PL
193.104.185.0	193.104.185.255	CH
193.104.186.0	193.104.187.255	NL
193.104.188.0	193.104.188.255	FI
193.104.189.0	193.104.189.255	UA
193.104.190.0	193.104.191.255	RU
193.104.192.0	193.104.193.255	NL
193.104.194.0	193.104.194.255	DE
193.104.195.0	193.104.195.255	RU
193.104.196.0	193.104.196.255	FI
193.104.197.0	193.104.197.255	RU
193.104.198.0	193.104.198.255	GB
193.104.199.0	193.104.199.255	FR
193.104.200.0	193.104.200.255	GR
193.104.201.0	193.104.201.255	TR
193.104.202.0	193.104.202.255	DK
193.104.203.0	193.104.203.255	UA
193.104.204.0	193.104.204.255	SA
193.104.205.0	193.104.205.255	FR
193.104.206.0	193.104.206.255	LT
193.104.207.0	193.104.207.255	RU
193.104.208.0	193.104.210.255	UA
193.104.211.0	193.104.211.255	CH
193.104.212.0	193.104.212.255	IR
193.104.213.0	193.104.213.255	UA
193.104.214.0	193.104.214.255	SE
193.104.215.0	193.104.215.255	IE
193.104.216.0	193.104.216.255	DE
193.104.217.0	193.104.217.255	FI
193.104.218.0	193.104.218.255	ES
193.104.219.0	193.104.219.255	FR
193.104.220.0	193.104.220.255	DE
193.104.221.0	193.104.221.255	PL
193.104.222.0	193.104.222.255	LI
193.104.223.0	193.104.223.255	IT
193.104.228.0	193.104.228.255	GB
193.104.229.0	193.104.229.255	JO
193.104.230.0	193.104.230.255	RU
193.104.231.0	193.104.231.255	FR
193.104.232.0	193.104.232.255	AT
193.104.233.0	193.104.233.255	GB
193.104.234.0	193.104.234.255	RU
193.104.235.0	193.104.235.255	PL
193.104.236.0	193.104.236.255	SI
193.104.237.0	193.104.237.255	RU
193.104.238.0	193.104.238.255	CH
193.104.239.0	193.104.239.255	PL
193.104.240.0	193.104.240.255	SI
193.104.241.0	193.104.241.255	RU
193.104.242.0	193.104.242.255	UA
193.104.243.0	193.104.243.255	RU
193.104.244.0	193.104.244.255	PL
193.104.245.0	193.104.245.255	RU
193.104.246.0	193.104.246.255	DK
193.104.247.0	193.104.247.255	RO
193.104.248.0	193.104.248.255	RU
193.104.249.0	193.104.249.255	UA
193.104.250.0	193.104.250.255	IT
193.104.251.0	193.104.251.255	PL
193.104.252.0	193.104.252.255	NL
193.104.253.0	193.104.253.255	UA
193.104.254.0	193.104.254.255	CZ
193.104.255.0	193.104.255.255	NL
193.105.0.0	193.105.0.255	MD
193.105.1.0	193.105.1.255	FR
193.105.2.0	193.105.2.255	IR
193.105.3.0	193.105.3.255	NL
193.105.4.0	193.105.4.255	GR
193.105.5.0	193.105.5.255	CH
193.105.6.0	193.105.6.255	IR
193.105.7.0	193.105.7.255	UA
193.105.8.0	193.105.8.255	LB
193.105.9.0	193.105.9.255	CH
193.105.10.0	193.105.10.255	DK
193.105.11.0	193.105.11.255	UA
193.105.12.0	193.105.12.255	NL
193.105.13.0	193.105.13.255	GB
193.105.14.0	193.105.14.255	CZ
193.105.15.0	193.105.15.255	BE
193.105.16.0	193.105.16.255	RU
193.105.17.0	193.105.17.255	DE
193.105.18.0	193.105.18.255	FR
193.105.19.0	193.105.19.255	DE
193.105.20.0	193.105.20.255	PL
193.105.21.0	193.105.21.255	RO
193.105.22.0	193.105.22.255	SI
193.105.23.0	193.105.23.255	HR
193.105.24.0	193.105.24.255	PL
193.105.25.0	193.105.25.255	NL
193.105.26.0	193.105.26.255	FR
193.105.27.0	193.105.27.255	RU
193.105.28.0	193.105.28.255	RO
193.105.29.0	193.105.29.255	PL
193.105.30.0	193.105.30.255	UA
193.105.31.0	193.105.31.255	RO
193.105.32.0	193.105.32.255	PL
193.105.33.0	193.105.33.255	NL
193.105.34.0	193.105.34.255	ES
193.105.35.0	193.105.35.255	PL
193.105.36.0	193.105.36.255	BE
193.105.37.0	193.105.37.255	RU
193.105.38.0	193.105.38.255	DE
193.105.39.0	193.105.40.255	RU
193.105.41.0	193.105.41.255	UA
193.105.42.0	193.105.42.255	GR
193.105.43.0	193.105.43.255	FR
193.105.44.0	193.105.44.255	DK
193.105.45.0	193.105.45.255	PL
193.105.46.0	193.105.46.255	DE
193.105.47.0	193.105.48.255	GB
193.105.49.0	193.105.49.255	LT
193.105.50.0	193.105.50.255	NL
193.105.51.0	193.105.51.255	GB
193.105.52.0	193.105.52.255	DE
193.105.53.0	193.105.53.255	RU
193.105.54.0	193.105.54.255	GB
193.105.55.0	193.105.55.255	DE
193.105.56.0	193.105.56.255	UA
193.105.57.0	193.105.57.255	GI
193.105.58.0	193.105.58.255	RO
193.105.59.0	193.105.59.255	RU
193.105.60.0	193.105.60.255	BG
193.105.61.0	193.105.61.255	GB
193.105.62.0	193.105.62.255	UA
193.105.63.0	193.105.63.255	PL
193.105.64.0	193.105.64.255	RO
193.105.65.0	193.105.65.255	RU
193.105.66.0	193.105.66.255	PL
193.105.67.0	193.105.67.255	SI
193.105.68.0	193.105.68.255	DE
193.105.69.0	193.105.69.255	GB
193.105.70.0	193.105.70.255	UA
193.105.71.0	193.105.72.255	RU
193.105.73.0	193.105.73.255	BE
193.105.74.0	193.105.74.255	IM
193.105.75.0	193.105.75.255	PL
193.105.76.0	193.105.76.255	FI
193.105.77.0	193.105.77.255	NO
193.105.78.0	193.105.78.255	TR
193.105.79.0	193.105.79.255	IT
193.105.80.0	193.105.80.255	GR
193.105.81.0	193.105.81.255	FR
193.105.82.0	193.105.82.255	BY
193.105.83.0	193.105.83.255	MD
193.105.84.0	193.105.84.255	GB
193.105.85.0	193.105.85.255	GR
193.105.86.0	193.105.86.255	AT
193.105.87.0	193.105.88.255	DE
193.105.89.0	193.105.89.255	SA
193.105.90.0	193.105.90.255	FR
193.105.91.0	193.105.91.255	RO
193.105.92.0	193.105.92.255	GB
193.105.93.0	193.105.94.255	RU
193.105.95.0	193.105.95.255	NL
193.105.96.0	193.105.96.255	RU
193.105.97.0	193.105.97.255	FI
193.105.98.0	193.105.98.255	GB
193.105.99.0	193.105.99.255	IL
193.105.100.0	193.105.100.255	RU
193.105.101.0	193.105.102.255	NL
193.105.103.0	193.105.103.255	DE
193.105.104.0	193.105.104.255	GB
193.105.105.0	193.105.105.255	DE
193.105.106.0	193.105.106.255	BE
193.105.107.0	193.105.107.255	RU
193.105.108.0	193.105.108.255	GB
193.105.109.0	193.105.109.255	GR
193.105.110.0	193.105.110.255	PL
193.105.111.0	193.105.111.255	NL
193.105.112.0	193.105.112.255	NO
193.105.113.0	193.105.113.255	SE
193.105.114.0	193.105.114.255	RU
193.105.115.0	193.105.115.255	SI
193.105.116.0	193.105.116.255	DK
193.105.117.0	193.105.118.255	RU
193.105.119.0	193.105.119.255	UA
193.105.120.0	193.105.120.255	GB
193.105.121.0	193.105.121.255	UA
193.105.122.0	193.105.122.255	PL
193.105.123.0	193.105.123.255	FI
193.105.124.0	193.105.124.255	UA
193.105.125.0	193.105.125.255	PL
193.105.126.0	193.105.126.255	RU
193.105.127.0	193.105.127.255	SI
193.105.128.0	193.105.128.255	FR
193.105.129.0	193.105.129.255	PL
193.105.130.0	193.105.130.255	SE
193.105.131.0	193.105.131.255	AT
193.105.132.0	193.105.132.255	UA
193.105.133.0	193.105.133.255	BE
193.105.134.0	193.105.134.255	SE
193.105.135.0	193.105.135.255	UA
193.105.136.0	193.105.136.255	CH
193.105.137.0	193.105.137.255	DE
193.105.138.0	193.105.138.255	SE
193.105.139.0	193.105.139.255	DE
193.105.140.0	193.105.140.255	RO
193.105.141.0	193.105.141.255	RU
193.105.142.0	193.105.142.255	SK
193.105.143.0	193.105.143.255	PL
193.105.144.0	193.105.144.255	NL
193.105.145.0	193.105.145.255	IE
193.105.146.0	193.105.146.255	LT
193.105.147.0	193.105.147.255	DE
193.105.148.0	193.105.148.255	BG
193.105.149.0	193.105.149.255	DK
193.105.150.0	193.105.150.255	NL
193.105.151.0	193.105.151.255	BG
193.105.152.0	193.105.152.255	UA
193.105.153.0	193.105.153.255	AT
193.105.154.0	193.105.155.255	LV
193.105.156.0	193.105.156.255	RU
193.105.157.0	193.105.159.255	CZ
193.105.160.0	193.105.160.255	FI
193.105.161.0	193.105.161.255	CH
193.105.162.0	193.105.162.255	GB
193.105.163.0	193.105.163.255	RS
193.105.164.0	193.105.164.255	UA
193.105.165.0	193.105.165.255	NL
193.105.166.0	193.105.166.255	LV
193.105.167.0	193.105.167.255	PL
193.105.168.0	193.105.168.255	DE
193.105.169.0	193.105.169.255	UA
193.105.170.0	193.105.170.255	GB
193.105.171.0	193.105.171.255	US
193.105.172.0	193.105.172.255	GB
193.105.173.0	193.105.173.255	US
193.105.174.0	193.105.174.255	UA
193.105.175.0	193.105.175.255	RU
193.105.176.0	193.105.177.255	RO
193.105.178.0	193.105.178.255	PL
193.105.179.0	193.105.179.255	RU
193.105.180.0	193.105.180.255	PL
193.105.181.0	193.105.181.255	AT
193.105.182.0	193.105.182.255	GB
193.105.183.0	193.105.183.255	NL
193.105.184.0	193.105.184.255	RU
193.105.185.0	193.105.185.255	RO
193.105.186.0	193.105.186.255	FR
193.105.187.0	193.105.187.255	NL
193.105.188.0	193.105.188.255	GB
193.105.189.0	193.105.189.255	UA
193.105.190.0	193.105.190.255	DK
193.105.191.0	193.105.192.255	PL
193.105.193.0	193.105.193.255	HR
193.105.194.0	193.105.194.255	GB
193.105.195.0	193.105.195.255	AT
193.105.196.0	193.105.196.255	BG
193.105.197.0	193.105.197.255	FR
193.105.198.0	193.105.198.255	RU
193.105.199.0	193.105.199.255	IL
193.105.200.0	193.105.200.255	NL
193.105.201.0	193.105.201.255	UA
193.105.202.0	193.105.202.255	PL
193.105.203.0	193.105.203.255	FR
193.105.204.0	193.105.206.255	AT
193.105.207.0	193.105.207.255	KZ
193.105.208.0	193.105.208.255	TR
193.105.209.0	193.105.209.255	GB
193.105.210.0	193.105.210.255	UA
193.105.211.0	193.105.211.255	TR
193.105.212.0	193.105.212.255	GB
193.105.213.0	193.105.213.255	RU
193.105.214.0	193.105.214.255	AT
193.105.215.0	193.105.215.255	RO
193.105.216.0	193.105.216.255	UA
193.105.217.0	193.105.217.255	FR
193.105.218.0	193.105.218.255	GB
193.105.219.0	193.105.219.255	UA
193.105.220.0	193.105.220.255	DK
193.105.221.0	193.105.221.255	PL
193.105.222.0	193.105.222.255	RU
193.105.223.0	193.105.223.255	DE
193.105.224.0	193.105.224.255	CY
193.105.225.0	193.105.225.255	FR
193.105.226.0	193.105.226.255	SE
193.105.227.0	193.105.227.255	PL
193.105.228.0	193.105.228.255	IT
193.105.229.0	193.105.229.255	PL
193.105.230.0	193.105.230.255	DE
193.105.231.0	193.105.231.255	GB
193.105.232.0	193.105.232.255	FR
193.105.234.0	193.105.234.255	TR
193.105.235.0	193.105.236.255	RU
193.105.237.0	193.105.237.255	GE
193.105.238.0	193.105.238.255	FR
193.105.239.0	193.105.239.255	RO
193.105.240.0	193.105.240.255	LV
193.105.241.0	193.105.241.255	NL
193.105.242.0	193.105.242.255	PL
193.105.243.0	193.105.243.255	TR
193.105.244.0	193.105.244.255	RO
193.105.245.0	193.105.245.255	RU
193.105.246.0	193.105.247.255	DE
193.105.248.0	193.105.248.255	PL
193.105.249.0	193.105.249.255	UA
193.105.250.0	193.105.250.255	DE
193.105.251.0	193.105.251.255	PL
193.105.252.0	193.105.252.255	FR
193.105.253.0	193.105.253.255	IE
193.105.254.0	193.105.254.255	UA
193.105.255.0	193.106.7.255	RU
193.106.8.0	193.106.11.255	FI
193.106.12.0	193.106.15.255	GB
193.106.16.0	193.106.19.255	DE
193.106.24.0	193.106.31.255	UA
193.106.32.0	193.106.35.255	EU
193.106.36.0	193.106.39.255	FR
193.106.40.0	193.106.43.255	RU
193.106.44.0	193.106.47.255	RO
193.106.48.0	193.106.51.255	KG
193.106.52.0	193.106.55.255	IL
193.106.56.0	193.106.67.255	UA
193.106.68.0	193.106.75.255	RU
193.106.76.0	193.106.79.255	PL
193.106.80.0	193.106.83.255	UA
193.106.84.0	193.106.87.255	PL
193.106.88.0	193.106.99.255	RU
193.106.100.0	193.106.107.255	PL
193.106.108.0	193.106.111.255	RU
193.106.112.0	193.106.115.255	GB
193.106.116.0	193.106.119.255	FR
193.106.120.0	193.106.123.255	DK
193.106.124.0	193.106.127.255	RO
193.106.128.0	193.106.131.255	PL
193.106.132.0	193.106.135.255	RU
193.106.136.0	193.106.139.255	UA
193.106.140.0	193.106.143.255	DE
193.106.144.0	193.106.147.255	UA
193.106.148.0	193.106.151.255	RU
193.106.152.0	193.106.159.255	PL
193.106.160.0	193.106.163.255	UA
193.106.164.0	193.106.167.255	DK
193.106.168.0	193.106.175.255	RU
193.106.176.0	193.106.179.255	ES
193.106.180.0	193.106.183.255	IT
193.106.184.0	193.106.187.255	UA
193.106.188.0	193.106.191.255	RO
193.106.192.0	193.106.195.255	PL
193.106.196.0	193.106.199.255	IQ
193.106.200.0	193.106.203.255	UA
193.106.204.0	193.106.207.255	IL
193.106.208.0	193.106.211.255	ES
193.106.212.0	193.106.215.255	RU
193.106.216.0	193.106.219.255	PL
193.106.220.0	193.106.223.255	UA
193.106.224.0	193.106.227.255	DE
193.106.228.0	193.106.231.255	PL
193.106.232.0	193.106.243.255	RU
193.106.244.0	193.106.247.255	PL
193.106.248.0	193.106.251.255	UA
193.106.252.0	193.106.255.255	GR
193.107.0.0	193.107.3.255	RU
193.107.4.0	193.107.7.255	RS
193.107.8.0	193.107.11.255	PL
193.107.12.0	193.107.15.255	RU
193.107.16.0	193.107.19.255	SC
193.107.20.0	193.107.23.255	RU
193.107.24.0	193.107.27.255	UA
193.107.28.0	193.107.31.255	NO
193.107.32.0	193.107.35.255	PL
193.107.36.0	193.107.39.255	BG
193.107.40.0	193.107.43.255	UA
193.107.44.0	193.107.47.255	GB
193.107.48.0	193.107.51.255	RU
193.107.56.0	193.107.59.255	FR
193.107.60.0	193.107.67.255	RU
193.107.68.0	193.107.71.255	BG
193.107.72.0	193.107.75.255	UA
193.107.76.0	193.107.79.255	SE
193.107.80.0	193.107.83.255	UA
193.107.84.0	193.107.87.255	IS
193.107.88.0	193.107.91.255	PL
193.107.92.0	193.107.95.255	RU
193.107.96.0	193.107.99.255	MD
193.107.100.0	193.107.103.255	RU
193.107.104.0	193.107.115.255	UA
193.107.116.0	193.107.119.255	GB
193.107.120.0	193.107.123.255	DE
193.107.124.0	193.107.127.255	FR
193.107.128.0	193.107.139.255	UA
193.107.140.0	193.107.143.255	RU
193.107.144.0	193.107.147.255	DE
193.107.148.0	193.107.155.255	RU
193.107.156.0	193.107.159.255	AT
193.107.160.0	193.107.163.255	CZ
193.107.164.0	193.107.167.255	PL
193.107.168.0	193.107.179.255	UA
193.107.180.0	193.107.183.255	RU
193.107.184.0	193.107.187.255	UA
193.107.188.0	193.107.195.255	RU
193.107.196.0	193.107.199.255	PL
193.107.200.0	193.107.203.255	UA
193.107.204.0	193.107.207.255	GB
193.107.208.0	193.107.211.255	UA
193.107.212.0	193.107.215.255	PL
193.107.216.0	193.107.219.255	RU
193.107.220.0	193.107.223.255	NL
193.107.224.0	193.107.227.255	UA
193.107.228.0	193.107.239.255	RU
193.107.240.0	193.107.243.255	FR
193.107.244.0	193.107.247.255	UA
193.107.248.0	193.107.251.255	PL
193.107.252.0	193.107.255.255	CZ
193.108.0.0	193.108.7.255	SE
193.108.8.0	193.108.16.255	DE
193.108.17.0	193.108.17.255	BE
193.108.18.0	193.108.18.255	GB
193.108.19.0	193.108.19.255	DE
193.108.20.0	193.108.21.255	FR
193.108.22.0	193.108.22.255	AT
193.108.23.0	193.108.23.255	GH
193.108.24.0	193.108.24.255	BG
193.108.25.0	193.108.25.255	IT
193.108.26.0	193.108.26.255	CH
193.108.27.0	193.108.27.255	NL
193.108.28.0	193.108.28.255	GH
193.108.29.0	193.108.29.255	LV
193.108.30.0	193.108.30.255	KW
193.108.31.0	193.108.31.255	FR
193.108.32.0	193.108.33.255	BG
193.108.34.0	193.108.35.255	PL
193.108.36.0	193.108.37.255	GB
193.108.38.0	193.108.39.255	UA
193.108.40.0	193.108.41.255	AT
193.108.42.0	193.108.43.255	SE
193.108.44.0	193.108.51.255	UA
193.108.52.0	193.108.55.255	RO
193.108.56.0	193.108.59.255	UA
193.108.60.0	193.108.63.255	IT
193.108.64.0	193.108.71.255	CZ
193.108.72.0	193.108.87.255	GB
193.108.88.0	193.108.95.255	EU
193.108.96.0	193.108.97.255	GB
193.108.98.0	193.108.99.255	NL
193.108.100.0	193.108.101.255	AT
193.108.102.0	193.108.105.255	UA
193.108.106.0	193.108.109.255	CZ
193.108.110.0	193.108.111.255	FR
193.108.112.0	193.108.123.255	UA
193.108.124.0	193.108.127.255	PL
193.108.128.0	193.108.129.255	UA
193.108.130.0	193.108.131.255	RU
193.108.132.0	193.108.133.255	SK
193.108.134.0	193.108.135.255	JO
193.108.136.0	193.108.137.255	CH
193.108.138.0	193.108.139.255	AT
193.108.140.0	193.108.141.255	FR
193.108.142.0	193.108.143.255	KW
193.108.144.0	193.108.147.255	LV
193.108.148.0	193.108.151.255	GB
193.108.152.0	193.108.155.255	EU
193.108.156.0	193.108.159.255	GB
193.108.160.0	193.108.161.255	GR
193.108.162.0	193.108.163.255	UA
193.108.164.0	193.108.165.255	DE
193.108.166.0	193.108.167.255	FR
193.108.168.0	193.108.169.255	GB
193.108.170.0	193.108.171.255	UA
193.108.172.0	193.108.173.255	DE
193.108.174.0	193.108.175.255	ES
193.108.176.0	193.108.176.255	DE
193.108.177.0	193.108.177.255	PL
193.108.178.0	193.108.178.255	FR
193.108.179.0	193.108.179.255	DE
193.108.180.0	193.108.180.255	FR
193.108.181.0	193.108.181.255	DE
193.108.182.0	193.108.182.255	RU
193.108.183.0	193.108.183.255	AT
193.108.184.0	193.108.184.255	DE
193.108.185.0	193.108.185.255	LV
193.108.186.0	193.108.186.255	IT
193.108.187.0	193.108.187.255	CH
193.108.188.0	193.108.190.255	DK
193.108.191.0	193.108.192.255	GB
193.108.193.0	193.108.193.255	DE
193.108.194.0	193.108.194.255	PL
193.108.195.0	193.108.195.255	IL
193.108.196.0	193.108.196.255	SE
193.108.197.0	193.108.198.255	FR
193.108.199.0	193.108.200.255	GB
193.108.201.0	193.108.201.255	BE
193.108.202.0	193.108.202.255	PL
193.108.203.0	193.108.203.255	FR
193.108.204.0	193.108.205.255	IT
193.108.206.0	193.108.206.255	PL
193.108.207.0	193.108.207.255	RU
193.108.208.0	193.108.208.255	NO
193.108.209.0	193.108.209.255	UA
193.108.210.0	193.108.210.255	NL
193.108.211.0	193.108.211.255	IL
193.108.212.0	193.108.212.255	AT
193.108.213.0	193.108.213.255	TR
193.108.214.0	193.108.214.255	UG
193.108.215.0	193.108.215.255	BE
193.108.216.0	193.108.216.255	FR
193.108.217.0	193.108.217.255	DE
193.108.218.0	193.108.218.255	GB
193.108.219.0	193.108.219.255	EU
193.108.220.0	193.108.220.255	PL
193.108.221.0	193.108.221.255	IT
193.108.222.0	193.108.222.255	DE
193.108.223.0	193.108.223.255	SE
193.108.224.0	193.108.225.255	DK
193.108.226.0	193.108.227.255	UA
193.108.228.0	193.108.229.255	PL
193.108.230.0	193.108.231.255	RU
193.108.232.0	193.108.233.255	CH
193.108.234.0	193.108.235.255	RO
193.108.236.0	193.108.237.255	UA
193.108.238.0	193.108.239.255	IT
193.108.240.0	193.108.243.255	UA
193.108.244.0	193.108.247.255	GB
193.108.248.0	193.108.251.255	UA
193.108.252.0	193.108.255.255	UG
193.109.0.0	193.109.3.255	FR
193.109.4.0	193.109.7.255	DE
193.109.8.0	193.109.11.255	UA
193.109.12.0	193.109.15.255	RU
193.109.16.0	193.109.31.255	IS
193.109.32.0	193.109.47.255	IT
193.109.48.0	193.109.49.255	CH
193.109.50.0	193.109.51.255	GB
193.109.52.0	193.109.53.255	CH
193.109.54.0	193.109.55.255	BG
193.109.56.0	193.109.57.255	DK
193.109.58.0	193.109.59.255	LU
193.109.60.0	193.109.61.255	SE
193.109.62.0	193.109.63.255	BE
193.109.64.0	193.109.65.255	DE
193.109.66.0	193.109.67.255	KE
193.109.68.0	193.109.71.255	RU
193.109.72.0	193.109.73.255	BE
193.109.74.0	193.109.75.255	AT
193.109.76.0	193.109.77.255	RU
193.109.78.0	193.109.79.255	TZ
193.109.80.0	193.109.80.255	UA
193.109.81.0	193.109.81.255	GB
193.109.82.0	193.109.82.255	IL
193.109.83.0	193.109.83.255	GB
193.109.84.0	193.109.84.255	UA
193.109.85.0	193.109.85.255	LV
193.109.86.0	193.109.86.255	SE
193.109.87.0	193.109.87.255	FR
193.109.88.0	193.109.88.255	AT
193.109.89.0	193.109.89.255	RU
193.109.90.0	193.109.90.255	IT
193.109.91.0	193.109.92.255	PL
193.109.93.0	193.109.93.255	UA
193.109.94.0	193.109.94.255	GB
193.109.95.0	193.109.95.255	CH
193.109.96.0	193.109.99.255	DE
193.109.100.0	193.109.103.255	UA
193.109.104.0	193.109.107.255	IT
193.109.108.0	193.109.111.255	UA
193.109.112.0	193.109.112.255	IT
193.109.113.0	193.109.113.255	DE
193.109.114.0	193.109.114.255	RU
193.109.115.0	193.109.115.255	PL
193.109.116.0	193.109.116.255	GB
193.109.117.0	193.109.117.255	IT
193.109.118.0	193.109.118.255	UA
193.109.119.0	193.109.119.255	FR
193.109.120.0	193.109.121.255	ES
193.109.122.0	193.109.122.255	NL
193.109.123.0	193.109.123.255	PL
193.109.124.0	193.109.124.255	SI
193.109.125.0	193.109.126.255	BE
193.109.127.0	193.109.127.255	PL
193.109.128.0	193.109.129.255	UA
193.109.130.0	193.109.131.255	LU
193.109.132.0	193.109.133.255	DE
193.109.134.0	193.109.135.255	TR
193.109.136.0	193.109.137.255	NL
193.109.138.0	193.109.139.255	DE
193.109.140.0	193.109.141.255	AT
193.109.142.0	193.109.143.255	FR
193.109.144.0	193.109.147.255	UA
193.109.148.0	193.109.159.255	AT
193.109.160.0	193.109.171.255	UA
193.109.172.0	193.109.175.255	ES
193.109.176.0	193.109.183.255	CZ
193.109.184.0	193.109.191.255	BE
193.109.192.0	193.109.199.255	GB
193.109.200.0	193.109.207.255	IT
193.109.208.0	193.109.208.255	LU
193.109.209.0	193.109.209.255	SE
193.109.210.0	193.109.210.255	NO
193.109.211.0	193.109.211.255	LV
193.109.212.0	193.109.212.255	PL
193.109.213.0	193.109.213.255	GR
193.109.214.0	193.109.214.255	DE
193.109.215.0	193.109.215.255	GB
193.109.216.0	193.109.216.255	UA
193.109.217.0	193.109.217.255	NO
193.109.218.0	193.109.218.255	SA
193.109.219.0	193.109.220.255	GB
193.109.221.0	193.109.223.255	DE
193.109.224.0	193.109.224.255	FR
193.109.225.0	193.109.226.255	PL
193.109.227.0	193.109.227.255	SI
193.109.228.0	193.109.228.255	BE
193.109.229.0	193.109.230.255	ES
193.109.231.0	193.109.231.255	DE
193.109.232.0	193.109.232.255	AT
193.109.233.0	193.109.233.255	IT
193.109.234.0	193.109.234.255	BE
193.109.235.0	193.109.235.255	LT
193.109.236.0	193.109.239.255	DE
193.109.240.0	193.109.241.255	UA
193.109.242.0	193.109.243.255	DE
193.109.244.0	193.109.245.255	PL
193.109.246.0	193.109.247.255	RU
193.109.248.0	193.109.249.255	UA
193.109.250.0	193.109.251.255	FR
193.109.252.0	193.109.253.255	HU
193.109.254.0	193.109.255.255	GB
193.110.0.0	193.110.1.255	RU
193.110.2.0	193.110.3.255	NG
193.110.4.0	193.110.5.255	RU
193.110.6.0	193.110.7.255	DE
193.110.8.0	193.110.9.255	LV
193.110.10.0	193.110.11.255	AT
193.110.12.0	193.110.13.255	SE
193.110.14.0	193.110.15.255	SI
193.110.16.0	193.110.23.255	UA
193.110.24.0	193.110.27.255	DE
193.110.28.0	193.110.31.255	AT
193.110.32.0	193.110.39.255	FI
193.110.40.0	193.110.47.255	DE
193.110.48.0	193.110.55.255	IL
193.110.56.0	193.110.63.255	HU
193.110.64.0	193.110.67.255	FI
193.110.68.0	193.110.71.255	DE
193.110.72.0	193.110.79.255	UA
193.110.80.0	193.110.80.255	PL
193.110.81.0	193.110.81.255	BE
193.110.82.0	193.110.82.255	BG
193.110.83.0	193.110.83.255	IT
193.110.84.0	193.110.84.255	DK
193.110.85.0	193.110.85.255	CH
193.110.86.0	193.110.86.255	GR
193.110.87.0	193.110.87.255	DK
193.110.88.0	193.110.88.255	GB
193.110.89.0	193.110.89.255	UA
193.110.90.0	193.110.90.255	DE
193.110.91.0	193.110.91.255	GB
193.110.92.0	193.110.92.255	BE
193.110.93.0	193.110.93.255	GB
193.110.94.0	193.110.94.255	AT
193.110.95.0	193.110.95.255	CH
193.110.96.0	193.110.99.255	PL
193.110.100.0	193.110.101.255	UA
193.110.102.0	193.110.103.255	DE
193.110.104.0	193.110.105.255	CD
193.110.106.0	193.110.107.255	UA
193.110.108.0	193.110.111.255	FI
193.110.112.0	193.110.115.255	UA
193.110.116.0	193.110.119.255	DE
193.110.120.0	193.110.123.255	PL
193.110.124.0	193.110.127.255	UA
193.110.128.0	193.110.128.255	ES
193.110.129.0	193.110.129.255	AT
193.110.130.0	193.110.130.255	BE
193.110.131.0	193.110.131.255	CH
193.110.132.0	193.110.132.255	BG
193.110.133.0	193.110.133.255	DE
193.110.134.0	193.110.134.255	UA
193.110.135.0	193.110.135.255	GB
193.110.136.0	193.110.136.255	AT
193.110.137.0	193.110.137.255	PL
193.110.138.0	193.110.138.255	GB
193.110.139.0	193.110.139.255	DE
193.110.140.0	193.110.141.255	FR
193.110.142.0	193.110.142.255	PL
193.110.143.0	193.110.143.255	GB
193.110.144.0	193.110.144.255	UA
193.110.145.0	193.110.145.255	SI
193.110.146.0	193.110.146.255	FR
193.110.147.0	193.110.147.255	NL
193.110.148.0	193.110.148.255	FR
193.110.149.0	193.110.149.255	GB
193.110.150.0	193.110.150.255	DE
193.110.151.0	193.110.151.255	IT
193.110.152.0	193.110.152.255	FR
193.110.153.0	193.110.153.255	DE
193.110.154.0	193.110.154.255	ES
193.110.155.0	193.110.155.255	MT
193.110.156.0	193.110.156.255	UA
193.110.157.0	193.110.157.255	NL
193.110.158.0	193.110.158.255	BE
193.110.159.0	193.110.159.255	BG
193.110.160.0	193.110.163.255	UA
193.110.164.0	193.110.165.255	LV
193.110.166.0	193.110.167.255	DK
193.110.168.0	193.110.169.255	UA
193.110.170.0	193.110.171.255	TR
193.110.172.0	193.110.177.255	UA
193.110.178.0	193.110.179.255	DE
193.110.180.0	193.110.181.255	GB
193.110.182.0	193.110.183.255	AT
193.110.184.0	193.110.185.255	UA
193.110.186.0	193.110.187.255	SK
193.110.188.0	193.110.189.255	UA
193.110.190.0	193.110.191.255	BE
193.110.192.0	193.110.195.255	DE
193.110.196.0	193.110.199.255	DK
193.110.200.0	193.110.203.255	IT
193.110.204.0	193.110.207.255	DE
193.110.208.0	193.110.215.255	TR
193.110.216.0	193.110.223.255	BG
193.110.224.0	193.110.227.255	FI
193.110.228.0	193.110.231.255	PL
193.110.232.0	193.110.235.255	NL
193.110.236.0	193.110.239.255	RU
193.110.240.0	193.110.247.255	GB
193.110.248.0	193.110.255.255	BE
193.111.0.0	193.111.1.255	UA
193.111.2.0	193.111.3.255	RU
193.111.4.0	193.111.5.255	GB
193.111.6.0	193.111.9.255	UA
193.111.10.0	193.111.11.255	TJ
193.111.12.0	193.111.13.255	BE
193.111.14.0	193.111.15.255	FR
193.111.16.0	193.111.17.255	RO
193.111.18.0	193.111.19.255	ES
193.111.20.0	193.111.21.255	IT
193.111.22.0	193.111.23.255	PL
193.111.24.0	193.111.25.255	GB
193.111.26.0	193.111.27.255	PL
193.111.28.0	193.111.29.255	GB
193.111.30.0	193.111.31.255	PL
193.111.32.0	193.111.32.255	NL
193.111.33.0	193.111.33.255	GB
193.111.34.0	193.111.34.255	DE
193.111.35.0	193.111.35.255	GB
193.111.36.0	193.111.39.255	PL
193.111.40.0	193.111.40.255	DE
193.111.41.0	193.111.41.255	PL
193.111.42.0	193.111.42.255	PT
193.111.43.0	193.111.44.255	DE
193.111.45.0	193.111.45.255	FI
193.111.46.0	193.111.46.255	IT
193.111.47.0	193.111.47.255	AT
193.111.48.0	193.111.51.255	UA
193.111.52.0	193.111.55.255	LU
193.111.56.0	193.111.59.255	DE
193.111.60.0	193.111.63.255	UA
193.111.64.0	193.111.65.255	FI
193.111.66.0	193.111.67.255	ES
193.111.68.0	193.111.69.255	RO
193.111.70.0	193.111.73.255	IT
193.111.74.0	193.111.75.255	GB
193.111.76.0	193.111.77.255	TJ
193.111.78.0	193.111.79.255	IT
193.111.80.0	193.111.80.255	FR
193.111.81.0	193.111.81.255	NL
193.111.82.0	193.111.82.255	GB
193.111.83.0	193.111.83.255	UA
193.111.84.0	193.111.84.255	GB
193.111.85.0	193.111.85.255	UA
193.111.86.0	193.111.86.255	GB
193.111.87.0	193.111.87.255	CY
193.111.88.0	193.111.88.255	DE
193.111.89.0	193.111.89.255	BG
193.111.90.0	193.111.90.255	FR
193.111.91.0	193.111.92.255	RU
193.111.93.0	193.111.93.255	FI
193.111.94.0	193.111.94.255	DK
193.111.95.0	193.111.95.255	BE
193.111.96.0	193.111.99.255	SK
193.111.100.0	193.111.103.255	DE
193.111.104.0	193.111.107.255	SE
193.111.108.0	193.111.113.255	DE
193.111.114.0	193.111.115.255	UA
193.111.116.0	193.111.117.255	RU
193.111.118.0	193.111.119.255	FI
193.111.120.0	193.111.121.255	RO
193.111.122.0	193.111.123.255	ES
193.111.124.0	193.111.125.255	SE
193.111.126.0	193.111.127.255	UA
193.111.128.0	193.111.135.255	CZ
193.111.136.0	193.111.143.255	GB
193.111.144.0	193.111.147.255	PL
193.111.148.0	193.111.151.255	IT
193.111.152.0	193.111.155.255	SE
193.111.156.0	193.111.159.255	UA
193.111.160.0	193.111.160.255	IT
193.111.161.0	193.111.161.255	RO
193.111.162.0	193.111.162.255	DK
193.111.163.0	193.111.163.255	DE
193.111.164.0	193.111.164.255	HR
193.111.165.0	193.111.165.255	SE
193.111.166.0	193.111.166.255	PL
193.111.167.0	193.111.167.255	DE
193.111.168.0	193.111.168.255	GB
193.111.170.0	193.111.170.255	DE
193.111.171.0	193.111.171.255	IE
193.111.172.0	193.111.172.255	NL
193.111.173.0	193.111.173.255	UA
193.111.174.0	193.111.174.255	PL
193.111.175.0	193.111.175.255	DE
193.111.176.0	193.111.179.255	RU
193.111.180.0	193.111.187.255	GB
193.111.188.0	193.111.191.255	UA
193.111.192.0	193.111.193.255	SI
193.111.194.0	193.111.195.255	BG
193.111.196.0	193.111.197.255	CH
193.111.198.0	193.111.199.255	DE
193.111.200.0	193.111.201.255	GB
193.111.202.0	193.111.203.255	CH
193.111.204.0	193.111.205.255	UA
193.111.206.0	193.111.219.255	DE
193.111.220.0	193.111.223.255	SI
193.111.224.0	193.111.224.255	HU
193.111.225.0	193.111.225.255	BE
193.111.226.0	193.111.227.255	GB
193.111.228.0	193.111.228.255	BE
193.111.229.0	193.111.229.255	RO
193.111.230.0	193.111.231.255	GB
193.111.232.0	193.111.232.255	RO
193.111.233.0	193.111.233.255	DE
193.111.234.0	193.111.234.255	GB
193.111.235.0	193.111.235.255	BE
193.111.236.0	193.111.236.255	PL
193.111.237.0	193.111.238.255	DE
193.111.239.0	193.111.243.255	UA
193.111.244.0	193.111.247.255	LV
193.111.248.0	193.111.251.255	UA
193.111.252.0	193.111.255.255	RU
193.112.0.0	193.119.255.255	GB
193.120.0.0	193.120.5.255	IE
193.120.6.0	193.120.6.31	GB
193.120.6.32	193.120.44.31	IE
193.120.44.32	193.120.44.63	US
193.120.44.64	193.120.84.191	IE
193.120.84.192	193.120.84.255	US
193.120.85.0	193.120.100.31	IE
193.120.100.32	193.120.100.39	US
193.120.100.40	193.120.106.247	IE
193.120.106.248	193.120.106.255	GB
193.120.107.0	193.120.108.63	IE
193.120.108.64	193.120.108.95	US
193.120.108.96	193.120.114.119	IE
193.120.114.120	193.120.114.127	GB
193.120.114.128	193.120.117.31	IE
193.120.117.32	193.120.117.47	US
193.120.117.48	193.120.126.79	IE
193.120.126.80	193.120.126.87	GB
193.120.126.88	193.120.136.7	IE
193.120.136.8	193.120.136.15	GB
193.120.136.16	193.120.137.47	IE
193.120.137.48	193.120.137.55	GB
193.120.137.56	193.120.140.39	IE
193.120.140.40	193.120.140.47	GB
193.120.140.48	193.120.140.55	IE
193.120.140.56	193.120.140.63	GB
193.120.140.64	193.120.140.183	IE
193.120.140.184	193.120.140.191	GB
193.120.140.192	193.120.144.87	IE
193.120.144.88	193.120.144.95	FR
193.120.144.96	193.120.145.71	IE
193.120.145.72	193.120.145.79	GB
193.120.145.80	193.120.153.191	IE
193.120.153.192	193.120.153.255	GB
193.120.154.0	193.120.171.47	IE
193.120.171.48	193.120.171.63	GB
193.120.171.64	193.120.211.255	IE
193.120.212.0	193.120.212.255	BE
193.120.213.0	193.120.218.143	IE
193.120.218.144	193.120.218.159	US
193.120.218.160	193.120.225.39	IE
193.120.225.40	193.120.225.47	GB
193.120.225.48	193.120.225.63	IE
193.120.225.64	193.120.225.71	GB
193.120.225.72	193.120.225.79	IE
193.120.225.80	193.120.225.87	GB
193.120.225.88	193.120.225.143	IE
193.120.225.144	193.120.225.159	GB
193.120.225.160	193.120.236.159	IE
193.120.236.160	193.120.236.223	GB
193.120.236.224	193.120.238.23	IE
193.120.238.24	193.120.238.31	US
193.120.238.32	193.120.250.255	IE
193.120.251.0	193.120.251.255	GB
193.120.252.0	193.120.255.255	IE
193.121.0.0	193.121.255.255	BE
193.122.0.0	193.123.143.127	GB
193.123.143.128	193.123.143.143	DE
193.123.143.144	193.123.253.95	GB
193.123.253.96	193.123.253.111	DE
193.123.253.112	193.123.255.255	GB
193.124.0.0	193.124.47.255	RU
193.124.48.0	193.124.48.255	UA
193.124.49.0	193.124.53.255	RU
193.124.54.0	193.124.54.255	UA
193.124.55.0	193.124.59.255	RU
193.124.60.0	193.124.60.255	UA
193.124.61.0	193.124.72.255	RU
193.124.73.0	193.124.73.255	UA
193.124.74.0	193.124.75.255	RU
193.124.76.0	193.124.76.255	UA
193.124.77.0	193.125.255.255	RU
193.126.0.0	193.126.255.255	PT
193.127.0.0	193.127.11.255	ES
193.127.12.0	193.127.12.255	EU
193.127.13.0	193.127.15.255	ES
193.127.16.0	193.127.97.255	EU
193.127.98.0	193.127.98.255	ES
193.127.99.0	193.127.100.255	EU
193.127.101.0	193.127.104.255	ES
193.127.105.0	193.127.192.247	EU
193.127.192.248	193.127.193.255	GB
193.127.194.0	193.127.205.255	EU
193.127.206.0	193.127.207.255	ES
193.127.208.0	193.127.215.255	GB
193.127.216.0	193.127.255.255	EU
193.128.0.0	193.128.104.39	GB
193.128.104.40	193.128.104.47	LV
193.128.104.48	193.128.107.199	GB
193.128.107.200	193.128.107.207	SE
193.128.107.208	193.129.73.15	GB
193.129.73.16	193.129.73.31	A2
193.129.73.32	193.130.60.159	GB
193.130.60.160	193.130.60.175	A2
193.130.60.176	193.131.99.255	GB
193.131.100.0	193.131.103.255	HU
193.131.104.0	193.133.255.255	GB
193.134.0.0	193.135.255.255	CH
193.136.0.0	193.137.255.255	PT
193.138.0.0	193.138.0.255	AT
193.138.1.0	193.138.7.255	SI
193.138.8.0	193.138.8.255	EE
193.138.9.0	193.138.9.255	SI
193.138.10.0	193.138.28.255	DE
193.138.29.0	193.138.29.255	CH
193.138.30.0	193.138.30.255	LT
193.138.31.0	193.138.31.255	DE
193.138.32.0	193.138.63.255	SI
193.138.64.0	193.138.64.255	FR
193.138.65.0	193.138.65.255	GR
193.138.66.0	193.138.66.255	DE
193.138.67.0	193.138.67.255	BG
193.138.68.0	193.138.68.255	DE
193.138.69.0	193.138.69.255	CH
193.138.70.0	193.138.70.255	RU
193.138.71.0	193.138.71.255	SE
193.138.72.0	193.138.72.255	US
193.138.73.0	193.138.73.255	CH
193.138.74.0	193.138.74.255	SE
193.138.75.0	193.138.75.255	GB
193.138.76.0	193.138.76.255	DK
193.138.77.0	193.138.77.255	UA
193.138.78.0	193.138.78.255	CZ
193.138.79.0	193.138.79.255	RU
193.138.80.0	193.138.81.255	DE
193.138.82.0	193.138.82.255	RU
193.138.83.0	193.138.83.255	CH
193.138.84.0	193.138.84.255	UA
193.138.85.0	193.138.85.255	RO
193.138.86.0	193.138.86.255	GB
193.138.87.0	193.138.87.255	UA
193.138.88.0	193.138.88.255	DE
193.138.89.0	193.138.89.255	RU
193.138.90.0	193.138.90.255	FR
193.138.91.0	193.138.91.255	DE
193.138.92.0	193.138.92.255	IL
193.138.93.0	193.138.93.255	UA
193.138.94.0	193.138.94.255	AT
193.138.95.0	193.138.95.255	GB
193.138.96.0	193.138.96.255	DE
193.138.97.0	193.138.99.255	RO
193.138.100.0	193.138.100.255	IE
193.138.101.0	193.138.101.255	BE
193.138.102.0	193.138.102.255	SE
193.138.103.0	193.138.103.255	RO
193.138.104.0	193.138.104.255	DE
193.138.105.0	193.138.105.255	AT
193.138.106.0	193.138.106.255	CZ
193.138.107.0	193.138.107.255	GB
193.138.108.0	193.138.108.255	DE
193.138.109.0	193.138.109.255	SE
193.138.110.0	193.138.110.255	PL
193.138.111.0	193.138.111.255	IE
193.138.112.0	193.138.113.255	DE
193.138.114.0	193.138.114.255	UA
193.138.115.0	193.138.115.255	DK
193.138.116.0	193.138.116.255	RU
193.138.117.0	193.138.117.255	DE
193.138.118.0	193.138.118.255	PL
193.138.119.0	193.138.119.255	DE
193.138.120.0	193.138.120.255	GB
193.138.121.0	193.138.121.255	NL
193.138.122.0	193.138.122.255	UA
193.138.123.0	193.138.123.255	AT
193.138.124.0	193.138.124.255	DK
193.138.125.0	193.138.125.255	HU
193.138.126.0	193.138.126.255	FI
193.138.127.0	193.138.127.255	HU
193.138.128.0	193.138.131.255	RU
193.138.132.0	193.138.135.255	UA
193.138.136.0	193.138.143.255	PL
193.138.144.0	193.138.147.255	UA
193.138.148.0	193.138.151.255	RU
193.138.156.0	193.138.159.255	NL
193.138.160.0	193.138.163.255	IT
193.138.164.0	193.138.167.255	DE
193.138.168.0	193.138.171.255	RO
193.138.172.0	193.138.175.255	LV
193.138.176.0	193.138.179.255	RU
193.138.180.0	193.138.183.255	DE
193.138.184.0	193.138.187.255	UA
193.138.188.0	193.138.191.255	LV
193.138.192.0	193.138.199.255	RO
193.138.200.0	193.138.203.255	FI
193.138.204.0	193.138.207.255	NL
193.138.208.0	193.138.211.255	PL
193.138.212.0	193.138.215.255	CH
193.138.216.0	193.138.219.255	SE
193.138.220.0	193.138.231.255	NL
193.138.232.0	193.138.235.255	RU
193.138.236.0	193.138.239.255	UA
193.138.240.0	193.138.243.255	PL
193.138.244.0	193.138.247.255	UA
193.138.248.0	193.138.251.255	NL
193.138.252.0	193.138.255.255	DE
193.139.0.0	193.139.255.255	FR
193.140.0.0	193.140.255.255	TR
193.141.0.0	193.141.3.255	DE
193.141.4.0	193.141.4.63	NL
193.141.4.64	193.141.4.71	DE
193.141.4.72	193.141.4.79	NL
193.141.4.80	193.141.4.87	DE
193.141.4.88	193.141.6.127	NL
193.141.6.128	193.141.6.135	DE
193.141.6.136	193.141.10.191	NL
193.141.10.192	193.141.10.199	DE
193.141.10.200	193.141.10.215	NL
193.141.10.216	193.141.10.223	DE
193.141.10.224	193.141.14.119	NL
193.141.14.120	193.141.14.127	DE
193.141.14.128	193.141.15.7	NL
193.141.15.8	193.141.15.15	DE
193.141.15.16	193.141.15.71	NL
193.141.15.72	193.141.15.79	DE
193.141.15.80	193.141.16.183	NL
193.141.16.184	193.141.16.191	DE
193.141.16.192	193.141.17.55	NL
193.141.17.56	193.141.17.63	DE
193.141.17.64	193.141.18.7	NL
193.141.18.8	193.141.18.15	DE
193.141.18.16	193.141.18.127	NL
193.141.18.128	193.141.18.143	DE
193.141.18.144	193.141.18.223	NL
193.141.18.224	193.141.18.231	DE
193.141.18.232	193.141.19.31	NL
193.141.19.32	193.141.19.39	DE
193.141.19.40	193.141.19.47	NL
193.141.19.48	193.141.19.55	DE
193.141.19.56	193.141.19.231	NL
193.141.19.232	193.141.19.239	DE
193.141.19.240	193.141.19.255	NL
193.141.20.0	193.141.27.255	DE
193.141.28.0	193.141.37.223	NL
193.141.37.224	193.141.37.231	DE
193.141.37.232	193.141.38.7	NL
193.141.38.8	193.141.38.15	DE
193.141.38.16	193.141.38.119	NL
193.141.38.120	193.141.38.127	DE
193.141.38.128	193.141.39.255	NL
193.141.40.0	193.141.46.255	DE
193.141.47.0	193.141.48.103	NL
193.141.48.104	193.141.48.111	DE
193.141.48.112	193.141.48.159	NL
193.141.48.160	193.141.48.167	DE
193.141.48.168	193.141.52.47	NL
193.141.52.48	193.141.52.55	DE
193.141.52.56	193.141.52.255	NL
193.141.53.0	193.141.67.255	DE
193.141.68.0	193.141.68.207	NL
193.141.68.208	193.141.68.215	DE
193.141.68.216	193.141.69.55	NL
193.141.69.56	193.141.69.63	DE
193.141.69.64	193.141.70.31	NL
193.141.70.32	193.141.70.39	DE
193.141.70.40	193.141.72.239	NL
193.141.72.240	193.141.72.247	DE
193.141.72.248	193.141.72.255	NL
193.141.73.0	193.141.73.7	DE
193.141.73.8	193.141.73.199	NL
193.141.73.200	193.141.73.207	DE
193.141.73.208	193.141.74.231	NL
193.141.74.232	193.141.74.239	DE
193.141.74.240	193.141.75.199	NL
193.141.75.200	193.141.75.207	DE
193.141.75.208	193.141.78.103	NL
193.141.78.104	193.141.78.111	DE
193.141.78.112	193.141.79.111	NL
193.141.79.112	193.141.79.119	DE
193.141.79.120	193.141.79.135	NL
193.141.79.136	193.141.79.143	DE
193.141.79.144	193.141.80.167	NL
193.141.80.168	193.141.80.175	DE
193.141.80.176	193.141.80.183	NL
193.141.80.184	193.141.80.191	DE
193.141.80.192	193.141.85.71	NL
193.141.85.72	193.141.85.79	DE
193.141.85.80	193.141.85.215	NL
193.141.85.216	193.141.85.223	DE
193.141.85.224	193.141.87.127	NL
193.141.87.128	193.141.87.135	DE
193.141.87.136	193.141.89.239	NL
193.141.89.240	193.141.89.247	DE
193.141.89.248	193.141.90.55	NL
193.141.90.56	193.141.90.63	DE
193.141.90.64	193.141.90.255	NL
193.141.91.0	193.141.110.255	DE
193.141.111.0	193.141.113.183	NL
193.141.113.184	193.141.113.191	DE
193.141.113.192	193.141.114.223	NL
193.141.114.224	193.141.114.231	DE
193.141.114.232	193.141.116.103	NL
193.141.116.104	193.141.116.111	DE
193.141.116.112	193.141.119.23	NL
193.141.119.24	193.141.119.31	DE
193.141.119.32	193.141.120.255	NL
193.141.121.0	193.141.121.255	DE
193.141.122.0	193.141.122.23	NL
193.141.122.24	193.141.122.39	DE
193.141.122.40	193.141.122.71	NL
193.141.122.72	193.141.122.79	DE
193.141.122.80	193.141.123.111	NL
193.141.123.112	193.141.123.119	DE
193.141.123.120	193.141.124.255	NL
193.141.125.0	193.141.127.255	DE
193.141.128.0	193.141.130.71	NL
193.141.130.72	193.141.130.87	DE
193.141.130.88	193.141.131.71	NL
193.141.131.72	193.141.131.79	DE
193.141.131.80	193.141.131.127	NL
193.141.131.128	193.141.131.135	DE
193.141.131.136	193.141.131.151	NL
193.141.131.152	193.141.131.159	DE
193.141.131.160	193.141.136.23	NL
193.141.136.24	193.141.136.31	DE
193.141.136.32	193.141.138.255	NL
193.141.139.0	193.141.143.255	DE
193.141.144.0	193.141.144.127	NL
193.141.144.128	193.141.144.135	DE
193.141.144.136	193.141.144.151	NL
193.141.144.152	193.141.144.159	DE
193.141.144.160	193.141.146.167	NL
193.141.146.168	193.141.146.175	DE
193.141.146.176	193.141.149.39	NL
193.141.149.40	193.141.149.47	DE
193.141.149.48	193.141.149.119	NL
193.141.149.120	193.141.149.127	DE
193.141.149.128	193.141.149.159	NL
193.141.149.160	193.141.149.167	DE
193.141.149.168	193.141.149.255	NL
193.141.150.0	193.141.150.7	DE
193.141.150.8	193.141.150.191	NL
193.141.150.192	193.141.150.199	DE
193.141.150.200	193.141.155.55	NL
193.141.155.56	193.141.155.63	DE
193.141.155.64	193.141.156.63	NL
193.141.156.64	193.141.156.71	DE
193.141.156.72	193.141.156.111	NL
193.141.156.112	193.141.156.119	DE
193.141.156.120	193.141.158.47	NL
193.141.158.48	193.141.158.55	DE
193.141.158.56	193.141.158.215	NL
193.141.158.216	193.141.158.223	DE
193.141.158.224	193.141.159.23	NL
193.141.159.24	193.141.159.31	DE
193.141.159.32	193.141.159.47	NL
193.141.159.48	193.141.159.55	DE
193.141.159.56	193.141.160.39	NL
193.141.160.40	193.141.160.47	DE
193.141.160.48	193.141.160.95	NL
193.141.160.96	193.141.160.103	DE
193.141.160.104	193.141.164.223	NL
193.141.164.224	193.141.164.231	DE
193.141.164.232	193.141.167.71	NL
193.141.167.72	193.141.167.79	DE
193.141.167.80	193.141.168.183	NL
193.141.168.184	193.141.168.191	DE
193.141.168.192	193.141.170.199	NL
193.141.170.200	193.141.170.207	DE
193.141.170.208	193.141.174.87	NL
193.141.174.88	193.141.174.95	DE
193.141.174.96	193.141.175.255	NL
193.141.176.0	193.141.231.255	DE
193.141.232.0	193.141.232.135	NL
193.141.232.136	193.141.232.143	DE
193.141.232.144	193.141.234.175	NL
193.141.234.176	193.141.234.183	DE
193.141.234.184	193.141.235.191	NL
193.141.235.192	193.141.235.199	DE
193.141.235.200	193.141.237.71	NL
193.141.237.72	193.141.237.79	DE
193.141.237.80	193.141.238.159	NL
193.141.238.160	193.141.238.167	DE
193.141.238.168	193.141.243.111	NL
193.141.243.112	193.141.243.119	DE
193.141.243.120	193.141.243.151	NL
193.141.243.152	193.141.243.159	DE
193.141.243.160	193.141.244.231	NL
193.141.244.232	193.141.244.247	DE
193.141.244.248	193.141.245.15	NL
193.141.245.16	193.141.245.23	DE
193.141.245.24	193.141.245.215	NL
193.141.245.216	193.141.245.223	DE
193.141.245.224	193.141.246.55	NL
193.141.246.56	193.141.246.63	DE
193.141.246.64	193.141.246.71	NL
193.141.246.72	193.141.246.87	DE
193.141.246.88	193.141.246.183	NL
193.141.246.184	193.141.246.191	DE
193.141.246.192	193.141.246.207	NL
193.141.246.208	193.141.246.215	DE
193.141.246.216	193.141.247.87	NL
193.141.247.88	193.141.247.103	DE
193.141.247.104	193.141.247.175	NL
193.141.247.176	193.141.247.183	DE
193.141.247.184	193.141.248.31	NL
193.141.248.32	193.141.248.39	DE
193.141.248.40	193.141.248.47	NL
193.141.248.48	193.141.248.55	DE
193.141.248.56	193.141.248.143	NL
193.141.248.144	193.141.248.151	DE
193.141.248.152	193.141.248.167	NL
193.141.248.168	193.141.248.191	DE
193.141.248.192	193.141.248.207	NL
193.141.248.208	193.141.248.215	DE
193.141.248.216	193.141.248.247	NL
193.141.248.248	193.141.248.255	DE
193.141.249.0	193.141.249.63	NL
193.141.249.64	193.141.249.71	DE
193.141.249.72	193.141.250.39	NL
193.141.250.40	193.141.250.47	DE
193.141.250.48	193.141.250.111	NL
193.141.250.112	193.141.250.119	DE
193.141.250.120	193.141.250.151	NL
193.141.250.152	193.141.250.159	DE
193.141.250.160	193.141.251.23	NL
193.141.251.24	193.141.251.31	DE
193.141.251.32	193.141.251.55	NL
193.141.251.56	193.141.251.63	DE
193.141.251.64	193.141.251.71	NL
193.141.251.72	193.141.251.79	DE
193.141.251.80	193.141.252.95	NL
193.141.252.96	193.141.252.103	DE
193.141.252.104	193.141.252.215	NL
193.141.252.216	193.141.252.223	DE
193.141.252.224	193.141.253.79	NL
193.141.253.80	193.141.253.87	DE
193.141.253.88	193.141.254.127	NL
193.141.254.128	193.141.254.135	DE
193.141.254.136	193.141.254.191	NL
193.141.254.192	193.141.254.199	DE
193.141.254.200	193.141.255.183	NL
193.141.255.184	193.141.255.191	DE
193.141.255.192	193.141.255.255	NL
193.142.0.0	193.142.0.255	BG
193.142.1.0	193.142.29.255	FI
193.142.30.0	193.142.30.255	NO
193.142.31.0	193.142.52.255	FI
193.142.53.0	193.142.53.255	DE
193.142.54.0	193.142.55.255	FI
193.142.56.0	193.142.57.255	RU
193.142.58.0	193.142.60.255	FI
193.142.61.0	193.142.61.255	AT
193.142.62.0	193.142.62.255	CH
193.142.63.0	193.142.96.255	FI
193.142.97.0	193.142.97.255	DE
193.142.98.0	193.142.99.255	FI
193.142.100.0	193.142.100.255	NO
193.142.101.0	193.142.102.255	FI
193.142.103.0	193.142.103.255	DK
193.142.104.0	193.142.107.255	FI
193.142.108.0	193.142.110.255	NO
193.142.111.0	193.142.111.255	CH
193.142.112.0	193.142.113.255	PL
193.142.114.0	193.142.114.255	FI
193.142.115.0	193.142.115.255	PL
193.142.116.0	193.142.116.255	SI
193.142.117.0	193.142.119.255	GB
193.142.120.0	193.142.123.255	FI
193.142.124.0	193.142.124.255	UA
193.142.125.0	193.142.125.255	CH
193.142.126.0	193.142.126.255	FI
193.142.127.0	193.142.127.255	DE
193.142.128.0	193.142.144.255	FI
193.142.145.0	193.142.145.255	HU
193.142.146.0	193.142.148.255	FI
193.142.149.0	193.142.149.255	SI
193.142.150.0	193.142.150.255	FI
193.142.151.0	193.142.151.255	IL
193.142.152.0	193.142.152.255	FI
193.142.153.0	193.142.153.255	HU
193.142.154.0	193.142.156.255	FI
193.142.157.0	193.142.157.255	DE
193.142.158.0	193.142.159.255	FI
193.142.160.0	193.142.175.255	SE
193.142.176.0	193.142.207.255	FI
193.142.208.0	193.142.208.255	RO
193.142.209.0	193.142.209.255	HU
193.142.210.0	193.142.210.255	PL
193.142.211.0	193.142.211.255	DK
193.142.212.0	193.142.212.255	GB
193.142.213.0	193.142.213.255	UA
193.142.214.0	193.142.214.255	HU
193.142.215.0	193.142.215.255	NL
193.142.216.0	193.142.216.255	GB
193.142.217.0	193.142.217.255	ES
193.142.218.0	193.142.219.255	UA
193.142.220.0	193.142.220.255	GB
193.142.221.0	193.142.221.255	UA
193.142.222.0	193.142.222.255	SA
193.142.223.0	193.142.223.255	DE
193.142.224.0	193.142.242.255	FI
193.142.243.0	193.142.243.255	PL
193.142.244.0	193.142.244.255	SE
193.142.245.0	193.142.245.255	GB
193.142.246.0	193.142.255.255	FI
193.143.0.0	193.143.0.255	RU
193.143.1.0	193.143.76.255	FI
193.143.77.0	193.143.77.255	PL
193.143.78.0	193.143.97.255	FI
193.143.98.0	193.143.98.255	RU
193.143.99.0	193.143.118.255	FI
193.143.119.0	193.143.119.255	RU
193.143.120.0	193.143.120.255	RO
193.143.121.0	193.143.121.255	PL
193.143.122.0	193.143.122.255	DE
193.143.123.0	193.143.225.255	FI
193.143.226.0	193.143.226.255	TR
193.143.227.0	193.143.248.255	FI
193.143.249.0	193.143.249.255	IT
193.143.250.0	193.143.255.255	FI
193.144.0.0	193.147.255.255	ES
193.148.0.0	193.148.0.255	RO
193.148.1.0	193.148.10.255	ES
193.148.11.0	193.148.11.255	GB
193.148.12.0	193.148.14.255	ES
193.148.15.0	193.148.15.255	RU
193.148.16.0	193.148.37.255	ES
193.148.38.0	193.148.39.255	IT
193.148.40.0	193.148.43.255	ES
193.148.44.0	193.148.44.255	RU
193.148.45.0	193.148.45.255	BE
193.148.46.0	193.148.46.255	SK
193.148.47.0	193.148.47.255	RU
193.148.48.0	193.148.55.255	CH
193.148.56.0	193.148.61.255	ES
193.148.62.0	193.148.63.255	CH
193.148.64.0	193.149.7.255	ES
193.149.8.0	193.149.15.255	DE
193.149.16.0	193.149.31.255	ES
193.149.32.0	193.149.47.63	DE
193.149.47.64	193.149.47.255	IE
193.149.48.0	193.149.63.255	DE
193.149.64.0	193.149.95.255	GB
193.149.96.0	193.149.127.255	FR
193.149.128.0	193.149.191.255	DK
193.149.192.0	193.149.194.255	BE
193.149.195.0	193.149.195.255	CH
193.149.196.0	193.149.207.255	BE
193.149.208.0	193.149.213.255	CH
193.149.214.0	193.149.216.255	DE
193.149.217.0	193.149.219.255	AT
193.149.220.0	193.149.224.255	BE
193.149.225.0	193.149.227.255	CH
193.149.228.0	193.149.231.255	BE
193.149.232.0	193.149.239.255	CH
193.149.240.0	193.149.255.255	BE
193.150.0.0	193.150.127.255	RU
193.150.128.0	193.150.151.255	GB
193.150.152.0	193.150.164.255	NL
193.150.165.0	193.150.165.255	TR
193.150.166.0	193.150.167.255	DE
193.150.168.0	193.150.168.255	PL
193.150.169.0	193.150.169.255	FR
193.150.170.0	193.150.170.255	ES
193.150.171.0	193.150.171.255	DE
193.150.172.0	193.150.173.255	GR
193.150.174.0	193.150.179.255	AT
193.150.180.0	193.150.191.255	GB
193.150.192.0	193.150.255.255	SE
193.151.0.0	193.151.3.255	RU
193.151.4.0	193.151.7.255	DE
193.151.8.0	193.151.11.255	PL
193.151.12.0	193.151.15.255	UA
193.151.16.0	193.151.19.255	GB
193.151.20.0	193.151.23.255	BG
193.151.28.0	193.151.31.255	RO
193.151.32.0	193.151.35.255	DE
193.151.36.0	193.151.39.255	PL
193.151.40.0	193.151.43.255	BY
193.151.44.0	193.151.47.255	DE
193.151.48.0	193.151.55.255	PL
193.151.56.0	193.151.59.255	UA
193.151.60.0	193.151.63.255	DE
193.151.64.0	193.151.71.255	PL
193.151.72.0	193.151.75.255	NL
193.151.76.0	193.151.79.255	PL
193.151.80.0	193.151.83.255	BG
193.151.84.0	193.151.87.255	FR
193.151.92.0	193.151.95.255	SE
193.151.96.0	193.151.103.255	PL
193.151.104.0	193.151.107.255	UA
193.151.108.0	193.151.111.255	RU
193.151.112.0	193.151.115.255	PL
193.151.116.0	193.151.119.255	HU
193.151.120.0	193.151.127.255	GB
193.151.128.0	193.151.239.255	FR
193.151.240.0	193.151.247.255	UA
193.151.248.0	193.151.251.255	DE
193.151.252.0	193.151.255.255	UA
193.152.0.0	193.153.255.255	ES
193.154.0.0	193.154.2.79	AT
193.154.2.80	193.154.2.87	HU
193.154.2.88	193.154.255.255	AT
193.155.0.0	193.155.236.31	DE
193.155.236.32	193.155.236.39	PL
193.155.236.40	193.155.255.255	DE
193.156.0.0	193.156.33.255	NO
193.156.34.0	193.156.34.255	PK
193.156.35.0	193.157.255.255	NO
193.158.0.0	193.158.51.79	DE
193.158.51.80	193.158.51.87	AT
193.158.51.88	193.158.56.31	DE
193.158.56.32	193.158.56.39	PL
193.158.56.40	193.158.58.15	DE
193.158.58.16	193.158.58.23	AT
193.158.58.24	193.158.58.31	CH
193.158.58.32	193.158.58.39	AT
193.158.58.40	193.158.58.47	NL
193.158.58.48	193.158.58.95	DE
193.158.58.96	193.158.58.103	BE
193.158.58.104	193.159.255.255	DE
193.160.0.0	193.160.0.255	FR
193.160.1.0	193.160.11.255	NO
193.160.12.0	193.160.13.255	RU
193.160.14.0	193.160.32.255	NO
193.160.33.0	193.160.33.255	IL
193.160.34.0	193.160.38.255	NO
193.160.39.0	193.160.39.255	DE
193.160.40.0	193.160.96.255	NO
193.160.97.0	193.160.97.255	UA
193.160.98.0	193.160.99.255	AT
193.160.100.0	193.160.130.255	NO
193.160.131.0	193.160.131.255	RU
193.160.132.0	193.160.143.255	NO
193.160.144.0	193.160.144.255	DE
193.160.145.0	193.160.145.255	DK
193.160.146.0	193.160.223.255	NO
193.160.224.0	193.160.227.255	UA
193.160.228.0	193.160.231.255	RU
193.160.232.0	193.160.254.255	NO
193.160.255.0	193.160.255.255	RU
193.161.0.0	193.161.0.255	RO
193.161.1.0	193.161.11.255	NO
193.161.12.0	193.161.15.255	UA
193.161.16.0	193.161.83.255	NO
193.161.84.0	193.161.87.255	CZ
193.161.88.0	193.161.254.255	NO
193.161.255.0	193.161.255.255	UA
193.162.0.0	193.162.73.255	DK
193.162.74.0	193.162.74.255	GB
193.162.75.0	193.163.255.255	DK
193.164.0.0	193.164.0.255	PT
193.164.1.0	193.164.6.255	PL
193.164.7.0	193.164.7.255	NL
193.164.8.0	193.164.8.255	DE
193.164.9.0	193.164.9.255	TR
193.164.10.0	193.164.11.255	GB
193.164.12.0	193.164.12.255	FR
193.164.13.0	193.164.14.255	GB
193.164.15.0	193.164.15.255	AT
193.164.16.0	193.164.31.255	PL
193.164.32.0	193.164.91.255	SE
193.164.92.0	193.164.95.255	UA
193.164.96.0	193.164.128.255	GB
193.164.129.0	193.164.129.255	PL
193.164.130.0	193.164.130.255	UA
193.164.131.0	193.164.135.255	DE
193.164.136.0	193.164.136.255	RO
193.164.137.0	193.164.141.255	SI
193.164.142.0	193.164.142.255	PL
193.164.143.0	193.164.143.255	GB
193.164.144.0	193.164.144.255	NL
193.164.145.0	193.164.145.255	CH
193.164.146.0	193.164.146.255	RU
193.164.147.0	193.164.147.255	ES
193.164.148.0	193.164.148.255	FR
193.164.149.0	193.164.149.255	UA
193.164.150.0	193.164.151.255	FR
193.164.152.0	193.164.152.255	RO
193.164.153.0	193.164.153.255	FR
193.164.154.0	193.164.154.255	DE
193.164.155.0	193.164.155.255	DK
193.164.156.0	193.164.156.255	FR
193.164.157.0	193.164.157.255	PL
193.164.158.0	193.164.158.255	BE
193.164.159.0	193.164.159.255	DE
193.164.160.0	193.164.163.159	GB
193.164.163.160	193.164.179.191	EU
193.164.179.192	193.164.180.191	GB
193.164.180.192	193.164.188.255	EU
193.164.189.0	193.164.189.255	GB
193.164.190.0	193.164.191.247	EU
193.164.191.248	193.164.191.255	GB
193.164.192.0	193.164.193.255	NL
193.164.194.0	193.164.195.255	RU
193.164.196.0	193.164.197.255	FR
193.164.198.0	193.164.199.255	RO
193.164.200.0	193.164.201.255	RU
193.164.202.0	193.164.203.255	FR
193.164.204.0	193.164.205.255	RU
193.164.206.0	193.164.209.255	GB
193.164.210.0	193.164.211.255	LV
193.164.212.0	193.164.213.255	DE
193.164.214.0	193.164.215.255	RU
193.164.216.0	193.164.217.255	NL
193.164.218.0	193.164.219.255	CZ
193.164.220.0	193.164.221.255	US
193.164.222.0	193.164.223.255	BG
193.164.224.0	193.164.225.255	AT
193.164.226.0	193.164.227.255	GR
193.164.228.0	193.164.232.95	FR
193.164.232.96	193.164.232.127	UA
193.164.232.128	193.164.232.159	RU
193.164.232.160	193.164.232.191	HR
193.164.232.192	193.164.232.223	FR
193.164.232.224	193.164.232.255	GB
193.164.233.0	193.164.233.255	CH
193.164.234.0	193.164.241.255	AT
193.164.242.0	193.164.243.255	GB
193.164.244.0	193.164.245.255	CH
193.164.246.0	193.164.247.255	DE
193.164.248.0	193.164.251.255	DK
193.164.252.0	193.164.253.255	GB
193.164.254.0	193.164.255.255	PL
193.165.0.0	193.165.255.255	CZ
193.166.0.0	193.167.255.255	FI
193.168.0.0	193.168.0.255	DE
193.168.1.0	193.168.5.255	LU
193.168.6.0	193.168.7.255	EU
193.168.8.0	193.168.49.255	LU
193.168.50.0	193.168.50.255	FR
193.168.51.0	193.168.53.255	LU
193.168.54.0	193.168.54.255	EU
193.168.55.0	193.168.127.255	LU
193.168.128.0	193.168.255.255	DE
193.169.0.0	193.169.1.255	RU
193.169.2.0	193.169.3.255	CH
193.169.4.0	193.169.5.255	RU
193.169.6.0	193.169.9.255	RO
193.169.10.0	193.169.11.255	DE
193.169.12.0	193.169.13.255	LV
193.169.14.0	193.169.15.255	GB
193.169.16.0	193.169.17.255	HU
193.169.18.0	193.169.19.255	PL
193.169.20.0	193.169.21.255	RO
193.169.22.0	193.169.29.255	RU
193.169.30.0	193.169.31.255	GI
193.169.32.0	193.169.39.255	RU
193.169.40.0	193.169.41.255	NL
193.169.42.0	193.169.43.255	NO
193.169.44.0	193.169.45.255	RU
193.169.46.0	193.169.47.255	FR
193.169.48.0	193.169.49.255	SI
193.169.50.0	193.169.51.255	RO
193.169.52.0	193.169.53.255	RU
193.169.54.0	193.169.55.255	DE
193.169.56.0	193.169.57.255	IT
193.169.58.0	193.169.59.255	GB
193.169.60.0	193.169.63.255	RU
193.169.64.0	193.169.67.255	FR
193.169.68.0	193.169.69.255	NL
193.169.70.0	193.169.71.255	IL
193.169.72.0	193.169.73.255	DE
193.169.74.0	193.169.75.255	DK
193.169.76.0	193.169.77.255	DE
193.169.78.0	193.169.79.255	PL
193.169.80.0	193.169.81.255	UA
193.169.82.0	193.169.83.255	CH
193.169.84.0	193.169.85.255	FI
193.169.86.0	193.169.87.255	UA
193.169.88.0	193.169.89.255	IL
193.169.90.0	193.169.91.255	GB
193.169.92.0	193.169.93.255	RU
193.169.94.0	193.169.95.255	DE
193.169.96.0	193.169.97.255	RU
193.169.98.0	193.169.99.255	DE
193.169.100.0	193.169.101.255	FI
193.169.102.0	193.169.103.255	RU
193.169.104.0	193.169.105.255	IL
193.169.106.0	193.169.107.255	RU
193.169.108.0	193.169.109.255	NL
193.169.110.0	193.169.111.255	RU
193.169.112.0	193.169.117.255	PL
193.169.118.0	193.169.119.255	RU
193.169.120.0	193.169.121.255	GB
193.169.122.0	193.169.123.255	RU
193.169.124.0	193.169.127.255	UA
193.169.128.0	193.169.129.255	RU
193.169.130.0	193.169.131.255	KW
193.169.132.0	193.169.135.255	UA
193.169.136.0	193.169.137.255	RO
193.169.138.0	193.169.139.255	NL
193.169.140.0	193.169.141.255	GB
193.169.142.0	193.169.145.255	RO
193.169.146.0	193.169.147.255	UA
193.169.148.0	193.169.149.255	PL
193.169.150.0	193.169.151.255	IT
193.169.152.0	193.169.153.255	CH
193.169.154.0	193.169.155.255	DK
193.169.156.0	193.169.157.255	RO
193.169.158.0	193.169.159.255	LU
193.169.160.0	193.169.161.255	RU
193.169.162.0	193.169.163.255	IT
193.169.164.0	193.169.165.255	SE
193.169.166.0	193.169.167.255	LV
193.169.168.0	193.169.169.255	DE
193.169.170.0	193.169.171.255	RO
193.169.172.0	193.169.179.255	RU
193.169.180.0	193.169.181.255	DE
193.169.182.0	193.169.183.255	CZ
193.169.184.0	193.169.185.255	DE
193.169.186.0	193.169.187.255	CH
193.169.188.0	193.169.189.255	UA
193.169.190.0	193.169.191.255	SA
193.169.192.0	193.169.193.255	GB
193.169.194.0	193.169.195.255	LV
193.169.196.0	193.169.197.255	DE
193.169.198.0	193.169.199.255	BG
193.169.200.0	193.169.203.255	RU
193.169.204.0	193.169.205.255	DE
193.169.206.0	193.169.207.255	GB
193.169.208.0	193.169.209.255	DK
193.169.210.0	193.169.211.255	RU
193.169.212.0	193.169.213.255	DE
193.169.214.0	193.169.215.255	UA
193.169.216.0	193.169.217.255	GB
193.169.218.0	193.169.219.255	UA
193.169.220.0	193.169.223.255	RU
193.169.224.0	193.169.225.255	GB
193.169.226.0	193.169.229.255	RU
193.169.230.0	193.169.231.255	FR
193.169.232.0	193.169.233.255	PL
193.169.234.0	193.169.235.255	JM
193.169.238.0	193.169.239.255	RU
193.169.240.0	193.169.241.255	UA
193.169.242.0	193.169.243.255	IT
193.169.244.0	193.169.245.255	UA
193.169.246.0	193.169.247.255	IL
193.169.248.0	193.169.251.255	RU
193.169.252.0	193.169.253.255	UA
193.169.254.0	193.169.255.255	GB
193.170.0.0	193.171.255.255	AT
193.172.0.0	193.172.11.63	NL
193.172.11.64	193.172.11.79	BG
193.172.11.80	193.172.59.159	NL
193.172.59.160	193.172.59.175	BG
193.172.59.176	193.172.215.191	NL
193.172.215.192	193.172.215.223	BG
193.172.215.224	193.173.37.207	NL
193.173.37.208	193.173.37.223	BG
193.173.37.224	193.173.255.255	NL
193.174.0.0	193.174.3.255	DE
193.174.4.0	193.174.4.255	IT
193.174.5.0	193.175.194.127	DE
193.175.194.128	193.175.194.191	UA
193.175.194.192	193.175.255.255	DE
193.176.0.0	193.176.0.255	PT
193.176.1.0	193.176.2.255	NL
193.176.3.0	193.176.3.255	GB
193.176.4.0	193.176.55.255	NL
193.176.56.0	193.176.60.255	GB
193.176.61.0	193.176.144.255	NL
193.176.145.0	193.176.145.255	RU
193.176.146.0	193.176.146.255	SE
193.176.147.0	193.176.147.255	UA
193.176.148.0	193.177.255.255	NL
193.178.0.0	193.178.31.255	IE
193.178.32.0	193.178.32.255	GB
193.178.33.0	193.178.33.255	IE
193.178.34.0	193.178.34.255	UA
193.178.35.0	193.178.35.255	SE
193.178.36.0	193.178.42.255	IE
193.178.43.0	193.178.43.255	CH
193.178.44.0	193.178.59.255	IE
193.178.60.0	193.178.63.255	SE
193.178.64.0	193.178.116.255	IE
193.178.117.0	193.178.117.255	PL
193.178.118.0	193.178.118.255	RU
193.178.119.0	193.178.119.255	HU
193.178.120.0	193.178.123.255	GB
193.178.124.0	193.178.127.255	UA
193.178.128.0	193.178.131.255	SE
193.178.132.0	193.178.132.255	PL
193.178.133.0	193.178.133.255	FI
193.178.134.0	193.178.134.255	FR
193.178.135.0	193.178.135.255	RU
193.178.136.0	193.178.138.255	FR
193.178.139.0	193.178.139.255	GB
193.178.140.0	193.178.140.255	FR
193.178.141.0	193.178.141.255	RO
193.178.142.0	193.178.142.255	DE
193.178.143.0	193.178.143.255	PL
193.178.144.0	193.178.147.255	UA
193.178.148.0	193.178.149.255	AT
193.178.150.0	193.178.151.255	LV
193.178.152.0	193.178.153.255	BG
193.178.154.0	193.178.155.255	FR
193.178.156.0	193.178.157.255	CH
193.178.158.0	193.178.159.255	RU
193.178.160.0	193.178.160.255	AT
193.178.161.0	193.178.161.255	PL
193.178.162.0	193.178.162.255	UA
193.178.163.0	193.178.163.255	DE
193.178.164.0	193.178.164.255	PL
193.178.165.0	193.178.165.255	RO
193.178.166.0	193.178.166.255	BG
193.178.167.0	193.178.167.255	PL
193.178.168.0	193.178.168.255	HU
193.178.169.0	193.178.170.255	DE
193.178.171.0	193.178.171.255	AT
193.178.172.0	193.178.172.255	UA
193.178.173.0	193.178.173.255	GB
193.178.174.0	193.178.174.255	BE
193.178.175.0	193.178.175.255	DK
193.178.176.0	193.178.183.255	LV
193.178.184.0	193.178.184.255	AT
193.178.185.0	193.178.185.255	DE
193.178.186.0	193.178.186.255	FR
193.178.187.0	193.178.187.255	UA
193.178.188.0	193.178.188.255	SI
193.178.189.0	193.178.189.255	NL
193.178.190.0	193.178.191.255	UA
193.178.192.0	193.178.195.255	LV
193.178.196.0	193.178.199.255	DE
193.178.200.0	193.178.203.255	GB
193.178.204.0	193.178.207.255	IT
193.178.208.0	193.178.208.255	AT
193.178.209.0	193.178.209.255	BE
193.178.210.0	193.178.212.255	FR
193.178.213.0	193.178.214.255	PL
193.178.215.0	193.178.215.255	GB
193.178.216.0	193.178.216.255	IT
193.178.217.0	193.178.217.255	GB
193.178.218.0	193.178.218.255	TR
193.178.219.0	193.178.219.255	LU
193.178.220.0	193.178.220.255	IL
193.178.221.0	193.178.221.255	SE
193.178.222.0	193.178.222.255	BG
193.178.223.0	193.178.223.255	GB
193.178.224.0	193.178.225.255	RO
193.178.226.0	193.178.227.255	DE
193.178.228.0	193.178.229.255	UA
193.178.230.0	193.178.231.255	IT
193.178.232.0	193.178.233.255	LV
193.178.234.0	193.178.235.255	IT
193.178.236.0	193.178.237.255	UA
193.178.238.0	193.178.239.255	GB
193.178.240.0	193.178.243.255	PL
193.178.244.0	193.178.247.255	IT
193.178.248.0	193.178.251.255	UA
193.178.252.0	193.178.255.255	IT
193.179.0.0	193.179.255.255	CZ
193.180.0.0	193.182.6.255	SE
193.182.7.0	193.182.15.255	GB
193.182.16.0	193.183.255.255	SE
193.184.0.0	193.184.1.67	FI
193.184.1.68	193.184.1.71	AX
193.184.1.72	193.184.87.59	FI
193.184.87.60	193.184.87.63	AX
193.184.87.64	193.184.247.167	FI
193.184.247.168	193.184.247.171	AX
193.184.247.172	193.185.67.11	FI
193.185.67.12	193.185.67.15	AX
193.185.67.16	193.185.67.71	FI
193.185.67.72	193.185.67.75	AX
193.185.67.76	193.185.220.31	FI
193.185.220.32	193.185.220.47	SE
193.185.220.48	193.185.236.191	FI
193.185.236.192	193.185.236.223	AX
193.185.236.224	193.185.237.63	FI
193.185.237.64	193.185.237.127	SE
193.185.237.128	193.185.253.167	FI
193.185.253.168	193.185.253.171	AX
193.185.253.172	193.185.255.255	FI
193.186.0.0	193.186.0.255	AT
193.186.1.0	193.186.1.255	RU
193.186.2.0	193.186.2.255	IL
193.186.3.0	193.186.3.255	DE
193.186.4.0	193.186.4.255	PL
193.186.5.0	193.186.6.255	AT
193.186.7.0	193.186.7.255	DE
193.186.8.0	193.186.8.255	FR
193.186.9.0	193.186.9.255	UA
193.186.10.0	193.186.11.255	RO
193.186.12.0	193.186.12.255	DE
193.186.13.0	193.186.14.255	GB
193.186.15.0	193.186.15.255	UA
193.186.16.0	193.186.31.255	AT
193.186.32.0	193.186.32.255	HU
193.186.33.0	193.186.33.255	RO
193.186.34.0	193.186.34.255	RU
193.186.35.0	193.186.35.255	DK
193.186.36.0	193.186.161.255	AT
193.186.162.0	193.186.162.255	GB
193.186.163.0	193.186.163.255	GR
193.186.164.0	193.186.207.255	AT
193.186.208.0	193.186.208.255	TR
193.186.209.0	193.186.209.255	AT
193.186.210.0	193.186.210.255	GB
193.186.211.0	193.186.254.255	AT
193.186.255.0	193.186.255.255	PL
193.187.0.0	193.187.0.255	EU
193.187.1.0	193.187.254.255	AT
193.187.255.0	193.187.255.255	RU
193.188.0.0	193.188.0.255	PL
193.188.1.0	193.188.3.255	SA
193.188.4.0	193.188.5.255	GB
193.188.6.0	193.188.6.255	AE
193.188.7.0	193.188.7.255	MA
193.188.8.0	193.188.11.255	OM
193.188.12.0	193.188.13.255	BH
193.188.14.0	193.188.31.255	SA
193.188.32.0	193.188.47.255	MT
193.188.48.0	193.188.63.255	KW
193.188.64.0	193.188.95.255	JO
193.188.96.0	193.188.127.255	BH
193.188.128.0	193.188.131.255	LB
193.188.132.0	193.188.134.63	GB
193.188.134.64	193.188.134.95	FR
193.188.134.96	193.188.134.111	EE
193.188.134.112	193.188.134.119	CH
193.188.134.120	193.188.134.127	SE
193.188.134.128	193.188.134.135	DK
193.188.134.160	193.188.134.167	PL
193.188.134.168	193.188.134.199	CY
193.188.134.200	193.188.134.255	GB
193.188.135.0	193.188.136.255	LB
193.188.137.0	193.188.137.255	HU
193.188.138.0	193.188.139.255	LB
193.188.140.0	193.188.141.255	HU
193.188.142.0	193.188.153.255	KW
193.188.154.0	193.188.155.255	DE
193.188.156.0	193.188.157.255	EU
193.188.158.0	193.188.159.255	DE
193.188.160.0	193.188.191.255	KW
193.188.192.0	193.188.194.255	HU
193.188.195.0	193.188.195.255	GB
193.188.196.0	193.188.197.255	DE
193.188.198.0	193.188.199.255	TR
193.188.200.0	193.188.200.255	SA
193.188.201.0	193.188.203.255	SE
193.188.204.0	193.188.207.255	GB
193.188.208.0	193.188.223.255	AT
193.188.224.0	193.188.224.255	DK
193.188.225.0	193.188.247.255	CH
193.188.248.0	193.188.248.255	SE
193.188.249.0	193.188.249.255	FR
193.188.250.0	193.188.250.255	DE
193.188.251.0	193.188.251.255	FR
193.188.252.0	193.188.252.255	JO
193.188.253.0	193.188.253.255	PL
193.188.254.0	193.188.254.255	UA
193.188.255.0	193.188.255.255	FR
193.189.0.0	193.189.65.255	NG
193.189.66.0	193.189.67.255	IE
193.189.68.0	193.189.69.255	RU
193.189.70.0	193.189.71.255	RO
193.189.72.0	193.189.73.255	PL
193.189.74.0	193.189.75.255	GB
193.189.76.0	193.189.77.255	PL
193.189.78.0	193.189.79.255	DE
193.189.80.0	193.189.81.255	GB
193.189.82.0	193.189.83.255	DE
193.189.84.0	193.189.85.255	AT
193.189.86.0	193.189.87.255	LT
193.189.88.0	193.189.89.255	RU
193.189.90.0	193.189.91.255	FR
193.189.92.0	193.189.93.255	DK
193.189.94.0	193.189.95.255	DE
193.189.96.0	193.189.97.255	UA
193.189.98.0	193.189.99.255	RO
193.189.100.0	193.189.101.255	DE
193.189.102.0	193.189.103.255	NL
193.189.104.0	193.189.105.255	FR
193.189.106.0	193.189.111.255	DE
193.189.112.0	193.189.113.255	IT
193.189.114.0	193.189.115.255	DE
193.189.116.0	193.189.117.255	PL
193.189.118.0	193.189.119.255	NO
193.189.120.0	193.189.121.255	RU
193.189.122.0	193.189.123.255	IR
193.189.124.0	193.189.125.255	FR
193.189.126.0	193.189.127.255	UA
193.189.128.0	193.189.128.255	NG
193.189.129.0	193.189.133.255	GB
193.189.134.0	193.189.134.255	NL
193.189.135.0	193.189.135.255	BE
193.189.136.0	193.189.136.255	AT
193.189.137.0	193.189.137.255	DE
193.189.138.0	193.189.139.255	NL
193.189.140.0	193.189.141.255	GB
193.189.142.0	193.189.142.255	TR
193.189.143.0	193.189.143.255	FR
193.189.144.0	193.189.144.255	LT
193.189.145.0	193.189.145.255	NO
193.189.146.0	193.189.146.255	AT
193.189.147.0	193.189.147.255	BE
193.189.148.0	193.189.148.255	JO
193.189.149.0	193.189.149.255	NL
193.189.150.0	193.189.159.255	DE
193.189.160.0	193.189.191.255	SI
193.189.192.0	193.189.192.63	FR
193.189.192.64	193.189.192.255	CH
193.189.193.0	193.189.193.31	FR
193.189.193.32	193.189.212.255	CH
193.189.213.0	193.189.213.7	DE
193.189.213.8	193.189.213.23	CH
193.189.213.24	193.189.213.31	DE
193.189.213.32	193.189.223.255	CH
193.189.224.0	193.189.244.127	DE
193.189.244.128	193.189.244.143	AT
193.189.244.144	193.189.255.255	DE
193.190.0.0	193.191.255.255	BE
193.192.0.0	193.192.0.255	NL
193.192.1.0	193.192.11.255	PT
193.192.12.0	193.192.12.127	IE
193.192.12.128	193.192.12.255	AT
193.192.13.0	193.192.13.255	GB
193.192.14.0	193.192.14.255	DE
193.192.15.0	193.192.15.31	IE
193.192.15.32	193.192.15.63	NL
193.192.15.64	193.192.15.127	HR
193.192.15.128	193.192.15.191	UA
193.192.15.192	193.192.15.255	NO
193.192.16.0	193.192.31.255	CH
193.192.32.0	193.192.35.255	GB
193.192.36.0	193.192.37.255	UA
193.192.38.0	193.192.39.255	GR
193.192.40.0	193.192.41.255	DE
193.192.42.0	193.192.47.255	RO
193.192.48.0	193.192.49.255	BG
193.192.50.0	193.192.51.255	GB
193.192.52.0	193.192.53.255	RO
193.192.54.0	193.192.55.255	SE
193.192.56.0	193.192.57.255	BG
193.192.58.0	193.192.61.255	DE
193.192.62.0	193.192.63.255	PL
193.192.64.0	193.192.95.255	GB
193.192.96.0	193.192.127.255	TR
193.192.128.0	193.192.159.255	RU
193.192.160.0	193.192.191.255	PL
193.192.192.0	193.192.223.255	GB
193.192.224.0	193.192.255.255	CH
193.193.0.0	193.193.31.255	IT
193.193.32.0	193.193.63.255	EU
193.193.64.0	193.193.95.255	PL
193.193.96.0	193.193.127.255	GB
193.193.128.0	193.193.159.255	CH
193.193.160.0	193.193.160.255	NO
193.193.161.0	193.193.161.255	NL
193.193.162.0	193.193.164.255	BG
193.193.165.0	193.193.168.255	IE
193.193.169.0	193.193.169.255	GB
193.193.170.0	193.193.170.255	SK
193.193.171.0	193.193.171.255	NL
193.193.172.0	193.193.173.255	IT
193.193.174.0	193.193.180.255	DE
193.193.181.0	193.193.181.255	PL
193.193.182.0	193.193.182.255	BG
193.193.183.0	193.193.183.255	IT
193.193.184.0	193.193.185.255	GR
193.193.186.0	193.193.189.255	GB
193.193.190.0	193.193.191.255	DE
193.193.192.0	193.193.223.255	UA
193.193.224.0	193.193.255.255	KZ
193.194.0.0	193.194.0.255	RO
193.194.1.0	193.194.5.255	MA
193.194.6.0	193.194.15.255	DE
193.194.16.0	193.194.20.255	IT
193.194.21.0	193.194.21.255	RO
193.194.22.0	193.194.31.255	GB
193.194.32.0	193.194.63.255	MA
193.194.64.0	193.194.95.255	DZ
193.194.96.0	193.194.127.255	EU
193.194.128.0	193.194.128.255	GH
193.194.129.0	193.194.129.255	IT
193.194.130.0	193.194.131.255	RO
193.194.132.0	193.194.135.255	FR
193.194.136.0	193.194.137.255	DE
193.194.138.0	193.194.139.255	CH
193.194.140.0	193.194.141.255	BG
193.194.142.0	193.194.145.255	DE
193.194.146.0	193.194.146.255	AT
193.194.147.0	193.194.147.175	GB
193.194.147.176	193.194.147.191	IE
193.194.147.192	193.194.147.255	GB
193.194.148.0	193.194.149.255	DE
193.194.150.0	193.194.151.255	GB
193.194.152.0	193.194.152.255	FR
193.194.153.0	193.194.154.255	RU
193.194.155.0	193.194.155.255	PT
193.194.156.0	193.194.156.255	BG
193.194.157.0	193.194.157.255	DE
193.194.158.0	193.194.158.255	BE
193.194.159.0	193.194.159.255	HU
193.194.160.0	193.194.191.255	GH
193.194.192.0	193.194.255.255	SE
193.195.0.0	193.195.255.255	GB
193.196.0.0	193.197.255.255	DE
193.198.0.0	193.198.40.255	HR
193.198.41.0	193.198.41.31	BA
193.198.41.32	193.198.255.255	HR
193.199.0.0	193.199.255.255	FI
193.200.0.0	193.200.0.255	SI
193.200.1.0	193.200.2.255	BG
193.200.3.0	193.200.3.255	IT
193.200.4.0	193.200.4.255	FR
193.200.5.0	193.200.5.255	CH
193.200.6.0	193.200.6.255	AT
193.200.7.0	193.200.7.255	ES
193.200.8.0	193.200.8.255	BG
193.200.9.0	193.200.9.255	SK
193.200.10.0	193.200.10.255	RU
193.200.11.0	193.200.11.255	SE
193.200.12.0	193.200.12.255	BG
193.200.13.0	193.200.13.255	VG
193.200.14.0	193.200.17.255	BG
193.200.18.0	193.200.18.255	RU
193.200.19.0	193.200.19.255	RO
193.200.20.0	193.200.20.255	PL
193.200.21.0	193.200.21.255	RU
193.200.22.0	193.200.22.255	UA
193.200.23.0	193.200.23.255	BE
193.200.24.0	193.200.24.255	BG
193.200.25.0	193.200.25.255	GB
193.200.26.0	193.200.26.255	DK
193.200.27.0	193.200.27.255	GB
193.200.28.0	193.200.28.255	BG
193.200.29.0	193.200.29.255	FR
193.200.30.0	193.200.30.255	IL
193.200.31.0	193.200.31.255	SE
193.200.32.0	193.200.33.255	UA
193.200.34.0	193.200.35.255	RU
193.200.36.0	193.200.39.255	UA
193.200.40.0	193.200.41.255	KW
193.200.42.0	193.200.43.255	FR
193.200.44.0	193.200.45.255	DK
193.200.46.0	193.200.47.255	PL
193.200.48.0	193.200.49.255	CH
193.200.50.0	193.200.51.255	PL
193.200.52.0	193.200.53.255	FR
193.200.54.0	193.200.55.255	RO
193.200.56.0	193.200.57.255	NL
193.200.58.0	193.200.59.255	FR
193.200.60.0	193.200.61.255	BE
193.200.62.0	193.200.63.255	RU
193.200.64.0	193.200.65.255	UA
193.200.66.0	193.200.67.255	PL
193.200.68.0	193.200.69.255	UA
193.200.70.0	193.200.71.255	NL
193.200.72.0	193.200.73.255	DE
193.200.74.0	193.200.75.255	SE
193.200.76.0	193.200.77.255	UA
193.200.78.0	193.200.79.255	CH
193.200.80.0	193.200.81.255	GB
193.200.82.0	193.200.83.255	PL
193.200.84.0	193.200.85.255	UA
193.200.86.0	193.200.87.255	SE
193.200.88.0	193.200.89.255	RU
193.200.90.0	193.200.91.255	DK
193.200.92.0	193.200.93.255	NO
193.200.94.0	193.200.95.255	RU
193.200.96.0	193.200.97.255	DE
193.200.98.0	193.200.101.255	GB
193.200.102.0	193.200.103.255	RO
193.200.104.0	193.200.105.255	DK
193.200.106.0	193.200.107.255	DE
193.200.108.0	193.200.109.255	PL
193.200.110.0	193.200.111.255	FR
193.200.112.0	193.200.113.255	AT
193.200.114.0	193.200.115.255	GB
193.200.116.0	193.200.117.255	FR
193.200.118.0	193.200.123.255	PL
193.200.124.0	193.200.125.255	LT
193.200.126.0	193.200.127.255	RO
193.200.128.0	193.200.128.255	DE
193.200.129.0	193.200.129.255	RU
193.200.130.0	193.200.130.255	AM
193.200.131.0	193.200.131.255	LV
193.200.132.0	193.200.132.255	NL
193.200.133.0	193.200.133.255	PL
193.200.134.0	193.200.134.255	TR
193.200.135.0	193.200.135.255	BE
193.200.136.0	193.200.136.255	HU
193.200.137.0	193.200.138.255	DE
193.200.139.0	193.200.139.255	FR
193.200.140.0	193.200.140.255	NL
193.200.141.0	193.200.141.255	RO
193.200.142.0	193.200.142.255	AT
193.200.143.0	193.200.143.255	SK
193.200.144.0	193.200.144.255	CH
193.200.145.0	193.200.145.255	GB
193.200.146.0	193.200.146.255	PL
193.200.147.0	193.200.147.255	NL
193.200.148.0	193.200.148.255	SE
193.200.149.0	193.200.149.255	RU
193.200.150.0	193.200.150.255	EU
193.200.151.0	193.200.151.255	UA
193.200.152.0	193.200.152.255	HU
193.200.153.0	193.200.153.255	NL
193.200.154.0	193.200.154.255	DE
193.200.155.0	193.200.155.255	IE
193.200.156.0	193.200.156.255	DE
193.200.157.0	193.200.157.255	CH
193.200.158.0	193.200.158.255	GB
193.200.159.0	193.200.159.255	CH
193.200.160.0	193.200.160.255	DE
193.200.161.0	193.200.161.255	UA
193.200.162.0	193.200.162.255	DE
193.200.163.0	193.200.163.255	PL
193.200.164.0	193.200.164.255	NL
193.200.165.0	193.200.166.255	RO
193.200.167.0	193.200.167.255	UA
193.200.168.0	193.200.168.255	RU
193.200.169.0	193.200.169.255	UA
193.200.170.0	193.200.170.255	TR
193.200.171.0	193.200.171.255	FR
193.200.172.0	193.200.172.255	DE
193.200.173.0	193.200.173.255	UA
193.200.174.0	193.200.174.255	NL
193.200.175.0	193.200.175.255	UA
193.200.176.0	193.200.177.255	GB
193.200.178.0	193.200.178.255	NL
193.200.179.0	193.200.179.255	UA
193.200.180.0	193.200.180.255	TR
193.200.181.0	193.200.182.255	FR
193.200.183.0	193.200.183.255	UA
193.200.184.0	193.200.184.255	FR
193.200.185.0	193.200.185.255	BE
193.200.186.0	193.200.187.255	PL
193.200.188.0	193.200.188.255	TR
193.200.189.0	193.200.189.255	RU
193.200.190.0	193.200.190.255	UA
193.200.191.0	193.200.192.255	GB
193.200.193.0	193.200.193.255	DE
193.200.194.0	193.200.194.255	ES
193.200.195.0	193.200.195.255	DE
193.200.196.0	193.200.196.255	JO
193.200.197.0	193.200.197.255	PL
193.200.198.0	193.200.198.255	NL
193.200.199.0	193.200.199.255	RU
193.200.200.0	193.200.200.255	RO
193.200.201.0	193.200.201.255	LV
193.200.202.0	193.200.202.255	SE
193.200.203.0	193.200.203.255	HR
193.200.204.0	193.200.204.255	DK
193.200.205.0	193.200.205.255	UA
193.200.206.0	193.200.206.255	DE
193.200.207.0	193.200.207.255	SI
193.200.208.0	193.200.208.255	SE
193.200.209.0	193.200.209.255	UA
193.200.210.0	193.200.210.255	DE
193.200.211.0	193.200.211.255	RU
193.200.212.0	193.200.212.255	UA
193.200.213.0	193.200.213.255	IT
193.200.214.0	193.200.214.255	NL
193.200.215.0	193.200.216.255	PL
193.200.217.0	193.200.217.255	CH
193.200.218.0	193.200.218.255	DE
193.200.219.0	193.200.219.255	UA
193.200.220.0	193.200.220.255	CH
193.200.221.0	193.200.221.255	RU
193.200.222.0	193.200.222.255	FR
193.200.223.0	193.200.223.255	CH
193.200.224.0	193.200.224.255	LV
193.200.225.0	193.200.225.255	DK
193.200.226.0	193.200.227.255	PL
193.200.228.0	193.200.228.255	AT
193.200.229.0	193.200.229.255	UA
193.200.230.0	193.200.230.255	DE
193.200.231.0	193.200.231.255	FR
193.200.232.0	193.200.234.255	PL
193.200.235.0	193.200.235.255	NO
193.200.236.0	193.200.236.255	CH
193.200.237.0	193.200.237.255	DE
193.200.238.0	193.200.238.255	RU
193.200.239.0	193.200.239.255	UA
193.200.240.0	193.200.241.255	DE
193.200.242.0	193.200.242.255	RO
193.200.243.0	193.200.243.255	ES
193.200.244.0	193.200.244.255	RO
193.200.245.0	193.200.245.255	GB
193.200.246.0	193.200.246.255	UA
193.200.247.0	193.200.247.255	SA
193.200.248.0	193.200.248.255	UA
193.200.249.0	193.200.249.255	DE
193.200.250.0	193.200.250.255	DK
193.200.251.0	193.200.251.255	RU
193.200.252.0	193.200.252.255	RO
193.200.253.0	193.200.253.255	DE
193.200.254.0	193.200.254.255	AT
193.200.255.0	193.200.255.255	UA
193.201.0.0	193.201.4.255	FR
193.201.5.0	193.201.5.255	IT
193.201.6.0	193.201.7.255	FR
193.201.8.0	193.201.15.255	DE
193.201.16.0	193.201.17.255	SE
193.201.18.0	193.201.19.255	PL
193.201.20.0	193.201.21.255	RO
193.201.22.0	193.201.23.255	GR
193.201.24.0	193.201.25.255	DE
193.201.26.0	193.201.27.255	FR
193.201.28.0	193.201.29.255	IT
193.201.30.0	193.201.31.255	RU
193.201.32.0	193.201.32.255	NO
193.201.33.0	193.201.33.255	CH
193.201.34.0	193.201.34.255	PL
193.201.35.0	193.201.35.255	DK
193.201.36.0	193.201.36.255	PL
193.201.37.0	193.201.38.255	DE
193.201.39.0	193.201.39.255	DK
193.201.40.0	193.201.40.255	IT
193.201.41.0	193.201.41.255	AT
193.201.42.0	193.201.42.255	GB
193.201.43.0	193.201.43.255	SE
193.201.44.0	193.201.44.255	RO
193.201.45.0	193.201.45.255	SI
193.201.46.0	193.201.46.255	GR
193.201.47.0	193.201.47.255	GB
193.201.48.0	193.201.51.255	NL
193.201.52.0	193.201.55.255	DE
193.201.56.0	193.201.59.255	IT
193.201.60.0	193.201.63.255	UA
193.201.64.0	193.201.65.255	GB
193.201.66.0	193.201.67.255	LV
193.201.68.0	193.201.69.255	BE
193.201.70.0	193.201.71.255	GB
193.201.72.0	193.201.73.255	DE
193.201.74.0	193.201.75.255	NO
193.201.76.0	193.201.77.255	FR
193.201.78.0	193.201.79.255	CZ
193.201.80.0	193.201.83.255	UA
193.201.84.0	193.201.87.255	CH
193.201.88.0	193.201.91.255	RU
193.201.92.0	193.201.95.255	DE
193.201.96.0	193.201.97.255	SE
193.201.98.0	193.201.100.255	UA
193.201.101.0	193.201.101.255	SI
193.201.102.0	193.201.102.255	AT
193.201.103.0	193.201.103.255	FR
193.201.104.0	193.201.104.255	NL
193.201.105.0	193.201.105.255	PL
193.201.106.0	193.201.106.255	AT
193.201.107.0	193.201.108.255	ES
193.201.109.0	193.201.109.255	SI
193.201.110.0	193.201.110.255	CZ
193.201.111.0	193.201.111.255	SE
193.201.112.0	193.201.113.255	DE
193.201.114.0	193.201.115.255	BG
193.201.116.0	193.201.117.255	UA
193.201.118.0	193.201.119.255	RU
193.201.120.0	193.201.121.255	GB
193.201.122.0	193.201.123.255	CH
193.201.124.0	193.201.125.255	GB
193.201.126.0	193.201.127.255	RU
193.201.128.0	193.201.131.255	CY
193.201.132.0	193.201.135.255	GB
193.201.136.0	193.201.139.255	PL
193.201.140.0	193.201.143.255	UA
193.201.144.128	193.201.145.127	FI
193.201.145.128	193.201.145.255	SE
193.201.146.0	193.201.146.127	FR
193.201.146.128	193.201.146.255	RO
193.201.147.0	193.201.147.63	SE
193.201.147.64	193.201.147.95	NL
193.201.147.96	193.201.147.127	FR
193.201.147.128	193.201.147.159	UA
193.201.147.160	193.201.147.191	CH
193.201.147.192	193.201.147.255	GB
193.201.148.0	193.201.148.127	DE
193.201.148.128	193.201.148.191	GB
193.201.148.192	193.201.148.255	NL
193.201.149.0	193.201.149.63	FR
193.201.149.64	193.201.149.127	PL
193.201.149.128	193.201.149.191	LV
193.201.149.192	193.201.149.255	TR
193.201.150.0	193.201.150.63	GB
193.201.150.64	193.201.150.191	FI
193.201.150.192	193.201.150.255	UA
193.201.151.0	193.201.151.63	FR
193.201.151.64	193.201.151.127	AF
193.201.151.128	193.201.151.191	RU
193.201.151.192	193.201.151.255	DE
193.201.152.0	193.201.152.127	RU
193.201.152.128	193.201.152.255	UA
193.201.153.0	193.201.154.127	GB
193.201.154.128	193.201.154.255	RO
193.201.155.0	193.201.155.127	SI
193.201.155.128	193.201.155.255	IL
193.201.156.0	193.201.156.127	UA
193.201.156.128	193.201.156.255	SE
193.201.157.0	193.201.157.127	TR
193.201.157.128	193.201.157.255	GB
193.201.158.0	193.201.158.127	CH
193.201.158.128	193.201.158.255	LI
193.201.159.0	193.201.159.127	FI
193.201.159.128	193.201.159.255	RU
193.201.160.0	193.201.160.255	GB
193.201.161.0	193.201.161.255	RO
193.201.162.0	193.201.162.255	BE
193.201.163.0	193.201.163.255	GB
193.201.164.0	193.201.164.255	PL
193.201.165.0	193.201.165.255	SI
193.201.166.0	193.201.166.255	GR
193.201.167.0	193.201.167.255	PL
193.201.168.0	193.201.170.255	DE
193.201.171.0	193.201.171.255	IT
193.201.172.0	193.201.172.255	BG
193.201.173.0	193.201.174.255	AT
193.201.175.0	193.201.175.255	UA
193.201.176.0	193.201.183.255	DE
193.201.184.0	193.201.191.255	GB
193.201.192.0	193.201.193.255	UA
193.201.194.0	193.201.195.255	FR
193.201.196.0	193.201.197.255	GB
193.201.198.0	193.201.199.255	UA
193.201.200.0	193.201.201.255	GB
193.201.202.0	193.201.203.255	DE
193.201.204.0	193.201.205.255	GB
193.201.206.0	193.201.211.255	UA
193.201.212.0	193.201.215.255	SI
193.201.216.0	193.201.219.255	UA
193.201.220.0	193.201.223.255	NO
193.201.224.0	193.201.227.255	UA
193.201.228.0	193.201.231.255	RU
193.201.232.0	193.201.235.255	RO
193.201.236.0	193.201.239.255	DE
193.201.240.0	193.201.243.255	BG
193.201.244.0	193.201.247.255	DK
193.201.248.0	193.201.251.255	FR
193.201.252.0	193.201.255.255	US
193.202.0.0	193.202.0.255	DE
193.202.1.0	193.202.7.255	GB
193.202.8.0	193.202.15.255	BE
193.202.16.0	193.202.16.255	DE
193.202.17.0	193.202.17.255	BE
193.202.18.0	193.202.18.255	TR
193.202.19.0	193.202.19.255	UA
193.202.20.0	193.202.20.255	DE
193.202.21.0	193.202.21.255	UA
193.202.22.0	193.202.22.255	RO
193.202.23.0	193.202.23.255	NL
193.202.24.0	193.202.24.255	FR
193.202.25.0	193.202.26.255	DE
193.202.27.0	193.202.27.255	GB
193.202.28.0	193.202.28.255	DE
193.202.29.0	193.202.29.255	SE
193.202.30.0	193.202.30.255	DE
193.202.31.0	193.202.31.255	GB
193.202.32.0	193.202.39.255	NL
193.202.40.0	193.202.40.255	PT
193.202.41.0	193.202.41.255	GB
193.202.42.0	193.202.42.255	CH
193.202.43.0	193.202.43.255	BG
193.202.44.0	193.202.44.255	AT
193.202.45.0	193.202.45.255	NL
193.202.46.0	193.202.61.255	CH
193.202.62.0	193.202.63.255	GB
193.202.64.0	193.202.73.255	BE
193.202.74.0	193.202.76.255	FR
193.202.77.0	193.202.77.255	BE
193.202.78.0	193.202.79.255	FR
193.202.80.0	193.202.90.255	CH
193.202.91.0	193.202.91.255	BG
193.202.92.0	193.202.92.255	IT
193.202.93.0	193.202.93.255	GB
193.202.94.0	193.202.94.255	ES
193.202.95.0	193.202.95.255	DE
193.202.96.0	193.202.104.255	NL
193.202.105.0	193.202.106.255	GB
193.202.107.0	193.202.107.255	NL
193.202.109.0	193.202.109.255	NL
193.202.110.0	193.202.110.255	DK
193.202.111.0	193.202.111.255	FR
193.202.112.0	193.202.112.255	NL
193.202.113.0	193.202.113.255	GB
193.202.114.0	193.202.114.255	PL
193.202.115.0	193.202.115.255	NO
193.202.116.0	193.202.116.255	DE
193.202.117.0	193.202.117.255	PL
193.202.118.0	193.202.118.255	UA
193.202.119.0	193.202.119.255	DE
193.202.120.0	193.202.120.255	TR
193.202.121.0	193.202.121.255	FR
193.202.122.0	193.202.122.255	NL
193.202.123.0	193.202.123.255	AT
193.202.124.0	193.202.124.255	DE
193.202.125.0	193.202.126.255	FR
193.202.127.0	193.202.191.255	DE
193.202.192.0	193.202.239.255	GB
193.202.240.0	193.202.254.255	LI
193.202.255.0	193.202.255.255	CH
193.203.0.0	193.203.0.255	AT
193.203.1.0	193.203.1.255	MK
193.203.2.0	193.203.3.255	RS
193.203.4.0	193.203.4.255	MK
193.203.5.0	193.203.5.255	GB
193.203.6.0	193.203.7.255	RS
193.203.8.0	193.203.15.255	EU
193.203.16.0	193.203.17.255	SI
193.203.18.0	193.203.19.255	RS
193.203.20.0	193.203.21.255	EU
193.203.22.0	193.203.22.255	RS
193.203.23.0	193.203.23.255	CH
193.203.24.0	193.203.25.255	RS
193.203.26.0	193.203.27.255	EU
193.203.28.0	193.203.29.255	RS
193.203.30.0	193.203.31.255	CH
193.203.32.0	193.203.35.255	FR
193.203.36.0	193.203.43.255	RU
193.203.44.0	193.203.47.255	PL
193.203.48.0	193.203.51.255	UA
193.203.52.0	193.203.55.255	HU
193.203.56.0	193.203.59.255	PL
193.203.60.0	193.203.63.255	RU
193.203.64.0	193.203.90.191	GB
193.203.90.192	193.203.90.255	FR
193.203.91.0	193.203.95.255	GB
193.203.96.0	193.203.97.255	FR
193.203.98.0	193.203.99.255	PL
193.203.100.0	193.203.103.255	RU
193.203.104.0	193.203.105.255	CH
193.203.106.0	193.203.107.255	PT
193.203.108.0	193.203.109.255	FR
193.203.110.0	193.203.111.255	UA
193.203.112.0	193.203.113.255	RU
193.203.114.0	193.203.115.255	RO
193.203.116.0	193.203.117.255	GB
193.203.118.0	193.203.119.255	ES
193.203.120.0	193.203.121.255	CH
193.203.122.0	193.203.123.255	DE
193.203.124.0	193.203.127.255	RU
193.203.128.0	193.203.159.255	IE
193.203.160.0	193.203.191.255	DE
193.203.192.0	193.203.193.255	GB
193.203.194.0	193.203.195.255	AT
193.203.196.0	193.203.197.255	EE
193.203.200.0	193.203.201.255	ES
193.203.202.0	193.203.203.255	RU
193.203.204.0	193.203.205.255	RO
193.203.206.0	193.203.209.255	PL
193.203.210.0	193.203.211.255	GB
193.203.212.0	193.203.213.255	FR
193.203.214.0	193.203.215.255	RO
193.203.216.0	193.203.217.255	AT
193.203.218.0	193.203.219.255	UA
193.203.220.0	193.203.221.255	NL
193.203.222.0	193.203.223.255	PL
193.203.224.0	193.203.224.255	MK
193.203.225.0	193.203.226.255	NL
193.203.227.0	193.203.227.255	RO
193.203.228.0	193.203.235.255	IT
193.203.236.0	193.203.237.255	UA
193.203.238.0	193.203.239.255	DE
193.203.240.0	193.203.255.255	GB
193.204.0.0	193.207.139.223	IT
193.207.139.224	193.207.139.231	CH
193.207.139.232	193.207.255.255	IT
193.208.0.0	193.208.105.255	FI
193.208.106.0	193.208.106.255	NO
193.208.107.0	193.208.149.255	FI
193.208.150.0	193.208.150.255	NL
193.208.151.0	193.208.158.255	FI
193.208.159.0	193.208.159.255	BE
193.208.160.0	193.209.21.255	FI
193.209.22.0	193.209.22.255	DK
193.209.23.0	193.209.29.255	FI
193.209.30.0	193.209.30.255	SE
193.209.31.0	193.209.40.255	FI
193.209.41.0	193.209.41.7	NL
193.209.41.8	193.209.41.15	FI
193.209.41.16	193.209.41.31	NL
193.209.41.32	193.209.134.255	FI
193.209.135.0	193.209.135.255	CH
193.209.136.0	193.209.136.255	NL
193.209.137.0	193.209.255.255	FI
193.210.0.0	193.210.0.255	NL
193.210.1.0	193.210.34.255	FI
193.210.35.0	193.210.35.255	DE
193.210.36.0	193.210.70.255	FI
193.210.71.0	193.210.71.255	GB
193.210.72.0	193.210.117.255	FI
193.210.118.0	193.210.118.255	GB
193.210.119.0	193.210.146.255	FI
193.210.147.0	193.210.147.255	BE
193.210.148.0	193.210.159.255	FI
193.210.160.0	193.210.194.255	BE
193.210.195.0	193.210.196.255	LU
193.210.197.0	193.210.207.255	BE
193.210.208.0	193.211.76.255	FI
193.211.77.0	193.211.77.255	FR
193.211.78.0	193.211.78.255	CH
193.211.79.0	193.211.255.255	FI
193.212.0.0	193.212.123.183	NO
193.212.123.184	193.212.123.191	NL
193.212.123.192	193.213.210.71	NO
193.213.210.72	193.213.210.79	SE
193.213.210.80	193.217.255.255	NO
193.218.0.0	193.218.6.255	GR
193.218.7.0	193.218.7.255	SK
193.218.8.0	193.218.15.255	FR
193.218.16.0	193.218.32.255	DE
193.218.33.0	193.218.93.255	GR
193.218.94.0	193.218.94.255	SI
193.218.95.0	193.218.95.255	DE
193.218.96.0	193.218.97.255	GR
193.218.98.0	193.218.98.255	HU
193.218.99.0	193.218.99.255	GB
193.218.100.0	193.218.104.255	CH
193.218.105.0	193.218.105.255	FR
193.218.106.0	193.218.112.255	GR
193.218.113.0	193.218.113.255	TR
193.218.114.0	193.218.114.255	GP
193.218.115.0	193.218.115.255	PL
193.218.116.0	193.218.117.255	AT
193.218.118.0	193.218.125.255	GR
193.218.126.0	193.218.127.255	DE
193.218.128.0	193.218.131.255	NO
193.218.132.0	193.218.135.255	PL
193.218.136.0	193.218.143.255	RU
193.218.144.0	193.218.147.255	UA
193.218.148.0	193.218.155.255	PL
193.218.156.0	193.218.159.255	UA
193.218.160.0	193.218.175.255	GB
193.218.176.0	193.218.183.255	RU
193.218.184.0	193.218.187.255	UA
193.218.188.0	193.218.191.255	RU
193.218.192.0	193.218.199.255	BE
193.218.200.0	193.218.200.255	TR
193.218.201.0	193.218.204.255	GR
193.218.205.0	193.218.205.63	GB
193.218.205.64	193.218.205.127	IR
193.218.205.128	193.218.205.191	LU
193.218.205.192	193.218.205.223	GB
193.218.205.224	193.218.205.255	CH
193.218.207.0	193.218.207.15	NO
193.218.208.0	193.218.221.255	DE
193.218.222.0	193.218.222.255	GB
193.218.223.0	193.218.255.255	GR
193.219.0.0	193.219.0.255	GB
193.219.1.0	193.219.14.255	LT
193.219.15.0	193.219.15.15	GB
193.219.15.16	193.219.15.255	DE
193.219.16.0	193.219.27.255	DK
193.219.28.0	193.219.28.255	PL
193.219.29.0	193.219.29.255	IT
193.219.30.0	193.219.31.255	DK
193.219.32.0	193.219.95.255	LT
193.219.96.0	193.219.96.255	ES
193.219.97.0	193.219.97.255	GB
193.219.98.0	193.219.98.255	BE
193.219.99.0	193.219.99.255	UA
193.219.100.0	193.219.100.255	SI
193.219.101.0	193.219.101.255	RU
193.219.102.0	193.219.102.255	IT
193.219.103.0	193.219.103.255	ES
193.219.104.0	193.219.104.255	RU
193.219.105.0	193.219.105.255	DE
193.219.106.0	193.219.106.255	SI
193.219.107.0	193.219.107.255	PL
193.219.108.0	193.219.108.255	GB
193.219.109.0	193.219.109.255	IT
193.219.110.0	193.219.111.255	GB
193.219.112.0	193.219.112.255	SE
193.219.113.0	193.219.114.255	PL
193.219.115.0	193.219.115.255	GB
193.219.116.0	193.219.116.255	NL
193.219.117.0	193.219.117.255	RO
193.219.118.0	193.219.118.255	GB
193.219.119.0	193.219.119.255	RO
193.219.120.0	193.219.120.255	GB
193.219.121.0	193.219.121.255	SI
193.219.122.0	193.219.122.255	GB
193.219.123.0	193.219.123.255	BE
193.219.124.0	193.219.124.255	UA
193.219.125.0	193.219.125.255	RU
193.219.126.0	193.219.126.255	PL
193.219.127.0	193.219.127.255	RU
193.219.128.0	193.219.191.255	LT
193.219.192.0	193.219.200.255	NO
193.219.201.0	193.219.203.255	LT
193.219.204.0	193.219.205.31	NO
193.219.205.32	193.219.205.47	NG
193.219.205.48	193.219.205.63	BJ
193.219.205.64	193.219.205.159	NO
193.219.205.160	193.219.205.191	NG
193.219.205.192	193.219.205.199	NO
193.219.205.200	193.219.205.207	AO
193.219.205.208	193.219.205.215	NE
193.219.205.216	193.219.205.223	CD
193.219.205.224	193.219.205.239	GH
193.219.205.240	193.219.205.255	NO
193.219.206.0	193.219.206.191	GN
193.219.206.192	193.219.207.95	NO
193.219.207.96	193.219.207.127	GQ
193.219.207.128	193.219.207.255	NO
193.219.208.0	193.219.208.15	TR
193.219.208.16	193.219.208.23	GN
193.219.208.24	193.219.208.31	LT
193.219.208.32	193.219.208.47	GN
193.219.208.48	193.219.208.55	NG
193.219.208.56	193.219.208.63	LT
193.219.208.64	193.219.208.71	BI
193.219.208.72	193.219.208.95	LT
193.219.208.96	193.219.208.159	NO
193.219.208.160	193.219.208.175	FI
193.219.208.176	193.219.208.191	LT
193.219.208.192	193.219.208.199	AF
193.219.208.200	193.219.208.223	LT
193.219.208.224	193.219.208.231	AF
193.219.208.232	193.219.209.63	LT
193.219.209.64	193.219.209.95	CF
193.219.209.96	193.219.209.127	SO
193.219.209.128	193.219.209.159	NG
193.219.209.160	193.219.209.191	LT
193.219.209.192	193.219.209.207	NG
193.219.209.208	193.219.209.223	LT
193.219.209.224	193.219.209.255	SO
193.219.210.0	193.219.210.7	NG
193.219.210.8	193.219.210.15	KE
193.219.210.16	193.219.210.23	LR
193.219.210.24	193.219.210.31	CM
193.219.210.32	193.219.210.39	LR
193.219.210.40	193.219.210.47	CI
193.219.210.48	193.219.211.15	LT
193.219.211.16	193.219.211.23	SD
193.219.211.24	193.219.211.31	LT
193.219.211.32	193.219.211.39	NG
193.219.211.40	193.219.211.79	LT
193.219.211.80	193.219.211.87	UG
193.219.211.88	193.219.211.95	LT
193.219.211.96	193.219.211.103	UG
193.219.211.104	193.219.211.111	ZW
193.219.211.112	193.219.211.119	TZ
193.219.211.120	193.219.211.175	LT
193.219.211.176	193.219.211.255	SO
193.219.212.0	193.219.212.31	TD
193.219.212.32	193.219.212.63	LT
193.219.212.64	193.219.212.127	BI
193.219.212.128	193.219.212.175	LT
193.219.212.176	193.219.212.183	NG
193.219.212.184	193.219.212.191	LT
193.219.212.192	193.219.212.199	BI
193.219.212.200	193.219.212.255	LT
193.219.213.0	193.219.213.15	MA
193.219.213.16	193.219.213.31	LT
193.219.213.32	193.219.213.47	AO
193.219.213.48	193.219.213.255	LT
193.219.214.0	193.219.214.255	BW
193.219.215.0	193.219.215.255	LT
193.219.216.0	193.219.216.23	BW
193.219.216.24	193.219.216.63	LT
193.219.216.64	193.219.216.95	BI
193.219.216.96	193.219.216.255	LT
193.219.217.0	193.219.217.127	ZW
193.219.217.128	193.219.218.255	LT
193.219.219.0	193.219.219.31	IQ
193.219.219.32	193.219.219.239	LT
193.219.219.240	193.219.219.255	CD
193.219.220.0	193.219.220.255	LT
193.219.221.0	193.219.221.31	BI
193.219.221.32	193.219.221.47	LT
193.219.221.48	193.219.221.63	UG
193.219.221.64	193.219.221.95	NG
193.219.221.96	193.219.221.127	LT
193.219.221.128	193.219.221.135	GH
193.219.221.136	193.219.221.143	LT
193.219.221.144	193.219.221.175	NG
193.219.221.176	193.219.221.191	LT
193.219.221.192	193.219.221.207	MR
193.219.221.208	193.219.221.231	LT
193.219.221.232	193.219.221.255	CD
193.219.222.0	193.219.231.255	LT
193.219.232.0	193.219.232.15	GH
193.219.232.16	193.219.232.31	ML
193.219.232.32	193.219.232.47	LT
193.219.232.48	193.219.232.63	MR
193.219.232.64	193.219.232.127	LT
193.219.232.128	193.219.232.135	GH
193.219.232.136	193.219.232.159	LT
193.219.232.160	193.219.232.175	TZ
193.219.232.176	193.219.232.183	GH
193.219.232.184	193.219.232.191	NE
193.219.232.192	193.219.232.255	ER
193.219.233.0	193.219.233.255	LT
193.219.234.0	193.219.234.31	IQ
193.219.234.32	193.219.234.39	LT
193.219.234.40	193.219.234.143	IQ
193.219.234.144	193.219.236.63	LT
193.219.236.64	193.219.236.79	NG
193.219.236.80	193.219.236.255	LT
193.219.237.0	193.219.237.31	GB
193.219.237.32	193.219.237.223	LT
193.219.237.224	193.219.237.255	CM
193.219.238.0	193.219.241.63	LT
193.219.241.64	193.219.241.159	GN
193.219.241.160	193.219.241.191	LT
193.219.241.192	193.219.241.255	GN
193.219.242.0	193.219.242.255	LT
193.219.243.0	193.219.243.7	IQ
193.219.243.8	193.219.243.79	AF
193.219.243.80	193.219.243.255	LT
193.219.244.0	193.219.245.63	NG
193.219.245.64	193.219.245.127	LT
193.219.245.128	193.219.245.143	MW
193.219.245.144	193.219.245.159	ZM
193.219.245.160	193.219.246.191	LT
193.219.246.192	193.219.246.255	JO
193.219.247.0	193.219.247.255	LT
193.219.248.0	193.219.248.63	JO
193.219.248.64	193.219.248.127	LT
193.219.248.128	193.219.248.159	JO
193.219.248.160	193.219.248.255	LT
193.219.249.0	193.219.249.31	KE
193.219.249.32	193.219.249.255	LT
193.219.250.0	193.219.250.15	ZM
193.219.250.16	193.219.250.31	LT
193.219.250.32	193.219.250.47	SL
193.219.250.48	193.219.250.63	LT
193.219.250.64	193.219.250.95	SL
193.219.250.96	193.219.250.127	CD
193.219.250.128	193.219.250.143	LT
193.219.250.144	193.219.250.175	GN
193.219.250.176	193.219.250.191	SN
193.219.250.192	193.219.250.207	TZ
193.219.250.208	193.219.250.223	LT
193.219.250.224	193.219.250.239	SN
193.219.250.240	193.219.250.255	ZM
193.219.251.0	193.219.251.15	GH
193.219.251.16	193.219.251.31	LT
193.219.251.32	193.219.251.95	GH
193.219.251.96	193.219.252.255	LT
193.219.253.0	193.219.253.71	IQ
193.219.253.72	193.219.253.79	LT
193.219.253.80	193.219.253.111	IQ
193.219.253.112	193.219.253.151	LT
193.219.253.152	193.219.253.167	IQ
193.219.253.168	193.219.253.191	LT
193.219.253.192	193.219.253.215	IQ
193.219.253.216	193.219.253.223	LT
193.219.253.224	193.219.253.231	IQ
193.219.253.232	193.219.254.15	LT
193.219.254.16	193.219.254.23	GB
193.219.254.24	193.219.254.47	IQ
193.219.254.48	193.219.254.95	LT
193.219.254.96	193.219.254.127	IQ
193.219.254.128	193.219.254.143	LT
193.219.254.144	193.219.254.151	IQ
193.219.254.152	193.219.254.167	LT
193.219.254.168	193.219.254.175	IQ
193.219.254.176	193.219.254.207	LT
193.219.254.208	193.219.254.215	IQ
193.219.254.216	193.219.254.231	LT
193.219.254.232	193.219.254.239	IQ
193.219.254.240	193.219.255.15	LT
193.219.255.16	193.219.255.63	IQ
193.219.255.64	193.219.255.79	GB
193.219.255.80	193.219.255.95	IQ
193.219.255.96	193.219.255.103	LT
193.219.255.104	193.219.255.111	IQ
193.219.255.112	193.219.255.119	AF
193.219.255.120	193.219.255.223	LT
193.219.255.224	193.219.255.239	IQ
193.219.255.240	193.220.1.255	LT
193.220.2.0	193.220.3.255	NO
193.220.4.0	193.220.15.255	LT
193.220.16.0	193.220.16.15	GN
193.220.16.16	193.220.16.31	LT
193.220.16.32	193.220.16.63	MA
193.220.16.64	193.220.16.95	LT
193.220.16.96	193.220.16.111	NE
193.220.16.112	193.220.16.255	LT
193.220.17.0	193.220.17.7	KE
193.220.17.8	193.220.17.63	LT
193.220.17.64	193.220.17.255	SO
193.220.18.0	193.220.18.127	TD
193.220.18.128	193.220.18.255	LT
193.220.19.0	193.220.19.71	AO
193.220.19.72	193.220.19.79	LT
193.220.19.80	193.220.19.103	AO
193.220.19.104	193.220.21.255	LT
193.220.22.0	193.220.23.255	BW
193.220.24.0	193.220.25.255	MZ
193.220.26.0	193.220.26.255	NG
193.220.27.0	193.220.27.255	LT
193.220.28.0	193.220.29.255	MW
193.220.30.0	193.220.30.63	NG
193.220.30.64	193.220.30.95	AO
193.220.30.96	193.220.30.127	LT
193.220.30.128	193.220.30.159	KE
193.220.30.160	193.220.36.255	LT
193.220.37.0	193.220.37.255	BJ
193.220.38.0	193.220.38.127	NE
193.220.38.128	193.220.38.175	LT
193.220.38.176	193.220.38.183	BF
193.220.38.184	193.220.38.191	LT
193.220.38.192	193.220.38.207	BF
193.220.38.208	193.220.38.223	BJ
193.220.38.224	193.220.38.255	BF
193.220.39.0	193.220.39.255	GN
193.220.40.0	193.220.41.255	MW
193.220.42.0	193.220.43.255	LT
193.220.44.0	193.220.44.255	SO
193.220.45.0	193.220.45.255	LR
193.220.46.0	193.220.46.15	MW
193.220.46.16	193.220.46.63	LT
193.220.46.64	193.220.46.79	MW
193.220.46.80	193.220.46.191	LT
193.220.46.192	193.220.46.207	MW
193.220.46.208	193.220.50.255	LT
193.220.51.0	193.220.51.255	SO
193.220.52.0	193.220.52.255	MZ
193.220.53.0	193.220.54.255	LT
193.220.55.0	193.220.55.15	GH
193.220.55.16	193.220.55.23	TZ
193.220.55.24	193.220.55.31	LT
193.220.55.32	193.220.55.47	GH
193.220.55.48	193.220.56.255	LT
193.220.57.0	193.220.57.47	TZ
193.220.57.48	193.220.57.95	LT
193.220.57.96	193.220.57.111	TZ
193.220.57.112	193.220.57.119	LT
193.220.57.120	193.220.57.127	MZ
193.220.57.128	193.220.57.143	CD
193.220.57.144	193.220.57.159	LT
193.220.57.160	193.220.57.175	CD
193.220.57.176	193.220.57.215	GN
193.220.57.216	193.220.57.223	CD
193.220.57.224	193.220.57.255	LT
193.220.58.0	193.220.58.255	TZ
193.220.59.0	193.220.59.143	GH
193.220.59.144	193.220.59.159	MR
193.220.59.160	193.220.59.175	GH
193.220.59.176	193.220.59.207	BW
193.220.59.208	193.220.59.223	BF
193.220.59.224	193.220.59.239	CF
193.220.59.240	193.220.59.255	LT
193.220.60.0	193.220.60.255	TZ
193.220.61.0	193.220.61.15	GN
193.220.61.16	193.220.61.31	LT
193.220.61.32	193.220.61.47	ML
193.220.61.48	193.220.61.63	BF
193.220.61.64	193.220.61.79	LT
193.220.61.80	193.220.61.95	ZM
193.220.61.96	193.220.61.111	LT
193.220.61.112	193.220.61.127	ZM
193.220.61.128	193.220.61.159	GN
193.220.61.160	193.220.61.175	SN
193.220.61.176	193.220.61.223	LT
193.220.61.224	193.220.61.255	ER
193.220.62.0	193.220.63.255	LT
193.220.64.0	193.220.65.255	NG
193.220.66.0	193.220.67.255	LT
193.220.68.0	193.220.68.255	TR
193.220.69.0	193.220.69.255	MD
193.220.70.0	193.220.70.255	CM
193.220.71.0	193.220.71.255	LT
193.220.72.0	193.220.72.15	BJ
193.220.72.16	193.220.72.31	LT
193.220.72.32	193.220.72.39	BJ
193.220.72.40	193.220.72.223	LT
193.220.72.224	193.220.72.231	SN
193.220.72.232	193.220.72.247	LT
193.220.72.248	193.220.72.255	SN
193.220.73.0	193.220.73.95	SO
193.220.73.96	193.220.74.255	LT
193.220.75.0	193.220.75.63	SO
193.220.75.64	193.220.75.255	LT
193.220.76.0	193.220.76.255	MW
193.220.77.0	193.220.92.127	LT
193.220.92.128	193.220.92.191	TZ
193.220.92.192	193.220.95.255	LT
193.220.96.0	193.220.96.79	GN
193.220.96.80	193.220.101.239	LT
193.220.101.240	193.220.101.255	NO
193.220.102.0	193.220.103.255	LT
193.220.104.0	193.220.107.255	NO
193.220.108.0	193.220.108.255	SE
193.220.109.0	193.220.109.255	NO
193.220.110.0	193.220.111.255	SE
193.220.112.0	193.220.112.255	CN
193.220.113.0	193.220.113.79	CH
193.220.113.80	193.220.113.87	DK
193.220.113.88	193.220.113.255	LT
193.220.114.0	193.220.114.255	CH
193.220.115.0	193.220.115.255	LT
193.220.116.0	193.220.117.255	NO
193.220.118.0	193.220.118.7	ET
193.220.118.8	193.220.118.31	LT
193.220.118.32	193.220.118.47	IQ
193.220.118.48	193.220.118.63	LT
193.220.118.64	193.220.118.95	NO
193.220.118.96	193.220.118.255	LT
193.220.119.0	193.220.119.255	CH
193.220.120.0	193.220.121.255	LT
193.220.122.0	193.220.122.15	NO
193.220.122.16	193.220.122.127	LT
193.220.122.128	193.220.122.159	NO
193.220.122.160	193.220.122.255	LT
193.220.123.0	193.220.123.31	NO
193.220.123.32	193.220.123.39	LT
193.220.123.40	193.220.123.47	NO
193.220.123.48	193.220.123.63	LT
193.220.123.64	193.220.123.79	NL
193.220.123.80	193.220.123.95	NO
193.220.123.96	193.220.123.119	NL
193.220.123.120	193.220.123.127	NO
193.220.123.128	193.220.123.131	NL
193.220.123.132	193.220.123.135	LT
193.220.123.136	193.220.123.143	NL
193.220.123.144	193.220.123.175	LT
193.220.123.176	193.220.123.255	NO
193.220.124.0	193.220.124.135	LT
193.220.124.136	193.220.124.143	MW
193.220.124.144	193.220.124.151	ZM
193.220.124.152	193.220.124.159	SD
193.220.124.160	193.220.124.255	LT
193.220.125.0	193.220.125.127	TD
193.220.125.128	193.220.125.255	LT
193.220.126.0	193.220.126.15	TZ
193.220.126.16	193.220.126.255	LT
193.220.127.0	193.220.127.31	NG
193.220.127.32	193.220.127.127	LT
193.220.127.128	193.220.127.151	NG
193.220.127.152	193.220.132.255	LT
193.220.133.0	193.220.133.255	IQ
193.220.134.0	193.220.134.255	GB
193.220.135.0	193.220.135.127	NG
193.220.135.128	193.220.136.255	LT
193.220.137.0	193.220.137.127	BI
193.220.137.128	193.220.137.255	LT
193.220.138.0	193.220.138.255	MW
193.220.139.0	193.220.141.255	LT
193.220.142.0	193.220.143.255	NG
193.220.144.0	193.220.156.255	LT
193.220.157.0	193.220.157.31	AF
193.220.157.32	193.220.157.47	KP
193.220.157.48	193.220.157.255	LT
193.220.158.0	193.220.159.255	NO
193.220.160.0	193.220.170.255	LT
193.220.171.0	193.220.175.255	NO
193.220.176.0	193.220.176.255	GH
193.220.177.0	193.220.177.31	LT
193.220.177.32	193.220.177.63	GH
193.220.177.64	193.220.177.127	LT
193.220.177.128	193.220.177.255	GH
193.220.178.0	193.220.205.255	LT
193.220.206.0	193.220.207.255	CD
193.220.208.0	193.220.211.255	SO
193.220.212.0	193.220.215.255	LT
193.220.216.0	193.220.217.255	NG
193.220.218.0	193.220.235.255	LT
193.220.236.0	193.220.237.255	MZ
193.220.238.0	193.220.243.255	LT
193.220.244.0	193.220.245.255	KW
193.220.246.0	193.220.247.255	LT
193.220.248.0	193.220.255.255	KW
193.221.0.0	193.221.15.255	BE
193.221.16.0	193.221.37.255	SE
193.221.38.0	193.221.38.255	HU
193.221.39.0	193.221.57.255	SE
193.221.58.0	193.221.58.255	DE
193.221.59.0	193.221.74.255	SE
193.221.75.0	193.221.76.255	US
193.221.77.0	193.221.81.255	SE
193.221.82.0	193.221.83.255	EU
193.221.84.0	193.221.92.255	GB
193.221.93.0	193.221.95.255	CH
193.221.96.0	193.221.111.255	FR
193.221.112.0	193.221.112.255	SI
193.221.113.0	193.221.113.255	GB
193.221.114.0	193.221.114.255	DE
193.221.115.0	193.221.115.255	SI
193.221.116.0	193.221.116.255	CH
193.221.117.0	193.221.117.255	FR
193.221.118.0	193.221.118.255	GB
193.221.119.0	193.221.119.255	SE
193.221.120.0	193.221.120.255	FR
193.221.121.0	193.221.121.255	EU
193.221.122.0	193.221.122.255	PL
193.221.123.0	193.221.123.255	BE
193.221.124.0	193.221.124.255	DK
193.221.125.0	193.221.125.255	NL
193.221.126.0	193.221.126.255	PL
193.221.127.0	193.221.127.255	DE
193.221.128.0	193.221.159.255	NL
193.221.160.0	193.221.191.255	BE
193.221.192.0	193.221.207.255	GB
193.221.208.0	193.221.211.255	EU
193.221.212.0	193.221.217.255	NL
193.221.218.0	193.221.218.255	CI
193.221.219.0	193.221.255.255	BE
193.222.0.0	193.222.60.255	CH
193.222.61.0	193.222.61.255	GB
193.222.62.0	193.222.62.255	RU
193.222.63.0	193.222.63.255	RO
193.222.64.0	193.222.107.255	CH
193.222.108.0	193.222.108.255	FR
193.222.109.0	193.222.109.255	RU
193.222.110.0	193.222.110.255	SE
193.222.111.0	193.222.111.255	UA
193.222.112.0	193.222.127.255	LI
193.222.128.0	193.222.128.255	FR
193.222.129.0	193.222.129.255	IL
193.222.130.0	193.222.130.255	CZ
193.222.131.0	193.222.131.255	PL
193.222.132.0	193.222.132.255	NL
193.222.133.0	193.222.133.255	FI
193.222.134.0	193.222.134.255	FR
193.222.135.0	193.222.135.255	PL
193.222.136.0	193.222.136.255	IT
193.222.137.0	193.222.137.255	NL
193.222.138.0	193.222.138.255	CH
193.222.139.0	193.222.139.255	AT
193.222.140.0	193.222.140.255	UA
193.222.141.0	193.222.141.255	SE
193.222.142.0	193.222.189.255	CH
193.222.190.0	193.222.190.255	NL
193.222.191.0	193.222.191.255	RU
193.222.192.0	193.222.253.255	CH
193.222.254.0	193.222.254.255	ES
193.222.255.0	193.222.255.255	CH
193.223.0.0	193.223.0.255	PL
193.223.1.0	193.223.75.255	CH
193.223.76.0	193.223.76.255	TR
193.223.77.0	193.223.77.255	DE
193.223.78.0	193.223.79.255	GB
193.223.80.0	193.223.97.255	CH
193.223.98.0	193.223.98.255	UA
193.223.99.0	193.223.99.255	DK
193.223.100.0	193.223.100.255	NL
193.223.101.0	193.223.101.255	RO
193.223.102.0	193.223.102.255	CH
193.223.103.0	193.223.103.255	AT
193.223.104.0	193.223.255.255	CH
193.224.0.0	193.225.255.255	HU
193.226.0.0	193.226.63.255	RO
193.226.64.0	193.226.71.255	MD
193.226.72.0	193.226.73.255	RO
193.226.74.0	193.226.79.255	MD
193.226.80.0	193.226.191.255	RO
193.226.192.0	193.226.255.255	HU
193.227.0.0	193.227.63.255	EG
193.227.64.0	193.227.95.255	IT
193.227.96.0	193.227.97.255	UA
193.227.98.0	193.227.98.255	RU
193.227.99.0	193.227.99.255	DE
193.227.100.0	193.227.100.255	PL
193.227.101.0	193.227.101.255	CH
193.227.102.0	193.227.102.255	LT
193.227.103.0	193.227.103.255	BE
193.227.104.0	193.227.104.255	IT
193.227.105.0	193.227.105.255	PL
193.227.106.0	193.227.106.255	GB
193.227.107.0	193.227.107.255	FR
193.227.108.0	193.227.108.255	AT
193.227.109.0	193.227.110.255	RO
193.227.111.0	193.227.111.255	GB
193.227.112.0	193.227.112.255	PL
193.227.113.0	193.227.113.255	AT
193.227.114.0	193.227.114.255	MT
193.227.115.0	193.227.115.255	UA
193.227.116.0	193.227.116.255	PL
193.227.117.0	193.227.117.255	DE
193.227.118.0	193.227.118.255	GB
193.227.119.0	193.227.120.255	UA
193.227.121.0	193.227.121.255	NL
193.227.122.0	193.227.122.255	CH
193.227.123.0	193.227.123.255	PL
193.227.124.0	193.227.124.255	DE
193.227.125.0	193.227.125.255	RU
193.227.126.0	193.227.126.255	SE
193.227.127.0	193.227.127.255	SA
193.227.128.0	193.227.128.255	EG
193.227.129.0	193.227.129.255	HU
193.227.130.0	193.227.130.255	FR
193.227.131.0	193.227.131.255	PL
193.227.132.0	193.227.132.255	ES
193.227.133.0	193.227.133.255	FR
193.227.134.0	193.227.134.255	CZ
193.227.135.0	193.227.135.255	NO
193.227.136.0	193.227.143.255	FR
193.227.144.0	193.227.159.255	DE
193.227.160.0	193.227.191.255	LB
193.227.192.0	193.227.195.255	DE
193.227.196.0	193.227.199.255	HU
193.227.200.0	193.227.201.255	GB
193.227.202.0	193.227.203.255	DE
193.227.204.0	193.227.205.255	NO
193.227.206.0	193.227.211.255	UA
193.227.212.0	193.227.215.255	IT
193.227.216.0	193.227.223.255	PL
193.227.224.0	193.227.225.255	CH
193.227.226.0	193.227.227.255	RO
193.227.228.0	193.227.229.255	FR
193.227.230.0	193.227.231.255	UA
193.227.232.0	193.227.233.255	RU
193.227.234.0	193.227.235.255	EU
193.227.236.0	193.227.237.255	RO
193.227.238.0	193.227.239.255	PT
193.227.240.0	193.227.241.255	RU
193.227.242.0	193.227.243.255	RO
193.227.244.0	193.227.247.255	GB
193.227.248.0	193.227.249.255	FR
193.227.250.0	193.227.251.255	UA
193.227.252.0	193.227.253.255	RU
193.227.254.0	193.227.255.255	DE
193.228.0.0	193.228.0.255	AT
193.228.1.0	193.228.1.255	GB
193.228.2.0	193.228.2.255	UA
193.228.3.0	193.228.139.255	AT
193.228.140.0	193.228.140.255	PL
193.228.141.0	193.228.141.255	GB
193.228.142.0	193.228.142.255	RU
193.228.143.0	193.228.143.255	SE
193.228.144.0	193.228.144.255	DE
193.228.145.0	193.228.145.255	RO
193.228.146.0	193.228.146.255	DE
193.228.147.0	193.228.147.255	FR
193.228.148.0	193.228.148.255	UA
193.228.149.0	193.228.150.255	DE
193.228.151.0	193.228.151.255	SI
193.228.152.0	193.228.152.255	BG
193.228.153.0	193.228.153.255	RO
193.228.154.0	193.228.154.255	AT
193.228.155.0	193.228.155.255	GB
193.228.156.0	193.228.156.255	FR
193.228.157.0	193.228.157.255	SE
193.228.158.0	193.228.158.255	AT
193.228.159.0	193.228.159.255	RU
193.228.160.0	193.228.173.255	AT
193.228.174.0	193.228.174.255	PL
193.228.175.0	193.228.233.255	AT
193.228.234.0	193.228.234.255	CZ
193.228.235.0	193.228.255.255	AT
193.229.0.0	193.229.255.255	FI
193.230.0.0	193.231.255.255	RO
193.232.0.0	193.232.64.255	RU
193.232.65.0	193.232.65.255	UA
193.232.66.0	193.232.91.255	RU
193.232.92.0	193.232.92.255	BY
193.232.93.0	193.232.159.255	RU
193.232.160.0	193.232.160.255	DE
193.232.161.0	193.232.161.255	UZ
193.232.162.0	193.232.223.255	RU
193.232.224.0	193.232.225.255	KZ
193.232.226.0	193.232.227.255	RU
193.232.228.0	193.232.229.255	AM
193.232.230.0	193.232.247.255	RU
193.232.248.0	193.232.251.255	BY
193.232.252.0	193.233.255.255	RU
193.234.0.0	193.235.255.255	SE
193.236.0.0	193.236.7.255	AO
193.236.8.0	193.236.255.255	PT
193.237.0.0	193.237.255.255	GB
193.238.0.0	193.238.3.255	RO
193.238.4.0	193.238.7.255	FI
193.238.8.0	193.238.11.255	DE
193.238.12.0	193.238.19.255	PL
193.238.20.0	193.238.23.255	UA
193.238.24.0	193.238.27.255	NL
193.238.28.0	193.238.31.255	NG
193.238.32.0	193.238.39.255	UA
193.238.40.0	193.238.43.255	PL
193.238.44.0	193.238.47.255	UA
193.238.48.0	193.238.51.255	RU
193.238.52.0	193.238.55.255	ES
193.238.56.0	193.238.59.255	RO
193.238.60.0	193.238.63.255	DE
193.238.64.0	193.238.67.255	PL
193.238.68.0	193.238.71.255	GB
193.238.72.0	193.238.75.255	UA
193.238.76.0	193.238.79.255	IT
193.238.80.0	193.238.87.255	GB
193.238.88.0	193.238.91.255	DE
193.238.92.0	193.238.95.255	PL
193.238.96.0	193.238.99.255	UA
193.238.100.0	193.238.103.255	IT
193.238.104.0	193.238.107.255	DE
193.238.108.0	193.238.111.255	UA
193.238.112.0	193.238.115.255	GR
193.238.116.0	193.238.119.255	UA
193.238.120.0	193.238.123.255	RU
193.238.124.0	193.238.127.255	DE
193.238.128.0	193.238.135.255	RU
193.238.136.0	193.238.139.255	IT
193.238.140.0	193.238.143.255	CH
193.238.144.0	193.238.147.255	ES
193.238.148.0	193.238.151.255	FR
193.238.152.0	193.238.155.255	UA
193.238.156.0	193.238.159.255	AT
193.238.160.0	193.238.163.255	NL
193.238.164.0	193.238.167.255	GB
193.238.168.0	193.238.175.255	PL
193.238.176.0	193.238.179.255	RU
193.238.180.0	193.238.183.255	PL
193.238.184.0	193.238.187.255	DK
193.238.188.0	193.238.191.255	IL
193.238.192.0	193.238.195.255	UA
193.238.196.0	193.238.199.255	DE
193.238.200.0	193.238.203.255	PL
193.238.204.0	193.238.207.255	LI
193.238.208.0	193.238.211.255	IL
193.238.212.0	193.238.223.255	LV
193.238.224.0	193.238.227.255	UA
193.238.228.0	193.238.231.255	FR
193.238.232.0	193.238.235.255	GB
193.238.236.0	193.238.239.255	NO
193.238.240.0	193.238.243.255	NL
193.238.244.0	193.238.247.255	RO
193.238.248.0	193.238.251.255	NL
193.238.252.0	193.238.255.255	DE
193.239.0.0	193.239.3.255	CZ
193.239.4.0	193.239.7.255	EU
193.239.8.0	193.239.11.255	GB
193.239.12.0	193.239.15.255	ES
193.239.16.0	193.239.19.255	DE
193.239.20.0	193.239.23.255	CH
193.239.24.0	193.239.27.255	UA
193.239.28.0	193.239.31.255	DE
193.239.32.0	193.239.35.255	GB
193.239.36.0	193.239.39.255	PL
193.239.40.0	193.239.43.255	AT
193.239.44.0	193.239.47.255	PL
193.239.48.0	193.239.51.255	DK
193.239.52.0	193.239.55.255	IT
193.239.56.0	193.239.63.255	PL
193.239.64.0	193.239.67.255	RO
193.239.68.0	193.239.75.255	UA
193.239.76.0	193.239.79.255	FR
193.239.80.0	193.239.83.255	PL
193.239.84.0	193.239.87.255	RU
193.239.88.0	193.239.95.255	NL
193.239.96.0	193.239.99.255	DK
193.239.100.0	193.239.103.255	PL
193.239.104.0	193.239.107.255	DE
193.239.108.0	193.239.111.255	IL
193.239.112.0	193.239.115.255	GB
193.239.116.0	193.239.119.255	NL
193.239.120.0	193.239.123.255	FR
193.239.124.0	193.239.127.255	PL
193.239.128.0	193.239.129.255	UA
193.239.130.0	193.239.131.255	RO
193.239.132.0	193.239.133.255	UA
193.239.134.0	193.239.135.255	RO
193.239.136.0	193.239.137.255	PL
193.239.138.0	193.239.141.255	RO
193.239.142.0	193.239.143.255	UA
193.239.144.0	193.239.145.255	PL
193.239.146.0	193.239.147.255	RO
193.239.148.0	193.239.149.255	HU
193.239.150.0	193.239.151.255	RU
193.239.152.0	193.239.153.255	UA
193.239.154.0	193.239.155.255	NO
193.239.156.0	193.239.157.255	DE
193.239.158.0	193.239.159.255	RO
193.239.160.0	193.239.161.255	GB
193.239.162.0	193.239.165.255	DE
193.239.166.0	193.239.167.255	RO
193.239.168.0	193.239.169.255	DK
193.239.170.0	193.239.171.255	UA
193.239.172.0	193.239.173.255	RO
193.239.174.0	193.239.175.255	GB
193.239.176.0	193.239.177.255	DK
193.239.178.0	193.239.181.255	UA
193.239.182.0	193.239.183.255	MD
193.239.184.0	193.239.185.255	GR
193.239.186.0	193.239.187.255	NL
193.239.188.0	193.239.189.255	AT
193.239.190.0	193.239.191.255	RO
193.239.192.0	193.239.193.255	FR
193.239.194.0	193.239.195.255	RO
193.239.196.0	193.239.197.255	DE
193.239.198.0	193.239.199.255	FR
193.239.200.0	193.239.201.255	CH
193.239.202.0	193.239.203.255	NL
193.239.204.0	193.239.209.255	PL
193.239.210.0	193.239.211.255	BE
193.239.212.0	193.239.213.255	RO
193.239.214.0	193.239.215.255	GR
193.239.216.0	193.239.217.255	UA
193.239.218.0	193.239.219.255	RO
193.239.220.0	193.239.221.255	CH
193.239.222.0	193.239.223.255	NL
193.239.224.0	193.239.225.255	PL
193.239.226.0	193.239.227.255	AT
193.239.228.0	193.239.229.255	UA
193.239.230.0	193.239.233.255	RO
193.239.234.0	193.239.235.255	UA
193.239.236.0	193.239.237.255	RO
193.239.238.0	193.239.239.255	UA
193.239.240.0	193.239.241.255	FR
193.239.242.0	193.239.243.255	RU
193.239.244.0	193.239.245.255	PL
193.239.246.0	193.239.247.255	RO
193.239.248.0	193.239.249.255	AT
193.239.250.0	193.239.251.255	UA
193.239.252.0	193.239.253.255	RO
193.239.254.0	193.239.255.255	UA
193.240.0.0	193.240.255.255	GB
193.241.0.0	193.241.255.255	SE
193.242.0.0	193.242.0.255	GB
193.242.1.0	193.242.79.255	FR
193.242.80.0	193.242.95.255	NL
193.242.96.0	193.242.96.255	GB
193.242.97.0	193.242.97.255	NL
193.242.98.0	193.242.98.255	ES
193.242.99.0	193.242.99.255	GB
193.242.100.0	193.242.100.255	PL
193.242.101.0	193.242.101.255	BE
193.242.102.0	193.242.102.255	GB
193.242.103.0	193.242.103.255	SE
193.242.104.0	193.242.104.255	PL
193.242.105.0	193.242.105.255	CH
193.242.106.0	193.242.106.255	DE
193.242.107.0	193.242.107.255	DK
193.242.108.0	193.242.108.255	NL
193.242.109.0	193.242.109.255	SE
193.242.110.0	193.242.110.255	GB
193.242.111.0	193.242.111.255	IE
193.242.112.0	193.242.112.255	DE
193.242.113.0	193.242.113.255	GB
193.242.114.0	193.242.114.255	UA
193.242.115.0	193.242.116.255	GB
193.242.117.0	193.242.117.255	NL
193.242.118.0	193.242.118.255	AT
193.242.119.0	193.242.119.255	NL
193.242.120.0	193.242.120.255	RO
193.242.121.0	193.242.121.255	DE
193.242.122.0	193.242.122.255	SE
193.242.123.0	193.242.123.255	RU
193.242.124.0	193.242.124.255	PT
193.242.125.0	193.242.125.255	NL
193.242.126.0	193.242.126.255	FI
193.242.127.0	193.242.127.255	RU
193.242.128.0	193.242.191.255	BE
193.242.192.0	193.242.223.255	FR
193.242.224.0	193.242.239.255	GB
193.242.240.0	193.242.255.255	GR
193.243.0.0	193.243.131.255	GB
193.243.132.0	193.243.133.255	MD
193.243.134.0	193.243.135.255	SE
193.243.136.0	193.243.137.255	BE
193.243.138.0	193.243.139.255	RU
193.243.140.0	193.243.141.255	SI
193.243.142.0	193.243.143.255	PL
193.243.144.0	193.243.145.255	SE
193.243.146.0	193.243.149.255	PL
193.243.150.0	193.243.151.255	DE
193.243.152.0	193.243.153.255	UA
193.243.154.0	193.243.155.255	GR
193.243.156.0	193.243.159.255	UA
193.243.160.0	193.243.161.255	DE
193.243.162.0	193.243.163.255	AT
193.243.164.0	193.243.165.255	NL
193.243.166.0	193.243.166.255	DE
193.243.167.0	193.243.167.255	UA
193.243.168.0	193.243.171.255	RS
193.243.172.0	193.243.175.255	RU
193.243.176.0	193.243.182.255	GB
193.243.183.0	193.243.183.63	NO
193.243.183.64	193.243.183.127	SE
193.243.183.128	193.243.183.191	IL
193.243.183.192	193.243.183.255	SE
193.243.184.0	193.243.191.255	DE
193.243.192.0	193.243.223.255	TR
193.243.224.0	193.243.255.255	GB
193.244.0.0	193.245.31.255	BE
193.245.32.0	193.245.39.255	CZ
193.245.40.0	193.245.255.255	BE
193.246.0.0	193.246.125.255	CH
193.246.126.0	193.246.126.255	LI
193.246.127.0	193.246.205.255	CH
193.246.206.0	193.246.206.255	LI
193.246.207.0	193.247.255.255	CH
193.248.0.0	193.251.129.255	FR
193.251.130.0	193.251.131.39	CI
193.251.131.40	193.251.131.47	FR
193.251.131.48	193.251.131.59	CI
193.251.131.60	193.251.131.60	FR
193.251.131.61	193.251.131.61	CI
193.251.131.62	193.251.131.62	FR
193.251.131.63	193.251.131.95	CI
193.251.131.96	193.251.131.99	FR
193.251.131.100	193.251.131.127	CI
193.251.131.128	193.251.133.255	FR
193.251.134.0	193.251.134.15	CH
193.251.134.16	193.251.134.31	US
193.251.134.32	193.251.134.63	GB
193.251.134.64	193.251.134.127	FR
193.251.134.128	193.251.134.143	CH
193.251.134.144	193.251.134.159	FR
193.251.134.160	193.251.134.191	CH
193.251.134.192	193.251.134.207	FR
193.251.134.208	193.251.134.239	US
193.251.134.240	193.251.134.255	HK
193.251.135.0	193.251.135.255	A2
193.251.136.0	193.251.136.159	KM
193.251.136.160	193.251.136.223	FR
193.251.136.224	193.251.136.255	KM
193.251.137.0	193.251.137.123	CF
193.251.137.124	193.251.137.255	FR
193.251.138.0	193.251.138.251	CI
193.251.138.252	193.251.138.255	FR
193.251.139.0	193.251.139.47	LB
193.251.139.48	193.251.139.55	FR
193.251.139.56	193.251.139.255	LB
193.251.140.0	193.251.141.111	FR
193.251.141.112	193.251.141.127	MG
193.251.141.128	193.251.142.255	FR
193.251.143.0	193.251.143.255	DJ
193.251.144.0	193.251.144.255	DZ
193.251.145.0	193.251.145.21	FR
193.251.145.22	193.251.145.23	MR
193.251.145.24	193.251.145.25	FR
193.251.145.26	193.251.145.26	MR
193.251.145.27	193.251.145.29	FR
193.251.145.30	193.251.145.31	MR
193.251.145.32	193.251.145.63	FR
193.251.145.64	193.251.145.95	MR
193.251.145.96	193.251.145.99	FR
193.251.145.100	193.251.145.111	MR
193.251.145.112	193.251.145.119	FR
193.251.145.120	193.251.145.175	MR
193.251.145.176	193.251.145.191	FR
193.251.145.192	193.251.145.223	MR
193.251.145.224	193.251.145.255	FR
193.251.146.0	193.251.146.255	MR
193.251.147.0	193.251.147.255	TD
193.251.148.0	193.251.148.255	FR
193.251.149.0	193.251.149.255	CF
193.251.150.0	193.251.151.255	FR
193.251.152.0	193.251.152.255	DZ
193.251.153.0	193.251.153.215	GQ
193.251.153.216	193.251.153.223	FR
193.251.153.224	193.251.153.255	GQ
193.251.154.0	193.251.154.255	FR
193.251.155.0	193.251.155.127	CM
193.251.155.128	193.251.155.255	FR
193.251.156.0	193.251.157.255	LB
193.251.158.0	193.251.158.255	FR
193.251.159.0	193.251.159.255	CI
193.251.160.0	193.251.160.139	GP
193.251.160.140	193.251.160.143	FR
193.251.160.144	193.251.160.151	GP
193.251.160.152	193.251.160.159	FR
193.251.160.160	193.251.160.255	GP
193.251.161.0	193.251.161.255	CI
193.251.162.0	193.251.165.63	GP
193.251.165.64	193.251.165.255	FR
193.251.166.0	193.251.166.15	LB
193.251.166.16	193.251.166.23	FR
193.251.166.24	193.251.166.83	LB
193.251.166.84	193.251.166.87	FR
193.251.166.88	193.251.166.255	LB
193.251.167.0	193.251.167.111	DJ
193.251.167.112	193.251.167.255	FR
193.251.168.0	193.251.168.255	CI
193.251.169.0	193.251.169.255	DZ
193.251.170.0	193.251.171.255	LB
193.251.172.0	193.251.172.255	FR
193.251.173.0	193.251.173.15	CI
193.251.173.16	193.251.173.255	FR
193.251.174.0	193.251.175.223	DZ
193.251.175.224	193.251.217.255	FR
193.251.218.0	193.251.219.255	GQ
193.251.220.0	193.251.220.255	NE
193.251.221.0	193.251.221.31	MQ
193.251.221.32	193.251.221.255	FR
193.251.222.0	193.251.223.255	GQ
193.251.224.0	193.251.224.215	DJ
193.251.224.216	193.251.227.3	FR
193.251.227.4	193.251.227.23	NE
193.251.227.24	193.251.227.39	FR
193.251.227.40	193.251.227.71	NE
193.251.227.72	193.251.227.84	FR
193.251.227.85	193.251.227.85	NE
193.251.227.86	193.251.227.95	FR
193.251.227.96	193.251.227.96	NE
193.251.227.97	193.251.227.104	FR
193.251.227.105	193.251.227.105	NE
193.251.227.106	193.251.227.107	FR
193.251.227.108	193.251.227.115	NE
193.251.227.116	193.251.227.119	FR
193.251.227.120	193.251.227.183	NE
193.251.227.184	193.251.227.191	FR
193.251.227.192	193.251.227.223	NE
193.251.227.224	193.251.227.227	FR
193.251.227.228	193.251.228.255	NE
193.251.229.0	193.252.15.255	FR
193.252.16.0	193.252.17.255	GB
193.252.18.0	193.252.127.255	FR
193.252.128.0	193.252.128.255	US
193.252.129.0	193.252.129.255	IR
193.252.130.0	193.252.130.255	US
193.252.131.0	193.252.131.255	IR
193.252.132.0	193.252.132.255	US
193.252.133.0	193.252.133.255	FR
193.252.134.0	193.252.134.255	US
193.252.135.0	193.252.136.255	IR
193.252.137.0	193.252.137.255	HK
193.252.138.0	193.252.138.255	FR
193.252.139.0	193.252.139.255	HK
193.252.140.0	193.252.144.255	FR
193.252.145.0	193.252.145.255	HK
193.252.146.0	193.252.146.255	FR
193.252.147.0	193.252.147.255	HK
193.252.148.0	193.252.154.255	FR
193.252.155.0	193.252.155.255	AT
193.252.156.0	193.252.228.255	FR
193.252.229.0	193.252.229.159	DO
193.252.229.160	193.253.157.255	FR
193.253.158.0	193.253.159.255	US
193.253.160.0	193.253.255.255	FR
193.254.0.0	193.254.0.63	DK
193.254.0.64	193.254.0.255	GB
193.254.1.0	193.254.3.255	AL
193.254.4.0	193.254.7.255	SE
193.254.8.0	193.254.17.255	CH
193.254.18.0	193.254.23.127	DE
193.254.23.128	193.254.23.255	DK
193.254.24.0	193.254.26.255	IT
193.254.27.0	193.254.28.255	GB
193.254.29.0	193.254.29.255	BG
193.254.30.0	193.254.30.255	DE
193.254.31.0	193.254.31.255	GB
193.254.32.0	193.254.63.255	RO
193.254.64.0	193.254.107.255	EU
193.254.108.0	193.254.108.255	DE
193.254.109.0	193.254.127.255	EU
193.254.128.0	193.254.191.255	DE
193.254.192.0	193.254.193.255	SE
193.254.194.0	193.254.195.255	GB
193.254.196.0	193.254.197.255	UA
193.254.198.0	193.254.199.255	US
193.254.200.0	193.254.201.255	GR
193.254.202.0	193.254.203.255	DE
193.254.204.0	193.254.205.255	RU
193.254.206.0	193.254.207.255	IL
193.254.208.0	193.254.209.255	RU
193.254.210.0	193.254.211.255	GB
193.254.212.0	193.254.213.255	DE
193.254.214.0	193.254.215.255	NL
193.254.216.0	193.254.221.255	UA
193.254.222.0	193.254.223.255	GR
193.254.224.0	193.254.225.255	RU
193.254.228.0	193.254.229.255	TR
193.254.230.0	193.254.231.255	RO
193.254.232.0	193.254.233.255	UA
193.254.234.0	193.254.235.255	RO
193.254.236.0	193.254.239.255	DE
193.254.240.0	193.254.241.255	IT
193.254.242.0	193.254.243.255	RO
193.254.244.0	193.254.245.255	FR
193.254.246.0	193.254.247.255	PL
193.254.248.0	193.254.249.255	RU
193.254.250.0	193.254.251.255	KZ
193.254.252.0	193.254.253.255	TR
193.254.254.0	193.254.255.255	NL
193.255.0.0	193.255.255.255	TR
194.0.0.0	194.0.0.255	DE
194.0.1.0	194.0.2.255	GB
194.0.3.0	194.0.3.255	LT
194.0.4.0	194.0.4.255	GR
194.0.5.0	194.0.5.255	NL
194.0.6.0	194.0.7.255	BE
194.0.8.0	194.0.8.255	LV
194.0.9.0	194.0.9.255	FR
194.0.10.0	194.0.10.255	AT
194.0.11.0	194.0.11.255	DE
194.0.12.0	194.0.14.255	CZ
194.0.15.0	194.0.15.255	SA
194.0.16.0	194.0.16.255	IT
194.0.17.0	194.0.17.255	CH
194.0.18.0	194.0.20.255	LT
194.0.64.0	194.0.67.255	SE
194.0.68.0	194.0.71.255	RU
194.0.72.0	194.0.75.255	AT
194.0.76.0	194.0.79.255	IE
194.0.80.0	194.0.83.255	FI
194.0.84.0	194.0.87.255	HR
194.0.88.0	194.0.91.255	UA
194.0.92.0	194.0.95.255	DE
194.0.96.0	194.0.103.255	PL
194.0.104.0	194.0.107.255	UA
194.0.108.0	194.0.111.255	KZ
194.0.112.0	194.0.115.255	PL
194.0.116.0	194.0.119.255	UA
194.0.120.0	194.0.123.255	RU
194.0.124.0	194.0.127.255	RO
194.0.128.0	194.0.128.255	PL
194.0.129.0	194.0.129.255	RO
194.0.130.0	194.0.130.255	TR
194.0.131.0	194.0.131.255	UA
194.0.132.0	194.0.132.255	DK
194.0.133.0	194.0.133.255	IT
194.0.134.0	194.0.134.255	SE
194.0.135.0	194.0.135.255	DE
194.0.136.0	194.0.136.255	RU
194.0.137.0	194.0.137.255	CH
194.0.138.0	194.0.138.255	UA
194.0.139.0	194.0.139.255	GB
194.0.140.0	194.0.140.255	IT
194.0.141.0	194.0.141.255	RU
194.0.142.0	194.0.142.255	TR
194.0.143.0	194.0.143.255	DE
194.0.144.0	194.0.145.255	RU
194.0.146.0	194.0.146.255	CY
194.0.147.0	194.0.147.255	GB
194.0.148.0	194.0.148.255	UA
194.0.149.0	194.0.149.255	DE
194.0.150.0	194.0.150.255	UA
194.0.151.0	194.0.151.255	DE
194.0.152.0	194.0.153.255	FR
194.0.154.0	194.0.154.255	PL
194.0.155.0	194.0.155.255	DK
194.0.156.0	194.0.156.255	GB
194.0.157.0	194.0.157.255	UA
194.0.158.0	194.0.159.255	GB
194.0.160.0	194.0.160.255	LT
194.0.161.0	194.0.161.255	DK
194.0.162.0	194.0.162.255	RU
194.0.163.0	194.0.163.255	DE
194.0.164.0	194.0.164.255	HU
194.0.165.0	194.0.165.255	DE
194.0.166.0	194.0.166.255	FR
194.0.167.0	194.0.167.255	PL
194.0.168.0	194.0.168.255	CH
194.0.169.0	194.0.169.255	NO
194.0.170.0	194.0.170.255	NL
194.0.171.0	194.0.171.255	PL
194.0.172.0	194.0.172.255	CH
194.0.173.0	194.0.175.255	BE
194.0.176.0	194.0.176.255	FR
194.0.177.0	194.0.177.255	RO
194.0.178.0	194.0.178.255	TR
194.0.179.0	194.0.179.255	FR
194.0.180.0	194.0.180.255	DE
194.0.181.0	194.0.181.255	PL
194.0.182.0	194.0.184.255	DE
194.0.185.0	194.0.185.255	GR
194.0.186.0	194.0.186.255	PL
194.0.187.0	194.0.187.255	UA
194.0.188.0	194.0.188.255	DE
194.0.189.0	194.0.190.255	RO
194.0.191.0	194.0.191.255	BE
194.0.192.0	194.0.192.255	NO
194.0.193.0	194.0.193.255	GB
194.0.194.0	194.0.194.255	NL
194.0.195.0	194.0.195.255	FR
194.0.196.0	194.0.196.255	IE
194.0.197.0	194.0.197.255	NL
194.0.198.0	194.0.198.255	CH
194.0.199.0	194.0.199.255	PL
194.0.200.0	194.0.200.255	UA
194.0.201.0	194.0.201.255	DE
194.0.202.0	194.0.202.255	TR
194.0.203.0	194.0.203.255	LT
194.0.204.0	194.0.204.255	RO
194.0.205.0	194.0.205.255	BE
194.0.206.0	194.0.206.255	UA
194.0.207.0	194.0.207.255	LV
194.0.208.0	194.0.208.255	DE
194.0.209.0	194.0.209.255	RU
194.0.210.0	194.0.210.255	GB
194.0.211.0	194.0.211.255	PL
194.0.212.0	194.0.212.255	CH
194.0.213.0	194.0.213.255	FR
194.0.214.0	194.0.214.255	GB
194.0.215.0	194.0.215.255	NO
194.0.216.0	194.0.216.255	DE
194.0.217.0	194.0.217.255	SE
194.0.218.0	194.0.218.255	UA
194.0.219.0	194.0.219.255	GB
194.0.220.0	194.0.220.255	PL
194.0.221.0	194.0.221.255	MD
194.0.222.0	194.0.222.255	AT
194.0.223.0	194.0.223.255	GB
194.0.224.0	194.0.224.255	HR
194.0.225.0	194.0.225.255	RU
194.0.226.0	194.0.226.255	IE
194.0.227.0	194.0.227.255	GE
194.0.228.0	194.0.228.255	DE
194.0.229.0	194.0.229.255	CH
194.0.230.0	194.0.230.255	AT
194.0.231.0	194.0.231.255	RU
194.0.232.0	194.0.232.255	DE
194.0.233.0	194.0.233.255	PL
194.0.234.0	194.0.234.255	BE
194.0.235.0	194.0.235.255	BG
194.0.236.0	194.0.236.255	DK
194.0.237.0	194.0.237.255	UA
194.0.238.0	194.0.239.255	GB
194.0.240.0	194.0.240.255	IT
194.0.241.0	194.0.241.255	IE
194.0.242.0	194.0.242.255	LV
194.0.243.0	194.0.243.255	GB
194.0.244.0	194.0.244.255	PL
194.0.245.0	194.0.245.255	RU
194.0.246.0	194.0.246.255	SE
194.0.247.0	194.0.248.255	DE
194.0.249.0	194.0.249.255	FR
194.0.250.0	194.0.250.255	NL
194.0.251.0	194.0.251.255	PL
194.0.252.0	194.0.252.255	GB
194.0.253.0	194.0.253.255	RO
194.0.254.0	194.0.254.255	DE
194.0.255.0	194.0.255.255	FR
194.1.0.0	194.1.143.255	SK
194.1.144.0	194.1.144.255	PL
194.1.145.0	194.1.145.255	IL
194.1.146.0	194.1.146.255	PL
194.1.147.0	194.1.148.255	GB
194.1.149.0	194.1.149.255	AL
194.1.150.0	194.1.151.255	GB
194.1.152.0	194.1.152.255	RU
194.1.153.0	194.1.153.255	PL
194.1.154.0	194.1.154.255	SE
194.1.155.0	194.1.155.255	DE
194.1.156.0	194.1.157.255	SK
194.1.158.0	194.1.158.255	AT
194.1.159.0	194.1.159.255	SK
194.1.160.0	194.1.160.255	IT
194.1.161.0	194.1.161.255	RU
194.1.162.0	194.1.163.255	CH
194.1.164.0	194.1.166.255	GB
194.1.167.0	194.1.167.255	RO
194.1.168.0	194.1.168.255	SK
194.1.169.0	194.1.169.255	RO
194.1.170.0	194.1.175.255	SK
194.1.176.0	194.1.176.255	DE
194.1.177.0	194.1.177.255	UA
194.1.178.0	194.1.179.255	RO
194.1.180.0	194.1.180.255	GB
194.1.181.0	194.1.181.255	DE
194.1.182.0	194.1.182.255	GB
194.1.183.0	194.1.183.255	BE
194.1.184.0	194.1.189.255	SK
194.1.190.0	194.1.190.255	CH
194.1.191.0	194.1.191.255	SK
194.1.192.0	194.1.192.255	DK
194.1.193.0	194.1.193.255	UA
194.1.194.0	194.1.194.255	GB
194.1.195.0	194.1.195.255	UA
194.1.196.0	194.1.196.255	PL
194.1.197.0	194.1.197.255	SE
194.1.198.0	194.1.198.255	RU
194.1.199.0	194.1.199.255	PL
194.1.200.0	194.1.200.255	DK
194.1.201.0	194.1.201.255	PL
194.1.202.0	194.1.202.255	DE
194.1.203.0	194.1.203.255	FR
194.1.204.0	194.1.204.255	NL
194.1.205.0	194.1.205.255	BE
194.1.206.0	194.1.206.255	AT
194.1.207.0	194.1.207.255	DE
194.1.208.0	194.1.208.255	IT
194.1.209.0	194.1.209.255	EE
194.1.210.0	194.1.210.255	GB
194.1.211.0	194.1.212.255	SE
194.1.213.0	194.1.219.255	SK
194.1.220.0	194.1.221.255	UA
194.1.222.0	194.1.245.255	SK
194.1.246.0	194.1.246.255	PL
194.1.247.0	194.1.254.255	SK
194.1.255.0	194.1.255.255	HR
194.2.0.0	194.2.59.199	FR
194.2.59.200	194.2.59.207	GB
194.2.59.208	194.2.105.143	FR
194.2.105.144	194.2.105.151	GB
194.2.105.152	194.2.190.7	FR
194.2.190.8	194.2.190.15	A2
194.2.190.16	194.3.71.46	FR
194.3.71.47	194.3.71.47	BE
194.3.71.48	194.3.91.245	FR
194.3.91.246	194.3.91.246	A2
194.3.91.247	194.3.117.255	FR
194.3.118.0	194.3.118.255	A2
194.3.119.0	194.3.160.176	FR
194.3.160.177	194.3.160.177	LB
194.3.160.178	194.5.50.255	FR
194.5.51.0	194.5.51.255	DE
194.5.52.0	194.5.62.255	FR
194.5.63.0	194.5.63.255	DE
194.5.64.0	194.5.252.255	FR
194.5.253.0	194.5.253.255	DE
194.5.254.0	194.5.255.255	FR
194.6.0.0	194.6.1.255	GB
194.6.2.0	194.6.2.15	EU
194.6.2.16	194.6.2.79	GB
194.6.2.80	194.6.2.127	EU
194.6.2.128	194.6.2.191	GB
194.6.2.192	194.6.2.207	EU
194.6.2.208	194.6.4.7	GB
194.6.4.8	194.6.4.15	EU
194.6.4.16	194.6.4.23	GB
194.6.4.24	194.6.4.55	EU
194.6.4.56	194.6.4.63	GB
194.6.4.64	194.6.4.71	EU
194.6.4.72	194.6.4.103	GB
194.6.4.104	194.6.4.127	EU
194.6.4.128	194.6.4.135	GB
194.6.4.136	194.6.4.167	EU
194.6.4.168	194.6.4.175	GB
194.6.4.176	194.6.4.183	EU
194.6.4.184	194.6.4.191	GB
194.6.4.192	194.6.4.231	EU
194.6.4.232	194.6.4.239	GB
194.6.4.240	194.6.4.255	EU
194.6.5.0	194.6.7.255	GB
194.6.8.0	194.6.8.31	EU
194.6.8.32	194.6.8.63	GB
194.6.8.64	194.6.8.79	EU
194.6.8.80	194.6.8.95	GB
194.6.8.96	194.6.8.111	EU
194.6.8.112	194.6.8.127	GB
194.6.8.128	194.6.8.143	EU
194.6.8.144	194.6.8.159	GB
194.6.8.160	194.6.9.7	EU
194.6.9.8	194.6.9.23	GB
194.6.9.24	194.6.9.31	EU
194.6.9.32	194.6.9.79	GB
194.6.9.80	194.6.9.87	EU
194.6.9.88	194.6.9.111	GB
194.6.9.112	194.6.9.127	EU
194.6.9.128	194.6.9.135	GB
194.6.9.136	194.6.9.167	EU
194.6.9.168	194.6.9.183	GB
194.6.9.184	194.6.9.255	EU
194.6.10.0	194.6.10.255	GB
194.6.11.0	194.6.11.255	EU
194.6.12.0	194.6.15.255	GB
194.6.16.0	194.6.16.255	EU
194.6.17.0	194.6.18.127	GB
194.6.18.128	194.6.18.255	EU
194.6.19.0	194.6.54.255	GB
194.6.55.0	194.6.55.255	DE
194.6.56.0	194.6.56.255	GB
194.6.57.0	194.6.59.255	EU
194.6.60.0	194.6.72.255	GB
194.6.73.0	194.6.74.255	EU
194.6.75.0	194.6.81.7	GB
194.6.81.8	194.6.81.31	EU
194.6.81.32	194.6.81.103	GB
194.6.81.104	194.6.81.111	EU
194.6.81.112	194.6.81.119	GB
194.6.81.120	194.6.81.127	GI
194.6.81.128	194.6.81.143	GB
194.6.81.144	194.6.81.159	EU
194.6.81.160	194.6.81.183	GB
194.6.81.184	194.6.81.199	EU
194.6.81.200	194.6.81.207	GB
194.6.81.208	194.6.81.215	EU
194.6.81.216	194.6.83.63	GB
194.6.83.64	194.6.83.127	EU
194.6.83.128	194.6.83.191	GB
194.6.83.192	194.6.83.255	EU
194.6.84.0	194.6.84.79	GB
194.6.84.80	194.6.84.95	EU
194.6.84.96	194.6.84.191	GB
194.6.84.192	194.6.84.255	EU
194.6.85.0	194.6.127.255	GB
194.6.128.0	194.6.159.255	FR
194.6.160.0	194.6.191.255	CH
194.6.192.0	194.6.195.255	DE
194.6.196.0	194.6.199.255	RU
194.6.200.0	194.6.203.255	RO
194.6.204.0	194.6.207.255	PL
194.6.208.0	194.6.211.255	DE
194.6.212.0	194.6.215.255	RO
194.6.216.0	194.6.223.255	RU
194.6.224.0	194.6.224.255	MA
194.6.225.0	194.6.225.255	PS
194.6.226.0	194.6.226.255	DE
194.6.227.0	194.6.227.255	BE
194.6.228.0	194.6.228.255	DE
194.6.229.0	194.6.229.255	PT
194.6.230.0	194.6.230.255	RO
194.6.231.0	194.6.233.255	UA
194.6.234.0	194.6.234.255	DE
194.6.235.0	194.6.235.255	GB
194.6.236.0	194.6.236.255	SE
194.6.237.0	194.6.237.255	SI
194.6.238.0	194.6.238.255	NO
194.6.239.0	194.6.239.255	DE
194.6.240.0	194.6.240.255	FR
194.6.241.0	194.6.241.255	PL
194.6.242.0	194.6.242.255	SI
194.6.243.0	194.6.243.255	SE
194.6.244.0	194.6.244.255	GB
194.6.245.0	194.6.246.255	PL
194.6.247.0	194.6.247.255	IT
194.6.248.0	194.6.248.255	GB
194.6.249.0	194.6.249.255	DE
194.6.250.0	194.6.250.255	AT
194.6.251.0	194.6.252.255	SE
194.6.253.0	194.6.253.255	ES
194.6.254.0	194.6.254.255	GB
194.6.255.0	194.6.255.255	QA
194.7.0.0	194.7.19.159	BE
194.7.19.160	194.7.19.191	LU
194.7.19.192	194.7.27.31	BE
194.7.27.32	194.7.27.63	LU
194.7.27.64	194.7.27.119	BE
194.7.27.120	194.7.27.127	LU
194.7.27.128	194.7.34.95	BE
194.7.34.96	194.7.34.127	LU
194.7.34.128	194.7.34.255	BE
194.7.35.0	194.7.35.15	LU
194.7.35.16	194.7.35.31	BE
194.7.35.32	194.7.35.47	LU
194.7.35.48	194.7.36.255	BE
194.7.37.0	194.7.37.255	LU
194.7.38.0	194.7.39.95	BE
194.7.39.96	194.7.39.127	LU
194.7.39.128	194.7.41.143	BE
194.7.41.144	194.7.41.159	LU
194.7.41.160	194.7.44.15	BE
194.7.44.16	194.7.44.31	LU
194.7.44.32	194.7.44.159	BE
194.7.44.160	194.7.44.191	LU
194.7.44.192	194.7.54.7	BE
194.7.54.8	194.7.54.15	FR
194.7.54.16	194.7.54.47	BE
194.7.54.48	194.7.54.63	LU
194.7.54.64	194.7.54.79	BE
194.7.54.80	194.7.54.95	LU
194.7.54.96	194.7.66.7	BE
194.7.66.8	194.7.66.15	LU
194.7.66.16	194.7.66.47	BE
194.7.66.48	194.7.66.55	LU
194.7.66.56	194.7.66.159	BE
194.7.66.160	194.7.66.191	LU
194.7.66.192	194.7.66.199	BE
194.7.66.200	194.7.66.207	DK
194.7.66.208	194.7.68.255	BE
194.7.69.0	194.7.69.255	LU
194.7.70.0	194.7.80.191	BE
194.7.80.192	194.7.80.223	LU
194.7.80.224	194.7.83.15	BE
194.7.83.16	194.7.83.23	LU
194.7.83.24	194.7.83.191	BE
194.7.83.192	194.7.83.223	LU
194.7.83.224	194.7.84.159	BE
194.7.84.160	194.7.84.175	LU
194.7.84.176	194.7.84.183	BE
194.7.84.184	194.7.84.187	LU
194.7.84.188	194.7.89.79	BE
194.7.89.80	194.7.89.95	LU
194.7.89.96	194.7.94.79	BE
194.7.94.80	194.7.94.95	LU
194.7.94.96	194.7.96.63	BE
194.7.96.64	194.7.96.95	US
194.7.96.96	194.7.124.31	BE
194.7.124.32	194.7.124.63	FR
194.7.124.64	194.7.137.127	BE
194.7.137.128	194.7.137.159	LU
194.7.137.160	194.7.138.223	BE
194.7.138.224	194.7.138.255	LU
194.7.139.0	194.7.139.95	BE
194.7.139.96	194.7.139.127	LU
194.7.139.128	194.7.141.95	BE
194.7.141.96	194.7.141.127	LU
194.7.141.128	194.7.141.159	BE
194.7.141.160	194.7.141.191	LU
194.7.141.192	194.7.146.191	BE
194.7.146.192	194.7.146.223	FR
194.7.146.224	194.7.148.31	BE
194.7.148.32	194.7.148.63	LU
194.7.148.64	194.7.148.127	BE
194.7.148.128	194.7.148.159	LU
194.7.148.160	194.7.150.191	BE
194.7.150.192	194.7.150.199	LU
194.7.150.200	194.7.153.131	BE
194.7.153.132	194.7.153.135	LU
194.7.153.136	194.7.153.223	BE
194.7.153.224	194.7.153.239	LU
194.7.153.240	194.7.156.15	BE
194.7.156.16	194.7.156.31	LU
194.7.156.32	194.7.156.127	BE
194.7.156.128	194.7.156.159	LU
194.7.156.160	194.7.157.159	BE
194.7.157.160	194.7.157.191	LU
194.7.157.192	194.7.157.239	BE
194.7.157.240	194.7.157.255	LU
194.7.158.0	194.7.160.23	BE
194.7.160.24	194.7.160.31	LU
194.7.160.32	194.7.161.159	BE
194.7.161.160	194.7.161.167	LU
194.7.161.168	194.7.161.175	BE
194.7.161.176	194.7.161.183	LU
194.7.161.184	194.7.166.255	BE
194.7.167.0	194.7.167.31	LU
194.7.167.32	194.7.174.215	BE
194.7.174.216	194.7.174.223	LU
194.7.174.224	194.7.176.215	BE
194.7.176.216	194.7.176.219	LU
194.7.176.220	194.7.178.15	BE
194.7.178.16	194.7.178.31	LU
194.7.178.32	194.7.183.31	BE
194.7.183.32	194.7.183.63	LU
194.7.183.64	194.7.185.79	BE
194.7.185.80	194.7.185.87	DK
194.7.185.88	194.7.185.95	LU
194.7.185.96	194.7.186.7	BE
194.7.186.8	194.7.186.15	LU
194.7.186.16	194.7.195.159	BE
194.7.195.160	194.7.195.223	LU
194.7.195.224	194.7.195.255	BE
194.7.196.0	194.7.196.255	LU
194.7.197.0	194.7.201.31	BE
194.7.201.32	194.7.201.63	LU
194.7.201.64	194.7.201.159	BE
194.7.201.160	194.7.201.175	LU
194.7.201.176	194.7.203.255	BE
194.7.204.0	194.7.205.255	LU
194.7.206.0	194.7.206.7	BE
194.7.206.8	194.7.206.31	LU
194.7.206.32	194.7.206.223	BE
194.7.206.224	194.7.206.231	LU
194.7.206.232	194.7.207.223	BE
194.7.207.224	194.7.207.239	LU
194.7.207.240	194.7.208.79	BE
194.7.208.80	194.7.208.95	LU
194.7.208.96	194.7.209.151	BE
194.7.209.152	194.7.209.159	LU
194.7.209.160	194.7.227.247	BE
194.7.227.248	194.7.227.255	HU
194.7.228.0	194.7.242.195	BE
194.7.242.196	194.7.242.199	LU
194.7.242.200	194.7.255.255	BE
194.8.0.0	194.8.0.255	DE
194.8.1.0	194.8.3.255	LV
194.8.4.0	194.8.4.255	EU
194.8.5.0	194.8.13.255	LV
194.8.14.0	194.8.14.255	PL
194.8.15.0	194.8.15.255	CH
194.8.16.0	194.8.27.255	LV
194.8.28.0	194.8.28.255	GB
194.8.29.0	194.8.29.255	SE
194.8.30.0	194.8.30.255	PT
194.8.31.0	194.8.31.255	SE
194.8.32.0	194.8.43.255	LV
194.8.44.0	194.8.44.255	EU
194.8.45.0	194.8.46.255	PL
194.8.47.0	194.8.47.255	RU
194.8.48.0	194.8.49.255	GB
194.8.50.0	194.8.50.255	FR
194.8.51.0	194.8.51.255	UA
194.8.52.0	194.8.52.255	BE
194.8.53.0	194.8.53.255	BG
194.8.54.0	194.8.54.255	GB
194.8.55.0	194.8.55.255	RU
194.8.56.0	194.8.56.255	UA
194.8.57.0	194.8.58.255	DE
194.8.59.0	194.8.59.255	UA
194.8.60.0	194.8.60.255	BG
194.8.61.0	194.8.61.255	AT
194.8.62.0	194.8.62.255	BE
194.8.63.0	194.8.63.255	AT
194.8.64.0	194.8.65.255	UA
194.8.66.0	194.8.69.255	PL
194.8.70.0	194.8.73.255	RU
194.8.74.0	194.8.75.255	GB
194.8.76.0	194.8.77.255	IL
194.8.78.0	194.8.79.255	CH
194.8.80.0	194.8.83.255	RO
194.8.84.0	194.8.85.255	RU
194.8.86.0	194.8.87.255	DE
194.8.88.0	194.8.89.255	IL
194.8.90.0	194.8.91.255	DE
194.8.92.0	194.8.93.255	SE
194.8.94.0	194.8.95.255	SI
194.8.96.0	194.8.127.255	DE
194.8.128.0	194.8.143.255	RU
194.8.144.0	194.8.147.255	UA
194.8.152.0	194.8.155.255	RU
194.8.156.0	194.8.159.255	UA
194.8.160.0	194.8.191.255	RU
194.8.192.0	194.8.223.255	DE
194.8.224.0	194.8.225.255	RU
194.8.226.0	194.8.227.255	FI
194.8.228.0	194.8.235.255	RU
194.8.236.0	194.8.237.255	NL
194.8.238.0	194.8.239.255	SK
194.8.240.0	194.8.241.255	UA
194.8.242.0	194.8.245.255	DK
194.8.246.0	194.8.247.255	RU
194.8.248.0	194.8.249.255	UA
194.8.250.0	194.8.251.255	MD
194.8.252.0	194.8.253.255	CZ
194.8.254.0	194.8.255.255	GB
194.9.0.0	194.9.1.255	LU
194.9.2.0	194.9.3.255	RU
194.9.4.0	194.9.5.255	DE
194.9.6.0	194.9.7.255	BG
194.9.8.0	194.9.9.255	SE
194.9.10.0	194.9.11.255	DE
194.9.12.0	194.9.13.255	MC
194.9.14.0	194.9.15.255	UA
194.9.16.0	194.9.17.255	PL
194.9.18.0	194.9.19.255	RU
194.9.20.0	194.9.21.255	CY
194.9.22.0	194.9.23.255	RO
194.9.24.0	194.9.25.255	PL
194.9.26.0	194.9.27.255	UA
194.9.28.0	194.9.29.255	GB
194.9.30.0	194.9.31.255	KZ
194.9.32.0	194.9.33.255	GB
194.9.34.0	194.9.35.255	CH
194.9.36.0	194.9.37.255	UA
194.9.38.0	194.9.39.255	RU
194.9.40.0	194.9.41.255	GB
194.9.44.0	194.9.45.255	CH
194.9.46.0	194.9.47.255	PL
194.9.48.0	194.9.49.255	NL
194.9.50.0	194.9.51.255	UA
194.9.52.0	194.9.53.255	PL
194.9.54.0	194.9.55.255	CH
194.9.56.0	194.9.57.255	RO
194.9.58.0	194.9.59.255	AT
194.9.60.0	194.9.61.255	RO
194.9.62.0	194.9.63.255	FR
194.9.64.0	194.9.65.255	KE
194.9.66.0	194.9.67.255	PL
194.9.68.0	194.9.71.255	UA
194.9.72.0	194.9.73.255	DE
194.9.74.0	194.9.75.255	SE
194.9.76.0	194.9.77.255	GB
194.9.78.0	194.9.79.255	PL
194.9.80.0	194.9.81.255	GB
194.9.82.0	194.9.83.255	KE
194.9.84.0	194.9.85.255	NL
194.9.86.0	194.9.89.255	DE
194.9.90.0	194.9.93.255	RO
194.9.94.0	194.9.116.255	SE
194.9.117.0	194.9.119.255	DE
194.9.120.0	194.9.123.255	CH
194.9.124.0	194.9.166.255	DE
194.9.167.0	194.9.167.255	RO
194.9.168.0	194.9.169.255	DE
194.9.170.0	194.9.171.255	LV
194.9.172.0	194.9.173.255	GB
194.9.174.0	194.9.174.255	TR
194.9.175.0	194.9.175.255	LV
194.9.176.0	194.9.179.255	BE
194.9.180.0	194.9.181.255	AT
194.9.182.0	194.9.183.255	DE
194.9.184.0	194.9.187.255	FR
194.9.188.0	194.9.191.255	GB
194.9.192.0	194.9.207.255	DE
194.9.208.0	194.9.219.255	GB
194.9.220.0	194.9.221.255	IT
194.9.222.0	194.9.222.255	FR
194.9.223.0	194.9.223.255	PL
194.9.224.0	194.9.239.255	RU
194.9.240.0	194.10.4.255	GB
194.10.5.0	194.10.5.255	NL
194.10.6.0	194.10.6.255	DE
194.10.7.0	194.10.7.255	GB
194.10.8.0	194.10.43.255	EU
194.10.44.0	194.10.44.255	GB
194.10.45.0	194.10.55.255	EU
194.10.56.0	194.10.57.255	BE
194.10.58.0	194.10.58.255	GB
194.10.59.0	194.10.59.255	FR
194.10.60.0	194.10.61.255	DE
194.10.62.0	194.10.67.255	FR
194.10.68.0	194.10.127.255	EU
194.10.128.0	194.10.129.255	GB
194.10.130.0	194.10.131.255	EU
194.10.132.0	194.10.133.255	GB
194.10.134.0	194.10.134.255	DE
194.10.135.0	194.10.135.255	DK
194.10.136.0	194.10.137.255	AT
194.10.138.0	194.10.138.255	DE
194.10.139.0	194.10.139.255	HU
194.10.140.0	194.10.140.255	BE
194.10.141.0	194.10.141.255	EU
194.10.142.0	194.10.142.255	GB
194.10.143.0	194.10.143.255	BE
194.10.144.0	194.10.144.255	GB
194.10.145.0	194.10.145.255	BE
194.10.146.0	194.10.146.255	NL
194.10.147.0	194.10.147.255	BE
194.10.148.0	194.10.148.255	GB
194.10.149.0	194.10.149.255	CH
194.10.150.0	194.10.150.255	BE
194.10.151.0	194.10.151.255	NO
194.10.152.0	194.10.161.255	GB
194.10.162.0	194.10.162.255	IE
194.10.163.0	194.10.163.255	NL
194.10.164.0	194.10.164.255	GB
194.10.165.0	194.10.165.255	CH
194.10.166.0	194.10.167.255	GB
194.10.168.0	194.10.183.255	EU
194.10.184.0	194.10.184.255	GB
194.10.185.0	194.10.185.191	BE
194.10.185.192	194.10.185.207	FR
194.10.185.208	194.10.185.215	BE
194.10.185.216	194.10.185.223	FR
194.10.185.224	194.10.185.247	BE
194.10.185.248	194.10.185.255	EU
194.10.186.0	194.10.186.255	GB
194.10.187.0	194.10.191.255	DE
194.10.192.0	194.10.192.255	PL
194.10.193.0	194.10.193.255	NL
194.10.194.0	194.10.194.255	CH
194.10.195.0	194.10.195.255	AT
194.10.196.0	194.10.199.255	FR
194.10.200.0	194.10.200.255	BE
194.10.201.0	194.10.201.255	EU
194.10.202.0	194.10.203.255	GB
194.10.204.0	194.10.204.255	BE
194.10.205.0	194.10.205.255	GB
194.10.206.0	194.10.206.255	BE
194.10.207.0	194.10.207.255	GB
194.10.208.0	194.10.211.255	AT
194.10.212.0	194.10.213.95	DE
194.10.213.96	194.10.213.255	GB
194.10.214.0	194.10.215.255	DE
194.10.216.0	194.10.223.255	EU
194.10.224.0	194.10.239.255	GB
194.10.240.0	194.10.243.255	EU
194.10.244.0	194.10.244.255	BE
194.10.245.0	194.10.245.255	DE
194.10.246.0	194.10.246.255	FR
194.10.247.0	194.10.247.255	GB
194.10.248.0	194.10.255.255	FR
194.11.0.0	194.11.15.255	CH
194.11.16.0	194.11.16.255	RU
194.11.17.0	194.11.19.255	GB
194.11.20.0	194.11.21.255	RU
194.11.22.0	194.11.22.255	PL
194.11.23.0	194.11.23.255	PT
194.11.24.0	194.11.24.255	PL
194.11.25.0	194.11.25.255	PT
194.11.26.0	194.11.26.255	FR
194.11.27.0	194.11.27.255	AT
194.11.28.0	194.11.28.255	UA
194.11.29.0	194.11.29.255	RU
194.11.30.0	194.11.169.255	CH
194.11.170.0	194.11.170.255	DE
194.11.171.0	194.11.171.255	AT
194.11.172.0	194.11.199.255	CH
194.11.200.0	194.11.201.255	DE
194.11.202.0	194.11.223.255	CH
194.11.224.0	194.11.224.255	BE
194.11.225.0	194.11.246.255	CH
194.11.247.0	194.11.247.255	RU
194.11.248.0	194.11.252.255	CH
194.11.253.0	194.11.254.255	DE
194.11.255.0	194.11.255.255	CH
194.12.0.0	194.12.31.255	SE
194.12.32.0	194.12.47.255	CZ
194.12.48.0	194.12.63.255	SE
194.12.96.0	194.12.127.255	UA
194.12.128.0	194.12.191.255	CH
194.12.192.0	194.12.223.255	DE
194.12.224.0	194.12.255.255	BG
194.13.0.0	194.13.110.255	NL
194.13.111.0	194.13.111.255	GR
194.13.112.0	194.13.134.255	NL
194.13.135.0	194.13.135.255	DE
194.13.136.0	194.13.255.255	NL
194.14.0.0	194.14.164.255	SE
194.14.165.0	194.14.165.255	GB
194.14.166.0	194.14.187.255	SE
194.14.188.0	194.14.189.255	DK
194.14.190.0	194.14.255.255	SE
194.15.0.0	194.15.140.255	DE
194.15.141.0	194.15.141.255	SE
194.15.142.0	194.15.146.255	DE
194.15.147.0	194.15.147.255	UA
194.15.148.0	194.15.211.255	DE
194.15.212.0	194.15.212.255	SE
194.15.213.0	194.15.213.255	ES
194.15.214.0	194.15.227.255	DE
194.15.228.0	194.15.229.255	CH
194.15.230.0	194.15.230.255	DE
194.15.231.0	194.15.231.255	CH
194.15.232.0	194.15.255.255	DE
194.16.0.0	194.16.89.47	SE
194.16.89.48	194.16.89.51	DK
194.16.89.52	194.17.59.63	SE
194.17.59.64	194.17.59.71	DK
194.17.59.72	194.18.255.255	SE
194.19.0.0	194.19.127.255	NO
194.19.128.0	194.19.193.255	DK
194.19.194.0	194.19.194.255	SE
194.19.195.0	194.19.199.255	DK
194.19.200.0	194.19.201.255	SE
194.19.202.0	194.19.223.255	DK
194.19.224.0	194.19.255.255	LV
194.20.0.0	194.21.33.255	IT
194.21.34.0	194.21.35.255	SE
194.21.36.0	194.21.121.255	IT
194.21.122.0	194.21.122.255	SM
194.21.123.0	194.21.255.255	IT
194.22.0.0	194.22.1.255	SE
194.22.2.0	194.22.2.255	NL
194.22.3.0	194.22.7.255	SE
194.22.8.0	194.22.16.255	NL
194.22.17.0	194.22.31.255	SE
194.22.32.0	194.22.47.255	DE
194.22.48.0	194.22.63.255	SE
194.22.64.0	194.22.95.255	NO
194.22.96.0	194.23.226.255	SE
194.23.227.0	194.23.227.255	DE
194.23.228.0	194.23.255.255	SE
194.24.0.0	194.24.127.255	CH
194.24.128.0	194.24.159.255	AT
194.24.160.0	194.24.161.255	DE
194.24.162.0	194.24.163.255	UA
194.24.164.0	194.24.165.255	PL
194.24.166.0	194.24.167.255	GB
194.24.168.0	194.24.169.255	TR
194.24.170.0	194.24.171.255	GR
194.24.172.0	194.24.173.255	DE
194.24.174.0	194.24.175.255	PL
194.24.176.0	194.24.179.255	RO
194.24.180.0	194.24.181.255	PL
194.24.182.0	194.24.187.255	UA
194.24.188.0	194.24.189.255	GB
194.24.190.0	194.24.191.255	UA
194.24.192.0	194.24.223.255	DE
194.24.224.0	194.24.225.255	TR
194.24.226.0	194.24.227.255	GR
194.24.228.0	194.24.229.255	FR
194.24.230.0	194.24.231.255	DE
194.24.232.0	194.24.233.255	GB
194.24.234.0	194.24.235.255	RO
194.24.236.0	194.24.237.255	UA
194.24.238.0	194.24.239.255	PL
194.24.240.0	194.24.241.255	RU
194.24.242.0	194.24.243.255	DE
194.24.244.0	194.24.245.255	PL
194.24.246.0	194.24.247.255	UA
194.24.250.0	194.24.251.255	GB
194.24.252.0	194.24.253.255	NO
194.24.254.0	194.24.255.255	GB
194.25.0.0	194.25.35.239	DE
194.25.35.240	194.25.35.247	GB
194.25.35.248	194.25.99.79	DE
194.25.99.80	194.25.99.87	GB
194.25.99.88	194.25.111.135	DE
194.25.111.136	194.25.111.143	US
194.25.111.144	194.25.118.63	DE
194.25.118.64	194.25.118.79	ES
194.25.118.80	194.25.119.167	DE
194.25.119.168	194.25.119.175	IT
194.25.119.176	194.25.131.223	DE
194.25.131.224	194.25.131.231	BE
194.25.131.232	194.25.255.255	DE
194.26.0.0	194.26.12.239	NL
194.26.12.240	194.26.12.247	FR
194.26.12.248	194.26.21.255	NL
194.26.22.0	194.26.23.255	GR
194.26.24.0	194.26.24.255	BE
194.26.25.0	194.26.25.255	DE
194.26.26.0	194.26.113.255	NL
194.26.114.0	194.26.114.255	GB
194.26.115.0	194.26.116.255	NL
194.26.117.0	194.26.117.255	GB
194.26.118.0	194.26.157.255	NL
194.26.158.0	194.26.159.255	DE
194.26.160.0	194.26.175.255	NL
194.26.176.0	194.26.183.255	DE
194.26.184.0	194.26.255.255	NL
194.27.0.0	194.27.255.255	TR
194.28.0.0	194.28.3.255	FI
194.28.4.0	194.28.7.255	UA
194.28.8.0	194.28.11.255	GB
194.28.12.0	194.28.15.255	PL
194.28.16.0	194.28.19.255	UA
194.28.20.0	194.28.23.255	RU
194.28.24.0	194.28.27.255	DK
194.28.28.0	194.28.31.255	RU
194.28.32.0	194.28.35.255	PL
194.28.36.0	194.28.39.255	UA
194.28.40.0	194.28.43.255	PL
194.28.44.0	194.28.47.255	UA
194.28.48.0	194.28.51.255	PL
194.28.52.0	194.28.55.255	UA
194.28.56.0	194.28.59.255	RU
194.28.60.0	194.28.71.255	UA
194.28.72.0	194.28.75.255	RU
194.28.76.0	194.28.79.255	MD
194.28.80.0	194.28.83.255	PL
194.28.84.0	194.28.91.255	UA
194.28.92.0	194.28.99.255	RU
194.28.100.0	194.28.103.255	UA
194.28.104.0	194.28.107.255	PL
194.28.108.0	194.28.111.255	SI
194.28.112.0	194.28.115.255	MD
194.28.116.0	194.28.119.255	IT
194.28.120.0	194.28.123.255	SE
194.28.128.0	194.28.131.255	RS
194.28.132.0	194.28.135.255	UA
194.28.136.0	194.28.139.255	GB
194.28.140.0	194.28.147.255	UA
194.28.148.0	194.28.151.255	DE
194.28.152.0	194.28.155.255	RU
194.28.156.0	194.28.159.255	GB
194.28.160.0	194.28.163.255	RU
194.28.164.0	194.28.167.255	GB
194.28.168.0	194.28.171.255	PL
194.28.172.0	194.28.183.255	UA
194.28.184.0	194.28.187.255	RU
194.28.188.0	194.28.191.255	PL
194.28.192.0	194.28.195.255	RU
194.28.196.0	194.28.199.255	UA
194.28.200.0	194.28.203.255	PL
194.28.204.0	194.28.219.255	RU
194.28.220.0	194.28.223.255	PL
194.28.224.0	194.28.227.255	RU
194.28.228.0	194.28.231.255	PL
194.28.232.0	194.28.235.255	RO
194.28.236.0	194.28.243.255	RU
194.28.244.0	194.28.247.255	GB
194.28.248.0	194.28.255.255	DK
194.29.0.0	194.29.31.255	CH
194.29.32.0	194.29.47.255	IL
194.29.48.0	194.29.51.255	GR
194.29.52.0	194.29.55.255	IT
194.29.56.0	194.29.59.255	CH
194.29.60.0	194.29.63.255	UA
194.29.64.0	194.29.66.255	BE
194.29.67.0	194.29.67.255	GB
194.29.68.0	194.29.69.255	IT
194.29.70.0	194.29.70.255	NL
194.29.71.0	194.29.71.255	GB
194.29.72.0	194.29.72.255	DE
194.29.73.0	194.29.73.255	NL
194.29.74.0	194.29.75.255	GB
194.29.76.0	194.29.80.255	EU
194.29.81.0	194.29.81.255	BE
194.29.82.0	194.29.82.255	GB
194.29.83.0	194.29.96.255	EU
194.29.97.0	194.29.98.255	BE
194.29.99.0	194.29.99.255	AT
194.29.100.0	194.29.101.255	GR
194.29.102.0	194.29.113.255	EU
194.29.114.0	194.29.114.255	AT
194.29.115.0	194.29.115.255	EU
194.29.116.0	194.29.117.255	AT
194.29.118.0	194.29.119.255	SE
194.29.120.0	194.29.120.255	DE
194.29.121.0	194.29.127.255	EU
194.29.128.0	194.29.183.255	PL
194.29.184.0	194.29.187.255	UA
194.29.188.0	194.29.191.255	DE
194.29.192.0	194.29.199.255	FI
194.29.200.0	194.29.203.255	NO
194.29.204.0	194.29.204.255	IT
194.29.205.0	194.29.205.255	UA
194.29.206.0	194.29.206.255	FR
194.29.207.0	194.29.207.255	DK
194.29.208.0	194.29.215.255	TR
194.29.216.0	194.29.223.255	GB
194.29.224.0	194.29.255.255	DE
194.30.0.0	194.30.127.255	ES
194.30.128.0	194.30.159.255	CY
194.30.160.0	194.30.160.255	NL
194.30.161.0	194.30.161.255	RO
194.30.162.0	194.30.162.255	DE
194.30.163.0	194.30.163.255	UA
194.30.164.0	194.30.164.255	PL
194.30.165.0	194.30.165.255	RU
194.30.166.0	194.30.166.255	GB
194.30.167.0	194.30.167.255	DE
194.30.168.0	194.30.168.255	UA
194.30.169.0	194.30.169.255	SE
194.30.170.0	194.30.170.255	UA
194.30.171.0	194.30.171.255	GB
194.30.172.0	194.30.172.255	UA
194.30.173.0	194.30.174.255	DE
194.30.175.0	194.30.175.255	NL
194.30.176.0	194.30.176.255	CH
194.30.177.0	194.30.177.255	RO
194.30.178.0	194.30.178.255	DE
194.30.179.0	194.30.179.255	PL
194.30.180.0	194.30.180.255	DE
194.30.181.0	194.30.181.255	CH
194.30.182.0	194.30.182.255	NL
194.30.183.0	194.30.183.255	DE
194.30.184.0	194.30.184.255	GB
194.30.185.0	194.30.185.255	DE
194.30.186.0	194.30.186.255	GB
194.30.187.0	194.30.187.255	SK
194.30.188.0	194.30.188.255	NL
194.30.189.0	194.30.189.255	DK
194.30.190.0	194.30.190.255	RU
194.30.191.0	194.30.191.255	AT
194.30.192.0	194.30.255.255	GR
194.31.0.0	194.31.206.255	DE
194.31.207.0	194.31.207.255	CH
194.31.208.0	194.31.255.255	DE
194.32.0.0	194.32.149.255	GB
194.32.150.0	194.32.151.255	SE
194.32.152.0	194.33.11.255	GB
194.33.12.0	194.33.12.255	UA
194.33.13.0	194.33.13.255	GB
194.33.14.0	194.33.14.255	RO
194.33.15.0	194.33.15.255	UA
194.33.16.0	194.33.16.255	GB
194.33.17.0	194.33.19.255	DE
194.33.20.0	194.33.179.255	GB
194.33.180.0	194.33.181.255	UA
194.33.182.0	194.33.182.255	FR
194.33.183.0	194.33.183.255	GB
194.33.184.0	194.33.184.255	HU
194.33.185.0	194.33.185.255	PL
194.33.186.0	194.33.186.255	CH
194.33.187.0	194.33.187.255	PL
194.33.188.0	194.33.189.255	UA
194.33.190.0	194.33.190.255	SE
194.33.191.0	194.33.191.255	RU
194.33.192.0	194.34.11.255	GB
194.34.12.0	194.34.12.255	BG
194.34.13.0	194.34.197.255	GB
194.34.198.0	194.34.198.255	PL
194.34.199.0	194.36.21.255	GB
194.36.22.0	194.36.22.255	FR
194.36.23.0	194.36.159.255	GB
194.36.160.0	194.36.160.255	TR
194.36.161.0	194.36.161.255	RU
194.36.162.0	194.36.162.255	EE
194.36.163.0	194.36.163.255	GB
194.36.164.0	194.36.164.255	SA
194.36.165.0	194.36.165.255	PL
194.36.166.0	194.36.166.255	FR
194.36.167.0	194.36.167.255	BG
194.36.168.0	194.36.168.255	PL
194.36.169.0	194.36.223.255	GB
194.36.224.0	194.36.239.255	LU
194.36.240.0	194.36.255.255	GB
194.37.0.0	194.37.247.255	AT
194.37.248.0	194.37.248.255	UA
194.37.249.0	194.37.249.255	SE
194.37.250.0	194.37.251.255	AT
194.37.252.0	194.37.252.255	IT
194.37.253.0	194.37.254.255	AT
194.37.255.0	194.37.255.255	DE
194.38.0.0	194.38.63.255	SE
194.38.64.0	194.38.95.255	CH
194.38.96.0	194.38.127.255	HU
194.38.128.0	194.38.159.255	PT
194.38.160.0	194.38.162.159	CH
194.38.162.160	194.38.162.167	ES
194.38.162.168	194.38.255.255	CH
194.39.0.0	194.39.83.255	DE
194.39.84.0	194.39.84.255	PT
194.39.85.0	194.39.85.255	SI
194.39.86.0	194.39.140.255	DE
194.39.141.0	194.39.141.255	BE
194.39.142.0	194.39.143.255	GB
194.39.144.0	194.39.186.255	DE
194.39.187.0	194.39.187.255	CH
194.39.188.0	194.39.206.255	DE
194.39.207.0	194.39.207.255	FR
194.39.208.0	194.39.255.255	DE
194.40.0.0	194.40.255.255	CH
194.41.0.0	194.41.0.255	DE
194.41.1.0	194.41.1.255	GB
194.41.2.0	194.41.3.255	NL
194.41.4.0	194.41.7.255	IT
194.41.8.0	194.41.8.255	EU
194.41.9.0	194.41.9.255	IT
194.41.10.0	194.41.11.255	GB
194.41.12.0	194.41.15.255	BE
194.41.16.0	194.41.31.255	FI
194.41.32.0	194.41.32.255	ES
194.41.33.0	194.41.33.255	FI
194.41.34.0	194.41.35.255	DE
194.41.36.0	194.41.36.255	EU
194.41.37.0	194.41.39.255	DE
194.41.40.0	194.41.40.255	NL
194.41.41.0	194.41.42.255	SE
194.41.43.0	194.41.52.255	GB
194.41.53.0	194.41.54.255	NL
194.41.55.0	194.41.55.255	SE
194.41.56.0	194.41.56.255	GB
194.41.57.0	194.41.57.255	DE
194.41.58.0	194.41.58.255	FI
194.41.59.0	194.41.59.255	FR
194.41.60.0	194.41.61.255	EU
194.41.62.0	194.41.62.255	NL
194.41.63.0	194.41.95.255	CH
194.41.96.0	194.41.111.255	BE
194.41.112.0	194.41.120.255	CH
194.41.121.0	194.41.127.255	NL
194.41.128.0	194.41.228.247	CH
194.41.228.248	194.41.228.255	DK
194.41.229.0	194.41.255.255	CH
194.42.0.0	194.42.39.255	CY
194.42.40.0	194.42.40.255	PL
194.42.41.0	194.42.42.255	IT
194.42.43.0	194.42.43.255	PT
194.42.44.0	194.42.45.255	RO
194.42.46.0	194.42.46.255	DE
194.42.47.0	194.42.47.127	DK
194.42.47.128	194.42.47.255	DE
194.42.48.0	194.42.48.255	CH
194.42.49.0	194.42.49.255	DK
194.42.50.0	194.42.54.255	GR
194.42.55.0	194.42.55.31	DE
194.42.55.32	194.42.55.127	CH
194.42.55.128	194.42.55.159	ES
194.42.55.160	194.42.55.191	SE
194.42.55.192	194.42.55.223	DE
194.42.55.224	194.42.55.255	DK
194.42.56.0	194.42.63.255	IE
194.42.64.0	194.42.64.255	DE
194.42.65.0	194.42.66.31	GB
194.42.66.32	194.42.66.47	DE
194.42.66.48	194.42.66.63	GB
194.42.66.64	194.42.66.111	DE
194.42.66.112	194.42.66.255	GB
194.42.67.0	194.42.67.127	DE
194.42.67.128	194.42.67.255	GB
194.42.68.0	194.42.68.47	DE
194.42.68.48	194.42.68.127	GB
194.42.68.128	194.42.69.15	DE
194.42.69.16	194.42.71.255	GB
194.42.72.0	194.42.72.255	DE
194.42.73.0	194.42.75.15	GB
194.42.75.16	194.42.75.31	DE
194.42.75.32	194.42.75.95	GB
194.42.75.96	194.42.75.191	DE
194.42.75.192	194.42.75.255	GB
194.42.76.0	194.42.77.255	DE
194.42.78.0	194.42.78.223	GB
194.42.78.224	194.42.79.15	DE
194.42.79.16	194.42.79.63	GB
194.42.79.64	194.42.79.79	DE
194.42.79.80	194.42.79.255	GB
194.42.80.0	194.42.80.63	DE
194.42.80.64	194.42.80.127	GB
194.42.80.128	194.42.80.143	DE
194.42.80.144	194.42.81.255	GB
194.42.82.0	194.42.83.63	DE
194.42.83.64	194.42.83.127	GB
194.42.83.128	194.42.83.143	DE
194.42.83.144	194.42.83.159	GB
194.42.83.160	194.42.83.175	DE
194.42.83.176	194.42.83.191	GB
194.42.83.192	194.42.83.255	DE
194.42.84.0	194.42.84.255	GB
194.42.85.0	194.42.85.31	DE
194.42.85.32	194.42.85.63	GB
194.42.85.64	194.42.85.95	DE
194.42.85.96	194.42.85.159	GB
194.42.85.160	194.42.85.175	DE
194.42.85.176	194.42.85.239	GB
194.42.85.240	194.42.87.255	DE
194.42.88.0	194.42.88.63	GB
194.42.88.64	194.42.88.95	DE
194.42.88.96	194.42.88.223	GB
194.42.88.224	194.42.88.255	DE
194.42.89.0	194.42.89.47	GB
194.42.89.48	194.42.89.63	DE
194.42.89.64	194.42.89.127	GB
194.42.89.128	194.42.89.159	DE
194.42.89.160	194.42.89.191	GB
194.42.89.192	194.42.90.15	DE
194.42.90.16	194.42.90.127	GB
194.42.90.128	194.42.90.239	DE
194.42.90.240	194.42.90.255	GB
194.42.91.0	194.42.91.63	DE
194.42.91.64	194.42.91.127	GB
194.42.91.128	194.42.91.175	DE
194.42.91.176	194.42.91.191	GB
194.42.91.192	194.42.91.223	DE
194.42.91.224	194.42.92.255	GB
194.42.93.0	194.42.93.63	DE
194.42.93.64	194.42.93.255	GB
194.42.94.0	194.42.95.255	DE
194.42.96.0	194.42.97.255	MW
194.42.98.0	194.42.99.255	LU
194.42.100.0	194.42.105.255	RO
194.42.106.0	194.42.107.255	UA
194.42.108.0	194.42.109.255	DE
194.42.110.0	194.42.111.255	PL
194.42.112.0	194.42.113.255	UA
194.42.114.0	194.42.115.255	DE
194.42.116.0	194.42.121.255	PL
194.42.124.0	194.42.125.255	GB
194.42.126.0	194.42.127.255	RO
194.42.128.0	194.42.147.255	CY
194.42.148.0	194.42.148.3	GR
194.42.148.4	194.42.148.7	CY
194.42.148.8	194.42.148.23	GR
194.42.148.24	194.42.148.63	CY
194.42.148.64	194.42.148.127	GR
194.42.148.128	194.42.148.191	CY
194.42.148.192	194.42.148.223	GR
194.42.148.224	194.42.159.255	CY
194.42.160.0	194.42.162.127	CH
194.42.162.128	194.42.162.255	BE
194.42.163.0	194.42.163.255	GB
194.42.164.0	194.42.164.255	IT
194.42.165.0	194.42.170.255	BE
194.42.171.0	194.42.175.255	AT
194.42.176.0	194.42.191.255	DE
194.42.192.0	194.42.207.255	UA
194.42.208.0	194.42.209.255	BE
194.42.210.0	194.42.211.255	NL
194.42.212.0	194.42.212.255	LU
194.42.213.0	194.42.214.255	ES
194.42.215.0	194.42.215.255	GB
194.42.216.0	194.42.216.255	US
194.42.217.0	194.42.217.255	FR
194.42.218.0	194.42.219.255	BE
194.42.220.0	194.42.223.255	NL
194.42.224.0	194.43.255.255	GB
194.44.0.0	194.44.255.255	UA
194.45.0.0	194.45.7.255	DE
194.45.8.0	194.45.9.239	NL
194.45.9.240	194.45.9.247	DE
194.45.9.248	194.45.11.255	NL
194.45.12.0	194.45.13.255	DE
194.45.14.0	194.45.14.119	NL
194.45.14.120	194.45.14.127	DE
194.45.14.128	194.45.19.255	NL
194.45.20.0	194.45.27.255	DE
194.45.28.0	194.45.31.159	NL
194.45.31.160	194.45.31.167	DE
194.45.31.168	194.45.32.255	NL
194.45.33.0	194.45.56.255	DE
194.45.57.0	194.45.57.7	NL
194.45.57.8	194.45.57.15	DE
194.45.57.16	194.45.58.79	NL
194.45.58.80	194.45.58.87	DE
194.45.58.88	194.45.58.239	NL
194.45.58.240	194.45.58.247	DE
194.45.58.248	194.45.61.31	NL
194.45.61.32	194.45.61.39	DE
194.45.61.40	194.45.61.231	NL
194.45.61.232	194.45.61.239	DE
194.45.61.240	194.45.62.223	NL
194.45.62.224	194.45.62.231	DE
194.45.62.232	194.45.68.95	NL
194.45.68.96	194.45.68.103	DE
194.45.68.104	194.45.68.215	NL
194.45.68.216	194.45.68.223	DE
194.45.68.224	194.45.68.239	NL
194.45.68.240	194.45.68.247	DE
194.45.68.248	194.45.69.231	NL
194.45.69.232	194.45.69.239	DE
194.45.69.240	194.45.69.255	NL
194.45.70.0	194.45.71.255	DE
194.45.72.0	194.45.72.15	NL
194.45.72.16	194.45.72.23	DE
194.45.72.24	194.45.72.151	NL
194.45.72.152	194.45.72.159	DE
194.45.72.160	194.45.72.199	NL
194.45.72.200	194.45.72.207	DE
194.45.72.208	194.45.73.135	NL
194.45.73.136	194.45.73.143	DE
194.45.73.144	194.45.74.47	NL
194.45.74.48	194.45.74.55	DE
194.45.74.56	194.45.74.95	NL
194.45.74.96	194.45.74.103	DE
194.45.74.104	194.45.75.231	NL
194.45.75.232	194.45.75.239	DE
194.45.75.240	194.45.75.255	NL
194.45.76.0	194.45.79.255	DE
194.45.80.0	194.45.80.159	NL
194.45.80.160	194.45.80.167	DE
194.45.80.168	194.45.80.175	NL
194.45.80.176	194.45.80.183	DE
194.45.80.184	194.45.80.239	NL
194.45.80.240	194.45.80.247	DE
194.45.80.248	194.45.80.255	NL
194.45.81.0	194.45.81.7	DE
194.45.81.8	194.45.81.23	NL
194.45.81.24	194.45.81.31	DE
194.45.81.32	194.45.81.103	NL
194.45.81.104	194.45.81.111	DE
194.45.81.112	194.45.81.183	NL
194.45.81.184	194.45.81.191	DE
194.45.81.192	194.45.81.255	NL
194.45.82.0	194.45.82.7	DE
194.45.82.8	194.45.82.55	NL
194.45.82.56	194.45.82.63	DE
194.45.82.64	194.45.82.135	NL
194.45.82.136	194.45.82.143	DE
194.45.82.144	194.45.82.215	NL
194.45.82.216	194.45.82.223	DE
194.45.82.224	194.45.83.87	NL
194.45.83.88	194.45.83.95	DE
194.45.83.96	194.45.83.199	NL
194.45.83.200	194.45.83.207	DE
194.45.83.208	194.45.84.87	NL
194.45.84.88	194.45.84.95	DE
194.45.84.96	194.45.84.103	NL
194.45.84.104	194.45.84.111	DE
194.45.84.112	194.45.84.127	NL
194.45.84.128	194.45.84.135	DE
194.45.84.136	194.45.84.143	NL
194.45.84.144	194.45.84.151	DE
194.45.84.152	194.45.84.207	NL
194.45.84.208	194.45.84.215	DE
194.45.84.216	194.45.84.231	NL
194.45.84.232	194.45.84.239	DE
194.45.84.240	194.45.85.135	NL
194.45.85.136	194.45.85.151	DE
194.45.85.152	194.45.85.247	NL
194.45.85.248	194.45.85.255	DE
194.45.86.0	194.45.86.159	NL
194.45.86.160	194.45.86.167	DE
194.45.86.168	194.45.86.175	NL
194.45.86.176	194.45.86.183	DE
194.45.86.184	194.45.86.207	NL
194.45.86.208	194.45.86.223	DE
194.45.86.224	194.45.86.239	NL
194.45.86.240	194.45.86.247	DE
194.45.86.248	194.45.87.55	NL
194.45.87.56	194.45.87.63	DE
194.45.87.64	194.45.88.71	NL
194.45.88.72	194.45.88.79	DE
194.45.88.80	194.45.88.87	NL
194.45.88.88	194.45.88.95	DE
194.45.88.96	194.45.88.159	NL
194.45.88.160	194.45.88.167	DE
194.45.88.168	194.45.89.15	NL
194.45.89.16	194.45.89.23	DE
194.45.89.24	194.45.89.63	NL
194.45.89.64	194.45.89.79	DE
194.45.89.80	194.45.89.95	NL
194.45.89.96	194.45.89.103	DE
194.45.89.104	194.45.89.167	NL
194.45.89.168	194.45.89.175	DE
194.45.89.176	194.45.89.215	NL
194.45.89.216	194.45.89.223	DE
194.45.89.224	194.45.90.7	NL
194.45.90.8	194.45.90.15	DE
194.45.90.16	194.45.90.39	NL
194.45.90.40	194.45.90.47	DE
194.45.90.48	194.45.90.71	NL
194.45.90.72	194.45.90.79	DE
194.45.90.80	194.45.90.103	NL
194.45.90.104	194.45.90.119	DE
194.45.90.120	194.45.91.79	NL
194.45.91.80	194.45.91.87	DE
194.45.91.88	194.45.91.175	NL
194.45.91.176	194.45.91.183	DE
194.45.91.184	194.45.91.207	NL
194.45.91.208	194.45.91.223	DE
194.45.91.224	194.45.92.7	NL
194.45.92.8	194.45.92.15	DE
194.45.92.16	194.45.92.31	NL
194.45.92.32	194.45.92.39	DE
194.45.92.40	194.45.92.47	NL
194.45.92.48	194.45.92.55	DE
194.45.92.56	194.45.92.151	NL
194.45.92.152	194.45.92.159	DE
194.45.92.160	194.45.92.207	NL
194.45.92.208	194.45.92.215	DE
194.45.92.216	194.45.92.223	NL
194.45.92.224	194.45.92.231	DE
194.45.92.232	194.45.93.87	NL
194.45.93.88	194.45.93.103	DE
194.45.93.104	194.45.93.255	NL
194.45.94.0	194.45.107.255	DE
194.45.108.0	194.45.108.63	NL
194.45.108.64	194.45.108.71	DE
194.45.108.72	194.45.108.135	NL
194.45.108.136	194.45.108.151	DE
194.45.108.152	194.45.108.215	NL
194.45.108.216	194.45.108.223	DE
194.45.108.224	194.45.108.247	NL
194.45.108.248	194.45.108.255	DE
194.45.109.0	194.45.109.79	NL
194.45.109.80	194.45.109.87	DE
194.45.109.88	194.45.110.159	NL
194.45.110.160	194.45.110.167	DE
194.45.110.168	194.45.110.191	NL
194.45.110.192	194.45.110.199	DE
194.45.110.200	194.45.110.223	NL
194.45.110.224	194.45.110.239	DE
194.45.110.240	194.45.111.71	NL
194.45.111.72	194.45.111.79	DE
194.45.111.80	194.45.111.199	NL
194.45.111.200	194.45.111.207	DE
194.45.111.208	194.45.112.39	NL
194.45.112.40	194.45.112.55	DE
194.45.112.56	194.45.112.103	NL
194.45.112.104	194.45.112.111	DE
194.45.112.112	194.45.112.119	NL
194.45.112.120	194.45.112.135	DE
194.45.112.136	194.45.112.223	NL
194.45.112.224	194.45.112.239	DE
194.45.112.240	194.45.113.191	NL
194.45.113.192	194.45.113.199	DE
194.45.113.200	194.45.114.31	NL
194.45.114.32	194.45.114.39	DE
194.45.114.40	194.45.114.63	NL
194.45.114.64	194.45.114.71	DE
194.45.114.72	194.45.114.127	NL
194.45.114.128	194.45.114.135	DE
194.45.114.136	194.45.114.167	NL
194.45.114.168	194.45.114.175	DE
194.45.114.176	194.45.114.215	NL
194.45.114.216	194.45.114.223	DE
194.45.114.224	194.45.115.47	NL
194.45.115.48	194.45.115.55	DE
194.45.115.56	194.45.115.103	NL
194.45.115.104	194.45.115.111	DE
194.45.115.112	194.45.115.159	NL
194.45.115.160	194.45.115.175	DE
194.45.115.176	194.45.115.183	NL
194.45.115.184	194.45.115.191	DE
194.45.115.192	194.45.116.135	NL
194.45.116.136	194.45.116.143	DE
194.45.116.144	194.45.116.159	NL
194.45.116.160	194.45.116.167	DE
194.45.116.168	194.45.116.207	NL
194.45.116.208	194.45.116.215	DE
194.45.116.216	194.45.117.111	NL
194.45.117.112	194.45.117.119	DE
194.45.117.120	194.45.117.159	NL
194.45.117.160	194.45.117.175	DE
194.45.117.176	194.45.117.183	NL
194.45.117.184	194.45.117.191	DE
194.45.117.192	194.45.118.23	NL
194.45.118.24	194.45.118.31	DE
194.45.118.32	194.45.118.39	NL
194.45.118.40	194.45.118.47	DE
194.45.118.48	194.45.118.55	NL
194.45.118.56	194.45.118.63	DE
194.45.118.64	194.45.118.183	NL
194.45.118.184	194.45.118.191	DE
194.45.118.192	194.45.119.159	NL
194.45.119.160	194.45.119.183	DE
194.45.119.184	194.45.119.247	NL
194.45.119.248	194.45.119.255	DE
194.45.120.0	194.45.120.47	NL
194.45.120.48	194.45.120.55	DE
194.45.120.56	194.45.120.103	NL
194.45.120.104	194.45.120.119	DE
194.45.120.120	194.45.120.127	NL
194.45.120.128	194.45.120.135	DE
194.45.120.136	194.45.120.143	NL
194.45.120.144	194.45.120.159	DE
194.45.120.160	194.45.120.231	NL
194.45.120.232	194.45.120.239	DE
194.45.120.240	194.45.121.15	NL
194.45.121.16	194.45.121.23	DE
194.45.121.24	194.45.121.39	NL
194.45.121.40	194.45.121.47	DE
194.45.121.48	194.45.121.95	NL
194.45.121.96	194.45.121.103	DE
194.45.121.104	194.45.121.167	NL
194.45.121.168	194.45.121.175	DE
194.45.121.176	194.45.121.231	NL
194.45.121.232	194.45.121.239	DE
194.45.121.240	194.45.122.7	NL
194.45.122.8	194.45.122.15	DE
194.45.122.16	194.45.122.47	NL
194.45.122.48	194.45.122.55	DE
194.45.122.56	194.45.122.103	NL
194.45.122.104	194.45.122.111	DE
194.45.122.112	194.45.122.175	NL
194.45.122.176	194.45.122.183	DE
194.45.122.184	194.45.122.239	NL
194.45.122.240	194.45.122.247	DE
194.45.122.248	194.45.123.47	NL
194.45.123.48	194.45.123.55	DE
194.45.123.56	194.45.123.143	NL
194.45.123.144	194.45.123.151	DE
194.45.123.152	194.45.124.23	NL
194.45.124.24	194.45.124.31	DE
194.45.124.32	194.45.124.71	NL
194.45.124.72	194.45.124.79	DE
194.45.124.80	194.45.124.95	NL
194.45.124.96	194.45.124.103	DE
194.45.124.104	194.45.124.159	NL
194.45.124.160	194.45.124.167	DE
194.45.124.168	194.45.124.191	NL
194.45.124.192	194.45.124.199	DE
194.45.124.200	194.45.125.31	NL
194.45.125.32	194.45.125.47	DE
194.45.125.48	194.45.125.127	NL
194.45.125.128	194.45.125.135	DE
194.45.125.136	194.45.125.255	NL
194.45.126.0	194.45.127.255	DE
194.45.128.0	194.45.128.47	NL
194.45.128.48	194.45.128.55	DE
194.45.128.56	194.45.128.87	NL
194.45.128.88	194.45.128.95	DE
194.45.128.96	194.45.128.111	NL
194.45.128.112	194.45.128.127	DE
194.45.128.128	194.45.128.159	NL
194.45.128.160	194.45.128.167	DE
194.45.128.168	194.45.128.231	NL
194.45.128.232	194.45.128.239	DE
194.45.128.240	194.45.129.127	NL
194.45.129.128	194.45.129.135	DE
194.45.129.136	194.45.129.167	NL
194.45.129.168	194.45.129.175	DE
194.45.129.176	194.45.129.199	NL
194.45.129.200	194.45.129.215	DE
194.45.129.216	194.45.130.55	NL
194.45.130.56	194.45.130.63	DE
194.45.130.64	194.45.130.87	NL
194.45.130.88	194.45.130.95	DE
194.45.130.96	194.45.130.103	NL
194.45.130.104	194.45.130.111	DE
194.45.130.112	194.45.130.143	NL
194.45.130.144	194.45.130.151	DE
194.45.130.152	194.45.131.31	NL
194.45.131.32	194.45.131.39	DE
194.45.131.40	194.45.131.95	NL
194.45.131.96	194.45.131.103	DE
194.45.131.104	194.45.131.119	NL
194.45.131.120	194.45.131.135	DE
194.45.131.136	194.45.131.151	NL
194.45.131.152	194.45.131.159	DE
194.45.131.160	194.45.131.247	NL
194.45.131.248	194.45.131.255	DE
194.45.132.0	194.45.132.47	NL
194.45.132.48	194.45.132.55	DE
194.45.132.56	194.45.132.135	NL
194.45.132.136	194.45.132.143	DE
194.45.132.144	194.45.132.239	NL
194.45.132.240	194.45.132.247	DE
194.45.132.248	194.45.133.79	NL
194.45.133.80	194.45.133.87	DE
194.45.133.88	194.45.133.175	NL
194.45.133.176	194.45.133.183	DE
194.45.133.184	194.45.133.255	NL
194.45.134.0	194.45.135.255	DE
194.45.136.0	194.45.136.15	NL
194.45.136.16	194.45.136.31	DE
194.45.136.32	194.45.136.87	NL
194.45.136.88	194.45.136.95	DE
194.45.136.96	194.45.136.103	NL
194.45.136.104	194.45.136.111	DE
194.45.136.112	194.45.136.159	NL
194.45.136.160	194.45.136.167	DE
194.45.136.168	194.45.137.151	NL
194.45.137.152	194.45.137.159	DE
194.45.137.160	194.45.137.191	NL
194.45.137.192	194.45.137.199	DE
194.45.137.200	194.45.138.135	NL
194.45.138.136	194.45.138.159	DE
194.45.138.160	194.45.138.191	NL
194.45.138.192	194.45.138.199	DE
194.45.138.200	194.45.138.239	NL
194.45.138.240	194.45.138.247	DE
194.45.138.248	194.45.139.39	NL
194.45.139.40	194.45.139.47	DE
194.45.139.48	194.45.139.191	NL
194.45.139.192	194.45.139.199	DE
194.45.139.200	194.45.140.15	NL
194.45.140.16	194.45.140.23	DE
194.45.140.24	194.45.140.63	NL
194.45.140.64	194.45.140.71	DE
194.45.140.72	194.45.140.119	NL
194.45.140.120	194.45.140.127	DE
194.45.140.128	194.45.140.191	NL
194.45.140.192	194.45.140.199	DE
194.45.140.200	194.45.141.143	NL
194.45.141.144	194.45.141.159	DE
194.45.141.160	194.45.141.255	NL
194.45.142.0	194.45.155.255	DE
194.45.156.0	194.45.156.111	NL
194.45.156.112	194.45.156.119	DE
194.45.156.120	194.45.156.255	NL
194.45.157.0	194.45.157.7	DE
194.45.157.8	194.45.158.71	NL
194.45.158.72	194.45.158.79	DE
194.45.158.80	194.45.158.95	NL
194.45.158.96	194.45.158.103	DE
194.45.158.104	194.45.158.231	NL
194.45.158.232	194.45.158.239	DE
194.45.158.240	194.45.158.247	NL
194.45.158.248	194.45.158.255	DE
194.45.159.0	194.45.160.39	NL
194.45.160.40	194.45.160.47	DE
194.45.160.48	194.45.160.55	NL
194.45.160.56	194.45.160.63	DE
194.45.160.64	194.45.160.87	NL
194.45.160.88	194.45.160.95	DE
194.45.160.96	194.45.160.111	NL
194.45.160.112	194.45.160.119	DE
194.45.160.120	194.45.160.167	NL
194.45.160.168	194.45.160.175	DE
194.45.160.176	194.45.161.55	NL
194.45.161.56	194.45.161.63	DE
194.45.161.64	194.45.161.119	NL
194.45.161.120	194.45.161.127	DE
194.45.161.128	194.45.161.215	NL
194.45.161.216	194.45.161.223	DE
194.45.161.224	194.45.162.15	NL
194.45.162.16	194.45.162.23	DE
194.45.162.24	194.45.162.103	NL
194.45.162.104	194.45.162.111	DE
194.45.162.112	194.45.162.127	NL
194.45.162.128	194.45.162.135	DE
194.45.162.136	194.45.163.71	NL
194.45.163.72	194.45.163.79	DE
194.45.163.80	194.45.163.159	NL
194.45.163.160	194.45.163.167	DE
194.45.163.168	194.45.163.255	NL
194.45.164.0	194.45.169.255	DE
194.45.170.0	194.45.170.87	NL
194.45.170.88	194.45.170.95	DE
194.45.170.96	194.45.170.191	NL
194.45.170.192	194.45.170.199	DE
194.45.170.200	194.45.170.239	NL
194.45.170.240	194.45.170.247	DE
194.45.170.248	194.45.171.15	NL
194.45.171.16	194.45.171.31	DE
194.45.171.32	194.45.171.47	NL
194.45.171.48	194.45.171.55	DE
194.45.171.56	194.45.171.95	NL
194.45.171.96	194.45.171.103	DE
194.45.171.104	194.45.171.191	NL
194.45.171.192	194.45.171.199	DE
194.45.171.200	194.45.172.39	NL
194.45.172.40	194.45.172.47	DE
194.45.172.48	194.45.172.143	NL
194.45.172.144	194.45.172.167	DE
194.45.172.168	194.45.172.247	NL
194.45.172.248	194.45.172.255	DE
194.45.173.0	194.45.173.79	NL
194.45.173.80	194.45.173.87	DE
194.45.173.88	194.45.173.103	NL
194.45.173.104	194.45.173.111	DE
194.45.173.112	194.45.173.127	NL
194.45.173.128	194.45.173.135	DE
194.45.173.136	194.45.174.199	NL
194.45.174.200	194.45.174.207	DE
194.45.174.208	194.45.174.231	NL
194.45.174.232	194.45.174.239	DE
194.45.174.240	194.45.175.7	NL
194.45.175.8	194.45.175.15	DE
194.45.175.16	194.45.175.23	NL
194.45.175.24	194.45.175.31	DE
194.45.175.32	194.45.175.79	NL
194.45.175.80	194.45.175.95	DE
194.45.175.96	194.45.175.127	NL
194.45.175.128	194.45.175.135	DE
194.45.175.136	194.45.175.183	NL
194.45.175.184	194.45.175.191	DE
194.45.175.192	194.45.175.231	NL
194.45.175.232	194.45.175.239	DE
194.45.175.240	194.45.176.207	NL
194.45.176.208	194.45.176.215	DE
194.45.176.216	194.45.176.255	NL
194.45.177.0	194.45.177.7	DE
194.45.177.8	194.45.177.23	NL
194.45.177.24	194.45.177.31	DE
194.45.177.32	194.45.177.39	NL
194.45.177.40	194.45.177.47	DE
194.45.177.48	194.45.177.151	NL
194.45.177.152	194.45.177.159	DE
194.45.177.160	194.45.178.183	NL
194.45.178.184	194.45.178.199	DE
194.45.178.200	194.45.179.23	NL
194.45.179.24	194.45.179.31	DE
194.45.179.32	194.45.179.103	NL
194.45.179.104	194.45.179.111	DE
194.45.179.112	194.45.179.135	NL
194.45.179.136	194.45.179.151	DE
194.45.179.152	194.45.179.199	NL
194.45.179.200	194.45.179.207	DE
194.45.179.208	194.45.179.255	NL
194.45.180.0	194.45.185.255	DE
194.45.186.0	194.45.186.23	NL
194.45.186.24	194.45.186.31	DE
194.45.186.32	194.45.186.87	NL
194.45.186.88	194.45.186.95	DE
194.45.186.96	194.45.186.127	NL
194.45.186.128	194.45.186.135	DE
194.45.186.136	194.45.187.87	NL
194.45.187.88	194.45.187.95	DE
194.45.187.96	194.45.187.151	NL
194.45.187.152	194.45.187.159	DE
194.45.187.160	194.45.187.215	NL
194.45.187.216	194.45.187.223	DE
194.45.187.224	194.45.187.255	NL
194.45.188.0	194.45.188.7	DE
194.45.188.8	194.45.188.71	NL
194.45.188.72	194.45.188.79	DE
194.45.188.80	194.45.188.183	NL
194.45.188.184	194.45.188.191	DE
194.45.188.192	194.45.189.79	NL
194.45.189.80	194.45.189.87	DE
194.45.189.88	194.45.189.143	NL
194.45.189.144	194.45.189.151	DE
194.45.189.152	194.45.189.167	NL
194.45.189.168	194.45.189.175	DE
194.45.189.176	194.45.190.87	NL
194.45.190.88	194.45.190.103	DE
194.45.190.104	194.45.190.135	NL
194.45.190.136	194.45.190.143	DE
194.45.190.144	194.45.191.15	NL
194.45.191.16	194.45.191.23	DE
194.45.191.24	194.45.191.71	NL
194.45.191.72	194.45.191.79	DE
194.45.191.80	194.45.191.103	NL
194.45.191.104	194.45.191.111	DE
194.45.191.112	194.45.191.127	NL
194.45.191.128	194.45.191.135	DE
194.45.191.136	194.45.191.151	NL
194.45.191.152	194.45.191.159	DE
194.45.191.160	194.45.191.167	NL
194.45.191.168	194.45.191.175	DE
194.45.191.176	194.45.191.239	NL
194.45.191.240	194.45.191.247	DE
194.45.191.248	194.45.193.7	NL
194.45.193.8	194.45.193.15	DE
194.45.193.16	194.45.193.47	NL
194.45.193.48	194.45.193.55	DE
194.45.193.56	194.45.193.71	NL
194.45.193.72	194.45.193.79	DE
194.45.193.80	194.45.193.151	NL
194.45.193.152	194.45.193.159	DE
194.45.193.160	194.45.193.231	NL
194.45.193.232	194.45.193.239	DE
194.45.193.240	194.45.194.127	NL
194.45.194.128	194.45.194.135	DE
194.45.194.136	194.45.194.207	NL
194.45.194.208	194.45.194.215	DE
194.45.194.216	194.45.194.255	NL
194.45.195.0	194.45.195.7	DE
194.45.195.8	194.45.195.15	NL
194.45.195.16	194.45.195.31	DE
194.45.195.32	194.45.195.111	NL
194.45.195.112	194.45.195.119	DE
194.45.195.120	194.45.195.135	NL
194.45.195.136	194.45.195.143	DE
194.45.195.144	194.45.195.167	NL
194.45.195.168	194.45.195.183	DE
194.45.195.184	194.45.195.255	NL
194.45.196.0	194.45.201.255	DE
194.45.202.0	194.45.202.7	NL
194.45.202.8	194.45.202.15	DE
194.45.202.16	194.45.202.39	NL
194.45.202.40	194.45.202.47	DE
194.45.202.48	194.45.202.231	NL
194.45.202.232	194.45.202.247	DE
194.45.202.248	194.45.203.119	NL
194.45.203.120	194.45.203.127	DE
194.45.203.128	194.45.203.143	NL
194.45.203.144	194.45.203.151	DE
194.45.203.152	194.45.204.7	NL
194.45.204.8	194.45.204.15	DE
194.45.204.16	194.45.204.31	NL
194.45.204.32	194.45.204.39	DE
194.45.204.40	194.45.204.143	NL
194.45.204.144	194.45.204.151	DE
194.45.204.152	194.45.204.231	NL
194.45.204.232	194.45.204.239	DE
194.45.204.240	194.45.205.63	NL
194.45.205.64	194.45.205.71	DE
194.45.205.72	194.45.205.111	NL
194.45.205.112	194.45.205.119	DE
194.45.205.120	194.45.205.135	NL
194.45.205.136	194.45.205.143	DE
194.45.205.144	194.45.205.207	NL
194.45.205.208	194.45.205.215	DE
194.45.205.216	194.45.206.31	NL
194.45.206.32	194.45.206.39	DE
194.45.206.40	194.45.206.79	NL
194.45.206.80	194.45.206.87	DE
194.45.206.88	194.45.206.135	NL
194.45.206.136	194.45.206.143	DE
194.45.206.144	194.45.206.159	NL
194.45.206.160	194.45.206.167	DE
194.45.206.168	194.45.206.183	NL
194.45.206.184	194.45.206.191	DE
194.45.206.192	194.45.206.215	NL
194.45.206.216	194.45.206.239	DE
194.45.206.240	194.45.206.255	NL
194.45.207.0	194.45.207.7	DE
194.45.207.8	194.45.207.15	NL
194.45.207.16	194.45.207.23	DE
194.45.207.24	194.45.207.87	NL
194.45.207.88	194.45.207.95	DE
194.45.207.96	194.45.207.175	NL
194.45.207.176	194.45.207.191	DE
194.45.207.192	194.45.207.223	NL
194.45.207.224	194.45.207.231	DE
194.45.207.232	194.45.207.255	NL
194.45.208.0	194.45.217.255	DE
194.45.218.0	194.45.218.255	NL
194.45.219.0	194.45.219.7	DE
194.45.219.8	194.45.219.63	NL
194.45.219.64	194.45.219.71	DE
194.45.219.72	194.45.219.95	NL
194.45.219.96	194.45.219.103	DE
194.45.219.104	194.45.219.255	NL
194.45.220.0	194.45.220.15	DE
194.45.220.16	194.45.220.31	NL
194.45.220.32	194.45.220.39	DE
194.45.220.40	194.45.220.71	NL
194.45.220.72	194.45.220.87	DE
194.45.220.88	194.45.221.63	NL
194.45.221.64	194.45.221.71	DE
194.45.221.72	194.45.221.79	NL
194.45.221.80	194.45.221.95	DE
194.45.221.96	194.45.221.119	NL
194.45.221.120	194.45.221.127	DE
194.45.221.128	194.45.221.135	NL
194.45.221.136	194.45.221.143	DE
194.45.221.144	194.45.221.207	NL
194.45.221.208	194.45.221.215	DE
194.45.221.216	194.45.222.223	NL
194.45.222.224	194.45.222.231	DE
194.45.222.232	194.45.223.159	NL
194.45.223.160	194.45.223.167	DE
194.45.223.168	194.45.223.223	NL
194.45.223.224	194.45.223.231	DE
194.45.223.232	194.45.223.247	NL
194.45.223.248	194.45.223.255	DE
194.45.224.0	194.45.224.15	NL
194.45.224.16	194.45.224.23	DE
194.45.224.24	194.45.224.47	NL
194.45.224.48	194.45.224.55	DE
194.45.224.56	194.45.224.63	NL
194.45.224.64	194.45.224.71	DE
194.45.224.72	194.45.224.191	NL
194.45.224.192	194.45.224.199	DE
194.45.224.200	194.45.224.255	NL
194.45.225.0	194.45.225.7	DE
194.45.225.8	194.45.225.23	NL
194.45.225.24	194.45.225.31	DE
194.45.225.32	194.45.225.79	NL
194.45.225.80	194.45.225.87	DE
194.45.225.88	194.45.225.183	NL
194.45.225.184	194.45.225.199	DE
194.45.225.200	194.45.225.215	NL
194.45.225.216	194.45.225.223	DE
194.45.225.224	194.45.225.239	NL
194.45.225.240	194.45.225.247	DE
194.45.225.248	194.45.225.255	NL
194.45.226.0	194.45.227.255	DE
194.45.228.0	194.45.228.111	NL
194.45.228.112	194.45.228.119	DE
194.45.228.120	194.45.229.47	NL
194.45.229.48	194.45.229.55	DE
194.45.229.56	194.45.229.79	NL
194.45.229.80	194.45.229.87	DE
194.45.229.88	194.45.229.103	NL
194.45.229.104	194.45.229.111	DE
194.45.229.112	194.45.229.231	NL
194.45.229.232	194.45.229.239	DE
194.45.229.240	194.45.230.7	NL
194.45.230.8	194.45.230.15	DE
194.45.230.16	194.45.230.63	NL
194.45.230.64	194.45.230.71	DE
194.45.230.72	194.45.230.95	NL
194.45.230.96	194.45.230.111	DE
194.45.230.112	194.45.230.167	NL
194.45.230.168	194.45.230.175	DE
194.45.230.176	194.45.230.191	NL
194.45.230.192	194.45.230.199	DE
194.45.230.200	194.45.230.215	NL
194.45.230.216	194.45.230.223	DE
194.45.230.224	194.45.231.15	NL
194.45.231.16	194.45.231.23	DE
194.45.231.24	194.45.231.71	NL
194.45.231.72	194.45.231.79	DE
194.45.231.80	194.45.231.87	NL
194.45.231.88	194.45.231.95	DE
194.45.231.96	194.45.231.255	NL
194.45.232.0	194.45.237.255	DE
194.45.238.0	194.45.238.23	NL
194.45.238.24	194.45.238.31	DE
194.45.238.32	194.45.238.47	NL
194.45.238.48	194.45.238.55	DE
194.45.238.56	194.45.238.87	NL
194.45.238.88	194.45.238.95	DE
194.45.238.96	194.45.238.207	NL
194.45.238.208	194.45.238.215	DE
194.45.238.216	194.45.238.239	NL
194.45.238.240	194.45.238.247	DE
194.45.238.248	194.45.239.31	NL
194.45.239.32	194.45.239.39	DE
194.45.239.40	194.45.239.47	NL
194.45.239.48	194.45.239.55	DE
194.45.239.56	194.45.239.111	NL
194.45.239.112	194.45.239.119	DE
194.45.239.120	194.45.239.183	NL
194.45.239.184	194.45.239.199	DE
194.45.239.200	194.45.240.15	NL
194.45.240.16	194.45.240.39	DE
194.45.240.40	194.45.240.159	NL
194.45.240.160	194.45.240.175	DE
194.45.240.176	194.45.240.199	NL
194.45.240.200	194.45.240.207	DE
194.45.240.208	194.45.240.247	NL
194.45.240.248	194.45.240.255	DE
194.45.241.0	194.45.241.127	NL
194.45.241.128	194.45.241.135	DE
194.45.241.136	194.45.241.183	NL
194.45.241.184	194.45.241.199	DE
194.45.241.200	194.45.241.255	NL
194.45.242.0	194.45.242.15	DE
194.45.242.16	194.45.242.23	NL
194.45.242.24	194.45.242.31	DE
194.45.242.32	194.45.242.39	NL
194.45.242.40	194.45.242.47	DE
194.45.242.48	194.45.242.71	NL
194.45.242.72	194.45.242.79	DE
194.45.242.80	194.45.242.175	NL
194.45.242.176	194.45.242.183	DE
194.45.242.184	194.45.242.247	NL
194.45.242.248	194.45.242.255	DE
194.45.243.0	194.45.243.23	NL
194.45.243.24	194.45.243.31	DE
194.45.243.32	194.45.243.39	NL
194.45.243.40	194.45.243.55	DE
194.45.243.56	194.45.243.95	NL
194.45.243.96	194.45.243.103	DE
194.45.243.104	194.45.243.127	NL
194.45.243.128	194.45.243.143	DE
194.45.243.144	194.45.244.15	NL
194.45.244.16	194.45.244.23	DE
194.45.244.24	194.45.244.39	NL
194.45.244.40	194.45.244.47	DE
194.45.244.48	194.45.244.135	NL
194.45.244.136	194.45.244.143	DE
194.45.244.144	194.45.244.215	NL
194.45.244.216	194.45.244.223	DE
194.45.244.224	194.45.244.239	NL
194.45.244.240	194.45.244.255	DE
194.45.245.0	194.45.245.87	NL
194.45.245.88	194.45.245.95	DE
194.45.245.96	194.45.245.119	NL
194.45.245.120	194.45.245.127	DE
194.45.245.128	194.45.245.135	NL
194.45.245.136	194.45.245.143	DE
194.45.245.144	194.45.245.151	NL
194.45.245.152	194.45.245.159	DE
194.45.245.160	194.45.245.207	NL
194.45.245.208	194.45.245.215	DE
194.45.245.216	194.45.246.95	NL
194.45.246.96	194.45.246.103	DE
194.45.246.104	194.45.246.127	NL
194.45.246.128	194.45.246.135	DE
194.45.246.136	194.45.246.143	NL
194.45.246.144	194.45.246.159	DE
194.45.246.160	194.45.246.191	NL
194.45.246.192	194.45.246.199	DE
194.45.246.200	194.45.246.207	NL
194.45.246.208	194.45.246.215	DE
194.45.246.216	194.45.247.127	NL
194.45.247.128	194.45.247.135	DE
194.45.247.136	194.45.247.143	NL
194.45.247.144	194.45.247.151	DE
194.45.247.152	194.45.247.231	NL
194.45.247.232	194.45.247.239	DE
194.45.247.240	194.45.247.247	NL
194.45.247.248	194.45.247.255	DE
194.45.248.0	194.45.248.95	NL
194.45.248.96	194.45.248.103	DE
194.45.248.104	194.45.248.207	NL
194.45.248.208	194.45.248.215	DE
194.45.248.216	194.45.249.15	NL
194.45.249.16	194.45.249.23	DE
194.45.249.24	194.45.249.159	NL
194.45.249.160	194.45.249.167	DE
194.45.249.168	194.45.250.63	NL
194.45.250.64	194.45.250.71	DE
194.45.250.72	194.45.250.143	NL
194.45.250.144	194.45.250.151	DE
194.45.250.152	194.45.250.191	NL
194.45.250.192	194.45.250.199	DE
194.45.250.200	194.45.251.111	NL
194.45.251.112	194.45.251.119	DE
194.45.251.120	194.45.251.135	NL
194.45.251.136	194.45.251.151	DE
194.45.251.152	194.45.251.159	NL
194.45.251.160	194.45.251.167	DE
194.45.251.168	194.45.251.239	NL
194.45.251.240	194.45.251.247	DE
194.45.251.248	194.45.252.15	NL
194.45.252.16	194.45.252.23	DE
194.45.252.24	194.45.253.47	NL
194.45.253.48	194.45.253.55	DE
194.45.253.56	194.45.253.127	NL
194.45.253.128	194.45.253.135	DE
194.45.253.136	194.45.253.159	NL
194.45.253.160	194.45.253.167	DE
194.45.253.168	194.45.254.47	NL
194.45.254.48	194.45.254.55	DE
194.45.254.56	194.45.254.87	NL
194.45.254.88	194.45.254.95	DE
194.45.254.96	194.45.255.47	NL
194.45.255.48	194.45.255.55	DE
194.45.255.56	194.45.255.207	NL
194.45.255.208	194.45.255.215	DE
194.45.255.216	194.45.255.255	NL
194.46.0.0	194.46.127.255	GB
194.46.128.0	194.46.129.255	IE
194.46.130.0	194.46.135.255	GB
194.46.136.0	194.46.139.255	IE
194.46.140.0	194.46.159.255	GB
194.46.160.0	194.46.193.255	IE
194.46.194.0	194.46.223.255	GB
194.46.224.0	194.46.255.255	IE
194.47.0.0	194.47.255.255	SE
194.48.0.0	194.48.0.255	AT
194.48.1.0	194.48.1.255	SE
194.48.2.0	194.48.174.255	AT
194.48.175.0	194.48.175.255	UA
194.48.176.0	194.48.203.255	AT
194.48.204.0	194.48.204.255	GB
194.48.205.0	194.48.205.255	SE
194.48.206.0	194.48.206.255	BG
194.48.207.0	194.48.207.255	ES
194.48.208.0	194.48.208.255	FR
194.48.209.0	194.48.209.255	UA
194.48.210.0	194.48.210.255	GB
194.48.211.0	194.48.211.255	DE
194.48.212.0	194.48.212.255	UA
194.48.213.0	194.48.213.255	SE
194.48.214.0	194.48.214.255	NL
194.48.215.0	194.48.215.255	CH
194.48.216.0	194.48.216.255	PL
194.48.217.0	194.48.217.255	GB
194.48.218.0	194.48.218.255	RU
194.48.219.0	194.48.219.255	PL
194.48.220.0	194.48.240.255	AT
194.48.241.0	194.48.241.255	CZ
194.48.242.0	194.48.255.255	AT
194.49.0.0	194.49.49.255	DE
194.49.50.0	194.49.51.255	RU
194.49.52.0	194.49.255.255	DE
194.50.0.0	194.50.0.255	UA
194.50.1.0	194.50.5.255	CZ
194.50.6.0	194.50.6.255	RU
194.50.7.0	194.50.8.255	RO
194.50.9.0	194.50.9.255	UA
194.50.10.0	194.50.10.255	RU
194.50.11.0	194.50.11.255	RO
194.50.12.0	194.50.27.255	CZ
194.50.28.0	194.50.28.255	AT
194.50.29.0	194.50.29.255	FR
194.50.30.0	194.50.32.255	GB
194.50.33.0	194.50.33.255	DE
194.50.34.0	194.50.34.255	LI
194.50.35.0	194.50.35.255	SA
194.50.36.0	194.50.36.255	DE
194.50.37.0	194.50.37.255	PL
194.50.38.0	194.50.39.255	FR
194.50.40.0	194.50.40.255	DK
194.50.41.0	194.50.41.255	GB
194.50.42.0	194.50.43.255	GR
194.50.44.0	194.50.44.255	RO
194.50.45.0	194.50.45.255	CH
194.50.46.0	194.50.46.255	GB
194.50.47.0	194.50.47.255	DE
194.50.48.0	194.50.48.255	NL
194.50.49.0	194.50.49.255	PL
194.50.50.0	194.50.50.255	RO
194.50.51.0	194.50.51.255	UA
194.50.52.0	194.50.52.255	GB
194.50.53.0	194.50.53.255	PL
194.50.54.0	194.50.56.255	GB
194.50.57.0	194.50.57.255	DK
194.50.58.0	194.50.58.255	DE
194.50.59.0	194.50.59.255	GB
194.50.60.0	194.50.60.255	FR
194.50.61.0	194.50.61.255	PL
194.50.62.0	194.50.62.255	BE
194.50.63.0	194.50.63.255	RO
194.50.64.0	194.50.67.255	CZ
194.50.68.0	194.50.70.255	DE
194.50.71.0	194.50.71.255	IL
194.50.72.0	194.50.72.255	RO
194.50.73.0	194.50.73.255	BG
194.50.74.0	194.50.74.255	FR
194.50.75.0	194.50.75.255	PL
194.50.76.0	194.50.76.255	BG
194.50.77.0	194.50.78.255	FR
194.50.79.0	194.50.79.255	UA
194.50.80.0	194.50.80.255	GB
194.50.81.0	194.50.81.255	UA
194.50.82.0	194.50.82.255	NL
194.50.83.0	194.50.83.255	PL
194.50.84.0	194.50.84.255	TR
194.50.85.0	194.50.85.255	UA
194.50.86.0	194.50.86.255	GB
194.50.87.0	194.50.87.255	RU
194.50.88.0	194.50.88.255	GB
194.50.89.0	194.50.89.255	PL
194.50.90.0	194.50.90.255	GB
194.50.91.0	194.50.91.255	BE
194.50.92.0	194.50.92.255	FR
194.50.93.0	194.50.93.255	DE
194.50.94.0	194.50.94.255	GB
194.50.95.0	194.50.95.255	FR
194.50.96.0	194.50.96.255	NL
194.50.97.0	194.50.97.255	BE
194.50.98.0	194.50.98.255	UA
194.50.99.0	194.50.99.255	NL
194.50.100.0	194.50.100.255	CZ
194.50.101.0	194.50.101.255	HU
194.50.102.0	194.50.102.255	NL
194.50.103.0	194.50.104.255	RU
194.50.105.0	194.50.105.255	LV
194.50.106.0	194.50.107.255	SE
194.50.108.0	194.50.108.255	GB
194.50.109.0	194.50.109.255	AT
194.50.110.0	194.50.110.255	PL
194.50.111.0	194.50.111.255	LT
194.50.112.0	194.50.112.255	NL
194.50.113.0	194.50.113.255	DE
194.50.114.0	194.50.114.255	UA
194.50.115.0	194.50.115.255	AT
194.50.116.0	194.50.116.255	UA
194.50.118.0	194.50.118.255	GB
194.50.119.0	194.50.119.255	UA
194.50.120.0	194.50.120.255	RU
194.50.121.0	194.50.121.255	GB
194.50.122.0	194.50.122.255	BG
194.50.123.0	194.50.123.255	PL
194.50.124.0	194.50.124.255	BE
194.50.125.0	194.50.125.255	UA
194.50.126.0	194.50.126.255	RO
194.50.127.0	194.50.127.255	FR
194.50.128.0	194.50.159.255	CZ
194.50.160.0	194.50.160.255	DE
194.50.161.0	194.50.161.255	UA
194.50.162.0	194.50.162.255	DE
194.50.163.0	194.50.163.255	NL
194.50.164.0	194.50.164.255	DE
194.50.165.0	194.50.165.255	GB
194.50.166.0	194.50.166.255	SI
194.50.167.0	194.50.167.255	UA
194.50.168.0	194.50.168.255	FI
194.50.169.0	194.50.169.255	UA
194.50.170.0	194.50.170.255	RO
194.50.171.0	194.50.171.255	DK
194.50.172.0	194.50.172.255	CH
194.50.173.0	194.50.173.255	AT
194.50.174.0	194.50.174.255	RO
194.50.175.0	194.50.175.255	IL
194.50.176.0	194.50.176.255	CH
194.50.177.0	194.50.177.255	BE
194.50.178.0	194.50.178.255	CH
194.50.179.0	194.50.179.255	TR
194.50.180.0	194.50.180.255	PL
194.50.181.0	194.50.181.255	SE
194.50.182.0	194.50.182.255	DE
194.50.183.0	194.50.183.255	AE
194.50.184.0	194.50.184.255	SE
194.50.185.0	194.50.185.255	GB
194.50.186.0	194.50.186.255	PL
194.50.187.0	194.50.187.255	DE
194.50.188.0	194.50.190.255	CZ
194.50.191.0	194.50.191.255	DE
194.50.192.0	194.50.207.255	CZ
194.50.208.0	194.50.208.255	DK
194.50.209.0	194.50.213.255	CZ
194.50.214.0	194.50.214.255	PL
194.50.215.0	194.50.251.255	CZ
194.50.252.0	194.50.252.255	PL
194.50.253.0	194.50.253.255	AT
194.50.254.0	194.50.254.255	UA
194.50.255.0	194.50.255.255	RU
194.51.0.0	194.51.25.255	FR
194.51.26.0	194.51.26.255	MC
194.51.27.0	194.51.162.255	FR
194.51.163.0	194.51.163.255	BJ
194.51.164.0	194.51.176.255	FR
194.51.177.0	194.51.177.255	ES
194.51.178.0	194.51.255.255	FR
194.52.0.0	194.52.170.255	SE
194.52.171.0	194.52.175.255	NO
194.52.176.0	194.52.244.255	SE
194.52.245.0	194.52.245.255	NO
194.52.246.0	194.52.246.255	SE
194.52.247.0	194.52.249.255	NO
194.52.250.0	194.52.255.255	SE
194.53.0.0	194.53.75.255	NL
194.53.76.0	194.53.79.255	FR
194.53.80.0	194.53.171.255	NL
194.53.172.0	194.53.172.255	BE
194.53.173.0	194.53.174.255	NL
194.53.175.0	194.53.175.255	GB
194.53.176.0	194.53.255.255	NL
194.54.0.0	194.54.7.255	DE
194.54.8.0	194.54.11.255	GB
194.54.12.0	194.54.15.255	RU
194.54.16.0	194.54.27.255	PL
194.54.28.0	194.54.31.255	SE
194.54.32.0	194.54.63.255	TR
194.54.64.0	194.54.67.255	RU
194.54.68.0	194.54.71.255	NO
194.54.72.0	194.54.75.255	DE
194.54.76.0	194.54.83.255	UA
194.54.84.0	194.54.87.255	PL
194.54.88.0	194.54.91.255	UA
194.54.92.0	194.54.95.255	DE
194.54.96.0	194.54.127.255	NO
194.54.128.0	194.54.131.255	RO
194.54.132.0	194.54.135.255	RU
194.54.136.0	194.54.139.255	NO
194.54.140.0	194.54.143.255	BG
194.54.144.0	194.54.147.255	NL
194.54.148.0	194.54.151.255	RU
194.54.152.0	194.54.163.255	UA
194.54.164.0	194.54.167.255	SE
194.54.168.0	194.54.171.255	IL
194.54.172.0	194.54.175.255	IM
194.54.176.0	194.54.179.255	RU
194.54.180.0	194.54.183.255	RS
194.54.184.0	194.54.187.255	UA
194.54.188.0	194.54.191.255	PL
194.54.192.0	194.54.255.255	KW
194.55.0.0	194.55.168.255	DE
194.55.169.0	194.55.169.255	RO
194.55.170.0	194.55.255.255	DE
194.56.0.0	194.56.206.26	CH
194.56.206.27	194.56.206.27	FR
194.56.206.28	194.56.210.255	CH
194.56.211.0	194.56.211.255	PL
194.56.212.0	194.56.213.255	CH
194.56.214.0	194.56.214.255	DE
194.56.215.0	194.56.215.255	IL
194.56.216.0	194.56.255.255	CH
194.57.0.0	194.57.255.255	FR
194.58.0.0	194.58.174.255	RU
194.58.175.0	194.58.175.255	UA
194.58.176.0	194.58.255.255	RU
194.59.0.0	194.59.175.255	DE
194.59.176.0	194.59.176.255	RU
194.59.177.0	194.59.178.255	AT
194.59.179.0	194.59.179.255	DE
194.59.180.0	194.59.180.255	FR
194.59.181.0	194.59.181.255	DE
194.59.182.0	194.59.182.255	SI
194.59.183.0	194.59.183.255	DE
194.59.184.0	194.59.184.255	RU
194.59.185.0	194.59.185.255	SI
194.59.186.0	194.59.186.255	RU
194.59.187.0	194.59.187.255	DE
194.59.188.0	194.59.188.255	GB
194.59.189.0	194.59.255.255	DE
194.60.0.0	194.60.63.255	GB
194.60.64.0	194.60.67.255	FR
194.60.68.0	194.60.68.255	DE
194.60.69.0	194.60.69.255	UA
194.60.70.0	194.60.70.255	CH
194.60.71.0	194.60.71.255	NL
194.60.72.0	194.60.72.255	RO
194.60.73.0	194.60.73.255	TR
194.60.74.0	194.60.74.255	SI
194.60.75.0	194.60.75.255	NO
194.60.76.0	194.60.76.255	ES
194.60.77.0	194.60.77.255	UA
194.60.78.0	194.60.78.255	DE
194.60.79.0	194.60.79.255	PL
194.60.80.0	194.60.80.255	SE
194.60.81.0	194.60.81.255	CH
194.60.82.0	194.60.82.255	RO
194.60.83.0	194.60.135.255	GB
194.60.136.0	194.60.143.255	DE
194.60.144.0	194.60.203.255	GB
194.60.204.0	194.60.204.255	DE
194.60.205.0	194.60.205.255	RU
194.60.206.0	194.60.206.255	BE
194.60.207.0	194.60.207.255	NL
194.60.208.0	194.60.216.255	GB
194.60.217.0	194.60.217.255	CH
194.60.218.0	194.61.95.255	GB
194.61.96.0	194.61.111.255	LU
194.61.112.0	194.61.157.255	GB
194.61.158.0	194.61.158.255	SE
194.61.159.0	194.61.255.255	GB
194.62.0.0	194.62.0.255	RU
194.62.1.0	194.62.21.255	GB
194.62.22.0	194.62.22.255	RO
194.62.23.0	194.62.23.255	DE
194.62.24.0	194.62.63.255	GB
194.62.64.0	194.62.64.255	BY
194.62.65.0	194.62.232.255	GB
194.62.233.0	194.62.233.255	RU
194.62.234.0	194.62.234.255	FR
194.62.235.0	194.62.235.255	GB
194.62.236.0	194.62.236.255	DE
194.62.238.0	194.63.127.255	GB
194.63.128.0	194.63.135.255	PL
194.63.136.0	194.63.139.255	BG
194.63.140.0	194.63.147.255	RU
194.63.148.0	194.63.151.255	CH
194.63.152.0	194.63.155.255	RO
194.63.156.0	194.63.159.255	RU
194.63.160.0	194.63.247.255	GR
194.63.248.0	194.63.255.255	NO
194.64.0.0	194.64.190.255	DE
194.64.191.0	194.64.191.3	ES
194.64.191.4	194.64.224.103	DE
194.64.224.104	194.64.224.107	ES
194.64.224.108	194.64.225.87	DE
194.64.225.88	194.64.225.91	ES
194.64.225.92	194.64.226.135	DE
194.64.226.136	194.64.226.139	ES
194.64.226.140	194.64.227.119	DE
194.64.227.120	194.64.227.123	ES
194.64.227.124	194.64.227.231	DE
194.64.227.232	194.64.227.239	IT
194.64.227.240	194.64.228.255	DE
194.64.229.0	194.64.229.47	GB
194.64.229.48	194.64.234.207	DE
194.64.234.208	194.64.234.215	GB
194.64.234.216	194.64.239.55	DE
194.64.239.56	194.64.239.63	IT
194.64.239.64	194.64.241.127	DE
194.64.241.128	194.64.241.131	ES
194.64.241.132	194.64.255.255	DE
194.65.0.0	194.65.86.255	PT
194.65.87.0	194.65.87.255	GW
194.65.88.0	194.65.255.255	PT
194.66.0.0	194.66.255.255	GB
194.67.0.0	194.67.191.255	RU
194.67.192.0	194.67.193.255	BY
194.67.194.0	194.67.204.255	RU
194.67.205.0	194.67.206.255	TM
194.67.207.0	194.67.210.255	KZ
194.67.211.0	194.67.212.255	TJ
194.67.213.0	194.67.215.255	AZ
194.67.216.0	194.67.217.255	UZ
194.67.218.0	194.67.219.255	AM
194.67.220.0	194.67.220.255	RU
194.67.221.0	194.67.222.255	KZ
194.67.223.0	194.67.223.255	DE
194.67.224.0	194.67.255.255	RU
194.68.0.0	194.68.1.255	SE
194.68.2.0	194.68.2.255	CH
194.68.3.0	194.68.128.255	SE
194.68.129.0	194.68.129.255	FR
194.68.130.0	194.68.218.255	SE
194.68.219.0	194.68.219.255	IT
194.68.220.0	194.68.255.255	SE
194.69.0.0	194.69.0.255	DE
194.69.1.0	194.69.1.255	AE
194.69.2.0	194.69.5.255	CH
194.69.6.0	194.69.15.255	SE
194.69.16.0	194.69.31.255	NL
194.69.32.0	194.69.32.255	FR
194.69.33.0	194.69.35.255	DK
194.69.36.0	194.69.37.255	DE
194.69.38.0	194.69.41.255	EU
194.69.42.0	194.69.43.255	GB
194.69.44.0	194.69.59.255	EU
194.69.60.0	194.69.63.255	CH
194.69.64.0	194.69.64.39	GB
194.69.64.40	194.69.64.47	BE
194.69.64.48	194.69.64.71	GB
194.69.64.72	194.69.64.79	FR
194.69.64.80	194.69.64.95	GB
194.69.64.96	194.69.64.127	BE
194.69.64.128	194.69.64.231	GB
194.69.64.232	194.69.64.239	BE
194.69.64.240	194.69.64.255	GB
194.69.65.0	194.69.65.63	CH
194.69.65.64	194.69.65.71	GB
194.69.65.72	194.69.65.79	AT
194.69.65.80	194.69.65.135	GB
194.69.65.136	194.69.65.143	DK
194.69.65.144	194.69.65.151	GB
194.69.65.152	194.69.65.159	IT
194.69.65.160	194.69.65.199	GB
194.69.65.200	194.69.65.207	FR
194.69.65.208	194.69.67.15	GB
194.69.67.16	194.69.67.31	IT
194.69.67.32	194.69.67.47	GB
194.69.67.48	194.69.67.55	SE
194.69.67.56	194.69.67.63	DK
194.69.67.64	194.69.67.71	FR
194.69.67.72	194.69.67.159	GB
194.69.67.160	194.69.67.175	DE
194.69.67.176	194.69.67.215	GB
194.69.67.216	194.69.67.223	DK
194.69.67.224	194.69.67.247	GB
194.69.67.248	194.69.67.255	BE
194.69.68.0	194.69.68.7	GB
194.69.68.8	194.69.68.15	BE
194.69.68.16	194.69.68.23	DK
194.69.68.24	194.69.68.71	GB
194.69.68.72	194.69.68.79	BE
194.69.68.80	194.69.68.111	GB
194.69.68.112	194.69.68.127	LU
194.69.68.128	194.69.68.143	GB
194.69.68.144	194.69.68.151	CH
194.69.68.152	194.69.68.167	GB
194.69.68.168	194.69.68.175	DK
194.69.68.176	194.69.69.35	GB
194.69.69.36	194.69.69.39	NL
194.69.69.40	194.69.69.111	GB
194.69.69.112	194.69.69.115	FR
194.69.69.116	194.69.70.15	GB
194.69.70.16	194.69.70.23	FR
194.69.70.24	194.69.70.71	GB
194.69.70.72	194.69.70.79	BY
194.69.70.80	194.69.70.179	GB
194.69.70.180	194.69.70.183	NL
194.69.70.184	194.69.70.203	GB
194.69.70.204	194.69.70.207	BE
194.69.70.208	194.69.70.247	GB
194.69.70.248	194.69.70.255	AT
194.69.71.0	194.69.72.255	GB
194.69.73.0	194.69.73.7	FR
194.69.73.8	194.69.73.167	GB
194.69.73.168	194.69.73.175	NL
194.69.73.176	194.69.127.255	GB
194.69.128.0	194.69.143.255	DE
194.69.144.0	194.69.146.255	GB
194.69.147.0	194.69.147.255	JP
194.69.148.0	194.69.148.255	US
194.69.149.0	194.69.159.255	GB
194.69.160.0	194.69.167.255	CH
194.69.168.0	194.69.168.255	GB
194.69.169.0	194.69.169.255	IE
194.69.170.0	194.69.170.255	CH
194.69.171.0	194.69.175.255	EU
194.69.176.0	194.69.176.255	SE
194.69.177.0	194.69.177.255	DE
194.69.178.0	194.69.179.255	CH
194.69.180.0	194.69.180.255	SE
194.69.181.0	194.69.183.255	CH
194.69.184.0	194.69.191.255	NL
194.69.192.0	194.69.193.255	IT
194.69.194.0	194.69.195.255	FR
194.69.196.0	194.69.197.255	CH
194.69.198.0	194.69.199.255	IE
194.69.200.0	194.69.202.255	NO
194.69.203.0	194.69.203.255	GB
194.69.204.0	194.69.204.255	NL
194.69.205.0	194.69.205.255	DE
194.69.206.0	194.69.206.255	TR
194.69.207.0	194.69.207.255	PL
194.69.208.0	194.69.223.255	NO
194.69.224.0	194.69.255.255	ES
194.70.0.0	194.70.255.255	GB
194.71.0.0	194.71.8.255	SE
194.71.9.0	194.71.9.255	IT
194.71.10.0	194.71.94.255	SE
194.71.95.0	194.71.95.255	IT
194.71.96.0	194.71.106.255	SE
194.71.107.0	194.71.107.255	DE
194.71.108.0	194.71.125.255	SE
194.71.126.0	194.71.126.255	KH
194.71.127.0	194.71.231.255	SE
194.71.232.0	194.71.235.255	GB
194.71.236.0	194.71.255.255	SE
194.72.0.0	194.72.32.255	GB
194.72.33.0	194.72.33.255	ES
194.72.34.0	194.72.35.255	GB
194.72.36.0	194.72.36.255	CH
194.72.37.0	194.72.37.255	GB
194.72.38.0	194.72.38.255	ES
194.72.39.0	194.72.51.255	GB
194.72.52.0	194.72.52.255	IM
194.72.53.0	194.72.66.255	GB
194.72.67.0	194.72.67.255	ES
194.72.68.0	194.72.76.255	GB
194.72.77.0	194.72.77.255	ES
194.72.78.0	194.72.78.255	GB
194.72.79.0	194.72.79.255	ES
194.72.80.0	194.72.87.255	GB
194.72.88.0	194.72.89.255	NL
194.72.90.0	194.72.167.255	GB
194.72.168.0	194.72.175.255	NL
194.72.176.0	194.72.183.255	GB
194.72.184.0	194.72.185.255	LB
194.72.186.0	194.72.223.255	GB
194.72.224.0	194.72.224.255	ES
194.72.225.0	194.72.249.255	GB
194.72.250.0	194.72.250.255	ES
194.72.251.0	194.73.48.31	GB
194.73.48.32	194.73.48.39	ES
194.73.48.40	194.73.49.223	GB
194.73.49.224	194.73.49.255	ES
194.73.50.0	194.73.51.159	GB
194.73.51.160	194.73.51.175	IR
194.73.51.176	194.73.67.255	GB
194.73.68.0	194.73.69.255	ES
194.73.70.0	194.73.91.255	GB
194.73.92.0	194.73.93.255	ES
194.73.94.0	194.73.95.255	IT
194.73.96.0	194.73.127.255	GB
194.73.128.0	194.73.128.255	ES
194.73.129.0	194.73.137.255	GB
194.73.138.0	194.73.138.255	FR
194.73.139.0	194.73.142.255	GB
194.73.143.0	194.73.143.255	IM
194.73.144.0	194.73.144.255	GB
194.73.145.0	194.73.145.255	IE
194.73.146.0	194.73.196.255	GB
194.73.197.0	194.73.197.255	DE
194.73.198.0	194.73.198.255	GB
194.73.199.0	194.73.199.255	DE
194.73.200.0	194.73.201.255	GB
194.73.202.0	194.73.202.255	FR
194.73.203.0	194.73.218.255	GB
194.73.219.0	194.73.219.255	DE
194.73.220.0	194.73.249.255	GB
194.73.250.0	194.73.251.255	CH
194.73.252.0	194.74.2.255	GB
194.74.3.0	194.74.3.255	ES
194.74.4.0	194.74.9.255	GB
194.74.10.0	194.74.10.255	IM
194.74.11.0	194.74.14.255	GB
194.74.15.0	194.74.15.255	DE
194.74.16.0	194.74.23.255	GB
194.74.24.0	194.74.24.255	ES
194.74.25.0	194.74.31.255	GB
194.74.32.0	194.74.32.255	ES
194.74.33.0	194.74.35.255	GB
194.74.36.0	194.74.36.255	BE
194.74.37.0	194.74.38.255	GB
194.74.39.0	194.74.39.255	DE
194.74.40.0	194.74.41.255	GB
194.74.42.0	194.74.42.255	ES
194.74.43.0	194.74.43.255	GB
194.74.44.0	194.74.45.255	ES
194.74.46.0	194.74.49.255	GB
194.74.50.0	194.74.50.255	BE
194.74.51.0	194.74.79.255	GB
194.74.80.0	194.74.87.255	NL
194.74.88.0	194.74.106.255	GB
194.74.107.0	194.74.107.255	BE
194.74.108.0	194.74.109.255	GB
194.74.110.0	194.74.110.159	BE
194.74.110.160	194.74.110.191	GB
194.74.110.192	194.74.110.255	BE
194.74.111.0	194.74.119.255	GB
194.74.120.0	194.74.120.7	CH
194.74.120.8	194.74.120.39	GB
194.74.120.40	194.74.120.47	CH
194.74.120.48	194.74.120.255	GB
194.74.121.0	194.74.121.255	CH
194.74.122.0	194.75.2.255	GB
194.75.3.0	194.75.3.31	ES
194.75.3.32	194.75.5.255	GB
194.75.6.0	194.75.6.255	ES
194.75.7.0	194.75.25.255	GB
194.75.26.0	194.75.28.31	DE
194.75.28.32	194.75.219.255	GB
194.75.220.0	194.75.220.7	FR
194.75.220.8	194.75.220.127	GB
194.75.220.128	194.75.220.191	FR
194.75.220.192	194.75.222.255	GB
194.75.223.0	194.75.223.255	FR
194.75.224.0	194.75.255.255	GB
194.76.0.0	194.76.209.255	DE
194.76.210.0	194.76.210.255	AT
194.76.211.0	194.76.238.255	DE
194.76.239.0	194.76.239.255	AT
194.76.240.0	194.77.100.47	DE
194.77.100.48	194.77.100.55	GB
194.77.100.56	194.77.255.255	DE
194.78.0.0	194.78.255.255	BE
194.79.0.0	194.79.3.255	DE
194.79.4.0	194.79.7.255	RU
194.79.8.0	194.79.11.255	UA
194.79.12.0	194.79.15.255	BG
194.79.16.0	194.79.19.255	FI
194.79.20.0	194.79.23.255	UA
194.79.24.0	194.79.27.255	PL
194.79.28.0	194.79.31.255	GB
194.79.32.0	194.79.35.255	RU
194.79.36.0	194.79.39.255	DE
194.79.40.0	194.79.43.255	RS
194.79.44.0	194.79.47.255	RU
194.79.48.0	194.79.51.255	FR
194.79.52.0	194.79.55.255	CZ
194.79.56.0	194.79.59.255	IT
194.79.60.0	194.79.63.255	UA
194.79.64.0	194.79.95.255	PT
194.79.96.0	194.79.127.255	EG
194.79.128.0	194.79.191.255	FR
194.79.192.0	194.79.223.255	IT
194.79.224.0	194.79.239.255	NL
194.79.240.0	194.79.243.255	GB
194.79.244.0	194.79.249.255	DE
194.79.250.0	194.79.251.255	RU
194.79.252.0	194.79.253.255	GR
194.79.254.0	194.79.255.255	NL
194.80.0.0	194.83.71.207	GB
194.83.71.208	194.83.71.223	GR
194.83.71.224	194.83.255.255	GB
194.84.0.0	194.84.14.255	RU
194.84.15.0	194.84.15.255	KZ
194.84.16.0	194.84.74.63	RU
194.84.74.64	194.84.74.255	BY
194.84.75.0	194.84.144.255	RU
194.84.145.0	194.84.145.255	BY
194.84.146.0	194.85.11.255	RU
194.85.12.0	194.85.12.255	AZ
194.85.13.0	194.85.15.255	RU
194.85.16.0	194.85.20.255	KZ
194.85.21.0	194.85.253.255	RU
194.85.254.0	194.85.255.255	BY
194.86.0.0	194.86.255.255	FI
194.87.0.0	194.87.255.255	RU
194.88.0.0	194.88.0.255	DE
194.88.1.0	194.88.1.255	UA
194.88.3.0	194.88.3.255	PL
194.88.4.0	194.88.4.255	IE
194.88.5.0	194.88.5.255	DK
194.88.6.0	194.88.6.255	RO
194.88.7.0	194.88.7.255	CH
194.88.8.0	194.88.8.255	AT
194.88.9.0	194.88.9.255	CH
194.88.10.0	194.88.10.255	DE
194.88.11.0	194.88.11.255	RU
194.88.12.0	194.88.12.255	PL
194.88.13.0	194.88.13.255	DE
194.88.14.0	194.88.14.255	RU
194.88.15.0	194.88.15.255	ES
194.88.16.0	194.88.26.255	DE
194.88.27.0	194.88.27.255	GB
194.88.28.0	194.88.31.255	SE
194.88.32.0	194.88.48.255	HU
194.88.49.0	194.88.49.31	RO
194.88.49.32	194.88.49.95	HU
194.88.49.96	194.88.49.103	RO
194.88.49.104	194.88.63.255	HU
194.88.64.0	194.88.95.255	GB
194.88.96.0	194.88.127.255	BE
194.88.128.0	194.88.129.255	PL
194.88.130.0	194.88.131.255	HU
194.88.132.0	194.88.133.255	GB
194.88.134.0	194.88.135.255	RO
194.88.136.0	194.88.137.255	IL
194.88.138.0	194.88.141.255	RU
194.88.142.0	194.88.143.255	PT
194.88.144.0	194.88.145.255	NO
194.88.146.0	194.88.149.255	RO
194.88.150.0	194.88.153.255	UA
194.88.154.0	194.88.155.255	PL
194.88.156.0	194.88.157.255	FR
194.88.158.0	194.88.159.255	PL
194.88.160.0	194.88.191.255	DE
194.88.192.0	194.88.193.255	CH
194.88.194.0	194.88.195.255	RO
194.88.196.0	194.88.197.255	CH
194.88.198.0	194.88.199.255	DE
194.88.200.0	194.88.201.255	RU
194.88.202.0	194.88.203.255	RO
194.88.204.0	194.88.205.255	RU
194.88.206.0	194.88.207.255	UA
194.88.208.0	194.88.211.255	RU
194.88.212.0	194.88.213.255	CH
194.88.214.0	194.88.215.255	PL
194.88.218.0	194.88.221.255	UA
194.88.222.0	194.88.223.255	FR
194.88.224.0	194.88.225.255	PL
194.88.226.0	194.88.227.255	RO
194.88.228.0	194.88.229.255	BG
194.88.230.0	194.88.231.255	NL
194.88.232.0	194.88.235.255	SE
194.88.236.0	194.88.237.255	NL
194.88.238.0	194.88.239.255	RO
194.88.240.0	194.88.241.255	IE
194.88.242.0	194.88.243.255	GB
194.88.244.0	194.88.245.255	PL
194.88.246.0	194.88.247.255	FR
194.88.248.0	194.88.249.255	RO
194.88.250.0	194.88.251.255	BG
194.88.252.0	194.88.253.255	RU
194.88.254.0	194.88.255.255	SE
194.89.0.0	194.89.3.255	FI
194.89.4.0	194.89.4.255	DE
194.89.5.0	194.89.5.255	DK
194.89.6.0	194.89.52.255	FI
194.89.53.0	194.89.53.255	ES
194.89.54.0	194.89.217.255	FI
194.89.218.0	194.89.218.255	ES
194.89.219.0	194.89.219.255	GB
194.89.220.0	194.89.220.255	FI
194.89.221.0	194.89.222.255	DE
194.89.223.0	194.89.223.255	IT
194.89.224.0	194.89.255.255	FI
194.90.0.0	194.90.255.255	IL
194.91.0.0	194.91.220.255	IT
194.91.221.0	194.91.221.15	BE
194.91.221.16	194.91.255.255	IT
194.92.0.0	194.92.255.255	PL
194.93.0.0	194.93.3.255	DK
194.93.4.0	194.93.4.255	GB
194.93.5.0	194.93.64.255	DK
194.93.65.0	194.93.65.255	IT
194.93.66.0	194.93.66.255	NL
194.93.67.0	194.93.67.255	ES
194.93.68.0	194.93.68.255	GB
194.93.69.0	194.93.69.255	FI
194.93.70.0	194.93.70.255	PT
194.93.71.0	194.93.71.255	SE
194.93.72.0	194.93.72.255	AT
194.93.73.0	194.93.75.255	SE
194.93.76.0	194.93.79.255	AT
194.93.80.0	194.93.91.255	SE
194.93.92.0	194.93.95.255	ES
194.93.96.0	194.93.98.255	CH
194.93.99.0	194.93.100.255	EU
194.93.101.0	194.93.102.255	NL
194.93.103.0	194.93.111.255	DE
194.93.112.0	194.93.122.255	CH
194.93.123.0	194.93.123.255	DE
194.93.124.0	194.93.127.255	FR
194.93.128.0	194.93.159.255	GB
194.93.160.0	194.93.191.255	UA
194.93.192.0	194.95.255.255	DE
194.96.0.0	194.96.255.255	AT
194.97.0.0	194.97.51.191	DE
194.97.51.192	194.97.51.255	US
194.97.52.0	194.97.131.255	DE
194.97.132.0	194.97.132.255	CH
194.97.133.0	194.97.144.227	DE
194.97.144.228	194.97.144.231	AT
194.97.144.232	194.97.144.247	DE
194.97.144.248	194.97.144.255	AT
194.97.145.0	194.97.255.255	DE
194.98.0.0	194.98.255.255	FR
194.99.0.0	194.99.115.255	DE
194.99.116.0	194.99.116.255	RU
194.99.117.0	194.99.117.255	PL
194.99.118.0	194.99.255.255	DE
194.100.0.0	194.100.48.255	FI
194.100.49.0	194.100.49.127	AX
194.100.49.128	194.100.255.255	FI
194.101.0.0	194.102.31.255	GB
194.102.32.0	194.102.151.255	RO
194.102.152.0	194.102.153.191	MD
194.102.153.192	194.102.255.255	RO
194.103.0.0	194.103.156.255	SE
194.103.157.0	194.103.157.255	IT
194.103.158.0	194.103.255.255	SE
194.104.0.0	194.104.255.255	NL
194.105.0.0	194.105.31.255	RO
194.105.32.0	194.105.47.255	MT
194.105.48.0	194.105.55.255	IT
194.105.56.0	194.105.56.255	LV
194.105.57.0	194.105.57.255	IT
194.105.58.0	194.105.58.255	GB
194.105.59.0	194.105.59.255	IT
194.105.60.0	194.105.60.255	DK
194.105.61.0	194.105.61.255	IT
194.105.62.0	194.105.95.255	GB
194.105.96.0	194.105.103.255	DE
194.105.104.0	194.105.111.255	RO
194.105.112.0	194.105.119.255	GB
194.105.120.0	194.105.127.255	EU
194.105.128.0	194.105.129.255	NL
194.105.130.0	194.105.131.255	RU
194.105.132.0	194.105.133.255	PL
194.105.134.0	194.105.135.255	GB
194.105.136.0	194.105.137.255	UA
194.105.138.0	194.105.139.255	NL
194.105.140.0	194.105.143.255	RO
194.105.144.0	194.105.145.255	UA
194.105.146.0	194.105.147.255	DE
194.105.148.0	194.105.149.255	SA
194.105.150.0	194.105.151.255	NL
194.105.152.0	194.105.153.255	FR
194.105.154.0	194.105.155.255	GB
194.105.156.0	194.105.157.255	RU
194.105.158.0	194.105.159.255	CH
194.105.160.0	194.105.191.255	GB
194.105.192.0	194.105.223.255	RU
194.105.224.0	194.105.255.255	IS
194.106.0.0	194.106.31.255	ES
194.106.32.0	194.106.63.255	GB
194.106.64.0	194.106.95.255	MT
194.106.96.0	194.106.127.255	EE
194.106.128.0	194.106.159.255	IE
194.106.160.0	194.106.191.255	RS
194.106.192.0	194.106.193.255	PL
194.106.194.0	194.106.197.255	RU
194.106.198.0	194.106.199.255	KZ
194.106.200.0	194.106.201.255	PL
194.106.202.0	194.106.203.255	RU
194.106.204.0	194.106.205.255	RO
194.106.206.0	194.106.207.255	DE
194.106.208.0	194.106.209.255	UA
194.106.210.0	194.106.211.255	PL
194.106.212.0	194.106.213.255	RO
194.106.214.0	194.106.215.255	PL
194.106.216.0	194.106.219.255	UA
194.106.220.0	194.106.223.255	GB
194.106.224.0	194.107.15.255	AT
194.107.16.0	194.107.16.255	GB
194.107.17.0	194.107.17.255	RU
194.107.18.0	194.107.18.255	PL
194.107.19.0	194.107.19.255	KR
194.107.20.0	194.107.20.255	AT
194.107.21.0	194.107.21.255	RU
194.107.22.0	194.107.22.255	TR
194.107.23.0	194.107.23.255	RU
194.107.24.0	194.107.79.255	AT
194.107.80.0	194.107.80.255	RU
194.107.81.0	194.107.94.255	AT
194.107.95.0	194.107.95.255	DE
194.107.96.0	194.107.111.255	AT
194.107.112.0	194.107.112.255	RO
194.107.113.0	194.107.113.255	AT
194.107.114.0	194.107.114.255	NL
194.107.115.0	194.107.115.255	SI
194.107.116.0	194.107.116.255	RU
194.107.117.0	194.107.117.255	UA
194.107.118.0	194.107.118.255	GB
194.107.119.0	194.107.119.255	SE
194.107.120.0	194.107.120.255	PL
194.107.121.0	194.107.122.255	NL
194.107.123.0	194.107.123.255	BE
194.107.124.0	194.107.124.255	PL
194.107.125.0	194.107.125.255	RU
194.107.126.0	194.107.126.255	FR
194.107.127.0	194.107.127.255	PT
194.107.128.0	194.107.255.255	AT
194.108.0.0	194.108.39.175	CZ
194.108.39.176	194.108.39.179	CR
194.108.39.180	194.108.255.255	CZ
194.109.0.0	194.109.255.255	NL
194.110.0.0	194.110.0.255	SE
194.110.1.0	194.110.17.255	FI
194.110.18.0	194.110.18.255	RU
194.110.19.0	194.110.24.255	FI
194.110.25.0	194.110.25.255	DE
194.110.26.0	194.110.26.255	PL
194.110.27.0	194.110.27.255	FI
194.110.28.0	194.110.28.255	NL
194.110.29.0	194.110.65.255	FI
194.110.66.0	194.110.66.255	RU
194.110.67.0	194.110.67.255	NL
194.110.68.0	194.110.68.255	RO
194.110.69.0	194.110.69.255	FR
194.110.70.0	194.110.70.255	SE
194.110.71.0	194.110.71.255	IT
194.110.72.0	194.110.72.255	SA
194.110.73.0	194.110.73.255	GR
194.110.74.0	194.110.74.255	RO
194.110.75.0	194.110.75.255	GB
194.110.76.0	194.110.76.255	PT
194.110.77.0	194.110.77.255	PL
194.110.78.0	194.110.78.255	AT
194.110.79.0	194.110.79.255	UA
194.110.80.0	194.110.95.255	FI
194.110.96.0	194.110.111.255	SE
194.110.112.0	194.110.115.255	FI
194.110.116.0	194.110.116.255	PL
194.110.117.0	194.110.125.255	FI
194.110.126.0	194.110.126.255	UA
194.110.127.0	194.110.127.255	PL
194.110.128.0	194.110.128.255	CH
194.110.129.0	194.110.129.255	UA
194.110.130.0	194.110.132.255	FI
194.110.133.0	194.110.133.255	DE
194.110.134.0	194.110.135.255	FI
194.110.136.0	194.110.136.255	DK
194.110.137.0	194.110.149.255	FI
194.110.150.0	194.110.150.255	TR
194.110.151.0	194.110.151.255	BE
194.110.152.0	194.110.159.255	FI
194.110.160.0	194.110.163.255	US
194.110.164.0	194.110.167.255	FR
194.110.168.0	194.110.175.255	FI
194.110.176.0	194.110.176.15	AX
194.110.176.16	194.110.176.31	FI
194.110.176.32	194.110.176.63	AX
194.110.176.64	194.110.176.71	FI
194.110.176.72	194.110.176.79	AX
194.110.176.80	194.110.176.95	FI
194.110.176.96	194.110.176.119	AX
194.110.176.120	194.110.176.191	FI
194.110.176.192	194.110.176.207	AX
194.110.176.208	194.110.176.223	FI
194.110.176.224	194.110.177.119	AX
194.110.177.120	194.110.177.127	FI
194.110.177.128	194.110.178.15	AX
194.110.178.16	194.110.178.19	FI
194.110.178.20	194.110.178.31	AX
194.110.178.32	194.110.178.63	FI
194.110.178.64	194.110.178.79	AX
194.110.178.80	194.110.178.87	FI
194.110.178.88	194.110.178.223	AX
194.110.178.224	194.110.178.255	FI
194.110.179.0	194.110.179.47	AX
194.110.179.48	194.110.179.79	FI
194.110.179.80	194.110.179.191	AX
194.110.179.192	194.110.179.255	FI
194.110.180.0	194.110.183.255	AX
194.110.184.0	194.110.184.143	FI
194.110.184.144	194.110.184.151	AX
194.110.184.152	194.110.184.159	FI
194.110.184.160	194.110.184.191	AX
194.110.184.192	194.110.184.255	FI
194.110.185.0	194.110.185.111	AX
194.110.185.112	194.110.185.127	FI
194.110.185.128	194.110.185.215	AX
194.110.185.216	194.110.185.223	FI
194.110.185.224	194.110.186.143	AX
194.110.186.144	194.110.186.163	FI
194.110.186.164	194.110.186.191	AX
194.110.186.192	194.110.186.207	FI
194.110.186.208	194.110.186.223	AX
194.110.186.224	194.110.186.239	FI
194.110.186.240	194.110.191.255	AX
194.110.192.0	194.110.192.255	FR
194.110.193.0	194.110.193.255	RU
194.110.194.0	194.110.194.255	GB
194.110.195.0	194.110.195.255	NO
194.110.196.0	194.110.196.255	DE
194.110.197.0	194.110.197.255	GB
194.110.198.0	194.110.198.255	GR
194.110.199.0	194.110.199.255	SI
194.110.200.0	194.110.200.255	PL
194.110.201.0	194.110.201.255	ES
194.110.202.0	194.110.202.255	RU
194.110.203.0	194.110.203.255	GB
194.110.204.0	194.110.204.255	HU
194.110.205.0	194.110.205.255	BG
194.110.206.0	194.110.206.255	DK
194.110.207.0	194.110.208.255	FR
194.110.209.0	194.110.209.255	GB
194.110.210.0	194.110.210.255	UA
194.110.211.0	194.110.211.255	NL
194.110.212.0	194.110.212.255	RO
194.110.213.0	194.110.213.255	TR
194.110.214.0	194.110.214.255	NL
194.110.215.0	194.110.215.255	GB
194.110.216.0	194.110.216.255	RS
194.110.217.0	194.110.217.255	DE
194.110.218.0	194.110.218.255	GR
194.110.219.0	194.110.219.255	UA
194.110.220.0	194.110.220.255	LT
194.110.221.0	194.110.221.255	NL
194.110.222.0	194.110.222.255	SI
194.110.223.0	194.110.223.255	RU
194.110.224.0	194.110.235.255	FI
194.110.236.0	194.110.236.255	JO
194.110.237.0	194.110.237.255	GB
194.110.238.0	194.110.240.255	PL
194.110.241.0	194.110.241.255	GB
194.110.242.0	194.110.242.255	CH
194.110.243.0	194.110.244.255	GB
194.110.245.0	194.110.245.255	FR
194.110.246.0	194.110.247.255	DE
194.110.248.0	194.110.248.255	UA
194.110.249.0	194.110.249.255	IL
194.110.250.0	194.110.250.255	GB
194.110.251.0	194.110.251.255	RU
194.110.252.0	194.110.252.255	UA
194.110.253.0	194.110.253.255	RU
194.110.254.0	194.110.254.255	UA
194.110.255.0	194.110.255.255	RU
194.111.0.0	194.111.162.255	FI
194.111.163.0	194.111.163.255	AX
194.111.164.0	194.111.174.255	FI
194.111.175.0	194.111.175.255	NL
194.111.176.0	194.111.201.255	FI
194.111.202.0	194.111.203.255	AX
194.111.204.0	194.111.211.255	FI
194.111.212.0	194.111.212.255	RU
194.111.213.0	194.111.232.255	FI
194.111.233.0	194.111.233.255	SE
194.111.234.0	194.111.236.255	FI
194.111.237.0	194.111.237.255	RU
194.111.238.0	194.111.255.255	FI
194.112.0.0	194.112.9.127	AX
194.112.9.128	194.112.9.143	FI
194.112.9.144	194.112.9.159	AX
194.112.9.160	194.112.9.191	FI
194.112.9.192	194.112.13.255	AX
194.112.14.0	194.112.14.7	FI
194.112.14.8	194.112.14.255	AX
194.112.15.0	194.112.15.255	FI
194.112.16.0	194.112.31.255	DE
194.112.32.0	194.112.63.255	GB
194.112.64.0	194.112.68.255	EU
194.112.69.0	194.112.69.255	DE
194.112.70.0	194.112.75.255	EU
194.112.76.0	194.112.79.255	GB
194.112.80.0	194.112.80.255	DE
194.112.81.0	194.112.82.255	EU
194.112.83.0	194.112.83.255	DE
194.112.84.0	194.112.87.255	ES
194.112.88.0	194.112.88.255	DE
194.112.89.0	194.112.91.255	EU
194.112.92.0	194.112.92.255	GB
194.112.93.0	194.112.93.255	EU
194.112.94.0	194.112.94.47	DE
194.112.94.48	194.112.97.255	EU
194.112.98.0	194.112.98.255	DE
194.112.99.0	194.112.100.15	EU
194.112.100.16	194.112.100.31	DE
194.112.100.32	194.112.100.79	EU
194.112.100.80	194.112.100.95	DE
194.112.100.96	194.112.100.127	EU
194.112.100.128	194.112.100.255	DE
194.112.101.0	194.112.101.255	EU
194.112.102.0	194.112.104.255	DE
194.112.105.0	194.112.107.255	EU
194.112.108.0	194.112.108.255	DE
194.112.109.0	194.112.111.255	EU
194.112.112.0	194.112.112.255	DE
194.112.113.0	194.112.113.15	EU
194.112.113.16	194.112.113.55	DE
194.112.113.56	194.112.113.63	EU
194.112.113.64	194.112.113.255	DE
194.112.114.0	194.112.114.31	FR
194.112.114.32	194.112.114.39	DE
194.112.114.40	194.112.114.255	FR
194.112.115.0	194.112.115.255	EU
194.112.116.0	194.112.116.255	DE
194.112.117.0	194.112.120.255	EU
194.112.121.0	194.112.121.135	DE
194.112.121.136	194.112.121.159	EU
194.112.121.160	194.112.121.191	DE
194.112.121.192	194.112.121.223	EU
194.112.121.224	194.112.121.239	DE
194.112.121.240	194.112.121.255	EU
194.112.122.0	194.112.122.255	DE
194.112.123.0	194.112.124.255	EU
194.112.125.0	194.112.125.255	DE
194.112.126.0	194.112.127.215	EU
194.112.127.216	194.112.127.223	DE
194.112.127.224	194.112.127.255	EU
194.112.128.0	194.112.255.255	AT
194.113.0.0	194.113.153.255	DE
194.113.154.0	194.113.154.255	AT
194.113.155.0	194.113.164.255	DE
194.113.165.0	194.113.165.255	RO
194.113.166.0	194.114.127.255	DE
194.114.128.0	194.114.131.255	RU
194.114.132.0	194.114.139.255	UA
194.114.140.0	194.114.143.255	SE
194.114.144.0	194.114.151.255	PL
194.114.152.0	194.114.255.255	SE
194.115.0.0	194.115.125.255	DE
194.115.126.0	194.115.126.255	NL
194.115.127.0	194.115.255.255	DE
194.116.0.0	194.116.127.255	IT
194.116.128.0	194.116.129.255	DE
194.116.130.0	194.116.135.255	PL
194.116.136.0	194.116.137.255	RO
194.116.138.0	194.116.139.255	PL
194.116.140.0	194.116.141.255	RU
194.116.142.0	194.116.145.255	FR
194.116.146.0	194.116.147.255	NL
194.116.148.0	194.116.149.255	FR
194.116.150.0	194.116.151.255	CH
194.116.152.0	194.116.153.255	ES
194.116.154.0	194.116.155.255	DE
194.116.156.0	194.116.157.255	SE
194.116.158.0	194.116.159.255	AT
194.116.160.0	194.116.161.255	GB
194.116.162.0	194.116.163.255	UA
194.116.164.0	194.116.165.255	IT
194.116.166.0	194.116.167.255	FR
194.116.168.0	194.116.169.255	RO
194.116.170.0	194.116.171.255	UA
194.116.172.0	194.116.173.255	DE
194.116.174.0	194.116.175.255	GB
194.116.176.0	194.116.177.255	FR
194.116.178.0	194.116.179.255	DK
194.116.180.0	194.116.181.255	CH
194.116.182.0	194.116.183.255	PL
194.116.184.0	194.116.185.255	ES
194.116.186.0	194.116.187.255	DE
194.116.188.0	194.116.189.255	EE
194.116.190.0	194.116.191.255	RO
194.116.192.0	194.116.193.255	PL
194.116.194.0	194.116.195.255	UA
194.116.196.0	194.116.197.255	CH
194.116.198.0	194.116.199.255	GB
194.116.200.0	194.116.201.255	RO
194.116.202.0	194.116.203.255	FR
194.116.204.0	194.116.205.255	SI
194.116.206.0	194.116.209.255	DE
194.116.210.0	194.116.211.255	CH
194.116.212.0	194.116.213.255	SE
194.116.214.0	194.116.215.255	GB
194.116.216.0	194.116.217.255	RO
194.116.218.0	194.116.219.255	FR
194.116.220.0	194.116.221.255	NL
194.116.222.0	194.116.223.255	DK
194.116.224.0	194.116.225.255	AT
194.116.226.0	194.116.227.255	IL
194.116.228.0	194.116.229.255	UA
194.116.230.0	194.116.231.255	IL
194.116.232.0	194.116.233.255	UA
194.116.234.0	194.116.235.255	DE
194.116.236.0	194.116.237.255	RO
194.116.238.0	194.116.239.255	UA
194.116.240.0	194.116.241.255	ES
194.116.242.0	194.116.243.255	AT
194.116.244.0	194.116.245.255	UA
194.116.246.0	194.116.247.255	RO
194.116.248.0	194.116.249.255	PL
194.116.250.0	194.116.251.255	RU
194.116.252.0	194.116.253.255	PL
194.116.254.0	194.116.255.255	GB
194.117.0.0	194.117.49.255	PT
194.117.50.0	194.117.50.127	UA
194.117.50.128	194.117.50.255	RU
194.117.51.0	194.117.51.127	AE
194.117.52.0	194.117.52.127	HU
194.117.52.128	194.117.52.255	LV
194.117.53.0	194.117.53.127	SN
194.117.53.128	194.117.53.255	NO
194.117.54.0	194.117.54.127	DE
194.117.54.128	194.117.54.255	GB
194.117.55.0	194.117.55.127	UA
194.117.55.128	194.117.55.255	RO
194.117.56.0	194.117.63.255	IQ
194.117.64.0	194.117.95.255	RU
194.117.96.0	194.117.96.15	DE
194.117.96.16	194.117.96.19	FR
194.117.96.20	194.117.96.23	DE
194.117.96.24	194.117.96.27	NL
194.117.96.28	194.117.96.31	AT
194.117.96.32	194.117.96.39	DE
194.117.96.40	194.117.96.43	AT
194.117.96.44	194.117.96.55	DE
194.117.96.56	194.117.96.59	IT
194.117.96.60	194.117.96.75	DE
194.117.96.76	194.117.96.79	AT
194.117.96.80	194.117.96.83	IT
194.117.96.84	194.117.96.87	BE
194.117.96.88	194.117.96.99	DE
194.117.96.100	194.117.96.103	FR
194.117.96.104	194.117.96.119	DE
194.117.96.120	194.117.96.123	NL
194.117.96.124	194.117.96.139	DE
194.117.96.140	194.117.96.143	SE
194.117.96.144	194.117.96.147	US
194.117.96.148	194.117.96.159	DE
194.117.96.160	194.117.96.163	NL
194.117.96.164	194.117.96.167	ES
194.117.96.168	194.117.96.171	NL
194.117.96.172	194.117.96.175	GB
194.117.96.176	194.117.96.179	NL
194.117.96.180	194.117.96.183	FR
194.117.96.184	194.117.96.187	GB
194.117.96.188	194.117.96.195	DE
194.117.96.196	194.117.96.199	FR
194.117.96.200	194.117.96.203	GB
194.117.96.204	194.117.96.207	DE
194.117.96.208	194.117.96.211	NL
194.117.96.212	194.117.96.215	DE
194.117.96.216	194.117.96.219	US
194.117.96.220	194.117.96.223	DE
194.117.96.224	194.117.96.227	ES
194.117.96.228	194.117.96.231	DE
194.117.96.232	194.117.96.235	BE
194.117.96.236	194.117.96.239	CH
194.117.96.240	194.117.96.243	AE
194.117.96.244	194.117.96.251	DE
194.117.96.252	194.117.96.255	LU
194.117.97.0	194.117.97.11	DE
194.117.97.12	194.117.97.15	CH
194.117.97.16	194.117.97.19	DE
194.117.97.20	194.117.97.23	FR
194.117.97.24	194.117.97.31	DE
194.117.97.32	194.117.97.35	IT
194.117.97.36	194.117.97.47	DE
194.117.97.48	194.117.97.51	CH
194.117.97.52	194.117.97.63	DE
194.117.97.64	194.117.97.67	CA
194.117.97.68	194.117.97.71	GB
194.117.97.72	194.117.97.79	DE
194.117.97.80	194.117.97.83	CH
194.117.97.84	194.117.97.91	DE
194.117.97.92	194.117.97.95	US
194.117.97.96	194.117.97.99	DE
194.117.97.100	194.117.97.103	NL
194.117.97.104	194.117.97.107	HU
194.117.97.108	194.117.97.115	DE
194.117.97.116	194.117.97.119	DK
194.117.97.120	194.117.97.127	DE
194.117.97.128	194.117.97.131	CA
194.117.97.132	194.117.97.135	AT
194.117.97.136	194.117.97.143	US
194.117.97.144	194.117.97.147	DE
194.117.97.148	194.117.97.151	CH
194.117.97.152	194.117.97.155	FR
194.117.97.156	194.117.97.159	CH
194.117.97.160	194.117.97.167	US
194.117.97.168	194.117.97.171	CA
194.117.97.172	194.117.97.175	TR
194.117.97.176	194.117.97.183	DE
194.117.97.184	194.117.97.187	ES
194.117.97.188	194.117.97.203	DE
194.117.97.204	194.117.97.207	FR
194.117.97.208	194.117.97.211	GB
194.117.97.212	194.117.97.215	IT
194.117.97.216	194.117.97.219	ES
194.117.97.220	194.117.97.227	DE
194.117.97.228	194.117.97.231	FR
194.117.97.232	194.117.97.235	CL
194.117.97.236	194.117.97.243	US
194.117.97.244	194.117.97.247	DE
194.117.97.248	194.117.97.251	IT
194.117.97.252	194.117.97.255	AT
194.117.98.0	194.117.98.3	US
194.117.98.4	194.117.98.7	DE
194.117.98.8	194.117.98.11	US
194.117.98.12	194.117.98.23	NL
194.117.98.24	194.117.98.31	DE
194.117.98.32	194.117.98.35	IT
194.117.98.36	194.117.98.39	PT
194.117.98.40	194.117.98.43	DE
194.117.98.44	194.117.98.47	GB
194.117.98.48	194.117.98.59	DE
194.117.98.60	194.117.98.63	CA
194.117.98.64	194.117.98.67	DE
194.117.98.68	194.117.98.71	US
194.117.98.72	194.117.98.75	DE
194.117.98.76	194.117.98.79	US
194.117.98.80	194.117.98.87	DE
194.117.98.88	194.117.98.91	GB
194.117.98.92	194.117.98.95	AT
194.117.98.96	194.117.98.103	DE
194.117.98.104	194.117.98.107	CH
194.117.98.108	194.117.98.115	DE
194.117.98.116	194.117.98.119	CH
194.117.98.120	194.117.98.123	US
194.117.98.124	194.117.98.131	DE
194.117.98.132	194.117.98.135	DK
194.117.98.136	194.117.98.139	DE
194.117.98.140	194.117.98.143	AT
194.117.98.144	194.117.98.147	DE
194.117.98.148	194.117.98.151	IT
194.117.98.152	194.117.98.155	FR
194.117.98.156	194.117.98.159	US
194.117.98.160	194.117.98.163	FR
194.117.98.164	194.117.98.167	GB
194.117.98.168	194.117.98.171	DE
194.117.98.172	194.117.98.175	FR
194.117.98.176	194.117.98.179	DE
194.117.98.180	194.117.98.187	CA
194.117.98.188	194.117.98.195	DE
194.117.98.196	194.117.98.199	AT
194.117.98.200	194.117.98.203	US
194.117.98.204	194.117.98.207	DE
194.117.98.208	194.117.98.211	IT
194.117.98.212	194.117.98.219	DE
194.117.98.220	194.117.98.223	IT
194.117.98.224	194.117.98.227	NL
194.117.98.228	194.117.98.231	LB
194.117.98.232	194.117.98.235	DE
194.117.98.236	194.117.98.239	CH
194.117.98.240	194.117.98.243	PT
194.117.98.244	194.117.98.247	LU
194.117.98.248	194.117.98.251	DE
194.117.98.252	194.117.98.255	CA
194.117.99.0	194.117.99.3	DE
194.117.99.4	194.117.99.7	AT
194.117.99.8	194.117.99.15	DE
194.117.99.16	194.117.99.19	LU
194.117.99.20	194.117.99.23	AT
194.117.99.24	194.117.99.27	PT
194.117.99.28	194.117.99.31	US
194.117.99.32	194.117.99.35	DE
194.117.99.36	194.117.99.39	FR
194.117.99.40	194.117.99.43	HU
194.117.99.44	194.117.99.47	NO
194.117.99.48	194.117.99.51	US
194.117.99.52	194.117.99.55	DE
194.117.99.56	194.117.99.59	AR
194.117.99.60	194.117.99.63	US
194.117.99.64	194.117.99.67	ES
194.117.99.68	194.117.99.71	BM
194.117.99.72	194.117.99.75	DE
194.117.99.76	194.117.99.79	IT
194.117.99.80	194.117.99.83	GB
194.117.99.84	194.117.99.87	US
194.117.99.88	194.117.99.91	DE
194.117.99.92	194.117.99.95	AT
194.117.99.96	194.117.99.115	DE
194.117.99.116	194.117.99.119	GB
194.117.99.120	194.117.99.123	DE
194.117.99.124	194.117.99.127	US
194.117.99.128	194.117.99.131	NL
194.117.99.132	194.117.99.139	DE
194.117.99.140	194.117.99.143	BE
194.117.99.144	194.117.99.147	DE
194.117.99.148	194.117.99.155	ES
194.117.99.156	194.117.99.159	DE
194.117.99.160	194.117.99.167	FR
194.117.99.168	194.117.99.175	DE
194.117.99.176	194.117.99.179	US
194.117.99.180	194.117.99.183	ES
194.117.99.184	194.117.99.191	DE
194.117.99.192	194.117.99.195	FR
194.117.99.196	194.117.99.199	IT
194.117.99.200	194.117.99.203	NL
194.117.99.204	194.117.99.207	CH
194.117.99.208	194.117.99.211	DE
194.117.99.212	194.117.99.215	US
194.117.99.216	194.117.99.235	DE
194.117.99.236	194.117.99.239	AT
194.117.99.240	194.117.99.243	ES
194.117.99.244	194.117.99.247	US
194.117.99.248	194.117.99.251	DE
194.117.99.252	194.117.99.255	FR
194.117.100.0	194.117.100.107	JP
194.117.100.108	194.117.100.111	KR
194.117.100.112	194.117.100.255	JP
194.117.101.0	194.117.101.1	DE
194.117.101.2	194.117.101.6	US
194.117.101.7	194.117.101.8	CA
194.117.101.9	194.117.101.11	US
194.117.101.12	194.117.101.12	VE
194.117.101.13	194.117.101.13	US
194.117.101.14	194.117.101.14	CA
194.117.101.15	194.117.101.41	US
194.117.101.42	194.117.101.42	PR
194.117.101.43	194.117.101.44	US
194.117.101.45	194.117.101.45	CN
194.117.101.46	194.117.101.54	US
194.117.101.55	194.117.101.55	CN
194.117.101.56	194.117.101.66	US
194.117.101.67	194.117.101.67	DE
194.117.101.68	194.117.101.68	US
194.117.101.69	194.117.101.69	DE
194.117.101.70	194.117.101.71	US
194.117.101.72	194.117.101.72	CA
194.117.101.73	194.117.101.76	US
194.117.101.77	194.117.101.77	CA
194.117.101.78	194.117.101.85	US
194.117.101.86	194.117.101.86	DE
194.117.101.87	194.117.101.95	US
194.117.101.96	194.117.101.96	CA
194.117.101.97	194.117.101.98	US
194.117.101.99	194.117.101.99	DE
194.117.101.100	194.117.101.110	US
194.117.101.111	194.117.101.111	CA
194.117.101.112	194.117.101.114	US
194.117.101.115	194.117.101.115	CA
194.117.101.116	194.117.101.186	US
194.117.101.187	194.117.101.187	DE
194.117.101.188	194.117.101.191	US
194.117.101.192	194.117.101.192	CA
194.117.101.193	194.117.101.216	US
194.117.101.217	194.117.101.217	CA
194.117.101.218	194.117.101.219	AR
194.117.101.220	194.117.101.220	CA
194.117.101.221	194.117.102.1	DE
194.117.102.2	194.117.102.7	US
194.117.102.8	194.117.102.8	CA
194.117.102.9	194.117.102.43	US
194.117.102.44	194.117.102.44	DE
194.117.102.45	194.117.102.53	US
194.117.102.54	194.117.102.54	PR
194.117.102.55	194.117.102.57	US
194.117.102.58	194.117.102.127	DE
194.117.102.128	194.117.102.131	US
194.117.102.132	194.117.102.175	DE
194.117.102.176	194.117.102.179	US
194.117.102.180	194.117.102.203	DE
194.117.102.204	194.117.102.207	US
194.117.102.208	194.117.102.235	DE
194.117.102.236	194.117.102.239	US
194.117.102.240	194.117.102.243	DE
194.117.102.244	194.117.102.255	US
194.117.103.0	194.117.103.1	DE
194.117.103.2	194.117.103.2	TW
194.117.103.3	194.117.103.3	IN
194.117.103.4	194.117.103.4	SG
194.117.103.5	194.117.103.5	IN
194.117.103.6	194.117.103.6	SG
194.117.103.7	194.117.103.7	DE
194.117.103.8	194.117.103.8	SG
194.117.103.9	194.117.103.9	IN
194.117.103.10	194.117.103.11	TW
194.117.103.12	194.117.103.12	MY
194.117.103.13	194.117.103.14	ID
194.117.103.15	194.117.103.15	TW
194.117.103.16	194.117.103.16	SG
194.117.103.17	194.117.103.17	TW
194.117.103.18	194.117.103.18	MY
194.117.103.19	194.117.103.19	TW
194.117.103.20	194.117.103.20	SG
194.117.103.21	194.117.103.21	TW
194.117.103.22	194.117.103.23	SG
194.117.103.24	194.117.103.25	TW
194.117.103.26	194.117.103.26	SG
194.117.103.27	194.117.103.27	ID
194.117.103.28	194.117.103.29	SG
194.117.103.30	194.117.103.30	HK
194.117.103.31	194.117.103.32	SG
194.117.103.33	194.117.103.34	MY
194.117.103.35	194.117.103.42	SG
194.117.103.43	194.117.103.43	CN
194.117.103.44	194.117.103.46	SG
194.117.103.47	194.117.103.47	IN
194.117.103.48	194.117.103.48	MY
194.117.103.49	194.117.103.49	SG
194.117.103.50	194.117.103.50	MY
194.117.103.51	194.117.103.51	SG
194.117.103.52	194.117.103.52	MY
194.117.103.53	194.117.103.53	SG
194.117.103.54	194.117.103.54	MY
194.117.103.55	194.117.103.55	TW
194.117.103.56	194.117.103.57	MY
194.117.103.58	194.117.103.58	CN
194.117.103.59	194.117.103.59	SG
194.117.103.60	194.117.103.60	GB
194.117.103.61	194.117.103.64	SG
194.117.103.65	194.117.103.65	IN
194.117.103.66	194.117.103.77	SG
194.117.103.78	194.117.103.79	CN
194.117.103.80	194.117.103.80	TW
194.117.103.81	194.117.103.81	IN
194.117.103.82	194.117.103.82	SG
194.117.103.83	194.117.103.83	MY
194.117.103.84	194.117.103.84	SG
194.117.103.85	194.117.103.85	MY
194.117.103.86	194.117.103.86	SG
194.117.103.87	194.117.103.87	TW
194.117.103.88	194.117.103.88	IN
194.117.103.89	194.117.103.91	SG
194.117.103.92	194.117.103.92	MY
194.117.103.93	194.117.103.93	SG
194.117.103.94	194.117.103.94	IN
194.117.103.95	194.117.103.95	MY
194.117.103.96	194.117.103.99	SG
194.117.103.100	194.117.103.100	TW
194.117.103.101	194.117.103.103	SG
194.117.103.104	194.117.103.104	MY
194.117.103.105	194.117.103.105	SG
194.117.103.106	194.117.103.107	MY
194.117.103.108	194.117.103.110	SG
194.117.103.111	194.117.103.111	HK
194.117.103.112	194.117.103.113	SG
194.117.103.114	194.117.103.114	MY
194.117.103.115	194.117.103.118	SG
194.117.103.119	194.117.103.119	MY
194.117.103.120	194.117.103.120	CN
194.117.103.121	194.117.103.121	IN
194.117.103.122	194.117.103.122	MY
194.117.103.123	194.117.103.123	CN
194.117.103.124	194.117.103.124	HK
194.117.103.125	194.117.103.126	MY
194.117.103.127	194.117.103.127	TH
194.117.103.128	194.117.103.128	SG
194.117.103.129	194.117.103.129	PH
194.117.103.130	194.117.103.130	IN
194.117.103.131	194.117.103.131	SG
194.117.103.132	194.117.103.132	TW
194.117.103.133	194.117.103.133	IN
194.117.103.134	194.117.103.134	TH
194.117.103.135	194.117.103.135	TW
194.117.103.136	194.117.103.136	BN
194.117.103.137	194.117.103.137	TW
194.117.103.138	194.117.103.138	SG
194.117.103.139	194.117.103.141	MY
194.117.103.142	194.117.103.142	IN
194.117.103.143	194.117.103.144	SG
194.117.103.145	194.117.103.146	MY
194.117.103.147	194.117.103.147	IN
194.117.103.148	194.117.103.149	MY
194.117.103.150	194.117.103.150	CN
194.117.103.151	194.117.103.152	SG
194.117.103.153	194.117.103.153	TW
194.117.103.154	194.117.103.155	CN
194.117.103.156	194.117.103.156	TW
194.117.103.157	194.117.103.158	SG
194.117.103.159	194.117.103.159	PH
194.117.103.160	194.117.103.166	SG
194.117.103.167	194.117.103.167	MY
194.117.103.168	194.117.103.168	SG
194.117.103.169	194.117.103.169	IN
194.117.103.170	194.117.103.170	SG
194.117.103.171	194.117.103.171	MY
194.117.103.172	194.117.103.172	IN
194.117.103.173	194.117.103.173	SG
194.117.103.174	194.117.103.175	MY
194.117.103.176	194.117.103.178	SG
194.117.103.179	194.117.103.179	MY
194.117.103.180	194.117.103.180	IN
194.117.103.181	194.117.103.181	CN
194.117.103.182	194.117.103.182	SG
194.117.103.183	194.117.103.183	HK
194.117.103.184	194.117.103.184	TW
194.117.103.185	194.117.103.185	DE
194.117.103.186	194.117.103.186	SG
194.117.103.187	194.117.103.187	MY
194.117.103.188	194.117.103.188	SG
194.117.103.189	194.117.103.189	CN
194.117.103.190	194.117.103.190	TW
194.117.103.191	194.117.103.191	SG
194.117.103.192	194.117.103.192	MY
194.117.103.193	194.117.103.193	SG
194.117.103.194	194.117.103.194	TW
194.117.103.195	194.117.103.195	CN
194.117.103.196	194.117.103.196	MY
194.117.103.197	194.117.103.197	SG
194.117.103.198	194.117.103.198	MY
194.117.103.199	194.117.103.201	SG
194.117.103.202	194.117.103.202	MY
194.117.103.203	194.117.103.203	SG
194.117.103.204	194.117.103.204	MY
194.117.103.205	194.117.103.205	SG
194.117.103.206	194.117.103.206	CN
194.117.103.207	194.117.103.208	SG
194.117.103.209	194.117.103.209	PH
194.117.103.210	194.117.103.210	SG
194.117.103.211	194.117.103.211	MY
194.117.103.212	194.117.103.212	IN
194.117.103.213	194.117.103.214	SG
194.117.103.215	194.117.103.215	CN
194.117.103.216	194.117.103.216	MY
194.117.103.217	194.117.103.217	SG
194.117.103.218	194.117.103.219	CN
194.117.103.220	194.117.103.220	IN
194.117.103.221	194.117.103.221	SG
194.117.103.222	194.117.103.222	IN
194.117.103.223	194.117.103.223	MY
194.117.103.224	194.117.103.224	SG
194.117.103.225	194.117.103.225	MY
194.117.103.226	194.117.103.226	TW
194.117.103.227	194.117.103.227	SG
194.117.103.228	194.117.103.228	MY
194.117.103.229	194.117.103.229	SG
194.117.103.230	194.117.103.230	CN
194.117.103.231	194.117.103.231	IN
194.117.103.232	194.117.103.232	SG
194.117.103.233	194.117.103.233	MY
194.117.103.234	194.117.103.234	SG
194.117.103.235	194.117.103.235	MY
194.117.103.236	194.117.103.238	IN
194.117.103.239	194.117.103.239	SG
194.117.103.240	194.117.103.240	MY
194.117.103.241	194.117.103.241	SG
194.117.103.242	194.117.103.242	MY
194.117.103.243	194.117.103.243	IN
194.117.103.244	194.117.103.244	SG
194.117.103.245	194.117.103.246	IN
194.117.103.247	194.117.103.247	SG
194.117.103.248	194.117.103.250	IN
194.117.103.251	194.117.103.252	MY
194.117.103.253	194.117.103.254	SG
194.117.103.255	194.117.103.255	DE
194.117.104.0	194.117.104.15	AU
194.117.104.16	194.117.104.19	NZ
194.117.104.20	194.117.104.23	AU
194.117.104.24	194.117.104.27	NZ
194.117.104.28	194.117.104.31	AU
194.117.104.32	194.117.104.35	NZ
194.117.104.36	194.117.104.127	AU
194.117.104.128	194.117.104.131	NZ
194.117.104.132	194.117.104.155	AU
194.117.104.156	194.117.104.159	NZ
194.117.104.160	194.117.104.223	AU
194.117.104.224	194.117.104.227	NZ
194.117.104.228	194.117.104.255	AU
194.117.105.0	194.117.105.135	DE
194.117.105.136	194.117.105.139	DK
194.117.105.140	194.117.106.39	DE
194.117.106.40	194.117.106.63	JP
194.117.106.64	194.117.106.143	DE
194.117.106.144	194.117.106.255	JP
194.117.107.0	194.117.107.1	DE
194.117.107.2	194.117.107.15	US
194.117.107.16	194.117.107.16	CO
194.117.107.17	194.117.107.17	US
194.117.107.18	194.117.107.19	DE
194.117.107.20	194.117.107.21	US
194.117.107.22	194.117.107.25	DE
194.117.107.26	194.117.107.28	US
194.117.107.29	194.117.107.29	DE
194.117.107.30	194.117.107.34	US
194.117.107.35	194.117.107.35	DE
194.117.107.36	194.117.107.36	US
194.117.107.37	194.117.107.37	BR
194.117.107.38	194.117.107.49	US
194.117.107.50	194.117.107.50	PR
194.117.107.51	194.117.107.57	US
194.117.107.58	194.117.107.60	MX
194.117.107.61	194.117.107.64	US
194.117.107.65	194.117.107.67	BR
194.117.107.68	194.117.107.68	US
194.117.107.69	194.117.107.69	BR
194.117.107.70	194.117.107.71	US
194.117.107.72	194.117.107.72	CA
194.117.107.73	194.117.107.73	US
194.117.107.74	194.117.107.74	BR
194.117.107.75	194.117.107.75	US
194.117.107.76	194.117.107.76	MX
194.117.107.77	194.117.107.77	BR
194.117.107.78	194.117.107.79	US
194.117.107.80	194.117.107.80	BR
194.117.107.81	194.117.107.82	US
194.117.107.83	194.117.107.84	DE
194.117.107.85	194.117.107.86	BR
194.117.107.87	194.117.107.87	MX
194.117.107.88	194.117.107.132	US
194.117.107.133	194.117.107.133	BR
194.117.107.134	194.117.107.159	US
194.117.107.160	194.117.107.160	DE
194.117.107.161	194.117.107.166	US
194.117.107.167	194.117.107.167	DE
194.117.107.168	194.117.107.177	US
194.117.107.178	194.117.107.178	DE
194.117.107.179	194.117.107.181	US
194.117.107.182	194.117.107.182	MX
194.117.107.183	194.117.107.183	BR
194.117.107.184	194.117.107.184	MX
194.117.107.185	194.117.107.193	US
194.117.107.194	194.117.107.197	BR
194.117.107.198	194.117.107.201	US
194.117.107.202	194.117.107.202	BR
194.117.107.203	194.117.107.205	US
194.117.107.206	194.117.107.206	DE
194.117.107.207	194.117.107.214	US
194.117.107.215	194.117.107.255	DE
194.117.108.0	194.117.108.3	MU
194.117.108.4	194.117.108.7	US
194.117.108.8	194.117.108.11	IT
194.117.108.12	194.117.108.15	US
194.117.108.16	194.117.108.19	DE
194.117.108.20	194.117.108.23	NL
194.117.108.24	194.117.108.31	DE
194.117.108.32	194.117.108.39	NL
194.117.108.40	194.117.108.43	FR
194.117.108.44	194.117.108.47	AR
194.117.108.48	194.117.108.51	FR
194.117.108.52	194.117.108.55	SE
194.117.108.56	194.117.108.59	DE
194.117.108.60	194.117.108.63	MX
194.117.108.64	194.117.108.67	US
194.117.108.68	194.117.108.71	BR
194.117.108.72	194.117.108.75	DE
194.117.108.76	194.117.108.79	FR
194.117.108.80	194.117.108.83	CH
194.117.108.84	194.117.108.87	DE
194.117.108.88	194.117.108.91	ES
194.117.108.92	194.117.108.95	DE
194.117.108.96	194.117.108.99	IT
194.117.108.100	194.117.108.103	DE
194.117.108.104	194.117.108.107	FR
194.117.108.108	194.117.108.111	NL
194.117.108.112	194.117.108.119	DE
194.117.108.120	194.117.108.123	US
194.117.108.124	194.117.108.131	AT
194.117.108.132	194.117.108.135	NL
194.117.108.136	194.117.108.139	US
194.117.108.140	194.117.108.143	SE
194.117.108.144	194.117.108.151	DE
194.117.108.152	194.117.108.155	CH
194.117.108.156	194.117.108.159	DE
194.117.108.160	194.117.108.163	US
194.117.108.164	194.117.108.167	ES
194.117.108.168	194.117.108.171	IT
194.117.108.172	194.117.108.175	GB
194.117.108.176	194.117.108.179	DE
194.117.108.180	194.117.108.183	US
194.117.108.184	194.117.108.187	FR
194.117.108.188	194.117.108.195	DE
194.117.108.196	194.117.108.199	FR
194.117.108.200	194.117.108.203	DE
194.117.108.204	194.117.108.207	ES
194.117.108.208	194.117.108.211	DE
194.117.108.212	194.117.108.215	ES
194.117.108.216	194.117.108.219	US
194.117.108.220	194.117.108.223	IT
194.117.108.224	194.117.108.227	MX
194.117.108.228	194.117.108.231	CH
194.117.108.232	194.117.108.235	NL
194.117.108.236	194.117.108.239	DE
194.117.108.240	194.117.108.243	FR
194.117.108.244	194.117.108.247	DE
194.117.108.248	194.117.108.251	US
194.117.108.252	194.117.108.255	DE
194.117.109.0	194.117.109.7	US
194.117.109.8	194.117.109.11	DE
194.117.109.12	194.117.109.39	US
194.117.109.40	194.117.109.55	DE
194.117.109.56	194.117.109.71	US
194.117.109.72	194.117.109.75	BR
194.117.109.76	194.117.109.87	US
194.117.109.88	194.117.109.91	IE
194.117.109.92	194.117.109.111	DE
194.117.109.112	194.117.109.115	US
194.117.109.116	194.117.109.119	DE
194.117.109.120	194.117.109.163	US
194.117.109.164	194.117.109.167	BR
194.117.109.168	194.117.109.171	DE
194.117.109.172	194.117.109.175	BR
194.117.109.176	194.117.109.195	US
194.117.109.196	194.117.109.199	DE
194.117.109.200	194.117.109.203	BR
194.117.109.204	194.117.109.255	US
194.117.110.0	194.117.110.7	DE
194.117.110.8	194.117.110.11	BE
194.117.110.12	194.117.110.15	DE
194.117.110.16	194.117.110.31	AE
194.117.110.32	194.117.110.35	US
194.117.110.36	194.117.110.39	IE
194.117.110.40	194.117.110.43	FR
194.117.110.44	194.117.110.47	DE
194.117.110.48	194.117.110.63	RO
194.117.110.64	194.117.110.79	DE
194.117.110.80	194.117.110.95	TR
194.117.110.96	194.117.110.99	BE
194.117.110.100	194.117.110.103	NL
194.117.110.104	194.117.110.107	PL
194.117.110.108	194.117.110.111	BE
194.117.110.112	194.117.110.115	DE
194.117.110.116	194.117.110.119	SA
194.117.110.120	194.117.110.127	CY
194.117.110.128	194.117.110.143	GR
194.117.110.144	194.117.110.159	DE
194.117.110.160	194.117.110.175	FR
194.117.110.176	194.117.110.187	US
194.117.110.188	194.117.110.191	HU
194.117.110.192	194.117.110.199	DE
194.117.110.200	194.117.110.207	BG
194.117.110.208	194.117.110.215	SG
194.117.110.216	194.117.110.239	DE
194.117.110.240	194.117.110.243	ES
194.117.110.244	194.117.110.247	FR
194.117.110.248	194.117.110.251	DE
194.117.110.252	194.117.110.255	FR
194.117.111.0	194.117.111.7	DE
194.117.111.8	194.117.111.11	CH
194.117.111.12	194.117.111.15	DE
194.117.111.16	194.117.111.23	IL
194.117.111.24	194.117.111.27	PE
194.117.111.28	194.117.111.31	US
194.117.111.32	194.117.111.35	DE
194.117.111.36	194.117.111.39	PL
194.117.111.40	194.117.111.43	US
194.117.111.44	194.117.111.47	DE
194.117.111.48	194.117.111.51	FR
194.117.111.52	194.117.111.55	DE
194.117.111.56	194.117.111.59	DK
194.117.111.60	194.117.111.63	NL
194.117.111.64	194.117.111.71	US
194.117.111.72	194.117.111.75	DE
194.117.111.76	194.117.111.79	BE
194.117.111.80	194.117.111.83	NL
194.117.111.84	194.117.111.87	DE
194.117.111.88	194.117.111.91	FR
194.117.111.92	194.117.111.95	DE
194.117.111.96	194.117.111.99	GB
194.117.111.100	194.117.111.103	AR
194.117.111.104	194.117.111.107	US
194.117.111.108	194.117.111.111	BE
194.117.111.112	194.117.111.115	CH
194.117.111.116	194.117.111.123	US
194.117.111.124	194.117.111.127	BE
194.117.111.128	194.117.111.131	GR
194.117.111.132	194.117.111.139	DE
194.117.111.140	194.117.111.143	GB
194.117.111.144	194.117.111.147	ES
194.117.111.148	194.117.111.151	DE
194.117.111.152	194.117.111.155	AT
194.117.111.156	194.117.111.159	PT
194.117.111.160	194.117.111.163	DE
194.117.111.164	194.117.111.167	US
194.117.111.168	194.117.111.171	GB
194.117.111.172	194.117.111.175	NA
194.117.111.176	194.117.111.179	US
194.117.111.180	194.117.111.183	CL
194.117.111.184	194.117.111.191	FR
194.117.111.192	194.117.111.195	GR
194.117.111.196	194.117.111.199	SE
194.117.111.200	194.117.111.203	FR
194.117.111.204	194.117.111.207	US
194.117.111.208	194.117.111.211	IT
194.117.111.212	194.117.111.215	ES
194.117.111.216	194.117.111.219	NL
194.117.111.220	194.117.111.223	DE
194.117.111.224	194.117.111.227	US
194.117.111.228	194.117.111.235	DE
194.117.111.236	194.117.111.239	US
194.117.111.240	194.117.111.243	DE
194.117.111.244	194.117.111.247	CA
194.117.111.248	194.117.111.251	BE
194.117.111.252	194.117.112.3	DE
194.117.112.4	194.117.112.7	ZA
194.117.112.8	194.117.112.11	US
194.117.112.12	194.117.112.15	DO
194.117.112.16	194.117.112.19	US
194.117.112.20	194.117.112.27	DE
194.117.112.28	194.117.112.31	BE
194.117.112.32	194.117.112.35	DE
194.117.112.36	194.117.112.39	IT
194.117.112.40	194.117.112.43	NL
194.117.112.44	194.117.112.51	DE
194.117.112.52	194.117.112.55	ES
194.117.112.56	194.117.112.63	DE
194.117.112.64	194.117.112.67	AR
194.117.112.68	194.117.112.75	US
194.117.112.76	194.117.112.79	PT
194.117.112.80	194.117.112.83	US
194.117.112.84	194.117.112.87	DE
194.117.112.88	194.117.112.99	US
194.117.112.100	194.117.112.103	SK
194.117.112.104	194.117.112.107	DE
194.117.112.108	194.117.112.111	AT
194.117.112.112	194.117.112.115	ES
194.117.112.116	194.117.112.123	DE
194.117.112.124	194.117.112.127	US
194.117.112.128	194.117.112.131	DE
194.117.112.132	194.117.112.135	CH
194.117.112.136	194.117.112.139	ES
194.117.112.140	194.117.112.143	US
194.117.112.144	194.117.112.147	IT
194.117.112.148	194.117.112.151	AT
194.117.112.152	194.117.112.155	DE
194.117.112.156	194.117.112.159	AT
194.117.112.160	194.117.112.167	DE
194.117.112.168	194.117.112.171	CA
194.117.112.172	194.117.112.175	DK
194.117.112.176	194.117.112.179	SK
194.117.112.180	194.117.112.183	IT
194.117.112.184	194.117.112.187	CA
194.117.112.188	194.117.112.195	US
194.117.112.196	194.117.112.199	DE
194.117.112.200	194.117.112.203	US
194.117.112.204	194.117.112.207	BE
194.117.112.208	194.117.112.211	US
194.117.112.212	194.117.112.215	DE
194.117.112.216	194.117.112.219	CH
194.117.112.220	194.117.112.223	DE
194.117.112.224	194.117.112.227	US
194.117.112.228	194.117.112.231	DE
194.117.112.232	194.117.112.235	GB
194.117.112.236	194.117.112.239	MX
194.117.112.240	194.117.112.243	DE
194.117.112.244	194.117.112.247	IL
194.117.112.248	194.117.112.251	US
194.117.112.252	194.117.112.255	DE
194.117.113.0	194.117.113.3	DK
194.117.113.4	194.117.113.7	AR
194.117.113.8	194.117.113.11	IT
194.117.113.12	194.117.113.15	FR
194.117.113.16	194.117.113.23	DE
194.117.113.24	194.117.113.27	US
194.117.113.28	194.117.113.31	DE
194.117.113.32	194.117.113.43	US
194.117.113.44	194.117.113.47	ES
194.117.113.48	194.117.113.51	GB
194.117.113.52	194.117.113.59	DE
194.117.113.60	194.117.113.63	NL
194.117.113.64	194.117.113.67	SK
194.117.113.68	194.117.113.71	GB
194.117.113.72	194.117.113.75	TR
194.117.113.76	194.117.113.79	NL
194.117.113.80	194.117.113.83	US
194.117.113.84	194.117.113.91	DE
194.117.113.92	194.117.113.95	DK
194.117.113.96	194.117.113.99	DE
194.117.113.100	194.117.113.103	ZA
194.117.113.104	194.117.113.107	US
194.117.113.108	194.117.113.111	FR
194.117.113.112	194.117.113.123	US
194.117.113.124	194.117.113.127	GB
194.117.113.128	194.117.113.131	SE
194.117.113.132	194.117.113.135	AT
194.117.113.136	194.117.113.139	NL
194.117.113.140	194.117.113.143	IT
194.117.113.144	194.117.113.147	DE
194.117.113.148	194.117.113.151	FR
194.117.113.152	194.117.113.155	ES
194.117.113.156	194.117.113.163	DE
194.117.113.164	194.117.113.171	US
194.117.113.172	194.117.113.175	FR
194.117.113.176	194.117.113.179	IT
194.117.113.180	194.117.113.183	FR
194.117.113.184	194.117.113.187	US
194.117.113.188	194.117.113.191	DE
194.117.113.192	194.117.113.195	CA
194.117.113.196	194.117.113.199	DE
194.117.113.200	194.117.113.203	CH
194.117.113.204	194.117.113.207	BE
194.117.113.208	194.117.113.211	ES
194.117.113.212	194.117.113.215	DE
194.117.113.216	194.117.113.219	US
194.117.113.220	194.117.113.223	ES
194.117.113.224	194.117.113.227	DK
194.117.113.228	194.117.113.235	US
194.117.113.236	194.117.113.239	DE
194.117.113.240	194.117.113.243	IT
194.117.113.244	194.117.113.247	US
194.117.113.248	194.117.113.251	ES
194.117.113.252	194.117.113.255	DE
194.117.114.0	194.117.114.3	CA
194.117.114.4	194.117.114.7	TR
194.117.114.8	194.117.114.27	DE
194.117.114.28	194.117.114.31	LU
194.117.114.32	194.117.114.39	DE
194.117.114.40	194.117.114.43	IT
194.117.114.44	194.117.114.47	DE
194.117.114.48	194.117.114.51	CH
194.117.114.52	194.117.114.55	US
194.117.114.56	194.117.114.59	ES
194.117.114.60	194.117.114.63	DE
194.117.114.64	194.117.114.67	US
194.117.114.68	194.117.114.83	DE
194.117.114.84	194.117.114.87	FR
194.117.114.88	194.117.114.91	DE
194.117.114.92	194.117.114.95	HU
194.117.114.96	194.117.114.99	SK
194.117.114.100	194.117.114.103	FR
194.117.114.104	194.117.114.107	DE
194.117.114.108	194.117.114.111	NL
194.117.114.112	194.117.114.115	CH
194.117.114.116	194.117.114.119	DE
194.117.114.120	194.117.114.123	US
194.117.114.124	194.117.114.127	AT
194.117.114.128	194.117.114.135	DE
194.117.114.136	194.117.114.139	AT
194.117.114.140	194.117.114.151	DE
194.117.114.152	194.117.114.155	NL
194.117.114.156	194.117.114.171	DE
194.117.114.172	194.117.114.175	US
194.117.114.176	194.117.114.179	BE
194.117.114.180	194.117.114.183	DE
194.117.114.184	194.117.114.187	FR
194.117.114.188	194.117.114.195	DE
194.117.114.196	194.117.114.199	IT
194.117.114.200	194.117.114.203	GB
194.117.114.204	194.117.114.207	DE
194.117.114.208	194.117.114.211	CA
194.117.114.212	194.117.114.215	DE
194.117.114.216	194.117.114.219	CH
194.117.114.220	194.117.114.223	DE
194.117.114.224	194.117.114.235	FR
194.117.114.236	194.117.114.239	DK
194.117.114.240	194.117.114.243	US
194.117.114.244	194.117.114.247	GB
194.117.114.248	194.117.115.3	DE
194.117.115.4	194.117.115.7	US
194.117.115.8	194.117.115.11	DE
194.117.115.12	194.117.115.15	AT
194.117.115.16	194.117.115.19	PT
194.117.115.20	194.117.115.27	FR
194.117.115.28	194.117.115.31	NL
194.117.115.32	194.117.115.35	DE
194.117.115.36	194.117.115.39	BE
194.117.115.40	194.117.115.51	DE
194.117.115.52	194.117.115.55	ES
194.117.115.56	194.117.115.75	DE
194.117.115.76	194.117.115.79	SK
194.117.115.80	194.117.115.91	DE
194.117.115.92	194.117.115.95	FR
194.117.115.96	194.117.115.99	CH
194.117.115.100	194.117.115.103	ES
194.117.115.104	194.117.115.107	US
194.117.115.108	194.117.115.111	FR
194.117.115.112	194.117.115.115	NL
194.117.115.116	194.117.115.119	DE
194.117.115.120	194.117.115.131	US
194.117.115.132	194.117.115.135	IT
194.117.115.136	194.117.115.139	GB
194.117.115.140	194.117.115.143	PL
194.117.115.144	194.117.115.147	GB
194.117.115.148	194.117.115.151	US
194.117.115.152	194.117.115.155	ES
194.117.115.156	194.117.115.159	AT
194.117.115.160	194.117.115.163	US
194.117.115.164	194.117.115.167	KW
194.117.115.168	194.117.115.171	BE
194.117.115.172	194.117.115.175	GB
194.117.115.176	194.117.115.183	DE
194.117.115.184	194.117.115.187	CA
194.117.115.188	194.117.115.191	US
194.117.115.192	194.117.115.195	AR
194.117.115.196	194.117.115.199	ES
194.117.115.200	194.117.115.203	DE
194.117.115.204	194.117.115.207	GB
194.117.115.208	194.117.115.211	GR
194.117.115.212	194.117.115.215	NL
194.117.115.216	194.117.115.219	US
194.117.115.220	194.117.115.223	NL
194.117.115.224	194.117.115.227	DE
194.117.115.228	194.117.115.231	FR
194.117.115.232	194.117.115.235	BM
194.117.115.236	194.117.115.239	US
194.117.115.240	194.117.115.243	DK
194.117.115.244	194.117.115.247	IT
194.117.115.248	194.117.115.251	FR
194.117.115.252	194.117.115.255	DE
194.117.116.0	194.117.116.3	ES
194.117.116.4	194.117.116.7	HU
194.117.116.8	194.117.116.15	US
194.117.116.16	194.117.116.19	HU
194.117.116.20	194.117.116.23	DE
194.117.116.24	194.117.116.27	CA
194.117.116.28	194.117.116.31	US
194.117.116.32	194.117.116.35	CH
194.117.116.36	194.117.116.43	DE
194.117.116.44	194.117.116.47	PL
194.117.116.48	194.117.116.51	LU
194.117.116.52	194.117.116.55	ES
194.117.116.56	194.117.116.59	US
194.117.116.60	194.117.116.63	FR
194.117.116.64	194.117.116.67	AT
194.117.116.68	194.117.116.71	US
194.117.116.72	194.117.116.75	FR
194.117.116.76	194.117.116.87	DE
194.117.116.88	194.117.116.91	CH
194.117.116.92	194.117.116.95	DE
194.117.116.96	194.117.116.99	US
194.117.116.100	194.117.116.103	SA
194.117.116.104	194.117.116.107	DK
194.117.116.108	194.117.116.115	DE
194.117.116.116	194.117.116.119	US
194.117.116.120	194.117.116.127	DE
194.117.116.128	194.117.116.131	CH
194.117.116.132	194.117.116.135	BE
194.117.116.136	194.117.116.139	AR
194.117.116.140	194.117.116.143	PT
194.117.116.144	194.117.116.155	DE
194.117.116.156	194.117.116.159	AT
194.117.116.160	194.117.116.163	HU
194.117.116.164	194.117.116.167	FR
194.117.116.168	194.117.116.171	SE
194.117.116.172	194.117.116.175	NL
194.117.116.176	194.117.116.187	DE
194.117.116.188	194.117.116.191	ES
194.117.116.192	194.117.116.195	FR
194.117.116.196	194.117.116.199	CH
194.117.116.200	194.117.116.207	US
194.117.116.208	194.117.116.211	DE
194.117.116.212	194.117.116.215	IT
194.117.116.216	194.117.116.231	DE
194.117.116.232	194.117.116.235	US
194.117.116.236	194.117.116.239	DE
194.117.116.240	194.117.116.243	BR
194.117.116.244	194.117.116.247	US
194.117.116.248	194.117.116.251	CA
194.117.116.252	194.117.117.3	BE
194.117.117.4	194.117.117.7	NL
194.117.117.8	194.117.117.11	DE
194.117.117.12	194.117.117.15	NO
194.117.117.16	194.117.117.19	CA
194.117.117.20	194.117.117.23	FR
194.117.117.24	194.117.117.27	GB
194.117.117.28	194.117.117.31	CH
194.117.117.32	194.117.117.35	NL
194.117.117.36	194.117.117.39	IT
194.117.117.40	194.117.117.43	DE
194.117.117.44	194.117.117.47	US
194.117.117.48	194.117.117.51	IT
194.117.117.52	194.117.117.55	DE
194.117.117.56	194.117.117.59	FR
194.117.117.60	194.117.117.63	CH
194.117.117.64	194.117.117.67	AT
194.117.117.68	194.117.117.71	VE
194.117.117.72	194.117.117.75	DE
194.117.117.76	194.117.117.79	GB
194.117.117.80	194.117.117.87	DE
194.117.117.88	194.117.117.91	NL
194.117.117.92	194.117.117.103	US
194.117.117.104	194.117.117.107	NL
194.117.117.108	194.117.117.119	DE
194.117.117.120	194.117.117.123	FR
194.117.117.124	194.117.117.127	DE
194.117.117.128	194.117.117.131	NL
194.117.117.132	194.117.117.135	FR
194.117.117.136	194.117.117.139	IT
194.117.117.140	194.117.117.143	GB
194.117.117.144	194.117.117.159	DE
194.117.117.160	194.117.117.163	AT
194.117.117.164	194.117.117.167	NL
194.117.117.168	194.117.117.171	BR
194.117.117.172	194.117.117.175	NL
194.117.117.176	194.117.117.183	CH
194.117.117.184	194.117.117.191	DE
194.117.117.192	194.117.117.195	US
194.117.117.196	194.117.117.199	VE
194.117.117.200	194.117.117.203	DE
194.117.117.204	194.117.117.207	CA
194.117.117.208	194.117.117.211	CZ
194.117.117.212	194.117.117.215	GB
194.117.117.216	194.117.117.219	DE
194.117.117.220	194.117.117.223	US
194.117.117.224	194.117.117.227	GB
194.117.117.228	194.117.117.231	FR
194.117.117.232	194.117.117.235	BE
194.117.117.236	194.117.117.239	CH
194.117.117.240	194.117.117.243	CA
194.117.117.244	194.117.117.251	US
194.117.117.252	194.117.117.255	DE
194.117.118.0	194.117.118.3	GB
194.117.118.4	194.117.118.7	US
194.117.118.8	194.117.118.11	CH
194.117.118.12	194.117.118.15	ES
194.117.118.16	194.117.118.19	GB
194.117.118.20	194.117.118.23	DE
194.117.118.24	194.117.118.27	GB
194.117.118.28	194.117.118.31	DE
194.117.118.32	194.117.118.35	CA
194.117.118.36	194.117.118.39	US
194.117.118.40	194.117.118.43	TR
194.117.118.44	194.117.118.47	HU
194.117.118.48	194.117.118.59	DE
194.117.118.60	194.117.118.67	US
194.117.118.68	194.117.118.71	IT
194.117.118.72	194.117.118.75	US
194.117.118.76	194.117.118.79	DE
194.117.118.80	194.117.118.83	GB
194.117.118.84	194.117.118.87	CH
194.117.118.88	194.117.118.91	US
194.117.118.92	194.117.118.95	DE
194.117.118.96	194.117.118.99	US
194.117.118.100	194.117.118.103	HU
194.117.118.104	194.117.118.107	DE
194.117.118.108	194.117.118.111	US
194.117.118.112	194.117.118.115	DE
194.117.118.116	194.117.118.119	CA
194.117.118.120	194.117.118.131	DE
194.117.118.132	194.117.118.135	US
194.117.118.136	194.117.118.139	CA
194.117.118.140	194.117.118.143	DE
194.117.118.144	194.117.118.147	IT
194.117.118.148	194.117.118.163	DE
194.117.118.164	194.117.118.167	NL
194.117.118.168	194.117.118.175	DE
194.117.118.176	194.117.118.179	US
194.117.118.180	194.117.118.183	FR
194.117.118.184	194.117.118.187	IT
194.117.118.188	194.117.118.191	PE
194.117.118.192	194.117.118.195	CH
194.117.118.196	194.117.118.203	DE
194.117.118.204	194.117.118.207	SE
194.117.118.208	194.117.118.211	AT
194.117.118.212	194.117.118.215	DE
194.117.118.216	194.117.118.219	NL
194.117.118.220	194.117.118.223	IS
194.117.118.224	194.117.118.231	DE
194.117.118.232	194.117.118.239	CH
194.117.118.240	194.117.118.243	DE
194.117.118.244	194.117.118.247	KE
194.117.118.248	194.117.119.1	DE
194.117.119.2	194.117.119.2	ES
194.117.119.3	194.117.119.3	SA
194.117.119.4	194.117.119.4	TR
194.117.119.5	194.117.119.5	FR
194.117.119.6	194.117.119.8	DE
194.117.119.9	194.117.119.9	AT
194.117.119.10	194.117.119.10	DE
194.117.119.11	194.117.119.11	HU
194.117.119.12	194.117.119.12	PT
194.117.119.13	194.117.119.13	SA
194.117.119.14	194.117.119.14	PT
194.117.119.15	194.117.119.15	DE
194.117.119.16	194.117.119.16	PL
194.117.119.17	194.117.119.17	KE
194.117.119.18	194.117.119.18	TR
194.117.119.19	194.117.119.19	DE
194.117.119.20	194.117.119.20	TR
194.117.119.21	194.117.119.21	ZW
194.117.119.22	194.117.119.22	TR
194.117.119.23	194.117.119.23	DE
194.117.119.24	194.117.119.24	TR
194.117.119.25	194.117.119.25	PL
194.117.119.26	194.117.119.26	IT
194.117.119.27	194.117.119.27	TR
194.117.119.28	194.117.119.28	DE
194.117.119.29	194.117.119.29	AE
194.117.119.30	194.117.119.33	DE
194.117.119.34	194.117.119.34	TR
194.117.119.35	194.117.119.35	DE
194.117.119.36	194.117.119.36	NO
194.117.119.37	194.117.119.37	NA
194.117.119.38	194.117.119.38	DE
194.117.119.39	194.117.119.39	SA
194.117.119.40	194.117.119.40	NA
194.117.119.41	194.117.119.41	AO
194.117.119.42	194.117.119.42	NA
194.117.119.43	194.117.119.43	CY
194.117.119.44	194.117.119.44	DE
194.117.119.45	194.117.119.45	PT
194.117.119.46	194.117.119.46	CY
194.117.119.47	194.117.119.47	GR
194.117.119.48	194.117.119.48	CH
194.117.119.49	194.117.119.49	HU
194.117.119.50	194.117.119.50	FR
194.117.119.51	194.117.119.51	SK
194.117.119.52	194.117.119.52	ES
194.117.119.53	194.117.119.53	TR
194.117.119.54	194.117.119.54	ES
194.117.119.55	194.117.119.55	TR
194.117.119.56	194.117.119.57	HU
194.117.119.58	194.117.119.58	TR
194.117.119.59	194.117.119.59	MZ
194.117.119.60	194.117.119.60	FR
194.117.119.61	194.117.119.63	TR
194.117.119.64	194.117.119.65	DE
194.117.119.66	194.117.119.66	GR
194.117.119.67	194.117.119.67	FR
194.117.119.68	194.117.119.68	KZ
194.117.119.69	194.117.119.69	UA
194.117.119.70	194.117.119.70	SA
194.117.119.71	194.117.119.71	DE
194.117.119.72	194.117.119.72	PL
194.117.119.73	194.117.119.73	TR
194.117.119.74	194.117.119.74	FR
194.117.119.75	194.117.119.75	CU
194.117.119.76	194.117.119.76	TR
194.117.119.77	194.117.119.77	DE
194.117.119.78	194.117.119.78	IT
194.117.119.79	194.117.119.79	IL
194.117.119.80	194.117.119.80	TR
194.117.119.81	194.117.119.81	ZW
194.117.119.82	194.117.119.82	SA
194.117.119.83	194.117.119.83	FR
194.117.119.84	194.117.119.84	ZW
194.117.119.85	194.117.119.85	SK
194.117.119.86	194.117.119.86	TR
194.117.119.87	194.117.119.87	KZ
194.117.119.88	194.117.119.88	ES
194.117.119.89	194.117.119.89	PL
194.117.119.90	194.117.119.91	FR
194.117.119.92	194.117.119.92	GR
194.117.119.93	194.117.119.94	TR
194.117.119.95	194.117.119.95	DE
194.117.119.96	194.117.119.96	TR
194.117.119.97	194.117.119.97	DE
194.117.119.98	194.117.119.98	MZ
194.117.119.99	194.117.119.100	TR
194.117.119.101	194.117.119.101	CN
194.117.119.102	194.117.119.102	ES
194.117.119.103	194.117.119.103	PL
194.117.119.104	194.117.119.104	MZ
194.117.119.105	194.117.119.105	PL
194.117.119.106	194.117.119.106	ES
194.117.119.107	194.117.119.107	PT
194.117.119.108	194.117.119.108	TR
194.117.119.109	194.117.119.109	NA
194.117.119.110	194.117.119.110	DE
194.117.119.111	194.117.119.112	ZA
194.117.119.113	194.117.119.114	NA
194.117.119.115	194.117.119.127	DE
194.117.119.128	194.117.119.131	ES
194.117.119.132	194.117.119.135	NL
194.117.119.136	194.117.119.139	FR
194.117.119.140	194.117.119.143	SE
194.117.119.144	194.117.119.147	GB
194.117.119.148	194.117.119.151	ES
194.117.119.152	194.117.119.155	FR
194.117.119.156	194.117.119.159	IT
194.117.119.160	194.117.119.163	FR
194.117.119.164	194.117.119.167	DE
194.117.119.168	194.117.119.171	IT
194.117.119.172	194.117.119.175	CH
194.117.119.176	194.117.119.179	ES
194.117.119.180	194.117.119.183	DE
194.117.119.184	194.117.119.187	IT
194.117.119.188	194.117.119.191	ES
194.117.119.192	194.117.119.195	CH
194.117.119.196	194.117.119.219	DE
194.117.119.220	194.117.119.223	ES
194.117.119.224	194.117.119.227	PT
194.117.119.228	194.117.119.231	ES
194.117.119.232	194.117.119.239	DE
194.117.119.240	194.117.119.243	GB
194.117.119.244	194.117.119.247	BE
194.117.119.248	194.117.119.251	ES
194.117.119.252	194.117.119.255	GB
194.117.120.0	194.117.120.1	DE
194.117.120.2	194.117.120.2	PL
194.117.120.3	194.117.120.7	DE
194.117.120.8	194.117.120.8	IT
194.117.120.9	194.117.120.9	CH
194.117.120.10	194.117.120.10	PT
194.117.120.11	194.117.120.11	AO
194.117.120.12	194.117.120.12	DK
194.117.120.13	194.117.120.13	BE
194.117.120.14	194.117.120.14	AT
194.117.120.15	194.117.120.15	TR
194.117.120.16	194.117.120.16	CH
194.117.120.17	194.117.120.17	DK
194.117.120.18	194.117.120.18	FR
194.117.120.19	194.117.120.19	DE
194.117.120.20	194.117.120.20	FR
194.117.120.21	194.117.120.22	DE
194.117.120.23	194.117.120.24	FR
194.117.120.25	194.117.120.25	DE
194.117.120.26	194.117.120.26	FR
194.117.120.27	194.117.120.27	CH
194.117.120.28	194.117.120.28	PT
194.117.120.29	194.117.120.30	DE
194.117.120.31	194.117.120.31	HU
194.117.120.32	194.117.120.32	DE
194.117.120.33	194.117.120.33	NO
194.117.120.34	194.117.120.34	CH
194.117.120.35	194.117.120.35	DE
194.117.120.36	194.117.120.37	CH
194.117.120.38	194.117.120.38	PT
194.117.120.39	194.117.120.40	FR
194.117.120.41	194.117.120.41	DE
194.117.120.42	194.117.120.42	CH
194.117.120.43	194.117.120.43	DE
194.117.120.44	194.117.120.45	FR
194.117.120.46	194.117.120.46	AE
194.117.120.47	194.117.120.47	DE
194.117.120.48	194.117.120.48	AE
194.117.120.49	194.117.120.49	ZA
194.117.120.50	194.117.120.50	DE
194.117.120.51	194.117.120.51	IT
194.117.120.52	194.117.120.52	GR
194.117.120.53	194.117.120.53	CH
194.117.120.54	194.117.120.54	ES
194.117.120.55	194.117.120.55	HU
194.117.120.56	194.117.120.57	DE
194.117.120.58	194.117.120.58	IT
194.117.120.59	194.117.120.60	DE
194.117.120.61	194.117.120.61	PT
194.117.120.62	194.117.120.62	HU
194.117.120.63	194.117.120.63	DE
194.117.120.64	194.117.120.64	GB
194.117.120.65	194.117.120.65	DE
194.117.120.66	194.117.120.66	IT
194.117.120.67	194.117.120.67	CZ
194.117.120.68	194.117.120.68	FI
194.117.120.69	194.117.120.70	GB
194.117.120.71	194.117.120.76	DE
194.117.120.77	194.117.120.77	ES
194.117.120.78	194.117.120.78	PL
194.117.120.79	194.117.120.79	SE
194.117.120.80	194.117.120.80	SA
194.117.120.81	194.117.120.81	DE
194.117.120.82	194.117.120.82	AT
194.117.120.83	194.117.120.83	FR
194.117.120.84	194.117.120.85	DE
194.117.120.86	194.117.120.86	CH
194.117.120.87	194.117.120.87	SA
194.117.120.88	194.117.120.88	FR
194.117.120.89	194.117.120.89	IT
194.117.120.90	194.117.120.90	NO
194.117.120.91	194.117.120.92	FR
194.117.120.93	194.117.120.93	PT
194.117.120.94	194.117.120.94	CH
194.117.120.95	194.117.120.95	HU
194.117.120.96	194.117.120.96	RE
194.117.120.97	194.117.120.97	AT
194.117.120.98	194.117.120.98	PT
194.117.120.99	194.117.120.99	IT
194.117.120.100	194.117.120.101	DE
194.117.120.102	194.117.120.102	ZA
194.117.120.103	194.117.120.103	DE
194.117.120.104	194.117.120.104	SE
194.117.120.105	194.117.120.105	FR
194.117.120.106	194.117.120.106	IT
194.117.120.107	194.117.120.107	DE
194.117.120.108	194.117.120.108	AT
194.117.120.109	194.117.120.109	PT
194.117.120.110	194.117.120.111	DE
194.117.120.112	194.117.120.112	ZA
194.117.120.113	194.117.120.113	DE
194.117.120.114	194.117.120.114	TR
194.117.120.115	194.117.120.115	FR
194.117.120.116	194.117.120.116	IL
194.117.120.117	194.117.120.117	DE
194.117.120.118	194.117.120.118	SE
194.117.120.119	194.117.120.119	IT
194.117.120.120	194.117.120.120	DE
194.117.120.121	194.117.120.121	GB
194.117.120.122	194.117.120.122	HU
194.117.120.123	194.117.120.123	ES
194.117.120.124	194.117.120.124	CY
194.117.120.125	194.117.120.129	DE
194.117.120.130	194.117.120.130	FR
194.117.120.131	194.117.120.131	HU
194.117.120.132	194.117.120.132	DE
194.117.120.133	194.117.120.133	FR
194.117.120.134	194.117.120.134	DE
194.117.120.135	194.117.120.135	ES
194.117.120.136	194.117.120.136	DE
194.117.120.137	194.117.120.137	FR
194.117.120.138	194.117.120.138	HU
194.117.120.139	194.117.120.140	DE
194.117.120.141	194.117.120.142	CH
194.117.120.143	194.117.120.143	DK
194.117.120.144	194.117.120.144	DE
194.117.120.145	194.117.120.145	DK
194.117.120.146	194.117.120.146	IT
194.117.120.147	194.117.120.147	FR
194.117.120.148	194.117.120.148	DE
194.117.120.149	194.117.120.149	CH
194.117.120.150	194.117.120.151	FR
194.117.120.152	194.117.120.152	HU
194.117.120.153	194.117.120.153	HR
194.117.120.154	194.117.120.154	SE
194.117.120.155	194.117.120.155	DE
194.117.120.156	194.117.120.156	CH
194.117.120.157	194.117.120.157	DE
194.117.120.158	194.117.120.158	FR
194.117.120.159	194.117.120.159	DE
194.117.120.160	194.117.120.160	PT
194.117.120.161	194.117.120.164	DE
194.117.120.165	194.117.120.165	CH
194.117.120.166	194.117.120.166	SE
194.117.120.167	194.117.120.167	ZA
194.117.120.168	194.117.120.168	FR
194.117.120.169	194.117.120.169	IT
194.117.120.170	194.117.120.170	PT
194.117.120.171	194.117.120.171	IT
194.117.120.172	194.117.120.172	PT
194.117.120.173	194.117.120.173	NL
194.117.120.174	194.117.120.177	DE
194.117.120.178	194.117.120.178	SE
194.117.120.179	194.117.120.179	PT
194.117.120.180	194.117.120.180	ES
194.117.120.181	194.117.120.183	DE
194.117.120.184	194.117.120.184	CH
194.117.120.185	194.117.120.185	NL
194.117.120.186	194.117.120.186	QA
194.117.120.187	194.117.120.187	FR
194.117.120.188	194.117.120.188	ES
194.117.120.189	194.117.120.190	DE
194.117.120.191	194.117.120.191	ES
194.117.120.192	194.117.120.192	NL
194.117.120.193	194.117.120.193	ES
194.117.120.194	194.117.120.194	DE
194.117.120.195	194.117.120.195	FR
194.117.120.196	194.117.120.200	DE
194.117.120.201	194.117.120.201	HU
194.117.120.202	194.117.120.202	DE
194.117.120.203	194.117.120.203	FI
194.117.120.204	194.117.120.204	HU
194.117.120.205	194.117.120.206	DE
194.117.120.207	194.117.120.207	AT
194.117.120.208	194.117.120.208	NL
194.117.120.209	194.117.120.210	DE
194.117.120.211	194.117.120.211	FR
194.117.120.212	194.117.120.212	ES
194.117.120.213	194.117.120.213	FR
194.117.120.214	194.117.120.214	DE
194.117.120.215	194.117.120.215	PL
194.117.120.216	194.117.120.216	HU
194.117.120.217	194.117.120.217	PL
194.117.120.218	194.117.120.218	SE
194.117.120.219	194.117.120.219	DE
194.117.120.220	194.117.120.220	GB
194.117.120.221	194.117.120.221	DE
194.117.120.222	194.117.120.222	IT
194.117.120.223	194.117.120.224	DE
194.117.120.225	194.117.120.226	FR
194.117.120.227	194.117.120.227	DK
194.117.120.228	194.117.120.228	RU
194.117.120.229	194.117.120.230	FR
194.117.120.231	194.117.120.231	HU
194.117.120.232	194.117.120.232	DE
194.117.120.233	194.117.120.233	TR
194.117.120.234	194.117.120.234	FR
194.117.120.235	194.117.121.2	DE
194.117.121.3	194.117.121.3	CH
194.117.121.4	194.117.121.4	PT
194.117.121.5	194.117.121.5	SE
194.117.121.6	194.117.121.7	DE
194.117.121.8	194.117.121.8	IT
194.117.121.9	194.117.121.9	KW
194.117.121.10	194.117.121.10	FR
194.117.121.11	194.117.121.12	DE
194.117.121.13	194.117.121.13	ES
194.117.121.14	194.117.121.14	FI
194.117.121.15	194.117.121.15	GR
194.117.121.16	194.117.121.16	DE
194.117.121.17	194.117.121.17	IT
194.117.121.18	194.117.121.18	ES
194.117.121.19	194.117.121.19	HU
194.117.121.20	194.117.121.28	DE
194.117.121.29	194.117.121.29	SE
194.117.121.30	194.117.121.30	TR
194.117.121.31	194.117.121.31	ES
194.117.121.32	194.117.121.32	FR
194.117.121.33	194.117.121.33	DE
194.117.121.34	194.117.121.34	HU
194.117.121.35	194.117.121.35	DE
194.117.121.36	194.117.121.36	HU
194.117.121.37	194.117.121.37	DE
194.117.121.38	194.117.121.38	FR
194.117.121.39	194.117.121.39	PL
194.117.121.40	194.117.121.40	AN
194.117.121.41	194.117.121.41	AT
194.117.121.42	194.117.121.42	ES
194.117.121.43	194.117.121.43	SA
194.117.121.44	194.117.121.44	CH
194.117.121.45	194.117.121.45	GB
194.117.121.46	194.117.121.47	DE
194.117.121.48	194.117.121.48	PT
194.117.121.49	194.117.121.49	DE
194.117.121.50	194.117.121.50	CH
194.117.121.51	194.117.121.51	DE
194.117.121.52	194.117.121.52	ES
194.117.121.53	194.117.121.53	DE
194.117.121.54	194.117.121.54	AT
194.117.121.55	194.117.121.55	FR
194.117.121.56	194.117.121.56	PT
194.117.121.57	194.117.121.57	CZ
194.117.121.58	194.117.121.58	ES
194.117.121.59	194.117.121.59	FR
194.117.121.60	194.117.121.61	ES
194.117.121.62	194.117.121.63	DE
194.117.121.64	194.117.121.64	PL
194.117.121.65	194.117.121.65	DE
194.117.121.66	194.117.121.66	ES
194.117.121.67	194.117.121.67	DE
194.117.121.68	194.117.121.68	SK
194.117.121.69	194.117.121.69	BE
194.117.121.70	194.117.121.70	TR
194.117.121.71	194.117.121.71	AT
194.117.121.72	194.117.121.72	ES
194.117.121.73	194.117.121.73	DK
194.117.121.74	194.117.121.74	AT
194.117.121.75	194.117.121.75	DE
194.117.121.76	194.117.121.76	IT
194.117.121.77	194.117.121.78	DE
194.117.121.79	194.117.121.79	FR
194.117.121.80	194.117.121.81	DE
194.117.121.82	194.117.121.82	SK
194.117.121.83	194.117.121.83	PL
194.117.121.84	194.117.121.84	CH
194.117.121.85	194.117.121.85	HU
194.117.121.86	194.117.121.86	IT
194.117.121.87	194.117.121.87	FR
194.117.121.88	194.117.121.88	GB
194.117.121.89	194.117.121.89	ES
194.117.121.90	194.117.121.90	CH
194.117.121.91	194.117.121.91	IT
194.117.121.92	194.117.121.92	BE
194.117.121.93	194.117.121.93	DE
194.117.121.94	194.117.121.94	FR
194.117.121.95	194.117.121.95	ES
194.117.121.96	194.117.121.96	TR
194.117.121.97	194.117.121.97	GB
194.117.121.98	194.117.121.98	AT
194.117.121.99	194.117.121.99	CH
194.117.121.100	194.117.121.100	PL
194.117.121.101	194.117.121.101	TR
194.117.121.102	194.117.121.102	CH
194.117.121.103	194.117.121.103	DE
194.117.121.104	194.117.121.104	LI
194.117.121.105	194.117.121.105	ES
194.117.121.106	194.117.121.106	IT
194.117.121.107	194.117.121.107	ES
194.117.121.108	194.117.121.108	IT
194.117.121.109	194.117.121.109	DE
194.117.121.110	194.117.121.110	CH
194.117.121.111	194.117.121.111	FR
194.117.121.112	194.117.121.112	IT
194.117.121.113	194.117.121.114	PT
194.117.121.115	194.117.121.115	ES
194.117.121.116	194.117.121.129	DE
194.117.121.130	194.117.121.130	FR
194.117.121.131	194.117.121.132	DE
194.117.121.133	194.117.121.133	IT
194.117.121.134	194.117.121.134	FR
194.117.121.135	194.117.121.135	AT
194.117.121.136	194.117.121.136	NL
194.117.121.137	194.117.121.137	SK
194.117.121.138	194.117.121.138	IT
194.117.121.139	194.117.121.139	PT
194.117.121.140	194.117.121.140	PL
194.117.121.141	194.117.121.141	SK
194.117.121.142	194.117.121.143	DE
194.117.121.144	194.117.121.144	HU
194.117.121.145	194.117.121.145	ES
194.117.121.146	194.117.121.146	SK
194.117.121.147	194.117.121.147	SE
194.117.121.148	194.117.121.148	FR
194.117.121.149	194.117.121.149	DK
194.117.121.150	194.117.121.150	CH
194.117.121.151	194.117.121.151	FR
194.117.121.152	194.117.121.152	GR
194.117.121.153	194.117.121.153	IT
194.117.121.154	194.117.121.154	SE
194.117.121.155	194.117.121.155	FR
194.117.121.156	194.117.121.156	DE
194.117.121.157	194.117.121.159	FR
194.117.121.160	194.117.121.160	PT
194.117.121.161	194.117.121.161	IE
194.117.121.162	194.117.121.162	ES
194.117.121.163	194.117.121.163	DK
194.117.121.164	194.117.121.164	DE
194.117.121.165	194.117.121.165	AT
194.117.121.166	194.117.121.166	FR
194.117.121.167	194.117.121.167	CH
194.117.121.168	194.117.121.168	TR
194.117.121.169	194.117.121.169	HU
194.117.121.170	194.117.121.170	CY
194.117.121.171	194.117.121.171	ES
194.117.121.172	194.117.121.172	DE
194.117.121.173	194.117.121.174	ES
194.117.121.175	194.117.121.175	PT
194.117.121.176	194.117.121.176	PL
194.117.121.177	194.117.121.177	ES
194.117.121.178	194.117.121.178	IT
194.117.121.179	194.117.121.179	SK
194.117.121.180	194.117.121.180	FR
194.117.121.181	194.117.121.181	CZ
194.117.121.182	194.117.121.182	DE
194.117.121.183	194.117.121.183	CH
194.117.121.184	194.117.121.184	ES
194.117.121.185	194.117.121.186	IT
194.117.121.187	194.117.121.187	ES
194.117.121.188	194.117.121.188	PT
194.117.121.189	194.117.121.189	PL
194.117.121.190	194.117.121.190	MA
194.117.121.191	194.117.121.191	ES
194.117.121.192	194.117.121.193	TR
194.117.121.194	194.117.121.194	DE
194.117.121.195	194.117.121.195	PT
194.117.121.196	194.117.121.196	NO
194.117.121.197	194.117.121.197	GR
194.117.121.198	194.117.121.198	DE
194.117.121.199	194.117.121.199	GB
194.117.121.200	194.117.121.200	PT
194.117.121.201	194.117.121.201	FR
194.117.121.202	194.117.121.202	PT
194.117.121.203	194.117.121.203	PL
194.117.121.204	194.117.121.204	HU
194.117.121.205	194.117.121.205	CY
194.117.121.206	194.117.121.206	IT
194.117.121.207	194.117.121.207	HU
194.117.121.208	194.117.121.208	PL
194.117.121.209	194.117.121.209	DE
194.117.121.210	194.117.121.210	IT
194.117.121.211	194.117.121.211	ES
194.117.121.212	194.117.121.212	SK
194.117.121.213	194.117.121.214	GR
194.117.121.215	194.117.121.215	CH
194.117.121.216	194.117.121.216	HU
194.117.121.217	194.117.121.217	TR
194.117.121.218	194.117.121.218	CH
194.117.121.219	194.117.121.219	FR
194.117.121.220	194.117.121.220	PL
194.117.121.221	194.117.121.221	LB
194.117.121.222	194.117.122.3	DE
194.117.122.4	194.117.122.5	CH
194.117.122.6	194.117.122.7	DE
194.117.122.8	194.117.122.8	FR
194.117.122.9	194.117.122.9	LI
194.117.122.10	194.117.122.12	DE
194.117.122.13	194.117.122.13	FR
194.117.122.14	194.117.122.14	DE
194.117.122.15	194.117.122.15	AT
194.117.122.16	194.117.122.16	NL
194.117.122.17	194.117.122.17	DE
194.117.122.18	194.117.122.18	CH
194.117.122.19	194.117.122.19	GB
194.117.122.20	194.117.122.20	IT
194.117.122.21	194.117.122.22	FR
194.117.122.23	194.117.122.24	DE
194.117.122.25	194.117.122.25	NL
194.117.122.26	194.117.122.26	AT
194.117.122.27	194.117.122.27	DE
194.117.122.28	194.117.122.28	GB
194.117.122.29	194.117.122.29	DE
194.117.122.30	194.117.122.30	AT
194.117.122.31	194.117.122.33	DE
194.117.122.34	194.117.122.34	GR
194.117.122.35	194.117.122.38	DE
194.117.122.39	194.117.122.39	NL
194.117.122.40	194.117.122.40	DK
194.117.122.41	194.117.122.42	FR
194.117.122.43	194.117.122.45	DE
194.117.122.46	194.117.122.46	AT
194.117.122.47	194.117.122.47	DE
194.117.122.48	194.117.122.48	NL
194.117.122.49	194.117.122.49	FR
194.117.122.50	194.117.122.50	GB
194.117.122.51	194.117.122.51	SE
194.117.122.52	194.117.122.52	GB
194.117.122.53	194.117.122.53	DE
194.117.122.54	194.117.122.54	IT
194.117.122.55	194.117.122.56	DE
194.117.122.57	194.117.122.57	SE
194.117.122.58	194.117.122.61	DE
194.117.122.62	194.117.122.62	DK
194.117.122.63	194.117.122.63	BH
194.117.122.64	194.117.122.64	NL
194.117.122.65	194.117.122.65	FR
194.117.122.66	194.117.122.66	DE
194.117.122.67	194.117.122.67	NL
194.117.122.68	194.117.122.71	DE
194.117.122.72	194.117.122.72	ZA
194.117.122.73	194.117.122.73	AT
194.117.122.74	194.117.122.76	DE
194.117.122.77	194.117.122.77	NL
194.117.122.78	194.117.122.78	AT
194.117.122.79	194.117.122.79	PT
194.117.122.80	194.117.122.80	DK
194.117.122.81	194.117.122.81	GB
194.117.122.82	194.117.122.83	DE
194.117.122.84	194.117.122.84	CH
194.117.122.85	194.117.122.87	DE
194.117.122.88	194.117.122.89	CH
194.117.122.90	194.117.122.90	NL
194.117.122.91	194.117.122.91	GB
194.117.122.92	194.117.122.92	NL
194.117.122.93	194.117.122.93	DE
194.117.122.94	194.117.122.94	BE
194.117.122.95	194.117.122.95	SI
194.117.122.96	194.117.122.97	DE
194.117.122.98	194.117.122.98	IE
194.117.122.99	194.117.122.99	DE
194.117.122.100	194.117.122.100	IT
194.117.122.101	194.117.122.101	SE
194.117.122.102	194.117.122.104	DE
194.117.122.105	194.117.122.105	AT
194.117.122.106	194.117.122.106	DE
194.117.122.107	194.117.122.107	FR
194.117.122.108	194.117.122.108	DE
194.117.122.109	194.117.122.109	PT
194.117.122.110	194.117.122.110	SE
194.117.122.111	194.117.122.113	NL
194.117.122.114	194.117.122.115	DE
194.117.122.116	194.117.122.116	CH
194.117.122.117	194.117.122.118	DE
194.117.122.119	194.117.122.119	NL
194.117.122.120	194.117.122.120	ES
194.117.122.121	194.117.122.121	DE
194.117.122.122	194.117.122.122	BE
194.117.122.123	194.117.122.123	DE
194.117.122.124	194.117.122.124	NO
194.117.122.125	194.117.122.125	CH
194.117.122.126	194.117.122.126	GB
194.117.122.127	194.117.122.132	DE
194.117.122.133	194.117.122.133	IT
194.117.122.134	194.117.122.134	DE
194.117.122.135	194.117.122.135	NL
194.117.122.136	194.117.122.136	CH
194.117.122.137	194.117.122.137	PT
194.117.122.138	194.117.122.138	NL
194.117.122.139	194.117.122.139	GB
194.117.122.140	194.117.122.140	IE
194.117.122.141	194.117.122.141	NL
194.117.122.142	194.117.122.142	DE
194.117.122.143	194.117.122.144	FR
194.117.122.145	194.117.122.145	NL
194.117.122.146	194.117.122.149	DE
194.117.122.150	194.117.122.150	GB
194.117.122.151	194.117.122.151	AT
194.117.122.152	194.117.122.152	CH
194.117.122.153	194.117.122.153	AT
194.117.122.154	194.117.122.154	DE
194.117.122.155	194.117.122.155	FR
194.117.122.156	194.117.122.159	DE
194.117.122.160	194.117.122.160	NL
194.117.122.161	194.117.122.161	NO
194.117.122.162	194.117.122.163	NL
194.117.122.164	194.117.122.164	DE
194.117.122.165	194.117.122.165	NL
194.117.122.166	194.117.122.166	ES
194.117.122.167	194.117.122.167	CH
194.117.122.168	194.117.122.168	SE
194.117.122.169	194.117.122.169	DK
194.117.122.170	194.117.122.170	IT
194.117.122.171	194.117.122.171	DE
194.117.122.172	194.117.122.174	CH
194.117.122.175	194.117.122.176	DE
194.117.122.177	194.117.122.177	NL
194.117.122.178	194.117.122.179	DE
194.117.122.180	194.117.122.180	CH
194.117.122.181	194.117.122.181	DE
194.117.122.182	194.117.122.182	ES
194.117.122.183	194.117.122.183	AT
194.117.122.184	194.117.122.188	DE
194.117.122.189	194.117.122.189	AT
194.117.122.190	194.117.122.190	DK
194.117.122.191	194.117.122.191	DE
194.117.122.192	194.117.122.192	NL
194.117.122.193	194.117.122.193	CH
194.117.122.194	194.117.122.194	DK
194.117.122.195	194.117.122.195	FR
194.117.122.196	194.117.122.196	DE
194.117.122.197	194.117.122.197	IT
194.117.122.198	194.117.122.198	DE
194.117.122.199	194.117.122.199	AT
194.117.122.200	194.117.122.200	NL
194.117.122.201	194.117.122.202	DE
194.117.122.203	194.117.122.203	GB
194.117.122.204	194.117.122.204	DE
194.117.122.205	194.117.122.205	NL
194.117.122.206	194.117.122.208	DE
194.117.122.209	194.117.122.209	GB
194.117.122.210	194.117.122.210	FR
194.117.122.211	194.117.122.211	IT
194.117.122.212	194.117.122.214	DE
194.117.122.215	194.117.122.215	CH
194.117.122.216	194.117.122.217	FR
194.117.122.218	194.117.122.218	IT
194.117.122.219	194.117.122.219	DE
194.117.122.220	194.117.122.220	ES
194.117.122.221	194.117.122.221	FR
194.117.122.222	194.117.122.222	ES
194.117.122.223	194.117.122.226	DE
194.117.122.227	194.117.122.227	CH
194.117.122.228	194.117.122.228	BE
194.117.122.229	194.117.122.229	DE
194.117.122.230	194.117.122.230	IT
194.117.122.231	194.117.122.231	ES
194.117.122.232	194.117.122.232	LU
194.117.122.233	194.117.122.233	CH
194.117.122.234	194.117.122.234	IT
194.117.122.235	194.117.122.235	NL
194.117.122.236	194.117.122.236	CH
194.117.122.237	194.117.122.237	IT
194.117.122.238	194.117.122.238	FR
194.117.122.239	194.117.122.240	DE
194.117.122.241	194.117.122.241	CH
194.117.122.242	194.117.122.242	FR
194.117.122.243	194.117.122.243	DE
194.117.122.244	194.117.122.244	IT
194.117.122.245	194.117.122.245	FR
194.117.122.246	194.117.122.247	GB
194.117.122.248	194.117.122.248	ES
194.117.122.249	194.117.122.249	FR
194.117.122.250	194.117.122.250	GB
194.117.122.251	194.117.122.251	DE
194.117.122.252	194.117.122.252	DK
194.117.122.253	194.117.122.253	CH
194.117.122.254	194.117.122.254	IT
194.117.122.255	194.117.123.1	DE
194.117.123.2	194.117.123.2	ES
194.117.123.3	194.117.123.3	IT
194.117.123.4	194.117.123.4	AT
194.117.123.5	194.117.123.5	FR
194.117.123.6	194.117.123.6	DE
194.117.123.7	194.117.123.7	LU
194.117.123.8	194.117.123.11	DE
194.117.123.12	194.117.123.12	IT
194.117.123.13	194.117.123.13	CH
194.117.123.14	194.117.123.14	GR
194.117.123.15	194.117.123.16	DE
194.117.123.17	194.117.123.17	ES
194.117.123.18	194.117.123.18	FR
194.117.123.19	194.117.123.19	DE
194.117.123.20	194.117.123.20	FR
194.117.123.21	194.117.123.21	IL
194.117.123.22	194.117.123.26	DE
194.117.123.27	194.117.123.27	NL
194.117.123.28	194.117.123.28	AT
194.117.123.29	194.117.123.29	NL
194.117.123.30	194.117.123.30	ES
194.117.123.31	194.117.123.35	DE
194.117.123.36	194.117.123.36	NL
194.117.123.37	194.117.123.38	DE
194.117.123.39	194.117.123.39	GB
194.117.123.40	194.117.123.40	CH
194.117.123.41	194.117.123.41	NO
194.117.123.42	194.117.123.42	DE
194.117.123.43	194.117.123.43	IT
194.117.123.44	194.117.123.45	ES
194.117.123.46	194.117.123.47	DE
194.117.123.48	194.117.123.48	NL
194.117.123.49	194.117.123.49	DE
194.117.123.50	194.117.123.50	FR
194.117.123.51	194.117.123.51	NL
194.117.123.52	194.117.123.52	DE
194.117.123.53	194.117.123.53	ES
194.117.123.54	194.117.123.54	DE
194.117.123.55	194.117.123.55	FR
194.117.123.56	194.117.123.56	DE
194.117.123.57	194.117.123.57	FR
194.117.123.58	194.117.123.58	DE
194.117.123.59	194.117.123.59	FR
194.117.123.60	194.117.123.60	DE
194.117.123.61	194.117.123.63	CH
194.117.123.64	194.117.123.64	DE
194.117.123.65	194.117.123.65	IT
194.117.123.66	194.117.123.66	CH
194.117.123.67	194.117.123.67	ES
194.117.123.68	194.117.123.70	DE
194.117.123.71	194.117.123.71	FR
194.117.123.72	194.117.123.74	DE
194.117.123.75	194.117.123.75	AT
194.117.123.76	194.117.123.76	NL
194.117.123.77	194.117.123.77	DE
194.117.123.78	194.117.123.78	LU
194.117.123.79	194.117.123.79	DK
194.117.123.80	194.117.123.80	CH
194.117.123.81	194.117.123.81	IT
194.117.123.82	194.117.123.82	ES
194.117.123.83	194.117.123.83	DE
194.117.123.84	194.117.123.84	CH
194.117.123.85	194.117.123.85	ES
194.117.123.86	194.117.123.87	IT
194.117.123.88	194.117.123.88	FR
194.117.123.89	194.117.123.89	GB
194.117.123.90	194.117.123.90	DE
194.117.123.91	194.117.123.91	BE
194.117.123.92	194.117.123.92	DE
194.117.123.93	194.117.123.93	GB
194.117.123.94	194.117.123.95	DE
194.117.123.96	194.117.123.96	NL
194.117.123.97	194.117.123.97	HU
194.117.123.98	194.117.123.98	FR
194.117.123.99	194.117.123.104	DE
194.117.123.105	194.117.123.105	ES
194.117.123.106	194.117.123.108	DE
194.117.123.109	194.117.123.109	NO
194.117.123.110	194.117.123.110	DE
194.117.123.111	194.117.123.111	IT
194.117.123.112	194.117.123.115	DE
194.117.123.116	194.117.123.116	NL
194.117.123.117	194.117.123.119	DE
194.117.123.120	194.117.123.120	BE
194.117.123.121	194.117.123.121	FR
194.117.123.122	194.117.123.122	DE
194.117.123.123	194.117.123.123	NL
194.117.123.124	194.117.123.124	DK
194.117.123.125	194.117.123.129	DE
194.117.123.130	194.117.123.130	GB
194.117.123.131	194.117.123.132	DE
194.117.123.133	194.117.123.134	NL
194.117.123.135	194.117.123.135	FR
194.117.123.136	194.117.123.136	DE
194.117.123.137	194.117.123.138	FR
194.117.123.139	194.117.123.139	NL
194.117.123.140	194.117.123.140	IT
194.117.123.141	194.117.123.145	DE
194.117.123.146	194.117.123.146	AT
194.117.123.147	194.117.123.148	DE
194.117.123.149	194.117.123.149	NL
194.117.123.150	194.117.123.150	FR
194.117.123.151	194.117.123.151	DE
194.117.123.152	194.117.123.152	IT
194.117.123.153	194.117.123.153	US
194.117.123.154	194.117.123.157	DE
194.117.123.158	194.117.123.158	CH
194.117.123.159	194.117.123.160	DE
194.117.123.161	194.117.123.161	CH
194.117.123.162	194.117.123.162	FR
194.117.123.163	194.117.123.163	DE
194.117.123.164	194.117.123.164	NL
194.117.123.165	194.117.123.165	DE
194.117.123.166	194.117.123.167	DK
194.117.123.168	194.117.123.168	IT
194.117.123.169	194.117.123.169	DE
194.117.123.170	194.117.123.170	ES
194.117.123.171	194.117.123.171	IT
194.117.123.172	194.117.123.172	DE
194.117.123.173	194.117.123.173	NL
194.117.123.174	194.117.123.174	DE
194.117.123.175	194.117.123.175	ES
194.117.123.176	194.117.123.176	DE
194.117.123.177	194.117.123.177	FR
194.117.123.178	194.117.123.178	AD
194.117.123.179	194.117.123.179	IT
194.117.123.180	194.117.123.180	NO
194.117.123.181	194.117.123.185	DE
194.117.123.186	194.117.123.186	BE
194.117.123.187	194.117.123.189	DE
194.117.123.190	194.117.123.190	FR
194.117.123.191	194.117.123.191	DE
194.117.123.192	194.117.123.192	IT
194.117.123.193	194.117.123.194	DE
194.117.123.195	194.117.123.195	ES
194.117.123.196	194.117.123.196	DE
194.117.123.197	194.117.123.197	ES
194.117.123.198	194.117.123.199	DE
194.117.123.200	194.117.123.200	AT
194.117.123.201	194.117.123.203	DE
194.117.123.204	194.117.123.204	DK
194.117.123.205	194.117.123.205	SE
194.117.123.206	194.117.123.207	DE
194.117.123.208	194.117.123.208	IT
194.117.123.209	194.117.123.209	FR
194.117.123.210	194.117.123.214	DE
194.117.123.215	194.117.123.215	DK
194.117.123.216	194.117.123.216	DE
194.117.123.217	194.117.123.217	GR
194.117.123.218	194.117.123.219	CH
194.117.123.220	194.117.123.220	NL
194.117.123.221	194.117.123.221	ES
194.117.123.222	194.117.123.223	DE
194.117.123.224	194.117.123.224	DK
194.117.123.225	194.117.123.225	ES
194.117.123.226	194.117.123.226	NL
194.117.123.227	194.117.123.228	FR
194.117.123.229	194.117.123.229	HU
194.117.123.230	194.117.123.230	NL
194.117.123.231	194.117.123.231	DE
194.117.123.232	194.117.123.232	FR
194.117.123.233	194.117.123.233	ES
194.117.123.234	194.117.123.234	DE
194.117.123.235	194.117.123.235	NL
194.117.123.236	194.117.123.236	CH
194.117.123.237	194.117.123.237	DE
194.117.123.238	194.117.123.238	PT
194.117.123.239	194.117.123.239	NO
194.117.123.240	194.117.123.240	NL
194.117.123.241	194.117.123.241	DE
194.117.123.242	194.117.123.242	DK
194.117.123.243	194.117.123.243	NO
194.117.123.244	194.117.123.246	IT
194.117.123.247	194.117.123.247	DE
194.117.123.248	194.117.123.248	IT
194.117.123.249	194.117.123.249	CH
194.117.123.250	194.117.123.251	DE
194.117.123.252	194.117.123.252	CH
194.117.123.253	194.117.123.253	FR
194.117.123.254	194.117.124.1	DE
194.117.124.2	194.117.124.2	PT
194.117.124.3	194.117.124.6	DE
194.117.124.7	194.117.124.7	CH
194.117.124.8	194.117.124.8	DE
194.117.124.9	194.117.124.9	FR
194.117.124.10	194.117.124.10	CH
194.117.124.11	194.117.124.11	GB
194.117.124.12	194.117.124.12	DE
194.117.124.13	194.117.124.13	IT
194.117.124.14	194.117.124.14	DE
194.117.124.15	194.117.124.15	NL
194.117.124.16	194.117.124.17	FR
194.117.124.18	194.117.124.18	DE
194.117.124.19	194.117.124.19	CH
194.117.124.20	194.117.124.20	AT
194.117.124.21	194.117.124.21	FR
194.117.124.22	194.117.124.25	DE
194.117.124.26	194.117.124.26	NL
194.117.124.27	194.117.124.27	DK
194.117.124.28	194.117.124.29	DE
194.117.124.30	194.117.124.30	DK
194.117.124.31	194.117.124.31	NO
194.117.124.32	194.117.124.33	DE
194.117.124.34	194.117.124.34	FR
194.117.124.35	194.117.124.35	NL
194.117.124.36	194.117.124.36	CH
194.117.124.37	194.117.124.37	IT
194.117.124.38	194.117.124.39	DE
194.117.124.40	194.117.124.40	NL
194.117.124.41	194.117.124.42	DE
194.117.124.43	194.117.124.43	GB
194.117.124.44	194.117.124.44	DE
194.117.124.45	194.117.124.45	IE
194.117.124.46	194.117.124.46	GB
194.117.124.47	194.117.124.50	DE
194.117.124.51	194.117.124.51	ES
194.117.124.52	194.117.124.53	DE
194.117.124.54	194.117.124.54	CH
194.117.124.55	194.117.124.55	DE
194.117.124.56	194.117.124.56	DK
194.117.124.57	194.117.124.59	DE
194.117.124.60	194.117.124.60	ES
194.117.124.61	194.117.124.61	DE
194.117.124.62	194.117.124.62	SE
194.117.124.63	194.117.124.63	AT
194.117.124.64	194.117.124.66	DE
194.117.124.67	194.117.124.67	IT
194.117.124.68	194.117.124.69	FR
194.117.124.70	194.117.124.70	GB
194.117.124.71	194.117.124.72	DE
194.117.124.73	194.117.124.73	ZA
194.117.124.74	194.117.124.74	IT
194.117.124.75	194.117.124.77	DE
194.117.124.78	194.117.124.78	IT
194.117.124.79	194.117.124.79	DE
194.117.124.80	194.117.124.80	AT
194.117.124.81	194.117.124.81	DK
194.117.124.82	194.117.124.82	IT
194.117.124.83	194.117.124.83	GR
194.117.124.84	194.117.124.84	ES
194.117.124.85	194.117.124.85	DE
194.117.124.86	194.117.124.86	IT
194.117.124.87	194.117.124.88	DE
194.117.124.89	194.117.124.89	GB
194.117.124.90	194.117.124.92	DE
194.117.124.93	194.117.124.93	CH
194.117.124.94	194.117.124.95	DE
194.117.124.96	194.117.124.96	IT
194.117.124.97	194.117.124.102	DE
194.117.124.103	194.117.124.103	IT
194.117.124.104	194.117.124.105	NL
194.117.124.106	194.117.124.106	GB
194.117.124.107	194.117.124.107	CH
194.117.124.108	194.117.124.109	DE
194.117.124.110	194.117.124.111	GB
194.117.124.112	194.117.124.112	DE
194.117.124.113	194.117.124.113	CH
194.117.124.114	194.117.124.114	BE
194.117.124.115	194.117.124.115	CH
194.117.124.116	194.117.124.116	GB
194.117.124.117	194.117.124.117	BE
194.117.124.118	194.117.124.118	IT
194.117.124.119	194.117.124.120	DE
194.117.124.121	194.117.124.121	LI
194.117.124.122	194.117.124.122	IT
194.117.124.123	194.117.124.123	DE
194.117.124.124	194.117.124.124	AT
194.117.124.125	194.117.124.129	DE
194.117.124.130	194.117.124.130	IT
194.117.124.131	194.117.124.132	DE
194.117.124.133	194.117.124.133	CH
194.117.124.134	194.117.124.134	DE
194.117.124.135	194.117.124.135	BE
194.117.124.136	194.117.124.138	DE
194.117.124.139	194.117.124.139	ES
194.117.124.140	194.117.124.142	IT
194.117.124.143	194.117.124.143	DE
194.117.124.144	194.117.124.144	GB
194.117.124.145	194.117.124.147	DE
194.117.124.148	194.117.124.148	HU
194.117.124.149	194.117.124.149	FR
194.117.124.150	194.117.124.153	DE
194.117.124.154	194.117.124.154	FR
194.117.124.155	194.117.124.155	ES
194.117.124.156	194.117.124.157	DE
194.117.124.158	194.117.124.158	GB
194.117.124.159	194.117.124.159	GR
194.117.124.160	194.117.124.161	DE
194.117.124.162	194.117.124.162	CH
194.117.124.163	194.117.124.166	DE
194.117.124.167	194.117.124.168	NL
194.117.124.169	194.117.124.169	DE
194.117.124.170	194.117.124.170	BE
194.117.124.171	194.117.124.175	DE
194.117.124.176	194.117.124.176	GB
194.117.124.177	194.117.124.178	DE
194.117.124.179	194.117.124.179	IT
194.117.124.180	194.117.124.180	DE
194.117.124.181	194.117.124.181	CH
194.117.124.182	194.117.124.183	DE
194.117.124.184	194.117.124.184	IT
194.117.124.185	194.117.124.185	BE
194.117.124.186	194.117.124.186	GB
194.117.124.187	194.117.124.187	AT
194.117.124.188	194.117.124.188	CH
194.117.124.189	194.117.124.189	IT
194.117.124.190	194.117.124.192	DE
194.117.124.193	194.117.124.193	IL
194.117.124.194	194.117.124.194	DK
194.117.124.195	194.117.124.195	FR
194.117.124.196	194.117.124.196	IE
194.117.124.197	194.117.124.198	DE
194.117.124.199	194.117.124.199	SE
194.117.124.200	194.117.124.200	DE
194.117.124.201	194.117.124.201	BE
194.117.124.202	194.117.124.202	GB
194.117.124.203	194.117.124.203	DE
194.117.124.204	194.117.124.204	GB
194.117.124.205	194.117.124.205	SE
194.117.124.206	194.117.124.206	NL
194.117.124.207	194.117.124.207	CH
194.117.124.208	194.117.124.208	NO
194.117.124.209	194.117.124.212	DE
194.117.124.213	194.117.124.213	IT
194.117.124.214	194.117.124.214	CH
194.117.124.215	194.117.124.215	DE
194.117.124.216	194.117.124.216	NL
194.117.124.217	194.117.124.217	FR
194.117.124.218	194.117.124.218	DE
194.117.124.219	194.117.124.219	ZA
194.117.124.220	194.117.124.220	DE
194.117.124.221	194.117.124.221	IT
194.117.124.222	194.117.124.223	DE
194.117.124.224	194.117.124.224	NL
194.117.124.225	194.117.124.225	DE
194.117.124.226	194.117.124.226	GR
194.117.124.227	194.117.124.228	DE
194.117.124.229	194.117.124.229	IT
194.117.124.230	194.117.124.230	GB
194.117.124.231	194.117.124.231	NL
194.117.124.232	194.117.124.232	DE
194.117.124.233	194.117.124.233	FR
194.117.124.234	194.117.124.234	DE
194.117.124.235	194.117.124.236	FR
194.117.124.237	194.117.124.238	DE
194.117.124.239	194.117.124.240	IT
194.117.124.241	194.117.124.241	DE
194.117.124.242	194.117.124.242	GB
194.117.124.243	194.117.124.244	DE
194.117.124.245	194.117.124.245	SE
194.117.124.246	194.117.124.246	FR
194.117.124.247	194.117.124.247	NL
194.117.124.248	194.117.124.249	DE
194.117.124.250	194.117.124.250	SI
194.117.124.251	194.117.124.251	DE
194.117.124.252	194.117.124.252	ES
194.117.124.253	194.117.124.253	NL
194.117.124.254	194.117.125.1	DE
194.117.125.2	194.117.125.2	NO
194.117.125.3	194.117.125.3	ES
194.117.125.4	194.117.125.4	GB
194.117.125.5	194.117.125.6	DE
194.117.125.7	194.117.125.7	CH
194.117.125.8	194.117.125.8	ES
194.117.125.9	194.117.125.9	NL
194.117.125.10	194.117.125.10	AT
194.117.125.11	194.117.125.12	DE
194.117.125.13	194.117.125.13	SI
194.117.125.14	194.117.125.14	NL
194.117.125.15	194.117.125.15	HU
194.117.125.16	194.117.125.16	DE
194.117.125.17	194.117.125.17	LU
194.117.125.18	194.117.125.18	DE
194.117.125.19	194.117.125.20	GB
194.117.125.21	194.117.125.21	ES
194.117.125.22	194.117.125.22	DE
194.117.125.23	194.117.125.23	AT
194.117.125.24	194.117.125.24	FR
194.117.125.25	194.117.125.25	IT
194.117.125.26	194.117.125.26	GB
194.117.125.27	194.117.125.27	DE
194.117.125.28	194.117.125.28	NL
194.117.125.29	194.117.125.29	DE
194.117.125.30	194.117.125.30	GB
194.117.125.31	194.117.125.31	DE
194.117.125.32	194.117.125.32	NO
194.117.125.33	194.117.125.37	DE
194.117.125.38	194.117.125.38	ES
194.117.125.39	194.117.125.39	NL
194.117.125.40	194.117.125.40	CH
194.117.125.41	194.117.125.41	NL
194.117.125.42	194.117.125.42	DE
194.117.125.43	194.117.125.43	NL
194.117.125.44	194.117.125.44	PT
194.117.125.45	194.117.125.46	FR
194.117.125.47	194.117.125.48	DE
194.117.125.49	194.117.125.49	DK
194.117.125.50	194.117.125.51	DE
194.117.125.52	194.117.125.52	NL
194.117.125.53	194.117.125.53	IT
194.117.125.54	194.117.125.54	DK
194.117.125.55	194.117.125.55	IT
194.117.125.56	194.117.125.57	DE
194.117.125.58	194.117.125.58	BE
194.117.125.59	194.117.125.60	DE
194.117.125.61	194.117.125.61	ES
194.117.125.62	194.117.125.62	IT
194.117.125.63	194.117.125.63	AT
194.117.125.64	194.117.125.64	IT
194.117.125.65	194.117.125.65	DE
194.117.125.66	194.117.125.66	IT
194.117.125.67	194.117.125.67	HU
194.117.125.68	194.117.125.69	DE
194.117.125.70	194.117.125.71	FR
194.117.125.72	194.117.125.72	DE
194.117.125.73	194.117.125.73	NL
194.117.125.74	194.117.125.74	LU
194.117.125.75	194.117.125.75	DE
194.117.125.76	194.117.125.76	LU
194.117.125.77	194.117.125.77	DE
194.117.125.78	194.117.125.78	CH
194.117.125.79	194.117.125.79	ES
194.117.125.80	194.117.125.80	CH
194.117.125.81	194.117.125.81	GB
194.117.125.82	194.117.125.82	FR
194.117.125.83	194.117.125.85	NL
194.117.125.86	194.117.125.86	AT
194.117.125.87	194.117.125.87	FR
194.117.125.88	194.117.125.91	DE
194.117.125.92	194.117.125.92	CH
194.117.125.93	194.117.125.93	NL
194.117.125.94	194.117.125.95	DE
194.117.125.96	194.117.125.96	GB
194.117.125.97	194.117.125.97	DE
194.117.125.98	194.117.125.98	AT
194.117.125.99	194.117.125.99	ES
194.117.125.100	194.117.125.100	DE
194.117.125.101	194.117.125.101	BE
194.117.125.102	194.117.125.104	DE
194.117.125.105	194.117.125.105	AT
194.117.125.106	194.117.125.108	DE
194.117.125.109	194.117.125.109	AT
194.117.125.110	194.117.125.111	DE
194.117.125.112	194.117.125.112	BE
194.117.125.113	194.117.125.114	ES
194.117.125.115	194.117.125.115	CH
194.117.125.116	194.117.125.116	IT
194.117.125.117	194.117.125.118	DE
194.117.125.119	194.117.125.120	CH
194.117.125.121	194.117.125.121	DE
194.117.125.122	194.117.125.122	AT
194.117.125.123	194.117.125.123	DK
194.117.125.124	194.117.125.124	DE
194.117.125.125	194.117.125.125	NL
194.117.125.126	194.117.125.126	FR
194.117.125.127	194.117.125.129	DE
194.117.125.130	194.117.125.130	GB
194.117.125.131	194.117.125.131	CH
194.117.125.132	194.117.125.132	DE
194.117.125.133	194.117.125.133	FR
194.117.125.134	194.117.125.134	AT
194.117.125.135	194.117.125.135	DE
194.117.125.136	194.117.125.136	CH
194.117.125.137	194.117.125.137	DE
194.117.125.138	194.117.125.138	FR
194.117.125.139	194.117.125.139	NL
194.117.125.140	194.117.125.140	FR
194.117.125.141	194.117.125.141	SE
194.117.125.142	194.117.125.146	DE
194.117.125.147	194.117.125.147	NO
194.117.125.148	194.117.125.148	FR
194.117.125.149	194.117.125.149	DE
194.117.125.150	194.117.125.150	CH
194.117.125.151	194.117.125.154	DE
194.117.125.155	194.117.125.155	IT
194.117.125.156	194.117.125.159	DE
194.117.125.160	194.117.125.160	IT
194.117.125.161	194.117.125.161	BE
194.117.125.162	194.117.125.162	NL
194.117.125.163	194.117.125.166	DE
194.117.125.167	194.117.125.167	GB
194.117.125.168	194.117.125.168	AT
194.117.125.169	194.117.125.169	FR
194.117.125.170	194.117.125.170	CH
194.117.125.171	194.117.125.172	DE
194.117.125.173	194.117.125.173	IT
194.117.125.174	194.117.125.174	DE
194.117.125.175	194.117.125.176	IT
194.117.125.177	194.117.125.177	DE
194.117.125.178	194.117.125.178	FR
194.117.125.179	194.117.125.179	CH
194.117.125.180	194.117.125.181	AT
194.117.125.182	194.117.125.183	GB
194.117.125.184	194.117.125.192	DE
194.117.125.193	194.117.125.193	FR
194.117.125.194	194.117.125.194	NL
194.117.125.195	194.117.125.195	ES
194.117.125.196	194.117.125.196	GB
194.117.125.197	194.117.125.200	DE
194.117.125.201	194.117.125.201	HU
194.117.125.202	194.117.125.202	DE
194.117.125.203	194.117.125.203	NL
194.117.125.204	194.117.125.204	DE
194.117.125.205	194.117.125.206	NL
194.117.125.207	194.117.125.207	ES
194.117.125.208	194.117.125.208	GB
194.117.125.209	194.117.125.209	DE
194.117.125.210	194.117.125.210	BE
194.117.125.211	194.117.125.211	DE
194.117.125.212	194.117.125.213	CH
194.117.125.214	194.117.125.214	GB
194.117.125.215	194.117.125.216	DE
194.117.125.217	194.117.125.217	ES
194.117.125.218	194.117.125.218	DE
194.117.125.219	194.117.125.219	AT
194.117.125.220	194.117.125.220	NL
194.117.125.221	194.117.125.221	HU
194.117.125.222	194.117.125.222	CH
194.117.125.223	194.117.125.223	NL
194.117.125.224	194.117.125.224	DE
194.117.125.225	194.117.125.225	FR
194.117.125.226	194.117.125.226	DK
194.117.125.227	194.117.125.227	GB
194.117.125.228	194.117.125.228	DE
194.117.125.229	194.117.125.229	CH
194.117.125.230	194.117.125.230	DE
194.117.125.231	194.117.125.231	LU
194.117.125.232	194.117.125.236	DE
194.117.125.237	194.117.125.237	IS
194.117.125.238	194.117.125.239	DE
194.117.125.240	194.117.125.240	CH
194.117.125.241	194.117.125.243	DE
194.117.125.244	194.117.125.244	NL
194.117.125.245	194.117.125.245	NO
194.117.125.246	194.117.125.246	BE
194.117.125.247	194.117.125.247	NL
194.117.125.248	194.117.125.248	DE
194.117.125.249	194.117.125.249	FR
194.117.125.250	194.117.125.250	DE
194.117.125.251	194.117.125.251	SE
194.117.125.252	194.117.125.252	DE
194.117.125.253	194.117.125.253	GB
194.117.125.254	194.117.126.1	DE
194.117.126.2	194.117.126.3	FR
194.117.126.4	194.117.126.4	DE
194.117.126.5	194.117.126.5	CH
194.117.126.6	194.117.126.7	DE
194.117.126.8	194.117.126.8	AT
194.117.126.9	194.117.126.9	HU
194.117.126.10	194.117.126.11	DE
194.117.126.12	194.117.126.12	GB
194.117.126.13	194.117.126.14	DE
194.117.126.15	194.117.126.15	GR
194.117.126.16	194.117.126.16	FR
194.117.126.17	194.117.126.17	NL
194.117.126.18	194.117.126.20	DE
194.117.126.21	194.117.126.21	LU
194.117.126.22	194.117.126.22	CH
194.117.126.23	194.117.126.24	ES
194.117.126.25	194.117.126.27	DE
194.117.126.28	194.117.126.28	NL
194.117.126.29	194.117.126.29	AT
194.117.126.30	194.117.126.30	DE
194.117.126.31	194.117.126.31	CH
194.117.126.32	194.117.126.36	DE
194.117.126.37	194.117.126.37	SE
194.117.126.38	194.117.126.40	DE
194.117.126.41	194.117.126.41	NO
194.117.126.42	194.117.126.42	DE
194.117.126.43	194.117.126.43	FR
194.117.126.44	194.117.126.45	DE
194.117.126.46	194.117.126.46	GB
194.117.126.47	194.117.126.50	DE
194.117.126.51	194.117.126.51	AT
194.117.126.52	194.117.126.57	DE
194.117.126.58	194.117.126.58	IT
194.117.126.59	194.117.126.59	DK
194.117.126.60	194.117.126.60	DE
194.117.126.61	194.117.126.61	NL
194.117.126.62	194.117.126.63	DE
194.117.126.64	194.117.126.64	BE
194.117.126.65	194.117.126.65	FR
194.117.126.66	194.117.126.67	DE
194.117.126.68	194.117.126.68	ES
194.117.126.69	194.117.126.69	IT
194.117.126.70	194.117.126.72	DE
194.117.126.73	194.117.126.73	FR
194.117.126.74	194.117.126.74	DE
194.117.126.75	194.117.126.75	HU
194.117.126.76	194.117.126.76	DE
194.117.126.77	194.117.126.77	NL
194.117.126.78	194.117.126.78	CH
194.117.126.79	194.117.126.81	DE
194.117.126.82	194.117.126.82	CH
194.117.126.83	194.117.126.83	DE
194.117.126.84	194.117.126.84	IT
194.117.126.85	194.117.126.85	BE
194.117.126.86	194.117.126.87	DE
194.117.126.88	194.117.126.88	AT
194.117.126.89	194.117.126.89	DE
194.117.126.90	194.117.126.90	GB
194.117.126.91	194.117.126.91	ES
194.117.126.92	194.117.126.92	DE
194.117.126.93	194.117.126.93	ES
194.117.126.94	194.117.126.102	DE
194.117.126.103	194.117.126.103	FR
194.117.126.104	194.117.126.104	NL
194.117.126.105	194.117.126.106	DE
194.117.126.107	194.117.126.107	CH
194.117.126.108	194.117.126.108	AT
194.117.126.109	194.117.126.112	DE
194.117.126.113	194.117.126.113	CH
194.117.126.114	194.117.126.115	DE
194.117.126.116	194.117.126.116	FR
194.117.126.117	194.117.126.117	DE
194.117.126.118	194.117.126.118	NL
194.117.126.119	194.117.126.121	DE
194.117.126.122	194.117.126.122	CH
194.117.126.123	194.117.126.123	DE
194.117.126.124	194.117.126.124	NL
194.117.126.125	194.117.126.129	DE
194.117.126.130	194.117.126.130	BE
194.117.126.131	194.117.126.133	DE
194.117.126.134	194.117.126.134	FR
194.117.126.135	194.117.126.137	DE
194.117.126.138	194.117.126.138	FR
194.117.126.139	194.117.126.139	BE
194.117.126.140	194.117.126.140	NL
194.117.126.141	194.117.126.143	DE
194.117.126.144	194.117.126.144	ES
194.117.126.145	194.117.126.146	DE
194.117.126.147	194.117.126.147	BE
194.117.126.148	194.117.126.148	DE
194.117.126.149	194.117.126.149	DK
194.117.126.150	194.117.126.150	CH
194.117.126.151	194.117.126.157	DE
194.117.126.158	194.117.126.158	GB
194.117.126.159	194.117.126.159	DE
194.117.126.160	194.117.126.160	CH
194.117.126.161	194.117.126.161	GB
194.117.126.162	194.117.126.162	DE
194.117.126.163	194.117.126.163	LU
194.117.126.164	194.117.126.165	DE
194.117.126.166	194.117.126.166	NL
194.117.126.167	194.117.126.167	CH
194.117.126.168	194.117.126.168	DE
194.117.126.169	194.117.126.169	AT
194.117.126.170	194.117.126.170	DE
194.117.126.171	194.117.126.171	GB
194.117.126.172	194.117.126.172	RS
194.117.126.173	194.117.126.173	GB
194.117.126.174	194.117.126.176	DE
194.117.126.177	194.117.126.177	LU
194.117.126.178	194.117.126.179	DE
194.117.126.180	194.117.126.180	NL
194.117.126.181	194.117.126.185	DE
194.117.126.186	194.117.126.186	NL
194.117.126.187	194.117.126.187	CH
194.117.126.188	194.117.126.188	DE
194.117.126.189	194.117.126.190	GB
194.117.126.191	194.117.126.191	SI
194.117.126.192	194.117.126.194	DE
194.117.126.195	194.117.126.195	NL
194.117.126.196	194.117.126.199	DE
194.117.126.200	194.117.126.200	IT
194.117.126.201	194.117.126.201	DE
194.117.126.202	194.117.126.202	AT
194.117.126.203	194.117.126.204	DE
194.117.126.205	194.117.126.206	FR
194.117.126.207	194.117.126.208	DE
194.117.126.209	194.117.126.209	CH
194.117.126.210	194.117.126.210	DE
194.117.126.211	194.117.126.211	NO
194.117.126.212	194.117.126.212	IT
194.117.126.213	194.117.126.213	FR
194.117.126.214	194.117.126.215	DE
194.117.126.216	194.117.126.216	FR
194.117.126.217	194.117.126.217	NL
194.117.126.218	194.117.126.218	CH
194.117.126.219	194.117.126.220	DE
194.117.126.221	194.117.126.221	BE
194.117.126.222	194.117.126.222	DE
194.117.126.223	194.117.126.223	AT
194.117.126.224	194.117.126.225	DE
194.117.126.226	194.117.126.226	GB
194.117.126.227	194.117.126.232	DE
194.117.126.233	194.117.126.233	IT
194.117.126.234	194.117.126.234	DE
194.117.126.235	194.117.126.235	DK
194.117.126.236	194.117.126.237	DE
194.117.126.238	194.117.126.238	GB
194.117.126.239	194.117.126.239	AT
194.117.126.240	194.117.126.240	BE
194.117.126.241	194.117.126.241	DE
194.117.126.242	194.117.126.242	IT
194.117.126.243	194.117.126.244	DE
194.117.126.245	194.117.126.245	BE
194.117.126.246	194.117.126.253	DE
194.117.126.254	194.117.126.254	ES
194.117.126.255	194.117.127.5	DE
194.117.127.6	194.117.127.6	AT
194.117.127.7	194.117.127.7	NL
194.117.127.8	194.117.127.8	FR
194.117.127.9	194.117.127.11	DE
194.117.127.12	194.117.127.12	FR
194.117.127.13	194.117.127.13	AT
194.117.127.14	194.117.127.18	DE
194.117.127.19	194.117.127.19	IT
194.117.127.20	194.117.127.20	GB
194.117.127.21	194.117.127.22	DE
194.117.127.23	194.117.127.23	GB
194.117.127.24	194.117.127.26	DE
194.117.127.27	194.117.127.27	ES
194.117.127.28	194.117.127.30	DE
194.117.127.31	194.117.127.31	IT
194.117.127.32	194.117.127.33	DE
194.117.127.34	194.117.127.34	NO
194.117.127.35	194.117.127.36	DE
194.117.127.37	194.117.127.37	FR
194.117.127.38	194.117.127.44	DE
194.117.127.45	194.117.127.45	NL
194.117.127.46	194.117.127.46	DE
194.117.127.47	194.117.127.47	NL
194.117.127.48	194.117.127.48	DE
194.117.127.49	194.117.127.49	CH
194.117.127.50	194.117.127.50	IT
194.117.127.51	194.117.127.51	DE
194.117.127.52	194.117.127.52	FR
194.117.127.53	194.117.127.53	ES
194.117.127.54	194.117.127.54	DE
194.117.127.55	194.117.127.55	SE
194.117.127.56	194.117.127.56	DE
194.117.127.57	194.117.127.57	FR
194.117.127.58	194.117.127.58	PT
194.117.127.59	194.117.127.59	DE
194.117.127.60	194.117.127.60	FI
194.117.127.61	194.117.127.61	CH
194.117.127.62	194.117.127.62	DE
194.117.127.63	194.117.127.63	NO
194.117.127.64	194.117.127.65	DE
194.117.127.66	194.117.127.66	NL
194.117.127.67	194.117.127.67	GB
194.117.127.68	194.117.127.69	DE
194.117.127.70	194.117.127.70	NL
194.117.127.71	194.117.127.71	GB
194.117.127.72	194.117.127.73	DE
194.117.127.74	194.117.127.74	GB
194.117.127.75	194.117.127.77	DE
194.117.127.78	194.117.127.78	CH
194.117.127.79	194.117.127.84	DE
194.117.127.85	194.117.127.85	FR
194.117.127.86	194.117.127.87	DE
194.117.127.88	194.117.127.88	HU
194.117.127.89	194.117.127.90	DE
194.117.127.91	194.117.127.91	ES
194.117.127.92	194.117.127.92	NL
194.117.127.93	194.117.127.93	BE
194.117.127.94	194.117.127.98	DE
194.117.127.99	194.117.127.99	IE
194.117.127.100	194.117.127.101	DE
194.117.127.102	194.117.127.102	SE
194.117.127.103	194.117.127.104	DE
194.117.127.105	194.117.127.105	SE
194.117.127.106	194.117.127.106	DE
194.117.127.107	194.117.127.107	HU
194.117.127.108	194.117.127.108	DE
194.117.127.109	194.117.127.109	PL
194.117.127.110	194.117.127.110	DE
194.117.127.111	194.117.127.111	NL
194.117.127.112	194.117.127.115	DE
194.117.127.116	194.117.127.116	CH
194.117.127.117	194.117.127.118	DE
194.117.127.119	194.117.127.119	NL
194.117.127.120	194.117.127.120	DE
194.117.127.121	194.117.127.121	NL
194.117.127.122	194.117.127.122	DE
194.117.127.123	194.117.127.123	NL
194.117.127.124	194.117.127.125	DE
194.117.127.126	194.117.127.126	CH
194.117.127.127	194.117.127.132	DE
194.117.127.133	194.117.127.133	BE
194.117.127.134	194.117.127.136	DE
194.117.127.137	194.117.127.137	GB
194.117.127.138	194.117.127.139	DE
194.117.127.140	194.117.127.140	FR
194.117.127.141	194.117.127.141	NL
194.117.127.142	194.117.127.142	DE
194.117.127.143	194.117.127.143	CH
194.117.127.144	194.117.127.144	DK
194.117.127.145	194.117.127.145	DE
194.117.127.146	194.117.127.146	IT
194.117.127.147	194.117.127.147	BE
194.117.127.148	194.117.127.148	ES
194.117.127.149	194.117.127.149	DE
194.117.127.150	194.117.127.150	CH
194.117.127.151	194.117.127.154	DE
194.117.127.155	194.117.127.155	GB
194.117.127.156	194.117.127.157	DE
194.117.127.158	194.117.127.158	CH
194.117.127.159	194.117.127.165	DE
194.117.127.166	194.117.127.166	FR
194.117.127.167	194.117.127.167	CH
194.117.127.168	194.117.127.168	NO
194.117.127.169	194.117.127.172	DE
194.117.127.173	194.117.127.173	LU
194.117.127.174	194.117.127.174	DE
194.117.127.175	194.117.127.176	IT
194.117.127.177	194.117.127.177	DE
194.117.127.178	194.117.127.178	AT
194.117.127.179	194.117.127.183	DE
194.117.127.184	194.117.127.184	NL
194.117.127.185	194.117.127.185	FR
194.117.127.186	194.117.127.186	NL
194.117.127.187	194.117.127.187	DE
194.117.127.188	194.117.127.188	IT
194.117.127.189	194.117.127.189	NL
194.117.127.190	194.117.127.190	IT
194.117.127.191	194.117.127.191	AT
194.117.127.192	194.117.127.192	DK
194.117.127.193	194.117.127.193	DE
194.117.127.194	194.117.127.194	GB
194.117.127.195	194.117.127.196	DE
194.117.127.197	194.117.127.197	ES
194.117.127.198	194.117.127.201	DE
194.117.127.202	194.117.127.202	FR
194.117.127.203	194.117.127.203	IT
194.117.127.204	194.117.127.204	DE
194.117.127.205	194.117.127.205	CH
194.117.127.206	194.117.127.206	DE
194.117.127.207	194.117.127.207	GB
194.117.127.208	194.117.127.208	DE
194.117.127.209	194.117.127.209	NL
194.117.127.210	194.117.127.212	DE
194.117.127.213	194.117.127.213	CH
194.117.127.214	194.117.127.214	DE
194.117.127.215	194.117.127.215	DK
194.117.127.216	194.117.127.216	DE
194.117.127.217	194.117.127.217	CH
194.117.127.218	194.117.127.218	DE
194.117.127.219	194.117.127.219	NL
194.117.127.220	194.117.127.220	IS
194.117.127.221	194.117.127.221	AT
194.117.127.222	194.117.127.224	DE
194.117.127.225	194.117.127.225	CH
194.117.127.226	194.117.127.226	DE
194.117.127.227	194.117.127.227	GB
194.117.127.228	194.117.127.228	DE
194.117.127.229	194.117.127.229	GB
194.117.127.230	194.117.127.231	CH
194.117.127.232	194.117.127.235	DE
194.117.127.236	194.117.127.236	ES
194.117.127.237	194.117.127.237	DE
194.117.127.238	194.117.127.238	AT
194.117.127.239	194.117.127.239	DE
194.117.127.240	194.117.127.240	GB
194.117.127.241	194.117.127.241	FR
194.117.127.242	194.117.127.242	ES
194.117.127.243	194.117.127.243	GB
194.117.127.244	194.117.127.244	DE
194.117.127.245	194.117.127.245	AT
194.117.127.246	194.117.127.246	ES
194.117.127.247	194.117.127.247	NL
194.117.127.248	194.117.127.248	DE
194.117.127.249	194.117.127.250	IT
194.117.127.251	194.117.127.251	CH
194.117.127.252	194.117.127.252	GB
194.117.127.253	194.117.127.253	IT
194.117.127.254	194.117.127.254	ES
194.117.127.255	194.117.127.255	DE
194.117.128.0	194.117.159.255	GB
194.117.160.0	194.117.191.255	SE
194.117.192.0	194.117.223.255	FR
194.117.224.0	194.117.225.255	DE
194.117.226.0	194.117.227.255	GB
194.117.228.0	194.117.229.255	PL
194.117.230.0	194.117.231.255	RO
194.117.232.0	194.117.233.255	DK
194.117.234.0	194.117.239.255	RO
194.117.240.0	194.117.241.255	PL
194.117.242.0	194.117.243.255	RO
194.117.244.0	194.117.247.255	FR
194.117.248.0	194.117.249.255	GB
194.117.250.0	194.117.251.255	DE
194.117.252.0	194.117.253.255	GB
194.117.254.0	194.117.255.255	DE
194.118.0.0	194.118.255.255	AT
194.119.0.0	194.119.127.255	FR
194.119.128.0	194.119.191.255	GB
194.119.192.0	194.119.223.255	IT
194.119.224.0	194.119.255.255	BE
194.120.0.0	194.120.15.255	NL
194.120.16.0	194.120.17.255	DE
194.120.18.0	194.120.21.255	NL
194.120.22.0	194.120.24.255	DE
194.120.25.0	194.120.39.255	NL
194.120.40.0	194.120.40.255	DE
194.120.41.0	194.120.42.255	NL
194.120.43.0	194.120.43.255	DE
194.120.44.0	194.120.54.255	NL
194.120.55.0	194.120.55.255	DE
194.120.56.0	194.120.65.255	NL
194.120.66.0	194.120.66.255	DE
194.120.67.0	194.120.79.255	NL
194.120.80.0	194.120.105.255	DE
194.120.106.0	194.120.108.255	NL
194.120.109.0	194.120.111.255	DE
194.120.112.0	194.120.115.255	NL
194.120.116.0	194.120.116.255	DE
194.120.117.0	194.120.118.255	NL
194.120.119.0	194.120.119.255	DE
194.120.120.0	194.120.125.255	NL
194.120.126.0	194.120.126.255	DE
194.120.127.0	194.120.132.255	NL
194.120.133.0	194.120.133.255	DE
194.120.134.0	194.120.143.255	NL
194.120.144.0	194.120.144.255	DE
194.120.145.0	194.120.149.255	NL
194.120.150.0	194.120.150.255	DE
194.120.151.0	194.120.162.255	NL
194.120.163.0	194.120.164.255	DE
194.120.165.0	194.120.169.255	NL
194.120.170.0	194.120.171.255	DE
194.120.172.0	194.120.172.255	NL
194.120.173.0	194.120.173.255	DE
194.120.174.0	194.120.181.255	NL
194.120.182.0	194.120.184.255	DE
194.120.185.0	194.120.188.255	NL
194.120.189.0	194.120.189.255	DE
194.120.190.0	194.120.191.255	NL
194.120.192.0	194.120.223.255	DE
194.120.224.0	194.120.229.255	NL
194.120.230.0	194.120.231.255	DE
194.120.232.0	194.120.233.255	NL
194.120.234.0	194.120.234.255	DE
194.120.235.0	194.120.248.95	NL
194.120.248.96	194.120.248.127	DE
194.120.248.128	194.120.248.255	NL
194.120.249.0	194.120.249.255	DE
194.120.250.0	194.120.255.255	NL
194.121.0.0	194.121.0.255	DE
194.121.1.0	194.121.1.255	NL
194.121.2.0	194.121.2.255	DE
194.121.3.0	194.121.10.255	NL
194.121.11.0	194.121.11.255	DE
194.121.12.0	194.121.20.255	NL
194.121.21.0	194.121.21.255	DE
194.121.22.0	194.121.25.255	NL
194.121.26.0	194.121.26.255	DE
194.121.27.0	194.121.45.255	NL
194.121.46.0	194.121.46.255	DE
194.121.47.0	194.121.47.255	NL
194.121.48.0	194.121.51.255	DE
194.121.52.0	194.121.55.255	NL
194.121.56.0	194.121.56.255	DE
194.121.57.0	194.121.58.255	NL
194.121.59.0	194.121.59.255	DE
194.121.60.0	194.121.61.255	NL
194.121.62.0	194.121.63.255	DE
194.121.64.0	194.121.65.255	NL
194.121.66.0	194.121.66.255	DE
194.121.67.0	194.121.89.255	NL
194.121.90.0	194.121.90.255	DE
194.121.91.0	194.121.103.255	NL
194.121.104.0	194.121.105.255	DE
194.121.106.0	194.121.122.255	NL
194.121.123.0	194.121.123.255	DE
194.121.124.0	194.121.171.255	NL
194.121.172.0	194.121.175.255	DE
194.121.176.0	194.121.202.255	NL
194.121.203.0	194.121.203.255	DE
194.121.204.0	194.121.219.255	NL
194.121.220.0	194.121.220.7	DE
194.121.220.8	194.121.253.255	NL
194.121.254.0	194.121.255.255	DE
194.122.0.0	194.122.76.63	NL
194.122.76.64	194.122.76.255	DE
194.122.77.0	194.122.83.255	NL
194.122.84.0	194.122.84.255	DE
194.122.85.0	194.122.130.255	NL
194.122.131.0	194.122.131.255	DE
194.122.132.0	194.122.223.255	NL
194.122.224.0	194.122.253.255	DE
194.122.254.0	194.123.7.0	NL
194.123.7.1	194.123.7.1	DE
194.123.7.2	194.123.121.255	NL
194.123.122.0	194.123.122.63	DE
194.123.122.64	194.123.122.95	NL
194.123.122.96	194.123.122.127	DE
194.123.122.128	194.123.122.191	NL
194.123.122.192	194.123.122.207	DE
194.123.122.208	194.123.122.211	NL
194.123.122.212	194.123.122.215	DE
194.123.122.216	194.123.122.243	NL
194.123.122.244	194.123.122.244	DE
194.123.122.245	194.123.122.245	NL
194.123.122.246	194.123.122.249	DE
194.123.122.250	194.123.163.255	NL
194.123.164.0	194.123.164.255	DE
194.123.165.0	194.123.255.255	NL
194.124.0.0	194.124.228.255	CH
194.124.229.0	194.124.229.255	DE
194.124.230.0	194.124.255.255	CH
194.125.0.0	194.125.223.255	IE
194.125.224.0	194.125.227.255	UA
194.125.228.0	194.125.231.255	GB
194.125.232.0	194.125.235.255	TR
194.125.236.0	194.125.239.255	RU
194.125.240.0	194.125.241.255	LV
194.125.242.0	194.125.243.255	IT
194.125.244.0	194.125.245.255	UA
194.125.246.0	194.125.247.255	GB
194.125.248.0	194.125.249.255	UA
194.125.250.0	194.125.251.255	CH
194.125.252.0	194.125.253.255	GR
194.125.254.0	194.125.255.255	RU
194.126.0.0	194.126.31.255	LB
194.126.32.0	194.126.36.191	KW
194.126.36.192	194.126.36.255	IQ
194.126.37.0	194.126.40.255	KW
194.126.41.0	194.126.41.255	LB
194.126.42.0	194.126.63.255	KW
194.126.64.0	194.126.95.255	GB
194.126.96.0	194.126.127.255	EE
194.126.128.0	194.126.129.255	FR
194.126.130.0	194.126.130.255	NL
194.126.131.0	194.126.132.255	DE
194.126.133.0	194.126.135.255	NL
194.126.136.0	194.126.143.255	LB
194.126.144.0	194.126.145.255	CH
194.126.146.0	194.126.147.255	RO
194.126.148.0	194.126.149.255	GB
194.126.150.0	194.126.151.255	SE
194.126.152.0	194.126.153.255	RO
194.126.154.0	194.126.155.255	IT
194.126.156.0	194.126.157.255	FR
194.126.158.0	194.126.159.255	DE
194.126.160.0	194.126.163.255	RO
194.126.164.0	194.126.167.255	PL
194.126.168.0	194.126.171.255	RU
194.126.172.0	194.126.175.255	NL
194.126.176.0	194.126.179.255	RO
194.126.180.0	194.126.183.255	UA
194.126.184.0	194.126.187.255	RO
194.126.188.0	194.126.191.255	CH
194.126.192.0	194.126.192.255	DK
194.126.193.0	194.126.193.255	NL
194.126.194.0	194.126.196.255	DE
194.126.197.0	194.126.197.255	SI
194.126.198.0	194.126.199.255	DE
194.126.200.0	194.126.201.255	CH
194.126.202.0	194.126.202.255	RO
194.126.203.0	194.126.203.255	RU
194.126.204.0	194.126.204.255	UA
194.126.205.0	194.126.205.255	RO
194.126.206.0	194.126.206.255	DE
194.126.207.0	194.126.207.255	PL
194.126.208.0	194.126.208.255	DE
194.126.209.0	194.126.209.255	GB
194.126.210.0	194.126.210.255	PL
194.126.211.0	194.126.211.255	NO
194.126.212.0	194.126.212.255	FI
194.126.213.0	194.126.214.255	HR
194.126.215.0	194.126.215.255	ES
194.126.216.0	194.126.216.255	PL
194.126.217.0	194.126.217.255	FR
194.126.218.0	194.126.218.255	CH
194.126.219.0	194.126.219.255	RU
194.126.220.0	194.126.220.255	RO
194.126.221.0	194.126.222.255	PL
194.126.223.0	194.126.223.255	DK
194.126.224.0	194.126.224.255	UA
194.126.225.0	194.126.225.255	ES
194.126.226.0	194.126.226.255	FR
194.126.227.0	194.126.227.255	RO
194.126.228.0	194.126.228.255	DE
194.126.229.0	194.126.229.255	PL
194.126.230.0	194.126.230.255	TR
194.126.231.0	194.126.231.255	SA
194.126.232.0	194.126.232.255	NL
194.126.233.0	194.126.233.255	FR
194.126.234.0	194.126.234.255	DK
194.126.235.0	194.126.235.255	NL
194.126.236.0	194.126.236.255	FR
194.126.237.0	194.126.237.255	DE
194.126.238.0	194.126.238.255	PL
194.126.239.0	194.126.239.255	DE
194.126.240.0	194.126.240.255	GB
194.126.241.0	194.126.241.255	NL
194.126.242.0	194.126.243.255	DE
194.126.244.0	194.126.244.255	RO
194.126.245.0	194.126.245.255	FR
194.126.246.0	194.126.246.255	DE
194.126.247.0	194.126.247.255	GB
194.126.248.0	194.126.248.255	AT
194.126.249.0	194.126.249.255	SE
194.126.250.0	194.126.250.255	DK
194.126.251.0	194.126.251.255	RU
194.126.252.0	194.126.252.255	LT
194.126.253.0	194.126.253.255	RO
194.126.254.0	194.126.254.255	PL
194.126.255.0	194.126.255.255	GR
194.127.0.0	194.127.135.255	DE
194.127.136.0	194.127.137.255	PL
194.127.138.0	194.127.138.255	DE
194.127.139.0	194.127.139.255	AT
194.127.140.0	194.127.255.255	DE
194.128.0.0	194.131.255.255	GB
194.132.0.0	194.132.23.255	SE
194.132.24.0	194.132.25.255	GB
194.132.26.0	194.132.183.255	SE
194.132.184.0	194.132.184.255	JP
194.132.185.0	194.132.185.255	AU
194.132.186.0	194.132.255.255	SE
194.133.0.0	194.133.6.255	EU
194.133.7.0	194.133.7.255	GB
194.133.8.0	194.133.9.255	EU
194.133.10.0	194.133.10.127	US
194.133.10.128	194.133.10.191	GB
194.133.10.192	194.133.10.207	EU
194.133.10.208	194.133.10.255	GB
194.133.11.0	194.133.13.255	EU
194.133.14.0	194.133.14.255	FR
194.133.15.0	194.133.15.255	GB
194.133.16.0	194.133.17.255	EU
194.133.18.0	194.133.20.29	GB
194.133.20.30	194.133.20.31	EU
194.133.20.32	194.133.20.127	GB
194.133.20.128	194.133.20.191	US
194.133.20.192	194.133.20.207	GB
194.133.20.208	194.133.20.215	IR
194.133.20.216	194.133.20.223	GB
194.133.20.224	194.133.20.239	DE
194.133.20.240	194.133.21.255	GB
194.133.22.0	194.133.22.255	EG
194.133.23.0	194.133.26.255	EU
194.133.27.0	194.133.27.63	DE
194.133.27.64	194.133.27.95	EU
194.133.27.96	194.133.27.163	DE
194.133.27.164	194.133.27.167	EU
194.133.27.168	194.133.27.175	DE
194.133.27.176	194.133.27.191	EU
194.133.27.192	194.133.27.255	DE
194.133.28.0	194.133.29.255	EU
194.133.30.0	194.133.30.255	GB
194.133.31.0	194.133.31.127	EG
194.133.31.128	194.133.40.255	EU
194.133.41.0	194.133.41.127	DE
194.133.41.128	194.133.41.255	US
194.133.42.0	194.133.42.255	EU
194.133.43.0	194.133.43.255	US
194.133.44.0	194.133.46.255	EU
194.133.47.0	194.133.47.255	GB
194.133.48.0	194.133.51.255	EU
194.133.52.0	194.133.52.255	SE
194.133.53.0	194.133.53.31	GB
194.133.53.32	194.133.53.47	IE
194.133.53.48	194.133.53.71	GB
194.133.53.72	194.133.53.79	FR
194.133.53.80	194.133.53.87	GB
194.133.53.88	194.133.53.127	US
194.133.53.128	194.133.54.7	GB
194.133.54.8	194.133.54.15	BE
194.133.54.16	194.133.54.47	GB
194.133.54.48	194.133.54.63	US
194.133.54.64	194.133.54.255	GB
194.133.55.0	194.133.58.255	EU
194.133.59.0	194.133.59.255	GB
194.133.60.0	194.133.61.255	EU
194.133.62.0	194.133.62.247	GB
194.133.62.248	194.133.66.255	EU
194.133.67.0	194.133.67.255	US
194.133.68.0	194.133.68.255	EU
194.133.69.0	194.133.69.255	RU
194.133.70.0	194.133.79.255	EU
194.133.80.0	194.133.80.255	US
194.133.81.0	194.133.81.255	GB
194.133.82.0	194.133.83.255	EU
194.133.84.0	194.133.84.255	US
194.133.85.0	194.133.86.255	GB
194.133.87.0	194.133.87.255	FR
194.133.88.0	194.133.88.31	IR
194.133.88.32	194.133.88.255	EU
194.133.89.0	194.133.89.255	GB
194.133.90.0	194.133.91.255	EU
194.133.92.0	194.133.92.15	GB
194.133.92.16	194.133.93.255	EU
194.133.94.0	194.133.94.255	FR
194.133.95.0	194.133.95.255	US
194.133.96.0	194.133.99.255	EU
194.133.100.0	194.133.100.255	GB
194.133.101.0	194.133.104.255	EU
194.133.105.0	194.133.106.255	DE
194.133.107.0	194.133.115.127	EU
194.133.115.128	194.133.115.255	DE
194.133.116.0	194.133.121.255	EU
194.133.122.0	194.133.122.255	ZW
194.133.123.0	194.133.123.255	DE
194.133.124.0	194.133.124.255	EU
194.133.125.0	194.133.125.255	FR
194.133.126.0	194.133.126.255	EU
194.133.127.0	194.133.127.255	GB
194.133.128.0	194.133.133.255	EU
194.133.134.0	194.133.134.255	GB
194.133.135.0	194.133.137.255	EU
194.133.138.0	194.133.138.15	DE
194.133.138.16	194.133.138.31	EU
194.133.138.32	194.133.138.255	DE
194.133.139.0	194.133.141.255	EU
194.133.142.0	194.133.142.255	GB
194.133.143.0	194.133.161.255	EU
194.133.162.0	194.133.164.255	TR
194.133.165.0	194.133.171.255	EU
194.133.172.0	194.133.172.255	TR
194.133.173.0	194.133.173.255	GB
194.133.174.0	194.133.176.255	EU
194.133.177.0	194.133.177.31	GB
194.133.177.32	194.133.239.255	EU
194.133.240.0	194.133.240.255	TR
194.133.241.0	194.133.243.255	EU
194.133.244.0	194.133.244.255	TR
194.133.245.0	194.133.247.255	GB
194.133.248.0	194.133.249.255	TR
194.133.250.0	194.133.250.255	EU
194.133.251.0	194.133.251.255	TR
194.133.252.0	194.133.252.255	EU
194.133.253.0	194.133.254.15	TR
194.133.254.16	194.133.254.255	EU
194.133.255.0	194.133.255.255	TR
194.134.0.0	194.134.255.255	NL
194.135.0.0	194.135.117.255	RU
194.135.118.0	194.135.118.255	KZ
194.135.119.0	194.135.222.255	RU
194.135.223.0	194.135.223.255	UA
194.135.224.0	194.135.240.255	RU
194.135.241.0	194.135.241.255	UA
194.135.242.0	194.135.242.255	RU
194.135.243.0	194.135.243.255	UA
194.135.244.0	194.135.244.255	RU
194.135.245.0	194.135.245.255	UA
194.135.246.0	194.135.251.255	RU
194.135.252.0	194.135.252.255	UA
194.135.253.0	194.135.253.255	RU
194.135.254.0	194.135.255.255	UA
194.136.0.0	194.137.6.255	FI
194.137.7.0	194.137.7.255	SE
194.137.8.0	194.137.25.255	FI
194.137.26.0	194.137.27.255	BE
194.137.28.0	194.137.33.191	FI
194.137.33.192	194.137.33.255	RU
194.137.34.0	194.137.60.255	FI
194.137.61.0	194.137.61.255	BE
194.137.62.0	194.137.62.255	FI
194.137.63.0	194.137.63.255	BE
194.137.64.0	194.137.132.223	FI
194.137.132.224	194.137.132.239	SE
194.137.132.240	194.137.132.255	FI
194.137.133.0	194.137.133.255	AX
194.137.134.0	194.137.135.255	FI
194.137.136.0	194.137.136.255	BE
194.137.137.0	194.137.221.211	FI
194.137.221.212	194.137.221.215	AX
194.137.221.216	194.137.227.255	FI
194.137.228.0	194.137.228.255	ES
194.137.229.0	194.137.229.255	NL
194.137.230.0	194.137.255.255	FI
194.138.0.0	194.139.255.255	DE
194.140.0.0	194.140.95.255	ES
194.140.96.0	194.140.127.255	DE
194.140.128.0	194.140.191.255	ES
194.140.192.0	194.140.223.255	HU
194.140.224.0	194.140.224.255	AT
194.140.225.0	194.140.225.255	FR
194.140.226.0	194.140.226.255	GB
194.140.227.0	194.140.227.255	TR
194.140.228.0	194.140.228.255	UA
194.140.229.0	194.140.229.255	RU
194.140.230.0	194.140.230.255	NL
194.140.231.0	194.140.231.255	DE
194.140.232.0	194.140.232.255	PT
194.140.233.0	194.140.233.255	PL
194.140.234.0	194.140.234.255	IE
194.140.235.0	194.140.235.255	RO
194.140.236.0	194.140.236.255	DK
194.140.237.0	194.140.237.255	UA
194.140.238.0	194.140.238.255	PT
194.140.239.0	194.140.239.255	DE
194.140.240.0	194.140.240.255	SE
194.140.241.0	194.140.241.255	PL
194.140.242.0	194.140.242.255	GB
194.140.243.0	194.140.244.255	SE
194.140.245.0	194.140.245.255	RO
194.140.246.0	194.140.246.255	NL
194.140.247.0	194.140.247.255	FR
194.140.248.0	194.140.248.255	HU
194.140.249.0	194.140.249.255	GB
194.140.250.0	194.140.250.255	PL
194.140.251.0	194.140.253.255	GB
194.140.254.0	194.140.254.255	AT
194.140.255.0	194.140.255.255	PL
194.141.0.0	194.141.255.255	BG
194.142.0.0	194.142.24.127	FI
194.142.24.128	194.142.24.135	AX
194.142.24.136	194.142.53.255	FI
194.142.54.0	194.142.54.255	GB
194.142.55.0	194.142.151.255	FI
194.142.152.0	194.142.152.255	DE
194.142.153.0	194.142.153.255	NL
194.142.154.0	194.142.154.255	FI
194.142.155.0	194.142.155.255	BE
194.142.156.0	194.142.168.247	FI
194.142.168.248	194.142.168.255	AX
194.142.169.0	194.142.184.255	FI
194.142.185.0	194.142.185.255	SE
194.142.186.0	194.142.255.255	FI
194.143.0.0	194.143.127.255	NO
194.143.128.0	194.143.129.255	MD
194.143.130.0	194.143.131.255	NL
194.143.132.0	194.143.133.255	FR
194.143.134.0	194.143.135.255	DE
194.143.136.0	194.143.137.255	UA
194.143.138.0	194.143.139.255	RU
194.143.140.0	194.143.141.255	IR
194.143.142.0	194.143.143.255	IT
194.143.144.0	194.143.147.255	UA
194.143.148.0	194.143.151.255	RU
194.143.152.0	194.143.153.255	LV
194.143.154.0	194.143.155.255	GB
194.143.156.0	194.143.157.255	DE
194.143.158.0	194.143.191.255	GB
194.143.192.0	194.143.223.255	ES
194.143.224.0	194.143.255.255	HU
194.144.0.0	194.144.255.255	IS
194.145.0.0	194.145.31.255	GB
194.145.32.0	194.145.52.255	FI
194.145.53.0	194.145.58.255	FR
194.145.59.0	194.145.62.255	PT
194.145.63.0	194.145.63.255	BG
194.145.64.0	194.145.95.255	DE
194.145.96.0	194.145.111.255	PL
194.145.112.0	194.145.112.255	FR
194.145.113.0	194.145.113.255	IT
194.145.114.0	194.145.114.255	DE
194.145.115.0	194.145.115.255	CH
194.145.116.0	194.145.116.255	PL
194.145.117.0	194.145.117.255	UA
194.145.118.0	194.145.118.255	DE
194.145.119.0	194.145.119.255	NL
194.145.120.0	194.145.120.255	RO
194.145.121.0	194.145.121.255	PT
194.145.122.0	194.145.124.255	DE
194.145.125.0	194.145.125.255	SE
194.145.126.0	194.145.126.255	GB
194.145.127.0	194.145.127.255	GR
194.145.128.0	194.145.135.255	IE
194.145.136.0	194.145.139.255	SK
194.145.140.0	194.145.141.255	ES
194.145.142.0	194.145.143.255	DE
194.145.144.0	194.145.144.255	FR
194.145.145.0	194.145.145.255	SE
194.145.146.0	194.145.146.255	DE
194.145.147.0	194.145.149.255	GB
194.145.150.0	194.145.151.255	DE
194.145.152.0	194.145.152.255	SE
194.145.153.0	194.145.153.255	RS
194.145.154.0	194.145.154.255	FR
194.145.155.0	194.145.155.255	RO
194.145.156.0	194.145.156.255	HU
194.145.157.0	194.145.157.255	CH
194.145.158.0	194.145.158.255	RU
194.145.159.0	194.145.159.255	RO
194.145.160.0	194.145.163.255	BG
194.145.164.0	194.145.167.255	SE
194.145.168.0	194.145.171.255	RU
194.145.172.0	194.145.175.255	SE
194.145.176.0	194.145.179.255	AT
194.145.180.0	194.145.183.255	CZ
194.145.184.0	194.145.187.255	PL
194.145.188.0	194.145.191.255	GB
194.145.192.0	194.145.193.255	DE
194.145.194.0	194.145.195.255	NL
194.145.196.0	194.145.197.255	GB
194.145.198.0	194.145.199.255	UA
194.145.200.0	194.145.201.255	NL
194.145.202.0	194.145.203.255	UA
194.145.204.0	194.145.205.255	PL
194.145.206.0	194.145.207.255	SK
194.145.208.0	194.145.209.255	CY
194.145.210.0	194.145.211.255	GB
194.145.212.0	194.145.213.255	RU
194.145.214.0	194.145.217.255	UA
194.145.218.0	194.145.219.255	DE
194.145.220.0	194.145.221.255	UA
194.145.222.0	194.145.223.255	GB
194.145.224.0	194.145.224.255	DE
194.145.225.0	194.145.225.255	PL
194.145.226.0	194.145.226.255	DE
194.145.227.0	194.145.227.255	UA
194.145.228.0	194.145.229.255	PL
194.145.230.0	194.145.230.255	DE
194.145.231.0	194.145.231.255	IT
194.145.232.0	194.145.234.255	DE
194.145.235.0	194.145.235.255	ES
194.145.236.0	194.145.236.255	DE
194.145.237.0	194.145.237.255	GB
194.145.238.0	194.145.238.255	RO
194.145.239.0	194.145.239.255	DE
194.145.240.0	194.145.243.255	GB
194.145.244.0	194.145.247.255	NL
194.145.248.0	194.145.251.255	SE
194.145.252.0	194.145.255.255	DE
194.146.0.0	194.146.104.255	FR
194.146.105.0	194.146.108.255	SE
194.146.109.0	194.146.109.255	HR
194.146.110.0	194.146.110.255	UA
194.146.111.0	194.146.111.255	CH
194.146.112.0	194.146.112.255	UA
194.146.113.0	194.146.113.255	RU
194.146.114.0	194.146.114.255	IT
194.146.115.0	194.146.116.255	RU
194.146.117.0	194.146.117.255	SE
194.146.118.0	194.146.118.255	DE
194.146.119.0	194.146.119.255	RU
194.146.120.0	194.146.120.255	PL
194.146.121.0	194.146.121.255	BE
194.146.122.0	194.146.122.255	RU
194.146.123.0	194.146.124.255	DE
194.146.125.0	194.146.125.255	RO
194.146.126.0	194.146.126.255	CH
194.146.127.0	194.146.127.255	NL
194.146.128.0	194.146.131.255	PL
194.146.132.0	194.146.143.255	UA
194.146.144.0	194.146.147.255	DE
194.146.148.0	194.146.151.255	IR
194.146.152.0	194.146.155.255	LB
194.146.156.0	194.146.159.255	UA
194.146.160.0	194.146.163.255	RU
194.146.164.0	194.146.167.255	IR
194.146.168.0	194.146.171.255	SE
194.146.172.0	194.146.175.255	FR
194.146.176.0	194.146.179.255	DE
194.146.180.0	194.146.183.255	UA
194.146.184.0	194.146.187.255	AT
194.146.188.0	194.146.191.255	UA
194.146.192.0	194.146.195.255	GB
194.146.196.0	194.146.199.255	UA
194.146.200.0	194.146.203.255	RU
194.146.204.0	194.146.207.255	PA
194.146.208.0	194.146.211.255	DE
194.146.212.0	194.146.215.255	CH
194.146.216.0	194.146.219.255	PL
194.146.220.0	194.146.223.255	UA
194.146.224.0	194.146.227.255	FR
194.146.228.0	194.146.231.255	UA
194.146.232.0	194.146.235.255	BG
194.146.236.0	194.146.239.255	AE
194.146.240.0	194.146.243.255	RU
194.146.244.0	194.146.247.255	NO
194.146.248.0	194.146.255.255	PL
194.147.0.0	194.147.67.255	CH
194.147.68.0	194.147.69.255	LI
194.147.70.0	194.147.126.255	CH
194.147.127.0	194.147.127.255	FR
194.147.128.0	194.148.14.255	CH
194.148.15.0	194.148.15.255	LI
194.148.16.0	194.148.28.127	CH
194.148.28.128	194.148.28.159	LI
194.148.28.160	194.148.57.255	CH
194.148.58.0	194.148.58.255	US
194.148.59.0	194.148.255.255	CH
194.149.0.0	194.149.63.255	HU
194.149.64.0	194.149.71.255	RU
194.149.72.0	194.149.75.255	ES
194.149.76.0	194.149.79.255	IE
194.149.80.0	194.149.87.255	NL
194.149.88.0	194.149.88.255	PL
194.149.89.0	194.149.89.255	GB
194.149.90.0	194.149.91.255	RU
194.149.92.0	194.149.92.255	UA
194.149.93.0	194.149.93.255	RU
194.149.94.0	194.149.94.255	FR
194.149.95.0	194.149.95.255	RU
194.149.96.0	194.149.127.255	CZ
194.149.128.0	194.149.159.255	MK
194.149.160.0	194.149.191.255	FR
194.149.192.0	194.149.223.255	ES
194.149.224.0	194.149.227.255	RU
194.149.228.0	194.149.231.255	PL
194.149.232.0	194.149.233.255	IT
194.149.234.0	194.149.235.255	RU
194.149.236.0	194.149.237.255	GR
194.149.238.0	194.149.239.255	DK
194.149.240.0	194.149.240.255	PL
194.149.241.0	194.149.241.255	DE
194.149.242.0	194.149.242.255	FR
194.149.243.0	194.149.243.255	BE
194.149.244.0	194.149.244.255	IT
194.149.245.0	194.149.255.255	DE
194.150.0.0	194.150.4.255	GB
194.150.5.0	194.150.6.255	FR
194.150.7.0	194.150.7.255	GB
194.150.8.0	194.150.8.127	FR
194.150.8.128	194.150.8.159	GB
194.150.8.160	194.150.8.239	FR
194.150.8.240	194.150.10.255	GB
194.150.11.0	194.150.15.255	FR
194.150.16.0	194.150.16.31	GB
194.150.16.32	194.150.16.47	FR
194.150.16.48	194.150.16.63	GB
194.150.16.64	194.150.16.127	FR
194.150.16.128	194.150.16.159	GB
194.150.16.160	194.150.16.191	FR
194.150.16.192	194.150.16.223	GB
194.150.16.224	194.150.16.255	FR
194.150.17.0	194.150.21.255	GB
194.150.22.0	194.150.22.63	FR
194.150.22.64	194.150.22.159	GB
194.150.22.160	194.150.22.223	FR
194.150.22.224	194.150.22.255	GB
194.150.23.0	194.150.24.63	FR
194.150.24.64	194.150.24.127	GB
194.150.24.128	194.150.24.143	FR
194.150.24.144	194.150.24.191	GB
194.150.24.192	194.150.24.207	FR
194.150.24.208	194.150.24.223	GB
194.150.24.224	194.150.24.239	FR
194.150.24.240	194.150.25.255	GB
194.150.26.0	194.150.26.255	FR
194.150.27.0	194.150.27.95	GB
194.150.27.96	194.150.29.255	FR
194.150.30.0	194.150.32.255	GB
194.150.33.0	194.150.33.255	FR
194.150.34.0	194.150.35.255	GB
194.150.36.0	194.150.36.31	FR
194.150.36.32	194.150.36.63	GB
194.150.36.64	194.150.36.95	FR
194.150.36.96	194.150.36.255	GB
194.150.37.0	194.150.37.255	FR
194.150.38.0	194.150.38.127	GB
194.150.38.128	194.150.38.159	FR
194.150.38.160	194.150.39.255	GB
194.150.40.0	194.150.41.127	FR
194.150.41.128	194.150.43.255	GB
194.150.44.0	194.150.44.255	FR
194.150.45.0	194.150.63.255	GB
194.150.64.0	194.150.67.255	EE
194.150.68.0	194.150.71.255	GR
194.150.72.0	194.150.79.255	UA
194.150.80.0	194.150.83.255	DE
194.150.84.0	194.150.87.255	RO
194.150.88.0	194.150.91.255	RU
194.150.92.0	194.150.95.255	UA
194.150.96.0	194.150.103.255	PL
194.150.104.0	194.150.107.255	RU
194.150.108.0	194.150.115.255	DK
194.150.116.0	194.150.119.255	BG
194.150.120.0	194.150.123.255	GB
194.150.124.0	194.150.159.255	RU
194.150.160.0	194.150.161.255	CH
194.150.162.0	194.150.163.255	IT
194.150.164.0	194.150.165.255	RU
194.150.166.0	194.150.167.255	PL
194.150.168.0	194.150.169.255	EU
194.150.170.0	194.150.171.255	RO
194.150.172.0	194.150.173.255	DE
194.150.174.0	194.150.175.255	UA
194.150.176.0	194.150.177.255	GB
194.150.178.0	194.150.179.255	RU
194.150.180.0	194.150.181.255	BG
194.150.182.0	194.150.183.255	GB
194.150.184.0	194.150.185.255	PL
194.150.186.0	194.150.187.255	RO
194.150.188.0	194.150.191.255	DE
194.150.192.0	194.150.193.255	UA
194.150.194.0	194.150.195.255	GB
194.150.196.0	194.150.197.255	PL
194.150.198.0	194.150.199.255	CH
194.150.200.0	194.150.201.255	GB
194.150.202.0	194.150.203.255	RU
194.150.204.0	194.150.205.255	UA
194.150.206.0	194.150.207.255	PL
194.150.208.0	194.150.209.255	NL
194.150.210.0	194.150.211.255	DE
194.150.212.0	194.150.213.255	NO
194.150.214.0	194.150.215.255	SE
194.150.216.0	194.150.217.255	RO
194.150.218.0	194.150.219.255	IL
194.150.220.0	194.150.221.255	UA
194.150.222.0	194.150.223.255	SE
194.150.224.0	194.150.225.255	BE
194.150.226.0	194.150.229.255	DE
194.150.230.0	194.150.231.255	PL
194.150.232.0	194.150.233.255	UA
194.150.234.0	194.150.235.255	RU
194.150.236.0	194.150.237.255	FR
194.150.238.0	194.150.239.255	PL
194.150.240.0	194.150.241.255	DE
194.150.242.0	194.150.243.255	RO
194.150.244.0	194.150.245.255	CH
194.150.246.0	194.150.247.255	PL
194.150.248.0	194.150.249.255	CH
194.150.250.0	194.150.251.255	PL
194.150.252.0	194.150.253.255	GB
194.150.254.0	194.150.255.255	RU
194.151.0.0	194.151.255.255	NL
194.152.0.0	194.152.31.255	SI
194.152.32.0	194.152.33.255	LV
194.152.34.0	194.152.35.255	RU
194.152.36.0	194.152.37.255	KG
194.152.38.0	194.152.39.255	DK
194.152.40.0	194.152.41.255	GB
194.152.42.0	194.152.43.255	RO
194.152.44.0	194.152.45.255	NL
194.152.46.0	194.152.47.255	PL
194.152.48.0	194.152.49.255	IT
194.152.50.0	194.152.51.255	PL
194.152.52.0	194.152.53.255	RU
194.152.54.0	194.152.55.255	DE
194.152.56.0	194.152.57.255	PL
194.152.58.0	194.152.59.255	FI
194.152.60.0	194.152.61.255	PL
194.152.62.0	194.152.63.255	RU
194.152.64.0	194.152.95.255	GB
194.152.96.0	194.152.127.255	AT
194.152.128.0	194.152.159.255	HU
194.152.160.0	194.152.191.255	AT
194.152.192.0	194.152.255.255	HR
194.153.0.0	194.153.31.255	GB
194.153.32.0	194.153.71.255	SE
194.153.72.0	194.153.72.255	NO
194.153.73.0	194.153.73.255	IT
194.153.74.0	194.153.77.255	GB
194.153.78.0	194.153.78.255	NL
194.153.79.0	194.153.79.255	LV
194.153.80.0	194.153.80.255	FR
194.153.81.0	194.153.82.255	GR
194.153.83.0	194.153.83.255	CH
194.153.84.0	194.153.84.255	SE
194.153.85.0	194.153.85.255	MT
194.153.86.0	194.153.87.255	DE
194.153.88.0	194.153.90.255	FR
194.153.91.0	194.153.91.255	SE
194.153.92.0	194.153.92.255	FR
194.153.93.0	194.153.93.255	AT
194.153.94.0	194.153.94.255	CH
194.153.95.0	194.153.95.255	PL
194.153.96.0	194.153.96.255	CH
194.153.97.0	194.153.97.255	FR
194.153.98.0	194.153.98.255	AT
194.153.99.0	194.153.99.255	IT
194.153.100.0	194.153.100.255	DE
194.153.101.0	194.153.101.255	IL
194.153.102.0	194.153.103.255	IT
194.153.104.0	194.153.105.255	DE
194.153.106.0	194.153.107.255	GB
194.153.108.0	194.153.110.255	FR
194.153.111.0	194.153.111.255	AT
194.153.112.0	194.153.112.255	RU
194.153.113.0	194.153.114.255	DE
194.153.115.0	194.153.115.255	PL
194.153.116.0	194.153.116.255	DE
194.153.117.0	194.153.117.255	NL
194.153.118.0	194.153.118.255	BG
194.153.119.0	194.153.119.255	PL
194.153.120.0	194.153.127.255	AT
194.153.128.0	194.153.129.255	UA
194.153.130.0	194.153.130.255	DE
194.153.131.0	194.153.131.255	IT
194.153.132.0	194.153.132.255	PT
194.153.133.0	194.153.134.255	PL
194.153.135.0	194.153.135.255	LV
194.153.136.0	194.153.144.255	GB
194.153.145.0	194.153.145.255	BG
194.153.146.0	194.153.147.255	DE
194.153.148.0	194.153.149.255	UA
194.153.150.0	194.153.152.127	DE
194.153.152.128	194.153.152.255	GB
194.153.153.0	194.153.153.127	UG
194.153.153.128	194.153.153.255	PL
194.153.154.0	194.153.154.127	GB
194.153.154.128	194.153.154.255	NO
194.153.155.0	194.153.155.127	US
194.153.155.128	194.153.155.255	RU
194.153.156.0	194.153.156.63	DK
194.153.156.64	194.153.156.127	SK
194.153.156.192	194.153.156.255	GB
194.153.157.0	194.153.157.31	FR
194.153.157.32	194.153.157.63	ES
194.153.157.64	194.153.157.95	IE
194.153.157.96	194.153.157.127	NO
194.153.157.160	194.153.157.191	LI
194.153.158.0	194.153.158.127	FR
194.153.158.128	194.153.158.255	RU
194.153.159.0	194.153.159.63	PL
194.153.159.64	194.153.159.127	LV
194.153.159.128	194.153.159.191	BE
194.153.159.192	194.153.159.255	SE
194.153.160.0	194.153.167.255	DE
194.153.168.0	194.153.169.255	GB
194.153.170.0	194.153.170.255	PL
194.153.171.0	194.153.171.255	LV
194.153.172.0	194.153.175.255	IT
194.153.176.0	194.153.183.255	CH
194.153.184.0	194.153.185.255	DE
194.153.186.0	194.153.186.255	RU
194.153.187.0	194.153.187.255	IT
194.153.188.0	194.153.189.255	CH
194.153.190.0	194.153.191.255	DE
194.153.192.0	194.153.213.255	IT
194.153.214.0	194.153.215.255	FR
194.153.216.0	194.153.216.255	PL
194.153.217.0	194.153.217.255	AT
194.153.218.0	194.153.218.255	GB
194.153.219.0	194.153.219.255	DE
194.153.220.0	194.153.223.255	AT
194.153.224.0	194.153.255.255	RO
194.154.0.0	194.154.63.255	GB
194.154.64.0	194.154.95.255	RU
194.154.96.0	194.154.127.255	GB
194.154.128.0	194.154.132.15	CY
194.154.132.16	194.154.132.23	GR
194.154.132.24	194.154.132.47	CY
194.154.132.48	194.154.132.51	GR
194.154.132.52	194.154.132.55	CY
194.154.132.56	194.154.132.63	GR
194.154.132.64	194.154.132.83	CY
194.154.132.84	194.154.132.87	GR
194.154.132.88	194.154.132.92	CY
194.154.132.93	194.154.132.95	GR
194.154.132.96	194.154.132.99	CY
194.154.132.100	194.154.132.111	GR
194.154.132.112	194.154.132.115	CY
194.154.132.116	194.154.132.119	GR
194.154.132.120	194.154.132.127	CY
194.154.132.128	194.154.132.171	GR
194.154.132.172	194.154.132.183	CY
194.154.132.184	194.154.132.195	GR
194.154.132.196	194.154.132.255	CY
194.154.133.0	194.154.133.127	GR
194.154.133.128	194.154.133.255	CY
194.154.134.0	194.154.134.9	GR
194.154.134.10	194.154.134.127	CY
194.154.134.128	194.154.134.143	GR
194.154.134.144	194.154.134.159	CY
194.154.134.160	194.154.134.167	GR
194.154.134.168	194.154.134.231	CY
194.154.134.232	194.154.134.243	GR
194.154.134.244	194.154.135.127	CY
194.154.135.128	194.154.135.135	GR
194.154.135.136	194.154.135.143	CY
194.154.135.144	194.154.135.147	GR
194.154.135.148	194.154.137.119	CY
194.154.137.120	194.154.137.127	GR
194.154.137.128	194.154.137.143	CY
194.154.137.144	194.154.137.151	GR
194.154.137.152	194.154.137.159	CY
194.154.137.160	194.154.137.163	GR
194.154.137.164	194.154.137.167	CY
194.154.137.168	194.154.137.171	GR
194.154.137.172	194.154.137.175	CY
194.154.137.176	194.154.137.183	GR
194.154.137.184	194.154.137.195	CY
194.154.137.196	194.154.137.207	GR
194.154.137.208	194.154.137.215	CY
194.154.137.216	194.154.137.223	GR
194.154.137.224	194.154.137.235	CY
194.154.137.236	194.154.137.243	GR
194.154.137.244	194.154.137.247	CY
194.154.137.248	194.154.137.255	GR
194.154.138.0	194.154.138.143	CY
194.154.138.144	194.154.138.151	GR
194.154.138.152	194.154.138.159	CY
194.154.138.160	194.154.138.163	GR
194.154.138.164	194.154.138.187	CY
194.154.138.188	194.154.138.195	GR
194.154.138.196	194.154.138.211	CY
194.154.138.212	194.154.138.215	GR
194.154.138.216	194.154.138.235	CY
194.154.138.236	194.154.138.243	GR
194.154.138.244	194.154.138.247	CY
194.154.138.248	194.154.138.255	GR
194.154.139.0	194.154.139.31	CY
194.154.139.32	194.154.139.39	GR
194.154.139.40	194.154.139.63	CY
194.154.139.64	194.154.139.71	GR
194.154.139.72	194.154.139.79	CY
194.154.139.80	194.154.139.87	GR
194.154.139.88	194.154.139.135	CY
194.154.139.136	194.154.139.143	GR
194.154.139.144	194.154.139.151	CY
194.154.139.152	194.154.139.159	GR
194.154.139.160	194.154.139.191	CY
194.154.139.192	194.154.139.223	GR
194.154.139.224	194.154.139.254	CY
194.154.139.255	194.154.141.255	GR
194.154.142.0	194.154.142.255	GB
194.154.143.0	194.154.143.255	GR
194.154.144.0	194.154.145.71	CY
194.154.145.72	194.154.145.79	GR
194.154.145.80	194.154.145.87	CY
194.154.145.88	194.154.145.95	GR
194.154.145.96	194.154.148.254	CY
194.154.148.255	194.154.148.255	GR
194.154.149.0	194.154.149.15	CY
194.154.149.16	194.154.149.31	GR
194.154.149.32	194.154.149.63	CY
194.154.149.64	194.154.149.79	GR
194.154.149.80	194.154.149.104	CY
194.154.149.105	194.154.149.107	GR
194.154.149.108	194.154.149.115	CY
194.154.149.116	194.154.149.127	GR
194.154.149.128	194.154.149.223	CY
194.154.149.224	194.154.150.255	GR
194.154.151.0	194.154.153.35	CY
194.154.153.36	194.154.153.39	GR
194.154.153.40	194.154.153.63	CY
194.154.153.64	194.154.153.87	GR
194.154.153.88	194.154.153.127	CY
194.154.153.128	194.154.153.191	GR
194.154.153.192	194.154.155.3	CY
194.154.155.4	194.154.155.7	GR
194.154.155.8	194.154.155.11	CY
194.154.155.12	194.154.155.15	GR
194.154.155.16	194.154.155.19	CY
194.154.155.20	194.154.155.23	GR
194.154.155.24	194.154.155.39	CY
194.154.155.40	194.154.155.55	GR
194.154.155.56	194.154.155.63	CY
194.154.155.64	194.154.155.91	GR
194.154.155.92	194.154.155.95	CY
194.154.155.96	194.154.155.103	GR
194.154.155.104	194.154.155.107	CY
194.154.155.108	194.154.155.111	GR
194.154.155.112	194.154.155.115	CY
194.154.155.116	194.154.155.123	GR
194.154.155.124	194.154.155.135	CY
194.154.155.136	194.154.155.151	GR
194.154.155.152	194.154.155.155	CY
194.154.155.156	194.154.155.159	GR
194.154.155.160	194.154.155.167	CY
194.154.155.168	194.154.155.191	GR
194.154.155.192	194.154.157.15	CY
194.154.157.16	194.154.157.23	GR
194.154.157.24	194.154.157.175	CY
194.154.157.176	194.154.157.199	GR
194.154.157.200	194.154.157.203	CY
194.154.157.204	194.154.157.223	GR
194.154.157.224	194.154.157.239	CY
194.154.157.240	194.154.157.255	GR
194.154.158.0	194.154.158.255	CY
194.154.159.0	194.154.159.31	GR
194.154.159.32	194.154.159.39	CY
194.154.159.40	194.154.159.47	GR
194.154.159.48	194.154.159.71	CY
194.154.159.72	194.154.159.79	GR
194.154.159.80	194.154.159.91	CY
194.154.159.92	194.154.159.111	GR
194.154.159.112	194.154.159.127	CY
194.154.159.128	194.154.159.143	GR
194.154.159.144	194.154.159.147	CY
194.154.159.148	194.154.159.151	GR
194.154.159.152	194.154.159.159	CY
194.154.159.160	194.154.159.175	GR
194.154.159.176	194.154.159.223	CY
194.154.159.224	194.154.159.231	GR
194.154.159.232	194.154.159.247	CY
194.154.159.248	194.154.159.255	GR
194.154.160.0	194.154.174.255	GB
194.154.175.0	194.154.175.127	NL
194.154.175.128	194.154.191.255	GB
194.154.192.0	194.154.194.191	LU
194.154.194.192	194.154.194.207	SA
194.154.194.208	194.154.223.255	LU
194.154.224.0	194.154.255.255	SK
194.155.0.0	194.155.255.255	GB
194.156.0.0	194.156.201.255	DE
194.156.202.0	194.156.203.255	FR
194.156.204.0	194.156.255.255	DE
194.157.0.0	194.157.255.255	FI
194.158.0.0	194.158.31.255	CH
194.158.32.0	194.158.63.255	MT
194.158.64.0	194.158.95.255	AD
194.158.96.0	194.158.127.255	FR
194.158.128.0	194.158.159.255	AT
194.158.160.0	194.158.191.255	NL
194.158.192.0	194.158.223.255	BY
194.158.224.0	194.158.255.255	CH
194.159.0.0	194.159.64.255	GB
194.159.65.0	194.159.65.255	FR
194.159.66.0	194.159.71.255	GB
194.159.72.0	194.159.73.255	NL
194.159.74.0	194.159.223.255	GB
194.159.224.0	194.159.231.255	NL
194.159.232.0	194.159.255.255	GB
194.160.0.0	194.160.81.63	SK
194.160.81.64	194.160.81.127	SR
194.160.81.128	194.160.255.255	SK
194.161.0.0	194.161.35.255	GB
194.161.36.0	194.161.36.255	DE
194.161.37.0	194.161.37.255	GB
194.161.38.0	194.161.38.255	CH
194.161.39.0	194.161.39.95	AT
194.161.39.96	194.161.39.127	EU
194.161.39.128	194.161.39.255	FR
194.161.40.0	194.161.40.255	GB
194.161.41.0	194.161.41.255	DE
194.161.42.0	194.161.47.255	GB
194.161.48.0	194.161.63.255	DE
194.161.64.0	194.161.83.255	FR
194.161.84.0	194.161.84.255	BE
194.161.85.0	194.161.85.255	FR
194.161.86.0	194.161.93.255	DE
194.161.94.0	194.161.95.255	FR
194.161.96.0	194.161.100.255	BE
194.161.101.0	194.161.101.255	FR
194.161.102.0	194.161.102.255	DE
194.161.103.0	194.161.103.255	BE
194.161.104.0	194.161.107.255	NL
194.161.108.0	194.161.108.255	BE
194.161.109.0	194.161.111.255	NL
194.161.112.0	194.161.112.255	CH
194.161.113.0	194.161.113.255	GB
194.161.114.0	194.161.115.255	CH
194.161.116.0	194.161.119.255	GB
194.161.120.0	194.161.127.255	IT
194.161.128.0	194.161.135.255	ES
194.161.136.0	194.161.136.63	EU
194.161.136.64	194.161.136.255	BE
194.161.137.0	194.161.137.255	HU
194.161.138.0	194.161.139.255	DK
194.161.140.0	194.161.140.255	AT
194.161.141.0	194.161.141.255	ES
194.161.142.0	194.161.142.255	SE
194.161.143.0	194.161.148.255	DK
194.161.149.0	194.161.149.255	IL
194.161.150.0	194.161.150.255	SE
194.161.151.0	194.161.151.255	DE
194.161.152.0	194.161.153.255	DK
194.161.154.0	194.161.154.255	GB
194.161.155.0	194.161.175.255	DE
194.161.176.0	194.161.176.255	IT
194.161.177.0	194.161.183.255	GB
194.161.184.0	194.161.190.255	NL
194.161.191.0	194.161.199.255	GB
194.161.200.0	194.161.201.255	CH
194.161.202.0	194.161.207.255	GB
194.161.208.0	194.161.215.255	DE
194.161.216.0	194.161.219.255	NL
194.161.220.0	194.161.223.255	EU
194.161.224.0	194.161.255.255	GB
194.162.0.0	194.162.82.191	DE
194.162.82.192	194.162.82.199	A2
194.162.82.200	194.162.85.7	DE
194.162.85.8	194.162.85.15	A2
194.162.85.16	194.163.10.15	DE
194.163.10.16	194.163.10.31	AT
194.163.10.32	194.163.11.255	DE
194.163.12.0	194.163.12.255	AT
194.163.13.0	194.163.20.127	DE
194.163.20.128	194.163.20.131	ES
194.163.20.132	194.163.253.15	DE
194.163.253.16	194.163.253.19	ES
194.163.253.20	194.163.255.255	DE
194.164.0.0	194.164.161.255	GB
194.164.162.0	194.164.163.255	AE
194.164.164.0	194.164.212.255	GB
194.164.213.0	194.164.213.255	A2
194.164.214.0	194.164.255.255	GB
194.165.0.0	194.165.3.255	RU
194.165.4.0	194.165.7.255	UA
194.165.8.0	194.165.9.255	PL
194.165.10.0	194.165.11.255	RU
194.165.12.0	194.165.13.255	GB
194.165.14.0	194.165.15.255	FR
194.165.16.0	194.165.25.255	RU
194.165.26.0	194.165.27.255	HU
194.165.28.0	194.165.29.255	GB
194.165.30.0	194.165.31.255	RU
194.165.32.0	194.165.32.255	SE
194.165.33.0	194.165.33.255	CH
194.165.34.0	194.165.35.255	NL
194.165.36.0	194.165.36.255	IT
194.165.37.0	194.165.37.255	IE
194.165.38.0	194.165.38.255	DK
194.165.39.0	194.165.39.255	MD
194.165.40.0	194.165.40.255	DE
194.165.41.0	194.165.41.255	PL
194.165.42.0	194.165.42.255	SA
194.165.43.0	194.165.43.255	FR
194.165.44.0	194.165.44.255	CH
194.165.45.0	194.165.45.255	FR
194.165.46.0	194.165.46.255	UA
194.165.47.0	194.165.47.255	CZ
194.165.48.0	194.165.48.255	PL
194.165.49.0	194.165.49.255	FR
194.165.50.0	194.165.50.255	RU
194.165.51.0	194.165.51.255	DE
194.165.52.0	194.165.52.255	AT
194.165.53.0	194.165.53.255	FR
194.165.54.0	194.165.54.255	PL
194.165.55.0	194.165.56.255	DK
194.165.57.0	194.165.57.255	CZ
194.165.58.0	194.165.58.255	RU
194.165.59.0	194.165.59.255	SE
194.165.60.0	194.165.60.255	GB
194.165.61.0	194.165.61.255	RU
194.165.62.0	194.165.63.255	UA
194.165.64.0	194.165.95.255	NL
194.165.96.0	194.165.127.255	SI
194.165.128.0	194.165.159.255	JO
194.165.160.0	194.165.191.47	IE
194.165.191.48	194.165.191.63	US
194.165.191.64	194.165.191.255	IE
194.165.192.0	194.165.223.255	GB
194.165.224.0	194.165.255.255	SE
194.166.0.0	194.166.255.255	AT
194.167.0.0	194.167.255.255	FR
194.168.0.0	194.168.135.255	GB
194.168.136.0	194.168.136.255	US
194.168.137.0	194.169.124.255	GB
194.169.125.0	194.169.125.255	PT
194.169.126.0	194.169.127.255	PL
194.169.128.0	194.169.182.255	GB
194.169.183.0	194.169.183.255	FR
194.169.184.0	194.169.190.255	GB
194.169.191.0	194.169.191.255	RO
194.169.192.0	194.169.192.255	DE
194.169.193.0	194.169.193.255	UA
194.169.194.0	194.169.195.255	GB
194.169.196.0	194.169.196.255	IE
194.169.197.0	194.169.197.255	GB
194.169.198.0	194.169.198.255	DE
194.169.199.0	194.169.199.255	CH
194.169.200.0	194.169.200.255	AT
194.169.201.0	194.169.201.255	ES
194.169.202.0	194.169.202.255	DE
194.169.203.0	194.169.203.255	FR
194.169.204.0	194.169.207.255	UA
194.169.208.0	194.169.208.255	NL
194.169.209.0	194.169.209.255	RO
194.169.210.0	194.169.210.255	UA
194.169.211.0	194.169.211.255	DE
194.169.212.0	194.169.212.255	RO
194.169.213.0	194.169.213.255	PL
194.169.214.0	194.169.214.255	FR
194.169.215.0	194.169.215.255	PT
194.169.216.0	194.169.216.255	DE
194.169.217.0	194.169.218.255	GB
194.169.219.0	194.169.219.255	CH
194.169.220.0	194.169.220.255	PL
194.169.221.0	194.169.221.255	GB
194.169.222.0	194.169.222.255	DE
194.169.223.0	194.169.223.255	RO
194.169.224.0	194.169.224.255	CZ
194.169.225.0	194.169.225.255	SE
194.169.226.0	194.169.229.255	PL
194.169.230.0	194.169.230.255	RU
194.169.231.0	194.169.231.255	BG
194.169.232.0	194.169.232.255	GR
194.169.233.0	194.169.233.255	RO
194.169.234.0	194.169.234.255	GB
194.169.235.0	194.169.235.255	RO
194.169.236.0	194.169.237.255	PL
194.169.238.0	194.169.238.255	UA
194.169.239.0	194.169.239.255	DE
194.169.240.0	194.169.240.255	FR
194.169.241.0	194.169.241.255	PL
194.169.242.0	194.169.242.255	RU
194.169.243.0	194.169.243.255	SE
194.169.244.0	194.169.244.255	GB
194.169.245.0	194.169.245.255	EU
194.169.246.0	194.169.246.255	AT
194.169.247.0	194.169.247.255	RU
194.169.248.0	194.169.248.255	NL
194.169.249.0	194.169.249.255	FR
194.169.250.0	194.169.250.255	RU
194.169.251.0	194.169.251.255	DK
194.169.252.0	194.169.252.255	CZ
194.169.253.0	194.169.253.255	TR
194.169.254.0	194.169.255.255	GB
194.170.0.0	194.170.255.255	AE
194.171.0.0	194.171.255.255	NL
194.172.0.0	194.172.84.223	DE
194.172.84.224	194.172.84.239	GB
194.172.84.240	194.176.31.255	DE
194.176.32.0	194.176.63.255	LT
194.176.64.0	194.176.95.255	GB
194.176.96.0	194.176.96.255	RU
194.176.97.0	194.176.97.255	UA
194.176.98.0	194.176.98.255	ES
194.176.99.0	194.176.99.255	GB
194.176.100.0	194.176.100.255	RU
194.176.101.0	194.176.102.255	PL
194.176.103.0	194.176.103.255	FI
194.176.104.0	194.176.104.255	CH
194.176.105.0	194.176.105.255	GB
194.176.106.0	194.176.106.255	DE
194.176.107.0	194.176.107.255	GB
194.176.108.0	194.176.108.255	KW
194.176.109.0	194.176.109.255	CH
194.176.110.0	194.176.110.255	BE
194.176.111.0	194.176.111.255	KG
194.176.112.0	194.176.112.255	SI
194.176.113.0	194.176.113.255	GR
194.176.114.0	194.176.114.255	RU
194.176.115.0	194.176.115.255	RO
194.176.116.0	194.176.116.255	CH
194.176.117.0	194.176.117.255	UA
194.176.118.0	194.176.118.255	RU
194.176.119.0	194.176.119.255	ES
194.176.120.0	194.176.122.255	DE
194.176.123.0	194.176.123.255	DK
194.176.124.0	194.176.125.255	GB
194.176.126.0	194.176.126.255	IT
194.176.127.0	194.176.127.255	FR
194.176.128.0	194.176.128.255	GB
194.176.129.0	194.176.144.255	EU
194.176.145.0	194.176.149.239	GB
194.176.149.240	194.176.150.255	EU
194.176.151.0	194.176.153.159	GB
194.176.153.160	194.176.153.175	EU
194.176.153.176	194.176.153.183	GB
194.176.153.184	194.176.153.255	EU
194.176.154.0	194.176.154.7	GB
194.176.154.8	194.176.154.15	EU
194.176.154.16	194.176.154.23	GB
194.176.154.24	194.176.154.111	EU
194.176.154.112	194.176.154.119	US
194.176.154.120	194.176.154.191	EU
194.176.154.192	194.176.154.199	GB
194.176.154.200	194.176.154.215	EU
194.176.154.216	194.176.154.223	GB
194.176.154.224	194.176.154.231	EU
194.176.154.232	194.176.154.239	GB
194.176.154.240	194.176.154.255	EU
194.176.155.0	194.176.159.255	GB
194.176.160.0	194.176.191.255	RO
194.176.192.0	194.176.223.255	GB
194.176.224.0	194.176.255.255	HU
194.177.0.0	194.177.3.255	UA
194.177.4.0	194.177.7.255	PL
194.177.8.0	194.177.11.255	FR
194.177.12.0	194.177.15.255	RU
194.177.16.0	194.177.19.255	IL
194.177.20.0	194.177.23.255	RU
194.177.24.0	194.177.27.255	UA
194.177.28.0	194.177.31.255	PL
194.177.32.0	194.177.33.151	FR
194.177.33.152	194.177.33.154	NL
194.177.33.155	194.177.36.255	FR
194.177.37.0	194.177.37.79	LU
194.177.37.80	194.177.59.255	FR
194.177.60.0	194.177.62.255	NL
194.177.63.0	194.177.63.255	FR
194.177.64.0	194.177.127.255	IT
194.177.128.0	194.177.159.255	AT
194.177.160.0	194.177.191.255	GB
194.177.192.0	194.177.223.255	GR
194.177.224.0	194.177.255.255	GL
194.178.0.0	194.178.255.255	NL
194.179.0.0	194.179.127.255	ES
194.179.128.0	194.179.255.255	IT
194.180.0.0	194.180.226.151	DE
194.180.226.152	194.180.226.159	EE
194.180.226.160	194.180.255.255	DE
194.181.0.0	194.181.255.255	PL
194.182.0.0	194.182.255.255	DK
194.183.0.0	194.183.31.255	IT
194.183.32.0	194.183.63.255	PL
194.183.64.0	194.183.91.255	SM
194.183.92.0	194.183.92.255	IT
194.183.93.0	194.183.95.255	SM
194.183.96.0	194.183.96.255	GB
194.183.97.0	194.183.97.255	NL
194.183.98.0	194.183.101.255	GB
194.183.102.0	194.183.103.255	NL
194.183.104.0	194.183.105.255	GB
194.183.106.0	194.183.106.191	NL
194.183.106.192	194.183.107.255	GB
194.183.108.0	194.183.108.63	NL
194.183.108.64	194.183.108.87	GB
194.183.108.88	194.183.108.95	NL
194.183.108.96	194.183.108.255	GB
194.183.109.0	194.183.110.63	NL
194.183.110.64	194.183.110.255	GB
194.183.111.0	194.183.111.63	NL
194.183.111.64	194.183.111.79	GB
194.183.111.80	194.183.111.111	NL
194.183.111.112	194.183.111.127	GB
194.183.111.128	194.183.111.191	NL
194.183.111.192	194.183.111.207	GB
194.183.111.208	194.183.111.239	NL
194.183.111.240	194.183.111.255	GB
194.183.112.0	194.183.112.255	NL
194.183.113.0	194.183.116.255	GB
194.183.117.0	194.183.117.255	NL
194.183.118.0	194.183.120.15	GB
194.183.120.16	194.183.120.119	NL
194.183.120.120	194.183.121.255	GB
194.183.122.0	194.183.122.255	NL
194.183.123.0	194.183.123.255	GB
194.183.124.0	194.183.124.255	NL
194.183.125.0	194.183.126.255	GB
194.183.127.0	194.183.127.255	NL
194.183.128.0	194.183.141.255	AT
194.183.142.0	194.183.142.255	LI
194.183.143.0	194.183.159.255	AT
194.183.160.0	194.183.191.255	UA
194.183.192.0	194.183.223.255	FR
194.183.224.0	194.183.242.207	BE
194.183.242.208	194.183.242.215	FR
194.183.242.216	194.183.247.255	BE
194.183.248.0	194.183.251.255	LU
194.183.252.0	194.183.255.255	BE
194.184.0.0	194.185.255.255	IT
194.186.0.0	194.186.152.255	RU
194.186.153.0	194.186.153.255	UA
194.186.154.0	194.186.236.79	RU
194.186.236.80	194.186.236.87	KZ
194.186.236.88	194.186.245.255	RU
194.186.246.0	194.186.246.255	KZ
194.186.247.0	194.186.255.255	RU
194.187.0.0	194.187.15.255	NO
194.187.16.0	194.187.19.255	DE
194.187.20.0	194.187.23.255	RO
194.187.24.0	194.187.31.255	UA
194.187.32.0	194.187.35.255	GB
194.187.36.0	194.187.39.255	RU
194.187.40.0	194.187.43.255	PL
194.187.44.0	194.187.47.255	NL
194.187.48.0	194.187.51.255	UA
194.187.52.0	194.187.55.255	PL
194.187.56.0	194.187.59.255	GB
194.187.60.0	194.187.63.255	SE
194.187.64.0	194.187.67.255	DE
194.187.68.0	194.187.71.255	LV
194.187.72.0	194.187.75.255	PL
194.187.76.0	194.187.79.255	NL
194.187.80.0	194.187.83.255	PS
194.187.84.0	194.187.87.255	IL
194.187.88.0	194.187.91.255	CH
194.187.92.0	194.187.95.255	AT
194.187.96.0	194.187.99.255	NL
194.187.100.0	194.187.103.255	LV
194.187.104.0	194.187.111.255	UA
194.187.112.0	194.187.115.255	DE
194.187.116.0	194.187.119.255	PL
194.187.120.0	194.187.123.255	RO
194.187.124.0	194.187.127.255	IT
194.187.128.0	194.187.131.255	UA
194.187.132.0	194.187.135.255	BG
194.187.136.0	194.187.139.255	RO
194.187.140.0	194.187.143.255	DE
194.187.144.0	194.187.147.255	PL
194.187.148.0	194.187.155.255	UA
194.187.156.0	194.187.159.255	CH
194.187.160.0	194.187.167.255	DE
194.187.168.0	194.187.171.255	PL
194.187.172.0	194.187.175.255	IT
194.187.176.0	194.187.179.255	AT
194.187.180.0	194.187.183.255	PL
194.187.184.0	194.187.187.255	DE
194.187.188.0	194.187.191.255	RO
194.187.192.0	194.187.195.255	FR
194.187.196.0	194.187.199.255	RU
194.187.200.0	194.187.203.255	PL
194.187.204.0	194.187.207.255	RU
194.187.208.0	194.187.211.255	UA
194.187.212.0	194.187.215.255	FI
194.187.216.0	194.187.219.255	UA
194.187.220.0	194.187.223.255	DE
194.187.224.0	194.187.227.255	FR
194.187.228.0	194.187.231.255	UA
194.187.232.0	194.187.235.255	GB
194.187.236.0	194.187.239.255	PL
194.187.240.0	194.187.243.255	DE
194.187.244.0	194.187.247.255	KZ
194.187.248.0	194.187.251.255	GB
194.187.252.0	194.187.255.255	IT
194.188.0.0	194.188.64.255	FI
194.188.65.0	194.188.67.255	AX
194.188.68.0	194.188.255.255	FI
194.189.0.0	194.189.255.255	GB
194.190.0.0	194.190.255.255	RU
194.191.0.0	194.191.255.255	CH
194.192.0.0	194.192.250.63	DK
194.192.250.64	194.192.250.127	CH
194.192.250.128	194.192.255.255	DK
194.193.0.0	194.193.255.255	GB
194.194.0.0	194.194.0.255	DE
194.194.1.0	194.194.16.255	GB
194.194.17.0	194.194.17.255	IE
194.194.18.0	194.194.18.255	DE
194.194.19.0	194.194.40.255	GB
194.194.41.0	194.194.41.255	AT
194.194.42.0	194.194.43.255	FR
194.194.44.0	194.194.53.255	DE
194.194.54.0	194.194.54.31	GB
194.194.54.32	194.194.54.63	DE
194.194.54.64	194.194.54.95	GB
194.194.54.96	194.194.54.127	ZA
194.194.54.128	194.194.55.255	GB
194.194.56.0	194.194.57.255	DE
194.194.58.0	194.194.58.255	IL
194.194.59.0	194.194.59.255	GB
194.194.60.0	194.194.60.255	AT
194.194.61.0	194.194.61.191	CH
194.194.61.192	194.194.61.223	EU
194.194.61.224	194.194.61.255	CH
194.194.62.0	194.194.63.255	GB
194.194.64.0	194.194.73.255	FR
194.194.74.0	194.194.75.255	GB
194.194.76.0	194.194.79.255	FR
194.194.80.0	194.194.93.255	DE
194.194.94.0	194.194.95.255	GB
194.194.96.0	194.194.119.255	DE
194.194.120.0	194.194.127.255	EU
194.194.128.0	194.194.131.255	DE
194.194.132.0	194.194.137.255	FR
194.194.138.0	194.194.138.255	GB
194.194.139.0	194.194.139.255	FR
194.194.140.0	194.194.143.255	AT
194.194.144.0	194.194.157.255	FR
194.194.158.0	194.194.158.191	RS
194.194.158.192	194.194.158.223	EU
194.194.158.224	194.194.158.239	FR
194.194.158.240	194.194.158.255	AT
194.194.159.0	194.194.175.255	FR
194.194.176.0	194.194.180.255	NL
194.194.181.0	194.194.181.255	GB
194.194.182.0	194.194.186.255	NL
194.194.187.0	194.194.189.255	GB
194.194.190.0	194.194.190.255	CH
194.194.191.0	194.194.191.255	DE
194.194.192.0	194.194.192.255	IT
194.194.193.0	194.194.193.255	AT
194.194.194.0	194.194.196.255	GB
194.194.197.0	194.194.197.255	DE
194.194.198.0	194.194.198.127	IT
194.194.198.128	194.194.198.255	DE
194.194.199.0	194.194.199.255	FR
194.194.200.0	194.194.202.255	ES
194.194.203.0	194.194.203.255	DE
194.194.204.0	194.194.205.255	ES
194.194.206.0	194.194.207.255	FR
194.194.208.0	194.194.208.255	BE
194.194.209.0	194.194.209.255	DE
194.194.210.0	194.194.215.255	GB
194.194.216.0	194.194.220.255	DK
194.194.221.0	194.194.221.255	NL
194.194.222.0	194.194.223.255	DK
194.194.224.0	194.194.225.255	AT
194.194.226.0	194.194.226.255	SE
194.194.227.0	194.194.227.255	NO
194.194.228.0	194.194.230.255	AT
194.194.231.0	194.194.231.255	NL
194.194.232.0	194.194.235.255	DK
194.194.236.0	194.194.237.255	DE
194.194.238.0	194.194.238.255	FR
194.194.239.0	194.194.239.127	EU
194.194.239.128	194.194.239.255	ZA
194.194.240.0	194.194.240.255	FI
194.194.241.0	194.194.242.255	GB
194.194.243.0	194.194.243.255	NO
194.194.244.0	194.194.244.255	GB
194.194.245.0	194.194.245.255	NO
194.194.246.0	194.194.247.255	IL
194.194.248.0	194.194.248.255	NO
194.194.249.0	194.194.249.255	AT
194.194.250.0	194.194.251.255	IL
194.194.252.0	194.194.253.255	CH
194.194.254.0	194.194.255.255	AT
194.195.0.0	194.195.246.127	DE
194.195.246.128	194.195.246.159	GB
194.195.246.160	194.195.255.255	DE
194.196.0.0	194.196.1.255	GB
194.196.2.0	194.196.2.255	FR
194.196.3.0	194.196.3.255	BE
194.196.4.0	194.196.4.255	NL
194.196.5.0	194.196.5.255	BE
194.196.6.0	194.196.6.255	ES
194.196.7.0	194.196.7.255	RU
194.196.8.0	194.196.8.159	DE
194.196.8.160	194.196.8.191	EU
194.196.8.192	194.196.9.79	DE
194.196.9.80	194.196.9.95	EU
194.196.9.96	194.196.9.159	DE
194.196.9.160	194.196.9.167	EU
194.196.9.168	194.196.9.255	DE
194.196.10.0	194.196.10.255	EU
194.196.11.0	194.196.11.31	DE
194.196.11.32	194.196.11.95	EU
194.196.11.96	194.196.11.255	DE
194.196.12.0	194.196.12.255	IT
194.196.13.0	194.196.13.255	EU
194.196.14.0	194.196.14.255	IT
194.196.15.0	194.196.15.255	HU
194.196.16.0	194.196.16.255	CZ
194.196.17.0	194.196.17.255	DK
194.196.18.0	194.196.18.191	BE
194.196.18.192	194.196.18.239	EU
194.196.18.240	194.196.18.255	BE
194.196.19.0	194.196.19.255	GR
194.196.20.0	194.196.21.255	GB
194.196.22.0	194.196.22.255	SK
194.196.23.0	194.196.23.15	IT
194.196.23.16	194.196.23.31	EU
194.196.23.32	194.196.23.95	FR
194.196.23.96	194.196.23.111	EU
194.196.23.112	194.196.23.207	IT
194.196.23.208	194.196.23.223	GB
194.196.23.224	194.196.23.239	EU
194.196.23.240	194.196.23.255	IT
194.196.24.0	194.196.25.255	GB
194.196.26.0	194.196.27.255	DE
194.196.28.0	194.196.28.255	EU
194.196.29.0	194.196.29.127	BE
194.196.29.128	194.196.29.255	EU
194.196.30.0	194.196.30.255	IT
194.196.31.0	194.196.31.255	BE
194.196.32.0	194.196.34.15	NO
194.196.34.16	194.196.34.63	EU
194.196.34.64	194.196.34.191	NO
194.196.34.192	194.196.35.255	EU
194.196.36.0	194.196.36.255	GB
194.196.37.0	194.196.37.127	EU
194.196.37.128	194.196.37.255	GB
194.196.38.0	194.196.38.255	EU
194.196.39.0	194.196.41.255	GB
194.196.42.0	194.196.42.255	EU
194.196.43.0	194.196.43.255	BE
194.196.44.0	194.196.45.255	EU
194.196.46.0	194.196.46.47	ZA
194.196.46.48	194.196.46.63	EU
194.196.46.64	194.196.46.79	ZA
194.196.46.80	194.196.46.95	EU
194.196.46.96	194.196.46.255	ZA
194.196.47.0	194.196.47.255	AT
194.196.48.0	194.196.48.255	EU
194.196.49.0	194.196.49.191	IT
194.196.49.192	194.196.49.255	EU
194.196.50.0	194.196.50.63	ES
194.196.50.64	194.196.50.255	EU
194.196.51.0	194.196.51.255	ES
194.196.52.0	194.196.52.255	BE
194.196.53.0	194.196.53.255	DK
194.196.54.0	194.196.55.255	CZ
194.196.56.0	194.196.56.255	NL
194.196.57.0	194.196.57.255	GB
194.196.58.0	194.196.58.255	CH
194.196.59.0	194.196.59.255	GB
194.196.60.0	194.196.60.255	CH
194.196.61.0	194.196.61.255	IT
194.196.62.0	194.196.62.255	GR
194.196.63.0	194.196.63.255	EU
194.196.64.0	194.196.64.255	IE
194.196.65.0	194.196.65.255	EU
194.196.66.0	194.196.66.255	GB
194.196.67.0	194.196.67.255	SE
194.196.68.0	194.196.68.255	GB
194.196.69.0	194.196.69.255	NO
194.196.70.0	194.196.70.255	SI
194.196.71.0	194.196.71.255	BE
194.196.72.0	194.196.72.15	RU
194.196.72.16	194.196.72.31	EU
194.196.72.32	194.196.72.47	RU
194.196.72.48	194.196.72.63	EU
194.196.72.64	194.196.72.95	RU
194.196.72.96	194.196.72.127	EU
194.196.72.128	194.196.72.255	RU
194.196.73.0	194.196.73.255	GB
194.196.74.0	194.196.74.255	EU
194.196.75.0	194.196.75.255	BE
194.196.76.0	194.196.76.255	DE
194.196.77.0	194.196.77.255	SI
194.196.78.0	194.196.78.7	EU
194.196.78.8	194.196.78.31	BE
194.196.78.32	194.196.78.47	FR
194.196.78.48	194.196.78.55	GB
194.196.78.56	194.196.78.127	BE
194.196.78.128	194.196.78.255	GB
194.196.79.0	194.196.79.255	EU
194.196.80.0	194.196.80.255	GB
194.196.81.0	194.196.81.255	DE
194.196.82.0	194.196.82.255	DK
194.196.83.0	194.196.87.255	EU
194.196.88.0	194.196.88.255	GB
194.196.89.0	194.196.89.255	SI
194.196.90.0	194.196.90.255	DE
194.196.91.0	194.196.91.175	EU
194.196.91.176	194.196.91.191	BE
194.196.91.192	194.196.91.223	FR
194.196.91.224	194.196.91.255	GB
194.196.92.0	194.196.92.255	DE
194.196.93.0	194.196.93.255	NL
194.196.94.0	194.196.94.255	RU
194.196.95.0	194.196.95.15	DE
194.196.95.16	194.196.95.31	EU
194.196.95.32	194.196.95.191	DE
194.196.95.192	194.196.96.255	EU
194.196.97.0	194.196.98.255	NL
194.196.99.0	194.196.99.15	EU
194.196.99.16	194.196.99.63	AT
194.196.99.64	194.196.99.159	EU
194.196.99.160	194.196.99.191	AT
194.196.99.192	194.196.99.223	EU
194.196.99.224	194.196.99.255	AT
194.196.100.0	194.196.101.255	GB
194.196.102.0	194.196.102.255	DE
194.196.103.0	194.196.103.255	EU
194.196.104.0	194.196.104.255	FR
194.196.105.0	194.196.105.255	EU
194.196.106.0	194.196.106.255	GB
194.196.107.0	194.196.107.255	EU
194.196.108.0	194.196.108.255	DE
194.196.109.0	194.196.109.255	PT
194.196.110.0	194.196.110.255	GB
194.196.111.0	194.196.112.255	EU
194.196.113.0	194.196.113.255	GB
194.196.114.0	194.196.116.255	EU
194.196.117.0	194.196.117.255	SK
194.196.118.0	194.196.119.255	GB
194.196.120.0	194.196.121.255	IT
194.196.122.0	194.196.122.255	DK
194.196.123.0	194.196.125.255	EU
194.196.126.0	194.196.126.255	HU
194.196.127.0	194.196.127.15	RO
194.196.127.16	194.196.127.31	EU
194.196.127.32	194.196.127.95	RO
194.196.127.96	194.196.127.191	EU
194.196.127.192	194.196.127.207	RO
194.196.127.208	194.196.128.255	EU
194.196.129.0	194.196.129.255	GB
194.196.130.0	194.196.130.255	IT
194.196.131.0	194.196.131.255	EU
194.196.132.0	194.196.133.255	CH
194.196.134.0	194.196.134.255	EU
194.196.135.0	194.196.135.255	IT
194.196.136.0	194.196.137.255	EU
194.196.138.0	194.196.138.255	CH
194.196.139.0	194.196.139.127	ES
194.196.139.128	194.196.141.255	EU
194.196.142.0	194.196.142.255	SK
194.196.143.0	194.196.143.111	GB
194.196.143.112	194.196.143.127	EU
194.196.143.128	194.196.143.255	GB
194.196.144.0	194.196.144.23	ES
194.196.144.24	194.196.144.31	EU
194.196.144.32	194.196.144.63	ES
194.196.144.64	194.196.144.199	EU
194.196.144.200	194.196.144.207	ES
194.196.144.208	194.196.144.223	EU
194.196.144.224	194.196.144.255	ES
194.196.145.0	194.196.147.255	EU
194.196.148.0	194.196.148.31	IE
194.196.148.32	194.196.148.39	EU
194.196.148.40	194.196.148.47	GB
194.196.148.48	194.196.148.103	IE
194.196.148.104	194.196.148.111	GB
194.196.148.112	194.196.148.143	IE
194.196.148.144	194.196.148.159	EU
194.196.148.160	194.196.148.223	IE
194.196.148.224	194.196.148.239	EU
194.196.148.240	194.196.148.255	IE
194.196.149.0	194.196.149.223	IT
194.196.149.224	194.196.149.255	EU
194.196.150.0	194.196.151.255	GB
194.196.152.0	194.196.152.255	DE
194.196.153.0	194.196.153.255	EU
194.196.154.0	194.196.154.255	GB
194.196.155.0	194.196.155.31	SK
194.196.155.32	194.196.155.159	EU
194.196.155.160	194.196.155.175	SK
194.196.155.176	194.196.155.191	EU
194.196.155.192	194.196.155.239	SK
194.196.155.240	194.196.155.247	EU
194.196.155.248	194.196.155.255	SK
194.196.156.0	194.196.159.255	EU
194.196.160.0	194.196.160.255	GB
194.196.161.0	194.196.161.15	EU
194.196.161.16	194.196.161.31	GR
194.196.161.32	194.196.161.79	EU
194.196.161.80	194.196.161.87	GR
194.196.161.88	194.196.161.95	EU
194.196.161.96	194.196.161.255	GR
194.196.162.0	194.196.162.15	GB
194.196.162.16	194.196.162.31	EU
194.196.162.32	194.196.162.47	GB
194.196.162.48	194.196.162.63	EU
194.196.162.64	194.196.162.111	GB
194.196.162.112	194.196.162.143	EU
194.196.162.144	194.196.164.7	GB
194.196.164.8	194.196.164.15	EU
194.196.164.16	194.196.164.255	GB
194.196.165.0	194.196.165.255	NL
194.196.166.0	194.196.167.255	GB
194.196.168.0	194.196.175.255	EU
194.196.176.0	194.196.181.255	ZA
194.196.182.0	194.196.182.127	DE
194.196.182.128	194.196.182.159	EU
194.196.182.160	194.196.182.255	DE
194.196.183.0	194.196.183.255	NO
194.196.184.0	194.196.184.159	DE
194.196.184.160	194.196.184.191	EU
194.196.184.192	194.196.184.255	DE
194.196.185.0	194.196.185.255	EU
194.196.186.0	194.196.186.255	AT
194.196.187.0	194.196.187.15	FR
194.196.187.16	194.196.187.23	EU
194.196.187.24	194.196.187.95	FR
194.196.187.96	194.196.187.111	EU
194.196.187.112	194.196.187.167	FR
194.196.187.168	194.196.187.175	EU
194.196.187.176	194.196.187.183	FR
194.196.187.184	194.196.187.191	EU
194.196.187.192	194.196.187.255	FR
194.196.188.0	194.196.189.95	DE
194.196.189.96	194.196.189.127	EU
194.196.189.128	194.196.189.135	DE
194.196.189.136	194.196.189.143	EU
194.196.189.144	194.196.189.159	DE
194.196.189.160	194.196.189.255	EU
194.196.190.0	194.196.190.159	DE
194.196.190.160	194.196.190.207	EU
194.196.190.208	194.196.190.255	DE
194.196.191.0	194.196.191.255	EU
194.196.192.0	194.196.192.15	NL
194.196.192.16	194.196.192.47	GB
194.196.192.48	194.196.192.95	BE
194.196.192.96	194.196.192.127	GB
194.196.192.128	194.196.192.191	BE
194.196.192.192	194.196.192.223	EU
194.196.192.224	194.196.192.255	GB
194.196.193.0	194.196.194.255	BE
194.196.195.0	194.196.195.255	EU
194.196.196.0	194.196.196.255	AT
194.196.197.0	194.196.197.227	CH
194.196.197.228	194.196.197.231	EU
194.196.197.232	194.196.197.239	CH
194.196.197.240	194.196.197.255	EU
194.196.198.0	194.196.198.127	CY
194.196.198.128	194.196.198.255	CH
194.196.199.0	194.196.199.255	EU
194.196.200.0	194.196.200.255	GB
194.196.201.0	194.196.201.255	EU
194.196.202.0	194.196.202.7	HU
194.196.202.8	194.196.202.15	EU
194.196.202.16	194.196.202.39	HU
194.196.202.40	194.196.202.63	EU
194.196.202.64	194.196.202.95	HU
194.196.202.96	194.196.202.111	EU
194.196.202.112	194.196.202.127	HU
194.196.202.128	194.196.202.191	EU
194.196.202.192	194.196.202.207	HU
194.196.202.208	194.196.202.255	EU
194.196.203.0	194.196.204.183	GB
194.196.204.184	194.196.204.191	EU
194.196.204.192	194.196.205.255	GB
194.196.206.0	194.196.207.255	EU
194.196.208.0	194.196.209.255	FR
194.196.210.0	194.196.210.255	EU
194.196.211.0	194.196.211.255	NL
194.196.212.0	194.196.212.255	EU
194.196.213.0	194.196.213.255	BE
194.196.214.0	194.196.214.255	EU
194.196.215.0	194.196.215.255	CZ
194.196.216.0	194.196.217.255	SK
194.196.218.0	194.196.219.255	EU
194.196.220.0	194.196.220.39	FR
194.196.220.40	194.196.220.47	EU
194.196.220.48	194.196.220.223	FR
194.196.220.224	194.196.220.231	EU
194.196.220.232	194.196.220.255	FR
194.196.221.0	194.196.221.255	EU
194.196.222.0	194.196.222.95	FR
194.196.222.96	194.196.222.111	EU
194.196.222.112	194.196.222.183	FR
194.196.222.184	194.196.222.223	EU
194.196.222.224	194.196.222.255	FR
194.196.223.0	194.196.223.255	EU
194.196.224.0	194.196.224.255	BE
194.196.225.0	194.196.228.7	EU
194.196.228.8	194.196.228.31	PL
194.196.228.32	194.196.228.63	EU
194.196.228.64	194.196.228.143	PL
194.196.228.144	194.196.228.191	EU
194.196.228.192	194.196.228.199	PL
194.196.228.200	194.196.228.207	EU
194.196.228.208	194.196.228.223	PL
194.196.228.224	194.196.228.239	EU
194.196.228.240	194.196.228.247	PL
194.196.228.248	194.196.232.31	EU
194.196.232.32	194.196.232.47	GB
194.196.232.48	194.196.232.55	EU
194.196.232.56	194.196.233.175	GB
194.196.233.176	194.196.233.183	EU
194.196.233.184	194.196.234.255	GB
194.196.235.0	194.196.235.255	DE
194.196.236.0	194.196.237.255	NL
194.196.238.0	194.196.239.255	GB
194.196.240.0	194.196.245.255	EU
194.196.246.0	194.196.246.255	IE
194.196.247.0	194.196.248.255	DE
194.196.249.0	194.196.249.255	SE
194.196.250.0	194.196.250.255	EU
194.196.251.0	194.196.251.31	CZ
194.196.251.32	194.196.251.111	EU
194.196.251.112	194.196.251.255	CZ
194.196.252.0	194.196.252.255	EU
194.196.253.0	194.196.253.255	GB
194.196.254.0	194.196.254.255	FR
194.196.255.0	194.196.255.31	EU
194.196.255.32	194.196.255.255	FR
194.197.0.0	194.197.3.255	FI
194.197.4.0	194.197.7.255	SE
194.197.8.0	194.197.83.255	FI
194.197.84.0	194.197.84.255	SE
194.197.85.0	194.197.151.159	FI
194.197.151.160	194.197.151.191	AX
194.197.151.192	194.197.198.255	FI
194.197.199.0	194.197.199.255	BE
194.197.200.0	194.197.200.63	FI
194.197.200.64	194.197.200.95	SE
194.197.200.96	194.197.200.159	FI
194.197.200.160	194.197.200.223	SE
194.197.200.224	194.197.207.255	FI
194.197.208.0	194.197.208.255	AX
194.197.209.0	194.197.209.255	DE
194.197.210.0	194.197.210.255	BE
194.197.211.0	194.197.215.79	FI
194.197.215.80	194.197.215.83	AX
194.197.215.84	194.197.217.255	FI
194.197.218.0	194.197.218.255	NL
194.197.219.0	194.197.255.255	FI
194.198.0.0	194.198.17.255	SE
194.198.18.0	194.198.19.255	NO
194.198.20.0	194.198.22.255	SE
194.198.23.0	194.198.23.255	NO
194.198.24.0	194.198.29.255	SE
194.198.30.0	194.198.30.255	NO
194.198.31.0	194.198.31.255	SE
194.198.32.0	194.198.32.255	NO
194.198.33.0	194.198.38.15	SE
194.198.38.16	194.198.38.31	NO
194.198.38.32	194.198.38.63	SE
194.198.38.64	194.198.38.95	NO
194.198.38.96	194.198.39.15	SE
194.198.39.16	194.198.39.31	NO
194.198.39.32	194.198.40.31	SE
194.198.40.32	194.198.40.47	NO
194.198.40.48	194.198.40.79	SE
194.198.40.80	194.198.40.95	NO
194.198.40.96	194.198.40.111	SE
194.198.40.112	194.198.40.143	NO
194.198.40.144	194.198.120.255	SE
194.198.121.0	194.198.121.255	NO
194.198.122.0	194.198.122.255	SE
194.198.123.0	194.198.123.255	NO
194.198.124.0	194.198.147.255	SE
194.198.148.0	194.198.148.255	DK
194.198.149.0	194.198.255.255	SE
194.199.0.0	194.199.255.255	FR
194.200.0.0	194.201.252.255	GB
194.201.253.0	194.201.253.255	KE
194.201.254.0	194.203.255.255	GB
194.204.0.0	194.204.63.255	EE
194.204.64.0	194.204.95.255	CH
194.204.96.0	194.204.127.255	MT
194.204.128.0	194.204.191.255	PL
194.204.192.0	194.204.255.255	MA
194.205.0.0	194.205.3.31	EU
194.205.3.32	194.205.3.63	GB
194.205.3.64	194.205.3.95	EU
194.205.3.96	194.205.3.127	GB
194.205.3.128	194.205.3.159	EU
194.205.3.160	194.205.3.191	GB
194.205.3.192	194.205.3.255	EU
194.205.4.0	194.205.4.255	GB
194.205.5.0	194.205.12.255	EU
194.205.13.0	194.205.13.255	GB
194.205.14.0	194.205.19.159	EU
194.205.19.160	194.205.19.175	GB
194.205.19.176	194.205.25.255	EU
194.205.26.0	194.205.26.31	GB
194.205.26.32	194.205.26.63	EU
194.205.26.64	194.205.26.159	GB
194.205.26.160	194.205.26.255	EU
194.205.27.0	194.205.27.255	GB
194.205.28.0	194.205.31.255	EU
194.205.32.0	194.205.32.191	GB
194.205.32.192	194.205.32.223	EU
194.205.32.224	194.205.32.255	GB
194.205.33.0	194.205.38.255	EU
194.205.39.0	194.205.39.255	US
194.205.40.0	194.205.45.63	EU
194.205.45.64	194.205.46.79	GB
194.205.46.80	194.205.46.127	EU
194.205.46.128	194.205.46.255	GB
194.205.47.0	194.205.48.255	EU
194.205.49.0	194.205.49.63	GB
194.205.49.64	194.205.49.191	EU
194.205.49.192	194.205.50.31	GB
194.205.50.32	194.205.57.255	EU
194.205.58.0	194.205.58.255	GB
194.205.59.0	194.205.63.255	EU
194.205.64.0	194.205.64.31	GB
194.205.64.32	194.205.64.151	EU
194.205.64.152	194.205.64.191	GB
194.205.64.192	194.205.64.223	EU
194.205.64.224	194.205.64.255	GB
194.205.65.0	194.205.65.223	EU
194.205.65.224	194.205.65.255	GB
194.205.66.0	194.205.66.63	EU
194.205.66.64	194.205.66.127	GB
194.205.66.128	194.205.68.31	EU
194.205.68.32	194.205.68.51	GB
194.205.68.52	194.205.68.159	EU
194.205.68.160	194.205.68.175	GB
194.205.68.176	194.205.68.191	EU
194.205.68.192	194.205.68.223	GB
194.205.68.224	194.205.69.31	EU
194.205.69.32	194.205.69.127	GB
194.205.69.128	194.205.70.255	EU
194.205.71.0	194.205.71.127	GB
194.205.71.128	194.205.74.255	EU
194.205.75.0	194.205.75.63	GB
194.205.75.64	194.205.75.191	EU
194.205.75.192	194.205.75.255	GB
194.205.76.0	194.205.77.63	EU
194.205.77.64	194.205.77.127	GB
194.205.77.128	194.205.78.255	EU
194.205.79.0	194.205.79.255	GB
194.205.80.0	194.205.80.255	DE
194.205.81.0	194.205.81.255	GB
194.205.82.0	194.205.82.159	EU
194.205.82.160	194.205.82.255	GB
194.205.83.0	194.205.83.159	EU
194.205.83.160	194.205.83.175	GB
194.205.83.176	194.205.84.255	EU
194.205.85.0	194.205.85.63	GB
194.205.85.64	194.205.85.127	EU
194.205.85.128	194.205.85.255	GB
194.205.86.0	194.205.89.255	EU
194.205.90.0	194.205.90.23	GB
194.205.90.24	194.205.90.31	EU
194.205.90.32	194.205.90.63	GB
194.205.90.64	194.205.91.255	EU
194.205.92.0	194.205.92.23	GB
194.205.92.24	194.205.92.31	DE
194.205.92.32	194.205.92.127	GB
194.205.92.128	194.205.92.135	DE
194.205.92.136	194.205.92.199	GB
194.205.92.200	194.205.92.223	EU
194.205.92.224	194.205.92.255	GB
194.205.93.0	194.205.94.255	EU
194.205.95.0	194.205.95.255	GB
194.205.96.0	194.205.96.223	EU
194.205.96.224	194.205.98.255	GB
194.205.99.0	194.205.99.31	EU
194.205.99.32	194.205.99.63	GB
194.205.99.64	194.205.99.255	EU
194.205.100.0	194.205.100.15	GB
194.205.100.16	194.205.100.95	EU
194.205.100.96	194.205.100.103	GB
194.205.100.104	194.205.101.47	EU
194.205.101.48	194.205.101.55	GB
194.205.101.56	194.205.101.71	EU
194.205.101.72	194.205.101.95	GB
194.205.101.96	194.205.101.103	EU
194.205.101.104	194.205.101.111	GB
194.205.101.112	194.205.102.79	EU
194.205.102.80	194.205.102.95	GB
194.205.102.96	194.205.102.111	EU
194.205.102.112	194.205.102.127	GB
194.205.102.128	194.205.104.135	EU
194.205.104.136	194.205.104.143	GB
194.205.104.144	194.205.104.231	EU
194.205.104.232	194.205.104.247	GB
194.205.104.248	194.205.108.63	EU
194.205.108.64	194.205.108.91	GB
194.205.108.92	194.205.109.191	EU
194.205.109.192	194.205.110.127	GB
194.205.110.128	194.205.111.127	EU
194.205.111.128	194.205.111.191	GB
194.205.111.192	194.205.113.31	EU
194.205.113.32	194.205.113.63	GB
194.205.113.64	194.205.113.255	EU
194.205.114.0	194.205.114.63	GB
194.205.114.64	194.205.117.39	EU
194.205.117.40	194.205.117.47	GB
194.205.117.48	194.205.117.55	EU
194.205.117.56	194.205.117.63	GB
194.205.117.64	194.205.119.255	EU
194.205.120.0	194.205.120.255	GB
194.205.121.0	194.205.122.255	EU
194.205.123.0	194.205.124.255	GB
194.205.125.0	194.205.125.7	EU
194.205.125.8	194.205.125.23	GB
194.205.125.24	194.205.125.191	EU
194.205.125.192	194.205.125.207	GB
194.205.125.208	194.205.130.255	EU
194.205.131.0	194.205.131.127	GB
194.205.131.128	194.205.131.191	EU
194.205.131.192	194.205.131.223	GB
194.205.131.224	194.205.132.255	EU
194.205.133.0	194.205.133.127	GB
194.205.133.128	194.205.135.255	EU
194.205.136.0	194.205.142.175	GB
194.205.142.176	194.205.142.191	IE
194.205.142.192	194.205.143.191	GB
194.205.143.192	194.205.143.223	DE
194.205.143.224	194.205.143.239	CH
194.205.143.240	194.205.143.255	GB
194.205.144.0	194.205.154.255	EU
194.205.155.0	194.205.155.79	GB
194.205.155.80	194.205.155.127	EU
194.205.155.128	194.205.155.143	GB
194.205.155.144	194.205.155.159	EU
194.205.155.160	194.205.155.175	GB
194.205.155.176	194.205.156.175	EU
194.205.156.176	194.205.156.183	GB
194.205.156.184	194.205.160.79	EU
194.205.160.80	194.205.160.119	GB
194.205.160.120	194.205.160.127	EU
194.205.160.128	194.205.160.143	GB
194.205.160.144	194.205.160.151	EU
194.205.160.152	194.205.160.175	GB
194.205.160.176	194.205.160.207	EU
194.205.160.208	194.205.160.239	GB
194.205.160.240	194.205.164.127	EU
194.205.164.128	194.205.164.191	GB
194.205.164.192	194.205.164.255	EU
194.205.165.0	194.205.165.31	GB
194.205.165.32	194.205.165.63	EU
194.205.165.64	194.205.165.95	GB
194.205.165.96	194.205.165.239	EU
194.205.165.240	194.205.165.247	GB
194.205.165.248	194.205.166.135	EU
194.205.166.136	194.205.166.139	GB
194.205.166.140	194.205.166.151	EU
194.205.166.152	194.205.166.159	IT
194.205.166.160	194.205.166.175	EU
194.205.166.176	194.205.166.191	GB
194.205.166.192	194.205.166.207	EU
194.205.166.208	194.205.166.247	GB
194.205.166.248	194.205.170.255	EU
194.205.171.0	194.205.171.63	GB
194.205.171.64	194.205.171.127	EU
194.205.171.128	194.205.171.191	GB
194.205.171.192	194.205.173.191	EU
194.205.173.192	194.205.173.255	GB
194.205.174.0	194.205.174.191	EU
194.205.174.192	194.205.174.199	GB
194.205.174.200	194.205.174.215	EU
194.205.174.216	194.205.174.223	GB
194.205.174.224	194.205.174.231	EU
194.205.174.232	194.205.174.247	GB
194.205.174.248	194.205.175.223	EU
194.205.175.224	194.205.175.239	GB
194.205.175.240	194.205.175.247	EU
194.205.175.248	194.205.176.255	GB
194.205.177.0	194.205.177.255	EU
194.205.178.0	194.205.178.31	GB
194.205.178.32	194.205.178.63	EU
194.205.178.64	194.205.178.95	GB
194.205.178.96	194.205.178.159	EU
194.205.178.160	194.205.178.255	GB
194.205.179.0	194.205.179.31	EU
194.205.179.32	194.205.179.39	GB
194.205.179.40	194.205.179.47	EU
194.205.179.48	194.205.179.63	GB
194.205.179.64	194.205.184.47	EU
194.205.184.48	194.205.184.63	GB
194.205.184.64	194.205.187.111	EU
194.205.187.112	194.205.187.127	GB
194.205.187.128	194.205.187.223	EU
194.205.187.224	194.205.187.231	GB
194.205.187.232	194.205.189.63	EU
194.205.189.64	194.205.189.95	GB
194.205.189.96	194.205.191.95	EU
194.205.191.96	194.205.191.103	GB
194.205.191.104	194.205.195.31	EU
194.205.195.32	194.205.195.63	GB
194.205.195.64	194.205.197.199	EU
194.205.197.200	194.205.197.215	GB
194.205.197.216	194.205.199.255	EU
194.205.200.0	194.205.201.255	GB
194.205.202.0	194.205.203.231	EU
194.205.203.232	194.205.203.239	GB
194.205.203.240	194.205.206.15	EU
194.205.206.16	194.205.206.31	GB
194.205.206.32	194.205.206.63	EU
194.205.206.64	194.205.206.79	GB
194.205.206.80	194.205.206.95	EU
194.205.206.96	194.205.206.127	GB
194.205.206.128	194.205.206.223	EU
194.205.206.224	194.205.206.255	GB
194.205.207.0	194.205.207.175	EU
194.205.207.176	194.205.207.183	GB
194.205.207.184	194.205.209.255	EU
194.205.210.0	194.205.210.255	GB
194.205.211.0	194.205.217.15	EU
194.205.217.16	194.205.217.31	GB
194.205.217.32	194.205.217.159	EU
194.205.217.160	194.205.217.175	GB
194.205.217.176	194.205.218.255	EU
194.205.219.0	194.205.220.255	GB
194.205.221.0	194.205.223.39	EU
194.205.223.40	194.205.223.47	GB
194.205.223.48	194.205.223.55	EU
194.205.223.56	194.205.223.63	GB
194.205.223.64	194.205.226.63	EU
194.205.226.64	194.205.226.71	GB
194.205.226.72	194.205.226.87	EU
194.205.226.88	194.205.226.103	GB
194.205.226.104	194.205.227.127	EU
194.205.227.128	194.205.227.255	GB
194.205.228.0	194.205.231.191	EU
194.205.231.192	194.205.231.255	GB
194.205.232.0	194.205.233.23	EU
194.205.233.24	194.205.233.27	GB
194.205.233.28	194.205.233.95	EU
194.205.233.96	194.205.233.111	GB
194.205.233.112	194.205.233.127	EU
194.205.233.128	194.205.233.159	GB
194.205.233.160	194.205.239.15	EU
194.205.239.16	194.205.239.31	GB
194.205.239.32	194.205.241.159	EU
194.205.241.160	194.205.241.175	GB
194.205.241.176	194.205.241.191	EU
194.205.241.192	194.205.241.207	GB
194.205.241.208	194.205.242.31	EU
194.205.242.32	194.205.242.63	GB
194.205.242.64	194.205.242.127	EU
194.205.242.128	194.205.242.159	GB
194.205.242.160	194.205.243.63	EU
194.205.243.64	194.205.243.127	GB
194.205.243.128	194.205.245.255	EU
194.205.246.0	194.205.246.255	GB
194.205.247.0	194.205.248.191	EU
194.205.248.192	194.205.248.223	GB
194.205.248.224	194.205.254.255	EU
194.205.255.0	194.205.255.255	GB
194.206.0.0	194.206.215.255	FR
194.206.216.0	194.206.216.255	CH
194.206.217.0	194.206.255.255	FR
194.207.0.0	194.207.255.255	GB
194.208.0.0	194.208.52.255	AT
194.208.53.0	194.208.55.255	CH
194.208.56.0	194.208.56.255	LI
194.208.57.0	194.208.58.255	AT
194.208.59.0	194.208.64.255	CH
194.208.65.0	194.208.65.255	AT
194.208.66.0	194.208.66.255	CH
194.208.67.0	194.208.68.255	AT
194.208.69.0	194.208.69.255	CH
194.208.70.0	194.208.70.255	AT
194.208.71.0	194.208.72.255	CH
194.208.73.0	194.208.75.255	AT
194.208.76.0	194.208.76.255	LI
194.208.77.0	194.208.255.255	AT
194.209.0.0	194.209.255.255	CH
194.210.0.0	194.210.255.255	PT
194.211.0.0	194.211.255.255	FI
194.212.0.0	194.212.118.55	CZ
194.212.118.56	194.212.118.63	CR
194.212.118.64	194.212.213.223	CZ
194.212.213.224	194.212.213.235	CR
194.212.213.236	194.212.255.255	CZ
194.213.0.0	194.213.0.255	DE
194.213.1.0	194.213.1.255	PL
194.213.2.0	194.213.2.255	DE
194.213.3.0	194.213.3.255	CH
194.213.4.0	194.213.4.255	IL
194.213.5.0	194.213.5.255	DE
194.213.6.0	194.213.6.255	UA
194.213.7.0	194.213.7.255	CH
194.213.8.0	194.213.8.255	FR
194.213.9.0	194.213.10.255	LV
194.213.11.0	194.213.11.255	AT
194.213.12.0	194.213.12.255	RU
194.213.13.0	194.213.13.255	CZ
194.213.14.0	194.213.14.255	BE
194.213.15.0	194.213.15.255	NL
194.213.16.0	194.213.16.255	RO
194.213.17.0	194.213.17.255	PL
194.213.18.0	194.213.18.255	GR
194.213.19.0	194.213.19.255	ES
194.213.20.0	194.213.20.255	DE
194.213.21.0	194.213.21.255	RU
194.213.22.0	194.213.22.255	PL
194.213.23.0	194.213.23.255	UA
194.213.24.0	194.213.24.255	KZ
194.213.25.0	194.213.25.255	RU
194.213.26.0	194.213.26.255	PL
194.213.27.0	194.213.27.255	DE
194.213.28.0	194.213.28.255	GB
194.213.29.0	194.213.29.255	IE
194.213.30.0	194.213.30.255	FR
194.213.31.0	194.213.31.255	DE
194.213.32.0	194.213.63.255	CZ
194.213.64.0	194.213.95.255	SE
194.213.96.0	194.213.97.255	RU
194.213.98.0	194.213.99.255	DE
194.213.100.0	194.213.101.255	LV
194.213.102.0	194.213.103.255	RU
194.213.104.0	194.213.107.255	UA
194.213.108.0	194.213.109.255	IL
194.213.110.0	194.213.111.255	RU
194.213.112.0	194.213.113.255	NL
194.213.114.0	194.213.115.255	BE
194.213.116.0	194.213.117.255	RU
194.213.118.0	194.213.119.255	SE
194.213.120.0	194.213.121.255	UA
194.213.122.0	194.213.123.255	RU
194.213.124.0	194.213.125.255	FR
194.213.126.0	194.213.127.255	NL
194.213.128.0	194.213.191.255	NO
194.213.192.0	194.213.255.255	CZ
194.214.0.0	194.214.172.255	FR
194.214.173.0	194.214.173.255	A2
194.214.174.0	194.214.252.255	FR
194.214.253.0	194.214.255.255	PF
194.215.0.0	194.215.23.31	FI
194.215.23.32	194.215.23.95	SE
194.215.23.96	194.215.23.159	FI
194.215.23.160	194.215.23.191	SE
194.215.23.192	194.215.42.255	FI
194.215.43.0	194.215.43.255	SE
194.215.44.0	194.215.45.255	FI
194.215.46.0	194.215.46.255	SE
194.215.47.0	194.215.106.239	FI
194.215.106.240	194.215.106.255	AX
194.215.107.0	194.215.179.255	FI
194.215.180.0	194.215.180.255	GB
194.215.181.0	194.215.196.255	FI
194.215.197.0	194.215.197.255	SE
194.215.198.0	194.215.242.255	FI
194.215.243.0	194.215.243.255	RU
194.215.244.0	194.215.255.255	FI
194.216.0.0	194.217.219.255	GB
194.217.220.0	194.217.221.255	NL
194.217.222.0	194.217.255.255	GB
194.218.0.0	194.218.253.35	SE
194.218.253.36	194.218.253.39	NO
194.218.253.40	194.218.255.255	SE
194.219.0.0	194.219.255.255	GR
194.220.0.0	194.220.10.255	RU
194.220.11.0	194.220.11.255	UA
194.220.12.0	194.220.57.255	RU
194.220.58.0	194.220.59.255	UA
194.220.60.0	194.220.160.255	RU
194.220.161.0	194.220.161.255	UA
194.220.162.0	194.220.255.255	RU
194.221.0.0	194.221.4.255	EU
194.221.5.0	194.221.5.255	DE
194.221.6.0	194.221.9.191	EU
194.221.9.192	194.221.9.255	DE
194.221.10.0	194.221.10.255	GB
194.221.11.0	194.221.12.255	EU
194.221.13.0	194.221.13.255	DE
194.221.14.0	194.221.15.255	GB
194.221.16.0	194.221.35.255	EU
194.221.36.0	194.221.36.7	DE
194.221.36.8	194.221.36.127	EU
194.221.36.128	194.221.36.255	DE
194.221.37.0	194.221.37.15	GB
194.221.37.16	194.221.37.31	NL
194.221.37.32	194.221.37.55	GB
194.221.37.56	194.221.37.63	EU
194.221.37.64	194.221.37.255	NL
194.221.38.0	194.221.38.255	DE
194.221.39.0	194.221.39.255	EU
194.221.40.0	194.221.40.255	GB
194.221.41.0	194.221.47.255	DE
194.221.48.0	194.221.48.255	EU
194.221.49.0	194.221.49.255	DE
194.221.50.0	194.221.50.255	GB
194.221.51.0	194.221.53.255	EU
194.221.54.0	194.221.55.255	FR
194.221.56.0	194.221.56.63	GB
194.221.56.64	194.221.59.255	NL
194.221.60.0	194.221.61.255	EU
194.221.62.0	194.221.62.255	NL
194.221.63.0	194.221.63.183	EU
194.221.63.184	194.221.63.191	CH
194.221.63.192	194.221.63.255	EU
194.221.64.0	194.221.64.255	GB
194.221.65.0	194.221.67.255	NL
194.221.68.0	194.221.68.255	GB
194.221.69.0	194.221.69.255	DE
194.221.70.0	194.221.72.255	EU
194.221.73.0	194.221.73.255	DE
194.221.74.0	194.221.74.255	GB
194.221.75.0	194.221.75.255	FR
194.221.76.0	194.221.77.255	EU
194.221.78.0	194.221.78.255	DE
194.221.79.0	194.221.80.31	EU
194.221.80.32	194.221.80.63	DE
194.221.80.64	194.221.80.255	EU
194.221.81.0	194.221.81.255	GB
194.221.82.0	194.221.83.255	EU
194.221.84.0	194.221.84.191	FR
194.221.84.192	194.221.84.223	EU
194.221.84.224	194.221.85.15	DE
194.221.85.16	194.221.85.31	EU
194.221.85.32	194.221.85.95	DE
194.221.85.96	194.221.85.191	EU
194.221.85.192	194.221.85.207	DE
194.221.85.208	194.221.85.223	FR
194.221.85.224	194.221.86.255	EU
194.221.87.0	194.221.87.255	DE
194.221.88.0	194.221.89.255	EU
194.221.90.0	194.221.90.63	DE
194.221.90.64	194.221.98.239	EU
194.221.98.240	194.221.99.255	DE
194.221.100.0	194.221.106.63	EU
194.221.106.64	194.221.106.79	DE
194.221.106.80	194.221.106.95	EU
194.221.106.96	194.221.106.191	DE
194.221.106.192	194.221.106.239	EU
194.221.106.240	194.221.106.247	DE
194.221.106.248	194.221.108.255	EU
194.221.109.0	194.221.109.255	DE
194.221.110.0	194.221.110.39	GB
194.221.110.40	194.221.110.63	EU
194.221.110.64	194.221.110.127	GB
194.221.110.128	194.221.110.255	EU
194.221.111.0	194.221.112.255	ES
194.221.113.0	194.221.116.63	EU
194.221.116.64	194.221.116.95	DE
194.221.116.96	194.221.116.151	EU
194.221.116.152	194.221.116.159	DE
194.221.116.160	194.221.116.191	EU
194.221.116.192	194.221.116.223	DE
194.221.116.224	194.221.117.63	EU
194.221.117.64	194.221.117.79	DE
194.221.117.80	194.221.119.31	EU
194.221.119.32	194.221.119.63	DE
194.221.119.64	194.221.119.95	EU
194.221.119.96	194.221.119.127	DE
194.221.119.128	194.221.128.103	EU
194.221.128.104	194.221.128.107	DE
194.221.128.108	194.221.128.239	EU
194.221.128.240	194.221.128.247	DE
194.221.128.248	194.221.131.255	EU
194.221.132.0	194.221.133.255	GB
194.221.134.0	194.221.137.231	EU
194.221.137.232	194.221.137.239	DE
194.221.137.240	194.221.154.255	EU
194.221.155.0	194.221.155.255	DE
194.221.156.0	194.221.156.127	GB
194.221.156.128	194.221.156.255	EU
194.221.157.0	194.221.157.127	DE
194.221.157.128	194.221.163.255	EU
194.221.164.0	194.221.164.7	DE
194.221.164.8	194.221.165.255	EU
194.221.166.0	194.221.169.255	DE
194.221.170.0	194.221.172.255	EU
194.221.173.0	194.221.173.255	DE
194.221.174.0	194.221.184.191	EU
194.221.184.192	194.221.184.207	DE
194.221.184.208	194.221.185.255	EU
194.221.186.0	194.221.186.255	DE
194.221.187.0	194.221.189.127	EU
194.221.189.128	194.221.189.255	DE
194.221.190.0	194.221.196.255	EU
194.221.197.0	194.221.198.127	DE
194.221.198.128	194.221.198.143	EU
194.221.198.144	194.221.198.151	DE
194.221.198.152	194.221.203.255	EU
194.221.204.0	194.221.204.7	DE
194.221.204.8	194.221.211.255	EU
194.221.212.0	194.221.212.31	GB
194.221.212.32	194.221.212.39	IE
194.221.212.40	194.221.212.255	GB
194.221.213.0	194.221.214.255	DE
194.221.215.0	194.221.215.255	GB
194.221.216.0	194.221.217.71	DE
194.221.217.72	194.221.217.95	EU
194.221.217.96	194.221.217.135	DE
194.221.217.136	194.221.217.143	EU
194.221.217.144	194.221.217.159	DE
194.221.217.160	194.221.217.223	EU
194.221.217.224	194.221.222.255	DE
194.221.223.0	194.221.223.255	EU
194.221.224.0	194.221.227.255	GB
194.221.228.0	194.221.229.255	EU
194.221.230.0	194.221.230.255	DE
194.221.231.0	194.221.231.183	EU
194.221.231.184	194.221.231.187	DE
194.221.231.188	194.221.231.255	EU
194.221.232.0	194.221.233.255	DE
194.221.234.0	194.221.247.255	EU
194.221.248.0	194.221.248.7	DE
194.221.248.8	194.221.248.111	EU
194.221.248.112	194.221.248.123	DE
194.221.248.124	194.221.248.143	EU
194.221.248.144	194.221.248.151	DE
194.221.248.152	194.221.248.175	EU
194.221.248.176	194.221.248.191	DE
194.221.248.192	194.221.248.207	EU
194.221.248.208	194.221.248.255	DE
194.221.249.0	194.221.251.143	EU
194.221.251.144	194.221.251.151	DE
194.221.251.152	194.221.251.247	EU
194.221.251.248	194.221.253.255	DE
194.221.254.0	194.221.255.255	EU
194.222.0.0	194.223.255.255	GB
194.224.0.0	194.224.255.255	ES
194.225.0.0	194.225.119.255	IR
194.225.120.0	194.225.120.255	AE
194.225.121.0	194.225.255.255	IR
194.226.0.0	194.226.119.255	RU
194.226.120.0	194.226.126.255	BY
194.226.127.0	194.226.255.255	RU
194.227.0.0	194.227.255.255	GB
194.228.0.0	194.228.112.15	CZ
194.228.112.16	194.228.112.31	CR
194.228.112.32	194.228.255.255	CZ
194.229.0.0	194.229.255.255	NL
194.230.0.0	194.230.255.255	CH
194.231.0.0	194.231.67.191	DE
194.231.67.192	194.231.67.207	NL
194.231.67.208	194.231.255.255	DE
194.232.0.0	194.232.255.255	AT
194.233.0.0	194.233.48.111	DE
194.233.48.112	194.233.48.115	ES
194.233.48.116	194.233.111.183	DE
194.233.111.184	194.233.111.187	ES
194.233.111.188	194.233.255.255	DE
194.234.0.0	194.234.8.127	EU
194.234.8.128	194.234.8.255	DK
194.234.9.0	194.234.26.255	EU
194.234.27.0	194.234.27.255	DK
194.234.28.0	194.234.32.195	EU
194.234.32.196	194.234.32.199	DK
194.234.32.200	194.234.32.255	EU
194.234.33.0	194.234.33.255	DK
194.234.34.0	194.234.35.255	EU
194.234.36.0	194.234.36.255	DK
194.234.37.0	194.234.37.255	EU
194.234.38.0	194.234.39.255	DK
194.234.40.0	194.234.41.255	EU
194.234.42.0	194.234.42.255	DK
194.234.43.0	194.234.44.31	EU
194.234.44.32	194.234.44.63	DK
194.234.44.64	194.234.64.255	EU
194.234.65.0	194.234.65.255	NO
194.234.66.0	194.234.68.255	EU
194.234.69.0	194.234.69.31	NO
194.234.69.32	194.234.84.95	EU
194.234.84.96	194.234.84.127	NO
194.234.84.128	194.234.84.159	EU
194.234.84.160	194.234.84.223	NO
194.234.84.224	194.234.99.255	EU
194.234.100.0	194.234.101.255	NO
194.234.102.0	194.234.104.255	EU
194.234.105.0	194.234.105.255	NO
194.234.106.0	194.234.111.255	EU
194.234.112.0	194.234.114.255	NO
194.234.115.0	194.234.122.255	EU
194.234.123.0	194.234.124.255	NO
194.234.125.0	194.234.125.255	EU
194.234.126.0	194.234.127.255	NO
194.234.128.0	194.234.140.255	FI
194.234.141.0	194.234.142.255	EU
194.234.143.0	194.234.153.31	FI
194.234.153.32	194.234.154.255	EU
194.234.155.0	194.234.157.255	FI
194.234.158.0	194.234.159.255	EU
194.234.160.0	194.234.161.255	DK
194.234.162.0	194.234.172.255	EU
194.234.173.0	194.234.173.255	DK
194.234.174.0	194.234.193.255	EU
194.234.194.0	194.234.194.255	NO
194.234.195.0	194.234.199.255	EU
194.234.200.0	194.234.204.255	NO
194.234.205.0	194.234.209.255	EU
194.234.210.0	194.234.210.255	NO
194.234.211.0	194.234.213.255	EU
194.234.214.0	194.234.215.255	NO
194.234.216.0	194.234.231.255	EU
194.234.232.0	194.234.232.255	NO
194.234.233.0	194.234.235.255	EU
194.234.236.0	194.234.236.255	NO
194.234.237.0	194.235.0.255	EU
194.235.1.0	194.235.1.255	CH
194.235.2.0	194.235.2.255	EU
194.235.3.0	194.235.3.255	CH
194.235.4.0	194.235.4.255	EU
194.235.5.0	194.235.5.255	CH
194.235.6.0	194.235.6.255	EU
194.235.7.0	194.235.10.255	CH
194.235.11.0	194.235.31.255	EU
194.235.32.0	194.235.32.255	BE
194.235.33.0	194.235.35.255	EU
194.235.36.0	194.235.37.255	IT
194.235.38.0	194.235.39.255	CH
194.235.40.0	194.235.43.63	EU
194.235.43.64	194.235.43.175	CH
194.235.43.176	194.235.62.255	EU
194.235.63.0	194.235.63.255	CH
194.235.64.0	194.235.74.255	EU
194.235.75.0	194.235.75.255	NL
194.235.76.0	194.235.79.255	EU
194.235.80.0	194.235.80.255	NL
194.235.81.0	194.235.85.255	EU
194.235.86.0	194.235.86.255	NL
194.235.87.0	194.235.95.255	EU
194.235.96.0	194.235.96.255	NL
194.235.97.0	194.235.98.31	EU
194.235.98.32	194.235.98.47	ES
194.235.98.48	194.235.98.111	EU
194.235.98.112	194.235.98.127	ES
194.235.98.128	194.235.101.255	EU
194.235.102.0	194.235.102.255	ES
194.235.103.0	194.235.103.255	CH
194.235.104.0	194.235.104.255	EU
194.235.105.0	194.235.105.159	IT
194.235.105.160	194.235.105.255	EU
194.235.106.0	194.235.106.255	CH
194.235.107.0	194.235.107.255	LU
194.235.108.0	194.235.108.255	EU
194.235.109.0	194.235.109.255	RO
194.235.110.0	194.235.110.255	NL
194.235.111.0	194.235.122.255	EU
194.235.123.0	194.235.124.255	NL
194.235.125.0	194.235.125.255	EU
194.235.126.0	194.235.127.255	NL
194.235.128.0	194.235.128.255	EU
194.235.129.0	194.235.130.135	PT
194.235.130.136	194.235.130.143	US
194.235.130.144	194.235.130.159	PT
194.235.130.160	194.235.130.175	EU
194.235.130.176	194.235.135.15	PT
194.235.135.16	194.235.135.95	EU
194.235.135.96	194.235.136.255	PT
194.235.137.0	194.235.137.255	EU
194.235.138.0	194.235.138.159	PT
194.235.138.160	194.235.138.191	EU
194.235.138.192	194.235.139.255	PT
194.235.140.0	194.235.140.31	EU
194.235.140.32	194.235.140.47	IT
194.235.140.48	194.235.140.95	EU
194.235.140.96	194.235.140.111	IT
194.235.140.112	194.235.140.127	EU
194.235.140.128	194.235.140.175	IT
194.235.140.176	194.235.142.255	EU
194.235.143.0	194.235.143.255	CH
194.235.144.0	194.235.146.255	EU
194.235.147.0	194.235.147.255	CH
194.235.148.0	194.235.170.255	EU
194.235.171.0	194.235.171.255	CH
194.235.172.0	194.235.192.255	EU
194.235.193.0	194.235.194.255	LU
194.235.195.0	194.235.196.255	EU
194.235.197.0	194.235.198.95	LU
194.235.198.96	194.235.201.255	EU
194.235.202.0	194.235.202.255	LU
194.235.203.0	194.235.207.255	EU
194.235.208.0	194.235.208.255	LU
194.235.209.0	194.235.209.255	NL
194.235.210.0	194.235.211.255	EU
194.235.212.0	194.235.215.255	NL
194.235.216.0	194.235.223.255	EU
194.235.224.0	194.235.225.255	NL
194.235.226.0	194.235.226.255	EU
194.235.227.0	194.235.228.255	CH
194.235.229.0	194.235.237.255	EU
194.235.238.0	194.235.240.255	RO
194.235.241.0	194.235.243.255	EU
194.235.244.0	194.235.245.255	RO
194.235.246.0	194.235.246.255	EU
194.235.247.0	194.235.247.255	NL
194.235.248.0	194.235.249.255	CH
194.235.250.0	194.235.253.255	EU
194.235.254.0	194.235.254.255	RO
194.235.255.0	194.235.255.255	CH
194.236.0.0	194.236.6.15	SE
194.236.6.16	194.236.6.19	NO
194.236.6.20	194.237.226.127	SE
194.237.226.128	194.237.226.135	NO
194.237.226.136	194.237.255.255	SE
194.238.0.0	194.238.255.255	GB
194.239.0.0	194.239.255.255	DK
194.240.0.0	194.240.53.255	FI
194.240.54.0	194.240.54.255	AX
194.240.55.0	194.241.255.255	FI
194.242.0.0	194.242.1.255	PL
194.242.2.0	194.242.9.255	RU
194.242.10.0	194.242.11.255	NO
194.242.12.0	194.242.13.255	DE
194.242.14.0	194.242.15.255	RU
194.242.16.0	194.242.17.255	AT
194.242.18.0	194.242.19.255	NL
194.242.20.0	194.242.21.255	DE
194.242.22.0	194.242.23.255	PL
194.242.24.0	194.242.25.255	IL
194.242.26.0	194.242.31.255	RU
194.242.32.0	194.242.32.255	TR
194.242.33.0	194.242.33.255	RU
194.242.34.0	194.242.34.255	CH
194.242.35.0	194.242.35.255	AT
194.242.36.0	194.242.36.255	SI
194.242.37.0	194.242.37.255	AT
194.242.38.0	194.242.38.255	DK
194.242.39.0	194.242.39.255	PL
194.242.40.0	194.242.40.255	DK
194.242.41.0	194.242.41.255	AT
194.242.42.0	194.242.42.255	DK
194.242.43.0	194.242.45.255	FR
194.242.46.0	194.242.46.255	DE
194.242.47.0	194.242.47.255	FR
194.242.48.0	194.242.49.255	IT
194.242.50.0	194.242.50.255	DK
194.242.51.0	194.242.51.255	CH
194.242.52.0	194.242.52.255	PL
194.242.53.0	194.242.53.255	UA
194.242.54.0	194.242.54.255	NL
194.242.55.0	194.242.55.255	GB
194.242.56.0	194.242.56.255	ES
194.242.57.0	194.242.57.255	EU
194.242.58.0	194.242.58.255	BE
194.242.59.0	194.242.60.255	UA
194.242.61.0	194.242.61.255	IT
194.242.62.0	194.242.62.255	PL
194.242.63.0	194.242.63.255	CH
194.242.64.0	194.242.95.255	NL
194.242.96.0	194.242.103.255	UA
194.242.104.0	194.242.107.255	PL
194.242.108.0	194.242.111.255	SE
194.242.112.0	194.242.115.255	FR
194.242.116.0	194.242.119.255	UA
194.242.120.0	194.242.127.255	RU
194.242.128.0	194.242.159.255	GB
194.242.160.0	194.242.191.255	FR
194.242.192.0	194.244.5.111	IT
194.244.5.112	194.244.5.119	NL
194.244.5.120	194.244.41.159	IT
194.244.41.160	194.244.41.175	RO
194.244.41.176	194.244.146.63	IT
194.244.146.64	194.244.146.95	LU
194.244.146.96	194.244.255.255	IT
194.245.0.0	194.246.39.95	DE
194.246.39.96	194.246.39.127	PL
194.246.39.128	194.246.39.191	DE
194.246.39.192	194.246.39.223	PL
194.246.39.224	194.246.39.255	NL
194.246.40.0	194.246.95.255	DE
194.246.96.0	194.246.96.255	US
194.246.97.0	194.246.97.255	CH
194.246.98.0	194.246.98.255	PL
194.246.99.0	194.246.99.255	UA
194.246.100.0	194.246.100.255	CH
194.246.101.0	194.246.101.255	FR
194.246.102.0	194.246.102.255	HU
194.246.103.0	194.246.103.255	RO
194.246.104.0	194.246.105.255	UA
194.246.106.0	194.246.107.255	PL
194.246.108.0	194.246.109.255	GB
194.246.110.0	194.246.111.255	BG
194.246.112.0	194.246.115.255	RU
194.246.116.0	194.246.117.255	UA
194.246.118.0	194.246.119.255	CH
194.246.120.0	194.246.121.255	UA
194.246.122.0	194.246.123.255	DE
194.246.124.0	194.246.125.255	PL
194.246.126.0	194.246.127.255	IT
194.246.128.0	194.246.255.255	DE
194.247.0.0	194.247.3.255	PL
194.247.4.0	194.247.5.255	DE
194.247.6.0	194.247.7.255	SE
194.247.8.0	194.247.9.255	CH
194.247.10.0	194.247.11.255	AT
194.247.12.0	194.247.13.255	UA
194.247.14.0	194.247.15.255	RU
194.247.16.0	194.247.19.255	UA
194.247.20.0	194.247.25.255	RU
194.247.26.0	194.247.27.255	FR
194.247.28.0	194.247.29.255	IT
194.247.30.0	194.247.31.255	NL
194.247.64.0	194.247.95.255	GB
194.247.96.0	194.247.127.255	NL
194.247.128.0	194.247.159.255	RU
194.247.160.0	194.247.161.255	BE
194.247.162.0	194.247.163.255	SI
194.247.164.0	194.247.165.255	MD
194.247.166.0	194.247.167.255	IL
194.247.168.0	194.247.169.255	RU
194.247.170.0	194.247.171.255	GB
194.247.172.0	194.247.179.255	UA
194.247.180.0	194.247.181.255	FR
194.247.182.0	194.247.183.255	UA
194.247.184.0	194.247.185.255	RU
194.247.186.0	194.247.187.255	RO
194.247.188.0	194.247.189.255	DK
194.247.190.0	194.247.191.255	RU
194.247.192.0	194.247.214.255	RS
194.247.215.0	194.247.215.127	CY
194.247.215.128	194.247.223.63	RS
194.247.223.64	194.247.223.67	BA
194.247.223.68	194.247.223.255	RS
194.247.224.0	194.247.255.255	GB
194.248.0.0	194.248.255.255	NO
194.249.0.0	194.249.255.255	SI
194.250.0.0	194.250.143.255	FR
194.250.144.0	194.250.144.7	GB
194.250.144.8	194.250.255.255	FR
194.251.0.0	194.251.57.159	FI
194.251.57.160	194.251.57.191	AX
194.251.57.192	194.251.71.251	FI
194.251.71.252	194.251.71.255	AX
194.251.72.0	194.251.79.255	FI
194.251.80.0	194.251.80.255	SE
194.251.81.0	194.251.198.223	FI
194.251.198.224	194.251.198.255	RU
194.251.199.0	194.251.200.47	FI
194.251.200.48	194.251.200.63	SE
194.251.200.64	194.251.200.79	FI
194.251.200.80	194.251.200.95	SE
194.251.200.96	194.251.207.255	FI
194.251.208.0	194.251.215.255	AX
194.251.216.0	194.251.238.255	FI
194.251.239.0	194.251.239.255	BE
194.251.240.0	194.252.15.255	FI
194.252.16.0	194.252.16.127	AX
194.252.16.128	194.252.25.255	FI
194.252.26.0	194.252.27.255	AX
194.252.28.0	194.252.58.255	FI
194.252.59.0	194.252.59.255	DE
194.252.60.0	194.252.113.127	FI
194.252.113.128	194.252.113.159	AX
194.252.113.160	194.252.255.255	FI
194.253.0.0	194.253.11.79	GB
194.253.11.80	194.253.11.87	AT
194.253.11.88	194.253.11.95	GB
194.253.11.96	194.253.11.127	IT
194.253.11.128	194.253.11.143	GB
194.253.11.144	194.253.11.159	ZA
194.253.11.160	194.253.11.191	IT
194.253.11.192	194.253.11.223	EU
194.253.11.224	194.253.11.255	FR
194.253.12.0	194.253.20.255	GB
194.253.21.0	194.253.21.255	DE
194.253.22.0	194.253.22.255	GB
194.253.23.0	194.253.23.255	NL
194.253.24.0	194.253.41.255	GB
194.253.42.0	194.253.42.255	IE
194.253.43.0	194.253.43.159	ZA
194.253.43.160	194.253.43.191	DE
194.253.43.192	194.253.43.255	CH
194.253.44.0	194.253.44.255	GB
194.253.45.0	194.253.45.255	BE
194.253.46.0	194.253.47.255	FR
194.253.48.0	194.253.48.255	SE
194.253.49.0	194.253.49.255	BE
194.253.50.0	194.253.50.255	GB
194.253.51.0	194.253.51.255	FR
194.253.52.0	194.253.52.255	DE
194.253.53.0	194.253.53.255	BE
194.253.54.0	194.253.55.255	DE
194.253.56.0	194.253.57.255	GB
194.253.58.0	194.253.59.255	CH
194.253.60.0	194.253.61.255	BE
194.253.62.0	194.253.62.63	GB
194.253.62.64	194.253.62.79	FR
194.253.62.80	194.253.62.95	IT
194.253.62.96	194.253.62.127	FR
194.253.62.128	194.253.62.255	DE
194.253.63.0	194.253.63.255	AT
194.253.64.0	194.253.65.255	ES
194.253.66.0	194.253.67.255	NL
194.253.68.0	194.253.70.255	BE
194.253.71.0	194.253.71.255	SE
194.253.72.0	194.253.79.255	GB
194.253.80.0	194.253.80.255	BE
194.253.81.0	194.253.81.255	NO
194.253.82.0	194.253.82.255	SE
194.253.83.0	194.253.85.255	IT
194.253.86.0	194.253.87.255	IL
194.253.88.0	194.253.88.255	CH
194.253.89.0	194.253.89.255	BE
194.253.90.0	194.253.91.255	GB
194.253.92.0	194.253.92.255	CH
194.253.93.0	194.253.93.255	BE
194.253.94.0	194.253.94.255	GB
194.253.95.0	194.253.95.255	BE
194.253.96.0	194.253.96.71	DE
194.253.96.72	194.253.96.95	GB
194.253.96.96	194.253.96.127	ES
194.253.96.128	194.253.96.255	NL
194.253.97.0	194.253.119.255	DE
194.253.120.0	194.253.121.255	NL
194.253.122.0	194.253.122.255	NO
194.253.123.0	194.253.123.255	DE
194.253.124.0	194.253.124.255	FR
194.253.125.0	194.253.125.255	BE
194.253.126.0	194.253.127.255	FR
194.253.128.0	194.253.129.255	AT
194.253.130.0	194.253.130.255	DK
194.253.131.0	194.253.131.255	DE
194.253.132.0	194.253.132.255	BE
194.253.133.0	194.253.133.255	GB
194.253.134.0	194.253.134.255	DE
194.253.135.0	194.253.135.255	GB
194.253.136.0	194.253.141.255	IT
194.253.142.0	194.253.142.255	GB
194.253.143.0	194.253.143.255	NL
194.253.144.0	194.253.145.255	CH
194.253.146.0	194.253.146.63	FR
194.253.146.64	194.253.146.95	IT
194.253.146.96	194.253.146.111	NL
194.253.146.112	194.253.146.127	FR
194.253.146.128	194.253.146.159	NL
194.253.146.160	194.253.146.191	ZA
194.253.146.192	194.253.146.255	GB
194.253.147.0	194.253.147.159	NL
194.253.147.160	194.253.147.191	DE
194.253.147.192	194.253.147.255	IT
194.253.148.0	194.253.149.255	DE
194.253.150.0	194.253.150.255	GB
194.253.151.0	194.253.157.255	BE
194.253.158.0	194.253.158.255	CH
194.253.159.0	194.253.159.255	DE
194.253.160.0	194.253.166.255	DK
194.253.167.0	194.253.167.255	DE
194.253.168.0	194.253.168.255	NL
194.253.169.0	194.253.169.127	ZA
194.253.169.128	194.253.169.143	GB
194.253.169.144	194.253.169.159	IE
194.253.169.160	194.253.169.191	GB
194.253.169.192	194.253.169.207	ZA
194.253.169.208	194.253.169.215	GB
194.253.169.216	194.253.169.223	ZA
194.253.169.224	194.253.169.255	DE
194.253.170.0	194.253.174.255	NL
194.253.175.0	194.253.175.255	FR
194.253.176.0	194.253.176.255	ES
194.253.177.0	194.253.177.255	AT
194.253.178.0	194.253.178.255	ZA
194.253.179.0	194.253.179.255	RO
194.253.180.0	194.253.180.255	GB
194.253.181.0	194.253.183.255	AT
194.253.184.0	194.253.184.255	DE
194.253.185.0	194.253.185.255	AT
194.253.186.0	194.253.186.255	DE
194.253.187.0	194.253.187.255	FR
194.253.188.0	194.253.188.255	BE
194.253.189.0	194.253.189.255	ES
194.253.190.0	194.253.190.255	IT
194.253.191.0	194.253.191.255	GB
194.253.192.0	194.253.223.255	BE
194.253.224.0	194.253.248.71	FR
194.253.248.72	194.253.248.79	IT
194.253.248.80	194.253.248.95	IE
194.253.248.96	194.253.248.111	GB
194.253.248.112	194.253.248.127	BE
194.253.248.128	194.253.248.191	GB
194.253.248.192	194.253.249.255	FR
194.253.250.0	194.253.251.255	GB
194.253.252.0	194.253.252.255	DE
194.253.253.0	194.253.253.255	DK
194.253.254.0	194.253.255.255	DE
194.254.0.0	194.254.0.255	PF
194.254.1.0	194.254.255.255	FR
194.255.0.0	194.255.15.255	DK
194.255.16.0	194.255.16.127	SE
194.255.16.128	194.255.255.255	DK
195.0.0.0	195.0.127.255	BE
195.0.128.0	195.1.255.255	NO
195.2.0.0	195.2.13.255	EU
195.2.14.0	195.2.14.255	US
195.2.15.0	195.2.15.255	GB
195.2.16.0	195.2.25.255	EU
195.2.26.0	195.2.26.255	GB
195.2.27.0	195.2.31.255	EU
195.2.32.0	195.2.39.255	DE
195.2.40.0	195.2.63.255	EU
195.2.64.0	195.2.95.255	RU
195.2.96.0	195.2.111.255	LV
195.2.112.0	195.2.112.255	RU
195.2.113.0	195.2.127.255	LV
195.2.128.0	195.2.159.255	GB
195.2.160.0	195.2.191.255	DE
195.2.192.0	195.2.195.255	RU
195.2.196.0	195.2.197.255	RO
195.2.198.0	195.2.199.255	RU
195.2.200.0	195.2.201.255	AT
195.2.202.0	195.2.203.255	IE
195.2.204.0	195.2.205.255	UA
195.2.206.0	195.2.207.255	RU
195.2.208.0	195.2.209.255	PL
195.2.210.0	195.2.217.255	RU
195.2.218.0	195.2.219.255	RO
195.2.220.0	195.2.221.255	AT
195.2.222.0	195.2.223.255	PL
195.2.224.0	195.2.225.255	GB
195.2.228.0	195.2.229.255	CH
195.2.230.0	195.2.231.255	KZ
195.2.232.0	195.2.233.255	RU
195.2.234.0	195.2.235.255	GR
195.2.236.0	195.2.237.255	UA
195.2.238.0	195.2.241.255	RU
195.2.242.0	195.2.243.255	UA
195.2.244.0	195.2.244.127	NL
195.2.244.128	195.2.245.255	GB
195.2.246.0	195.2.247.255	RO
195.2.248.0	195.2.249.255	NL
195.2.250.0	195.2.251.255	GB
195.2.252.0	195.2.253.255	RU
195.2.254.0	195.2.255.255	PL
195.3.0.0	195.3.63.255	FR
195.3.64.0	195.3.127.255	AT
195.3.128.0	195.3.135.255	UA
195.3.136.0	195.3.139.255	GB
195.3.140.0	195.3.143.255	RU
195.3.144.0	195.3.147.255	LV
195.3.148.0	195.3.151.255	UA
195.3.152.0	195.3.155.255	PL
195.3.156.0	195.3.159.255	UA
195.3.160.0	195.3.163.255	IT
195.3.164.0	195.3.167.255	NL
195.3.168.0	195.3.171.255	SK
195.3.172.0	195.3.175.255	GB
195.3.176.0	195.3.179.255	NL
195.3.180.0	195.3.183.255	RU
195.3.184.0	195.3.187.255	GB
195.3.188.0	195.3.191.255	PS
195.3.192.0	195.3.195.255	DE
195.3.196.0	195.3.199.255	UA
195.3.200.0	195.3.203.255	PL
195.3.204.0	195.3.207.255	UA
195.3.208.0	195.3.211.255	GB
195.3.212.0	195.3.219.255	DE
195.3.220.0	195.3.223.255	PL
195.3.224.0	195.3.227.255	UA
195.3.228.0	195.3.231.255	ES
195.3.232.0	195.3.235.255	PL
195.3.236.0	195.3.239.255	UA
195.3.240.0	195.3.243.255	RU
195.3.244.0	195.3.247.255	UA
195.3.248.0	195.3.251.255	DE
195.3.252.0	195.3.255.255	RU
195.4.0.0	195.4.7.190	DE
195.4.7.191	195.4.7.191	AT
195.4.7.192	195.4.110.63	DE
195.4.110.64	195.4.110.71	US
195.4.110.72	195.4.127.103	DE
195.4.127.104	195.4.127.111	NL
195.4.127.112	195.4.255.255	DE
195.5.0.0	195.5.63.255	UA
195.5.64.0	195.5.95.255	ES
195.5.96.0	195.5.97.255	RO
195.5.98.0	195.5.99.255	DE
195.5.100.0	195.5.101.255	DK
195.5.102.0	195.5.103.255	LV
195.5.104.0	195.5.105.255	LI
195.5.106.0	195.5.109.255	UA
195.5.110.0	195.5.111.255	NL
195.5.112.0	195.5.113.255	NO
195.5.114.0	195.5.115.255	RO
195.5.116.0	195.5.117.255	ES
195.5.118.0	195.5.119.255	SE
195.5.120.0	195.5.121.255	NL
195.5.122.0	195.5.123.255	GB
195.5.124.0	195.5.125.255	UA
195.5.126.0	195.5.127.255	RO
195.5.128.0	195.5.159.255	RU
195.5.160.0	195.5.160.255	DE
195.5.161.0	195.5.161.255	MD
195.5.162.0	195.5.162.255	RU
195.5.163.0	195.5.163.255	NL
195.5.164.0	195.5.165.255	SI
195.5.166.0	195.5.166.255	NO
195.5.167.0	195.5.167.255	GB
195.5.168.0	195.5.168.255	TR
195.5.169.0	195.5.169.255	GB
195.5.170.0	195.5.170.255	RU
195.5.171.0	195.5.171.255	CH
195.5.172.0	195.5.172.255	IE
195.5.173.0	195.5.173.255	LB
195.5.174.0	195.5.174.255	NO
195.5.175.0	195.5.175.255	GB
195.5.176.0	195.5.176.255	PL
195.5.177.0	195.5.177.255	HU
195.5.178.0	195.5.178.255	RU
195.5.179.0	195.5.179.255	GB
195.5.180.0	195.5.180.255	CH
195.5.181.0	195.5.182.255	PL
195.5.183.0	195.5.183.255	NO
195.5.184.0	195.5.184.255	UA
195.5.185.0	195.5.185.255	SE
195.5.186.0	195.5.186.255	CZ
195.5.187.0	195.5.187.255	DE
195.5.188.0	195.5.188.255	PL
195.5.189.0	195.5.189.255	GB
195.5.190.0	195.5.190.255	SE
195.5.191.0	195.5.191.255	DE
195.5.192.0	195.6.106.61	FR
195.6.106.62	195.6.106.62	US
195.6.106.63	195.6.255.255	FR
195.7.0.0	195.7.15.255	RO
195.7.16.0	195.7.19.255	IT
195.7.20.0	195.7.31.255	DK
195.7.32.0	195.7.63.255	IE
195.7.64.0	195.7.95.255	SE
195.7.96.0	195.7.127.255	FR
195.7.128.0	195.7.159.255	NL
195.7.160.0	195.7.191.255	RU
195.7.192.0	195.7.192.63	NL
195.7.192.64	195.7.192.127	GB
195.7.192.128	195.7.192.159	NL
195.7.192.160	195.7.192.191	GB
195.7.192.192	195.7.192.255	NL
195.7.193.0	195.7.193.63	GB
195.7.193.64	195.7.193.223	NL
195.7.193.224	195.7.193.255	GB
195.7.194.0	195.7.194.15	NL
195.7.194.16	195.7.194.23	GB
195.7.194.24	195.7.194.39	NL
195.7.194.40	195.7.194.47	GB
195.7.194.48	195.7.194.63	NL
195.7.194.64	195.7.194.79	GB
195.7.194.80	195.7.194.127	NL
195.7.194.128	195.7.194.255	GB
195.7.195.0	195.7.195.31	NL
195.7.195.32	195.7.197.31	GB
195.7.197.32	195.7.197.127	NL
195.7.197.128	195.7.198.255	GB
195.7.199.0	195.7.199.63	NL
195.7.199.64	195.7.199.95	GB
195.7.199.96	195.7.199.127	NL
195.7.199.128	195.7.199.247	GB
195.7.199.248	195.7.199.255	NL
195.7.200.0	195.7.200.255	GB
195.7.201.0	195.7.201.255	NL
195.7.202.0	195.7.202.31	GB
195.7.202.32	195.7.202.63	NL
195.7.202.64	195.7.202.127	GB
195.7.202.128	195.7.202.191	NL
195.7.202.192	195.7.202.223	GB
195.7.202.224	195.7.202.255	NL
195.7.203.0	195.7.203.31	GB
195.7.203.32	195.7.203.47	NL
195.7.203.48	195.7.203.87	GB
195.7.203.88	195.7.203.127	NL
195.7.203.128	195.7.203.255	GB
195.7.204.0	195.7.204.255	NL
195.7.205.0	195.7.205.255	GB
195.7.206.0	195.7.206.255	NL
195.7.207.0	195.7.207.255	GB
195.7.208.0	195.7.208.127	NL
195.7.208.128	195.7.208.223	GB
195.7.208.224	195.7.208.255	IT
195.7.209.0	195.7.209.63	NL
195.7.209.64	195.7.209.127	GB
195.7.209.128	195.7.209.191	NL
195.7.209.192	195.7.209.223	GB
195.7.209.224	195.7.209.227	NL
195.7.209.228	195.7.209.231	GB
195.7.209.232	195.7.209.235	NL
195.7.209.236	195.7.209.239	GB
195.7.209.240	195.7.209.255	NL
195.7.210.0	195.7.211.255	GB
195.7.212.0	195.7.212.111	NL
195.7.212.112	195.7.212.119	GB
195.7.212.120	195.7.212.127	NL
195.7.212.128	195.7.212.255	GB
195.7.213.0	195.7.213.63	NL
195.7.213.64	195.7.213.159	GB
195.7.213.160	195.7.213.191	NL
195.7.213.192	195.7.213.223	GB
195.7.213.224	195.7.213.239	NL
195.7.213.240	195.7.213.247	GB
195.7.213.248	195.7.213.255	NL
195.7.214.0	195.7.214.255	GB
195.7.215.0	195.7.215.255	NL
195.7.216.0	195.7.216.79	GB
195.7.216.80	195.7.216.115	NL
195.7.216.116	195.7.216.119	GB
195.7.216.120	195.7.216.127	NL
195.7.216.128	195.7.216.159	GB
195.7.216.160	195.7.217.127	NL
195.7.217.128	195.7.217.191	GB
195.7.217.192	195.7.217.223	NL
195.7.217.224	195.7.218.255	GB
195.7.219.0	195.7.219.127	NL
195.7.219.128	195.7.219.255	GB
195.7.220.0	195.7.223.255	NL
195.7.224.0	195.7.255.255	GB
195.8.0.0	195.8.1.255	PT
195.8.2.0	195.8.4.255	CV
195.8.5.0	195.8.7.255	PT
195.8.8.0	195.8.8.255	ST
195.8.9.0	195.8.12.255	PT
195.8.13.0	195.8.13.255	CV
195.8.14.0	195.8.15.255	GW
195.8.16.0	195.8.17.255	AO
195.8.18.0	195.8.19.255	ST
195.8.20.0	195.8.20.127	AO
195.8.20.128	195.8.20.255	PT
195.8.21.0	195.8.21.23	GH
195.8.21.24	195.8.21.31	RO
195.8.21.32	195.8.21.47	NI
195.8.21.48	195.8.21.95	AO
195.8.21.96	195.8.21.191	PT
195.8.21.192	195.8.21.255	AN
195.8.22.0	195.8.22.255	PT
195.8.23.0	195.8.23.255	AO
195.8.24.0	195.8.25.255	PT
195.8.26.0	195.8.26.255	GH
195.8.27.0	195.8.30.255	PT
195.8.31.0	195.8.31.135	ST
195.8.31.136	195.8.31.191	PT
195.8.31.192	195.8.31.207	ST
195.8.31.208	195.8.31.255	PT
195.8.32.0	195.8.33.255	NO
195.8.34.0	195.8.39.255	RU
195.8.40.0	195.8.43.255	UA
195.8.44.0	195.8.45.255	RU
195.8.46.0	195.8.49.255	RO
195.8.50.0	195.8.51.255	AM
195.8.52.0	195.8.53.255	PL
195.8.54.0	195.8.55.255	FI
195.8.56.0	195.8.57.255	UA
195.8.58.0	195.8.59.255	PT
195.8.60.0	195.8.61.255	FI
195.8.62.0	195.8.63.255	RU
195.8.64.0	195.8.66.215	GB
195.8.66.216	195.8.66.223	FR
195.8.66.224	195.8.96.255	GB
195.8.97.0	195.8.97.255	PL
195.8.98.0	195.8.98.255	SE
195.8.99.0	195.8.99.255	PL
195.8.100.0	195.8.100.255	GB
195.8.101.0	195.8.101.255	PL
195.8.102.0	195.8.102.255	RU
195.8.103.0	195.8.103.255	GB
195.8.104.0	195.8.104.255	DE
195.8.105.0	195.8.105.255	RO
195.8.106.0	195.8.107.255	PL
195.8.108.0	195.8.108.255	CH
195.8.109.0	195.8.109.255	TR
195.8.110.0	195.8.110.255	GB
195.8.111.0	195.8.111.255	FR
195.8.112.0	195.8.112.255	SE
195.8.113.0	195.8.113.255	CH
195.8.114.0	195.8.114.255	AT
195.8.115.0	195.8.115.255	LV
195.8.116.0	195.8.118.255	GB
195.8.119.0	195.8.120.255	RO
195.8.121.0	195.8.123.255	DE
195.8.124.0	195.8.124.255	FR
195.8.125.0	195.8.125.255	PL
195.8.126.0	195.8.126.255	GB
195.8.127.0	195.8.127.255	AT
195.8.128.0	195.8.159.255	PL
195.8.160.0	195.8.193.255	GB
195.8.194.0	195.8.195.255	RO
195.8.196.0	195.8.197.255	GB
195.8.198.0	195.8.199.255	CH
195.8.200.0	195.8.201.255	UA
195.8.202.0	195.8.203.255	GB
195.8.204.0	195.8.205.255	EE
195.8.206.0	195.8.207.255	RO
195.8.208.0	195.8.209.255	NL
195.8.210.0	195.8.211.255	CH
195.8.212.0	195.8.213.255	AT
195.8.214.0	195.8.215.255	FR
195.8.216.0	195.8.217.255	PL
195.8.218.0	195.8.219.255	LT
195.8.220.0	195.8.221.255	PL
195.8.222.0	195.8.223.255	BG
195.8.224.0	195.8.255.255	DE
195.9.0.0	195.9.54.255	RU
195.9.55.0	195.9.55.255	KZ
195.9.56.0	195.9.123.127	RU
195.9.123.128	195.9.123.191	UA
195.9.123.192	195.9.255.255	RU
195.10.0.0	195.10.1.255	GB
195.10.2.0	195.10.3.127	EU
195.10.3.128	195.10.3.143	IT
195.10.3.144	195.10.3.151	GB
195.10.3.152	195.10.3.159	EU
195.10.3.160	195.10.3.167	NL
195.10.3.168	195.10.3.175	EU
195.10.3.176	195.10.3.183	NL
195.10.3.184	195.10.3.207	GB
195.10.3.208	195.10.3.223	EU
195.10.3.224	195.10.3.239	CY
195.10.3.240	195.10.3.247	GB
195.10.3.248	195.10.3.255	EU
195.10.4.0	195.10.4.63	IT
195.10.4.64	195.10.4.71	GB
195.10.4.72	195.10.4.79	IE
195.10.4.80	195.10.4.95	DE
195.10.4.96	195.10.4.127	EU
195.10.4.128	195.10.4.135	NL
195.10.4.136	195.10.4.151	EU
195.10.4.152	195.10.4.159	IT
195.10.4.160	195.10.4.167	EU
195.10.4.168	195.10.4.175	IT
195.10.4.176	195.10.4.191	EU
195.10.4.192	195.10.4.231	IT
195.10.4.232	195.10.4.247	EU
195.10.4.248	195.10.4.255	IT
195.10.5.0	195.10.5.63	NL
195.10.5.64	195.10.5.71	DE
195.10.5.72	195.10.5.79	NL
195.10.5.80	195.10.5.95	RU
195.10.5.96	195.10.5.127	EU
195.10.5.128	195.10.5.255	GB
195.10.6.0	195.10.6.255	ES
195.10.7.0	195.10.7.79	GB
195.10.7.80	195.10.7.135	FR
195.10.7.136	195.10.7.159	EU
195.10.7.160	195.10.7.191	SE
195.10.7.192	195.10.8.127	EU
195.10.8.128	195.10.8.143	NL
195.10.8.144	195.10.8.151	GB
195.10.8.152	195.10.8.159	FR
195.10.8.160	195.10.9.31	EU
195.10.9.32	195.10.9.39	CH
195.10.9.40	195.10.9.47	EU
195.10.9.48	195.10.9.63	BE
195.10.9.64	195.10.9.95	NL
195.10.9.96	195.10.9.99	EU
195.10.9.100	195.10.9.103	NL
195.10.9.104	195.10.9.111	EU
195.10.9.112	195.10.9.119	ES
195.10.9.120	195.10.9.127	SE
195.10.9.128	195.10.9.159	EU
195.10.9.160	195.10.9.167	DE
195.10.9.168	195.10.9.175	BE
195.10.9.176	195.10.9.223	NL
195.10.9.224	195.10.9.231	FR
195.10.9.232	195.10.9.239	IT
195.10.9.240	195.10.9.255	EU
195.10.10.0	195.10.10.255	ES
195.10.11.0	195.10.11.255	IR
195.10.12.0	195.10.12.255	CH
195.10.13.0	195.10.13.15	NL
195.10.13.16	195.10.13.63	EU
195.10.13.64	195.10.13.71	BE
195.10.13.72	195.10.13.75	EU
195.10.13.76	195.10.13.111	CH
195.10.13.112	195.10.13.127	NL
195.10.13.128	195.10.13.191	GB
195.10.13.192	195.10.13.207	EU
195.10.13.208	195.10.13.223	DE
195.10.13.224	195.10.13.231	EU
195.10.13.232	195.10.13.239	GB
195.10.13.240	195.10.14.127	EU
195.10.14.128	195.10.14.143	BE
195.10.14.144	195.10.14.151	EU
195.10.14.152	195.10.14.159	FR
195.10.14.160	195.10.14.167	DE
195.10.14.168	195.10.14.175	EU
195.10.14.176	195.10.14.191	NL
195.10.14.192	195.10.14.223	CH
195.10.14.224	195.10.14.239	EU
195.10.14.240	195.10.14.247	ES
195.10.14.248	195.10.14.255	EU
195.10.15.0	195.10.15.31	NL
195.10.15.32	195.10.15.63	DE
195.10.15.64	195.10.15.127	CH
195.10.15.128	195.10.15.131	EU
195.10.15.132	195.10.15.135	NL
195.10.15.136	195.10.15.143	EU
195.10.15.144	195.10.15.159	FR
195.10.15.160	195.10.15.175	IR
195.10.15.176	195.10.15.191	EU
195.10.15.192	195.10.15.255	IT
195.10.16.0	195.10.17.63	GB
195.10.17.64	195.10.17.79	FR
195.10.17.80	195.10.17.95	DE
195.10.17.96	195.10.17.127	EU
195.10.17.128	195.10.17.175	GB
195.10.17.176	195.10.18.127	EU
195.10.18.128	195.10.18.191	BE
195.10.18.192	195.10.18.215	DE
195.10.18.216	195.10.18.223	BE
195.10.18.224	195.10.19.255	EU
195.10.20.0	195.10.20.31	CH
195.10.20.32	195.10.20.255	EU
195.10.21.0	195.10.21.19	ES
195.10.21.20	195.10.21.23	EU
195.10.21.24	195.10.21.39	IT
195.10.21.40	195.10.21.55	ES
195.10.21.56	195.10.21.63	EU
195.10.21.64	195.10.21.127	DE
195.10.21.128	195.10.21.223	ES
195.10.21.224	195.10.21.255	EU
195.10.22.0	195.10.23.255	GB
195.10.24.0	195.10.24.15	RU
195.10.24.16	195.10.24.47	DE
195.10.24.48	195.10.24.63	EU
195.10.24.64	195.10.24.95	DE
195.10.24.96	195.10.24.255	EU
195.10.25.0	195.10.25.255	BE
195.10.26.0	195.10.26.255	NL
195.10.27.0	195.10.27.255	EU
195.10.28.0	195.10.28.255	FR
195.10.29.0	195.10.29.255	DE
195.10.30.0	195.10.30.255	FR
195.10.31.0	195.10.33.255	GB
195.10.34.0	195.10.34.127	NL
195.10.34.128	195.10.34.255	EU
195.10.35.0	195.10.35.7	SE
195.10.35.8	195.10.35.15	NO
195.10.35.16	195.10.35.23	SE
195.10.35.24	195.10.35.255	EU
195.10.36.0	195.10.36.255	NL
195.10.37.0	195.10.37.255	GB
195.10.38.0	195.10.38.255	ES
195.10.39.0	195.10.39.255	NL
195.10.40.0	195.10.40.255	DE
195.10.41.0	195.10.41.39	GB
195.10.41.40	195.10.41.47	EU
195.10.41.48	195.10.41.63	GB
195.10.41.64	195.10.41.255	EU
195.10.42.0	195.10.42.255	NL
195.10.43.0	195.10.43.255	GB
195.10.44.0	195.10.44.31	GI
195.10.44.32	195.10.44.63	EU
195.10.44.64	195.10.44.71	CY
195.10.44.72	195.10.44.79	EU
195.10.44.80	195.10.44.95	GB
195.10.44.96	195.10.44.255	EU
195.10.45.0	195.10.45.255	GB
195.10.46.0	195.10.46.127	GI
195.10.46.128	195.10.46.255	EU
195.10.47.0	195.10.49.255	GB
195.10.50.0	195.10.51.255	IT
195.10.52.0	195.10.52.255	EU
195.10.53.0	195.10.55.255	FR
195.10.56.0	195.10.56.255	GB
195.10.57.0	195.10.57.255	NL
195.10.58.0	195.10.58.31	US
195.10.58.32	195.10.58.183	GB
195.10.58.184	195.10.58.191	EU
195.10.58.192	195.10.58.255	GB
195.10.59.0	195.10.59.255	FR
195.10.60.0	195.10.60.255	ES
195.10.61.0	195.10.61.127	GB
195.10.61.128	195.10.61.255	ES
195.10.62.0	195.10.62.255	FR
195.10.63.0	195.10.63.15	NL
195.10.63.16	195.10.63.23	CY
195.10.63.24	195.10.63.31	NL
195.10.63.32	195.10.63.63	IT
195.10.63.64	195.10.63.95	DE
195.10.63.96	195.10.63.127	FR
195.10.63.128	195.10.63.191	NL
195.10.63.192	195.10.63.255	CH
195.10.64.0	195.10.95.255	LU
195.10.96.0	195.10.109.191	GB
195.10.109.192	195.10.109.255	GH
195.10.110.0	195.10.122.255	GB
195.10.123.0	195.10.123.39	IM
195.10.123.40	195.10.127.255	GB
195.10.128.0	195.10.191.255	FI
195.10.192.0	195.10.192.255	MT
195.10.193.0	195.10.193.255	BG
195.10.194.0	195.10.194.255	IL
195.10.195.0	195.10.195.255	DE
195.10.196.0	195.10.196.255	NO
195.10.197.0	195.10.197.255	SA
195.10.198.0	195.10.198.255	RU
195.10.199.0	195.10.200.255	GB
195.10.201.0	195.10.201.255	ES
195.10.202.0	195.10.202.255	NL
195.10.203.0	195.10.203.255	DE
195.10.204.0	195.10.204.255	LV
195.10.205.0	195.10.205.255	RU
195.10.206.0	195.10.206.255	AT
195.10.207.0	195.10.207.255	DK
195.10.208.0	195.10.208.255	DE
195.10.209.0	195.10.209.255	GB
195.10.210.0	195.10.210.255	UA
195.10.211.0	195.10.211.255	SE
195.10.212.0	195.10.212.255	NL
195.10.213.0	195.10.213.255	GB
195.10.214.0	195.10.214.255	SE
195.10.215.0	195.10.215.255	GB
195.10.216.0	195.10.216.255	LV
195.10.217.0	195.10.217.255	MT
195.10.218.0	195.10.218.255	UA
195.10.219.0	195.10.219.255	RO
195.10.220.0	195.10.220.255	IL
195.10.221.0	195.10.221.255	GB
195.10.222.0	195.10.222.255	IL
195.10.223.0	195.11.223.255	GB
195.11.224.0	195.11.255.255	NL
195.12.0.0	195.12.31.255	GB
195.12.32.0	195.12.35.255	PL
195.12.36.0	195.12.39.255	UA
195.12.40.0	195.12.47.255	CH
195.12.48.0	195.12.51.255	GB
195.12.52.0	195.12.55.255	RO
195.12.56.0	195.12.59.255	UA
195.12.60.0	195.12.63.255	NL
195.12.64.0	195.12.95.255	RU
195.12.96.0	195.12.127.255	KZ
195.12.128.0	195.12.159.255	SK
195.12.160.0	195.12.191.255	LT
195.12.192.0	195.12.223.255	AT
195.12.224.0	195.12.224.7	EU
195.12.224.8	195.12.224.31	GB
195.12.224.32	195.12.224.127	EU
195.12.224.128	195.12.224.191	GB
195.12.224.192	195.12.225.31	EU
195.12.225.32	195.12.225.47	GB
195.12.225.48	195.12.225.255	EU
195.12.226.0	195.12.227.255	ES
195.12.228.0	195.12.228.31	GB
195.12.228.32	195.12.228.63	EU
195.12.228.64	195.12.228.95	DE
195.12.228.96	195.12.228.111	EU
195.12.228.112	195.12.228.119	GB
195.12.228.120	195.12.228.127	US
195.12.228.128	195.12.228.159	EU
195.12.228.160	195.12.228.191	SE
195.12.228.192	195.12.228.255	EU
195.12.229.0	195.12.229.15	GB
195.12.229.16	195.12.229.63	EU
195.12.229.64	195.12.229.127	GB
195.12.229.128	195.12.229.255	FR
195.12.230.0	195.12.230.15	EU
195.12.230.16	195.12.230.23	FR
195.12.230.24	195.12.230.127	EU
195.12.230.128	195.12.230.191	GB
195.12.230.192	195.12.230.255	EU
195.12.231.0	195.12.231.127	SE
195.12.231.128	195.12.231.191	GB
195.12.231.192	195.12.232.63	EU
195.12.232.64	195.12.232.79	FR
195.12.232.80	195.12.232.95	EU
195.12.232.96	195.12.232.111	DE
195.12.232.112	195.12.232.127	NL
195.12.232.128	195.12.232.255	FR
195.12.233.0	195.12.233.255	EU
195.12.234.0	195.12.239.255	FR
195.12.240.0	195.12.243.255	DE
195.12.244.0	195.12.247.255	NL
195.12.248.0	195.12.255.255	EU
195.13.0.0	195.13.31.255	BE
195.13.32.0	195.13.37.127	FR
195.13.37.128	195.13.39.255	PL
195.13.40.0	195.13.45.255	DE
195.13.46.0	195.13.46.127	PL
195.13.46.128	195.13.46.255	DK
195.13.47.0	195.13.47.255	UA
195.13.48.0	195.13.49.255	RO
195.13.50.0	195.13.51.255	GB
195.13.52.0	195.13.53.255	CH
195.13.54.0	195.13.55.255	SE
195.13.56.0	195.13.57.255	BE
195.13.58.0	195.13.59.255	FR
195.13.60.0	195.13.63.255	DE
195.13.64.0	195.13.68.159	GB
195.13.68.160	195.13.68.175	IL
195.13.68.176	195.13.127.255	GB
195.13.128.0	195.13.255.255	LV
195.14.0.0	195.14.0.255	FR
195.14.1.0	195.14.1.255	NL
195.14.2.0	195.14.2.255	RU
195.14.3.0	195.14.4.255	PL
195.14.5.0	195.14.5.255	FR
195.14.6.0	195.14.7.255	RO
195.14.8.0	195.14.8.255	DE
195.14.9.0	195.14.9.255	GR
195.14.10.0	195.14.10.255	GB
195.14.11.0	195.14.11.255	PL
195.14.12.0	195.14.12.255	RU
195.14.13.0	195.14.13.255	RO
195.14.14.0	195.14.14.255	DK
195.14.15.0	195.14.15.255	FI
195.14.16.0	195.14.16.255	GB
195.14.17.0	195.14.17.255	UA
195.14.18.0	195.14.18.255	GB
195.14.19.0	195.14.19.255	SA
195.14.20.0	195.14.21.255	SE
195.14.22.0	195.14.22.255	FR
195.14.23.0	195.14.23.255	GB
195.14.24.0	195.14.24.255	DE
195.14.25.0	195.14.25.255	SE
195.14.26.0	195.14.26.255	CH
195.14.27.0	195.14.27.255	FR
195.14.28.0	195.14.28.255	IT
195.14.29.0	195.14.29.255	NL
195.14.30.0	195.14.30.255	FR
195.14.31.0	195.14.31.255	BE
195.14.32.0	195.14.63.255	RU
195.14.64.0	195.14.95.255	GB
195.14.96.0	195.14.97.255	RU
195.14.98.0	195.14.99.255	US
195.14.100.0	195.14.101.255	RU
195.14.102.0	195.14.103.255	IT
195.14.104.0	195.14.109.255	RU
195.14.110.0	195.14.111.255	KW
195.14.112.0	195.14.113.255	UA
195.14.114.0	195.14.115.255	RU
195.14.116.0	195.14.117.255	PL
195.14.118.0	195.14.119.255	RU
195.14.120.0	195.14.121.255	AT
195.14.122.0	195.14.125.255	UA
195.14.126.0	195.14.127.255	CH
195.14.128.0	195.14.159.255	CY
195.14.160.0	195.14.191.255	LT
195.14.192.0	195.14.255.255	DE
195.15.0.0	195.15.24.255	CH
195.15.25.0	195.15.25.255	FR
195.15.26.0	195.15.28.59	CH
195.15.28.60	195.15.28.63	FR
195.15.28.64	195.15.49.31	CH
195.15.49.32	195.15.49.39	FR
195.15.49.40	195.15.49.175	CH
195.15.49.176	195.15.49.183	FR
195.15.49.184	195.15.51.255	CH
195.15.52.0	195.15.52.15	FR
195.15.52.16	195.15.57.27	CH
195.15.57.28	195.15.57.31	FR
195.15.57.32	195.15.58.239	CH
195.15.58.240	195.15.58.247	FR
195.15.58.248	195.15.59.143	CH
195.15.59.144	195.15.59.159	FR
195.15.59.160	195.15.64.55	CH
195.15.64.56	195.15.64.63	FR
195.15.64.64	195.15.109.15	CH
195.15.109.16	195.15.109.31	FR
195.15.109.32	195.15.127.207	CH
195.15.127.208	195.15.127.223	FR
195.15.127.224	195.15.255.255	CH
195.16.0.0	195.16.31.255	BE
195.16.32.0	195.16.63.255	RU
195.16.64.0	195.16.67.255	RO
195.16.68.0	195.16.71.255	DE
195.16.72.0	195.16.75.255	RU
195.16.76.0	195.16.79.255	UA
195.16.80.0	195.16.83.255	DE
195.16.84.0	195.16.87.255	NL
195.16.88.0	195.16.91.255	UA
195.16.92.0	195.16.110.127	RU
195.16.110.128	195.16.110.191	KZ
195.16.110.192	195.16.127.255	RU
195.16.128.0	195.16.159.255	ES
195.16.160.0	195.16.160.128	DE
195.16.160.129	195.16.160.255	GB
195.16.161.0	195.16.162.255	DE
195.16.163.0	195.16.169.255	GB
195.16.170.0	195.16.171.255	IE
195.16.172.0	195.16.175.127	GB
195.16.175.128	195.16.175.143	FR
195.16.175.144	195.16.175.159	GB
195.16.175.160	195.16.175.255	DE
195.16.176.0	195.16.177.127	GB
195.16.177.128	195.16.177.143	CH
195.16.177.144	195.16.177.175	GB
195.16.177.176	195.16.177.183	NL
195.16.177.184	195.16.177.223	GB
195.16.177.224	195.16.177.231	UZ
195.16.177.232	195.16.181.255	GB
195.16.182.0	195.16.183.255	FR
195.16.184.0	195.16.184.255	GB
195.16.185.0	195.16.185.31	CH
195.16.185.32	195.16.185.191	GB
195.16.185.192	195.16.185.223	FR
195.16.185.224	195.16.185.255	GB
195.16.186.0	195.16.186.127	SE
195.16.186.128	195.16.186.135	GB
195.16.186.136	195.16.186.143	IE
195.16.186.144	195.16.186.151	DE
195.16.186.152	195.16.186.231	GB
195.16.186.232	195.16.186.239	NL
195.16.186.240	195.16.186.255	GB
195.16.187.0	195.16.187.63	SE
195.16.187.64	195.16.187.95	FR
195.16.187.96	195.16.187.127	DE
195.16.187.128	195.16.187.159	IT
195.16.187.160	195.16.187.191	NL
195.16.187.192	195.16.187.223	DK
195.16.187.224	195.16.187.255	GB
195.16.188.0	195.16.188.127	FR
195.16.188.128	195.16.189.127	DE
195.16.189.128	195.16.189.255	FR
195.16.190.0	195.16.190.127	ES
195.16.190.128	195.16.190.255	GB
195.16.191.0	195.16.191.127	NO
195.16.191.128	195.16.191.191	IT
195.16.191.192	195.16.191.255	NL
195.16.192.0	195.16.223.255	FI
195.16.224.0	195.16.255.255	AT
195.17.0.0	195.17.128.255	SE
195.17.129.0	195.17.132.255	IE
195.17.133.0	195.17.133.255	SE
195.17.134.0	195.17.139.255	IE
195.17.140.0	195.17.140.255	SE
195.17.141.0	195.17.141.255	IE
195.17.142.0	195.17.159.255	SE
195.17.160.0	195.17.160.255	GB
195.17.161.0	195.17.161.255	SE
195.17.162.0	195.17.162.255	GB
195.17.163.0	195.17.163.255	SE
195.17.164.0	195.17.166.255	GB
195.17.167.0	195.17.168.255	SE
195.17.169.0	195.17.169.255	GB
195.17.170.0	195.17.171.7	SE
195.17.171.8	195.17.171.15	GB
195.17.171.16	195.17.171.127	SE
195.17.171.128	195.17.171.255	GB
195.17.172.0	195.17.241.191	SE
195.17.241.192	195.17.241.207	DE
195.17.241.208	195.17.245.31	SE
195.17.245.32	195.17.245.39	RU
195.17.245.40	195.17.255.255	SE
195.18.0.0	195.18.3.255	IT
195.18.4.0	195.18.7.255	GB
195.18.8.0	195.18.11.255	IL
195.18.12.0	195.18.19.255	UA
195.18.20.0	195.18.27.255	RU
195.18.28.0	195.18.31.255	UA
195.18.32.0	195.18.63.255	RU
195.18.64.0	195.18.127.255	NL
195.18.128.0	195.18.255.255	NO
195.19.0.0	195.19.255.255	RU
195.20.0.0	195.20.3.255	PL
195.20.4.0	195.20.7.255	UA
195.20.8.0	195.20.11.255	NL
195.20.12.0	195.20.15.255	FR
195.20.16.0	195.20.19.255	FI
195.20.20.0	195.20.27.255	BG
195.20.28.0	195.20.31.255	UA
195.20.32.0	195.20.63.255	NL
195.20.64.0	195.20.95.255	DE
195.20.96.0	195.20.97.255	UA
195.20.98.0	195.20.99.255	DE
195.20.100.0	195.20.101.255	SE
195.20.102.0	195.20.103.255	UA
195.20.104.0	195.20.105.255	FR
195.20.106.0	195.20.107.255	RO
195.20.108.0	195.20.109.255	GB
195.20.110.0	195.20.111.255	PL
195.20.112.0	195.20.115.255	DE
195.20.116.0	195.20.117.255	FI
195.20.118.0	195.20.119.255	UA
195.20.120.0	195.20.121.255	DE
195.20.122.0	195.20.123.255	GB
195.20.124.0	195.20.125.255	UA
195.20.126.0	195.20.127.255	LV
195.20.160.0	195.20.167.255	SK
195.20.168.0	195.20.169.255	NL
195.20.170.0	195.20.171.255	SK
195.20.172.0	195.20.173.255	CZ
195.20.174.0	195.20.191.255	SK
195.20.192.0	195.20.193.255	MC
195.20.194.0	195.20.197.255	RU
195.20.198.0	195.20.199.255	FR
195.20.200.0	195.20.201.255	GB
195.20.202.0	195.20.203.255	RO
195.20.204.0	195.20.205.255	NL
195.20.206.0	195.20.207.255	SE
195.20.208.0	195.20.209.255	CH
195.20.210.0	195.20.211.255	DE
195.20.212.0	195.20.213.255	PL
195.20.214.0	195.20.215.255	GB
195.20.216.0	195.20.217.255	ES
195.20.218.0	195.20.219.255	PL
195.20.220.0	195.20.221.255	DE
195.20.222.0	195.20.223.255	GB
195.20.224.0	195.20.255.255	DE
195.21.0.0	195.21.1.127	GB
195.21.1.128	195.21.1.143	DK
195.21.1.144	195.21.5.31	GB
195.21.5.32	195.21.5.47	DE
195.21.5.48	195.21.5.191	GB
195.21.5.192	195.21.5.255	DE
195.21.6.0	195.21.6.255	GB
195.21.7.0	195.21.8.255	DE
195.21.9.0	195.21.11.255	GB
195.21.12.0	195.21.12.31	DE
195.21.12.32	195.21.12.255	GB
195.21.13.0	195.21.13.15	DE
195.21.13.16	195.21.13.31	GB
195.21.13.32	195.21.13.191	DE
195.21.13.192	195.21.13.255	GB
195.21.14.0	195.21.14.127	DE
195.21.14.128	195.21.15.255	GB
195.21.16.0	195.21.16.63	DE
195.21.16.64	195.21.16.127	GB
195.21.16.128	195.21.16.159	DE
195.21.16.160	195.21.17.63	GB
195.21.17.64	195.21.17.175	DE
195.21.17.176	195.21.17.191	GB
195.21.17.192	195.21.17.255	DE
195.21.18.0	195.21.18.31	GB
195.21.18.32	195.21.18.79	DE
195.21.18.80	195.21.18.255	GB
195.21.19.0	195.21.19.31	DE
195.21.19.32	195.21.19.239	GB
195.21.19.240	195.21.19.255	DE
195.21.20.0	195.21.24.255	GB
195.21.25.0	195.21.26.191	DE
195.21.26.192	195.21.26.255	GB
195.21.27.0	195.21.27.255	DE
195.21.28.0	195.21.28.255	GB
195.21.29.0	195.21.29.31	DE
195.21.29.32	195.21.29.255	GB
195.21.30.0	195.21.30.255	DE
195.21.31.0	195.21.37.255	GB
195.21.38.0	195.21.38.63	DE
195.21.38.64	195.21.38.255	GB
195.21.39.0	195.21.39.31	DE
195.21.39.32	195.21.39.79	GB
195.21.39.80	195.21.39.95	DE
195.21.39.96	195.21.39.111	GB
195.21.39.112	195.21.39.127	DE
195.21.39.128	195.21.39.143	GB
195.21.39.144	195.21.39.175	DE
195.21.39.176	195.21.39.191	GB
195.21.39.192	195.21.39.223	DE
195.21.39.224	195.21.41.255	GB
195.21.42.0	195.21.42.63	DE
195.21.42.64	195.21.42.255	GB
195.21.43.0	195.21.43.31	DE
195.21.43.32	195.21.43.63	GB
195.21.43.64	195.21.43.79	DE
195.21.43.80	195.21.43.191	GB
195.21.43.192	195.21.43.223	DE
195.21.43.224	195.21.43.255	GB
195.21.44.0	195.21.45.63	DE
195.21.45.64	195.21.45.255	GB
195.21.46.0	195.21.47.15	DE
195.21.47.16	195.21.47.63	GB
195.21.47.64	195.21.47.79	DE
195.21.47.80	195.21.47.95	GB
195.21.47.96	195.21.47.111	DE
195.21.47.112	195.21.47.127	GB
195.21.47.128	195.21.47.143	DE
195.21.47.144	195.21.47.159	GB
195.21.47.160	195.21.47.191	DE
195.21.47.192	195.21.48.255	GB
195.21.49.0	195.21.50.53	DE
195.21.50.54	195.21.50.95	GB
195.21.50.96	195.21.50.111	DE
195.21.50.112	195.21.50.159	GB
195.21.50.160	195.21.50.175	DE
195.21.50.176	195.21.50.191	GB
195.21.50.192	195.21.50.207	DE
195.21.50.208	195.21.50.223	GB
195.21.50.224	195.21.50.239	DE
195.21.50.240	195.21.51.255	GB
195.21.52.0	195.21.52.63	DE
195.21.52.64	195.21.52.95	GB
195.21.52.96	195.21.52.143	DE
195.21.52.144	195.21.52.159	GB
195.21.52.160	195.21.52.175	DE
195.21.52.176	195.21.53.255	GB
195.21.54.0	195.21.54.15	DE
195.21.54.16	195.21.54.31	GB
195.21.54.32	195.21.54.47	DE
195.21.54.48	195.21.54.63	GB
195.21.54.64	195.21.54.79	DE
195.21.54.80	195.21.54.127	GB
195.21.54.128	195.21.54.143	DE
195.21.54.144	195.21.112.255	GB
195.21.113.0	195.21.113.15	DE
195.21.113.16	195.21.113.255	GB
195.21.114.0	195.21.114.128	DE
195.21.114.129	195.21.120.255	GB
195.21.121.0	195.21.121.255	DE
195.21.122.0	195.21.128.255	GB
195.21.129.0	195.21.131.63	DE
195.21.131.64	195.21.131.191	GB
195.21.131.192	195.21.131.255	DE
195.21.132.0	195.21.132.255	GB
195.21.133.0	195.21.137.255	DE
195.21.138.0	195.21.138.31	GB
195.21.138.32	195.21.138.175	DE
195.21.138.176	195.21.138.223	GB
195.21.138.224	195.21.138.255	DE
195.21.139.0	195.21.139.255	GB
195.21.140.0	195.21.140.63	DE
195.21.140.64	195.21.141.255	GB
195.21.142.0	195.21.142.63	DE
195.21.142.64	195.21.143.31	GB
195.21.143.32	195.21.143.95	DE
195.21.143.96	195.21.143.111	GB
195.21.143.112	195.21.143.191	DE
195.21.143.192	195.21.147.255	GB
195.21.148.0	195.21.148.255	DE
195.21.149.0	195.21.150.255	GB
195.21.151.0	195.21.151.255	DE
195.21.152.0	195.21.159.255	GB
195.21.160.0	195.21.160.31	DE
195.21.160.32	195.21.165.255	GB
195.21.166.0	195.21.167.255	DE
195.21.168.0	195.21.169.255	GB
195.21.170.0	195.21.170.31	DE
195.21.170.32	195.21.170.63	GB
195.21.170.64	195.21.170.95	DE
195.21.170.96	195.21.170.255	GB
195.21.171.0	195.21.171.255	DE
195.21.172.0	195.21.175.239	GB
195.21.175.240	195.21.176.255	DE
195.21.177.0	195.21.178.79	GB
195.21.178.80	195.21.178.159	DE
195.21.178.160	195.21.178.175	GB
195.21.178.176	195.21.178.223	DE
195.21.178.224	195.21.180.63	GB
195.21.180.64	195.21.180.79	DE
195.21.180.80	195.21.181.255	GB
195.21.182.0	195.21.182.31	DE
195.21.182.32	195.21.182.127	GB
195.21.182.128	195.21.182.159	DE
195.21.182.160	195.21.183.255	GB
195.21.184.0	195.21.184.127	DE
195.21.184.128	195.21.184.159	GB
195.21.184.160	195.21.185.31	DE
195.21.185.32	195.21.185.63	GB
195.21.185.64	195.21.185.127	DE
195.21.185.128	195.21.185.191	GB
195.21.185.192	195.21.185.207	DE
195.21.185.208	195.21.186.127	GB
195.21.186.128	195.21.186.223	DE
195.21.186.224	195.21.187.255	GB
195.21.188.0	195.21.188.255	DE
195.21.189.0	195.21.189.255	GB
195.21.190.0	195.21.191.255	DE
195.21.192.0	195.21.192.255	GB
195.21.193.0	195.21.193.255	DE
195.21.194.0	195.21.194.255	GB
195.21.195.0	195.21.195.47	DE
195.21.195.48	195.21.195.95	GB
195.21.195.96	195.21.195.127	DE
195.21.195.128	195.21.195.255	GB
195.21.196.0	195.21.197.15	DE
195.21.197.16	195.21.198.15	GB
195.21.198.16	195.21.198.31	DE
195.21.198.32	195.21.198.127	GB
195.21.198.128	195.21.198.191	DE
195.21.198.192	195.21.203.255	GB
195.21.204.0	195.21.204.15	DE
195.21.204.16	195.21.204.31	GB
195.21.204.32	195.21.204.47	DE
195.21.204.48	195.21.204.95	GB
195.21.204.96	195.21.205.15	DE
195.21.205.16	195.21.205.31	GB
195.21.205.32	195.21.205.79	DE
195.21.205.80	195.21.205.95	GB
195.21.205.96	195.21.205.191	DE
195.21.205.192	195.21.205.207	GB
195.21.205.208	195.21.205.223	DE
195.21.205.224	195.21.205.239	GB
195.21.205.240	195.21.205.255	DE
195.21.206.0	195.21.214.255	GB
195.21.215.0	195.21.216.255	DE
195.21.217.0	195.21.217.255	GB
195.21.218.0	195.21.218.15	DE
195.21.218.16	195.21.224.255	GB
195.21.225.0	195.21.225.31	DE
195.21.225.32	195.21.239.255	GB
195.21.240.0	195.21.240.31	DE
195.21.240.32	195.21.240.111	GB
195.21.240.112	195.21.240.192	DE
195.21.240.193	195.21.240.207	GB
195.21.240.208	195.21.240.239	DE
195.21.240.240	195.21.247.255	GB
195.21.248.0	195.21.248.255	DE
195.21.249.0	195.21.255.255	GB
195.22.0.0	195.22.31.255	PT
195.22.32.0	195.22.63.255	CZ
195.22.64.0	195.22.95.255	SE
195.22.96.0	195.22.99.255	PL
195.22.100.0	195.22.103.255	NL
195.22.104.0	195.22.111.255	RU
195.22.112.0	195.22.115.255	UA
195.22.116.0	195.22.119.255	PL
195.22.120.0	195.22.123.255	DK
195.22.124.0	195.22.127.255	PL
195.22.128.0	195.22.129.255	GB
195.22.130.0	195.22.133.255	UA
195.22.134.0	195.22.135.255	GB
195.22.136.0	195.22.137.255	DE
195.22.138.0	195.22.139.255	BE
195.22.140.0	195.22.141.255	UA
195.22.142.0	195.22.143.255	DE
195.22.144.0	195.22.145.255	FR
195.22.146.0	195.22.147.255	BG
195.22.148.0	195.22.149.255	IL
195.22.150.0	195.22.151.255	GB
195.22.152.0	195.22.153.255	UA
195.22.154.0	195.22.155.255	GR
195.22.156.0	195.22.159.255	GB
195.22.160.0	195.22.191.255	LT
195.22.192.0	195.22.192.255	IT
195.22.193.0	195.22.193.255	GR
195.22.194.0	195.22.194.255	IT
195.22.195.0	195.22.195.255	US
195.22.196.0	195.22.198.255	IT
195.22.199.0	195.22.199.255	US
195.22.200.0	195.22.202.159	IT
195.22.202.160	195.22.202.255	GR
195.22.203.0	195.22.205.255	IT
195.22.206.0	195.22.206.255	US
195.22.207.0	195.22.207.135	IT
195.22.207.136	195.22.207.143	NL
195.22.207.144	195.22.207.159	GR
195.22.207.160	195.22.207.183	IT
195.22.207.184	195.22.207.207	GR
195.22.207.208	195.22.208.255	IT
195.22.209.0	195.22.209.255	GB
195.22.210.0	195.22.210.255	FR
195.22.211.0	195.22.211.255	DE
195.22.212.0	195.22.212.255	CH
195.22.213.0	195.22.213.255	NL
195.22.214.0	195.22.214.255	BE
195.22.215.0	195.22.215.255	AT
195.22.216.0	195.22.216.255	US
195.22.217.0	195.22.217.255	ES
195.22.218.0	195.22.218.255	IT
195.22.219.0	195.22.219.255	BR
195.22.220.0	195.22.220.255	AR
195.22.221.0	195.22.221.255	CL
195.22.222.0	195.22.222.255	US
195.22.223.0	195.22.223.127	IT
195.22.223.128	195.22.223.255	HK
195.22.224.0	195.22.255.255	MD
195.23.0.0	195.23.255.255	PT
195.24.0.0	195.24.7.223	DK
195.24.7.224	195.24.7.239	NO
195.24.7.240	195.24.31.255	DK
195.24.32.0	195.24.63.255	BG
195.24.64.0	195.24.71.255	RU
195.24.72.0	195.24.79.255	LU
195.24.80.0	195.24.87.255	DZ
195.24.88.0	195.24.95.255	BG
195.24.96.0	195.24.127.255	DE
195.24.128.0	195.24.159.255	UA
195.24.160.0	195.24.191.255	SE
195.24.192.0	195.24.223.255	CM
195.24.224.0	195.24.225.255	SE
195.24.226.0	195.24.227.255	DK
195.24.228.0	195.24.229.255	RU
195.24.230.0	195.24.233.255	GB
195.24.234.0	195.24.235.255	UA
195.24.236.0	195.24.241.255	RO
195.24.242.0	195.24.243.255	UA
195.24.244.0	195.24.245.255	DK
195.24.246.0	195.24.247.255	FR
195.24.248.0	195.24.249.255	PL
195.24.250.0	195.24.251.255	GB
195.24.252.0	195.24.253.255	UA
195.24.254.0	195.24.255.255	RU
195.25.0.0	195.25.138.135	FR
195.25.138.136	195.25.138.143	DE
195.25.138.144	195.25.174.55	FR
195.25.174.56	195.25.174.63	DE
195.25.174.64	195.25.174.159	FR
195.25.174.160	195.25.174.167	MC
195.25.174.168	195.25.255.255	FR
195.26.0.0	195.26.1.255	NO
195.26.2.0	195.26.3.255	BE
195.26.4.0	195.26.5.255	LU
195.26.6.0	195.26.7.255	RU
195.26.8.0	195.26.9.255	FR
195.26.10.0	195.26.11.255	SE
195.26.12.0	195.26.13.255	PL
195.26.14.0	195.26.15.255	AT
195.26.16.0	195.26.19.255	UA
195.26.20.0	195.26.21.255	LV
195.26.22.0	195.26.25.255	PL
195.26.26.0	195.26.27.255	GB
195.26.28.0	195.26.29.255	SE
195.26.30.0	195.26.31.255	RU
195.26.32.0	195.26.58.215	GB
195.26.58.216	195.26.58.223	US
195.26.58.224	195.26.63.255	GB
195.26.64.0	195.26.67.255	UA
195.26.68.0	195.26.71.255	RU
195.26.72.0	195.26.79.255	PL
195.26.80.0	195.26.87.255	UA
195.26.88.0	195.26.91.255	GB
195.26.92.0	195.26.95.255	UA
195.26.96.0	195.26.127.255	GB
195.26.128.0	195.26.159.255	MK
195.26.160.0	195.26.191.255	RU
195.26.192.0	195.26.223.255	AT
195.26.224.0	195.26.255.255	GB
195.27.0.0	195.27.0.255	IE
195.27.1.0	195.27.1.135	EU
195.27.1.136	195.27.1.139	DE
195.27.1.140	195.27.1.143	EU
195.27.1.144	195.27.1.199	DE
195.27.1.200	195.27.2.175	EU
195.27.2.176	195.27.2.183	DE
195.27.2.184	195.27.2.255	EU
195.27.3.0	195.27.3.63	IE
195.27.3.64	195.27.3.135	GB
195.27.3.136	195.27.3.159	EU
195.27.3.160	195.27.3.191	IE
195.27.3.192	195.27.7.127	EU
195.27.7.128	195.27.7.255	DE
195.27.8.0	195.27.10.47	GB
195.27.10.48	195.27.10.63	DE
195.27.10.64	195.27.10.159	GB
195.27.10.160	195.27.10.255	EU
195.27.11.0	195.27.11.15	GB
195.27.11.16	195.27.11.31	DE
195.27.11.32	195.27.13.255	GB
195.27.14.0	195.27.14.7	IR
195.27.14.8	195.27.14.15	IE
195.27.14.16	195.27.14.23	GB
195.27.14.24	195.27.14.47	IE
195.27.14.48	195.27.14.95	GB
195.27.14.96	195.27.14.119	IE
195.27.14.120	195.27.14.127	GB
195.27.14.128	195.27.14.255	IE
195.27.15.0	195.27.17.255	GB
195.27.18.0	195.27.19.255	EU
195.27.20.0	195.27.20.255	GB
195.27.21.0	195.27.21.63	DE
195.27.21.64	195.27.21.127	EU
195.27.21.128	195.27.21.255	DE
195.27.22.0	195.27.23.63	EU
195.27.23.64	195.27.23.95	DE
195.27.23.96	195.27.23.127	EU
195.27.23.128	195.27.23.191	DE
195.27.23.192	195.27.25.63	EU
195.27.25.64	195.27.25.127	DE
195.27.25.128	195.27.29.255	EU
195.27.30.0	195.27.31.255	DE
195.27.32.0	195.27.32.255	EU
195.27.33.0	195.27.33.255	DE
195.27.34.0	195.27.35.255	GB
195.27.36.0	195.27.36.127	EU
195.27.36.128	195.27.36.191	DE
195.27.36.192	195.27.40.15	EU
195.27.40.16	195.27.40.31	DE
195.27.40.32	195.27.40.39	GB
195.27.40.40	195.27.40.47	DE
195.27.40.48	195.27.40.127	EU
195.27.40.128	195.27.40.255	DE
195.27.41.0	195.27.43.255	EU
195.27.44.0	195.27.44.255	DE
195.27.45.0	195.27.46.255	EU
195.27.47.0	195.27.47.255	DE
195.27.48.0	195.27.48.255	EU
195.27.49.0	195.27.51.255	DE
195.27.52.0	195.27.52.15	GB
195.27.52.16	195.27.52.39	DE
195.27.52.40	195.27.52.51	GB
195.27.52.52	195.27.52.55	DE
195.27.52.56	195.27.52.191	GB
195.27.52.192	195.27.52.207	GI
195.27.52.208	195.27.53.255	GB
195.27.54.0	195.27.55.255	EU
195.27.56.0	195.27.58.255	FR
195.27.59.0	195.27.59.255	DE
195.27.60.0	195.27.61.255	EU
195.27.62.0	195.27.63.255	DE
195.27.64.0	195.27.67.255	GB
195.27.68.0	195.27.70.255	DE
195.27.71.0	195.27.71.255	EU
195.27.72.0	195.27.72.255	DE
195.27.73.0	195.27.78.255	EU
195.27.79.0	195.27.79.255	DE
195.27.80.0	195.27.82.255	EU
195.27.83.0	195.27.84.255	DE
195.27.85.0	195.27.87.255	EU
195.27.88.0	195.27.89.255	DE
195.27.90.0	195.27.92.127	EU
195.27.92.128	195.27.92.143	DE
195.27.92.144	195.27.92.191	EU
195.27.92.192	195.27.92.207	DE
195.27.92.208	195.27.96.255	EU
195.27.97.0	195.27.97.31	DE
195.27.97.32	195.27.97.79	EU
195.27.97.80	195.27.97.95	DE
195.27.97.96	195.27.98.191	EU
195.27.98.192	195.27.98.223	DE
195.27.98.224	195.27.98.255	EU
195.27.99.0	195.27.99.255	DE
195.27.100.0	195.27.102.223	EU
195.27.102.224	195.27.102.255	DE
195.27.103.0	195.27.103.31	EU
195.27.103.32	195.27.103.63	DE
195.27.103.64	195.27.112.255	EU
195.27.113.0	195.27.115.255	DE
195.27.116.0	195.27.130.15	EU
195.27.130.16	195.27.130.31	DE
195.27.130.32	195.27.130.143	EU
195.27.130.144	195.27.130.207	DE
195.27.130.208	195.27.136.63	EU
195.27.136.64	195.27.136.127	DE
195.27.136.128	195.27.136.223	EU
195.27.136.224	195.27.136.255	DE
195.27.137.0	195.27.137.127	EU
195.27.137.128	195.27.137.159	DE
195.27.137.160	195.27.137.191	EU
195.27.137.192	195.27.137.255	DE
195.27.138.0	195.27.138.127	EU
195.27.138.128	195.27.138.255	DE
195.27.139.0	195.27.139.63	EU
195.27.139.64	195.27.139.79	DE
195.27.139.80	195.27.143.7	EU
195.27.143.8	195.27.143.11	DE
195.27.143.12	195.27.143.127	EU
195.27.143.128	195.27.143.191	DE
195.27.143.192	195.27.148.127	EU
195.27.148.128	195.27.148.255	DE
195.27.149.0	195.27.149.255	EU
195.27.150.0	195.27.150.255	DE
195.27.151.0	195.27.151.255	EU
195.27.152.0	195.27.152.15	NL
195.27.152.16	195.27.152.23	GB
195.27.152.24	195.27.152.255	NL
195.27.153.0	195.27.153.7	GB
195.27.153.8	195.27.153.127	EU
195.27.153.128	195.27.153.255	FR
195.27.154.0	195.27.155.255	DE
195.27.156.0	195.27.158.255	EU
195.27.159.0	195.27.159.127	DE
195.27.159.128	195.27.159.255	EU
195.27.160.0	195.27.160.15	DE
195.27.160.16	195.27.161.255	EU
195.27.162.0	195.27.163.255	DE
195.27.164.0	195.27.166.255	EU
195.27.167.0	195.27.168.255	DE
195.27.169.0	195.27.171.255	EU
195.27.172.0	195.27.173.255	DE
195.27.174.0	195.27.176.63	EU
195.27.176.64	195.27.176.95	DE
195.27.176.96	195.27.176.111	EU
195.27.176.112	195.27.176.127	DE
195.27.176.128	195.27.176.159	EU
195.27.176.160	195.27.176.175	DE
195.27.176.176	195.27.176.223	EU
195.27.176.224	195.27.176.227	DE
195.27.176.228	195.27.177.95	EU
195.27.177.96	195.27.177.151	DE
195.27.177.152	195.27.177.239	EU
195.27.177.240	195.27.177.247	DE
195.27.177.248	195.27.179.255	EU
195.27.180.0	195.27.180.255	GB
195.27.181.0	195.27.181.255	NL
195.27.182.0	195.27.183.15	GB
195.27.183.16	195.27.183.255	DE
195.27.184.0	195.27.189.255	EU
195.27.190.0	195.27.191.63	DE
195.27.191.64	195.27.191.255	EU
195.27.192.0	195.27.192.127	DE
195.27.192.128	195.27.192.255	EU
195.27.193.0	195.27.193.255	DE
195.27.194.0	195.27.195.23	EU
195.27.195.24	195.27.195.31	DE
195.27.195.32	195.27.199.255	EU
195.27.200.0	195.27.201.47	DE
195.27.201.48	195.27.202.255	EU
195.27.203.0	195.27.203.255	DE
195.27.204.0	195.27.215.255	EU
195.27.216.0	195.27.216.255	DE
195.27.217.0	195.27.217.255	GB
195.27.218.0	195.27.218.63	DE
195.27.218.64	195.27.218.79	EU
195.27.218.80	195.27.218.191	DE
195.27.218.192	195.27.218.239	EU
195.27.218.240	195.27.219.31	DE
195.27.219.32	195.27.224.255	EU
195.27.225.0	195.27.226.255	DE
195.27.227.0	195.27.227.255	EU
195.27.228.0	195.27.228.255	DE
195.27.229.0	195.27.229.63	EU
195.27.229.64	195.27.229.127	DE
195.27.229.128	195.27.229.255	EU
195.27.230.0	195.27.230.255	DE
195.27.231.0	195.27.231.31	EU
195.27.231.32	195.27.231.63	DE
195.27.231.64	195.27.231.127	EU
195.27.231.128	195.27.231.191	DE
195.27.231.192	195.27.236.47	EU
195.27.236.48	195.27.236.63	DE
195.27.236.64	195.27.236.207	EU
195.27.236.208	195.27.236.223	DE
195.27.236.224	195.27.236.255	EU
195.27.237.0	195.27.237.255	DE
195.27.238.0	195.27.238.31	EU
195.27.238.32	195.27.238.63	DE
195.27.238.64	195.27.240.127	EU
195.27.240.128	195.27.240.191	DE
195.27.240.192	195.27.242.255	EU
195.27.243.0	195.27.243.7	DE
195.27.243.8	195.27.243.15	EU
195.27.243.16	195.27.243.63	DE
195.27.243.64	195.27.243.71	EU
195.27.243.72	195.27.243.79	DE
195.27.243.80	195.27.243.103	EU
195.27.243.104	195.27.243.111	DE
195.27.243.112	195.27.243.127	EU
195.27.243.128	195.27.243.255	DE
195.27.244.0	195.27.247.255	EU
195.27.248.0	195.27.248.31	DE
195.27.248.32	195.27.248.63	EU
195.27.248.64	195.27.248.127	DE
195.27.248.128	195.27.248.255	EU
195.27.249.0	195.27.249.127	DE
195.27.249.128	195.27.252.127	EU
195.27.252.128	195.27.252.223	DE
195.27.252.224	195.27.252.239	EU
195.27.252.240	195.27.252.255	DE
195.27.253.0	195.27.254.255	EU
195.27.255.0	195.27.255.255	DE
195.28.0.0	195.28.1.255	UA
195.28.2.0	195.28.5.255	RO
195.28.6.0	195.28.7.255	BG
195.28.8.0	195.28.9.255	RO
195.28.10.0	195.28.11.255	RU
195.28.12.0	195.28.13.255	DE
195.28.14.0	195.28.15.255	RU
195.28.16.0	195.28.17.255	PL
195.28.18.0	195.28.19.255	RO
195.28.20.0	195.28.21.255	RU
195.28.22.0	195.28.23.255	NL
195.28.24.0	195.28.25.255	RO
195.28.26.0	195.28.27.255	LV
195.28.28.0	195.28.29.255	SE
195.28.30.0	195.28.31.255	UA
195.28.32.0	195.28.63.255	RU
195.28.64.0	195.28.159.255	SK
195.28.160.0	195.28.161.255	LU
195.28.162.0	195.28.163.255	RO
195.28.164.0	195.28.165.255	BE
195.28.166.0	195.28.167.255	IL
195.28.168.0	195.28.169.255	GB
195.28.170.0	195.28.171.255	PL
195.28.172.0	195.28.173.255	NO
195.28.174.0	195.28.175.255	DE
195.28.176.0	195.28.177.255	RO
195.28.178.0	195.28.179.255	PL
195.28.180.0	195.28.181.255	IL
195.28.182.0	195.28.183.255	PL
195.28.184.0	195.28.185.255	RO
195.28.186.0	195.28.187.255	UA
195.28.188.0	195.28.189.255	RO
195.28.190.0	195.28.191.255	AT
195.28.192.0	195.28.192.183	FR
195.28.192.184	195.28.192.255	GB
195.28.193.0	195.28.193.71	FR
195.28.193.72	195.28.193.79	GB
195.28.193.80	195.28.193.95	FR
195.28.193.96	195.28.193.111	GB
195.28.193.112	195.28.193.223	FR
195.28.193.224	195.28.193.255	GB
195.28.194.0	195.28.195.79	FR
195.28.195.80	195.28.195.95	GB
195.28.195.96	195.28.195.103	FR
195.28.195.104	195.28.195.255	GB
195.28.196.0	195.28.196.27	FR
195.28.196.28	195.28.196.31	GB
195.28.196.32	195.28.196.63	FR
195.28.196.64	195.28.196.127	GB
195.28.196.128	195.28.197.255	FR
195.28.198.0	195.28.198.255	GB
195.28.199.0	195.28.199.8	FR
195.28.199.9	195.28.199.255	GB
195.28.200.0	195.28.201.255	FR
195.28.202.0	195.28.202.255	GB
195.28.203.0	195.28.203.255	FR
195.28.204.0	195.28.223.255	GB
195.28.224.0	195.28.255.255	CH
195.29.0.0	195.29.255.255	HR
195.30.0.0	195.30.255.255	DE
195.31.0.0	195.32.127.255	IT
195.32.128.0	195.32.255.255	DE
195.33.0.0	195.33.3.255	GB
195.33.4.0	195.33.4.7	IE
195.33.4.8	195.33.28.95	GB
195.33.28.96	195.33.28.103	DK
195.33.28.104	195.33.28.111	FR
195.33.28.112	195.33.28.119	ES
195.33.28.120	195.33.28.127	DE
195.33.28.128	195.33.28.143	GB
195.33.28.144	195.33.28.151	PT
195.33.28.152	195.33.28.159	FI
195.33.28.160	195.33.28.167	NO
195.33.28.168	195.33.28.175	CZ
195.33.28.176	195.33.31.255	GB
195.33.32.0	195.33.32.255	NL
195.33.33.0	195.33.33.255	GB
195.33.34.0	195.33.47.255	NL
195.33.48.0	195.33.63.255	GB
195.33.64.0	195.33.91.255	FR
195.33.92.0	195.33.92.255	JO
195.33.93.0	195.33.95.255	FR
195.33.96.0	195.33.127.255	GB
195.33.128.0	195.33.159.255	NL
195.33.160.0	195.33.191.255	DE
195.33.192.0	195.33.255.255	TR
195.34.0.0	195.34.63.255	RU
195.34.64.0	195.34.65.255	DE
195.34.66.0	195.34.67.255	RO
195.34.68.0	195.34.69.255	SA
195.34.70.0	195.34.71.255	ES
195.34.72.0	195.34.73.255	CH
195.34.74.0	195.34.75.255	UA
195.34.76.0	195.34.77.255	RO
195.34.78.0	195.34.79.255	GB
195.34.80.0	195.34.81.255	PL
195.34.82.0	195.34.83.255	DE
195.34.84.0	195.34.85.255	SE
195.34.86.0	195.34.87.255	A2
195.34.88.0	195.34.89.255	CH
195.34.90.0	195.34.91.255	UA
195.34.92.0	195.34.93.255	GB
195.34.94.0	195.34.95.255	UA
195.34.96.0	195.34.127.255	BG
195.34.128.0	195.34.159.255	AT
195.34.160.0	195.34.179.63	DE
195.34.179.64	195.34.179.79	PL
195.34.179.80	195.34.179.95	LV
195.34.179.96	195.34.191.255	DE
195.34.192.0	195.34.195.255	RU
195.34.196.0	195.34.207.255	UA
195.34.208.0	195.34.211.255	PL
195.34.212.0	195.34.215.255	LT
195.34.216.0	195.34.219.255	PL
195.34.220.0	195.34.223.255	AT
195.34.224.0	195.34.255.255	RU
195.35.0.0	195.35.63.255	DE
195.35.64.0	195.35.64.255	BE
195.35.65.0	195.35.65.255	UA
195.35.66.0	195.35.66.255	PT
195.35.67.0	195.35.67.255	GB
195.35.68.0	195.35.71.255	RU
195.35.72.0	195.35.79.255	DE
195.35.80.0	195.35.80.255	PL
195.35.81.0	195.35.81.255	LU
195.35.82.0	195.35.83.255	SE
195.35.84.0	195.35.84.255	BG
195.35.85.0	195.35.85.255	PS
195.35.86.0	195.35.86.255	SE
195.35.87.0	195.35.89.255	DE
195.35.90.0	195.35.91.255	GB
195.35.92.0	195.35.95.255	GR
195.35.96.0	195.35.96.255	PT
195.35.97.0	195.35.97.255	SE
195.35.98.0	195.35.98.255	DE
195.35.99.0	195.35.99.255	IT
195.35.100.0	195.35.101.255	SE
195.35.102.0	195.35.102.255	CH
195.35.103.0	195.35.103.255	DE
195.35.104.0	195.35.104.31	GB
195.35.104.32	195.35.104.63	AT
195.35.104.64	195.35.104.255	IT
195.35.105.0	195.35.105.255	GR
195.35.106.0	195.35.106.255	FR
195.35.107.0	195.35.107.255	LV
195.35.108.0	195.35.109.255	DE
195.35.110.0	195.35.111.255	BE
195.35.112.0	195.35.113.255	GB
195.35.114.0	195.35.115.255	LV
195.35.116.0	195.35.117.255	RU
195.35.118.0	195.35.118.255	RO
195.35.119.0	195.35.119.255	CH
195.35.120.0	195.35.120.255	GB
195.35.121.0	195.35.121.255	CH
195.35.122.0	195.35.122.255	SI
195.35.123.0	195.35.125.255	GB
195.35.126.0	195.35.126.255	GR
195.35.127.0	195.35.127.255	DE
195.35.128.0	195.35.255.255	NL
195.36.0.0	195.36.63.255	IT
195.36.64.0	195.36.127.255	DE
195.36.128.0	195.36.255.255	FR
195.37.0.0	195.37.255.255	DE
195.38.0.0	195.38.7.255	SE
195.38.8.0	195.38.11.255	DE
195.38.12.0	195.38.15.255	PL
195.38.16.0	195.38.18.255	UA
195.38.19.0	195.38.19.255	GB
195.38.20.0	195.38.20.255	DE
195.38.21.0	195.38.21.255	GB
195.38.22.0	195.38.22.255	KZ
195.38.23.0	195.38.23.255	RU
195.38.24.0	195.38.27.255	DE
195.38.28.0	195.38.29.255	GB
195.38.30.0	195.38.30.255	MT
195.38.31.0	195.38.31.255	PL
195.38.32.0	195.38.63.255	RU
195.38.64.0	195.38.95.255	GB
195.38.96.0	195.38.127.255	HU
195.38.128.0	195.38.159.255	DE
195.38.160.0	195.38.191.255	KG
195.38.192.0	195.38.255.255	NL
195.39.0.0	195.39.127.255	CZ
195.39.128.0	195.39.191.255	KW
195.39.192.0	195.39.193.255	GB
195.39.194.0	195.39.195.255	DE
195.39.196.0	195.39.197.255	UA
195.39.198.0	195.39.199.255	BG
195.39.200.0	195.39.201.255	AT
195.39.202.0	195.39.205.255	GB
195.39.206.0	195.39.207.255	RU
195.39.208.0	195.39.209.255	RO
195.39.210.0	195.39.211.255	UA
195.39.212.0	195.39.213.255	BG
195.39.214.0	195.39.215.255	UA
195.39.216.0	195.39.217.255	PL
195.39.218.0	195.39.219.255	DZ
195.39.220.0	195.39.223.255	DE
195.39.224.0	195.39.225.255	TR
195.39.226.0	195.39.227.255	DE
195.39.228.0	195.39.229.255	RU
195.39.230.0	195.39.231.255	DE
195.39.232.0	195.39.233.255	UA
195.39.234.0	195.39.235.255	DE
195.39.236.0	195.39.237.255	GR
195.39.238.0	195.39.239.255	DE
195.39.240.0	195.39.243.255	UA
195.39.244.0	195.39.245.255	BE
195.39.246.0	195.39.247.255	DE
195.39.248.0	195.39.249.255	UA
195.39.250.0	195.39.251.255	FR
195.39.252.0	195.39.253.255	UA
195.39.254.0	195.39.255.255	NL
195.40.0.0	195.40.99.159	GB
195.40.99.160	195.40.99.191	FR
195.40.99.192	195.40.189.255	GB
195.40.190.0	195.40.190.255	A2
195.40.191.0	195.40.255.255	GB
195.41.0.0	195.41.255.255	DK
195.42.0.0	195.42.32.207	FR
195.42.32.208	195.42.32.223	RU
195.42.32.224	195.42.63.255	FR
195.42.64.0	195.42.97.255	RU
195.42.98.0	195.42.99.255	PL
195.42.100.0	195.42.101.255	DE
195.42.102.0	195.42.103.255	NL
195.42.104.0	195.42.105.255	SE
195.42.106.0	195.42.107.255	AT
195.42.108.0	195.42.109.255	DE
195.42.110.0	195.42.111.255	SE
195.42.112.0	195.42.113.255	PL
195.42.114.0	195.42.115.255	DE
195.42.116.0	195.42.117.255	RO
195.42.118.0	195.42.119.255	RU
195.42.120.0	195.42.121.255	IE
195.42.122.0	195.42.123.255	RU
195.42.124.0	195.42.125.255	FR
195.42.126.0	195.42.127.255	UA
195.42.128.0	195.42.129.255	RO
195.42.130.0	195.42.131.255	UA
195.42.132.0	195.42.133.255	US
195.42.134.0	195.42.135.255	NL
195.42.136.0	195.42.137.255	UA
195.42.138.0	195.42.139.255	RO
195.42.140.0	195.42.141.255	PL
195.42.142.0	195.42.143.255	DE
195.42.144.0	195.42.145.255	FR
195.42.146.0	195.42.147.255	RU
195.42.148.0	195.42.149.255	FR
195.42.150.0	195.42.151.255	DK
195.42.152.0	195.42.153.255	PL
195.42.154.0	195.42.191.255	RU
195.42.192.0	195.42.223.255	SE
195.42.224.0	195.42.229.255	NL
195.42.230.0	195.42.230.255	AT
195.42.231.0	195.42.231.255	FR
195.42.232.0	195.42.235.255	DE
195.42.236.0	195.42.239.255	GB
195.42.240.0	195.42.248.255	NL
195.42.249.0	195.42.249.255	PL
195.42.250.0	195.42.251.255	FR
195.42.252.0	195.42.255.255	DE
195.43.0.0	195.43.31.255	EG
195.43.32.0	195.43.35.255	RU
195.43.36.0	195.43.39.255	SE
195.43.40.0	195.43.43.255	UA
195.43.44.0	195.43.51.255	GB
195.43.52.0	195.43.55.255	DE
195.43.56.0	195.43.59.255	CH
195.43.60.0	195.43.63.255	NO
195.43.64.0	195.43.65.255	FR
195.43.66.0	195.43.67.255	PL
195.43.68.0	195.43.69.255	RU
195.43.70.0	195.43.71.255	UA
195.43.72.0	195.43.73.255	PL
195.43.74.0	195.43.75.255	AM
195.43.76.0	195.43.77.255	CZ
195.43.78.0	195.43.79.255	DK
195.43.80.0	195.43.83.255	LV
195.43.84.0	195.43.85.255	PL
195.43.86.0	195.43.87.255	EE
195.43.88.0	195.43.89.255	DE
195.43.90.0	195.43.93.255	RU
195.43.94.0	195.43.95.255	SC
195.43.96.0	195.43.127.255	LU
195.43.128.0	195.43.128.255	ES
195.43.129.0	195.43.129.255	IT
195.43.130.0	195.43.130.255	NL
195.43.131.0	195.43.131.255	SI
195.43.132.0	195.43.132.255	GR
195.43.133.0	195.43.133.255	SI
195.43.134.0	195.43.134.255	CH
195.43.135.0	195.43.135.255	RU
195.43.136.0	195.43.136.255	LT
195.43.137.0	195.43.137.255	SA
195.43.138.0	195.43.138.255	NL
195.43.139.0	195.43.139.255	AT
195.43.140.0	195.43.140.255	CH
195.43.141.0	195.43.141.255	LI
195.43.142.0	195.43.143.255	PL
195.43.144.0	195.43.144.255	RU
195.43.145.0	195.43.145.255	NO
195.43.146.0	195.43.146.255	UA
195.43.147.0	195.43.147.255	RU
195.43.148.0	195.43.148.255	UA
195.43.149.0	195.43.149.255	AT
195.43.150.0	195.43.150.255	FR
195.43.151.0	195.43.151.255	SE
195.43.152.0	195.43.152.255	AT
195.43.153.0	195.43.153.255	CH
195.43.154.0	195.43.154.255	NL
195.43.155.0	195.43.155.255	IE
195.43.156.0	195.43.156.255	GR
195.43.157.0	195.43.157.255	GB
195.43.158.0	195.43.158.255	NL
195.43.159.0	195.43.159.255	SI
195.43.160.0	195.43.191.255	IT
195.43.192.0	195.43.236.127	SE
195.43.236.128	195.43.236.255	US
195.43.237.0	195.43.255.255	SE
195.44.0.0	195.44.7.255	EU
195.44.8.0	195.44.9.255	GB
195.44.10.0	195.44.10.255	EU
195.44.11.0	195.44.11.127	GB
195.44.11.128	195.44.11.191	EU
195.44.11.192	195.44.11.255	GB
195.44.12.0	195.44.12.31	EU
195.44.12.32	195.44.12.255	GB
195.44.13.0	195.44.21.255	EU
195.44.22.0	195.44.27.255	GB
195.44.28.0	195.44.29.255	EU
195.44.30.0	195.44.30.255	GB
195.44.31.0	195.44.31.255	EU
195.44.32.0	195.44.34.255	GB
195.44.35.0	195.44.35.255	EU
195.44.36.0	195.44.37.55	GB
195.44.37.56	195.44.37.71	EU
195.44.37.72	195.44.37.191	GB
195.44.37.192	195.44.37.199	EU
195.44.37.200	195.44.37.215	GB
195.44.37.216	195.44.37.231	EU
195.44.37.232	195.44.37.239	GB
195.44.37.240	195.44.37.255	EU
195.44.38.0	195.44.38.159	GB
195.44.38.160	195.44.38.223	EU
195.44.38.224	195.44.38.255	GB
195.44.39.0	195.44.40.255	EU
195.44.41.0	195.44.45.31	GB
195.44.45.32	195.44.45.39	EU
195.44.45.40	195.44.45.87	GB
195.44.45.88	195.44.45.95	EU
195.44.45.96	195.44.45.111	GB
195.44.45.112	195.44.45.119	EU
195.44.45.120	195.44.45.143	GB
195.44.45.144	195.44.45.159	EU
195.44.45.160	195.44.45.167	GB
195.44.45.168	195.44.45.175	EU
195.44.45.176	195.44.45.199	GB
195.44.45.200	195.44.45.207	EU
195.44.45.208	195.44.45.215	GB
195.44.45.216	195.44.45.223	EU
195.44.45.224	195.44.45.231	GB
195.44.45.232	195.44.45.239	EU
195.44.45.240	195.44.45.247	GB
195.44.45.248	195.44.46.15	EU
195.44.46.16	195.44.46.63	GB
195.44.46.64	195.44.46.79	EU
195.44.46.80	195.44.46.95	GB
195.44.46.96	195.44.46.175	EU
195.44.46.176	195.44.46.223	GB
195.44.46.224	195.44.46.255	EU
195.44.47.0	195.44.47.191	GB
195.44.47.192	195.44.47.255	EU
195.44.48.0	195.44.51.7	GB
195.44.51.8	195.44.51.23	EU
195.44.51.24	195.44.51.31	GB
195.44.51.32	195.44.51.39	EU
195.44.51.40	195.44.51.87	GB
195.44.51.88	195.44.51.103	EU
195.44.51.104	195.44.51.111	GB
195.44.51.112	195.44.51.127	EU
195.44.51.128	195.44.51.143	GB
195.44.51.144	195.44.51.159	EU
195.44.51.160	195.44.51.175	GB
195.44.51.176	195.44.51.183	EU
195.44.51.184	195.44.51.191	GB
195.44.51.192	195.44.51.199	EU
195.44.51.200	195.44.51.215	GB
195.44.51.216	195.44.51.223	EU
195.44.51.224	195.44.51.231	GB
195.44.51.232	195.44.51.239	EU
195.44.51.240	195.44.52.255	GB
195.44.53.0	195.44.54.127	EU
195.44.54.128	195.44.57.15	GB
195.44.57.16	195.44.57.31	EU
195.44.57.32	195.44.57.39	GB
195.44.57.40	195.44.57.47	EU
195.44.57.48	195.44.57.55	GB
195.44.57.56	195.44.57.63	EU
195.44.57.64	195.44.57.79	GB
195.44.57.80	195.44.57.87	EU
195.44.57.88	195.44.57.95	GB
195.44.57.96	195.44.57.103	EU
195.44.57.104	195.44.57.127	GB
195.44.57.128	195.44.57.135	EU
195.44.57.136	195.44.57.143	GB
195.44.57.144	195.44.57.151	EU
195.44.57.152	195.44.57.207	GB
195.44.57.208	195.44.57.223	EU
195.44.57.224	195.44.57.239	GB
195.44.57.240	195.44.58.191	EU
195.44.58.192	195.44.58.255	GB
195.44.59.0	195.44.59.63	EU
195.44.59.64	195.44.59.127	GB
195.44.59.128	195.44.59.159	EU
195.44.59.160	195.44.61.39	GB
195.44.61.40	195.44.61.47	EU
195.44.61.48	195.44.61.55	GB
195.44.61.56	195.44.61.63	EU
195.44.61.64	195.44.61.71	GB
195.44.61.72	195.44.61.79	EU
195.44.61.80	195.44.61.87	GB
195.44.61.88	195.44.61.95	EU
195.44.61.96	195.44.61.127	GB
195.44.61.128	195.44.61.135	EU
195.44.61.136	195.44.61.191	GB
195.44.61.192	195.44.61.207	EU
195.44.61.208	195.44.61.215	GB
195.44.61.216	195.44.61.223	EU
195.44.61.224	195.44.61.239	GB
195.44.61.240	195.44.61.247	EU
195.44.61.248	195.44.76.63	GB
195.44.76.64	195.44.76.255	EU
195.44.77.0	195.44.83.255	GB
195.44.84.0	195.44.84.255	EU
195.44.85.0	195.44.94.255	GB
195.44.95.0	195.44.95.127	EU
195.44.95.128	195.44.100.47	GB
195.44.100.48	195.44.100.63	EU
195.44.100.64	195.44.100.95	GB
195.44.100.96	195.44.100.111	EU
195.44.100.112	195.44.100.159	GB
195.44.100.160	195.44.100.255	EU
195.44.101.0	195.44.101.175	GB
195.44.101.176	195.44.101.183	EU
195.44.101.184	195.44.101.203	GB
195.44.101.204	195.44.101.207	EU
195.44.101.208	195.44.101.223	GB
195.44.101.224	195.44.101.255	EU
195.44.102.0	195.44.103.27	GB
195.44.103.28	195.44.103.31	EU
195.44.103.32	195.44.103.235	GB
195.44.103.236	195.44.103.255	EU
195.44.104.0	195.44.115.239	GB
195.44.115.240	195.44.115.255	EU
195.44.116.0	195.44.116.135	GB
195.44.116.136	195.44.116.255	EU
195.44.117.0	195.44.119.255	GB
195.44.120.0	195.44.120.111	EU
195.44.120.112	195.44.120.191	GB
195.44.120.192	195.44.120.255	EU
195.44.121.0	195.44.121.255	GB
195.44.122.0	195.44.125.255	EU
195.44.126.0	195.44.167.255	GB
195.44.168.0	195.44.190.255	EU
195.44.191.0	195.44.191.255	GB
195.44.192.0	195.44.193.63	EU
195.44.193.64	195.44.196.15	GB
195.44.196.16	195.44.196.31	EU
195.44.196.32	195.44.197.111	GB
195.44.197.112	195.44.197.119	EU
195.44.197.120	195.44.197.159	GB
195.44.197.160	195.44.197.167	EU
195.44.197.168	195.44.197.183	GB
195.44.197.184	195.44.197.191	EU
195.44.197.192	195.44.197.247	GB
195.44.197.248	195.44.197.255	EU
195.44.198.0	195.44.248.255	GB
195.44.249.0	195.44.253.255	EU
195.44.254.0	195.44.254.63	GB
195.44.254.64	195.44.254.64	EU
195.44.254.65	195.44.254.127	GB
195.44.254.128	195.44.255.255	EU
195.45.0.0	195.45.255.255	IT
195.46.0.0	195.46.31.255	GR
195.46.32.0	195.46.35.255	UA
195.46.36.0	195.46.39.255	NL
195.46.40.0	195.46.43.255	PL
195.46.44.0	195.46.47.255	DE
195.46.48.0	195.46.51.255	GB
195.46.52.0	195.46.55.255	RS
195.46.56.0	195.46.59.255	UA
195.46.60.0	195.46.63.255	GB
195.46.64.0	195.46.95.255	SK
195.46.96.0	195.46.127.255	RU
195.46.128.0	195.46.159.255	TR
195.46.160.0	195.46.191.255	RU
195.46.192.0	195.46.223.255	FR
195.46.224.0	195.46.224.31	LU
195.46.224.32	195.46.224.39	A2
195.46.224.40	195.46.255.119	LU
195.46.255.120	195.46.255.127	A2
195.46.255.128	195.46.255.255	LU
195.47.0.0	195.47.127.255	CZ
195.47.128.0	195.47.191.255	DK
195.47.192.0	195.47.192.255	RU
195.47.193.0	195.47.193.255	BG
195.47.194.0	195.47.194.255	RO
195.47.195.0	195.47.195.255	DE
195.47.196.0	195.47.196.255	RU
195.47.197.0	195.47.197.255	SI
195.47.198.0	195.47.198.255	GB
195.47.199.0	195.47.199.255	IT
195.47.200.0	195.47.200.255	PT
195.47.201.0	195.47.201.255	PL
195.47.202.0	195.47.202.255	UA
195.47.203.0	195.47.203.255	PL
195.47.204.0	195.47.204.255	RU
195.47.205.0	195.47.205.255	SE
195.47.206.0	195.47.206.255	ES
195.47.207.0	195.47.207.255	GB
195.47.208.0	195.47.208.255	GR
195.47.209.0	195.47.209.255	ES
195.47.210.0	195.47.210.255	DK
195.47.211.0	195.47.211.255	SI
195.47.212.0	195.47.212.255	UA
195.47.213.0	195.47.213.255	SI
195.47.214.0	195.47.214.255	RO
195.47.215.0	195.47.215.255	BE
195.47.216.0	195.47.216.255	DK
195.47.217.0	195.47.217.255	AT
195.47.218.0	195.47.218.255	LT
195.47.219.0	195.47.219.255	UA
195.47.220.0	195.47.220.255	NL
195.47.221.0	195.47.221.255	IT
195.47.222.0	195.47.222.255	DK
195.47.223.0	195.47.223.255	GB
195.47.224.0	195.47.224.255	SI
195.47.225.0	195.47.225.255	GB
195.47.226.0	195.47.226.255	SI
195.47.227.0	195.47.227.255	PL
195.47.228.0	195.47.228.255	SI
195.47.229.0	195.47.229.255	DE
195.47.230.0	195.47.230.255	DK
195.47.231.0	195.47.231.255	CH
195.47.232.0	195.47.232.255	IT
195.47.233.0	195.47.233.255	GR
195.47.234.0	195.47.234.255	SA
195.47.235.0	195.47.235.255	CZ
195.47.236.0	195.47.236.255	ES
195.47.237.0	195.47.237.255	GB
195.47.238.0	195.47.238.255	SE
195.47.239.0	195.47.239.255	PL
195.47.240.0	195.47.240.255	GB
195.47.241.0	195.47.241.255	FR
195.47.242.0	195.47.242.255	RO
195.47.244.0	195.47.244.255	GB
195.47.245.0	195.47.245.255	CH
195.47.246.0	195.47.246.255	PL
195.47.247.0	195.47.247.255	DK
195.47.248.0	195.47.248.255	UA
195.47.249.0	195.47.249.255	DE
195.47.250.0	195.47.250.255	TJ
195.47.251.0	195.47.252.255	IT
195.47.253.0	195.47.253.255	UA
195.47.254.0	195.47.254.255	SE
195.47.255.0	195.47.255.255	KZ
195.48.0.0	195.49.127.255	CH
195.49.128.0	195.49.131.255	UA
195.49.132.0	195.49.135.255	FR
195.49.136.0	195.49.139.255	DE
195.49.140.0	195.49.143.255	FR
195.49.144.0	195.49.147.255	GB
195.49.148.0	195.49.151.255	UA
195.49.152.0	195.49.159.255	DE
195.49.160.0	195.49.163.255	SE
195.49.164.0	195.49.167.255	UA
195.49.168.0	195.49.171.255	RU
195.49.172.0	195.49.175.255	SE
195.49.176.0	195.49.179.255	ES
195.49.180.0	195.49.183.255	GB
195.49.184.0	195.49.187.255	RU
195.49.188.0	195.49.191.255	SK
195.49.192.0	195.49.199.255	RU
195.49.200.0	195.49.207.255	UA
195.49.208.0	195.49.215.255	KZ
195.49.216.0	195.49.223.255	TR
195.49.224.0	195.49.231.255	DE
195.49.240.0	195.49.247.255	SE
195.49.248.0	195.49.255.255	RO
195.50.0.0	195.50.31.255	BY
195.50.32.0	195.50.63.255	DK
195.50.64.0	195.50.127.255	GB
195.50.128.0	195.50.191.255	DE
195.50.192.0	195.50.223.255	EE
195.50.224.0	195.50.255.255	CH
195.51.0.0	195.51.11.127	DE
195.51.11.128	195.51.11.151	AT
195.51.11.152	195.51.11.255	EU
195.51.12.0	195.51.39.255	DE
195.51.40.0	195.51.41.255	EU
195.51.42.0	195.51.44.255	DE
195.51.45.0	195.51.45.255	EU
195.51.46.0	195.51.47.255	DE
195.51.48.0	195.51.48.255	FR
195.51.49.0	195.51.49.31	GB
195.51.49.32	195.51.49.63	DE
195.51.49.64	195.51.49.191	FR
195.51.49.192	195.51.50.31	DE
195.51.50.32	195.51.50.39	LU
195.51.50.40	195.51.50.47	GB
195.51.50.48	195.51.50.191	FR
195.51.50.192	195.51.50.255	NL
195.51.51.0	195.51.51.255	FR
195.51.52.0	195.51.52.31	DE
195.51.52.32	195.51.52.63	IT
195.51.52.64	195.51.52.127	FR
195.51.52.128	195.51.52.255	RO
195.51.53.0	195.51.53.255	FR
195.51.54.0	195.51.59.255	DE
195.51.60.0	195.51.60.255	EU
195.51.61.0	195.51.63.255	DE
195.51.64.0	195.51.67.127	NL
195.51.67.128	195.51.67.255	DE
195.51.68.0	195.51.69.95	NL
195.51.69.96	195.51.69.191	GB
195.51.69.192	195.51.69.207	ZA
195.51.69.208	195.51.69.215	CH
195.51.69.216	195.51.69.223	GB
195.51.69.224	195.51.69.255	SE
195.51.70.0	195.51.71.255	NL
195.51.72.0	195.51.75.255	BE
195.51.76.0	195.51.77.191	CH
195.51.77.192	195.51.77.223	EU
195.51.77.224	195.51.77.255	CH
195.51.78.0	195.51.79.255	GB
195.51.80.0	195.51.87.255	BE
195.51.88.0	195.51.91.95	ZA
195.51.91.96	195.51.91.111	BE
195.51.91.112	195.51.91.119	GB
195.51.91.120	195.51.91.127	IT
195.51.91.128	195.51.91.191	ZA
195.51.91.192	195.51.91.255	NL
195.51.92.0	195.51.92.255	EU
195.51.93.0	195.51.95.255	NL
195.51.96.0	195.51.111.255	FR
195.51.112.0	195.51.113.127	ES
195.51.113.128	195.51.113.191	RU
195.51.113.192	195.51.113.255	GB
195.51.114.0	195.51.115.255	ES
195.51.116.0	195.51.116.255	EU
195.51.117.0	195.51.117.255	FR
195.51.118.0	195.51.119.255	BE
195.51.120.0	195.51.127.255	IT
195.51.128.0	195.51.130.255	GB
195.51.131.0	195.51.131.159	DE
195.51.131.160	195.51.131.191	CH
195.51.131.192	195.51.131.223	ZA
195.51.131.224	195.51.131.255	BE
195.51.132.0	195.51.142.255	GB
195.51.143.0	195.51.143.95	SE
195.51.143.96	195.51.143.111	GB
195.51.143.112	195.51.143.127	EU
195.51.143.128	195.51.146.31	GB
195.51.146.32	195.51.146.39	BE
195.51.146.40	195.51.146.47	CH
195.51.146.48	195.51.146.63	SE
195.51.146.64	195.51.151.255	GB
195.51.152.0	195.51.152.127	EU
195.51.152.128	195.51.152.167	GB
195.51.152.168	195.51.152.175	FR
195.51.152.176	195.51.152.191	GB
195.51.152.192	195.51.152.255	EU
195.51.153.0	195.51.153.255	GB
195.51.154.0	195.51.154.255	DE
195.51.155.0	195.51.155.255	IT
195.51.156.0	195.51.159.255	ZA
195.51.160.0	195.51.162.127	DE
195.51.162.128	195.51.162.159	NL
195.51.162.160	195.51.162.167	DE
195.51.162.168	195.51.162.175	IT
195.51.162.176	195.51.167.255	DE
195.51.168.0	195.51.175.255	FR
195.51.176.0	195.51.191.255	NL
195.51.192.0	195.51.206.255	DK
195.51.207.0	195.51.207.31	SE
195.51.207.32	195.51.207.63	FR
195.51.207.64	195.51.207.79	GB
195.51.207.80	195.51.207.95	BE
195.51.207.96	195.51.207.127	GB
195.51.207.128	195.51.207.255	IT
195.51.208.0	195.51.213.255	AT
195.51.214.0	195.51.214.159	NL
195.51.214.160	195.51.214.175	BE
195.51.214.176	195.51.214.191	GB
195.51.214.192	195.51.214.255	PT
195.51.215.0	195.51.215.127	AT
195.51.215.128	195.51.215.255	NL
195.51.216.0	195.51.216.255	SE
195.51.217.0	195.51.217.255	EU
195.51.218.0	195.51.221.255	SE
195.51.222.0	195.51.222.255	GB
195.51.223.0	195.51.223.71	BE
195.51.223.72	195.51.223.79	AT
195.51.223.80	195.51.223.95	DE
195.51.223.96	195.51.223.111	GB
195.51.223.112	195.51.223.127	FR
195.51.223.128	195.51.223.191	DE
195.51.223.192	195.51.223.223	DK
195.51.223.224	195.51.223.255	SE
195.51.224.0	195.51.224.255	CH
195.51.225.0	195.51.226.255	AT
195.51.227.0	195.51.227.255	CH
195.51.228.0	195.51.228.7	GR
195.51.228.8	195.51.228.127	EU
195.51.228.128	195.51.228.135	BE
195.51.228.136	195.51.228.143	EU
195.51.228.144	195.51.228.159	FR
195.51.228.160	195.51.228.175	BE
195.51.228.176	195.51.228.183	GB
195.51.228.184	195.51.228.191	BE
195.51.228.192	195.51.228.255	EU
195.51.229.0	195.51.229.199	IE
195.51.229.200	195.51.229.207	EU
195.51.229.208	195.51.229.255	IE
195.51.230.0	195.51.233.127	AT
195.51.233.128	195.51.233.143	IT
195.51.233.144	195.51.233.151	GB
195.51.233.152	195.51.233.159	ZA
195.51.233.160	195.51.233.167	EU
195.51.233.168	195.51.233.175	GB
195.51.233.176	195.51.233.183	DE
195.51.233.184	195.51.233.191	GB
195.51.233.192	195.51.233.223	ES
195.51.233.224	195.51.234.255	DE
195.51.235.0	195.51.237.255	EU
195.51.238.0	195.51.238.63	BE
195.51.238.64	195.51.238.127	ES
195.51.238.128	195.51.238.191	GB
195.51.238.192	195.51.238.255	IT
195.51.239.0	195.51.241.255	AT
195.51.242.0	195.51.242.95	CH
195.51.242.96	195.51.242.127	DK
195.51.242.128	195.51.242.151	CH
195.51.242.152	195.51.242.159	EU
195.51.242.160	195.51.242.255	CH
195.51.243.0	195.51.243.63	BY
195.51.243.64	195.51.243.255	EU
195.51.244.0	195.51.244.191	AT
195.51.244.192	195.51.244.255	GB
195.51.245.0	195.51.245.255	ZA
195.51.246.0	195.51.246.255	BE
195.51.247.0	195.51.247.191	GR
195.51.247.192	195.51.248.223	GB
195.51.248.224	195.51.248.239	IE
195.51.248.240	195.51.248.247	GB
195.51.248.248	195.51.248.255	NL
195.51.249.0	195.51.249.255	DE
195.51.250.0	195.51.250.255	CH
195.51.251.0	195.51.251.31	DE
195.51.251.32	195.51.251.63	FR
195.51.251.64	195.51.251.71	GB
195.51.251.72	195.51.251.79	BE
195.51.251.80	195.51.251.95	NL
195.51.251.96	195.51.251.127	IT
195.51.251.128	195.51.251.255	DE
195.51.252.0	195.51.252.255	FR
195.51.253.0	195.51.254.255	BE
195.51.255.0	195.51.255.127	GB
195.51.255.128	195.51.255.143	HU
195.51.255.144	195.51.255.159	FR
195.51.255.160	195.51.255.191	NL
195.51.255.192	195.51.255.255	GB
195.52.0.0	195.52.255.255	DE
195.53.0.0	195.53.255.255	ES
195.54.0.0	195.54.35.255	RU
195.54.36.0	195.54.37.255	GB
195.54.38.0	195.54.39.255	NL
195.54.40.0	195.54.41.255	RU
195.54.42.0	195.54.43.255	UA
195.54.44.0	195.54.45.255	BG
195.54.46.0	195.54.47.255	PL
195.54.48.0	195.54.49.255	FR
195.54.50.0	195.54.51.255	PL
195.54.52.0	195.54.53.255	UA
195.54.54.0	195.54.55.255	DE
195.54.56.0	195.54.57.255	NL
195.54.58.0	195.54.59.255	GB
195.54.60.0	195.54.61.255	IT
195.54.62.0	195.54.63.255	FR
195.54.64.0	195.54.95.255	DK
195.54.96.0	195.54.158.127	SE
195.54.158.128	195.54.158.255	DK
195.54.159.0	195.54.159.255	SE
195.54.160.0	195.54.161.255	DE
195.54.162.0	195.54.163.255	UA
195.54.164.0	195.54.165.255	DE
195.54.166.0	195.54.167.255	UA
195.54.168.0	195.54.169.255	PT
195.54.170.0	195.54.171.255	MD
195.54.172.0	195.54.173.255	AT
195.54.174.0	195.54.175.255	NL
195.54.176.0	195.54.177.255	RU
195.54.178.0	195.54.179.255	GE
195.54.180.0	195.54.181.255	KG
195.54.182.0	195.54.183.255	SE
195.54.184.0	195.54.191.255	PL
195.54.192.0	195.54.223.255	RU
195.54.224.0	195.54.255.255	GB
195.55.0.0	195.55.255.255	ES
195.56.0.0	195.56.255.255	HU
195.57.0.0	195.57.255.255	ES
195.58.0.0	195.58.52.255	RU
195.58.53.0	195.58.53.255	TJ
195.58.54.0	195.58.63.255	RU
195.58.64.0	195.58.95.255	GB
195.58.96.0	195.58.127.255	SE
195.58.128.0	195.58.159.255	GB
195.58.160.0	195.58.191.255	AT
195.58.192.0	195.58.223.255	GB
195.58.224.0	195.58.255.255	UA
195.59.0.0	195.59.0.7	GB
195.59.0.8	195.59.0.31	EU
195.59.0.32	195.59.0.63	GB
195.59.0.64	195.59.0.127	EU
195.59.0.128	195.59.1.255	GB
195.59.2.0	195.59.7.255	EU
195.59.8.0	195.59.11.39	GB
195.59.11.40	195.59.11.47	EU
195.59.11.48	195.59.11.95	GB
195.59.11.96	195.59.11.255	EU
195.59.12.0	195.59.13.127	GB
195.59.13.128	195.59.13.255	EU
195.59.14.0	195.59.14.255	GB
195.59.15.0	195.59.15.255	EU
195.59.16.0	195.59.18.23	GB
195.59.18.24	195.59.23.255	EU
195.59.24.0	195.59.24.255	GB
195.59.25.0	195.59.25.127	EU
195.59.25.128	195.59.25.255	GB
195.59.26.0	195.59.26.191	EU
195.59.26.192	195.59.26.223	GB
195.59.26.224	195.59.31.255	EU
195.59.32.0	195.59.33.255	GB
195.59.34.0	195.59.39.255	EU
195.59.40.0	195.59.53.255	GB
195.59.54.0	195.59.55.255	EU
195.59.56.0	195.59.58.15	GB
195.59.58.16	195.59.63.255	EU
195.59.64.0	195.59.65.255	GB
195.59.66.0	195.59.71.255	EU
195.59.72.0	195.59.74.31	GB
195.59.74.32	195.59.79.255	EU
195.59.80.0	195.59.81.255	GB
195.59.82.0	195.59.87.255	EU
195.59.88.0	195.59.90.47	GB
195.59.90.48	195.59.90.63	EU
195.59.90.64	195.59.90.159	GB
195.59.90.160	195.59.95.255	EU
195.59.96.0	195.59.100.175	GB
195.59.100.176	195.59.100.183	FR
195.59.100.184	195.59.105.255	GB
195.59.106.0	195.59.107.95	EU
195.59.107.96	195.59.107.127	GB
195.59.107.128	195.59.111.255	EU
195.59.112.0	195.59.118.159	GB
195.59.118.160	195.59.119.255	EU
195.59.120.0	195.59.127.127	GB
195.59.127.128	195.59.127.255	EU
195.59.128.0	195.59.129.255	GB
195.59.130.0	195.59.132.255	FK
195.59.133.0	195.59.135.255	GB
195.59.136.0	195.59.141.255	IE
195.59.142.0	195.59.143.255	EU
195.59.144.0	195.59.144.255	HK
195.59.145.0	195.59.155.47	GB
195.59.155.48	195.59.155.63	EU
195.59.155.64	195.59.155.79	GB
195.59.155.80	195.59.155.255	EU
195.59.156.0	195.59.157.95	GB
195.59.157.96	195.59.157.111	IE
195.59.157.112	195.59.175.111	GB
195.59.175.112	195.59.175.127	IE
195.59.175.128	195.59.175.191	GB
195.59.175.192	195.59.175.207	IE
195.59.175.208	195.59.175.223	GB
195.59.175.224	195.59.175.255	IE
195.59.176.0	195.59.177.15	GB
195.59.177.16	195.59.177.31	IE
195.59.177.32	195.59.179.127	GB
195.59.179.128	195.59.180.127	EU
195.59.180.128	195.59.180.159	GB
195.59.180.160	195.59.255.255	EU
195.60.0.0	195.60.31.255	GB
195.60.32.0	195.60.63.255	DE
195.60.64.0	195.60.65.255	PL
195.60.66.0	195.60.67.255	UA
195.60.68.0	195.60.69.255	SE
195.60.70.0	195.60.71.255	UA
195.60.72.0	195.60.79.255	RO
195.60.80.0	195.60.80.95	IT
195.60.80.96	195.60.80.127	PL
195.60.80.128	195.60.80.159	AM
195.60.80.160	195.60.80.191	PL
195.60.80.192	195.60.80.223	GB
195.60.80.224	195.60.80.255	PT
195.60.81.0	195.60.81.63	SE
195.60.81.64	195.60.81.127	ES
195.60.81.128	195.60.81.191	IT
195.60.82.64	195.60.82.127	IE
195.60.82.128	195.60.82.191	NL
195.60.82.192	195.60.82.255	GB
195.60.83.0	195.60.83.31	PL
195.60.83.32	195.60.83.63	DE
195.60.83.96	195.60.83.127	EE
195.60.83.128	195.60.83.159	FR
195.60.84.0	195.60.84.127	RU
195.60.84.128	195.60.85.127	GB
195.60.85.128	195.60.85.255	LV
195.60.86.0	195.60.86.255	GB
195.60.87.0	195.60.87.127	NL
195.60.87.128	195.60.87.255	GB
195.60.88.0	195.60.88.127	CH
195.60.88.128	195.60.88.255	FR
195.60.89.0	195.60.89.127	CZ
195.60.89.128	195.60.89.255	IT
195.60.90.0	195.60.90.127	FI
195.60.90.128	195.60.90.255	DK
195.60.91.0	195.60.91.127	BE
195.60.91.128	195.60.91.255	PL
195.60.92.0	195.60.92.63	SE
195.60.92.64	195.60.92.127	AT
195.60.92.128	195.60.92.191	PL
195.60.92.192	195.60.93.63	UA
195.60.93.64	195.60.93.127	ES
195.60.93.128	195.60.93.191	CH
195.60.93.192	195.60.93.255	DK
195.60.94.0	195.60.94.127	PL
195.60.94.128	195.60.94.255	FR
195.60.95.0	195.60.95.127	PL
195.60.95.128	195.60.95.255	GB
195.60.96.0	195.60.98.247	DE
195.60.98.248	195.60.98.255	CH
195.60.99.0	195.60.127.255	DE
195.60.128.0	195.60.159.255	IT
195.60.160.0	195.60.161.255	DK
195.60.162.0	195.60.163.255	AT
195.60.164.0	195.60.165.255	GB
195.60.166.0	195.60.167.255	IE
195.60.168.0	195.60.169.255	CH
195.60.170.0	195.60.173.255	GB
195.60.174.0	195.60.175.255	UA
195.60.176.0	195.60.177.255	IL
195.60.178.0	195.60.179.255	RO
195.60.180.0	195.60.181.255	DE
195.60.182.0	195.60.183.255	SE
195.60.184.0	195.60.185.255	UA
195.60.186.0	195.60.187.255	DE
195.60.188.0	195.60.189.255	FR
195.60.190.0	195.60.191.255	IT
195.60.192.0	195.60.195.255	CH
195.60.196.0	195.60.199.255	GB
195.60.200.0	195.60.207.255	UA
195.60.208.0	195.60.211.255	DE
195.60.212.0	195.60.215.255	NL
195.60.216.0	195.60.219.255	PL
195.60.220.0	195.60.223.255	EU
195.60.224.0	195.60.227.255	UA
195.60.228.0	195.60.231.255	RU
195.60.232.0	195.60.235.255	IL
195.60.236.0	195.60.239.255	SY
195.60.240.0	195.60.243.255	PL
195.60.244.0	195.60.247.255	RU
195.60.248.0	195.60.251.255	LV
195.60.252.0	195.60.255.255	FI
195.61.0.0	195.61.2.63	EU
195.61.2.64	195.61.2.127	ES
195.61.2.128	195.61.3.7	EU
195.61.3.8	195.61.3.63	ES
195.61.3.64	195.61.3.159	EU
195.61.3.160	195.61.3.175	ES
195.61.3.176	195.61.3.183	EU
195.61.3.184	195.61.3.192	ES
195.61.3.193	195.61.6.255	EU
195.61.7.0	195.61.7.255	ES
195.61.8.0	195.61.23.255	EU
195.61.24.0	195.61.24.255	ES
195.61.25.0	195.61.25.255	EU
195.61.26.0	195.61.26.255	ES
195.61.27.0	195.61.29.255	EU
195.61.30.0	195.61.30.255	ES
195.61.31.0	195.61.31.255	EU
195.61.32.0	195.61.33.255	CH
195.61.34.0	195.61.34.63	EU
195.61.34.64	195.61.34.127	CH
195.61.34.128	195.61.34.255	DE
195.61.35.0	195.61.36.255	CH
195.61.37.0	195.61.37.127	EU
195.61.37.128	195.61.37.207	CH
195.61.37.208	195.61.38.255	EU
195.61.39.0	195.61.39.255	CH
195.61.40.0	195.61.40.255	EU
195.61.41.0	195.61.41.255	CH
195.61.42.0	195.61.42.255	EU
195.61.43.0	195.61.48.255	CH
195.61.49.0	195.61.49.255	EU
195.61.50.0	195.61.51.255	CH
195.61.52.0	195.61.52.255	EU
195.61.53.0	195.61.56.255	CH
195.61.57.0	195.61.58.255	EU
195.61.59.0	195.61.61.255	CH
195.61.62.0	195.61.63.255	EU
195.61.64.0	195.61.64.255	PT
195.61.65.0	195.61.66.255	EU
195.61.67.0	195.61.67.127	PT
195.61.67.128	195.61.70.31	EU
195.61.70.32	195.61.70.127	PT
195.61.70.128	195.61.70.255	EU
195.61.71.0	195.61.71.63	PT
195.61.71.64	195.61.71.127	EU
195.61.71.128	195.61.74.255	PT
195.61.75.0	195.61.75.15	EU
195.61.75.16	195.61.75.31	PT
195.61.75.32	195.61.75.127	EU
195.61.75.128	195.61.75.131	PT
195.61.75.132	195.61.75.135	EU
195.61.75.136	195.61.75.143	PT
195.61.75.144	195.61.75.159	EU
195.61.75.160	195.61.75.175	PT
195.61.75.176	195.61.77.255	EU
195.61.78.0	195.61.79.191	PT
195.61.79.192	195.61.80.127	EU
195.61.80.128	195.61.81.175	PT
195.61.81.176	195.61.81.255	EU
195.61.82.0	195.61.82.127	PT
195.61.82.128	195.61.82.255	EU
195.61.83.0	195.61.88.63	PT
195.61.88.64	195.61.88.127	EU
195.61.88.128	195.61.88.151	PT
195.61.88.152	195.61.88.175	EU
195.61.88.176	195.61.88.223	PT
195.61.88.224	195.61.88.255	EU
195.61.89.0	195.61.89.127	PT
195.61.89.128	195.61.89.191	EU
195.61.89.192	195.61.89.207	PT
195.61.89.208	195.61.89.239	EU
195.61.89.240	195.61.92.255	PT
195.61.93.0	195.61.93.255	EU
195.61.94.0	195.61.94.127	PT
195.61.94.128	195.61.94.255	EU
195.61.95.0	195.61.95.255	PT
195.61.96.0	195.61.96.127	FR
195.61.96.128	195.61.96.191	NL
195.61.96.192	195.61.96.207	EU
195.61.96.208	195.61.96.223	NL
195.61.96.224	195.61.96.255	EU
195.61.97.0	195.61.97.55	NL
195.61.97.56	195.61.97.255	EU
195.61.98.0	195.61.98.255	NL
195.61.99.0	195.61.101.255	EU
195.61.102.0	195.61.103.127	NL
195.61.103.128	195.61.104.95	EU
195.61.104.96	195.61.104.231	NL
195.61.104.232	195.61.104.239	EU
195.61.104.240	195.61.104.255	NL
195.61.105.0	195.61.107.15	EU
195.61.107.16	195.61.107.39	NL
195.61.107.40	195.61.107.47	EU
195.61.107.48	195.61.107.79	NL
195.61.107.80	195.61.108.191	EU
195.61.108.192	195.61.108.255	NL
195.61.109.0	195.61.109.255	EU
195.61.110.0	195.61.110.255	NL
195.61.111.0	195.61.114.255	EU
195.61.115.0	195.61.115.31	NL
195.61.115.32	195.61.115.255	EU
195.61.116.0	195.61.116.15	NL
195.61.116.16	195.61.117.255	EU
195.61.118.0	195.61.118.255	NL
195.61.119.0	195.61.125.255	EU
195.61.126.0	195.61.126.64	NL
195.61.126.65	195.61.127.255	EU
195.61.128.0	195.61.129.15	BE
195.61.129.16	195.61.129.255	EU
195.61.130.0	195.61.130.191	BE
195.61.130.192	195.61.130.223	NL
195.61.130.224	195.61.130.255	EU
195.61.131.0	195.61.131.255	BE
195.61.132.0	195.61.132.31	EU
195.61.132.32	195.61.132.47	BE
195.61.132.48	195.61.132.103	EU
195.61.132.104	195.61.132.111	CH
195.61.132.112	195.61.132.127	EU
195.61.132.128	195.61.132.191	BE
195.61.132.192	195.61.132.239	EU
195.61.132.240	195.61.132.247	BE
195.61.132.248	195.61.132.255	EU
195.61.133.0	195.61.133.255	IT
195.61.134.0	195.61.134.151	EU
195.61.134.152	195.61.134.159	BE
195.61.134.160	195.61.134.255	EU
195.61.135.0	195.61.135.95	BE
195.61.135.96	195.61.136.255	EU
195.61.137.0	195.61.141.255	BE
195.61.142.0	195.61.142.255	EU
195.61.143.0	195.61.143.255	BE
195.61.144.0	195.61.145.127	RO
195.61.145.128	195.61.145.255	EU
195.61.146.0	195.61.148.255	RO
195.61.149.0	195.61.149.255	MD
195.61.150.0	195.61.150.127	EU
195.61.150.128	195.61.152.127	RO
195.61.152.128	195.61.152.255	EU
195.61.153.0	195.61.156.255	RO
195.61.157.0	195.61.157.31	BE
195.61.157.32	195.61.157.255	EU
195.61.158.0	195.61.158.255	US
195.61.159.0	195.61.161.135	EU
195.61.161.136	195.61.161.143	AT
195.61.161.144	195.61.172.255	EU
195.61.173.0	195.61.173.127	AT
195.61.173.128	195.61.175.255	EU
195.61.176.0	195.61.176.255	AT
195.61.177.0	195.61.191.255	EU
195.61.192.0	195.61.194.255	IT
195.61.195.0	195.61.195.31	IL
195.61.195.32	195.61.195.255	EU
195.61.196.0	195.61.200.255	IT
195.61.201.0	195.61.201.255	EU
195.61.202.0	195.61.202.255	IT
195.61.203.0	195.61.210.255	EU
195.61.211.0	195.61.215.207	IT
195.61.215.208	195.61.215.255	EU
195.61.216.0	195.61.217.255	IT
195.61.218.0	195.61.223.255	EU
195.61.224.0	195.61.224.127	LU
195.61.224.128	195.61.224.255	EU
195.61.225.0	195.61.225.255	LU
195.61.226.0	195.61.226.255	BE
195.61.227.0	195.61.230.255	LU
195.61.231.0	195.61.255.255	EU
195.62.0.0	195.62.7.255	RU
195.62.8.0	195.62.11.255	GB
195.62.12.0	195.62.13.255	PL
195.62.14.0	195.62.15.255	UA
195.62.16.0	195.62.17.255	SK
195.62.18.0	195.62.19.255	IL
195.62.20.0	195.62.21.255	DE
195.62.22.0	195.62.23.255	BG
195.62.24.0	195.62.25.255	UA
195.62.26.0	195.62.27.255	AT
195.62.28.0	195.62.29.255	GB
195.62.30.0	195.62.31.255	IL
195.62.32.0	195.62.35.255	RU
195.62.36.0	195.62.37.255	UA
195.62.38.0	195.62.39.255	EU
195.62.40.0	195.62.41.255	PL
195.62.42.0	195.62.43.255	FR
195.62.44.0	195.62.45.255	DE
195.62.46.0	195.62.49.255	RU
195.62.50.0	195.62.51.255	FR
195.62.52.0	195.62.55.255	RU
195.62.56.0	195.62.57.255	RO
195.62.58.0	195.62.63.255	RU
195.62.64.0	195.62.65.255	PL
195.62.66.0	195.62.67.255	SE
195.62.68.0	195.62.69.255	BE
195.62.70.0	195.62.71.255	RU
195.62.72.0	195.62.75.255	FR
195.62.76.0	195.62.77.255	SE
195.62.78.0	195.62.79.255	RU
195.62.80.0	195.62.81.255	DE
195.62.82.0	195.62.83.255	NL
195.62.84.0	195.62.85.255	AT
195.62.86.0	195.62.87.255	RU
195.62.88.0	195.62.89.255	RO
195.62.90.0	195.62.91.255	BE
195.62.92.0	195.62.93.255	RU
195.62.94.0	195.62.95.255	RO
195.62.96.0	195.62.127.255	DE
195.62.128.0	195.62.159.255	LV
195.62.160.0	195.62.191.255	IT
195.62.192.0	195.62.223.255	GB
195.62.224.0	195.62.255.255	IT
195.63.0.0	195.63.255.255	DE
195.64.0.0	195.64.31.255	AT
195.64.32.0	195.64.95.255	NL
195.64.96.0	195.64.127.255	DE
195.64.128.0	195.64.129.255	RO
195.64.130.0	195.64.131.255	PL
195.64.132.0	195.64.133.255	RO
195.64.134.0	195.64.135.255	CH
195.64.136.0	195.64.137.255	UA
195.64.138.0	195.64.139.255	CH
195.64.140.0	195.64.141.255	RU
195.64.142.0	195.64.143.255	UA
195.64.144.0	195.64.145.255	SE
195.64.146.0	195.64.147.255	AT
195.64.148.0	195.64.149.255	UA
195.64.150.0	195.64.151.255	PL
195.64.152.0	195.64.153.255	MD
195.64.154.0	195.64.155.255	DK
195.64.156.0	195.64.157.255	RU
195.64.158.0	195.64.159.255	PL
195.64.160.0	195.64.161.255	BG
195.64.162.0	195.64.163.255	UA
195.64.164.0	195.64.165.255	FR
195.64.166.0	195.64.167.255	UA
195.64.168.0	195.64.169.255	IT
195.64.170.0	195.64.171.255	RS
195.64.172.0	195.64.173.255	GR
195.64.174.0	195.64.175.255	PL
195.64.176.0	195.64.177.255	DE
195.64.178.0	195.64.179.255	RO
195.64.180.0	195.64.181.255	DE
195.64.182.0	195.64.185.255	UA
195.64.186.0	195.64.187.255	ES
195.64.188.0	195.64.189.255	IT
195.64.190.0	195.64.191.255	UA
195.64.192.0	195.64.223.255	RU
195.64.224.0	195.64.255.255	UA
195.65.0.0	195.65.4.223	CH
195.65.4.224	195.65.4.231	DE
195.65.4.232	195.65.251.119	CH
195.65.251.120	195.65.251.127	DE
195.65.251.128	195.65.255.255	CH
195.66.0.0	195.66.7.255	DE
195.66.8.0	195.66.15.255	IT
195.66.16.0	195.66.23.255	PL
195.66.24.0	195.66.31.255	GB
195.66.32.0	195.66.63.255	SE
195.66.64.0	195.66.64.255	LV
195.66.65.0	195.66.66.255	UA
195.66.67.0	195.66.68.255	PL
195.66.69.0	195.66.69.255	SI
195.66.70.0	195.66.70.255	DE
195.66.71.0	195.66.72.255	RU
195.66.73.0	195.66.73.255	PL
195.66.74.0	195.66.74.255	DE
195.66.75.0	195.66.75.255	IE
195.66.76.0	195.66.76.255	DE
195.66.77.0	195.66.78.255	RU
195.66.79.0	195.66.79.255	UA
195.66.80.0	195.66.80.255	FR
195.66.81.0	195.66.81.255	GB
195.66.82.0	195.66.83.255	DE
195.66.84.0	195.66.84.255	RU
195.66.85.0	195.66.85.255	CH
195.66.86.0	195.66.86.255	PL
195.66.87.0	195.66.87.255	RU
195.66.88.0	195.66.88.255	PL
195.66.89.0	195.66.89.255	RU
195.66.90.0	195.66.90.255	NL
195.66.91.0	195.66.92.255	AT
195.66.93.0	195.66.93.255	UA
195.66.94.0	195.66.95.255	SE
195.66.96.0	195.66.96.255	RU
195.66.97.0	195.66.97.255	CH
195.66.98.0	195.66.98.255	PL
195.66.99.0	195.66.99.255	DE
195.66.100.0	195.66.100.255	SA
195.66.101.0	195.66.101.255	SE
195.66.102.0	195.66.102.255	DE
195.66.103.0	195.66.103.255	PL
195.66.104.0	195.66.104.255	RU
195.66.105.0	195.66.105.255	UA
195.66.106.0	195.66.106.255	EE
195.66.107.0	195.66.107.255	SI
195.66.108.0	195.66.108.255	RU
195.66.109.0	195.66.109.255	DK
195.66.110.0	195.66.110.255	CH
195.66.111.0	195.66.111.255	DE
195.66.112.0	195.66.112.255	FR
195.66.113.0	195.66.113.255	RO
195.66.114.0	195.66.114.255	UA
195.66.115.0	195.66.115.255	BE
195.66.116.0	195.66.116.255	PL
195.66.117.0	195.66.117.255	RU
195.66.118.0	195.66.118.255	IL
195.66.119.0	195.66.119.255	FR
195.66.120.0	195.66.120.255	UA
195.66.121.0	195.66.122.255	DE
195.66.123.0	195.66.123.255	CH
195.66.124.0	195.66.124.255	RO
195.66.125.0	195.66.125.255	BG
195.66.126.0	195.66.126.255	RU
195.66.127.0	195.66.127.255	PT
195.66.128.0	195.66.129.255	FR
195.66.130.0	195.66.131.255	SE
195.66.132.0	195.66.133.255	US
195.66.134.0	195.66.135.255	NL
195.66.136.0	195.66.141.255	UA
195.66.142.0	195.66.143.255	RO
195.66.144.0	195.66.145.255	PL
195.66.146.0	195.66.147.255	UA
195.66.148.0	195.66.149.255	GB
195.66.150.0	195.66.151.255	ES
195.66.152.0	195.66.153.255	UA
195.66.154.0	195.66.155.255	DE
195.66.156.0	195.66.157.255	UA
195.66.158.0	195.66.159.255	GR
195.66.160.0	195.66.163.255	ME
195.66.164.0	195.66.168.255	RS
195.66.169.0	195.66.171.15	ME
195.66.171.16	195.66.171.31	RS
195.66.171.32	195.66.171.255	ME
195.66.172.0	195.66.172.255	RS
195.66.173.0	195.66.181.95	ME
195.66.181.96	195.66.181.111	RS
195.66.181.112	195.66.182.63	ME
195.66.182.64	195.66.182.71	RS
195.66.182.72	195.66.182.79	ME
195.66.182.80	195.66.182.95	RS
195.66.182.96	195.66.182.207	ME
195.66.182.208	195.66.182.223	RS
195.66.182.224	195.66.183.127	ME
195.66.183.128	195.66.183.143	RS
195.66.183.144	195.66.183.159	ME
195.66.183.160	195.66.183.191	RS
195.66.183.192	195.66.184.15	ME
195.66.184.16	195.66.184.63	RS
195.66.184.64	195.66.184.95	ME
195.66.184.96	195.66.184.111	RS
195.66.184.112	195.66.184.119	ME
195.66.184.120	195.66.184.127	RS
195.66.184.128	195.66.184.255	ME
195.66.185.0	195.66.185.63	RS
195.66.185.64	195.66.185.79	ME
195.66.185.80	195.66.185.95	RS
195.66.185.96	195.66.185.159	ME
195.66.185.160	195.66.185.167	RS
195.66.185.168	195.66.185.223	ME
195.66.185.224	195.66.185.239	RS
195.66.185.240	195.66.186.127	ME
195.66.186.128	195.66.186.159	RS
195.66.186.160	195.66.186.175	ME
195.66.186.176	195.66.186.183	RS
195.66.186.184	195.66.191.255	ME
195.66.192.0	195.66.223.255	UA
195.66.224.0	195.66.255.255	GB
195.67.0.0	195.67.67.83	SE
195.67.67.84	195.67.67.87	FI
195.67.67.88	195.67.255.255	SE
195.68.0.0	195.68.2.7	FR
195.68.2.8	195.68.2.15	GB
195.68.2.16	195.68.2.71	FR
195.68.2.72	195.68.2.79	GB
195.68.2.80	195.68.2.111	FR
195.68.2.112	195.68.2.127	GB
195.68.2.128	195.68.2.175	FR
195.68.2.176	195.68.2.183	GB
195.68.2.184	195.68.3.135	FR
195.68.3.136	195.68.3.159	GB
195.68.3.160	195.68.5.39	FR
195.68.5.40	195.68.5.47	IE
195.68.5.48	195.68.5.255	FR
195.68.6.0	195.68.6.15	GB
195.68.6.16	195.68.6.95	FR
195.68.6.96	195.68.6.127	GB
195.68.6.128	195.68.6.143	FR
195.68.6.144	195.68.6.159	GB
195.68.6.160	195.68.6.191	FR
195.68.6.192	195.68.6.223	GB
195.68.6.224	195.68.7.55	FR
195.68.7.56	195.68.7.63	GB
195.68.7.64	195.68.7.199	FR
195.68.7.200	195.68.7.223	GB
195.68.7.224	195.68.9.7	FR
195.68.9.8	195.68.9.15	GB
195.68.9.16	195.68.11.7	FR
195.68.11.8	195.68.11.15	GB
195.68.11.16	195.68.11.31	FR
195.68.11.32	195.68.11.79	GB
195.68.11.80	195.68.11.127	FR
195.68.11.128	195.68.11.207	GB
195.68.11.208	195.68.12.63	FR
195.68.12.64	195.68.12.95	GB
195.68.12.96	195.68.12.127	FR
195.68.12.128	195.68.12.143	GB
195.68.12.144	195.68.12.159	FR
195.68.12.160	195.68.12.175	GB
195.68.12.176	195.68.12.191	FR
195.68.12.192	195.68.12.207	GB
195.68.12.208	195.68.12.223	FR
195.68.12.224	195.68.12.239	GB
195.68.12.240	195.68.13.47	FR
195.68.13.48	195.68.13.63	GB
195.68.13.64	195.68.13.79	FR
195.68.13.80	195.68.13.95	GB
195.68.13.96	195.68.13.143	FR
195.68.13.144	195.68.13.147	GB
195.68.13.148	195.68.13.151	FR
195.68.13.152	195.68.13.159	GB
195.68.13.160	195.68.13.223	FR
195.68.13.224	195.68.13.255	GB
195.68.14.0	195.68.14.175	FR
195.68.14.176	195.68.14.191	GB
195.68.14.192	195.68.15.143	FR
195.68.15.144	195.68.15.159	GB
195.68.15.160	195.68.15.199	FR
195.68.15.200	195.68.15.255	GB
195.68.16.0	195.68.17.95	FR
195.68.17.96	195.68.17.111	GB
195.68.17.112	195.68.17.127	FR
195.68.17.128	195.68.17.143	GB
195.68.17.144	195.68.17.175	FR
195.68.17.176	195.68.17.207	GB
195.68.17.208	195.68.17.223	FR
195.68.17.224	195.68.17.239	GB
195.68.17.240	195.68.18.7	FR
195.68.18.8	195.68.18.31	GB
195.68.18.32	195.68.18.199	FR
195.68.18.200	195.68.18.207	GB
195.68.18.208	195.68.18.247	FR
195.68.18.248	195.68.18.255	GB
195.68.19.0	195.68.19.63	FR
195.68.19.64	195.68.19.95	GB
195.68.19.96	195.68.19.111	FR
195.68.19.112	195.68.19.191	GB
195.68.19.192	195.68.20.255	FR
195.68.21.0	195.68.21.31	GB
195.68.21.32	195.68.21.41	FR
195.68.21.42	195.68.21.63	GB
195.68.21.64	195.68.21.79	FR
195.68.21.80	195.68.21.127	GB
195.68.21.128	195.68.21.191	FR
195.68.21.192	195.68.21.207	GB
195.68.21.208	195.68.23.7	FR
195.68.23.8	195.68.23.15	GB
195.68.23.16	195.68.23.47	FR
195.68.23.48	195.68.23.55	GB
195.68.23.56	195.68.23.79	FR
195.68.23.80	195.68.23.87	GB
195.68.23.88	195.68.23.103	FR
195.68.23.104	195.68.23.143	GB
195.68.23.144	195.68.23.183	FR
195.68.23.184	195.68.23.191	GB
195.68.23.192	195.68.23.223	FR
195.68.23.224	195.68.23.231	GB
195.68.23.232	195.68.23.239	FR
195.68.23.240	195.68.23.247	GB
195.68.23.248	195.68.24.111	FR
195.68.24.112	195.68.24.119	GB
195.68.24.120	195.68.24.127	FR
195.68.24.128	195.68.24.143	GB
195.68.24.144	195.68.24.151	FR
195.68.24.152	195.68.24.175	GB
195.68.24.176	195.68.24.207	FR
195.68.24.208	195.68.24.215	GB
195.68.24.216	195.68.25.135	FR
195.68.25.136	195.68.25.143	GB
195.68.25.144	195.68.26.175	FR
195.68.26.176	195.68.26.199	GB
195.68.26.200	195.68.26.207	FR
195.68.26.208	195.68.26.215	GB
195.68.26.216	195.68.27.15	FR
195.68.27.16	195.68.27.23	GB
195.68.27.24	195.68.27.143	FR
195.68.27.144	195.68.27.151	GB
195.68.27.152	195.68.27.199	FR
195.68.27.200	195.68.27.207	GB
195.68.27.208	195.68.27.223	FR
195.68.27.224	195.68.27.255	GB
195.68.28.0	195.68.28.143	FR
195.68.28.144	195.68.28.151	GB
195.68.28.152	195.68.28.207	FR
195.68.28.208	195.68.28.255	GB
195.68.29.0	195.68.29.111	FR
195.68.29.112	195.68.29.119	GB
195.68.29.120	195.68.31.87	FR
195.68.31.88	195.68.31.95	GB
195.68.31.96	195.68.33.23	FR
195.68.33.24	195.68.33.31	GB
195.68.33.32	195.68.33.71	FR
195.68.33.72	195.68.33.79	GB
195.68.33.80	195.68.33.111	FR
195.68.33.112	195.68.33.127	GB
195.68.33.128	195.68.33.199	FR
195.68.33.200	195.68.33.207	GB
195.68.33.208	195.68.33.239	FR
195.68.33.240	195.68.33.255	GB
195.68.34.0	195.68.34.71	FR
195.68.34.72	195.68.34.79	GB
195.68.34.80	195.68.34.183	FR
195.68.34.184	195.68.34.191	GB
195.68.34.192	195.68.34.207	FR
195.68.34.208	195.68.34.223	GB
195.68.34.224	195.68.34.247	FR
195.68.34.248	195.68.34.255	GB
195.68.35.0	195.68.35.39	FR
195.68.35.40	195.68.35.111	GB
195.68.35.112	195.68.35.127	FR
195.68.35.128	195.68.35.159	GB
195.68.35.160	195.68.35.223	FR
195.68.35.224	195.68.35.255	GB
195.68.36.0	195.68.36.7	FR
195.68.36.8	195.68.36.15	GB
195.68.36.16	195.68.36.199	FR
195.68.36.200	195.68.36.207	GB
195.68.36.208	195.68.36.247	FR
195.68.36.248	195.68.36.255	GB
195.68.37.0	195.68.37.31	FR
195.68.37.32	195.68.37.39	GB
195.68.37.40	195.68.37.63	FR
195.68.37.64	195.68.37.239	GB
195.68.37.240	195.68.39.135	FR
195.68.39.136	195.68.39.143	GB
195.68.39.144	195.68.39.207	FR
195.68.39.208	195.68.39.215	GB
195.68.39.216	195.68.40.63	FR
195.68.40.64	195.68.40.79	GB
195.68.40.80	195.68.40.95	FR
195.68.40.96	195.68.40.111	GB
195.68.40.112	195.68.40.135	FR
195.68.40.136	195.68.40.143	GB
195.68.40.144	195.68.40.151	FR
195.68.40.152	195.68.40.159	GB
195.68.40.160	195.68.43.143	FR
195.68.43.144	195.68.43.255	GB
195.68.44.0	195.68.45.23	FR
195.68.45.24	195.68.45.47	GB
195.68.45.48	195.68.45.63	FR
195.68.45.64	195.68.45.71	GB
195.68.45.72	195.68.45.79	FR
195.68.45.80	195.68.45.87	GB
195.68.45.88	195.68.45.95	FR
195.68.45.96	195.68.45.103	GB
195.68.45.104	195.68.45.119	FR
195.68.45.120	195.68.45.127	GB
195.68.45.128	195.68.45.159	FR
195.68.45.160	195.68.45.191	GB
195.68.45.192	195.68.45.207	FR
195.68.45.208	195.68.45.239	GB
195.68.45.240	195.68.49.31	FR
195.68.49.32	195.68.49.47	GB
195.68.49.48	195.68.49.55	FR
195.68.49.56	195.68.49.63	GB
195.68.49.64	195.68.49.79	FR
195.68.49.80	195.68.49.87	GB
195.68.49.88	195.68.49.103	FR
195.68.49.104	195.68.49.111	GB
195.68.49.112	195.68.49.207	FR
195.68.49.208	195.68.49.239	GB
195.68.49.240	195.68.50.55	FR
195.68.50.56	195.68.50.63	GB
195.68.50.64	195.68.50.159	FR
195.68.50.160	195.68.50.167	GB
195.68.50.168	195.68.50.175	FR
195.68.50.176	195.68.50.207	GB
195.68.50.208	195.68.50.223	FR
195.68.50.224	195.68.50.239	GB
195.68.50.240	195.68.51.79	FR
195.68.51.80	195.68.51.95	GB
195.68.51.96	195.68.51.103	FR
195.68.51.104	195.68.51.159	GB
195.68.51.160	195.68.51.191	FR
195.68.51.192	195.68.51.199	GB
195.68.51.200	195.68.51.223	FR
195.68.51.224	195.68.52.47	GB
195.68.52.48	195.68.52.63	FR
195.68.52.64	195.68.52.111	GB
195.68.52.112	195.68.53.175	FR
195.68.53.176	195.68.53.191	GB
195.68.53.192	195.68.54.111	FR
195.68.54.112	195.68.54.127	GB
195.68.54.128	195.68.54.159	FR
195.68.54.160	195.68.54.191	GB
195.68.54.192	195.68.55.47	FR
195.68.55.48	195.68.55.95	GB
195.68.55.96	195.68.55.143	FR
195.68.55.144	195.68.55.159	GB
195.68.55.160	195.68.55.207	FR
195.68.55.208	195.68.55.223	GB
195.68.55.224	195.68.56.47	FR
195.68.56.48	195.68.56.63	GB
195.68.56.64	195.68.56.143	FR
195.68.56.144	195.68.56.159	GB
195.68.56.160	195.68.56.175	FR
195.68.56.176	195.68.56.207	GB
195.68.56.208	195.68.56.223	FR
195.68.56.224	195.68.56.239	GB
195.68.56.240	195.68.56.255	FR
195.68.57.0	195.68.57.71	GB
195.68.57.72	195.68.57.87	FR
195.68.57.88	195.68.57.95	GB
195.68.57.96	195.68.57.103	FR
195.68.57.104	195.68.57.127	GB
195.68.57.128	195.68.58.63	FR
195.68.58.64	195.68.58.95	GB
195.68.58.96	195.68.59.71	FR
195.68.59.72	195.68.59.79	GB
195.68.59.80	195.68.59.87	FR
195.68.59.88	195.68.59.95	GB
195.68.59.96	195.68.59.119	FR
195.68.59.120	195.68.59.127	GB
195.68.59.128	195.68.59.135	FR
195.68.59.136	195.68.59.143	GB
195.68.59.144	195.68.59.191	FR
195.68.59.192	195.68.59.199	GB
195.68.59.200	195.68.59.207	FR
195.68.59.208	195.68.59.215	GB
195.68.59.216	195.68.59.223	FR
195.68.59.224	195.68.59.255	GB
195.68.60.0	195.68.60.255	FR
195.68.61.0	195.68.61.15	GB
195.68.61.16	195.68.61.159	FR
195.68.61.160	195.68.61.175	GB
195.68.61.176	195.68.61.191	FR
195.68.61.192	195.68.61.223	GB
195.68.61.224	195.68.61.239	FR
195.68.61.240	195.68.61.255	GB
195.68.62.0	195.68.62.143	FR
195.68.62.144	195.68.62.159	GB
195.68.62.160	195.68.63.31	FR
195.68.63.32	195.68.63.95	GB
195.68.63.96	195.68.63.159	FR
195.68.63.160	195.68.63.191	GB
195.68.63.192	195.68.63.223	FR
195.68.63.224	195.68.64.15	GB
195.68.64.16	195.68.64.127	FR
195.68.64.128	195.68.64.143	GB
195.68.64.144	195.68.64.239	FR
195.68.64.240	195.68.64.255	GB
195.68.65.0	195.68.65.7	FR
195.68.65.8	195.68.65.31	GB
195.68.65.32	195.68.65.47	FR
195.68.65.48	195.68.65.55	GB
195.68.65.56	195.68.65.63	FR
195.68.65.64	195.68.65.95	GB
195.68.65.96	195.68.65.199	FR
195.68.65.200	195.68.65.207	GB
195.68.65.208	195.68.66.79	FR
195.68.66.80	195.68.66.95	GB
195.68.66.96	195.68.69.23	FR
195.68.69.24	195.68.69.31	GB
195.68.69.32	195.68.69.143	FR
195.68.69.144	195.68.69.151	GB
195.68.69.152	195.68.69.191	FR
195.68.69.192	195.68.69.207	GB
195.68.69.208	195.68.70.31	FR
195.68.70.32	195.68.70.63	GB
195.68.70.64	195.68.70.71	FR
195.68.70.72	195.68.70.87	GB
195.68.70.88	195.68.70.95	FR
195.68.70.96	195.68.70.103	GB
195.68.70.104	195.68.70.143	FR
195.68.70.144	195.68.70.191	GB
195.68.70.192	195.68.70.231	FR
195.68.70.232	195.68.70.255	GB
195.68.71.0	195.68.72.7	FR
195.68.72.8	195.68.72.15	GB
195.68.72.16	195.68.72.23	FR
195.68.72.24	195.68.72.31	GB
195.68.72.32	195.68.72.103	FR
195.68.72.104	195.68.72.111	GB
195.68.72.112	195.68.73.15	FR
195.68.73.16	195.68.73.47	GB
195.68.73.48	195.68.73.63	FR
195.68.73.64	195.68.73.87	GB
195.68.73.88	195.68.73.111	FR
195.68.73.112	195.68.73.127	GB
195.68.73.128	195.68.73.175	FR
195.68.73.176	195.68.73.223	GB
195.68.73.224	195.68.74.31	FR
195.68.74.32	195.68.74.47	GB
195.68.74.48	195.68.74.79	FR
195.68.74.80	195.68.74.95	GB
195.68.74.96	195.68.74.207	FR
195.68.74.208	195.68.74.223	GB
195.68.74.224	195.68.76.15	FR
195.68.76.16	195.68.76.95	GB
195.68.76.96	195.68.76.127	FR
195.68.76.128	195.68.76.143	GB
195.68.76.144	195.68.76.191	FR
195.68.76.192	195.68.76.207	GB
195.68.76.208	195.68.76.223	FR
195.68.76.224	195.68.76.255	GB
195.68.77.0	195.68.77.255	FR
195.68.78.0	195.68.78.111	GB
195.68.78.112	195.68.78.127	FR
195.68.78.128	195.68.78.159	GB
195.68.78.160	195.68.78.255	FR
195.68.79.0	195.68.79.31	GB
195.68.79.32	195.68.79.47	FR
195.68.79.48	195.68.79.63	GB
195.68.79.64	195.68.79.71	FR
195.68.79.72	195.68.79.79	GB
195.68.79.80	195.68.79.87	FR
195.68.79.88	195.68.79.95	GB
195.68.79.96	195.68.79.135	FR
195.68.79.136	195.68.79.159	GB
195.68.79.160	195.68.87.255	FR
195.68.88.0	195.68.88.7	GB
195.68.88.8	195.68.88.15	FR
195.68.88.16	195.68.88.23	GB
195.68.88.24	195.68.88.95	FR
195.68.88.96	195.68.88.111	GB
195.68.88.112	195.68.88.127	FR
195.68.88.128	195.68.88.159	GB
195.68.88.160	195.68.88.175	FR
195.68.88.176	195.68.88.191	GB
195.68.88.192	195.68.88.207	FR
195.68.88.208	195.68.88.239	GB
195.68.88.240	195.68.88.247	FR
195.68.88.248	195.68.88.255	GB
195.68.89.0	195.68.89.31	FR
195.68.89.32	195.68.89.63	GB
195.68.89.64	195.68.89.239	FR
195.68.89.240	195.68.89.255	GB
195.68.90.0	195.68.92.79	FR
195.68.92.80	195.68.92.95	GB
195.68.92.96	195.68.92.239	FR
195.68.92.240	195.68.92.255	GB
195.68.93.0	195.68.94.63	FR
195.68.94.64	195.68.94.111	GB
195.68.94.112	195.68.94.255	FR
195.68.95.0	195.68.95.15	GB
195.68.95.16	195.68.95.71	FR
195.68.95.72	195.68.95.95	GB
195.68.95.96	195.68.95.159	FR
195.68.95.160	195.68.95.223	GB
195.68.95.224	195.68.95.255	FR
195.68.96.0	195.68.96.255	GB
195.68.97.0	195.68.98.47	FR
195.68.98.48	195.68.98.63	GB
195.68.98.64	195.68.98.79	FR
195.68.98.80	195.68.98.111	GB
195.68.98.112	195.68.98.143	FR
195.68.98.144	195.68.98.159	GB
195.68.98.160	195.68.98.191	FR
195.68.98.192	195.68.98.255	GB
195.68.99.0	195.68.100.31	FR
195.68.100.32	195.68.100.79	GB
195.68.100.80	195.68.100.111	FR
195.68.100.112	195.68.100.127	GB
195.68.100.128	195.68.100.159	FR
195.68.100.160	195.68.100.175	GB
195.68.100.176	195.68.100.223	FR
195.68.100.224	195.68.100.255	GB
195.68.101.0	195.68.101.127	FR
195.68.101.128	195.68.101.143	GB
195.68.101.144	195.68.101.223	FR
195.68.101.224	195.68.101.239	GB
195.68.101.240	195.68.103.7	FR
195.68.103.8	195.68.103.15	GB
195.68.103.16	195.68.103.31	FR
195.68.103.32	195.68.103.95	GB
195.68.103.96	195.68.103.127	FR
195.68.103.128	195.68.103.159	GB
195.68.103.160	195.68.103.223	FR
195.68.103.224	195.68.103.239	GB
195.68.103.240	195.68.104.15	FR
195.68.104.16	195.68.104.23	GB
195.68.104.24	195.68.104.39	FR
195.68.104.40	195.68.104.47	GB
195.68.104.48	195.68.104.127	FR
195.68.104.128	195.68.104.135	GB
195.68.104.136	195.68.104.143	FR
195.68.104.144	195.68.104.151	GB
195.68.104.152	195.68.104.159	FR
195.68.104.160	195.68.104.175	GB
195.68.104.176	195.68.104.247	FR
195.68.104.248	195.68.105.47	GB
195.68.105.48	195.68.105.95	FR
195.68.105.96	195.68.105.127	GB
195.68.105.128	195.68.105.143	FR
195.68.105.144	195.68.105.159	GB
195.68.105.160	195.68.105.191	FR
195.68.105.192	195.68.105.223	GB
195.68.105.224	195.68.106.175	FR
195.68.106.176	195.68.106.191	GB
195.68.106.192	195.68.107.31	FR
195.68.107.32	195.68.107.47	GB
195.68.107.48	195.68.107.111	FR
195.68.107.112	195.68.107.127	GB
195.68.107.128	195.68.107.239	FR
195.68.107.240	195.68.107.255	GB
195.68.108.0	195.68.108.63	FR
195.68.108.64	195.68.108.95	GB
195.68.108.96	195.68.108.175	FR
195.68.108.176	195.68.108.191	GB
195.68.108.192	195.68.109.15	FR
195.68.109.16	195.68.109.31	GB
195.68.109.32	195.68.109.47	FR
195.68.109.48	195.68.109.63	GB
195.68.109.64	195.68.109.79	FR
195.68.109.80	195.68.109.127	GB
195.68.109.128	195.68.110.31	FR
195.68.110.32	195.68.110.47	GB
195.68.110.48	195.68.110.111	FR
195.68.110.112	195.68.110.159	GB
195.68.110.160	195.68.110.191	FR
195.68.110.192	195.68.110.223	GB
195.68.110.224	195.68.110.239	FR
195.68.110.240	195.68.110.255	GB
195.68.111.0	195.68.111.15	FR
195.68.111.16	195.68.111.23	GB
195.68.111.24	195.68.111.31	FR
195.68.111.32	195.68.111.63	GB
195.68.111.64	195.68.111.127	FR
195.68.111.128	195.68.111.159	GB
195.68.111.160	195.68.111.191	FR
195.68.111.192	195.68.111.207	GB
195.68.111.208	195.68.111.223	FR
195.68.111.224	195.68.111.255	GB
195.68.112.0	195.68.114.15	FR
195.68.114.16	195.68.114.63	GB
195.68.114.64	195.68.114.79	FR
195.68.114.80	195.68.114.95	GB
195.68.114.96	195.68.120.15	FR
195.68.120.16	195.68.120.31	GB
195.68.120.32	195.68.120.63	FR
195.68.120.64	195.68.120.71	GB
195.68.120.72	195.68.120.79	FR
195.68.120.80	195.68.120.87	GB
195.68.120.88	195.68.120.159	FR
195.68.120.160	195.68.120.175	GB
195.68.120.176	195.68.120.191	FR
195.68.120.192	195.68.120.207	GB
195.68.120.208	195.68.120.223	FR
195.68.120.224	195.68.120.255	GB
195.68.121.0	195.68.121.63	FR
195.68.121.64	195.68.121.95	GB
195.68.121.96	195.68.121.127	FR
195.68.121.128	195.68.121.159	GB
195.68.121.160	195.68.121.191	FR
195.68.121.192	195.68.121.255	GB
195.68.122.0	195.68.122.15	FR
195.68.122.16	195.68.122.31	GB
195.68.122.32	195.68.122.63	FR
195.68.122.64	195.68.122.79	GB
195.68.122.80	195.68.122.127	FR
195.68.122.128	195.68.122.143	GB
195.68.122.144	195.68.122.159	FR
195.68.122.160	195.68.122.167	GB
195.68.122.168	195.68.122.191	FR
195.68.122.192	195.68.122.199	GB
195.68.122.200	195.68.122.223	FR
195.68.122.224	195.68.122.239	GB
195.68.122.240	195.68.123.7	FR
195.68.123.8	195.68.123.15	GB
195.68.123.16	195.68.123.63	FR
195.68.123.64	195.68.123.71	GB
195.68.123.72	195.68.123.79	FR
195.68.123.80	195.68.123.95	GB
195.68.123.96	195.68.123.135	FR
195.68.123.136	195.68.123.143	GB
195.68.123.144	195.68.123.167	FR
195.68.123.168	195.68.123.183	GB
195.68.123.184	195.68.123.199	FR
195.68.123.200	195.68.123.215	GB
195.68.123.216	195.68.123.231	FR
195.68.123.232	195.68.123.255	GB
195.68.124.0	195.68.124.39	FR
195.68.124.40	195.68.124.47	GB
195.68.124.48	195.68.124.143	FR
195.68.124.144	195.68.124.151	GB
195.68.124.152	195.68.124.167	FR
195.68.124.168	195.68.124.175	GB
195.68.124.176	195.68.124.231	FR
195.68.124.232	195.68.124.239	GB
195.68.124.240	195.68.124.255	FR
195.68.125.0	195.68.125.31	GB
195.68.125.32	195.68.125.63	FR
195.68.125.64	195.68.125.79	GB
195.68.125.80	195.68.125.199	FR
195.68.125.200	195.68.125.215	GB
195.68.125.216	195.68.125.247	FR
195.68.125.248	195.68.125.255	GB
195.68.126.0	195.68.126.95	FR
195.68.126.96	195.68.126.127	GB
195.68.126.128	195.68.127.255	FR
195.68.128.0	195.68.191.255	RU
195.68.192.0	195.68.193.255	PL
195.68.194.0	195.68.195.255	FR
195.68.196.0	195.68.197.255	UA
195.68.198.0	195.68.199.255	DE
195.68.200.0	195.68.201.255	BG
195.68.202.0	195.68.203.255	UA
195.68.204.0	195.68.205.255	DE
195.68.206.0	195.68.207.255	GB
195.68.208.0	195.68.209.255	PS
195.68.210.0	195.68.211.255	UA
195.68.212.0	195.68.213.255	AT
195.68.214.0	195.68.215.255	BG
195.68.216.0	195.68.219.255	UA
195.68.220.0	195.68.221.255	GB
195.68.222.0	195.68.223.255	UA
195.68.224.0	195.68.225.255	GB
195.68.226.0	195.68.227.255	PL
195.68.228.0	195.68.229.255	GB
195.68.230.0	195.68.231.255	SK
195.68.232.0	195.68.233.255	PL
195.68.234.0	195.68.235.255	SK
195.68.236.0	195.68.237.255	DE
195.68.238.0	195.68.239.255	GB
195.68.240.0	195.68.241.255	RU
195.68.242.0	195.68.243.255	DE
195.68.244.0	195.68.245.255	GB
195.68.246.0	195.68.247.255	DE
195.68.248.0	195.68.249.255	UA
195.68.250.0	195.68.251.255	FR
195.68.252.0	195.68.253.255	RU
195.68.254.0	195.68.255.255	GB
195.69.0.0	195.69.63.255	NO
195.69.64.0	195.69.67.255	RU
195.69.68.0	195.69.71.255	IT
195.69.72.0	195.69.75.255	NL
195.69.76.0	195.69.79.255	UA
195.69.80.0	195.69.83.255	PL
195.69.84.0	195.69.87.255	UA
195.69.88.0	195.69.91.255	LV
195.69.92.0	195.69.95.255	GB
195.69.96.0	195.69.99.255	SI
195.69.100.0	195.69.103.255	RU
195.69.104.0	195.69.107.255	AT
195.69.108.0	195.69.111.255	BG
195.69.112.0	195.69.115.255	DE
195.69.116.0	195.69.119.255	SE
195.69.120.0	195.69.123.255	BG
195.69.124.0	195.69.127.255	PL
195.69.128.0	195.69.131.255	DK
195.69.132.0	195.69.139.255	UA
195.69.140.0	195.69.143.255	KW
195.69.144.0	195.69.147.255	NL
195.69.148.0	195.69.151.255	RU
195.69.152.0	195.69.155.255	GB
195.69.156.0	195.69.159.255	RU
195.69.160.0	195.69.163.255	GB
195.69.164.0	195.69.167.255	BG
195.69.168.0	195.69.171.255	RU
195.69.172.0	195.69.175.255	AT
195.69.176.0	195.69.179.255	UA
195.69.180.0	195.69.183.255	AT
195.69.184.0	195.69.187.255	UA
195.69.188.0	195.69.191.255	UZ
195.69.192.0	195.69.195.255	AT
195.69.196.0	195.69.203.255	UA
195.69.204.0	195.69.207.255	DK
195.69.212.0	195.69.215.255	GB
195.69.216.0	195.69.219.255	RU
195.69.220.0	195.69.223.255	UA
195.69.224.0	195.69.231.255	PL
195.69.232.0	195.69.235.255	NL
195.69.236.0	195.69.239.255	IL
195.69.240.0	195.69.243.255	DE
195.69.244.0	195.69.251.255	UA
195.69.252.0	195.69.255.255	GB
195.70.0.0	195.70.31.255	CH
195.70.32.0	195.70.63.255	HU
195.70.64.0	195.70.95.255	GB
195.70.96.0	195.70.127.255	AT
195.70.128.0	195.70.159.255	CZ
195.70.160.0	195.70.191.255	NO
195.70.192.0	195.70.223.255	RU
195.70.224.0	195.70.255.255	AT
195.71.0.0	195.71.68.23	DE
195.71.68.24	195.71.68.31	MT
195.71.68.32	195.71.68.143	DE
195.71.68.144	195.71.68.159	MT
195.71.68.160	195.71.92.63	DE
195.71.92.64	195.71.92.71	RO
195.71.92.72	195.71.92.79	DE
195.71.92.80	195.71.92.95	RO
195.71.92.96	195.71.94.63	DE
195.71.94.64	195.71.94.127	GB
195.71.94.128	195.71.123.95	DE
195.71.123.96	195.71.123.103	FR
195.71.123.104	195.71.133.223	DE
195.71.133.224	195.71.133.255	RO
195.71.134.0	195.71.152.191	DE
195.71.152.192	195.71.152.199	FR
195.71.152.200	195.71.154.255	DE
195.71.155.0	195.71.155.127	GB
195.71.155.128	195.71.155.223	DE
195.71.155.224	195.71.155.239	FR
195.71.155.240	195.71.255.255	DE
195.72.0.0	195.72.31.255	SK
195.72.32.0	195.72.63.255	GB
195.72.64.0	195.72.65.127	BE
195.72.65.128	195.72.65.159	LU
195.72.65.160	195.72.92.31	BE
195.72.92.32	195.72.92.63	CH
195.72.92.64	195.72.95.255	BE
195.72.96.0	195.72.111.255	DE
195.72.112.0	195.72.112.255	BG
195.72.113.0	195.72.115.255	GB
195.72.116.0	195.72.127.255	IL
195.72.128.0	195.72.131.255	GB
195.72.132.0	195.72.135.255	AT
195.72.136.0	195.72.139.255	PT
195.72.140.0	195.72.143.255	RU
195.72.144.0	195.72.147.255	UA
195.72.148.0	195.72.151.255	PL
195.72.152.0	195.72.155.255	FR
195.72.156.0	195.72.159.255	UA
195.72.160.0	195.72.191.255	GB
195.72.192.0	195.72.223.255	IT
195.72.224.0	195.72.255.255	RU
195.73.0.0	195.73.0.15	NL
195.73.0.16	195.73.0.31	DE
195.73.0.32	195.73.1.31	NL
195.73.1.32	195.73.1.39	DE
195.73.1.40	195.73.1.151	NL
195.73.1.152	195.73.1.159	DE
195.73.1.160	195.73.1.175	NL
195.73.1.176	195.73.1.191	DE
195.73.1.192	195.73.1.231	NL
195.73.1.232	195.73.1.239	DE
195.73.1.240	195.73.2.7	NL
195.73.2.8	195.73.2.15	DE
195.73.2.16	195.73.2.63	NL
195.73.2.64	195.73.2.71	DE
195.73.2.72	195.73.2.119	NL
195.73.2.120	195.73.2.127	DE
195.73.2.128	195.73.2.215	NL
195.73.2.216	195.73.2.223	DE
195.73.2.224	195.73.3.103	NL
195.73.3.104	195.73.3.111	DE
195.73.3.112	195.73.3.175	NL
195.73.3.176	195.73.3.183	DE
195.73.3.184	195.73.3.231	NL
195.73.3.232	195.73.3.239	DE
195.73.3.240	195.73.4.111	NL
195.73.4.112	195.73.4.119	DE
195.73.4.120	195.73.4.223	NL
195.73.4.224	195.73.4.231	DE
195.73.4.232	195.73.5.7	NL
195.73.5.8	195.73.5.23	DE
195.73.5.24	195.73.5.55	NL
195.73.5.56	195.73.5.63	DE
195.73.5.64	195.73.5.143	NL
195.73.5.144	195.73.5.151	DE
195.73.5.152	195.73.5.175	NL
195.73.5.176	195.73.5.191	DE
195.73.5.192	195.73.5.239	NL
195.73.5.240	195.73.5.255	DE
195.73.6.0	195.73.6.47	NL
195.73.6.48	195.73.6.55	DE
195.73.6.56	195.73.6.63	NL
195.73.6.64	195.73.6.79	DE
195.73.6.80	195.73.6.207	NL
195.73.6.208	195.73.6.215	DE
195.73.6.216	195.73.6.255	NL
195.73.7.0	195.73.7.7	DE
195.73.7.8	195.73.7.15	NL
195.73.7.16	195.73.7.23	DE
195.73.7.24	195.73.7.31	NL
195.73.7.32	195.73.7.39	DE
195.73.7.40	195.73.7.47	NL
195.73.7.48	195.73.7.55	DE
195.73.7.56	195.73.7.191	NL
195.73.7.192	195.73.7.199	DE
195.73.7.200	195.73.7.207	NL
195.73.7.208	195.73.7.215	DE
195.73.7.216	195.73.7.247	NL
195.73.7.248	195.73.7.255	DE
195.73.8.0	195.73.8.63	NL
195.73.8.64	195.73.8.71	DE
195.73.8.72	195.73.8.95	NL
195.73.8.96	195.73.8.103	DE
195.73.8.104	195.73.8.127	NL
195.73.8.128	195.73.8.151	DE
195.73.8.152	195.73.8.167	NL
195.73.8.168	195.73.8.183	DE
195.73.8.184	195.73.8.191	NL
195.73.8.192	195.73.8.199	DE
195.73.8.200	195.73.8.215	NL
195.73.8.216	195.73.8.223	DE
195.73.8.224	195.73.8.255	NL
195.73.9.0	195.73.10.7	DE
195.73.10.8	195.73.10.23	NL
195.73.10.24	195.73.10.31	DE
195.73.10.32	195.73.10.63	NL
195.73.10.64	195.73.10.71	DE
195.73.10.72	195.73.10.95	NL
195.73.10.96	195.73.10.103	DE
195.73.10.104	195.73.10.239	NL
195.73.10.240	195.73.10.247	DE
195.73.10.248	195.73.10.255	NL
195.73.11.0	195.73.11.7	DE
195.73.11.8	195.73.11.47	NL
195.73.11.48	195.73.11.55	DE
195.73.11.56	195.73.11.151	NL
195.73.11.152	195.73.11.159	DE
195.73.11.160	195.73.11.239	NL
195.73.11.240	195.73.11.255	DE
195.73.12.0	195.73.12.71	NL
195.73.12.72	195.73.12.79	DE
195.73.12.80	195.73.12.95	NL
195.73.12.96	195.73.12.103	DE
195.73.12.104	195.73.12.151	NL
195.73.12.152	195.73.12.159	DE
195.73.12.160	195.73.12.231	NL
195.73.12.232	195.73.12.239	DE
195.73.12.240	195.73.12.255	NL
195.73.13.0	195.73.13.7	DE
195.73.13.8	195.73.13.47	NL
195.73.13.48	195.73.13.55	DE
195.73.13.56	195.73.13.87	NL
195.73.13.88	195.73.13.95	DE
195.73.13.96	195.73.13.135	NL
195.73.13.136	195.73.13.143	DE
195.73.13.144	195.73.13.151	NL
195.73.13.152	195.73.13.183	DE
195.73.13.184	195.73.13.223	NL
195.73.13.224	195.73.13.231	DE
195.73.13.232	195.73.14.63	NL
195.73.14.64	195.73.14.71	DE
195.73.14.72	195.73.14.151	NL
195.73.14.152	195.73.14.159	DE
195.73.14.160	195.73.14.175	NL
195.73.14.176	195.73.14.183	DE
195.73.14.184	195.73.14.231	NL
195.73.14.232	195.73.14.239	DE
195.73.14.240	195.73.15.135	NL
195.73.15.136	195.73.15.143	DE
195.73.15.144	195.73.15.207	NL
195.73.15.208	195.73.15.215	DE
195.73.15.216	195.73.15.239	NL
195.73.15.240	195.73.15.247	DE
195.73.15.248	195.73.15.255	NL
195.73.16.0	195.73.16.15	DE
195.73.16.16	195.73.16.71	NL
195.73.16.72	195.73.16.79	DE
195.73.16.80	195.73.17.47	NL
195.73.17.48	195.73.17.55	DE
195.73.17.56	195.73.17.127	NL
195.73.17.128	195.73.17.135	DE
195.73.17.136	195.73.17.167	NL
195.73.17.168	195.73.17.183	DE
195.73.17.184	195.73.17.223	NL
195.73.17.224	195.73.17.231	DE
195.73.17.232	195.73.17.239	NL
195.73.17.240	195.73.17.247	DE
195.73.17.248	195.73.18.7	NL
195.73.18.8	195.73.18.15	DE
195.73.18.16	195.73.18.71	NL
195.73.18.72	195.73.18.79	DE
195.73.18.80	195.73.19.55	NL
195.73.19.56	195.73.19.63	DE
195.73.19.64	195.73.19.95	NL
195.73.19.96	195.73.19.103	DE
195.73.19.104	195.73.19.111	NL
195.73.19.112	195.73.19.119	DE
195.73.19.120	195.73.19.183	NL
195.73.19.184	195.73.19.191	DE
195.73.19.192	195.73.19.247	NL
195.73.19.248	195.73.20.7	DE
195.73.20.8	195.73.21.31	NL
195.73.21.32	195.73.21.39	DE
195.73.21.40	195.73.21.79	NL
195.73.21.80	195.73.21.87	DE
195.73.21.88	195.73.21.103	NL
195.73.21.104	195.73.21.111	DE
195.73.21.112	195.73.21.215	NL
195.73.21.216	195.73.21.223	DE
195.73.21.224	195.73.21.255	NL
195.73.22.0	195.73.22.7	DE
195.73.22.8	195.73.22.71	NL
195.73.22.72	195.73.22.79	DE
195.73.22.80	195.73.22.159	NL
195.73.22.160	195.73.22.167	DE
195.73.22.168	195.73.22.231	NL
195.73.22.232	195.73.22.247	DE
195.73.22.248	195.73.22.255	NL
195.73.23.0	195.73.23.7	DE
195.73.23.8	195.73.23.23	NL
195.73.23.24	195.73.23.31	DE
195.73.23.32	195.73.23.71	NL
195.73.23.72	195.73.23.79	DE
195.73.23.80	195.73.23.191	NL
195.73.23.192	195.73.23.199	DE
195.73.23.200	195.73.23.255	NL
195.73.24.0	195.73.24.7	DE
195.73.24.8	195.73.24.151	NL
195.73.24.152	195.73.24.159	DE
195.73.24.160	195.73.25.7	NL
195.73.25.8	195.73.25.15	DE
195.73.25.16	195.73.25.111	NL
195.73.25.112	195.73.25.119	DE
195.73.25.120	195.73.25.199	NL
195.73.25.200	195.73.25.207	DE
195.73.25.208	195.73.25.255	NL
195.73.26.0	195.73.26.7	DE
195.73.26.8	195.73.26.55	NL
195.73.26.56	195.73.26.63	DE
195.73.26.64	195.73.26.87	NL
195.73.26.88	195.73.26.95	DE
195.73.26.96	195.73.26.111	NL
195.73.26.112	195.73.26.119	DE
195.73.26.120	195.73.26.159	NL
195.73.26.160	195.73.26.167	DE
195.73.26.168	195.73.26.207	NL
195.73.26.208	195.73.26.215	DE
195.73.26.216	195.73.26.223	NL
195.73.26.224	195.73.26.231	DE
195.73.26.232	195.73.26.247	NL
195.73.26.248	195.73.27.7	DE
195.73.27.8	195.73.27.23	NL
195.73.27.24	195.73.27.31	DE
195.73.27.32	195.73.27.39	NL
195.73.27.40	195.73.27.63	DE
195.73.27.64	195.73.27.71	NL
195.73.27.72	195.73.27.79	DE
195.73.27.80	195.73.27.135	NL
195.73.27.136	195.73.27.143	DE
195.73.27.144	195.73.27.159	NL
195.73.27.160	195.73.27.167	DE
195.73.27.168	195.73.27.183	NL
195.73.27.184	195.73.27.191	DE
195.73.27.192	195.73.28.15	NL
195.73.28.16	195.73.28.23	DE
195.73.28.24	195.73.28.39	NL
195.73.28.40	195.73.28.47	DE
195.73.28.48	195.73.28.95	NL
195.73.28.96	195.73.28.103	DE
195.73.28.104	195.73.28.207	NL
195.73.28.208	195.73.28.215	DE
195.73.28.216	195.73.29.7	NL
195.73.29.8	195.73.29.15	DE
195.73.29.16	195.73.29.47	NL
195.73.29.48	195.73.29.79	DE
195.73.29.80	195.73.29.95	NL
195.73.29.96	195.73.29.103	DE
195.73.29.104	195.73.29.167	NL
195.73.29.168	195.73.29.175	DE
195.73.29.176	195.73.30.135	NL
195.73.30.136	195.73.30.143	DE
195.73.30.144	195.73.30.207	NL
195.73.30.208	195.73.30.215	DE
195.73.30.216	195.73.30.239	NL
195.73.30.240	195.73.30.247	DE
195.73.30.248	195.73.31.15	NL
195.73.31.16	195.73.31.23	DE
195.73.31.24	195.73.31.31	NL
195.73.31.32	195.73.31.39	DE
195.73.31.40	195.73.32.239	NL
195.73.32.240	195.73.32.247	DE
195.73.32.248	195.73.33.135	NL
195.73.33.136	195.73.33.143	DE
195.73.33.144	195.73.33.175	NL
195.73.33.176	195.73.33.183	DE
195.73.33.184	195.73.33.207	NL
195.73.33.208	195.73.33.215	DE
195.73.33.216	195.73.34.39	NL
195.73.34.40	195.73.34.47	DE
195.73.34.48	195.73.34.79	NL
195.73.34.80	195.73.34.95	DE
195.73.34.96	195.73.34.239	NL
195.73.34.240	195.73.34.247	DE
195.73.34.248	195.73.34.255	NL
195.73.35.0	195.73.35.7	DE
195.73.35.8	195.73.35.31	NL
195.73.35.32	195.73.35.39	DE
195.73.35.40	195.73.35.79	NL
195.73.35.80	195.73.35.87	DE
195.73.35.88	195.73.35.247	NL
195.73.35.248	195.73.35.255	DE
195.73.36.0	195.73.36.55	NL
195.73.36.56	195.73.36.63	DE
195.73.36.64	195.73.36.175	NL
195.73.36.176	195.73.36.183	DE
195.73.36.184	195.73.36.207	NL
195.73.36.208	195.73.36.215	DE
195.73.36.216	195.73.36.223	NL
195.73.36.224	195.73.36.231	DE
195.73.36.232	195.73.37.239	NL
195.73.37.240	195.73.37.247	DE
195.73.37.248	195.73.37.255	NL
195.73.38.0	195.73.38.7	DE
195.73.38.8	195.73.38.31	NL
195.73.38.32	195.73.38.39	DE
195.73.38.40	195.73.38.119	NL
195.73.38.120	195.73.38.127	DE
195.73.38.128	195.73.38.143	NL
195.73.38.144	195.73.38.159	DE
195.73.38.160	195.73.38.215	NL
195.73.38.216	195.73.38.223	DE
195.73.38.224	195.73.38.239	NL
195.73.38.240	195.73.38.247	DE
195.73.38.248	195.73.39.79	NL
195.73.39.80	195.73.39.87	DE
195.73.39.88	195.73.39.151	NL
195.73.39.152	195.73.39.159	DE
195.73.39.160	195.73.40.47	NL
195.73.40.48	195.73.40.55	DE
195.73.40.56	195.73.40.71	NL
195.73.40.72	195.73.40.79	DE
195.73.40.80	195.73.40.87	NL
195.73.40.88	195.73.40.95	DE
195.73.40.96	195.73.40.103	NL
195.73.40.104	195.73.40.111	DE
195.73.40.112	195.73.40.119	NL
195.73.40.120	195.73.40.135	DE
195.73.40.136	195.73.40.159	NL
195.73.40.160	195.73.40.167	DE
195.73.40.168	195.73.40.191	NL
195.73.40.192	195.73.40.199	DE
195.73.40.200	195.73.40.215	NL
195.73.40.216	195.73.40.223	DE
195.73.40.224	195.73.40.239	NL
195.73.40.240	195.73.40.247	DE
195.73.40.248	195.73.41.31	NL
195.73.41.32	195.73.41.39	DE
195.73.41.40	195.73.41.47	NL
195.73.41.48	195.73.41.55	DE
195.73.41.56	195.73.41.63	NL
195.73.41.64	195.73.41.71	DE
195.73.41.72	195.73.41.135	NL
195.73.41.136	195.73.41.143	DE
195.73.41.144	195.73.41.223	NL
195.73.41.224	195.73.41.231	DE
195.73.41.232	195.73.42.167	NL
195.73.42.168	195.73.42.175	DE
195.73.42.176	195.73.43.23	NL
195.73.43.24	195.73.43.31	DE
195.73.43.32	195.73.43.79	NL
195.73.43.80	195.73.43.87	DE
195.73.43.88	195.73.43.143	NL
195.73.43.144	195.73.43.151	DE
195.73.43.152	195.73.43.255	NL
195.73.44.0	195.73.44.7	DE
195.73.44.8	195.73.44.143	NL
195.73.44.144	195.73.44.151	DE
195.73.44.152	195.73.44.183	NL
195.73.44.184	195.73.44.191	DE
195.73.44.192	195.73.44.255	NL
195.73.45.0	195.73.45.7	DE
195.73.45.8	195.73.45.15	NL
195.73.45.16	195.73.45.23	DE
195.73.45.24	195.73.45.63	NL
195.73.45.64	195.73.45.71	DE
195.73.45.72	195.73.45.143	NL
195.73.45.144	195.73.45.167	DE
195.73.45.168	195.73.45.175	NL
195.73.45.176	195.73.45.183	DE
195.73.45.184	195.73.45.191	NL
195.73.45.192	195.73.45.199	DE
195.73.45.200	195.73.46.15	NL
195.73.46.16	195.73.46.23	DE
195.73.46.24	195.73.46.55	NL
195.73.46.56	195.73.46.63	DE
195.73.46.64	195.73.46.119	NL
195.73.46.120	195.73.46.127	DE
195.73.46.128	195.73.46.183	NL
195.73.46.184	195.73.46.191	DE
195.73.46.192	195.73.47.15	NL
195.73.47.16	195.73.47.23	DE
195.73.47.24	195.73.47.63	NL
195.73.47.64	195.73.47.71	DE
195.73.47.72	195.73.47.79	NL
195.73.47.80	195.73.47.87	DE
195.73.47.88	195.73.48.119	NL
195.73.48.120	195.73.48.127	DE
195.73.48.128	195.73.48.151	NL
195.73.48.152	195.73.48.159	DE
195.73.48.160	195.73.48.175	NL
195.73.48.176	195.73.48.183	DE
195.73.48.184	195.73.49.7	NL
195.73.49.8	195.73.49.15	DE
195.73.49.16	195.73.49.135	NL
195.73.49.136	195.73.49.143	DE
195.73.49.144	195.73.50.47	NL
195.73.50.48	195.73.50.55	DE
195.73.50.56	195.73.50.135	NL
195.73.50.136	195.73.50.143	DE
195.73.50.144	195.73.50.159	NL
195.73.50.160	195.73.50.175	DE
195.73.50.176	195.73.50.207	NL
195.73.50.208	195.73.50.215	DE
195.73.50.216	195.73.51.23	NL
195.73.51.24	195.73.51.31	DE
195.73.51.32	195.73.51.39	NL
195.73.51.40	195.73.51.47	DE
195.73.51.48	195.73.51.111	NL
195.73.51.112	195.73.51.119	DE
195.73.51.120	195.73.52.63	NL
195.73.52.64	195.73.52.79	DE
195.73.52.80	195.73.52.87	NL
195.73.52.88	195.73.52.95	DE
195.73.52.96	195.73.52.175	NL
195.73.52.176	195.73.52.183	DE
195.73.52.184	195.73.53.15	NL
195.73.53.16	195.73.53.31	DE
195.73.53.32	195.73.53.39	NL
195.73.53.40	195.73.53.63	DE
195.73.53.64	195.73.53.71	NL
195.73.53.72	195.73.53.79	DE
195.73.53.80	195.73.53.87	NL
195.73.53.88	195.73.53.95	DE
195.73.53.96	195.73.53.151	NL
195.73.53.152	195.73.53.159	DE
195.73.53.160	195.73.53.183	NL
195.73.53.184	195.73.53.191	DE
195.73.53.192	195.73.53.247	NL
195.73.53.248	195.73.53.255	DE
195.73.54.0	195.73.54.111	NL
195.73.54.112	195.73.54.119	DE
195.73.54.120	195.73.54.191	NL
195.73.54.192	195.73.54.199	DE
195.73.54.200	195.73.55.39	NL
195.73.55.40	195.73.55.55	DE
195.73.55.56	195.73.55.71	NL
195.73.55.72	195.73.55.79	DE
195.73.55.80	195.73.55.111	NL
195.73.55.112	195.73.55.119	DE
195.73.55.120	195.73.55.215	NL
195.73.55.216	195.73.55.231	DE
195.73.55.232	195.73.56.63	NL
195.73.56.64	195.73.56.71	DE
195.73.56.72	195.73.56.79	NL
195.73.56.80	195.73.56.87	DE
195.73.56.88	195.73.56.199	NL
195.73.56.200	195.73.56.207	DE
195.73.56.208	195.73.57.7	NL
195.73.57.8	195.73.57.15	DE
195.73.57.16	195.73.57.223	NL
195.73.57.224	195.73.57.231	DE
195.73.57.232	195.73.58.39	NL
195.73.58.40	195.73.58.47	DE
195.73.58.48	195.73.58.111	NL
195.73.58.112	195.73.58.119	DE
195.73.58.120	195.73.58.183	NL
195.73.58.184	195.73.58.199	DE
195.73.58.200	195.73.58.215	NL
195.73.58.216	195.73.58.223	DE
195.73.58.224	195.73.58.255	NL
195.73.59.0	195.73.59.255	DE
195.73.60.0	195.73.60.15	NL
195.73.60.16	195.73.60.23	DE
195.73.60.24	195.73.60.39	NL
195.73.60.40	195.73.60.47	DE
195.73.60.48	195.73.60.167	NL
195.73.60.168	195.73.60.175	DE
195.73.60.176	195.73.60.191	NL
195.73.60.192	195.73.60.199	DE
195.73.60.200	195.73.61.47	NL
195.73.61.48	195.73.61.63	DE
195.73.61.64	195.73.61.71	NL
195.73.61.72	195.73.61.79	DE
195.73.61.80	195.73.61.151	NL
195.73.61.152	195.73.61.159	DE
195.73.61.160	195.73.62.55	NL
195.73.62.56	195.73.62.63	DE
195.73.62.64	195.73.62.159	NL
195.73.62.160	195.73.62.167	DE
195.73.62.168	195.73.62.175	NL
195.73.62.176	195.73.62.183	DE
195.73.62.184	195.73.62.199	NL
195.73.62.200	195.73.62.207	DE
195.73.62.208	195.73.62.223	NL
195.73.62.224	195.73.62.231	DE
195.73.62.232	195.73.63.7	NL
195.73.63.8	195.73.63.15	DE
195.73.63.16	195.73.63.39	NL
195.73.63.40	195.73.63.47	DE
195.73.63.48	195.73.63.71	NL
195.73.63.72	195.73.63.79	DE
195.73.63.80	195.73.63.127	NL
195.73.63.128	195.73.63.143	DE
195.73.63.144	195.73.63.167	NL
195.73.63.168	195.73.63.175	DE
195.73.63.176	195.73.64.23	NL
195.73.64.24	195.73.64.31	DE
195.73.64.32	195.73.64.39	NL
195.73.64.40	195.73.64.47	DE
195.73.64.48	195.73.64.151	NL
195.73.64.152	195.73.64.159	DE
195.73.64.160	195.73.64.199	NL
195.73.64.200	195.73.64.215	DE
195.73.64.216	195.73.65.15	NL
195.73.65.16	195.73.65.23	DE
195.73.65.24	195.73.65.39	NL
195.73.65.40	195.73.65.47	DE
195.73.65.48	195.73.65.223	NL
195.73.65.224	195.73.65.239	DE
195.73.65.240	195.73.66.55	NL
195.73.66.56	195.73.66.63	DE
195.73.66.64	195.73.66.71	NL
195.73.66.72	195.73.66.79	DE
195.73.66.80	195.73.66.95	NL
195.73.66.96	195.73.66.103	DE
195.73.66.104	195.73.66.135	NL
195.73.66.136	195.73.66.151	DE
195.73.66.152	195.73.66.191	NL
195.73.66.192	195.73.66.199	DE
195.73.66.200	195.73.67.71	NL
195.73.67.72	195.73.67.79	DE
195.73.67.80	195.73.67.95	NL
195.73.67.96	195.73.67.103	DE
195.73.67.104	195.73.67.191	NL
195.73.67.192	195.73.67.199	DE
195.73.67.200	195.73.67.207	NL
195.73.67.208	195.73.67.215	DE
195.73.67.216	195.73.67.231	NL
195.73.67.232	195.73.67.247	DE
195.73.67.248	195.73.68.87	NL
195.73.68.88	195.73.68.103	DE
195.73.68.104	195.73.68.119	NL
195.73.68.120	195.73.68.127	DE
195.73.68.128	195.73.68.135	NL
195.73.68.136	195.73.68.151	DE
195.73.68.152	195.73.68.247	NL
195.73.68.248	195.73.68.255	DE
195.73.69.0	195.73.69.15	NL
195.73.69.16	195.73.69.23	DE
195.73.69.24	195.73.69.39	NL
195.73.69.40	195.73.69.47	DE
195.73.69.48	195.73.69.135	NL
195.73.69.136	195.73.69.143	DE
195.73.69.144	195.73.69.223	NL
195.73.69.224	195.73.69.231	DE
195.73.69.232	195.73.69.255	NL
195.73.70.0	195.73.70.7	DE
195.73.70.8	195.73.70.215	NL
195.73.70.216	195.73.70.223	DE
195.73.70.224	195.73.71.15	NL
195.73.71.16	195.73.71.23	DE
195.73.71.24	195.73.71.87	NL
195.73.71.88	195.73.71.95	DE
195.73.71.96	195.73.71.183	NL
195.73.71.184	195.73.71.191	DE
195.73.71.192	195.73.72.23	NL
195.73.72.24	195.73.72.31	DE
195.73.72.32	195.73.72.47	NL
195.73.72.48	195.73.72.55	DE
195.73.72.56	195.73.72.71	NL
195.73.72.72	195.73.72.79	DE
195.73.72.80	195.73.72.87	NL
195.73.72.88	195.73.72.95	DE
195.73.72.96	195.73.72.103	NL
195.73.72.104	195.73.72.111	DE
195.73.72.112	195.73.72.127	NL
195.73.72.128	195.73.72.135	DE
195.73.72.136	195.73.72.159	NL
195.73.72.160	195.73.72.167	DE
195.73.72.168	195.73.72.239	NL
195.73.72.240	195.73.72.247	DE
195.73.72.248	195.73.73.71	NL
195.73.73.72	195.73.73.79	DE
195.73.73.80	195.73.73.119	NL
195.73.73.120	195.73.73.127	DE
195.73.73.128	195.73.73.151	NL
195.73.73.152	195.73.73.159	DE
195.73.73.160	195.73.73.175	NL
195.73.73.176	195.73.73.183	DE
195.73.73.184	195.73.73.239	NL
195.73.73.240	195.73.73.247	DE
195.73.73.248	195.73.74.7	NL
195.73.74.8	195.73.74.15	DE
195.73.74.16	195.73.74.31	NL
195.73.74.32	195.73.74.47	DE
195.73.74.48	195.73.74.79	NL
195.73.74.80	195.73.74.87	DE
195.73.74.88	195.73.74.135	NL
195.73.74.136	195.73.74.143	DE
195.73.74.144	195.73.74.159	NL
195.73.74.160	195.73.74.167	DE
195.73.74.168	195.73.74.183	NL
195.73.74.184	195.73.74.191	DE
195.73.74.192	195.73.74.207	NL
195.73.74.208	195.73.74.215	DE
195.73.74.216	195.73.75.47	NL
195.73.75.48	195.73.75.55	DE
195.73.75.56	195.73.75.71	NL
195.73.75.72	195.73.75.79	DE
195.73.75.80	195.73.75.111	NL
195.73.75.112	195.73.75.119	DE
195.73.75.120	195.73.75.135	NL
195.73.75.136	195.73.75.143	DE
195.73.75.144	195.73.75.167	NL
195.73.75.168	195.73.75.175	DE
195.73.75.176	195.73.75.239	NL
195.73.75.240	195.73.75.255	DE
195.73.76.0	195.73.76.39	NL
195.73.76.40	195.73.76.47	DE
195.73.76.48	195.73.76.143	NL
195.73.76.144	195.73.76.159	DE
195.73.76.160	195.73.77.39	NL
195.73.77.40	195.73.77.47	DE
195.73.77.48	195.73.77.55	NL
195.73.77.56	195.73.77.63	DE
195.73.77.64	195.73.77.103	NL
195.73.77.104	195.73.77.111	DE
195.73.77.112	195.73.78.23	NL
195.73.78.24	195.73.78.31	DE
195.73.78.32	195.73.78.39	NL
195.73.78.40	195.73.78.55	DE
195.73.78.56	195.73.78.87	NL
195.73.78.88	195.73.78.95	DE
195.73.78.96	195.73.78.127	NL
195.73.78.128	195.73.78.135	DE
195.73.78.136	195.73.78.167	NL
195.73.78.168	195.73.78.175	DE
195.73.78.176	195.73.78.183	NL
195.73.78.184	195.73.78.191	DE
195.73.78.192	195.73.79.47	NL
195.73.79.48	195.73.79.55	DE
195.73.79.56	195.73.79.127	NL
195.73.79.128	195.73.79.135	DE
195.73.79.136	195.73.79.183	NL
195.73.79.184	195.73.79.191	DE
195.73.79.192	195.73.79.207	NL
195.73.79.208	195.73.79.215	DE
195.73.79.216	195.73.80.23	NL
195.73.80.24	195.73.80.39	DE
195.73.80.40	195.73.81.15	NL
195.73.81.16	195.73.81.23	DE
195.73.81.24	195.73.81.63	NL
195.73.81.64	195.73.81.71	DE
195.73.81.72	195.73.81.87	NL
195.73.81.88	195.73.81.95	DE
195.73.81.96	195.73.81.159	NL
195.73.81.160	195.73.81.167	DE
195.73.81.168	195.73.82.71	NL
195.73.82.72	195.73.82.79	DE
195.73.82.80	195.73.83.103	NL
195.73.83.104	195.73.83.111	DE
195.73.83.112	195.73.83.199	NL
195.73.83.200	195.73.83.207	DE
195.73.83.208	195.73.84.7	NL
195.73.84.8	195.73.84.15	DE
195.73.84.16	195.73.84.23	NL
195.73.84.24	195.73.84.31	DE
195.73.84.32	195.73.84.39	NL
195.73.84.40	195.73.84.47	DE
195.73.84.48	195.73.84.215	NL
195.73.84.216	195.73.84.223	DE
195.73.84.224	195.73.84.231	NL
195.73.84.232	195.73.84.239	DE
195.73.84.240	195.73.85.39	NL
195.73.85.40	195.73.85.47	DE
195.73.85.48	195.73.85.63	NL
195.73.85.64	195.73.85.71	DE
195.73.85.72	195.73.85.215	NL
195.73.85.216	195.73.85.223	DE
195.73.85.224	195.73.86.31	NL
195.73.86.32	195.73.86.39	DE
195.73.86.40	195.73.86.71	NL
195.73.86.72	195.73.86.79	DE
195.73.86.80	195.73.86.111	NL
195.73.86.112	195.73.86.119	DE
195.73.86.120	195.73.86.239	NL
195.73.86.240	195.73.86.247	DE
195.73.86.248	195.73.87.63	NL
195.73.87.64	195.73.87.71	DE
195.73.87.72	195.73.87.87	NL
195.73.87.88	195.73.87.95	DE
195.73.87.96	195.73.87.103	NL
195.73.87.104	195.73.87.111	DE
195.73.87.112	195.73.87.135	NL
195.73.87.136	195.73.87.159	DE
195.73.87.160	195.73.87.183	NL
195.73.87.184	195.73.87.191	DE
195.73.87.192	195.73.88.47	NL
195.73.88.48	195.73.88.55	DE
195.73.88.56	195.73.88.79	NL
195.73.88.80	195.73.88.87	DE
195.73.88.88	195.73.88.175	NL
195.73.88.176	195.73.88.191	DE
195.73.88.192	195.73.88.199	NL
195.73.88.200	195.73.88.215	DE
195.73.88.216	195.73.89.151	NL
195.73.89.152	195.73.89.159	DE
195.73.89.160	195.73.90.7	NL
195.73.90.8	195.73.90.15	DE
195.73.90.16	195.73.90.23	NL
195.73.90.24	195.73.90.31	DE
195.73.90.32	195.73.90.95	NL
195.73.90.96	195.73.90.103	DE
195.73.90.104	195.73.90.143	NL
195.73.90.144	195.73.90.151	DE
195.73.90.152	195.73.90.255	NL
195.73.91.0	195.73.91.7	DE
195.73.91.8	195.73.91.95	NL
195.73.91.96	195.73.91.111	DE
195.73.91.112	195.73.92.7	NL
195.73.92.8	195.73.92.15	DE
195.73.92.16	195.73.92.55	NL
195.73.92.56	195.73.92.63	DE
195.73.92.64	195.73.92.135	NL
195.73.92.136	195.73.92.143	DE
195.73.92.144	195.73.92.159	NL
195.73.92.160	195.73.92.167	DE
195.73.92.168	195.73.92.191	NL
195.73.92.192	195.73.92.207	DE
195.73.92.208	195.73.93.159	NL
195.73.93.160	195.73.93.167	DE
195.73.93.168	195.73.93.191	NL
195.73.93.192	195.73.93.199	DE
195.73.93.200	195.73.93.247	NL
195.73.93.248	195.73.93.255	DE
195.73.94.0	195.73.94.15	NL
195.73.94.16	195.73.94.23	DE
195.73.94.24	195.73.94.63	NL
195.73.94.64	195.73.94.79	DE
195.73.94.80	195.73.94.103	NL
195.73.94.104	195.73.94.111	DE
195.73.94.112	195.73.94.183	NL
195.73.94.184	195.73.94.207	DE
195.73.94.208	195.73.94.231	NL
195.73.94.232	195.73.94.239	DE
195.73.94.240	195.73.95.55	NL
195.73.95.56	195.73.95.63	DE
195.73.95.64	195.73.95.79	NL
195.73.95.80	195.73.95.87	DE
195.73.95.88	195.73.95.175	NL
195.73.95.176	195.73.95.183	DE
195.73.95.184	195.73.96.175	NL
195.73.96.176	195.73.96.183	DE
195.73.96.184	195.73.96.215	NL
195.73.96.216	195.73.96.223	DE
195.73.96.224	195.73.96.231	NL
195.73.96.232	195.73.96.239	DE
195.73.96.240	195.73.97.39	NL
195.73.97.40	195.73.97.47	DE
195.73.97.48	195.73.97.63	NL
195.73.97.64	195.73.97.71	DE
195.73.97.72	195.73.97.175	NL
195.73.97.176	195.73.97.183	DE
195.73.97.184	195.73.97.239	NL
195.73.97.240	195.73.97.255	DE
195.73.98.0	195.73.98.119	NL
195.73.98.120	195.73.98.135	DE
195.73.98.136	195.73.98.255	NL
195.73.99.0	195.73.99.7	DE
195.73.99.8	195.73.99.47	NL
195.73.99.48	195.73.99.55	DE
195.73.99.56	195.73.99.87	NL
195.73.99.88	195.73.99.103	DE
195.73.99.104	195.73.99.135	NL
195.73.99.136	195.73.99.143	DE
195.73.99.144	195.73.99.159	NL
195.73.99.160	195.73.99.175	DE
195.73.99.176	195.73.99.183	NL
195.73.99.184	195.73.99.191	DE
195.73.99.192	195.73.100.7	NL
195.73.100.8	195.73.100.15	DE
195.73.100.16	195.73.100.39	NL
195.73.100.40	195.73.100.47	DE
195.73.100.48	195.73.100.71	NL
195.73.100.72	195.73.100.79	DE
195.73.100.80	195.73.100.215	NL
195.73.100.216	195.73.100.223	DE
195.73.100.224	195.73.100.231	NL
195.73.100.232	195.73.100.239	DE
195.73.100.240	195.73.101.15	NL
195.73.101.16	195.73.101.23	DE
195.73.101.24	195.73.101.55	NL
195.73.101.56	195.73.101.71	DE
195.73.101.72	195.73.101.167	NL
195.73.101.168	195.73.101.175	DE
195.73.101.176	195.73.102.95	NL
195.73.102.96	195.73.102.103	DE
195.73.102.104	195.73.102.247	NL
195.73.102.248	195.73.102.255	DE
195.73.103.0	195.73.103.7	NL
195.73.103.8	195.73.103.15	DE
195.73.103.16	195.73.103.63	NL
195.73.103.64	195.73.103.71	DE
195.73.103.72	195.73.103.95	NL
195.73.103.96	195.73.103.103	DE
195.73.103.104	195.73.103.127	NL
195.73.103.128	195.73.103.135	DE
195.73.103.136	195.73.103.167	NL
195.73.103.168	195.73.103.175	DE
195.73.103.176	195.73.103.239	NL
195.73.103.240	195.73.103.247	DE
195.73.103.248	195.73.104.207	NL
195.73.104.208	195.73.104.215	DE
195.73.104.216	195.73.104.231	NL
195.73.104.232	195.73.104.239	DE
195.73.104.240	195.73.105.63	NL
195.73.105.64	195.73.105.71	DE
195.73.105.72	195.73.105.143	NL
195.73.105.144	195.73.105.151	DE
195.73.105.152	195.73.105.215	NL
195.73.105.216	195.73.105.223	DE
195.73.105.224	195.73.106.47	NL
195.73.106.48	195.73.106.55	DE
195.73.106.56	195.73.106.143	NL
195.73.106.144	195.73.106.151	DE
195.73.106.152	195.73.106.231	NL
195.73.106.232	195.73.106.239	DE
195.73.106.240	195.73.106.247	NL
195.73.106.248	195.73.106.255	DE
195.73.107.0	195.73.107.15	NL
195.73.107.16	195.73.107.23	DE
195.73.107.24	195.73.107.63	NL
195.73.107.64	195.73.107.71	DE
195.73.107.72	195.73.107.87	NL
195.73.107.88	195.73.107.95	DE
195.73.107.96	195.73.107.111	NL
195.73.107.112	195.73.107.119	DE
195.73.107.120	195.73.107.175	NL
195.73.107.176	195.73.107.183	DE
195.73.107.184	195.73.107.231	NL
195.73.107.232	195.73.107.239	DE
195.73.107.240	195.73.108.135	NL
195.73.108.136	195.73.108.151	DE
195.73.108.152	195.73.108.183	NL
195.73.108.184	195.73.108.191	DE
195.73.108.192	195.73.109.15	NL
195.73.109.16	195.73.109.31	DE
195.73.109.32	195.73.109.111	NL
195.73.109.112	195.73.109.119	DE
195.73.109.120	195.73.110.23	NL
195.73.110.24	195.73.110.31	DE
195.73.110.32	195.73.110.119	NL
195.73.110.120	195.73.110.135	DE
195.73.110.136	195.73.110.143	NL
195.73.110.144	195.73.110.151	DE
195.73.110.152	195.73.110.191	NL
195.73.110.192	195.73.110.199	DE
195.73.110.200	195.73.110.215	NL
195.73.110.216	195.73.110.223	DE
195.73.110.224	195.73.110.231	NL
195.73.110.232	195.73.110.239	DE
195.73.110.240	195.73.111.39	NL
195.73.111.40	195.73.111.47	DE
195.73.111.48	195.73.111.71	NL
195.73.111.72	195.73.111.79	DE
195.73.111.80	195.73.111.87	NL
195.73.111.88	195.73.111.95	DE
195.73.111.96	195.73.111.191	NL
195.73.111.192	195.73.111.199	DE
195.73.111.200	195.73.111.207	NL
195.73.111.208	195.73.111.215	DE
195.73.111.216	195.73.111.255	NL
195.73.112.0	195.73.112.7	DE
195.73.112.8	195.73.112.79	NL
195.73.112.80	195.73.112.95	DE
195.73.112.96	195.73.112.143	NL
195.73.112.144	195.73.112.151	DE
195.73.112.152	195.73.112.199	NL
195.73.112.200	195.73.112.223	DE
195.73.112.224	195.73.113.7	NL
195.73.113.8	195.73.113.15	DE
195.73.113.16	195.73.113.159	NL
195.73.113.160	195.73.113.167	DE
195.73.113.168	195.73.113.199	NL
195.73.113.200	195.73.113.207	DE
195.73.113.208	195.73.114.119	NL
195.73.114.120	195.73.114.135	DE
195.73.114.136	195.73.114.167	NL
195.73.114.168	195.73.114.175	DE
195.73.114.176	195.73.115.143	NL
195.73.115.144	195.73.115.151	DE
195.73.115.152	195.73.115.231	NL
195.73.115.232	195.73.115.239	DE
195.73.115.240	195.73.116.15	NL
195.73.116.16	195.73.116.23	DE
195.73.116.24	195.73.116.55	NL
195.73.116.56	195.73.116.63	DE
195.73.116.64	195.73.116.95	NL
195.73.116.96	195.73.116.111	DE
195.73.116.112	195.73.116.223	NL
195.73.116.224	195.73.116.231	DE
195.73.116.232	195.73.117.39	NL
195.73.117.40	195.73.117.47	DE
195.73.117.48	195.73.117.55	NL
195.73.117.56	195.73.117.71	DE
195.73.117.72	195.73.117.127	NL
195.73.117.128	195.73.117.135	DE
195.73.117.136	195.73.117.143	NL
195.73.117.144	195.73.117.151	DE
195.73.117.152	195.73.117.167	NL
195.73.117.168	195.73.117.175	DE
195.73.117.176	195.73.117.207	NL
195.73.117.208	195.73.117.215	DE
195.73.117.216	195.73.117.231	NL
195.73.117.232	195.73.117.239	DE
195.73.117.240	195.73.117.255	NL
195.73.118.0	195.73.118.7	DE
195.73.118.8	195.73.118.55	NL
195.73.118.56	195.73.118.71	DE
195.73.118.72	195.73.119.15	NL
195.73.119.16	195.73.119.23	DE
195.73.119.24	195.73.119.103	NL
195.73.119.104	195.73.119.111	DE
195.73.119.112	195.73.119.119	NL
195.73.119.120	195.73.119.127	DE
195.73.119.128	195.73.119.151	NL
195.73.119.152	195.73.119.159	DE
195.73.119.160	195.73.119.167	NL
195.73.119.168	195.73.119.175	DE
195.73.119.176	195.73.119.191	NL
195.73.119.192	195.73.119.199	DE
195.73.119.200	195.73.119.239	NL
195.73.119.240	195.73.119.247	DE
195.73.119.248	195.73.120.55	NL
195.73.120.56	195.73.120.63	DE
195.73.120.64	195.73.120.127	NL
195.73.120.128	195.73.120.143	DE
195.73.120.144	195.73.120.167	NL
195.73.120.168	195.73.120.175	DE
195.73.120.176	195.73.121.79	NL
195.73.121.80	195.73.121.87	DE
195.73.121.88	195.73.121.119	NL
195.73.121.120	195.73.121.127	DE
195.73.121.128	195.73.122.199	NL
195.73.122.200	195.73.122.207	DE
195.73.122.208	195.73.123.71	NL
195.73.123.72	195.73.123.79	DE
195.73.123.80	195.73.123.175	NL
195.73.123.176	195.73.123.183	DE
195.73.123.184	195.73.123.207	NL
195.73.123.208	195.73.123.215	DE
195.73.123.216	195.73.124.23	NL
195.73.124.24	195.73.124.31	DE
195.73.124.32	195.73.124.47	NL
195.73.124.48	195.73.124.55	DE
195.73.124.56	195.73.124.71	NL
195.73.124.72	195.73.124.79	DE
195.73.124.80	195.73.124.127	NL
195.73.124.128	195.73.124.135	DE
195.73.124.136	195.73.124.175	NL
195.73.124.176	195.73.124.183	DE
195.73.124.184	195.73.124.215	NL
195.73.124.216	195.73.124.223	DE
195.73.124.224	195.73.124.231	NL
195.73.124.232	195.73.124.239	DE
195.73.124.240	195.73.125.95	NL
195.73.125.96	195.73.125.103	DE
195.73.125.104	195.73.125.183	NL
195.73.125.184	195.73.125.191	DE
195.73.125.192	195.73.125.199	NL
195.73.125.200	195.73.125.207	DE
195.73.125.208	195.73.126.15	NL
195.73.126.16	195.73.126.23	DE
195.73.126.24	195.73.126.47	NL
195.73.126.48	195.73.126.55	DE
195.73.126.56	195.73.126.223	NL
195.73.126.224	195.73.126.231	DE
195.73.126.232	195.73.126.247	NL
195.73.126.248	195.73.126.255	DE
195.73.127.0	195.73.127.103	NL
195.73.127.104	195.73.127.111	DE
195.73.127.112	195.73.127.151	NL
195.73.127.152	195.73.127.159	DE
195.73.127.160	195.73.127.167	NL
195.73.127.168	195.73.127.183	DE
195.73.127.184	195.73.128.47	NL
195.73.128.48	195.73.128.55	DE
195.73.128.56	195.73.128.127	NL
195.73.128.128	195.73.128.135	DE
195.73.128.136	195.73.128.143	NL
195.73.128.144	195.73.128.151	DE
195.73.128.152	195.73.129.55	NL
195.73.129.56	195.73.129.63	DE
195.73.129.64	195.73.129.127	NL
195.73.129.128	195.73.129.135	DE
195.73.129.136	195.73.129.167	NL
195.73.129.168	195.73.129.175	DE
195.73.129.176	195.73.129.207	NL
195.73.129.208	195.73.129.215	DE
195.73.129.216	195.73.129.255	NL
195.73.130.0	195.73.130.7	DE
195.73.130.8	195.73.130.47	NL
195.73.130.48	195.73.130.55	DE
195.73.130.56	195.73.130.151	NL
195.73.130.152	195.73.130.159	DE
195.73.130.160	195.73.130.175	NL
195.73.130.176	195.73.130.183	DE
195.73.130.184	195.73.130.199	NL
195.73.130.200	195.73.130.207	DE
195.73.130.208	195.73.130.223	NL
195.73.130.224	195.73.130.239	DE
195.73.130.240	195.73.130.247	NL
195.73.130.248	195.73.130.255	DE
195.73.131.0	195.73.131.23	NL
195.73.131.24	195.73.131.31	DE
195.73.131.32	195.73.131.39	NL
195.73.131.40	195.73.131.47	DE
195.73.131.48	195.73.131.215	NL
195.73.131.216	195.73.131.223	DE
195.73.131.224	195.73.132.63	NL
195.73.132.64	195.73.132.79	DE
195.73.132.80	195.73.132.143	NL
195.73.132.144	195.73.132.151	DE
195.73.132.152	195.73.132.183	NL
195.73.132.184	195.73.132.191	DE
195.73.132.192	195.73.133.39	NL
195.73.133.40	195.73.133.63	DE
195.73.133.64	195.73.133.127	NL
195.73.133.128	195.73.133.143	DE
195.73.133.144	195.73.134.55	NL
195.73.134.56	195.73.134.63	DE
195.73.134.64	195.73.134.127	NL
195.73.134.128	195.73.134.135	DE
195.73.134.136	195.73.134.175	NL
195.73.134.176	195.73.134.183	DE
195.73.134.184	195.73.134.231	NL
195.73.134.232	195.73.134.239	DE
195.73.134.240	195.73.135.103	NL
195.73.135.104	195.73.135.111	DE
195.73.135.112	195.73.135.207	NL
195.73.135.208	195.73.135.215	DE
195.73.135.216	195.73.135.247	NL
195.73.135.248	195.73.135.255	DE
195.73.136.0	195.73.136.31	NL
195.73.136.32	195.73.136.39	DE
195.73.136.40	195.73.136.79	NL
195.73.136.80	195.73.136.87	DE
195.73.136.88	195.73.136.127	NL
195.73.136.128	195.73.136.135	DE
195.73.136.136	195.73.136.247	NL
195.73.136.248	195.73.136.255	DE
195.73.137.0	195.73.137.39	NL
195.73.137.40	195.73.137.47	DE
195.73.137.48	195.73.137.55	NL
195.73.137.56	195.73.137.63	DE
195.73.137.64	195.73.137.151	NL
195.73.137.152	195.73.137.159	DE
195.73.137.160	195.73.137.183	NL
195.73.137.184	195.73.137.191	DE
195.73.137.192	195.73.138.23	NL
195.73.138.24	195.73.138.31	DE
195.73.138.32	195.73.138.103	NL
195.73.138.104	195.73.138.111	DE
195.73.138.112	195.73.138.191	NL
195.73.138.192	195.73.138.199	DE
195.73.138.200	195.73.139.39	NL
195.73.139.40	195.73.139.47	DE
195.73.139.48	195.73.139.95	NL
195.73.139.96	195.73.139.103	DE
195.73.139.104	195.73.139.199	NL
195.73.139.200	195.73.139.207	DE
195.73.139.208	195.73.139.255	NL
195.73.140.0	195.73.140.7	DE
195.73.140.8	195.73.140.247	NL
195.73.140.248	195.73.141.7	DE
195.73.141.8	195.73.141.15	NL
195.73.141.16	195.73.141.23	DE
195.73.141.24	195.73.141.63	NL
195.73.141.64	195.73.141.71	DE
195.73.141.72	195.73.141.103	NL
195.73.141.104	195.73.141.111	DE
195.73.141.112	195.73.142.31	NL
195.73.142.32	195.73.142.39	DE
195.73.142.40	195.73.142.87	NL
195.73.142.88	195.73.142.95	DE
195.73.142.96	195.73.142.207	NL
195.73.142.208	195.73.142.215	DE
195.73.142.216	195.73.142.231	NL
195.73.142.232	195.73.142.247	DE
195.73.142.248	195.73.143.31	NL
195.73.143.32	195.73.143.39	DE
195.73.143.40	195.73.143.127	NL
195.73.143.128	195.73.143.135	DE
195.73.143.136	195.73.143.207	NL
195.73.143.208	195.73.143.215	DE
195.73.143.216	195.73.143.247	NL
195.73.143.248	195.73.143.255	DE
195.73.144.0	195.73.144.31	NL
195.73.144.32	195.73.144.39	DE
195.73.144.40	195.73.144.119	NL
195.73.144.120	195.73.144.127	DE
195.73.144.128	195.73.144.199	NL
195.73.144.200	195.73.144.207	DE
195.73.144.208	195.73.144.239	NL
195.73.144.240	195.73.144.247	DE
195.73.144.248	195.73.145.199	NL
195.73.145.200	195.73.145.223	DE
195.73.145.224	195.73.145.239	NL
195.73.145.240	195.73.145.247	DE
195.73.145.248	195.73.146.7	NL
195.73.146.8	195.73.146.15	DE
195.73.146.16	195.73.146.111	NL
195.73.146.112	195.73.146.119	DE
195.73.146.120	195.73.146.215	NL
195.73.146.216	195.73.146.223	DE
195.73.146.224	195.73.146.247	NL
195.73.146.248	195.73.146.255	DE
195.73.147.0	195.73.147.31	NL
195.73.147.32	195.73.147.39	DE
195.73.147.40	195.73.147.55	NL
195.73.147.56	195.73.147.63	DE
195.73.147.64	195.73.147.71	NL
195.73.147.72	195.73.147.79	DE
195.73.147.80	195.73.147.103	NL
195.73.147.104	195.73.147.111	DE
195.73.147.112	195.73.147.167	NL
195.73.147.168	195.73.147.175	DE
195.73.147.176	195.73.147.191	NL
195.73.147.192	195.73.147.199	DE
195.73.147.200	195.73.148.31	NL
195.73.148.32	195.73.148.39	DE
195.73.148.40	195.73.148.79	NL
195.73.148.80	195.73.148.87	DE
195.73.148.88	195.73.148.143	NL
195.73.148.144	195.73.148.151	DE
195.73.148.152	195.73.148.159	NL
195.73.148.160	195.73.148.167	DE
195.73.148.168	195.73.149.71	NL
195.73.149.72	195.73.149.79	DE
195.73.149.80	195.73.149.111	NL
195.73.149.112	195.73.149.119	DE
195.73.149.120	195.73.149.191	NL
195.73.149.192	195.73.149.199	DE
195.73.149.200	195.73.149.215	NL
195.73.149.216	195.73.149.223	DE
195.73.149.224	195.73.150.55	NL
195.73.150.56	195.73.150.63	DE
195.73.150.64	195.73.150.79	NL
195.73.150.80	195.73.150.87	DE
195.73.150.88	195.73.150.119	NL
195.73.150.120	195.73.150.127	DE
195.73.150.128	195.73.150.167	NL
195.73.150.168	195.73.150.175	DE
195.73.150.176	195.73.151.39	NL
195.73.151.40	195.73.151.47	DE
195.73.151.48	195.73.151.55	NL
195.73.151.56	195.73.151.63	DE
195.73.151.64	195.73.151.119	NL
195.73.151.120	195.73.151.127	DE
195.73.151.128	195.73.152.39	NL
195.73.152.40	195.73.152.55	DE
195.73.152.56	195.73.152.135	NL
195.73.152.136	195.73.152.143	DE
195.73.152.144	195.73.152.191	NL
195.73.152.192	195.73.152.199	DE
195.73.152.200	195.73.153.55	NL
195.73.153.56	195.73.153.63	DE
195.73.153.64	195.73.154.15	NL
195.73.154.16	195.73.154.23	DE
195.73.154.24	195.73.154.207	NL
195.73.154.208	195.73.154.215	DE
195.73.154.216	195.73.154.247	NL
195.73.154.248	195.73.154.255	DE
195.73.155.0	195.73.155.175	NL
195.73.155.176	195.73.155.183	DE
195.73.155.184	195.73.155.199	NL
195.73.155.200	195.73.155.207	DE
195.73.155.208	195.73.155.239	NL
195.73.155.240	195.73.155.247	DE
195.73.155.248	195.73.156.63	NL
195.73.156.64	195.73.156.79	DE
195.73.156.80	195.73.156.95	NL
195.73.156.96	195.73.156.103	DE
195.73.156.104	195.73.156.111	NL
195.73.156.112	195.73.156.119	DE
195.73.156.120	195.73.156.127	NL
195.73.156.128	195.73.156.135	DE
195.73.156.136	195.73.156.143	NL
195.73.156.144	195.73.156.151	DE
195.73.156.152	195.73.156.175	NL
195.73.156.176	195.73.156.183	DE
195.73.156.184	195.73.156.231	NL
195.73.156.232	195.73.156.247	DE
195.73.156.248	195.73.157.143	NL
195.73.157.144	195.73.157.159	DE
195.73.157.160	195.73.157.167	NL
195.73.157.168	195.73.157.175	DE
195.73.157.176	195.73.157.231	NL
195.73.157.232	195.73.157.239	DE
195.73.157.240	195.73.158.79	NL
195.73.158.80	195.73.158.87	DE
195.73.158.88	195.73.159.15	NL
195.73.159.16	195.73.159.23	DE
195.73.159.24	195.73.159.103	NL
195.73.159.104	195.73.159.111	DE
195.73.159.112	195.73.159.151	NL
195.73.159.152	195.73.159.159	DE
195.73.159.160	195.73.159.167	NL
195.73.159.168	195.73.159.183	DE
195.73.159.184	195.73.159.223	NL
195.73.159.224	195.73.159.231	DE
195.73.159.232	195.73.160.79	NL
195.73.160.80	195.73.160.87	DE
195.73.160.88	195.73.160.175	NL
195.73.160.176	195.73.160.191	DE
195.73.160.192	195.73.161.31	NL
195.73.161.32	195.73.161.47	DE
195.73.161.48	195.73.161.111	NL
195.73.161.112	195.73.161.119	DE
195.73.161.120	195.73.161.199	NL
195.73.161.200	195.73.161.207	DE
195.73.161.208	195.73.161.247	NL
195.73.161.248	195.73.161.255	DE
195.73.162.0	195.73.162.143	NL
195.73.162.144	195.73.162.151	DE
195.73.162.152	195.73.162.167	NL
195.73.162.168	195.73.162.175	DE
195.73.162.176	195.73.163.63	NL
195.73.163.64	195.73.163.71	DE
195.73.163.72	195.73.163.87	NL
195.73.163.88	195.73.163.95	DE
195.73.163.96	195.73.163.103	NL
195.73.163.104	195.73.163.111	DE
195.73.163.112	195.73.163.119	NL
195.73.163.120	195.73.163.135	DE
195.73.163.136	195.73.163.143	NL
195.73.163.144	195.73.163.151	DE
195.73.163.152	195.73.163.231	NL
195.73.163.232	195.73.163.239	DE
195.73.163.240	195.73.164.15	NL
195.73.164.16	195.73.164.23	DE
195.73.164.24	195.73.164.79	NL
195.73.164.80	195.73.164.95	DE
195.73.164.96	195.73.164.127	NL
195.73.164.128	195.73.164.135	DE
195.73.164.136	195.73.164.247	NL
195.73.164.248	195.73.164.255	DE
195.73.165.0	195.73.165.39	NL
195.73.165.40	195.73.165.71	DE
195.73.165.72	195.73.165.127	NL
195.73.165.128	195.73.165.135	DE
195.73.165.136	195.73.165.183	NL
195.73.165.184	195.73.165.199	DE
195.73.165.200	195.73.165.215	NL
195.73.165.216	195.73.165.223	DE
195.73.165.224	195.73.166.39	NL
195.73.166.40	195.73.166.47	DE
195.73.166.48	195.73.166.143	NL
195.73.166.144	195.73.166.151	DE
195.73.166.152	195.73.167.63	NL
195.73.167.64	195.73.167.71	DE
195.73.167.72	195.73.167.111	NL
195.73.167.112	195.73.167.119	DE
195.73.167.120	195.73.167.199	NL
195.73.167.200	195.73.167.207	DE
195.73.167.208	195.73.168.7	NL
195.73.168.8	195.73.168.15	DE
195.73.168.16	195.73.168.23	NL
195.73.168.24	195.73.168.31	DE
195.73.168.32	195.73.168.79	NL
195.73.168.80	195.73.168.87	DE
195.73.168.88	195.73.168.111	NL
195.73.168.112	195.73.168.119	DE
195.73.168.120	195.73.168.127	NL
195.73.168.128	195.73.168.135	DE
195.73.168.136	195.73.168.143	NL
195.73.168.144	195.73.168.151	DE
195.73.168.152	195.73.168.159	NL
195.73.168.160	195.73.168.167	DE
195.73.168.168	195.73.168.183	NL
195.73.168.184	195.73.168.191	DE
195.73.168.192	195.73.169.39	NL
195.73.169.40	195.73.169.47	DE
195.73.169.48	195.73.169.55	NL
195.73.169.56	195.73.169.63	DE
195.73.169.64	195.73.169.135	NL
195.73.169.136	195.73.169.143	DE
195.73.169.144	195.73.169.215	NL
195.73.169.216	195.73.169.223	DE
195.73.169.224	195.73.170.55	NL
195.73.170.56	195.73.170.71	DE
195.73.170.72	195.73.170.111	NL
195.73.170.112	195.73.170.119	DE
195.73.170.120	195.73.170.127	NL
195.73.170.128	195.73.170.135	DE
195.73.170.136	195.73.171.7	NL
195.73.171.8	195.73.171.15	DE
195.73.171.16	195.73.171.23	NL
195.73.171.24	195.73.171.31	DE
195.73.171.32	195.73.171.55	NL
195.73.171.56	195.73.171.63	DE
195.73.171.64	195.73.171.87	NL
195.73.171.88	195.73.171.95	DE
195.73.171.96	195.73.171.111	NL
195.73.171.112	195.73.171.119	DE
195.73.171.120	195.73.171.151	NL
195.73.171.152	195.73.171.159	DE
195.73.171.160	195.73.171.167	NL
195.73.171.168	195.73.171.175	DE
195.73.171.176	195.73.171.191	NL
195.73.171.192	195.73.171.199	DE
195.73.171.200	195.73.171.223	NL
195.73.171.224	195.73.171.231	DE
195.73.171.232	195.73.172.15	NL
195.73.172.16	195.73.172.23	DE
195.73.172.24	195.73.172.103	NL
195.73.172.104	195.73.172.119	DE
195.73.172.120	195.73.173.39	NL
195.73.173.40	195.73.173.47	DE
195.73.173.48	195.73.173.143	NL
195.73.173.144	195.73.173.151	DE
195.73.173.152	195.73.173.159	NL
195.73.173.160	195.73.173.167	DE
195.73.173.168	195.73.173.215	NL
195.73.173.216	195.73.173.223	DE
195.73.173.224	195.73.174.7	NL
195.73.174.8	195.73.174.15	DE
195.73.174.16	195.73.174.111	NL
195.73.174.112	195.73.174.119	DE
195.73.174.120	195.73.174.127	NL
195.73.174.128	195.73.174.135	DE
195.73.174.136	195.73.174.143	NL
195.73.174.144	195.73.174.151	DE
195.73.174.152	195.73.174.167	NL
195.73.174.168	195.73.174.175	DE
195.73.174.176	195.73.174.255	NL
195.73.175.0	195.73.175.7	DE
195.73.175.8	195.73.175.39	NL
195.73.175.40	195.73.175.47	DE
195.73.175.48	195.73.175.151	NL
195.73.175.152	195.73.175.159	DE
195.73.175.160	195.73.175.183	NL
195.73.175.184	195.73.175.191	DE
195.73.175.192	195.73.176.55	NL
195.73.176.56	195.73.176.63	DE
195.73.176.64	195.73.176.71	NL
195.73.176.72	195.73.176.79	DE
195.73.176.80	195.73.176.95	NL
195.73.176.96	195.73.176.103	DE
195.73.176.104	195.73.176.111	NL
195.73.176.112	195.73.176.119	DE
195.73.176.120	195.73.176.127	NL
195.73.176.128	195.73.176.135	DE
195.73.176.136	195.73.176.199	NL
195.73.176.200	195.73.176.207	DE
195.73.176.208	195.73.176.255	NL
195.73.177.0	195.73.177.7	DE
195.73.177.8	195.73.177.15	NL
195.73.177.16	195.73.177.23	DE
195.73.177.24	195.73.177.39	NL
195.73.177.40	195.73.177.47	DE
195.73.177.48	195.73.177.55	NL
195.73.177.56	195.73.177.63	DE
195.73.177.64	195.73.177.95	NL
195.73.177.96	195.73.177.103	DE
195.73.177.104	195.73.177.167	NL
195.73.177.168	195.73.177.175	DE
195.73.177.176	195.73.177.183	NL
195.73.177.184	195.73.177.191	DE
195.73.177.192	195.73.177.199	NL
195.73.177.200	195.73.177.207	DE
195.73.177.208	195.73.178.15	NL
195.73.178.16	195.73.178.23	DE
195.73.178.24	195.73.178.31	NL
195.73.178.32	195.73.178.39	DE
195.73.178.40	195.73.178.47	NL
195.73.178.48	195.73.178.55	DE
195.73.178.56	195.73.178.63	NL
195.73.178.64	195.73.178.71	DE
195.73.178.72	195.73.178.79	NL
195.73.178.80	195.73.178.87	DE
195.73.178.88	195.73.178.111	NL
195.73.178.112	195.73.178.119	DE
195.73.178.120	195.73.178.135	NL
195.73.178.136	195.73.178.143	DE
195.73.178.144	195.73.178.159	NL
195.73.178.160	195.73.178.167	DE
195.73.178.168	195.73.178.191	NL
195.73.178.192	195.73.178.199	DE
195.73.178.200	195.73.178.255	NL
195.73.179.0	195.73.179.7	DE
195.73.179.8	195.73.179.127	NL
195.73.179.128	195.73.179.135	DE
195.73.179.136	195.73.179.159	NL
195.73.179.160	195.73.179.167	DE
195.73.179.168	195.73.179.175	NL
195.73.179.176	195.73.179.183	DE
195.73.179.184	195.73.179.191	NL
195.73.179.192	195.73.179.199	DE
195.73.179.200	195.73.179.239	NL
195.73.179.240	195.73.179.247	DE
195.73.179.248	195.73.180.55	NL
195.73.180.56	195.73.180.63	DE
195.73.180.64	195.73.180.71	NL
195.73.180.72	195.73.180.87	DE
195.73.180.88	195.73.180.95	NL
195.73.180.96	195.73.180.103	DE
195.73.180.104	195.73.180.111	NL
195.73.180.112	195.73.180.127	DE
195.73.180.128	195.73.180.143	NL
195.73.180.144	195.73.180.159	DE
195.73.180.160	195.73.180.183	NL
195.73.180.184	195.73.180.191	DE
195.73.180.192	195.73.180.231	NL
195.73.180.232	195.73.180.239	DE
195.73.180.240	195.73.180.247	NL
195.73.180.248	195.73.181.7	DE
195.73.181.8	195.73.181.15	NL
195.73.181.16	195.73.181.31	DE
195.73.181.32	195.73.181.55	NL
195.73.181.56	195.73.181.63	DE
195.73.181.64	195.73.181.87	NL
195.73.181.88	195.73.181.95	DE
195.73.181.96	195.73.182.47	NL
195.73.182.48	195.73.182.55	DE
195.73.182.56	195.73.182.71	NL
195.73.182.72	195.73.182.87	DE
195.73.182.88	195.73.182.143	NL
195.73.182.144	195.73.182.151	DE
195.73.182.152	195.73.182.175	NL
195.73.182.176	195.73.182.183	DE
195.73.182.184	195.73.183.95	NL
195.73.183.96	195.73.183.103	DE
195.73.183.104	195.73.183.111	NL
195.73.183.112	195.73.183.119	DE
195.73.183.120	195.73.183.127	NL
195.73.183.128	195.73.183.135	DE
195.73.183.136	195.73.183.143	NL
195.73.183.144	195.73.183.159	DE
195.73.183.160	195.73.183.183	NL
195.73.183.184	195.73.183.191	DE
195.73.183.192	195.73.183.207	NL
195.73.183.208	195.73.183.215	DE
195.73.183.216	195.73.183.223	NL
195.73.183.224	195.73.183.231	DE
195.73.183.232	195.73.184.23	NL
195.73.184.24	195.73.184.31	DE
195.73.184.32	195.73.184.167	NL
195.73.184.168	195.73.184.175	DE
195.73.184.176	195.73.185.175	NL
195.73.185.176	195.73.185.183	DE
195.73.185.184	195.73.185.207	NL
195.73.185.208	195.73.185.223	DE
195.73.185.224	195.73.186.15	NL
195.73.186.16	195.73.186.23	DE
195.73.186.24	195.73.186.111	NL
195.73.186.112	195.73.186.119	DE
195.73.186.120	195.73.186.191	NL
195.73.186.192	195.73.186.199	DE
195.73.186.200	195.73.187.39	NL
195.73.187.40	195.73.187.47	DE
195.73.187.48	195.73.187.79	NL
195.73.187.80	195.73.187.87	DE
195.73.187.88	195.73.187.111	NL
195.73.187.112	195.73.187.119	DE
195.73.187.120	195.73.187.183	NL
195.73.187.184	195.73.187.191	DE
195.73.187.192	195.73.187.215	NL
195.73.187.216	195.73.187.223	DE
195.73.187.224	195.73.187.231	NL
195.73.187.232	195.73.187.239	DE
195.73.187.240	195.73.188.15	NL
195.73.188.16	195.73.188.23	DE
195.73.188.24	195.73.188.31	NL
195.73.188.32	195.73.188.39	DE
195.73.188.40	195.73.188.55	NL
195.73.188.56	195.73.188.63	DE
195.73.188.64	195.73.188.71	NL
195.73.188.72	195.73.188.79	DE
195.73.188.80	195.73.188.199	NL
195.73.188.200	195.73.188.231	DE
195.73.188.232	195.73.188.239	NL
195.73.188.240	195.73.188.247	DE
195.73.188.248	195.73.189.63	NL
195.73.189.64	195.73.189.71	DE
195.73.189.72	195.73.189.79	NL
195.73.189.80	195.73.189.95	DE
195.73.189.96	195.73.189.159	NL
195.73.189.160	195.73.189.183	DE
195.73.189.184	195.73.189.255	NL
195.73.190.0	195.73.190.15	DE
195.73.190.16	195.73.190.63	NL
195.73.190.64	195.73.190.79	DE
195.73.190.80	195.73.191.87	NL
195.73.191.88	195.73.191.95	DE
195.73.191.96	195.73.191.151	NL
195.73.191.152	195.73.191.159	DE
195.73.191.160	195.73.191.207	NL
195.73.191.208	195.73.191.215	DE
195.73.191.216	195.73.191.239	NL
195.73.191.240	195.73.191.247	DE
195.73.191.248	195.73.192.7	NL
195.73.192.8	195.73.192.23	DE
195.73.192.24	195.73.192.31	NL
195.73.192.32	195.73.192.39	DE
195.73.192.40	195.73.192.63	NL
195.73.192.64	195.73.192.71	DE
195.73.192.72	195.73.192.127	NL
195.73.192.128	195.73.192.135	DE
195.73.192.136	195.73.192.191	NL
195.73.192.192	195.73.192.199	DE
195.73.192.200	195.73.193.31	NL
195.73.193.32	195.73.193.39	DE
195.73.193.40	195.73.193.55	NL
195.73.193.56	195.73.193.63	DE
195.73.193.64	195.73.193.71	NL
195.73.193.72	195.73.193.79	DE
195.73.193.80	195.73.193.151	NL
195.73.193.152	195.73.193.159	DE
195.73.193.160	195.73.193.255	NL
195.73.194.0	195.73.194.7	DE
195.73.194.8	195.73.194.15	NL
195.73.194.16	195.73.194.31	DE
195.73.194.32	195.73.194.47	NL
195.73.194.48	195.73.194.55	DE
195.73.194.56	195.73.194.71	NL
195.73.194.72	195.73.194.79	DE
195.73.194.80	195.73.194.111	NL
195.73.194.112	195.73.194.135	DE
195.73.194.136	195.73.194.199	NL
195.73.194.200	195.73.194.207	DE
195.73.194.208	195.73.195.23	NL
195.73.195.24	195.73.195.39	DE
195.73.195.40	195.73.195.47	NL
195.73.195.48	195.73.195.55	DE
195.73.195.56	195.73.195.175	NL
195.73.195.176	195.73.195.183	DE
195.73.195.184	195.73.195.239	NL
195.73.195.240	195.73.195.247	DE
195.73.195.248	195.73.196.15	NL
195.73.196.16	195.73.196.23	DE
195.73.196.24	195.73.196.71	NL
195.73.196.72	195.73.196.79	DE
195.73.196.80	195.73.196.111	NL
195.73.196.112	195.73.196.119	DE
195.73.196.120	195.73.196.167	NL
195.73.196.168	195.73.196.175	DE
195.73.196.176	195.73.197.39	NL
195.73.197.40	195.73.197.47	DE
195.73.197.48	195.73.197.111	NL
195.73.197.112	195.73.197.119	DE
195.73.197.120	195.73.197.135	NL
195.73.197.136	195.73.197.143	DE
195.73.197.144	195.73.197.215	NL
195.73.197.216	195.73.197.223	DE
195.73.197.224	195.73.197.255	NL
195.73.198.0	195.73.198.7	DE
195.73.198.8	195.73.198.143	NL
195.73.198.144	195.73.198.151	DE
195.73.198.152	195.73.198.183	NL
195.73.198.184	195.73.198.191	DE
195.73.198.192	195.73.198.207	NL
195.73.198.208	195.73.198.215	DE
195.73.198.216	195.73.199.47	NL
195.73.199.48	195.73.199.55	DE
195.73.199.56	195.73.199.63	NL
195.73.199.64	195.73.199.71	DE
195.73.199.72	195.73.199.87	NL
195.73.199.88	195.73.199.95	DE
195.73.199.96	195.73.199.127	NL
195.73.199.128	195.73.199.135	DE
195.73.199.136	195.73.199.159	NL
195.73.199.160	195.73.199.167	DE
195.73.199.168	195.73.199.231	NL
195.73.199.232	195.73.199.239	DE
195.73.199.240	195.73.200.71	NL
195.73.200.72	195.73.200.79	DE
195.73.200.80	195.73.200.167	NL
195.73.200.168	195.73.200.183	DE
195.73.200.184	195.73.200.231	NL
195.73.200.232	195.73.200.239	DE
195.73.200.240	195.73.201.47	NL
195.73.201.48	195.73.201.55	DE
195.73.201.56	195.73.201.199	NL
195.73.201.200	195.73.201.207	DE
195.73.201.208	195.73.201.231	NL
195.73.201.232	195.73.201.239	DE
195.73.201.240	195.73.201.255	NL
195.73.202.0	195.73.202.7	DE
195.73.202.8	195.73.202.31	NL
195.73.202.32	195.73.202.39	DE
195.73.202.40	195.73.202.47	NL
195.73.202.48	195.73.202.63	DE
195.73.202.64	195.73.202.199	NL
195.73.202.200	195.73.202.207	DE
195.73.202.208	195.73.203.183	NL
195.73.203.184	195.73.203.191	DE
195.73.203.192	195.73.203.207	NL
195.73.203.208	195.73.203.215	DE
195.73.203.216	195.73.203.231	NL
195.73.203.232	195.73.203.239	DE
195.73.203.240	195.73.203.247	NL
195.73.203.248	195.73.204.7	DE
195.73.204.8	195.73.204.39	NL
195.73.204.40	195.73.204.47	DE
195.73.204.48	195.73.204.127	NL
195.73.204.128	195.73.204.143	DE
195.73.204.144	195.73.204.223	NL
195.73.204.224	195.73.204.231	DE
195.73.204.232	195.73.205.55	NL
195.73.205.56	195.73.205.63	DE
195.73.205.64	195.73.205.71	NL
195.73.205.72	195.73.205.87	DE
195.73.205.88	195.73.205.95	NL
195.73.205.96	195.73.205.103	DE
195.73.205.104	195.73.205.143	NL
195.73.205.144	195.73.205.151	DE
195.73.205.152	195.73.205.175	NL
195.73.205.176	195.73.205.183	DE
195.73.205.184	195.73.205.255	NL
195.73.206.0	195.73.206.15	DE
195.73.206.16	195.73.206.31	NL
195.73.206.32	195.73.206.39	DE
195.73.206.40	195.73.206.79	NL
195.73.206.80	195.73.206.87	DE
195.73.206.88	195.73.206.207	NL
195.73.206.208	195.73.206.215	DE
195.73.206.216	195.73.206.231	NL
195.73.206.232	195.73.206.239	DE
195.73.206.240	195.73.207.39	NL
195.73.207.40	195.73.207.47	DE
195.73.207.48	195.73.207.87	NL
195.73.207.88	195.73.207.95	DE
195.73.207.96	195.73.207.111	NL
195.73.207.112	195.73.207.119	DE
195.73.207.120	195.73.207.231	NL
195.73.207.232	195.73.207.247	DE
195.73.207.248	195.73.207.255	NL
195.73.208.0	195.73.208.15	DE
195.73.208.16	195.73.208.79	NL
195.73.208.80	195.73.208.95	DE
195.73.208.96	195.73.208.175	NL
195.73.208.176	195.73.208.191	DE
195.73.208.192	195.73.208.199	NL
195.73.208.200	195.73.208.207	DE
195.73.208.208	195.73.209.23	NL
195.73.209.24	195.73.209.31	DE
195.73.209.32	195.73.209.63	NL
195.73.209.64	195.73.209.71	DE
195.73.209.72	195.73.209.119	NL
195.73.209.120	195.73.209.127	DE
195.73.209.128	195.73.209.167	NL
195.73.209.168	195.73.209.175	DE
195.73.209.176	195.73.209.199	NL
195.73.209.200	195.73.209.207	DE
195.73.209.208	195.73.210.39	NL
195.73.210.40	195.73.210.47	DE
195.73.210.48	195.73.210.55	NL
195.73.210.56	195.73.210.63	DE
195.73.210.64	195.73.210.87	NL
195.73.210.88	195.73.210.95	DE
195.73.210.96	195.73.210.167	NL
195.73.210.168	195.73.210.175	DE
195.73.210.176	195.73.210.183	NL
195.73.210.184	195.73.210.191	DE
195.73.210.192	195.73.211.31	NL
195.73.211.32	195.73.211.39	DE
195.73.211.40	195.73.211.55	NL
195.73.211.56	195.73.211.63	DE
195.73.211.64	195.73.211.159	NL
195.73.211.160	195.73.211.175	DE
195.73.211.176	195.73.211.223	NL
195.73.211.224	195.73.211.231	DE
195.73.211.232	195.73.212.23	NL
195.73.212.24	195.73.212.31	DE
195.73.212.32	195.73.212.47	NL
195.73.212.48	195.73.212.55	DE
195.73.212.56	195.73.212.79	NL
195.73.212.80	195.73.212.87	DE
195.73.212.88	195.73.212.127	NL
195.73.212.128	195.73.212.135	DE
195.73.212.136	195.73.212.167	NL
195.73.212.168	195.73.212.175	DE
195.73.212.176	195.73.212.223	NL
195.73.212.224	195.73.212.231	DE
195.73.212.232	195.73.212.239	NL
195.73.212.240	195.73.212.247	DE
195.73.212.248	195.73.213.31	NL
195.73.213.32	195.73.213.39	DE
195.73.213.40	195.73.213.55	NL
195.73.213.56	195.73.213.63	DE
195.73.213.64	195.73.213.95	NL
195.73.213.96	195.73.213.103	DE
195.73.213.104	195.73.213.183	NL
195.73.213.184	195.73.213.199	DE
195.73.213.200	195.73.213.231	NL
195.73.213.232	195.73.213.247	DE
195.73.213.248	195.73.214.15	NL
195.73.214.16	195.73.214.23	DE
195.73.214.24	195.73.214.63	NL
195.73.214.64	195.73.214.71	DE
195.73.214.72	195.73.214.79	NL
195.73.214.80	195.73.214.87	DE
195.73.214.88	195.73.214.175	NL
195.73.214.176	195.73.214.191	DE
195.73.214.192	195.73.214.255	NL
195.73.215.0	195.73.215.7	DE
195.73.215.8	195.73.215.31	NL
195.73.215.32	195.73.215.39	DE
195.73.215.40	195.73.215.63	NL
195.73.215.64	195.73.215.71	DE
195.73.215.72	195.73.215.111	NL
195.73.215.112	195.73.215.127	DE
195.73.215.128	195.73.215.143	NL
195.73.215.144	195.73.215.151	DE
195.73.215.152	195.73.215.183	NL
195.73.215.184	195.73.215.207	DE
195.73.215.208	195.73.215.239	NL
195.73.215.240	195.73.215.247	DE
195.73.215.248	195.73.216.39	NL
195.73.216.40	195.73.216.47	DE
195.73.216.48	195.73.216.55	NL
195.73.216.56	195.73.216.63	DE
195.73.216.64	195.73.216.71	NL
195.73.216.72	195.73.216.79	DE
195.73.216.80	195.73.216.111	NL
195.73.216.112	195.73.216.119	DE
195.73.216.120	195.73.216.175	NL
195.73.216.176	195.73.216.191	DE
195.73.216.192	195.73.216.207	NL
195.73.216.208	195.73.216.223	DE
195.73.216.224	195.73.216.239	NL
195.73.216.240	195.73.216.247	DE
195.73.216.248	195.73.217.191	NL
195.73.217.192	195.73.217.207	DE
195.73.217.208	195.73.217.231	NL
195.73.217.232	195.73.217.239	DE
195.73.217.240	195.73.217.255	NL
195.73.218.0	195.73.218.7	DE
195.73.218.8	195.73.218.159	NL
195.73.218.160	195.73.218.167	DE
195.73.218.168	195.73.219.15	NL
195.73.219.16	195.73.219.23	DE
195.73.219.24	195.73.219.31	NL
195.73.219.32	195.73.219.39	DE
195.73.219.40	195.73.219.167	NL
195.73.219.168	195.73.219.175	DE
195.73.219.176	195.73.219.223	NL
195.73.219.224	195.73.219.231	DE
195.73.219.232	195.73.219.247	NL
195.73.219.248	195.73.219.255	DE
195.73.220.0	195.73.220.175	NL
195.73.220.176	195.73.220.183	DE
195.73.220.184	195.73.220.223	NL
195.73.220.224	195.73.220.247	DE
195.73.220.248	195.73.221.47	NL
195.73.221.48	195.73.221.55	DE
195.73.221.56	195.73.221.71	NL
195.73.221.72	195.73.221.87	DE
195.73.221.88	195.73.221.111	NL
195.73.221.112	195.73.221.119	DE
195.73.221.120	195.73.221.143	NL
195.73.221.144	195.73.221.151	DE
195.73.221.152	195.73.221.159	NL
195.73.221.160	195.73.221.167	DE
195.73.221.168	195.73.221.223	NL
195.73.221.224	195.73.221.231	DE
195.73.221.232	195.73.221.247	NL
195.73.221.248	195.73.221.255	DE
195.73.222.0	195.73.222.119	NL
195.73.222.120	195.73.222.127	DE
195.73.222.128	195.73.222.175	NL
195.73.222.176	195.73.222.191	DE
195.73.222.192	195.73.222.207	NL
195.73.222.208	195.73.222.215	DE
195.73.222.216	195.73.222.231	NL
195.73.222.232	195.73.222.239	DE
195.73.222.240	195.73.223.15	NL
195.73.223.16	195.73.223.23	DE
195.73.223.24	195.73.223.31	NL
195.73.223.32	195.73.223.39	DE
195.73.223.40	195.73.223.87	NL
195.73.223.88	195.73.223.111	DE
195.73.223.112	195.73.223.119	NL
195.73.223.120	195.73.223.127	DE
195.73.223.128	195.73.223.175	NL
195.73.223.176	195.73.223.183	DE
195.73.223.184	195.73.223.223	NL
195.73.223.224	195.73.223.231	DE
195.73.223.232	195.73.223.239	NL
195.73.223.240	195.73.223.247	DE
195.73.223.248	195.73.223.255	NL
195.73.224.0	195.73.224.15	DE
195.73.224.16	195.73.224.31	NL
195.73.224.32	195.73.224.39	DE
195.73.224.40	195.73.224.87	NL
195.73.224.88	195.73.224.95	DE
195.73.224.96	195.73.224.191	NL
195.73.224.192	195.73.224.215	DE
195.73.224.216	195.73.224.247	NL
195.73.224.248	195.73.225.7	DE
195.73.225.8	195.73.225.79	NL
195.73.225.80	195.73.225.87	DE
195.73.225.88	195.73.225.111	NL
195.73.225.112	195.73.225.119	DE
195.73.225.120	195.73.225.135	NL
195.73.225.136	195.73.225.143	DE
195.73.225.144	195.73.225.167	NL
195.73.225.168	195.73.225.175	DE
195.73.225.176	195.73.225.183	NL
195.73.225.184	195.73.225.191	DE
195.73.225.192	195.73.225.231	NL
195.73.225.232	195.73.225.239	DE
195.73.225.240	195.73.226.87	NL
195.73.226.88	195.73.226.95	DE
195.73.226.96	195.73.226.175	NL
195.73.226.176	195.73.226.183	DE
195.73.226.184	195.73.226.215	NL
195.73.226.216	195.73.226.223	DE
195.73.226.224	195.73.227.135	NL
195.73.227.136	195.73.227.143	DE
195.73.227.144	195.73.227.151	NL
195.73.227.152	195.73.227.159	DE
195.73.227.160	195.73.227.167	NL
195.73.227.168	195.73.227.175	DE
195.73.227.176	195.73.227.223	NL
195.73.227.224	195.73.227.255	DE
195.73.228.0	195.73.228.63	NL
195.73.228.64	195.73.228.71	DE
195.73.228.72	195.73.228.191	NL
195.73.228.192	195.73.228.207	DE
195.73.228.208	195.73.229.23	NL
195.73.229.24	195.73.229.31	DE
195.73.229.32	195.73.229.63	NL
195.73.229.64	195.73.229.79	DE
195.73.229.80	195.73.229.111	NL
195.73.229.112	195.73.229.119	DE
195.73.229.120	195.73.229.135	NL
195.73.229.136	195.73.229.143	DE
195.73.229.144	195.73.229.151	NL
195.73.229.152	195.73.229.159	DE
195.73.229.160	195.73.229.215	NL
195.73.229.216	195.73.229.223	DE
195.73.229.224	195.73.230.23	NL
195.73.230.24	195.73.230.31	DE
195.73.230.32	195.73.230.95	NL
195.73.230.96	195.73.230.103	DE
195.73.230.104	195.73.230.111	NL
195.73.230.112	195.73.230.119	DE
195.73.230.120	195.73.230.167	NL
195.73.230.168	195.73.230.175	DE
195.73.230.176	195.73.230.215	NL
195.73.230.216	195.73.230.223	DE
195.73.230.224	195.73.231.103	NL
195.73.231.104	195.73.231.111	DE
195.73.231.112	195.73.231.119	NL
195.73.231.120	195.73.231.135	DE
195.73.231.136	195.73.231.143	NL
195.73.231.144	195.73.231.151	DE
195.73.231.152	195.73.231.159	NL
195.73.231.160	195.73.231.167	DE
195.73.231.168	195.73.231.255	NL
195.73.232.0	195.73.232.7	DE
195.73.232.8	195.73.232.199	NL
195.73.232.200	195.73.232.207	DE
195.73.232.208	195.73.232.215	NL
195.73.232.216	195.73.232.223	DE
195.73.232.224	195.73.232.255	NL
195.73.233.0	195.73.233.15	DE
195.73.233.16	195.73.233.127	NL
195.73.233.128	195.73.233.135	DE
195.73.233.136	195.73.233.167	NL
195.73.233.168	195.73.233.175	DE
195.73.233.176	195.73.233.191	NL
195.73.233.192	195.73.233.199	DE
195.73.233.200	195.73.233.215	NL
195.73.233.216	195.73.233.223	DE
195.73.233.224	195.73.234.15	NL
195.73.234.16	195.73.234.23	DE
195.73.234.24	195.73.234.63	NL
195.73.234.64	195.73.234.71	DE
195.73.234.72	195.73.234.87	NL
195.73.234.88	195.73.234.95	DE
195.73.234.96	195.73.234.127	NL
195.73.234.128	195.73.234.135	DE
195.73.234.136	195.73.234.175	NL
195.73.234.176	195.73.234.183	DE
195.73.234.184	195.73.234.239	NL
195.73.234.240	195.73.234.247	DE
195.73.234.248	195.73.235.47	NL
195.73.235.48	195.73.235.55	DE
195.73.235.56	195.73.235.127	NL
195.73.235.128	195.73.235.135	DE
195.73.235.136	195.73.235.175	NL
195.73.235.176	195.73.235.183	DE
195.73.235.184	195.73.235.207	NL
195.73.235.208	195.73.235.215	DE
195.73.235.216	195.73.236.39	NL
195.73.236.40	195.73.236.47	DE
195.73.236.48	195.73.236.63	NL
195.73.236.64	195.73.236.71	DE
195.73.236.72	195.73.236.79	NL
195.73.236.80	195.73.236.95	DE
195.73.236.96	195.73.236.111	NL
195.73.236.112	195.73.236.119	DE
195.73.236.120	195.73.236.191	NL
195.73.236.192	195.73.236.199	DE
195.73.236.200	195.73.236.255	NL
195.73.237.0	195.73.237.7	DE
195.73.237.8	195.73.237.23	NL
195.73.237.24	195.73.237.39	DE
195.73.237.40	195.73.237.55	NL
195.73.237.56	195.73.237.63	DE
195.73.237.64	195.73.237.71	NL
195.73.237.72	195.73.237.87	DE
195.73.237.88	195.73.237.135	NL
195.73.237.136	195.73.237.143	DE
195.73.237.144	195.73.238.95	NL
195.73.238.96	195.73.238.103	DE
195.73.238.104	195.73.238.127	NL
195.73.238.128	195.73.238.135	DE
195.73.238.136	195.73.238.151	NL
195.73.238.152	195.73.238.175	DE
195.73.238.176	195.73.238.207	NL
195.73.238.208	195.73.238.215	DE
195.73.238.216	195.73.238.239	NL
195.73.238.240	195.73.238.247	DE
195.73.238.248	195.73.239.7	NL
195.73.239.8	195.73.239.15	DE
195.73.239.16	195.73.239.71	NL
195.73.239.72	195.73.239.79	DE
195.73.239.80	195.73.239.87	NL
195.73.239.88	195.73.239.95	DE
195.73.239.96	195.73.239.159	NL
195.73.239.160	195.73.239.167	DE
195.73.239.168	195.73.239.175	NL
195.73.239.176	195.73.239.183	DE
195.73.239.184	195.73.239.207	NL
195.73.239.208	195.73.239.215	DE
195.73.239.216	195.73.239.223	NL
195.73.239.224	195.73.239.239	DE
195.73.239.240	195.73.240.23	NL
195.73.240.24	195.73.240.31	DE
195.73.240.32	195.73.240.47	NL
195.73.240.48	195.73.240.55	DE
195.73.240.56	195.73.240.71	NL
195.73.240.72	195.73.240.79	DE
195.73.240.80	195.73.240.95	NL
195.73.240.96	195.73.240.103	DE
195.73.240.104	195.73.240.159	NL
195.73.240.160	195.73.240.167	DE
195.73.240.168	195.73.241.15	NL
195.73.241.16	195.73.241.23	DE
195.73.241.24	195.73.241.31	NL
195.73.241.32	195.73.241.39	DE
195.73.241.40	195.73.241.63	NL
195.73.241.64	195.73.241.71	DE
195.73.241.72	195.73.241.79	NL
195.73.241.80	195.73.241.87	DE
195.73.241.88	195.73.241.103	NL
195.73.241.104	195.73.241.111	DE
195.73.241.112	195.73.241.191	NL
195.73.241.192	195.73.241.199	DE
195.73.241.200	195.73.241.207	NL
195.73.241.208	195.73.241.215	DE
195.73.241.216	195.73.241.223	NL
195.73.241.224	195.73.241.247	DE
195.73.241.248	195.73.242.39	NL
195.73.242.40	195.73.242.47	DE
195.73.242.48	195.73.242.71	NL
195.73.242.72	195.73.242.79	DE
195.73.242.80	195.73.242.87	NL
195.73.242.88	195.73.242.95	DE
195.73.242.96	195.73.242.143	NL
195.73.242.144	195.73.242.151	DE
195.73.242.152	195.73.242.167	NL
195.73.242.168	195.73.242.175	DE
195.73.242.176	195.73.242.199	NL
195.73.242.200	195.73.242.207	DE
195.73.242.208	195.73.243.23	NL
195.73.243.24	195.73.243.31	DE
195.73.243.32	195.73.243.39	NL
195.73.243.40	195.73.243.47	DE
195.73.243.48	195.73.243.55	NL
195.73.243.56	195.73.243.63	DE
195.73.243.64	195.73.243.71	NL
195.73.243.72	195.73.243.79	DE
195.73.243.80	195.73.243.111	NL
195.73.243.112	195.73.243.127	DE
195.73.243.128	195.73.243.223	NL
195.73.243.224	195.73.243.231	DE
195.73.243.232	195.73.244.87	NL
195.73.244.88	195.73.244.95	DE
195.73.244.96	195.73.244.127	NL
195.73.244.128	195.73.244.135	DE
195.73.244.136	195.73.244.255	NL
195.73.245.0	195.73.245.7	DE
195.73.245.8	195.73.245.15	NL
195.73.245.16	195.73.245.23	DE
195.73.245.24	195.73.245.55	NL
195.73.245.56	195.73.245.63	DE
195.73.245.64	195.73.245.79	NL
195.73.245.80	195.73.245.87	DE
195.73.245.88	195.73.245.111	NL
195.73.245.112	195.73.245.119	DE
195.73.245.120	195.73.245.151	NL
195.73.245.152	195.73.245.159	DE
195.73.245.160	195.73.246.175	NL
195.73.246.176	195.73.246.183	DE
195.73.246.184	195.73.246.223	NL
195.73.246.224	195.73.246.231	DE
195.73.246.232	195.73.246.255	NL
195.73.247.0	195.73.247.7	DE
195.73.247.8	195.73.247.159	NL
195.73.247.160	195.73.247.167	DE
195.73.247.168	195.73.247.239	NL
195.73.247.240	195.73.248.7	DE
195.73.248.8	195.73.248.167	NL
195.73.248.168	195.73.248.175	DE
195.73.248.176	195.73.248.199	NL
195.73.248.200	195.73.248.207	DE
195.73.248.208	195.73.249.31	NL
195.73.249.32	195.73.249.39	DE
195.73.249.40	195.73.249.71	NL
195.73.249.72	195.73.249.87	DE
195.73.249.88	195.73.250.15	NL
195.73.250.16	195.73.250.23	DE
195.73.250.24	195.73.250.79	NL
195.73.250.80	195.73.250.87	DE
195.73.250.88	195.73.250.143	NL
195.73.250.144	195.73.250.151	DE
195.73.250.152	195.73.251.175	NL
195.73.251.176	195.73.251.183	DE
195.73.251.184	195.73.251.215	NL
195.73.251.216	195.73.251.231	DE
195.73.251.232	195.73.251.255	NL
195.73.252.0	195.73.252.7	DE
195.73.252.8	195.73.252.15	NL
195.73.252.16	195.73.252.23	DE
195.73.252.24	195.73.252.183	NL
195.73.252.184	195.73.252.191	DE
195.73.252.192	195.73.253.143	NL
195.73.253.144	195.73.253.151	DE
195.73.253.152	195.73.253.159	NL
195.73.253.160	195.73.253.167	DE
195.73.253.168	195.73.253.191	NL
195.73.253.192	195.73.253.199	DE
195.73.253.200	195.73.254.15	NL
195.73.254.16	195.73.254.23	DE
195.73.254.24	195.73.254.103	NL
195.73.254.104	195.73.254.111	DE
195.73.254.112	195.73.254.135	NL
195.73.254.136	195.73.254.143	DE
195.73.254.144	195.73.254.239	NL
195.73.254.240	195.73.254.247	DE
195.73.254.248	195.73.255.31	NL
195.73.255.32	195.73.255.39	DE
195.73.255.40	195.73.255.111	NL
195.73.255.112	195.73.255.119	DE
195.73.255.120	195.73.255.231	NL
195.73.255.232	195.73.255.239	DE
195.73.255.240	195.73.255.255	NL
195.74.0.0	195.74.31.255	FI
195.74.32.0	195.74.35.255	DK
195.74.36.0	195.74.39.255	SE
195.74.40.0	195.74.47.255	DE
195.74.48.0	195.74.51.255	PL
195.74.52.0	195.74.55.255	GB
195.74.56.0	195.74.59.255	PL
195.74.60.0	195.74.61.255	GB
195.74.62.0	195.74.63.255	RU
195.74.64.0	195.74.64.255	PL
195.74.65.0	195.74.65.255	NL
195.74.66.0	195.74.66.255	SE
195.74.67.0	195.74.67.255	UA
195.74.68.0	195.74.68.255	GB
195.74.69.0	195.74.69.255	PL
195.74.70.0	195.74.70.255	DE
195.74.71.0	195.74.71.255	RO
195.74.72.0	195.74.72.255	UA
195.74.73.0	195.74.73.255	DE
195.74.74.0	195.74.74.255	RU
195.74.75.0	195.74.75.255	IT
195.74.76.0	195.74.77.255	DK
195.74.78.0	195.74.78.255	RO
195.74.79.0	195.74.79.255	PL
195.74.80.0	195.74.80.255	FR
195.74.81.0	195.74.81.255	IT
195.74.82.0	195.74.82.255	RU
195.74.83.0	195.74.83.255	GB
195.74.84.0	195.74.84.255	RU
195.74.85.0	195.74.85.255	BG
195.74.86.0	195.74.86.255	DE
195.74.87.0	195.74.87.255	NL
195.74.88.0	195.74.90.255	RU
195.74.91.0	195.74.92.255	PL
195.74.93.0	195.74.93.255	GB
195.74.94.0	195.74.94.255	DE
195.74.95.0	195.74.95.255	RU
195.74.96.0	195.74.159.255	GB
195.74.160.0	195.74.174.255	DE
195.74.175.0	195.74.191.255	EU
195.74.192.0	195.74.223.255	BE
195.74.224.0	195.74.255.255	GR
195.75.0.0	195.75.0.255	EU
195.75.1.0	195.75.1.255	AT
195.75.2.0	195.75.2.31	EU
195.75.2.32	195.75.2.63	AT
195.75.2.64	195.75.3.15	EU
195.75.3.16	195.75.3.23	AT
195.75.3.24	195.75.3.31	EU
195.75.3.32	195.75.3.47	AT
195.75.3.48	195.75.3.55	EU
195.75.3.56	195.75.3.111	AT
195.75.3.112	195.75.3.127	EU
195.75.3.128	195.75.3.191	AT
195.75.3.192	195.75.3.207	EU
195.75.3.208	195.75.3.223	AT
195.75.3.224	195.75.3.255	EU
195.75.4.0	195.75.5.255	AT
195.75.6.0	195.75.7.159	EU
195.75.7.160	195.75.7.183	AT
195.75.7.184	195.75.7.207	EU
195.75.7.208	195.75.7.255	AT
195.75.8.0	195.75.10.135	EU
195.75.10.136	195.75.10.183	IT
195.75.10.184	195.75.10.191	EU
195.75.10.192	195.75.10.255	IT
195.75.11.0	195.75.13.255	EU
195.75.14.0	195.75.14.47	IT
195.75.14.48	195.75.14.79	EU
195.75.14.80	195.75.14.135	IT
195.75.14.136	195.75.14.143	EU
195.75.14.144	195.75.14.207	IT
195.75.14.208	195.75.14.215	EU
195.75.14.216	195.75.14.255	IT
195.75.15.0	195.75.15.255	EU
195.75.16.0	195.75.16.255	CH
195.75.17.0	195.75.19.255	EU
195.75.20.0	195.75.22.31	CH
195.75.22.32	195.75.23.111	EU
195.75.23.112	195.75.23.127	CH
195.75.23.128	195.75.23.255	EU
195.75.24.0	195.75.26.151	FR
195.75.26.152	195.75.26.159	EU
195.75.26.160	195.75.26.191	FR
195.75.26.192	195.75.26.223	EU
195.75.26.224	195.75.26.239	FR
195.75.26.240	195.75.26.247	EU
195.75.26.248	195.75.27.111	FR
195.75.27.112	195.75.27.119	EU
195.75.27.120	195.75.28.127	FR
195.75.28.128	195.75.28.159	EU
195.75.28.160	195.75.28.255	FR
195.75.29.0	195.75.30.15	EU
195.75.30.16	195.75.30.95	FR
195.75.30.96	195.75.30.111	EU
195.75.30.112	195.75.30.159	FR
195.75.30.160	195.75.30.191	EU
195.75.30.192	195.75.31.15	FR
195.75.31.16	195.75.31.31	EU
195.75.31.32	195.75.31.39	FR
195.75.31.40	195.75.31.47	EU
195.75.31.48	195.75.31.63	FR
195.75.31.64	195.75.31.95	EU
195.75.31.96	195.75.31.119	FR
195.75.31.120	195.75.31.143	EU
195.75.31.144	195.75.31.183	FR
195.75.31.184	195.75.31.199	EU
195.75.31.200	195.75.31.223	FR
195.75.31.224	195.75.31.255	EU
195.75.32.0	195.75.32.255	RU
195.75.33.0	195.75.33.255	EU
195.75.34.0	195.75.35.255	RU
195.75.36.0	195.75.39.255	EU
195.75.40.0	195.75.40.255	GR
195.75.41.0	195.75.41.255	EU
195.75.42.0	195.75.43.31	GR
195.75.43.32	195.75.43.63	EU
195.75.43.64	195.75.43.191	GR
195.75.43.192	195.75.43.255	EU
195.75.44.0	195.75.44.127	GR
195.75.44.128	195.75.44.255	EU
195.75.45.0	195.75.46.255	GR
195.75.47.0	195.75.47.31	EU
195.75.47.32	195.75.47.127	GR
195.75.47.128	195.75.47.255	EU
195.75.48.0	195.75.48.255	SK
195.75.49.0	195.75.51.255	EU
195.75.52.0	195.75.55.255	GB
195.75.56.0	195.75.56.255	EU
195.75.57.0	195.75.57.255	GR
195.75.58.0	195.75.64.255	EU
195.75.65.0	195.75.65.255	CZ
195.75.66.0	195.75.71.255	EU
195.75.72.0	195.75.73.255	NL
195.75.74.0	195.75.74.63	CZ
195.75.74.64	195.75.74.127	EU
195.75.74.128	195.75.75.255	CZ
195.75.76.0	195.75.76.71	GB
195.75.76.72	195.75.76.79	EU
195.75.76.80	195.75.77.23	GB
195.75.77.24	195.75.77.31	EU
195.75.77.32	195.75.77.95	GB
195.75.77.96	195.75.77.111	EU
195.75.77.112	195.75.77.119	GB
195.75.77.120	195.75.77.255	EU
195.75.78.0	195.75.78.199	GB
195.75.78.200	195.75.78.207	EU
195.75.78.208	195.75.81.159	GB
195.75.81.160	195.75.81.191	EU
195.75.81.192	195.75.86.47	GB
195.75.86.48	195.75.86.79	EU
195.75.86.80	195.75.90.143	GB
195.75.90.144	195.75.90.159	EU
195.75.90.160	195.75.91.63	GB
195.75.91.64	195.75.91.159	EU
195.75.91.160	195.75.94.255	GB
195.75.95.0	195.75.95.255	EU
195.75.96.0	195.75.96.255	DE
195.75.97.0	195.75.97.63	EU
195.75.97.64	195.75.97.127	DE
195.75.97.128	195.75.97.143	EU
195.75.97.144	195.75.97.159	DE
195.75.97.160	195.75.97.191	EU
195.75.97.192	195.75.97.223	DE
195.75.97.224	195.75.97.255	EU
195.75.98.0	195.75.98.191	DE
195.75.98.192	195.75.98.199	EU
195.75.98.200	195.75.98.239	DE
195.75.98.240	195.75.98.255	EU
195.75.99.0	195.75.99.255	DE
195.75.100.0	195.75.100.127	GB
195.75.100.128	195.75.101.127	EU
195.75.101.128	195.75.101.135	GB
195.75.101.136	195.75.101.143	EU
195.75.101.144	195.75.101.255	GB
195.75.102.0	195.75.104.255	DE
195.75.105.0	195.75.105.255	EU
195.75.106.0	195.75.106.47	DE
195.75.106.48	195.75.106.63	EU
195.75.106.64	195.75.106.159	DE
195.75.106.160	195.75.106.223	EU
195.75.106.224	195.75.107.47	DE
195.75.107.48	195.75.107.63	EU
195.75.107.64	195.75.107.79	DE
195.75.107.80	195.75.107.87	EU
195.75.107.88	195.75.107.103	DE
195.75.107.104	195.75.107.223	EU
195.75.107.224	195.75.108.31	DE
195.75.108.32	195.75.108.63	CH
195.75.108.64	195.75.108.127	DE
195.75.108.128	195.75.108.159	EU
195.75.108.160	195.75.108.191	DE
195.75.108.192	195.75.109.255	EU
195.75.110.0	195.75.110.255	DE
195.75.111.0	195.75.111.255	EU
195.75.112.0	195.75.112.31	DE
195.75.112.32	195.75.112.63	FR
195.75.112.64	195.75.112.127	EU
195.75.112.128	195.75.112.175	DE
195.75.112.176	195.75.112.255	EU
195.75.113.0	195.75.113.255	DE
195.75.114.0	195.75.116.255	EU
195.75.117.0	195.75.127.255	DE
195.75.128.0	195.75.128.143	ZA
195.75.128.144	195.75.128.159	EU
195.75.128.160	195.75.129.255	ZA
195.75.130.0	195.75.130.255	EU
195.75.131.0	195.75.131.31	ZA
195.75.131.32	195.75.131.47	EU
195.75.131.48	195.75.131.63	ZA
195.75.131.64	195.75.131.127	EU
195.75.131.128	195.75.131.191	ZA
195.75.131.192	195.75.131.215	EU
195.75.131.216	195.75.131.223	ZA
195.75.131.224	195.75.131.239	EU
195.75.131.240	195.75.132.47	ZA
195.75.132.48	195.75.132.63	EU
195.75.132.64	195.75.132.79	ZA
195.75.132.80	195.75.132.95	EU
195.75.132.96	195.75.132.255	ZA
195.75.133.0	195.75.133.255	EU
195.75.134.0	195.75.135.255	ZA
195.75.136.0	195.75.136.95	CH
195.75.136.96	195.75.136.255	EU
195.75.137.0	195.75.137.255	CH
195.75.138.0	195.75.139.255	EU
195.75.140.0	195.75.140.167	GB
195.75.140.168	195.75.140.191	EU
195.75.140.192	195.75.140.255	FR
195.75.141.0	195.75.141.255	GB
195.75.142.0	195.75.142.7	EU
195.75.142.8	195.75.142.255	GB
195.75.143.0	195.75.143.255	EU
195.75.144.0	195.75.147.255	IT
195.75.148.0	195.75.149.255	EU
195.75.150.0	195.75.150.15	IT
195.75.150.16	195.75.150.63	EU
195.75.150.64	195.75.150.95	IT
195.75.150.96	195.75.150.127	EU
195.75.150.128	195.75.150.191	GB
195.75.150.192	195.75.152.255	EU
195.75.153.0	195.75.154.31	ZA
195.75.154.32	195.75.154.79	EU
195.75.154.80	195.75.154.95	ZA
195.75.154.96	195.75.154.127	EU
195.75.154.128	195.75.154.175	ZA
195.75.154.176	195.75.154.191	EU
195.75.154.192	195.75.154.207	ZA
195.75.154.208	195.75.154.223	EU
195.75.154.224	195.75.155.191	ZA
195.75.155.192	195.75.155.199	EU
195.75.155.200	195.75.155.207	ZA
195.75.155.208	195.75.155.255	EU
195.75.156.0	195.75.158.255	ZA
195.75.159.0	195.75.160.255	EU
195.75.161.0	195.75.161.15	CH
195.75.161.16	195.75.161.23	EU
195.75.161.24	195.75.161.31	CH
195.75.161.32	195.75.164.31	EU
195.75.164.32	195.75.164.63	CH
195.75.164.64	195.75.164.255	EU
195.75.165.0	195.75.165.255	CH
195.75.166.0	195.75.167.255	EU
195.75.168.0	195.75.168.255	ES
195.75.169.0	195.75.175.255	EU
195.75.176.0	195.75.176.127	NL
195.75.176.128	195.75.176.255	EU
195.75.177.0	195.75.177.15	NL
195.75.177.16	195.75.177.23	EU
195.75.177.24	195.75.177.127	NL
195.75.177.128	195.75.177.159	EU
195.75.177.160	195.75.177.255	NL
195.75.178.0	195.75.178.15	EU
195.75.178.16	195.75.178.63	NL
195.75.178.64	195.75.178.127	EU
195.75.178.128	195.75.178.135	NL
195.75.178.136	195.75.178.167	EU
195.75.178.168	195.75.178.175	NL
195.75.178.176	195.75.178.207	EU
195.75.178.208	195.75.178.223	NL
195.75.178.224	195.75.178.239	EU
195.75.178.240	195.75.179.31	NL
195.75.179.32	195.75.179.39	EU
195.75.179.40	195.75.179.47	NL
195.75.179.48	195.75.179.63	EU
195.75.179.64	195.75.179.127	NL
195.75.179.128	195.75.179.159	EU
195.75.179.160	195.75.179.191	NL
195.75.179.192	195.75.179.255	EU
195.75.180.0	195.75.180.127	BE
195.75.180.128	195.75.180.191	EU
195.75.180.192	195.75.180.255	BE
195.75.181.0	195.75.181.255	EU
195.75.182.0	195.75.183.255	BE
195.75.184.0	195.75.184.255	EU
195.75.185.0	195.75.186.255	DK
195.75.187.0	195.75.187.31	BE
195.75.187.32	195.75.187.63	GB
195.75.187.64	195.75.187.223	BE
195.75.187.224	195.75.187.239	EU
195.75.187.240	195.75.187.255	BE
195.75.188.0	195.75.188.15	EU
195.75.188.16	195.75.188.143	SE
195.75.188.144	195.75.188.159	EU
195.75.188.160	195.75.188.175	SE
195.75.188.176	195.75.188.191	EU
195.75.188.192	195.75.188.255	SE
195.75.189.0	195.75.189.63	EU
195.75.189.64	195.75.189.111	SE
195.75.189.112	195.75.189.127	EU
195.75.189.128	195.75.189.223	SE
195.75.189.224	195.75.189.239	EU
195.75.189.240	195.75.190.255	SE
195.75.191.0	195.75.193.255	EU
195.75.194.0	195.75.199.255	NL
195.75.200.0	195.75.201.15	EU
195.75.201.16	195.75.201.135	NO
195.75.201.136	195.75.201.151	EU
195.75.201.152	195.75.201.175	NO
195.75.201.176	195.75.201.191	EU
195.75.201.192	195.75.201.255	NO
195.75.202.0	195.75.202.31	EU
195.75.202.32	195.75.202.63	TR
195.75.202.64	195.75.202.159	EU
195.75.202.160	195.75.202.247	TR
195.75.202.248	195.75.203.255	EU
195.75.204.0	195.75.204.255	GB
195.75.205.0	195.75.205.55	PT
195.75.205.56	195.75.205.239	EU
195.75.205.240	195.75.205.255	PT
195.75.206.0	195.75.206.255	FI
195.75.207.0	195.75.207.191	EU
195.75.207.192	195.75.207.215	HR
195.75.207.216	195.75.207.223	PL
195.75.207.224	195.75.207.255	HR
195.75.208.0	195.75.209.255	EU
195.75.210.0	195.75.210.31	CH
195.75.210.32	195.75.210.63	EU
195.75.210.64	195.75.210.79	CH
195.75.210.80	195.75.210.255	EU
195.75.211.0	195.75.211.255	CH
195.75.212.0	195.75.213.255	EU
195.75.214.0	195.75.214.31	SI
195.75.214.32	195.75.214.63	EU
195.75.214.64	195.75.214.95	SI
195.75.214.96	195.75.214.111	EU
195.75.214.112	195.75.214.127	SI
195.75.214.128	195.75.214.255	EU
195.75.215.0	195.75.215.255	SI
195.75.216.0	195.75.216.127	PK
195.75.216.128	195.75.216.255	EU
195.75.217.0	195.75.217.127	PK
195.75.217.128	195.75.217.255	EU
195.75.218.0	195.75.218.95	BE
195.75.218.96	195.75.218.111	GB
195.75.218.112	195.75.218.119	BE
195.75.218.120	195.75.218.127	GB
195.75.218.128	195.75.218.223	BE
195.75.218.224	195.75.218.231	GB
195.75.218.232	195.75.218.239	FR
195.75.218.240	195.75.219.15	BE
195.75.219.16	195.75.219.63	EU
195.75.219.64	195.75.219.119	BE
195.75.219.120	195.75.219.175	EU
195.75.219.176	195.75.219.183	BE
195.75.219.184	195.75.219.191	EU
195.75.219.192	195.75.220.79	BE
195.75.220.80	195.75.220.87	EU
195.75.220.88	195.75.220.159	BE
195.75.220.160	195.75.220.175	GB
195.75.220.176	195.75.220.191	EU
195.75.220.192	195.75.220.255	BE
195.75.221.0	195.75.221.7	IE
195.75.221.8	195.75.221.15	EU
195.75.221.16	195.75.221.31	IE
195.75.221.32	195.75.221.39	EU
195.75.221.40	195.75.221.47	IE
195.75.221.48	195.75.221.63	EU
195.75.221.64	195.75.221.255	IE
195.75.222.0	195.75.222.15	TR
195.75.222.16	195.75.222.31	EU
195.75.222.32	195.75.222.127	TR
195.75.222.128	195.75.222.175	EU
195.75.222.176	195.75.222.199	TR
195.75.222.200	195.75.222.207	EU
195.75.222.208	195.75.222.223	TR
195.75.222.224	195.75.222.239	EU
195.75.222.240	195.75.222.255	TR
195.75.223.0	195.75.223.255	EU
195.75.224.0	195.75.227.23	NL
195.75.227.24	195.75.227.31	EU
195.75.227.32	195.75.227.63	NL
195.75.227.64	195.75.227.127	EU
195.75.227.128	195.75.235.255	NL
195.75.236.0	195.75.236.39	TR
195.75.236.40	195.75.236.47	EU
195.75.236.48	195.75.236.55	TR
195.75.236.56	195.75.236.119	EU
195.75.236.120	195.75.236.255	TR
195.75.237.0	195.75.237.31	HU
195.75.237.32	195.75.237.79	EU
195.75.237.80	195.75.237.95	HU
195.75.237.96	195.75.237.127	EU
195.75.237.128	195.75.237.191	HU
195.75.237.192	195.75.237.255	EU
195.75.238.0	195.75.238.127	TR
195.75.238.128	195.75.240.15	EU
195.75.240.16	195.75.240.31	GB
195.75.240.32	195.75.240.63	EU
195.75.240.64	195.75.240.127	IE
195.75.240.128	195.75.240.159	EU
195.75.240.160	195.75.240.191	IE
195.75.240.192	195.75.240.223	EU
195.75.240.224	195.75.240.255	IE
195.75.241.0	195.75.242.127	EU
195.75.242.128	195.75.242.143	GB
195.75.242.144	195.75.242.159	NL
195.75.242.160	195.75.242.191	GB
195.75.242.192	195.75.242.223	FR
195.75.242.224	195.75.243.15	EU
195.75.243.16	195.75.243.63	NL
195.75.243.64	195.75.243.95	EU
195.75.243.96	195.75.243.143	NL
195.75.243.144	195.75.243.159	EU
195.75.243.160	195.75.243.191	NL
195.75.243.192	195.75.243.255	EU
195.75.244.0	195.75.244.95	NL
195.75.244.96	195.75.244.103	EU
195.75.244.104	195.75.244.111	NL
195.75.244.112	195.75.244.127	EU
195.75.244.128	195.75.244.135	NL
195.75.244.136	195.75.244.231	EU
195.75.244.232	195.75.244.255	GB
195.75.245.0	195.75.245.23	RU
195.75.245.24	195.75.245.31	LV
195.75.245.32	195.75.245.63	RU
195.75.245.64	195.75.246.15	EU
195.75.246.16	195.75.246.23	FI
195.75.246.24	195.75.246.39	EU
195.75.246.40	195.75.246.63	FI
195.75.246.64	195.75.246.79	EU
195.75.246.80	195.75.246.127	FI
195.75.246.128	195.75.246.255	EU
195.75.247.0	195.75.247.255	PK
195.75.248.0	195.75.248.255	FI
195.75.249.0	195.75.249.255	EU
195.75.250.0	195.75.250.95	ES
195.75.250.96	195.75.250.127	EU
195.75.250.128	195.75.250.191	ES
195.75.250.192	195.75.251.7	EU
195.75.251.8	195.75.251.15	HR
195.75.251.16	195.75.251.63	EU
195.75.251.64	195.75.251.95	HU
195.75.251.96	195.75.251.111	EU
195.75.251.112	195.75.251.135	HU
195.75.251.136	195.75.251.159	EU
195.75.251.160	195.75.251.167	HU
195.75.251.168	195.75.252.31	EU
195.75.252.32	195.75.252.63	ES
195.75.252.64	195.75.252.135	EU
195.75.252.136	195.75.252.159	ES
195.75.252.160	195.75.253.63	EU
195.75.253.64	195.75.253.127	AT
195.75.253.128	195.75.253.255	EU
195.75.254.0	195.75.254.255	AT
195.75.255.0	195.75.255.63	GR
195.75.255.64	195.75.255.255	EU
195.76.0.0	195.77.255.255	ES
195.78.0.0	195.78.31.255	MC
195.78.32.0	195.78.35.255	HR
195.78.36.0	195.78.37.255	SE
195.78.38.0	195.78.39.255	UA
195.78.40.0	195.78.41.255	DE
195.78.42.0	195.78.43.255	RO
195.78.44.0	195.78.45.255	SK
195.78.46.0	195.78.47.255	AT
195.78.48.0	195.78.49.255	PL
195.78.50.0	195.78.51.255	BE
195.78.52.0	195.78.53.255	AT
195.78.54.0	195.78.55.255	GB
195.78.56.0	195.78.59.255	UA
195.78.60.0	195.78.61.255	RU
195.78.62.0	195.78.63.255	DE
195.78.64.0	195.78.65.255	RO
195.78.66.0	195.78.67.255	PL
195.78.68.0	195.78.69.255	UA
195.78.70.0	195.78.71.255	FI
195.78.72.0	195.78.73.255	RU
195.78.74.0	195.78.75.255	KW
195.78.76.0	195.78.77.255	DE
195.78.78.0	195.78.79.255	ES
195.78.80.0	195.78.83.255	GB
195.78.84.0	195.78.85.255	NL
195.78.86.0	195.78.87.255	GR
195.78.88.0	195.78.89.255	RO
195.78.90.0	195.78.91.255	RU
195.78.92.0	195.78.93.255	UA
195.78.94.0	195.78.95.255	GB
195.78.96.0	195.78.97.255	UA
195.78.98.0	195.78.99.255	AT
195.78.100.0	195.78.101.255	UA
195.78.102.0	195.78.103.255	RU
195.78.104.0	195.78.105.255	UA
195.78.106.0	195.78.107.255	RO
195.78.108.0	195.78.109.255	EU
195.78.110.0	195.78.111.255	GB
195.78.112.0	195.78.113.255	UA
195.78.114.0	195.78.119.255	RU
195.78.122.0	195.78.123.255	KZ
195.78.124.0	195.78.125.255	RO
195.78.126.0	195.78.127.255	RU
195.78.128.0	195.78.159.255	SE
195.78.160.0	195.78.191.255	DE
195.78.192.0	195.78.223.255	IT
195.78.224.0	195.78.227.255	PK
195.78.228.0	195.78.231.255	ES
195.78.232.0	195.78.235.255	UA
195.78.236.0	195.78.239.255	PL
195.78.240.0	195.78.243.255	DE
195.78.244.0	195.78.247.255	UA
195.78.248.0	195.78.251.255	DE
195.78.252.0	195.78.255.255	UA
195.79.0.0	195.79.1.15	AT
195.79.1.16	195.79.1.31	DK
195.79.1.32	195.79.1.95	AT
195.79.1.96	195.79.1.127	DE
195.79.1.128	195.79.1.159	EU
195.79.1.160	195.79.1.175	GB
195.79.1.176	195.79.1.191	NL
195.79.1.192	195.79.1.223	FR
195.79.1.224	195.79.3.223	AT
195.79.3.224	195.79.3.255	NL
195.79.4.0	195.79.5.127	AT
195.79.5.128	195.79.5.191	EU
195.79.5.192	195.79.5.255	ES
195.79.6.0	195.79.7.255	AT
195.79.8.0	195.79.8.63	IT
195.79.8.64	195.79.8.223	GB
195.79.8.224	195.79.8.255	EU
195.79.9.0	195.79.9.31	IT
195.79.9.32	195.79.9.47	DE
195.79.9.48	195.79.9.63	CZ
195.79.9.64	195.79.9.95	NL
195.79.9.96	195.79.9.103	DE
195.79.9.104	195.79.9.111	NL
195.79.9.112	195.79.9.191	DK
195.79.9.192	195.79.9.223	CH
195.79.9.224	195.79.9.247	GB
195.79.9.248	195.79.9.255	BE
195.79.10.0	195.79.11.63	IT
195.79.11.64	195.79.11.127	DE
195.79.11.128	195.79.11.255	ES
195.79.12.0	195.79.12.79	IT
195.79.12.80	195.79.12.95	DE
195.79.12.96	195.79.12.255	RU
195.79.13.0	195.79.13.143	NL
195.79.13.144	195.79.13.151	DE
195.79.13.152	195.79.13.199	GB
195.79.13.200	195.79.13.207	IT
195.79.13.208	195.79.13.223	GB
195.79.13.224	195.79.13.255	BE
195.79.14.0	195.79.14.31	GB
195.79.14.32	195.79.14.63	ES
195.79.14.64	195.79.14.95	GB
195.79.14.96	195.79.14.127	IT
195.79.14.128	195.79.15.255	GB
195.79.16.0	195.79.17.31	CH
195.79.17.32	195.79.17.255	EU
195.79.18.0	195.79.18.79	CH
195.79.18.80	195.79.18.95	EU
195.79.18.96	195.79.22.31	CH
195.79.22.32	195.79.22.71	GB
195.79.22.72	195.79.22.79	DE
195.79.22.80	195.79.22.95	NL
195.79.22.96	195.79.22.127	EU
195.79.22.128	195.79.22.255	CH
195.79.23.0	195.79.24.95	FR
195.79.24.96	195.79.24.111	IT
195.79.24.112	195.79.24.127	CZ
195.79.24.128	195.79.24.191	PT
195.79.24.192	195.79.24.207	SI
195.79.24.208	195.79.24.223	SK
195.79.24.224	195.79.24.255	DE
195.79.25.0	195.79.26.255	FR
195.79.27.0	195.79.27.255	EU
195.79.28.0	195.79.31.255	FR
195.79.32.0	195.79.32.79	RU
195.79.32.80	195.79.32.95	NL
195.79.32.96	195.79.32.127	GR
195.79.32.128	195.79.32.255	HU
195.79.33.0	195.79.33.159	AT
195.79.33.160	195.79.33.191	DE
195.79.33.192	195.79.33.223	HU
195.79.33.224	195.79.33.255	NL
195.79.34.0	195.79.34.255	EU
195.79.35.0	195.79.36.223	AT
195.79.36.224	195.79.36.255	BE
195.79.37.0	195.79.37.255	AT
195.79.38.0	195.79.39.255	BE
195.79.40.0	195.79.40.255	IT
195.79.41.0	195.79.41.255	GR
195.79.42.0	195.79.42.79	DK
195.79.42.80	195.79.42.95	NL
195.79.42.96	195.79.42.127	DK
195.79.42.128	195.79.42.191	DE
195.79.42.192	195.79.43.183	DK
195.79.43.184	195.79.43.191	EU
195.79.43.192	195.79.43.255	DK
195.79.44.0	195.79.45.63	GB
195.79.45.64	195.79.45.127	DE
195.79.45.128	195.79.45.255	IT
195.79.46.0	195.79.46.95	GB
195.79.46.96	195.79.46.111	BE
195.79.46.112	195.79.46.127	NL
195.79.46.128	195.79.47.255	GB
195.79.48.0	195.79.53.255	CH
195.79.54.0	195.79.55.255	GB
195.79.56.0	195.79.56.151	AT
195.79.56.152	195.79.56.159	GB
195.79.56.160	195.79.56.223	AT
195.79.56.224	195.79.56.255	IT
195.79.57.0	195.79.57.31	AT
195.79.57.32	195.79.57.47	FR
195.79.57.48	195.79.57.63	EU
195.79.57.64	195.79.57.127	NL
195.79.57.128	195.79.57.255	DE
195.79.58.0	195.79.58.31	BE
195.79.58.32	195.79.58.63	DE
195.79.58.64	195.79.59.255	BE
195.79.60.0	195.79.61.71	NL
195.79.61.72	195.79.61.79	GB
195.79.61.80	195.79.61.95	FR
195.79.61.96	195.79.61.127	BE
195.79.61.128	195.79.61.255	FR
195.79.62.0	195.79.62.95	GB
195.79.62.96	195.79.62.127	EU
195.79.62.128	195.79.64.191	GB
195.79.64.192	195.79.64.223	FR
195.79.64.224	195.79.64.239	GB
195.79.64.240	195.79.64.255	NL
195.79.65.0	195.79.65.71	GB
195.79.65.72	195.79.65.95	SE
195.79.65.96	195.79.65.127	EU
195.79.65.128	195.79.65.191	IL
195.79.65.192	195.79.65.255	AT
195.79.66.0	195.79.72.159	GB
195.79.72.160	195.79.72.175	NO
195.79.72.176	195.79.72.223	GB
195.79.72.224	195.79.72.255	IT
195.79.73.0	195.79.73.223	GB
195.79.73.224	195.79.73.255	FI
195.79.74.0	195.79.76.31	GB
195.79.76.32	195.79.76.63	HU
195.79.76.64	195.79.80.47	GB
195.79.80.48	195.79.80.63	DE
195.79.80.64	195.79.80.127	HU
195.79.80.128	195.79.80.255	DE
195.79.81.0	195.79.83.63	GB
195.79.83.64	195.79.83.79	NO
195.79.83.80	195.79.83.95	RU
195.79.83.96	195.79.83.127	GB
195.79.83.128	195.79.83.255	ES
195.79.84.0	195.79.84.63	GB
195.79.84.64	195.79.84.95	NL
195.79.84.96	195.79.84.127	BE
195.79.84.128	195.79.85.63	GB
195.79.85.64	195.79.85.95	SE
195.79.85.96	195.79.85.127	FR
195.79.85.128	195.79.86.191	GB
195.79.86.192	195.79.86.255	DE
195.79.87.0	195.79.88.127	GB
195.79.88.128	195.79.88.143	NO
195.79.88.144	195.79.88.159	NL
195.79.88.160	195.79.88.191	GB
195.79.88.192	195.79.88.255	EU
195.79.89.0	195.79.89.255	GB
195.79.90.0	195.79.90.255	EU
195.79.91.0	195.79.91.63	GB
195.79.91.64	195.79.91.79	DE
195.79.91.80	195.79.91.95	ES
195.79.91.96	195.79.91.127	CH
195.79.91.128	195.79.95.255	GB
195.79.96.0	195.79.98.143	DE
195.79.98.144	195.79.98.159	NL
195.79.98.160	195.79.98.191	DE
195.79.98.192	195.79.98.223	CH
195.79.98.224	195.79.98.255	EU
195.79.99.0	195.79.104.127	DE
195.79.104.128	195.79.104.191	ES
195.79.104.192	195.79.107.63	DE
195.79.107.64	195.79.107.127	GB
195.79.107.128	195.79.107.159	DK
195.79.107.160	195.79.107.255	FR
195.79.108.0	195.79.109.255	DE
195.79.110.0	195.79.110.255	EU
195.79.111.0	195.79.111.63	DE
195.79.111.64	195.79.111.79	GB
195.79.111.80	195.79.111.95	IT
195.79.111.96	195.79.111.127	NO
195.79.111.128	195.79.112.191	DE
195.79.112.192	195.79.112.255	SE
195.79.113.0	195.79.113.127	DE
195.79.113.128	195.79.113.159	IT
195.79.113.160	195.79.113.175	CH
195.79.113.176	195.79.113.191	GR
195.79.113.192	195.79.113.255	GB
195.79.114.0	195.79.115.63	DE
195.79.115.64	195.79.115.79	DK
195.79.115.80	195.79.115.87	GB
195.79.115.88	195.79.115.95	BE
195.79.115.96	195.79.115.127	IT
195.79.115.128	195.79.115.255	EU
195.79.116.0	195.79.119.255	DE
195.79.120.0	195.79.126.255	GB
195.79.127.0	195.79.127.7	FR
195.79.127.8	195.79.127.15	EU
195.79.127.16	195.79.127.39	FR
195.79.127.40	195.79.127.47	DK
195.79.127.48	195.79.127.63	BE
195.79.127.64	195.79.127.103	FR
195.79.127.104	195.79.127.111	GB
195.79.127.112	195.79.127.127	NL
195.79.127.128	195.79.127.255	FR
195.79.128.0	195.79.129.255	ZA
195.79.130.0	195.79.130.63	NL
195.79.130.64	195.79.130.127	DK
195.79.130.128	195.79.130.191	NL
195.79.130.192	195.79.130.223	FR
195.79.130.224	195.79.130.255	AT
195.79.131.0	195.79.132.255	NL
195.79.133.0	195.79.133.255	DE
195.79.134.0	195.79.134.95	ES
195.79.134.96	195.79.134.127	AT
195.79.134.128	195.79.134.255	HU
195.79.135.0	195.79.135.255	DE
195.79.136.0	195.79.136.15	ES
195.79.136.16	195.79.136.31	DE
195.79.136.32	195.79.136.63	CH
195.79.136.64	195.79.136.127	NL
195.79.136.128	195.79.138.127	ES
195.79.138.128	195.79.138.191	EU
195.79.138.192	195.79.138.223	AT
195.79.138.224	195.79.138.239	IT
195.79.138.240	195.79.138.255	CH
195.79.139.0	195.79.139.95	ES
195.79.139.96	195.79.139.127	FI
195.79.139.128	195.79.139.191	ES
195.79.139.192	195.79.139.255	DK
195.79.140.0	195.79.141.255	ES
195.79.142.0	195.79.142.127	EU
195.79.142.128	195.79.143.63	ES
195.79.143.64	195.79.143.127	EU
195.79.143.128	195.79.143.255	ES
195.79.144.0	195.79.144.127	NL
195.79.144.128	195.79.144.255	GB
195.79.145.0	195.79.147.191	NL
195.79.147.192	195.79.147.255	AT
195.79.148.0	195.79.148.215	BE
195.79.148.216	195.79.148.223	EU
195.79.148.224	195.79.151.255	BE
195.79.152.0	195.79.154.159	DK
195.79.154.160	195.79.154.191	FI
195.79.154.192	195.79.154.207	DK
195.79.154.208	195.79.154.223	EU
195.79.154.224	195.79.154.255	IE
195.79.155.0	195.79.155.127	DK
195.79.155.128	195.79.155.159	DE
195.79.155.160	195.79.155.191	FR
195.79.155.192	195.79.155.255	GB
195.79.156.0	195.79.156.143	SE
195.79.156.144	195.79.156.159	GB
195.79.156.160	195.79.156.191	DE
195.79.156.192	195.79.156.255	CH
195.79.157.0	195.79.158.191	SE
195.79.158.192	195.79.158.255	NL
195.79.159.0	195.79.159.127	SE
195.79.159.128	195.79.159.191	FR
195.79.159.192	195.79.159.223	DK
195.79.159.224	195.79.159.255	DE
195.79.160.0	195.79.182.95	NL
195.79.182.96	195.79.182.191	FR
195.79.182.192	195.79.182.255	BE
195.79.183.0	195.79.183.191	NL
195.79.183.192	195.79.183.255	FR
195.79.184.0	195.79.188.127	BE
195.79.188.128	195.79.188.191	EU
195.79.188.192	195.79.188.207	FR
195.79.188.208	195.79.188.223	CZ
195.79.188.224	195.79.188.255	ES
195.79.189.0	195.79.189.127	BE
195.79.189.128	195.79.189.191	GR
195.79.189.192	195.79.189.207	DK
195.79.189.208	195.79.189.223	GB
195.79.189.224	195.79.189.239	PT
195.79.189.240	195.79.189.255	CH
195.79.190.0	195.79.191.255	IT
195.79.192.0	195.79.194.255	FR
195.79.195.0	195.79.195.255	EU
195.79.196.0	195.79.196.255	FR
195.79.197.0	195.79.197.255	NO
195.79.198.0	195.79.198.255	IE
195.79.199.0	195.79.199.31	PT
195.79.199.32	195.79.199.47	GR
195.79.199.48	195.79.199.55	GB
195.79.199.56	195.79.199.63	IE
195.79.199.64	195.79.199.127	PT
195.79.199.128	195.79.199.159	BE
195.79.199.160	195.79.199.191	PT
195.79.199.192	195.79.199.199	TR
195.79.199.200	195.79.199.207	PL
195.79.199.208	195.79.199.223	CZ
195.79.199.224	195.79.199.255	IT
195.79.200.0	195.79.200.127	IL
195.79.200.128	195.79.200.159	NL
195.79.200.160	195.79.200.191	EU
195.79.200.192	195.79.200.255	GB
195.79.201.0	195.79.201.255	AT
195.79.202.0	195.79.202.255	NO
195.79.203.0	195.79.203.255	EU
195.79.204.0	195.79.204.127	HU
195.79.204.128	195.79.204.191	SE
195.79.204.192	195.79.204.223	TR
195.79.204.224	195.79.204.255	BE
195.79.205.0	195.79.206.159	AT
195.79.206.160	195.79.206.191	DE
195.79.206.192	195.79.206.255	BE
195.79.207.0	195.79.208.63	FR
195.79.208.64	195.79.208.255	EU
195.79.209.0	195.79.211.255	FR
195.79.212.0	195.79.212.127	IE
195.79.212.128	195.79.212.159	DE
195.79.212.160	195.79.212.191	EU
195.79.212.192	195.79.212.255	NL
195.79.213.0	195.79.213.255	NO
195.79.214.0	195.79.214.191	FI
195.79.214.192	195.79.214.255	EU
195.79.215.0	195.79.215.63	FR
195.79.215.64	195.79.215.79	ES
195.79.215.80	195.79.215.95	FR
195.79.215.96	195.79.215.111	ES
195.79.215.112	195.79.215.127	NL
195.79.215.128	195.79.215.255	FR
195.79.216.0	195.79.216.255	IT
195.79.217.0	195.79.217.95	ES
195.79.217.96	195.79.217.111	FR
195.79.217.112	195.79.217.127	NL
195.79.217.128	195.79.217.159	IT
195.79.217.160	195.79.217.183	NL
195.79.217.184	195.79.217.191	DE
195.79.217.192	195.79.217.207	NL
195.79.217.208	195.79.217.255	GB
195.79.218.0	195.79.218.255	IE
195.79.219.0	195.79.219.255	HU
195.79.220.0	195.79.220.159	PK
195.79.220.160	195.79.220.223	IT
195.79.220.224	195.79.220.255	NL
195.79.221.0	195.79.221.255	GB
195.79.222.0	195.79.222.31	PT
195.79.222.32	195.79.222.255	EU
195.79.223.0	195.79.227.255	GB
195.79.228.0	195.79.228.255	FR
195.79.229.0	195.79.229.191	GB
195.79.229.192	195.79.229.255	IE
195.79.230.0	195.79.231.135	FR
195.79.231.136	195.79.231.143	NL
195.79.231.144	195.79.231.151	BE
195.79.231.152	195.79.231.159	FR
195.79.231.160	195.79.231.191	PL
195.79.231.192	195.79.231.255	FR
195.79.232.0	195.79.232.255	EU
195.79.233.0	195.79.233.143	NL
195.79.233.144	195.79.233.159	DE
195.79.233.160	195.79.233.191	EU
195.79.233.192	195.79.233.223	DK
195.79.233.224	195.79.233.255	NL
195.79.234.0	195.79.239.255	BE
195.79.240.0	195.79.247.255	AT
195.79.248.0	195.79.252.127	EU
195.79.252.128	195.79.252.255	GB
195.79.253.0	195.79.253.63	EU
195.79.253.64	195.79.253.127	GB
195.79.253.128	195.79.253.159	NL
195.79.253.160	195.79.253.223	AT
195.79.253.224	195.79.253.239	PL
195.79.253.240	195.79.253.255	NL
195.79.254.0	195.79.254.255	DE
195.79.255.0	195.79.255.31	NL
195.79.255.32	195.79.255.63	GB
195.79.255.64	195.79.255.95	FR
195.79.255.96	195.79.255.127	ES
195.79.255.128	195.79.255.255	NL
195.80.0.0	195.80.95.255	GB
195.80.96.0	195.80.127.255	EE
195.80.128.0	195.80.134.191	GB
195.80.134.192	195.80.134.199	FR
195.80.134.200	195.80.135.255	GB
195.80.144.0	195.80.147.255	RU
195.80.148.0	195.80.151.255	EU
195.80.152.0	195.80.159.255	FR
195.80.160.0	195.80.191.255	SK
195.80.192.0	195.80.223.255	DE
195.80.224.0	195.80.224.255	RU
195.80.225.0	195.80.225.255	SI
195.80.226.0	195.80.226.255	NL
195.80.227.0	195.80.227.255	KW
195.80.228.0	195.80.228.255	RU
195.80.229.0	195.80.229.255	PL
195.80.230.0	195.80.230.255	DE
195.80.231.0	195.80.232.255	UA
195.80.233.0	195.80.233.255	CH
195.80.234.0	195.80.234.255	AT
195.80.235.0	195.80.235.255	CH
195.80.236.0	195.80.237.255	PL
195.80.238.0	195.80.238.255	BE
195.80.239.0	195.80.239.255	DE
195.80.240.0	195.80.255.255	DK
195.81.0.0	195.81.3.255	NL
195.81.4.0	195.81.4.255	IT
195.81.5.0	195.81.5.47	DE
195.81.5.48	195.81.5.63	GB
195.81.5.64	195.81.5.143	DE
195.81.5.144	195.81.5.151	GB
195.81.5.152	195.81.5.159	DE
195.81.5.160	195.81.5.255	GB
195.81.6.0	195.81.11.254	IT
195.81.11.255	195.81.11.255	GB
195.81.12.0	195.81.12.255	NL
195.81.13.0	195.81.16.63	IT
195.81.16.64	195.81.16.95	A2
195.81.16.96	195.81.16.223	IT
195.81.16.224	195.81.16.255	GB
195.81.17.0	195.81.17.255	NL
195.81.18.0	195.81.23.255	IT
195.81.24.0	195.81.27.31	DE
195.81.27.32	195.81.27.63	GB
195.81.27.64	195.81.27.255	DE
195.81.28.0	195.81.31.255	GB
195.81.32.0	195.81.34.63	ES
195.81.34.64	195.81.34.127	GB
195.81.34.128	195.81.35.255	ES
195.81.36.0	195.81.36.255	NL
195.81.37.0	195.81.37.255	GB
195.81.38.0	195.81.39.255	NL
195.81.40.0	195.81.40.255	GB
195.81.41.0	195.81.41.255	DK
195.81.42.0	195.81.43.255	GB
195.81.44.0	195.81.44.23	AT
195.81.44.24	195.81.45.247	GB
195.81.45.248	195.81.45.255	AT
195.81.46.0	195.81.46.223	GB
195.81.46.224	195.81.46.239	AT
195.81.46.240	195.81.46.247	GB
195.81.46.248	195.81.46.255	AT
195.81.47.0	195.81.47.247	GB
195.81.47.248	195.81.47.255	AT
195.81.48.0	195.81.48.7	BG
195.81.48.8	195.81.48.255	GB
195.81.49.0	195.81.49.255	BG
195.81.50.0	195.81.53.255	GB
195.81.54.0	195.81.54.63	TR
195.81.54.64	195.81.54.255	GB
195.81.55.0	195.81.55.255	TR
195.81.56.0	195.81.58.255	DK
195.81.59.0	195.81.63.255	GB
195.81.64.0	195.81.69.191	IT
195.81.69.192	195.81.69.255	GB
195.81.70.0	195.81.71.127	IT
195.81.71.128	195.81.71.255	GB
195.81.72.0	195.81.74.7	PL
195.81.74.8	195.81.79.255	GB
195.81.80.0	195.81.80.255	RO
195.81.81.0	195.81.86.255	GB
195.81.87.0	195.81.87.255	DE
195.81.88.0	195.81.89.255	GB
195.81.90.0	195.81.90.255	AT
195.81.91.0	195.81.91.255	GB
195.81.92.0	195.81.95.255	AT
195.81.96.0	195.81.96.23	US
195.81.96.24	195.81.96.31	GB
195.81.96.32	195.81.96.79	US
195.81.96.80	195.81.96.255	GB
195.81.97.0	195.81.97.255	US
195.81.98.0	195.81.99.255	IT
195.81.100.0	195.81.100.255	GB
195.81.101.0	195.81.103.255	US
195.81.104.0	195.81.109.255	IT
195.81.110.0	195.81.112.255	GB
195.81.113.0	195.81.113.255	IT
195.81.114.0	195.81.114.255	GB
195.81.115.0	195.81.118.255	IT
195.81.119.0	195.81.119.255	CZ
195.81.120.0	195.81.122.63	BE
195.81.122.64	195.81.122.79	SE
195.81.122.80	195.81.122.127	GB
195.81.122.128	195.81.122.159	BE
195.81.122.160	195.81.122.255	GB
195.81.123.0	195.81.123.255	BE
195.81.124.0	195.81.127.255	GB
195.81.128.0	195.81.129.215	CH
195.81.129.216	195.81.129.223	GB
195.81.129.224	195.81.131.63	CH
195.81.131.64	195.81.131.95	GB
195.81.131.96	195.81.134.199	CH
195.81.134.200	195.81.134.255	GB
195.81.135.0	195.81.135.255	CH
195.81.136.0	195.81.136.255	GB
195.81.137.0	195.81.137.63	CH
195.81.137.64	195.81.142.255	GB
195.81.143.0	195.81.143.7	CH
195.81.143.8	195.81.143.15	GB
195.81.143.16	195.81.143.31	CH
195.81.143.32	195.81.143.255	GB
195.81.144.0	195.81.144.175	SE
195.81.144.176	195.81.144.255	GB
195.81.145.0	195.81.147.254	SE
195.81.147.255	195.81.147.255	GB
195.81.148.0	195.81.148.255	SE
195.81.149.0	195.81.155.95	GB
195.81.155.96	195.81.155.103	ES
195.81.155.104	195.81.155.255	GB
195.81.156.0	195.81.156.255	SE
195.81.157.0	195.81.158.255	BE
195.81.159.0	195.81.159.39	SE
195.81.159.40	195.81.159.255	GB
195.81.160.0	195.81.161.111	NL
195.81.161.112	195.81.161.127	GB
195.81.161.128	195.81.164.31	NL
195.81.164.32	195.81.173.255	GB
195.81.174.0	195.81.175.255	NL
195.81.176.0	195.81.177.119	IT
195.81.177.120	195.81.177.127	GB
195.81.177.128	195.81.183.231	IT
195.81.183.232	195.81.183.239	GB
195.81.183.240	195.81.188.255	IT
195.81.189.0	195.81.189.63	US
195.81.189.64	195.81.191.255	IT
195.81.192.0	195.81.194.255	ES
195.81.195.0	195.81.195.31	GB
195.81.195.32	195.81.197.207	ES
195.81.197.208	195.81.197.215	GB
195.81.197.216	195.81.201.239	ES
195.81.201.240	195.81.201.255	GB
195.81.202.0	195.81.202.31	ES
195.81.202.32	195.81.202.39	GB
195.81.202.40	195.81.202.63	ES
195.81.202.64	195.81.202.95	GB
195.81.202.96	195.81.203.255	ES
195.81.204.0	195.81.205.255	GB
195.81.206.0	195.81.207.255	ES
195.81.208.0	195.81.214.231	DE
195.81.214.232	195.81.214.239	GB
195.81.214.240	195.81.217.95	DE
195.81.217.96	195.81.217.103	GB
195.81.217.104	195.81.217.151	DE
195.81.217.152	195.81.217.255	GB
195.81.218.0	195.81.218.55	DE
195.81.218.56	195.81.218.59	DK
195.81.218.60	195.81.219.7	DE
195.81.219.8	195.81.219.255	GB
195.81.220.0	195.81.222.255	DE
195.81.223.0	195.81.226.39	FR
195.81.226.40	195.81.226.63	GB
195.81.226.64	195.81.226.223	FR
195.81.226.224	195.81.226.255	GB
195.81.227.0	195.81.228.135	FR
195.81.228.136	195.81.228.191	GB
195.81.228.192	195.81.229.127	FR
195.81.229.128	195.81.229.255	GB
195.81.230.0	195.81.235.255	FR
195.81.236.0	195.81.237.255	GB
195.81.238.0	195.81.239.15	FR
195.81.239.16	195.81.255.255	GB
195.82.0.0	195.82.31.255	KZ
195.82.32.0	195.82.95.255	DE
195.82.96.0	195.82.127.255	GB
195.82.128.0	195.82.129.255	IL
195.82.130.0	195.82.133.255	RO
195.82.134.0	195.82.137.255	RU
195.82.138.0	195.82.139.255	BH
195.82.140.0	195.82.147.255	RU
195.82.148.0	195.82.149.255	RO
195.82.150.0	195.82.151.255	UA
195.82.152.0	195.82.153.255	NL
195.82.154.0	195.82.157.255	RU
195.82.158.0	195.82.159.255	DE
195.82.160.0	195.82.191.255	PL
195.82.192.0	195.82.223.255	DK
195.82.224.0	195.82.255.255	AT
195.83.0.0	195.83.255.255	FR
195.84.0.0	195.84.255.255	SE
195.85.0.0	195.85.127.255	DK
195.85.128.0	195.85.191.255	NL
195.85.192.0	195.85.192.255	SI
195.85.193.0	195.85.193.255	GB
195.85.194.0	195.85.194.255	RO
195.85.195.0	195.85.196.255	PL
195.85.197.0	195.85.198.255	UA
195.85.199.0	195.85.199.255	PL
195.85.200.0	195.85.200.255	ES
195.85.201.0	195.85.201.255	RO
195.85.202.0	195.85.202.255	DE
195.85.203.0	195.85.204.255	BE
195.85.205.0	195.85.205.255	NL
195.85.206.0	195.85.206.255	GB
195.85.207.0	195.85.207.255	FR
195.85.208.0	195.85.208.255	DE
195.85.209.0	195.85.209.255	PL
195.85.210.0	195.85.210.255	DE
195.85.211.0	195.85.211.255	RO
195.85.212.0	195.85.212.255	IT
195.85.213.0	195.85.213.255	RU
195.85.214.0	195.85.214.255	UA
195.85.215.0	195.85.215.255	BG
195.85.216.0	195.85.216.255	UA
195.85.217.0	195.85.217.255	DE
195.85.218.0	195.85.218.255	DK
195.85.219.0	195.85.219.255	UA
195.85.220.0	195.85.220.255	DE
195.85.221.0	195.85.221.255	PT
195.85.222.0	195.85.222.255	DE
195.85.223.0	195.85.223.255	UA
195.85.224.0	195.85.224.255	SA
195.85.225.0	195.85.225.255	RU
195.85.226.0	195.85.226.255	DE
195.85.227.0	195.85.227.255	PL
195.85.228.0	195.85.228.255	IT
195.85.229.0	195.85.229.255	DE
195.85.230.0	195.85.230.255	PL
195.85.231.0	195.85.231.255	RU
195.85.232.0	195.85.232.255	GB
195.85.233.0	195.85.233.255	UA
195.85.234.0	195.85.236.255	RU
195.85.237.0	195.85.237.255	GB
195.85.238.0	195.85.238.255	RU
195.85.239.0	195.85.239.255	RO
195.85.240.0	195.85.240.255	DE
195.85.241.0	195.85.241.255	PL
195.85.242.0	195.85.242.255	TR
195.85.243.0	195.85.243.255	PL
195.85.244.0	195.85.244.255	SE
195.85.245.0	195.85.245.255	GB
195.85.246.0	195.85.246.255	BE
195.85.247.0	195.85.247.255	FR
195.85.248.0	195.85.248.255	DK
195.85.249.0	195.85.249.255	PL
195.85.250.0	195.85.250.255	UA
195.85.251.0	195.85.251.255	DK
195.85.252.0	195.85.252.255	PL
195.85.253.0	195.85.253.255	DK
195.85.254.0	195.85.254.255	GG
195.85.255.0	195.85.255.255	TR
195.86.0.0	195.86.240.71	NL
195.86.240.72	195.86.240.79	DE
195.86.240.80	195.86.255.255	NL
195.87.0.0	195.87.255.255	TR
195.88.0.0	195.88.3.255	RU
195.88.4.0	195.88.7.255	IT
195.88.8.0	195.88.9.255	GB
195.88.10.0	195.88.11.255	AT
195.88.12.0	195.88.13.255	RS
195.88.14.0	195.88.15.255	UA
195.88.16.0	195.88.17.255	RU
195.88.18.0	195.88.19.255	NL
195.88.20.0	195.88.21.255	GB
195.88.22.0	195.88.23.255	RU
195.88.24.0	195.88.25.255	RO
195.88.26.0	195.88.27.255	UA
195.88.28.0	195.88.31.255	PL
195.88.32.0	195.88.33.255	NL
195.88.34.0	195.88.35.255	AT
195.88.36.0	195.88.37.255	DK
195.88.38.0	195.88.39.255	RO
195.88.40.0	195.88.41.255	RU
195.88.42.0	195.88.43.255	UA
195.88.44.0	195.88.45.255	DE
195.88.46.0	195.88.47.255	HR
195.88.48.0	195.88.49.255	AT
195.88.50.0	195.88.51.255	PL
195.88.52.0	195.88.53.255	UA
195.88.54.0	195.88.55.255	NO
195.88.56.0	195.88.59.255	RU
195.88.60.0	195.88.61.255	RO
195.88.62.0	195.88.63.255	RU
195.88.64.0	195.88.65.255	RO
195.88.66.0	195.88.67.255	AM
195.88.68.0	195.88.69.255	RU
195.88.70.0	195.88.71.255	GB
195.88.72.0	195.88.73.255	UA
195.88.74.0	195.88.75.255	BG
195.88.76.0	195.88.79.255	UA
195.88.80.0	195.88.81.255	RO
195.88.82.0	195.88.83.255	SI
195.88.84.0	195.88.85.255	FR
195.88.86.0	195.88.87.255	GB
195.88.88.0	195.88.89.255	DE
195.88.90.0	195.88.91.255	PL
195.88.92.0	195.88.93.255	RU
195.88.94.0	195.88.95.255	FR
195.88.96.0	195.88.99.255	RO
195.88.100.0	195.88.101.255	GB
195.88.102.0	195.88.105.255	RU
195.88.106.0	195.88.107.255	NO
195.88.108.0	195.88.109.255	DE
195.88.110.0	195.88.111.255	SE
195.88.112.0	195.88.113.255	UA
195.88.114.0	195.88.115.255	PL
195.88.116.0	195.88.117.255	DE
195.88.118.0	195.88.119.255	GB
195.88.120.0	195.88.121.255	RU
195.88.122.0	195.88.123.255	MK
195.88.124.0	195.88.125.255	UA
195.88.126.0	195.88.127.255	RU
195.88.128.0	195.88.129.255	PL
195.88.130.0	195.88.131.255	SE
195.88.132.0	195.88.135.255	RU
195.88.136.0	195.88.137.255	NL
195.88.138.0	195.88.139.255	UA
195.88.140.0	195.88.141.255	BG
195.88.142.0	195.88.143.255	CZ
195.88.144.0	195.88.145.255	UA
195.88.146.0	195.88.147.255	RU
195.88.148.0	195.88.149.255	ES
195.88.150.0	195.88.151.255	IE
195.88.152.0	195.88.153.255	ES
195.88.154.0	195.88.155.255	RU
195.88.156.0	195.88.157.255	GB
195.88.158.0	195.88.159.255	UA
195.88.160.0	195.88.161.255	NL
195.88.162.0	195.88.163.255	GR
195.88.164.0	195.88.165.255	CZ
195.88.166.0	195.88.167.255	AT
195.88.168.0	195.88.169.255	PL
195.88.170.0	195.88.171.255	RU
195.88.172.0	195.88.175.255	RO
195.88.176.0	195.88.177.255	CY
195.88.178.0	195.88.179.255	RU
195.88.180.0	195.88.181.255	SE
195.88.182.0	195.88.183.255	RO
195.88.184.0	195.88.185.255	RU
195.88.186.0	195.88.187.255	PL
195.88.190.0	195.88.193.255	RU
195.88.194.0	195.88.195.255	FR
195.88.196.0	195.88.201.255	RU
195.88.202.0	195.88.203.255	NL
195.88.204.0	195.88.205.255	RO
195.88.206.0	195.88.211.255	RU
195.88.212.0	195.88.213.255	HR
195.88.214.0	195.88.215.255	UZ
195.88.216.0	195.88.217.255	RS
195.88.218.0	195.88.219.255	RO
195.88.220.0	195.88.221.255	RU
195.88.222.0	195.88.223.255	KW
195.88.224.0	195.88.225.255	RU
195.88.226.0	195.88.227.255	MD
195.88.228.0	195.88.229.255	GB
195.88.230.0	195.88.231.255	UA
195.88.232.0	195.88.233.255	PL
195.88.234.0	195.88.235.255	IL
195.88.236.0	195.88.237.255	GB
195.88.238.0	195.88.239.255	AT
195.88.240.0	195.88.241.255	RU
195.88.242.0	195.88.243.255	UA
195.88.244.0	195.88.245.255	SA
195.88.246.0	195.88.249.255	RU
195.88.250.0	195.88.251.255	SE
195.88.252.0	195.88.253.255	RU
195.88.254.0	195.88.255.255	AM
195.89.0.0	195.89.19.255	GB
195.89.20.0	195.89.21.255	US
195.89.22.0	195.89.23.239	GB
195.89.23.240	195.89.23.255	IE
195.89.24.0	195.89.245.103	GB
195.89.245.104	195.89.245.111	DK
195.89.245.112	195.89.255.255	GB
195.90.0.0	195.90.31.255	DE
195.90.32.0	195.90.32.255	GB
195.90.33.0	195.90.33.255	US
195.90.34.0	195.90.35.255	FR
195.90.36.0	195.90.36.255	BE
195.90.37.0	195.90.47.79	US
195.90.47.80	195.90.47.159	CA
195.90.47.160	195.90.63.255	US
195.90.64.0	195.90.66.255	NL
195.90.67.0	195.90.67.95	EU
195.90.67.96	195.90.67.111	IL
195.90.67.112	195.90.75.255	EU
195.90.76.0	195.90.79.127	BE
195.90.79.128	195.90.79.255	EU
195.90.80.0	195.90.80.255	NL
195.90.81.0	195.90.82.255	EU
195.90.83.0	195.90.86.255	BE
195.90.87.0	195.90.88.255	EU
195.90.89.0	195.90.89.255	NL
195.90.90.0	195.90.95.255	EU
195.90.96.0	195.90.99.255	GB
195.90.100.0	195.90.101.255	DK
195.90.102.0	195.90.103.255	PL
195.90.104.0	195.90.105.255	SE
195.90.106.0	195.90.107.255	PL
195.90.108.0	195.90.109.255	IT
195.90.110.0	195.90.111.255	RO
195.90.112.0	195.90.113.255	CH
195.90.114.0	195.90.115.255	RO
195.90.116.0	195.90.117.255	CH
195.90.118.0	195.90.121.255	GB
195.90.122.0	195.90.123.255	UA
195.90.124.0	195.90.125.255	RO
195.90.126.0	195.90.127.255	PL
195.90.128.0	195.90.191.255	RU
195.90.192.0	195.90.255.255	DE
195.91.0.0	195.91.127.255	SK
195.91.128.0	195.91.255.255	RU
195.92.0.0	195.93.57.255	GB
195.93.58.0	195.93.59.255	US
195.93.60.0	195.93.95.255	DE
195.93.96.0	195.93.111.255	FR
195.93.112.0	195.93.127.255	US
195.93.128.0	195.93.129.255	RU
195.93.130.0	195.93.131.255	DE
195.93.132.0	195.93.133.255	IE
195.93.134.0	195.93.135.255	PL
195.93.136.0	195.93.137.255	RO
195.93.138.0	195.93.139.255	UA
195.93.140.0	195.93.141.255	RO
195.93.142.0	195.93.143.255	PL
195.93.146.0	195.93.147.255	AT
195.93.148.0	195.93.151.255	RU
195.93.152.0	195.93.153.255	KZ
195.93.154.0	195.93.155.255	UA
195.93.156.0	195.93.157.255	GB
195.93.158.0	195.93.159.255	DE
195.93.160.0	195.93.161.255	UA
195.93.162.0	195.93.163.255	PL
195.93.164.0	195.93.165.255	RU
195.93.166.0	195.93.167.255	DE
195.93.168.0	195.93.169.255	IT
195.93.170.0	195.93.171.255	ES
195.93.172.0	195.93.173.255	UA
195.93.174.0	195.93.175.255	AT
195.93.176.0	195.93.177.255	RO
195.93.178.0	195.93.179.255	PL
195.93.180.0	195.93.181.255	RU
195.93.182.0	195.93.183.255	DE
195.93.184.0	195.93.185.255	UA
195.93.186.0	195.93.189.255	RU
195.93.190.0	195.93.191.255	UA
195.93.192.0	195.93.193.255	DK
195.93.194.0	195.93.195.255	AT
195.93.196.0	195.93.197.255	GB
195.93.198.0	195.93.199.255	RO
195.93.200.0	195.93.201.255	DE
195.93.202.0	195.93.203.255	PL
195.93.204.0	195.93.205.255	UA
195.93.206.0	195.93.207.255	RU
195.93.208.0	195.93.209.255	KZ
195.93.210.0	195.93.211.255	ES
195.93.212.0	195.93.215.255	UA
195.93.216.0	195.93.217.255	CZ
195.93.218.0	195.93.219.255	MD
195.93.220.0	195.93.221.255	AT
195.93.222.0	195.93.223.255	PL
195.93.224.0	195.93.225.255	NL
195.93.226.0	195.93.227.255	GB
195.93.228.0	195.93.229.255	RU
195.93.230.0	195.93.231.255	PL
195.93.232.0	195.93.233.255	NO
195.93.234.0	195.93.235.255	IL
195.93.238.0	195.93.239.255	NL
195.93.240.0	195.93.241.255	RU
195.93.242.0	195.93.245.255	DE
195.93.246.0	195.93.249.255	RU
195.93.250.0	195.93.251.255	PL
195.93.252.0	195.93.253.255	SE
195.93.254.0	195.93.255.255	IT
195.94.0.0	195.94.31.255	YE
195.94.32.0	195.94.63.255	CH
195.94.64.0	195.94.95.255	DE
195.94.96.0	195.94.127.255	FI
195.94.128.0	195.94.191.255	IT
195.94.192.0	195.94.223.255	PL
195.94.224.0	195.94.255.255	RU
195.95.0.0	195.95.127.255	BE
195.95.128.0	195.95.128.255	RO
195.95.129.0	195.95.129.255	PL
195.95.130.0	195.95.130.255	CM
195.95.131.0	195.95.131.255	GB
195.95.132.0	195.95.132.255	CH
195.95.133.0	195.95.133.255	GB
195.95.134.0	195.95.135.255	FR
195.95.136.0	195.95.136.255	BE
195.95.137.0	195.95.137.255	DE
195.95.138.0	195.95.138.255	CY
195.95.139.0	195.95.139.255	UA
195.95.140.0	195.95.140.255	SE
195.95.141.0	195.95.141.255	CH
195.95.142.0	195.95.142.255	IT
195.95.143.0	195.95.143.255	GB
195.95.144.0	195.95.144.255	PL
195.95.145.0	195.95.145.255	RO
195.95.146.0	195.95.146.255	DE
195.95.147.0	195.95.147.255	UA
195.95.148.0	195.95.148.255	CH
195.95.149.0	195.95.149.255	TR
195.95.150.0	195.95.150.255	GB
195.95.151.0	195.95.151.255	UA
195.95.152.0	195.95.152.255	RO
195.95.153.0	195.95.153.255	ES
195.95.154.0	195.95.154.255	PL
195.95.155.0	195.95.155.255	RU
195.95.156.0	195.95.156.255	FR
195.95.157.0	195.95.157.255	UA
195.95.158.0	195.95.158.255	SI
195.95.159.0	195.95.159.255	UA
195.95.160.0	195.95.160.255	TR
195.95.161.0	195.95.161.255	SI
195.95.162.0	195.95.162.255	UA
195.95.163.0	195.95.163.255	AT
195.95.164.0	195.95.164.255	PL
195.95.165.0	195.95.165.255	UA
195.95.166.0	195.95.167.255	RO
195.95.168.0	195.95.168.255	FR
195.95.169.0	195.95.170.255	PL
195.95.171.0	195.95.171.255	UA
195.95.172.0	195.95.172.255	DK
195.95.173.0	195.95.173.255	SI
195.95.174.0	195.95.175.255	NL
195.95.176.0	195.95.176.255	AT
195.95.177.0	195.95.177.255	NL
195.95.178.0	195.95.178.255	RO
195.95.179.0	195.95.179.255	TR
195.95.180.0	195.95.180.255	RO
195.95.181.0	195.95.181.255	DK
195.95.182.0	195.95.182.255	PL
195.95.183.0	195.95.183.255	IL
195.95.184.0	195.95.184.255	SE
195.95.185.0	195.95.185.255	UA
195.95.186.0	195.95.186.255	PL
195.95.187.0	195.95.187.255	GB
195.95.188.0	195.95.188.255	PL
195.95.189.0	195.95.189.255	UA
195.95.190.0	195.95.191.255	IE
195.95.192.0	195.95.195.255	EU
195.95.196.0	195.95.197.255	BE
195.95.198.0	195.95.199.255	NL
195.95.200.0	195.95.201.255	RU
195.95.202.0	195.95.203.255	UA
195.95.204.0	195.95.205.255	SK
195.95.206.0	195.95.207.255	UA
195.95.208.0	195.95.209.255	FI
195.95.210.0	195.95.211.255	UA
195.95.212.0	195.95.217.255	RU
195.95.218.0	195.95.219.255	BY
195.95.220.0	195.95.221.255	DE
195.95.222.0	195.95.223.255	UA
195.95.224.0	195.95.225.255	FR
195.95.226.0	195.95.227.255	GR
195.95.228.0	195.95.229.255	RO
195.95.232.0	195.95.233.255	UA
195.95.234.0	195.95.235.255	PL
195.95.236.0	195.95.237.255	PT
195.95.238.0	195.95.243.255	DK
195.95.244.0	195.95.249.255	NL
195.95.250.0	195.95.251.255	DK
195.95.252.0	195.95.253.255	RU
195.95.254.0	195.95.255.255	RO
195.96.0.0	195.96.31.255	AT
195.96.32.0	195.96.63.255	DE
195.96.64.0	195.96.95.255	RU
195.96.96.0	195.96.127.255	NL
195.96.128.0	195.96.139.15	IT
195.96.139.16	195.96.139.31	IR
195.96.139.32	195.96.143.255	IT
195.96.144.0	195.96.145.255	LB
195.96.146.0	195.96.146.255	IT
195.96.147.0	195.96.149.255	IR
195.96.150.0	195.96.154.255	IT
195.96.155.0	195.96.155.63	LB
195.96.155.64	195.96.159.255	IT
195.96.160.0	195.96.191.255	RU
195.96.192.0	195.96.223.255	IT
195.96.224.0	195.96.255.255	BG
195.97.0.0	195.97.127.255	GR
195.97.128.0	195.97.191.255	DK
195.97.192.0	195.97.255.255	GB
195.98.0.0	195.98.31.255	SK
195.98.32.0	195.98.95.255	RU
195.98.96.0	195.98.127.255	FR
195.98.128.0	195.98.159.255	SK
195.98.160.0	195.98.191.255	RU
195.98.192.0	195.98.223.255	DE
195.98.224.0	195.98.255.255	FR
195.99.0.0	195.99.37.255	GB
195.99.38.0	195.99.39.255	NL
195.99.40.0	195.99.63.255	GB
195.99.64.0	195.99.79.255	NL
195.99.80.0	195.99.88.255	GB
195.99.89.0	195.99.89.255	BE
195.99.90.0	195.99.225.255	GB
195.99.226.0	195.99.226.255	FR
195.99.227.0	195.99.255.255	GB
195.100.0.0	195.100.0.31	SE
195.100.0.32	195.100.0.47	ES
195.100.0.48	195.100.2.7	SE
195.100.2.8	195.100.2.15	ES
195.100.2.16	195.100.15.255	SE
195.100.16.0	195.100.16.255	ES
195.100.17.0	195.100.17.255	SE
195.100.18.0	195.100.22.255	ES
195.100.23.0	195.100.23.255	SE
195.100.24.0	195.100.29.159	ES
195.100.29.160	195.100.35.255	SE
195.100.36.0	195.100.36.7	DE
195.100.36.8	195.100.36.31	SE
195.100.36.32	195.100.36.39	NO
195.100.36.40	195.100.36.215	SE
195.100.36.216	195.100.36.223	DE
195.100.36.224	195.100.198.223	SE
195.100.198.224	195.100.198.239	DE
195.100.198.240	195.100.224.47	SE
195.100.224.48	195.100.224.55	DK
195.100.224.56	195.100.224.111	SE
195.100.224.112	195.100.224.127	DK
195.100.224.128	195.100.255.255	SE
195.101.0.0	195.101.173.255	FR
195.101.174.0	195.101.174.255	GB
195.101.175.0	195.101.175.31	FR
195.101.175.32	195.101.175.63	GB
195.101.175.64	195.101.219.191	FR
195.101.219.192	195.101.219.255	MC
195.101.220.0	195.101.255.255	FR
195.102.0.0	195.102.255.255	GB
195.103.0.0	195.103.255.255	IT
195.104.0.0	195.107.255.255	GB
195.108.0.0	195.109.172.215	NL
195.109.172.216	195.109.172.223	A2
195.109.172.224	195.109.255.255	NL
195.110.0.0	195.110.1.255	RO
195.110.2.0	195.110.3.255	RU
195.110.4.0	195.110.5.255	RO
195.110.6.0	195.110.7.255	UA
195.110.8.0	195.110.11.255	GB
195.110.12.0	195.110.13.255	FR
195.110.14.0	195.110.15.255	DE
195.110.16.0	195.110.17.255	DK
195.110.18.0	195.110.19.255	DE
195.110.20.0	195.110.21.255	GB
195.110.22.0	195.110.23.255	NL
195.110.24.0	195.110.25.255	BG
195.110.26.0	195.110.27.255	DE
195.110.28.0	195.110.29.255	NO
195.110.30.0	195.110.31.255	GB
195.110.32.0	195.110.33.255	RU
195.110.36.0	195.110.37.255	GB
195.110.38.0	195.110.39.255	IR
195.110.40.0	195.110.41.255	IL
195.110.42.0	195.110.43.255	ES
195.110.44.0	195.110.45.255	SE
195.110.46.0	195.110.47.255	RU
195.110.48.0	195.110.51.255	PL
195.110.52.0	195.110.53.255	RU
195.110.54.0	195.110.55.255	BE
195.110.56.0	195.110.57.255	UA
195.110.58.0	195.110.59.255	LT
195.110.60.0	195.110.61.255	DE
195.110.62.0	195.110.63.255	RU
195.110.64.0	195.110.65.255	GB
195.110.66.0	195.110.66.255	DE
195.110.67.0	195.110.72.191	GB
195.110.72.192	195.110.72.223	US
195.110.72.224	195.110.81.95	GB
195.110.81.96	195.110.81.127	LU
195.110.81.128	195.110.83.239	GB
195.110.83.240	195.110.83.255	FR
195.110.84.0	195.110.85.255	GB
195.110.86.0	195.110.86.127	US
195.110.86.128	195.110.93.47	GB
195.110.93.48	195.110.93.63	US
195.110.93.64	195.110.93.207	GB
195.110.93.208	195.110.93.223	ES
195.110.93.224	195.110.95.255	GB
195.110.96.0	195.110.159.255	IT
195.110.160.0	195.110.191.255	GB
195.110.192.0	195.110.223.255	AT
195.110.224.0	195.110.255.255	FR
195.111.0.0	195.111.132.255	HU
195.111.133.0	195.111.133.255	SK
195.111.134.0	195.111.255.255	HU
195.112.0.0	195.112.63.255	GB
195.112.64.0	195.112.95.255	CH
195.112.96.0	195.112.127.255	RU
195.112.128.0	195.112.159.255	TR
195.112.160.0	195.112.160.7	DE
195.112.160.8	195.112.160.11	DK
195.112.160.12	195.112.160.15	DE
195.112.160.16	195.112.160.19	TR
195.112.160.20	195.112.160.39	DE
195.112.160.40	195.112.160.43	GB
195.112.160.44	195.112.160.47	DE
195.112.160.48	195.112.160.51	ES
195.112.160.52	195.112.160.55	CH
195.112.160.56	195.112.160.59	DE
195.112.160.60	195.112.160.63	NL
195.112.160.64	195.112.160.67	FR
195.112.160.68	195.112.160.71	NL
195.112.160.72	195.112.160.75	DE
195.112.160.76	195.112.160.79	PT
195.112.160.80	195.112.160.83	ES
195.112.160.84	195.112.160.87	NL
195.112.160.88	195.112.160.91	CH
195.112.160.92	195.112.160.95	DE
195.112.160.96	195.112.160.107	IT
195.112.160.108	195.112.160.111	FR
195.112.160.112	195.112.160.115	DE
195.112.160.116	195.112.160.119	FR
195.112.160.120	195.112.160.123	DE
195.112.160.124	195.112.160.127	FR
195.112.160.128	195.112.160.131	LI
195.112.160.132	195.112.160.135	IT
195.112.160.136	195.112.160.139	AT
195.112.160.140	195.112.160.143	GR
195.112.160.144	195.112.160.151	CH
195.112.160.152	195.112.160.155	PL
195.112.160.156	195.112.160.163	FR
195.112.160.164	195.112.160.167	NL
195.112.160.168	195.112.160.171	AT
195.112.160.172	195.112.160.175	FR
195.112.160.176	195.112.160.179	ES
195.112.160.180	195.112.160.187	DE
195.112.160.188	195.112.160.191	ES
195.112.160.192	195.112.160.195	DE
195.112.160.196	195.112.160.199	GB
195.112.160.200	195.112.160.203	DE
195.112.160.204	195.112.160.211	FR
195.112.160.212	195.112.160.223	DE
195.112.160.224	195.112.160.227	CH
195.112.160.228	195.112.160.231	DE
195.112.160.232	195.112.160.235	NL
195.112.160.236	195.112.160.239	FR
195.112.160.240	195.112.160.243	DE
195.112.160.244	195.112.160.247	ES
195.112.160.248	195.112.160.251	DK
195.112.160.252	195.112.160.255	BH
195.112.161.0	195.112.161.7	FR
195.112.161.8	195.112.161.11	DE
195.112.161.12	195.112.161.15	FR
195.112.161.16	195.112.161.19	ZA
195.112.161.20	195.112.161.31	DE
195.112.161.32	195.112.161.35	AT
195.112.161.36	195.112.161.39	GB
195.112.161.40	195.112.161.43	CH
195.112.161.44	195.112.161.47	DE
195.112.161.48	195.112.161.51	CH
195.112.161.52	195.112.161.55	GB
195.112.161.56	195.112.161.59	DE
195.112.161.60	195.112.161.63	FR
195.112.161.64	195.112.161.67	SI
195.112.161.68	195.112.161.71	DE
195.112.161.72	195.112.161.75	IT
195.112.161.76	195.112.161.79	DE
195.112.161.80	195.112.161.83	IT
195.112.161.84	195.112.161.87	GB
195.112.161.88	195.112.161.91	ES
195.112.161.92	195.112.161.95	FR
195.112.161.96	195.112.161.99	DE
195.112.161.100	195.112.161.103	NL
195.112.161.104	195.112.161.111	DE
195.112.161.112	195.112.161.115	CH
195.112.161.116	195.112.161.119	DE
195.112.161.120	195.112.161.123	NL
195.112.161.124	195.112.161.127	ES
195.112.161.128	195.112.161.131	NL
195.112.161.132	195.112.161.135	DE
195.112.161.136	195.112.161.139	SE
195.112.161.140	195.112.161.143	IT
195.112.161.144	195.112.161.147	DE
195.112.161.148	195.112.161.155	NL
195.112.161.156	195.112.161.159	FR
195.112.161.160	195.112.161.163	NO
195.112.161.164	195.112.161.167	DK
195.112.161.168	195.112.161.187	DE
195.112.161.188	195.112.161.191	HU
195.112.161.192	195.112.161.195	CY
195.112.161.196	195.112.161.199	FR
195.112.161.200	195.112.161.207	DE
195.112.161.208	195.112.161.211	CZ
195.112.161.212	195.112.161.215	DE
195.112.161.216	195.112.161.219	GB
195.112.161.220	195.112.161.223	CH
195.112.161.224	195.112.161.227	DE
195.112.161.228	195.112.161.231	DK
195.112.161.232	195.112.161.235	DE
195.112.161.236	195.112.161.239	IT
195.112.161.240	195.112.161.243	AT
195.112.161.244	195.112.161.247	NL
195.112.161.248	195.112.161.251	DK
195.112.161.252	195.112.162.3	FR
195.112.162.4	195.112.162.7	DE
195.112.162.8	195.112.162.11	NL
195.112.162.12	195.112.162.15	GB
195.112.162.16	195.112.162.19	DE
195.112.162.20	195.112.162.23	GB
195.112.162.24	195.112.162.35	DE
195.112.162.36	195.112.162.39	CH
195.112.162.40	195.112.162.43	GB
195.112.162.44	195.112.162.47	AT
195.112.162.48	195.112.162.51	IT
195.112.162.52	195.112.162.55	FR
195.112.162.56	195.112.162.59	NO
195.112.162.60	195.112.162.63	DE
195.112.162.64	195.112.162.67	CH
195.112.162.68	195.112.162.71	DE
195.112.162.72	195.112.162.75	IT
195.112.162.76	195.112.162.79	ES
195.112.162.80	195.112.162.83	FR
195.112.162.84	195.112.162.91	DE
195.112.162.92	195.112.162.95	CH
195.112.162.96	195.112.162.99	NL
195.112.162.100	195.112.162.103	BE
195.112.162.104	195.112.162.107	ES
195.112.162.108	195.112.162.111	CH
195.112.162.112	195.112.162.115	IT
195.112.162.116	195.112.162.119	FR
195.112.162.120	195.112.162.127	DE
195.112.162.128	195.112.162.131	CH
195.112.162.132	195.112.162.135	DE
195.112.162.136	195.112.162.139	GB
195.112.162.140	195.112.162.143	FR
195.112.162.144	195.112.162.147	GB
195.112.162.148	195.112.162.151	SE
195.112.162.152	195.112.162.155	GB
195.112.162.156	195.112.162.159	IT
195.112.162.160	195.112.162.163	BE
195.112.162.164	195.112.162.167	ES
195.112.162.168	195.112.162.171	DE
195.112.162.172	195.112.162.175	GR
195.112.162.176	195.112.162.179	DE
195.112.162.180	195.112.162.183	IT
195.112.162.184	195.112.162.191	GB
195.112.162.192	195.112.162.195	ES
195.112.162.196	195.112.162.203	DE
195.112.162.204	195.112.162.207	GB
195.112.162.208	195.112.162.211	IT
195.112.162.212	195.112.162.215	FR
195.112.162.216	195.112.162.219	DE
195.112.162.220	195.112.162.223	HU
195.112.162.224	195.112.162.227	CH
195.112.162.228	195.112.162.231	DE
195.112.162.232	195.112.162.235	PT
195.112.162.236	195.112.162.239	DE
195.112.162.240	195.112.162.247	IT
195.112.162.248	195.112.162.251	DE
195.112.162.252	195.112.162.255	NL
195.112.163.0	195.112.163.7	FR
195.112.163.8	195.112.163.11	ES
195.112.163.12	195.112.163.15	DE
195.112.163.16	195.112.163.23	FR
195.112.163.24	195.112.163.31	GB
195.112.163.32	195.112.163.39	DE
195.112.163.40	195.112.163.43	SK
195.112.163.44	195.112.163.47	DE
195.112.163.48	195.112.163.55	GB
195.112.163.56	195.112.163.59	CH
195.112.163.60	195.112.163.63	GR
195.112.163.64	195.112.163.67	IT
195.112.163.68	195.112.163.71	DE
195.112.163.72	195.112.163.75	FR
195.112.163.76	195.112.163.79	GB
195.112.163.80	195.112.163.87	DE
195.112.163.88	195.112.163.91	BE
195.112.163.92	195.112.163.95	DE
195.112.163.96	195.112.163.99	NL
195.112.163.100	195.112.163.107	FR
195.112.163.108	195.112.163.111	AT
195.112.163.112	195.112.163.115	FR
195.112.163.116	195.112.163.119	DE
195.112.163.120	195.112.163.123	ES
195.112.163.124	195.112.163.127	NL
195.112.163.128	195.112.163.131	IE
195.112.163.132	195.112.163.135	RU
195.112.163.136	195.112.163.139	ES
195.112.163.140	195.112.163.143	NL
195.112.163.144	195.112.163.147	IT
195.112.163.148	195.112.163.151	CY
195.112.163.152	195.112.163.155	DE
195.112.163.156	195.112.163.159	HU
195.112.163.160	195.112.163.167	DE
195.112.163.168	195.112.163.175	FR
195.112.163.176	195.112.163.183	DE
195.112.163.184	195.112.163.187	ES
195.112.163.188	195.112.163.191	IT
195.112.163.192	195.112.163.195	DE
195.112.163.196	195.112.163.199	CH
195.112.163.200	195.112.163.203	DE
195.112.163.204	195.112.163.207	IT
195.112.163.208	195.112.163.211	IS
195.112.163.212	195.112.163.215	DE
195.112.163.216	195.112.163.219	IT
195.112.163.220	195.112.163.223	DE
195.112.163.224	195.112.163.227	CH
195.112.163.228	195.112.163.231	FR
195.112.163.232	195.112.163.235	DE
195.112.163.236	195.112.163.239	NL
195.112.163.240	195.112.163.251	DE
195.112.163.252	195.112.163.255	NL
195.112.164.0	195.112.164.11	US
195.112.164.12	195.112.164.15	AR
195.112.164.16	195.112.164.19	ES
195.112.164.20	195.112.164.47	US
195.112.164.48	195.112.164.51	GU
195.112.164.52	195.112.164.59	US
195.112.164.60	195.112.164.63	CL
195.112.164.64	195.112.164.123	US
195.112.164.124	195.112.164.127	BR
195.112.164.128	195.112.164.135	AR
195.112.164.136	195.112.164.143	US
195.112.164.144	195.112.164.147	CO
195.112.164.148	195.112.164.155	US
195.112.164.156	195.112.164.159	AR
195.112.164.160	195.112.164.171	US
195.112.164.172	195.112.164.175	MX
195.112.164.176	195.112.164.179	US
195.112.164.180	195.112.164.183	AR
195.112.164.184	195.112.164.187	US
195.112.164.188	195.112.164.191	CA
195.112.164.192	195.112.164.195	US
195.112.164.196	195.112.164.199	BR
195.112.164.200	195.112.164.203	CA
195.112.164.204	195.112.164.215	US
195.112.164.216	195.112.164.219	BR
195.112.164.220	195.112.164.243	US
195.112.164.244	195.112.164.247	BR
195.112.164.248	195.112.164.255	US
195.112.165.0	195.112.165.3	DE
195.112.165.4	195.112.165.7	GB
195.112.165.8	195.112.165.11	DE
195.112.165.12	195.112.165.15	CH
195.112.165.16	195.112.165.23	DE
195.112.165.24	195.112.165.27	ZW
195.112.165.28	195.112.165.31	IE
195.112.165.32	195.112.165.35	GB
195.112.165.36	195.112.165.47	DE
195.112.165.48	195.112.165.51	IT
195.112.165.52	195.112.165.55	DE
195.112.165.56	195.112.165.59	PL
195.112.165.60	195.112.165.67	DE
195.112.165.68	195.112.165.71	DK
195.112.165.72	195.112.165.75	CY
195.112.165.76	195.112.165.79	DE
195.112.165.80	195.112.165.83	PL
195.112.165.84	195.112.165.87	BE
195.112.165.88	195.112.165.91	IT
195.112.165.92	195.112.165.99	NL
195.112.165.100	195.112.165.103	DE
195.112.165.104	195.112.165.107	CH
195.112.165.108	195.112.165.111	ES
195.112.165.112	195.112.165.119	DE
195.112.165.120	195.112.165.123	LU
195.112.165.124	195.112.165.131	NL
195.112.165.132	195.112.165.135	LU
195.112.165.136	195.112.165.139	FR
195.112.165.140	195.112.165.143	DE
195.112.165.144	195.112.165.147	BE
195.112.165.148	195.112.165.163	DE
195.112.165.164	195.112.165.167	IT
195.112.165.168	195.112.165.171	DE
195.112.165.172	195.112.165.175	FR
195.112.165.176	195.112.165.179	PT
195.112.165.180	195.112.165.183	ES
195.112.165.184	195.112.165.187	DE
195.112.165.188	195.112.165.191	NL
195.112.165.192	195.112.165.195	IT
195.112.165.196	195.112.165.199	LU
195.112.165.200	195.112.165.203	AO
195.112.165.204	195.112.165.207	NL
195.112.165.208	195.112.165.211	GB
195.112.165.212	195.112.165.215	DE
195.112.165.216	195.112.165.219	DK
195.112.165.220	195.112.165.223	FR
195.112.165.224	195.112.165.239	DE
195.112.165.240	195.112.165.243	GB
195.112.165.244	195.112.165.247	DK
195.112.165.248	195.112.165.251	DE
195.112.165.252	195.112.165.255	UA
195.112.166.0	195.112.166.3	FR
195.112.166.4	195.112.166.7	DE
195.112.166.8	195.112.166.11	FR
195.112.166.12	195.112.166.15	TR
195.112.166.16	195.112.166.19	IT
195.112.166.20	195.112.166.23	GB
195.112.166.24	195.112.166.31	FR
195.112.166.32	195.112.166.35	GR
195.112.166.36	195.112.166.39	FR
195.112.166.40	195.112.166.43	DE
195.112.166.44	195.112.166.47	FR
195.112.166.48	195.112.166.51	GR
195.112.166.52	195.112.166.55	TR
195.112.166.56	195.112.166.59	KE
195.112.166.60	195.112.166.63	TR
195.112.166.64	195.112.166.67	CY
195.112.166.68	195.112.166.75	TR
195.112.166.76	195.112.166.79	MC
195.112.166.80	195.112.166.83	TR
195.112.166.84	195.112.166.87	AT
195.112.166.88	195.112.166.91	RU
195.112.166.92	195.112.166.95	HU
195.112.166.96	195.112.166.99	GB
195.112.166.100	195.112.166.103	ES
195.112.166.104	195.112.166.107	GR
195.112.166.108	195.112.166.111	AO
195.112.166.112	195.112.166.115	FR
195.112.166.116	195.112.166.119	GR
195.112.166.120	195.112.166.123	ES
195.112.166.124	195.112.166.127	IT
195.112.166.128	195.112.166.131	GR
195.112.166.132	195.112.166.135	FR
195.112.166.136	195.112.166.139	BE
195.112.166.140	195.112.166.143	DE
195.112.166.144	195.112.166.155	ES
195.112.166.156	195.112.166.159	GB
195.112.166.160	195.112.166.167	DE
195.112.166.168	195.112.166.171	NL
195.112.166.172	195.112.166.175	DE
195.112.166.176	195.112.166.179	HU
195.112.166.180	195.112.166.187	DE
195.112.166.188	195.112.166.191	FR
195.112.166.192	195.112.166.195	IT
195.112.166.196	195.112.166.199	BE
195.112.166.200	195.112.166.203	CH
195.112.166.204	195.112.166.207	DE
195.112.166.208	195.112.166.211	FR
195.112.166.212	195.112.166.215	GB
195.112.166.216	195.112.166.219	IT
195.112.166.220	195.112.166.223	CH
195.112.166.224	195.112.166.227	ES
195.112.166.228	195.112.166.231	IT
195.112.166.232	195.112.166.235	ES
195.112.166.236	195.112.166.239	DE
195.112.166.240	195.112.166.243	PL
195.112.166.244	195.112.166.251	ES
195.112.166.252	195.112.166.255	IT
195.112.167.0	195.112.167.3	HK
195.112.167.4	195.112.167.7	MY
195.112.167.8	195.112.167.11	TH
195.112.167.12	195.112.167.19	SG
195.112.167.20	195.112.167.23	CN
195.112.167.24	195.112.167.27	SG
195.112.167.28	195.112.167.31	IN
195.112.167.32	195.112.167.35	MY
195.112.167.36	195.112.167.39	SG
195.112.167.40	195.112.167.43	TW
195.112.167.44	195.112.167.47	SG
195.112.167.48	195.112.167.51	MY
195.112.167.52	195.112.167.55	SG
195.112.167.56	195.112.167.59	CN
195.112.167.60	195.112.167.63	MY
195.112.167.64	195.112.167.67	TW
195.112.167.68	195.112.167.75	MY
195.112.167.76	195.112.167.79	TH
195.112.167.80	195.112.167.83	DE
195.112.167.84	195.112.167.87	CN
195.112.167.88	195.112.167.91	SG
195.112.167.92	195.112.167.95	MY
195.112.167.96	195.112.167.107	SG
195.112.167.108	195.112.167.111	ID
195.112.167.112	195.112.167.155	SG
195.112.167.156	195.112.167.163	CN
195.112.167.164	195.112.167.167	TW
195.112.167.168	195.112.167.179	SG
195.112.167.180	195.112.167.187	MY
195.112.167.188	195.112.167.191	SG
195.112.167.192	195.112.167.195	IN
195.112.167.196	195.112.167.199	SG
195.112.167.200	195.112.167.203	MY
195.112.167.204	195.112.167.223	SG
195.112.167.224	195.112.167.227	TW
195.112.167.228	195.112.167.231	BD
195.112.167.232	195.112.167.235	SG
195.112.167.236	195.112.167.239	IN
195.112.167.240	195.112.167.247	MY
195.112.167.248	195.112.167.251	IN
195.112.167.252	195.112.167.255	PH
195.112.168.0	195.112.168.3	GR
195.112.168.4	195.112.168.7	CH
195.112.168.8	195.112.168.11	DK
195.112.168.12	195.112.168.15	FR
195.112.168.16	195.112.168.19	GB
195.112.168.20	195.112.168.23	CH
195.112.168.24	195.112.168.27	DE
195.112.168.28	195.112.168.35	GB
195.112.168.36	195.112.168.51	DE
195.112.168.52	195.112.168.55	PT
195.112.168.56	195.112.168.59	NL
195.112.168.60	195.112.168.63	GB
195.112.168.64	195.112.168.67	CH
195.112.168.68	195.112.168.71	DE
195.112.168.72	195.112.168.75	CH
195.112.168.76	195.112.168.79	ES
195.112.168.80	195.112.168.83	CY
195.112.168.84	195.112.168.87	DE
195.112.168.88	195.112.168.91	FR
195.112.168.92	195.112.168.95	IT
195.112.168.96	195.112.168.99	BE
195.112.168.100	195.112.168.103	DE
195.112.168.104	195.112.168.107	ES
195.112.168.108	195.112.168.115	DE
195.112.168.116	195.112.168.119	GB
195.112.168.120	195.112.168.123	CH
195.112.168.124	195.112.168.131	NL
195.112.168.132	195.112.168.135	DE
195.112.168.136	195.112.168.139	IT
195.112.168.140	195.112.168.143	FR
195.112.168.144	195.112.168.147	DE
195.112.168.148	195.112.168.151	CH
195.112.168.152	195.112.168.155	IT
195.112.168.156	195.112.168.159	DE
195.112.168.160	195.112.168.163	NL
195.112.168.164	195.112.168.167	ES
195.112.168.168	195.112.168.175	DE
195.112.168.176	195.112.168.179	NL
195.112.168.180	195.112.168.187	DE
195.112.168.188	195.112.168.195	GB
195.112.168.196	195.112.168.199	NL
195.112.168.200	195.112.168.203	GR
195.112.168.204	195.112.168.207	IT
195.112.168.208	195.112.168.211	FR
195.112.168.212	195.112.168.215	GB
195.112.168.216	195.112.168.219	PT
195.112.168.220	195.112.168.223	FR
195.112.168.224	195.112.168.227	NL
195.112.168.228	195.112.168.231	IE
195.112.168.232	195.112.168.235	FR
195.112.168.236	195.112.168.239	NL
195.112.168.240	195.112.168.243	DE
195.112.168.244	195.112.168.247	FR
195.112.168.248	195.112.168.251	IT
195.112.168.252	195.112.168.252	CH
195.112.168.253	195.112.168.255	DE
195.112.169.0	195.112.169.3	BE
195.112.169.4	195.112.169.7	DE
195.112.169.8	195.112.169.11	CH
195.112.169.12	195.112.169.15	DE
195.112.169.16	195.112.169.27	CH
195.112.169.28	195.112.169.31	DE
195.112.169.32	195.112.169.35	GB
195.112.169.36	195.112.169.39	DE
195.112.169.40	195.112.169.43	GB
195.112.169.44	195.112.169.47	DE
195.112.169.48	195.112.169.51	FR
195.112.169.52	195.112.169.55	DE
195.112.169.56	195.112.169.59	ES
195.112.169.60	195.112.169.63	FR
195.112.169.64	195.112.169.67	CH
195.112.169.68	195.112.169.71	FR
195.112.169.72	195.112.169.75	ES
195.112.169.76	195.112.169.79	IT
195.112.169.80	195.112.169.83	NL
195.112.169.84	195.112.169.87	FR
195.112.169.88	195.112.169.91	DK
195.112.169.92	195.112.169.95	FR
195.112.169.96	195.112.169.99	DE
195.112.169.100	195.112.169.107	CH
195.112.169.108	195.112.169.115	ES
195.112.169.116	195.112.169.119	DE
195.112.169.120	195.112.169.123	CH
195.112.169.124	195.112.169.127	ES
195.112.169.128	195.112.169.135	DE
195.112.169.136	195.112.169.139	GB
195.112.169.140	195.112.169.143	DE
195.112.169.144	195.112.169.147	AT
195.112.169.148	195.112.169.155	FR
195.112.169.156	195.112.169.163	CH
195.112.169.164	195.112.169.171	DE
195.112.169.172	195.112.169.175	IT
195.112.169.176	195.112.169.179	FR
195.112.169.180	195.112.169.183	BE
195.112.169.184	195.112.169.187	DE
195.112.169.188	195.112.169.191	FR
195.112.169.192	195.112.169.195	ES
195.112.169.196	195.112.169.199	PT
195.112.169.200	195.112.169.203	IT
195.112.169.204	195.112.169.207	DE
195.112.169.208	195.112.169.215	IT
195.112.169.216	195.112.169.219	GB
195.112.169.220	195.112.169.223	BE
195.112.169.224	195.112.169.227	CH
195.112.169.228	195.112.169.231	IT
195.112.169.232	195.112.169.235	DE
195.112.169.236	195.112.169.239	FR
195.112.169.240	195.112.169.247	IT
195.112.169.248	195.112.169.255	FR
195.112.170.0	195.112.170.7	DE
195.112.170.8	195.112.170.11	CH
195.112.170.12	195.112.170.19	NL
195.112.170.20	195.112.170.23	SE
195.112.170.24	195.112.170.35	DE
195.112.170.36	195.112.170.39	ES
195.112.170.40	195.112.170.43	BE
195.112.170.44	195.112.170.51	ES
195.112.170.52	195.112.170.55	FR
195.112.170.56	195.112.170.59	DE
195.112.170.60	195.112.170.67	FR
195.112.170.68	195.112.170.71	GB
195.112.170.72	195.112.170.75	ES
195.112.170.76	195.112.170.79	DE
195.112.170.80	195.112.170.87	FR
195.112.170.88	195.112.170.91	NL
195.112.170.92	195.112.170.95	DE
195.112.170.96	195.112.170.99	GB
195.112.170.100	195.112.170.111	DE
195.112.170.112	195.112.170.115	CH
195.112.170.116	195.112.170.119	GB
195.112.170.120	195.112.170.123	NL
195.112.170.124	195.112.170.131	DE
195.112.170.132	195.112.170.135	DK
195.112.170.136	195.112.170.143	DE
195.112.170.144	195.112.170.147	IT
195.112.170.148	195.112.170.151	GB
195.112.170.152	195.112.170.155	IT
195.112.170.156	195.112.170.159	DE
195.112.170.160	195.112.170.163	CH
195.112.170.164	195.112.170.167	IT
195.112.170.168	195.112.170.175	DE
195.112.170.176	195.112.170.179	CH
195.112.170.180	195.112.170.183	DE
195.112.170.184	195.112.170.187	PT
195.112.170.188	195.112.170.191	NL
195.112.170.192	195.112.170.195	CH
195.112.170.196	195.112.170.199	GB
195.112.170.200	195.112.170.203	DE
195.112.170.204	195.112.170.207	IT
195.112.170.208	195.112.170.211	CH
195.112.170.212	195.112.170.215	ES
195.112.170.216	195.112.170.219	BE
195.112.170.220	195.112.170.223	DE
195.112.170.224	195.112.170.227	IT
195.112.170.228	195.112.170.231	FR
195.112.170.232	195.112.170.239	ES
195.112.170.240	195.112.170.243	IT
195.112.170.244	195.112.170.247	DE
195.112.170.248	195.112.170.251	PT
195.112.170.252	195.112.171.3	DE
195.112.171.4	195.112.171.7	NL
195.112.171.8	195.112.171.11	ES
195.112.171.12	195.112.171.15	FR
195.112.171.16	195.112.171.19	NL
195.112.171.20	195.112.171.23	FR
195.112.171.24	195.112.171.27	IT
195.112.171.28	195.112.171.31	DK
195.112.171.32	195.112.171.35	FR
195.112.171.36	195.112.171.39	IT
195.112.171.40	195.112.171.43	FR
195.112.171.44	195.112.171.55	DE
195.112.171.56	195.112.171.59	IT
195.112.171.60	195.112.171.63	NL
195.112.171.64	195.112.171.67	PT
195.112.171.68	195.112.171.71	DE
195.112.171.72	195.112.171.75	NL
195.112.171.76	195.112.171.79	CH
195.112.171.80	195.112.171.83	ES
195.112.171.84	195.112.171.87	GB
195.112.171.88	195.112.171.95	DE
195.112.171.96	195.112.171.99	IT
195.112.171.100	195.112.171.103	FR
195.112.171.104	195.112.171.107	DE
195.112.171.108	195.112.171.111	IT
195.112.171.112	195.112.171.115	DE
195.112.171.116	195.112.171.119	FR
195.112.171.120	195.112.171.123	ES
195.112.171.124	195.112.171.131	DE
195.112.171.132	195.112.171.135	GB
195.112.171.136	195.112.171.139	IT
195.112.171.140	195.112.171.143	ES
195.112.171.144	195.112.171.147	IT
195.112.171.148	195.112.171.155	DE
195.112.171.156	195.112.171.159	GB
195.112.171.160	195.112.171.163	BE
195.112.171.164	195.112.171.167	DK
195.112.171.168	195.112.171.171	FR
195.112.171.172	195.112.171.179	DE
195.112.171.180	195.112.171.183	DK
195.112.171.184	195.112.171.191	FR
195.112.171.192	195.112.171.199	DE
195.112.171.200	195.112.171.203	BE
195.112.171.204	195.112.171.207	NL
195.112.171.208	195.112.171.211	GB
195.112.171.212	195.112.171.215	DE
195.112.171.216	195.112.171.223	IT
195.112.171.224	195.112.171.227	PT
195.112.171.228	195.112.171.231	SE
195.112.171.232	195.112.171.239	DE
195.112.171.240	195.112.171.243	GB
195.112.171.244	195.112.171.247	AT
195.112.171.248	195.112.171.251	IT
195.112.171.252	195.112.171.255	FR
195.112.172.0	195.112.172.7	US
195.112.172.8	195.112.172.11	BR
195.112.172.12	195.112.172.27	US
195.112.172.28	195.112.172.31	GU
195.112.172.32	195.112.172.35	BR
195.112.172.36	195.112.172.59	US
195.112.172.60	195.112.172.63	CO
195.112.172.64	195.112.172.71	US
195.112.172.72	195.112.172.75	MX
195.112.172.76	195.112.172.95	US
195.112.172.96	195.112.172.99	BR
195.112.172.100	195.112.172.103	AR
195.112.172.104	195.112.172.119	US
195.112.172.120	195.112.172.123	CO
195.112.172.124	195.112.172.135	US
195.112.172.136	195.112.172.139	CA
195.112.172.140	195.112.172.147	US
195.112.172.148	195.112.172.151	BR
195.112.172.152	195.112.172.159	US
195.112.172.160	195.112.172.163	AR
195.112.172.164	195.112.172.187	US
195.112.172.188	195.112.172.191	CA
195.112.172.192	195.112.172.215	US
195.112.172.216	195.112.172.219	VE
195.112.172.220	195.112.172.223	BR
195.112.172.224	195.112.172.235	US
195.112.172.236	195.112.172.239	DE
195.112.172.240	195.112.172.243	CL
195.112.172.244	195.112.172.247	PE
195.112.172.248	195.112.172.255	US
195.112.173.0	195.112.173.3	AR
195.112.173.4	195.112.173.15	US
195.112.173.16	195.112.173.19	JM
195.112.173.20	195.112.173.35	US
195.112.173.36	195.112.173.39	BR
195.112.173.40	195.112.173.51	US
195.112.173.52	195.112.173.55	MX
195.112.173.56	195.112.173.59	US
195.112.173.60	195.112.173.63	CA
195.112.173.64	195.112.173.147	US
195.112.173.148	195.112.173.151	DE
195.112.173.152	195.112.173.155	US
195.112.173.156	195.112.173.159	PE
195.112.173.160	195.112.173.175	US
195.112.173.176	195.112.173.179	CA
195.112.173.180	195.112.173.199	US
195.112.173.200	195.112.173.203	BR
195.112.173.204	195.112.173.211	US
195.112.173.212	195.112.173.215	VE
195.112.173.216	195.112.173.219	US
195.112.173.220	195.112.173.223	BR
195.112.173.224	195.112.173.227	CA
195.112.173.228	195.112.173.231	US
195.112.173.232	195.112.173.235	VE
195.112.173.236	195.112.173.251	US
195.112.173.252	195.112.173.255	MX
195.112.174.0	195.112.174.39	US
195.112.174.40	195.112.174.43	CA
195.112.174.44	195.112.174.47	US
195.112.174.48	195.112.174.51	CA
195.112.174.52	195.112.174.123	US
195.112.174.124	195.112.174.127	CL
195.112.174.128	195.112.174.151	US
195.112.174.152	195.112.174.159	AR
195.112.174.160	195.112.174.195	US
195.112.174.196	195.112.174.199	CA
195.112.174.200	195.112.174.215	US
195.112.174.216	195.112.174.219	MX
195.112.174.220	195.112.174.247	US
195.112.174.248	195.112.174.251	CO
195.112.174.252	195.112.174.255	US
195.112.175.0	195.112.175.3	GB
195.112.175.4	195.112.175.7	FR
195.112.175.8	195.112.175.11	DE
195.112.175.12	195.112.175.19	GB
195.112.175.20	195.112.175.27	DE
195.112.175.28	195.112.175.35	ES
195.112.175.36	195.112.175.43	FR
195.112.175.44	195.112.175.47	ES
195.112.175.48	195.112.175.51	DE
195.112.175.52	195.112.175.59	IT
195.112.175.60	195.112.175.63	DE
195.112.175.64	195.112.175.67	FR
195.112.175.68	195.112.175.71	DE
195.112.175.72	195.112.175.75	FR
195.112.175.76	195.112.175.79	CH
195.112.175.80	195.112.175.83	GR
195.112.175.84	195.112.175.87	CH
195.112.175.88	195.112.175.91	ES
195.112.175.92	195.112.175.95	FR
195.112.175.96	195.112.175.99	DE
195.112.175.100	195.112.175.103	CH
195.112.175.104	195.112.175.107	ES
195.112.175.108	195.112.175.111	DE
195.112.175.112	195.112.175.119	ES
195.112.175.120	195.112.175.123	FR
195.112.175.124	195.112.175.127	DE
195.112.175.128	195.112.175.131	ES
195.112.175.132	195.112.175.135	BE
195.112.175.136	195.112.175.139	ES
195.112.175.140	195.112.175.143	BE
195.112.175.144	195.112.175.147	PL
195.112.175.148	195.112.175.151	GB
195.112.175.152	195.112.175.155	CH
195.112.175.156	195.112.175.159	DE
195.112.175.160	195.112.175.163	FR
195.112.175.164	195.112.175.167	DE
195.112.175.168	195.112.175.171	GB
195.112.175.172	195.112.175.175	AT
195.112.175.176	195.112.175.179	DE
195.112.175.180	195.112.175.183	GB
195.112.175.184	195.112.175.187	UA
195.112.175.188	195.112.175.191	NL
195.112.175.192	195.112.175.195	GB
195.112.175.196	195.112.175.203	DE
195.112.175.204	195.112.175.207	FR
195.112.175.208	195.112.175.211	DE
195.112.175.212	195.112.175.215	IT
195.112.175.216	195.112.175.219	CH
195.112.175.220	195.112.175.223	GB
195.112.175.224	195.112.175.227	DE
195.112.175.228	195.112.175.231	FR
195.112.175.232	195.112.175.235	DK
195.112.175.236	195.112.175.239	IT
195.112.175.240	195.112.175.247	DE
195.112.175.248	195.112.175.251	GB
195.112.175.252	195.112.175.255	CH
195.112.176.0	195.112.176.3	TW
195.112.176.4	195.112.176.19	AU
195.112.176.20	195.112.176.23	NZ
195.112.176.24	195.112.176.35	AU
195.112.176.36	195.112.176.39	NZ
195.112.176.40	195.112.176.47	AU
195.112.176.48	195.112.176.51	NZ
195.112.176.52	195.112.176.63	AU
195.112.176.64	195.112.176.67	NZ
195.112.176.68	195.112.176.83	AU
195.112.176.84	195.112.176.87	NZ
195.112.176.88	195.112.176.91	PG
195.112.176.92	195.112.176.147	AU
195.112.176.148	195.112.176.151	NZ
195.112.176.152	195.112.176.175	AU
195.112.176.176	195.112.176.179	NZ
195.112.176.180	195.112.176.191	AU
195.112.176.192	195.112.176.195	NZ
195.112.176.196	195.112.176.227	AU
195.112.176.228	195.112.176.231	DE
195.112.176.232	195.112.176.235	AU
195.112.176.236	195.112.176.239	NZ
195.112.176.240	195.112.176.247	AU
195.112.176.248	195.112.176.255	DE
195.112.177.0	195.112.177.3	SG
195.112.177.4	195.112.177.7	MY
195.112.177.8	195.112.177.11	IN
195.112.177.12	195.112.177.19	SG
195.112.177.20	195.112.177.23	CN
195.112.177.24	195.112.177.27	IN
195.112.177.28	195.112.177.31	MY
195.112.177.32	195.112.177.35	CN
195.112.177.36	195.112.177.43	MY
195.112.177.44	195.112.177.47	TH
195.112.177.48	195.112.177.51	SG
195.112.177.52	195.112.177.55	PH
195.112.177.56	195.112.177.75	IN
195.112.177.76	195.112.177.79	TW
195.112.177.80	195.112.177.83	PK
195.112.177.84	195.112.177.87	MY
195.112.177.88	195.112.177.91	TW
195.112.177.92	195.112.177.95	IN
195.112.177.96	195.112.177.107	MY
195.112.177.108	195.112.177.111	IN
195.112.177.112	195.112.177.115	MY
195.112.177.116	195.112.177.119	TW
195.112.177.120	195.112.177.123	SG
195.112.177.124	195.112.177.127	CN
195.112.177.128	195.112.177.131	TW
195.112.177.132	195.112.177.135	IN
195.112.177.136	195.112.177.139	SG
195.112.177.140	195.112.177.143	TW
195.112.177.144	195.112.177.147	TH
195.112.177.148	195.112.177.151	PH
195.112.177.152	195.112.177.163	SG
195.112.177.164	195.112.177.171	MY
195.112.177.172	195.112.177.179	SG
195.112.177.180	195.112.177.183	MY
195.112.177.184	195.112.177.187	IN
195.112.177.188	195.112.177.191	MY
195.112.177.192	195.112.177.203	SG
195.112.177.204	195.112.177.207	MY
195.112.177.208	195.112.177.211	SG
195.112.177.212	195.112.177.215	HK
195.112.177.216	195.112.177.219	TW
195.112.177.220	195.112.177.223	DE
195.112.177.224	195.112.177.227	SG
195.112.177.228	195.112.177.231	IN
195.112.177.232	195.112.177.235	SG
195.112.177.236	195.112.177.239	TW
195.112.177.240	195.112.177.243	MY
195.112.177.244	195.112.177.255	SG
195.112.178.0	195.112.178.1	DE
195.112.178.2	195.112.178.2	GB
195.112.178.3	195.112.178.4	DE
195.112.178.5	195.112.178.5	GB
195.112.178.6	195.112.178.6	IT
195.112.178.7	195.112.178.7	DE
195.112.178.8	195.112.178.8	CH
195.112.178.9	195.112.178.10	BE
195.112.178.11	195.112.178.11	DE
195.112.178.12	195.112.178.12	ES
195.112.178.13	195.112.178.13	LU
195.112.178.14	195.112.178.14	GB
195.112.178.15	195.112.178.15	DE
195.112.178.16	195.112.178.16	IT
195.112.178.17	195.112.178.17	GB
195.112.178.18	195.112.178.19	DE
195.112.178.20	195.112.178.20	NL
195.112.178.21	195.112.178.21	GB
195.112.178.22	195.112.178.22	DE
195.112.178.23	195.112.178.23	ES
195.112.178.24	195.112.178.28	DE
195.112.178.29	195.112.178.29	GB
195.112.178.30	195.112.178.30	IT
195.112.178.31	195.112.178.31	FR
195.112.178.32	195.112.178.33	CH
195.112.178.34	195.112.178.34	DE
195.112.178.35	195.112.178.35	GB
195.112.178.36	195.112.178.36	DE
195.112.178.37	195.112.178.37	GB
195.112.178.38	195.112.178.39	IT
195.112.178.40	195.112.178.41	DE
195.112.178.42	195.112.178.42	GB
195.112.178.43	195.112.178.43	NL
195.112.178.44	195.112.178.44	FR
195.112.178.45	195.112.178.45	CH
195.112.178.46	195.112.178.46	PL
195.112.178.47	195.112.178.47	FR
195.112.178.48	195.112.178.48	NO
195.112.178.49	195.112.178.49	GB
195.112.178.50	195.112.178.51	DE
195.112.178.52	195.112.178.52	BE
195.112.178.53	195.112.178.53	DE
195.112.178.54	195.112.178.54	CH
195.112.178.55	195.112.178.55	FR
195.112.178.56	195.112.178.56	DE
195.112.178.57	195.112.178.58	GB
195.112.178.59	195.112.178.59	SE
195.112.178.60	195.112.178.61	DE
195.112.178.62	195.112.178.62	ES
195.112.178.63	195.112.178.64	DE
195.112.178.65	195.112.178.65	GR
195.112.178.66	195.112.178.66	SI
195.112.178.67	195.112.178.67	IT
195.112.178.68	195.112.178.69	DE
195.112.178.70	195.112.178.70	ES
195.112.178.71	195.112.178.71	IT
195.112.178.72	195.112.178.72	US
195.112.178.73	195.112.178.73	CH
195.112.178.74	195.112.178.74	DE
195.112.178.75	195.112.178.75	GB
195.112.178.76	195.112.178.76	IT
195.112.178.77	195.112.178.77	GB
195.112.178.78	195.112.178.78	DE
195.112.178.79	195.112.178.79	IT
195.112.178.80	195.112.178.80	FR
195.112.178.81	195.112.178.81	GB
195.112.178.82	195.112.178.83	DE
195.112.178.84	195.112.178.84	IT
195.112.178.85	195.112.178.85	DE
195.112.178.86	195.112.178.86	BE
195.112.178.87	195.112.178.87	AT
195.112.178.88	195.112.178.89	DE
195.112.178.90	195.112.178.90	ES
195.112.178.91	195.112.178.91	NL
195.112.178.92	195.112.178.93	DE
195.112.178.94	195.112.178.94	CH
195.112.178.95	195.112.178.95	DE
195.112.178.96	195.112.178.96	AT
195.112.178.97	195.112.178.97	FR
195.112.178.98	195.112.178.98	DK
195.112.178.99	195.112.178.99	DE
195.112.178.100	195.112.178.100	IT
195.112.178.101	195.112.178.101	NL
195.112.178.102	195.112.178.104	DE
195.112.178.105	195.112.178.105	NL
195.112.178.106	195.112.178.106	RU
195.112.178.107	195.112.178.107	FR
195.112.178.108	195.112.178.108	ES
195.112.178.109	195.112.178.109	NL
195.112.178.110	195.112.178.110	IT
195.112.178.111	195.112.178.111	CH
195.112.178.112	195.112.178.112	IT
195.112.178.113	195.112.178.113	DE
195.112.178.114	195.112.178.114	NL
195.112.178.115	195.112.178.115	AT
195.112.178.116	195.112.178.117	DE
195.112.178.118	195.112.178.118	ES
195.112.178.119	195.112.178.119	FR
195.112.178.120	195.112.178.121	DE
195.112.178.122	195.112.178.123	IT
195.112.178.124	195.112.178.124	ES
195.112.178.125	195.112.178.130	DE
195.112.178.131	195.112.178.131	HU
195.112.178.132	195.112.178.132	DE
195.112.178.133	195.112.178.133	ES
195.112.178.134	195.112.178.134	GB
195.112.178.135	195.112.178.135	ES
195.112.178.136	195.112.178.136	NO
195.112.178.137	195.112.178.137	DE
195.112.178.138	195.112.178.138	IT
195.112.178.139	195.112.178.139	DE
195.112.178.140	195.112.178.140	IT
195.112.178.141	195.112.178.141	FR
195.112.178.142	195.112.178.143	DE
195.112.178.144	195.112.178.144	ES
195.112.178.145	195.112.178.145	GB
195.112.178.146	195.112.178.147	NL
195.112.178.148	195.112.178.148	DE
195.112.178.149	195.112.178.149	IT
195.112.178.150	195.112.178.150	CH
195.112.178.151	195.112.178.151	IS
195.112.178.152	195.112.178.152	ES
195.112.178.153	195.112.178.153	IT
195.112.178.154	195.112.178.155	DE
195.112.178.156	195.112.178.156	PL
195.112.178.157	195.112.178.157	DE
195.112.178.158	195.112.178.158	NL
195.112.178.159	195.112.178.159	DK
195.112.178.160	195.112.178.161	DE
195.112.178.162	195.112.178.162	CH
195.112.178.163	195.112.178.163	GB
195.112.178.164	195.112.178.164	DE
195.112.178.165	195.112.178.165	NL
195.112.178.166	195.112.178.166	DE
195.112.178.167	195.112.178.167	IT
195.112.178.168	195.112.178.169	DE
195.112.178.170	195.112.178.170	ES
195.112.178.171	195.112.178.174	DE
195.112.178.175	195.112.178.175	NL
195.112.178.176	195.112.178.176	GB
195.112.178.177	195.112.178.177	CH
195.112.178.178	195.112.178.179	NL
195.112.178.180	195.112.178.183	DE
195.112.178.184	195.112.178.184	BE
195.112.178.185	195.112.178.185	IE
195.112.178.186	195.112.178.187	DE
195.112.178.188	195.112.178.188	GB
195.112.178.189	195.112.178.190	DE
195.112.178.191	195.112.178.191	IT
195.112.178.192	195.112.178.193	DE
195.112.178.194	195.112.178.194	CH
195.112.178.195	195.112.178.195	DE
195.112.178.196	195.112.178.196	CH
195.112.178.197	195.112.178.202	DE
195.112.178.203	195.112.178.203	NL
195.112.178.204	195.112.178.204	DE
195.112.178.205	195.112.178.205	GB
195.112.178.206	195.112.178.210	DE
195.112.178.211	195.112.178.211	CH
195.112.178.212	195.112.178.212	NL
195.112.178.213	195.112.178.213	BE
195.112.178.214	195.112.178.214	IT
195.112.178.215	195.112.178.216	NL
195.112.178.217	195.112.178.217	DE
195.112.178.218	195.112.178.218	CH
195.112.178.219	195.112.178.219	ES
195.112.178.220	195.112.178.220	DE
195.112.178.221	195.112.178.221	IT
195.112.178.222	195.112.178.222	DE
195.112.178.223	195.112.178.224	NL
195.112.178.225	195.112.178.226	DE
195.112.178.227	195.112.178.227	BE
195.112.178.228	195.112.178.228	AT
195.112.178.229	195.112.178.229	CH
195.112.178.230	195.112.178.230	DE
195.112.178.231	195.112.178.231	IT
195.112.178.232	195.112.178.233	DE
195.112.178.234	195.112.178.234	AT
195.112.178.235	195.112.178.235	DE
195.112.178.236	195.112.178.236	IT
195.112.178.237	195.112.178.237	DE
195.112.178.238	195.112.178.238	CH
195.112.178.239	195.112.178.239	DE
195.112.178.240	195.112.178.240	FR
195.112.178.241	195.112.178.241	PT
195.112.178.242	195.112.178.243	NL
195.112.178.244	195.112.178.246	DE
195.112.178.247	195.112.178.247	NO
195.112.178.248	195.112.178.248	NL
195.112.178.249	195.112.178.249	AT
195.112.178.250	195.112.178.250	ES
195.112.178.251	195.112.178.252	IT
195.112.178.253	195.112.179.1	DE
195.112.179.2	195.112.179.2	BE
195.112.179.3	195.112.179.3	FR
195.112.179.4	195.112.179.4	IT
195.112.179.5	195.112.179.7	DE
195.112.179.8	195.112.179.8	IT
195.112.179.9	195.112.179.9	ES
195.112.179.10	195.112.179.10	CH
195.112.179.11	195.112.179.11	BE
195.112.179.12	195.112.179.14	CH
195.112.179.15	195.112.179.15	GB
195.112.179.16	195.112.179.16	DE
195.112.179.17	195.112.179.17	GB
195.112.179.18	195.112.179.18	CH
195.112.179.19	195.112.179.21	DE
195.112.179.22	195.112.179.22	CH
195.112.179.23	195.112.179.23	GB
195.112.179.24	195.112.179.26	DE
195.112.179.27	195.112.179.27	CH
195.112.179.28	195.112.179.29	DE
195.112.179.30	195.112.179.30	FR
195.112.179.31	195.112.179.31	DE
195.112.179.32	195.112.179.32	IT
195.112.179.33	195.112.179.33	DE
195.112.179.34	195.112.179.34	NL
195.112.179.35	195.112.179.35	DE
195.112.179.36	195.112.179.36	CZ
195.112.179.37	195.112.179.37	IT
195.112.179.38	195.112.179.38	AT
195.112.179.39	195.112.179.40	ES
195.112.179.41	195.112.179.41	FR
195.112.179.42	195.112.179.42	CH
195.112.179.43	195.112.179.43	DE
195.112.179.44	195.112.179.44	CH
195.112.179.45	195.112.179.45	BE
195.112.179.46	195.112.179.46	ES
195.112.179.47	195.112.179.47	BE
195.112.179.48	195.112.179.48	FR
195.112.179.49	195.112.179.49	DE
195.112.179.50	195.112.179.50	DK
195.112.179.51	195.112.179.51	DE
195.112.179.52	195.112.179.53	GB
195.112.179.54	195.112.179.54	ES
195.112.179.55	195.112.179.55	NL
195.112.179.56	195.112.179.56	FR
195.112.179.57	195.112.179.57	IT
195.112.179.58	195.112.179.58	DE
195.112.179.59	195.112.179.59	ES
195.112.179.60	195.112.179.60	DE
195.112.179.61	195.112.179.61	FR
195.112.179.62	195.112.179.62	DE
195.112.179.63	195.112.179.63	CH
195.112.179.64	195.112.179.64	IT
195.112.179.65	195.112.179.65	DE
195.112.179.66	195.112.179.66	BE
195.112.179.67	195.112.179.67	SI
195.112.179.68	195.112.179.68	FR
195.112.179.69	195.112.179.72	DE
195.112.179.73	195.112.179.73	GB
195.112.179.74	195.112.179.74	IT
195.112.179.75	195.112.179.75	AT
195.112.179.76	195.112.179.77	IT
195.112.179.78	195.112.179.80	DE
195.112.179.81	195.112.179.81	CH
195.112.179.82	195.112.179.82	FR
195.112.179.83	195.112.179.83	CH
195.112.179.84	195.112.179.89	DE
195.112.179.90	195.112.179.90	GB
195.112.179.91	195.112.179.93	DE
195.112.179.94	195.112.179.94	PL
195.112.179.95	195.112.179.96	DE
195.112.179.97	195.112.179.97	AT
195.112.179.98	195.112.179.98	ES
195.112.179.99	195.112.179.100	FR
195.112.179.101	195.112.179.101	DE
195.112.179.102	195.112.179.103	CH
195.112.179.104	195.112.179.104	BE
195.112.179.105	195.112.179.105	FR
195.112.179.106	195.112.179.106	CH
195.112.179.107	195.112.179.108	DE
195.112.179.109	195.112.179.109	NL
195.112.179.110	195.112.179.111	DE
195.112.179.112	195.112.179.112	NL
195.112.179.113	195.112.179.114	DE
195.112.179.115	195.112.179.115	IT
195.112.179.116	195.112.179.116	ES
195.112.179.117	195.112.179.120	DE
195.112.179.121	195.112.179.121	BE
195.112.179.122	195.112.179.122	DE
195.112.179.123	195.112.179.123	AT
195.112.179.124	195.112.179.124	SE
195.112.179.125	195.112.179.125	AT
195.112.179.126	195.112.179.126	ZA
195.112.179.127	195.112.179.129	DE
195.112.179.130	195.112.179.130	FR
195.112.179.131	195.112.179.131	DE
195.112.179.132	195.112.179.132	FR
195.112.179.133	195.112.179.133	IT
195.112.179.134	195.112.179.134	DK
195.112.179.135	195.112.179.135	GB
195.112.179.136	195.112.179.136	PT
195.112.179.137	195.112.179.137	ES
195.112.179.138	195.112.179.138	CH
195.112.179.139	195.112.179.139	PT
195.112.179.140	195.112.179.140	CH
195.112.179.141	195.112.179.141	DE
195.112.179.142	195.112.179.143	IT
195.112.179.144	195.112.179.144	FR
195.112.179.145	195.112.179.145	AT
195.112.179.146	195.112.179.146	GB
195.112.179.147	195.112.179.147	FR
195.112.179.148	195.112.179.148	BE
195.112.179.149	195.112.179.149	CH
195.112.179.150	195.112.179.150	IT
195.112.179.151	195.112.179.151	DE
195.112.179.152	195.112.179.152	GB
195.112.179.153	195.112.179.154	DE
195.112.179.155	195.112.179.155	BE
195.112.179.156	195.112.179.156	FR
195.112.179.157	195.112.179.157	IT
195.112.179.158	195.112.179.159	NL
195.112.179.160	195.112.179.160	FR
195.112.179.161	195.112.179.161	CH
195.112.179.162	195.112.179.162	BE
195.112.179.163	195.112.179.163	IT
195.112.179.164	195.112.179.164	ES
195.112.179.165	195.112.179.165	NL
195.112.179.166	195.112.179.166	FR
195.112.179.167	195.112.179.167	ES
195.112.179.168	195.112.179.169	DE
195.112.179.170	195.112.179.170	CH
195.112.179.171	195.112.179.171	NL
195.112.179.172	195.112.179.172	FR
195.112.179.173	195.112.179.173	BE
195.112.179.174	195.112.179.174	DE
195.112.179.175	195.112.179.175	NL
195.112.179.176	195.112.179.177	DE
195.112.179.178	195.112.179.178	SE
195.112.179.179	195.112.179.183	DE
195.112.179.184	195.112.179.184	ES
195.112.179.185	195.112.179.185	BE
195.112.179.186	195.112.179.186	ES
195.112.179.187	195.112.179.187	DE
195.112.179.188	195.112.179.188	NL
195.112.179.189	195.112.179.189	SE
195.112.179.190	195.112.179.192	DE
195.112.179.193	195.112.179.193	BE
195.112.179.194	195.112.179.196	FR
195.112.179.197	195.112.179.197	NL
195.112.179.198	195.112.179.198	DE
195.112.179.199	195.112.179.201	ES
195.112.179.202	195.112.179.202	DE
195.112.179.203	195.112.179.203	CH
195.112.179.204	195.112.179.205	DE
195.112.179.206	195.112.179.206	SE
195.112.179.207	195.112.179.207	FR
195.112.179.208	195.112.179.208	DE
195.112.179.209	195.112.179.209	BE
195.112.179.210	195.112.179.210	NL
195.112.179.211	195.112.179.211	DE
195.112.179.212	195.112.179.212	GB
195.112.179.213	195.112.179.215	DE
195.112.179.216	195.112.179.216	LU
195.112.179.217	195.112.179.217	DE
195.112.179.218	195.112.179.218	IT
195.112.179.219	195.112.179.219	DE
195.112.179.220	195.112.179.220	CH
195.112.179.221	195.112.179.221	NL
195.112.179.222	195.112.179.222	GR
195.112.179.223	195.112.179.223	GB
195.112.179.224	195.112.179.224	DE
195.112.179.225	195.112.179.226	CH
195.112.179.227	195.112.179.227	SE
195.112.179.228	195.112.179.230	DE
195.112.179.231	195.112.179.231	IT
195.112.179.232	195.112.179.232	GB
195.112.179.233	195.112.179.233	ES
195.112.179.234	195.112.179.236	IT
195.112.179.237	195.112.179.237	DE
195.112.179.238	195.112.179.238	IT
195.112.179.239	195.112.179.239	GB
195.112.179.240	195.112.179.240	CH
195.112.179.241	195.112.179.241	GB
195.112.179.242	195.112.179.242	IT
195.112.179.243	195.112.179.244	DE
195.112.179.245	195.112.179.245	CH
195.112.179.246	195.112.179.246	DE
195.112.179.247	195.112.179.247	NL
195.112.179.248	195.112.179.249	DE
195.112.179.250	195.112.179.250	FR
195.112.179.251	195.112.179.251	GB
195.112.179.252	195.112.179.252	ES
195.112.179.253	195.112.180.3	DE
195.112.180.4	195.112.180.4	ES
195.112.180.5	195.112.180.5	FR
195.112.180.6	195.112.180.7	DE
195.112.180.8	195.112.180.8	NL
195.112.180.9	195.112.180.10	DE
195.112.180.11	195.112.180.11	ES
195.112.180.12	195.112.180.12	FR
195.112.180.13	195.112.180.13	DE
195.112.180.14	195.112.180.14	NL
195.112.180.15	195.112.180.15	CH
195.112.180.16	195.112.180.16	DE
195.112.180.17	195.112.180.17	ES
195.112.180.18	195.112.180.19	FR
195.112.180.20	195.112.180.20	IT
195.112.180.21	195.112.180.21	DE
195.112.180.22	195.112.180.22	DK
195.112.180.23	195.112.180.23	DE
195.112.180.24	195.112.180.24	FR
195.112.180.25	195.112.180.25	IT
195.112.180.26	195.112.180.28	DE
195.112.180.29	195.112.180.29	ES
195.112.180.30	195.112.180.30	NL
195.112.180.31	195.112.180.31	FR
195.112.180.32	195.112.180.33	DE
195.112.180.34	195.112.180.34	FR
195.112.180.35	195.112.180.35	NL
195.112.180.36	195.112.180.36	DE
195.112.180.37	195.112.180.38	CH
195.112.180.39	195.112.180.39	ES
195.112.180.40	195.112.180.42	DE
195.112.180.43	195.112.180.43	IT
195.112.180.44	195.112.180.45	DE
195.112.180.46	195.112.180.46	GB
195.112.180.47	195.112.180.47	DE
195.112.180.48	195.112.180.48	FR
195.112.180.49	195.112.180.49	IT
195.112.180.50	195.112.180.51	DE
195.112.180.52	195.112.180.52	IT
195.112.180.53	195.112.180.55	DE
195.112.180.56	195.112.180.56	FR
195.112.180.57	195.112.180.57	DE
195.112.180.58	195.112.180.58	IT
195.112.180.59	195.112.180.60	DE
195.112.180.61	195.112.180.61	GB
195.112.180.62	195.112.180.62	IT
195.112.180.63	195.112.180.64	ES
195.112.180.65	195.112.180.65	IT
195.112.180.66	195.112.180.66	PT
195.112.180.67	195.112.180.67	DK
195.112.180.68	195.112.180.68	GB
195.112.180.69	195.112.180.69	CH
195.112.180.70	195.112.180.70	BE
195.112.180.71	195.112.180.71	DK
195.112.180.72	195.112.180.72	FR
195.112.180.73	195.112.180.73	LU
195.112.180.74	195.112.180.74	AT
195.112.180.75	195.112.180.76	DE
195.112.180.77	195.112.180.77	PT
195.112.180.78	195.112.180.78	ES
195.112.180.79	195.112.180.79	BE
195.112.180.80	195.112.180.82	DE
195.112.180.83	195.112.180.84	FR
195.112.180.85	195.112.180.86	DE
195.112.180.87	195.112.180.87	NL
195.112.180.88	195.112.180.88	BE
195.112.180.89	195.112.180.89	DE
195.112.180.90	195.112.180.90	NL
195.112.180.91	195.112.180.91	FR
195.112.180.92	195.112.180.92	GB
195.112.180.93	195.112.180.94	DE
195.112.180.95	195.112.180.96	IT
195.112.180.97	195.112.180.97	PT
195.112.180.98	195.112.180.98	ES
195.112.180.99	195.112.180.99	PL
195.112.180.100	195.112.180.101	DE
195.112.180.102	195.112.180.102	FR
195.112.180.103	195.112.180.103	AT
195.112.180.104	195.112.180.105	IT
195.112.180.106	195.112.180.106	DE
195.112.180.107	195.112.180.107	PT
195.112.180.108	195.112.180.108	ES
195.112.180.109	195.112.180.109	CH
195.112.180.110	195.112.180.111	DE
195.112.180.112	195.112.180.112	GB
195.112.180.113	195.112.180.113	DE
195.112.180.114	195.112.180.114	FR
195.112.180.115	195.112.180.115	DE
195.112.180.116	195.112.180.117	GB
195.112.180.118	195.112.180.119	DE
195.112.180.120	195.112.180.120	NL
195.112.180.121	195.112.180.121	DE
195.112.180.122	195.112.180.123	ES
195.112.180.124	195.112.180.124	FR
195.112.180.125	195.112.180.125	ES
195.112.180.126	195.112.180.126	FR
195.112.180.127	195.112.180.127	ES
195.112.180.128	195.112.180.128	CH
195.112.180.129	195.112.180.129	DE
195.112.180.130	195.112.180.130	IT
195.112.180.131	195.112.180.131	DE
195.112.180.132	195.112.180.132	IT
195.112.180.133	195.112.180.134	DE
195.112.180.135	195.112.180.135	FR
195.112.180.136	195.112.180.137	DE
195.112.180.138	195.112.180.138	FR
195.112.180.139	195.112.180.139	DE
195.112.180.140	195.112.180.140	CH
195.112.180.141	195.112.180.142	GR
195.112.180.143	195.112.180.143	ES
195.112.180.144	195.112.180.144	NO
195.112.180.145	195.112.180.145	IT
195.112.180.146	195.112.180.146	DE
195.112.180.147	195.112.180.147	CH
195.112.180.148	195.112.180.148	ES
195.112.180.149	195.112.180.149	GB
195.112.180.150	195.112.180.150	ES
195.112.180.151	195.112.180.151	PL
195.112.180.152	195.112.180.152	IT
195.112.180.153	195.112.180.153	DE
195.112.180.154	195.112.180.155	FR
195.112.180.156	195.112.180.156	ES
195.112.180.157	195.112.180.157	BE
195.112.180.158	195.112.180.158	ES
195.112.180.159	195.112.180.159	DE
195.112.180.160	195.112.180.160	PL
195.112.180.161	195.112.180.161	CH
195.112.180.162	195.112.180.162	FR
195.112.180.163	195.112.180.163	IT
195.112.180.164	195.112.180.164	NL
195.112.180.165	195.112.180.167	DE
195.112.180.168	195.112.180.168	FR
195.112.180.169	195.112.180.169	DE
195.112.180.170	195.112.180.170	FR
195.112.180.171	195.112.180.171	GB
195.112.180.172	195.112.180.172	DE
195.112.180.173	195.112.180.173	GB
195.112.180.174	195.112.180.174	AT
195.112.180.175	195.112.180.175	DE
195.112.180.176	195.112.180.176	FR
195.112.180.177	195.112.180.177	IT
195.112.180.178	195.112.180.178	NL
195.112.180.179	195.112.180.179	ES
195.112.180.180	195.112.180.180	GB
195.112.180.181	195.112.180.181	NL
195.112.180.182	195.112.180.182	ES
195.112.180.183	195.112.180.183	UA
195.112.180.184	195.112.180.184	NL
195.112.180.185	195.112.180.185	DE
195.112.180.186	195.112.180.186	GB
195.112.180.187	195.112.180.187	ES
195.112.180.188	195.112.180.188	BE
195.112.180.189	195.112.180.190	DE
195.112.180.191	195.112.180.191	IT
195.112.180.192	195.112.180.192	DE
195.112.180.193	195.112.180.193	GB
195.112.180.194	195.112.180.194	DE
195.112.180.195	195.112.180.195	AT
195.112.180.196	195.112.180.196	DE
195.112.180.197	195.112.180.198	IT
195.112.180.199	195.112.180.199	CH
195.112.180.200	195.112.180.200	DE
195.112.180.201	195.112.180.201	GB
195.112.180.202	195.112.180.203	DE
195.112.180.204	195.112.180.204	ES
195.112.180.205	195.112.180.205	FR
195.112.180.206	195.112.180.206	DE
195.112.180.207	195.112.180.207	SE
195.112.180.208	195.112.180.208	DK
195.112.180.209	195.112.180.209	IT
195.112.180.210	195.112.180.210	FR
195.112.180.211	195.112.180.211	DE
195.112.180.212	195.112.180.212	GB
195.112.180.213	195.112.180.213	DE
195.112.180.214	195.112.180.214	CH
195.112.180.215	195.112.180.215	DE
195.112.180.216	195.112.180.216	FR
195.112.180.217	195.112.180.217	DE
195.112.180.218	195.112.180.218	CH
195.112.180.219	195.112.180.219	AT
195.112.180.220	195.112.180.220	DE
195.112.180.221	195.112.180.221	PT
195.112.180.222	195.112.180.223	DE
195.112.180.224	195.112.180.224	IT
195.112.180.225	195.112.180.225	GB
195.112.180.226	195.112.180.227	DE
195.112.180.228	195.112.180.228	FR
195.112.180.229	195.112.180.232	DE
195.112.180.233	195.112.180.233	ES
195.112.180.234	195.112.180.234	DE
195.112.180.235	195.112.180.235	ES
195.112.180.236	195.112.180.236	DE
195.112.180.237	195.112.180.237	NL
195.112.180.238	195.112.180.239	ES
195.112.180.240	195.112.180.240	BE
195.112.180.241	195.112.180.241	DE
195.112.180.242	195.112.180.242	BE
195.112.180.243	195.112.180.245	DE
195.112.180.246	195.112.180.246	NL
195.112.180.247	195.112.180.249	DE
195.112.180.250	195.112.180.250	IT
195.112.180.251	195.112.181.1	DE
195.112.181.2	195.112.181.2	BE
195.112.181.3	195.112.181.3	DE
195.112.181.4	195.112.181.4	CH
195.112.181.5	195.112.181.6	DE
195.112.181.7	195.112.181.7	FR
195.112.181.8	195.112.181.8	GB
195.112.181.9	195.112.181.9	AT
195.112.181.10	195.112.181.11	DE
195.112.181.12	195.112.181.12	IT
195.112.181.13	195.112.181.13	FR
195.112.181.14	195.112.181.16	DE
195.112.181.17	195.112.181.17	LI
195.112.181.18	195.112.181.18	AT
195.112.181.19	195.112.181.19	FR
195.112.181.20	195.112.181.21	IT
195.112.181.22	195.112.181.22	DE
195.112.181.23	195.112.181.24	IT
195.112.181.25	195.112.181.25	ES
195.112.181.26	195.112.181.26	BE
195.112.181.27	195.112.181.27	DE
195.112.181.28	195.112.181.29	ES
195.112.181.30	195.112.181.30	FR
195.112.181.31	195.112.181.31	HU
195.112.181.32	195.112.181.32	AT
195.112.181.33	195.112.181.33	ES
195.112.181.34	195.112.181.35	DE
195.112.181.36	195.112.181.36	AT
195.112.181.37	195.112.181.37	BE
195.112.181.38	195.112.181.38	FR
195.112.181.39	195.112.181.39	DE
195.112.181.40	195.112.181.40	CH
195.112.181.41	195.112.181.42	AT
195.112.181.43	195.112.181.43	DE
195.112.181.44	195.112.181.44	NL
195.112.181.45	195.112.181.45	ES
195.112.181.46	195.112.181.46	GB
195.112.181.47	195.112.181.47	BR
195.112.181.48	195.112.181.49	ES
195.112.181.50	195.112.181.50	RE
195.112.181.51	195.112.181.51	IT
195.112.181.52	195.112.181.52	ES
195.112.181.53	195.112.181.54	DE
195.112.181.55	195.112.181.55	IT
195.112.181.56	195.112.181.57	DE
195.112.181.58	195.112.181.58	NL
195.112.181.59	195.112.181.59	CH
195.112.181.60	195.112.181.60	GB
195.112.181.61	195.112.181.61	IL
195.112.181.62	195.112.181.62	IT
195.112.181.63	195.112.181.63	DE
195.112.181.64	195.112.181.64	IT
195.112.181.65	195.112.181.65	DE
195.112.181.66	195.112.181.66	FR
195.112.181.67	195.112.181.67	DE
195.112.181.68	195.112.181.68	FR
195.112.181.69	195.112.181.69	DE
195.112.181.70	195.112.181.70	AT
195.112.181.71	195.112.181.72	DE
195.112.181.73	195.112.181.73	FR
195.112.181.74	195.112.181.76	DE
195.112.181.77	195.112.181.77	GB
195.112.181.78	195.112.181.78	BE
195.112.181.79	195.112.181.79	AE
195.112.181.80	195.112.181.80	NL
195.112.181.81	195.112.181.81	ES
195.112.181.82	195.112.181.82	DE
195.112.181.83	195.112.181.83	BE
195.112.181.84	195.112.181.84	GB
195.112.181.85	195.112.181.85	DE
195.112.181.86	195.112.181.86	DK
195.112.181.87	195.112.181.87	BE
195.112.181.88	195.112.181.88	NL
195.112.181.89	195.112.181.89	FR
195.112.181.90	195.112.181.90	DE
195.112.181.91	195.112.181.91	BE
195.112.181.92	195.112.181.92	IT
195.112.181.93	195.112.181.93	CH
195.112.181.94	195.112.181.94	DE
195.112.181.95	195.112.181.95	NL
195.112.181.96	195.112.181.97	DE
195.112.181.98	195.112.181.98	NL
195.112.181.99	195.112.181.99	ES
195.112.181.100	195.112.181.100	DE
195.112.181.101	195.112.181.101	IT
195.112.181.102	195.112.181.102	DE
195.112.181.103	195.112.181.103	NL
195.112.181.104	195.112.181.104	DE
195.112.181.105	195.112.181.105	PL
195.112.181.106	195.112.181.106	ES
195.112.181.107	195.112.181.107	GB
195.112.181.108	195.112.181.108	GR
195.112.181.109	195.112.181.110	DE
195.112.181.111	195.112.181.111	ES
195.112.181.112	195.112.181.113	DE
195.112.181.114	195.112.181.114	PL
195.112.181.115	195.112.181.115	FR
195.112.181.116	195.112.181.116	ES
195.112.181.117	195.112.181.117	DE
195.112.181.118	195.112.181.118	AT
195.112.181.119	195.112.181.119	DE
195.112.181.120	195.112.181.120	ES
195.112.181.121	195.112.181.121	DE
195.112.181.122	195.112.181.122	BE
195.112.181.123	195.112.181.123	NL
195.112.181.124	195.112.181.125	DE
195.112.181.126	195.112.181.126	IT
195.112.181.127	195.112.181.127	CH
195.112.181.128	195.112.181.128	DE
195.112.181.129	195.112.181.129	ES
195.112.181.130	195.112.181.131	DE
195.112.181.132	195.112.181.132	IT
195.112.181.133	195.112.181.133	CH
195.112.181.134	195.112.181.134	IT
195.112.181.135	195.112.181.135	DK
195.112.181.136	195.112.181.136	DE
195.112.181.137	195.112.181.137	FR
195.112.181.138	195.112.181.140	DE
195.112.181.141	195.112.181.142	FR
195.112.181.143	195.112.181.143	CH
195.112.181.144	195.112.181.144	DE
195.112.181.145	195.112.181.145	GB
195.112.181.146	195.112.181.146	DE
195.112.181.147	195.112.181.147	IT
195.112.181.148	195.112.181.148	CH
195.112.181.149	195.112.181.150	IT
195.112.181.151	195.112.181.151	HU
195.112.181.152	195.112.181.153	DE
195.112.181.154	195.112.181.154	FR
195.112.181.155	195.112.181.155	NL
195.112.181.156	195.112.181.157	FR
195.112.181.158	195.112.181.158	IT
195.112.181.159	195.112.181.159	DE
195.112.181.160	195.112.181.160	DK
195.112.181.161	195.112.181.161	DE
195.112.181.162	195.112.181.162	ES
195.112.181.163	195.112.181.163	FR
195.112.181.164	195.112.181.165	IT
195.112.181.166	195.112.181.166	BE
195.112.181.167	195.112.181.167	FR
195.112.181.168	195.112.181.168	AT
195.112.181.169	195.112.181.170	DE
195.112.181.171	195.112.181.171	NL
195.112.181.172	195.112.181.172	CY
195.112.181.173	195.112.181.173	DE
195.112.181.174	195.112.181.174	ES
195.112.181.175	195.112.181.175	CH
195.112.181.176	195.112.181.178	ES
195.112.181.179	195.112.181.179	IT
195.112.181.180	195.112.181.181	DE
195.112.181.182	195.112.181.182	IT
195.112.181.183	195.112.181.184	DE
195.112.181.185	195.112.181.185	ES
195.112.181.186	195.112.181.187	DE
195.112.181.188	195.112.181.188	LU
195.112.181.189	195.112.181.189	IT
195.112.181.190	195.112.181.190	BE
195.112.181.191	195.112.181.191	FR
195.112.181.192	195.112.181.192	GB
195.112.181.193	195.112.181.193	CH
195.112.181.194	195.112.181.194	DE
195.112.181.195	195.112.181.195	PT
195.112.181.196	195.112.181.196	AD
195.112.181.197	195.112.181.198	DE
195.112.181.199	195.112.181.199	CH
195.112.181.200	195.112.181.201	IT
195.112.181.202	195.112.181.202	ES
195.112.181.203	195.112.181.204	DE
195.112.181.205	195.112.181.205	PL
195.112.181.206	195.112.181.206	GB
195.112.181.207	195.112.181.207	DE
195.112.181.208	195.112.181.208	GB
195.112.181.209	195.112.181.209	AT
195.112.181.210	195.112.181.210	IT
195.112.181.211	195.112.181.211	FR
195.112.181.212	195.112.181.212	CH
195.112.181.213	195.112.181.213	AT
195.112.181.214	195.112.181.214	FR
195.112.181.215	195.112.181.215	PL
195.112.181.216	195.112.181.217	DE
195.112.181.218	195.112.181.218	ES
195.112.181.219	195.112.181.219	CH
195.112.181.220	195.112.181.222	DE
195.112.181.223	195.112.181.223	IT
195.112.181.224	195.112.181.225	DE
195.112.181.226	195.112.181.226	ES
195.112.181.227	195.112.181.227	DE
195.112.181.228	195.112.181.228	ES
195.112.181.229	195.112.181.231	DE
195.112.181.232	195.112.181.232	CH
195.112.181.233	195.112.181.238	DE
195.112.181.239	195.112.181.239	PL
195.112.181.240	195.112.181.241	DE
195.112.181.242	195.112.181.242	FR
195.112.181.243	195.112.181.243	DK
195.112.181.244	195.112.181.245	CH
195.112.181.246	195.112.181.246	DE
195.112.181.247	195.112.181.247	AD
195.112.181.248	195.112.181.248	DE
195.112.181.249	195.112.181.249	ES
195.112.181.250	195.112.181.252	DE
195.112.181.253	195.112.181.253	PT
195.112.181.254	195.112.181.254	IL
195.112.181.255	195.112.182.1	DE
195.112.182.2	195.112.182.2	CH
195.112.182.3	195.112.182.3	DE
195.112.182.4	195.112.182.5	ES
195.112.182.6	195.112.182.7	DE
195.112.182.8	195.112.182.8	GR
195.112.182.9	195.112.182.9	DE
195.112.182.10	195.112.182.10	FR
195.112.182.11	195.112.182.11	SL
195.112.182.12	195.112.182.12	DE
195.112.182.13	195.112.182.13	FR
195.112.182.14	195.112.182.14	DE
195.112.182.15	195.112.182.15	NL
195.112.182.16	195.112.182.17	DE
195.112.182.18	195.112.182.18	CY
195.112.182.19	195.112.182.19	DE
195.112.182.20	195.112.182.20	FR
195.112.182.21	195.112.182.21	CH
195.112.182.22	195.112.182.22	BE
195.112.182.23	195.112.182.23	ES
195.112.182.24	195.112.182.24	DE
195.112.182.25	195.112.182.25	CZ
195.112.182.26	195.112.182.26	FR
195.112.182.27	195.112.182.27	CH
195.112.182.28	195.112.182.28	ES
195.112.182.29	195.112.182.29	IT
195.112.182.30	195.112.182.30	DE
195.112.182.31	195.112.182.32	PT
195.112.182.33	195.112.182.33	FR
195.112.182.34	195.112.182.34	CH
195.112.182.35	195.112.182.36	DE
195.112.182.37	195.112.182.37	GB
195.112.182.38	195.112.182.38	IT
195.112.182.39	195.112.182.42	DE
195.112.182.43	195.112.182.43	IT
195.112.182.44	195.112.182.44	DE
195.112.182.45	195.112.182.45	ES
195.112.182.46	195.112.182.46	DE
195.112.182.47	195.112.182.47	IT
195.112.182.48	195.112.182.48	FR
195.112.182.49	195.112.182.49	IT
195.112.182.50	195.112.182.50	HU
195.112.182.51	195.112.182.52	DE
195.112.182.53	195.112.182.53	ES
195.112.182.54	195.112.182.54	DE
195.112.182.55	195.112.182.55	IE
195.112.182.56	195.112.182.56	DE
195.112.182.57	195.112.182.57	LU
195.112.182.58	195.112.182.58	DE
195.112.182.59	195.112.182.59	GB
195.112.182.60	195.112.182.60	DE
195.112.182.61	195.112.182.61	DK
195.112.182.62	195.112.182.62	ES
195.112.182.63	195.112.182.63	DE
195.112.182.64	195.112.182.64	IT
195.112.182.65	195.112.182.65	FR
195.112.182.66	195.112.182.66	DE
195.112.182.67	195.112.182.67	GR
195.112.182.68	195.112.182.68	IT
195.112.182.69	195.112.182.69	IN
195.112.182.70	195.112.182.70	ES
195.112.182.71	195.112.182.71	MA
195.112.182.72	195.112.182.72	GB
195.112.182.73	195.112.182.73	FR
195.112.182.74	195.112.182.74	DE
195.112.182.75	195.112.182.75	AT
195.112.182.76	195.112.182.76	DE
195.112.182.77	195.112.182.77	SM
195.112.182.78	195.112.182.78	PL
195.112.182.79	195.112.182.79	DE
195.112.182.80	195.112.182.80	CH
195.112.182.81	195.112.182.82	DE
195.112.182.83	195.112.182.83	AT
195.112.182.84	195.112.182.84	ES
195.112.182.85	195.112.182.85	CH
195.112.182.86	195.112.182.86	ES
195.112.182.87	195.112.182.87	US
195.112.182.88	195.112.182.88	BE
195.112.182.89	195.112.182.89	IT
195.112.182.90	195.112.182.91	GB
195.112.182.92	195.112.182.92	DE
195.112.182.93	195.112.182.93	ES
195.112.182.94	195.112.182.94	DE
195.112.182.95	195.112.182.95	IT
195.112.182.96	195.112.182.101	DE
195.112.182.102	195.112.182.102	GB
195.112.182.103	195.112.182.103	FR
195.112.182.104	195.112.182.104	IT
195.112.182.105	195.112.182.105	DE
195.112.182.106	195.112.182.107	FR
195.112.182.108	195.112.182.108	BE
195.112.182.109	195.112.182.109	GB
195.112.182.110	195.112.182.110	ES
195.112.182.111	195.112.182.111	BE
195.112.182.112	195.112.182.112	DE
195.112.182.113	195.112.182.113	PL
195.112.182.114	195.112.182.114	NL
195.112.182.115	195.112.182.115	DE
195.112.182.116	195.112.182.116	FR
195.112.182.117	195.112.182.118	DE
195.112.182.119	195.112.182.119	IT
195.112.182.120	195.112.182.120	DK
195.112.182.121	195.112.182.121	GB
195.112.182.122	195.112.182.122	IT
195.112.182.123	195.112.182.123	ES
195.112.182.124	195.112.182.124	IT
195.112.182.125	195.112.182.125	IE
195.112.182.126	195.112.182.126	NL
195.112.182.127	195.112.182.127	FR
195.112.182.128	195.112.182.128	DE
195.112.182.129	195.112.182.129	IT
195.112.182.130	195.112.182.130	CH
195.112.182.131	195.112.182.131	IL
195.112.182.132	195.112.182.137	DE
195.112.182.138	195.112.182.138	PL
195.112.182.139	195.112.182.139	CH
195.112.182.140	195.112.182.140	DE
195.112.182.141	195.112.182.141	IT
195.112.182.142	195.112.182.144	DE
195.112.182.145	195.112.182.145	BE
195.112.182.146	195.112.182.146	NL
195.112.182.147	195.112.182.147	ES
195.112.182.148	195.112.182.148	BE
195.112.182.149	195.112.182.149	DE
195.112.182.150	195.112.182.150	IT
195.112.182.151	195.112.182.151	DE
195.112.182.152	195.112.182.152	PL
195.112.182.153	195.112.182.153	ES
195.112.182.154	195.112.182.154	IT
195.112.182.155	195.112.182.155	GB
195.112.182.156	195.112.182.156	ES
195.112.182.157	195.112.182.157	DE
195.112.182.158	195.112.182.158	GB
195.112.182.159	195.112.182.159	IT
195.112.182.160	195.112.182.160	DE
195.112.182.161	195.112.182.161	FR
195.112.182.162	195.112.182.163	IT
195.112.182.164	195.112.182.164	GB
195.112.182.165	195.112.182.165	HU
195.112.182.166	195.112.182.166	FR
195.112.182.167	195.112.182.167	DE
195.112.182.168	195.112.182.169	IT
195.112.182.170	195.112.182.170	DE
195.112.182.171	195.112.182.171	PL
195.112.182.172	195.112.182.172	IT
195.112.182.173	195.112.182.173	FR
195.112.182.174	195.112.182.174	ES
195.112.182.175	195.112.182.176	FR
195.112.182.177	195.112.182.177	DE
195.112.182.178	195.112.182.178	ES
195.112.182.179	195.112.182.179	DE
195.112.182.180	195.112.182.180	IT
195.112.182.181	195.112.182.182	ES
195.112.182.183	195.112.182.183	GB
195.112.182.184	195.112.182.184	DE
195.112.182.185	195.112.182.185	PT
195.112.182.186	195.112.182.186	IT
195.112.182.187	195.112.182.188	DE
195.112.182.189	195.112.182.189	ES
195.112.182.190	195.112.182.190	DE
195.112.182.191	195.112.182.191	GR
195.112.182.192	195.112.182.195	DE
195.112.182.196	195.112.182.196	DK
195.112.182.197	195.112.182.197	GB
195.112.182.198	195.112.182.198	NL
195.112.182.199	195.112.182.199	AT
195.112.182.200	195.112.182.200	IT
195.112.182.201	195.112.182.201	NL
195.112.182.202	195.112.182.202	LU
195.112.182.203	195.112.182.203	DE
195.112.182.204	195.112.182.204	ES
195.112.182.205	195.112.182.205	DE
195.112.182.206	195.112.182.206	BE
195.112.182.207	195.112.182.207	LU
195.112.182.208	195.112.182.209	DE
195.112.182.210	195.112.182.210	FR
195.112.182.211	195.112.182.212	DE
195.112.182.213	195.112.182.213	GB
195.112.182.214	195.112.182.214	DK
195.112.182.215	195.112.182.215	DE
195.112.182.216	195.112.182.216	FR
195.112.182.217	195.112.182.220	DE
195.112.182.221	195.112.182.221	CH
195.112.182.222	195.112.182.223	DE
195.112.182.224	195.112.182.224	ES
195.112.182.225	195.112.182.225	PL
195.112.182.226	195.112.182.226	ES
195.112.182.227	195.112.182.227	BE
195.112.182.228	195.112.182.228	IT
195.112.182.229	195.112.182.229	DE
195.112.182.230	195.112.182.230	GR
195.112.182.231	195.112.182.231	CH
195.112.182.232	195.112.182.232	DE
195.112.182.233	195.112.182.233	DK
195.112.182.234	195.112.182.234	DE
195.112.182.235	195.112.182.235	ES
195.112.182.236	195.112.182.236	GB
195.112.182.237	195.112.182.237	DE
195.112.182.238	195.112.182.238	ES
195.112.182.239	195.112.182.239	DE
195.112.182.240	195.112.182.240	AT
195.112.182.241	195.112.182.241	NL
195.112.182.242	195.112.182.243	IT
195.112.182.244	195.112.182.244	ES
195.112.182.245	195.112.182.246	DE
195.112.182.247	195.112.182.247	NL
195.112.182.248	195.112.182.248	IT
195.112.182.249	195.112.182.249	AT
195.112.182.250	195.112.182.251	DE
195.112.182.252	195.112.182.253	CH
195.112.182.254	195.112.182.254	FR
195.112.182.255	195.112.183.1	DE
195.112.183.2	195.112.183.2	GB
195.112.183.3	195.112.183.3	LU
195.112.183.4	195.112.183.4	PT
195.112.183.5	195.112.183.6	DE
195.112.183.7	195.112.183.7	NL
195.112.183.8	195.112.183.8	IT
195.112.183.9	195.112.183.9	CH
195.112.183.10	195.112.183.10	NL
195.112.183.11	195.112.183.12	DE
195.112.183.13	195.112.183.13	DK
195.112.183.14	195.112.183.14	IT
195.112.183.15	195.112.183.15	IS
195.112.183.16	195.112.183.16	PL
195.112.183.17	195.112.183.17	DE
195.112.183.18	195.112.183.18	BE
195.112.183.19	195.112.183.19	FR
195.112.183.20	195.112.183.20	DE
195.112.183.21	195.112.183.21	IT
195.112.183.22	195.112.183.22	FR
195.112.183.23	195.112.183.23	AT
195.112.183.24	195.112.183.25	CH
195.112.183.26	195.112.183.27	FR
195.112.183.28	195.112.183.28	DE
195.112.183.29	195.112.183.29	IT
195.112.183.30	195.112.183.30	DE
195.112.183.31	195.112.183.31	FR
195.112.183.32	195.112.183.33	DE
195.112.183.34	195.112.183.34	GR
195.112.183.35	195.112.183.35	FR
195.112.183.36	195.112.183.36	US
195.112.183.37	195.112.183.37	FR
195.112.183.38	195.112.183.38	GB
195.112.183.39	195.112.183.39	ES
195.112.183.40	195.112.183.40	FR
195.112.183.41	195.112.183.41	DE
195.112.183.42	195.112.183.42	FR
195.112.183.43	195.112.183.43	DE
195.112.183.44	195.112.183.45	FR
195.112.183.46	195.112.183.46	NL
195.112.183.47	195.112.183.47	GB
195.112.183.48	195.112.183.48	BE
195.112.183.49	195.112.183.49	IT
195.112.183.50	195.112.183.50	DE
195.112.183.51	195.112.183.51	BE
195.112.183.52	195.112.183.52	AT
195.112.183.53	195.112.183.53	IT
195.112.183.54	195.112.183.54	DE
195.112.183.55	195.112.183.55	IT
195.112.183.56	195.112.183.58	DE
195.112.183.59	195.112.183.59	ES
195.112.183.60	195.112.183.60	BE
195.112.183.61	195.112.183.61	FR
195.112.183.62	195.112.183.63	DE
195.112.183.64	195.112.183.64	FR
195.112.183.65	195.112.183.65	IT
195.112.183.66	195.112.183.66	GB
195.112.183.67	195.112.183.67	DE
195.112.183.68	195.112.183.68	ES
195.112.183.69	195.112.183.69	PL
195.112.183.70	195.112.183.70	DE
195.112.183.71	195.112.183.71	DK
195.112.183.72	195.112.183.72	AT
195.112.183.73	195.112.183.73	FR
195.112.183.74	195.112.183.75	ES
195.112.183.76	195.112.183.76	DE
195.112.183.77	195.112.183.77	GB
195.112.183.78	195.112.183.78	DE
195.112.183.79	195.112.183.79	GB
195.112.183.80	195.112.183.80	DE
195.112.183.81	195.112.183.81	GB
195.112.183.82	195.112.183.82	IT
195.112.183.83	195.112.183.84	ES
195.112.183.85	195.112.183.85	PT
195.112.183.86	195.112.183.86	NL
195.112.183.87	195.112.183.87	CH
195.112.183.88	195.112.183.88	IT
195.112.183.89	195.112.183.89	DE
195.112.183.90	195.112.183.90	IT
195.112.183.91	195.112.183.91	MA
195.112.183.92	195.112.183.92	GR
195.112.183.93	195.112.183.94	DE
195.112.183.95	195.112.183.95	AT
195.112.183.96	195.112.183.96	GB
195.112.183.97	195.112.183.97	DE
195.112.183.98	195.112.183.98	SE
195.112.183.99	195.112.183.99	GB
195.112.183.100	195.112.183.102	DE
195.112.183.103	195.112.183.104	IT
195.112.183.105	195.112.183.105	FR
195.112.183.106	195.112.183.106	AT
195.112.183.107	195.112.183.108	DE
195.112.183.109	195.112.183.109	ES
195.112.183.110	195.112.183.111	DE
195.112.183.112	195.112.183.112	NL
195.112.183.113	195.112.183.113	DE
195.112.183.114	195.112.183.114	IT
195.112.183.115	195.112.183.116	ES
195.112.183.117	195.112.183.118	IT
195.112.183.119	195.112.183.119	ES
195.112.183.120	195.112.183.121	DE
195.112.183.122	195.112.183.122	FR
195.112.183.123	195.112.183.123	IT
195.112.183.124	195.112.183.124	DE
195.112.183.125	195.112.183.125	SE
195.112.183.126	195.112.183.126	ES
195.112.183.127	195.112.183.127	IT
195.112.183.128	195.112.183.128	PT
195.112.183.129	195.112.183.129	BE
195.112.183.130	195.112.183.130	DE
195.112.183.131	195.112.183.131	FR
195.112.183.132	195.112.183.132	IE
195.112.183.133	195.112.183.133	IT
195.112.183.134	195.112.183.134	ES
195.112.183.135	195.112.183.135	NL
195.112.183.136	195.112.183.137	DE
195.112.183.138	195.112.183.138	GB
195.112.183.139	195.112.183.139	FR
195.112.183.140	195.112.183.140	PT
195.112.183.141	195.112.183.141	FR
195.112.183.142	195.112.183.142	GB
195.112.183.143	195.112.183.143	AT
195.112.183.144	195.112.183.144	DE
195.112.183.145	195.112.183.145	SE
195.112.183.146	195.112.183.147	DE
195.112.183.148	195.112.183.148	ES
195.112.183.149	195.112.183.149	DE
195.112.183.150	195.112.183.150	IE
195.112.183.151	195.112.183.151	IT
195.112.183.152	195.112.183.152	IS
195.112.183.153	195.112.183.156	DE
195.112.183.157	195.112.183.157	FR
195.112.183.158	195.112.183.158	DE
195.112.183.159	195.112.183.159	CH
195.112.183.160	195.112.183.160	FR
195.112.183.161	195.112.183.161	DE
195.112.183.162	195.112.183.162	GB
195.112.183.163	195.112.183.163	HU
195.112.183.164	195.112.183.164	IT
195.112.183.165	195.112.183.166	DE
195.112.183.167	195.112.183.167	IT
195.112.183.168	195.112.183.168	CH
195.112.183.169	195.112.183.169	DE
195.112.183.170	195.112.183.171	CH
195.112.183.172	195.112.183.172	DE
195.112.183.173	195.112.183.173	FR
195.112.183.174	195.112.183.174	GB
195.112.183.175	195.112.183.175	DE
195.112.183.176	195.112.183.176	ES
195.112.183.177	195.112.183.177	LU
195.112.183.178	195.112.183.179	DE
195.112.183.180	195.112.183.180	GB
195.112.183.181	195.112.183.181	IT
195.112.183.182	195.112.183.182	FR
195.112.183.183	195.112.183.184	ES
195.112.183.185	195.112.183.185	NL
195.112.183.186	195.112.183.192	DE
195.112.183.193	195.112.183.193	FR
195.112.183.194	195.112.183.194	GB
195.112.183.195	195.112.183.195	IT
195.112.183.196	195.112.183.197	DE
195.112.183.198	195.112.183.198	IT
195.112.183.199	195.112.183.199	AT
195.112.183.200	195.112.183.200	DE
195.112.183.201	195.112.183.201	SE
195.112.183.202	195.112.183.202	NO
195.112.183.203	195.112.183.203	NL
195.112.183.204	195.112.183.207	DE
195.112.183.208	195.112.183.208	NL
195.112.183.209	195.112.183.209	PL
195.112.183.210	195.112.183.210	AT
195.112.183.211	195.112.183.211	DE
195.112.183.212	195.112.183.212	FR
195.112.183.213	195.112.183.213	DK
195.112.183.214	195.112.183.214	GB
195.112.183.215	195.112.183.215	IT
195.112.183.216	195.112.183.216	DE
195.112.183.217	195.112.183.217	IT
195.112.183.218	195.112.183.219	DE
195.112.183.220	195.112.183.220	GB
195.112.183.221	195.112.183.221	GR
195.112.183.222	195.112.183.222	IT
195.112.183.223	195.112.183.224	DE
195.112.183.225	195.112.183.225	NL
195.112.183.226	195.112.183.226	RU
195.112.183.227	195.112.183.227	IT
195.112.183.228	195.112.183.230	DE
195.112.183.231	195.112.183.231	CH
195.112.183.232	195.112.183.232	NL
195.112.183.233	195.112.183.233	GB
195.112.183.234	195.112.183.234	AT
195.112.183.235	195.112.183.235	DE
195.112.183.236	195.112.183.236	IT
195.112.183.237	195.112.183.238	DE
195.112.183.239	195.112.183.239	SE
195.112.183.240	195.112.183.240	FR
195.112.183.241	195.112.183.241	IT
195.112.183.242	195.112.183.242	ES
195.112.183.243	195.112.183.243	DE
195.112.183.244	195.112.183.244	ES
195.112.183.245	195.112.183.245	BE
195.112.183.246	195.112.183.246	NL
195.112.183.247	195.112.183.247	ES
195.112.183.248	195.112.183.248	NL
195.112.183.249	195.112.183.249	ES
195.112.183.250	195.112.183.250	IT
195.112.183.251	195.112.183.251	AT
195.112.183.252	195.112.183.252	IT
195.112.183.253	195.112.183.254	GB
195.112.183.255	195.112.184.0	DE
195.112.184.1	195.112.184.16	US
195.112.184.17	195.112.184.17	CA
195.112.184.18	195.112.184.18	US
195.112.184.19	195.112.184.19	CA
195.112.184.20	195.112.184.21	US
195.112.184.22	195.112.184.22	VE
195.112.184.23	195.112.184.23	DE
195.112.184.24	195.112.184.28	US
195.112.184.29	195.112.184.29	DE
195.112.184.30	195.112.184.30	US
195.112.184.31	195.112.184.32	CA
195.112.184.33	195.112.184.37	US
195.112.184.38	195.112.184.38	CA
195.112.184.39	195.112.184.90	US
195.112.184.91	195.112.184.91	AR
195.112.184.92	195.112.184.104	US
195.112.184.105	195.112.184.105	AR
195.112.184.106	195.112.184.109	US
195.112.184.110	195.112.184.110	MX
195.112.184.111	195.112.184.111	US
195.112.184.112	195.112.184.112	CA
195.112.184.113	195.112.184.117	US
195.112.184.118	195.112.184.118	PR
195.112.184.119	195.112.184.123	US
195.112.184.124	195.112.184.124	DE
195.112.184.125	195.112.184.129	US
195.112.184.130	195.112.184.130	DE
195.112.184.131	195.112.184.132	US
195.112.184.133	195.112.184.133	CA
195.112.184.134	195.112.184.134	AR
195.112.184.135	195.112.184.135	CA
195.112.184.136	195.112.184.139	US
195.112.184.140	195.112.184.140	CA
195.112.184.141	195.112.184.143	US
195.112.184.144	195.112.184.144	BR
195.112.184.145	195.112.184.145	US
195.112.184.146	195.112.184.146	CA
195.112.184.147	195.112.184.156	US
195.112.184.157	195.112.184.157	CA
195.112.184.158	195.112.184.162	US
195.112.184.163	195.112.184.163	DE
195.112.184.164	195.112.184.164	CA
195.112.184.165	195.112.184.165	DE
195.112.184.166	195.112.184.176	US
195.112.184.177	195.112.184.177	DE
195.112.184.178	195.112.184.188	US
195.112.184.189	195.112.184.193	DE
195.112.184.194	195.112.184.195	CA
195.112.184.196	195.112.184.204	DE
195.112.184.205	195.112.184.205	US
195.112.184.206	195.112.184.214	DE
195.112.184.215	195.112.184.215	US
195.112.184.216	195.112.185.1	DE
195.112.185.2	195.112.185.5	US
195.112.185.6	195.112.185.6	DE
195.112.185.7	195.112.185.8	US
195.112.185.9	195.112.185.9	CA
195.112.185.10	195.112.185.10	US
195.112.185.11	195.112.185.11	CA
195.112.185.12	195.112.185.12	US
195.112.185.13	195.112.185.13	CL
195.112.185.14	195.112.185.14	US
195.112.185.15	195.112.185.15	CA
195.112.185.16	195.112.185.16	US
195.112.185.17	195.112.185.17	CA
195.112.185.18	195.112.185.23	US
195.112.185.24	195.112.185.24	GU
195.112.185.25	195.112.185.25	US
195.112.185.26	195.112.185.26	AR
195.112.185.27	195.112.185.32	US
195.112.185.33	195.112.185.33	CA
195.112.185.34	195.112.185.43	US
195.112.185.44	195.112.185.44	CL
195.112.185.45	195.112.185.47	US
195.112.185.48	195.112.185.48	AR
195.112.185.49	195.112.185.49	US
195.112.185.50	195.112.185.50	CA
195.112.185.51	195.112.185.51	US
195.112.185.52	195.112.185.52	CA
195.112.185.53	195.112.185.57	US
195.112.185.58	195.112.185.58	DE
195.112.185.59	195.112.185.60	US
195.112.185.61	195.112.185.61	DE
195.112.185.62	195.112.185.62	US
195.112.185.63	195.112.185.63	DE
195.112.185.64	195.112.185.66	US
195.112.185.67	195.112.185.67	DE
195.112.185.68	195.112.185.68	AR
195.112.185.69	195.112.185.69	US
195.112.185.70	195.112.185.71	DE
195.112.185.72	195.112.185.74	US
195.112.185.75	195.112.185.75	PR
195.112.185.76	195.112.185.76	US
195.112.185.77	195.112.185.77	DE
195.112.185.78	195.112.185.87	US
195.112.185.88	195.112.185.88	SA
195.112.185.89	195.112.185.94	US
195.112.185.95	195.112.185.96	DE
195.112.185.97	195.112.185.99	US
195.112.185.100	195.112.185.100	DE
195.112.185.101	195.112.185.114	US
195.112.185.115	195.112.185.115	DE
195.112.185.116	195.112.185.121	US
195.112.185.122	195.112.185.122	DE
195.112.185.123	195.112.185.126	US
195.112.185.127	195.112.185.128	DE
195.112.185.129	195.112.185.130	US
195.112.185.131	195.112.185.131	CL
195.112.185.132	195.112.185.138	US
195.112.185.139	195.112.185.139	DE
195.112.185.140	195.112.185.142	US
195.112.185.143	195.112.185.145	AR
195.112.185.146	195.112.185.147	US
195.112.185.148	195.112.185.148	AR
195.112.185.149	195.112.185.149	US
195.112.185.150	195.112.185.151	DE
195.112.185.152	195.112.185.153	AR
195.112.185.154	195.112.185.155	US
195.112.185.156	195.112.185.156	AR
195.112.185.157	195.112.185.158	US
195.112.185.159	195.112.185.159	CL
195.112.185.160	195.112.185.160	DE
195.112.185.161	195.112.185.161	PE
195.112.185.162	195.112.185.162	DE
195.112.185.163	195.112.185.165	US
195.112.185.166	195.112.185.166	CA
195.112.185.167	195.112.185.167	US
195.112.185.168	195.112.185.168	CA
195.112.185.169	195.112.185.171	US
195.112.185.172	195.112.185.174	DE
195.112.185.175	195.112.185.175	US
195.112.185.176	195.112.185.176	AR
195.112.185.177	195.112.185.181	US
195.112.185.182	195.112.185.183	DE
195.112.185.184	195.112.185.184	AS
195.112.185.185	195.112.185.185	CA
195.112.185.186	195.112.185.194	US
195.112.185.195	195.112.185.195	DE
195.112.185.196	195.112.185.196	PE
195.112.185.197	195.112.185.197	US
195.112.185.198	195.112.185.198	DE
195.112.185.199	195.112.185.200	CL
195.112.185.201	195.112.185.201	DE
195.112.185.202	195.112.185.202	JM
195.112.185.203	195.112.185.203	CA
195.112.185.204	195.112.185.204	DE
195.112.185.205	195.112.185.206	US
195.112.185.207	195.112.185.207	CA
195.112.185.208	195.112.185.208	US
195.112.185.209	195.112.185.209	CA
195.112.185.210	195.112.185.215	US
195.112.185.216	195.112.185.216	DE
195.112.185.217	195.112.185.218	US
195.112.185.219	195.112.185.219	DE
195.112.185.220	195.112.185.222	US
195.112.185.223	195.112.185.223	DE
195.112.185.224	195.112.185.224	AR
195.112.185.225	195.112.185.227	US
195.112.185.228	195.112.185.228	CA
195.112.185.229	195.112.185.229	DE
195.112.185.230	195.112.185.231	US
195.112.185.232	195.112.185.233	DE
195.112.185.234	195.112.185.237	US
195.112.185.238	195.112.185.238	DE
195.112.185.239	195.112.185.239	US
195.112.185.240	195.112.185.240	DE
195.112.185.241	195.112.185.241	US
195.112.185.242	195.112.185.242	BR
195.112.185.243	195.112.185.243	AR
195.112.185.244	195.112.185.246	US
195.112.185.247	195.112.185.248	DE
195.112.185.249	195.112.185.249	UY
195.112.185.250	195.112.185.251	DE
195.112.185.252	195.112.185.252	AR
195.112.185.253	195.112.185.253	US
195.112.185.254	195.112.185.255	DE
195.112.186.0	195.112.186.3	DO
195.112.186.4	195.112.186.51	US
195.112.186.52	195.112.186.55	AR
195.112.186.56	195.112.186.59	BR
195.112.186.60	195.112.186.83	US
195.112.186.84	195.112.186.87	CA
195.112.186.88	195.112.186.95	US
195.112.186.96	195.112.186.99	MX
195.112.186.100	195.112.186.103	US
195.112.186.104	195.112.186.107	DE
195.112.186.108	195.112.186.119	US
195.112.186.120	195.112.186.123	CO
195.112.186.124	195.112.186.135	US
195.112.186.136	195.112.186.139	BR
195.112.186.140	195.112.186.151	US
195.112.186.152	195.112.186.155	CO
195.112.186.156	195.112.186.167	US
195.112.186.168	195.112.186.171	BR
195.112.186.172	195.112.186.179	US
195.112.186.180	195.112.186.183	CO
195.112.186.184	195.112.186.195	US
195.112.186.196	195.112.186.203	CA
195.112.186.204	195.112.186.207	US
195.112.186.208	195.112.186.227	CA
195.112.186.228	195.112.186.231	CO
195.112.186.232	195.112.186.239	US
195.112.186.240	195.112.186.243	CO
195.112.186.244	195.112.186.247	PE
195.112.186.248	195.112.186.255	US
195.112.187.0	195.112.187.3	BR
195.112.187.4	195.112.187.7	AN
195.112.187.8	195.112.187.63	US
195.112.187.64	195.112.187.67	BR
195.112.187.68	195.112.187.75	US
195.112.187.76	195.112.187.83	BR
195.112.187.84	195.112.187.87	DO
195.112.187.88	195.112.187.103	US
195.112.187.104	195.112.187.107	AR
195.112.187.108	195.112.187.111	BR
195.112.187.112	195.112.187.127	US
195.112.187.128	195.112.187.131	CA
195.112.187.132	195.112.187.135	BR
195.112.187.136	195.112.187.147	US
195.112.187.148	195.112.187.151	AR
195.112.187.152	195.112.187.167	US
195.112.187.168	195.112.187.175	CA
195.112.187.176	195.112.187.179	US
195.112.187.180	195.112.187.183	AR
195.112.187.184	195.112.187.203	US
195.112.187.204	195.112.187.211	CA
195.112.187.212	195.112.187.223	US
195.112.187.224	195.112.187.231	CA
195.112.187.232	195.112.187.243	US
195.112.187.244	195.112.187.247	AR
195.112.187.248	195.112.187.251	US
195.112.187.252	195.112.187.255	CL
195.112.188.0	195.112.188.3	CA
195.112.188.4	195.112.188.19	US
195.112.188.20	195.112.188.23	DE
195.112.188.24	195.112.188.27	CO
195.112.188.28	195.112.188.31	CA
195.112.188.32	195.112.188.39	US
195.112.188.40	195.112.188.43	MX
195.112.188.44	195.112.188.47	AR
195.112.188.48	195.112.188.51	CA
195.112.188.52	195.112.188.55	US
195.112.188.56	195.112.188.59	CA
195.112.188.60	195.112.188.63	US
195.112.188.64	195.112.188.67	BR
195.112.188.68	195.112.188.83	US
195.112.188.84	195.112.188.87	PR
195.112.188.88	195.112.188.115	US
195.112.188.116	195.112.188.119	AR
195.112.188.120	195.112.188.123	MX
195.112.188.124	195.112.188.147	US
195.112.188.148	195.112.188.151	CA
195.112.188.152	195.112.188.155	AR
195.112.188.156	195.112.188.159	MX
195.112.188.160	195.112.188.171	US
195.112.188.172	195.112.188.175	BR
195.112.188.176	195.112.188.179	US
195.112.188.180	195.112.188.183	MX
195.112.188.184	195.112.188.199	US
195.112.188.200	195.112.188.203	CL
195.112.188.204	195.112.188.211	BR
195.112.188.212	195.112.188.223	US
195.112.188.224	195.112.188.227	MX
195.112.188.228	195.112.188.235	AR
195.112.188.236	195.112.188.239	BR
195.112.188.240	195.112.188.243	US
195.112.188.244	195.112.188.247	CA
195.112.188.248	195.112.188.251	US
195.112.188.252	195.112.188.255	AN
195.112.189.0	195.112.189.3	AR
195.112.189.4	195.112.189.43	US
195.112.189.44	195.112.189.47	AR
195.112.189.48	195.112.189.51	US
195.112.189.52	195.112.189.55	DO
195.112.189.56	195.112.189.123	US
195.112.189.124	195.112.189.127	AR
195.112.189.128	195.112.189.131	US
195.112.189.132	195.112.189.135	UY
195.112.189.136	195.112.189.139	DE
195.112.189.140	195.112.189.151	US
195.112.189.152	195.112.189.155	BR
195.112.189.156	195.112.189.163	US
195.112.189.164	195.112.189.167	AR
195.112.189.168	195.112.189.179	US
195.112.189.180	195.112.189.183	CO
195.112.189.184	195.112.189.187	US
195.112.189.188	195.112.189.191	AR
195.112.189.192	195.112.189.207	US
195.112.189.208	195.112.189.211	MX
195.112.189.212	195.112.189.227	US
195.112.189.228	195.112.189.231	MX
195.112.189.232	195.112.189.235	CO
195.112.189.236	195.112.189.243	US
195.112.189.244	195.112.189.247	PE
195.112.189.248	195.112.189.255	US
195.112.190.0	195.112.190.2	DE
195.112.190.3	195.112.190.3	CH
195.112.190.4	195.112.190.4	DE
195.112.190.5	195.112.190.5	BE
195.112.190.6	195.112.190.6	NL
195.112.190.7	195.112.190.7	LU
195.112.190.8	195.112.190.8	SE
195.112.190.9	195.112.190.9	NL
195.112.190.10	195.112.190.10	PT
195.112.190.11	195.112.190.11	GB
195.112.190.12	195.112.190.12	DE
195.112.190.13	195.112.190.13	DK
195.112.190.14	195.112.190.14	FR
195.112.190.15	195.112.190.15	DE
195.112.190.16	195.112.190.16	RU
195.112.190.17	195.112.190.17	DE
195.112.190.18	195.112.190.18	CH
195.112.190.19	195.112.190.23	DE
195.112.190.24	195.112.190.24	GB
195.112.190.25	195.112.190.29	DE
195.112.190.30	195.112.190.30	GR
195.112.190.31	195.112.190.31	CH
195.112.190.32	195.112.190.34	DE
195.112.190.35	195.112.190.35	DK
195.112.190.36	195.112.190.36	FR
195.112.190.37	195.112.190.37	DE
195.112.190.38	195.112.190.39	NL
195.112.190.40	195.112.190.40	DE
195.112.190.41	195.112.190.41	GB
195.112.190.42	195.112.190.42	NL
195.112.190.43	195.112.190.43	CH
195.112.190.44	195.112.190.46	DE
195.112.190.47	195.112.190.47	CZ
195.112.190.48	195.112.190.48	DE
195.112.190.49	195.112.190.49	CH
195.112.190.50	195.112.190.52	DE
195.112.190.53	195.112.190.53	ES
195.112.190.54	195.112.190.54	CH
195.112.190.55	195.112.190.55	DE
195.112.190.56	195.112.190.56	GB
195.112.190.57	195.112.190.57	DE
195.112.190.58	195.112.190.58	NL
195.112.190.59	195.112.190.60	DE
195.112.190.61	195.112.190.61	CH
195.112.190.62	195.112.190.62	FR
195.112.190.63	195.112.190.63	DE
195.112.190.64	195.112.190.64	DK
195.112.190.65	195.112.190.66	DE
195.112.190.67	195.112.190.67	GB
195.112.190.68	195.112.190.68	FR
195.112.190.69	195.112.190.69	IT
195.112.190.70	195.112.190.70	BE
195.112.190.71	195.112.190.71	ES
195.112.190.72	195.112.190.72	IE
195.112.190.73	195.112.190.74	DE
195.112.190.75	195.112.190.75	FR
195.112.190.76	195.112.190.76	NO
195.112.190.77	195.112.190.78	DE
195.112.190.79	195.112.190.79	IT
195.112.190.80	195.112.190.80	FR
195.112.190.81	195.112.190.81	DE
195.112.190.82	195.112.190.82	IT
195.112.190.83	195.112.190.83	ES
195.112.190.84	195.112.190.84	NL
195.112.190.85	195.112.190.85	SE
195.112.190.86	195.112.190.87	FR
195.112.190.88	195.112.190.88	DE
195.112.190.89	195.112.190.89	BE
195.112.190.90	195.112.190.94	DE
195.112.190.95	195.112.190.96	IT
195.112.190.97	195.112.190.98	DE
195.112.190.99	195.112.190.99	CH
195.112.190.100	195.112.190.100	BE
195.112.190.101	195.112.190.101	DE
195.112.190.102	195.112.190.102	AT
195.112.190.103	195.112.190.103	ES
195.112.190.104	195.112.190.104	GB
195.112.190.105	195.112.190.105	IT
195.112.190.106	195.112.190.106	ES
195.112.190.107	195.112.190.107	DE
195.112.190.108	195.112.190.108	FR
195.112.190.109	195.112.190.112	DE
195.112.190.113	195.112.190.113	PT
195.112.190.114	195.112.190.114	FR
195.112.190.115	195.112.190.115	GB
195.112.190.116	195.112.190.116	DE
195.112.190.117	195.112.190.117	FR
195.112.190.118	195.112.190.118	DE
195.112.190.119	195.112.190.119	NL
195.112.190.120	195.112.190.125	DE
195.112.190.126	195.112.190.126	IT
195.112.190.127	195.112.191.1	DE
195.112.191.2	195.112.191.6	US
195.112.191.7	195.112.191.7	CA
195.112.191.8	195.112.191.11	US
195.112.191.12	195.112.191.12	CN
195.112.191.13	195.112.191.13	US
195.112.191.14	195.112.191.14	DE
195.112.191.15	195.112.191.19	US
195.112.191.20	195.112.191.20	DE
195.112.191.21	195.112.191.36	US
195.112.191.37	195.112.191.37	DE
195.112.191.38	195.112.191.43	US
195.112.191.44	195.112.191.44	DE
195.112.191.45	195.112.191.60	US
195.112.191.61	195.112.191.61	GB
195.112.191.62	195.112.191.94	US
195.112.191.95	195.112.191.95	DE
195.112.191.96	195.112.191.118	US
195.112.191.119	195.112.191.119	DE
195.112.191.120	195.112.191.142	US
195.112.191.143	195.112.191.143	PR
195.112.191.144	195.112.191.160	US
195.112.191.161	195.112.191.165	DE
195.112.191.166	195.112.191.166	US
195.112.191.167	195.112.191.173	DE
195.112.191.174	195.112.191.174	US
195.112.191.175	195.112.191.176	DE
195.112.191.177	195.112.191.177	US
195.112.191.178	195.112.191.181	DE
195.112.191.182	195.112.191.183	US
195.112.191.184	195.112.191.191	DE
195.112.191.192	195.112.191.215	US
195.112.191.216	195.112.191.219	DE
195.112.191.220	195.112.191.223	US
195.112.191.224	195.112.191.227	SV
195.112.191.228	195.112.191.231	DO
195.112.191.232	195.112.191.235	DE
195.112.191.236	195.112.191.239	US
195.112.191.240	195.112.191.243	DE
195.112.191.244	195.112.191.247	PR
195.112.191.248	195.112.191.251	US
195.112.191.252	195.112.191.255	DE
195.112.192.0	195.112.223.255	LB
195.112.224.0	195.112.255.255	RU
195.113.0.0	195.113.255.255	CZ
195.114.0.0	195.114.1.255	PL
195.114.2.0	195.114.3.255	RU
195.114.4.0	195.114.7.255	UA
195.114.8.0	195.114.9.255	RU
195.114.10.0	195.114.11.255	DE
195.114.12.0	195.114.13.255	NL
195.114.14.0	195.114.15.255	RO
195.114.16.0	195.114.17.255	HU
195.114.18.0	195.114.19.255	FR
195.114.20.0	195.114.21.255	RU
195.114.22.0	195.114.23.255	DE
195.114.24.0	195.114.27.255	FR
195.114.28.0	195.114.29.255	PS
195.114.30.0	195.114.31.255	UA
195.114.32.0	195.114.63.255	LV
195.114.64.0	195.114.86.215	FR
195.114.86.216	195.114.86.223	A2
195.114.86.224	195.114.95.255	FR
195.114.96.0	195.114.97.255	UA
195.114.98.0	195.114.99.255	DE
195.114.100.0	195.114.101.255	NL
195.114.102.0	195.114.103.255	GB
195.114.104.0	195.114.105.255	PL
195.114.106.0	195.114.107.255	SA
195.114.108.0	195.114.109.255	TR
195.114.110.0	195.114.111.255	GB
195.114.112.0	195.114.113.255	BG
195.114.114.0	195.114.115.255	FR
195.114.116.0	195.114.117.255	RO
195.114.118.0	195.114.119.255	RU
195.114.120.0	195.114.121.255	UA
195.114.122.0	195.114.125.255	RU
195.114.126.0	195.114.127.255	PL
195.114.128.0	195.114.159.255	UA
195.114.160.0	195.114.191.255	PL
195.114.192.0	195.114.195.255	ES
195.114.196.0	195.114.196.255	IT
195.114.197.0	195.114.197.255	FR
195.114.198.0	195.114.206.255	ES
195.114.207.0	195.114.207.15	DE
195.114.207.16	195.114.216.63	ES
195.114.216.64	195.114.216.79	NL
195.114.216.80	195.114.217.31	ES
195.114.217.32	195.114.217.63	NL
195.114.217.64	195.114.219.255	ES
195.114.220.0	195.114.223.255	IT
195.114.224.0	195.114.243.255	NL
195.114.244.0	195.114.244.255	DE
195.114.245.0	195.114.255.255	NL
195.115.0.0	195.115.36.127	FR
195.115.36.128	195.115.36.159	GB
195.115.36.160	195.115.99.191	FR
195.115.99.192	195.115.99.223	GB
195.115.99.224	195.115.255.255	FR
195.116.0.0	195.117.255.255	PL
195.118.0.0	195.118.3.255	NL
195.118.4.0	195.118.4.255	GB
195.118.5.0	195.118.15.255	NL
195.118.16.0	195.118.16.255	EU
195.118.17.0	195.118.17.255	IE
195.118.18.0	195.118.18.255	SE
195.118.19.0	195.118.19.255	ES
195.118.20.0	195.118.20.255	PT
195.118.21.0	195.118.21.255	IL
195.118.22.0	195.118.23.255	ZA
195.118.24.0	195.118.26.255	ES
195.118.27.0	195.118.27.255	ZA
195.118.28.0	195.118.29.255	SE
195.118.30.0	195.118.31.255	ZA
195.118.32.0	195.118.58.255	DE
195.118.59.0	195.118.59.15	EU
195.118.59.16	195.118.59.31	DE
195.118.59.32	195.118.59.63	GB
195.118.59.64	195.118.59.159	DE
195.118.59.160	195.118.59.191	GB
195.118.59.192	195.118.59.255	ES
195.118.60.0	195.118.63.255	DE
195.118.64.0	195.118.79.255	FR
195.118.80.0	195.118.83.255	DE
195.118.84.0	195.118.87.255	EU
195.118.88.0	195.118.90.7	DE
195.118.90.8	195.118.90.15	EU
195.118.90.16	195.118.91.255	DE
195.118.92.0	195.118.95.255	GB
195.118.96.0	195.118.98.255	CH
195.118.99.0	195.118.99.255	BE
195.118.100.0	195.118.100.255	DE
195.118.101.0	195.118.101.255	BE
195.118.102.0	195.118.106.255	IT
195.118.107.0	195.118.107.127	DE
195.118.107.128	195.118.107.191	IT
195.118.107.192	195.118.107.207	DE
195.118.107.208	195.118.107.223	IT
195.118.107.224	195.118.107.255	NL
195.118.108.0	195.118.108.255	DE
195.118.109.0	195.118.109.255	GB
195.118.110.0	195.118.110.31	CZ
195.118.110.32	195.118.110.127	FR
195.118.110.128	195.118.110.159	CZ
195.118.110.160	195.118.110.191	FR
195.118.110.192	195.118.110.223	ZA
195.118.110.224	195.118.110.255	GB
195.118.111.0	195.118.111.255	NL
195.118.112.0	195.118.115.255	AT
195.118.116.0	195.118.119.255	FR
195.118.120.0	195.118.125.255	DK
195.118.126.0	195.118.126.39	NL
195.118.126.40	195.118.126.47	AT
195.118.126.48	195.118.126.63	GB
195.118.126.64	195.118.126.255	DE
195.118.127.0	195.118.127.95	NL
195.118.127.96	195.118.127.191	DE
195.118.127.192	195.118.155.31	GB
195.118.155.32	195.118.155.63	DK
195.118.155.64	195.118.157.255	GB
195.118.158.0	195.118.158.255	EU
195.118.159.0	195.118.175.127	GB
195.118.175.128	195.118.175.255	BE
195.118.176.0	195.118.191.255	GB
195.118.192.0	195.118.193.255	ES
195.118.194.0	195.118.195.255	IT
195.118.196.0	195.118.196.127	FR
195.118.196.128	195.118.196.255	EU
195.118.197.0	195.118.197.255	FR
195.118.198.0	195.118.199.255	IT
195.118.200.0	195.118.200.255	SE
195.118.201.0	195.118.201.255	ZA
195.118.202.0	195.118.202.255	IT
195.118.203.0	195.118.203.255	ZA
195.118.204.0	195.118.204.255	SE
195.118.205.0	195.118.205.255	HR
195.118.206.0	195.118.206.255	SI
195.118.207.0	195.118.207.255	ZA
195.118.208.0	195.118.213.255	BE
195.118.214.0	195.118.215.255	SE
195.118.216.0	195.118.220.255	GB
195.118.221.0	195.118.223.255	FR
195.118.224.0	195.118.225.255	SE
195.118.226.0	195.118.227.255	IT
195.118.228.0	195.118.228.255	GB
195.118.229.0	195.118.229.255	ES
195.118.230.0	195.118.230.255	IT
195.118.231.0	195.118.231.255	FR
195.118.232.0	195.118.236.255	DE
195.118.237.0	195.118.237.255	FR
195.118.238.0	195.118.239.255	GB
195.118.240.0	195.118.241.255	DK
195.118.242.0	195.118.242.255	GB
195.118.243.0	195.118.243.255	BE
195.118.244.0	195.118.244.23	SE
195.118.244.24	195.118.244.255	EU
195.118.245.0	195.118.245.255	GB
195.118.246.0	195.118.251.255	DK
195.118.252.0	195.118.254.255	AT
195.118.255.0	195.118.255.255	BE
195.119.0.0	195.119.0.135	EU
195.119.0.136	195.119.0.143	NO
195.119.0.144	195.119.0.159	EU
195.119.0.160	195.119.0.223	NO
195.119.0.224	195.119.0.255	EU
195.119.1.0	195.119.1.255	NO
195.119.2.0	195.119.3.255	EU
195.119.4.0	195.119.5.255	NO
195.119.6.0	195.119.63.255	EU
195.119.64.0	195.119.65.255	FI
195.119.66.0	195.119.66.255	EU
195.119.67.0	195.119.75.255	FI
195.119.76.0	195.119.95.255	EU
195.119.96.0	195.119.97.255	CH
195.119.98.0	195.119.104.255	EU
195.119.105.0	195.119.108.255	CH
195.119.109.0	195.119.109.255	EU
195.119.110.0	195.119.114.255	CH
195.119.115.0	195.119.118.255	EU
195.119.119.0	195.119.119.127	CH
195.119.119.128	195.119.121.255	EU
195.119.122.0	195.119.122.255	CH
195.119.123.0	195.119.127.255	EU
195.119.128.0	195.119.128.255	GR
195.119.129.0	195.119.129.255	EU
195.119.130.0	195.119.130.59	GR
195.119.130.60	195.119.130.63	EU
195.119.130.64	195.119.130.71	GR
195.119.130.72	195.119.130.75	EU
195.119.130.76	195.119.130.91	GR
195.119.130.92	195.119.130.95	EU
195.119.130.96	195.119.130.175	GR
195.119.130.176	195.119.130.179	EU
195.119.130.180	195.119.130.195	GR
195.119.130.196	195.119.130.199	EU
195.119.130.200	195.119.130.255	GR
195.119.131.0	195.119.132.15	EU
195.119.132.16	195.119.132.31	GR
195.119.132.32	195.119.133.63	EU
195.119.133.64	195.119.133.191	GR
195.119.133.192	195.119.147.255	EU
195.119.148.0	195.119.148.255	GR
195.119.149.0	195.119.149.255	EU
195.119.150.0	195.119.150.255	GR
195.119.151.0	195.119.182.255	EU
195.119.183.0	195.119.183.255	CZ
195.119.184.0	195.119.184.255	EU
195.119.185.0	195.119.187.127	CZ
195.119.187.128	195.119.188.255	EU
195.119.189.0	195.119.189.127	CZ
195.119.189.128	195.119.190.255	EU
195.119.191.0	195.119.191.255	CZ
195.119.192.0	195.119.255.255	EU
195.120.0.0	195.120.255.255	IT
195.121.0.0	195.121.255.255	NL
195.122.0.0	195.122.31.255	LV
195.122.32.0	195.122.63.255	GB
195.122.64.0	195.122.95.255	IT
195.122.96.0	195.122.127.255	BE
195.122.128.0	195.122.130.127	DE
195.122.130.128	195.122.130.159	GB
195.122.130.160	195.122.130.199	DE
195.122.130.200	195.122.130.207	GB
195.122.130.208	195.122.131.255	DE
195.122.132.0	195.122.132.255	GB
195.122.133.0	195.122.138.255	DE
195.122.139.0	195.122.140.255	GB
195.122.141.0	195.122.141.255	DE
195.122.142.0	195.122.143.255	GB
195.122.144.0	195.122.145.255	DE
195.122.146.0	195.122.148.255	GB
195.122.149.0	195.122.150.23	DE
195.122.150.24	195.122.150.255	GB
195.122.151.0	195.122.153.255	DE
195.122.154.0	195.122.157.255	GB
195.122.158.0	195.122.158.255	DE
195.122.159.0	195.122.159.31	GB
195.122.159.32	195.122.159.51	DE
195.122.159.52	195.122.159.55	GB
195.122.159.56	195.122.159.59	DE
195.122.159.60	195.122.159.191	GB
195.122.159.192	195.122.159.224	DE
195.122.159.225	195.122.159.255	GB
195.122.160.0	195.122.160.15	DE
195.122.160.16	195.122.160.63	GB
195.122.160.64	195.122.160.95	DE
195.122.160.96	195.122.160.127	GB
195.122.160.128	195.122.163.255	DE
195.122.164.0	195.122.169.127	GB
195.122.169.128	195.122.169.223	DE
195.122.169.224	195.122.169.247	GB
195.122.169.248	195.122.169.255	DE
195.122.170.0	195.122.171.255	GB
195.122.172.0	195.122.174.255	DE
195.122.175.0	195.122.186.255	GB
195.122.187.0	195.122.187.95	DE
195.122.187.96	195.122.187.103	GB
195.122.187.104	195.122.187.255	DE
195.122.188.0	195.122.191.255	GB
195.122.192.0	195.122.223.255	CZ
195.122.224.0	195.122.255.255	RU
195.123.0.0	195.123.255.255	UA
195.124.0.0	195.125.14.255	DE
195.125.15.0	195.125.15.255	CH
195.125.16.0	195.127.67.239	DE
195.127.67.240	195.127.67.247	GB
195.127.67.248	195.128.3.255	DE
195.128.4.0	195.128.7.255	SE
195.128.8.0	195.128.11.255	NL
195.128.12.0	195.128.15.255	GB
195.128.16.0	195.128.19.255	UA
195.128.20.0	195.128.23.255	DE
195.128.24.0	195.128.27.255	CY
195.128.28.0	195.128.31.255	PL
195.128.32.0	195.128.39.255	TR
195.128.40.0	195.128.47.255	DE
195.128.48.0	195.128.103.255	RU
195.128.104.0	195.128.111.255	AT
195.128.112.0	195.128.119.255	PL
195.128.120.0	195.128.159.255	RU
195.128.160.0	195.128.161.255	NL
195.128.162.0	195.128.163.255	RU
195.128.164.0	195.128.165.255	RO
195.128.166.0	195.128.167.255	AM
195.128.168.0	195.128.169.255	RO
195.128.170.0	195.128.171.255	AT
195.128.172.0	195.128.173.255	PL
195.128.174.0	195.128.175.255	DK
195.128.176.0	195.128.177.255	IL
195.128.178.0	195.128.179.255	UA
195.128.180.0	195.128.181.255	PL
195.128.182.0	195.128.183.255	UA
195.128.184.0	195.128.187.255	NL
195.128.188.0	195.128.189.255	RO
195.128.190.0	195.128.191.255	GB
195.128.192.0	195.128.223.255	CZ
195.128.224.0	195.128.225.255	BG
195.128.226.0	195.128.227.255	UA
195.128.228.0	195.128.229.255	PL
195.128.230.0	195.128.231.255	UA
195.128.232.0	195.128.233.255	HU
195.128.234.0	195.128.235.255	IT
195.128.236.0	195.128.237.255	DK
195.128.238.0	195.128.239.255	GB
195.128.240.0	195.128.241.255	SE
195.128.242.0	195.128.243.255	PL
195.128.244.0	195.128.247.255	RU
195.128.248.0	195.128.249.255	UA
195.128.250.0	195.128.251.255	GB
195.128.252.0	195.128.253.255	UA
195.128.254.0	195.128.255.255	TR
195.129.0.0	195.129.0.63	DE
195.129.0.64	195.129.0.127	NL
195.129.0.128	195.129.0.143	EU
195.129.0.144	195.129.0.151	GB
195.129.0.152	195.129.1.31	EU
195.129.1.32	195.129.1.47	GB
195.129.1.48	195.129.1.127	EU
195.129.1.128	195.129.1.255	IT
195.129.2.0	195.129.2.7	NL
195.129.2.8	195.129.2.15	BE
195.129.2.16	195.129.2.127	EU
195.129.2.128	195.129.2.175	BE
195.129.2.176	195.129.13.255	EU
195.129.14.0	195.129.14.255	FR
195.129.15.0	195.129.15.255	GB
195.129.16.0	195.129.17.255	EU
195.129.18.0	195.129.19.255	GB
195.129.20.0	195.129.20.63	EU
195.129.20.64	195.129.20.79	BE
195.129.20.80	195.129.20.159	EU
195.129.20.160	195.129.20.175	BE
195.129.20.176	195.129.20.191	GR
195.129.20.192	195.129.20.223	NO
195.129.20.224	195.129.20.239	CH
195.129.20.240	195.129.22.63	EU
195.129.22.64	195.129.22.95	BE
195.129.22.96	195.129.22.127	FR
195.129.22.128	195.129.22.159	IT
195.129.22.160	195.129.22.191	EU
195.129.22.192	195.129.22.255	IE
195.129.23.0	195.129.25.255	EU
195.129.26.0	195.129.27.255	IT
195.129.28.0	195.129.31.255	GB
195.129.32.0	195.129.32.255	EU
195.129.33.0	195.129.35.255	CH
195.129.36.0	195.129.36.255	IE
195.129.37.0	195.129.37.255	BE
195.129.38.0	195.129.38.95	GB
195.129.38.96	195.129.38.127	EU
195.129.38.128	195.129.38.191	NL
195.129.38.192	195.129.38.255	EU
195.129.39.0	195.129.39.255	CH
195.129.40.0	195.129.40.255	EU
195.129.41.0	195.129.41.63	BE
195.129.41.64	195.129.44.255	EU
195.129.45.0	195.129.45.255	IT
195.129.46.0	195.129.47.255	EU
195.129.48.0	195.129.51.255	IT
195.129.52.0	195.129.52.255	SE
195.129.53.0	195.129.61.255	EU
195.129.62.0	195.129.62.255	IE
195.129.63.0	195.129.63.255	EU
195.129.64.0	195.129.64.255	CH
195.129.65.0	195.129.65.255	EU
195.129.66.0	195.129.66.255	IT
195.129.67.0	195.129.67.255	BE
195.129.68.0	195.129.73.255	EU
195.129.74.0	195.129.74.255	CH
195.129.75.0	195.129.79.255	EU
195.129.80.0	195.129.80.255	IE
195.129.81.0	195.129.81.127	EU
195.129.81.128	195.129.81.255	CH
195.129.82.0	195.129.93.255	EU
195.129.94.0	195.129.94.255	CH
195.129.95.0	195.129.98.255	EU
195.129.99.0	195.129.99.255	CH
195.129.100.0	195.129.103.255	EU
195.129.104.0	195.129.105.255	CH
195.129.106.0	195.129.117.255	EU
195.129.118.0	195.129.118.255	CH
195.129.119.0	195.129.255.255	EU
195.130.0.0	195.130.31.255	GB
195.130.32.0	195.130.63.255	BA
195.130.64.0	195.130.127.255	GR
195.130.128.0	195.130.159.255	BE
195.130.160.0	195.130.191.255	CH
195.130.192.0	195.130.192.255	DE
195.130.193.0	195.130.193.255	IS
195.130.194.0	195.130.194.255	SI
195.130.195.0	195.130.195.255	IT
195.130.196.0	195.130.196.255	CH
195.130.197.0	195.130.197.255	PL
195.130.198.0	195.130.198.255	AT
195.130.199.0	195.130.199.255	EU
195.130.200.0	195.130.200.255	SE
195.130.201.0	195.130.201.255	GB
195.130.202.0	195.130.203.255	HU
195.130.204.0	195.130.204.255	RU
195.130.205.0	195.130.205.255	LV
195.130.206.0	195.130.206.255	SA
195.130.207.0	195.130.207.255	FR
195.130.208.0	195.130.209.255	RU
195.130.210.0	195.130.210.255	GB
195.130.211.0	195.130.211.255	IS
195.130.212.0	195.130.212.255	PL
195.130.213.0	195.130.213.255	IT
195.130.214.0	195.130.214.255	RU
195.130.215.0	195.130.215.255	RO
195.130.216.0	195.130.216.255	RU
195.130.217.0	195.130.217.255	GB
195.130.218.0	195.130.218.255	CH
195.130.219.0	195.130.219.255	UA
195.130.220.0	195.130.220.255	IT
195.130.221.0	195.130.221.255	DE
195.130.222.0	195.130.222.255	FR
195.130.223.0	195.130.223.255	NL
195.130.224.0	195.130.255.255	IT
195.131.0.0	195.131.9.175	RU
195.131.9.176	195.131.9.183	RO
195.131.9.184	195.131.255.255	RU
195.132.0.0	195.132.255.255	FR
195.133.0.0	195.133.255.255	RU
195.134.0.0	195.134.31.255	GB
195.134.32.0	195.134.63.255	NO
195.134.64.0	195.134.127.255	GR
195.134.128.0	195.134.159.255	CH
195.134.160.0	195.134.192.31	FR
195.134.192.32	195.134.192.63	GB
195.134.192.64	195.134.192.95	FR
195.134.192.96	195.134.192.127	GB
195.134.192.128	195.134.194.151	FR
195.134.194.152	195.134.194.159	GB
195.134.194.160	195.134.194.191	FR
195.134.194.192	195.134.194.223	GB
195.134.194.224	195.134.201.255	FR
195.134.202.0	195.134.202.63	GB
195.134.202.64	195.134.202.95	FR
195.134.202.96	195.134.202.127	GB
195.134.202.128	195.134.202.159	FR
195.134.202.160	195.134.202.223	GB
195.134.202.224	195.134.202.255	FR
195.134.203.0	195.134.203.255	GB
195.134.204.0	195.134.205.127	FR
195.134.205.128	195.134.205.159	GB
195.134.205.160	195.134.206.63	FR
195.134.206.64	195.134.206.95	GB
195.134.206.96	195.134.206.127	FR
195.134.206.128	195.134.207.31	GB
195.134.207.32	195.134.207.71	FR
195.134.207.72	195.134.207.95	GB
195.134.207.96	195.134.207.127	FR
195.134.207.128	195.134.207.159	GB
195.134.207.160	195.134.207.191	FR
195.134.207.192	195.134.207.255	CH
195.134.208.0	195.134.208.127	FR
195.134.208.128	195.134.208.191	GB
195.134.208.192	195.134.208.223	FR
195.134.208.224	195.134.208.255	GB
195.134.209.0	195.134.209.15	FR
195.134.209.16	195.134.209.191	GB
195.134.209.192	195.134.209.223	FR
195.134.209.224	195.134.209.255	GB
195.134.210.0	195.134.210.127	FR
195.134.210.128	195.134.211.63	GB
195.134.211.64	195.134.211.95	FR
195.134.211.96	195.134.211.127	GB
195.134.211.128	195.134.211.191	FR
195.134.211.192	195.134.212.127	GB
195.134.212.128	195.134.212.159	FR
195.134.212.160	195.134.212.191	GB
195.134.212.192	195.134.213.63	FR
195.134.213.64	195.134.213.127	GB
195.134.213.128	195.134.213.159	FR
195.134.213.160	195.134.213.223	GB
195.134.213.224	195.134.213.255	FR
195.134.214.0	195.134.216.127	GB
195.134.216.128	195.134.216.191	FR
195.134.216.192	195.134.216.223	GB
195.134.216.224	195.134.216.255	FR
195.134.217.0	195.134.217.31	GB
195.134.217.32	195.134.217.63	FR
195.134.217.64	195.134.217.127	GB
195.134.217.128	195.134.220.255	FR
195.134.221.0	195.134.221.127	GB
195.134.221.128	195.134.222.63	FR
195.134.222.64	195.134.222.255	GB
195.134.223.0	195.134.223.23	FR
195.134.223.24	195.134.223.39	GB
195.134.223.40	195.134.223.63	FR
195.134.223.64	195.134.223.159	GB
195.134.223.160	195.134.223.191	FR
195.134.223.192	195.134.223.223	GB
195.134.223.224	195.134.223.231	FR
195.134.223.232	195.134.223.255	GB
195.134.224.0	195.134.255.255	FI
195.135.0.0	195.135.127.255	IT
195.135.128.0	195.135.191.255	DE
195.135.192.0	195.135.195.255	RO
195.135.196.0	195.135.199.255	UA
195.135.200.0	195.135.203.255	IT
195.135.204.0	195.135.207.255	RU
195.135.208.0	195.135.211.255	GB
195.135.212.0	195.135.215.255	RU
195.135.216.0	195.135.219.255	DK
195.135.220.0	195.135.227.255	DE
195.135.228.0	195.135.231.255	DK
195.135.232.0	195.135.243.255	RU
195.135.244.0	195.135.247.255	UA
195.135.248.0	195.135.251.255	GB
195.135.252.0	195.135.255.255	CY
195.136.0.0	195.136.255.255	PL
195.137.0.0	195.137.127.255	GB
195.137.128.0	195.137.159.255	IT
195.137.160.0	195.137.160.255	BY
195.137.161.0	195.137.162.255	PL
195.137.163.0	195.137.163.255	DE
195.137.164.0	195.137.164.255	IL
195.137.165.0	195.137.165.255	NL
195.137.166.0	195.137.166.255	RO
195.137.167.0	195.137.167.255	UA
195.137.168.0	195.137.168.255	PL
195.137.169.0	195.137.169.255	NL
195.137.170.0	195.137.170.255	DE
195.137.171.0	195.137.171.255	RU
195.137.172.0	195.137.172.255	CH
195.137.173.0	195.137.173.255	HR
195.137.174.0	195.137.174.255	KW
195.137.175.0	195.137.175.255	CH
195.137.176.0	195.137.176.255	GB
195.137.177.0	195.137.177.255	DE
195.137.178.0	195.137.178.255	DK
195.137.179.0	195.137.179.255	EE
195.137.180.0	195.137.180.255	BY
195.137.181.0	195.137.181.255	FR
195.137.182.0	195.137.182.255	CZ
195.137.183.0	195.137.183.255	DK
195.137.184.0	195.137.184.255	FR
195.137.185.0	195.137.185.255	UA
195.137.186.0	195.137.186.255	RO
195.137.187.0	195.137.187.255	RU
195.137.188.0	195.137.188.255	PS
195.137.189.0	195.137.189.255	PL
195.137.190.0	195.137.190.255	RO
195.137.191.0	195.137.191.255	DE
195.137.192.0	195.137.193.255	UA
195.137.194.0	195.137.195.255	DK
195.137.196.0	195.137.197.255	UA
195.137.198.0	195.137.199.255	DE
195.137.200.0	195.137.201.255	RU
195.137.202.0	195.137.203.255	UA
195.137.204.0	195.137.205.255	RO
195.137.206.0	195.137.207.255	UA
195.137.208.0	195.137.209.255	PL
195.137.210.0	195.137.213.255	DE
195.137.214.0	195.137.215.255	NL
195.137.216.0	195.137.217.255	DE
195.137.218.0	195.137.221.255	GB
195.137.222.0	195.137.223.255	TR
195.137.224.0	195.137.225.255	DE
195.137.226.0	195.137.227.255	UA
195.137.228.0	195.137.229.255	LU
195.137.230.0	195.137.231.255	NL
195.137.232.0	195.137.233.255	UA
195.137.234.0	195.137.235.255	DE
195.137.236.0	195.137.237.255	DK
195.137.238.0	195.137.239.255	AT
195.137.240.0	195.137.241.255	UA
195.137.242.0	195.137.243.255	FR
195.137.244.0	195.137.245.255	UA
195.137.246.0	195.137.247.255	PL
195.137.248.0	195.137.249.255	FR
195.137.250.0	195.137.251.255	UA
195.137.252.0	195.137.253.255	BG
195.137.254.0	195.137.255.255	UA
195.138.0.0	195.138.31.255	PT
195.138.32.0	195.138.63.255	DE
195.138.64.0	195.138.95.255	UA
195.138.96.0	195.138.127.255	MD
195.138.128.0	195.138.135.159	BG
195.138.135.160	195.138.135.167	DE
195.138.135.168	195.138.144.255	BG
195.138.145.0	195.138.145.255	A2
195.138.146.0	195.138.159.255	BG
195.138.160.0	195.138.191.255	UA
195.138.192.0	195.138.192.255	RO
195.138.193.0	195.138.193.255	UA
195.138.194.0	195.138.195.255	GB
195.138.196.0	195.138.196.255	SI
195.138.197.0	195.138.197.255	FR
195.138.198.0	195.138.198.255	UA
195.138.199.0	195.138.199.255	NO
195.138.200.0	195.138.200.255	PL
195.138.201.0	195.138.201.255	SI
195.138.202.0	195.138.202.255	FR
195.138.203.0	195.138.203.255	CH
195.138.204.0	195.138.205.255	GB
195.138.206.0	195.138.206.255	RU
195.138.207.0	195.138.207.255	CH
195.138.208.0	195.138.208.255	PL
195.138.209.0	195.138.209.255	ES
195.138.210.0	195.138.210.255	RU
195.138.211.0	195.138.211.255	PL
195.138.212.0	195.138.212.255	SE
195.138.213.0	195.138.213.255	FI
195.138.214.0	195.138.214.255	RO
195.138.215.0	195.138.216.255	CH
195.138.217.0	195.138.219.255	UA
195.138.220.0	195.138.220.255	RU
195.138.221.0	195.138.221.255	SE
195.138.222.0	195.138.222.255	RO
195.138.223.0	195.138.223.255	DE
195.138.224.0	195.138.255.255	GB
195.139.0.0	195.139.255.255	NO
195.140.0.0	195.140.127.255	DE
195.140.128.0	195.140.131.255	TJ
195.140.132.0	195.140.135.255	DK
195.140.136.0	195.140.139.255	AT
195.140.140.0	195.140.143.255	FR
195.140.144.0	195.140.147.255	NL
195.140.148.0	195.140.151.255	FR
195.140.152.0	195.140.155.255	PL
195.140.156.0	195.140.159.255	ES
195.140.160.0	195.140.163.255	UA
195.140.164.0	195.140.167.255	ME
195.140.168.0	195.140.171.255	UA
195.140.172.0	195.140.175.255	SE
195.140.176.0	195.140.179.255	UA
195.140.180.0	195.140.183.255	RU
195.140.184.0	195.140.187.255	DE
195.140.188.0	195.140.191.255	PL
195.140.192.0	195.140.195.255	FI
195.140.196.0	195.140.199.255	TR
195.140.200.0	195.140.203.255	SE
195.140.204.0	195.140.207.255	RU
195.140.208.0	195.140.215.255	DE
195.140.216.0	195.140.219.255	GB
195.140.220.0	195.140.223.255	PL
195.140.224.0	195.140.231.255	UA
195.140.232.0	195.140.235.255	DE
195.140.236.0	195.140.239.255	PL
195.140.240.0	195.140.243.255	NL
195.140.244.0	195.140.247.255	UA
195.140.248.0	195.140.251.255	MZ
195.140.252.0	195.140.255.255	CZ
195.141.0.0	195.141.51.31	CH
195.141.51.32	195.141.51.47	DE
195.141.51.48	195.141.182.4	CH
195.141.182.5	195.141.182.7	GB
195.141.182.8	195.141.255.255	CH
195.142.0.0	195.142.255.255	TR
195.143.0.0	195.143.0.0	GB
195.143.0.1	195.143.0.1	DE
195.143.0.2	195.143.0.3	GB
195.143.0.4	195.143.0.23	DE
195.143.0.24	195.143.0.31	GB
195.143.0.32	195.143.0.47	DE
195.143.0.48	195.143.0.63	GB
195.143.0.64	195.143.0.75	DE
195.143.0.76	195.143.0.79	GB
195.143.0.80	195.143.0.81	DE
195.143.0.82	195.143.0.86	GB
195.143.0.87	195.143.0.91	DE
195.143.0.92	195.143.0.127	GB
195.143.0.128	195.143.0.138	DE
195.143.0.139	195.143.0.139	GB
195.143.0.140	195.143.0.159	DE
195.143.0.160	195.143.0.192	GB
195.143.0.193	195.143.0.193	DE
195.143.0.194	195.143.0.194	GB
195.143.0.195	195.143.0.195	DE
195.143.0.196	195.143.0.196	GB
195.143.0.197	195.143.0.197	DE
195.143.0.198	195.143.0.223	GB
195.143.0.224	195.143.0.230	DE
195.143.0.231	195.143.0.239	GB
195.143.0.240	195.143.0.247	DE
195.143.0.248	195.143.1.31	GB
195.143.1.32	195.143.1.72	DE
195.143.1.73	195.143.1.74	GB
195.143.1.75	195.143.1.75	DE
195.143.1.76	195.143.1.76	GB
195.143.1.77	195.143.1.77	DE
195.143.1.78	195.143.1.95	GB
195.143.1.96	195.143.1.127	DE
195.143.1.128	195.143.1.159	GB
195.143.1.160	195.143.1.223	DE
195.143.1.224	195.143.1.231	GB
195.143.1.232	195.143.1.235	DE
195.143.1.236	195.143.1.239	GB
195.143.1.240	195.143.1.247	DE
195.143.1.248	195.143.1.248	GB
195.143.1.249	195.143.1.249	DE
195.143.1.250	195.143.1.250	GB
195.143.1.251	195.143.1.252	DE
195.143.1.253	195.143.1.253	GB
195.143.1.254	195.143.1.254	DE
195.143.1.255	195.143.2.63	GB
195.143.2.64	195.143.2.87	DE
195.143.2.88	195.143.2.95	GB
195.143.2.96	195.143.2.115	DE
195.143.2.116	195.143.2.119	GB
195.143.2.120	195.143.2.123	DE
195.143.2.124	195.143.2.124	GB
195.143.2.125	195.143.2.126	DE
195.143.2.127	195.143.2.175	GB
195.143.2.176	195.143.2.207	DE
195.143.2.208	195.143.2.223	GB
195.143.2.224	195.143.2.247	DE
195.143.2.248	195.143.2.251	GB
195.143.2.252	195.143.2.254	DE
195.143.2.255	195.143.3.15	GB
195.143.3.16	195.143.3.47	DE
195.143.3.48	195.143.3.63	GB
195.143.3.64	195.143.3.79	DE
195.143.3.80	195.143.3.95	GB
195.143.3.96	195.143.3.105	DE
195.143.3.106	195.143.3.106	GB
195.143.3.107	195.143.3.109	DE
195.143.3.110	195.143.3.111	GB
195.143.3.112	195.143.3.119	DE
195.143.3.120	195.143.3.127	GB
195.143.3.128	195.143.3.159	DE
195.143.3.160	195.143.3.160	GB
195.143.3.161	195.143.3.161	DE
195.143.3.162	195.143.3.162	GB
195.143.3.163	195.143.3.163	DE
195.143.3.164	195.143.3.164	GB
195.143.3.165	195.143.3.167	DE
195.143.3.168	195.143.3.175	GB
195.143.3.176	195.143.3.191	DE
195.143.3.192	195.143.4.0	GB
195.143.4.1	195.143.4.7	DE
195.143.4.8	195.143.4.35	GB
195.143.4.36	195.143.4.47	DE
195.143.4.48	195.143.4.63	GB
195.143.4.64	195.143.4.95	DE
195.143.4.96	195.143.4.96	GB
195.143.4.97	195.143.4.97	DE
195.143.4.98	195.143.4.255	GB
195.143.5.0	195.143.5.31	DE
195.143.5.32	195.143.5.39	GB
195.143.5.40	195.143.5.43	DE
195.143.5.44	195.143.5.47	GB
195.143.5.48	195.143.5.63	DE
195.143.5.64	195.143.5.79	GB
195.143.5.80	195.143.5.107	DE
195.143.5.108	195.143.5.127	GB
195.143.5.128	195.143.5.129	DE
195.143.5.130	195.143.5.132	GB
195.143.5.133	195.143.5.134	DE
195.143.5.135	195.143.5.142	GB
195.143.5.143	195.143.5.143	DE
195.143.5.144	195.143.5.149	GB
195.143.5.150	195.143.5.150	DE
195.143.5.151	195.143.5.151	GB
195.143.5.152	195.143.5.191	DE
195.143.5.192	195.143.6.47	GB
195.143.6.48	195.143.6.63	DE
195.143.6.64	195.143.6.79	GB
195.143.6.80	195.143.6.87	DE
195.143.6.88	195.143.6.103	GB
195.143.6.104	195.143.6.116	DE
195.143.6.117	195.143.6.117	GB
195.143.6.118	195.143.6.127	DE
195.143.6.128	195.143.6.160	GB
195.143.6.161	195.143.6.161	DE
195.143.6.162	195.143.6.162	GB
195.143.6.163	195.143.6.191	DE
195.143.6.192	195.143.6.207	GB
195.143.6.208	195.143.6.211	DE
195.143.6.212	195.143.6.220	GB
195.143.6.221	195.143.6.231	DE
195.143.6.232	195.143.6.233	GB
195.143.6.234	195.143.6.237	DE
195.143.6.238	195.143.7.1	GB
195.143.7.2	195.143.7.2	DE
195.143.7.3	195.143.7.3	GB
195.143.7.4	195.143.7.15	DE
195.143.7.16	195.143.7.19	GB
195.143.7.20	195.143.7.31	DE
195.143.7.32	195.143.7.79	GB
195.143.7.80	195.143.7.95	DE
195.143.7.96	195.143.7.111	GB
195.143.7.112	195.143.7.127	DE
195.143.7.128	195.143.7.159	GB
195.143.7.160	195.143.7.171	DE
195.143.7.172	195.143.7.175	GB
195.143.7.176	195.143.7.183	DE
195.143.7.184	195.143.7.187	GB
195.143.7.188	195.143.7.199	DE
195.143.7.200	195.143.7.207	GB
195.143.7.208	195.143.7.211	DE
195.143.7.212	195.143.7.219	GB
195.143.7.220	195.143.7.223	DE
195.143.7.224	195.143.7.247	GB
195.143.7.248	195.143.7.252	DE
195.143.7.253	195.143.8.2	GB
195.143.8.3	195.143.8.3	DE
195.143.8.4	195.143.8.6	GB
195.143.8.7	195.143.8.7	DE
195.143.8.8	195.143.8.47	GB
195.143.8.48	195.143.8.52	DE
195.143.8.53	195.143.8.53	GB
195.143.8.54	195.143.8.54	DE
195.143.8.55	195.143.8.63	GB
195.143.8.64	195.143.8.95	DE
195.143.8.96	195.143.8.103	GB
195.143.8.104	195.143.8.111	DE
195.143.8.112	195.143.8.143	GB
195.143.8.144	195.143.8.167	DE
195.143.8.168	195.143.9.31	GB
195.143.9.32	195.143.9.47	DE
195.143.9.48	195.143.9.63	GB
195.143.9.64	195.143.9.71	DE
195.143.9.72	195.143.9.82	GB
195.143.9.83	195.143.9.83	DE
195.143.9.84	195.143.9.85	GB
195.143.9.86	195.143.9.86	DE
195.143.9.87	195.143.9.87	GB
195.143.9.88	195.143.9.95	DE
195.143.9.96	195.143.9.103	GB
195.143.9.104	195.143.9.108	DE
195.143.9.109	195.143.9.119	GB
195.143.9.120	195.143.9.121	DE
195.143.9.122	195.143.9.122	GB
195.143.9.123	195.143.9.127	DE
195.143.9.128	195.143.9.255	GB
195.143.10.0	195.143.11.47	DE
195.143.11.48	195.143.11.49	GB
195.143.11.50	195.143.11.50	DE
195.143.11.51	195.143.11.51	GB
195.143.11.52	195.143.11.55	DE
195.143.11.56	195.143.11.65	GB
195.143.11.66	195.143.11.66	DE
195.143.11.67	195.143.11.71	GB
195.143.11.72	195.143.11.79	DE
195.143.11.80	195.143.11.231	GB
195.143.11.232	195.143.11.235	DE
195.143.11.236	195.143.11.241	GB
195.143.11.242	195.143.11.242	DE
195.143.11.243	195.143.12.95	GB
195.143.12.96	195.143.12.103	DE
195.143.12.104	195.143.12.111	GB
195.143.12.112	195.143.12.143	DE
195.143.12.144	195.143.12.175	GB
195.143.12.176	195.143.12.191	DE
195.143.12.192	195.143.13.255	GB
195.143.14.0	195.143.14.15	DE
195.143.14.16	195.143.14.31	GB
195.143.14.32	195.143.14.47	DE
195.143.14.48	195.143.14.79	GB
195.143.14.80	195.143.14.103	DE
195.143.14.104	195.143.14.111	GB
195.143.14.112	195.143.14.120	DE
195.143.14.121	195.143.14.122	GB
195.143.14.123	195.143.14.125	DE
195.143.14.126	195.143.14.127	GB
195.143.14.128	195.143.14.143	DE
195.143.14.144	195.143.14.191	GB
195.143.14.192	195.143.14.207	DE
195.143.14.208	195.143.14.215	GB
195.143.14.216	195.143.14.223	DE
195.143.14.224	195.143.14.239	GB
195.143.14.240	195.143.14.255	DE
195.143.15.0	195.143.15.47	GB
195.143.15.48	195.143.15.55	DE
195.143.15.56	195.143.15.63	GB
195.143.15.64	195.143.15.79	DE
195.143.15.80	195.143.15.103	GB
195.143.15.104	195.143.15.127	DE
195.143.15.128	195.143.15.223	GB
195.143.15.224	195.143.15.239	DE
195.143.15.240	195.143.16.112	GB
195.143.16.113	195.143.16.119	DE
195.143.16.120	195.143.16.120	GB
195.143.16.121	195.143.16.121	DE
195.143.16.122	195.143.16.124	GB
195.143.16.125	195.143.16.125	DE
195.143.16.126	195.143.16.126	GB
195.143.16.127	195.143.16.127	DE
195.143.16.128	195.143.16.159	GB
195.143.16.160	195.143.16.175	DE
195.143.16.176	195.143.16.207	GB
195.143.16.208	195.143.16.223	DE
195.143.16.224	195.143.16.239	GB
195.143.16.240	195.143.16.255	DE
195.143.17.0	195.143.17.55	GB
195.143.17.56	195.143.17.95	DE
195.143.17.96	195.143.17.191	GB
195.143.17.192	195.143.17.255	DE
195.143.18.0	195.143.18.63	GB
195.143.18.64	195.143.18.75	DE
195.143.18.76	195.143.18.111	GB
195.143.18.112	195.143.18.143	DE
195.143.18.144	195.143.18.163	GB
195.143.18.164	195.143.18.175	DE
195.143.18.176	195.143.18.191	GB
195.143.18.192	195.143.18.223	DE
195.143.18.224	195.143.18.239	GB
195.143.18.240	195.143.18.240	DE
195.143.18.241	195.143.18.242	GB
195.143.18.243	195.143.18.244	DE
195.143.18.245	195.143.18.255	GB
195.143.19.0	195.143.21.255	DE
195.143.22.0	195.143.22.255	GB
195.143.23.0	195.143.23.207	DE
195.143.23.208	195.143.23.255	GB
195.143.24.0	195.143.24.31	DE
195.143.24.32	195.143.24.95	GB
195.143.24.96	195.143.24.103	DE
195.143.24.104	195.143.24.141	GB
195.143.24.142	195.143.24.143	DE
195.143.24.144	195.143.24.147	GB
195.143.24.148	195.143.24.151	DE
195.143.24.152	195.143.24.207	GB
195.143.24.208	195.143.24.215	DE
195.143.24.216	195.143.24.223	GB
195.143.24.224	195.143.24.255	DE
195.143.25.0	195.143.25.79	GB
195.143.25.80	195.143.25.95	DE
195.143.25.96	195.143.25.176	GB
195.143.25.177	195.143.25.177	DE
195.143.25.178	195.143.25.179	GB
195.143.25.180	195.143.25.183	DE
195.143.25.184	195.143.27.127	GB
195.143.27.128	195.143.27.143	DE
195.143.27.144	195.143.27.176	GB
195.143.27.177	195.143.27.178	DE
195.143.27.179	195.143.27.179	GB
195.143.27.180	195.143.27.183	DE
195.143.27.184	195.143.27.207	GB
195.143.27.208	195.143.27.223	DE
195.143.27.224	195.143.28.103	GB
195.143.28.104	195.143.28.112	DE
195.143.28.113	195.143.28.116	GB
195.143.28.117	195.143.28.117	DE
195.143.28.118	195.143.28.118	GB
195.143.28.119	195.143.28.127	DE
195.143.28.128	195.143.28.207	GB
195.143.28.208	195.143.28.223	DE
195.143.28.224	195.143.28.255	GB
195.143.29.0	195.143.29.127	DE
195.143.29.128	195.143.30.15	GB
195.143.30.16	195.143.30.31	DE
195.143.30.32	195.143.30.47	GB
195.143.30.48	195.143.30.50	DE
195.143.30.51	195.143.30.52	GB
195.143.30.53	195.143.30.53	DE
195.143.30.54	195.143.30.56	GB
195.143.30.57	195.143.30.57	DE
195.143.30.58	195.143.30.58	GB
195.143.30.59	195.143.30.62	DE
195.143.30.63	195.143.30.63	GB
195.143.30.64	195.143.30.64	DE
195.143.30.65	195.143.30.71	GB
195.143.30.72	195.143.30.75	DE
195.143.30.76	195.143.30.111	GB
195.143.30.112	195.143.30.119	DE
195.143.30.120	195.143.30.127	GB
195.143.30.128	195.143.30.135	DE
195.143.30.136	195.143.30.143	GB
195.143.30.144	195.143.30.207	DE
195.143.30.208	195.143.32.39	GB
195.143.32.40	195.143.32.43	DE
195.143.32.44	195.143.32.47	GB
195.143.32.48	195.143.32.63	DE
195.143.32.64	195.143.34.167	GB
195.143.34.168	195.143.34.171	DE
195.143.34.172	195.143.35.191	GB
195.143.35.192	195.143.35.207	DE
195.143.35.208	195.143.36.15	GB
195.143.36.16	195.143.36.19	DE
195.143.36.20	195.143.36.183	GB
195.143.36.184	195.143.36.191	DE
195.143.36.192	195.143.36.223	GB
195.143.36.224	195.143.36.239	DE
195.143.36.240	195.143.36.252	GB
195.143.36.253	195.143.36.253	DE
195.143.36.254	195.143.37.31	GB
195.143.37.32	195.143.37.39	DE
195.143.37.40	195.143.37.43	GB
195.143.37.44	195.143.37.44	DE
195.143.37.45	195.143.37.45	GB
195.143.37.46	195.143.37.46	DE
195.143.37.47	195.143.37.63	GB
195.143.37.64	195.143.37.127	DE
195.143.37.128	195.143.37.160	GB
195.143.37.161	195.143.37.161	DE
195.143.37.162	195.143.37.162	GB
195.143.37.163	195.143.37.167	DE
195.143.37.168	195.143.38.47	GB
195.143.38.48	195.143.38.95	DE
195.143.38.96	195.143.38.123	GB
195.143.38.124	195.143.38.127	DE
195.143.38.128	195.143.38.172	GB
195.143.38.173	195.143.38.173	DE
195.143.38.174	195.143.38.227	GB
195.143.38.228	195.143.38.255	DE
195.143.39.0	195.143.39.15	GB
195.143.39.16	195.143.39.63	DE
195.143.39.64	195.143.39.167	GB
195.143.39.168	195.143.39.179	DE
195.143.39.180	195.143.40.159	GB
195.143.40.160	195.143.40.167	DE
195.143.40.168	195.143.40.171	GB
195.143.40.172	195.143.40.175	DE
195.143.40.176	195.143.43.63	GB
195.143.43.64	195.143.43.95	DE
195.143.43.96	195.143.43.120	GB
195.143.43.121	195.143.43.124	DE
195.143.43.125	195.143.43.125	GB
195.143.43.126	195.143.43.126	DE
195.143.43.127	195.143.43.147	GB
195.143.43.148	195.143.43.148	DE
195.143.43.149	195.143.43.149	GB
195.143.43.150	195.143.43.150	DE
195.143.43.151	195.143.43.199	GB
195.143.43.200	195.143.43.201	DE
195.143.43.202	195.143.43.202	GB
195.143.43.203	195.143.43.203	DE
195.143.43.204	195.143.43.207	GB
195.143.43.208	195.143.43.223	DE
195.143.43.224	195.143.43.239	GB
195.143.43.240	195.143.43.247	DE
195.143.43.248	195.143.44.63	GB
195.143.44.64	195.143.44.71	DE
195.143.44.72	195.143.44.100	GB
195.143.44.101	195.143.44.103	DE
195.143.44.104	195.143.44.111	GB
195.143.44.112	195.143.44.119	DE
195.143.44.120	195.143.45.199	GB
195.143.45.200	195.143.45.207	DE
195.143.45.208	195.143.45.215	GB
195.143.45.216	195.143.45.223	DE
195.143.45.224	195.143.46.31	GB
195.143.46.32	195.143.46.55	DE
195.143.46.56	195.143.46.159	GB
195.143.46.160	195.143.46.175	DE
195.143.46.176	195.143.46.191	GB
195.143.46.192	195.143.46.223	DE
195.143.46.224	195.143.47.32	GB
195.143.47.33	195.143.47.33	DE
195.143.47.34	195.143.47.34	GB
195.143.47.35	195.143.47.35	DE
195.143.47.36	195.143.47.36	GB
195.143.47.37	195.143.47.37	DE
195.143.47.38	195.143.47.159	GB
195.143.47.160	195.143.47.167	DE
195.143.47.168	195.143.48.68	GB
195.143.48.69	195.143.48.71	DE
195.143.48.72	195.143.48.127	GB
195.143.48.128	195.143.48.143	DE
195.143.48.144	195.143.49.0	GB
195.143.49.1	195.143.49.2	DE
195.143.49.3	195.143.49.23	GB
195.143.49.24	195.143.49.31	DE
195.143.49.32	195.143.49.47	GB
195.143.49.48	195.143.49.55	DE
195.143.49.56	195.143.49.57	GB
195.143.49.58	195.143.49.58	DE
195.143.49.59	195.143.49.59	GB
195.143.49.60	195.143.49.61	DE
195.143.49.62	195.143.49.111	GB
195.143.49.112	195.143.49.127	DE
195.143.49.128	195.143.49.167	GB
195.143.49.168	195.143.49.172	DE
195.143.49.173	195.143.49.173	GB
195.143.49.174	195.143.49.211	DE
195.143.49.212	195.143.49.215	GB
195.143.49.216	195.143.49.239	DE
195.143.49.240	195.143.50.87	GB
195.143.50.88	195.143.50.95	DE
195.143.50.96	195.143.50.104	GB
195.143.50.105	195.143.50.107	DE
195.143.50.108	195.143.51.63	GB
195.143.51.64	195.143.51.64	DE
195.143.51.65	195.143.51.70	GB
195.143.51.71	195.143.51.71	DE
195.143.51.72	195.143.51.77	GB
195.143.51.78	195.143.51.78	DE
195.143.51.79	195.143.51.88	GB
195.143.51.89	195.143.51.95	DE
195.143.51.96	195.143.51.128	GB
195.143.51.129	195.143.51.129	DE
195.143.51.130	195.143.51.133	GB
195.143.51.134	195.143.51.134	DE
195.143.51.135	195.143.51.140	GB
195.143.51.141	195.143.51.143	DE
195.143.51.144	195.143.51.170	GB
195.143.51.171	195.143.51.172	DE
195.143.51.173	195.143.51.174	GB
195.143.51.175	195.143.51.176	DE
195.143.51.177	195.143.51.184	GB
195.143.51.185	195.143.51.185	DE
195.143.51.186	195.143.51.186	GB
195.143.51.187	195.143.51.187	DE
195.143.51.188	195.143.51.207	GB
195.143.51.208	195.143.51.223	DE
195.143.51.224	195.143.52.255	GB
195.143.53.0	195.143.53.15	DE
195.143.53.16	195.143.53.47	GB
195.143.53.48	195.143.53.63	DE
195.143.53.64	195.143.53.95	GB
195.143.53.96	195.143.53.135	DE
195.143.53.136	195.143.55.255	GB
195.143.56.0	195.143.56.255	DE
195.143.57.0	195.143.57.255	GB
195.143.58.0	195.143.58.63	DE
195.143.58.64	195.143.58.95	GB
195.143.58.96	195.143.58.127	DE
195.143.58.128	195.143.59.63	GB
195.143.59.64	195.143.59.71	DE
195.143.59.72	195.143.59.95	GB
195.143.59.96	195.143.59.111	DE
195.143.59.112	195.143.60.63	GB
195.143.60.64	195.143.60.71	DE
195.143.60.72	195.143.60.87	GB
195.143.60.88	195.143.60.91	DE
195.143.60.92	195.143.60.95	GB
195.143.60.96	195.143.60.97	DE
195.143.60.98	195.143.60.115	GB
195.143.60.116	195.143.60.119	DE
195.143.60.120	195.143.61.63	GB
195.143.61.64	195.143.61.143	DE
195.143.61.144	195.143.61.159	GB
195.143.61.160	195.143.61.191	DE
195.143.61.192	195.143.61.207	GB
195.143.61.208	195.143.61.223	DE
195.143.61.224	195.143.61.239	GB
195.143.61.240	195.143.61.255	DE
195.143.62.0	195.143.64.34	GB
195.143.64.35	195.143.64.37	DE
195.143.64.38	195.143.64.160	GB
195.143.64.161	195.143.64.161	DE
195.143.64.162	195.143.64.163	GB
195.143.64.164	195.143.64.165	DE
195.143.64.166	195.143.64.167	GB
195.143.64.168	195.143.64.171	DE
195.143.64.172	195.143.64.175	GB
195.143.64.176	195.143.64.183	DE
195.143.64.184	195.143.65.31	GB
195.143.65.32	195.143.65.95	DE
195.143.65.96	195.143.65.127	GB
195.143.65.128	195.143.65.143	DE
195.143.65.144	195.143.66.15	GB
195.143.66.16	195.143.66.31	DE
195.143.66.32	195.143.66.51	GB
195.143.66.52	195.143.66.55	DE
195.143.66.56	195.143.66.79	GB
195.143.66.80	195.143.66.87	DE
195.143.66.88	195.143.66.95	GB
195.143.66.96	195.143.66.103	DE
195.143.66.104	195.143.66.112	GB
195.143.66.113	195.143.66.113	DE
195.143.66.114	195.143.66.148	GB
195.143.66.149	195.143.66.150	DE
195.143.66.151	195.143.66.153	GB
195.143.66.154	195.143.66.154	DE
195.143.66.155	195.143.66.155	GB
195.143.66.156	195.143.66.156	DE
195.143.66.157	195.143.66.157	GB
195.143.66.158	195.143.66.159	DE
195.143.66.160	195.143.66.171	GB
195.143.66.172	195.143.66.176	DE
195.143.66.177	195.143.66.178	GB
195.143.66.179	195.143.66.179	DE
195.143.66.180	195.143.66.183	GB
195.143.66.184	195.143.66.189	DE
195.143.66.190	195.143.66.191	GB
195.143.66.192	195.143.66.255	DE
195.143.67.0	195.143.70.33	GB
195.143.70.34	195.143.70.34	DE
195.143.70.35	195.143.70.35	GB
195.143.70.36	195.143.70.36	DE
195.143.70.37	195.143.77.143	GB
195.143.77.144	195.143.77.159	DE
195.143.77.160	195.143.77.239	GB
195.143.77.240	195.143.77.255	DE
195.143.78.0	195.143.80.255	GB
195.143.81.0	195.143.82.255	DE
195.143.83.0	195.143.85.127	GB
195.143.85.128	195.143.85.159	DE
195.143.85.160	195.143.86.255	GB
195.143.87.0	195.143.90.255	DE
195.143.91.0	195.143.91.3	GB
195.143.91.4	195.143.91.15	DE
195.143.91.16	195.143.91.23	GB
195.143.91.24	195.143.91.31	DE
195.143.91.32	195.143.91.47	GB
195.143.91.48	195.143.91.55	DE
195.143.91.56	195.143.91.63	GB
195.143.91.64	195.143.91.95	DE
195.143.91.96	195.143.91.119	GB
195.143.91.120	195.143.91.127	DE
195.143.91.128	195.143.91.143	GB
195.143.91.144	195.143.91.159	DE
195.143.91.160	195.143.91.255	GB
195.143.92.0	195.143.92.3	DE
195.143.92.4	195.143.92.7	GB
195.143.92.8	195.143.92.23	DE
195.143.92.24	195.143.92.31	GB
195.143.92.32	195.143.92.39	DE
195.143.92.40	195.143.92.63	GB
195.143.92.64	195.143.92.239	DE
195.143.92.240	195.143.92.255	GB
195.143.93.0	195.143.93.47	DE
195.143.93.48	195.143.93.55	GB
195.143.93.56	195.143.93.111	DE
195.143.93.112	195.143.93.119	GB
195.143.93.120	195.143.93.127	DE
195.143.93.128	195.143.93.167	GB
195.143.93.168	195.143.93.191	DE
195.143.93.192	195.143.93.207	GB
195.143.93.208	195.143.93.239	DE
195.143.93.240	195.143.95.16	GB
195.143.95.17	195.143.95.47	DE
195.143.95.48	195.143.95.255	GB
195.143.96.0	195.143.96.27	DE
195.143.96.28	195.143.96.31	GB
195.143.96.32	195.143.96.39	DE
195.143.96.40	195.143.96.79	GB
195.143.96.80	195.143.96.87	DE
195.143.96.88	195.143.96.99	GB
195.143.96.100	195.143.96.100	DE
195.143.96.101	195.143.96.107	GB
195.143.96.108	195.143.96.110	DE
195.143.96.111	195.143.96.111	GB
195.143.96.112	195.143.96.119	DE
195.143.96.120	195.143.96.127	GB
195.143.96.128	195.143.96.131	DE
195.143.96.132	195.143.96.135	GB
195.143.96.136	195.143.96.143	DE
195.143.96.144	195.143.96.147	GB
195.143.96.148	195.143.96.148	DE
195.143.96.149	195.143.96.149	GB
195.143.96.150	195.143.96.150	DE
195.143.96.151	195.143.96.151	GB
195.143.96.152	195.143.96.159	DE
195.143.96.160	195.143.96.175	GB
195.143.96.176	195.143.96.183	DE
195.143.96.184	195.143.96.255	GB
195.143.97.0	195.143.97.63	DE
195.143.97.64	195.143.97.207	GB
195.143.97.208	195.143.97.223	DE
195.143.97.224	195.143.98.207	GB
195.143.98.208	195.143.98.223	DE
195.143.98.224	195.143.99.7	GB
195.143.99.8	195.143.99.15	DE
195.143.99.16	195.143.99.255	GB
195.143.100.0	195.143.100.127	DE
195.143.100.128	195.143.103.255	GB
195.143.104.0	195.143.109.255	DE
195.143.110.0	195.143.110.63	GB
195.143.110.64	195.143.110.79	DE
195.143.110.80	195.143.110.87	GB
195.143.110.88	195.143.110.91	DE
195.143.110.92	195.143.110.223	GB
195.143.110.224	195.143.110.239	DE
195.143.110.240	195.143.110.255	GB
195.143.111.0	195.143.111.15	DE
195.143.111.16	195.143.111.31	GB
195.143.111.32	195.143.111.47	DE
195.143.111.48	195.143.111.63	GB
195.143.111.64	195.143.111.65	DE
195.143.111.66	195.143.111.71	GB
195.143.111.72	195.143.111.79	DE
195.143.111.80	195.143.111.127	GB
195.143.111.128	195.143.112.255	DE
195.143.113.0	195.143.113.47	GB
195.143.113.48	195.143.113.95	DE
195.143.113.96	195.143.113.127	GB
195.143.113.128	195.143.113.143	DE
195.143.113.144	195.143.113.175	GB
195.143.113.176	195.143.113.191	DE
195.143.113.192	195.143.113.239	GB
195.143.113.240	195.143.113.247	DE
195.143.113.248	195.143.114.255	GB
195.143.115.0	195.143.115.15	DE
195.143.115.16	195.143.115.79	GB
195.143.115.80	195.143.115.127	DE
195.143.115.128	195.143.115.135	GB
195.143.115.136	195.143.115.142	DE
195.143.115.143	195.143.115.255	GB
195.143.116.0	195.143.117.131	DE
195.143.117.132	195.143.117.143	GB
195.143.117.144	195.143.117.151	DE
195.143.117.152	195.143.117.159	GB
195.143.117.160	195.143.117.195	DE
195.143.117.196	195.143.117.199	GB
195.143.117.200	195.143.117.207	DE
195.143.117.208	195.143.117.255	GB
195.143.118.0	195.143.118.255	DE
195.143.119.0	195.143.119.255	GB
195.143.120.0	195.143.120.223	DE
195.143.120.224	195.143.120.255	GB
195.143.121.0	195.143.121.191	DE
195.143.121.192	195.143.121.255	GB
195.143.122.0	195.143.122.39	DE
195.143.122.40	195.143.122.255	GB
195.143.123.0	195.143.123.31	DE
195.143.123.32	195.143.123.255	GB
195.143.124.0	195.143.126.255	DE
195.143.127.0	195.143.128.255	GB
195.143.129.0	195.143.129.15	DE
195.143.129.16	195.143.129.63	GB
195.143.129.64	195.143.129.71	DE
195.143.129.72	195.143.129.77	GB
195.143.129.78	195.143.129.79	DE
195.143.129.80	195.143.129.95	GB
195.143.129.96	195.143.129.127	DE
195.143.129.128	195.143.130.63	GB
195.143.130.64	195.143.130.127	DE
195.143.130.128	195.143.132.255	GB
195.143.133.0	195.143.133.15	DE
195.143.133.16	195.143.133.31	GB
195.143.133.32	195.143.133.71	DE
195.143.133.72	195.143.134.127	GB
195.143.134.128	195.143.134.191	DE
195.143.134.192	195.143.134.231	GB
195.143.134.232	195.143.134.239	DE
195.143.134.240	195.143.134.255	GB
195.143.135.0	195.143.135.255	DE
195.143.136.0	195.143.136.6	GB
195.143.136.7	195.143.136.7	DE
195.143.136.8	195.143.136.9	GB
195.143.136.10	195.143.136.11	DE
195.143.136.12	195.143.136.19	GB
195.143.136.20	195.143.136.20	DE
195.143.136.21	195.143.136.31	GB
195.143.136.32	195.143.136.32	DE
195.143.136.33	195.143.136.39	GB
195.143.136.40	195.143.136.47	DE
195.143.136.48	195.143.136.127	GB
195.143.136.128	195.143.136.135	DE
195.143.136.136	195.143.136.143	GB
195.143.136.144	195.143.136.151	DE
195.143.136.152	195.143.136.167	GB
195.143.136.168	195.143.136.183	DE
195.143.136.184	195.143.136.191	GB
195.143.136.192	195.143.136.207	DE
195.143.136.208	195.143.136.239	GB
195.143.136.240	195.143.136.255	DE
195.143.137.0	195.143.137.255	GB
195.143.138.0	195.143.138.255	DE
195.143.139.0	195.143.143.255	GB
195.143.144.0	195.143.144.255	DE
195.143.145.0	195.143.145.63	GB
195.143.145.64	195.143.145.79	DE
195.143.145.80	195.143.145.127	GB
195.143.145.128	195.143.145.191	DE
195.143.145.192	195.143.145.239	GB
195.143.145.240	195.143.145.255	DE
195.143.146.0	195.143.149.255	GB
195.143.150.0	195.143.151.31	DE
195.143.151.32	195.143.151.111	GB
195.143.151.112	195.143.151.127	DE
195.143.151.128	195.143.154.255	GB
195.143.155.0	195.143.155.255	DE
195.143.156.0	195.143.157.79	GB
195.143.157.80	195.143.157.127	DE
195.143.157.128	195.143.159.127	GB
195.143.159.128	195.143.159.131	DE
195.143.159.132	195.143.159.159	GB
195.143.159.160	195.143.159.175	DE
195.143.159.176	195.143.161.255	GB
195.143.162.0	195.143.162.159	DE
195.143.162.160	195.143.162.191	GB
195.143.162.192	195.143.162.223	DE
195.143.162.224	195.143.163.11	GB
195.143.163.12	195.143.163.15	DE
195.143.163.16	195.143.163.79	GB
195.143.163.80	195.143.163.83	DE
195.143.163.84	195.143.163.175	GB
195.143.163.176	195.143.163.191	DE
195.143.163.192	195.143.164.23	GB
195.143.164.24	195.143.164.31	DE
195.143.164.32	195.143.164.47	GB
195.143.164.48	195.143.164.63	DE
195.143.164.64	195.143.164.95	GB
195.143.164.96	195.143.164.111	DE
195.143.164.112	195.143.164.223	GB
195.143.164.224	195.143.164.239	DE
195.143.164.240	195.143.165.31	GB
195.143.165.32	195.143.165.47	DE
195.143.165.48	195.143.166.31	GB
195.143.166.32	195.143.166.63	DE
195.143.166.64	195.143.166.79	GB
195.143.166.80	195.143.166.87	DE
195.143.166.88	195.143.166.95	GB
195.143.166.96	195.143.166.127	DE
195.143.166.128	195.143.167.79	GB
195.143.167.80	195.143.167.95	DE
195.143.167.96	195.143.167.127	GB
195.143.167.128	195.143.167.223	DE
195.143.167.224	195.143.168.23	GB
195.143.168.24	195.143.168.31	DE
195.143.168.32	195.143.168.39	GB
195.143.168.40	195.143.168.43	DE
195.143.168.44	195.143.168.47	GB
195.143.168.48	195.143.168.63	DE
195.143.168.64	195.143.168.255	GB
195.143.169.0	195.143.169.31	DE
195.143.169.32	195.143.169.39	GB
195.143.169.40	195.143.169.47	DE
195.143.169.48	195.143.170.31	GB
195.143.170.32	195.143.170.47	DE
195.143.170.48	195.143.170.63	GB
195.143.170.64	195.143.170.127	DE
195.143.170.128	195.143.176.255	GB
195.143.177.0	195.143.177.255	DE
195.143.178.0	195.143.178.63	GB
195.143.178.64	195.143.178.79	DE
195.143.178.80	195.143.178.255	GB
195.143.179.0	195.143.179.255	DE
195.143.180.0	195.143.187.55	GB
195.143.187.56	195.143.187.79	DE
195.143.187.80	195.143.187.191	GB
195.143.187.192	195.143.187.207	DE
195.143.187.208	195.143.187.255	GB
195.143.188.0	195.143.189.255	DE
195.143.190.0	195.143.190.31	GB
195.143.190.32	195.143.190.71	DE
195.143.190.72	195.143.190.79	GB
195.143.190.80	195.143.190.87	DE
195.143.190.88	195.143.192.15	GB
195.143.192.16	195.143.192.16	DE
195.143.192.17	195.143.192.17	GB
195.143.192.18	195.143.192.18	DE
195.143.192.19	195.143.192.21	GB
195.143.192.22	195.143.192.22	DE
195.143.192.23	195.143.192.27	GB
195.143.192.28	195.143.192.39	DE
195.143.192.40	195.143.192.47	GB
195.143.192.48	195.143.192.49	DE
195.143.192.50	195.143.192.54	GB
195.143.192.55	195.143.192.55	DE
195.143.192.56	195.143.192.63	GB
195.143.192.64	195.143.192.87	DE
195.143.192.88	195.143.192.143	GB
195.143.192.144	195.143.192.159	DE
195.143.192.160	195.143.192.207	GB
195.143.192.208	195.143.192.223	DE
195.143.192.224	195.143.192.255	GB
195.143.193.0	195.143.193.15	DE
195.143.193.16	195.143.193.49	GB
195.143.193.50	195.143.193.50	DE
195.143.193.51	195.143.193.55	GB
195.143.193.56	195.143.193.63	DE
195.143.193.64	195.143.193.95	GB
195.143.193.96	195.143.193.103	DE
195.143.193.104	195.143.193.159	GB
195.143.193.160	195.143.193.191	DE
195.143.193.192	195.143.193.207	GB
195.143.193.208	195.143.193.239	DE
195.143.193.240	195.143.194.1	GB
195.143.194.2	195.143.194.9	DE
195.143.194.10	195.143.194.10	GB
195.143.194.11	195.143.194.11	DE
195.143.194.12	195.143.194.13	GB
195.143.194.14	195.143.194.47	DE
195.143.194.48	195.143.194.71	GB
195.143.194.72	195.143.194.75	DE
195.143.194.76	195.143.194.111	GB
195.143.194.112	195.143.194.120	DE
195.143.194.121	195.143.194.143	GB
195.143.194.144	195.143.194.159	DE
195.143.194.160	195.143.195.95	GB
195.143.195.96	195.143.195.111	DE
195.143.195.112	195.143.195.159	GB
195.143.195.160	195.143.195.175	DE
195.143.195.176	195.143.195.199	GB
195.143.195.200	195.143.195.203	DE
195.143.195.204	195.143.196.59	GB
195.143.196.60	195.143.196.63	DE
195.143.196.64	195.143.196.79	GB
195.143.196.80	195.143.196.100	DE
195.143.196.101	195.143.196.105	GB
195.143.196.106	195.143.196.107	DE
195.143.196.108	195.143.196.108	GB
195.143.196.109	195.143.196.109	DE
195.143.196.110	195.143.196.159	GB
195.143.196.160	195.143.196.167	DE
195.143.196.168	195.143.196.197	GB
195.143.196.198	195.143.196.198	DE
195.143.196.199	195.143.196.199	GB
195.143.196.200	195.143.196.203	DE
195.143.196.204	195.143.196.207	GB
195.143.196.208	195.143.196.215	DE
195.143.196.216	195.143.196.223	GB
195.143.196.224	195.143.196.239	DE
195.143.196.240	195.143.196.255	GB
195.143.197.0	195.143.197.15	DE
195.143.197.16	195.143.197.31	GB
195.143.197.32	195.143.197.47	DE
195.143.197.48	195.143.197.111	GB
195.143.197.112	195.143.197.127	DE
195.143.197.128	195.143.197.144	GB
195.143.197.145	195.143.197.145	DE
195.143.197.146	195.143.197.148	GB
195.143.197.149	195.143.197.150	DE
195.143.197.151	195.143.197.163	GB
195.143.197.164	195.143.197.164	DE
195.143.197.165	195.143.197.219	GB
195.143.197.220	195.143.197.220	DE
195.143.197.221	195.143.197.231	GB
195.143.197.232	195.143.197.235	DE
195.143.197.236	195.143.198.15	GB
195.143.198.16	195.143.198.23	DE
195.143.198.24	195.143.198.47	GB
195.143.198.48	195.143.198.63	DE
195.143.198.64	195.143.198.71	GB
195.143.198.72	195.143.198.79	DE
195.143.198.80	195.143.198.99	GB
195.143.198.100	195.143.198.103	DE
195.143.198.104	195.143.198.111	GB
195.143.198.112	195.143.198.112	DE
195.143.198.113	195.143.198.113	GB
195.143.198.114	195.143.198.115	DE
195.143.198.116	195.143.198.117	GB
195.143.198.118	195.143.198.118	DE
195.143.198.119	195.143.198.120	GB
195.143.198.121	195.143.198.121	DE
195.143.198.122	195.143.198.175	GB
195.143.198.176	195.143.198.191	DE
195.143.198.192	195.143.198.223	GB
195.143.198.224	195.143.198.239	DE
195.143.198.240	195.143.198.255	GB
195.143.199.0	195.143.199.31	DE
195.143.199.32	195.143.199.127	GB
195.143.199.128	195.143.200.7	DE
195.143.200.8	195.143.200.63	GB
195.143.200.64	195.143.200.71	DE
195.143.200.72	195.143.200.79	GB
195.143.200.80	195.143.200.103	DE
195.143.200.104	195.143.200.111	GB
195.143.200.112	195.143.200.113	DE
195.143.200.114	195.143.200.117	GB
195.143.200.118	195.143.200.118	DE
195.143.200.119	195.143.200.121	GB
195.143.200.122	195.143.200.122	DE
195.143.200.123	195.143.200.124	GB
195.143.200.125	195.143.200.125	DE
195.143.200.126	195.143.200.126	GB
195.143.200.127	195.143.200.127	DE
195.143.200.128	195.143.200.135	GB
195.143.200.136	195.143.200.143	DE
195.143.200.144	195.143.200.167	GB
195.143.200.168	195.143.200.175	DE
195.143.200.176	195.143.200.179	GB
195.143.200.180	195.143.200.183	DE
195.143.200.184	195.143.200.200	GB
195.143.200.201	195.143.200.202	DE
195.143.200.203	195.143.200.207	GB
195.143.200.208	195.143.200.215	DE
195.143.200.216	195.143.200.223	GB
195.143.200.224	195.143.200.231	DE
195.143.200.232	195.143.201.74	GB
195.143.201.75	195.143.201.75	DE
195.143.201.76	195.143.201.76	GB
195.143.201.77	195.143.201.80	DE
195.143.201.81	195.143.201.81	GB
195.143.201.82	195.143.201.83	DE
195.143.201.84	195.143.201.86	GB
195.143.201.87	195.143.201.87	DE
195.143.201.88	195.143.201.88	GB
195.143.201.89	195.143.201.89	DE
195.143.201.90	195.143.201.127	GB
195.143.201.128	195.143.201.143	DE
195.143.201.144	195.143.201.159	GB
195.143.201.160	195.143.201.175	DE
195.143.201.176	195.143.201.247	GB
195.143.201.248	195.143.201.255	DE
195.143.202.0	195.143.202.23	GB
195.143.202.24	195.143.202.28	DE
195.143.202.29	195.143.202.112	GB
195.143.202.113	195.143.202.114	DE
195.143.202.115	195.143.202.121	GB
195.143.202.122	195.143.202.122	DE
195.143.202.123	195.143.202.123	GB
195.143.202.124	195.143.202.126	DE
195.143.202.127	195.143.202.159	GB
195.143.202.160	195.143.202.167	DE
195.143.202.168	195.143.202.203	GB
195.143.202.204	195.143.202.223	DE
195.143.202.224	195.143.203.23	GB
195.143.203.24	195.143.203.31	DE
195.143.203.32	195.143.203.87	GB
195.143.203.88	195.143.203.91	DE
195.143.203.92	195.143.203.95	GB
195.143.203.96	195.143.203.111	DE
195.143.203.112	195.143.203.191	GB
195.143.203.192	195.143.203.255	DE
195.143.204.0	195.143.204.1	GB
195.143.204.2	195.143.204.4	DE
195.143.204.5	195.143.204.8	GB
195.143.204.9	195.143.204.9	DE
195.143.204.10	195.143.204.47	GB
195.143.204.48	195.143.204.63	DE
195.143.204.64	195.143.204.95	GB
195.143.204.96	195.143.204.119	DE
195.143.204.120	195.143.204.143	GB
195.143.204.144	195.143.204.159	DE
195.143.204.160	195.143.204.187	GB
195.143.204.188	195.143.204.191	DE
195.143.204.192	195.143.204.207	GB
195.143.204.208	195.143.204.215	DE
195.143.204.216	195.143.204.223	GB
195.143.204.224	195.143.204.239	DE
195.143.204.240	195.143.204.255	GB
195.143.205.0	195.143.205.127	DE
195.143.205.128	195.143.205.159	GB
195.143.205.160	195.143.205.167	DE
195.143.205.168	195.143.205.239	GB
195.143.205.240	195.143.205.255	DE
195.143.206.0	195.143.206.51	GB
195.143.206.52	195.143.206.52	DE
195.143.206.53	195.143.206.53	GB
195.143.206.54	195.143.206.54	DE
195.143.206.55	195.143.206.55	GB
195.143.206.56	195.143.206.57	DE
195.143.206.58	195.143.206.95	GB
195.143.206.96	195.143.206.111	DE
195.143.206.112	195.143.206.119	GB
195.143.206.120	195.143.206.143	DE
195.143.206.144	195.143.207.223	GB
195.143.207.224	195.143.207.239	DE
195.143.207.240	195.143.207.255	GB
195.143.208.0	195.143.208.7	DE
195.143.208.8	195.143.208.31	GB
195.143.208.32	195.143.208.35	DE
195.143.208.36	195.143.208.36	GB
195.143.208.37	195.143.208.37	DE
195.143.208.38	195.143.208.63	GB
195.143.208.64	195.143.208.79	DE
195.143.208.80	195.143.208.151	GB
195.143.208.152	195.143.208.159	DE
195.143.208.160	195.143.208.223	GB
195.143.208.224	195.143.208.247	DE
195.143.208.248	195.143.208.253	GB
195.143.208.254	195.143.208.254	DE
195.143.208.255	195.143.208.255	GB
195.143.209.0	195.143.209.15	DE
195.143.209.16	195.143.209.127	GB
195.143.209.128	195.143.209.159	DE
195.143.209.160	195.143.210.0	GB
195.143.210.1	195.143.210.1	DE
195.143.210.2	195.143.210.2	GB
195.143.210.3	195.143.210.3	DE
195.143.210.4	195.143.210.8	GB
195.143.210.9	195.143.210.9	DE
195.143.210.10	195.143.210.52	GB
195.143.210.53	195.143.210.54	DE
195.143.210.55	195.143.210.79	GB
195.143.210.80	195.143.210.143	DE
195.143.210.144	195.143.210.148	GB
195.143.210.149	195.143.210.149	DE
195.143.210.150	195.143.210.150	GB
195.143.210.151	195.143.210.151	DE
195.143.210.152	195.143.210.152	GB
195.143.210.153	195.143.210.158	DE
195.143.210.159	195.143.210.239	GB
195.143.210.240	195.143.210.255	DE
195.143.211.0	195.143.211.15	GB
195.143.211.16	195.143.211.31	DE
195.143.211.32	195.143.211.79	GB
195.143.211.80	195.143.211.80	DE
195.143.211.81	195.143.211.82	GB
195.143.211.83	195.143.211.83	DE
195.143.211.84	195.143.211.95	GB
195.143.211.96	195.143.211.111	DE
195.143.211.112	195.143.211.127	GB
195.143.211.128	195.143.211.147	DE
195.143.211.148	195.143.211.159	GB
195.143.211.160	195.143.211.191	DE
195.143.211.192	195.143.212.32	GB
195.143.212.33	195.143.212.33	DE
195.143.212.34	195.143.212.63	GB
195.143.212.64	195.143.212.64	DE
195.143.212.65	195.143.212.72	GB
195.143.212.73	195.143.212.73	DE
195.143.212.74	195.143.212.74	GB
195.143.212.75	195.143.212.143	DE
195.143.212.144	195.143.212.159	GB
195.143.212.160	195.143.212.175	DE
195.143.212.176	195.143.213.47	GB
195.143.213.48	195.143.213.79	DE
195.143.213.80	195.143.213.95	GB
195.143.213.96	195.143.213.111	DE
195.143.213.112	195.143.213.127	GB
195.143.213.128	195.143.213.135	DE
195.143.213.136	195.143.213.159	GB
195.143.213.160	195.143.213.175	DE
195.143.213.176	195.143.213.191	GB
195.143.213.192	195.143.213.219	DE
195.143.213.220	195.143.213.220	GB
195.143.213.221	195.143.213.221	DE
195.143.213.222	195.143.213.222	GB
195.143.213.223	195.143.213.231	DE
195.143.213.232	195.143.214.143	GB
195.143.214.144	195.143.214.159	DE
195.143.214.160	195.143.214.231	GB
195.143.214.232	195.143.214.239	DE
195.143.214.240	195.143.214.255	GB
195.143.215.0	195.143.215.7	DE
195.143.215.8	195.143.215.79	GB
195.143.215.80	195.143.215.111	DE
195.143.215.112	195.143.215.119	GB
195.143.215.120	195.143.215.131	DE
195.143.215.132	195.143.215.143	GB
195.143.215.144	195.143.215.167	DE
195.143.215.168	195.143.215.191	GB
195.143.215.192	195.143.215.199	DE
195.143.215.200	195.143.215.205	GB
195.143.215.206	195.143.215.206	DE
195.143.215.207	195.143.215.207	GB
195.143.215.208	195.143.215.223	DE
195.143.215.224	195.143.216.255	GB
195.143.217.0	195.143.217.15	DE
195.143.217.16	195.143.217.47	GB
195.143.217.48	195.143.217.79	DE
195.143.217.80	195.143.217.111	GB
195.143.217.112	195.143.217.123	DE
195.143.217.124	195.143.217.125	GB
195.143.217.126	195.143.217.175	DE
195.143.217.176	195.143.217.183	GB
195.143.217.184	195.143.217.191	DE
195.143.217.192	195.143.217.207	GB
195.143.217.208	195.143.217.215	DE
195.143.217.216	195.143.217.239	GB
195.143.217.240	195.143.217.247	DE
195.143.217.248	195.143.218.63	GB
195.143.218.64	195.143.218.64	DE
195.143.218.65	195.143.218.66	GB
195.143.218.67	195.143.218.67	DE
195.143.218.68	195.143.218.70	GB
195.143.218.71	195.143.218.71	DE
195.143.218.72	195.143.218.85	GB
195.143.218.86	195.143.218.86	DE
195.143.218.87	195.143.218.87	GB
195.143.218.88	195.143.218.95	DE
195.143.218.96	195.143.219.152	GB
195.143.219.153	195.143.219.153	DE
195.143.219.154	195.143.219.155	GB
195.143.219.156	195.143.219.156	DE
195.143.219.157	195.143.219.159	GB
195.143.219.160	195.143.219.175	DE
195.143.219.176	195.143.219.215	GB
195.143.219.216	195.143.219.223	DE
195.143.219.224	195.143.219.247	GB
195.143.219.248	195.143.219.255	DE
195.143.220.0	195.143.220.255	GB
195.143.221.0	195.143.221.71	DE
195.143.221.72	195.143.221.87	GB
195.143.221.88	195.143.221.91	DE
195.143.221.92	195.143.221.127	GB
195.143.221.128	195.143.222.31	DE
195.143.222.32	195.143.222.35	GB
195.143.222.36	195.143.222.47	DE
195.143.222.48	195.143.222.63	GB
195.143.222.64	195.143.222.79	DE
195.143.222.80	195.143.222.95	GB
195.143.222.96	195.143.222.103	DE
195.143.222.104	195.143.222.127	GB
195.143.222.128	195.143.222.135	DE
195.143.222.136	195.143.222.191	GB
195.143.222.192	195.143.222.223	DE
195.143.222.224	195.143.222.231	GB
195.143.222.232	195.143.222.232	DE
195.143.222.233	195.143.222.233	GB
195.143.222.234	195.143.222.234	DE
195.143.222.235	195.143.224.151	GB
195.143.224.152	195.143.224.155	DE
195.143.224.156	195.143.224.159	GB
195.143.224.160	195.143.224.191	DE
195.143.224.192	195.143.224.224	GB
195.143.224.225	195.143.224.225	DE
195.143.224.226	195.143.224.226	GB
195.143.224.227	195.143.224.227	DE
195.143.224.228	195.143.224.230	GB
195.143.224.231	195.143.224.231	DE
195.143.224.232	195.143.224.244	GB
195.143.224.245	195.143.224.245	DE
195.143.224.246	195.143.224.252	GB
195.143.224.253	195.143.224.253	DE
195.143.224.254	195.143.225.159	GB
195.143.225.160	195.143.225.173	DE
195.143.225.174	195.143.225.215	GB
195.143.225.216	195.143.225.231	DE
195.143.225.232	195.143.225.247	GB
195.143.225.248	195.143.225.251	DE
195.143.225.252	195.143.226.143	GB
195.143.226.144	195.143.226.151	DE
195.143.226.152	195.143.226.159	GB
195.143.226.160	195.143.226.175	DE
195.143.226.176	195.143.226.243	GB
195.143.226.244	195.143.226.247	DE
195.143.226.248	195.143.228.207	GB
195.143.228.208	195.143.228.223	DE
195.143.228.224	195.143.228.249	GB
195.143.228.250	195.143.228.251	DE
195.143.228.252	195.143.229.255	GB
195.143.230.0	195.143.230.31	DE
195.143.230.32	195.143.230.48	GB
195.143.230.49	195.143.230.49	DE
195.143.230.50	195.143.230.50	GB
195.143.230.51	195.143.230.51	DE
195.143.230.52	195.143.230.63	GB
195.143.230.64	195.143.230.79	DE
195.143.230.80	195.143.230.127	GB
195.143.230.128	195.143.230.207	DE
195.143.230.208	195.143.231.15	GB
195.143.231.16	195.143.231.31	DE
195.143.231.32	195.143.231.32	GB
195.143.231.33	195.143.231.35	DE
195.143.231.36	195.143.231.36	GB
195.143.231.37	195.143.231.38	DE
195.143.231.39	195.143.231.207	GB
195.143.231.208	195.143.231.223	DE
195.143.231.224	195.143.232.11	GB
195.143.232.12	195.143.232.15	DE
195.143.232.16	195.143.232.47	GB
195.143.232.48	195.143.232.55	DE
195.143.232.56	195.143.232.143	GB
195.143.232.144	195.143.232.151	DE
195.143.232.152	195.143.232.223	GB
195.143.232.224	195.143.232.231	DE
195.143.232.232	195.143.232.239	GB
195.143.232.240	195.143.233.15	DE
195.143.233.16	195.143.233.255	GB
195.143.234.0	195.143.234.7	DE
195.143.234.8	195.143.234.31	GB
195.143.234.32	195.143.234.47	DE
195.143.234.48	195.143.234.68	GB
195.143.234.69	195.143.234.69	DE
195.143.234.70	195.143.234.75	GB
195.143.234.76	195.143.234.79	DE
195.143.234.80	195.143.234.143	GB
195.143.234.144	195.143.234.159	DE
195.143.234.160	195.143.234.183	GB
195.143.234.184	195.143.234.207	DE
195.143.234.208	195.143.234.223	GB
195.143.234.224	195.143.234.231	DE
195.143.234.232	195.143.234.243	GB
195.143.234.244	195.143.234.244	DE
195.143.234.245	195.143.234.245	GB
195.143.234.246	195.143.234.246	DE
195.143.234.247	195.143.234.251	GB
195.143.234.252	195.143.235.15	DE
195.143.235.16	195.143.235.79	GB
195.143.235.80	195.143.235.82	DE
195.143.235.83	195.143.235.83	GB
195.143.235.84	195.143.235.84	DE
195.143.235.85	195.143.235.95	GB
195.143.235.96	195.143.235.111	DE
195.143.235.112	195.143.235.127	GB
195.143.235.128	195.143.235.135	DE
195.143.235.136	195.143.235.139	GB
195.143.235.140	195.143.235.143	DE
195.143.235.144	195.143.235.207	GB
195.143.235.208	195.143.235.223	DE
195.143.235.224	195.143.235.255	GB
195.143.236.0	195.143.236.3	DE
195.143.236.4	195.143.236.11	GB
195.143.236.12	195.143.236.15	DE
195.143.236.16	195.143.236.55	GB
195.143.236.56	195.143.236.59	DE
195.143.236.60	195.143.236.71	GB
195.143.236.72	195.143.236.79	DE
195.143.236.80	195.143.236.86	GB
195.143.236.87	195.143.236.95	DE
195.143.236.96	195.143.236.119	GB
195.143.236.120	195.143.236.127	DE
195.143.236.128	195.143.236.167	GB
195.143.236.168	195.143.236.175	DE
195.143.236.176	195.143.236.183	GB
195.143.236.184	195.143.236.187	DE
195.143.236.188	195.143.236.189	GB
195.143.236.190	195.143.236.207	DE
195.143.236.208	195.143.236.222	GB
195.143.236.223	195.143.236.223	DE
195.143.236.224	195.143.236.243	GB
195.143.236.244	195.143.236.255	DE
195.143.237.0	195.143.237.6	GB
195.143.237.7	195.143.237.7	DE
195.143.237.8	195.143.237.95	GB
195.143.237.96	195.143.237.111	DE
195.143.237.112	195.143.237.135	GB
195.143.237.136	195.143.237.143	DE
195.143.237.144	195.143.237.167	GB
195.143.237.168	195.143.237.175	DE
195.143.237.176	195.143.237.183	GB
195.143.237.184	195.143.237.191	DE
195.143.237.192	195.143.238.111	GB
195.143.238.112	195.143.238.115	DE
195.143.238.116	195.143.238.118	GB
195.143.238.119	195.143.238.119	DE
195.143.238.120	195.143.238.124	GB
195.143.238.125	195.143.238.125	DE
195.143.238.126	195.143.238.143	GB
195.143.238.144	195.143.238.151	DE
195.143.238.152	195.143.239.95	GB
195.143.239.96	195.143.239.127	DE
195.143.239.128	195.143.239.167	GB
195.143.239.168	195.143.239.191	DE
195.143.239.192	195.143.239.239	GB
195.143.239.240	195.143.240.15	DE
195.143.240.16	195.143.240.23	GB
195.143.240.24	195.143.240.31	DE
195.143.240.32	195.143.240.63	GB
195.143.240.64	195.143.240.79	DE
195.143.240.80	195.143.240.127	GB
195.143.240.128	195.143.240.159	DE
195.143.240.160	195.143.240.169	GB
195.143.240.170	195.143.240.171	DE
195.143.240.172	195.143.241.27	GB
195.143.241.28	195.143.241.31	DE
195.143.241.32	195.143.241.47	GB
195.143.241.48	195.143.241.63	DE
195.143.241.64	195.143.241.111	GB
195.143.241.112	195.143.241.135	DE
195.143.241.136	195.143.241.143	GB
195.143.241.144	195.143.241.159	DE
195.143.241.160	195.143.241.183	GB
195.143.241.184	195.143.241.223	DE
195.143.241.224	195.143.241.239	GB
195.143.241.240	195.143.241.255	DE
195.143.242.0	195.143.242.31	GB
195.143.242.32	195.143.242.47	DE
195.143.242.48	195.143.242.127	GB
195.143.242.128	195.143.242.151	DE
195.143.242.152	195.143.242.152	GB
195.143.242.153	195.143.242.153	DE
195.143.242.154	195.143.242.155	GB
195.143.242.156	195.143.242.159	DE
195.143.242.160	195.143.242.181	GB
195.143.242.182	195.143.242.182	DE
195.143.242.183	195.143.242.183	GB
195.143.242.184	195.143.242.185	DE
195.143.242.186	195.143.242.188	GB
195.143.242.189	195.143.242.190	DE
195.143.242.191	195.143.242.191	GB
195.143.242.192	195.143.242.207	DE
195.143.242.208	195.143.242.243	GB
195.143.242.244	195.143.242.244	DE
195.143.242.245	195.143.242.248	GB
195.143.242.249	195.143.242.249	DE
195.143.242.250	195.143.242.255	GB
195.143.243.0	195.143.243.7	DE
195.143.243.8	195.143.243.51	GB
195.143.243.52	195.143.243.52	DE
195.143.243.53	195.143.243.55	GB
195.143.243.56	195.143.243.79	DE
195.143.243.80	195.143.243.223	GB
195.143.243.224	195.143.243.235	DE
195.143.243.236	195.143.244.127	GB
195.143.244.128	195.143.244.143	DE
195.143.244.144	195.143.244.159	GB
195.143.244.160	195.143.244.175	DE
195.143.244.176	195.143.244.190	GB
195.143.244.191	195.143.244.191	DE
195.143.244.192	195.143.245.255	GB
195.143.246.0	195.143.247.7	DE
195.143.247.8	195.143.247.95	GB
195.143.247.96	195.143.247.111	DE
195.143.247.112	195.143.247.131	GB
195.143.247.132	195.143.247.135	DE
195.143.247.136	195.143.247.159	GB
195.143.247.160	195.143.247.207	DE
195.143.247.208	195.143.247.219	GB
195.143.247.220	195.143.247.223	DE
195.143.247.224	195.143.247.231	GB
195.143.247.232	195.143.247.239	DE
195.143.247.240	195.143.248.63	GB
195.143.248.64	195.143.248.79	DE
195.143.248.80	195.143.248.111	GB
195.143.248.112	195.143.248.127	DE
195.143.248.128	195.143.248.135	GB
195.143.248.136	195.143.248.159	DE
195.143.248.160	195.143.248.239	GB
195.143.248.240	195.143.248.247	DE
195.143.248.248	195.143.248.252	GB
195.143.248.253	195.143.248.253	DE
195.143.248.254	195.143.249.31	GB
195.143.249.32	195.143.249.39	DE
195.143.249.40	195.143.249.63	GB
195.143.249.64	195.143.249.79	DE
195.143.249.80	195.143.249.255	GB
195.143.250.0	195.143.250.7	DE
195.143.250.8	195.143.250.15	GB
195.143.250.16	195.143.250.31	DE
195.143.250.32	195.143.250.79	GB
195.143.250.80	195.143.250.95	DE
195.143.250.96	195.143.250.103	GB
195.143.250.104	195.143.250.111	DE
195.143.250.112	195.143.251.95	GB
195.143.251.96	195.143.251.111	DE
195.143.251.112	195.143.251.135	GB
195.143.251.136	195.143.251.151	DE
195.143.251.152	195.143.251.175	GB
195.143.251.176	195.143.251.191	DE
195.143.251.192	195.143.251.223	GB
195.143.251.224	195.143.251.239	DE
195.143.251.240	195.143.252.255	GB
195.143.253.0	195.143.255.255	DE
195.144.0.0	195.144.0.255	GB
195.144.1.0	195.144.1.255	RU
195.144.2.0	195.144.2.255	NL
195.144.3.0	195.144.3.255	DE
195.144.4.0	195.144.4.255	SE
195.144.5.0	195.144.5.255	GB
195.144.6.0	195.144.6.255	RU
195.144.7.0	195.144.7.255	CH
195.144.8.0	195.144.8.255	GB
195.144.9.0	195.144.9.255	PL
195.144.10.0	195.144.10.255	NL
195.144.11.0	195.144.11.255	FR
195.144.12.0	195.144.12.255	BE
195.144.13.0	195.144.13.255	SE
195.144.14.0	195.144.14.255	UA
195.144.15.0	195.144.15.255	DE
195.144.16.0	195.144.16.255	GR
195.144.17.0	195.144.19.255	GB
195.144.20.0	195.144.20.255	HU
195.144.21.0	195.144.21.255	UA
195.144.22.0	195.144.23.255	DE
195.144.24.0	195.144.24.255	FR
195.144.25.0	195.144.25.255	UA
195.144.26.0	195.144.26.255	SI
195.144.27.0	195.144.27.255	RO
195.144.28.0	195.144.28.255	UA
195.144.29.0	195.144.29.255	RU
195.144.30.0	195.144.30.255	CH
195.144.31.0	195.144.31.255	DE
195.144.32.0	195.144.63.255	CH
195.144.64.0	195.144.95.255	BE
195.144.96.0	195.144.127.255	CZ
195.144.128.0	195.144.128.7	EU
195.144.128.8	195.144.128.15	GB
195.144.128.16	195.144.128.63	EU
195.144.128.64	195.144.128.79	GB
195.144.128.80	195.144.128.127	EU
195.144.128.128	195.144.128.143	GB
195.144.128.144	195.144.128.207	EU
195.144.128.208	195.144.128.215	GB
195.144.128.216	195.144.128.231	EU
195.144.128.232	195.144.128.239	GB
195.144.128.240	195.144.128.247	EU
195.144.128.248	195.144.128.255	GB
195.144.129.0	195.144.129.255	EU
195.144.130.0	195.144.130.31	GB
195.144.130.32	195.144.130.47	EU
195.144.130.48	195.144.130.95	GB
195.144.130.96	195.144.130.111	EU
195.144.130.112	195.144.130.159	GB
195.144.130.160	195.144.130.191	EU
195.144.130.192	195.144.130.223	GB
195.144.130.224	195.144.130.255	EU
195.144.131.0	195.144.131.63	GB
195.144.131.64	195.144.131.223	EU
195.144.131.224	195.144.132.127	GB
195.144.132.128	195.144.135.127	EU
195.144.135.128	195.144.135.191	GB
195.144.135.192	195.144.140.255	EU
195.144.141.0	195.144.159.255	GB
195.144.160.0	195.144.191.255	CH
195.144.192.0	195.144.255.255	RU
195.145.0.0	195.145.57.239	DE
195.145.57.240	195.145.57.247	ES
195.145.57.248	195.145.172.63	DE
195.145.172.64	195.145.172.71	AT
195.145.172.72	195.145.172.255	DE
195.145.173.0	195.145.173.255	FR
195.145.174.0	195.145.210.103	DE
195.145.210.104	195.145.210.111	BE
195.145.210.112	195.145.255.255	DE
195.146.0.0	195.146.31.255	SK
195.146.32.0	195.146.63.255	IR
195.146.64.0	195.146.95.255	RU
195.146.96.0	195.146.127.255	CZ
195.146.128.0	195.146.159.255	SK
195.146.160.0	195.146.191.255	GB
195.146.192.0	195.146.255.255	FR
195.147.0.0	195.147.255.255	GB
195.148.0.0	195.148.255.255	FI
195.149.0.0	195.149.63.255	GB
195.149.64.0	195.149.64.255	PL
195.149.65.0	195.149.65.255	SA
195.149.66.0	195.149.66.255	FR
195.149.67.0	195.149.67.255	RO
195.149.68.0	195.149.68.255	PL
195.149.69.0	195.149.69.255	GB
195.149.70.0	195.149.70.255	UA
195.149.71.0	195.149.71.255	SA
195.149.72.0	195.149.73.255	RO
195.149.74.0	195.149.74.255	DE
195.149.75.0	195.149.75.255	AT
195.149.76.0	195.149.76.255	DE
195.149.77.0	195.149.77.255	PL
195.149.78.0	195.149.78.255	DK
195.149.79.0	195.149.79.255	GB
195.149.80.0	195.149.82.255	DE
195.149.83.0	195.149.83.255	FI
195.149.84.0	195.149.84.255	GB
195.149.85.0	195.149.85.255	TR
195.149.86.0	195.149.86.255	PL
195.149.87.0	195.149.87.255	RU
195.149.88.0	195.149.88.255	UA
195.149.89.0	195.149.89.255	RU
195.149.90.0	195.149.90.255	UA
195.149.91.0	195.149.91.255	SA
195.149.92.0	195.149.92.255	CH
195.149.93.0	195.149.93.255	RU
195.149.94.0	195.149.94.255	SI
195.149.95.0	195.149.95.255	PL
195.149.96.0	195.149.96.255	UA
195.149.97.0	195.149.97.255	DE
195.149.98.0	195.149.98.255	PL
195.149.99.0	195.149.99.255	DE
195.149.100.0	195.149.100.255	PL
195.149.101.0	195.149.101.255	SE
195.149.102.0	195.149.102.255	DE
195.149.103.0	195.149.103.255	GB
195.149.104.0	195.149.105.255	RU
195.149.106.0	195.149.106.255	UA
195.149.107.0	195.149.107.255	NL
195.149.108.0	195.149.109.255	UA
195.149.110.0	195.149.111.255	RU
195.149.112.0	195.149.112.255	UA
195.149.113.0	195.149.113.255	ES
195.149.114.0	195.149.114.255	UA
195.149.115.0	195.149.115.255	AT
195.149.116.0	195.149.116.255	TR
195.149.117.0	195.149.117.255	DE
195.149.118.0	195.149.118.255	PL
195.149.119.0	195.149.119.255	RO
195.149.120.0	195.149.120.255	DE
195.149.121.0	195.149.121.255	GB
195.149.122.0	195.149.122.255	DE
195.149.123.0	195.149.123.255	SE
195.149.124.0	195.149.124.255	PL
195.149.125.0	195.149.125.255	UA
195.149.126.0	195.149.127.255	GB
195.149.128.0	195.149.144.223	SE
195.149.144.224	195.149.144.255	AN
195.149.145.0	195.149.191.255	SE
195.149.200.0	195.149.207.255	RU
195.149.208.0	195.149.215.255	ES
195.149.216.0	195.149.223.255	AT
195.149.224.0	195.149.239.255	PL
195.149.240.0	195.149.247.255	AT
195.149.248.0	195.149.255.255	BG
195.150.0.0	195.150.255.255	PL
195.151.0.0	195.151.69.255	RU
195.151.70.0	195.151.70.255	UZ
195.151.71.0	195.151.255.255	RU
195.152.0.0	195.152.233.191	GB
195.152.233.192	195.152.233.207	IE
195.152.233.208	195.153.221.255	GB
195.153.222.0	195.153.222.23	SE
195.153.222.24	195.153.222.63	GB
195.153.222.64	195.153.222.79	SE
195.153.222.80	195.153.222.127	GB
195.153.222.128	195.153.222.159	SE
195.153.222.160	195.153.255.255	GB
195.154.0.0	195.154.196.159	FR
195.154.196.160	195.154.196.191	US
195.154.196.192	195.154.210.127	FR
195.154.210.128	195.154.210.191	US
195.154.210.192	195.154.238.207	FR
195.154.238.208	195.154.238.223	US
195.154.238.224	195.154.241.127	FR
195.154.241.128	195.154.241.159	BE
195.154.241.160	195.154.243.255	FR
195.154.244.0	195.154.244.31	US
195.154.244.32	195.154.244.63	FR
195.154.244.64	195.154.244.127	US
195.154.244.128	195.154.255.255	FR
195.155.0.0	195.155.255.255	TR
195.156.0.0	195.156.217.255	FI
195.156.218.0	195.156.218.255	AX
195.156.219.0	195.156.255.255	FI
195.157.0.0	195.157.59.31	GB
195.157.59.32	195.157.59.47	FR
195.157.59.48	195.157.85.239	GB
195.157.85.240	195.157.85.255	FR
195.157.86.0	195.157.132.127	GB
195.157.132.128	195.157.132.159	FR
195.157.132.160	195.157.155.255	GB
195.157.156.0	195.157.156.127	FR
195.157.156.128	195.157.255.255	GB
195.158.0.0	195.158.31.255	UZ
195.158.32.0	195.158.63.255	DE
195.158.64.0	195.158.127.255	MT
195.158.128.0	195.158.191.255	DE
195.158.192.0	195.158.223.255	JO
195.158.224.0	195.158.225.255	RU
195.158.226.0	195.158.227.255	PL
195.158.228.0	195.158.229.255	RU
195.158.230.0	195.158.231.255	LI
195.158.232.0	195.158.233.255	RU
195.158.234.0	195.158.235.255	RO
195.158.236.0	195.158.237.255	DE
195.158.238.0	195.158.239.255	RU
195.158.240.0	195.158.241.255	FR
195.158.242.0	195.158.243.255	DK
195.158.244.0	195.158.245.255	RU
195.158.246.0	195.158.247.255	PL
195.158.248.0	195.158.251.255	RU
195.158.252.0	195.158.253.255	DE
195.158.254.0	195.158.255.255	RU
195.159.0.0	195.159.84.247	NO
195.159.84.248	195.159.84.255	US
195.159.85.0	195.159.255.255	NO
195.160.0.0	195.160.159.255	CH
195.160.160.0	195.160.161.255	DE
195.160.162.0	195.160.163.255	RO
195.160.164.0	195.160.165.255	RU
195.160.166.0	195.160.167.255	BE
195.160.168.0	195.160.169.255	DE
195.160.170.0	195.160.171.255	LV
195.160.172.0	195.160.173.255	DE
195.160.174.0	195.160.175.255	PL
195.160.176.0	195.160.177.255	SE
195.160.178.0	195.160.181.255	PL
195.160.182.0	195.160.183.255	SK
195.160.184.0	195.160.185.255	PL
195.160.186.0	195.160.187.255	GB
195.160.188.0	195.160.189.255	FR
195.160.190.0	195.160.191.255	CH
195.160.192.0	195.160.195.255	UA
195.160.196.0	195.160.203.255	DE
195.160.204.0	195.160.207.255	UA
195.160.208.0	195.160.211.255	IT
195.160.212.0	195.160.215.255	GB
195.160.216.0	195.160.219.255	NL
195.160.220.0	195.160.223.255	UA
195.160.224.0	195.160.227.255	ES
195.160.228.0	195.160.231.255	DE
195.160.232.0	195.160.235.255	UA
195.160.236.0	195.160.239.255	GB
195.160.240.0	195.160.243.255	IL
195.160.244.0	195.160.247.255	RU
195.160.248.0	195.160.251.255	DE
195.160.252.0	195.160.255.255	NL
195.161.0.0	195.161.42.255	RU
195.161.43.0	195.161.43.255	KZ
195.161.44.0	195.161.160.79	RU
195.161.160.80	195.161.160.95	KG
195.161.160.96	195.161.160.223	RU
195.161.160.224	195.161.160.255	GB
195.161.161.0	195.161.255.255	RU
195.162.0.0	195.162.1.255	UA
195.162.2.0	195.162.3.255	GB
195.162.4.0	195.162.11.255	RU
195.162.12.0	195.162.13.255	GB
195.162.14.0	195.162.15.255	KZ
195.162.16.0	195.162.17.255	PL
195.162.18.0	195.162.19.255	ES
195.162.20.0	195.162.21.255	GB
195.162.22.0	195.162.23.255	RU
195.162.24.0	195.162.25.255	PL
195.162.26.0	195.162.27.255	KZ
195.162.28.0	195.162.29.255	GB
195.162.30.0	195.162.31.255	DE
195.162.32.0	195.162.63.255	RU
195.162.80.0	195.162.83.255	UA
195.162.84.0	195.162.87.255	IE
195.162.88.0	195.162.91.255	UA
195.162.92.0	195.162.95.255	RU
195.162.96.0	195.162.127.255	GB
195.162.128.0	195.162.191.255	CH
195.162.192.0	195.162.223.255	BE
195.162.224.0	195.162.255.255	DE
195.163.0.0	195.163.10.175	SE
195.163.10.176	195.163.10.179	NO
195.163.10.180	195.163.175.255	SE
195.163.176.0	195.163.176.7	FI
195.163.176.8	195.163.176.23	SE
195.163.176.24	195.163.176.31	FR
195.163.176.32	195.163.176.35	FI
195.163.176.36	195.163.176.47	SE
195.163.176.48	195.163.176.51	FR
195.163.176.52	195.163.176.55	SE
195.163.176.56	195.163.176.59	FR
195.163.176.60	195.163.176.191	SE
195.163.176.192	195.163.176.239	FI
195.163.176.240	195.163.185.127	SE
195.163.185.128	195.163.185.159	FI
195.163.185.160	195.163.187.255	SE
195.163.188.0	195.163.188.143	FI
195.163.188.144	195.163.255.255	SE
195.164.0.0	195.164.255.255	PL
195.165.0.0	195.165.68.127	FI
195.165.68.128	195.165.68.191	AX
195.165.68.192	195.165.68.207	FI
195.165.68.208	195.165.68.223	SE
195.165.68.224	195.165.75.255	FI
195.165.76.0	195.165.76.255	NL
195.165.77.0	195.165.148.79	FI
195.165.148.80	195.165.148.87	AX
195.165.148.88	195.165.178.255	FI
195.165.179.0	195.165.179.127	RU
195.165.179.128	195.165.229.95	FI
195.165.229.96	195.165.229.127	SE
195.165.229.128	195.165.229.159	NO
195.165.229.160	195.165.255.255	FI
195.166.0.0	195.166.31.127	GB
195.166.31.128	195.166.31.191	US
195.166.31.192	195.166.50.127	GB
195.166.50.128	195.166.50.255	NL
195.166.51.0	195.166.63.255	GB
195.166.64.0	195.166.64.255	DE
195.166.65.0	195.166.77.215	GB
195.166.77.216	195.166.77.223	IT
195.166.77.224	195.166.98.255	GB
195.166.99.0	195.166.99.255	CH
195.166.100.0	195.166.111.255	GB
195.166.112.0	195.166.112.255	SE
195.166.113.0	195.166.113.255	DE
195.166.114.0	195.166.114.255	IT
195.166.115.0	195.166.116.255	GB
195.166.117.0	195.166.117.63	US
195.166.117.64	195.166.119.83	GB
195.166.119.84	195.166.119.95	IT
195.166.119.96	195.166.119.127	GB
195.166.119.128	195.166.119.167	IT
195.166.119.168	195.166.119.255	GB
195.166.120.0	195.166.120.255	US
195.166.121.0	195.166.121.255	GB
195.166.122.0	195.166.122.31	DE
195.166.122.32	195.166.159.255	GB
195.166.160.0	195.166.191.255	RU
195.166.192.0	195.166.223.255	GI
195.166.224.0	195.166.255.255	NG
195.167.0.0	195.167.127.255	GR
195.167.128.0	195.167.191.255	GB
195.167.192.0	195.167.207.255	FR
195.167.208.0	195.167.223.255	DE
195.167.224.0	195.167.239.255	FR
195.167.240.0	195.167.255.255	GB
195.168.0.0	195.168.255.255	SK
195.169.0.0	195.169.255.255	NL
195.170.0.0	195.170.31.255	GR
195.170.32.0	195.170.63.255	RU
195.170.64.0	195.170.95.255	AT
195.170.96.0	195.170.127.255	DE
195.170.128.0	195.170.159.255	FI
195.170.160.0	195.170.160.255	CH
195.170.161.0	195.170.161.255	RO
195.170.162.0	195.170.162.255	FR
195.170.163.0	195.170.163.255	IR
195.170.164.0	195.170.164.255	FR
195.170.165.0	195.170.165.255	AT
195.170.166.0	195.170.166.255	BG
195.170.167.0	195.170.167.255	DE
195.170.168.0	195.170.168.255	PT
195.170.169.0	195.170.169.255	GB
195.170.170.0	195.170.170.255	ES
195.170.171.0	195.170.172.255	RO
195.170.173.0	195.170.173.255	GB
195.170.174.0	195.170.174.255	RU
195.170.175.0	195.170.175.255	CH
195.170.176.0	195.170.176.255	CY
195.170.177.0	195.170.177.255	SI
195.170.178.0	195.170.178.255	MD
195.170.179.0	195.170.179.255	UA
195.170.180.0	195.170.180.255	SA
195.170.181.0	195.170.181.255	LT
195.170.182.0	195.170.182.255	PL
195.170.183.0	195.170.183.255	RS
195.170.184.0	195.170.184.255	HU
195.170.185.0	195.170.186.255	DE
195.170.187.0	195.170.187.255	SE
195.170.188.0	195.170.188.255	PL
195.170.189.0	195.170.189.255	SE
195.170.190.0	195.170.190.255	RO
195.170.191.0	195.170.191.255	PL
195.170.192.0	195.170.255.255	RU
195.171.0.0	195.171.35.255	GB
195.171.36.0	195.171.36.127	BE
195.171.36.128	195.172.60.183	GB
195.172.60.184	195.172.60.191	A2
195.172.60.192	195.173.223.255	GB
195.173.224.0	195.173.255.255	NL
195.174.0.0	195.175.255.255	TR
195.176.0.0	195.176.255.255	CH
195.177.0.0	195.177.4.199	DE
195.177.4.200	195.177.4.203	EE
195.177.4.204	195.177.12.107	DE
195.177.12.108	195.177.12.111	BE
195.177.12.112	195.177.63.255	DE
195.177.64.0	195.177.67.255	PL
195.177.68.0	195.177.75.255	UA
195.177.76.0	195.177.79.255	GB
195.177.80.0	195.177.83.255	BE
195.177.84.0	195.177.87.255	PL
195.177.88.0	195.177.91.255	LU
195.177.92.0	195.177.95.255	UA
195.177.96.0	195.177.99.255	NO
195.177.100.0	195.177.103.255	PL
195.177.104.0	195.177.107.255	RU
195.177.108.0	195.177.111.255	IL
195.177.112.0	195.177.119.255	UA
195.177.120.0	195.177.123.255	RU
195.177.124.0	195.177.127.255	UA
195.177.128.0	195.177.191.255	DE
195.177.192.0	195.177.193.255	GB
195.177.194.0	195.177.195.255	SA
195.177.196.0	195.177.197.255	PL
195.177.198.0	195.177.199.255	AT
195.177.200.0	195.177.201.255	DE
195.177.202.0	195.177.203.255	NO
195.177.204.0	195.177.205.255	RU
195.177.206.0	195.177.207.255	TR
195.177.208.0	195.177.209.255	UA
195.177.210.0	195.177.211.255	PL
195.177.212.0	195.177.213.255	GB
195.177.214.0	195.177.215.255	NL
195.177.216.0	195.177.217.255	RU
195.177.218.0	195.177.219.255	BG
195.177.220.0	195.177.221.255	ES
195.177.222.0	195.177.223.255	UA
195.177.224.0	195.177.225.255	RO
195.177.226.0	195.177.227.255	RU
195.177.228.0	195.177.229.255	AT
195.177.230.0	195.177.231.255	TR
195.177.232.0	195.177.233.255	DE
195.177.234.0	195.177.235.255	CH
195.177.236.0	195.177.241.255	UA
195.177.242.0	195.177.243.255	NL
195.177.244.0	195.177.245.255	GB
195.177.246.0	195.177.247.255	BE
195.177.248.0	195.177.249.255	BG
195.177.250.0	195.177.251.255	AT
195.177.252.0	195.177.253.255	GB
195.177.254.0	195.178.1.255	DE
195.178.2.0	195.178.3.255	RU
195.178.4.0	195.178.5.255	NL
195.178.6.0	195.178.7.255	EU
195.178.8.0	195.178.9.255	BG
195.178.10.0	195.178.11.255	UA
195.178.12.0	195.178.13.255	RU
195.178.14.0	195.178.15.255	DK
195.178.16.0	195.178.17.255	RU
195.178.18.0	195.178.19.255	UA
195.178.20.0	195.178.21.255	RU
195.178.22.0	195.178.23.255	RO
195.178.24.0	195.178.25.255	RU
195.178.26.0	195.178.27.255	PL
195.178.28.0	195.178.29.255	IT
195.178.30.0	195.178.31.255	UA
195.178.32.0	195.178.63.255	RS
195.178.64.0	195.178.95.255	CZ
195.178.96.0	195.178.97.255	LV
195.178.98.0	195.178.99.255	BG
195.178.100.0	195.178.101.255	DE
195.178.102.0	195.178.103.255	RO
195.178.104.0	195.178.105.255	UA
195.178.106.0	195.178.107.255	GB
195.178.108.0	195.178.109.255	RU
195.178.110.0	195.178.111.255	RO
195.178.112.0	195.178.113.255	FR
195.178.114.0	195.178.115.255	PL
195.178.116.0	195.178.117.255	BG
195.178.118.0	195.178.119.255	SI
195.178.120.0	195.178.121.255	RO
195.178.122.0	195.178.123.255	PL
195.178.124.0	195.178.127.255	RO
195.178.128.0	195.178.159.255	UA
195.178.160.0	195.178.191.255	SE
195.178.192.0	195.178.223.255	RU
195.178.224.0	195.178.255.255	SE
195.179.0.0	195.179.1.255	DE
195.179.2.0	195.179.2.3	BE
195.179.2.4	195.179.13.95	DE
195.179.13.96	195.179.13.99	ES
195.179.13.100	195.179.65.215	DE
195.179.65.216	195.179.65.219	ES
195.179.65.220	195.179.66.127	DE
195.179.66.128	195.179.66.167	FR
195.179.66.168	195.179.68.239	DE
195.179.68.240	195.179.68.243	ES
195.179.68.244	195.179.119.159	DE
195.179.119.160	195.179.119.163	ES
195.179.119.164	195.179.120.191	DE
195.179.120.192	195.179.120.207	NL
195.179.120.208	195.179.120.215	ES
195.179.120.216	195.179.121.127	DE
195.179.121.128	195.179.121.131	ES
195.179.121.132	195.179.128.255	DE
195.179.129.0	195.179.129.31	GB
195.179.129.32	195.179.129.63	DE
195.179.129.64	195.179.129.67	ES
195.179.129.68	195.179.131.111	DE
195.179.131.112	195.179.131.115	ES
195.179.131.116	195.179.132.15	DE
195.179.132.16	195.179.132.19	ES
195.179.132.20	195.179.163.131	DE
195.179.163.132	195.179.163.135	ES
195.179.163.136	195.180.255.255	DE
195.181.0.0	195.181.255.255	DK
195.182.0.0	195.182.0.255	UA
195.182.1.0	195.182.1.255	NL
195.182.2.0	195.182.2.255	DE
195.182.3.0	195.182.3.255	UA
195.182.4.0	195.182.4.255	GB
195.182.5.0	195.182.5.255	SE
195.182.6.0	195.182.6.255	AT
195.182.7.0	195.182.7.255	UA
195.182.8.0	195.182.8.255	RU
195.182.9.0	195.182.9.255	PL
195.182.10.0	195.182.10.255	FR
195.182.11.0	195.182.11.255	DE
195.182.12.0	195.182.12.255	CH
195.182.13.0	195.182.13.255	NL
195.182.14.0	195.182.14.255	PL
195.182.15.0	195.182.15.255	RU
195.182.16.0	195.182.17.255	FR
195.182.18.0	195.182.18.255	DE
195.182.19.0	195.182.20.255	PL
195.182.21.0	195.182.22.255	UA
195.182.23.0	195.182.23.255	PL
195.182.24.0	195.182.24.255	CH
195.182.25.0	195.182.25.255	TR
195.182.26.0	195.182.26.255	AT
195.182.27.0	195.182.27.255	RO
195.182.28.0	195.182.28.255	RU
195.182.29.0	195.182.29.255	AT
195.182.30.0	195.182.30.255	ES
195.182.31.0	195.182.31.255	SA
195.182.32.0	195.182.32.255	DK
195.182.33.0	195.182.33.255	IL
195.182.34.0	195.182.35.255	PL
195.182.36.0	195.182.36.255	DK
195.182.37.0	195.182.37.255	GB
195.182.38.0	195.182.38.255	PL
195.182.39.0	195.182.39.255	DK
195.182.40.0	195.182.40.255	PL
195.182.41.0	195.182.41.255	BG
195.182.42.0	195.182.42.255	TR
195.182.43.0	195.182.43.255	NL
195.182.44.0	195.182.44.255	BG
195.182.45.0	195.182.45.255	DE
195.182.46.0	195.182.46.255	FR
195.182.47.0	195.182.47.255	LV
195.182.48.0	195.182.48.255	DE
195.182.49.0	195.182.49.255	GB
195.182.50.0	195.182.50.255	DE
195.182.51.0	195.182.52.255	PL
195.182.53.0	195.182.53.255	CH
195.182.54.0	195.182.54.255	PL
195.182.55.0	195.182.55.255	AT
195.182.56.0	195.182.56.255	DE
195.182.57.0	195.182.57.255	GB
195.182.58.0	195.182.58.255	DE
195.182.59.0	195.182.59.255	GB
195.182.60.0	195.182.60.255	DE
195.182.61.0	195.182.61.255	SI
195.182.62.0	195.182.62.255	GB
195.182.63.0	195.182.63.255	UA
195.182.64.0	195.182.95.255	LT
195.182.96.0	195.182.112.31	DE
195.182.112.32	195.182.112.63	EU
195.182.112.64	195.182.112.71	DE
195.182.112.72	195.182.112.87	EU
195.182.112.88	195.182.112.91	DE
195.182.112.92	195.182.112.103	EU
195.182.112.104	195.182.112.175	DE
195.182.112.176	195.182.112.191	EU
195.182.112.192	195.182.113.255	DE
195.182.114.0	195.182.114.127	EU
195.182.114.128	195.182.114.239	DE
195.182.114.240	195.182.114.255	EU
195.182.115.0	195.182.116.95	DE
195.182.116.96	195.182.116.159	EU
195.182.116.160	195.182.116.179	DE
195.182.116.180	195.182.116.183	EU
195.182.116.184	195.182.123.255	DE
195.182.124.0	195.182.125.127	EU
195.182.125.128	195.182.125.191	DE
195.182.125.192	195.182.126.63	EU
195.182.126.64	195.182.126.127	DE
195.182.126.128	195.182.126.255	EU
195.182.127.0	195.182.127.255	DE
195.182.128.0	195.182.159.255	RU
195.182.160.0	195.182.191.255	GB
195.182.192.0	195.182.195.255	UA
195.182.196.0	195.182.197.255	DE
195.182.198.0	195.182.199.255	RO
195.182.200.0	195.182.201.255	GI
195.182.202.0	195.182.203.255	UA
195.182.204.0	195.182.205.255	DK
195.182.206.0	195.182.207.255	PL
195.182.208.0	195.182.209.255	RO
195.182.210.0	195.182.211.255	IT
195.182.212.0	195.182.213.255	RO
195.182.214.0	195.182.215.255	RS
195.182.216.0	195.182.217.255	DK
195.182.218.0	195.182.219.255	PL
195.182.220.0	195.182.221.255	RO
195.182.222.0	195.182.223.255	CH
195.182.224.0	195.182.255.255	IT
195.183.0.0	195.183.0.31	AT
195.183.0.32	195.183.0.79	EU
195.183.0.80	195.183.0.111	AT
195.183.0.112	195.183.0.255	EU
195.183.1.0	195.183.1.159	AT
195.183.1.160	195.183.1.191	FR
195.183.1.192	195.183.1.255	GB
195.183.2.0	195.183.7.255	AT
195.183.8.0	195.183.8.23	IT
195.183.8.24	195.183.8.31	EU
195.183.8.32	195.183.8.63	IT
195.183.8.64	195.183.8.95	EU
195.183.8.96	195.183.8.159	IT
195.183.8.160	195.183.8.191	EU
195.183.8.192	195.183.8.239	IT
195.183.8.240	195.183.8.255	EU
195.183.9.0	195.183.9.63	IT
195.183.9.64	195.183.9.127	DE
195.183.9.128	195.183.9.159	IT
195.183.9.160	195.183.9.191	CH
195.183.9.192	195.183.9.223	DE
195.183.9.224	195.183.9.239	FR
195.183.9.240	195.183.11.23	IT
195.183.11.24	195.183.11.31	GB
195.183.11.32	195.183.11.47	ZA
195.183.11.48	195.183.11.55	SE
195.183.11.56	195.183.11.95	DE
195.183.11.96	195.183.11.127	GR
195.183.11.128	195.183.11.255	GB
195.183.12.0	195.183.12.255	IT
195.183.13.0	195.183.13.255	EU
195.183.14.0	195.183.14.255	GB
195.183.15.0	195.183.15.31	IT
195.183.15.32	195.183.15.47	ES
195.183.15.48	195.183.15.63	NL
195.183.15.64	195.183.15.127	IT
195.183.15.128	195.183.15.191	FR
195.183.15.192	195.183.15.207	ZA
195.183.15.208	195.183.15.223	RU
195.183.15.224	195.183.15.255	GB
195.183.16.0	195.183.16.23	CH
195.183.16.24	195.183.16.31	EU
195.183.16.32	195.183.16.63	CH
195.183.16.64	195.183.16.127	EU
195.183.16.128	195.183.21.159	CH
195.183.21.160	195.183.21.175	SE
195.183.21.176	195.183.21.191	DE
195.183.21.192	195.183.21.223	NL
195.183.21.224	195.183.21.255	DE
195.183.22.0	195.183.23.255	CH
195.183.24.0	195.183.24.39	FR
195.183.24.40	195.183.24.47	EU
195.183.24.48	195.183.25.15	FR
195.183.25.16	195.183.25.63	EU
195.183.25.64	195.183.25.127	FR
195.183.25.128	195.183.25.255	EU
195.183.26.0	195.183.31.159	FR
195.183.31.160	195.183.31.191	DE
195.183.31.192	195.183.31.223	IT
195.183.31.224	195.183.31.239	ZA
195.183.31.240	195.183.31.255	GB
195.183.32.0	195.183.32.31	RU
195.183.32.32	195.183.32.63	DE
195.183.32.64	195.183.32.135	RU
195.183.32.136	195.183.32.255	EU
195.183.33.0	195.183.33.95	FR
195.183.33.96	195.183.33.127	BE
195.183.33.128	195.183.33.143	GB
195.183.33.144	195.183.33.159	BE
195.183.33.160	195.183.33.191	NL
195.183.33.192	195.183.33.207	ZA
195.183.33.208	195.183.33.215	GB
195.183.33.216	195.183.33.223	ZA
195.183.33.224	195.183.33.239	GB
195.183.33.240	195.183.33.255	BE
195.183.34.0	195.183.34.127	DE
195.183.34.128	195.183.34.255	IE
195.183.35.0	195.183.35.63	DE
195.183.35.64	195.183.35.95	GB
195.183.35.96	195.183.35.127	ZA
195.183.35.128	195.183.35.255	DE
195.183.36.0	195.183.36.255	NL
195.183.37.0	195.183.37.255	IT
195.183.38.0	195.183.38.255	GB
195.183.39.0	195.183.39.255	NO
195.183.40.0	195.183.40.255	EU
195.183.41.0	195.183.41.143	ZA
195.183.41.144	195.183.41.159	EU
195.183.41.160	195.183.41.191	SE
195.183.41.192	195.183.41.255	GB
195.183.42.0	195.183.42.255	BE
195.183.43.0	195.183.43.159	EU
195.183.43.160	195.183.43.191	GB
195.183.43.192	195.183.43.255	ES
195.183.44.0	195.183.47.255	GB
195.183.48.0	195.183.48.255	DE
195.183.49.0	195.183.49.143	GB
195.183.49.144	195.183.49.151	NL
195.183.49.152	195.183.49.159	CH
195.183.49.160	195.183.49.191	DE
195.183.49.192	195.183.49.255	IT
195.183.50.0	195.183.61.191	GB
195.183.61.192	195.183.61.255	ZA
195.183.62.0	195.183.63.255	GB
195.183.64.0	195.183.64.127	PL
195.183.64.128	195.183.64.255	EU
195.183.65.0	195.183.65.255	NO
195.183.66.0	195.183.67.63	GB
195.183.67.64	195.183.67.95	DE
195.183.67.96	195.183.67.111	GB
195.183.67.112	195.183.67.127	ES
195.183.67.128	195.183.67.255	ZA
195.183.68.0	195.183.69.95	GB
195.183.69.96	195.183.69.127	IT
195.183.69.128	195.183.69.159	GB
195.183.69.160	195.183.69.191	DE
195.183.69.192	195.183.69.207	NL
195.183.69.208	195.183.69.223	ZA
195.183.69.224	195.183.69.255	DK
195.183.70.0	195.183.77.71	GB
195.183.77.72	195.183.77.95	SE
195.183.77.96	195.183.77.127	DK
195.183.77.128	195.183.77.255	DE
195.183.78.0	195.183.79.7	GB
195.183.79.8	195.183.79.15	SE
195.183.79.16	195.183.79.31	IT
195.183.79.32	195.183.79.63	GB
195.183.79.64	195.183.79.127	DE
195.183.79.128	195.183.79.191	FR
195.183.79.192	195.183.81.223	GB
195.183.81.224	195.183.81.255	DE
195.183.82.0	195.183.83.255	GB
195.183.84.0	195.183.84.7	HU
195.183.84.8	195.183.84.31	EU
195.183.84.32	195.183.84.63	DE
195.183.84.64	195.183.84.127	GB
195.183.84.128	195.183.84.191	SE
195.183.84.192	195.183.84.255	DE
195.183.85.0	195.183.85.143	GB
195.183.85.144	195.183.85.159	BE
195.183.85.160	195.183.85.191	SE
195.183.85.192	195.183.85.207	GB
195.183.85.208	195.183.85.223	ZA
195.183.85.224	195.183.85.255	CH
195.183.86.0	195.183.87.135	GB
195.183.87.136	195.183.87.143	FR
195.183.87.144	195.183.87.151	GB
195.183.87.152	195.183.87.159	CH
195.183.87.160	195.183.87.191	GB
195.183.87.192	195.183.87.255	DE
195.183.88.0	195.183.89.255	EU
195.183.90.0	195.183.94.255	GB
195.183.95.0	195.183.95.63	EU
195.183.95.64	195.183.95.79	GB
195.183.95.80	195.183.95.87	NL
195.183.95.88	195.183.95.95	GB
195.183.95.96	195.183.95.111	ZA
195.183.95.112	195.183.95.127	GB
195.183.95.128	195.183.97.31	DE
195.183.97.32	195.183.97.47	NL
195.183.97.48	195.183.102.95	DE
195.183.102.96	195.183.102.127	ZA
195.183.102.128	195.183.116.255	DE
195.183.117.0	195.183.117.255	EU
195.183.118.0	195.183.118.39	DE
195.183.118.40	195.183.118.47	EU
195.183.118.48	195.183.127.255	DE
195.183.128.0	195.183.128.31	EU
195.183.128.32	195.183.129.127	ZA
195.183.129.128	195.183.129.255	EU
195.183.130.0	195.183.130.15	ZA
195.183.130.16	195.183.130.31	EU
195.183.130.32	195.183.130.127	ZA
195.183.130.128	195.183.130.255	EU
195.183.131.0	195.183.131.95	ZA
195.183.131.96	195.183.131.103	IT
195.183.131.104	195.183.131.127	GB
195.183.131.128	195.183.131.255	BE
195.183.132.0	195.183.132.31	ZA
195.183.132.32	195.183.132.63	DE
195.183.132.64	195.183.132.127	IE
195.183.132.128	195.183.135.255	ZA
195.183.136.0	195.183.136.7	EU
195.183.136.8	195.183.136.255	ES
195.183.137.0	195.183.137.255	ZA
195.183.138.0	195.183.138.143	ES
195.183.138.144	195.183.138.159	IE
195.183.138.160	195.183.138.191	FR
195.183.138.192	195.183.138.255	ES
195.183.139.0	195.183.139.255	IE
195.183.140.0	195.183.141.31	ES
195.183.141.32	195.183.141.39	EU
195.183.141.40	195.183.141.47	ES
195.183.141.48	195.183.141.63	EU
195.183.141.64	195.183.141.103	ES
195.183.141.104	195.183.141.111	EU
195.183.141.112	195.183.141.199	ES
195.183.141.200	195.183.141.255	EU
195.183.142.0	195.183.142.255	FR
195.183.143.0	195.183.143.255	DE
195.183.144.0	195.183.144.159	NL
195.183.144.160	195.183.144.255	EU
195.183.145.0	195.183.145.7	NL
195.183.145.8	195.183.145.15	GB
195.183.145.16	195.183.145.31	NL
195.183.145.32	195.183.145.63	SE
195.183.145.64	195.183.145.95	NL
195.183.145.96	195.183.145.103	SE
195.183.145.104	195.183.145.111	EU
195.183.145.112	195.183.145.119	GB
195.183.145.120	195.183.145.127	DE
195.183.145.128	195.183.145.159	CH
195.183.145.160	195.183.145.191	EU
195.183.145.192	195.183.145.223	CH
195.183.145.224	195.183.145.255	EU
195.183.146.0	195.183.146.63	NL
195.183.146.64	195.183.146.95	DE
195.183.146.96	195.183.146.127	CH
195.183.146.128	195.183.146.255	DE
195.183.147.0	195.183.147.31	NL
195.183.147.32	195.183.147.47	ZA
195.183.147.48	195.183.147.55	SE
195.183.147.56	195.183.147.63	CH
195.183.147.64	195.183.147.127	IE
195.183.147.128	195.183.147.255	DE
195.183.148.0	195.183.148.95	BE
195.183.148.96	195.183.148.127	EU
195.183.148.128	195.183.149.127	BE
195.183.149.128	195.183.149.191	AT
195.183.149.192	195.183.149.255	GB
195.183.150.0	195.183.151.255	BE
195.183.152.0	195.183.152.31	EU
195.183.152.32	195.183.154.159	DK
195.183.154.160	195.183.154.191	DE
195.183.154.192	195.183.154.207	EU
195.183.154.208	195.183.154.255	DE
195.183.155.0	195.183.155.255	DK
195.183.156.0	195.183.156.15	EU
195.183.156.16	195.183.156.23	SE
195.183.156.24	195.183.156.31	EU
195.183.156.32	195.183.156.63	SE
195.183.156.64	195.183.156.127	EU
195.183.156.128	195.183.156.175	SE
195.183.156.176	195.183.156.191	EU
195.183.156.192	195.183.156.215	SE
195.183.156.216	195.183.156.223	EU
195.183.156.224	195.183.157.127	SE
195.183.157.128	195.183.157.143	ZA
195.183.157.144	195.183.157.191	DE
195.183.157.192	195.183.157.223	CH
195.183.157.224	195.183.157.255	GB
195.183.158.0	195.183.158.191	SE
195.183.158.192	195.183.158.223	ZA
195.183.158.224	195.183.158.255	DE
195.183.159.0	195.183.159.255	SE
195.183.160.0	195.183.160.191	DE
195.183.160.192	195.183.160.199	GB
195.183.160.200	195.183.160.207	ZA
195.183.160.208	195.183.160.255	CH
195.183.161.0	195.183.163.255	DE
195.183.164.0	195.183.166.143	CH
195.183.166.144	195.183.166.159	GB
195.183.166.160	195.183.166.191	DE
195.183.166.192	195.183.166.199	SE
195.183.166.200	195.183.166.207	GB
195.183.166.208	195.183.166.223	ZA
195.183.166.224	195.183.167.63	CH
195.183.167.64	195.183.167.95	BE
195.183.167.96	195.183.167.127	IT
195.183.167.128	195.183.167.255	CH
195.183.168.0	195.183.175.255	IT
195.183.176.0	195.183.177.255	DE
195.183.178.0	195.183.179.255	EU
195.183.180.0	195.183.187.47	GB
195.183.187.48	195.183.187.63	EU
195.183.187.64	195.183.187.95	DE
195.183.187.96	195.183.187.127	EU
195.183.187.128	195.183.187.255	DE
195.183.188.0	195.183.189.47	GB
195.183.189.48	195.183.189.63	CH
195.183.189.64	195.183.189.95	IE
195.183.189.96	195.183.189.127	SE
195.183.189.128	195.183.189.143	DE
195.183.189.144	195.183.189.151	DK
195.183.189.152	195.183.189.255	DE
195.183.190.0	195.183.190.31	GB
195.183.190.32	195.183.190.63	CH
195.183.190.64	195.183.190.127	GB
195.183.190.128	195.183.190.255	DK
195.183.191.0	195.183.191.191	GB
195.183.191.192	195.183.191.207	DE
195.183.191.208	195.183.191.223	NL
195.183.191.224	195.183.191.255	GB
195.183.192.0	195.183.192.255	SE
195.183.193.0	195.183.193.255	IE
195.183.194.0	195.183.196.143	ZA
195.183.196.144	195.183.196.159	FR
195.183.196.160	195.183.196.191	DE
195.183.196.192	195.183.196.223	IT
195.183.196.224	195.183.196.255	EU
195.183.197.0	195.183.197.31	ZA
195.183.197.32	195.183.197.63	DE
195.183.197.64	195.183.197.127	IT
195.183.197.128	195.183.197.255	ZA
195.183.198.0	195.183.199.191	AT
195.183.199.192	195.183.199.223	IT
195.183.199.224	195.183.199.239	IE
195.183.199.240	195.183.199.247	NL
195.183.199.248	195.183.201.255	AT
195.183.202.0	195.183.203.63	ZA
195.183.203.64	195.183.203.95	GB
195.183.203.96	195.183.203.111	IT
195.183.203.112	195.183.203.127	ZA
195.183.203.128	195.183.203.191	GB
195.183.203.192	195.183.203.255	BE
195.183.204.0	195.183.205.255	ZA
195.183.206.0	195.183.206.63	CH
195.183.206.64	195.183.206.127	IT
195.183.206.128	195.183.206.255	CH
195.183.207.0	195.183.207.255	EU
195.183.208.0	195.183.211.255	GB
195.183.212.0	195.183.212.255	EU
195.183.213.0	195.183.215.255	GB
195.183.216.0	195.183.220.255	DE
195.183.221.0	195.183.223.63	BE
195.183.223.64	195.183.223.127	NO
195.183.223.128	195.183.223.255	AT
195.183.224.0	195.183.227.255	BE
195.183.228.0	195.183.228.255	DE
195.183.229.0	195.183.229.63	EU
195.183.229.64	195.183.229.127	DE
195.183.229.128	195.183.229.255	IT
195.183.230.0	195.183.236.159	DE
195.183.236.160	195.183.236.191	CH
195.183.236.192	195.183.236.255	TR
195.183.237.0	195.183.240.255	DE
195.183.241.0	195.183.246.63	IT
195.183.246.64	195.183.246.127	DE
195.183.246.128	195.183.247.255	IT
195.183.248.0	195.183.249.127	CH
195.183.249.128	195.183.249.255	FR
195.183.250.0	195.183.252.255	CH
195.183.253.0	195.183.253.255	EU
195.183.254.0	195.183.255.255	CH
195.184.0.0	195.184.31.255	HU
195.184.32.0	195.184.63.255	DK
195.184.64.0	195.184.65.255	NL
195.184.66.0	195.184.67.255	GB
195.184.68.0	195.184.69.255	SE
195.184.70.0	195.184.71.255	UA
195.184.72.0	195.184.75.255	RU
195.184.76.0	195.184.77.255	GB
195.184.78.0	195.184.79.255	RU
195.184.80.0	195.184.81.255	UA
195.184.82.0	195.184.83.255	PL
195.184.86.0	195.184.87.255	UA
195.184.88.0	195.184.89.255	PL
195.184.90.0	195.184.91.255	RU
195.184.92.0	195.184.93.255	CH
195.184.94.0	195.184.95.255	DE
195.184.96.0	195.184.127.255	DK
195.184.128.0	195.184.129.255	BE
195.184.130.0	195.184.131.255	GB
195.184.132.0	195.184.132.255	DE
195.184.133.0	195.184.133.255	FR
195.184.134.0	195.184.135.255	DE
195.184.136.0	195.184.136.127	SE
195.184.136.128	195.184.136.255	CH
195.184.137.0	195.184.137.63	SE
195.184.137.64	195.184.137.95	GB
195.184.137.96	195.184.137.111	SE
195.184.137.112	195.184.137.127	GB
195.184.137.128	195.184.137.143	RU
195.184.137.144	195.184.137.159	CH
195.184.137.160	195.184.137.255	GB
195.184.138.0	195.184.138.63	IT
195.184.138.64	195.184.138.95	EU
195.184.138.96	195.184.138.111	ES
195.184.138.112	195.184.138.127	EU
195.184.138.128	195.184.138.191	HU
195.184.138.192	195.184.138.255	ZA
195.184.139.0	195.184.139.95	EU
195.184.139.96	195.184.139.111	DE
195.184.139.112	195.184.139.135	EU
195.184.139.136	195.184.139.143	DE
195.184.139.144	195.184.139.159	EU
195.184.139.160	195.184.139.191	FR
195.184.139.192	195.184.139.255	IL
195.184.140.0	195.184.140.7	GB
195.184.140.8	195.184.140.15	EU
195.184.140.16	195.184.140.31	DE
195.184.140.32	195.184.140.63	EU
195.184.140.64	195.184.140.79	SE
195.184.140.80	195.184.140.87	RO
195.184.140.88	195.184.140.95	BE
195.184.140.96	195.184.140.103	EU
195.184.140.104	195.184.140.111	IT
195.184.140.112	195.184.140.127	GB
195.184.140.128	195.184.140.143	CH
195.184.140.144	195.184.140.151	FR
195.184.140.152	195.184.140.159	CH
195.184.140.160	195.184.140.191	FR
195.184.140.192	195.184.140.255	SE
195.184.141.0	195.184.141.127	NL
195.184.141.128	195.184.141.191	DK
195.184.141.192	195.184.141.223	DE
195.184.141.224	195.184.141.231	EU
195.184.141.232	195.184.141.239	GB
195.184.141.240	195.184.141.255	EU
195.184.142.0	195.184.142.255	GB
195.184.143.0	195.184.143.127	IT
195.184.143.128	195.184.143.167	EU
195.184.143.168	195.184.143.175	SE
195.184.143.176	195.184.143.191	EU
195.184.143.192	195.184.143.223	FR
195.184.143.224	195.184.143.255	DE
195.184.144.0	195.184.144.255	NO
195.184.145.0	195.184.145.191	BE
195.184.145.192	195.184.146.127	EU
195.184.146.128	195.184.146.191	NO
195.184.146.192	195.184.147.127	EU
195.184.147.128	195.184.147.255	GB
195.184.148.0	195.184.148.255	FR
195.184.149.0	195.184.149.127	SE
195.184.149.128	195.184.149.255	FR
195.184.150.0	195.184.150.255	DE
195.184.151.0	195.184.151.255	CH
195.184.152.0	195.184.152.255	DK
195.184.153.0	195.184.153.127	EU
195.184.153.128	195.184.153.255	DK
195.184.154.0	195.184.154.127	DE
195.184.154.128	195.184.154.255	BE
195.184.155.0	195.184.155.255	FR
195.184.156.0	195.184.156.255	ES
195.184.157.0	195.184.157.255	ZA
195.184.158.0	195.184.158.31	GB
195.184.158.32	195.184.158.63	EU
195.184.158.64	195.184.158.79	GB
195.184.158.80	195.184.158.111	EU
195.184.158.112	195.184.158.119	GB
195.184.158.120	195.184.158.255	EU
195.184.159.0	195.184.159.111	ES
195.184.159.112	195.184.159.127	FR
195.184.159.128	195.184.159.143	EU
195.184.159.144	195.184.159.151	FR
195.184.159.152	195.184.159.255	EU
195.184.160.0	195.184.191.255	HU
195.184.192.0	195.184.223.255	UA
195.184.224.0	195.184.255.255	GB
195.185.0.0	195.185.186.127	DE
195.185.186.128	195.185.186.255	US
195.185.187.0	195.185.255.255	DE
195.186.0.0	195.186.255.255	CH
195.187.0.0	195.187.255.255	PL
195.188.0.0	195.188.255.255	GB
195.189.0.0	195.189.3.255	CZ
195.189.4.0	195.189.7.255	AT
195.189.8.0	195.189.11.255	UA
195.189.12.0	195.189.15.255	GB
195.189.16.0	195.189.19.255	UA
195.189.20.0	195.189.23.255	NL
195.189.24.0	195.189.27.255	SE
195.189.28.0	195.189.31.255	KZ
195.189.32.0	195.189.35.255	PL
195.189.36.0	195.189.39.255	UA
195.189.40.0	195.189.43.255	PL
195.189.44.0	195.189.51.255	UA
195.189.52.0	195.189.55.255	PL
195.189.56.0	195.189.59.255	GR
195.189.60.0	195.189.63.255	UA
195.189.64.0	195.189.67.255	FR
195.189.68.0	195.189.71.255	KZ
195.189.72.0	195.189.75.255	RU
195.189.76.0	195.189.79.255	PL
195.189.84.0	195.189.91.255	PL
195.189.92.0	195.189.95.255	DE
195.189.96.0	195.189.99.255	UA
195.189.100.0	195.189.103.255	RU
195.189.104.0	195.189.107.255	UA
195.189.108.0	195.189.111.255	RU
195.189.112.0	195.189.115.255	SE
195.189.116.0	195.189.119.255	NL
195.189.120.0	195.189.123.255	RU
195.189.124.0	195.189.127.255	NL
195.189.128.0	195.189.129.255	IE
195.189.130.0	195.189.131.255	DK
195.189.132.0	195.189.133.255	UA
195.189.134.0	195.189.137.255	RU
195.189.138.0	195.189.139.255	RO
195.189.140.0	195.189.141.255	IL
195.189.142.0	195.189.143.255	NO
195.189.144.0	195.189.145.255	RO
195.189.146.0	195.189.149.255	CH
195.189.150.0	195.189.155.255	RO
195.189.156.0	195.189.157.255	CY
195.189.158.0	195.189.159.255	GB
195.189.160.0	195.189.161.255	SE
195.189.162.0	195.189.163.255	GR
195.189.164.0	195.189.165.255	RO
195.189.166.0	195.189.167.255	AT
195.189.168.0	195.189.169.255	RU
195.189.170.0	195.189.171.255	AT
195.189.172.0	195.189.173.255	GB
195.189.174.0	195.189.177.255	RO
195.189.178.0	195.189.179.255	FR
195.189.180.0	195.189.181.255	RU
195.189.182.0	195.189.183.255	SE
195.189.184.0	195.189.187.255	RO
195.189.188.0	195.189.189.255	SE
195.189.190.0	195.189.191.255	RO
195.189.192.0	195.189.193.255	IL
195.189.194.0	195.189.195.255	RO
195.189.196.0	195.189.197.255	UA
195.189.198.0	195.189.199.255	AT
195.189.200.0	195.189.201.255	UA
195.189.202.0	195.189.203.255	BE
195.189.204.0	195.189.205.255	CH
195.189.206.0	195.189.207.255	MK
195.189.208.0	195.189.209.255	RO
195.189.210.0	195.189.211.255	PS
195.189.212.0	195.189.213.255	SA
195.189.214.0	195.189.215.255	UA
195.189.216.0	195.189.217.255	NL
195.189.218.0	195.189.219.255	RU
195.189.220.0	195.189.221.255	GB
195.189.222.0	195.189.223.255	RU
195.189.224.0	195.189.225.255	BG
195.189.226.0	195.189.229.255	UA
195.189.230.0	195.189.231.255	PL
195.189.232.0	195.189.233.255	DK
195.189.234.0	195.189.235.255	UA
195.189.236.0	195.189.237.255	DE
195.189.238.0	195.189.239.255	RU
195.189.240.0	195.189.241.255	UA
195.189.242.0	195.189.243.255	PA
195.189.244.0	195.189.245.255	DE
195.189.246.0	195.189.249.255	UA
195.189.250.0	195.189.251.255	RO
195.189.252.0	195.189.253.255	CH
195.189.254.0	195.189.255.255	NO
195.190.0.0	195.190.0.255	NL
195.190.1.0	195.190.1.255	PL
195.190.2.0	195.190.2.255	DE
195.190.3.0	195.190.3.255	FR
195.190.4.0	195.190.4.255	CH
195.190.5.0	195.190.6.255	FR
195.190.7.0	195.190.9.255	DE
195.190.10.0	195.190.10.255	HR
195.190.11.0	195.190.11.255	DE
195.190.12.0	195.190.12.255	RU
195.190.13.0	195.190.13.255	UA
195.190.14.0	195.190.14.255	RU
195.190.15.0	195.190.16.255	AT
195.190.17.0	195.190.17.255	PL
195.190.18.0	195.190.18.255	DK
195.190.19.0	195.190.19.255	IL
195.190.20.0	195.190.20.255	TR
195.190.21.0	195.190.21.255	IT
195.190.22.0	195.190.22.255	GB
195.190.23.0	195.190.23.255	IL
195.190.24.0	195.190.24.255	US
195.190.25.0	195.190.25.255	DK
195.190.26.0	195.190.26.255	AT
195.190.27.0	195.190.27.255	FR
195.190.28.0	195.190.28.255	NL
195.190.29.0	195.190.29.255	CH
195.190.30.0	195.190.31.255	DK
195.190.32.0	195.190.63.255	GR
195.190.64.0	195.190.64.15	DE
195.190.64.16	195.190.64.95	GB
195.190.64.96	195.190.64.127	DE
195.190.64.128	195.190.64.191	GB
195.190.64.192	195.190.64.223	DE
195.190.64.224	195.190.66.255	GB
195.190.67.0	195.190.68.111	DE
195.190.68.112	195.190.68.127	GB
195.190.68.128	195.190.68.255	DE
195.190.69.0	195.190.69.191	GB
195.190.69.192	195.190.69.255	DE
195.190.70.0	195.190.71.95	GB
195.190.71.96	195.190.71.223	DE
195.190.71.224	195.190.73.95	GB
195.190.73.96	195.190.73.127	DE
195.190.73.128	195.190.73.159	GB
195.190.73.160	195.190.73.255	DE
195.190.74.0	195.190.75.255	GB
195.190.76.0	195.190.76.255	DE
195.190.77.0	195.190.77.207	GB
195.190.77.208	195.190.77.223	DE
195.190.77.224	195.190.77.239	GB
195.190.77.240	195.190.77.255	DE
195.190.78.0	195.190.79.31	GB
195.190.79.32	195.190.79.127	DE
195.190.79.128	195.190.80.255	GB
195.190.81.0	195.190.81.95	DE
195.190.81.96	195.190.81.255	GB
195.190.82.0	195.190.83.255	DE
195.190.84.0	195.190.84.191	GB
195.190.84.192	195.190.84.223	DE
195.190.84.224	195.190.85.255	GB
195.190.86.0	195.190.86.191	DE
195.190.86.192	195.190.88.63	GB
195.190.88.64	195.190.88.127	DE
195.190.88.128	195.190.88.255	GB
195.190.89.0	195.190.90.31	DE
195.190.90.32	195.190.90.63	GB
195.190.90.64	195.190.90.95	DE
195.190.90.96	195.190.90.127	GB
195.190.90.128	195.190.90.255	DE
195.190.91.0	195.190.92.127	GB
195.190.92.128	195.190.92.191	DE
195.190.92.192	195.190.92.255	GB
195.190.93.0	195.190.93.127	DE
195.190.93.128	195.190.95.255	GB
195.190.96.0	195.190.127.255	RU
195.190.128.0	195.190.128.255	DK
195.190.129.0	195.190.129.255	SI
195.190.130.0	195.190.130.255	GB
195.190.131.0	195.190.131.255	AT
195.190.132.0	195.190.132.255	GB
195.190.133.0	195.190.133.255	DE
195.190.134.0	195.190.134.255	EE
195.190.135.0	195.190.135.255	DE
195.190.136.0	195.190.136.255	HR
195.190.137.0	195.190.137.255	FR
195.190.138.0	195.190.139.255	DE
195.190.140.0	195.190.140.255	CZ
195.190.141.0	195.190.141.255	LT
195.190.142.0	195.190.142.255	DE
195.190.143.0	195.190.143.255	AT
195.190.144.0	195.190.144.255	UA
195.190.145.0	195.190.145.255	DE
195.190.146.0	195.190.146.255	NL
195.190.147.0	195.190.147.255	SE
195.190.148.0	195.190.148.255	DE
195.190.149.0	195.190.149.255	DK
195.190.150.0	195.190.150.255	DE
195.190.151.0	195.190.151.255	NL
195.190.152.0	195.190.152.255	HU
195.190.153.0	195.190.153.255	DK
195.190.154.0	195.190.154.255	GB
195.190.155.0	195.190.156.255	FR
195.190.157.0	195.190.157.255	UA
195.190.158.0	195.190.158.255	SI
195.190.159.0	195.190.159.255	RO
195.190.160.0	195.190.191.255	CH
195.190.192.0	195.190.223.255	SE
195.190.224.0	195.191.1.255	NL
195.191.2.0	195.191.3.255	DE
195.191.4.0	195.191.5.255	RU
195.191.6.0	195.191.7.255	SA
195.191.8.0	195.191.9.255	PL
195.191.10.0	195.191.11.255	RU
195.191.12.0	195.191.13.255	UA
195.191.14.0	195.191.15.255	DE
195.191.16.0	195.191.17.255	NL
195.191.18.0	195.191.19.255	RU
195.191.20.0	195.191.21.255	DE
195.191.22.0	195.191.23.255	BE
195.191.24.0	195.191.25.255	UA
195.191.26.0	195.191.27.255	CH
195.191.28.0	195.191.29.255	IE
195.191.30.0	195.191.31.255	NO
195.191.32.0	195.191.33.255	RU
195.191.34.0	195.191.35.255	BG
195.191.36.0	195.191.37.255	RU
195.191.38.0	195.191.39.255	UA
195.191.40.0	195.191.41.255	RU
195.191.42.0	195.191.43.255	DE
195.191.44.0	195.191.47.255	RO
195.191.48.0	195.191.49.255	CZ
195.191.50.0	195.191.51.255	RU
195.191.52.0	195.191.53.255	IL
195.191.54.0	195.191.55.255	LV
195.191.56.0	195.191.59.255	UA
195.191.60.0	195.191.61.255	BG
195.191.62.0	195.191.63.255	PL
195.191.64.0	195.191.65.255	RU
195.191.66.0	195.191.67.255	GB
195.191.68.0	195.191.69.255	DE
195.191.70.0	195.191.71.255	GB
195.191.72.0	195.191.73.255	UA
195.191.74.0	195.191.75.255	IR
195.191.76.0	195.191.77.255	RU
195.191.80.0	195.191.81.255	UA
195.191.82.0	195.191.83.255	RU
195.191.84.0	195.191.85.255	IT
195.191.86.0	195.191.87.255	GB
195.191.88.0	195.191.89.255	RU
195.191.90.0	195.191.91.255	UA
195.191.92.0	195.191.93.255	DE
195.191.94.0	195.191.95.255	BG
195.191.96.0	195.191.97.255	RO
195.191.98.0	195.191.99.255	GR
195.191.100.0	195.191.101.255	AM
195.191.102.0	195.191.103.255	EU
195.191.104.0	195.191.105.255	UA
195.191.106.0	195.191.107.255	GB
195.191.108.0	195.191.109.255	DK
195.191.110.0	195.191.111.255	AT
195.191.112.0	195.191.113.255	NL
195.191.114.0	195.191.115.255	DE
195.191.116.0	195.191.117.255	NO
195.191.118.0	195.191.119.255	TR
195.191.120.0	195.191.121.255	NL
195.191.122.0	195.191.123.255	FI
195.191.124.0	195.191.125.255	RO
195.191.126.0	195.191.127.255	UA
195.191.128.0	195.191.131.255	RU
195.191.132.0	195.191.133.255	CH
195.191.134.0	195.191.135.255	FR
195.191.136.0	195.191.137.255	RU
195.191.138.0	195.191.139.255	UA
195.191.140.0	195.191.141.255	RU
195.191.142.0	195.191.143.255	DK
195.191.144.0	195.191.145.255	SE
195.191.146.0	195.191.147.255	RU
195.191.148.0	195.191.149.255	BG
195.191.150.0	195.191.153.255	NL
195.191.154.0	195.191.155.255	AM
195.191.156.0	195.191.157.255	GB
195.191.158.0	195.191.159.255	RU
195.191.160.0	195.191.161.255	RO
195.191.162.0	195.191.163.255	PL
195.191.164.0	195.191.165.255	NL
195.191.166.0	195.191.167.255	RU
195.191.168.0	195.191.169.255	UA
195.191.170.0	195.191.171.255	PL
195.191.172.0	195.191.173.255	FR
195.191.174.0	195.191.177.255	RU
195.191.178.0	195.191.179.255	UA
195.191.180.0	195.191.181.255	PL
195.191.182.0	195.191.183.255	RU
195.191.184.0	195.191.185.255	PL
195.191.186.0	195.191.187.255	AM
195.191.188.0	195.191.189.255	CH
195.191.190.0	195.191.193.255	RU
195.191.194.0	195.191.195.255	UA
195.191.196.0	195.191.197.255	DE
195.191.198.0	195.191.199.255	RO
195.191.200.0	195.191.201.255	UA
195.191.202.0	195.191.205.255	CZ
195.191.206.0	195.191.207.255	NL
195.191.208.0	195.191.209.255	RU
195.191.210.0	195.191.211.255	GB
195.191.212.0	195.191.213.255	CZ
195.191.214.0	195.191.215.255	UA
195.191.216.0	195.191.217.255	DE
195.191.218.0	195.191.219.255	GB
195.191.220.0	195.191.221.255	RU
195.191.222.0	195.191.223.255	HU
195.191.224.0	195.191.225.255	DE
195.191.226.0	195.191.227.255	UA
195.191.228.0	195.191.229.255	HU
195.191.230.0	195.191.231.255	TM
195.191.232.0	195.191.233.255	PL
195.191.234.0	195.191.235.255	UA
195.191.236.0	195.191.239.255	RU
195.191.240.0	195.191.241.255	CH
195.191.242.0	195.191.243.255	RU
195.191.244.0	195.191.245.255	FR
195.191.246.0	195.191.247.255	UA
195.191.248.0	195.191.249.255	PL
195.191.250.0	195.191.251.255	RU
195.191.252.0	195.191.255.255	AT
195.192.0.0	195.192.255.255	DK
195.193.0.0	195.193.255.255	NL
195.194.0.0	195.195.255.255	GB
195.196.0.0	195.196.255.255	SE
195.197.0.0	195.197.68.35	FI
195.197.68.36	195.197.68.39	AX
195.197.68.40	195.197.250.63	FI
195.197.250.64	195.197.250.67	NL
195.197.250.68	195.197.255.255	FI
195.198.0.0	195.198.255.255	SE
195.199.0.0	195.199.255.255	HU
195.200.0.0	195.200.31.255	GB
195.200.32.0	195.200.63.255	DE
195.200.64.0	195.200.65.255	UA
195.200.66.0	195.200.67.255	RO
195.200.68.0	195.200.69.255	FI
195.200.70.0	195.200.71.255	DE
195.200.72.0	195.200.73.255	SE
195.200.74.0	195.200.75.255	KZ
195.200.76.0	195.200.77.255	GB
195.200.78.0	195.200.79.255	FR
195.200.80.0	195.200.81.255	DE
195.200.82.0	195.200.83.255	NL
195.200.84.0	195.200.85.255	US
195.200.86.0	195.200.87.255	RO
195.200.88.0	195.200.89.255	PL
195.200.90.0	195.200.91.255	UA
195.200.92.0	195.200.93.255	NG
195.200.96.0	195.200.127.255	FR
195.200.128.0	195.200.128.127	GB
195.200.128.128	195.200.128.191	FR
195.200.128.192	195.200.159.255	GB
195.200.160.0	195.200.191.255	FR
195.200.192.0	195.200.192.255	DE
195.200.193.0	195.200.193.255	GR
195.200.194.0	195.200.194.255	DE
195.200.195.0	195.200.195.255	FR
195.200.196.0	195.200.196.255	UA
195.200.197.0	195.200.197.255	AT
195.200.198.0	195.200.198.255	GB
195.200.199.0	195.200.199.255	PL
195.200.200.0	195.200.200.255	RO
195.200.201.0	195.200.201.255	BE
195.200.202.0	195.200.202.255	IT
195.200.203.0	195.200.203.255	RU
195.200.204.0	195.200.204.255	GR
195.200.205.0	195.200.205.255	IL
195.200.206.0	195.200.206.255	PL
195.200.207.0	195.200.207.255	DE
195.200.208.0	195.200.208.255	FR
195.200.209.0	195.200.209.255	RU
195.200.210.0	195.200.211.255	GB
195.200.212.0	195.200.212.255	PL
195.200.213.0	195.200.213.255	RU
195.200.214.0	195.200.214.255	PL
195.200.215.0	195.200.215.255	DE
195.200.216.0	195.200.216.255	RU
195.200.217.0	195.200.217.255	FR
195.200.218.0	195.200.218.255	CH
195.200.219.0	195.200.220.255	SE
195.200.221.0	195.200.221.255	UA
195.200.222.0	195.200.222.255	TR
195.200.223.0	195.200.223.255	NL
195.200.224.0	195.200.225.255	BE
195.200.226.0	195.200.227.255	RU
195.200.228.0	195.200.229.255	FR
195.200.230.0	195.200.231.255	GB
195.200.232.0	195.200.233.255	RU
195.200.234.0	195.200.235.255	PL
195.200.236.0	195.200.237.255	RU
195.200.238.0	195.200.239.255	GR
195.200.240.0	195.200.241.255	LU
195.200.242.0	195.200.243.255	DE
195.200.244.0	195.200.245.255	UA
195.200.246.0	195.200.247.255	MK
195.200.248.0	195.200.249.255	RU
195.200.250.0	195.200.251.255	UA
195.200.252.0	195.200.253.255	PT
195.200.254.0	195.200.255.255	FR
195.201.0.0	195.201.255.255	RU
195.202.0.0	195.202.31.255	FR
195.202.32.0	195.202.63.255	DE
195.202.64.0	195.202.95.255	KE
195.202.96.0	195.202.97.255	GB
195.202.98.0	195.202.98.15	DE
195.202.98.16	195.202.105.255	GB
195.202.106.0	195.202.106.255	DE
195.202.107.0	195.202.109.223	GB
195.202.109.224	195.202.109.231	DE
195.202.109.232	195.202.116.255	GB
195.202.117.0	195.202.117.15	DE
195.202.117.16	195.202.117.79	GB
195.202.117.80	195.202.117.95	DE
195.202.117.96	195.202.127.255	GB
195.202.128.0	195.202.191.255	AT
195.202.192.0	195.202.255.255	CH
195.203.0.0	195.203.10.255	DE
195.203.11.0	195.203.11.255	FR
195.203.12.0	195.203.30.255	DE
195.203.31.0	195.203.32.255	FR
195.203.33.0	195.203.33.255	DE
195.203.34.0	195.203.34.255	IT
195.203.35.0	195.203.46.255	DE
195.203.47.0	195.203.48.255	IT
195.203.49.0	195.203.255.255	DE
195.204.0.0	195.204.255.255	NO
195.205.0.0	195.205.255.255	PL
195.206.0.0	195.206.31.255	IT
195.206.32.0	195.206.63.255	RU
195.206.64.0	195.206.66.255	GB
195.206.67.0	195.206.68.255	NL
195.206.69.0	195.206.74.127	EU
195.206.74.128	195.206.75.31	BE
195.206.75.32	195.206.80.95	EU
195.206.80.96	195.206.80.127	GB
195.206.80.128	195.206.80.159	EU
195.206.80.160	195.206.80.175	GB
195.206.80.176	195.206.85.127	EU
195.206.85.128	195.206.85.255	DE
195.206.86.0	195.206.86.255	EU
195.206.87.0	195.206.87.127	NL
195.206.87.128	195.206.87.159	EU
195.206.87.160	195.206.87.191	DE
195.206.87.192	195.206.95.255	EU
195.206.96.0	195.206.103.255	AT
195.206.104.0	195.206.107.255	LU
195.206.108.0	195.206.111.255	GB
195.206.112.0	195.206.119.255	PL
195.206.120.0	195.206.123.255	RU
195.206.124.0	195.206.127.255	PL
195.206.128.0	195.206.159.255	DE
195.206.160.0	195.206.223.255	GB
195.206.224.0	195.206.227.255	RU
195.206.228.0	195.206.229.255	PL
195.206.230.0	195.206.231.255	RU
195.206.232.0	195.206.233.255	UA
195.206.234.0	195.206.235.255	RU
195.206.236.0	195.206.237.255	FR
195.206.238.0	195.206.239.255	UA
195.206.240.0	195.206.241.255	RU
195.206.242.0	195.206.243.255	RO
195.206.244.0	195.206.245.255	RU
195.206.246.0	195.206.247.255	RO
195.206.248.0	195.206.249.255	SE
195.206.250.0	195.206.251.255	CY
195.206.252.0	195.206.255.255	RU
195.207.0.0	195.207.138.239	BE
195.207.138.240	195.207.138.247	FR
195.207.138.248	195.207.161.79	BE
195.207.161.80	195.207.161.87	NL
195.207.161.88	195.207.255.255	BE
195.208.0.0	195.209.46.79	RU
195.209.46.80	195.209.46.87	CH
195.209.46.88	195.209.255.255	RU
195.210.0.0	195.210.1.255	HU
195.210.2.0	195.210.3.255	RU
195.210.4.0	195.210.5.255	RO
195.210.6.0	195.210.7.255	DE
195.210.8.0	195.210.9.255	RU
195.210.10.0	195.210.11.255	DE
195.210.12.0	195.210.13.255	PL
195.210.14.0	195.210.15.255	CZ
195.210.16.0	195.210.17.255	CH
195.210.18.0	195.210.19.255	DK
195.210.20.0	195.210.21.255	RU
195.210.22.0	195.210.23.255	GB
195.210.24.0	195.210.25.255	PL
195.210.26.0	195.210.27.255	DE
195.210.28.0	195.210.29.255	SK
195.210.30.0	195.210.33.255	RU
195.210.34.0	195.210.35.255	PL
195.210.36.0	195.210.37.255	SE
195.210.38.0	195.210.39.255	GB
195.210.40.0	195.210.41.255	RO
195.210.42.0	195.210.43.255	FR
195.210.44.0	195.210.45.255	RO
195.210.46.0	195.210.47.255	KZ
195.210.48.0	195.210.51.255	DE
195.210.52.0	195.210.53.255	SE
195.210.54.0	195.210.55.255	GB
195.210.56.0	195.210.57.255	NL
195.210.58.0	195.210.59.255	DE
195.210.62.0	195.210.63.255	SE
195.210.64.0	195.210.127.255	IT
195.210.128.0	195.210.191.255	RU
195.210.192.0	195.210.255.255	SI
195.211.0.0	195.211.3.255	PL
195.211.4.0	195.211.7.255	RU
195.211.8.0	195.211.11.255	PL
195.211.12.0	195.211.15.255	CH
195.211.16.0	195.211.19.255	FI
195.211.20.0	195.211.23.255	RU
195.211.24.0	195.211.27.255	AM
195.211.28.0	195.211.31.255	RU
195.211.32.0	195.211.35.255	AT
195.211.36.0	195.211.43.255	RU
195.211.44.0	195.211.47.255	IR
195.211.48.0	195.211.51.255	NL
195.211.52.0	195.211.55.255	RU
195.211.56.0	195.211.59.255	NL
195.211.60.0	195.211.63.255	UA
195.211.64.0	195.211.67.255	RU
195.211.68.0	195.211.71.255	IL
195.211.72.0	195.211.75.255	NL
195.211.76.0	195.211.83.255	RU
195.211.84.0	195.211.87.255	UA
195.211.88.0	195.211.91.255	RU
195.211.92.0	195.211.95.255	GB
195.211.96.0	195.211.99.255	UA
195.211.100.0	195.211.107.255	RU
195.211.108.0	195.211.111.255	UA
195.211.112.0	195.211.115.255	RU
195.211.116.0	195.211.119.255	UA
195.211.120.0	195.211.131.255	RU
195.211.132.0	195.211.135.255	SE
195.211.136.0	195.211.151.255	UA
195.211.152.0	195.211.155.255	RO
195.211.156.0	195.211.163.255	UA
195.211.164.0	195.211.167.255	GB
195.211.168.0	195.211.171.255	RU
195.211.172.0	195.211.175.255	UA
195.211.176.0	195.211.179.255	DK
195.211.180.0	195.211.183.255	UZ
195.211.184.0	195.211.191.255	UA
195.211.192.0	195.211.199.255	RU
195.211.200.0	195.211.203.255	GR
195.211.204.0	195.211.207.255	RU
195.211.208.0	195.211.215.255	UA
195.211.216.0	195.211.223.255	RU
195.211.224.0	195.211.227.255	IE
195.211.228.0	195.211.231.255	UA
195.211.232.0	195.211.239.255	RU
195.211.240.0	195.211.243.255	UA
195.211.244.0	195.211.251.255	RU
195.211.252.0	195.211.255.255	UA
195.212.0.0	195.212.8.255	GB
195.212.9.0	195.212.9.63	EU
195.212.9.64	195.212.10.103	GB
195.212.10.104	195.212.10.111	EU
195.212.10.112	195.212.10.127	GB
195.212.10.128	195.212.10.255	EU
195.212.11.0	195.212.11.55	GB
195.212.11.56	195.212.11.63	EU
195.212.11.64	195.212.12.223	GB
195.212.12.224	195.212.12.255	EU
195.212.13.0	195.212.13.95	GB
195.212.13.96	195.212.13.127	EU
195.212.13.128	195.212.15.255	GB
195.212.16.0	195.212.19.79	DE
195.212.19.80	195.212.19.95	EU
195.212.19.96	195.212.19.127	DE
195.212.19.128	195.212.19.255	EU
195.212.20.0	195.212.20.15	DE
195.212.20.16	195.212.20.23	EU
195.212.20.24	195.212.20.31	GB
195.212.20.32	195.212.20.63	EU
195.212.20.64	195.212.20.143	DE
195.212.20.144	195.212.20.159	EU
195.212.20.160	195.212.21.127	DE
195.212.21.128	195.212.21.159	EU
195.212.21.160	195.212.21.223	DE
195.212.21.224	195.212.21.255	EU
195.212.22.0	195.212.22.255	DE
195.212.23.0	195.212.23.63	DK
195.212.23.64	195.212.23.95	EU
195.212.23.96	195.212.23.103	DK
195.212.23.104	195.212.23.111	EU
195.212.23.112	195.212.23.127	DK
195.212.23.128	195.212.23.191	EU
195.212.23.192	195.212.23.231	DK
195.212.23.232	195.212.23.239	EU
195.212.23.240	195.212.23.255	DK
195.212.24.0	195.212.24.63	GB
195.212.24.64	195.212.24.79	EU
195.212.24.80	195.212.24.127	GB
195.212.24.128	195.212.24.159	EU
195.212.24.160	195.212.24.255	GB
195.212.25.0	195.212.25.31	SE
195.212.25.32	195.212.25.79	EU
195.212.25.80	195.212.25.95	SE
195.212.25.96	195.212.25.127	EU
195.212.25.128	195.212.25.255	SE
195.212.26.0	195.212.26.255	GB
195.212.27.0	195.212.27.95	IT
195.212.27.96	195.212.27.127	EU
195.212.27.128	195.212.27.255	IT
195.212.28.0	195.212.28.31	GB
195.212.28.32	195.212.28.63	EU
195.212.28.64	195.212.28.175	GB
195.212.28.176	195.212.28.183	EU
195.212.28.184	195.212.28.191	GB
195.212.28.192	195.212.28.255	EU
195.212.29.0	195.212.31.255	GB
195.212.32.0	195.212.32.31	DK
195.212.32.32	195.212.32.63	EU
195.212.32.64	195.212.32.127	DK
195.212.32.128	195.212.32.175	EU
195.212.32.176	195.212.33.127	DK
195.212.33.128	195.212.33.191	EU
195.212.33.192	195.212.34.79	DK
195.212.34.80	195.212.34.87	EU
195.212.34.88	195.212.34.255	DK
195.212.35.0	195.212.35.255	NO
195.212.36.0	195.212.37.255	FI
195.212.38.0	195.212.39.255	DK
195.212.40.0	195.212.40.15	NL
195.212.40.16	195.212.40.63	EU
195.212.40.64	195.212.40.119	NL
195.212.40.120	195.212.40.127	EU
195.212.40.128	195.212.40.239	NL
195.212.40.240	195.212.40.255	EU
195.212.41.0	195.212.41.15	NL
195.212.41.16	195.212.41.31	BE
195.212.41.32	195.212.41.63	EU
195.212.41.64	195.212.41.127	CH
195.212.41.128	195.212.41.159	NL
195.212.41.160	195.212.41.175	EU
195.212.41.176	195.212.41.191	NL
195.212.41.192	195.212.41.199	EU
195.212.41.200	195.212.41.207	DE
195.212.41.208	195.212.41.255	NL
195.212.42.0	195.212.42.23	EU
195.212.42.24	195.212.42.31	NL
195.212.42.32	195.212.42.63	EU
195.212.42.64	195.212.43.47	NL
195.212.43.48	195.212.43.95	EU
195.212.43.96	195.212.43.117	NL
195.212.43.118	195.212.43.119	EU
195.212.43.120	195.212.43.231	NL
195.212.43.232	195.212.43.239	GB
195.212.43.240	195.212.43.247	NL
195.212.43.248	195.212.43.255	EU
195.212.44.0	195.212.44.159	DE
195.212.44.160	195.212.44.175	EU
195.212.44.176	195.212.44.191	DE
195.212.44.192	195.212.44.207	GB
195.212.44.208	195.212.45.95	DE
195.212.45.96	195.212.45.127	EU
195.212.45.128	195.212.45.255	DE
195.212.46.0	195.212.46.15	EU
195.212.46.16	195.212.46.127	DE
195.212.46.128	195.212.46.255	EU
195.212.47.0	195.212.47.47	AT
195.212.47.48	195.212.47.55	EU
195.212.47.56	195.212.47.63	AT
195.212.47.64	195.212.47.167	EU
195.212.47.168	195.212.47.175	AT
195.212.47.176	195.212.47.223	EU
195.212.47.224	195.212.47.255	AT
195.212.48.0	195.212.48.39	LU
195.212.48.40	195.212.48.63	EU
195.212.48.64	195.212.48.95	LU
195.212.48.96	195.212.48.255	EU
195.212.49.0	195.212.49.15	FR
195.212.49.16	195.212.49.23	BE
195.212.49.24	195.212.49.31	FR
195.212.49.32	195.212.49.63	EU
195.212.49.64	195.212.49.159	BE
195.212.49.160	195.212.49.223	EU
195.212.49.224	195.212.50.63	BE
195.212.50.64	195.212.50.95	FR
195.212.50.96	195.212.50.111	EU
195.212.50.112	195.212.50.191	BE
195.212.50.192	195.212.50.223	EU
195.212.50.224	195.212.51.31	BE
195.212.51.32	195.212.51.47	EU
195.212.51.48	195.212.51.183	BE
195.212.51.184	195.212.51.207	EU
195.212.51.208	195.212.51.255	BE
195.212.52.0	195.212.52.7	EU
195.212.52.8	195.212.52.31	BE
195.212.52.32	195.212.52.63	GB
195.212.52.64	195.212.52.255	EU
195.212.53.0	195.212.53.31	BE
195.212.53.32	195.212.53.39	EU
195.212.53.40	195.212.53.63	BE
195.212.53.64	195.212.53.95	GB
195.212.53.96	195.212.53.111	BE
195.212.53.112	195.212.53.127	DE
195.212.53.128	195.212.55.255	BE
195.212.56.0	195.212.56.15	DK
195.212.56.16	195.212.56.63	EU
195.212.56.64	195.212.56.87	DK
195.212.56.88	195.212.56.127	EU
195.212.56.128	195.212.56.143	DK
195.212.56.144	195.212.56.159	EU
195.212.56.160	195.212.56.255	DK
195.212.57.0	195.212.58.63	EU
195.212.58.64	195.212.58.127	DE
195.212.58.128	195.212.58.255	EU
195.212.59.0	195.212.59.47	DE
195.212.59.48	195.212.59.55	EU
195.212.59.56	195.212.60.255	DE
195.212.61.0	195.212.61.79	CH
195.212.61.80	195.212.61.87	EU
195.212.61.88	195.212.61.95	CH
195.212.61.96	195.212.61.159	EU
195.212.61.160	195.212.61.191	CH
195.212.61.192	195.212.61.255	EU
195.212.62.0	195.212.62.255	AT
195.212.63.0	195.212.63.15	BG
195.212.63.16	195.212.63.31	EU
195.212.63.32	195.212.63.63	BG
195.212.63.64	195.212.63.71	EU
195.212.63.72	195.212.63.79	BG
195.212.63.80	195.212.63.103	EU
195.212.63.104	195.212.63.127	BG
195.212.63.128	195.212.63.135	EU
195.212.63.136	195.212.63.143	BG
195.212.63.144	195.212.63.255	EU
195.212.64.0	195.212.64.255	DE
195.212.65.0	195.212.66.15	EU
195.212.66.16	195.212.66.31	DE
195.212.66.32	195.212.66.183	EU
195.212.66.184	195.212.66.191	DE
195.212.66.192	195.212.67.31	EU
195.212.67.32	195.212.67.47	DE
195.212.67.48	195.212.67.55	GB
195.212.67.56	195.212.67.63	EU
195.212.67.64	195.212.69.95	DE
195.212.69.96	195.212.69.159	EU
195.212.69.160	195.212.69.175	DE
195.212.69.176	195.212.69.183	EU
195.212.69.184	195.212.69.199	DE
195.212.69.200	195.212.69.207	GB
195.212.69.208	195.212.69.223	EU
195.212.69.224	195.212.73.255	DE
195.212.74.0	195.212.74.31	EU
195.212.74.32	195.212.79.31	DE
195.212.79.32	195.212.79.63	EU
195.212.79.64	195.212.79.79	DE
195.212.79.80	195.212.79.127	EU
195.212.79.128	195.212.81.255	DE
195.212.82.0	195.212.82.63	EU
195.212.82.64	195.212.82.127	DE
195.212.82.128	195.212.82.191	EU
195.212.82.192	195.212.82.223	DE
195.212.82.224	195.212.82.255	EU
195.212.83.0	195.212.83.127	DE
195.212.83.128	195.212.83.159	EU
195.212.83.160	195.212.83.175	DE
195.212.83.176	195.212.83.191	EU
195.212.83.192	195.212.83.223	DE
195.212.83.224	195.212.83.255	EU
195.212.84.0	195.212.84.31	DE
195.212.84.32	195.212.84.111	EU
195.212.84.112	195.212.84.255	DE
195.212.85.0	195.212.88.47	EU
195.212.88.48	195.212.88.63	DE
195.212.88.64	195.212.88.159	EU
195.212.88.160	195.212.88.247	DE
195.212.88.248	195.212.88.255	EU
195.212.89.0	195.212.89.31	DE
195.212.89.32	195.212.89.47	EU
195.212.89.48	195.212.89.55	GB
195.212.89.56	195.212.89.63	DE
195.212.89.64	195.212.89.95	EU
195.212.89.96	195.212.89.127	DE
195.212.89.128	195.212.89.255	EU
195.212.90.0	195.212.90.255	DE
195.212.91.0	195.212.91.31	EU
195.212.91.32	195.212.91.47	DE
195.212.91.48	195.212.91.127	EU
195.212.91.128	195.212.91.183	DE
195.212.91.184	195.212.91.191	EU
195.212.91.192	195.212.91.223	DE
195.212.91.224	195.212.91.255	EU
195.212.92.0	195.212.92.15	DE
195.212.92.16	195.212.92.31	EU
195.212.92.32	195.212.93.255	DE
195.212.94.0	195.212.94.255	EU
195.212.95.0	195.212.95.55	DE
195.212.95.56	195.212.95.71	EU
195.212.95.72	195.212.95.95	DE
195.212.95.96	195.212.95.127	EU
195.212.95.128	195.212.95.135	DE
195.212.95.136	195.212.95.159	EU
195.212.95.160	195.212.95.255	DE
195.212.96.0	195.212.97.39	EU
195.212.97.40	195.212.97.63	AT
195.212.97.64	195.212.97.95	EU
195.212.97.96	195.212.97.127	AT
195.212.97.128	195.212.97.191	EU
195.212.97.192	195.212.97.199	AT
195.212.97.200	195.212.97.223	EU
195.212.97.224	195.212.97.239	AT
195.212.97.240	195.212.98.63	EU
195.212.98.64	195.212.98.111	AT
195.212.98.112	195.212.98.127	EU
195.212.98.128	195.212.98.191	AT
195.212.98.192	195.212.99.255	EU
195.212.100.0	195.212.100.255	DE
195.212.101.0	195.212.101.127	EU
195.212.101.128	195.212.101.255	GB
195.212.102.0	195.212.102.31	AT
195.212.102.32	195.212.102.159	EU
195.212.102.160	195.212.102.223	AT
195.212.102.224	195.212.103.31	EU
195.212.103.32	195.212.103.143	IT
195.212.103.144	195.212.103.159	EU
195.212.103.160	195.212.103.199	IT
195.212.103.200	195.212.103.215	EU
195.212.103.216	195.212.103.223	IT
195.212.103.224	195.212.103.239	EU
195.212.103.240	195.212.103.255	IT
195.212.104.0	195.212.104.255	FR
195.212.105.0	195.212.105.255	EU
195.212.106.0	195.212.106.31	FR
195.212.106.32	195.212.106.63	EU
195.212.106.64	195.212.106.95	FR
195.212.106.96	195.212.106.111	EU
195.212.106.112	195.212.108.255	FR
195.212.109.0	195.212.109.255	EU
195.212.110.0	195.212.111.223	FR
195.212.111.224	195.212.111.231	EU
195.212.111.232	195.212.111.239	GB
195.212.111.240	195.212.111.255	EU
195.212.112.0	195.212.113.127	CH
195.212.113.128	195.212.115.255	EU
195.212.116.0	195.212.116.127	CH
195.212.116.128	195.212.117.31	EU
195.212.117.32	195.212.117.63	CH
195.212.117.64	195.212.117.71	EU
195.212.117.72	195.212.117.191	CH
195.212.117.192	195.212.117.255	EU
195.212.118.0	195.212.118.255	CH
195.212.119.0	195.212.119.255	EU
195.212.120.0	195.212.120.255	IT
195.212.121.0	195.212.121.15	CH
195.212.121.16	195.212.121.23	EU
195.212.121.24	195.212.121.63	CH
195.212.121.64	195.212.121.255	EU
195.212.122.0	195.212.122.15	FR
195.212.122.16	195.212.122.23	CY
195.212.122.24	195.212.122.31	EU
195.212.122.32	195.212.122.103	FR
195.212.122.104	195.212.122.111	EU
195.212.122.112	195.212.122.255	FR
195.212.123.0	195.212.123.255	EU
195.212.124.0	195.212.124.31	CH
195.212.124.32	195.212.124.255	EU
195.212.125.0	195.212.125.31	CH
195.212.125.32	195.212.125.255	EU
195.212.126.0	195.212.127.255	CH
195.212.128.0	195.212.131.255	EU
195.212.132.0	195.212.133.255	IE
195.212.134.0	195.212.134.47	EU
195.212.134.48	195.212.134.63	SK
195.212.134.64	195.212.136.71	EU
195.212.136.72	195.212.136.79	SK
195.212.136.80	195.212.136.159	EU
195.212.136.160	195.212.136.175	SK
195.212.136.176	195.212.136.231	EU
195.212.136.232	195.212.136.247	SK
195.212.136.248	195.212.139.255	EU
195.212.140.0	195.212.141.255	IT
195.212.142.0	195.212.142.255	HU
195.212.143.0	195.212.143.31	NL
195.212.143.32	195.212.143.63	EU
195.212.143.64	195.212.143.127	GB
195.212.143.128	195.212.143.255	EU
195.212.144.0	195.212.144.63	NL
195.212.144.64	195.212.144.127	EU
195.212.144.128	195.212.145.255	NL
195.212.146.0	195.212.148.255	EU
195.212.149.0	195.212.151.255	GB
195.212.152.0	195.212.153.255	EU
195.212.154.0	195.212.154.143	RU
195.212.154.144	195.212.154.159	EU
195.212.154.160	195.212.155.31	RU
195.212.155.32	195.212.155.63	EU
195.212.155.64	195.212.155.79	RU
195.212.155.80	195.212.155.87	EU
195.212.155.88	195.212.155.95	LT
195.212.155.96	195.212.155.103	LV
195.212.155.104	195.212.155.111	RU
195.212.155.112	195.212.155.127	EU
195.212.155.128	195.212.155.255	RU
195.212.156.0	195.212.156.255	EU
195.212.157.0	195.212.157.63	RU
195.212.157.64	195.212.158.255	EU
195.212.159.0	195.212.159.255	RU
195.212.160.0	195.212.161.255	EU
195.212.162.0	195.212.162.255	FR
195.212.163.0	195.212.163.207	GB
195.212.163.208	195.212.163.215	EU
195.212.163.216	195.212.163.255	GB
195.212.164.0	195.212.167.255	EU
195.212.168.0	195.212.168.15	ES
195.212.168.16	195.212.168.23	EU
195.212.168.24	195.212.168.31	ES
195.212.168.32	195.212.168.47	EU
195.212.168.48	195.212.168.127	ES
195.212.168.128	195.212.168.207	EU
195.212.168.208	195.212.168.223	ES
195.212.168.224	195.212.168.231	GB
195.212.168.232	195.212.168.239	EU
195.212.168.240	195.212.168.255	ES
195.212.169.0	195.212.169.63	IT
195.212.169.64	195.212.169.95	EU
195.212.169.96	195.212.171.255	IT
195.212.172.0	195.212.175.255	EU
195.212.176.0	195.212.177.255	DE
195.212.178.0	195.212.178.15	ES
195.212.178.16	195.212.178.31	EU
195.212.178.32	195.212.178.63	ES
195.212.178.64	195.212.178.143	EU
195.212.178.144	195.212.178.151	ES
195.212.178.152	195.212.178.159	EU
195.212.178.160	195.212.178.175	ES
195.212.178.176	195.212.178.207	FR
195.212.178.208	195.212.178.223	EU
195.212.178.224	195.212.178.255	FR
195.212.179.0	195.212.179.31	EU
195.212.179.32	195.212.179.239	DE
195.212.179.240	195.212.179.255	EU
195.212.180.0	195.212.183.255	DE
195.212.184.0	195.212.184.31	EU
195.212.184.32	195.212.184.175	DE
195.212.184.176	195.212.184.239	EU
195.212.184.240	195.212.184.255	DE
195.212.185.0	195.212.185.255	IT
195.212.186.0	195.212.186.255	DE
195.212.187.0	195.212.187.31	CH
195.212.187.32	195.212.187.39	CY
195.212.187.40	195.212.187.47	EU
195.212.187.48	195.212.187.63	CH
195.212.187.64	195.212.189.255	EU
195.212.190.0	195.212.190.63	FR
195.212.190.64	195.212.190.95	EU
195.212.190.96	195.212.190.255	FR
195.212.191.0	195.212.191.255	DE
195.212.192.0	195.212.192.255	CZ
195.212.193.0	195.212.193.127	EU
195.212.193.128	195.212.193.255	CZ
195.212.194.0	195.212.195.255	GB
195.212.196.0	195.212.196.255	DK
195.212.197.0	195.212.197.127	CZ
195.212.197.128	195.212.197.135	EU
195.212.197.136	195.212.197.143	CZ
195.212.197.144	195.212.197.151	EU
195.212.197.152	195.212.197.159	CZ
195.212.197.160	195.212.197.191	GB
195.212.197.192	195.212.197.223	CZ
195.212.197.224	195.212.197.255	EU
195.212.198.0	195.212.198.127	CZ
195.212.198.128	195.212.199.31	EU
195.212.199.32	195.212.199.63	GB
195.212.199.64	195.212.199.71	CZ
195.212.199.72	195.212.200.255	EU
195.212.201.0	195.212.201.255	CZ
195.212.202.0	195.212.202.31	IL
195.212.202.32	195.212.202.39	CY
195.212.202.40	195.212.202.47	IL
195.212.202.48	195.212.202.63	CY
195.212.202.64	195.212.202.127	BY
195.212.202.128	195.212.202.191	GB
195.212.202.192	195.212.202.255	IL
195.212.203.0	195.212.205.159	EU
195.212.205.160	195.212.205.191	CZ
195.212.205.192	195.212.205.255	EU
195.212.206.0	195.212.206.63	ES
195.212.206.64	195.212.206.255	EU
195.212.207.0	195.212.207.255	FI
195.212.208.0	195.212.209.255	EU
195.212.210.0	195.212.210.95	CZ
195.212.210.96	195.212.212.191	EU
195.212.212.192	195.212.212.255	CZ
195.212.213.0	195.212.213.159	EU
195.212.213.160	195.212.213.191	CZ
195.212.213.192	195.212.215.255	EU
195.212.216.0	195.212.216.31	CZ
195.212.216.32	195.212.220.255	EU
195.212.221.0	195.212.221.63	GR
195.212.221.64	195.212.222.79	EU
195.212.222.80	195.212.222.127	CZ
195.212.222.128	195.212.222.255	EU
195.212.223.0	195.212.223.255	CZ
195.212.224.0	195.212.225.255	DE
195.212.226.0	195.212.226.15	RU
195.212.226.16	195.212.226.31	EU
195.212.226.32	195.212.226.63	RU
195.212.226.64	195.212.226.127	EU
195.212.226.128	195.212.226.255	RU
195.212.227.0	195.212.227.7	EU
195.212.227.8	195.212.227.63	PT
195.212.227.64	195.212.227.255	EU
195.212.228.0	195.212.228.127	SE
195.212.228.128	195.212.228.159	EU
195.212.228.160	195.212.228.191	SE
195.212.228.192	195.212.229.255	EU
195.212.230.0	195.212.230.255	TR
195.212.231.0	195.212.231.127	EU
195.212.231.128	195.212.231.159	HU
195.212.231.160	195.212.231.223	EU
195.212.231.224	195.212.231.255	HU
195.212.232.0	195.212.239.255	GB
195.212.240.0	195.212.240.127	GR
195.212.240.128	195.212.240.191	EU
195.212.240.192	195.212.241.63	GR
195.212.241.64	195.212.241.127	EU
195.212.241.128	195.212.242.15	GR
195.212.242.16	195.212.242.63	EU
195.212.242.64	195.212.242.127	GR
195.212.242.128	195.212.243.255	EU
195.212.244.0	195.212.244.7	GB
195.212.244.8	195.212.244.15	EU
195.212.244.16	195.212.244.31	GR
195.212.244.32	195.212.244.63	EU
195.212.244.64	195.212.244.127	GR
195.212.244.128	195.212.245.255	EU
195.212.246.0	195.212.247.255	GR
195.212.248.0	195.212.251.255	EU
195.212.252.0	195.212.252.255	AT
195.212.253.0	195.212.254.15	EU
195.212.254.16	195.212.254.27	GR
195.212.254.28	195.212.255.127	EU
195.212.255.128	195.212.255.159	GR
195.212.255.160	195.212.255.191	EU
195.212.255.192	195.212.255.255	GR
195.213.0.0	195.213.0.255	DK
195.213.1.0	195.213.1.127	NO
195.213.1.128	195.213.1.143	EU
195.213.1.144	195.213.1.147	NL
195.213.1.148	195.213.1.151	IT
195.213.1.152	195.213.1.159	NL
195.213.1.160	195.213.1.175	GB
195.213.1.176	195.213.1.191	IL
195.213.1.192	195.213.1.255	DE
195.213.2.0	195.213.2.127	GB
195.213.2.128	195.213.2.191	PL
195.213.2.192	195.213.2.223	EU
195.213.2.224	195.213.2.255	SE
195.213.3.0	195.213.3.159	GB
195.213.3.160	195.213.3.191	AT
195.213.3.192	195.213.7.255	GB
195.213.8.0	195.213.8.15	NL
195.213.8.16	195.213.8.31	ES
195.213.8.32	195.213.8.127	EU
195.213.8.128	195.213.8.255	ES
195.213.9.0	195.213.9.255	CH
195.213.10.0	195.213.10.255	EU
195.213.11.0	195.213.11.255	FR
195.213.12.0	195.213.12.255	DE
195.213.13.0	195.213.14.255	GB
195.213.15.0	195.213.15.255	NL
195.213.16.0	195.213.16.143	GB
195.213.16.144	195.213.16.159	CH
195.213.16.160	195.213.16.191	GB
195.213.16.192	195.213.16.255	DE
195.213.17.0	195.213.17.127	NL
195.213.17.128	195.213.17.255	GB
195.213.18.0	195.213.19.15	EU
195.213.19.16	195.213.19.255	GB
195.213.20.0	195.213.20.127	BE
195.213.20.128	195.213.21.31	EU
195.213.21.32	195.213.21.127	GB
195.213.21.128	195.213.22.255	EU
195.213.23.0	195.213.26.127	GB
195.213.26.128	195.213.26.135	EU
195.213.26.136	195.213.26.143	ES
195.213.26.144	195.213.26.255	CH
195.213.27.0	195.213.27.31	ZA
195.213.27.32	195.213.27.127	EU
195.213.27.128	195.213.27.135	FI
195.213.27.136	195.213.27.159	EU
195.213.27.160	195.213.27.191	GB
195.213.27.192	195.213.28.255	FR
195.213.29.0	195.213.29.255	CH
195.213.30.0	195.213.30.95	GB
195.213.30.96	195.213.30.127	LU
195.213.30.128	195.213.30.191	ZA
195.213.30.192	195.213.30.207	GB
195.213.30.208	195.213.30.223	CH
195.213.30.224	195.213.30.255	BE
195.213.31.0	195.213.31.127	GB
195.213.31.128	195.213.31.255	EU
195.213.32.0	195.213.32.255	DK
195.213.33.0	195.213.33.127	GB
195.213.33.128	195.213.33.143	EU
195.213.33.144	195.213.33.159	BE
195.213.33.160	195.213.33.191	ES
195.213.33.192	195.213.33.255	GB
195.213.34.0	195.213.34.255	EU
195.213.35.0	195.213.35.255	CH
195.213.36.0	195.213.36.255	EU
195.213.37.0	195.213.37.255	BE
195.213.38.0	195.213.38.7	IL
195.213.38.8	195.213.38.19	EU
195.213.38.20	195.213.38.23	FR
195.213.38.24	195.213.38.31	EU
195.213.38.32	195.213.38.63	CZ
195.213.38.64	195.213.38.127	EU
195.213.38.128	195.213.38.159	HU
195.213.38.160	195.213.38.255	EU
195.213.39.0	195.213.39.63	BE
195.213.39.64	195.213.39.111	EU
195.213.39.112	195.213.39.127	PT
195.213.39.128	195.213.39.255	CH
195.213.40.0	195.213.40.255	ES
195.213.41.0	195.213.41.31	CH
195.213.41.32	195.213.41.39	EU
195.213.41.40	195.213.41.63	BE
195.213.41.64	195.213.41.127	CH
195.213.41.128	195.213.42.255	GB
195.213.43.0	195.213.43.127	EU
195.213.43.128	195.213.43.131	GB
195.213.43.132	195.213.43.135	EU
195.213.43.136	195.213.43.143	FR
195.213.43.144	195.213.43.159	LU
195.213.43.160	195.213.43.191	IL
195.213.43.192	195.213.43.199	EU
195.213.43.200	195.213.43.207	DE
195.213.43.208	195.213.43.223	JP
195.213.43.224	195.213.43.255	EU
195.213.44.0	195.213.44.63	IL
195.213.44.64	195.213.44.127	GB
195.213.44.128	195.213.44.255	EU
195.213.45.0	195.213.45.3	GB
195.213.45.4	195.213.45.7	PL
195.213.45.8	195.213.45.47	EU
195.213.45.48	195.213.45.63	FR
195.213.45.64	195.213.45.159	EU
195.213.45.160	195.213.45.191	DE
195.213.45.192	195.213.46.255	EU
195.213.47.0	195.213.47.127	DE
195.213.47.128	195.213.47.255	FR
195.213.48.0	195.213.48.127	BE
195.213.48.128	195.213.48.159	EU
195.213.48.160	195.213.48.223	BE
195.213.48.224	195.213.48.255	GB
195.213.49.0	195.213.49.7	BE
195.213.49.8	195.213.49.15	EU
195.213.49.16	195.213.49.31	ZA
195.213.49.32	195.213.49.51	EU
195.213.49.52	195.213.49.55	FR
195.213.49.56	195.213.49.63	EU
195.213.49.64	195.213.49.79	GB
195.213.49.80	195.213.49.95	BE
195.213.49.96	195.213.49.99	EU
195.213.49.100	195.213.49.103	FR
195.213.49.104	195.213.49.111	EU
195.213.49.112	195.213.49.239	GB
195.213.49.240	195.213.49.255	EU
195.213.50.0	195.213.50.63	BE
195.213.50.64	195.213.50.95	DE
195.213.50.96	195.213.50.111	NL
195.213.50.112	195.213.50.127	IL
195.213.50.128	195.213.50.159	CH
195.213.50.160	195.213.50.175	GB
195.213.50.176	195.213.50.191	EU
195.213.50.192	195.213.50.223	BE
195.213.50.224	195.213.50.255	EU
195.213.51.0	195.213.51.255	IT
195.213.52.0	195.213.52.31	NO
195.213.52.32	195.213.52.63	IE
195.213.52.64	195.213.52.79	LI
195.213.52.80	195.213.52.87	FI
195.213.52.88	195.213.52.95	IT
195.213.52.96	195.213.52.111	BE
195.213.52.112	195.213.52.127	EU
195.213.52.128	195.213.52.255	GB
195.213.53.0	195.213.53.95	LU
195.213.53.96	195.213.53.127	GR
195.213.53.128	195.213.53.143	CZ
195.213.53.144	195.213.54.31	EU
195.213.54.32	195.213.54.63	GB
195.213.54.64	195.213.54.71	NL
195.213.54.72	195.213.54.99	EU
195.213.54.100	195.213.54.103	BE
195.213.54.104	195.213.54.111	GB
195.213.54.112	195.213.54.159	FR
195.213.54.160	195.213.54.191	EU
195.213.54.192	195.213.54.223	BE
195.213.54.224	195.213.54.255	EU
195.213.55.0	195.213.55.31	BE
195.213.55.32	195.213.55.63	NL
195.213.55.64	195.213.55.95	IT
195.213.55.96	195.213.55.127	DE
195.213.55.128	195.213.55.191	AT
195.213.55.192	195.213.55.207	BE
195.213.55.208	195.213.55.215	GB
195.213.55.216	195.213.55.223	BE
195.213.55.224	195.213.55.239	GB
195.213.55.240	195.213.55.255	BE
195.213.56.0	195.213.56.31	EU
195.213.56.32	195.213.56.63	ZA
195.213.56.64	195.213.56.95	GB
195.213.56.96	195.213.56.99	EU
195.213.56.100	195.213.56.103	GB
195.213.56.104	195.213.56.111	DE
195.213.56.112	195.213.56.115	GB
195.213.56.116	195.213.56.119	EU
195.213.56.120	195.213.56.127	GB
195.213.56.128	195.213.56.143	IT
195.213.56.144	195.213.56.159	DE
195.213.56.160	195.213.56.191	EU
195.213.56.192	195.213.56.207	GB
195.213.56.208	195.213.56.255	EU
195.213.57.0	195.213.57.31	CH
195.213.57.32	195.213.57.95	GB
195.213.57.96	195.213.57.103	EU
195.213.57.104	195.213.57.111	IE
195.213.57.112	195.213.57.127	GB
195.213.57.128	195.213.57.143	FR
195.213.57.144	195.213.57.159	LU
195.213.57.160	195.213.57.191	ES
195.213.57.192	195.213.57.223	NL
195.213.57.224	195.213.57.239	FR
195.213.57.240	195.213.57.247	BE
195.213.57.248	195.213.58.127	EU
195.213.58.128	195.213.58.175	GB
195.213.58.176	195.213.58.191	DK
195.213.58.192	195.213.58.207	EU
195.213.58.208	195.213.58.215	GB
195.213.58.216	195.213.58.219	FR
195.213.58.220	195.213.58.223	ES
195.213.58.224	195.213.58.231	EU
195.213.58.232	195.213.58.239	DE
195.213.58.240	195.213.58.243	EU
195.213.58.244	195.213.58.247	BE
195.213.58.248	195.213.58.255	DE
195.213.59.0	195.213.59.31	BE
195.213.59.32	195.213.59.63	DE
195.213.59.64	195.213.59.103	EU
195.213.59.104	195.213.59.111	NL
195.213.59.112	195.213.59.127	FR
195.213.59.128	195.213.59.143	EU
195.213.59.144	195.213.59.159	DE
195.213.59.160	195.213.59.175	IL
195.213.59.176	195.213.59.223	EU
195.213.59.224	195.213.59.255	NL
195.213.60.0	195.213.60.255	BE
195.213.61.0	195.213.61.255	GB
195.213.62.0	195.213.62.63	BE
195.213.62.64	195.213.62.71	ES
195.213.62.72	195.213.62.127	EU
195.213.62.128	195.213.62.255	BE
195.213.63.0	195.213.64.15	IT
195.213.64.16	195.213.64.31	DE
195.213.64.32	195.213.64.39	EU
195.213.64.40	195.213.64.47	RU
195.213.64.48	195.213.64.63	IT
195.213.64.64	195.213.64.127	CH
195.213.64.128	195.213.64.159	DE
195.213.64.160	195.213.64.175	FI
195.213.64.176	195.213.64.191	IT
195.213.64.192	195.213.64.223	EU
195.213.64.224	195.213.65.31	IT
195.213.65.32	195.213.65.47	BE
195.213.65.48	195.213.65.119	EU
195.213.65.120	195.213.65.127	BE
195.213.65.128	195.213.65.131	NL
195.213.65.132	195.213.65.159	EU
195.213.65.160	195.213.65.175	IT
195.213.65.176	195.213.65.191	LU
195.213.65.192	195.213.65.199	EU
195.213.65.200	195.213.65.207	SE
195.213.65.208	195.213.65.223	GB
195.213.65.224	195.213.65.255	FR
195.213.66.0	195.213.66.127	IT
195.213.66.128	195.213.66.159	SE
195.213.66.160	195.213.66.183	EU
195.213.66.184	195.213.66.191	CH
195.213.66.192	195.213.67.31	GB
195.213.67.32	195.213.67.63	BE
195.213.67.64	195.213.67.79	GB
195.213.67.80	195.213.67.95	SE
195.213.67.96	195.213.67.103	BE
195.213.67.104	195.213.67.111	DE
195.213.67.112	195.213.67.127	GB
195.213.67.128	195.213.68.255	IT
195.213.69.0	195.213.69.127	IL
195.213.69.128	195.213.69.143	IT
195.213.69.144	195.213.69.159	TR
195.213.69.160	195.213.69.191	EU
195.213.69.192	195.213.69.255	IT
195.213.70.0	195.213.70.255	PT
195.213.71.0	195.213.71.15	NL
195.213.71.16	195.213.71.31	BE
195.213.71.32	195.213.71.63	EU
195.213.71.64	195.213.71.95	FR
195.213.71.96	195.213.71.127	IT
195.213.71.128	195.213.71.163	GB
195.213.71.164	195.213.71.167	EU
195.213.71.168	195.213.71.175	BE
195.213.71.176	195.213.71.191	GB
195.213.71.192	195.213.71.255	IT
195.213.72.0	195.213.72.31	GB
195.213.72.32	195.213.72.47	BE
195.213.72.48	195.213.72.63	GB
195.213.72.64	195.213.72.79	DK
195.213.72.80	195.213.72.95	ES
195.213.72.96	195.213.72.111	HU
195.213.72.112	195.213.72.207	IE
195.213.72.208	195.213.72.223	GB
195.213.72.224	195.213.72.255	EU
195.213.73.0	195.213.73.127	IT
195.213.73.128	195.213.73.143	BE
195.213.73.144	195.213.73.147	EU
195.213.73.148	195.213.73.151	ES
195.213.73.152	195.213.73.155	EU
195.213.73.156	195.213.73.159	NL
195.213.73.160	195.213.73.163	FR
195.213.73.164	195.213.73.167	EU
195.213.73.168	195.213.73.171	GR
195.213.73.172	195.213.73.175	CZ
195.213.73.176	195.213.73.179	SE
195.213.73.180	195.213.73.255	EU
195.213.74.0	195.213.75.255	NO
195.213.76.0	195.213.76.127	IT
195.213.76.128	195.213.76.159	FR
195.213.76.160	195.213.76.163	DK
195.213.76.164	195.213.76.167	NO
195.213.76.168	195.213.76.175	EU
195.213.76.176	195.213.76.183	NL
195.213.76.184	195.213.76.207	EU
195.213.76.208	195.213.76.223	GB
195.213.76.224	195.213.76.255	EU
195.213.77.0	195.213.77.63	GB
195.213.77.64	195.213.77.79	EU
195.213.77.80	195.213.77.95	IT
195.213.77.96	195.213.77.111	GB
195.213.77.112	195.213.77.255	EU
195.213.78.0	195.213.78.255	GB
195.213.79.0	195.213.79.31	LU
195.213.79.32	195.213.79.63	DE
195.213.79.64	195.213.79.95	IL
195.213.79.96	195.213.79.191	EU
195.213.79.192	195.213.79.223	GB
195.213.79.224	195.213.79.227	IT
195.213.79.228	195.213.79.231	GB
195.213.79.232	195.213.79.235	DE
195.213.79.236	195.213.79.239	AT
195.213.79.240	195.213.79.243	EU
195.213.79.244	195.213.79.247	IL
195.213.79.248	195.213.79.255	EU
195.213.80.0	195.213.80.191	DK
195.213.80.192	195.213.80.223	ES
195.213.80.224	195.213.80.255	GB
195.213.81.0	195.213.81.63	IL
195.213.81.64	195.213.81.103	GB
195.213.81.104	195.213.81.111	EU
195.213.81.112	195.213.81.119	DK
195.213.81.120	195.213.81.127	GB
195.213.81.128	195.213.81.143	DK
195.213.81.144	195.213.81.151	CH
195.213.81.152	195.213.81.159	EU
195.213.81.160	195.213.81.191	DE
195.213.81.192	195.213.81.207	GB
195.213.81.208	195.213.82.255	EU
195.213.83.0	195.213.83.63	RU
195.213.83.64	195.213.83.79	FR
195.213.83.80	195.213.83.95	BE
195.213.83.96	195.213.83.127	SE
195.213.83.128	195.213.83.191	DE
195.213.83.192	195.213.83.223	IT
195.213.83.224	195.213.83.255	LU
195.213.84.0	195.213.84.127	NL
195.213.84.128	195.213.84.255	LU
195.213.85.0	195.213.85.127	NL
195.213.85.128	195.213.85.135	DE
195.213.85.136	195.213.85.139	LU
195.213.85.140	195.213.85.159	EU
195.213.85.160	195.213.85.191	LU
195.213.85.192	195.213.85.223	NO
195.213.85.224	195.213.85.239	FI
195.213.85.240	195.213.85.247	CH
195.213.85.248	195.213.85.251	BE
195.213.85.252	195.213.86.15	GB
195.213.86.16	195.213.86.23	LU
195.213.86.24	195.213.86.31	BE
195.213.86.32	195.213.86.47	GB
195.213.86.48	195.213.86.63	LU
195.213.86.64	195.213.86.71	EU
195.213.86.72	195.213.86.79	AT
195.213.86.80	195.213.86.95	EU
195.213.86.96	195.213.86.127	DK
195.213.86.128	195.213.86.255	EU
195.213.87.0	195.213.87.63	BE
195.213.87.64	195.213.87.127	LU
195.213.87.128	195.213.87.159	EU
195.213.87.160	195.213.87.191	DE
195.213.87.192	195.213.87.195	IT
195.213.87.196	195.213.87.199	FR
195.213.87.200	195.213.87.203	IE
195.213.87.204	195.213.87.207	BE
195.213.87.208	195.213.87.223	CZ
195.213.87.224	195.213.87.255	BE
195.213.88.0	195.213.88.31	CH
195.213.88.32	195.213.88.63	EU
195.213.88.64	195.213.88.255	ES
195.213.89.0	195.213.89.255	NL
195.213.90.0	195.213.90.255	EU
195.213.91.0	195.213.91.127	IE
195.213.91.128	195.213.91.255	GB
195.213.92.0	195.213.92.127	IT
195.213.92.128	195.213.92.191	GB
195.213.92.192	195.213.92.255	ZA
195.213.93.0	195.213.93.7	GB
195.213.93.8	195.213.93.11	IT
195.213.93.12	195.213.93.15	EU
195.213.93.16	195.213.93.31	IL
195.213.93.32	195.213.93.63	ZA
195.213.93.64	195.213.93.95	FI
195.213.93.96	195.213.93.111	CH
195.213.93.112	195.213.93.119	IE
195.213.93.120	195.213.93.123	EU
195.213.93.124	195.213.93.127	ZA
195.213.93.128	195.213.93.255	CZ
195.213.94.0	195.213.94.63	PT
195.213.94.64	195.213.94.71	ZA
195.213.94.72	195.213.94.95	EU
195.213.94.96	195.213.94.127	DE
195.213.94.128	195.213.94.255	NL
195.213.95.0	195.213.95.63	EU
195.213.95.64	195.213.95.127	DE
195.213.95.128	195.213.95.255	EU
195.213.96.0	195.213.96.7	FR
195.213.96.8	195.213.96.15	EU
195.213.96.16	195.213.97.255	FR
195.213.98.0	195.213.98.15	GB
195.213.98.16	195.213.98.63	FR
195.213.98.64	195.213.98.143	GB
195.213.98.144	195.213.98.151	BG
195.213.98.152	195.213.98.159	EU
195.213.98.160	195.213.98.175	FR
195.213.98.176	195.213.98.191	EU
195.213.98.192	195.213.98.223	GB
195.213.98.224	195.213.98.255	EU
195.213.99.0	195.213.99.31	ES
195.213.99.32	195.213.99.63	FR
195.213.99.64	195.213.99.127	EU
195.213.99.128	195.213.99.255	FR
195.213.100.0	195.213.100.31	GB
195.213.100.32	195.213.100.63	FR
195.213.100.64	195.213.100.191	DE
195.213.100.192	195.213.100.255	FR
195.213.101.0	195.213.101.255	BE
195.213.102.0	195.213.102.255	GB
195.213.103.0	195.213.103.255	ZA
195.213.104.0	195.213.104.255	IT
195.213.105.0	195.213.105.255	NL
195.213.106.0	195.213.106.255	SE
195.213.107.0	195.213.107.63	AT
195.213.107.64	195.213.107.79	FR
195.213.107.80	195.213.107.95	EU
195.213.107.96	195.213.107.111	IT
195.213.107.112	195.213.107.115	ES
195.213.107.116	195.213.107.119	EU
195.213.107.120	195.213.107.127	FR
195.213.107.128	195.213.107.191	NL
195.213.107.192	195.213.107.255	FR
195.213.108.0	195.213.108.255	EU
195.213.109.0	195.213.109.63	IL
195.213.109.64	195.213.109.127	DE
195.213.109.128	195.213.109.143	ES
195.213.109.144	195.213.109.159	NL
195.213.109.160	195.213.109.191	EU
195.213.109.192	195.213.110.31	FR
195.213.110.32	195.213.110.63	ES
195.213.110.64	195.213.110.191	FR
195.213.110.192	195.213.110.255	BE
195.213.111.0	195.213.111.255	FR
195.213.112.0	195.213.112.255	GB
195.213.113.0	195.213.113.127	EU
195.213.113.128	195.213.113.163	GB
195.213.113.164	195.213.113.255	EU
195.213.114.0	195.213.114.255	SE
195.213.115.0	195.213.115.255	FI
195.213.116.0	195.213.116.15	IT
195.213.116.16	195.213.116.23	EU
195.213.116.24	195.213.116.31	IT
195.213.116.32	195.213.116.79	ES
195.213.116.80	195.213.116.87	IT
195.213.116.88	195.213.116.127	ES
195.213.116.128	195.213.116.255	AT
195.213.117.0	195.213.117.127	ZA
195.213.117.128	195.213.117.255	FR
195.213.118.0	195.213.118.63	NL
195.213.118.64	195.213.118.127	EU
195.213.118.128	195.213.118.175	FR
195.213.118.176	195.213.118.191	SE
195.213.118.192	195.213.118.255	GB
195.213.119.0	195.213.119.255	DK
195.213.120.0	195.213.120.15	AT
195.213.120.16	195.213.120.31	FR
195.213.120.32	195.213.120.63	AT
195.213.120.64	195.213.120.127	AU
195.213.120.128	195.213.120.159	RU
195.213.120.160	195.213.120.191	LU
195.213.120.192	195.213.120.255	SE
195.213.121.0	195.213.121.255	LU
195.213.122.0	195.213.122.255	NL
195.213.123.0	195.213.123.127	ES
195.213.123.128	195.213.123.255	EU
195.213.124.0	195.213.124.255	FR
195.213.125.0	195.213.125.255	DE
195.213.126.0	195.213.126.63	FR
195.213.126.64	195.213.126.95	LI
195.213.126.96	195.213.126.103	EU
195.213.126.104	195.213.126.111	LI
195.213.126.112	195.213.126.191	GB
195.213.126.192	195.213.126.223	EU
195.213.126.224	195.213.126.255	LU
195.213.127.0	195.213.127.31	IT
195.213.127.32	195.213.127.39	GB
195.213.127.40	195.213.127.47	IL
195.213.127.48	195.213.127.159	IT
195.213.127.160	195.213.127.223	FR
195.213.127.224	195.213.127.239	PT
195.213.127.240	195.213.127.255	FR
195.213.128.0	195.213.128.127	DE
195.213.128.128	195.213.128.159	EU
195.213.128.160	195.213.128.191	CH
195.213.128.192	195.213.128.223	DE
195.213.128.224	195.213.128.255	GB
195.213.129.0	195.213.130.127	DE
195.213.130.128	195.213.130.151	EU
195.213.130.152	195.213.130.159	GB
195.213.130.160	195.213.130.167	SE
195.213.130.168	195.213.130.199	EU
195.213.130.200	195.213.130.207	FI
195.213.130.208	195.213.130.223	DE
195.213.130.224	195.213.130.255	LU
195.213.131.0	195.213.131.47	DE
195.213.131.48	195.213.131.63	DK
195.213.131.64	195.213.131.127	DE
195.213.131.128	195.213.132.255	EU
195.213.133.0	195.213.133.127	GB
195.213.133.128	195.213.133.191	DE
195.213.133.192	195.213.133.255	IT
195.213.134.0	195.213.134.255	FR
195.213.135.0	195.213.135.95	IT
195.213.135.96	195.213.135.127	NL
195.213.135.128	195.213.135.159	EU
195.213.135.160	195.213.135.191	CH
195.213.135.192	195.213.135.223	DE
195.213.135.224	195.213.135.255	EU
195.213.136.0	195.213.136.255	DE
195.213.137.0	195.213.137.15	BE
195.213.137.16	195.213.137.31	EU
195.213.137.32	195.213.137.63	DE
195.213.137.64	195.213.137.127	DK
195.213.137.128	195.213.137.159	BE
195.213.137.160	195.213.137.191	EU
195.213.137.192	195.213.137.255	DE
195.213.138.0	195.213.138.31	GB
195.213.138.32	195.213.138.63	FR
195.213.138.64	195.213.138.191	GB
195.213.138.192	195.213.138.223	RU
195.213.138.224	195.213.138.255	EU
195.213.139.0	195.213.139.255	BE
195.213.140.0	195.213.140.63	DE
195.213.140.64	195.213.140.127	ZA
195.213.140.128	195.213.140.159	CZ
195.213.140.160	195.213.140.191	HU
195.213.140.192	195.213.140.255	GB
195.213.141.0	195.213.141.127	DE
195.213.141.128	195.213.141.255	GB
195.213.142.0	195.213.143.31	DE
195.213.143.32	195.213.143.63	EU
195.213.143.64	195.213.143.127	FR
195.213.143.128	195.213.143.143	EU
195.213.143.144	195.213.143.159	EG
195.213.143.160	195.213.143.191	EU
195.213.143.192	195.213.143.255	IT
195.213.144.0	195.213.144.63	DE
195.213.144.64	195.213.144.95	EU
195.213.144.96	195.213.144.111	PL
195.213.144.112	195.213.146.63	DE
195.213.146.64	195.213.146.95	CH
195.213.146.96	195.213.146.103	GB
195.213.146.104	195.213.146.111	ZA
195.213.146.112	195.213.146.127	FR
195.213.146.128	195.213.146.191	EU
195.213.146.192	195.213.146.223	ZA
195.213.146.224	195.213.146.255	DE
195.213.147.0	195.213.147.127	CH
195.213.147.128	195.213.147.207	DE
195.213.147.208	195.213.147.223	EU
195.213.147.224	195.213.147.255	GB
195.213.148.0	195.213.148.255	AT
195.213.149.0	195.213.149.255	EU
195.213.150.0	195.213.150.15	DE
195.213.150.16	195.213.150.31	EU
195.213.150.32	195.213.150.63	FR
195.213.150.64	195.213.150.127	EU
195.213.150.128	195.213.150.255	CH
195.213.151.0	195.213.151.255	LU
195.213.152.0	195.213.152.31	AT
195.213.152.32	195.213.152.63	NL
195.213.152.64	195.213.152.127	FR
195.213.152.128	195.213.152.255	IL
195.213.153.0	195.213.153.255	EU
195.213.154.0	195.213.154.255	LU
195.213.155.0	195.213.155.255	IT
195.213.156.0	195.213.156.255	EU
195.213.157.0	195.213.157.255	DE
195.213.158.0	195.213.158.31	CH
195.213.158.32	195.213.158.35	EU
195.213.158.36	195.213.158.39	BE
195.213.158.40	195.213.158.43	NL
195.213.158.44	195.213.158.63	EU
195.213.158.64	195.213.158.127	DE
195.213.158.128	195.213.158.255	EU
195.213.159.0	195.213.159.63	GB
195.213.159.64	195.213.159.127	NL
195.213.159.128	195.213.159.255	DE
195.213.160.0	195.213.160.115	NL
195.213.160.116	195.213.160.127	EU
195.213.160.128	195.213.161.15	NL
195.213.161.16	195.213.161.31	FI
195.213.161.32	195.213.161.71	NL
195.213.161.72	195.213.161.75	SE
195.213.161.76	195.213.161.79	EU
195.213.161.80	195.213.161.95	NL
195.213.161.96	195.213.161.127	BE
195.213.161.128	195.213.162.31	NL
195.213.162.32	195.213.162.63	NO
195.213.162.64	195.213.162.127	SE
195.213.162.128	195.213.162.151	CH
195.213.162.152	195.213.162.159	CZ
195.213.162.160	195.213.162.191	FR
195.213.162.192	195.213.162.255	DE
195.213.163.0	195.213.163.255	NL
195.213.164.0	195.213.164.127	BE
195.213.164.128	195.213.164.191	EU
195.213.164.192	195.213.165.63	NL
195.213.165.64	195.213.165.127	EU
195.213.165.128	195.213.165.255	IT
195.213.166.0	195.213.166.255	GB
195.213.167.0	195.213.167.127	EU
195.213.167.128	195.213.167.191	NL
195.213.167.192	195.213.167.255	EU
195.213.168.0	195.213.169.255	SE
195.213.170.0	195.213.170.31	IE
195.213.170.32	195.213.170.63	CH
195.213.170.64	195.213.170.79	EU
195.213.170.80	195.213.170.95	SE
195.213.170.96	195.213.170.111	NL
195.213.170.112	195.213.170.127	SE
195.213.170.128	195.213.170.255	NO
195.213.171.0	195.213.172.31	SE
195.213.172.32	195.213.172.63	ES
195.213.172.64	195.213.172.127	SE
195.213.172.128	195.213.172.159	LI
195.213.172.160	195.213.172.191	CH
195.213.172.192	195.213.172.255	EU
195.213.173.0	195.213.173.255	DE
195.213.174.0	195.213.175.127	SE
195.213.175.128	195.213.175.255	NO
195.213.176.0	195.213.176.63	GB
195.213.176.64	195.213.176.127	PL
195.213.176.128	195.213.176.255	DK
195.213.177.0	195.213.177.19	NO
195.213.177.20	195.213.177.23	DE
195.213.177.24	195.213.177.47	EU
195.213.177.48	195.213.177.63	NO
195.213.177.64	195.213.177.127	EU
195.213.177.128	195.213.177.191	NO
195.213.177.192	195.213.178.63	EU
195.213.178.64	195.213.178.95	CH
195.213.178.96	195.213.178.111	NO
195.213.178.112	195.213.178.127	EU
195.213.178.128	195.213.178.255	FI
195.213.179.0	195.213.179.255	NO
195.213.180.0	195.213.181.127	FI
195.213.181.128	195.213.181.159	NL
195.213.181.160	195.213.181.191	EU
195.213.181.192	195.213.181.255	IT
195.213.182.0	195.213.182.31	FI
195.213.182.32	195.213.182.63	EU
195.213.182.64	195.213.182.95	DE
195.213.182.96	195.213.182.111	FI
195.213.182.112	195.213.182.119	EU
195.213.182.120	195.213.182.127	GB
195.213.182.128	195.213.182.255	SE
195.213.183.0	195.213.183.255	FI
195.213.184.0	195.213.184.63	EU
195.213.184.64	195.213.184.79	NL
195.213.184.80	195.213.184.95	EU
195.213.184.96	195.213.184.127	SE
195.213.184.128	195.213.184.255	PL
195.213.185.0	195.213.185.255	CH
195.213.186.0	195.213.186.127	SE
195.213.186.128	195.213.186.255	FI
195.213.187.0	195.213.187.255	GB
195.213.188.0	195.213.188.95	CH
195.213.188.96	195.213.188.127	NO
195.213.188.128	195.213.188.255	EU
195.213.189.0	195.213.189.63	CH
195.213.189.64	195.213.189.79	FR
195.213.189.80	195.213.189.95	EU
195.213.189.96	195.213.189.127	SE
195.213.189.128	195.213.189.255	EU
195.213.190.0	195.213.190.255	FR
195.213.191.0	195.213.191.255	NL
195.213.192.0	195.213.193.255	GB
195.213.194.0	195.213.194.63	FR
195.213.194.64	195.213.194.79	IT
195.213.194.80	195.213.194.95	EU
195.213.194.96	195.213.194.127	CH
195.213.194.128	195.213.194.191	FR
195.213.194.192	195.213.194.255	EU
195.213.195.0	195.213.196.31	RU
195.213.196.32	195.213.196.47	SE
195.213.196.48	195.213.196.63	FI
195.213.196.64	195.213.196.95	CH
195.213.196.96	195.213.196.111	EU
195.213.196.112	195.213.196.127	CH
195.213.196.128	195.213.196.191	NL
195.213.196.192	195.213.197.127	EU
195.213.197.128	195.213.197.255	FR
195.213.198.0	195.213.198.255	GB
195.213.199.0	195.213.199.255	PT
195.213.200.0	195.213.203.255	NL
195.213.204.0	195.213.204.159	DE
195.213.204.160	195.213.204.191	CH
195.213.204.192	195.213.204.239	EU
195.213.204.240	195.213.205.255	DE
195.213.206.0	195.213.207.127	EU
195.213.207.128	195.213.207.255	GB
195.213.208.0	195.213.208.255	DE
195.213.209.0	195.213.209.255	FI
195.213.210.0	195.213.210.127	FR
195.213.210.128	195.213.210.159	EU
195.213.210.160	195.213.210.175	PL
195.213.210.176	195.213.210.191	NL
195.213.210.192	195.213.210.255	EU
195.213.211.0	195.213.211.255	BE
195.213.212.0	195.213.212.255	SE
195.213.213.0	195.213.213.255	IT
195.213.214.0	195.213.214.255	DE
195.213.215.0	195.213.215.255	FI
195.213.216.0	195.213.216.127	FR
195.213.216.128	195.213.216.191	SE
195.213.216.192	195.213.216.207	BE
195.213.216.208	195.213.216.223	EU
195.213.216.224	195.213.216.255	DE
195.213.217.0	195.213.217.63	EU
195.213.217.64	195.213.217.127	SE
195.213.217.128	195.213.217.255	EU
195.213.218.0	195.213.218.127	DE
195.213.218.128	195.213.218.255	FI
195.213.219.0	195.213.219.15	IR
195.213.219.16	195.213.219.31	ES
195.213.219.32	195.213.219.95	EU
195.213.219.96	195.213.219.127	CH
195.213.219.128	195.213.219.255	FR
195.213.220.0	195.213.220.255	DK
195.213.221.0	195.213.221.255	IT
195.213.222.0	195.213.222.255	SE
195.213.223.0	195.213.223.159	EU
195.213.223.160	195.213.223.191	CH
195.213.223.192	195.213.223.255	FR
195.213.224.0	195.213.224.255	NL
195.213.225.0	195.213.225.63	IL
195.213.225.64	195.213.225.255	EU
195.213.226.0	195.213.226.255	RU
195.213.227.0	195.213.227.255	IL
195.213.228.0	195.213.228.255	GB
195.213.229.0	195.213.229.255	EU
195.213.230.0	195.213.230.255	ES
195.213.231.0	195.213.231.255	IL
195.213.232.0	195.213.232.255	EU
195.213.233.0	195.213.233.63	DK
195.213.233.64	195.213.233.127	EU
195.213.233.128	195.213.233.191	FR
195.213.233.192	195.213.233.223	EU
195.213.233.224	195.213.233.255	DK
195.213.234.0	195.213.234.255	EU
195.213.235.0	195.213.235.255	CZ
195.213.236.0	195.213.236.255	HU
195.213.237.0	195.213.237.255	EU
195.213.238.0	195.213.238.255	ZA
195.213.239.0	195.213.239.127	IT
195.213.239.128	195.213.240.255	EU
195.213.241.0	195.213.241.127	IT
195.213.241.128	195.213.241.255	DE
195.213.242.0	195.213.242.127	EU
195.213.242.128	195.213.242.191	FR
195.213.242.192	195.213.242.255	EU
195.213.243.0	195.213.243.255	DE
195.213.244.0	195.213.244.255	EU
195.213.245.0	195.213.246.255	ES
195.213.247.0	195.213.247.255	FR
195.213.248.0	195.213.248.255	US
195.213.249.0	195.213.249.255	HU
195.213.250.0	195.213.250.127	DE
195.213.250.128	195.213.250.255	EU
195.213.251.0	195.213.251.3	NL
195.213.251.4	195.213.251.107	EU
195.213.251.108	195.213.251.111	SE
195.213.251.112	195.213.251.255	EU
195.213.252.0	195.213.252.31	SE
195.213.252.32	195.213.252.47	PL
195.213.252.48	195.213.252.127	EU
195.213.252.128	195.213.252.255	ZA
195.213.253.0	195.213.253.127	EU
195.213.253.128	195.213.253.255	BE
195.213.254.0	195.213.254.191	EU
195.213.254.192	195.213.254.255	AT
195.213.255.0	195.213.255.31	FR
195.213.255.32	195.213.255.47	GB
195.213.255.48	195.213.255.127	FR
195.213.255.128	195.213.255.191	LV
195.213.255.192	195.213.255.255	FR
195.214.0.0	195.214.51.255	DE
195.214.52.0	195.214.52.31	CZ
195.214.52.32	195.214.52.39	US
195.214.52.40	195.214.52.127	DE
195.214.52.128	195.214.53.31	US
195.214.53.32	195.214.55.255	DE
195.214.56.0	195.214.56.31	US
195.214.56.32	195.214.56.63	DE
195.214.56.64	195.214.56.95	US
195.214.56.96	195.214.56.127	DE
195.214.56.128	195.214.56.159	US
195.214.56.160	195.214.56.191	DE
195.214.56.192	195.214.56.223	FR
195.214.56.224	195.214.59.255	DE
195.214.60.0	195.214.60.31	US
195.214.60.32	195.214.95.255	DE
195.214.96.0	195.214.127.255	GB
195.214.128.0	195.214.191.255	TR
195.214.192.0	195.214.199.255	UA
195.214.200.0	195.214.207.255	NO
195.214.208.0	195.214.215.255	UA
195.214.216.0	195.214.219.255	DE
195.214.220.0	195.214.223.255	UA
195.214.224.0	195.214.231.255	FR
195.214.232.0	195.214.235.255	RU
195.214.236.0	195.214.239.255	UA
195.214.240.0	195.214.247.255	FR
195.214.248.0	195.214.255.255	BG
195.215.0.0	195.215.255.255	DK
195.216.0.0	195.216.31.255	GB
195.216.32.0	195.216.63.255	SE
195.216.64.0	195.216.82.255	CH
195.216.83.0	195.216.83.15	GB
195.216.83.16	195.216.83.191	CH
195.216.83.192	195.216.83.207	LI
195.216.83.208	195.216.83.255	CH
195.216.84.0	195.216.84.255	LI
195.216.85.0	195.216.95.255	CH
195.216.96.0	195.216.127.255	PL
195.216.128.0	195.216.159.255	IT
195.216.160.0	195.216.191.255	LV
195.216.192.0	195.216.193.255	FR
195.216.194.0	195.216.195.255	RU
195.216.196.0	195.216.197.255	GB
195.216.198.0	195.216.199.255	DE
195.216.200.0	195.216.203.255	RU
195.216.204.0	195.216.207.255	UA
195.216.208.0	195.216.209.255	DE
195.216.210.0	195.216.213.255	UA
195.216.214.0	195.216.215.255	FR
195.216.216.0	195.216.217.255	RU
195.216.218.0	195.216.219.255	CH
195.216.220.0	195.216.221.255	DE
195.216.222.0	195.216.223.255	RO
195.216.224.0	195.216.224.255	NL
195.216.225.0	195.216.225.255	US
195.216.226.0	195.216.226.255	UA
195.216.227.0	195.216.227.255	CH
195.216.228.0	195.216.228.255	BG
195.216.229.0	195.216.229.255	AT
195.216.230.0	195.216.230.255	RO
195.216.231.0	195.216.231.255	SE
195.216.232.0	195.216.232.255	TR
195.216.233.0	195.216.233.255	LT
195.216.234.0	195.216.234.255	MT
195.216.235.0	195.216.235.255	DE
195.216.236.0	195.216.236.255	LV
195.216.237.0	195.216.237.255	KG
195.216.238.0	195.216.238.255	RU
195.216.239.0	195.216.239.255	RO
195.216.240.0	195.216.240.255	CZ
195.216.241.0	195.216.241.255	RU
195.216.242.0	195.216.242.255	FR
195.216.243.0	195.216.243.255	GB
195.216.244.0	195.216.244.255	RU
195.216.245.0	195.216.245.255	NG
195.216.246.0	195.216.246.255	NL
195.216.247.0	195.216.247.255	RO
195.216.248.0	195.216.248.255	UA
195.216.249.0	195.216.249.255	FR
195.216.250.0	195.216.250.255	PL
195.216.251.0	195.216.251.255	HU
195.216.252.0	195.216.252.255	IL
195.216.253.0	195.216.253.255	SI
195.216.254.0	195.216.254.255	PL
195.216.255.0	195.216.255.255	DE
195.217.0.0	195.217.255.255	GB
195.218.0.0	195.218.31.255	LU
195.218.32.0	195.218.63.255	GB
195.218.64.0	195.218.95.255	FI
195.218.96.0	195.218.127.255	IE
195.218.128.0	195.218.255.255	RU
195.219.0.0	195.219.1.255	GB
195.219.2.0	195.219.2.255	EU
195.219.3.0	195.219.3.31	ES
195.219.3.32	195.219.3.63	GB
195.219.3.64	195.219.3.127	ES
195.219.3.128	195.219.3.135	IT
195.219.3.136	195.219.3.191	GB
195.219.3.192	195.219.3.255	ES
195.219.4.0	195.219.7.255	GB
195.219.8.0	195.219.11.255	EU
195.219.12.0	195.219.13.255	GB
195.219.14.0	195.219.14.127	ES
195.219.14.128	195.219.14.255	EU
195.219.15.0	195.219.15.255	GB
195.219.16.0	195.219.23.255	EU
195.219.24.0	195.219.24.255	GB
195.219.25.0	195.219.25.255	AT
195.219.26.0	195.219.26.255	FR
195.219.27.0	195.219.27.255	YE
195.219.28.0	195.219.28.31	BH
195.219.28.32	195.219.28.39	DE
195.219.28.40	195.219.28.47	CY
195.219.28.48	195.219.28.63	ES
195.219.28.64	195.219.28.127	GB
195.219.28.128	195.219.28.255	EU
195.219.29.0	195.219.29.255	YE
195.219.30.0	195.219.30.255	ES
195.219.31.0	195.219.31.255	YE
195.219.32.0	195.219.35.255	EU
195.219.36.0	195.219.36.255	SE
195.219.37.0	195.219.37.255	YE
195.219.38.0	195.219.38.255	GB
195.219.39.0	195.219.39.255	UA
195.219.40.0	195.219.47.255	QA
195.219.48.0	195.219.48.31	CZ
195.219.48.32	195.219.48.63	GB
195.219.48.64	195.219.48.127	EU
195.219.48.128	195.219.48.191	GB
195.219.48.192	195.219.49.63	EU
195.219.49.64	195.219.49.127	FR
195.219.49.128	195.219.49.135	GB
195.219.49.136	195.219.49.143	RU
195.219.49.144	195.219.49.159	DE
195.219.49.160	195.219.49.191	ES
195.219.49.192	195.219.49.255	RU
195.219.50.0	195.219.50.255	DE
195.219.51.0	195.219.51.255	GB
195.219.52.0	195.219.53.255	KW
195.219.54.0	195.219.58.63	ES
195.219.58.64	195.219.58.79	DE
195.219.58.80	195.219.58.127	GB
195.219.58.128	195.219.59.255	ES
195.219.60.0	195.219.63.255	EU
195.219.64.0	195.219.64.255	NL
195.219.65.0	195.219.65.255	YE
195.219.66.0	195.219.66.7	GB
195.219.66.8	195.219.66.15	ES
195.219.66.16	195.219.66.31	GB
195.219.66.32	195.219.66.63	CH
195.219.66.64	195.219.67.191	EU
195.219.67.192	195.219.67.255	GB
195.219.68.0	195.219.69.255	DE
195.219.70.0	195.219.70.255	GB
195.219.71.0	195.219.71.255	IR
195.219.72.0	195.219.72.127	EU
195.219.72.128	195.219.72.255	ES
195.219.73.0	195.219.73.15	PL
195.219.73.16	195.219.73.31	GB
195.219.73.32	195.219.73.63	DE
195.219.73.64	195.219.73.79	GB
195.219.73.80	195.219.73.95	DE
195.219.73.96	195.219.73.255	EU
195.219.74.0	195.219.75.255	ES
195.219.76.0	195.219.79.255	EU
195.219.80.0	195.219.81.255	GB
195.219.82.0	195.219.82.63	EU
195.219.82.64	195.219.82.79	ES
195.219.82.80	195.219.82.127	GB
195.219.82.128	195.219.82.135	EU
195.219.82.136	195.219.82.143	GB
195.219.82.144	195.219.82.159	ES
195.219.82.160	195.219.82.175	NL
195.219.82.176	195.219.82.183	EU
195.219.82.184	195.219.82.191	DE
195.219.82.192	195.219.82.255	EU
195.219.83.0	195.219.83.255	GB
195.219.84.0	195.219.87.255	EU
195.219.88.0	195.219.88.255	NL
195.219.89.0	195.219.90.255	GB
195.219.91.0	195.219.91.255	ES
195.219.92.0	195.219.92.255	DE
195.219.93.0	195.219.93.255	ES
195.219.94.0	195.219.95.255	DE
195.219.96.0	195.219.97.255	GB
195.219.98.0	195.219.99.255	EU
195.219.100.0	195.219.101.255	GB
195.219.102.0	195.219.111.255	EU
195.219.112.0	195.219.112.255	ES
195.219.113.0	195.219.113.127	EU
195.219.113.128	195.219.113.175	GB
195.219.113.176	195.219.113.191	FR
195.219.113.192	195.219.113.199	EU
195.219.113.200	195.219.113.207	ES
195.219.113.208	195.219.113.223	GB
195.219.113.224	195.219.113.255	EU
195.219.114.0	195.219.114.255	ES
195.219.115.0	195.219.115.7	EU
195.219.115.8	195.219.115.15	NL
195.219.115.16	195.219.115.31	EU
195.219.115.32	195.219.115.95	ES
195.219.115.96	195.219.115.255	EU
195.219.116.0	195.219.117.255	ES
195.219.118.0	195.219.119.255	EU
195.219.120.0	195.219.121.255	ES
195.219.122.0	195.219.123.255	GB
195.219.124.0	195.219.129.127	EU
195.219.129.128	195.219.129.255	IR
195.219.130.0	195.219.130.255	ES
195.219.131.0	195.219.131.255	SE
195.219.132.0	195.219.132.255	ES
195.219.133.0	195.219.133.7	DK
195.219.133.8	195.219.133.15	EU
195.219.133.16	195.219.133.23	ES
195.219.133.24	195.219.133.31	DE
195.219.133.32	195.219.133.127	EU
195.219.133.128	195.219.133.255	GB
195.219.134.0	195.219.135.255	EU
195.219.136.0	195.219.137.255	US
195.219.138.0	195.219.139.255	DK
195.219.140.0	195.219.140.255	ES
195.219.141.0	195.219.141.63	EU
195.219.141.64	195.219.141.95	FR
195.219.141.96	195.219.141.127	GB
195.219.141.128	195.219.141.255	EU
195.219.142.0	195.219.142.255	GB
195.219.143.0	195.219.143.255	ES
195.219.144.0	195.219.145.255	GB
195.219.146.0	195.219.147.255	EU
195.219.148.0	195.219.148.255	DE
195.219.149.0	195.219.149.255	ES
195.219.150.0	195.219.150.255	NL
195.219.151.0	195.219.152.255	GB
195.219.153.0	195.219.153.255	SA
195.219.154.0	195.219.154.255	GB
195.219.155.0	195.219.155.255	ES
195.219.156.0	195.219.156.255	DE
195.219.157.0	195.219.157.127	ES
195.219.157.128	195.219.157.159	EU
195.219.157.160	195.219.157.191	ES
195.219.157.192	195.219.157.255	EU
195.219.158.0	195.219.159.255	ES
195.219.160.0	195.219.160.255	GB
195.219.161.0	195.219.161.63	US
195.219.161.64	195.219.161.255	EU
195.219.162.0	195.219.162.255	NL
195.219.163.0	195.219.163.255	IT
195.219.164.0	195.219.164.127	EU
195.219.164.128	195.219.164.159	GB
195.219.164.160	195.219.164.191	ES
195.219.164.192	195.219.164.255	EU
195.219.165.0	195.219.165.255	GB
195.219.166.0	195.219.166.255	IT
195.219.167.0	195.219.167.255	SA
195.219.168.0	195.219.179.255	EU
195.219.180.0	195.219.180.255	DE
195.219.181.0	195.219.181.255	ES
195.219.182.0	195.219.182.255	FR
195.219.183.0	195.219.183.255	DE
195.219.184.0	195.219.184.255	GB
195.219.185.0	195.219.187.255	PT
195.219.188.0	195.219.188.255	PL
195.219.189.0	195.219.189.255	GB
195.219.190.0	195.219.192.191	EU
195.219.192.192	195.219.192.239	NL
195.219.192.240	195.219.193.127	GB
195.219.193.128	195.219.193.255	DE
195.219.194.0	195.219.194.255	NL
195.219.195.0	195.219.196.255	GB
195.219.197.0	195.219.197.255	ES
195.219.198.0	195.219.198.255	FR
195.219.199.0	195.219.199.255	GB
195.219.200.0	195.219.207.255	EU
195.219.208.0	195.219.211.255	DE
195.219.212.0	195.219.213.255	GB
195.219.214.0	195.219.215.255	FR
195.219.216.0	195.219.223.255	EU
195.219.224.0	195.219.224.255	FR
195.219.225.0	195.219.225.255	PL
195.219.226.0	195.219.226.255	ES
195.219.227.0	195.219.229.255	BE
195.219.230.0	195.219.230.255	ES
195.219.231.0	195.219.231.255	PL
195.219.232.0	195.219.240.255	EU
195.219.241.0	195.219.241.255	FR
195.219.242.0	195.219.242.255	DE
195.219.243.0	195.219.243.255	GB
195.219.244.0	195.219.244.255	ES
195.219.245.0	195.219.245.255	EU
195.219.246.0	195.219.246.255	PL
195.219.247.0	195.219.247.255	FR
195.219.248.0	195.219.255.255	GB
195.220.0.0	195.221.255.255	FR
195.222.0.0	195.222.2.63	EE
195.222.2.64	195.222.2.67	FI
195.222.2.68	195.222.31.255	EE
195.222.32.0	195.222.63.255	BA
195.222.64.0	195.222.95.255	BY
195.222.96.0	195.222.99.255	RS
195.222.100.0	195.222.103.255	PL
195.222.104.0	195.222.107.255	RO
195.222.108.0	195.222.111.255	IE
195.222.112.0	195.222.115.255	PL
195.222.116.0	195.222.119.255	NL
195.222.120.0	195.222.123.255	AT
195.222.124.0	195.222.127.255	UA
195.222.128.0	195.222.191.255	RU
195.222.192.0	195.222.255.255	DE
195.223.0.0	195.223.255.255	IT
195.224.0.0	195.224.24.255	GB
195.224.25.0	195.224.25.255	US
195.224.26.0	195.224.33.255	GB
195.224.34.0	195.224.34.255	US
195.224.35.0	195.224.66.87	GB
195.224.66.88	195.224.66.95	NL
195.224.66.96	195.224.108.47	GB
195.224.108.48	195.224.108.63	NL
195.224.108.64	195.224.164.255	GB
195.224.165.0	195.224.165.255	US
195.224.166.0	195.224.205.255	GB
195.224.206.0	195.224.206.255	US
195.224.207.0	195.224.213.95	GB
195.224.213.96	195.224.213.111	US
195.224.213.112	195.224.255.255	GB
195.225.0.0	195.225.31.255	NO
195.225.32.0	195.225.33.255	CH
195.225.34.0	195.225.35.255	NL
195.225.36.0	195.225.37.255	PL
195.225.38.0	195.225.39.255	RU
195.225.40.0	195.225.43.255	RO
195.225.44.0	195.225.45.255	CH
195.225.46.0	195.225.47.255	IL
195.225.48.0	195.225.49.255	UA
195.225.50.0	195.225.51.255	DE
195.225.52.0	195.225.53.255	UA
195.225.54.0	195.225.55.255	NL
195.225.56.0	195.225.57.255	RU
195.225.58.0	195.225.59.255	RO
195.225.60.0	195.225.61.255	CH
195.225.62.0	195.225.63.255	A2
195.225.64.0	195.225.67.255	RO
195.225.68.0	195.225.71.255	PL
195.225.72.0	195.225.75.255	CZ
195.225.76.0	195.225.79.255	PL
195.225.80.0	195.225.83.255	GB
195.225.84.0	195.225.87.255	RO
195.225.88.0	195.225.91.255	DK
195.225.92.0	195.225.95.255	PL
195.225.96.0	195.225.103.255	NL
195.225.104.0	195.225.107.255	DE
195.225.108.0	195.225.111.255	RO
195.225.112.0	195.225.115.255	UA
195.225.116.0	195.225.119.255	CH
195.225.120.0	195.225.123.255	PL
195.225.124.0	195.225.127.255	BG
195.225.128.0	195.225.131.255	RU
195.225.132.0	195.225.135.255	DE
195.225.140.0	195.225.143.255	RO
195.225.144.0	195.225.147.255	UA
195.225.148.0	195.225.155.255	DE
195.225.156.0	195.225.159.255	UA
195.225.160.0	195.225.163.255	RU
195.225.164.0	195.225.167.255	BE
195.225.168.0	195.225.171.255	IT
195.225.172.0	195.225.175.255	UA
195.225.176.0	195.225.179.255	PA
195.225.180.0	195.225.183.255	PL
195.225.184.0	195.225.187.255	SE
195.225.188.0	195.225.191.255	GB
195.225.192.0	195.225.195.255	CH
195.225.196.0	195.225.199.255	DE
195.225.200.0	195.225.203.255	LI
195.225.204.0	195.225.207.255	FR
195.225.208.0	195.225.211.255	DE
195.225.212.0	195.225.215.255	PL
195.225.216.0	195.225.219.255	GB
195.225.220.0	195.225.223.255	PT
195.225.224.0	195.225.227.255	IT
195.225.228.0	195.225.231.255	UA
195.225.232.0	195.225.235.255	RU
195.225.236.0	195.225.239.255	AT
195.225.240.0	195.225.243.255	DE
195.225.244.0	195.225.251.255	PL
195.225.252.0	195.225.255.255	BG
195.226.0.0	195.226.31.255	CH
195.226.32.0	195.226.63.255	GB
195.226.64.0	195.226.127.255	DE
195.226.128.0	195.226.159.255	GB
195.226.160.0	195.226.191.255	DE
195.226.192.0	195.226.192.255	UA
195.226.193.0	195.226.193.255	IT
195.226.194.0	195.226.194.255	DE
195.226.195.0	195.226.195.255	AT
195.226.196.0	195.226.196.255	TR
195.226.197.0	195.226.197.255	UA
195.226.198.0	195.226.198.255	PL
195.226.199.0	195.226.199.255	DK
195.226.200.0	195.226.200.255	DE
195.226.201.0	195.226.201.255	GB
195.226.202.0	195.226.202.255	FI
195.226.203.0	195.226.204.255	RU
195.226.205.0	195.226.205.255	NL
195.226.206.0	195.226.206.255	RO
195.226.207.0	195.226.207.255	PL
195.226.208.0	195.226.208.255	KZ
195.226.209.0	195.226.209.255	RU
195.226.210.0	195.226.210.255	MD
195.226.211.0	195.226.211.255	FR
195.226.212.0	195.226.212.255	RO
195.226.213.0	195.226.213.255	UA
195.226.214.0	195.226.214.255	RO
195.226.215.0	195.226.215.255	UA
195.226.216.0	195.226.216.255	RU
195.226.217.0	195.226.217.255	CZ
195.226.218.0	195.226.218.255	LV
195.226.219.0	195.226.219.255	FR
195.226.220.0	195.226.220.255	UA
195.226.221.0	195.226.221.255	TR
195.226.222.0	195.226.222.255	RU
195.226.223.0	195.226.223.255	IT
195.226.224.0	195.226.255.255	KW
195.227.0.0	195.227.255.255	DE
195.228.0.0	195.228.76.255	HU
195.228.77.0	195.228.77.255	RO
195.228.78.0	195.228.255.255	HU
195.229.0.0	195.229.4.255	AE
195.229.5.0	195.229.5.127	TZ
195.229.5.128	195.229.6.255	AE
195.229.7.0	195.229.9.255	KW
195.229.10.0	195.229.12.255	AE
195.229.13.0	195.229.14.255	KW
195.229.15.0	195.229.23.255	AE
195.229.24.0	195.229.26.255	KW
195.229.27.0	195.229.255.255	AE
195.230.0.0	195.230.31.255	BG
195.230.32.0	195.230.63.255	AT
195.230.64.0	195.230.95.255	RU
195.230.96.0	195.230.96.255	UA
195.230.97.0	195.230.97.255	KZ
195.230.98.0	195.230.98.255	LT
195.230.99.0	195.230.99.255	UA
195.230.100.0	195.230.100.255	CH
195.230.101.0	195.230.101.255	RU
195.230.102.0	195.230.102.255	GR
195.230.103.0	195.230.103.255	UA
195.230.104.0	195.230.104.255	BE
195.230.105.0	195.230.105.255	ES
195.230.106.0	195.230.106.255	HU
195.230.107.0	195.230.107.255	RU
195.230.108.0	195.230.108.255	US
195.230.109.0	195.230.109.255	RU
195.230.110.0	195.230.110.255	NL
195.230.111.0	195.230.111.255	RU
195.230.112.0	195.230.112.255	UA
195.230.113.0	195.230.113.255	PL
195.230.114.0	195.230.114.255	DE
195.230.115.0	195.230.115.255	UA
195.230.116.0	195.230.116.255	DE
195.230.117.0	195.230.117.255	CH
195.230.118.0	195.230.118.255	GB
195.230.119.0	195.230.119.255	UA
195.230.120.0	195.230.120.255	PL
195.230.121.0	195.230.121.255	SI
195.230.122.0	195.230.122.255	GB
195.230.123.0	195.230.123.255	RU
195.230.124.0	195.230.124.255	DE
195.230.125.0	195.230.125.255	UA
195.230.126.0	195.230.126.255	DE
195.230.127.0	195.230.159.255	UA
195.230.160.0	195.230.191.255	AT
195.230.192.0	195.230.200.31	IT
195.230.200.32	195.230.200.47	DE
195.230.200.48	195.230.200.55	GB
195.230.200.56	195.230.200.59	BE
195.230.200.60	195.230.200.63	ES
195.230.200.64	195.230.200.95	FR
195.230.200.96	195.230.200.99	ES
195.230.200.100	195.230.200.111	IT
195.230.200.112	195.230.200.127	CH
195.230.200.128	195.230.200.143	HK
195.230.200.144	195.230.200.151	ES
195.230.200.152	195.230.200.167	IT
195.230.200.168	195.230.200.175	DE
195.230.200.176	195.230.200.215	IT
195.230.200.216	195.230.200.223	FR
195.230.200.224	195.230.203.63	IT
195.230.203.64	195.230.203.95	FR
195.230.203.96	195.230.203.127	RO
195.230.203.128	195.230.203.255	IT
195.230.204.0	195.230.204.255	SM
195.230.205.0	195.230.255.255	IT
195.231.0.0	195.231.255.255	DK
195.232.0.0	195.232.0.255	DE
195.232.1.0	195.232.31.255	GB
195.232.32.0	195.232.32.255	DE
195.232.33.0	195.232.47.255	GB
195.232.48.0	195.232.63.255	DE
195.232.64.0	195.232.79.255	FR
195.232.80.0	195.232.80.255	GB
195.232.81.0	195.232.81.255	DE
195.232.82.0	195.232.82.71	GB
195.232.82.72	195.232.82.79	FR
195.232.82.80	195.232.82.111	GB
195.232.82.112	195.232.82.119	DE
195.232.82.120	195.232.86.111	GB
195.232.86.112	195.232.86.127	CH
195.232.86.128	195.232.86.191	DE
195.232.86.192	195.232.89.255	GB
195.232.90.0	195.232.90.255	CH
195.232.91.0	195.232.91.255	DE
195.232.92.0	195.232.99.255	GB
195.232.100.0	195.232.100.255	FR
195.232.101.0	195.232.101.255	DE
195.232.102.0	195.232.103.255	GB
195.232.104.0	195.232.104.255	DE
195.232.105.0	195.232.105.255	FR
195.232.106.0	195.232.107.255	GB
195.232.108.0	195.232.109.255	DE
195.232.110.0	195.232.111.255	FR
195.232.112.0	195.232.113.255	GB
195.232.114.0	195.232.114.255	DE
195.232.115.0	195.232.117.255	GB
195.232.118.0	195.232.118.255	AT
195.232.119.0	195.232.127.255	GB
195.232.128.0	195.233.255.255	DE
195.234.0.0	195.234.1.255	LI
195.234.2.0	195.234.3.255	RU
195.234.4.0	195.234.7.255	UA
195.234.10.0	195.234.11.255	GB
195.234.12.0	195.234.13.255	DE
195.234.14.0	195.234.15.255	SE
195.234.16.0	195.234.17.255	PL
195.234.18.0	195.234.19.255	AT
195.234.20.0	195.234.21.255	PL
195.234.22.0	195.234.23.255	HR
195.234.24.0	195.234.25.255	EU
195.234.26.0	195.234.27.255	IL
195.234.28.0	195.234.29.255	HU
195.234.30.0	195.234.31.255	RO
195.234.32.0	195.234.32.255	BE
195.234.33.0	195.234.34.255	DE
195.234.35.0	195.234.36.255	FR
195.234.37.0	195.234.38.255	CH
195.234.39.0	195.234.39.255	GB
195.234.40.0	195.234.40.255	PL
195.234.41.0	195.234.42.255	FR
195.234.43.0	195.234.43.255	CH
195.234.44.0	195.234.44.255	AT
195.234.45.0	195.234.45.255	BE
195.234.46.0	195.234.46.255	FR
195.234.47.0	195.234.47.255	PT
195.234.48.0	195.234.48.255	GB
195.234.49.0	195.234.49.255	GR
195.234.50.0	195.234.50.255	DE
195.234.51.0	195.234.51.255	MT
195.234.52.0	195.234.52.255	TR
195.234.53.0	195.234.53.255	BE
195.234.54.0	195.234.55.255	RO
195.234.56.0	195.234.56.255	RU
195.234.57.0	195.234.57.255	SE
195.234.58.0	195.234.58.255	AT
195.234.59.0	195.234.59.255	ES
195.234.60.0	195.234.60.255	CH
195.234.61.0	195.234.61.255	UA
195.234.62.0	195.234.62.255	FR
195.234.63.0	195.234.63.255	PL
195.234.64.0	195.234.67.255	CH
195.234.68.0	195.234.79.255	UA
195.234.80.0	195.234.83.255	DE
195.234.84.0	195.234.87.255	BG
195.234.88.0	195.234.91.255	FR
195.234.92.0	195.234.95.255	DE
195.234.96.0	195.234.99.255	RU
195.234.100.0	195.234.103.255	AT
195.234.104.0	195.234.107.255	DE
195.234.108.0	195.234.111.255	RU
195.234.112.0	195.234.115.255	UA
195.234.116.0	195.234.119.255	GB
195.234.120.0	195.234.123.255	CM
195.234.124.0	195.234.127.255	UA
195.234.128.0	195.234.128.255	DE
195.234.129.0	195.234.129.255	CH
195.234.130.0	195.234.130.255	RO
195.234.131.0	195.234.131.255	LV
195.234.132.0	195.234.132.255	UA
195.234.133.0	195.234.133.255	DE
195.234.134.0	195.234.134.255	PT
195.234.135.0	195.234.135.255	FI
195.234.136.0	195.234.136.255	DE
195.234.137.0	195.234.137.255	SI
195.234.138.0	195.234.139.255	DE
195.234.140.0	195.234.140.255	ES
195.234.141.0	195.234.141.255	PL
195.234.142.0	195.234.142.255	FI
195.234.143.0	195.234.143.255	DE
195.234.144.0	195.234.144.255	LV
195.234.145.0	195.234.145.255	BE
195.234.146.0	195.234.146.255	SE
195.234.147.0	195.234.147.255	RU
195.234.148.0	195.234.148.255	UA
195.234.149.0	195.234.149.255	DE
195.234.150.0	195.234.150.255	SE
195.234.151.0	195.234.151.255	AT
195.234.152.0	195.234.152.255	DE
195.234.153.0	195.234.153.255	GB
195.234.154.0	195.234.154.255	FR
195.234.155.0	195.234.155.255	DK
195.234.156.0	195.234.156.255	GB
195.234.157.0	195.234.157.255	AT
195.234.158.0	195.234.159.255	IL
195.234.160.0	195.234.160.255	DK
195.234.161.0	195.234.161.255	RO
195.234.162.0	195.234.162.255	BE
195.234.163.0	195.234.163.255	CH
195.234.164.0	195.234.164.255	PL
195.234.165.0	195.234.165.255	TR
195.234.166.0	195.234.167.255	ES
195.234.168.0	195.234.168.255	EG
195.234.169.0	195.234.169.255	RO
195.234.170.0	195.234.170.255	RU
195.234.171.0	195.234.171.255	IT
195.234.172.0	195.234.172.255	RO
195.234.173.0	195.234.173.255	NL
195.234.174.0	195.234.174.255	UA
195.234.175.0	195.234.175.255	GB
195.234.176.0	195.234.176.255	CH
195.234.177.0	195.234.177.255	RO
195.234.178.0	195.234.178.255	DE
195.234.179.0	195.234.179.255	ES
195.234.180.0	195.234.180.255	CH
195.234.181.0	195.234.182.255	RO
195.234.183.0	195.234.183.255	DE
195.234.184.0	195.234.184.255	BE
195.234.185.0	195.234.185.255	EG
195.234.186.0	195.234.186.255	BE
195.234.187.0	195.234.187.255	CH
195.234.188.0	195.234.188.255	RO
195.234.189.0	195.234.189.255	PL
195.234.190.0	195.234.190.255	RU
195.234.191.0	195.234.191.255	RO
195.234.192.0	195.234.195.255	DE
195.234.196.0	195.234.199.255	FI
195.234.200.0	195.234.203.255	UA
195.234.204.0	195.234.207.255	CZ
195.234.208.0	195.234.211.255	RU
195.234.212.0	195.234.215.255	UA
195.234.216.0	195.234.219.255	DE
195.234.220.0	195.234.223.255	UA
195.234.224.0	195.234.227.255	CH
195.234.228.0	195.234.231.255	DE
195.234.232.0	195.234.235.255	IT
195.234.236.0	195.234.239.255	BG
195.234.240.0	195.234.243.255	GB
195.234.244.0	195.234.247.255	DE
195.234.248.0	195.234.251.255	A2
195.234.252.0	195.234.255.255	EG
195.235.0.0	195.235.255.255	ES
195.236.0.0	195.237.31.255	FI
195.237.32.0	195.237.32.255	AX
195.237.33.0	195.237.255.255	FI
195.238.0.0	195.238.31.255	BE
195.238.32.0	195.238.63.255	US
195.238.64.0	195.238.65.255	LT
195.238.66.0	195.238.67.255	PL
195.238.68.0	195.238.69.255	DE
195.238.70.0	195.238.71.255	PL
195.238.72.0	195.238.73.255	RU
195.238.74.0	195.238.75.255	NL
195.238.76.0	195.238.77.255	SE
195.238.78.0	195.238.79.255	GB
195.238.80.0	195.238.83.255	RO
195.238.84.0	195.238.85.255	BG
195.238.86.0	195.238.87.255	NL
195.238.88.0	195.238.91.255	RO
195.238.92.0	195.238.93.255	UA
195.238.94.0	195.238.95.255	RO
195.238.96.0	195.238.99.255	FR
195.238.100.0	195.238.103.255	RU
195.238.104.0	195.238.107.255	UZ
195.238.108.0	195.238.119.255	UA
195.238.120.0	195.238.123.255	SE
195.238.124.0	195.238.127.255	FI
195.238.128.0	195.238.163.255	DE
195.238.164.0	195.238.171.255	PL
195.238.172.0	195.238.175.255	GB
195.238.176.0	195.238.183.255	UA
195.238.184.0	195.238.187.255	PL
195.238.188.0	195.238.191.255	UA
195.238.192.0	195.238.196.31	FI
195.238.196.32	195.238.196.87	EE
195.238.196.88	195.238.196.95	FI
195.238.196.96	195.238.196.191	EE
195.238.196.192	195.238.223.255	FI
195.238.224.0	195.238.225.255	DE
195.238.226.0	195.238.226.255	FR
195.238.227.0	195.238.228.255	PL
195.238.229.0	195.238.229.255	FR
195.238.230.0	195.238.231.255	RU
195.238.232.0	195.238.232.255	GB
195.238.233.0	195.238.234.255	DE
195.238.235.0	195.238.235.255	IT
195.238.236.0	195.238.236.255	PL
195.238.237.0	195.238.237.255	GB
195.238.238.0	195.238.238.255	DE
195.238.239.0	195.238.239.255	RU
195.238.240.0	195.238.241.255	GB
195.238.242.0	195.238.242.255	MD
195.238.243.0	195.238.243.255	GB
195.238.244.0	195.238.244.255	NL
195.238.245.0	195.238.245.255	PL
195.238.246.0	195.238.246.255	RU
195.238.247.0	195.238.247.255	PL
195.238.248.0	195.238.248.255	DE
195.238.249.0	195.238.249.255	GB
195.238.250.0	195.238.250.255	RU
195.238.252.0	195.238.252.255	DE
195.238.253.0	195.238.253.255	CH
195.238.254.0	195.238.255.255	SE
195.239.0.0	195.239.152.239	RU
195.239.152.240	195.239.152.247	DK
195.239.152.248	195.239.183.119	RU
195.239.183.120	195.239.183.129	KZ
195.239.183.130	195.239.198.207	RU
195.239.198.208	195.239.198.215	UZ
195.239.198.216	195.239.255.255	RU
195.240.0.0	195.241.255.255	NL
195.242.0.0	195.242.31.255	RU
195.242.32.0	195.242.42.175	SE
195.242.42.176	195.242.42.191	GB
195.242.42.192	195.242.63.255	SE
195.242.66.0	195.242.67.255	DE
195.242.68.0	195.242.69.255	PL
195.242.70.0	195.242.71.255	GB
195.242.72.0	195.242.73.255	NL
195.242.74.0	195.242.75.255	GB
195.242.76.0	195.242.77.255	RS
195.242.78.0	195.242.79.255	RO
195.242.80.0	195.242.81.255	UA
195.242.82.0	195.242.83.255	RU
195.242.84.0	195.242.85.255	CH
195.242.86.0	195.242.87.255	GB
195.242.88.0	195.242.89.255	RO
195.242.90.0	195.242.93.255	PL
195.242.94.0	195.242.95.255	UA
195.242.96.0	195.242.99.255	NL
195.242.100.0	195.242.101.255	PL
195.242.102.0	195.242.105.255	DE
195.242.106.0	195.242.107.255	BG
195.242.108.0	195.242.109.255	PL
195.242.110.0	195.242.111.255	DE
195.242.112.0	195.242.115.255	UA
195.242.116.0	195.242.117.255	PL
195.242.118.0	195.242.119.255	IL
195.242.120.0	195.242.121.255	DK
195.242.122.0	195.242.123.255	GB
195.242.124.0	195.242.125.255	PL
195.242.126.0	195.242.127.255	BG
195.242.130.0	195.242.131.255	DK
195.242.132.0	195.242.133.255	SE
195.242.134.0	195.242.135.255	PL
195.242.136.0	195.242.137.255	ES
195.242.138.0	195.242.139.255	FR
195.242.140.0	195.242.141.255	CH
195.242.142.0	195.242.145.255	RU
195.242.146.0	195.242.147.255	SE
195.242.148.0	195.242.151.255	UA
195.242.152.0	195.242.153.255	NL
195.242.154.0	195.242.157.255	GB
195.242.158.0	195.242.159.255	RO
195.242.160.0	195.242.160.255	NL
195.242.161.0	195.242.161.255	UA
195.242.162.0	195.242.162.255	DE
195.242.163.0	195.242.165.255	CH
195.242.166.0	195.242.166.255	AT
195.242.167.0	195.242.167.255	DE
195.242.168.0	195.242.168.255	AT
195.242.169.0	195.242.169.255	ME
195.242.170.0	195.242.170.255	CY
195.242.171.0	195.242.171.255	NL
195.242.172.0	195.242.172.255	BE
195.242.173.0	195.242.173.255	DE
195.242.174.0	195.242.174.255	CH
195.242.175.0	195.242.175.255	AT
195.242.176.0	195.242.176.255	PL
195.242.177.0	195.242.177.255	SA
195.242.178.0	195.242.178.255	BE
195.242.179.0	195.242.179.255	UA
195.242.180.0	195.242.180.255	FR
195.242.181.0	195.242.181.255	IT
195.242.182.0	195.242.182.255	RO
195.242.183.0	195.242.183.255	PL
195.242.184.0	195.242.184.255	AT
195.242.185.0	195.242.185.255	SK
195.242.186.0	195.242.186.255	PL
195.242.187.0	195.242.187.255	NL
195.242.188.0	195.242.188.255	SA
195.242.189.0	195.242.189.255	NO
195.242.190.0	195.242.190.255	DE
195.242.191.0	195.242.191.255	FR
195.242.192.0	195.242.195.255	DK
195.242.196.0	195.242.199.255	SA
195.242.200.0	195.242.203.255	UA
195.242.204.0	195.242.211.255	DE
195.242.212.0	195.242.215.255	GB
195.242.216.0	195.242.219.255	FI
195.242.220.0	195.242.223.255	GB
195.242.224.0	195.242.231.255	DE
195.242.232.0	195.242.235.255	PL
195.242.236.0	195.242.239.255	GB
195.242.240.0	195.242.243.255	BG
195.242.244.0	195.242.247.255	RO
195.242.248.0	195.242.251.255	AT
195.242.252.0	195.242.255.255	PL
195.243.0.0	195.243.66.15	DE
195.243.66.16	195.243.66.23	FR
195.243.66.24	195.243.66.31	US
195.243.66.32	195.243.66.175	DE
195.243.66.176	195.243.66.207	GB
195.243.66.208	195.243.66.223	DE
195.243.66.224	195.243.66.239	GB
195.243.66.240	195.243.74.47	DE
195.243.74.48	195.243.74.55	NL
195.243.74.56	195.243.100.15	DE
195.243.100.16	195.243.100.23	FR
195.243.100.24	195.243.128.239	DE
195.243.128.240	195.243.128.247	CZ
195.243.128.248	195.243.159.231	DE
195.243.159.232	195.243.159.239	US
195.243.159.240	195.243.171.159	DE
195.243.171.160	195.243.171.167	LU
195.243.171.168	195.243.204.215	DE
195.243.204.216	195.243.204.223	IT
195.243.204.224	195.243.229.95	DE
195.243.229.96	195.243.229.103	CZ
195.243.229.104	195.243.236.31	DE
195.243.236.32	195.243.236.47	US
195.243.236.48	195.243.243.71	DE
195.243.243.72	195.243.243.79	CH
195.243.243.80	195.244.3.255	DE
195.244.4.0	195.244.5.255	UA
195.244.6.0	195.244.7.255	SE
195.244.8.0	195.244.9.255	UA
195.244.10.0	195.244.11.255	DE
195.244.12.0	195.244.13.255	LT
195.244.14.0	195.244.15.255	RO
195.244.16.0	195.244.17.255	GB
195.244.18.0	195.244.19.255	RO
195.244.20.0	195.244.21.255	FR
195.244.22.0	195.244.23.255	IL
195.244.24.0	195.244.25.255	RU
195.244.26.0	195.244.27.255	PL
195.244.28.0	195.244.29.255	GB
195.244.30.0	195.244.31.255	FR
195.244.32.0	195.244.63.255	TR
195.244.64.0	195.244.65.79	FI
195.244.65.80	195.244.65.111	AX
195.244.65.112	195.244.95.255	FI
195.244.96.0	195.244.120.239	DE
195.244.120.240	195.244.120.255	LI
195.244.121.0	195.244.127.255	DE
195.244.128.0	195.244.159.255	LV
195.244.160.0	195.244.191.255	BE
195.244.192.0	195.244.223.255	GI
195.244.224.0	195.245.65.255	DE
195.245.66.0	195.245.69.255	PL
195.245.70.0	195.245.71.255	IR
195.245.72.0	195.245.73.255	RU
195.245.74.0	195.245.75.255	SE
195.245.76.0	195.245.77.255	RU
195.245.78.0	195.245.79.255	SK
195.245.80.0	195.245.81.255	UA
195.245.82.0	195.245.83.255	RO
195.245.84.0	195.245.85.255	PL
195.245.86.0	195.245.87.255	DE
195.245.88.0	195.245.89.255	RO
195.245.90.0	195.245.91.255	IE
195.245.92.0	195.245.93.255	AT
195.245.94.0	195.245.95.255	PL
195.245.96.0	195.245.97.255	UA
195.245.98.0	195.245.99.255	DE
195.245.100.0	195.245.101.255	GB
195.245.102.0	195.245.103.255	RU
195.245.104.0	195.245.105.255	DE
195.245.106.0	195.245.107.255	SI
195.245.108.0	195.245.109.255	A2
195.245.110.0	195.245.111.255	FI
195.245.112.0	195.245.113.255	UA
195.245.114.0	195.245.115.255	BE
195.245.116.0	195.245.117.255	IT
195.245.118.0	195.245.121.255	UA
195.245.122.0	195.245.123.255	NL
195.245.124.0	195.245.127.255	EU
195.245.128.0	195.245.191.255	PT
195.245.192.0	195.245.192.255	DE
195.245.193.0	195.245.193.255	DK
195.245.194.0	195.245.194.255	LV
195.245.195.0	195.245.195.255	GB
195.245.196.0	195.245.196.255	ES
195.245.197.0	195.245.197.255	PT
195.245.198.0	195.245.198.255	PL
195.245.199.0	195.245.199.255	NL
195.245.200.0	195.245.200.255	UA
195.245.201.0	195.245.201.255	GB
195.245.202.0	195.245.202.255	NO
195.245.203.0	195.245.204.255	PL
195.245.205.0	195.245.205.255	AT
195.245.206.0	195.245.206.255	RU
195.245.207.0	195.245.207.255	DK
195.245.208.0	195.245.208.255	SI
195.245.209.0	195.245.209.255	CZ
195.245.210.0	195.245.210.255	DK
195.245.211.0	195.245.211.255	RU
195.245.212.0	195.245.212.255	ES
195.245.213.0	195.245.213.255	PL
195.245.214.0	195.245.214.255	RO
195.245.215.0	195.245.215.255	UA
195.245.216.0	195.245.216.255	SI
195.245.217.0	195.245.217.255	PL
195.245.218.0	195.245.218.255	LI
195.245.219.0	195.245.219.255	IE
195.245.220.0	195.245.220.255	RO
195.245.221.0	195.245.221.255	UA
195.245.222.0	195.245.222.255	PL
195.245.223.0	195.245.223.255	US
195.245.224.0	195.245.224.255	PL
195.245.225.0	195.245.225.255	AT
195.245.226.0	195.245.226.255	PL
195.245.227.0	195.245.227.255	TR
195.245.228.0	195.245.228.255	CH
195.245.229.0	195.245.229.255	LT
195.245.230.0	195.245.230.255	DE
195.245.231.0	195.245.231.255	NL
195.245.232.0	195.245.232.255	RU
195.245.233.0	195.245.233.255	SK
195.245.234.0	195.245.234.255	PT
195.245.235.0	195.245.235.255	GB
195.245.236.0	195.245.236.255	NL
195.245.237.0	195.245.237.255	CH
195.245.238.0	195.245.238.255	DE
195.245.239.0	195.245.239.255	RO
195.245.240.0	195.245.240.255	SE
195.245.241.0	195.245.241.255	GB
195.245.242.0	195.245.242.255	SE
195.245.243.0	195.245.243.255	DE
195.245.244.0	195.245.244.255	BE
195.245.245.0	195.245.245.255	DE
195.245.246.0	195.245.246.255	RU
195.245.247.0	195.245.247.255	GB
195.245.248.0	195.245.248.255	ES
195.245.249.0	195.245.249.255	RU
195.245.250.0	195.245.250.255	SI
195.245.251.0	195.245.251.255	RO
195.245.252.0	195.245.252.255	GB
195.245.253.0	195.245.253.255	UA
195.245.254.0	195.245.254.255	DE
195.245.255.0	195.245.255.255	HR
195.246.0.0	195.246.31.255	SI
195.246.32.0	195.246.63.255	EG
195.246.64.0	195.246.95.255	CH
195.246.96.0	195.246.97.255	CZ
195.246.98.0	195.246.99.255	NL
195.246.100.0	195.246.101.255	LU
195.246.102.0	195.246.103.255	RU
195.246.104.0	195.246.105.255	SA
195.246.106.0	195.246.107.255	RU
195.246.108.0	195.246.109.255	GB
195.246.110.0	195.246.111.255	FR
195.246.112.0	195.246.113.255	BE
195.246.114.0	195.246.115.255	NL
195.246.116.0	195.246.117.255	EU
195.246.118.0	195.246.119.255	RU
195.246.120.0	195.246.121.255	SE
195.246.122.0	195.246.123.255	RU
195.246.124.0	195.246.125.255	UA
195.246.126.0	195.246.127.255	PL
195.246.128.0	195.246.128.239	GB
195.246.128.240	195.246.128.255	FR
195.246.129.0	195.246.131.0	GB
195.246.131.1	195.246.132.255	FR
195.246.133.0	195.246.134.159	GB
195.246.134.160	195.246.134.191	FR
195.246.134.192	195.246.134.255	GB
195.246.135.0	195.246.135.31	FR
195.246.135.32	195.246.135.55	GB
195.246.135.56	195.246.135.62	FR
195.246.135.63	195.246.135.63	GB
195.246.135.64	195.246.135.67	FR
195.246.135.68	195.246.135.75	GB
195.246.135.76	195.246.135.79	FR
195.246.135.80	195.246.135.87	GB
195.246.135.88	195.246.135.131	FR
195.246.135.132	195.246.135.175	GB
195.246.135.176	195.246.135.191	FR
195.246.135.192	195.246.135.239	GB
195.246.135.240	195.246.135.255	FR
195.246.136.0	195.246.136.255	GB
195.246.137.0	195.246.140.255	FR
195.246.141.0	195.246.141.255	GB
195.246.142.0	195.246.143.255	FR
195.246.144.0	195.246.145.31	GB
195.246.145.32	195.246.145.47	FR
195.246.145.48	195.246.150.255	GB
195.246.151.0	195.246.151.255	FR
195.246.152.0	195.246.155.63	GB
195.246.155.64	195.246.155.75	FR
195.246.155.76	195.246.155.79	GB
195.246.155.80	195.246.159.255	FR
195.246.160.0	195.246.191.255	DE
195.246.192.0	195.246.196.255	IT
195.246.197.0	195.246.197.255	SE
195.246.198.0	195.246.198.255	DK
195.246.199.0	195.246.199.255	HU
195.246.200.0	195.246.200.255	PL
195.246.201.0	195.246.201.255	GB
195.246.202.0	195.246.207.255	DE
195.246.208.0	195.246.215.255	IT
195.246.216.0	195.246.216.255	PL
195.246.217.0	195.246.217.255	UA
195.246.218.0	195.246.218.255	RU
195.246.219.0	195.246.219.255	SE
195.246.220.0	195.246.223.255	IT
195.246.224.0	195.246.225.255	PL
195.246.226.0	195.246.227.255	LV
195.246.228.0	195.246.229.255	GB
195.246.230.0	195.246.231.255	FR
195.246.232.0	195.246.233.255	GB
195.246.234.0	195.246.235.255	DE
195.246.236.0	195.246.237.255	NL
195.246.238.0	195.246.239.255	PT
195.246.240.0	195.246.241.255	BG
195.246.242.0	195.246.243.255	RO
195.246.244.0	195.246.245.255	CH
195.246.246.0	195.246.247.255	RO
195.246.248.0	195.246.249.255	RU
195.246.250.0	195.246.251.255	RO
195.246.252.0	195.246.253.255	LV
195.246.254.0	195.246.255.255	FR
195.247.0.0	195.247.255.255	DE
195.248.0.0	195.248.25.47	FR
195.248.25.48	195.248.25.63	A2
195.248.25.64	195.248.31.255	FR
195.248.32.0	195.248.63.255	AT
195.248.64.0	195.248.64.255	LV
195.248.65.0	195.248.65.255	RO
195.248.66.0	195.248.66.255	RU
195.248.67.0	195.248.67.255	DE
195.248.68.0	195.248.68.255	SI
195.248.69.0	195.248.69.255	RU
195.248.70.0	195.248.70.255	GB
195.248.71.0	195.248.71.255	DE
195.248.72.0	195.248.72.255	PL
195.248.73.0	195.248.73.255	AT
195.248.74.0	195.248.74.255	DE
195.248.75.0	195.248.75.255	GB
195.248.76.0	195.248.76.255	RO
195.248.77.0	195.248.77.255	NL
195.248.78.0	195.248.78.255	NO
195.248.79.0	195.248.79.255	RO
195.248.80.0	195.248.80.255	IE
195.248.81.0	195.248.81.255	GB
195.248.82.0	195.248.82.255	RU
195.248.83.0	195.248.83.255	CH
195.248.84.0	195.248.84.255	RO
195.248.85.0	195.248.85.255	AT
195.248.86.0	195.248.86.255	FI
195.248.87.0	195.248.87.255	NL
195.248.88.0	195.248.88.255	PL
195.248.89.0	195.248.89.255	DE
195.248.90.0	195.248.90.255	GB
195.248.91.0	195.248.92.255	CH
195.248.93.0	195.248.93.255	UA
195.248.94.0	195.248.94.255	RU
195.248.95.0	195.248.95.255	HU
195.248.96.0	195.248.127.255	GB
195.248.128.0	195.248.159.255	DE
195.248.160.0	195.248.191.255	UA
195.248.192.0	195.248.192.255	GB
195.248.193.0	195.248.193.255	FK
195.248.194.0	195.248.194.255	EU
195.248.195.0	195.248.196.255	GB
195.248.197.0	195.248.199.255	EU
195.248.200.0	195.248.202.255	GB
195.248.203.0	195.248.209.255	EU
195.248.210.0	195.248.210.255	GB
195.248.211.0	195.248.220.15	EU
195.248.220.16	195.248.220.71	GB
195.248.220.72	195.248.220.127	EU
195.248.220.128	195.248.220.223	GB
195.248.220.224	195.248.220.239	EU
195.248.220.240	195.248.220.255	GB
195.248.221.0	195.248.223.255	EU
195.248.224.0	195.248.225.255	UA
195.248.226.0	195.248.227.255	PL
195.248.228.0	195.248.229.255	RO
195.248.230.0	195.248.231.255	ES
195.248.232.0	195.248.233.255	RU
195.248.234.0	195.248.235.255	UA
195.248.236.0	195.248.237.255	RU
195.248.238.0	195.248.239.255	NL
195.248.240.0	195.248.241.255	PL
195.248.242.0	195.248.243.255	RU
195.248.244.0	195.248.245.255	GB
195.248.246.0	195.248.247.255	PL
195.248.248.0	195.248.249.255	RU
195.248.250.0	195.248.251.255	FR
195.248.252.0	195.248.253.255	DE
195.248.254.0	195.248.255.255	PL
195.249.0.0	195.249.255.255	DK
195.250.0.0	195.250.31.255	IT
195.250.32.0	195.250.32.255	AT
195.250.33.0	195.250.33.255	IL
195.250.34.0	195.250.34.255	IT
195.250.35.0	195.250.35.255	DE
195.250.36.0	195.250.36.255	UA
195.250.37.0	195.250.37.255	PL
195.250.38.0	195.250.38.255	DE
195.250.39.0	195.250.39.255	HU
195.250.40.0	195.250.40.255	FR
195.250.41.0	195.250.41.255	CH
195.250.42.0	195.250.42.255	RU
195.250.43.0	195.250.43.255	UA
195.250.44.0	195.250.46.255	CH
195.250.47.0	195.250.47.255	IL
195.250.48.0	195.250.48.255	DE
195.250.49.0	195.250.49.255	GB
195.250.50.0	195.250.50.255	DE
195.250.51.0	195.250.51.255	RU
195.250.52.0	195.250.52.255	CH
195.250.53.0	195.250.53.255	RO
195.250.54.0	195.250.54.255	PL
195.250.55.0	195.250.56.255	RU
195.250.57.0	195.250.57.255	DE
195.250.58.0	195.250.58.255	SI
195.250.59.0	195.250.59.255	RO
195.250.60.0	195.250.60.255	FR
195.250.61.0	195.250.61.255	SE
195.250.62.0	195.250.62.255	UA
195.250.63.0	195.250.63.255	GB
195.250.64.0	195.250.95.255	AM
195.250.96.0	195.250.127.255	RS
195.250.128.0	195.250.159.255	CZ
195.250.160.0	195.250.191.255	EE
195.250.192.0	195.250.223.255	SI
195.250.224.0	195.250.255.255	IT
195.251.0.0	195.251.255.255	GR
195.252.0.0	195.252.63.255	SE
195.252.64.0	195.252.118.143	RS
195.252.118.144	195.252.118.151	DK
195.252.118.152	195.252.127.255	RS
195.252.128.0	195.253.22.255	DE
195.253.23.0	195.253.23.255	CH
195.253.24.0	195.253.30.255	DE
195.253.31.0	195.253.32.255	CH
195.253.33.0	195.253.47.255	DE
195.253.48.0	195.253.53.255	NL
195.253.54.0	195.254.127.255	DE
195.254.128.0	195.254.129.255	LI
195.254.130.0	195.254.131.255	FR
195.254.132.0	195.254.137.255	RO
195.254.138.0	195.254.139.255	PL
195.254.140.0	195.254.141.255	RO
195.254.142.0	195.254.143.255	UA
195.254.144.0	195.254.145.255	CH
195.254.146.0	195.254.147.255	FR
195.254.148.0	195.254.149.255	ES
195.254.150.0	195.254.151.255	UA
195.254.152.0	195.254.153.255	RO
195.254.154.0	195.254.155.255	FR
195.254.156.0	195.254.157.255	PL
195.254.158.0	195.254.161.255	FR
195.254.162.0	195.254.163.255	DE
195.254.164.0	195.254.165.255	GB
195.254.166.0	195.254.167.255	RO
195.254.168.0	195.254.169.255	DK
195.254.170.0	195.254.171.255	KW
195.254.172.0	195.254.173.255	NO
195.254.174.0	195.254.177.255	PL
195.254.178.0	195.254.181.255	GB
195.254.182.0	195.254.183.255	RO
195.254.184.0	195.254.185.255	PL
195.254.186.0	195.254.189.255	RU
195.254.190.0	195.254.191.255	AT
195.254.192.0	195.254.223.255	NO
195.254.224.0	195.254.255.255	IT
195.255.0.0	195.255.255.255	FI
196.0.0.0	196.0.255.255	UG
196.1.0.0	196.1.0.255	MU
196.1.1.0	196.1.1.255	IN
196.1.2.0	196.1.2.255	PR
196.1.3.0	196.1.3.255	SA
196.1.4.0	196.1.4.255	KE
196.1.5.0	196.1.5.255	RU
196.1.6.0	196.1.6.255	SA
196.1.7.0	196.1.7.255	MU
196.1.8.0	196.1.14.255	ZA
196.1.15.0	196.1.15.255	MU
196.1.16.0	196.1.25.255	ZA
196.1.26.0	196.1.27.255	KE
196.1.28.0	196.1.31.255	NA
196.1.32.0	196.1.51.255	ZA
196.1.52.0	196.1.55.255	TZ
196.1.56.0	196.1.63.255	ZA
196.1.64.0	196.1.67.255	SA
196.1.68.0	196.1.68.255	IN
196.1.69.0	196.1.70.255	KW
196.1.71.0	196.1.71.255	ZA
196.1.72.0	196.1.73.255	US
196.1.74.0	196.1.91.255	ZA
196.1.92.0	196.1.100.255	SN
196.1.101.0	196.1.103.255	ZA
196.1.104.0	196.1.106.255	IN
196.1.107.0	196.1.107.255	BM
196.1.108.0	196.1.111.255	IN
196.1.112.0	196.1.112.255	CU
196.1.113.0	196.1.114.255	IN
196.1.115.0	196.1.115.255	ZA
196.1.116.0	196.1.118.255	GH
196.1.119.0	196.1.119.255	EG
196.1.120.0	196.1.127.255	SC
196.1.128.0	196.1.129.255	ZA
196.1.130.0	196.1.133.255	BW
196.1.134.0	196.1.134.255	IN
196.1.135.0	196.1.135.255	CU
196.1.136.0	196.1.136.255	JM
196.1.137.0	196.1.137.255	GH
196.1.138.0	196.1.139.255	JM
196.1.140.0	196.1.140.255	US
196.1.141.0	196.1.141.255	PR
196.1.142.0	196.1.142.255	US
196.1.143.0	196.1.143.255	EG
196.1.144.0	196.1.159.255	ZA
196.1.160.0	196.1.161.15	VC
196.1.161.16	196.1.167.255	BB
196.1.168.0	196.1.168.255	KN
196.1.169.0	196.1.170.255	VC
196.1.171.0	196.1.175.255	BB
196.1.176.0	196.1.191.255	NG
196.1.192.0	196.1.255.255	SD
196.2.0.0	196.2.1.255	JM
196.2.2.0	196.2.2.255	ZA
196.2.3.0	196.2.3.255	MU
196.2.4.0	196.2.7.255	SY
196.2.8.0	196.2.15.255	BI
196.2.16.0	196.2.79.255	ZA
196.2.80.0	196.2.95.255	MA
196.2.96.0	196.2.191.255	ZA
196.2.192.0	196.2.255.255	EG
196.3.0.0	196.3.7.255	JM
196.3.8.0	196.3.13.255	PR
196.3.14.0	196.3.15.255	EG
196.3.16.0	196.3.31.255	AN
196.3.32.0	196.3.56.255	US
196.3.57.0	196.3.57.255	ZA
196.3.58.0	196.3.59.255	KE
196.3.60.0	196.3.63.255	NG
196.3.64.0	196.3.64.255	GH
196.3.65.0	196.3.65.255	IN
196.3.66.0	196.3.66.255	SA
196.3.67.0	196.3.71.255	AE
196.3.72.0	196.3.72.255	PK
196.3.73.0	196.3.73.255	GD
196.3.74.0	196.3.89.255	DO
196.3.90.0	196.3.90.255	CM
196.3.91.0	196.3.91.255	IR
196.3.92.0	196.3.93.255	ZA
196.3.94.0	196.3.94.255	NA
196.3.95.0	196.3.95.255	JM
196.3.96.0	196.3.103.255	MZ
196.3.104.0	196.3.104.255	JM
196.3.105.0	196.3.105.255	ZA
196.3.106.0	196.3.106.255	DO
196.3.107.0	196.3.108.255	ZA
196.3.109.0	196.3.109.255	MU
196.3.110.0	196.3.131.255	ZA
196.3.132.0	196.3.147.255	TT
196.3.148.0	196.3.151.255	ZA
196.3.152.0	196.3.152.255	CU
196.3.153.0	196.3.153.255	JM
196.3.154.0	196.3.179.255	ZA
196.3.180.0	196.3.183.255	NG
196.3.184.0	196.3.191.255	JM
196.3.192.0	196.3.223.255	BB
196.3.224.0	196.4.45.255	ZA
196.4.46.0	196.4.70.255	US
196.4.71.0	196.4.79.255	ZA
196.4.80.0	196.4.80.255	ZW
196.4.81.0	196.4.254.255	ZA
196.4.255.0	196.4.255.255	LS
196.5.0.0	196.11.58.255	ZA
196.11.59.0	196.11.59.255	ZW
196.11.60.0	196.11.60.255	NA
196.11.61.0	196.11.123.255	ZA
196.11.124.0	196.11.124.255	SZ
196.11.125.0	196.11.255.255	ZA
196.12.0.0	196.12.9.255	PR
196.12.10.0	196.12.10.255	NA
196.12.11.0	196.12.11.255	EG
196.12.12.0	196.12.15.255	ZM
196.12.16.0	196.12.31.255	ZA
196.12.32.0	196.12.63.255	IN
196.12.64.0	196.12.127.255	BM
196.12.128.0	196.12.159.255	RW
196.12.160.0	196.12.190.223	PR
196.12.190.224	196.12.190.255	US
196.12.191.0	196.12.191.255	PR
196.12.192.0	196.12.255.255	MA
196.13.0.0	196.13.167.255	ZA
196.13.168.0	196.13.168.255	SZ
196.13.170.0	196.13.172.255	ZA
196.13.184.0	196.15.10.255	ZA
196.15.11.0	196.15.11.255	NA
196.15.16.0	196.15.31.255	IN
196.15.32.0	196.15.63.255	SA
196.15.64.0	196.15.231.255	ZA
196.15.232.0	196.15.239.255	SZ
196.15.240.0	196.19.255.255	ZA
196.20.0.0	196.20.31.255	NA
196.20.32.0	196.20.63.255	EG
196.20.64.0	196.20.127.255	DZ
196.20.128.0	196.20.255.255	MU
196.21.0.0	196.22.4.255	ZA
196.22.5.0	196.22.5.255	EG
196.22.6.0	196.22.6.255	NG
196.22.7.0	196.22.7.255	EG
196.22.8.0	196.22.11.255	CD
196.22.12.0	196.22.15.255	GW
196.22.16.0	196.22.47.255	ZA
196.22.48.0	196.22.63.255	MZ
196.22.64.0	196.22.79.255	ZA
196.22.80.0	196.22.80.255	SZ
196.22.81.0	196.22.129.255	ZA
196.22.130.0	196.22.130.255	EG
196.22.131.0	196.22.131.255	KE
196.22.132.0	196.22.143.255	ZA
196.22.144.0	196.22.159.255	MU
196.22.160.0	196.23.255.255	ZA
196.24.0.0	196.24.3.255	LS
196.24.4.0	196.24.63.255	ZA
196.24.64.0	196.24.67.255	SZ
196.24.68.0	196.26.255.255	ZA
196.27.0.0	196.27.1.255	JO
196.27.2.0	196.27.3.255	EG
196.27.4.0	196.27.11.255	VE
196.27.12.0	196.27.12.255	CL
196.27.13.0	196.27.13.15	CA
196.27.13.16	196.27.13.31	US
196.27.13.32	196.27.13.95	CA
196.27.13.96	196.27.13.127	US
196.27.13.128	196.27.13.175	CA
196.27.13.176	196.27.13.207	US
196.27.13.208	196.27.13.223	CA
196.27.13.224	196.27.13.239	US
196.27.13.240	196.27.13.247	CA
196.27.13.248	196.27.13.255	US
196.27.14.0	196.27.14.255	CA
196.27.15.0	196.27.17.255	US
196.27.18.0	196.27.18.255	CA
196.27.19.0	196.27.19.255	US
196.27.20.0	196.27.20.255	GH
196.27.21.0	196.27.21.255	MU
196.27.22.0	196.27.22.255	ET
196.27.23.0	196.27.24.255	PR
196.27.25.0	196.27.25.255	US
196.27.26.0	196.27.26.255	ES
196.27.27.0	196.27.27.255	DO
196.27.28.0	196.27.29.255	US
196.27.30.0	196.27.30.255	MX
196.27.31.0	196.27.31.255	US
196.27.32.0	196.27.32.143	CA
196.27.32.144	196.27.47.255	US
196.27.48.0	196.27.56.255	PE
196.27.57.0	196.27.63.255	US
196.27.64.0	196.27.95.255	MU
196.27.96.0	196.27.127.255	ZW
196.28.0.0	196.28.6.255	ZA
196.28.7.0	196.28.7.255	SZ
196.28.8.0	196.28.8.255	ZA
196.28.10.0	196.28.10.255	NG
196.28.11.0	196.28.11.255	KE
196.28.12.0	196.28.47.255	ZA
196.28.48.0	196.28.63.255	PR
196.28.64.0	196.28.223.255	ZA
196.28.224.0	196.28.239.255	MZ
196.28.240.0	196.28.255.255	BF
196.29.0.0	196.29.31.255	ZA
196.29.32.0	196.29.39.255	ZW
196.29.40.0	196.29.43.255	DZ
196.29.48.0	196.29.55.255	TZ
196.29.64.0	196.29.95.255	TT
196.29.96.0	196.29.127.255	GH
196.29.128.0	196.29.159.255	ZA
196.29.160.0	196.29.191.255	SD
196.29.192.0	196.29.207.255	AO
196.29.208.0	196.29.223.255	NG
196.29.224.0	196.29.239.255	GH
196.29.240.0	196.31.255.255	ZA
196.32.0.0	196.32.7.255	JM
196.32.32.0	196.32.63.255	TT
196.32.64.0	196.32.95.255	AR
196.32.96.0	196.32.111.255	MZ
196.32.112.0	196.32.127.255	ML
196.32.128.0	196.32.143.255	PR
196.32.144.0	196.32.144.255	DO
196.32.145.0	196.32.156.63	PR
196.32.156.64	196.32.156.127	DO
196.32.156.128	196.32.159.255	PR
196.32.160.0	196.32.191.255	ZA
196.32.192.0	196.32.199.255	AO
196.32.200.0	196.32.207.255	CF
196.32.208.0	196.32.215.255	ZA
196.32.216.0	196.32.223.255	SC
196.32.224.0	196.32.225.255	NG
196.32.226.0	196.32.227.255	KE
196.32.228.0	196.32.229.255	EG
196.33.0.0	196.39.255.255	ZA
196.40.0.0	196.40.95.255	CR
196.40.96.0	196.40.111.255	ZA
196.41.0.0	196.41.31.255	ZA
196.41.32.0	196.41.46.255	TZ
196.41.47.0	196.41.47.255	KE
196.41.48.0	196.41.63.255	TZ
196.41.64.0	196.41.223.255	ZA
196.41.224.0	196.41.255.255	DZ
196.42.0.0	196.42.63.255	PR
196.43.0.0	196.43.63.255	ZA
196.43.64.0	196.43.95.255	TZ
196.43.96.0	196.43.127.255	ZW
196.43.128.0	196.43.191.255	UG
196.44.0.0	196.44.47.255	ZA
196.44.48.0	196.44.63.255	GH
196.44.64.0	196.44.95.255	ZA
196.44.96.0	196.44.127.255	GH
196.44.128.0	196.44.159.255	NA
196.44.160.0	196.44.175.255	TZ
196.44.176.0	196.44.191.255	ZW
196.44.192.0	196.44.239.255	ZA
196.44.240.0	196.44.255.255	RW
196.45.0.0	196.45.15.255	NA
196.45.16.0	196.45.31.255	ZA
196.45.32.0	196.45.38.191	TZ
196.45.38.192	196.45.38.255	NG
196.45.39.0	196.45.40.255	TZ
196.45.41.0	196.45.41.127	KE
196.45.41.128	196.45.47.255	TZ
196.45.48.0	196.45.63.255	NG
196.45.64.0	196.45.127.255	ZA
196.45.128.0	196.45.159.255	TZ
196.45.160.0	196.45.163.255	AO
196.45.164.0	196.45.167.255	BW
196.45.168.0	196.45.183.255	ZA
196.45.184.0	196.45.187.255	TZ
196.45.188.0	196.45.191.255	MW
196.45.192.0	196.45.255.255	NG
196.46.0.0	196.46.15.255	MZ
196.46.16.0	196.46.16.255	KE
196.46.17.0	196.46.17.255	EG
196.46.18.0	196.46.19.255	ZM
196.46.20.0	196.46.20.255	NG
196.46.21.0	196.46.21.255	AO
196.46.22.0	196.46.22.255	EG
196.46.23.0	196.46.23.255	ZA
196.46.24.0	196.46.24.255	EG
196.46.25.0	196.46.25.255	ZA
196.46.26.0	196.46.26.255	EG
196.46.27.0	196.46.27.255	NG
196.46.28.0	196.46.28.255	NA
196.46.29.0	196.46.29.255	EG
196.46.30.0	196.46.31.255	ZA
196.46.32.0	196.46.63.255	MU
196.46.64.0	196.46.71.255	ZA
196.46.72.0	196.46.79.255	AO
196.46.80.0	196.46.95.255	GH
196.46.96.0	196.46.111.255	TZ
196.46.112.0	196.46.119.255	ZA
196.46.120.0	196.46.123.255	TZ
196.46.124.0	196.46.127.255	ZM
196.46.128.0	196.46.135.255	TZ
196.46.136.0	196.46.143.255	ZA
196.46.144.0	196.46.147.255	NG
196.46.148.0	196.46.151.255	SC
196.46.152.0	196.46.155.255	BJ
196.46.156.0	196.46.159.255	GA
196.46.160.0	196.46.187.255	ZA
196.46.188.0	196.46.191.255	EG
196.46.192.0	196.46.223.255	ZM
196.46.224.0	196.46.231.255	ZA
196.46.232.0	196.46.239.255	GM
196.46.240.0	196.46.247.255	NG
196.46.248.0	196.46.255.255	DZ
196.47.0.0	196.47.65.255	ZA
196.47.66.0	196.47.66.127	NA
196.47.66.128	196.47.68.255	ZA
196.47.69.0	196.47.69.255	NA
196.47.70.0	196.47.73.255	ZA
196.47.74.0	196.47.74.255	NA
196.47.75.0	196.47.81.255	ZA
196.47.82.0	196.47.85.255	NA
196.47.86.0	196.47.89.255	ZA
196.47.90.0	196.47.90.255	NA
196.47.91.0	196.47.95.255	ZA
196.47.128.0	196.47.191.255	CI
196.192.0.0	196.192.15.255	MU
196.192.32.0	196.192.47.255	MG
196.192.64.0	196.192.127.255	MU
196.200.0.0	196.200.15.255	NG
196.200.16.0	196.200.47.255	KE
196.200.48.0	196.200.63.255	ML
196.200.64.0	196.200.79.255	NG
196.200.80.0	196.200.95.255	ML
196.200.96.0	196.200.111.255	ER
196.200.112.0	196.200.127.255	NG
196.200.128.0	196.200.191.255	MA
196.200.192.0	196.200.207.255	DZ
196.200.208.0	196.200.223.255	NG
196.200.224.0	196.200.255.255	GH
196.201.1.0	196.201.1.255	US
196.201.2.0	196.201.2.255	GH
196.201.3.0	196.201.3.255	EG
196.201.4.0	196.201.5.255	MW
196.201.6.0	196.201.7.255	ZA
196.201.12.0	196.201.15.255	MW
196.201.16.0	196.201.23.255	ZW
196.201.24.0	196.201.31.255	EG
196.201.32.0	196.201.63.255	GH
196.201.64.0	196.201.95.255	CI
196.201.128.0	196.201.159.255	KE
196.201.160.0	196.201.191.255	GH
196.201.192.0	196.201.207.255	DJ
196.201.208.0	196.201.231.255	KE
196.201.240.0	196.201.247.255	EG
196.201.248.0	196.201.255.255	KE
196.202.0.0	196.202.127.255	EG
196.202.128.0	196.202.159.255	SD
196.202.160.0	196.202.191.255	NG
196.202.192.0	196.202.223.255	KE
196.202.224.0	196.202.231.255	NG
196.202.232.0	196.202.239.255	CM
196.202.240.0	196.202.247.255	LS
196.202.248.0	196.202.251.255	ZA
196.202.252.0	196.202.255.255	AO
196.203.0.0	196.203.255.255	TN
196.204.0.0	196.205.255.255	EG
196.206.0.0	196.206.255.255	MA
196.207.0.0	196.207.9.71	NG
196.207.9.72	196.207.9.79	CM
196.207.9.80	196.207.15.255	NG
196.207.16.0	196.207.31.255	KE
196.207.32.0	196.207.47.255	ZA
196.207.48.0	196.207.63.255	MU
196.207.128.0	196.207.191.255	NG
196.207.192.0	196.207.255.255	SN
196.208.0.0	196.215.255.255	ZA
196.216.1.0	196.216.1.255	US
196.216.2.0	196.216.7.255	MU
196.216.8.0	196.216.15.255	MW
196.216.16.0	196.216.23.255	ZA
196.216.32.0	196.216.63.255	NA
196.216.64.0	196.216.95.255	KE
196.216.128.0	196.216.135.255	KE
196.216.136.0	196.216.139.255	AO
196.216.140.0	196.216.143.255	EG
196.216.144.0	196.216.151.255	NG
196.216.152.0	196.216.155.255	ZA
196.216.156.0	196.216.159.255	TN
196.216.160.0	196.216.160.255	CF
196.216.161.0	196.216.161.255	AO
196.216.162.0	196.216.162.255	TZ
196.216.163.0	196.216.163.255	BW
196.216.164.0	196.216.167.255	NA
196.216.168.0	196.216.169.255	MU
196.216.170.0	196.216.170.255	ZA
196.216.171.0	196.216.171.255	MU
196.216.172.0	196.216.175.255	ZA
196.216.176.0	196.216.179.255	UG
196.216.180.0	196.216.183.255	GH
196.216.184.0	196.216.187.255	NG
196.216.244.0	196.216.244.255	TZ
196.216.245.0	196.216.245.255	KE
196.216.246.0	196.216.246.255	EG
196.216.247.0	196.216.247.255	TZ
196.216.248.0	196.216.249.255	AO
196.216.250.0	196.216.250.255	ZA
196.216.251.0	196.216.251.255	NG
196.216.252.0	196.216.252.255	EG
196.216.253.0	196.216.253.255	NG
196.216.254.0	196.216.254.255	MU
196.216.255.0	196.216.255.255	NG
196.217.0.0	196.217.255.255	MA
196.218.0.0	196.218.247.255	EG
196.218.248.0	196.218.255.255	JO
196.219.0.0	196.219.255.255	EG
196.220.0.0	196.220.3.7	NG
196.220.3.8	196.220.3.15	MA
196.220.3.16	196.220.4.79	NG
196.220.4.80	196.220.4.83	CM
196.220.4.84	196.220.5.71	NG
196.220.5.72	196.220.5.79	GH
196.220.5.80	196.220.31.255	NG
196.220.32.0	196.220.63.255	ZA
196.221.0.0	196.221.255.255	EG
196.222.0.0	196.222.255.255	MA
196.223.0.0	196.223.0.255	MU
196.223.1.0	196.223.1.255	AO
196.223.2.0	196.223.2.255	ZM
196.223.3.0	196.223.3.255	BI
196.223.4.0	196.223.4.255	CI
196.223.5.0	196.223.6.255	TZ
196.223.7.0	196.223.7.255	EG
196.223.8.0	196.223.9.255	ZA
196.223.10.0	196.223.10.255	SL
196.223.11.0	196.223.11.255	KE
196.223.12.0	196.223.12.255	RW
196.223.13.0	196.223.13.255	AO
196.223.14.0	196.223.15.255	ZA
196.223.16.0	196.223.17.255	EG
196.223.18.0	196.223.18.255	NA
196.223.19.0	196.223.19.255	AO
197.0.0.0	197.31.255.255	TN
197.160.0.0	197.167.255.255	EG
197.192.0.0	197.199.255.255	EG
197.200.0.0	197.207.255.255	DZ
197.224.0.0	197.227.255.255	MU
197.228.0.0	197.231.255.255	ZA
197.255.248.0	197.255.255.255	MU
198.1.0.0	198.1.63.255	US
198.2.0.0	198.2.15.255	US
198.2.16.0	198.2.31.255	CL
198.3.0.0	198.4.64.255	US
198.4.65.0	198.4.65.255	GB
198.4.66.0	198.4.199.255	US
198.4.200.0	198.4.203.255	GB
198.4.204.0	198.5.134.223	US
198.5.134.224	198.5.134.255	IL
198.5.135.0	198.5.136.71	US
198.5.136.72	198.5.136.79	IL
198.5.136.80	198.5.149.127	US
198.5.149.128	198.5.149.191	CA
198.5.149.192	198.6.224.255	US
198.6.225.0	198.6.225.255	GB
198.6.226.0	198.10.255.255	US
198.11.0.0	198.11.3.255	SA
198.11.4.0	198.11.7.255	US
198.11.16.0	198.11.127.255	US
198.12.0.0	198.12.31.255	US
198.12.32.0	198.12.63.255	BR
198.13.0.0	198.13.127.255	US
198.14.0.0	198.15.15.255	US
198.15.16.0	198.15.63.255	AU
198.16.0.0	198.16.31.255	US
198.17.1.0	198.17.1.255	JP
198.17.2.0	198.17.2.255	US
198.17.5.0	198.17.6.255	US
198.17.7.0	198.17.7.255	CN
198.17.8.0	198.17.41.255	US
198.17.43.0	198.17.43.255	CA
198.17.44.0	198.17.57.255	US
198.17.58.0	198.17.58.255	CA
198.17.59.0	198.17.59.255	US
198.17.62.0	198.17.69.255	US
198.17.70.0	198.17.70.255	SG
198.17.71.0	198.17.76.255	US
198.17.77.0	198.17.77.255	GB
198.17.78.0	198.17.105.255	US
198.17.106.0	198.17.106.255	AU
198.17.107.0	198.17.109.255	US
198.17.112.0	198.17.115.255	AU
198.17.116.0	198.17.116.255	US
198.17.117.0	198.17.117.255	IT
198.17.118.0	198.17.118.255	JP
198.17.120.0	198.17.121.255	BR
198.17.122.0	198.17.139.255	US
198.17.140.0	198.17.140.255	CA
198.17.141.0	198.17.179.255	US
198.17.180.0	198.17.182.255	NL
198.17.183.0	198.17.227.255	US
198.17.228.0	198.17.228.255	SG
198.17.229.0	198.17.230.255	US
198.17.231.0	198.17.232.255	BR
198.17.234.0	198.17.239.255	US
198.17.240.0	198.17.241.255	AU
198.17.242.0	198.17.255.255	US
198.20.8.0	198.20.15.255	CA
198.20.16.0	198.20.31.255	US
198.20.32.0	198.20.63.255	CA
198.21.0.0	198.21.127.255	US
198.22.1.0	198.22.1.255	US
198.22.2.0	198.22.4.255	CA
198.22.5.0	198.22.33.255	US
198.22.34.0	198.22.34.255	AU
198.22.35.0	198.22.35.255	TH
198.22.37.0	198.22.37.255	NZ
198.22.38.0	198.22.45.255	US
198.22.47.0	198.22.50.255	AU
198.22.51.0	198.22.51.255	DE
198.22.52.0	198.22.59.255	US
198.22.61.0	198.22.61.255	AU
198.22.62.0	198.22.92.255	US
198.22.93.0	198.22.97.255	DE
198.22.99.0	198.22.101.255	US
198.22.102.0	198.22.102.255	CA
198.22.103.0	198.22.187.255	US
198.22.188.0	198.22.188.255	CA
198.22.189.0	198.22.236.255	US
198.22.237.0	198.22.237.255	CA
198.22.238.0	198.22.249.255	US
198.22.250.0	198.22.251.255	CL
198.22.252.0	198.23.63.255	US
198.24.0.0	198.27.3.255	US
198.27.4.0	198.27.8.255	NZ
198.27.16.0	198.27.63.255	US
198.28.0.0	198.32.255.255	US
198.33.0.0	198.34.255.255	CA
198.35.0.0	198.36.31.255	US
198.36.32.0	198.36.43.255	SA
198.36.44.0	198.36.44.255	US
198.36.45.0	198.36.45.255	SA
198.36.46.0	198.36.46.255	US
198.36.64.0	198.37.255.255	US
198.38.0.0	198.38.3.255	CA
198.38.4.0	198.38.47.255	US
198.38.64.0	198.38.79.255	US
198.38.128.0	198.41.15.255	US
198.41.16.0	198.41.31.255	NZ
198.41.32.0	198.41.47.255	CL
198.41.64.0	198.41.79.255	US
198.42.0.0	198.42.3.255	US
198.42.4.0	198.42.4.255	CA
198.42.5.0	198.42.17.255	US
198.42.18.0	198.42.18.255	CA
198.42.19.0	198.42.21.255	US
198.42.22.0	198.42.22.255	CA
198.42.23.0	198.42.24.255	US
198.42.25.0	198.42.25.255	CA
198.42.26.0	198.42.35.255	US
198.42.36.0	198.42.36.255	CA
198.42.37.0	198.42.46.255	US
198.42.47.0	198.42.47.255	CA
198.42.48.0	198.42.54.255	US
198.42.55.0	198.42.55.255	CA
198.42.56.0	198.42.56.255	US
198.42.57.0	198.42.57.255	CA
198.42.58.0	198.42.72.255	US
198.42.73.0	198.42.73.255	CA
198.42.74.0	198.42.74.255	US
198.42.75.0	198.42.75.255	CA
198.42.76.0	198.42.80.255	US
198.42.81.0	198.42.81.255	CA
198.42.82.0	198.42.82.255	US
198.42.83.0	198.42.83.255	CA
198.42.84.0	198.42.89.255	US
198.42.90.0	198.42.90.255	CA
198.42.91.0	198.42.95.255	US
198.42.96.0	198.42.97.255	CA
198.42.98.0	198.42.105.255	US
198.42.106.0	198.42.106.255	CA
198.42.107.0	198.42.122.255	US
198.42.123.0	198.42.123.255	CA
198.42.124.0	198.42.130.255	US
198.42.131.0	198.42.132.255	CA
198.42.133.0	198.42.136.255	US
198.42.137.0	198.42.138.255	CA
198.42.139.0	198.42.143.255	US
198.42.144.0	198.42.144.255	CA
198.42.145.0	198.42.146.255	US
198.42.147.0	198.42.147.255	CA
198.42.148.0	198.42.148.255	US
198.42.149.0	198.42.150.255	CA
198.42.151.0	198.42.155.255	US
198.42.156.0	198.42.156.255	CA
198.42.157.0	198.42.160.255	US
198.42.161.0	198.42.161.255	CA
198.42.162.0	198.42.169.255	US
198.42.170.0	198.42.170.255	CA
198.42.171.0	198.42.175.255	US
198.42.176.0	198.42.176.255	CA
198.42.177.0	198.42.192.255	US
198.42.193.0	198.42.193.255	CA
198.42.194.0	198.42.201.255	US
198.42.202.0	198.42.202.255	CA
198.42.203.0	198.42.203.255	US
198.42.204.0	198.42.204.255	CA
198.42.205.0	198.42.205.255	US
198.42.206.0	198.42.206.255	CA
198.42.207.0	198.42.207.255	US
198.42.208.0	198.42.209.255	CA
198.42.210.0	198.42.211.255	US
198.42.212.0	198.42.215.255	CA
198.42.216.0	198.42.216.255	US
198.42.217.0	198.42.217.255	CA
198.42.218.0	198.42.223.255	US
198.42.224.0	198.42.225.255	CA
198.42.226.0	198.42.226.255	US
198.42.227.0	198.42.227.255	CA
198.42.228.0	198.42.233.255	US
198.42.234.0	198.42.237.255	CA
198.42.238.0	198.42.244.255	US
198.42.245.0	198.42.245.255	CA
198.42.246.0	198.42.253.255	US
198.42.254.0	198.42.254.255	CA
198.42.255.0	198.47.255.255	US
198.48.0.0	198.48.3.255	NZ
198.48.4.0	198.48.47.255	US
198.48.64.0	198.48.95.255	US
198.49.1.0	198.49.1.255	US
198.49.2.0	198.49.2.255	HK
198.49.3.0	198.49.3.255	NZ
198.49.4.0	198.49.31.255	US
198.49.32.0	198.49.39.255	AU
198.49.40.0	198.49.47.255	US
198.49.80.0	198.49.85.255	US
198.49.87.0	198.49.87.255	AU
198.49.88.0	198.49.111.255	US
198.49.112.0	198.49.113.255	TH
198.49.114.0	198.49.123.255	US
198.49.124.0	198.49.124.255	AU
198.49.125.0	198.49.127.255	US
198.49.128.0	198.49.133.255	BR
198.49.134.0	198.49.134.255	US
198.49.136.0	198.49.137.255	US
198.49.141.0	198.49.141.255	CA
198.49.142.0	198.49.142.255	US
198.49.144.0	198.49.163.255	US
198.49.164.0	198.49.164.255	AR
198.49.165.0	198.49.174.255	US
198.49.175.0	198.49.175.255	CA
198.49.176.0	198.50.15.255	US
198.50.16.0	198.50.23.255	BR
198.50.32.0	198.50.95.255	US
198.51.0.0	198.51.3.255	US
198.51.4.0	198.51.7.255	AU
198.51.8.0	198.51.11.255	US
198.51.12.0	198.51.12.255	SA
198.51.13.0	198.51.70.255	US
198.51.71.0	198.51.71.255	CO
198.51.72.0	198.51.98.255	US
198.51.99.0	198.51.99.255	HK
198.51.101.0	198.51.101.255	ID
198.51.102.0	198.51.103.255	US
198.51.108.0	198.51.111.255	US
198.51.112.0	198.51.117.255	CA
198.51.118.0	198.51.131.255	US
198.51.141.0	198.51.142.255	US
198.51.143.0	198.51.146.255	SY
198.51.147.0	198.51.150.255	US
198.51.151.0	198.51.151.255	CA
198.51.152.0	198.51.155.255	US
198.51.156.0	198.51.156.255	CA
198.51.157.0	198.51.157.255	US
198.51.159.0	198.51.185.255	US
198.51.186.0	198.51.186.255	AU
198.51.187.0	198.51.194.255	US
198.51.195.0	198.51.195.255	NZ
198.51.196.0	198.51.196.255	AU
198.51.197.0	198.51.209.255	US
198.51.210.0	198.51.211.255	AU
198.51.212.0	198.52.31.255	US
198.52.32.0	198.52.42.255	CA
198.52.43.0	198.52.43.255	BB
198.52.44.0	198.52.47.255	CA
198.52.64.0	198.52.95.255	US
198.53.0.0	198.53.255.255	CA
198.54.0.0	198.54.127.255	ZA
198.54.141.0	198.54.141.255	ZA
198.54.142.0	198.54.145.255	NA
198.54.146.0	198.54.255.255	ZA
198.55.0.0	198.55.15.255	US
198.55.16.0	198.55.31.255	PR
198.55.32.0	198.55.47.255	US
198.55.64.0	198.55.95.255	US
198.55.128.0	198.56.15.255	US
198.56.16.0	198.56.31.255	PH
198.56.32.0	198.56.127.255	US
198.57.0.0	198.57.63.255	US
198.57.64.0	198.57.79.255	CA
198.58.0.0	198.58.1.255	JM
198.58.2.0	198.58.7.255	US
198.58.8.0	198.58.15.255	BR
198.58.16.0	198.58.39.255	US
198.58.64.0	198.58.71.255	US
198.59.0.0	198.60.255.255	US
198.61.0.0	198.61.3.255	NZ
198.61.4.0	198.61.7.255	US
198.61.8.0	198.61.15.255	AU
198.61.16.0	198.61.95.255	US
198.62.0.0	198.62.15.255	US
198.62.16.0	198.62.31.255	CA
198.62.32.0	198.62.93.255	US
198.62.94.0	198.62.94.255	CA
198.62.95.0	198.62.111.255	US
198.62.112.0	198.62.112.255	CA
198.62.113.0	198.62.157.255	US
198.62.158.0	198.62.159.255	CA
198.62.160.0	198.62.174.255	US
198.62.175.0	198.62.175.255	CA
198.62.176.0	198.65.159.255	US
198.65.160.0	198.65.160.255	A1
198.65.161.0	198.65.163.255	US
198.65.164.0	198.65.164.127	A1
198.65.164.128	198.65.164.255	US
198.65.165.0	198.65.165.127	A1
198.65.165.128	198.65.166.191	US
198.65.166.192	198.65.166.255	A1
198.65.167.0	198.65.167.191	US
198.65.167.192	198.65.167.223	A1
198.65.167.224	198.68.17.255	US
198.68.18.0	198.68.19.255	EC
198.68.20.0	198.68.176.255	US
198.68.177.0	198.68.177.7	CA
198.68.177.8	198.68.216.127	US
198.68.216.128	198.68.216.143	PR
198.68.216.144	198.68.222.63	US
198.68.222.64	198.68.222.71	PR
198.68.222.72	198.68.239.255	US
198.68.240.0	198.68.247.255	CO
198.68.248.0	198.69.11.255	US
198.69.12.0	198.69.13.255	YE
198.69.14.0	198.69.39.255	US
198.69.40.0	198.69.47.255	PR
198.69.48.0	198.70.0.207	US
198.70.0.208	198.70.0.215	GE
198.70.0.216	198.70.62.79	US
198.70.62.80	198.70.62.95	CA
198.70.62.96	198.70.195.255	US
198.70.196.0	198.70.196.255	CA
198.70.197.0	198.71.127.255	US
198.72.0.0	198.72.127.255	US
198.73.31.0	198.73.37.255	CA
198.73.38.0	198.73.38.255	US
198.73.39.0	198.73.157.255	CA
198.73.158.0	198.73.160.255	US
198.73.161.0	198.73.171.255	CA
198.73.172.0	198.73.175.255	US
198.73.176.0	198.73.219.255	CA
198.73.220.0	198.73.220.255	JP
198.73.221.0	198.73.221.255	CA
198.73.222.0	198.73.239.255	US
198.73.240.0	198.73.252.255	CA
198.73.253.0	198.73.253.255	US
198.73.254.0	198.73.254.255	CA
198.74.0.0	198.77.66.255	US
198.77.67.0	198.77.67.255	AS
198.77.68.0	198.77.73.255	US
198.77.74.0	198.77.75.255	AS
198.77.76.0	198.80.51.255	US
198.80.52.0	198.80.55.255	CA
198.80.56.0	198.80.119.255	US
198.80.120.0	198.80.120.255	GB
198.80.121.0	198.80.121.255	US
198.80.122.0	198.80.123.255	GB
198.80.124.0	198.80.255.255	US
198.81.0.0	198.81.3.255	JP
198.81.4.0	198.81.7.255	US
198.81.8.0	198.81.11.255	BR
198.81.12.0	198.81.232.255	US
198.81.233.0	198.81.233.255	GU
198.81.234.0	198.89.7.255	US
198.89.8.0	198.89.15.255	CA
198.89.16.0	198.89.47.255	US
198.89.64.0	198.89.95.255	US
198.89.128.0	198.93.47.255	US
198.93.48.0	198.93.51.255	AN
198.93.52.0	198.93.175.255	US
198.93.176.0	198.93.183.255	AN
198.93.184.0	198.95.255.255	US
198.96.0.0	198.96.116.255	CA
198.96.117.0	198.96.119.255	AE
198.96.120.0	198.96.134.255	CA
198.96.135.0	198.96.136.255	GB
198.96.137.0	198.96.209.255	CA
198.96.210.0	198.96.210.255	AE
198.96.211.0	198.96.213.255	CA
198.96.214.0	198.96.214.255	US
198.96.216.0	198.96.239.255	CA
198.96.240.0	198.96.245.255	US
198.96.246.0	198.96.255.255	CA
198.97.0.0	198.99.147.255	US
198.99.148.0	198.99.148.255	CH
198.99.149.0	198.99.169.255	US
198.99.170.0	198.99.170.255	CA
198.99.171.0	198.99.172.255	US
198.99.173.0	198.99.173.255	HK
198.99.174.0	198.99.217.255	US
198.99.218.0	198.99.221.255	CA
198.99.222.0	198.99.222.255	CH
198.99.223.0	198.100.127.255	US
198.100.128.0	198.100.135.255	CA
198.101.0.0	198.101.63.255	US
198.102.0.0	198.102.173.255	US
198.102.174.0	198.102.174.255	CA
198.102.175.0	198.102.223.255	US
198.102.224.0	198.102.227.255	CA
198.102.228.0	198.102.255.255	US
198.103.0.0	198.103.255.255	CA
198.104.0.0	198.105.16.255	US
198.105.17.0	198.105.22.255	CA
198.105.23.0	198.105.25.255	US
198.105.32.0	198.105.47.255	US
198.105.64.0	198.105.79.255	US
198.105.128.0	198.112.5.255	US
198.112.6.0	198.112.6.255	JP
198.112.7.0	198.116.24.255	US
198.116.25.0	198.116.25.255	KE
198.116.26.0	198.116.29.255	US
198.116.30.0	198.116.30.255	ES
198.116.31.0	198.133.31.255	US
198.133.32.0	198.133.37.255	CA
198.133.38.0	198.133.46.255	US
198.133.47.0	198.133.47.255	CA
198.133.48.0	198.133.62.255	US
198.133.63.0	198.133.72.255	CA
198.133.73.0	198.133.74.255	US
198.133.76.0	198.133.79.255	US
198.133.80.0	198.133.85.255	GB
198.133.86.0	198.133.139.255	US
198.133.140.0	198.133.140.255	CH
198.133.141.0	198.133.142.255	US
198.133.144.0	198.133.161.255	US
198.133.162.0	198.133.164.255	CA
198.133.165.0	198.133.166.255	US
198.133.168.0	198.133.172.255	US
198.133.174.0	198.133.174.255	CA
198.133.175.0	198.133.205.255	US
198.133.206.0	198.133.206.255	JP
198.133.207.0	198.133.225.255	US
198.133.226.0	198.133.226.255	GB
198.133.227.0	198.133.230.255	US
198.133.231.0	198.133.231.255	CA
198.133.232.0	198.134.170.255	US
198.134.171.0	198.134.171.255	CA
198.134.172.0	198.134.218.255	US
198.134.219.0	198.134.219.255	CA
198.134.220.0	198.135.71.255	US
198.135.72.0	198.135.72.255	CA
198.135.73.0	198.135.73.255	US
198.135.75.0	198.135.106.255	US
198.135.107.0	198.135.107.255	CA
198.135.108.0	198.135.115.255	US
198.135.116.0	198.135.117.255	CA
198.135.118.0	198.135.136.255	US
198.135.137.0	198.135.138.255	CH
198.135.139.0	198.135.166.255	US
198.135.167.0	198.135.167.255	GB
198.135.168.0	198.135.215.255	US
198.135.216.0	198.135.216.255	CA
198.135.217.0	198.137.63.255	US
198.137.64.0	198.137.66.255	NL
198.137.67.0	198.137.68.255	US
198.137.69.0	198.137.69.255	GB
198.137.70.0	198.137.81.127	US
198.137.81.128	198.137.81.191	NL
198.137.81.192	198.137.81.255	US
198.137.82.0	198.137.83.255	AU
198.137.84.0	198.137.84.255	US
198.137.85.0	198.137.85.255	CH
198.137.86.0	198.137.86.255	GB
198.137.87.0	198.137.89.255	JP
198.137.90.0	198.137.91.255	BE
198.137.92.0	198.137.93.255	GB
198.137.94.0	198.137.97.255	US
198.137.98.0	198.137.98.255	FR
198.137.99.0	198.137.102.255	US
198.137.103.0	198.137.103.255	NL
198.137.104.0	198.137.104.255	CA
198.137.105.0	198.137.106.255	GB
198.137.107.0	198.137.107.255	DE
198.137.108.0	198.137.119.255	US
198.137.120.0	198.137.120.255	CA
198.137.121.0	198.137.121.255	DE
198.137.122.0	198.137.123.255	FR
198.137.124.0	198.140.150.255	US
198.140.151.0	198.140.151.255	CA
198.140.152.0	198.141.255.255	US
198.142.0.0	198.142.255.255	AU
198.143.0.0	198.147.159.255	US
198.147.160.0	198.147.160.255	CH
198.147.161.0	198.148.176.255	US
198.148.177.0	198.148.178.255	CH
198.148.179.0	198.148.230.255	US
198.148.231.0	198.148.231.255	CA
198.148.232.0	198.148.238.255	US
198.148.239.0	198.148.239.255	CA
198.148.240.0	198.151.131.255	US
198.151.132.0	198.151.132.255	MX
198.151.133.0	198.160.255.255	US
198.161.0.0	198.161.79.255	CA
198.161.80.0	198.161.80.255	US
198.161.81.0	198.161.82.255	CA
198.161.84.0	198.162.191.255	CA
198.162.208.0	198.162.223.255	CA
198.162.224.0	198.162.225.255	US
198.162.226.0	198.163.73.255	CA
198.163.74.0	198.163.75.255	US
198.163.76.0	198.163.183.255	CA
198.163.184.0	198.163.207.255	US
198.163.208.0	198.165.87.255	CA
198.165.88.0	198.165.95.255	PM
198.165.96.0	198.165.135.255	CA
198.165.136.0	198.165.139.255	PM
198.165.140.0	198.165.163.255	CA
198.165.164.0	198.165.167.255	PM
198.165.168.0	198.168.29.255	CA
198.168.30.0	198.168.41.255	US
198.168.42.0	198.168.191.255	CA
198.168.192.0	198.168.192.255	US
198.168.193.0	198.169.6.255	CA
198.169.7.0	198.169.7.255	US
198.169.8.0	198.169.187.255	CA
198.169.188.0	198.169.189.255	US
198.169.190.0	198.169.255.255	CA
198.170.0.0	198.172.200.255	US
198.172.201.0	198.172.202.255	A1
198.172.203.0	198.172.203.191	US
198.172.203.192	198.172.204.255	A1
198.172.205.0	198.172.205.255	US
198.172.206.0	198.172.207.127	A1
198.172.207.128	198.175.110.255	US
198.175.111.0	198.175.111.255	JP
198.175.112.0	198.176.18.255	US
198.176.19.0	198.176.19.255	GB
198.176.20.0	198.176.25.255	US
198.176.32.0	198.176.47.255	US
198.176.64.0	198.176.222.255	US
198.176.223.0	198.176.227.255	DE
198.176.228.0	198.180.64.255	US
198.180.65.0	198.180.65.255	GB
198.180.66.0	198.180.66.255	US
198.180.67.0	198.180.67.255	CH
198.180.68.0	198.180.79.255	US
198.180.80.0	198.180.94.255	GB
198.180.95.0	198.180.97.255	US
198.180.98.0	198.180.98.255	DE
198.180.99.0	198.180.99.255	IT
198.180.100.0	198.180.101.255	GB
198.180.102.0	198.180.104.255	DE
198.180.105.0	198.180.105.255	CH
198.180.106.0	198.180.106.255	DE
198.180.107.0	198.180.120.255	US
198.180.121.0	198.180.122.255	CA
198.180.123.0	198.180.123.255	GB
198.180.124.0	198.180.124.255	AU
198.180.125.0	198.180.125.255	FR
198.180.126.0	198.180.126.255	SG
198.180.127.0	198.180.127.255	NL
198.180.128.0	198.180.149.255	US
198.180.150.0	198.180.153.255	JP
198.180.154.0	198.182.169.255	US
198.182.170.0	198.182.170.255	BM
198.182.171.0	198.184.160.255	US
198.184.161.0	198.184.161.255	BR
198.184.162.0	198.184.196.255	US
198.184.197.0	198.184.197.255	CA
198.184.198.0	198.186.234.255	US
198.186.235.0	198.186.235.255	BM
198.186.236.0	198.187.170.255	US
198.187.171.0	198.187.171.255	BM
198.187.172.0	198.199.255.255	US
198.200.0.0	198.200.15.255	PH
198.200.16.0	198.200.31.255	US
198.200.128.0	198.203.231.255	US
198.203.233.0	198.203.234.255	US
198.203.235.0	198.203.235.255	CA
198.203.236.0	198.204.70.255	US
198.204.71.0	198.204.72.255	PR
198.204.73.0	198.206.196.255	US
198.206.197.0	198.206.197.255	CH
198.206.198.0	198.206.199.255	US
198.206.200.0	198.206.202.255	CH
198.206.203.0	198.207.15.255	US
198.207.16.0	198.207.23.255	BM
198.207.32.0	198.207.79.255	US
198.207.80.0	198.207.80.255	DE
198.207.81.0	198.207.99.127	US
198.207.99.128	198.207.99.255	IT
198.207.100.0	198.213.50.255	US
198.213.51.0	198.213.51.255	MX
198.213.52.0	198.231.63.255	US
198.231.64.0	198.231.64.255	CA
198.231.65.0	198.231.65.255	US
198.231.66.0	198.231.66.255	CA
198.231.67.0	198.231.67.255	US
198.231.68.0	198.231.71.255	CA
198.231.72.0	198.231.73.255	US
198.231.74.0	198.231.77.255	CA
198.231.78.0	198.231.87.255	US
198.231.88.0	198.231.93.255	CA
198.231.94.0	198.231.94.255	US
198.231.95.0	198.231.95.255	CA
198.231.96.0	198.231.99.255	US
198.231.100.0	198.231.104.255	CA
198.231.105.0	198.231.105.255	US
198.231.106.0	198.231.106.255	CA
198.231.107.0	198.231.107.255	US
198.231.108.0	198.231.127.255	CA
198.231.128.0	198.234.255.255	US
198.235.0.0	198.235.31.255	CA
198.235.32.0	198.235.47.255	US
198.235.48.0	198.235.177.255	CA
198.235.178.0	198.235.179.255	US
198.235.180.0	198.235.255.255	CA
198.236.0.0	198.240.127.255	US
198.240.128.0	198.240.129.255	GB
198.240.130.0	198.240.130.255	US
198.240.131.0	198.240.131.255	HK
198.240.132.0	198.240.132.255	CH
198.240.133.0	198.240.133.255	SG
198.240.134.0	198.240.140.255	CH
198.240.141.0	198.240.141.255	JP
198.240.142.0	198.240.145.255	CH
198.240.146.0	198.240.146.255	AU
198.240.147.0	198.240.255.255	CH
198.241.0.0	198.245.63.255	US
198.245.128.0	198.245.138.255	US
198.245.139.0	198.245.139.255	PR
198.245.140.0	198.245.159.255	US
198.245.160.0	198.245.160.255	BB
198.245.161.0	198.246.228.255	US
198.246.229.0	198.246.230.255	BB
198.246.231.0	198.249.0.255	US
198.249.1.0	198.249.1.255	CA
198.249.2.0	198.249.4.255	US
198.249.5.0	198.249.5.255	CA
198.249.6.0	198.249.14.255	US
198.249.15.0	198.249.15.255	CA
198.249.16.0	198.249.16.255	US
198.249.17.0	198.249.18.255	CA
198.249.19.0	198.249.31.255	US
198.249.32.0	198.249.33.255	CA
198.249.34.0	198.249.35.255	US
198.249.36.0	198.249.36.255	CA
198.249.37.0	198.249.38.255	US
198.249.39.0	198.249.39.255	CA
198.249.40.0	198.249.51.255	US
198.249.52.0	198.249.53.255	CA
198.249.54.0	198.249.60.255	US
198.249.61.0	198.249.62.255	CA
198.249.63.0	198.249.69.255	US
198.249.70.0	198.249.70.255	CA
198.249.71.0	198.249.83.255	US
198.249.84.0	198.249.84.255	CA
198.249.85.0	198.249.87.255	US
198.249.88.0	198.249.88.255	CA
198.249.89.0	198.249.90.255	US
198.249.91.0	198.249.91.255	CA
198.249.92.0	198.249.95.255	US
198.249.96.0	198.249.96.255	CA
198.249.97.0	198.249.102.255	US
198.249.103.0	198.249.103.255	VG
198.249.104.0	198.249.108.255	US
198.249.109.0	198.249.109.255	CA
198.249.110.0	198.249.110.255	US
198.249.111.0	198.249.111.255	CA
198.249.112.0	198.249.114.255	US
198.249.115.0	198.249.115.255	CA
198.249.116.0	198.249.123.255	US
198.249.124.0	198.249.124.255	CA
198.249.125.0	198.249.127.255	US
198.249.128.0	198.249.128.255	CA
198.249.129.0	198.249.133.255	US
198.249.134.0	198.249.135.255	CA
198.249.136.0	198.249.151.255	US
198.249.152.0	198.249.152.255	CA
198.249.153.0	198.249.153.255	US
198.249.154.0	198.249.155.255	CA
198.249.156.0	198.249.156.255	US
198.249.157.0	198.249.157.255	CA
198.249.158.0	198.249.158.255	US
198.249.159.0	198.249.163.255	CA
198.249.164.0	198.249.165.255	US
198.249.166.0	198.249.166.255	CA
198.249.167.0	198.249.169.255	US
198.249.170.0	198.249.173.255	CA
198.249.174.0	198.249.176.255	US
198.249.177.0	198.249.177.255	CA
198.249.178.0	198.249.179.255	US
198.249.180.0	198.249.180.255	CA
198.249.181.0	198.249.182.255	US
198.249.183.0	198.249.183.255	CA
198.249.184.0	198.249.188.255	US
198.249.189.0	198.249.189.255	CA
198.249.190.0	198.249.195.255	US
198.249.196.0	198.249.196.255	CA
198.249.197.0	198.249.197.255	US
198.249.198.0	198.249.198.255	CA
198.249.199.0	198.249.199.255	US
198.249.200.0	198.249.200.255	CA
198.249.201.0	198.249.203.255	US
198.249.204.0	198.249.204.255	CA
198.249.205.0	198.249.208.255	US
198.249.209.0	198.249.213.255	CA
198.249.214.0	198.249.215.255	US
198.249.216.0	198.249.217.255	CA
198.249.218.0	198.249.221.255	US
198.249.222.0	198.249.223.255	CA
198.249.224.0	198.249.228.255	US
198.249.229.0	198.249.231.255	CA
198.249.232.0	198.249.235.255	US
198.249.236.0	198.249.237.255	CA
198.249.238.0	198.249.241.255	US
198.249.242.0	198.249.245.255	CA
198.249.246.0	198.249.247.255	US
198.249.248.0	198.249.249.255	CA
198.249.250.0	198.249.250.255	US
198.249.251.0	198.249.251.255	CA
198.249.252.0	198.249.252.255	US
198.249.253.0	198.249.253.255	CA
198.249.254.0	199.0.79.255	US
199.0.80.0	199.0.87.255	AW
199.0.88.0	199.0.91.255	US
199.0.92.0	199.0.92.255	SL
199.0.93.0	199.1.151.255	US
199.1.152.0	199.1.159.255	PR
199.1.160.0	199.2.111.255	US
199.2.112.0	199.2.119.255	AW
199.2.120.0	199.3.195.255	US
199.3.196.0	199.3.196.255	EC
199.3.197.0	199.3.209.255	US
199.3.210.0	199.3.210.127	CN
199.3.210.128	199.6.63.255	US
199.6.64.0	199.6.68.255	GB
199.6.69.0	199.6.71.255	NO
199.6.72.0	199.6.72.255	SG
199.6.73.0	199.6.77.255	US
199.6.78.0	199.6.78.255	DK
199.6.79.0	199.6.79.255	CA
199.6.80.0	199.6.83.255	IT
199.6.84.0	199.6.84.255	FR
199.6.85.0	199.6.87.255	HK
199.6.88.0	199.6.88.255	NL
199.6.89.0	199.6.91.255	FR
199.6.92.0	199.6.105.255	US
199.6.106.0	199.6.106.255	JP
199.6.107.0	199.6.127.255	US
199.6.128.0	199.6.131.255	NL
199.6.132.0	199.6.133.255	US
199.6.134.0	199.6.135.255	NL
199.6.136.0	199.7.69.255	US
199.7.70.0	199.7.70.255	NL
199.7.71.0	199.7.81.255	US
199.7.82.0	199.7.82.255	NL
199.7.83.0	199.7.83.255	US
199.7.85.0	199.7.86.255	US
199.7.87.0	199.7.89.255	CA
199.7.90.0	199.7.90.255	MS
199.7.91.0	199.7.95.255	US
199.7.128.0	199.7.135.255	US
199.7.136.0	199.7.139.255	CA
199.7.140.0	199.7.155.255	US
199.7.156.0	199.7.159.255	CA
199.7.160.0	199.7.167.255	US
199.7.168.0	199.7.171.255	PR
199.7.172.0	199.7.207.255	US
199.7.208.0	199.7.211.255	PR
199.7.212.0	199.7.215.255	US
199.7.216.0	199.7.219.255	CA
199.7.220.0	199.7.231.255	US
199.7.232.0	199.7.239.255	CA
199.7.240.0	199.15.79.255	US
199.15.80.0	199.15.88.255	CA
199.15.92.0	199.15.95.255	US
199.15.128.0	199.16.127.255	US
199.16.128.0	199.16.131.255	CA
199.16.132.0	199.16.151.255	US
199.16.152.0	199.16.155.255	CA
199.16.156.0	199.16.179.255	US
199.16.180.0	199.16.183.255	CA
199.16.184.0	199.19.47.255	US
199.19.48.0	199.19.63.255	CA
199.19.128.0	199.19.159.255	US
199.19.160.0	199.19.175.255	CA
199.19.176.0	199.19.211.255	US
199.19.212.0	199.19.227.255	CA
199.19.228.0	199.21.63.255	US
199.21.128.0	199.21.147.255	US
199.21.148.0	199.21.151.255	CA
199.21.152.0	199.21.163.255	US
199.21.164.0	199.21.167.255	KN
199.21.168.0	199.21.179.255	US
199.21.180.0	199.21.183.255	CA
199.21.184.0	199.21.215.255	US
199.21.216.0	199.21.219.255	CA
199.21.220.0	199.21.255.255	US
199.22.0.0	199.25.255.255	CA
199.26.0.0	199.26.64.255	US
199.26.68.0	199.26.71.255	CA
199.26.72.0	199.26.79.255	US
199.26.96.0	199.26.233.255	US
199.26.234.0	199.26.234.255	PA
199.26.235.0	199.27.63.255	US
199.27.128.0	199.27.179.255	US
199.27.180.0	199.27.183.255	CA
199.27.184.0	199.27.207.255	US
199.28.0.0	199.29.70.255	US
199.29.71.0	199.29.71.255	KW
199.29.72.0	199.34.14.255	US
199.34.15.0	199.34.15.255	CA
199.34.16.0	199.34.120.143	US
199.34.120.144	199.34.120.151	CA
199.34.120.152	199.34.121.15	US
199.34.121.16	199.34.121.23	RU
199.34.121.24	199.34.121.55	US
199.34.121.56	199.34.121.63	MX
199.34.121.64	199.34.121.71	AR
199.34.121.72	199.34.121.95	US
199.34.121.96	199.34.121.103	CA
199.34.121.104	199.34.121.119	US
199.34.121.120	199.34.121.127	SE
199.34.121.128	199.34.121.191	US
199.34.121.192	199.34.121.199	RU
199.34.121.200	199.34.122.31	US
199.34.122.32	199.34.122.39	CH
199.34.122.40	199.34.122.95	US
199.34.122.96	199.34.122.103	RU
199.34.122.104	199.34.122.167	US
199.34.122.168	199.34.122.175	AU
199.34.122.176	199.34.122.191	US
199.34.122.192	199.34.122.199	BR
199.34.122.200	199.34.122.207	CO
199.34.122.208	199.34.123.7	US
199.34.123.8	199.34.123.15	FR
199.34.123.16	199.34.123.23	US
199.34.123.24	199.34.123.31	CA
199.34.123.32	199.34.123.39	BR
199.34.123.40	199.34.123.47	UA
199.34.123.48	199.34.123.127	US
199.34.123.128	199.34.123.191	GB
199.34.123.192	199.34.123.199	CA
199.34.123.200	199.34.123.223	US
199.34.123.224	199.34.123.231	PT
199.34.123.232	199.34.123.239	US
199.34.123.240	199.34.123.247	DE
199.34.123.248	199.34.124.47	US
199.34.124.48	199.34.124.55	RU
199.34.124.56	199.34.124.63	US
199.34.124.64	199.34.124.71	RU
199.34.124.72	199.34.124.127	US
199.34.124.128	199.34.124.135	CA
199.34.124.136	199.34.124.143	US
199.34.124.144	199.34.124.151	AU
199.34.124.152	199.34.124.159	CA
199.34.124.160	199.34.124.191	US
199.34.124.192	199.34.124.199	BR
199.34.124.200	199.34.124.207	CN
199.34.124.208	199.34.124.223	AR
199.34.124.224	199.34.124.247	US
199.34.124.248	199.34.124.255	DE
199.34.125.0	199.34.125.7	US
199.34.125.8	199.34.125.15	BO
199.34.125.16	199.34.125.23	PT
199.34.125.24	199.34.125.39	CA
199.34.125.40	199.34.125.47	AR
199.34.125.48	199.34.125.55	AU
199.34.125.56	199.34.125.79	US
199.34.125.80	199.34.125.87	CA
199.34.125.88	199.34.125.111	US
199.34.125.112	199.34.125.119	RU
199.34.125.120	199.34.125.135	US
199.34.125.136	199.34.125.143	GB
199.34.125.144	199.34.125.151	US
199.34.125.152	199.34.125.159	DE
199.34.125.160	199.34.125.199	US
199.34.125.200	199.34.125.207	GB
199.34.125.208	199.34.125.231	US
199.34.125.232	199.34.125.239	NO
199.34.125.240	199.34.125.247	DE
199.34.125.248	199.34.125.255	US
199.34.126.0	199.34.126.15	MX
199.34.126.16	199.34.126.31	US
199.34.126.32	199.34.126.39	DE
199.34.126.40	199.34.126.47	MX
199.34.126.48	199.34.126.79	US
199.34.126.80	199.34.126.95	GB
199.34.126.96	199.34.126.135	US
199.34.126.136	199.34.126.143	CA
199.34.126.144	199.34.126.151	RU
199.34.126.152	199.34.126.159	US
199.34.126.160	199.34.126.191	GB
199.34.126.192	199.34.126.199	BE
199.34.126.200	199.34.126.207	GB
199.34.126.208	199.34.126.215	US
199.34.126.216	199.34.126.223	CL
199.34.126.224	199.34.127.71	US
199.34.127.72	199.34.127.79	GB
199.34.127.80	199.34.127.95	US
199.34.127.96	199.34.127.111	CA
199.34.127.112	199.34.127.183	US
199.34.127.184	199.34.127.191	IL
199.34.127.192	199.34.127.207	US
199.34.127.208	199.34.127.215	ES
199.34.127.216	199.34.127.231	US
199.34.127.232	199.34.127.239	BR
199.34.127.240	199.42.102.255	US
199.42.103.0	199.42.105.255	DE
199.42.106.0	199.42.239.255	US
199.42.240.0	199.42.241.255	DE
199.42.242.0	199.43.0.255	US
199.43.1.0	199.43.3.255	CA
199.43.4.0	199.43.107.255	US
199.43.108.0	199.43.131.255	CA
199.43.132.0	199.43.135.255	US
199.43.136.0	199.43.143.255	CA
199.43.144.0	199.43.146.255	US
199.43.147.0	199.43.183.255	CA
199.43.184.0	199.43.195.255	US
199.43.199.0	199.43.207.255	CA
199.43.208.0	199.43.242.255	US
199.43.243.0	199.43.245.255	CA
199.43.246.0	199.43.247.255	CH
199.43.248.0	199.43.255.255	CA
199.44.0.0	199.45.65.255	US
199.45.66.0	199.45.68.255	CA
199.45.69.0	199.45.76.255	US
199.45.77.0	199.45.77.255	CA
199.45.78.0	199.45.103.255	US
199.45.104.0	199.45.108.255	CA
199.45.109.0	199.45.110.255	US
199.45.111.0	199.45.111.255	CA
199.45.112.0	199.45.113.255	US
199.45.114.0	199.45.115.255	CA
199.45.116.0	199.45.116.255	US
199.45.117.0	199.45.118.255	CA
199.45.119.0	199.45.120.255	US
199.45.121.0	199.45.122.255	CA
199.45.123.0	199.52.255.255	US
199.53.0.0	199.53.255.255	CH
199.54.0.0	199.59.255.255	US
199.60.0.0	199.60.19.255	CA
199.60.20.0	199.60.25.255	US
199.60.26.0	199.60.27.255	CA
199.60.28.0	199.60.28.255	US
199.60.29.0	199.60.255.255	CA
199.61.0.0	199.71.0.255	US
199.71.1.0	199.71.175.255	CA
199.71.176.0	199.71.179.255	US
199.71.182.0	199.71.208.255	CA
199.71.212.0	199.71.223.255	US
199.71.240.0	199.71.255.255	CA
199.72.0.0	199.83.255.255	US
199.84.0.0	199.85.75.255	CA
199.85.76.0	199.85.79.255	US
199.85.96.0	199.85.124.255	CA
199.85.125.0	199.85.127.255	US
199.85.128.0	199.85.203.255	CA
199.85.204.0	199.85.207.255	PR
199.85.208.0	199.85.219.255	US
199.85.220.0	199.85.233.255	CA
199.85.236.0	199.85.239.255	GD
199.85.240.0	199.85.243.255	US
199.85.245.0	199.85.245.255	CA
199.85.246.0	199.85.246.255	US
199.85.247.0	199.85.249.255	CA
199.85.250.0	199.85.250.255	US
199.85.251.0	199.85.255.255	CA
199.86.0.0	199.88.207.255	US
199.88.208.0	199.88.215.255	NL
199.88.216.0	199.91.15.255	US
199.91.16.0	199.91.31.255	CH
199.91.32.0	199.91.47.255	US
199.92.0.0	199.95.177.255	US
199.95.178.0	199.95.179.255	EG
199.95.180.0	199.95.180.255	US
199.95.181.0	199.95.181.255	UZ
199.95.182.0	199.95.247.255	US
199.95.248.0	199.95.248.255	GB
199.95.249.0	199.96.27.255	US
199.96.28.0	199.96.31.255	CA
199.96.32.0	199.96.47.255	US
199.97.0.0	199.102.63.255	US
199.103.0.0	199.103.7.255	US
199.103.8.0	199.103.12.255	NL
199.103.13.0	199.103.25.255	US
199.103.28.0	199.103.31.255	TC
199.103.32.0	199.103.55.255	US
199.103.56.0	199.103.63.255	CA
199.103.64.0	199.103.67.255	GB
199.103.68.0	199.103.68.255	SG
199.103.69.0	199.103.72.255	US
199.103.73.0	199.103.73.255	ES
199.103.74.0	199.103.74.255	LU
199.103.75.0	199.103.79.255	DE
199.103.80.0	199.103.80.255	US
199.103.81.0	199.103.81.255	ES
199.103.82.0	199.103.83.255	GB
199.103.84.0	199.103.84.255	NL
199.103.86.0	199.103.86.255	GB
199.103.87.0	199.103.88.255	FR
199.103.90.0	199.103.91.255	US
199.103.92.0	199.103.92.255	FR
199.103.93.0	199.103.93.255	DE
199.103.94.0	199.103.95.255	US
199.103.96.0	199.103.99.255	DE
199.103.102.0	199.103.102.255	CL
199.103.103.0	199.103.103.255	JP
199.103.104.0	199.103.105.255	AT
199.103.106.0	199.103.106.255	CH
199.103.107.0	199.103.107.255	DE
199.103.109.0	199.103.110.255	US
199.103.111.0	199.103.112.255	CH
199.103.113.0	199.103.113.255	US
199.103.114.0	199.103.117.255	GB
199.103.119.0	199.103.119.255	IT
199.103.120.0	199.103.122.255	US
199.103.123.0	199.103.125.255	FR
199.103.126.0	199.103.126.255	BE
199.103.127.0	199.103.127.255	DE
199.103.128.0	199.106.210.7	US
199.106.210.8	199.106.210.31	IN
199.106.210.32	199.106.210.79	NO
199.106.210.80	199.106.212.31	US
199.106.212.32	199.106.212.47	IN
199.106.212.48	199.116.55.255	US
199.116.56.0	199.116.63.255	PR
199.117.0.0	199.125.255.255	US
199.126.0.0	199.126.255.255	CA
199.127.0.0	199.127.63.255	US
199.128.0.0	199.161.199.255	US
199.161.200.0	199.161.201.255	CA
199.161.202.0	199.161.217.255	US
199.161.218.0	199.161.218.255	CA
199.161.219.0	199.162.229.255	US
199.162.230.0	199.162.230.255	CA
199.162.231.0	199.164.128.255	US
199.164.129.0	199.164.129.255	CA
199.164.130.0	199.165.207.255	US
199.165.208.0	199.165.211.255	GB
199.165.212.0	199.165.255.255	US
199.166.0.0	199.166.23.255	CA
199.166.24.0	199.166.33.255	US
199.166.34.0	199.166.247.255	CA
199.166.248.0	199.166.250.255	US
199.166.251.0	199.166.255.255	CA
199.167.0.0	199.167.15.255	US
199.168.0.0	199.172.191.255	US
199.172.192.0	199.172.227.255	BM
199.172.228.0	199.172.229.255	KY
199.172.230.0	199.172.255.255	BM
199.173.0.0	199.173.152.255	US
199.173.153.0	199.173.153.255	KW
199.173.154.0	199.174.255.255	US
199.175.0.0	199.175.43.255	CA
199.175.44.0	199.175.47.255	US
199.175.64.0	199.175.183.255	CA
199.175.184.0	199.175.187.255	US
199.175.188.0	199.175.255.255	CA
199.176.0.0	199.180.25.255	US
199.180.28.0	199.180.31.255	CA
199.180.32.0	199.180.51.255	US
199.180.52.0	199.180.55.255	CA
199.180.56.0	199.180.63.255	US
199.181.0.0	199.184.255.255	US
199.185.0.0	199.185.138.255	CA
199.185.139.0	199.185.139.255	GB
199.185.140.0	199.185.255.255	CA
199.186.0.0	199.186.24.255	US
199.186.25.0	199.186.34.255	CL
199.186.35.0	199.187.127.255	US
199.188.0.0	199.188.31.255	US
199.188.32.0	199.188.32.255	CA
199.188.33.0	199.188.41.255	US
199.188.42.0	199.188.42.255	CA
199.188.43.0	199.188.47.255	US
199.189.0.0	199.189.63.255	US
199.190.0.0	199.191.191.255	US
199.191.192.0	199.191.192.255	IL
199.191.193.0	199.194.0.255	US
199.194.1.0	199.194.1.255	CA
199.194.2.0	199.194.2.255	US
199.194.3.0	199.194.6.255	CA
199.194.7.0	199.194.8.255	US
199.194.9.0	199.194.9.255	CA
199.194.10.0	199.194.11.255	US
199.194.12.0	199.194.12.255	CA
199.194.13.0	199.194.16.255	US
199.194.17.0	199.194.17.255	CA
199.194.18.0	199.194.20.255	US
199.194.21.0	199.194.21.255	CA
199.194.22.0	199.194.23.255	US
199.194.24.0	199.194.24.255	PR
199.194.25.0	199.194.25.255	US
199.194.26.0	199.194.26.255	CA
199.194.27.0	199.194.27.255	US
199.194.28.0	199.194.28.255	CA
199.194.29.0	199.194.30.255	US
199.194.31.0	199.194.31.255	CA
199.194.32.0	199.194.34.255	US
199.194.35.0	199.194.36.255	CA
199.194.37.0	199.194.40.255	US
199.194.41.0	199.194.42.255	CA
199.194.43.0	199.194.48.255	US
199.194.49.0	199.194.49.255	CA
199.194.50.0	199.194.51.255	US
199.194.52.0	199.194.52.255	CA
199.194.53.0	199.194.57.255	US
199.194.58.0	199.194.58.255	CA
199.194.59.0	199.194.62.255	US
199.194.63.0	199.194.63.255	CA
199.194.64.0	199.194.67.255	US
199.194.68.0	199.194.68.255	CA
199.194.69.0	199.194.69.255	US
199.194.70.0	199.194.70.255	CA
199.194.71.0	199.194.71.255	US
199.194.72.0	199.194.72.255	CA
199.194.73.0	199.194.73.255	US
199.194.74.0	199.194.74.255	CA
199.194.75.0	199.194.75.255	US
199.194.76.0	199.194.77.255	CA
199.194.78.0	199.194.78.255	US
199.194.79.0	199.194.79.255	CA
199.194.80.0	199.194.81.255	US
199.194.82.0	199.194.82.255	CA
199.194.83.0	199.194.85.255	US
199.194.86.0	199.194.86.255	CA
199.194.87.0	199.194.87.255	US
199.194.88.0	199.194.92.255	CA
199.194.93.0	199.194.93.255	US
199.194.94.0	199.194.94.255	CA
199.194.95.0	199.194.98.255	US
199.194.99.0	199.194.99.255	CA
199.194.100.0	199.194.100.255	US
199.194.101.0	199.194.101.255	CA
199.194.102.0	199.194.105.255	US
199.194.106.0	199.194.106.255	CA
199.194.107.0	199.194.107.255	US
199.194.108.0	199.194.109.255	CA
199.194.110.0	199.194.112.255	US
199.194.113.0	199.194.114.255	CA
199.194.115.0	199.194.119.255	US
199.194.120.0	199.194.120.255	CA
199.194.121.0	199.194.123.255	US
199.194.124.0	199.194.124.255	CA
199.194.125.0	199.194.125.255	US
199.194.126.0	199.194.126.255	CA
199.194.127.0	199.194.127.255	US
199.194.128.0	199.194.129.255	CA
199.194.130.0	199.194.130.255	US
199.194.131.0	199.194.131.255	CA
199.194.132.0	199.194.133.255	US
199.194.134.0	199.194.135.255	CA
199.194.136.0	199.194.136.255	US
199.194.137.0	199.194.138.255	CA
199.194.139.0	199.194.139.255	US
199.194.140.0	199.194.140.255	CA
199.194.141.0	199.194.144.255	US
199.194.145.0	199.194.146.255	CA
199.194.147.0	199.194.147.255	US
199.194.148.0	199.194.148.255	CA
199.194.149.0	199.194.154.255	US
199.194.155.0	199.194.155.255	CA
199.194.156.0	199.194.170.255	US
199.194.171.0	199.194.171.255	PR
199.194.172.0	199.194.183.255	US
199.194.184.0	199.194.184.255	CA
199.194.185.0	199.194.188.255	US
199.194.189.0	199.194.189.255	CA
199.194.190.0	199.194.218.255	US
199.194.219.0	199.194.219.255	CA
199.194.220.0	199.194.220.255	US
199.194.221.0	199.194.221.255	PR
199.194.222.0	199.194.222.255	US
199.194.223.0	199.194.223.255	CA
199.194.224.0	199.194.224.255	US
199.194.225.0	199.194.225.255	CA
199.194.226.0	199.194.226.255	US
199.194.227.0	199.194.227.255	CA
199.194.228.0	199.194.228.255	US
199.194.229.0	199.194.230.255	CA
199.194.231.0	199.194.238.255	US
199.194.239.0	199.194.239.255	CA
199.194.240.0	199.194.241.255	US
199.194.242.0	199.194.242.255	CA
199.194.243.0	199.195.127.255	US
199.196.0.0	199.196.50.255	US
199.196.51.0	199.196.51.255	GB
199.196.52.0	199.197.255.255	US
199.198.0.0	199.198.219.255	CA
199.198.220.0	199.201.255.255	US
199.202.0.0	199.202.255.255	CA
199.203.0.0	199.203.255.255	IL
199.204.0.0	199.204.3.255	CA
199.204.4.0	199.204.43.255	US
199.204.44.0	199.204.55.255	CA
199.204.56.0	199.204.63.255	US
199.204.64.0	199.204.79.255	CA
199.204.80.0	199.204.119.255	US
199.204.120.0	199.204.123.255	CA
199.204.124.0	199.204.127.255	US
199.204.128.0	199.204.131.255	CA
199.204.132.0	199.204.183.255	US
199.204.184.0	199.204.187.255	JM
199.204.188.0	199.204.207.255	US
199.204.208.0	199.204.215.255	CA
199.204.216.0	199.204.231.255	US
199.204.232.0	199.204.239.255	VG
199.204.240.0	199.212.0.255	US
199.212.1.0	199.212.217.255	CA
199.212.218.0	199.212.223.255	US
199.212.224.0	199.216.255.255	CA
199.217.0.0	199.228.176.255	US
199.228.177.0	199.228.177.255	GB
199.228.178.0	199.229.189.255	US
199.229.190.0	199.229.190.255	GB
199.229.191.0	199.229.215.255	US
199.229.216.0	199.229.216.255	HK
199.229.217.0	199.229.219.255	US
199.230.0.0	199.233.170.255	US
199.233.171.0	199.233.171.255	CA
199.233.172.0	199.233.182.255	US
199.233.183.0	199.233.184.255	CA
199.233.185.0	199.233.223.255	US
199.234.0.0	199.234.255.255	US
199.235.0.0	199.235.255.255	CA
199.236.0.0	199.242.255.255	US
199.243.0.0	199.243.255.255	CA
199.244.0.0	199.245.235.255	US
199.245.236.0	199.245.236.255	CA
199.245.237.0	199.245.255.255	US
199.246.0.0	199.246.72.127	CA
199.246.72.128	199.246.72.191	US
199.246.72.192	199.246.76.255	CA
199.246.77.0	199.246.87.255	US
199.246.88.0	199.246.105.255	CA
199.246.106.0	199.246.106.255	US
199.246.107.0	199.247.255.255	CA
199.248.0.0	199.248.143.255	US
199.248.144.0	199.248.144.255	AR
199.248.145.0	199.249.111.255	US
199.249.112.0	199.249.127.255	CA
199.249.128.0	199.250.8.255	US
199.250.9.0	199.250.12.255	CA
199.250.13.0	199.250.13.255	US
199.250.16.0	199.253.55.255	US
199.253.56.0	199.253.63.255	CA
199.253.64.0	199.253.249.255	US
199.253.250.0	199.253.251.255	CA
199.254.0.0	199.254.27.255	US
199.254.28.0	199.254.31.255	CA
199.254.32.0	199.254.47.255	US
199.254.48.0	199.254.63.255	CA
199.254.64.0	199.254.95.255	US
199.254.128.0	199.254.151.255	US
199.254.152.0	199.254.152.255	CA
199.254.153.0	199.254.234.255	US
199.254.235.0	199.254.235.255	CA
199.254.236.0	199.255.27.255	US
199.255.28.0	199.255.31.255	CA
199.255.32.0	199.255.115.255	US
199.255.116.0	199.255.119.255	PR
199.255.120.0	199.255.135.255	US
199.255.136.0	199.255.137.255	BE
199.255.138.0	199.255.207.255	US
199.255.208.0	199.255.215.255	A1
199.255.216.0	199.255.255.255	US
200.0.0.0	200.0.7.255	CO
200.0.8.0	200.0.15.255	BR
200.0.16.0	200.0.16.255	CU
200.0.17.0	200.0.17.255	AR
200.0.18.0	200.0.18.255	HT
200.0.20.0	200.0.23.255	AN
200.0.24.0	200.0.27.255	CU
200.0.28.0	200.0.31.255	EC
200.0.32.0	200.0.61.255	BR
200.0.62.0	200.0.62.255	CO
200.0.63.0	200.0.63.255	EC
200.0.64.0	200.0.64.255	PA
200.0.65.0	200.0.65.255	VE
200.0.66.0	200.0.66.255	CL
200.0.67.0	200.0.72.255	BR
200.0.73.0	200.0.78.255	EC
200.0.79.0	200.0.80.255	AR
200.0.81.0	200.0.81.255	BR
200.0.82.0	200.0.82.255	CL
200.0.83.0	200.0.84.255	MX
200.0.85.0	200.0.87.255	BR
200.0.88.0	200.0.88.255	MX
200.0.89.0	200.0.93.255	BR
200.0.94.0	200.0.94.255	US
200.0.95.0	200.0.95.255	MX
200.0.96.0	200.0.99.255	AR
200.0.100.0	200.0.102.255	BR
200.0.103.0	200.0.106.255	MX
200.0.107.0	200.0.107.255	PE
200.0.108.0	200.0.108.255	CL
200.0.109.0	200.0.109.255	MX
200.0.110.0	200.0.110.255	PE
200.0.111.0	200.0.113.255	MX
200.0.114.0	200.0.114.255	BR
200.0.115.0	200.0.117.255	CL
200.0.118.0	200.0.119.255	PE
200.0.120.0	200.0.124.255	CL
200.0.125.0	200.0.135.255	MX
200.0.136.0	200.0.136.255	PE
200.0.137.0	200.0.138.255	US
200.0.139.0	200.0.139.255	VE
200.0.140.0	200.0.141.255	CL
200.0.142.0	200.0.142.255	PE
200.0.143.0	200.0.143.255	MX
200.0.144.0	200.0.163.255	CL
200.0.164.0	200.0.173.255	PE
200.0.174.0	200.0.174.255	CL
200.0.175.0	200.0.175.255	AR
200.0.176.0	200.0.177.255	GT
200.0.178.0	200.0.178.255	PA
200.0.179.0	200.0.179.255	CR
200.0.180.0	200.0.180.255	SV
200.0.181.0	200.0.200.255	AR
200.0.201.0	200.0.201.255	CO
200.0.202.0	200.0.203.255	PA
200.0.204.0	200.0.207.255	UY
200.0.208.0	200.0.215.255	AR
200.0.216.0	200.0.223.255	US
200.0.224.0	200.0.255.255	AR
200.1.0.0	200.1.5.255	VE
200.1.6.0	200.1.6.255	EC
200.1.7.0	200.1.7.255	AR
200.1.8.0	200.1.15.255	VE
200.1.16.0	200.1.31.255	CL
200.1.32.0	200.1.63.255	AR
200.1.64.0	200.1.103.255	CO
200.1.104.0	200.1.111.255	TT
200.1.113.0	200.1.113.255	AR
200.1.114.0	200.1.114.255	NI
200.1.115.0	200.1.115.255	CL
200.1.116.0	200.1.118.255	AR
200.1.119.0	200.1.119.255	VE
200.1.120.0	200.1.123.255	CL
200.1.124.0	200.1.124.255	CO
200.1.125.0	200.1.125.255	BZ
200.1.126.0	200.1.127.255	CO
200.1.128.0	200.1.143.255	CL
200.1.144.0	200.1.151.255	VE
200.1.152.0	200.1.152.255	NI
200.1.153.0	200.1.153.255	GT
200.1.154.0	200.1.155.255	DO
200.1.156.0	200.1.159.255	SR
200.1.160.0	200.1.160.255	BM
200.1.161.0	200.1.161.255	EC
200.1.162.0	200.1.171.255	VE
200.1.172.0	200.1.172.255	EC
200.1.173.0	200.1.173.255	CO
200.1.174.0	200.1.174.255	CL
200.1.175.0	200.1.175.255	CO
200.1.176.0	200.1.183.255	PE
200.1.184.0	200.1.191.255	VE
200.1.192.0	200.1.199.255	CO
200.1.200.0	200.1.207.255	PY
200.1.208.0	200.1.215.255	SR
200.1.224.0	200.1.255.255	AR
200.2.0.0	200.2.7.255	CL
200.2.8.0	200.2.15.255	VE
200.2.16.0	200.2.31.255	CL
200.2.32.0	200.2.63.255	UY
200.2.64.0	200.2.71.255	CO
200.2.72.0	200.2.99.255	CL
200.2.100.0	200.2.103.255	BR
200.2.104.0	200.2.119.255	CL
200.2.120.0	200.2.127.255	AR
200.2.128.0	200.2.159.255	HT
200.2.160.0	200.2.191.255	SR
200.2.192.0	200.2.255.255	CL
200.3.0.0	200.3.9.255	VE
200.3.10.0	200.3.11.255	PA
200.3.12.0	200.3.15.255	UY
200.3.16.0	200.3.31.255	BR
200.3.32.0	200.3.113.255	AR
200.3.114.0	200.3.114.255	PE
200.3.115.0	200.3.127.255	AR
200.3.128.0	200.3.145.255	CO
200.3.146.0	200.3.146.255	GT
200.3.147.0	200.3.167.255	CO
200.3.168.0	200.3.175.255	AR
200.3.176.0	200.3.183.255	TT
200.3.184.0	200.3.191.255	AR
200.3.192.0	200.3.193.255	CO
200.3.194.0	200.3.194.255	HN
200.3.195.0	200.3.195.255	AR
200.3.196.0	200.3.207.255	PA
200.3.208.0	200.3.215.255	CL
200.3.216.0	200.3.223.255	AR
200.3.224.0	200.3.240.255	HN
200.3.241.0	200.3.242.255	PE
200.3.243.0	200.3.243.255	AR
200.3.244.0	200.3.247.255	CO
200.3.248.0	200.3.255.255	PY
200.4.0.0	200.4.15.255	MX
200.4.16.0	200.4.31.255	CO
200.4.32.0	200.4.58.255	MX
200.4.59.0	200.4.59.255	AR
200.4.60.0	200.4.67.255	MX
200.4.68.0	200.4.69.255	AR
200.4.70.0	200.4.159.255	MX
200.4.160.0	200.4.191.255	HT
200.4.192.0	200.4.255.255	PE
200.5.0.0	200.5.8.255	PR
200.5.9.0	200.5.9.255	BR
200.5.10.0	200.5.10.255	AR
200.5.11.0	200.5.11.255	PR
200.5.12.0	200.5.15.255	CU
200.5.16.0	200.5.31.255	VE
200.5.32.0	200.5.39.255	AR
200.5.40.0	200.5.47.255	VE
200.5.48.0	200.5.55.255	AR
200.5.56.0	200.5.63.255	CO
200.5.64.0	200.5.127.255	AR
200.5.128.0	200.5.191.255	VE
200.5.192.0	200.5.255.255	AR
200.6.0.0	200.6.17.255	EC
200.6.18.0	200.6.18.255	CL
200.6.19.0	200.6.26.255	EC
200.6.27.0	200.6.27.255	VE
200.6.28.0	200.6.32.255	EC
200.6.33.0	200.6.33.255	CL
200.6.34.0	200.6.34.255	EC
200.6.35.0	200.6.48.255	BR
200.6.49.0	200.6.49.255	CL
200.6.50.0	200.6.51.255	AR
200.6.52.0	200.6.52.255	PA
200.6.53.0	200.6.54.255	CL
200.6.55.0	200.6.55.255	NI
200.6.56.0	200.6.63.255	AN
200.6.64.0	200.6.78.255	CL
200.6.79.0	200.6.79.255	PA
200.6.80.0	200.6.87.255	EC
200.6.88.0	200.6.95.255	DO
200.6.96.0	200.6.127.255	CL
200.6.128.0	200.6.133.255	BR
200.6.134.0	200.6.135.255	CR
200.6.136.0	200.6.137.255	AR
200.6.138.0	200.6.138.255	UY
200.6.139.0	200.6.140.255	AR
200.6.141.0	200.6.142.255	UY
200.6.143.0	200.6.143.255	AR
200.6.144.0	200.6.151.255	AN
200.6.152.0	200.6.159.255	VE
200.6.160.0	200.6.191.255	CO
200.6.192.0	200.6.255.255	GT
200.7.0.0	200.7.3.255	BR
200.7.4.0	200.7.7.255	CL
200.7.8.0	200.7.13.255	BR
200.7.14.0	200.7.14.255	PY
200.7.15.0	200.7.15.255	AR
200.7.16.0	200.7.31.255	CL
200.7.32.0	200.7.63.255	AN
200.7.64.0	200.7.83.255	EC
200.7.84.0	200.7.87.255	UY
200.7.88.0	200.7.95.255	TT
200.7.96.0	200.7.127.255	VE
200.7.128.0	200.7.143.255	AR
200.7.160.0	200.7.175.255	BO
200.7.176.0	200.7.183.255	AR
200.7.184.0	200.7.191.255	AN
200.7.192.0	200.7.255.255	EC
200.8.0.0	200.8.255.255	VE
200.9.0.0	200.9.2.255	BR
200.9.3.0	200.9.3.255	CL
200.9.4.0	200.9.7.255	PY
200.9.8.0	200.9.15.255	MX
200.9.16.0	200.9.31.255	CO
200.9.32.0	200.9.63.255	CR
200.9.64.0	200.9.64.255	CL
200.9.65.0	200.9.71.255	BR
200.9.72.0	200.9.72.255	CO
200.9.73.0	200.9.73.255	CL
200.9.74.0	200.9.74.255	GT
200.9.75.0	200.9.75.255	AR
200.9.76.0	200.9.78.255	BR
200.9.79.0	200.9.81.255	CL
200.9.82.0	200.9.83.255	US
200.9.84.0	200.9.95.255	BR
200.9.96.0	200.9.96.255	EC
200.9.97.0	200.9.101.255	CL
200.9.102.0	200.9.107.255	BR
200.9.108.0	200.9.111.255	CL
200.9.112.0	200.9.114.255	BR
200.9.115.0	200.9.115.255	JM
200.9.116.0	200.9.121.255	BR
200.9.122.0	200.9.122.255	CL
200.9.123.0	200.9.127.255	BR
200.9.128.0	200.9.128.255	CL
200.9.129.0	200.9.140.255	BR
200.9.141.0	200.9.142.255	CL
200.9.143.0	200.9.144.255	BR
200.9.145.0	200.9.146.255	CL
200.9.147.0	200.9.147.255	AR
200.9.148.0	200.9.149.255	BR
200.9.150.0	200.9.153.255	CL
200.9.154.0	200.9.156.255	CR
200.9.158.0	200.9.164.255	BR
200.9.165.0	200.9.168.255	BO
200.9.169.0	200.9.175.255	BR
200.9.176.0	200.9.176.255	EC
200.9.177.0	200.9.180.255	CL
200.9.181.0	200.9.186.255	BR
200.9.187.0	200.9.192.255	NI
200.9.193.0	200.9.193.255	CL
200.9.194.0	200.9.194.255	AR
200.9.195.0	200.9.198.255	CL
200.9.199.0	200.9.200.255	BR
200.9.201.0	200.9.201.255	CL
200.9.202.0	200.9.203.255	BR
200.9.204.0	200.9.205.255	CL
200.9.206.0	200.9.207.255	BR
200.9.208.0	200.9.208.255	AR
200.9.209.0	200.9.209.255	CR
200.9.210.0	200.9.210.255	VE
200.9.211.0	200.9.211.255	CO
200.9.212.0	200.9.213.255	AR
200.9.214.0	200.9.214.255	BR
200.9.215.0	200.9.215.255	CL
200.9.216.0	200.9.218.255	TT
200.9.219.0	200.9.219.255	AR
200.9.220.0	200.9.224.255	BR
200.9.225.0	200.9.225.255	CL
200.9.226.0	200.9.227.255	BR
200.9.228.0	200.9.228.255	CL
200.9.229.0	200.9.229.255	BR
200.9.230.0	200.9.233.255	CL
200.9.234.0	200.9.234.255	BR
200.9.235.0	200.9.237.255	AR
200.9.238.0	200.9.241.255	CL
200.9.242.0	200.9.246.255	AR
200.9.247.0	200.9.247.255	CL
200.9.248.0	200.9.248.255	EC
200.9.249.0	200.9.252.255	BR
200.9.253.0	200.9.254.255	AR
200.9.255.0	200.9.255.255	GT
200.10.0.0	200.10.3.255	CL
200.10.4.0	200.10.7.255	BR
200.10.8.0	200.10.14.255	CL
200.10.15.0	200.10.15.255	PA
200.10.16.0	200.10.27.255	CL
200.10.28.0	200.10.31.255	SV
200.10.32.0	200.10.59.255	BR
200.10.60.0	200.10.61.255	UY
200.10.64.0	200.10.95.255	PE
200.10.96.0	200.10.129.255	AR
200.10.130.0	200.10.131.255	PE
200.10.132.0	200.10.138.255	BR
200.10.139.0	200.10.140.255	AR
200.10.141.0	200.10.141.255	BR
200.10.142.0	200.10.142.255	DO
200.10.143.0	200.10.143.255	MX
200.10.144.0	200.10.144.255	BR
200.10.145.0	200.10.145.255	CL
200.10.146.0	200.10.146.255	BR
200.10.147.0	200.10.151.255	EC
200.10.152.0	200.10.152.255	JM
200.10.153.0	200.10.154.255	BR
200.10.155.0	200.10.155.255	US
200.10.156.0	200.10.159.255	BR
200.10.160.0	200.10.160.255	US
200.10.161.0	200.10.161.255	AR
200.10.162.0	200.10.162.255	DO
200.10.163.0	200.10.164.255	BR
200.10.165.0	200.10.166.255	BM
200.10.167.0	200.10.172.255	CL
200.10.173.0	200.10.181.255	BR
200.10.182.0	200.10.182.255	CL
200.10.183.0	200.10.183.255	BR
200.10.184.0	200.10.184.255	CL
200.10.185.0	200.10.185.255	BR
200.10.186.0	200.10.186.255	AR
200.10.187.0	200.10.187.255	BR
200.10.188.0	200.10.188.255	PE
200.10.189.0	200.10.189.255	BR
200.10.190.0	200.10.190.255	CL
200.10.191.0	200.10.193.255	BR
200.10.194.0	200.10.194.255	BZ
200.10.195.0	200.10.195.255	CL
200.10.196.0	200.10.196.255	AR
200.10.197.0	200.10.198.255	MX
200.10.199.0	200.10.199.255	AR
200.10.200.0	200.10.200.255	MX
200.10.201.0	200.10.202.255	AR
200.10.203.0	200.10.203.255	PA
200.10.204.0	200.10.204.255	AR
200.10.205.0	200.10.205.255	NI
200.10.206.0	200.10.207.255	AR
200.10.208.0	200.10.208.255	CL
200.10.209.0	200.10.210.255	BR
200.10.211.0	200.10.211.255	CL
200.10.212.0	200.10.218.255	MX
200.10.219.0	200.10.219.255	AR
200.10.220.0	200.10.226.255	CL
200.10.227.0	200.10.227.255	BR
200.10.228.0	200.10.231.255	PY
200.10.232.0	200.10.232.255	CL
200.10.233.0	200.10.233.255	MX
200.10.234.0	200.10.234.255	CL
200.10.235.0	200.10.235.255	AR
200.10.236.0	200.10.238.255	CL
200.10.239.0	200.10.240.255	MX
200.10.241.0	200.10.241.255	GT
200.10.242.0	200.10.242.255	CL
200.10.243.0	200.10.244.255	MX
200.10.245.0	200.10.245.255	BR
200.10.246.0	200.10.249.255	MX
200.10.250.0	200.10.250.255	PE
200.10.251.0	200.10.253.255	CL
200.10.254.0	200.10.254.255	VE
200.10.255.0	200.10.255.255	CL
200.11.0.0	200.11.28.255	BR
200.11.29.0	200.11.29.255	AR
200.11.30.0	200.11.30.255	NI
200.11.31.0	200.11.31.255	SV
200.11.32.0	200.11.32.255	PE
200.11.33.0	200.11.33.255	AR
200.11.34.0	200.11.39.255	PE
200.11.40.0	200.11.47.255	CO
200.11.48.0	200.11.63.255	PE
200.11.64.0	200.11.103.255	CL
200.11.104.0	200.11.111.255	DO
200.11.112.0	200.11.119.255	AR
200.11.120.0	200.11.127.255	TT
200.11.128.0	200.11.255.255	VE
200.12.0.0	200.12.15.255	BR
200.12.16.0	200.12.31.255	CL
200.12.32.0	200.12.63.255	GT
200.12.64.0	200.12.128.255	MX
200.12.129.0	200.12.130.255	CL
200.12.131.0	200.12.131.255	BR
200.12.132.0	200.12.132.255	CL
200.12.133.0	200.12.138.255	AR
200.12.139.0	200.12.139.255	BR
200.12.140.0	200.12.145.255	CL
200.12.146.0	200.12.146.255	PY
200.12.147.0	200.12.152.255	CL
200.12.153.0	200.12.153.255	PA
200.12.154.0	200.12.154.255	AR
200.12.155.0	200.12.156.255	UY
200.12.157.0	200.12.157.255	BR
200.12.158.0	200.12.166.255	MX
200.12.167.0	200.12.167.255	CR
200.12.168.0	200.12.168.255	US
200.12.169.0	200.12.169.255	EC
200.12.170.0	200.12.170.255	CO
200.12.171.0	200.12.171.255	CL
200.12.172.0	200.12.174.255	SV
200.12.175.0	200.12.191.255	CO
200.12.193.0	200.12.193.255	VE
200.12.194.0	200.12.195.255	CL
200.12.196.0	200.12.199.255	EC
200.12.200.0	200.12.207.255	AR
200.12.208.0	200.12.215.255	PA
200.12.216.0	200.12.223.255	AR
200.12.224.0	200.12.224.15	US
200.12.224.16	200.12.224.31	GT
200.12.224.32	200.12.224.47	HN
200.12.224.48	200.12.224.63	GT
200.12.224.64	200.12.224.71	US
200.12.224.72	200.12.224.95	GT
200.12.224.96	200.12.224.111	SV
200.12.224.112	200.12.224.127	US
200.12.224.128	200.12.224.175	GT
200.12.224.176	200.12.224.255	US
200.12.225.0	200.12.225.255	GT
200.12.226.0	200.12.227.255	AN
200.12.228.0	200.12.228.255	NI
200.12.229.0	200.12.229.255	TT
200.12.230.0	200.12.230.255	SV
200.12.231.0	200.12.231.255	NI
200.12.232.0	200.12.233.255	SV
200.12.234.0	200.12.234.255	NI
200.12.235.0	200.12.235.7	US
200.12.235.8	200.12.235.15	GT
200.12.235.16	200.12.235.31	SV
200.12.235.32	200.12.235.95	US
200.12.235.96	200.12.235.127	SV
200.12.235.128	200.12.235.159	US
200.12.235.160	200.12.235.191	GT
200.12.235.192	200.12.236.255	US
200.12.237.0	200.12.237.255	NI
200.12.238.0	200.12.239.255	CR
200.12.240.0	200.12.247.255	TT
200.12.248.0	200.12.255.255	AW
200.13.0.0	200.13.7.255	CL
200.13.8.0	200.13.15.255	BR
200.13.16.0	200.13.40.255	MX
200.13.41.0	200.13.43.255	AR
200.13.48.0	200.13.131.255	MX
200.13.136.0	200.13.143.255	GF
200.13.144.0	200.13.151.255	CU
200.13.152.0	200.13.159.255	BO
200.13.160.0	200.13.163.255	SV
200.13.164.0	200.13.165.255	HN
200.13.166.0	200.13.167.135	SV
200.13.167.136	200.13.167.143	HN
200.13.167.144	200.13.176.231	SV
200.13.176.232	200.13.176.239	HN
200.13.176.240	200.13.177.207	SV
200.13.177.208	200.13.177.223	HN
200.13.177.224	200.13.178.127	SV
200.13.178.128	200.13.178.143	HN
200.13.178.144	200.13.179.239	SV
200.13.179.240	200.13.179.247	HN
200.13.179.248	200.13.182.39	SV
200.13.182.40	200.13.182.47	HN
200.13.182.48	200.13.182.103	SV
200.13.182.104	200.13.182.111	HN
200.13.182.112	200.13.187.255	SV
200.13.188.0	200.13.188.127	HN
200.13.188.128	200.13.191.255	SV
200.13.192.0	200.13.255.255	CO
200.14.0.0	200.14.7.255	CL
200.14.8.0	200.14.15.255	VE
200.14.16.0	200.14.31.255	MX
200.14.32.0	200.14.33.255	BR
200.14.34.0	200.14.34.255	EC
200.14.35.0	200.14.36.255	BR
200.14.40.0	200.14.47.255	CO
200.14.48.0	200.14.55.255	CU
200.14.56.0	200.14.63.255	HN
200.14.64.0	200.14.111.255	CL
200.14.112.0	200.14.113.255	CO
200.14.114.0	200.14.119.255	CL
200.14.120.0	200.14.127.255	CO
200.14.128.0	200.14.204.255	CL
200.14.205.0	200.14.207.255	CO
200.14.208.0	200.14.230.255	CL
200.14.231.0	200.14.239.255	CO
200.14.240.0	200.14.255.255	CL
200.15.0.0	200.15.255.255	US
200.16.0.0	200.16.7.255	PE
200.16.8.0	200.16.15.255	ZA
200.16.16.0	200.16.31.255	AR
200.16.32.0	200.16.63.255	MX
200.16.64.0	200.16.87.255	AR
200.16.88.0	200.16.88.255	US
200.16.96.0	200.16.255.255	AR
200.17.0.0	200.20.255.255	BR
200.21.0.0	200.21.255.255	CO
200.22.0.0	200.22.255.255	CL
200.23.0.0	200.23.255.255	MX
200.24.0.0	200.24.63.255	CO
200.24.64.0	200.24.64.255	EC
200.24.65.0	200.24.127.255	CO
200.24.128.0	200.24.135.255	PA
200.24.136.0	200.24.136.15	CR
200.24.136.16	200.24.149.255	PA
200.24.150.0	200.24.150.255	BZ
200.24.151.0	200.24.151.255	PA
200.24.152.0	200.24.152.111	BZ
200.24.152.112	200.24.152.127	PA
200.24.152.128	200.24.152.255	BZ
200.24.153.0	200.24.159.255	PA
200.24.160.0	200.24.191.255	PE
200.24.192.0	200.24.223.255	EC
200.24.224.0	200.24.239.255	CL
200.24.240.0	200.24.255.255	AR
200.25.0.0	200.25.127.255	CO
200.25.128.0	200.25.223.255	EC
200.25.224.0	200.25.255.255	CO
200.26.0.0	200.26.127.255	AR
200.26.128.0	200.26.159.255	CO
200.26.160.0	200.26.167.255	VE
200.26.168.0	200.26.175.255	DO
200.26.176.0	200.26.183.255	PY
200.26.184.0	200.26.191.255	AR
200.26.192.0	200.26.245.255	AN
200.26.246.0	200.26.246.255	AW
200.26.247.0	200.26.253.255	AN
200.26.254.0	200.26.254.255	AW
200.26.255.0	200.26.255.255	AN
200.27.0.0	200.29.95.255	CL
200.29.96.0	200.29.127.255	CO
200.29.128.0	200.29.231.255	CL
200.29.232.0	200.29.239.255	CO
200.29.240.0	200.29.247.255	EC
200.29.248.0	200.29.255.255	AR
200.30.0.0	200.30.7.255	BR
200.30.8.0	200.30.11.255	VE
200.30.12.0	200.30.13.255	PE
200.30.14.0	200.30.14.255	US
200.30.15.0	200.30.15.255	FR
200.30.16.0	200.30.19.255	US
200.30.20.0	200.30.23.255	PR
200.30.24.0	200.30.24.255	US
200.30.25.0	200.30.27.255	MX
200.30.28.0	200.30.30.255	VE
200.30.31.0	200.30.31.255	US
200.30.32.0	200.30.35.255	CL
200.30.36.0	200.30.36.255	NI
200.30.37.0	200.30.37.255	PR
200.30.38.0	200.30.39.255	GT
200.30.40.0	200.30.41.255	SZ
200.30.42.0	200.30.45.255	CO
200.30.46.0	200.30.46.255	CL
200.30.47.0	200.30.47.255	CO
200.30.48.0	200.30.52.255	NI
200.30.53.0	200.30.53.255	PR
200.30.54.0	200.30.54.255	CO
200.30.55.0	200.30.59.255	VE
200.30.60.0	200.30.63.255	CL
200.30.64.0	200.30.127.255	CO
200.30.128.0	200.30.128.255	NI
200.30.129.0	200.30.129.255	HN
200.30.130.0	200.30.130.255	NI
200.30.131.0	200.30.131.255	SV
200.30.132.0	200.30.132.255	NI
200.30.133.0	200.30.133.255	GT
200.30.134.0	200.30.137.255	HN
200.30.138.0	200.30.138.255	SV
200.30.139.0	200.30.139.255	HN
200.30.140.0	200.30.151.255	GT
200.30.152.0	200.30.153.255	SV
200.30.154.0	200.30.154.255	GT
200.30.155.0	200.30.157.255	HN
200.30.158.0	200.30.161.255	GT
200.30.162.0	200.30.164.255	HN
200.30.165.0	200.30.165.255	NI
200.30.166.0	200.30.166.255	HN
200.30.167.0	200.30.167.255	GT
200.30.168.0	200.30.169.255	HN
200.30.170.0	200.30.170.255	NI
200.30.171.0	200.30.171.255	SV
200.30.172.0	200.30.176.255	GT
200.30.177.0	200.30.177.255	NI
200.30.178.0	200.30.178.255	HN
200.30.179.0	200.30.179.255	SV
200.30.180.0	200.30.191.255	GT
200.30.192.0	200.30.255.255	CL
200.31.0.0	200.31.0.255	PR
200.31.1.0	200.31.3.255	AR
200.31.4.0	200.31.5.255	VE
200.31.6.0	200.31.6.255	US
200.31.7.0	200.31.7.255	PR
200.31.8.0	200.31.10.255	EC
200.31.11.0	200.31.11.255	AR
200.31.12.0	200.31.23.255	CO
200.31.24.0	200.31.31.255	EC
200.31.32.0	200.31.63.255	CL
200.31.64.0	200.31.95.255	CO
200.31.96.0	200.31.127.255	PE
200.31.128.0	200.31.159.255	VE
200.31.160.0	200.31.191.255	SV
200.31.192.0	200.31.223.255	CO
200.31.224.0	200.31.239.255	AR
200.32.0.0	200.32.63.255	AR
200.32.64.0	200.32.64.255	VE
200.32.65.0	200.32.67.255	MX
200.32.68.0	200.32.68.255	EC
200.32.69.0	200.32.69.31	AR
200.32.69.32	200.32.73.255	EC
200.32.74.0	200.32.76.255	CL
200.32.77.0	200.32.77.255	HN
200.32.78.0	200.32.78.255	MX
200.32.79.0	200.32.79.255	PR
200.32.80.0	200.32.83.255	CO
200.32.84.0	200.32.159.255	AR
200.32.160.0	200.32.191.255	CL
200.32.192.0	200.32.255.255	BZ
200.33.0.0	200.34.255.255	MX
200.35.0.0	200.35.31.255	VE
200.35.32.0	200.35.63.255	CO
200.35.64.0	200.35.80.47	VE
200.35.80.48	200.35.80.55	BO
200.35.80.56	200.35.143.255	VE
200.35.144.0	200.35.151.255	PA
200.35.152.0	200.35.159.255	UY
200.35.160.0	200.35.191.255	GT
200.35.192.0	200.35.255.255	VE
200.36.0.0	200.36.255.255	MX
200.37.0.0	200.37.255.255	PE
200.38.0.0	200.39.255.255	MX
200.40.0.0	200.40.255.255	UY
200.41.0.0	200.41.3.255	EC
200.41.4.0	200.41.4.191	CO
200.41.4.192	200.41.4.215	GT
200.41.4.216	200.41.7.15	CO
200.41.7.16	200.41.7.23	GT
200.41.7.24	200.41.7.255	CO
200.41.8.0	200.41.8.255	AR
200.41.9.0	200.41.9.255	CO
200.41.10.0	200.41.11.255	EC
200.41.12.0	200.41.12.255	VE
200.41.13.0	200.41.13.255	CO
200.41.14.0	200.41.48.255	AR
200.41.49.0	200.41.50.255	CO
200.41.51.0	200.41.51.255	VE
200.41.52.0	200.41.52.255	CL
200.41.53.0	200.41.53.255	HN
200.41.54.0	200.41.54.255	SV
200.41.55.0	200.41.55.255	CL
200.41.56.0	200.41.56.255	HN
200.41.57.0	200.41.57.255	VE
200.41.58.0	200.41.75.255	AR
200.41.76.0	200.41.79.255	CO
200.41.80.0	200.41.81.255	EC
200.41.82.0	200.41.82.255	PY
200.41.83.0	200.41.83.255	CO
200.41.84.0	200.41.87.255	GT
200.41.88.0	200.41.88.31	AR
200.41.88.32	200.41.88.63	VE
200.41.88.64	200.41.88.127	US
200.41.88.128	200.41.90.63	AR
200.41.90.64	200.41.90.95	US
200.41.90.96	200.41.90.127	AR
200.41.90.128	200.41.91.63	US
200.41.91.64	200.41.91.127	AR
200.41.91.128	200.41.91.191	PR
200.41.91.192	200.41.91.255	US
200.41.92.0	200.41.92.255	EC
200.41.93.0	200.41.93.255	VE
200.41.94.0	200.41.94.255	CL
200.41.95.0	200.41.95.255	SV
200.41.96.0	200.41.99.255	PE
200.41.100.0	200.41.100.255	HN
200.41.101.0	200.41.111.255	PE
200.41.112.0	200.41.113.55	VE
200.41.113.56	200.41.113.63	US
200.41.113.64	200.41.113.255	VE
200.41.114.0	200.41.114.255	EC
200.41.115.0	200.41.115.255	US
200.41.116.0	200.41.119.255	VE
200.41.120.0	200.41.239.255	AR
200.41.240.0	200.41.243.255	CL
200.41.244.0	200.42.159.255	AR
200.42.160.0	200.42.191.255	CL
200.42.192.0	200.42.255.255	DO
200.43.0.0	200.43.10.255	AR
200.43.11.0	200.43.11.255	PY
200.43.12.0	200.43.255.255	AR
200.44.0.0	200.44.255.255	VE
200.45.0.0	200.45.255.255	AR
200.46.0.0	200.46.255.255	PA
200.47.0.0	200.47.78.255	AR
200.47.79.0	200.47.79.255	VE
200.47.80.0	200.47.80.255	MX
200.47.81.0	200.47.122.255	AR
200.47.123.0	200.47.123.127	UY
200.47.123.128	200.47.123.255	US
200.47.124.0	200.47.135.255	AR
200.47.136.0	200.47.138.255	PY
200.47.139.0	200.47.139.255	AR
200.47.140.0	200.47.143.255	VE
200.47.144.0	200.47.149.255	AR
200.47.150.0	200.47.151.255	VE
200.47.152.0	200.47.155.255	PE
200.47.156.0	200.47.158.255	CO
200.47.159.0	200.47.159.255	MX
200.47.160.0	200.47.171.255	AR
200.47.172.0	200.47.175.255	CO
200.47.176.0	200.47.177.255	AR
200.47.178.0	200.47.179.255	MX
200.47.180.0	200.47.183.255	VE
200.47.184.0	200.47.184.255	MX
200.47.185.0	200.47.186.255	PE
200.47.187.0	200.47.188.255	MX
200.47.189.0	200.47.189.255	AR
200.47.190.0	200.47.191.255	MX
200.47.192.0	200.47.197.127	AR
200.47.197.128	200.47.197.255	UY
200.47.198.0	200.47.208.255	AR
200.47.209.0	200.47.210.127	PE
200.47.210.128	200.47.214.255	AR
200.47.215.0	200.47.215.255	VE
200.47.216.0	200.47.220.255	CO
200.47.221.0	200.47.221.255	AR
200.47.222.0	200.47.223.255	PE
200.47.224.0	200.47.255.255	AR
200.48.0.0	200.48.255.255	PE
200.49.0.0	200.49.15.255	AR
200.49.16.0	200.49.23.255	CL
200.49.24.0	200.49.35.31	AR
200.49.35.32	200.49.35.63	US
200.49.35.64	200.49.42.255	AR
200.49.43.0	200.49.43.127	US
200.49.43.128	200.49.46.127	AR
200.49.46.128	200.49.46.255	US
200.49.47.0	200.49.47.127	AR
200.49.47.128	200.49.47.255	US
200.49.48.0	200.49.159.255	AR
200.49.160.0	200.49.191.255	GT
200.49.192.0	200.49.239.255	AR
200.49.240.0	200.49.247.255	EC
200.49.248.0	200.49.255.255	AR
200.50.0.0	200.50.0.75	PR
200.50.0.76	200.50.0.83	DO
200.50.0.84	200.50.7.255	PR
200.50.8.0	200.50.11.255	DO
200.50.12.0	200.50.12.255	PR
200.50.13.0	200.50.13.255	AN
200.50.14.0	200.50.15.255	PR
200.50.16.0	200.50.19.255	DO
200.50.20.0	200.50.20.255	AN
200.50.21.0	200.50.31.255	PR
200.50.32.0	200.50.63.255	CL
200.50.64.0	200.50.66.215	BB
200.50.66.216	200.50.66.223	CA
200.50.66.224	200.50.70.255	BB
200.50.71.0	200.50.72.255	GD
200.50.73.0	200.50.76.255	BB
200.50.77.0	200.50.77.255	KN
200.50.78.0	200.50.95.255	BB
200.50.96.0	200.50.127.255	CL
200.50.128.0	200.50.143.255	BB
200.50.144.0	200.50.159.255	CL
200.50.160.0	200.50.176.255	AR
200.50.177.0	200.50.177.255	UY
200.50.178.0	200.50.178.255	AR
200.50.179.0	200.50.181.255	UY
200.50.182.0	200.50.191.255	AR
200.50.192.0	200.50.223.255	HT
200.50.224.0	200.50.231.255	CR
200.50.232.0	200.50.239.255	EC
200.50.240.0	200.51.143.255	AR
200.51.144.0	200.51.163.255	UY
200.51.164.0	200.51.171.255	AR
200.51.172.0	200.51.175.255	CL
200.51.176.0	200.51.255.255	AR
200.52.0.0	200.53.255.255	MX
200.54.0.0	200.54.255.255	CL
200.55.0.0	200.55.127.255	AR
200.55.128.0	200.55.191.255	CU
200.55.192.0	200.55.223.255	CL
200.55.224.0	200.55.239.255	EC
200.55.240.0	200.55.247.255	AR
200.55.248.0	200.55.255.255	EC
200.56.0.0	200.57.255.255	MX
200.58.0.0	200.58.15.255	US
200.58.16.0	200.58.16.15	BR
200.58.16.16	200.58.21.15	US
200.58.21.16	200.58.21.95	AR
200.58.21.96	200.58.21.127	BR
200.58.21.128	200.58.21.223	AR
200.58.21.224	200.58.22.255	US
200.58.23.0	200.58.30.71	AR
200.58.30.72	200.58.30.79	IT
200.58.30.80	200.58.30.95	US
200.58.30.96	200.58.30.127	AR
200.58.30.128	200.58.30.191	US
200.58.30.192	200.58.30.255	AR
200.58.31.0	200.58.47.255	US
200.58.48.0	200.58.48.63	BR
200.58.48.64	200.58.49.255	US
200.58.50.0	200.58.50.15	BR
200.58.50.16	200.58.50.39	AR
200.58.50.40	200.58.50.47	BR
200.58.50.48	200.58.50.63	AR
200.58.50.64	200.58.50.95	BR
200.58.50.96	200.58.50.127	US
200.58.50.128	200.58.50.159	AR
200.58.50.160	200.58.50.175	BR
200.58.50.176	200.58.50.191	US
200.58.50.192	200.58.50.223	AR
200.58.50.224	200.58.50.239	US
200.58.50.240	200.58.50.255	AR
200.58.51.0	200.58.63.255	US
200.58.64.0	200.58.95.255	BO
200.58.96.0	200.58.127.255	AR
200.58.128.0	200.58.159.255	UY
200.58.160.0	200.58.191.255	BO
200.58.192.0	200.58.239.255	CO
200.58.240.0	200.58.247.255	DO
200.58.248.0	200.58.255.255	CL
200.59.0.0	200.59.15.255	AR
200.59.16.0	200.59.23.255	CR
200.59.24.0	200.59.31.255	HN
200.59.32.0	200.59.183.255	AR
200.59.184.0	200.59.191.255	VE
200.59.192.0	200.59.199.255	AR
200.59.200.0	200.59.203.255	UY
200.59.204.0	200.59.207.255	AR
200.59.224.0	200.59.255.255	AR
200.60.0.0	200.60.255.255	PE
200.61.0.0	200.61.64.207	AR
200.61.64.208	200.61.64.223	EC
200.61.64.224	200.61.65.159	AR
200.61.65.160	200.61.65.191	BO
200.61.65.192	200.61.65.255	AR
200.61.66.0	200.61.71.255	EC
200.61.72.0	200.61.72.255	PY
200.61.73.0	200.61.77.239	AR
200.61.77.240	200.61.78.255	UY
200.61.79.0	200.61.79.255	AR
200.61.80.0	200.61.81.255	EC
200.61.82.0	200.61.82.63	AR
200.61.82.64	200.61.82.127	HN
200.61.82.128	200.61.83.127	AR
200.61.83.128	200.61.83.191	UY
200.61.83.192	200.61.83.255	AR
200.61.84.0	200.61.84.255	UY
200.61.85.0	200.61.87.231	AR
200.61.87.232	200.61.87.239	CO
200.61.87.240	200.61.88.239	AR
200.61.88.240	200.61.88.255	PY
200.61.89.0	200.61.89.63	HN
200.61.89.64	200.61.89.255	AR
200.61.90.0	200.61.90.191	EC
200.61.90.192	200.61.90.255	AR
200.61.91.0	200.61.91.255	EC
200.61.92.0	200.61.95.255	UY
200.61.96.0	200.61.97.255	CO
200.61.98.0	200.61.99.255	AR
200.61.100.0	200.61.100.255	BO
200.61.101.0	200.61.102.255	AR
200.61.103.0	200.61.103.255	UY
200.61.104.0	200.61.105.255	BO
200.61.106.0	200.61.107.255	UY
200.61.108.0	200.61.108.255	AR
200.61.109.0	200.61.111.255	UY
200.61.112.0	200.61.115.255	AR
200.61.116.0	200.61.119.255	PY
200.61.120.0	200.61.121.255	AR
200.61.122.0	200.61.123.255	BO
200.61.124.0	200.61.127.255	PY
200.61.128.0	200.61.134.159	CO
200.61.134.160	200.61.134.167	AR
200.61.134.168	200.61.135.63	CO
200.61.135.64	200.61.135.95	AR
200.61.135.96	200.61.135.159	CO
200.61.135.160	200.61.135.167	AR
200.61.135.168	200.61.147.159	CO
200.61.147.160	200.61.147.191	AR
200.61.147.192	200.61.149.255	CO
200.61.150.0	200.61.150.7	AR
200.61.150.8	200.61.150.31	CO
200.61.150.32	200.61.150.47	AR
200.61.150.48	200.61.150.79	CO
200.61.150.80	200.61.150.87	AR
200.61.150.88	200.61.150.191	CO
200.61.150.192	200.61.150.255	AR
200.61.151.0	200.61.154.255	CO
200.61.155.0	200.61.155.239	AR
200.61.155.240	200.61.156.39	CO
200.61.156.40	200.61.156.55	AR
200.61.156.56	200.61.156.79	CO
200.61.156.80	200.61.156.83	AR
200.61.156.84	200.61.156.95	CO
200.61.156.96	200.61.156.103	AR
200.61.156.104	200.61.156.127	CO
200.61.156.128	200.61.156.143	AR
200.61.156.144	200.61.158.255	CO
200.61.159.0	200.61.159.63	AR
200.61.159.64	200.61.159.127	CO
200.61.159.128	200.61.159.143	AR
200.61.159.144	200.61.159.223	CO
200.61.159.224	200.61.159.239	AR
200.61.159.240	200.61.159.255	CO
200.61.160.0	200.61.223.255	AR
200.61.224.0	200.61.235.255	PY
200.61.236.0	200.61.239.255	SR
200.62.0.0	200.62.7.255	US
200.62.8.0	200.62.31.255	VE
200.62.32.0	200.62.39.255	GT
200.62.40.0	200.62.40.255	VG
200.62.41.0	200.62.41.255	US
200.62.42.0	200.62.42.255	VG
200.62.43.0	200.62.43.255	US
200.62.44.0	200.62.44.255	VG
200.62.45.0	200.62.53.255	US
200.62.54.0	200.62.55.255	AR
200.62.56.0	200.62.63.255	US
200.62.64.0	200.62.127.255	NI
200.62.128.0	200.62.255.255	PE
200.63.0.0	200.63.39.255	AR
200.63.40.0	200.63.47.255	PA
200.63.48.0	200.63.55.255	AR
200.63.56.0	200.63.63.255	CL
200.63.64.0	200.63.67.255	AR
200.63.68.0	200.63.68.255	UY
200.63.69.0	200.63.95.255	AR
200.63.96.0	200.63.103.255	CL
200.63.112.0	200.63.191.255	AR
200.63.192.0	200.63.255.255	EC
200.64.0.0	200.66.82.15	MX
200.66.82.16	200.66.82.31	US
200.66.82.32	200.67.255.255	MX
200.68.0.0	200.68.63.255	CL
200.68.64.0	200.68.127.255	AR
200.68.128.0	200.68.178.255	CO
200.68.179.0	200.68.179.255	EC
200.68.180.0	200.68.191.255	CO
200.68.192.0	200.69.17.127	AR
200.69.17.128	200.69.17.255	UY
200.69.18.0	200.69.95.255	AR
200.69.96.0	200.69.127.255	CO
200.69.128.0	200.69.159.255	AR
200.69.160.0	200.69.191.255	EC
200.69.192.0	200.70.255.255	AR
200.71.0.0	200.71.31.255	UY
200.71.32.0	200.71.79.255	CO
200.71.80.0	200.71.87.255	BO
200.71.88.0	200.71.95.255	AR
200.71.96.0	200.71.127.255	CO
200.71.128.0	200.71.191.255	VE
200.71.192.0	200.71.223.255	CL
200.71.224.0	200.71.239.255	AR
200.71.240.0	200.71.247.255	VE
200.71.248.0	200.71.255.255	AN
200.72.0.0	200.72.255.255	CL
200.73.0.0	200.73.3.95	CO
200.73.3.96	200.73.3.127	CL
200.73.3.128	200.73.5.31	CO
200.73.5.32	200.73.5.55	CL
200.73.5.56	200.73.6.255	CO
200.73.7.0	200.73.15.255	CL
200.73.16.0	200.73.16.31	CO
200.73.16.32	200.73.16.39	CL
200.73.16.40	200.73.16.63	CO
200.73.16.64	200.73.16.95	CL
200.73.16.96	200.73.16.175	CO
200.73.16.176	200.73.16.183	CL
200.73.16.184	200.73.16.255	CO
200.73.17.0	200.73.28.255	CL
200.73.29.0	200.73.30.255	CO
200.73.31.0	200.73.31.7	CL
200.73.31.8	200.73.31.255	CO
200.73.32.0	200.73.34.255	CL
200.73.35.0	200.73.35.15	CO
200.73.35.16	200.73.35.23	CL
200.73.35.24	200.73.35.135	CO
200.73.35.136	200.73.35.151	CL
200.73.35.152	200.73.35.199	CO
200.73.35.200	200.73.35.215	CL
200.73.35.216	200.73.35.239	CO
200.73.35.240	200.73.35.255	CL
200.73.36.0	200.73.36.255	CO
200.73.37.0	200.73.41.255	CL
200.73.42.0	200.73.45.255	CO
200.73.46.0	200.73.47.255	CL
200.73.48.0	200.73.52.255	CO
200.73.53.0	200.73.64.255	CL
200.73.65.0	200.73.81.255	CO
200.73.82.0	200.73.82.255	CL
200.73.83.0	200.73.95.255	CO
200.73.96.0	200.73.103.255	BO
200.73.104.0	200.73.111.255	SV
200.73.112.0	200.73.119.255	AR
200.73.120.0	200.73.127.255	CL
200.73.128.0	200.73.191.255	AR
200.73.192.0	200.73.199.255	VE
200.73.200.0	200.73.207.255	EC
200.73.208.0	200.73.215.255	CL
200.73.216.0	200.73.223.255	CO
200.73.224.0	200.74.127.255	CL
200.74.128.0	200.74.159.255	CO
200.74.160.0	200.74.191.255	CL
200.74.192.0	200.74.239.255	VE
200.74.240.0	200.74.247.255	PA
200.74.248.0	200.74.255.255	CR
200.75.0.0	200.75.31.255	CL
200.75.32.0	200.75.95.255	CO
200.75.96.0	200.75.159.255	VE
200.75.160.0	200.75.175.255	BO
200.75.176.0	200.75.179.255	AR
200.75.180.0	200.75.183.255	US
200.75.184.0	200.75.191.255	HN
200.75.192.0	200.75.255.255	PA
200.76.0.0	200.79.255.255	MX
200.80.0.0	200.80.6.255	CO
200.80.7.0	200.80.9.255	AR
200.80.10.0	200.80.10.127	CO
200.80.10.128	200.80.11.255	AR
200.80.12.0	200.80.12.255	CO
200.80.13.0	200.80.13.127	AR
200.80.13.128	200.80.13.255	CO
200.80.14.0	200.80.14.255	AR
200.80.15.0	200.80.15.255	CO
200.80.16.0	200.80.16.127	AR
200.80.16.128	200.80.16.255	CO
200.80.17.0	200.80.18.31	AR
200.80.18.32	200.80.18.63	CO
200.80.18.64	200.80.18.255	AR
200.80.19.0	200.80.21.255	CO
200.80.22.0	200.80.24.127	AR
200.80.24.128	200.80.24.143	CO
200.80.24.144	200.80.25.127	AR
200.80.25.128	200.80.25.255	CO
200.80.26.0	200.80.27.255	AR
200.80.28.0	200.80.28.63	CO
200.80.28.64	200.80.28.95	AR
200.80.28.96	200.80.28.255	CO
200.80.29.0	200.80.30.31	AR
200.80.30.32	200.80.30.63	CO
200.80.30.64	200.80.30.255	AR
200.80.31.0	200.80.31.63	CO
200.80.31.64	200.80.31.127	AR
200.80.31.128	200.80.31.255	CO
200.80.32.0	200.80.32.31	AR
200.80.32.32	200.80.32.191	CO
200.80.32.192	200.80.35.31	AR
200.80.35.32	200.80.35.47	CO
200.80.35.48	200.80.35.127	AR
200.80.35.128	200.80.35.159	CO
200.80.35.160	200.80.35.175	AR
200.80.35.176	200.80.35.255	CO
200.80.36.0	200.80.40.127	AR
200.80.40.128	200.80.40.191	CO
200.80.40.192	200.80.40.207	AR
200.80.40.208	200.80.41.159	CO
200.80.41.160	200.80.41.191	AR
200.80.41.192	200.80.41.255	CO
200.80.42.0	200.80.46.255	AR
200.80.47.0	200.80.51.255	CO
200.80.52.0	200.80.54.255	AR
200.80.55.0	200.80.55.255	CO
200.80.56.0	200.80.59.127	AR
200.80.59.128	200.80.59.255	CO
200.80.60.0	200.80.95.255	AR
200.80.96.0	200.80.127.255	HT
200.80.128.0	200.81.47.255	AR
200.81.48.0	200.81.55.255	GT
200.81.56.0	200.81.63.255	CO
200.81.64.0	200.81.71.255	PY
200.81.72.0	200.81.76.255	EC
200.81.77.0	200.81.78.255	AR
200.81.79.0	200.81.79.255	EC
200.81.80.0	200.81.80.255	AR
200.81.81.0	200.81.81.127	BO
200.81.81.128	200.81.81.255	AR
200.81.82.0	200.81.83.255	EC
200.81.84.0	200.81.87.255	BO
200.81.88.0	200.81.88.255	EC
200.81.89.0	200.81.89.255	AR
200.81.90.0	200.81.90.255	EC
200.81.91.0	200.81.91.175	AR
200.81.91.176	200.81.91.187	EC
200.81.91.188	200.81.91.255	AR
200.81.92.0	200.81.93.255	BO
200.81.94.0	200.81.143.255	AR
200.81.144.0	200.81.151.255	CL
200.81.152.0	200.82.127.255	AR
200.82.128.0	200.82.255.255	VE
200.83.0.0	200.83.255.255	CL
200.84.0.0	200.84.255.255	VE
200.85.0.0	200.85.31.255	SV
200.85.32.0	200.85.63.255	PY
200.85.64.0	200.85.79.255	VE
200.85.80.0	200.85.87.255	EC
200.85.88.0	200.85.127.255	AR
200.85.128.0	200.85.151.255	BO
200.85.152.0	200.85.159.255	AR
200.85.160.0	200.85.175.255	NI
200.85.176.0	200.85.191.255	AR
200.85.192.0	200.85.223.255	CL
200.85.224.0	200.85.255.255	CO
200.86.0.0	200.86.255.255	CL
200.87.0.0	200.87.255.255	BO
200.88.0.0	200.88.255.255	DO
200.89.0.0	200.89.31.255	PE
200.89.32.0	200.89.79.255	CL
200.89.80.0	200.89.87.255	SV
200.89.88.0	200.89.95.255	DO
200.89.96.0	200.89.127.255	CO
200.89.128.0	200.89.191.255	AR
200.89.192.0	200.89.255.255	CO
200.90.0.0	200.90.127.255	VE
200.90.128.0	200.90.143.255	PA
200.90.144.0	200.90.151.255	BO
200.90.152.0	200.90.159.255	EC
200.90.160.0	200.91.31.255	CL
200.91.32.0	200.91.39.255	AR
200.91.40.0	200.91.47.255	CL
200.91.48.0	200.91.63.255	AR
200.91.64.0	200.91.191.255	CR
200.91.192.0	200.91.255.255	CO
200.92.0.0	200.92.255.255	MX
200.93.0.0	200.93.127.255	VE
200.93.128.0	200.93.191.255	CO
200.93.192.0	200.93.239.255	EC
200.93.240.0	200.93.247.255	UY
200.93.248.0	200.93.255.255	EC
200.94.0.0	200.95.255.255	MX
200.96.0.0	200.103.255.255	BR
200.104.0.0	200.104.255.255	CL
200.105.0.0	200.105.0.255	AR
200.105.1.0	200.105.1.255	UY
200.105.2.0	200.105.7.255	AR
200.105.8.0	200.105.15.255	BR
200.105.16.0	200.105.23.255	CO
200.105.24.0	200.105.31.255	MX
200.105.32.0	200.105.47.255	PA
200.105.48.0	200.105.55.255	CO
200.105.56.0	200.105.59.255	AR
200.105.60.0	200.105.67.255	CO
200.105.68.0	200.105.68.255	GT
200.105.69.0	200.105.69.255	PA
200.105.70.0	200.105.70.255	AR
200.105.71.0	200.105.71.255	PA
200.105.72.0	200.105.79.255	CO
200.105.80.0	200.105.87.255	PA
200.105.88.0	200.105.95.255	CO
200.105.96.0	200.105.103.255	CR
200.105.104.0	200.105.111.255	AR
200.105.112.0	200.105.119.255	EC
200.105.120.0	200.105.127.255	AR
200.105.128.0	200.105.191.255	BO
200.105.192.0	200.105.207.255	PE
200.105.208.0	200.105.223.255	BO
200.105.224.0	200.105.255.255	EC
200.106.0.0	200.106.127.255	PE
200.106.128.0	200.106.143.255	CO
200.106.144.0	200.106.151.255	PA
200.106.152.0	200.106.159.255	CL
200.106.160.0	200.106.223.255	CO
200.106.224.0	200.106.239.255	SV
200.107.0.0	200.107.63.255	EC
200.107.64.0	200.107.79.255	CL
200.107.80.0	200.107.80.255	HN
200.107.81.0	200.107.81.255	AR
200.107.82.0	200.107.83.255	CR
200.107.88.0	200.107.95.255	AR
200.107.96.0	200.107.111.255	PE
200.107.112.0	200.107.113.255	AR
200.107.114.0	200.107.114.255	UY
200.107.115.0	200.107.117.255	AR
200.107.118.0	200.107.118.255	UY
200.107.119.0	200.107.119.255	AR
200.107.120.0	200.107.127.255	HN
200.107.128.0	200.107.191.255	PE
200.107.192.0	200.107.199.255	VE
200.107.200.0	200.107.207.255	AR
200.107.208.0	200.107.215.255	HN
200.107.216.0	200.107.223.255	GT
200.107.224.0	200.107.231.255	AR
200.107.232.0	200.107.239.255	HN
200.107.240.0	200.107.247.255	BO
200.107.248.0	200.107.255.255	EC
200.108.0.0	200.108.31.255	TT
200.108.32.0	200.108.47.255	PA
200.108.64.0	200.108.95.255	AR
200.108.96.0	200.108.111.255	PE
200.108.128.0	200.108.143.255	PY
200.108.160.0	200.108.163.255	BZ
200.108.164.0	200.108.164.127	PA
200.108.164.128	200.108.165.255	BZ
200.108.166.0	200.108.166.127	PA
200.108.166.128	200.108.167.255	BZ
200.108.168.0	200.108.168.127	PA
200.108.168.128	200.108.169.127	BZ
200.108.169.128	200.108.169.255	PA
200.108.170.0	200.108.172.255	BZ
200.108.173.0	200.108.173.127	PA
200.108.173.128	200.108.173.255	BZ
200.108.174.0	200.108.174.127	PA
200.108.174.128	200.108.180.255	BZ
200.108.181.0	200.108.181.255	PA
200.108.182.0	200.108.189.255	BZ
200.108.190.0	200.108.190.255	PA
200.108.191.0	200.108.191.255	BZ
200.108.192.0	200.108.255.255	UY
200.109.0.0	200.109.255.255	VE
200.110.0.0	200.110.63.255	PE
200.110.64.0	200.110.95.255	EC
200.110.96.0	200.110.111.255	CO
200.110.112.0	200.110.127.255	EC
200.110.128.0	200.110.131.255	CO
200.110.132.0	200.110.135.255	AR
200.110.136.0	200.110.137.255	CO
200.110.138.0	200.110.139.255	AR
200.110.140.0	200.110.141.127	CO
200.110.141.128	200.110.141.255	AR
200.110.142.0	200.110.145.255	CO
200.110.146.0	200.110.147.255	AR
200.110.148.0	200.110.148.255	CO
200.110.149.0	200.110.150.127	AR
200.110.150.128	200.110.150.255	CO
200.110.151.0	200.110.151.255	AR
200.110.152.0	200.110.152.255	CO
200.110.153.0	200.110.153.255	PA
200.110.154.0	200.110.155.255	CO
200.110.156.0	200.110.156.255	AR
200.110.157.0	200.110.157.127	MX
200.110.157.128	200.110.157.255	AR
200.110.158.0	200.110.158.255	CO
200.110.159.0	200.110.167.255	AR
200.110.168.0	200.110.175.255	CO
200.110.176.0	200.110.199.255	AR
200.110.200.0	200.110.207.255	GT
200.110.208.0	200.110.231.255	AR
200.110.232.0	200.110.239.255	EC
200.110.240.0	200.110.255.255	GT
200.111.0.0	200.112.127.255	CL
200.112.128.0	200.112.191.255	AR
200.112.192.0	200.112.207.255	BO
200.112.224.0	200.113.191.255	CL
200.113.192.0	200.113.223.255	HT
200.114.0.0	200.114.79.255	CO
200.114.80.0	200.114.87.255	AR
200.114.88.0	200.114.95.255	CL
200.114.96.0	200.114.111.255	AR
200.114.112.0	200.114.119.255	GT
200.114.120.0	200.115.15.255	AR
200.115.32.0	200.115.47.255	EC
200.115.64.0	200.115.79.255	UY
200.115.96.0	200.115.127.255	CO
200.115.128.0	200.115.191.255	PA
200.115.192.0	200.115.255.255	AR
200.116.0.0	200.116.255.255	CO
200.117.0.0	200.117.255.255	AR
200.118.0.0	200.119.127.255	CO
200.119.128.0	200.119.191.255	GT
200.119.192.0	200.119.223.255	BO
200.119.224.0	200.120.255.255	CL
200.121.0.0	200.121.255.255	PE
200.122.0.0	200.122.127.255	AR
200.122.128.0	200.122.191.255	CR
200.122.192.0	200.122.255.255	CO
200.123.0.0	200.123.31.255	PE
200.123.64.0	200.123.193.255	AR
200.123.194.0	200.123.194.255	PE
200.123.195.0	200.123.207.255	AR
200.123.224.0	200.123.239.255	CO
200.124.0.0	200.124.31.255	PA
200.124.32.0	200.124.63.255	CL
200.124.64.0	200.124.95.255	BZ
200.124.128.0	200.124.159.255	AN
200.124.160.0	200.124.175.255	CO
200.124.192.0	200.124.207.255	UY
200.124.224.0	200.124.255.255	EC
200.125.0.0	200.125.63.255	UY
200.125.64.0	200.125.127.255	AR
200.125.128.0	200.125.159.255	EC
200.125.160.0	200.125.167.255	TT
200.125.168.0	200.125.175.255	NI
200.125.176.0	200.125.183.255	GT
200.125.184.0	200.125.191.255	VE
200.125.192.0	200.125.255.255	EC
200.126.0.0	200.126.31.255	CU
200.126.32.0	200.126.47.255	CL
200.126.64.0	200.126.127.255	CL
200.126.128.0	200.127.255.255	AR
200.128.0.0	201.95.255.255	BR
201.96.0.0	201.175.255.255	MX
201.191.0.0	201.207.255.255	CR
201.208.0.0	201.211.255.255	VE
201.212.0.0	201.213.255.255	AR
201.214.0.0	201.215.255.255	CL
201.216.0.0	201.216.63.255	CO
201.216.64.0	201.216.86.255	AN
201.216.87.0	201.216.87.255	VG
201.216.88.0	201.216.127.255	AN
201.216.128.0	201.216.191.255	GT
201.216.192.0	201.216.255.255	AR
201.217.0.0	201.217.63.255	PY
201.217.64.0	201.217.127.255	EC
201.217.128.0	201.217.191.255	UY
201.217.192.0	201.217.223.255	CO
201.218.0.0	201.218.63.255	EC
201.218.64.0	201.218.127.255	PA
201.218.128.0	201.218.159.255	CL
201.218.192.0	201.218.255.255	PA
201.219.0.0	201.219.63.255	EC
201.219.64.0	201.219.95.255	AR
201.219.128.0	201.219.159.255	CL
201.219.192.0	201.219.223.255	CO
201.220.0.0	201.220.15.255	AN
201.220.32.0	201.220.95.255	CO
201.220.96.0	201.220.127.255	CL
201.220.128.0	201.220.143.255	HN
201.220.160.0	201.220.191.255	AR
201.220.192.0	201.220.223.255	CU
201.220.224.0	201.220.255.255	CL
201.221.0.0	201.221.63.255	UY
201.221.64.0	201.221.95.255	TT
201.221.96.0	201.221.111.255	AR
201.221.112.0	201.221.119.255	CL
201.221.128.0	201.221.191.255	CO
201.221.192.0	201.221.223.255	CL
201.221.224.0	201.221.255.255	PA
201.222.0.0	201.222.15.255	VE
201.222.32.0	201.222.47.255	AN
201.222.64.0	201.222.127.255	BO
201.222.128.0	201.223.255.255	CL
201.224.0.0	201.227.255.255	PA
201.228.0.0	201.228.255.255	CO
201.229.0.0	201.229.127.255	AW
201.229.128.0	201.229.255.255	DO
201.230.0.0	201.230.255.255	PE
201.231.0.0	201.231.255.255	AR
201.232.0.0	201.233.255.255	CO
201.234.0.0	201.234.47.255	AR
201.234.48.0	201.234.63.255	PE
201.234.64.0	201.234.66.127	AR
201.234.66.128	201.234.66.255	CO
201.234.67.0	201.234.68.255	AR
201.234.69.0	201.234.69.127	CO
201.234.69.128	201.234.78.127	AR
201.234.78.128	201.234.78.255	CO
201.234.79.0	201.234.79.255	AR
201.234.80.0	201.234.95.255	EC
201.234.96.0	201.234.111.255	AR
201.234.112.0	201.234.127.255	PE
201.234.128.0	201.234.175.255	AR
201.234.176.0	201.234.191.255	CO
201.234.192.0	201.234.223.255	EC
201.234.224.0	201.234.239.255	VE
201.234.240.0	201.234.247.255	CO
201.234.248.0	201.235.255.255	AR
201.236.0.0	201.236.191.255	CL
201.236.192.0	201.236.255.255	CO
201.237.0.0	201.237.255.255	CR
201.238.0.0	201.238.63.255	VE
201.238.64.0	201.238.127.255	TT
201.238.128.0	201.238.191.255	EC
201.238.192.0	201.239.255.255	CL
201.240.0.0	201.240.255.255	PE
201.241.0.0	201.241.255.255	CL
201.242.0.0	201.243.255.255	VE
201.244.0.0	201.245.255.255	CO
201.246.0.0	201.246.255.255	CL
201.247.0.0	201.247.255.255	SV
201.248.0.0	201.249.255.255	VE
201.250.0.0	201.252.252.255	AR
201.252.253.0	201.252.253.255	PY
201.252.254.0	201.255.255.255	AR
202.0.0.0	202.0.15.255	AU
202.0.16.0	202.0.31.255	PH
202.0.32.0	202.0.63.255	NZ
202.0.64.0	202.0.64.255	AU
202.0.65.0	202.0.66.255	JP
202.0.67.0	202.0.70.255	AU
202.0.71.0	202.0.71.255	SG
202.0.72.0	202.0.73.255	JP
202.0.74.0	202.0.75.255	AU
202.0.76.0	202.0.76.255	JP
202.0.77.0	202.0.78.255	HK
202.0.80.0	202.0.80.255	PG
202.0.81.0	202.0.81.255	ID
202.0.82.0	202.0.83.255	AU
202.0.84.0	202.0.84.255	NZ
202.0.85.0	202.0.87.255	AU
202.0.88.0	202.0.89.255	SG
202.0.90.0	202.0.90.255	AU
202.0.91.0	202.0.91.255	PH
202.0.92.0	202.0.92.255	AU
202.0.93.0	202.0.93.255	JP
202.0.94.0	202.0.94.255	MY
202.0.95.0	202.0.96.255	AU
202.0.97.0	202.0.97.255	NZ
202.0.98.0	202.0.99.255	AU
202.0.100.0	202.0.100.255	HK
202.0.101.0	202.0.102.255	AU
202.0.103.0	202.0.103.255	ID
202.0.104.0	202.0.104.255	HK
202.0.105.0	202.0.109.255	AU
202.0.110.0	202.0.110.255	CN
202.0.111.0	202.0.111.255	TH
202.0.112.0	202.0.112.255	HK
202.0.113.0	202.0.115.255	AU
202.0.116.0	202.0.116.255	ID
202.0.117.0	202.0.120.255	TH
202.0.121.0	202.0.121.255	NZ
202.0.122.0	202.0.123.255	HK
202.0.124.0	202.0.125.255	NZ
202.0.126.0	202.0.127.255	SG
202.0.128.0	202.0.147.255	HK
202.0.148.0	202.0.148.255	AU
202.0.149.0	202.0.150.255	SG
202.0.151.0	202.0.151.255	NZ
202.0.152.0	202.0.152.255	SG
202.0.153.0	202.0.153.255	NZ
202.0.154.0	202.0.155.255	AU
202.0.156.0	202.0.159.255	NC
202.0.160.0	202.0.183.255	HK
202.0.184.0	202.0.187.255	AU
202.0.188.0	202.0.191.255	FR
202.0.192.0	202.0.255.255	US
202.1.0.0	202.1.4.255	AU
202.1.5.0	202.1.5.255	SG
202.1.6.0	202.1.7.255	HK
202.1.8.0	202.1.15.255	NZ
202.1.16.0	202.1.31.255	AU
202.1.32.0	202.1.63.255	PG
202.1.64.0	202.1.113.255	SG
202.1.114.0	202.1.115.255	PH
202.1.116.0	202.1.119.255	AU
202.1.120.0	202.1.127.255	IN
202.1.128.0	202.1.159.255	SG
202.1.160.0	202.1.191.255	SB
202.1.192.0	202.1.207.255	MV
202.1.208.0	202.1.223.255	JP
202.1.224.0	202.1.231.255	AU
202.1.232.0	202.1.232.255	HK
202.1.233.0	202.1.235.255	AU
202.1.236.0	202.1.236.255	ID
202.1.237.0	202.1.238.255	AU
202.1.239.0	202.1.239.255	SG
202.1.240.0	202.1.255.255	PG
202.2.0.0	202.2.3.255	AU
202.2.4.0	202.2.15.255	NZ
202.2.16.0	202.2.31.255	AU
202.2.32.0	202.2.51.255	HK
202.2.52.0	202.2.55.255	TW
202.2.56.0	202.2.63.255	AU
202.2.64.0	202.2.87.255	HK
202.2.88.0	202.2.91.255	JP
202.2.92.0	202.2.95.255	ID
202.2.96.0	202.2.127.255	TV
202.2.128.0	202.2.137.15	JP
202.2.137.16	202.2.137.19	AU
202.2.137.20	202.2.142.230	JP
202.2.142.231	202.2.142.231	SG
202.2.142.232	202.2.144.63	JP
202.2.144.64	202.2.144.127	CN
202.2.144.128	202.2.255.255	JP
202.3.0.0	202.3.5.255	AU
202.3.6.0	202.3.7.255	HK
202.3.8.0	202.3.12.255	AU
202.3.13.0	202.3.13.255	IN
202.3.15.0	202.3.15.255	IN
202.3.16.0	202.3.31.255	NZ
202.3.32.0	202.3.63.255	AU
202.3.64.0	202.3.64.255	IN
202.3.65.0	202.3.65.255	AU
202.3.66.0	202.3.66.255	IN
202.3.67.0	202.3.67.255	AU
202.3.68.0	202.3.71.255	TH
202.3.72.0	202.3.74.255	AU
202.3.75.0	202.3.77.255	IN
202.3.78.0	202.3.79.255	AU
202.3.80.0	202.3.95.255	IN
202.3.96.0	202.3.111.255	AU
202.3.112.0	202.3.127.255	IN
202.3.128.0	202.3.128.255	PF
202.3.129.0	202.3.129.255	TW
202.3.130.0	202.3.131.255	PK
202.3.132.0	202.3.134.255	AU
202.3.135.0	202.3.135.255	SG
202.3.136.0	202.3.136.255	JP
202.3.137.0	202.3.137.255	AU
202.3.138.0	202.3.139.255	SG
202.3.140.0	202.3.159.255	JP
202.3.160.0	202.3.191.255	TW
202.3.192.0	202.3.207.255	AU
202.3.208.0	202.3.223.255	ID
202.3.224.0	202.3.255.255	PF
202.4.0.0	202.4.15.255	PH
202.4.16.0	202.4.24.255	NZ
202.4.25.0	202.4.25.255	IN
202.4.26.0	202.4.27.255	HK
202.4.28.0	202.4.31.255	AU
202.4.32.0	202.4.63.255	WS
202.4.64.0	202.4.95.255	AU
202.4.96.0	202.4.127.255	BD
202.4.128.0	202.4.159.255	CN
202.4.160.0	202.4.161.255	ID
202.4.162.0	202.4.163.255	AU
202.4.164.0	202.4.164.255	IN
202.4.165.0	202.4.166.255	AU
202.4.167.0	202.4.167.255	PK
202.4.168.0	202.4.168.255	VN
202.4.169.0	202.4.169.255	TW
202.4.170.0	202.4.171.255	ID
202.4.172.0	202.4.172.255	IN
202.4.173.0	202.4.173.255	BD
202.4.174.0	202.4.174.255	PH
202.4.175.0	202.4.175.255	AU
202.4.176.0	202.4.176.255	VN
202.4.177.0	202.4.178.255	IN
202.4.179.0	202.4.179.255	ID
202.4.180.0	202.4.180.255	IN
202.4.181.0	202.4.181.255	AU
202.4.182.0	202.4.182.255	IN
202.4.183.0	202.4.183.255	AU
202.4.184.0	202.4.184.255	FJ
202.4.185.0	202.4.186.255	ID
202.4.187.0	202.4.187.255	HK
202.4.188.0	202.4.188.255	AU
202.4.189.0	202.4.189.255	KH
202.4.190.0	202.4.190.255	AU
202.4.191.0	202.4.191.255	PH
202.4.192.0	202.4.223.255	HK
202.4.224.0	202.4.243.255	AU
202.4.244.0	202.4.250.255	JP
202.4.251.0	202.4.251.255	VU
202.4.252.0	202.4.255.255	CN
202.5.0.0	202.5.3.255	AU
202.5.4.0	202.5.5.255	TW
202.5.6.0	202.5.7.255	AU
202.5.8.0	202.5.15.255	TW
202.5.16.0	202.5.31.255	HK
202.5.32.0	202.5.63.255	BD
202.5.64.0	202.5.79.255	JP
202.5.80.0	202.5.95.255	TH
202.5.96.0	202.5.127.255	AU
202.5.128.0	202.5.159.255	PK
202.5.160.0	202.5.191.255	AU
202.5.192.0	202.5.223.255	MN
202.5.224.0	202.5.255.255	TW
202.6.0.0	202.6.1.255	HK
202.6.2.0	202.6.2.255	VN
202.6.3.0	202.6.4.255	AU
202.6.5.0	202.6.7.255	NZ
202.6.8.0	202.6.79.255	AU
202.6.80.0	202.6.80.255	IN
202.6.81.0	202.6.83.255	AU
202.6.84.0	202.6.85.255	NZ
202.6.86.0	202.6.86.255	AU
202.6.87.0	202.6.87.255	NZ
202.6.88.0	202.6.89.255	AP
202.6.90.0	202.6.90.255	TH
202.6.91.0	202.6.92.255	AU
202.6.93.0	202.6.93.255	NZ
202.6.94.0	202.6.94.255	HK
202.6.95.0	202.6.95.255	KR
202.6.96.0	202.6.97.255	VN
202.6.98.0	202.6.98.255	JP
202.6.99.0	202.6.99.255	IN
202.6.100.0	202.6.101.255	TH
202.6.102.0	202.6.102.255	SG
202.6.103.0	202.6.103.255	JP
202.6.104.0	202.6.105.255	TW
202.6.106.0	202.6.106.255	AU
202.6.107.0	202.6.107.255	TH
202.6.108.0	202.6.108.255	AU
202.6.109.0	202.6.110.255	NZ
202.6.111.0	202.6.111.255	TH
202.6.112.0	202.6.115.255	AU
202.6.116.0	202.6.117.255	NZ
202.6.118.0	202.6.118.255	AU
202.6.119.0	202.6.119.255	JP
202.6.120.0	202.6.123.255	KI
202.6.124.0	202.6.159.255	AU
202.6.160.0	202.6.175.255	SG
202.6.176.0	202.6.191.255	BD
202.6.192.0	202.6.207.255	HK
202.6.208.0	202.6.239.255	ID
202.6.240.0	202.6.243.255	SG
202.6.244.0	202.6.247.255	JP
202.6.248.0	202.6.251.255	AU
202.6.252.0	202.6.255.255	JP
202.7.0.0	202.7.1.255	NZ
202.7.2.0	202.7.3.255	AU
202.7.4.0	202.7.7.255	NZ
202.7.8.0	202.7.15.255	AU
202.7.16.0	202.7.31.255	JP
202.7.32.0	202.7.51.255	NZ
202.7.52.0	202.7.59.255	IN
202.7.60.0	202.7.63.255	NZ
202.7.64.0	202.7.95.255	AU
202.7.96.0	202.7.127.255	JP
202.7.128.0	202.7.143.255	HK
202.7.144.0	202.7.255.255	AU
202.8.0.0	202.8.5.255	SG
202.8.6.0	202.8.7.255	JP
202.8.8.0	202.8.13.255	NZ
202.8.14.0	202.8.15.255	TW
202.8.16.0	202.8.24.255	AU
202.8.25.0	202.8.25.255	TH
202.8.26.0	202.8.27.255	JP
202.8.28.0	202.8.29.255	ID
202.8.30.0	202.8.30.255	PH
202.8.31.0	202.8.31.255	AP
202.8.32.0	202.8.39.255	AU
202.8.40.0	202.8.43.255	SG
202.8.44.0	202.8.47.255	NZ
202.8.48.0	202.8.63.255	JP
202.8.64.0	202.8.75.255	TH
202.8.77.0	202.8.77.255	JP
202.8.78.0	202.8.79.255	TH
202.8.80.0	202.8.83.255	JP
202.8.84.0	202.8.87.255	TH
202.8.88.0	202.8.91.255	HK
202.8.92.0	202.8.92.255	AU
202.8.93.0	202.8.93.255	HK
202.8.94.0	202.8.95.255	SG
202.8.96.0	202.8.127.255	AU
202.8.128.0	202.8.159.255	CN
202.8.160.0	202.8.191.255	TW
202.8.192.0	202.8.207.255	LK
202.8.208.0	202.8.223.255	JP
202.8.224.0	202.8.255.255	PH
202.9.0.0	202.9.65.255	AU
202.9.66.0	202.9.67.255	SG
202.9.68.0	202.9.68.255	HK
202.9.69.0	202.9.69.255	ID
202.9.70.0	202.9.71.255	AU
202.9.72.0	202.9.73.255	ID
202.9.74.0	202.9.74.255	AU
202.9.75.0	202.9.75.255	IN
202.9.76.0	202.9.77.255	LA
202.9.78.0	202.9.78.255	AU
202.9.79.0	202.9.80.255	VN
202.9.81.0	202.9.81.255	TH
202.9.82.0	202.9.82.255	AP
202.9.83.0	202.9.83.255	AU
202.9.84.0	202.9.84.255	VN
202.9.85.0	202.9.85.255	ID
202.9.86.0	202.9.86.255	SG
202.9.87.0	202.9.87.255	AU
202.9.88.0	202.9.88.255	NZ
202.9.89.0	202.9.89.255	IN
202.9.90.0	202.9.90.255	HK
202.9.91.0	202.9.93.255	IN
202.9.94.0	202.9.95.255	AU
202.9.96.0	202.9.111.255	MY
202.9.112.0	202.9.207.255	IN
202.9.208.0	202.9.223.255	JP
202.9.224.0	202.9.255.255	NZ
202.10.0.0	202.10.31.255	AU
202.10.32.0	202.10.63.255	ID
202.10.64.0	202.10.79.255	CN
202.10.80.0	202.10.95.255	AU
202.10.96.0	202.10.127.255	JP
202.10.128.0	202.10.255.255	AU
202.11.0.0	202.11.255.255	JP
202.12.0.0	202.12.0.255	NZ
202.12.1.0	202.12.1.255	AU
202.12.2.0	202.12.2.255	SG
202.12.3.0	202.12.3.255	NZ
202.12.4.0	202.12.7.255	HK
202.12.8.0	202.12.15.255	JP
202.12.16.0	202.12.16.255	IN
202.12.17.0	202.12.18.255	PH
202.12.19.0	202.12.21.255	US
202.12.22.0	202.12.25.255	AU
202.12.26.0	202.12.26.255	BN
202.12.27.0	202.12.27.255	JP
202.12.28.0	202.12.30.255	AP
202.12.31.0	202.12.69.255	AU
202.12.70.0	202.12.70.255	NZ
202.12.71.0	202.12.72.255	AU
202.12.73.0	202.12.74.255	TH
202.12.76.0	202.12.85.255	NZ
202.12.86.0	202.12.90.255	AU
202.12.91.0	202.12.91.255	NZ
202.12.92.0	202.12.93.255	AU
202.12.94.0	202.12.95.255	SG
202.12.96.0	202.12.96.255	NZ
202.12.97.0	202.12.97.255	TH
202.12.98.0	202.12.100.255	AU
202.12.101.0	202.12.101.255	IN
202.12.102.0	202.12.102.255	AU
202.12.104.0	202.12.105.255	NZ
202.12.106.0	202.12.107.255	AU
202.12.108.0	202.12.108.255	NZ
202.12.109.0	202.12.115.255	AU
202.12.116.0	202.12.118.255	TH
202.12.119.0	202.12.121.255	AU
202.12.122.0	202.12.124.255	NZ
202.12.125.0	202.12.126.255	AU
202.12.127.0	202.12.127.255	US
202.12.128.0	202.12.242.255	AU
202.12.243.0	202.12.247.255	JP
202.12.248.0	202.12.255.255	NZ
202.13.0.0	202.13.255.255	JP
202.14.0.0	202.14.7.255	AU
202.14.8.0	202.14.15.255	TW
202.14.16.0	202.14.63.255	NZ
202.14.64.0	202.14.66.255	AU
202.14.67.0	202.14.68.255	HK
202.14.69.0	202.14.69.255	IN
202.14.70.0	202.14.71.255	PK
202.14.72.0	202.14.72.255	IN
202.14.73.0	202.14.75.255	NZ
202.14.76.0	202.14.79.255	AU
202.14.80.0	202.14.80.255	HK
202.14.81.0	202.14.81.255	AU
202.14.82.0	202.14.84.255	NZ
202.14.85.0	202.14.87.255	PH
202.14.88.0	202.14.88.255	CN
202.14.89.0	202.14.89.255	AU
202.14.95.0	202.14.95.255	AU
202.14.96.0	202.14.97.255	NZ
202.14.98.0	202.14.98.255	AU
202.14.99.0	202.14.100.255	NZ
202.14.101.0	202.14.101.255	AU
202.14.102.0	202.14.102.255	NZ
202.14.103.0	202.14.103.255	KR
202.14.104.0	202.14.105.255	AU
202.14.106.0	202.14.109.255	NZ
202.14.110.0	202.14.113.255	AU
202.14.114.0	202.14.115.255	NZ
202.14.116.0	202.14.116.255	HK
202.14.117.0	202.14.117.255	TH
202.14.118.0	202.14.126.255	AU
202.14.127.0	202.14.127.255	NZ
202.14.128.0	202.14.134.255	AU
202.14.135.0	202.14.136.255	NZ
202.14.137.0	202.14.139.255	AU
202.14.140.0	202.14.142.255	NZ
202.14.143.0	202.14.148.255	AU
202.14.149.0	202.14.149.255	NZ
202.14.151.0	202.14.152.255	AU
202.14.153.0	202.14.154.255	SG
202.14.155.0	202.14.161.255	AU
202.14.162.0	202.14.164.255	TH
202.14.165.0	202.14.165.255	KR
202.14.166.0	202.14.166.255	AU
202.14.167.0	202.14.168.255	NZ
202.14.169.0	202.14.215.255	AU
202.14.216.0	202.14.218.255	NZ
202.14.219.0	202.14.221.255	AU
202.14.222.0	202.14.222.255	HK
202.14.223.0	202.14.223.255	AU
202.14.224.0	202.14.228.255	NZ
202.14.229.0	202.14.234.255	AU
202.14.235.0	202.14.238.255	CN
202.14.239.0	202.14.251.255	AU
202.14.252.0	202.14.254.255	NZ
202.14.255.0	202.14.255.255	ID
202.15.0.0	202.19.255.255	JP
202.20.0.0	202.20.7.255	NZ
202.20.8.0	202.20.31.255	AU
202.20.32.0	202.20.65.255	NZ
202.20.66.0	202.20.66.255	HK
202.20.67.0	202.20.75.255	AU
202.20.76.0	202.20.80.255	NZ
202.20.81.0	202.20.81.255	AU
202.20.82.0	202.20.86.255	KR
202.20.87.0	202.20.87.255	TH
202.20.88.0	202.20.89.255	HK
202.20.90.0	202.20.90.255	JP
202.20.91.0	202.20.93.255	NZ
202.20.94.0	202.20.95.255	HK
202.20.96.0	202.20.97.255	NZ
202.20.98.0	202.20.98.255	AP
202.20.99.0	202.20.99.255	KR
202.20.100.0	202.20.101.255	HK
202.20.102.0	202.20.104.255	NZ
202.20.105.0	202.20.105.255	TH
202.20.106.0	202.20.109.255	ID
202.20.110.0	202.20.110.255	JP
202.20.111.0	202.20.111.255	AP
202.20.112.0	202.20.112.255	GU
202.20.113.0	202.20.113.255	NZ
202.20.114.0	202.20.116.255	SG
202.20.117.0	202.20.118.255	HK
202.20.119.0	202.20.119.255	KR
202.20.120.0	202.20.120.255	CN
202.20.121.0	202.20.122.255	NZ
202.20.123.0	202.20.124.255	JP
202.20.125.0	202.20.127.255	HK
202.20.128.0	202.21.7.255	KR
202.21.8.0	202.21.15.255	AU
202.21.16.0	202.21.31.255	NZ
202.21.32.0	202.21.63.255	LK
202.21.64.0	202.21.111.255	NZ
202.21.112.0	202.21.127.255	JP
202.21.128.0	202.21.128.255	NZ
202.21.129.0	202.21.129.255	IN
202.21.130.0	202.21.133.255	NZ
202.21.134.0	202.21.135.255	IN
202.21.136.0	202.21.139.255	NZ
202.21.140.0	202.21.140.255	TH
202.21.141.0	202.21.143.255	NZ
202.21.144.0	202.21.144.255	TH
202.21.145.0	202.21.146.255	SG
202.21.147.0	202.21.147.255	IN
202.21.148.0	202.21.148.255	MY
202.21.149.0	202.21.149.255	TH
202.21.150.0	202.21.153.255	JP
202.21.154.0	202.21.154.255	SG
202.21.155.0	202.21.157.255	NZ
202.21.158.0	202.21.159.255	SG
202.21.160.0	202.21.175.255	JP
202.21.176.0	202.21.191.255	MV
202.21.192.0	202.21.216.255	SG
202.21.217.0	202.21.218.255	HK
202.21.219.0	202.21.255.255	SG
202.22.0.0	202.22.7.255	NZ
202.22.8.0	202.22.15.255	TH
202.22.16.0	202.22.30.255	NZ
202.22.31.0	202.22.31.255	ID
202.22.32.0	202.22.63.255	KR
202.22.64.0	202.22.127.255	JP
202.22.128.0	202.22.159.255	NC
202.22.160.0	202.22.175.255	AU
202.22.176.0	202.22.191.255	GU
202.22.192.0	202.22.207.255	BD
202.22.208.0	202.22.223.255	JP
202.22.224.0	202.22.239.255	NC
202.22.240.0	202.22.247.255	HK
202.22.248.0	202.22.255.255	CN
202.23.0.0	202.26.255.255	JP
202.27.0.0	202.27.8.255	NZ
202.27.9.0	202.27.9.255	IN
202.27.10.0	202.27.11.255	TH
202.27.12.0	202.27.13.255	AU
202.27.14.0	202.27.14.255	JP
202.27.15.0	202.27.15.255	AU
202.27.16.0	202.27.31.255	SG
202.27.32.0	202.27.90.255	NZ
202.27.91.0	202.27.91.255	AU
202.27.92.0	202.27.255.255	NZ
202.28.0.0	202.29.255.255	TH
202.30.0.0	202.31.255.255	KR
202.32.0.0	202.35.255.255	JP
202.36.0.0	202.37.181.255	NZ
202.37.182.0	202.37.182.255	AU
202.37.183.0	202.37.255.255	NZ
202.38.0.0	202.38.15.255	CN
202.38.16.0	202.38.31.255	HK
202.38.32.0	202.38.47.255	SG
202.38.48.0	202.38.63.255	PK
202.38.64.0	202.38.143.255	CN
202.38.146.0	202.38.147.255	CN
202.38.148.0	202.38.148.255	AU
202.38.149.0	202.38.150.255	CN
202.38.151.0	202.38.151.255	SG
202.38.152.0	202.38.156.255	CN
202.38.157.0	202.38.157.255	AU
202.38.158.0	202.38.161.255	CN
202.38.162.0	202.38.163.255	AU
202.38.164.0	202.38.177.255	CN
202.38.178.0	202.38.179.255	HK
202.38.180.0	202.38.183.255	IN
202.38.184.0	202.38.255.255	CN
202.39.0.0	202.39.255.255	TW
202.40.0.0	202.40.5.255	HK
202.40.6.0	202.40.6.255	IN
202.40.7.0	202.40.162.255	HK
202.40.163.0	202.40.163.255	AU
202.40.164.0	202.40.171.255	HK
202.40.172.0	202.40.175.255	PH
202.40.176.0	202.40.191.255	BD
202.40.192.0	202.40.223.255	HK
202.40.224.0	202.40.255.255	SG
202.41.0.0	202.41.13.255	IN
202.41.14.0	202.41.15.255	AU
202.41.16.0	202.41.129.255	IN
202.41.130.0	202.41.130.255	US
202.41.131.0	202.41.133.255	IN
202.41.134.0	202.41.134.255	JP
202.41.135.0	202.41.135.255	AU
202.41.136.0	202.41.140.255	NZ
202.41.141.0	202.41.141.255	SG
202.41.142.0	202.41.142.255	CN
202.41.143.0	202.41.143.255	HK
202.41.144.0	202.41.144.255	AU
202.41.145.0	202.41.145.255	KR
202.41.146.0	202.41.146.255	TW
202.41.147.0	202.41.147.255	PH
202.41.148.0	202.41.151.255	IN
202.41.152.0	202.41.159.255	CN
202.41.160.0	202.41.191.255	TH
202.41.192.0	202.41.192.255	IN
202.41.193.0	202.41.195.255	AU
202.41.196.0	202.41.203.255	JP
202.41.204.0	202.41.207.255	IN
202.41.208.0	202.41.223.255	JP
202.41.224.0	202.41.235.191	IN
202.41.235.192	202.41.235.223	SG
202.41.235.224	202.41.239.255	IN
202.41.240.0	202.41.255.255	CN
202.42.0.0	202.42.255.255	SG
202.43.0.0	202.43.7.255	AU
202.43.8.0	202.43.15.255	TO
202.43.16.0	202.43.31.255	JP
202.43.32.0	202.43.47.255	TH
202.43.48.0	202.43.63.255	KR
202.43.64.0	202.43.65.255	ID
202.43.66.0	202.43.66.255	AU
202.43.67.0	202.43.67.255	IN
202.43.68.0	202.43.71.255	JP
202.43.72.0	202.43.75.255	ID
202.43.76.0	202.43.79.255	CN
202.43.80.0	202.43.81.255	AU
202.43.82.0	202.43.83.255	HK
202.43.84.0	202.43.87.255	AU
202.43.88.0	202.43.89.255	ID
202.43.90.0	202.43.90.255	IN
202.43.91.0	202.43.91.255	AU
202.43.92.0	202.43.95.255	ID
202.43.96.0	202.43.99.255	JP
202.43.100.0	202.43.103.255	MY
202.43.104.0	202.43.107.255	JP
202.43.108.0	202.43.111.255	VN
202.43.112.0	202.43.117.255	ID
202.43.118.0	202.43.119.255	PK
202.43.124.0	202.43.127.255	PK
202.43.128.0	202.43.143.255	AU
202.43.144.0	202.43.159.255	CN
202.43.160.0	202.43.191.255	ID
202.43.192.0	202.43.207.255	US
202.43.208.0	202.43.215.255	SG
202.43.216.0	202.43.223.255	US
202.43.224.0	202.43.239.255	AU
202.43.240.0	202.43.247.255	JP
202.43.248.0	202.43.255.255	ID
202.44.0.0	202.44.55.255	TH
202.44.56.0	202.44.59.255	IN
202.44.60.0	202.44.74.255	TH
202.44.75.0	202.44.79.255	AU
202.44.80.0	202.44.95.255	PK
202.44.96.0	202.44.96.255	TH
202.44.97.0	202.44.97.255	JP
202.44.98.0	202.44.99.255	AU
202.44.100.0	202.44.103.255	PH
202.44.104.0	202.44.111.255	BD
202.44.112.0	202.44.115.255	IO
202.44.116.0	202.44.119.255	AU
202.44.120.0	202.44.127.255	HK
202.44.128.0	202.44.151.255	TH
202.44.152.0	202.44.191.255	AU
202.44.192.0	202.44.255.255	TH
202.45.0.0	202.45.0.255	DE
202.45.1.0	202.45.2.255	HK
202.45.3.0	202.45.3.255	AU
202.45.4.0	202.45.5.255	HK
202.45.6.0	202.45.7.255	IN
202.45.8.0	202.45.9.255	HK
202.45.10.0	202.45.11.255	IN
202.45.12.0	202.45.12.255	JP
202.45.13.0	202.45.13.255	AU
202.45.14.0	202.45.95.255	HK
202.45.96.0	202.45.127.255	AU
202.45.128.0	202.45.128.255	HK
202.45.129.0	202.45.129.255	JP
202.45.130.0	202.45.131.255	HK
202.45.132.0	202.45.143.255	MY
202.45.144.0	202.45.147.255	NP
202.45.148.0	202.45.148.255	HK
202.45.149.0	202.45.149.255	ID
202.45.150.0	202.45.155.255	AU
202.45.156.0	202.45.157.255	PK
202.45.158.0	202.45.158.255	AU
202.45.159.0	202.45.159.255	BD
202.45.160.0	202.45.163.127	JP
202.45.163.128	202.45.163.255	SG
202.45.164.0	202.45.175.255	JP
202.45.176.0	202.45.255.255	HK
202.46.0.0	202.46.18.255	ID
202.46.19.0	202.46.19.255	IN
202.46.20.0	202.46.21.255	ID
202.46.22.0	202.46.23.255	IN
202.46.24.0	202.46.31.255	ID
202.46.32.0	202.46.63.255	CN
202.46.64.0	202.46.111.255	ID
202.46.112.0	202.46.127.255	MY
202.46.128.0	202.46.131.255	ID
202.46.132.0	202.46.143.255	AU
202.46.144.0	202.46.159.255	ID
202.46.160.0	202.46.191.255	NZ
202.46.192.0	202.46.223.255	IN
202.46.224.0	202.46.239.255	CN
202.46.240.0	202.46.255.255	ID
202.47.0.0	202.47.7.255	AU
202.47.8.0	202.47.15.255	TH
202.47.16.0	202.47.31.255	JP
202.47.32.0	202.47.63.255	AU
202.47.64.0	202.47.80.255	ID
202.47.81.0	202.47.81.255	AU
202.47.82.0	202.47.83.255	PH
202.47.84.0	202.47.86.255	AU
202.47.87.0	202.47.87.255	VN
202.47.88.0	202.47.88.255	ID
202.47.89.0	202.47.89.255	SG
202.47.90.0	202.47.93.255	ID
202.47.94.0	202.47.94.255	PK
202.47.95.0	202.47.95.255	AU
202.47.96.0	202.47.111.255	KH
202.47.112.0	202.47.123.255	AU
202.47.124.0	202.47.124.255	IN
202.47.125.0	202.47.126.255	PH
202.47.127.0	202.47.127.255	IN
202.47.128.0	202.47.129.255	PH
202.47.130.0	202.47.130.255	DE
202.47.131.0	202.47.133.255	PH
202.47.134.0	202.47.135.255	AU
202.47.136.0	202.47.141.255	PH
202.47.142.0	202.47.142.255	VN
202.47.143.0	202.47.143.255	KR
202.47.144.0	202.47.159.255	GU
202.47.160.0	202.47.191.255	MY
202.47.192.0	202.47.223.255	ID
202.47.224.0	202.47.255.255	TH
202.48.0.0	202.48.255.255	JP
202.49.0.0	202.50.48.255	NZ
202.50.49.0	202.50.49.255	US
202.50.50.0	202.50.83.255	NZ
202.50.84.0	202.50.84.255	AU
202.50.85.0	202.50.255.255	NZ
202.51.0.0	202.51.3.255	NP
202.51.4.0	202.51.15.255	JP
202.51.16.0	202.51.31.255	ID
202.51.32.0	202.51.55.255	JP
202.51.56.0	202.51.63.255	ID
202.51.64.0	202.51.95.255	NP
202.51.96.0	202.51.127.255	ID
202.51.160.0	202.51.175.255	AU
202.51.176.0	202.51.191.255	BD
202.51.192.0	202.51.239.255	ID
202.51.240.0	202.51.247.255	SG
202.51.248.0	202.51.251.255	AU
202.51.252.0	202.51.255.255	ID
202.52.0.0	202.52.1.255	NP
202.52.2.0	202.52.3.255	IN
202.52.4.0	202.52.7.255	TH
202.52.8.0	202.52.15.255	ID
202.52.16.0	202.52.31.255	JP
202.52.32.0	202.52.32.255	PK
202.52.33.0	202.52.33.255	HK
202.52.34.0	202.52.34.255	PH
202.52.35.0	202.52.35.255	HK
202.52.36.0	202.52.37.255	AU
202.52.38.0	202.52.38.255	JP
202.52.39.0	202.52.39.255	VN
202.52.40.0	202.52.40.255	IN
202.52.41.0	202.52.41.255	AU
202.52.42.0	202.52.43.255	HK
202.52.44.0	202.52.44.255	IN
202.52.45.0	202.52.46.255	AU
202.52.47.0	202.52.47.255	HK
202.52.48.0	202.52.50.255	ID
202.52.51.0	202.52.51.255	SG
202.52.52.0	202.52.52.255	ID
202.52.53.0	202.52.53.255	IN
202.52.54.0	202.52.55.255	PH
202.52.56.0	202.52.57.255	IN
202.52.58.0	202.52.59.255	ID
202.52.60.0	202.52.60.255	AU
202.52.61.0	202.52.61.255	MY
202.52.62.0	202.52.63.255	IN
202.52.64.0	202.52.96.191	SG
202.52.96.192	202.52.96.223	TW
202.52.96.224	202.52.105.127	SG
202.52.105.128	202.52.105.159	TW
202.52.105.160	202.52.127.255	SG
202.52.128.0	202.52.128.255	IN
202.52.129.0	202.52.129.255	AU
202.52.130.0	202.52.130.255	IN
202.52.131.0	202.52.132.255	ID
202.52.133.0	202.52.133.255	PG
202.52.134.0	202.52.134.255	IN
202.52.135.0	202.52.135.255	AU
202.52.136.0	202.52.136.255	HK
202.52.137.0	202.52.137.255	ID
202.52.138.0	202.52.139.255	BD
202.52.140.0	202.52.141.255	ID
202.52.142.0	202.52.142.255	AU
202.52.143.0	202.52.143.255	IN
202.52.144.0	202.52.144.255	HK
202.52.145.0	202.52.145.255	AU
202.52.146.0	202.52.147.255	ID
202.52.148.0	202.52.148.255	IN
202.52.149.0	202.52.149.255	MY
202.52.150.0	202.52.150.255	IN
202.52.151.0	202.52.151.255	JP
202.52.152.0	202.52.152.255	NZ
202.52.153.0	202.52.153.255	IN
202.52.154.0	202.52.154.255	JP
202.52.155.0	202.52.155.255	NZ
202.52.156.0	202.52.156.255	ID
202.52.157.0	202.52.157.255	IN
202.52.158.0	202.52.159.255	AU
202.52.160.0	202.52.175.255	PH
202.52.176.0	202.52.191.255	JP
202.52.192.0	202.52.223.255	HK
202.52.224.0	202.53.3.255	NP
202.53.4.0	202.53.7.255	AU
202.53.8.0	202.53.15.255	IN
202.53.16.0	202.53.31.255	JP
202.53.32.0	202.53.63.255	AU
202.53.64.0	202.53.111.255	IN
202.53.112.0	202.53.127.255	JP
202.53.128.0	202.53.159.255	HK
202.53.160.0	202.53.175.255	BD
202.53.176.0	202.53.191.255	NZ
202.53.192.0	202.53.207.255	AU
202.53.208.0	202.53.223.255	JP
202.53.224.0	202.53.255.255	ID
202.54.0.0	202.55.31.255	IN
202.55.32.0	202.55.63.255	HK
202.55.64.0	202.55.95.255	SG
202.55.96.0	202.55.111.255	NZ
202.55.112.0	202.55.127.255	JP
202.55.128.0	202.55.131.255	PK
202.55.132.0	202.55.135.255	VN
202.55.136.0	202.55.139.255	JP
202.55.140.0	202.55.143.255	TH
202.55.144.0	202.55.159.255	AU
202.55.160.0	202.55.175.255	ID
202.55.176.0	202.55.191.255	MN
202.55.192.0	202.55.223.255	JP
202.55.224.0	202.55.229.95	TW
202.55.229.96	202.55.229.111	SG
202.55.229.112	202.55.229.175	TW
202.55.229.176	202.55.229.191	SG
202.55.229.192	202.55.255.255	TW
202.56.0.0	202.56.3.255	IN
202.56.4.0	202.56.7.255	BD
202.56.8.0	202.56.12.63	HK
202.56.12.64	202.56.12.79	US
202.56.12.80	202.56.12.95	HK
202.56.12.96	202.56.12.127	US
202.56.12.128	202.56.15.255	HK
202.56.16.0	202.56.31.255	JP
202.56.32.0	202.56.55.255	NZ
202.56.56.0	202.56.56.255	AP
202.56.57.0	202.56.57.255	VN
202.56.58.0	202.56.59.255	IN
202.56.60.0	202.56.63.255	AU
202.56.64.0	202.56.79.255	JP
202.56.80.0	202.56.95.255	MY
202.56.96.0	202.56.127.255	IN
202.56.128.0	202.56.159.255	SG
202.56.160.0	202.56.175.255	ID
202.56.176.0	202.56.191.255	AF
202.56.192.0	202.56.255.255	IN
202.57.0.0	202.57.31.255	ID
202.57.32.0	202.57.127.255	PH
202.57.128.0	202.57.191.255	TH
202.57.192.0	202.57.223.255	HK
202.57.224.0	202.57.239.255	JP
202.58.0.0	202.58.0.255	LA
202.58.1.0	202.58.1.255	JP
202.58.2.0	202.58.2.255	PH
202.58.3.0	202.58.3.255	AU
202.58.4.0	202.58.7.255	JP
202.58.8.0	202.58.10.95	SG
202.58.10.96	202.58.10.111	HK
202.58.10.112	202.58.15.255	SG
202.58.16.0	202.58.31.255	JP
202.58.32.0	202.58.63.255	AU
202.58.64.0	202.58.79.255	ID
202.58.80.0	202.58.95.255	MY
202.58.96.0	202.58.99.255	KH
202.58.100.0	202.58.101.255	AU
202.58.102.0	202.58.103.255	IN
202.58.104.0	202.58.107.255	JP
202.58.108.0	202.58.111.255	PH
202.58.116.0	202.58.119.255	JP
202.58.120.0	202.58.123.255	IN
202.58.124.0	202.58.124.255	ID
202.58.125.0	202.58.125.255	IN
202.58.126.0	202.58.126.255	TH
202.58.127.0	202.58.127.255	IN
202.58.128.0	202.58.131.255	PG
202.58.132.0	202.58.135.255	IN
202.58.136.0	202.58.143.255	AU
202.58.144.0	202.58.159.255	JP
202.58.160.0	202.58.183.255	ID
202.58.184.0	202.58.191.255	HK
202.58.192.0	202.58.223.255	ID
202.58.224.0	202.58.255.255	PH
202.59.0.0	202.59.0.255	TO
202.59.1.0	202.59.1.255	AU
202.59.2.0	202.59.3.255	IN
202.59.4.0	202.59.7.255	NU
202.59.16.0	202.59.63.255	AU
202.59.64.0	202.59.95.255	PK
202.59.96.0	202.59.111.255	AU
202.59.112.0	202.59.127.255	JP
202.59.128.0	202.59.143.255	BD
202.59.144.0	202.59.151.255	JP
202.59.152.0	202.59.159.255	HK
202.59.160.0	202.59.175.255	ID
202.59.176.0	202.59.191.255	JP
202.59.192.0	202.59.207.255	ID
202.59.208.0	202.59.223.255	BD
202.59.224.0	202.59.224.255	NZ
202.59.225.0	202.59.227.255	AU
202.59.228.0	202.59.228.255	IN
202.59.229.0	202.59.229.255	AU
202.59.230.0	202.59.230.255	BN
202.59.231.0	202.59.231.255	AP
202.59.232.0	202.59.233.255	CN
202.60.0.0	202.60.7.255	MU
202.60.8.0	202.60.15.255	PH
202.60.16.0	202.60.47.255	JP
202.60.48.0	202.60.55.255	AU
202.60.56.0	202.60.59.255	MY
202.60.60.0	202.60.63.255	IN
202.60.64.0	202.60.95.255	AU
202.60.104.0	202.60.111.255	VN
202.60.112.0	202.60.127.255	CN
202.60.128.0	202.60.159.255	IN
202.60.160.0	202.60.191.255	JP
202.60.192.0	202.60.207.255	TH
202.60.208.0	202.60.223.255	IN
202.60.224.0	202.60.255.255	HK
202.61.0.0	202.61.0.255	PG
202.61.1.0	202.61.1.255	JP
202.61.2.0	202.61.3.255	NZ
202.61.4.0	202.61.7.255	AU
202.61.8.0	202.61.11.255	IN
202.61.12.0	202.61.15.255	AU
202.61.16.0	202.61.31.255	JP
202.61.32.0	202.61.63.255	PK
202.61.64.0	202.61.95.255	PH
202.61.128.0	202.61.255.255	AU
202.62.0.0	202.62.7.255	FJ
202.62.8.0	202.62.31.255	ID
202.62.32.0	202.62.63.255	AU
202.62.64.0	202.62.95.255	IN
202.62.96.0	202.62.111.255	LA
202.62.116.0	202.62.117.255	IN
202.62.118.0	202.62.127.255	FJ
202.62.128.0	202.62.159.255	AU
202.62.160.0	202.62.191.255	JP
202.62.192.0	202.62.223.255	HK
202.62.224.0	202.62.239.255	IN
202.62.240.0	202.62.243.255	AU
202.62.244.0	202.62.244.255	IN
202.62.245.0	202.62.245.255	NZ
202.62.246.0	202.62.247.255	IN
202.62.252.0	202.62.252.255	IN
202.62.253.0	202.62.253.255	JP
202.62.254.0	202.62.254.255	AU
202.62.255.0	202.62.255.255	FJ
202.63.0.0	202.63.31.255	HK
202.63.32.0	202.63.79.255	AU
202.63.80.0	202.63.95.255	PK
202.63.96.0	202.63.127.255	IN
202.63.128.0	202.63.159.255	SG
202.63.160.0	202.63.191.255	IN
202.63.192.0	202.63.223.255	PK
202.63.224.0	202.63.239.255	SG
202.63.240.0	202.63.247.255	NP
202.63.248.0	202.63.251.255	CN
202.63.252.0	202.63.253.255	IN
202.63.254.0	202.63.255.255	SB
202.64.0.0	202.65.9.255	HK
202.65.10.0	202.65.11.255	BD
202.65.12.0	202.65.31.255	AU
202.65.32.0	202.65.63.255	CK
202.65.64.0	202.65.95.255	AU
202.65.96.0	202.65.111.255	HK
202.65.112.0	202.65.127.255	ID
202.65.128.0	202.65.159.255	IN
202.65.160.0	202.65.167.255	NZ
202.65.168.0	202.65.175.255	BD
202.65.176.0	202.65.191.255	PH
202.65.192.0	202.65.223.255	HK
202.65.224.0	202.65.239.255	ID
202.65.240.0	202.65.247.255	SG
202.65.248.0	202.67.3.255	HK
202.67.4.0	202.67.7.255	IN
202.67.8.0	202.67.15.255	ID
202.67.16.0	202.67.31.255	JP
202.67.32.0	202.67.47.255	ID
202.67.48.0	202.67.63.255	JP
202.67.64.0	202.67.127.255	AU
202.67.128.0	202.68.63.255	HK
202.68.64.0	202.68.79.255	AU
202.68.80.0	202.68.95.255	NZ
202.68.96.0	202.68.127.255	HK
202.68.128.0	202.68.159.255	IN
202.68.160.0	202.68.175.255	AU
202.68.176.0	202.68.191.255	SG
202.68.192.0	202.68.207.255	HK
202.68.208.0	202.68.223.255	SG
202.68.224.0	202.68.255.255	KR
202.69.0.0	202.69.3.255	HK
202.69.4.0	202.69.7.255	CN
202.69.8.0	202.69.15.255	PK
202.69.16.0	202.69.31.255	CN
202.69.32.0	202.69.63.255	PK
202.69.64.0	202.69.95.255	HK
202.69.96.0	202.69.111.255	ID
202.69.112.0	202.69.127.255	JP
202.69.128.0	202.69.131.255	HK
202.69.132.0	202.69.135.255	AU
202.69.136.0	202.69.143.255	TH
202.69.144.0	202.69.159.255	SG
202.69.160.0	202.69.191.255	PH
202.69.192.0	202.69.207.255	LK
202.69.208.0	202.69.223.255	AU
202.69.224.0	202.69.239.255	JP
202.69.240.0	202.69.255.255	HK
202.70.0.0	202.70.31.255	CN
202.70.32.0	202.70.47.255	MN
202.70.48.0	202.70.63.255	ID
202.70.64.0	202.70.95.255	NP
202.70.112.0	202.70.127.255	AS
202.70.128.0	202.70.129.255	AU
202.70.130.0	202.70.130.255	NZ
202.70.131.0	202.70.131.255	IN
202.70.132.0	202.70.136.255	ID
202.70.137.0	202.70.137.255	AU
202.70.138.0	202.70.138.255	ID
202.70.139.0	202.70.139.255	AU
202.70.140.0	202.70.140.255	JP
202.70.141.0	202.70.143.255	AU
202.70.144.0	202.70.159.255	PK
202.70.160.0	202.70.160.255	HK
202.70.161.0	202.70.175.255	CN
202.70.176.0	202.70.191.255	JP
202.70.192.0	202.70.207.255	IN
202.70.208.0	202.70.255.255	JP
202.71.0.0	202.71.31.255	HK
202.71.32.0	202.71.47.255	KH
202.71.48.0	202.71.95.255	JP
202.71.96.0	202.71.111.255	MY
202.71.112.0	202.71.127.255	TH
202.71.128.0	202.71.159.255	IN
202.71.160.0	202.71.175.255	AU
202.71.176.0	202.71.191.255	PH
202.71.192.0	202.72.31.255	HK
202.72.32.0	202.72.39.255	AU
202.72.40.0	202.72.47.255	BD
202.72.48.0	202.72.79.255	JP
202.72.80.0	202.72.95.255	HK
202.72.96.0	202.72.96.255	KH
202.72.97.0	202.72.97.255	BD
202.72.98.0	202.72.98.255	NP
202.72.99.0	202.72.99.7	BD
202.72.99.8	202.72.99.255	US
202.72.100.0	202.72.103.255	SC
202.72.104.0	202.72.107.255	TL
202.72.108.0	202.72.108.255	US
202.72.109.0	202.72.109.15	TK
202.72.109.16	202.72.109.31	US
202.72.109.32	202.72.109.47	TK
202.72.109.48	202.72.109.255	US
202.72.110.0	202.72.110.31	SC
202.72.110.32	202.72.110.63	US
202.72.110.64	202.72.110.95	MG
202.72.110.96	202.72.110.127	BD
202.72.110.128	202.72.110.191	PK
202.72.110.192	202.72.110.255	US
202.72.111.0	202.72.111.255	KH
202.72.112.0	202.72.127.255	PH
202.72.128.0	202.72.191.255	AU
202.72.192.0	202.72.223.255	ID
202.72.224.0	202.72.231.255	AU
202.72.232.0	202.72.239.255	BD
202.72.240.0	202.72.247.255	MN
202.72.248.0	202.72.251.255	IN
202.72.252.0	202.73.3.255	HK
202.73.4.0	202.73.7.255	BD
202.73.8.0	202.73.15.255	MY
202.73.16.0	202.73.31.255	ID
202.73.32.0	202.73.63.255	SG
202.73.64.0	202.73.95.255	JP
202.73.96.0	202.73.127.255	ID
202.73.128.0	202.73.131.255	HK
202.73.132.0	202.73.135.255	KR
202.73.136.0	202.73.143.255	JP
202.73.160.0	202.73.191.255	PH
202.73.192.0	202.73.207.255	NZ
202.73.208.0	202.73.223.255	JP
202.73.224.0	202.73.239.255	ID
202.73.240.0	202.74.3.255	HK
202.74.4.0	202.74.7.255	JP
202.74.8.0	202.74.15.255	CN
202.74.16.0	202.74.31.255	JP
202.74.64.0	202.74.71.255	AU
202.74.72.0	202.74.79.255	ID
202.74.80.0	202.74.127.255	HK
202.74.128.0	202.74.191.255	AU
202.74.192.0	202.74.231.255	NZ
202.74.232.0	202.74.239.255	PK
202.74.240.0	202.74.247.255	BD
202.74.248.0	202.74.251.255	PH
202.74.252.0	202.74.252.255	AU
202.74.253.0	202.74.253.255	JP
202.74.254.0	202.75.3.255	HK
202.75.4.0	202.75.7.255	MY
202.75.8.0	202.75.15.255	JP
202.75.16.0	202.75.31.255	ID
202.75.32.0	202.75.63.255	MY
202.75.64.0	202.75.95.255	HK
202.75.96.0	202.75.111.255	ID
202.75.112.0	202.75.127.255	JP
202.75.128.0	202.75.191.255	MY
202.75.192.0	202.75.207.255	IN
202.75.208.0	202.75.223.255	CN
202.75.224.0	202.75.239.255	JP
202.75.240.0	202.75.247.255	MY
202.75.248.0	202.75.251.255	MO
202.75.252.0	202.76.127.255	HK
202.76.128.0	202.76.191.255	AU
202.76.192.0	202.76.223.255	JP
202.76.224.0	202.76.239.255	MY
202.76.240.0	202.76.247.255	US
202.76.248.0	202.76.251.255	AU
202.76.252.0	202.77.63.255	HK
202.77.64.0	202.77.79.255	ID
202.77.80.0	202.77.95.255	AU
202.77.96.0	202.77.127.255	ID
202.77.128.0	202.77.135.255	HK
202.77.136.0	202.77.136.255	AU
202.77.137.0	202.77.137.255	IN
202.77.138.0	202.77.139.255	PH
202.77.140.0	202.77.170.47	HK
202.77.170.48	202.77.170.63	CN
202.77.170.64	202.78.7.255	HK
202.78.8.0	202.78.15.255	TH
202.78.16.0	202.78.31.255	SG
202.78.32.0	202.78.47.255	AU
202.78.48.0	202.78.63.255	SG
202.78.64.0	202.78.127.255	PH
202.78.128.0	202.78.159.255	NZ
202.78.160.0	202.78.175.255	IN
202.78.176.0	202.78.191.255	JP
202.78.192.0	202.78.207.255	ID
202.78.208.0	202.78.223.255	JP
202.78.224.0	202.78.231.255	VN
202.78.232.0	202.78.239.255	IN
202.78.240.0	202.78.247.255	NZ
202.78.248.0	202.78.250.255	JP
202.78.251.0	202.78.251.255	IN
202.78.252.0	202.78.255.255	HK
202.79.0.0	202.79.15.255	JP
202.79.16.0	202.79.23.255	BD
202.79.24.0	202.79.31.255	KH
202.79.32.0	202.79.63.255	NP
202.79.64.0	202.79.127.255	SG
202.79.128.0	202.79.159.255	JP
202.79.160.0	202.79.175.255	AU
202.79.176.0	202.79.223.255	SG
202.79.224.0	202.79.231.255	AU
202.79.232.0	202.79.239.255	VN
202.79.240.0	202.79.247.255	JP
202.79.248.0	202.79.251.255	IN
202.79.252.0	202.80.31.255	HK
202.80.32.0	202.80.47.255	VU
202.80.48.0	202.80.63.255	IN
202.80.64.0	202.80.95.255	AU
202.80.96.0	202.80.103.255	JP
202.80.104.0	202.80.111.255	TW
202.80.112.0	202.80.127.255	ID
202.80.128.0	202.80.143.255	HK
202.80.144.0	202.80.151.255	AU
202.80.152.0	202.80.159.255	PH
202.80.160.0	202.80.168.255	SG
202.80.169.0	202.80.169.255	BD
202.80.170.0	202.80.170.255	SG
202.80.171.0	202.80.171.63	SO
202.80.171.64	202.80.175.255	SG
202.80.176.0	202.80.191.255	AU
202.80.192.0	202.80.195.255	HK
202.80.208.0	202.80.223.255	ID
202.80.224.0	202.80.255.255	TH
202.81.0.0	202.81.3.255	HK
202.81.4.0	202.81.7.255	SG
202.81.8.0	202.81.15.255	JP
202.81.16.0	202.81.31.255	AU
202.81.32.0	202.81.63.255	ID
202.81.64.0	202.81.79.255	AU
202.81.80.0	202.81.95.255	JP
202.81.96.0	202.81.127.255	AU
202.81.128.0	202.81.159.255	IN
202.81.160.0	202.81.191.255	PH
202.81.192.0	202.81.207.255	IN
202.81.208.0	202.81.223.255	AU
202.81.224.0	202.83.15.255	HK
202.83.16.0	202.83.63.255	IN
202.83.64.0	202.83.95.255	AU
202.83.96.0	202.83.111.255	SG
202.83.112.0	202.83.119.255	AU
202.83.120.0	202.83.127.255	MY
202.83.128.0	202.83.159.255	JP
202.83.160.0	202.83.175.255	PK
202.83.176.0	202.83.183.255	AU
202.83.184.0	202.83.191.255	JP
202.83.192.0	202.83.223.255	HK
202.83.224.0	202.83.239.255	JP
202.83.240.0	202.83.247.255	HK
202.83.248.0	202.83.251.255	SG
202.83.252.0	202.84.17.255	HK
202.84.18.0	202.84.19.255	JP
202.84.20.0	202.84.23.255	PH
202.84.32.0	202.84.47.255	BD
202.84.48.0	202.84.63.255	JP
202.84.64.0	202.84.71.255	BD
202.84.72.0	202.84.79.255	KH
202.84.80.0	202.84.95.255	JP
202.84.96.0	202.84.127.255	PH
202.84.128.0	202.84.221.255	HK
202.84.222.0	202.84.223.255	A2
202.84.224.0	202.84.239.255	HK
202.84.240.0	202.84.241.255	A2
202.84.242.0	202.84.245.255	HK
202.84.246.0	202.84.246.255	PK
202.84.247.0	202.84.247.255	A2
202.84.248.0	202.85.207.255	HK
202.85.208.0	202.85.223.255	CN
202.85.224.0	202.85.239.255	HK
202.85.240.0	202.85.247.255	AU
202.85.248.0	202.86.3.255	HK
202.86.4.0	202.86.7.255	IN
202.86.8.0	202.86.15.255	KR
202.86.16.0	202.86.31.255	AF
202.86.32.0	202.86.55.255	AU
202.86.56.0	202.86.63.255	JP
202.86.64.0	202.86.95.255	HK
202.86.96.0	202.86.111.255	NZ
202.86.112.0	202.86.119.255	AU
202.86.120.0	202.86.127.255	JP
202.86.128.0	202.86.189.255	MO
202.86.190.0	202.86.191.255	HK
202.86.192.0	202.86.207.255	PH
202.86.208.0	202.86.215.255	AU
202.86.216.0	202.86.223.255	BD
202.86.224.0	202.86.247.255	JP
202.86.248.0	202.86.248.255	SG
202.86.249.0	202.86.249.255	PK
202.86.250.0	202.86.250.255	AU
202.86.251.0	202.86.251.255	IN
202.87.0.0	202.87.3.255	HK
202.87.4.0	202.87.31.255	AU
202.87.32.0	202.87.63.255	IN
202.87.64.0	202.87.79.255	JP
202.87.80.0	202.87.127.255	PK
202.87.128.0	202.87.159.255	NC
202.87.160.0	202.87.175.255	AU
202.87.176.0	202.87.207.255	ID
202.87.208.0	202.87.211.255	WS
202.87.212.0	202.87.215.255	VN
202.87.216.0	202.87.223.255	MY
202.87.224.0	202.87.239.255	JP
202.87.240.0	202.87.255.255	ID
202.88.0.0	202.88.31.255	HK
202.88.32.0	202.88.47.255	PK
202.88.48.0	202.88.63.255	JP
202.88.64.0	202.88.95.255	MP
202.88.96.0	202.88.127.255	HK
202.88.128.0	202.88.191.255	IN
202.88.192.0	202.88.199.255	JP
202.88.200.0	202.88.207.255	HK
202.88.208.0	202.88.255.255	IN
202.89.0.0	202.89.3.255	HK
202.89.4.0	202.89.7.255	NZ
202.89.8.0	202.89.15.255	PH
202.89.16.0	202.89.16.255	HK
202.89.17.0	202.89.17.255	JP
202.89.18.0	202.89.18.15	HK
202.89.18.16	202.89.18.31	JP
202.89.18.32	202.89.18.255	HK
202.89.19.0	202.89.19.255	JP
202.89.20.0	202.89.20.127	SG
202.89.20.128	202.89.20.255	JP
202.89.21.0	202.89.21.255	CN
202.89.22.0	202.89.23.15	JP
202.89.23.16	202.89.23.23	AS
202.89.23.24	202.89.23.191	JP
202.89.23.192	202.89.23.255	HK
202.89.24.0	202.89.31.255	BT
202.89.32.0	202.89.63.255	NZ
202.89.64.0	202.89.79.255	IN
202.89.80.0	202.89.95.255	JP
202.89.100.0	202.89.103.255	AP
202.89.104.0	202.89.111.255	IN
202.89.112.0	202.89.115.255	JP
202.89.116.0	202.89.117.255	ID
202.89.118.0	202.89.119.255	IN
202.89.120.0	202.89.123.255	HK
202.89.124.0	202.89.127.255	KR
202.89.128.0	202.89.159.255	NZ
202.89.160.0	202.89.191.255	AU
202.89.192.0	202.89.207.255	PH
202.89.208.0	202.89.223.255	ID
202.89.224.0	202.89.247.255	JP
202.89.248.0	202.89.251.255	KR
202.89.252.0	202.89.255.255	HK
202.90.0.0	202.90.3.255	CN
202.90.4.0	202.90.7.255	TH
202.90.8.0	202.90.15.255	JP
202.90.16.0	202.90.31.255	SG
202.90.34.0	202.90.35.255	AU
202.90.36.0	202.90.36.255	BN
202.90.37.0	202.90.39.255	AU
202.90.40.0	202.90.40.255	IN
202.90.48.0	202.90.55.255	AU
202.90.56.0	202.90.63.255	PH
202.90.64.0	202.90.95.255	PF
202.90.96.0	202.90.111.255	IN
202.90.112.0	202.90.127.255	TH
202.90.128.0	202.90.159.255	PH
202.90.160.0	202.90.175.255	AU
202.90.176.0	202.90.191.255	JP
202.90.192.0	202.90.192.255	IN
202.90.193.0	202.90.193.255	AU
202.90.194.0	202.90.195.255	ID
202.90.196.0	202.90.197.255	AU
202.90.198.0	202.90.199.255	ID
202.90.200.0	202.90.203.255	BD
202.90.204.0	202.90.204.255	IN
202.90.205.0	202.90.205.255	PH
202.90.206.0	202.90.207.255	AU
202.90.208.0	202.90.223.255	JP
202.90.224.0	202.90.239.255	CN
202.90.240.0	202.90.247.255	AP
202.90.248.0	202.90.251.255	HK
202.90.252.0	202.91.3.255	CN
202.91.4.0	202.91.7.255	AU
202.91.8.0	202.91.15.255	ID
202.91.16.0	202.91.23.255	TH
202.91.24.0	202.91.31.255	ID
202.91.32.0	202.91.38.255	SG
202.91.39.0	202.91.39.255	AU
202.91.40.0	202.91.47.255	SG
202.91.48.0	202.91.63.255	JP
202.91.64.0	202.91.95.255	IN
202.91.112.0	202.91.127.255	JP
202.91.128.0	202.91.131.255	CN
202.91.132.0	202.91.143.255	IN
202.91.144.0	202.91.159.255	JP
202.91.160.0	202.91.175.255	PH
202.91.176.0	202.91.191.255	CN
202.91.192.0	202.91.207.255	AU
202.91.208.0	202.91.223.255	JP
202.91.224.0	202.92.3.255	CN
202.92.4.0	202.92.7.255	VN
202.92.8.0	202.92.15.255	IN
202.92.16.0	202.92.31.255	PK
202.92.32.0	202.92.47.255	AU
202.92.48.0	202.92.63.255	BD
202.92.64.0	202.92.127.255	AU
202.92.128.0	202.92.159.255	PH
202.92.160.0	202.92.191.255	HK
202.92.192.0	202.92.207.255	ID
202.92.208.0	202.92.223.255	AU
202.92.224.0	202.92.239.255	IN
202.92.240.0	202.92.251.255	AU
202.92.252.0	202.93.3.255	CN
202.93.4.0	202.93.5.255	AU
202.93.6.0	202.93.7.255	KR
202.93.8.0	202.93.15.255	KH
202.93.16.0	202.93.47.255	ID
202.93.48.0	202.93.63.255	TH
202.93.64.0	202.93.95.255	JP
202.93.96.0	202.93.111.255	AU
202.93.112.0	202.93.143.255	ID
202.93.144.0	202.93.151.255	JP
202.93.152.0	202.93.152.255	AU
202.93.153.0	202.93.153.255	KH
202.93.154.0	202.93.154.255	IN
202.93.155.0	202.93.155.255	AU
202.93.156.0	202.93.159.255	VN
202.93.160.0	202.93.191.255	AU
202.93.192.0	202.93.207.255	HK
202.93.208.0	202.93.223.255	BN
202.93.224.0	202.93.247.255	ID
202.93.248.0	202.93.251.255	AU
202.93.252.0	202.93.255.255	CN
202.94.32.0	202.94.47.255	AU
202.94.48.0	202.94.63.255	JP
202.94.96.0	202.94.127.255	SG
202.94.128.0	202.94.159.255	JP
202.94.160.0	202.94.175.255	MY
202.94.176.0	202.94.223.255	JP
202.94.224.0	202.94.239.255	HK
202.94.240.0	202.94.255.255	TH
202.95.0.0	202.95.31.255	CN
202.95.32.0	202.95.63.255	JP
202.95.64.0	202.95.121.223	SG
202.95.121.224	202.95.121.239	JP
202.95.121.240	202.95.127.255	SG
202.95.128.0	202.95.159.255	ID
202.95.160.0	202.95.191.255	JP
202.95.192.0	202.95.207.255	PG
202.95.208.0	202.95.223.255	JP
202.95.224.0	202.95.239.255	PH
202.95.240.0	202.95.247.255	AU
202.95.248.0	202.95.249.255	JP
202.95.250.0	202.95.250.255	NZ
202.95.251.0	202.95.251.255	IN
202.95.252.0	202.120.24.223	CN
202.120.24.224	202.120.24.255	SG
202.120.25.0	202.122.7.255	CN
202.122.8.0	202.122.15.255	ID
202.122.16.0	202.122.23.255	IN
202.122.24.0	202.122.31.255	JP
202.122.32.0	202.122.39.255	CN
202.122.40.0	202.122.47.255	TH
202.122.48.0	202.122.63.255	JP
202.122.64.0	202.122.95.255	CN
202.122.96.0	202.122.111.255	HK
202.122.112.0	202.122.119.255	CN
202.122.120.0	202.122.127.255	BD
202.122.128.0	202.122.128.255	CN
202.122.129.0	202.122.129.255	AU
202.122.130.0	202.122.131.255	TH
202.122.132.0	202.122.132.255	AU
202.122.133.0	202.122.133.255	PH
202.122.134.0	202.122.135.255	IN
202.122.136.0	202.122.143.255	JP
202.122.144.0	202.122.159.255	MY
202.122.160.0	202.122.175.255	ID
202.122.176.0	202.122.255.255	JP
202.123.0.0	202.123.31.255	MU
202.123.32.0	202.123.47.255	IN
202.123.48.0	202.123.63.255	PH
202.123.64.0	202.123.95.255	HK
202.123.96.0	202.123.111.255	CN
202.123.112.0	202.123.127.255	JP
202.123.128.0	202.123.159.255	GU
202.123.160.0	202.123.175.255	HK
202.123.176.0	202.123.183.255	LA
202.123.184.0	202.123.191.255	JP
202.123.192.0	202.123.223.255	HK
202.123.224.0	202.123.239.255	ID
202.123.240.0	202.123.255.255	PK
202.124.0.0	202.124.15.255	JP
202.124.24.0	202.124.27.255	CN
202.124.28.0	202.124.31.255	HK
202.124.32.0	202.124.47.255	AU
202.124.48.0	202.124.63.255	JP
202.124.64.0	202.124.95.255	AU
202.124.96.0	202.124.127.255	NZ
202.124.128.0	202.124.159.255	PH
202.124.160.0	202.124.191.255	LK
202.124.192.0	202.124.192.255	AU
202.124.193.0	202.124.193.255	PH
202.124.194.0	202.124.194.255	IN
202.124.195.0	202.124.195.255	AU
202.124.196.0	202.124.199.255	ID
202.124.200.0	202.124.201.255	AU
202.124.202.0	202.124.202.255	IN
202.124.203.0	202.124.203.255	ID
202.124.204.0	202.124.204.255	VN
202.124.205.0	202.124.205.255	ID
202.124.206.0	202.124.207.255	AU
202.124.208.0	202.124.223.255	JP
202.124.224.0	202.124.239.255	PW
202.124.240.0	202.124.247.255	AU
202.124.248.0	202.124.255.255	AP
202.125.0.0	202.125.47.255	AU
202.125.48.0	202.125.63.255	JP
202.125.64.0	202.125.79.255	BD
202.125.80.0	202.125.83.255	ID
202.125.84.0	202.125.85.255	TH
202.125.86.0	202.125.87.255	AU
202.125.88.0	202.125.89.255	ID
202.125.90.0	202.125.91.255	HK
202.125.92.0	202.125.92.255	IN
202.125.93.0	202.125.93.255	AU
202.125.94.0	202.125.95.255	ID
202.125.96.0	202.125.97.255	AP
202.125.98.0	202.125.99.255	AU
202.125.100.0	202.125.101.255	ID
202.125.102.0	202.125.103.255	PH
202.125.104.0	202.125.105.255	AU
202.125.106.0	202.125.106.255	IN
202.125.107.0	202.125.107.255	SG
202.125.108.0	202.125.109.255	AU
202.125.110.0	202.125.110.255	NZ
202.125.111.0	202.125.111.255	AU
202.125.112.0	202.125.159.255	PK
202.125.160.0	202.125.175.255	AU
202.125.176.0	202.125.191.255	CN
202.125.192.0	202.125.255.255	HK
202.126.0.0	202.126.1.183	JP
202.126.1.184	202.126.1.191	SG
202.126.1.192	202.126.2.31	JP
202.126.2.32	202.126.2.47	SG
202.126.2.48	202.126.2.127	JP
202.126.2.128	202.126.2.143	HK
202.126.2.144	202.126.5.207	JP
202.126.5.208	202.126.5.223	HK
202.126.5.224	202.126.7.15	JP
202.126.7.16	202.126.7.23	SG
202.126.7.24	202.126.8.111	JP
202.126.8.112	202.126.8.127	SG
202.126.8.128	202.126.10.255	JP
202.126.11.0	202.126.11.23	SG
202.126.11.24	202.126.11.31	JP
202.126.11.32	202.126.11.79	SG
202.126.11.80	202.126.31.255	JP
202.126.32.0	202.126.47.255	PH
202.126.48.0	202.126.63.255	HK
202.126.64.0	202.126.79.255	TW
202.126.80.0	202.126.87.255	NZ
202.126.88.0	202.126.95.255	MN
202.126.96.0	202.126.111.255	AU
202.126.112.0	202.126.119.255	KR
202.126.120.0	202.126.127.255	BD
202.126.128.0	202.126.191.255	SG
202.126.192.0	202.126.207.255	NZ
202.126.208.0	202.126.223.255	HK
202.126.224.0	202.126.255.255	JP
202.127.0.0	202.127.7.255	CN
202.127.8.0	202.127.11.255	NZ
202.127.12.0	202.127.31.255	CN
202.127.32.0	202.127.39.255	ID
202.127.40.0	202.127.63.255	CN
202.127.64.0	202.127.79.255	HK
202.127.80.0	202.127.95.255	JP
202.127.96.0	202.127.111.255	ID
202.127.112.0	202.127.167.255	CN
202.127.168.0	202.127.175.255	HK
202.127.176.0	202.127.191.255	JP
202.127.192.0	202.127.255.255	CN
202.128.0.0	202.128.31.255	GU
202.128.32.0	202.128.63.255	PH
202.128.64.0	202.128.95.255	GU
202.128.96.0	202.128.97.255	AU
202.128.98.0	202.128.98.255	SG
202.128.99.0	202.128.99.255	HK
202.128.100.0	202.128.101.255	KR
202.128.102.0	202.128.103.255	AU
202.128.104.0	202.128.105.255	HK
202.128.106.0	202.128.106.255	AU
202.128.107.0	202.128.107.255	IN
202.128.108.0	202.128.109.255	NZ
202.128.110.0	202.128.111.255	IN
202.128.112.0	202.128.127.255	AU
202.128.128.0	202.128.130.15	HK
202.128.130.16	202.128.130.31	KR
202.128.130.32	202.128.131.95	HK
202.128.131.96	202.128.131.128	KR
202.128.131.129	202.128.159.255	HK
202.128.160.0	202.128.223.255	SG
202.128.224.0	202.128.255.255	HK
202.129.0.0	202.129.63.255	TH
202.129.64.0	202.129.159.255	AU
202.129.160.0	202.129.175.255	MY
202.129.176.0	202.129.183.255	JP
202.129.184.0	202.129.191.255	ID
202.129.192.0	202.129.195.255	BD
202.129.196.0	202.129.203.255	IN
202.129.204.0	202.129.207.255	TH
202.129.208.0	202.129.208.255	NZ
202.129.209.0	202.129.213.255	IN
202.129.214.0	202.129.214.255	AU
202.129.215.0	202.129.215.255	IN
202.129.216.0	202.129.217.255	ID
202.129.218.0	202.129.218.255	AU
202.129.219.0	202.129.219.255	IN
202.129.220.0	202.129.223.255	PH
202.129.224.0	202.129.227.255	ID
202.129.228.0	202.129.231.255	FJ
202.129.232.0	202.129.235.255	LK
202.129.236.0	202.129.236.255	KH
202.129.237.0	202.129.237.255	AU
202.129.238.0	202.129.238.255	PH
202.129.239.0	202.129.241.255	IN
202.129.242.0	202.129.243.255	SG
202.129.244.0	202.129.247.255	AU
202.129.248.0	202.129.251.255	NP
202.129.252.0	202.129.252.255	AU
202.129.253.0	202.129.253.255	NZ
202.129.254.0	202.129.254.255	JP
202.129.255.0	202.129.255.255	AU
202.130.0.0	202.130.31.255	CN
202.130.32.0	202.130.35.255	AU
202.130.36.0	202.130.37.255	VN
202.130.38.0	202.130.38.255	AU
202.130.39.0	202.130.39.255	JP
202.130.40.0	202.130.43.255	IN
202.130.44.0	202.130.51.255	AU
202.130.52.0	202.130.55.255	ID
202.130.56.0	202.130.59.255	SG
202.130.60.0	202.130.63.255	JP
202.130.64.0	202.130.150.191	HK
202.130.150.192	202.130.150.223	JP
202.130.150.224	202.130.191.55	HK
202.130.191.56	202.130.191.63	TW
202.130.191.64	202.130.191.255	HK
202.130.192.0	202.130.223.255	AU
202.130.224.0	202.130.255.255	CN
202.131.0.0	202.131.7.255	MN
202.131.8.0	202.131.15.255	JP
202.131.16.0	202.131.23.255	CN
202.131.24.0	202.131.31.255	KR
202.131.32.0	202.131.47.255	HK
202.131.48.0	202.131.63.255	CN
202.131.64.0	202.131.79.255	HK
202.131.80.0	202.131.87.255	KH
202.131.88.0	202.131.95.255	AU
202.131.96.0	202.131.159.255	IN
202.131.160.0	202.131.191.255	GU
202.131.192.0	202.131.207.255	JP
202.131.208.0	202.131.223.255	CN
202.131.224.0	202.131.255.255	MN
202.132.0.0	202.132.255.255	TW
202.133.0.0	202.133.7.255	ID
202.133.8.0	202.133.9.207	HK
202.133.9.208	202.133.9.223	ID
202.133.9.224	202.133.9.239	HK
202.133.9.240	202.133.9.255	AF
202.133.10.0	202.133.12.255	HK
202.133.13.0	202.133.13.7	BD
202.133.13.8	202.133.13.31	AF
202.133.13.32	202.133.13.39	ID
202.133.13.40	202.133.13.47	AF
202.133.13.48	202.133.13.55	HK
202.133.13.56	202.133.13.63	AF
202.133.13.64	202.133.13.95	HK
202.133.13.96	202.133.13.111	AF
202.133.13.112	202.133.14.207	HK
202.133.14.208	202.133.14.223	BD
202.133.14.224	202.133.15.255	HK
202.133.16.0	202.133.31.255	KR
202.133.32.0	202.133.47.255	PK
202.133.48.0	202.133.63.255	IN
202.133.64.0	202.133.79.255	PK
202.133.80.0	202.133.95.255	ID
202.133.96.0	202.133.111.255	MY
202.133.112.0	202.133.127.255	JP
202.133.128.0	202.133.191.255	TH
202.133.192.0	202.133.223.255	PH
202.133.224.0	202.133.242.15	TW
202.133.242.16	202.133.242.47	HK
202.133.242.48	202.133.248.127	TW
202.133.248.128	202.133.248.143	CR
202.133.248.144	202.133.248.175	TW
202.133.248.176	202.133.248.191	CR
202.133.248.192	202.133.249.127	TW
202.133.249.128	202.133.249.143	CR
202.133.249.144	202.133.249.175	TW
202.133.249.176	202.133.249.191	CR
202.133.249.192	202.133.250.255	TW
202.133.251.0	202.133.251.15	US
202.133.251.16	202.133.255.255	TW
202.134.0.0	202.134.7.255	ID
202.134.8.0	202.134.15.255	BD
202.134.16.0	202.134.23.255	VN
202.134.24.0	202.134.31.255	TO
202.134.32.0	202.134.47.255	AU
202.134.48.0	202.134.48.255	NZ
202.134.49.0	202.134.51.255	AU
202.134.52.0	202.134.52.255	IN
202.134.53.0	202.134.53.255	NZ
202.134.54.0	202.134.54.255	VN
202.134.55.0	202.134.55.255	HK
202.134.56.0	202.134.57.255	PH
202.134.58.0	202.134.58.255	AU
202.134.59.0	202.134.59.255	IN
202.134.60.0	202.134.127.255	HK
202.134.128.0	202.134.143.255	PK
202.134.144.0	202.134.207.255	IN
202.134.208.0	202.134.223.255	JP
202.134.224.0	202.134.255.255	AU
202.135.0.0	202.135.34.255	JP
202.135.35.0	202.135.35.255	HK
202.135.36.0	202.135.39.255	JP
202.135.40.0	202.135.40.7	HK
202.135.40.8	202.135.142.159	JP
202.135.142.160	202.135.142.191	NZ
202.135.142.192	202.135.226.255	JP
202.135.227.0	202.135.227.255	HK
202.135.228.0	202.135.253.255	JP
202.135.254.0	202.135.254.255	SG
202.135.255.0	202.135.255.255	JP
202.136.0.0	202.136.31.255	SG
202.136.32.0	202.136.47.255	AU
202.136.48.0	202.136.63.255	CN
202.136.64.0	202.136.95.255	ID
202.136.96.0	202.136.111.255	AU
202.136.112.0	202.136.159.255	KR
202.136.160.0	202.136.191.255	SG
202.136.192.0	202.136.207.255	JP
202.136.208.0	202.136.239.255	CN
202.136.240.0	202.136.247.255	LA
202.136.248.0	202.136.251.255	IN
202.137.0.0	202.137.31.255	ID
202.137.32.0	202.137.63.255	JP
202.137.64.0	202.137.111.255	AU
202.137.112.0	202.137.127.255	PH
202.137.128.0	202.137.159.255	LA
202.137.160.0	202.137.175.255	AU
202.137.176.0	202.137.183.255	FJ
202.137.184.0	202.137.191.255	JP
202.137.192.0	202.137.207.255	AU
202.137.208.0	202.137.223.255	IN
202.137.224.0	202.137.224.255	NZ
202.137.225.0	202.137.225.255	ID
202.137.226.0	202.137.229.255	IN
202.137.230.0	202.137.230.255	ID
202.137.232.0	202.137.239.255	IN
202.137.240.0	202.137.247.255	NZ
202.137.248.0	202.137.251.255	IN
202.137.252.0	202.137.255.255	MY
202.138.0.0	202.138.79.255	AU
202.138.80.0	202.138.95.255	JP
202.138.96.0	202.138.127.255	IN
202.138.128.0	202.138.191.255	PH
202.138.192.0	202.138.223.255	AU
202.138.224.0	202.138.255.255	ID
202.139.0.0	202.139.191.255	AU
202.139.192.0	202.139.223.255	TH
202.139.224.0	202.139.255.255	AU
202.140.0.0	202.140.31.255	JP
202.140.32.0	202.140.63.255	IN
202.140.64.0	202.140.127.255	HK
202.140.128.0	202.140.159.255	IN
202.140.160.0	202.140.191.255	HK
202.140.192.0	202.140.223.255	JP
202.140.224.0	202.140.255.255	HK
202.141.0.0	202.141.159.255	IN
202.141.160.0	202.141.191.255	CN
202.141.192.0	202.141.207.255	JP
202.141.208.0	202.141.223.255	AU
202.141.224.0	202.141.255.255	PK
202.142.0.0	202.142.7.255	IN
202.142.8.0	202.142.15.255	JP
202.142.16.0	202.142.31.255	CN
202.142.32.0	202.142.63.255	AU
202.142.64.0	202.142.127.255	IN
202.142.128.0	202.142.143.255	AU
202.142.144.0	202.142.191.255	PK
202.142.192.0	202.142.223.255	TH
202.142.224.0	202.142.255.255	JP
202.143.0.0	202.143.1.255	IN
202.143.2.0	202.143.3.255	JP
202.143.4.0	202.143.7.255	IN
202.143.8.0	202.143.15.255	JP
202.143.16.0	202.143.31.255	CN
202.143.32.0	202.143.47.255	ID
202.143.48.0	202.143.63.255	AU
202.143.64.0	202.143.95.255	JP
202.143.96.0	202.143.111.255	ID
202.143.112.0	202.143.127.255	PK
202.143.128.0	202.143.191.255	TH
202.143.192.0	202.143.255.255	JP
202.144.0.0	202.144.127.255	IN
202.144.128.0	202.144.159.255	BT
202.144.160.0	202.144.183.255	AU
202.144.184.0	202.144.191.255	LA
202.144.192.0	202.144.207.255	MY
202.144.208.0	202.144.223.255	TW
202.145.0.0	202.145.15.255	ID
202.145.16.0	202.145.31.255	JP
202.145.32.0	202.145.255.255	TW
202.146.0.0	202.146.5.255	ID
202.146.6.0	202.146.15.255	AU
202.146.16.0	202.146.23.255	JP
202.146.24.0	202.146.31.255	AP
202.146.32.0	202.146.63.255	ID
202.146.64.0	202.146.95.255	MY
202.146.96.0	202.146.127.255	HK
202.146.128.0	202.146.159.255	ID
202.146.160.0	202.146.175.255	AU
202.146.176.0	202.146.183.255	ID
202.146.184.0	202.146.185.255	PH
202.146.186.0	202.146.186.255	NZ
202.146.187.0	202.146.187.255	AU
202.146.192.0	202.146.207.255	IN
202.146.208.0	202.146.215.255	AU
202.146.216.0	202.146.223.255	HK
202.146.224.0	202.146.255.255	ID
202.147.0.0	202.147.1.255	AP
202.147.2.0	202.147.2.79	JP
202.147.2.80	202.147.2.87	AP
202.147.2.88	202.147.2.207	JP
202.147.2.208	202.147.2.239	AP
202.147.2.240	202.147.3.191	JP
202.147.3.192	202.147.3.199	AP
202.147.3.200	202.147.4.175	JP
202.147.4.176	202.147.4.191	AP
202.147.4.192	202.147.5.255	JP
202.147.6.0	202.147.9.255	AP
202.147.10.0	202.147.10.127	KR
202.147.10.128	202.147.11.63	AP
202.147.11.64	202.147.11.95	KR
202.147.11.96	202.147.11.103	AP
202.147.11.104	202.147.11.239	KR
202.147.11.240	202.147.11.255	AP
202.147.12.0	202.147.12.95	KR
202.147.12.96	202.147.12.111	AP
202.147.12.112	202.147.12.127	KR
202.147.12.128	202.147.12.255	AP
202.147.13.0	202.147.13.31	KR
202.147.13.32	202.147.14.255	AP
202.147.15.0	202.147.15.127	KR
202.147.15.128	202.147.18.7	AP
202.147.18.8	202.147.18.95	HK
202.147.18.96	202.147.19.63	AP
202.147.19.64	202.147.19.95	HK
202.147.19.96	202.147.19.159	AP
202.147.19.160	202.147.19.239	HK
202.147.19.240	202.147.19.255	AP
202.147.20.0	202.147.20.39	HK
202.147.20.40	202.147.20.47	AP
202.147.20.48	202.147.20.191	HK
202.147.20.192	202.147.20.223	AP
202.147.20.224	202.147.20.231	HK
202.147.20.232	202.147.20.239	AP
202.147.20.240	202.147.20.255	HK
202.147.21.0	202.147.22.127	AP
202.147.22.128	202.147.22.159	HK
202.147.22.160	202.147.22.191	AP
202.147.22.192	202.147.22.255	HK
202.147.23.0	202.147.23.63	JP
202.147.23.64	202.147.23.207	HK
202.147.23.208	202.147.23.239	AP
202.147.23.240	202.147.23.255	HK
202.147.24.0	202.147.26.15	AP
202.147.26.16	202.147.26.31	PH
202.147.26.32	202.147.26.79	AP
202.147.26.80	202.147.26.87	PH
202.147.26.88	202.147.26.111	TW
202.147.26.112	202.147.26.127	PH
202.147.26.128	202.147.27.31	AP
202.147.27.32	202.147.27.47	TW
202.147.27.48	202.147.27.63	AP
202.147.27.64	202.147.27.95	TW
202.147.27.96	202.147.27.111	PH
202.147.27.112	202.147.27.143	AP
202.147.27.144	202.147.27.159	TW
202.147.27.160	202.147.28.127	AP
202.147.28.128	202.147.28.255	PH
202.147.29.0	202.147.29.31	AP
202.147.29.32	202.147.29.63	PH
202.147.29.64	202.147.29.159	AP
202.147.29.160	202.147.30.127	PH
202.147.30.128	202.147.30.143	AP
202.147.30.144	202.147.30.159	PH
202.147.30.160	202.147.30.167	TW
202.147.30.168	202.147.31.63	AP
202.147.31.64	202.147.31.95	PH
202.147.31.96	202.147.33.255	AP
202.147.34.0	202.147.34.31	SG
202.147.34.32	202.147.34.63	AP
202.147.34.64	202.147.34.79	MY
202.147.34.80	202.147.35.255	AP
202.147.36.0	202.147.36.55	SG
202.147.36.56	202.147.36.143	AP
202.147.36.144	202.147.36.159	SG
202.147.36.160	202.147.36.255	AP
202.147.37.0	202.147.37.15	MY
202.147.37.16	202.147.37.63	SG
202.147.37.64	202.147.37.111	AP
202.147.37.112	202.147.37.143	SG
202.147.37.144	202.147.37.159	AP
202.147.37.160	202.147.37.191	SG
202.147.37.192	202.147.37.199	AP
202.147.37.200	202.147.37.207	SG
202.147.37.208	202.147.37.223	AP
202.147.37.224	202.147.38.159	SG
202.147.38.160	202.147.39.15	AP
202.147.39.16	202.147.39.23	SG
202.147.39.24	202.147.39.39	MY
202.147.39.40	202.147.39.47	AP
202.147.39.48	202.147.39.95	SG
202.147.39.96	202.147.39.127	AP
202.147.39.128	202.147.39.135	SG
202.147.39.136	202.147.39.159	AP
202.147.39.160	202.147.39.223	MY
202.147.39.224	202.147.43.31	AP
202.147.43.32	202.147.43.79	AU
202.147.43.80	202.147.43.95	NZ
202.147.43.96	202.147.43.127	AU
202.147.43.128	202.147.43.191	AP
202.147.43.192	202.147.43.207	AU
202.147.43.208	202.147.43.223	AP
202.147.43.224	202.147.44.127	AU
202.147.44.128	202.147.45.31	AP
202.147.45.32	202.147.45.63	AU
202.147.45.64	202.147.45.79	AP
202.147.45.80	202.147.45.95	AU
202.147.45.96	202.147.45.103	AP
202.147.45.104	202.147.45.127	AU
202.147.45.128	202.147.45.255	AP
202.147.46.0	202.147.46.23	AU
202.147.46.24	202.147.46.47	NZ
202.147.46.48	202.147.46.63	AU
202.147.46.64	202.147.46.143	AP
202.147.46.144	202.147.46.159	AU
202.147.46.160	202.147.46.175	AP
202.147.46.176	202.147.46.183	NZ
202.147.46.184	202.147.47.63	AP
202.147.47.64	202.147.47.127	AU
202.147.47.128	202.147.47.255	AP
202.147.48.0	202.147.48.255	SG
202.147.49.0	202.147.55.255	AP
202.147.56.0	202.147.57.255	AU
202.147.58.0	202.147.61.255	AP
202.147.62.0	202.147.62.255	TW
202.147.63.0	202.147.63.255	AP
202.147.64.0	202.147.143.255	AU
202.147.160.0	202.147.191.255	PK
202.147.192.0	202.147.207.255	ID
202.147.208.0	202.147.223.255	JP
202.147.224.0	202.148.31.255	ID
202.148.48.0	202.148.55.255	AU
202.148.56.0	202.148.63.255	BD
202.148.96.0	202.148.127.255	CN
202.148.128.0	202.148.159.255	AU
202.148.160.0	202.148.175.255	SG
202.148.176.0	202.148.191.255	TH
202.148.192.0	202.148.207.255	IN
202.148.208.0	202.148.223.255	TW
202.148.224.0	202.148.239.255	AU
202.148.240.0	202.149.23.255	JP
202.149.24.0	202.149.31.255	TH
202.149.32.0	202.149.63.255	IN
202.149.64.0	202.149.95.255	ID
202.149.96.0	202.149.127.255	TH
202.149.128.0	202.149.159.255	ID
202.149.160.0	202.149.191.255	CN
202.149.192.0	202.149.223.255	IN
202.149.224.0	202.149.255.255	CN
202.150.0.0	202.150.3.255	KH
202.150.4.0	202.150.7.255	IN
202.150.8.0	202.150.11.255	KH
202.150.12.0	202.150.15.255	AP
202.150.16.0	202.150.31.255	CN
202.150.32.0	202.150.47.255	ID
202.150.48.0	202.150.55.255	JP
202.150.56.0	202.150.59.255	HK
202.150.60.0	202.150.63.255	AU
202.150.64.0	202.150.95.255	ID
202.150.96.0	202.150.127.255	NZ
202.150.128.0	202.150.175.255	ID
202.150.176.0	202.150.191.255	KR
202.150.208.0	202.150.223.255	SG
202.150.224.0	202.151.3.255	ID
202.151.4.0	202.151.7.255	TH
202.151.8.0	202.151.15.255	ID
202.151.16.0	202.151.31.255	FJ
202.151.32.0	202.151.32.255	AU
202.151.33.0	202.151.33.255	HK
202.151.34.0	202.151.35.255	PH
202.151.36.0	202.151.39.255	AU
202.151.40.0	202.151.47.255	TH
202.151.48.0	202.151.63.255	TW
202.151.64.0	202.151.95.255	GU
202.151.96.0	202.151.127.255	JP
202.151.128.0	202.151.159.255	IN
202.151.160.0	202.151.175.255	VN
202.151.176.0	202.151.191.255	TH
202.151.192.0	202.151.255.255	MY
202.152.0.0	202.152.63.255	ID
202.152.64.0	202.152.95.255	BN
202.152.96.0	202.152.127.255	JP
202.152.128.0	202.152.175.255	ID
202.152.176.0	202.152.191.255	CN
202.152.192.0	202.152.207.255	ID
202.152.208.0	202.152.223.255	JP
202.152.224.0	202.152.255.255	ID
202.153.0.0	202.153.3.255	TH
202.153.4.0	202.153.5.255	JP
202.153.6.0	202.153.6.255	SG
202.153.7.0	202.153.7.255	AU
202.153.8.0	202.153.15.255	HK
202.153.16.0	202.153.31.255	ID
202.153.32.0	202.153.47.255	IN
202.153.48.0	202.153.63.255	CN
202.153.64.0	202.153.79.255	AU
202.153.80.0	202.153.87.255	MV
202.153.88.0	202.153.127.255	HK
202.153.128.0	202.153.159.255	ID
202.153.160.0	202.153.194.191	TW
202.153.194.192	202.153.194.223	CN
202.153.194.224	202.153.198.159	TW
202.153.198.160	202.153.198.175	CR
202.153.198.176	202.153.202.79	TW
202.153.202.80	202.153.202.95	CR
202.153.202.96	202.153.202.255	TW
202.153.203.0	202.153.203.31	HK
202.153.203.32	202.153.203.79	TW
202.153.203.80	202.153.203.95	HK
202.153.203.96	202.153.204.215	TW
202.153.204.216	202.153.204.223	HK
202.153.204.224	202.153.205.239	TW
202.153.205.240	202.153.205.255	CR
202.153.206.0	202.153.207.255	TW
202.153.208.0	202.153.223.255	AU
202.153.224.0	202.154.36.255	ID
202.154.37.0	202.154.37.255	AU
202.154.38.0	202.154.41.47	ID
202.154.41.48	202.154.41.63	AU
202.154.41.64	202.154.41.79	ID
202.154.41.80	202.154.41.127	AU
202.154.41.128	202.154.41.191	ID
202.154.41.192	202.154.41.207	AU
202.154.41.208	202.154.41.223	ID
202.154.41.224	202.154.41.255	AU
202.154.42.0	202.154.45.255	ID
202.154.46.0	202.154.46.31	AU
202.154.46.32	202.154.46.127	ID
202.154.46.128	202.154.46.159	AU
202.154.46.160	202.154.46.175	ID
202.154.46.176	202.154.46.255	AU
202.154.47.0	202.154.47.79	ID
202.154.47.80	202.154.47.191	AU
202.154.47.192	202.154.47.223	ID
202.154.47.224	202.154.47.255	AU
202.154.48.0	202.154.48.255	ID
202.154.49.0	202.154.49.255	AU
202.154.50.0	202.154.63.255	ID
202.154.64.0	202.154.127.255	AU
202.154.128.0	202.154.159.255	NZ
202.154.160.0	202.154.175.255	IN
202.154.176.0	202.154.191.255	ID
202.154.192.0	202.154.223.255	TW
202.154.224.0	202.154.255.255	PK
202.155.0.0	202.155.159.255	ID
202.155.160.0	202.155.191.255	AU
202.155.192.0	202.155.255.255	HK
202.156.0.0	202.156.255.255	SG
202.157.0.0	202.157.63.255	JP
202.157.64.0	202.157.95.255	IN
202.157.96.0	202.157.127.255	JP
202.157.128.0	202.157.175.255	SG
202.157.176.0	202.157.177.255	MY
202.157.178.0	202.157.179.255	AU
202.157.180.0	202.157.181.255	HK
202.157.182.0	202.157.189.255	MY
202.157.190.0	202.157.191.255	IN
202.157.224.0	202.157.255.255	JP
202.158.0.0	202.158.143.255	ID
202.158.144.0	202.158.159.255	KR
202.158.160.0	202.158.191.255	CN
202.158.192.0	202.158.223.255	AU
202.158.224.0	202.158.239.255	JP
202.158.240.0	202.158.240.255	NL
202.158.241.0	202.158.241.255	AU
202.158.242.0	202.158.242.255	JP
202.158.243.0	202.158.243.255	AU
202.158.244.0	202.158.247.255	VN
202.158.248.0	202.158.251.255	SG
202.158.252.0	202.158.252.255	ID
202.158.253.0	202.158.255.255	AU
202.159.0.0	202.159.127.255	ID
202.159.128.0	202.159.191.255	TW
202.159.192.0	202.159.255.255	IN
202.160.0.0	202.160.47.255	BN
202.160.48.0	202.160.63.255	NZ
202.160.64.0	202.160.95.255	TW
202.160.96.0	202.160.111.255	AU
202.160.112.0	202.160.119.255	NZ
202.160.120.0	202.160.123.255	SG
202.160.124.0	202.160.125.255	VN
202.160.126.0	202.160.159.255	AU
202.160.160.0	202.160.175.255	IN
202.160.176.0	202.160.191.255	CN
202.160.192.0	202.160.238.255	SG
202.160.239.0	202.160.239.255	IN
202.160.240.0	202.160.247.255	SG
202.160.248.0	202.160.248.255	US
202.160.249.0	202.160.251.255	SG
202.160.252.0	202.160.252.7	PK
202.160.252.8	202.160.252.31	SG
202.160.252.32	202.160.252.47	PK
202.160.252.48	202.160.252.63	SG
202.160.252.64	202.160.252.95	PK
202.160.252.96	202.160.253.255	SG
202.160.254.0	202.160.254.255	ID
202.160.255.0	202.160.255.255	SG
202.161.0.0	202.161.31.255	AU
202.161.32.0	202.161.63.255	SG
202.161.64.0	202.161.127.255	AU
202.161.128.0	202.161.134.255	US
202.161.135.0	202.161.135.255	NP
202.161.136.0	202.161.137.255	US
202.161.138.0	202.161.138.255	BD
202.161.139.0	202.161.151.255	US
202.161.152.0	202.161.152.255	BD
202.161.153.0	202.161.158.255	US
202.161.159.0	202.161.159.255	NP
202.161.160.0	202.161.175.255	HK
202.161.176.0	202.161.191.255	BD
202.161.192.0	202.161.255.255	JP
202.162.0.0	202.162.31.255	MY
202.162.32.0	202.162.47.255	ID
202.162.48.0	202.162.63.255	IN
202.162.64.0	202.162.67.255	AU
202.162.68.0	202.162.71.255	SG
202.162.72.0	202.162.73.255	NZ
202.162.74.0	202.162.74.255	AU
202.162.76.0	202.162.79.255	TH
202.162.80.0	202.162.95.255	JP
202.162.96.0	202.162.111.255	AU
202.162.112.0	202.162.159.255	JP
202.162.160.0	202.162.175.255	PH
202.162.176.0	202.162.183.255	NZ
202.162.184.0	202.162.187.255	HK
202.162.188.0	202.162.191.255	IN
202.162.192.0	202.162.223.255	ID
202.162.224.0	202.162.255.255	IN
202.163.0.0	202.163.31.255	HK
202.163.32.0	202.163.63.255	SG
202.163.64.0	202.163.127.255	PK
202.163.128.0	202.163.159.255	KR
202.163.160.0	202.163.191.255	JP
202.163.192.0	202.163.255.255	PH
202.164.0.0	202.164.15.255	CN
202.164.16.0	202.164.23.255	AU
202.164.24.0	202.164.25.255	IN
202.164.26.0	202.164.26.255	AU
202.164.27.0	202.164.27.255	HK
202.164.28.0	202.164.31.255	NZ
202.164.32.0	202.164.63.255	IN
202.164.64.0	202.164.95.255	JP
202.164.128.0	202.164.159.255	IN
202.164.160.0	202.164.191.255	PH
202.164.192.0	202.164.207.255	AU
202.164.208.0	202.164.215.255	BD
202.164.216.0	202.164.223.255	ID
202.164.224.0	202.164.255.255	JP
202.165.0.0	202.165.31.255	MY
202.165.32.0	202.165.47.255	ID
202.165.48.0	202.165.55.255	JP
202.165.56.0	202.165.59.255	KR
202.165.60.0	202.165.61.255	PH
202.165.62.0	202.165.63.255	IN
202.165.64.0	202.165.95.255	AU
202.165.96.0	202.165.111.255	AP
202.165.112.0	202.165.119.255	JP
202.165.120.0	202.165.137.255	TW
202.165.138.0	202.165.138.7	US
202.165.138.8	202.165.140.7	TW
202.165.140.8	202.165.140.23	US
202.165.140.24	202.165.141.79	TW
202.165.141.80	202.165.141.95	US
202.165.141.96	202.165.159.255	TW
202.165.160.0	202.165.175.255	JP
202.165.176.0	202.165.191.255	CN
202.165.192.0	202.165.207.255	PG
202.165.208.0	202.165.223.255	CN
202.165.224.0	202.165.255.255	PK
202.166.0.0	202.166.159.255	SG
202.166.160.0	202.166.175.255	PK
202.166.176.0	202.166.183.255	NC
202.166.184.0	202.166.184.255	IN
202.166.185.0	202.166.185.255	JP
202.166.186.0	202.166.187.255	AU
202.166.188.0	202.166.191.255	PH
202.166.192.0	202.166.223.255	NP
202.166.224.0	202.166.255.255	TW
202.167.0.0	202.167.31.255	AP
202.167.32.0	202.167.40.255	US
202.167.41.0	202.167.41.63	AU
202.167.41.64	202.167.100.127	US
202.167.100.128	202.167.100.255	HK
202.167.101.0	202.167.127.255	US
202.167.128.0	202.167.143.255	AP
202.167.144.0	202.167.159.111	US
202.167.159.112	202.167.159.127	SG
202.167.159.128	202.167.207.255	US
202.167.208.0	202.167.223.255	KR
202.167.224.0	202.167.230.255	SG
202.167.231.0	202.167.231.255	AU
202.167.232.0	202.167.233.255	SG
202.167.234.0	202.167.235.255	HK
202.167.236.0	202.167.239.255	JP
202.167.240.0	202.167.244.63	SG
202.167.244.64	202.167.244.95	AU
202.167.244.96	202.167.252.255	SG
202.167.253.0	202.167.253.31	AU
202.167.253.32	202.167.255.255	SG
202.168.0.0	202.168.63.255	AU
202.168.64.0	202.168.79.255	MY
202.168.80.0	202.168.87.255	AU
202.168.88.0	202.168.91.255	IN
202.168.92.0	202.168.93.255	SG
202.168.94.0	202.168.94.255	IN
202.168.95.0	202.168.95.255	HK
202.168.96.0	202.168.159.255	AU
202.168.160.0	202.168.191.255	CN
202.168.192.0	202.168.207.255	TW
202.168.208.0	202.168.210.255	HK
202.168.211.0	202.168.211.63	US
202.168.211.64	202.168.211.95	PR
202.168.211.96	202.168.212.31	HK
202.168.212.32	202.168.212.47	US
202.168.212.48	202.168.212.63	HK
202.168.212.64	202.168.212.95	MO
202.168.212.96	202.168.212.127	HK
202.168.212.128	202.168.212.255	AU
202.168.213.0	202.168.215.255	HK
202.168.216.0	202.168.223.255	JP
202.168.224.0	202.168.255.255	BD
202.169.0.0	202.169.15.255	HK
202.169.16.0	202.169.23.255	AU
202.169.24.0	202.169.31.255	MY
202.169.32.0	202.169.63.255	ID
202.169.64.0	202.169.95.255	JP
202.169.96.0	202.169.127.255	AU
202.169.128.0	202.169.159.255	JP
202.169.160.0	202.169.175.255	TW
202.169.176.0	202.169.183.255	AP
202.169.184.0	202.169.191.255	JP
202.169.192.0	202.169.223.255	NZ
202.169.224.0	202.169.255.255	ID
202.170.0.0	202.170.31.255	HK
202.170.32.0	202.170.47.255	FJ
202.170.48.0	202.170.63.255	MY
202.170.64.0	202.170.95.255	MN
202.170.96.0	202.170.111.255	JP
202.170.112.0	202.170.127.255	TH
202.170.128.0	202.170.159.255	CN
202.170.160.0	202.170.175.255	NZ
202.170.176.0	202.170.191.255	JP
202.170.192.0	202.170.207.255	AU
202.170.208.0	202.170.215.255	JP
202.170.216.0	202.170.223.255	CN
202.171.0.0	202.171.31.255	ID
202.171.32.0	202.171.63.255	MY
202.171.64.0	202.171.65.127	NC
202.171.65.128	202.171.65.191	NZ
202.171.65.192	202.171.79.255	NC
202.171.80.0	202.171.95.255	JP
202.171.96.0	202.171.111.255	AU
202.171.112.0	202.171.159.255	JP
202.171.160.0	202.171.191.255	AU
202.171.192.0	202.171.207.255	MY
202.171.208.0	202.171.215.255	HK
202.171.224.0	202.171.231.255	JP
202.171.232.0	202.171.232.255	AU
202.171.233.0	202.171.233.255	ID
202.171.234.0	202.171.234.255	IN
202.171.236.0	202.171.237.255	ID
202.171.238.0	202.171.238.255	AU
202.171.239.0	202.171.239.255	IN
202.171.240.0	202.171.247.255	PG
202.171.248.0	202.171.251.255	KR
202.171.252.0	202.172.3.255	MO
202.172.4.0	202.172.5.255	VN
202.172.6.0	202.172.6.255	AU
202.172.7.0	202.172.7.255	IN
202.172.8.0	202.172.15.255	AU
202.172.16.0	202.172.23.255	TH
202.172.24.0	202.172.31.255	JP
202.172.32.0	202.172.63.255	SG
202.172.64.0	202.172.95.255	JP
202.172.96.0	202.172.159.255	AU
202.172.160.0	202.172.255.255	SG
202.173.0.0	202.173.3.255	MO
202.173.4.0	202.173.4.255	PH
202.173.5.0	202.173.5.255	JP
202.173.6.0	202.173.6.255	AU
202.173.7.0	202.173.7.255	PH
202.173.8.0	202.173.15.255	CN
202.173.16.0	202.173.23.255	ID
202.173.24.0	202.173.31.255	AU
202.173.32.0	202.173.63.255	TW
202.173.64.0	202.173.95.255	ID
202.173.96.0	202.173.127.255	JP
202.173.128.0	202.173.207.255	AU
202.173.208.0	202.173.223.255	TH
202.173.224.0	202.173.255.255	CN
202.174.0.0	202.174.3.255	MO
202.174.4.0	202.174.4.255	TW
202.174.5.0	202.174.5.255	IN
202.174.6.0	202.174.7.255	NZ
202.174.8.0	202.174.15.255	AP
202.174.16.0	202.174.31.255	TW
202.174.32.0	202.174.47.255	AU
202.174.48.0	202.174.63.255	JP
202.174.64.0	202.174.79.255	SG
202.174.80.0	202.174.87.255	AU
202.174.88.0	202.174.91.255	KR
202.174.92.0	202.174.95.255	IN
202.174.96.0	202.174.111.255	AU
202.174.112.0	202.174.119.255	NZ
202.174.120.0	202.174.120.255	IN
202.174.121.0	202.174.121.255	HK
202.174.122.0	202.174.127.255	IN
202.174.128.0	202.174.129.255	HK
202.174.130.0	202.174.131.31	MY
202.174.131.32	202.174.131.39	HK
202.174.131.40	202.174.131.47	MY
202.174.131.48	202.174.131.55	HK
202.174.131.56	202.174.131.87	MY
202.174.131.88	202.174.131.95	MV
202.174.131.96	202.174.131.103	HK
202.174.131.104	202.174.131.111	KZ
202.174.131.112	202.174.131.119	MY
202.174.131.120	202.174.131.127	KZ
202.174.131.128	202.174.131.135	MV
202.174.131.136	202.174.131.143	MY
202.174.131.144	202.174.131.151	MV
202.174.131.152	202.174.131.167	MY
202.174.131.168	202.174.131.175	HK
202.174.131.176	202.174.131.215	MV
202.174.131.216	202.174.131.223	KZ
202.174.131.224	202.174.131.231	MV
202.174.131.232	202.174.131.247	MY
202.174.131.248	202.174.131.255	HK
202.174.132.0	202.174.132.207	MY
202.174.132.208	202.174.132.223	MV
202.174.132.224	202.174.132.239	KZ
202.174.132.240	202.174.132.247	MV
202.174.132.248	202.174.133.7	HK
202.174.133.8	202.174.133.15	AF
202.174.133.16	202.174.133.31	HK
202.174.133.32	202.174.133.47	AF
202.174.133.48	202.174.133.63	MA
202.174.133.64	202.174.133.127	MY
202.174.133.128	202.174.133.143	MA
202.174.133.144	202.174.133.151	AF
202.174.133.152	202.174.133.175	MA
202.174.133.176	202.174.133.199	HK
202.174.133.200	202.174.133.207	MA
202.174.133.208	202.174.133.215	HK
202.174.133.216	202.174.133.231	MA
202.174.133.232	202.174.133.239	MY
202.174.133.240	202.174.133.255	MV
202.174.134.0	202.174.134.7	AF
202.174.134.8	202.174.134.39	HK
202.174.134.40	202.174.134.63	ID
202.174.134.64	202.174.134.191	MY
202.174.134.192	202.174.134.223	HK
202.174.134.224	202.174.134.239	ID
202.174.134.240	202.174.134.255	KZ
202.174.135.0	202.174.135.119	MY
202.174.135.120	202.174.135.183	HK
202.174.135.184	202.174.135.191	MY
202.174.135.192	202.174.135.207	HK
202.174.135.208	202.174.135.255	MY
202.174.136.0	202.174.138.255	HK
202.174.139.0	202.174.139.255	NP
202.174.140.0	202.174.141.255	BD
202.174.142.0	202.174.142.127	PK
202.174.142.128	202.174.142.191	BD
202.174.142.192	202.174.143.23	HK
202.174.143.24	202.174.143.39	MY
202.174.143.40	202.174.143.47	HK
202.174.143.48	202.174.143.87	MY
202.174.143.88	202.174.143.95	BD
202.174.143.96	202.174.143.103	MN
202.174.143.104	202.174.143.111	MY
202.174.143.112	202.174.143.127	HK
202.174.143.128	202.174.143.143	MY
202.174.143.144	202.174.143.151	HK
202.174.143.152	202.174.143.159	MY
202.174.143.160	202.174.143.167	MN
202.174.143.168	202.174.143.175	HK
202.174.143.176	202.174.143.183	MN
202.174.143.184	202.174.143.199	ID
202.174.143.200	202.174.143.207	HK
202.174.143.208	202.174.143.215	MY
202.174.143.216	202.174.143.223	HK
202.174.143.224	202.174.143.255	ID
202.174.144.0	202.174.144.7	AF
202.174.144.8	202.174.144.15	MY
202.174.144.16	202.174.144.23	HK
202.174.144.24	202.174.144.47	NP
202.174.144.48	202.174.144.55	MN
202.174.144.56	202.174.144.63	ID
202.174.144.64	202.174.144.71	MY
202.174.144.72	202.174.144.87	ID
202.174.144.88	202.174.144.127	MY
202.174.144.128	202.174.144.135	HK
202.174.144.136	202.174.144.143	MY
202.174.144.144	202.174.144.151	ID
202.174.144.152	202.174.144.167	MY
202.174.144.168	202.174.144.175	ID
202.174.144.176	202.174.144.191	BD
202.174.144.192	202.174.144.199	MN
202.174.144.200	202.174.144.207	ID
202.174.144.208	202.174.144.215	MY
202.174.144.216	202.174.144.223	AF
202.174.144.224	202.174.144.255	HK
202.174.145.0	202.174.145.63	LK
202.174.145.64	202.174.145.95	BD
202.174.145.96	202.174.145.127	HK
202.174.145.128	202.174.145.159	BD
202.174.145.160	202.174.146.127	HK
202.174.146.128	202.174.147.63	BD
202.174.147.64	202.174.147.255	HK
202.174.148.0	202.174.148.31	KZ
202.174.148.32	202.174.148.47	PK
202.174.148.48	202.174.148.55	AF
202.174.148.56	202.174.148.63	ID
202.174.148.64	202.174.148.79	BD
202.174.148.80	202.174.148.87	HK
202.174.148.88	202.174.148.95	ID
202.174.148.96	202.174.148.127	NP
202.174.148.128	202.174.148.135	AF
202.174.148.136	202.174.148.143	IN
202.174.148.144	202.174.148.159	BD
202.174.148.160	202.174.148.175	HK
202.174.148.176	202.174.148.207	ID
202.174.148.208	202.174.148.215	HK
202.174.148.216	202.174.148.223	PK
202.174.148.224	202.174.148.239	BD
202.174.148.240	202.174.148.255	ID
202.174.149.0	202.174.149.255	HK
202.174.150.0	202.174.150.255	PK
202.174.151.0	202.174.151.63	BD
202.174.151.64	202.174.151.127	HK
202.174.151.128	202.174.151.159	BD
202.174.151.160	202.174.151.191	KZ
202.174.151.192	202.174.151.255	BD
202.174.152.0	202.174.152.63	HK
202.174.152.64	202.174.152.127	NP
202.174.152.128	202.174.152.255	HK
202.174.153.0	202.174.153.15	NP
202.174.153.16	202.174.153.23	MN
202.174.153.24	202.174.153.31	MY
202.174.153.32	202.174.153.47	MN
202.174.153.48	202.174.153.63	MY
202.174.153.64	202.174.153.71	MN
202.174.153.72	202.174.153.79	HK
202.174.153.80	202.174.153.95	MY
202.174.153.96	202.174.153.103	BD
202.174.153.104	202.174.153.111	MY
202.174.153.112	202.174.153.127	BD
202.174.153.128	202.174.153.135	KZ
202.174.153.136	202.174.153.143	MN
202.174.153.144	202.174.153.159	MY
202.174.153.160	202.174.153.175	BD
202.174.153.176	202.174.153.183	ID
202.174.153.184	202.174.153.191	AF
202.174.153.192	202.174.153.199	ID
202.174.153.200	202.174.153.207	MN
202.174.153.208	202.174.153.231	ID
202.174.153.232	202.174.153.239	BD
202.174.153.240	202.174.153.255	MY
202.174.154.0	202.174.154.7	AF
202.174.154.8	202.174.154.15	ID
202.174.154.16	202.174.154.23	NP
202.174.154.24	202.174.154.31	AF
202.174.154.32	202.174.154.39	HK
202.174.154.40	202.174.154.47	ID
202.174.154.48	202.174.154.55	HK
202.174.154.56	202.174.154.63	ID
202.174.154.64	202.174.154.71	MN
202.174.154.72	202.174.154.95	ID
202.174.154.96	202.174.154.111	AF
202.174.154.112	202.174.154.119	MY
202.174.154.120	202.174.154.127	HK
202.174.154.128	202.174.154.135	AF
202.174.154.136	202.174.154.143	BD
202.174.154.144	202.174.154.147	ID
202.174.154.148	202.174.154.155	HK
202.174.154.156	202.174.154.159	NP
202.174.154.160	202.174.154.167	AF
202.174.154.168	202.174.154.175	MY
202.174.154.176	202.174.154.179	LK
202.174.154.180	202.174.154.187	AF
202.174.154.188	202.174.154.199	HK
202.174.154.200	202.174.154.211	ID
202.174.154.212	202.174.154.215	AF
202.174.154.216	202.174.154.219	ID
202.174.154.220	202.174.154.223	HK
202.174.154.224	202.174.154.231	MN
202.174.154.232	202.174.154.255	NP
202.174.155.0	202.174.155.7	ID
202.174.155.8	202.174.155.15	HK
202.174.155.16	202.174.155.31	PK
202.174.155.32	202.174.155.47	HK
202.174.155.48	202.174.155.63	ID
202.174.155.64	202.174.155.127	HK
202.174.155.128	202.174.155.136	AF
202.174.155.137	202.174.155.143	ID
202.174.155.144	202.174.155.151	AF
202.174.155.152	202.174.155.159	KZ
202.174.155.160	202.174.155.167	BD
202.174.155.168	202.174.155.174	ID
202.174.155.175	202.174.155.175	HK
202.174.155.176	202.174.155.183	ID
202.174.155.184	202.174.155.191	MY
202.174.155.192	202.174.155.199	ID
202.174.155.200	202.174.155.207	HK
202.174.155.208	202.174.155.216	MN
202.174.155.217	202.174.155.223	AF
202.174.155.224	202.174.155.232	BD
202.174.155.233	202.174.155.239	MY
202.174.155.240	202.174.155.247	AF
202.174.155.248	202.174.155.255	MY
202.174.156.0	202.174.156.63	BD
202.174.156.64	202.174.156.127	AF
202.174.156.128	202.174.156.191	VN
202.174.156.192	202.174.156.215	AF
202.174.156.216	202.174.156.223	BD
202.174.156.224	202.174.156.231	PK
202.174.156.232	202.174.156.239	HK
202.174.156.240	202.174.156.247	ID
202.174.156.248	202.174.156.255	AF
202.174.157.0	202.174.157.63	PK
202.174.157.64	202.174.157.127	BD
202.174.157.128	202.174.157.191	HK
202.174.157.192	202.174.157.223	AF
202.174.157.224	202.174.157.231	LK
202.174.157.232	202.174.157.239	AF
202.174.157.240	202.174.157.247	LK
202.174.157.248	202.174.159.255	HK
202.174.160.0	202.174.191.255	NZ
202.174.192.0	202.174.223.255	JP
202.174.224.0	202.174.255.255	AU
202.175.0.0	202.175.127.255	MO
202.175.128.0	202.175.143.255	NZ
202.175.144.0	202.175.159.255	JP
202.175.160.0	202.175.191.255	MO
202.175.192.0	202.175.255.255	PH
202.176.0.0	202.176.7.255	AU
202.176.8.0	202.176.11.255	JP
202.176.12.0	202.176.13.255	MY
202.176.14.0	202.176.15.255	AU
202.176.16.0	202.176.63.255	JP
202.176.64.0	202.176.191.255	TH
202.176.192.0	202.176.223.255	SG
202.177.0.0	202.177.31.255	HK
202.177.32.0	202.177.39.255	JP
202.177.40.0	202.177.43.255	AU
202.177.44.0	202.177.47.255	IN
202.177.48.0	202.177.127.255	JP
202.177.128.0	202.177.191.255	IN
202.177.192.0	202.177.196.95	SG
202.177.196.96	202.177.196.111	AU
202.177.196.112	202.177.201.231	SG
202.177.201.232	202.177.201.239	HK
202.177.201.240	202.177.204.255	SG
202.177.205.0	202.177.205.63	HK
202.177.205.64	202.177.206.167	SG
202.177.206.168	202.177.206.175	AU
202.177.206.176	202.177.212.255	SG
202.177.213.0	202.177.213.255	AU
202.177.214.0	202.177.214.151	SG
202.177.214.152	202.177.214.159	AU
202.177.214.160	202.177.214.191	SG
202.177.214.192	202.177.214.255	AU
202.177.215.0	202.177.221.23	SG
202.177.221.24	202.177.221.31	AU
202.177.221.32	202.177.221.127	SG
202.177.221.128	202.177.221.255	AU
202.177.222.0	202.177.223.103	SG
202.177.223.104	202.177.223.111	AU
202.177.223.112	202.177.223.127	SG
202.177.223.128	202.177.223.143	AU
202.177.223.144	202.177.223.255	SG
202.177.224.0	202.177.255.255	IN
202.178.0.0	202.178.79.255	MY
202.178.80.0	202.178.111.255	JP
202.178.112.0	202.178.127.255	KH
202.178.128.0	202.178.255.255	TW
202.179.0.0	202.179.31.255	MN
202.179.32.0	202.179.63.255	JP
202.179.64.0	202.179.95.255	IN
202.179.96.0	202.179.127.255	MY
202.179.128.0	202.179.159.255	PK
202.179.160.0	202.179.175.255	JP
202.179.176.0	202.179.183.255	KR
202.179.184.0	202.179.191.255	ID
202.179.192.0	202.179.239.255	JP
202.179.240.0	202.179.255.255	CN
202.180.0.0	202.180.31.255	ID
202.180.32.0	202.180.47.255	JP
202.180.48.0	202.180.55.255	ID
202.180.56.0	202.180.63.255	JP
202.180.64.0	202.180.127.255	NZ
202.180.128.0	202.180.159.255	CN
202.180.160.0	202.180.175.255	HK
202.180.176.0	202.180.207.255	JP
202.180.216.0	202.180.223.255	MN
202.180.224.0	202.181.31.255	AU
202.181.64.0	202.181.95.255	AU
202.181.96.0	202.181.111.255	JP
202.181.112.0	202.181.127.255	CN
202.181.128.0	202.181.255.255	HK
202.182.0.0	202.182.31.255	TH
202.182.48.0	202.182.63.255	ID
202.182.64.0	202.182.159.255	AU
202.182.160.0	202.182.191.255	ID
202.182.224.0	202.182.255.255	HK
202.183.0.0	202.183.31.255	ID
202.183.32.0	202.183.47.255	PH
202.183.48.0	202.183.63.255	JP
202.183.64.0	202.183.79.255	IN
202.183.80.0	202.183.95.255	JP
202.183.96.0	202.183.127.255	AU
202.183.128.0	202.183.255.255	TH
202.184.0.0	202.188.255.255	MY
202.189.64.0	202.189.79.255	AU
202.189.80.0	202.189.95.255	CN
202.189.96.0	202.189.127.255	HK
202.189.128.0	202.189.143.255	KR
202.189.144.0	202.189.159.255	JP
202.189.160.0	202.189.175.255	NZ
202.189.176.0	202.189.183.255	JP
202.189.192.0	202.189.223.255	JP
202.189.224.0	202.189.255.255	IN
202.190.0.0	202.190.255.255	MY
202.191.0.0	202.191.0.255	DE
202.191.2.0	202.191.3.255	ID
202.191.4.0	202.191.15.255	AU
202.191.16.0	202.191.31.255	JP
202.191.32.0	202.191.47.255	NZ
202.191.48.0	202.191.55.255	AU
202.191.56.0	202.191.59.255	VN
202.191.60.0	202.191.63.255	AU
202.191.64.0	202.191.95.255	IN
202.191.96.0	202.191.111.255	AU
202.191.112.0	202.191.119.255	JP
202.191.120.0	202.191.127.255	BD
202.191.128.0	202.191.255.255	MY
202.192.0.0	202.192.241.255	CN
202.192.242.0	202.192.242.255	TW
202.192.243.0	202.207.255.255	CN
202.208.0.0	202.242.2.98	JP
202.242.2.99	202.242.2.99	ID
202.242.2.100	202.242.2.110	JP
202.242.2.111	202.242.2.111	IN
202.242.2.112	202.255.255.255	JP
203.0.0.0	203.4.135.255	AU
203.4.136.0	203.4.143.255	US
203.4.144.0	203.4.159.255	AU
203.4.160.0	203.4.160.255	TH
203.4.161.0	203.8.108.255	AU
203.8.109.0	203.8.109.255	IN
203.8.110.0	203.9.77.255	AU
203.9.78.0	203.9.79.255	SG
203.9.80.0	203.9.175.255	AU
203.9.176.0	203.9.183.255	NZ
203.9.184.0	203.10.15.255	AU
203.10.16.0	203.10.23.255	MY
203.10.24.0	203.11.183.255	AU
203.11.184.0	203.11.184.255	SG
203.11.185.0	203.12.17.255	AU
203.12.18.0	203.12.18.255	PH
203.12.19.0	203.12.19.255	AU
203.12.22.0	203.12.117.255	AU
203.12.118.0	203.12.118.255	NP
203.12.119.0	203.12.219.255	AU
203.12.220.0	203.12.220.255	MY
203.12.221.0	203.12.221.255	AU
203.12.222.0	203.12.223.255	IN
203.12.224.0	203.12.248.255	AU
203.12.249.0	203.12.249.255	NF
203.12.250.0	203.13.167.255	AU
203.13.168.0	203.13.171.255	IN
203.13.172.0	203.14.17.255	AU
203.14.18.0	203.14.18.255	IN
203.14.19.0	203.14.165.255	AU
203.14.166.0	203.14.166.255	AP
203.14.167.0	203.14.175.255	AU
203.14.176.0	203.14.176.255	ID
203.14.177.0	203.14.182.255	AU
203.14.183.0	203.14.183.255	ID
203.14.184.0	203.14.211.255	AU
203.14.212.0	203.14.212.255	HK
203.14.213.0	203.16.164.255	AU
203.16.165.0	203.16.165.255	IN
203.16.166.0	203.17.225.255	AU
203.17.226.0	203.17.226.255	KR
203.17.227.0	203.17.239.255	AU
203.17.240.0	203.17.243.255	NF
203.17.244.0	203.18.25.255	AU
203.18.26.0	203.18.26.255	IN
203.18.27.0	203.18.49.255	AU
203.18.50.0	203.18.50.255	CN
203.18.51.0	203.18.136.255	AU
203.18.137.0	203.18.137.255	IN
203.18.138.0	203.19.0.255	AU
203.19.1.0	203.19.1.255	SG
203.19.2.0	203.19.2.255	AU
203.19.3.0	203.19.3.255	IN
203.19.4.0	203.19.4.255	ID
203.19.5.0	203.19.100.255	AU
203.19.101.0	203.19.101.255	HK
203.19.102.0	203.19.146.255	AU
203.19.147.0	203.19.147.255	JP
203.19.148.0	203.20.43.255	AU
203.20.44.0	203.20.44.255	JP
203.20.45.0	203.20.104.255	AU
203.20.105.0	203.20.105.255	SG
203.20.106.0	203.21.6.255	AU
203.21.7.0	203.21.7.255	IN
203.21.8.0	203.21.25.55	AU
203.21.25.56	203.21.25.59	NZ
203.21.25.60	203.21.25.75	AU
203.21.25.76	203.21.25.79	NZ
203.21.25.80	203.21.25.107	AU
203.21.25.108	203.21.25.111	NZ
203.21.25.112	203.21.25.139	AU
203.21.25.140	203.21.25.143	NZ
203.21.25.144	203.21.25.199	AU
203.21.25.200	203.21.25.207	NZ
203.21.25.208	203.21.26.255	AU
203.21.27.0	203.21.27.31	NZ
203.21.27.32	203.21.27.35	AU
203.21.27.36	203.21.27.39	NZ
203.21.27.40	203.21.27.95	AU
203.21.27.96	203.21.27.111	NZ
203.21.27.112	203.21.27.127	AU
203.21.27.128	203.21.27.135	NZ
203.21.27.136	203.21.27.151	AU
203.21.27.152	203.21.27.159	NZ
203.21.27.160	203.21.27.191	AU
203.21.27.192	203.21.27.207	NZ
203.21.27.208	203.21.27.223	AU
203.21.27.224	203.21.27.255	NZ
203.21.28.0	203.21.31.51	AU
203.21.31.52	203.21.31.55	NZ
203.21.31.56	203.21.31.71	AU
203.21.31.72	203.21.31.111	NZ
203.21.31.112	203.21.31.151	AU
203.21.31.152	203.21.31.155	NZ
203.21.31.156	203.21.31.167	AU
203.21.31.168	203.21.31.175	NZ
203.21.31.176	203.21.31.191	AU
203.21.31.192	203.21.31.199	NZ
203.21.31.200	203.21.31.223	AU
203.21.31.224	203.21.31.255	NZ
203.21.32.0	203.22.103.255	AU
203.22.104.0	203.22.105.255	HK
203.22.106.0	203.22.203.255	AU
203.22.204.0	203.22.204.255	US
203.22.205.0	203.24.75.255	AU
203.24.76.0	203.24.77.255	ID
203.24.78.0	203.24.78.255	AU
203.24.80.0	203.24.86.255	AU
203.24.87.0	203.24.87.255	IN
203.24.88.0	203.26.76.255	AU
203.26.77.0	203.26.77.255	PK
203.26.78.0	203.26.178.255	AU
203.26.179.0	203.26.179.255	NZ
203.26.180.0	203.27.228.255	AU
203.27.229.0	203.27.229.255	JP
203.27.230.0	203.27.234.255	AU
203.27.235.0	203.27.235.255	IN
203.27.236.0	203.27.251.139	AU
203.27.251.140	203.27.251.160	JP
203.27.251.161	203.29.25.255	AU
203.29.26.0	203.29.27.255	ID
203.29.28.0	203.29.221.255	AU
203.29.222.0	203.29.222.255	HK
203.29.223.0	203.30.37.255	AU
203.30.38.0	203.30.39.255	SG
203.30.40.0	203.30.47.255	AU
203.30.48.0	203.30.49.255	HK
203.30.50.0	203.30.173.255	AU
203.30.174.0	203.30.174.255	NZ
203.30.175.0	203.30.235.255	AU
203.30.236.0	203.30.237.255	ID
203.30.238.0	203.30.253.255	AU
203.30.254.0	203.30.255.255	ID
203.31.0.0	203.31.31.255	AU
203.31.32.0	203.31.33.255	HK
203.31.34.0	203.31.87.255	AU
203.31.88.0	203.31.89.255	US
203.31.90.0	203.31.119.255	AU
203.31.120.0	203.31.120.255	US
203.31.121.0	203.31.163.255	AU
203.31.164.0	203.31.165.255	ID
203.31.166.0	203.31.233.255	AU
203.31.234.0	203.31.234.255	GB
203.31.235.0	203.32.3.255	AU
203.32.4.0	203.32.5.255	IN
203.32.6.0	203.32.220.255	AU
203.32.221.0	203.32.221.255	IN
203.32.222.0	203.33.188.255	AU
203.33.189.0	203.33.189.255	KH
203.33.190.0	203.33.195.255	AU
203.33.196.0	203.33.196.255	PH
203.33.197.0	203.33.197.255	AU
203.33.198.0	203.33.199.255	IN
203.33.200.0	203.33.239.255	AU
203.33.240.0	203.33.240.255	TH
203.33.241.0	203.34.36.255	AU
203.34.37.0	203.34.37.255	MN
203.34.38.0	203.34.80.255	AU
203.34.81.0	203.34.81.255	JP
203.34.82.0	203.34.115.255	AU
203.34.116.0	203.34.117.255	IN
203.34.118.0	203.34.119.255	ID
203.34.120.0	203.34.143.255	AU
203.34.144.0	203.34.144.255	VN
203.34.145.0	203.34.146.255	AU
203.34.148.0	203.34.151.255	AU
203.34.152.0	203.34.153.255	SG
203.34.154.0	203.34.154.255	HK
203.34.155.0	203.34.245.255	AU
203.34.246.0	203.34.246.255	PH
203.34.247.0	203.55.66.255	AU
203.55.67.0	203.55.67.255	PH
203.55.68.0	203.55.152.255	AU
203.55.153.0	203.55.153.255	PL
203.55.154.0	203.55.159.255	AU
203.55.160.0	203.55.160.255	IN
203.55.161.0	203.55.172.255	AU
203.55.173.0	203.55.173.255	IN
203.55.174.0	203.55.180.255	AU
203.55.181.0	203.55.181.255	AP
203.55.182.0	203.56.182.255	AU
203.56.183.0	203.56.183.255	SG
203.56.184.0	203.56.230.255	AU
203.56.231.0	203.56.231.255	HK
203.56.232.0	203.56.234.255	AU
203.56.235.0	203.56.235.255	US
203.56.236.0	203.56.240.255	AU
203.56.241.0	203.56.241.255	IN
203.56.242.0	203.56.252.255	AU
203.56.253.0	203.56.253.255	HK
203.56.254.0	203.56.255.223	AU
203.56.255.224	203.56.255.239	IN
203.56.255.240	203.57.23.255	AU
203.57.24.0	203.57.25.255	ID
203.57.26.0	203.57.144.255	AU
203.57.145.0	203.57.145.255	NZ
203.57.146.0	203.61.118.79	AU
203.61.118.80	203.61.118.95	MT
203.61.118.96	203.62.0.255	AU
203.62.1.0	203.62.1.255	MY
203.62.3.0	203.62.151.255	AU
203.62.152.0	203.62.155.255	TH
203.62.156.0	203.62.171.255	AU
203.62.172.0	203.62.175.255	IN
203.62.176.0	203.62.194.255	AU
203.62.195.0	203.62.195.255	SG
203.62.196.0	203.63.255.255	AU
203.64.0.0	203.75.255.255	TW
203.76.0.0	203.76.63.255	AU
203.76.64.0	203.76.95.255	JP
203.76.96.0	203.76.127.255	BD
203.76.128.0	203.76.143.255	IN
203.76.144.0	203.76.159.255	BD
203.76.160.0	203.76.163.255	KH
203.76.164.0	203.76.167.255	JP
203.76.168.0	203.76.171.255	IN
203.76.172.0	203.76.175.255	SG
203.76.176.0	203.76.191.255	IN
203.76.192.0	203.76.255.255	PH
203.77.0.0	203.77.127.255	TW
203.77.128.0	203.77.159.255	HK
203.77.160.0	203.77.175.255	AU
203.77.176.0	203.77.176.255	KR
203.77.177.0	203.77.177.255	IN
203.77.178.0	203.77.178.255	VN
203.77.179.0	203.77.179.255	AU
203.77.180.0	203.77.183.255	HK
203.77.184.0	203.77.191.255	US
203.77.192.0	203.77.207.255	IN
203.77.208.0	203.77.255.255	ID
203.78.0.0	203.78.3.255	TW
203.78.4.0	203.78.4.255	IN
203.78.5.0	203.78.7.255	HK
203.78.8.0	203.78.15.255	SG
203.78.16.0	203.78.31.255	AU
203.78.32.0	203.78.47.255	HK
203.78.64.0	203.78.95.255	HK
203.78.96.0	203.78.111.255	TH
203.78.112.0	203.78.127.255	ID
203.78.128.0	203.78.159.255	IN
203.78.160.0	203.78.175.255	NP
203.78.176.0	203.78.191.255	TW
203.78.192.0	203.78.207.255	MY
203.78.208.0	203.78.223.255	IN
203.78.224.0	203.78.255.255	JP
203.79.0.0	203.79.15.255	CN
203.79.16.0	203.79.23.255	AU
203.79.24.0	203.79.25.255	IN
203.79.26.0	203.79.27.255	ID
203.79.28.0	203.79.28.255	VN
203.79.29.0	203.79.29.255	ID
203.79.30.0	203.79.31.255	AU
203.79.32.0	203.79.47.255	GB
203.79.48.0	203.79.63.255	JP
203.79.64.0	203.79.127.255	NZ
203.79.128.0	203.79.255.255	TW
203.80.0.0	203.80.3.255	HK
203.80.4.0	203.80.5.255	AU
203.80.6.0	203.80.7.255	JP
203.80.8.0	203.80.15.255	ID
203.80.16.0	203.80.23.255	MY
203.80.24.0	203.80.31.255	JP
203.80.48.0	203.80.55.255	NC
203.80.56.0	203.80.56.255	TH
203.80.58.0	203.80.59.255	AU
203.80.60.0	203.80.63.255	NZ
203.80.64.0	203.80.127.255	HK
203.80.128.0	203.80.135.255	PK
203.80.136.0	203.80.143.255	PH
203.80.144.0	203.80.159.255	CN
203.80.160.0	203.80.175.255	AU
203.80.176.0	203.80.177.191	HK
203.80.177.192	203.80.177.255	PK
203.80.178.0	203.80.255.255	HK
203.81.8.0	203.81.11.255	KR
203.81.12.0	203.81.15.255	JP
203.81.16.0	203.81.31.255	CN
203.81.32.0	203.81.63.255	SG
203.81.64.0	203.81.95.255	MM
203.81.96.0	203.81.111.255	LK
203.81.112.0	203.81.127.255	JP
203.81.128.0	203.81.159.255	KR
203.81.160.0	203.81.175.255	MM
203.81.176.0	203.81.183.255	HK
203.81.184.0	203.81.191.255	ID
203.81.192.0	203.81.239.255	PK
203.81.240.0	203.81.247.255	JP
203.81.248.0	203.81.251.255	ID
203.81.252.0	203.82.1.255	HK
203.82.2.0	203.82.3.255	MV
203.82.4.0	203.82.7.255	IN
203.82.8.0	203.82.15.255	HK
203.82.24.0	203.82.31.255	JP
203.82.32.0	203.82.47.255	PH
203.82.48.0	203.82.63.255	PK
203.82.64.0	203.82.95.255	MY
203.82.96.0	203.82.111.255	AU
203.82.112.0	203.82.159.255	JP
203.82.160.0	203.82.191.255	AU
203.82.192.0	203.82.207.255	BD
203.82.208.0	203.82.217.255	AU
203.82.218.0	203.82.218.255	IN
203.82.219.0	203.82.221.255	KR
203.82.222.0	203.82.223.255	HK
203.82.224.0	203.82.239.255	KH
203.82.240.0	203.82.247.255	KR
203.82.248.0	203.82.249.255	PH
203.82.250.0	203.82.251.255	IN
203.82.252.0	203.83.3.255	HK
203.83.4.0	203.83.7.255	AU
203.83.8.0	203.83.15.255	JP
203.83.16.0	203.83.23.255	PG
203.83.24.0	203.83.47.255	ID
203.83.48.0	203.83.55.255	IO
203.83.56.0	203.83.63.255	CN
203.83.64.0	203.83.127.255	HK
203.83.128.0	203.83.159.255	KR
203.83.160.0	203.83.191.255	BD
203.83.192.0	203.83.215.255	AU
203.83.216.0	203.83.217.255	TW
203.83.218.0	203.83.218.255	NZ
203.83.219.0	203.83.219.255	AU
203.83.220.0	203.83.223.255	JP
203.83.224.0	203.83.239.255	AU
203.83.240.0	203.83.247.255	JP
203.83.248.0	203.83.249.255	IN
203.83.250.0	203.83.250.255	SG
203.83.251.0	203.83.251.255	FJ
203.83.252.0	203.84.63.255	HK
203.84.64.0	203.84.127.255	AU
203.84.128.0	203.84.129.255	HK
203.84.130.0	203.84.131.255	TW
203.84.132.0	203.84.132.255	AP
203.84.133.0	203.84.133.255	HK
203.84.134.0	203.84.135.255	NZ
203.84.136.0	203.84.143.255	ID
203.84.144.0	203.84.151.255	TW
203.84.152.0	203.84.159.255	ID
203.84.160.0	203.84.191.255	PH
203.84.192.0	203.84.223.255	AP
203.84.224.0	203.84.239.255	AU
203.84.240.0	203.84.255.255	KR
203.85.0.0	203.85.255.255	HK
203.86.0.0	203.86.95.255	CN
203.86.96.0	203.86.127.255	IN
203.86.128.0	203.86.191.255	HK
203.86.192.0	203.86.207.255	NZ
203.86.208.0	203.86.223.255	AU
203.86.224.0	203.86.231.255	JP
203.86.232.0	203.86.239.255	HK
203.86.240.0	203.86.250.255	JP
203.86.251.0	203.86.251.255	AU
203.86.252.0	203.86.253.255	HK
203.87.0.0	203.87.127.255	AU
203.87.128.0	203.87.255.255	PH
203.88.0.0	203.88.31.255	IN
203.88.32.0	203.88.63.255	CN
203.88.64.0	203.88.65.255	HK
203.88.66.0	203.88.66.15	ID
203.88.66.16	203.88.66.31	HK
203.88.66.32	203.88.66.47	ID
203.88.66.48	203.88.66.63	HK
203.88.66.64	203.88.66.71	AF
203.88.66.72	203.88.66.95	HK
203.88.66.96	203.88.66.103	MY
203.88.66.104	203.88.66.111	HK
203.88.66.112	203.88.66.119	ID
203.88.66.120	203.88.66.123	NP
203.88.66.124	203.88.66.127	PK
203.88.66.128	203.88.66.151	ID
203.88.66.152	203.88.66.159	MY
203.88.66.160	203.88.66.167	AF
203.88.66.168	203.88.66.175	MY
203.88.66.176	203.88.66.183	ID
203.88.66.184	203.88.66.191	PK
203.88.66.192	203.88.66.199	MY
203.88.66.200	203.88.66.223	PK
203.88.66.224	203.88.66.231	HK
203.88.66.232	203.88.66.255	MY
203.88.67.0	203.88.67.31	BD
203.88.67.32	203.88.67.63	HK
203.88.67.64	203.88.67.127	BD
203.88.67.128	203.88.67.135	ID
203.88.67.136	203.88.67.143	HK
203.88.67.144	203.88.67.159	NP
203.88.67.160	203.88.67.175	HK
203.88.67.176	203.88.67.191	ID
203.88.67.192	203.88.67.255	BD
203.88.68.0	203.88.68.31	HK
203.88.68.32	203.88.68.63	BD
203.88.68.64	203.88.68.127	HK
203.88.68.128	203.88.68.255	BD
203.88.69.0	203.88.69.255	ID
203.88.70.0	203.88.70.95	BD
203.88.70.96	203.88.70.127	HK
203.88.70.128	203.88.71.127	BD
203.88.71.128	203.88.71.255	HK
203.88.72.0	203.88.72.255	NP
203.88.73.0	203.88.78.63	BD
203.88.78.64	203.88.78.127	PK
203.88.78.128	203.88.78.255	BD
203.88.79.0	203.88.80.63	HK
203.88.80.64	203.88.80.95	MA
203.88.80.96	203.88.80.111	PK
203.88.80.112	203.88.80.127	MA
203.88.80.128	203.88.80.255	HK
203.88.81.0	203.88.82.7	MY
203.88.82.8	203.88.82.15	TH
203.88.82.16	203.88.82.39	ID
203.88.82.40	203.88.82.47	LK
203.88.82.48	203.88.82.127	ID
203.88.82.128	203.88.82.135	TH
203.88.82.136	203.88.82.175	ID
203.88.82.176	203.88.82.183	HK
203.88.82.184	203.88.82.239	ID
203.88.82.240	203.88.82.247	AF
203.88.82.248	203.88.82.255	ID
203.88.83.0	203.88.83.255	HK
203.88.84.0	203.88.84.255	BD
203.88.85.0	203.88.85.255	HK
203.88.86.0	203.88.86.23	ID
203.88.86.24	203.88.86.39	HK
203.88.86.40	203.88.86.55	ID
203.88.86.56	203.88.86.63	HK
203.88.86.64	203.88.86.87	ID
203.88.86.88	203.88.86.159	HK
203.88.86.160	203.88.86.167	ID
203.88.86.168	203.88.86.207	HK
203.88.86.208	203.88.86.215	ID
203.88.86.216	203.88.86.223	HK
203.88.86.224	203.88.86.231	ID
203.88.86.232	203.88.86.255	HK
203.88.87.0	203.88.87.255	BD
203.88.88.0	203.88.88.7	HK
203.88.88.8	203.88.88.15	PK
203.88.88.16	203.88.88.23	HK
203.88.88.24	203.88.88.43	AF
203.88.88.44	203.88.88.79	HK
203.88.88.80	203.88.88.95	MY
203.88.88.96	203.88.88.103	ID
203.88.88.104	203.88.88.119	MY
203.88.88.120	203.88.88.127	ID
203.88.88.128	203.88.88.151	HK
203.88.88.152	203.88.88.159	ID
203.88.88.160	203.88.88.167	AF
203.88.88.168	203.88.88.199	HK
203.88.88.200	203.88.88.207	MY
203.88.88.208	203.88.88.223	HK
203.88.88.224	203.88.88.231	AF
203.88.88.232	203.88.89.255	HK
203.88.90.0	203.88.90.7	BD
203.88.90.8	203.88.90.63	HK
203.88.90.64	203.88.90.191	BD
203.88.90.192	203.88.90.223	HK
203.88.90.224	203.88.90.255	BD
203.88.91.0	203.88.95.255	HK
203.88.96.0	203.88.111.255	BD
203.88.112.0	203.88.127.255	AU
203.88.128.0	203.88.159.255	IN
203.88.160.0	203.88.175.255	HK
203.88.176.0	203.88.191.255	JP
203.88.192.0	203.88.223.255	CN
203.88.224.0	203.88.255.255	AU
203.89.0.0	203.89.3.255	CN
203.89.4.0	203.89.4.255	IN
203.89.5.0	203.89.5.255	AU
203.89.6.0	203.89.7.255	HK
203.89.16.0	203.89.31.255	ID
203.89.32.0	203.89.63.255	JP
203.89.64.0	203.89.127.255	AU
203.89.128.0	203.89.131.255	JP
203.89.132.0	203.89.132.255	IN
203.89.133.0	203.89.133.255	HK
203.89.134.0	203.89.135.255	IN
203.89.140.0	203.89.143.255	VN
203.89.144.0	203.89.145.255	AU
203.89.146.0	203.89.149.255	ID
203.89.150.0	203.89.150.255	SG
203.89.151.0	203.89.155.255	IN
203.89.160.0	203.89.191.255	NZ
203.89.192.0	203.89.255.255	AU
203.90.0.0	203.90.3.255	CN
203.90.4.0	203.90.5.255	IN
203.90.6.0	203.90.7.255	HK
203.90.12.0	203.90.15.255	PK
203.90.16.0	203.90.23.255	JP
203.90.24.0	203.90.31.255	AU
203.90.32.0	203.90.63.255	KR
203.90.64.0	203.90.127.255	IN
203.90.128.0	203.90.223.255	CN
203.90.224.0	203.90.255.255	HK
203.91.0.0	203.91.31.255	TW
203.91.32.0	203.91.63.255	CN
203.91.64.0	203.91.95.255	AU
203.91.96.0	203.91.111.255	CN
203.91.112.0	203.91.119.255	MN
203.91.120.0	203.91.127.255	CN
203.91.128.0	203.91.135.255	HK
203.91.136.0	203.91.136.255	SC
203.91.137.0	203.91.137.255	HK
203.91.138.0	203.91.139.255	BD
203.91.140.0	203.91.147.255	HK
203.91.148.0	203.91.148.255	SC
203.91.149.0	203.91.152.127	HK
203.91.152.128	203.91.152.255	BD
203.91.153.0	203.91.159.191	HK
203.91.159.192	203.91.159.207	ID
203.91.159.208	203.91.159.255	HK
203.91.160.0	203.91.191.255	JP
203.91.192.0	203.91.223.255	IN
203.91.224.0	203.91.255.255	AU
203.92.0.0	203.92.3.255	CN
203.92.4.0	203.92.5.255	PK
203.92.6.0	203.92.6.255	JP
203.92.7.0	203.92.7.255	AU
203.92.8.0	203.92.15.255	PH
203.92.16.0	203.92.23.255	JP
203.92.24.0	203.92.24.255	MN
203.92.25.0	203.92.25.255	NZ
203.92.26.0	203.92.31.255	AU
203.92.32.0	203.92.63.255	IN
203.92.64.0	203.92.127.255	SG
203.92.128.0	203.92.159.255	MY
203.92.160.0	203.92.191.255	CN
203.92.192.0	203.92.207.255	IN
203.92.208.0	203.92.208.255	TW
203.92.209.0	203.92.209.255	JP
203.92.210.0	203.92.210.255	SG
203.92.211.0	203.92.211.255	HK
203.92.212.0	203.92.212.255	JP
203.92.213.0	203.92.213.255	NZ
203.92.214.0	203.92.214.255	JP
203.92.215.0	203.92.215.255	SG
203.92.216.0	203.92.221.255	HK
203.92.222.0	203.92.222.255	AU
203.92.223.0	203.92.223.127	JP
203.92.223.128	203.92.223.239	HK
203.92.223.240	203.92.223.255	JP
203.92.224.0	203.92.255.255	AU
203.93.0.0	203.94.31.255	CN
203.94.32.0	203.94.63.255	AU
203.94.64.0	203.94.127.255	LK
203.94.128.0	203.94.191.255	AU
203.94.192.0	203.94.255.255	IN
203.95.0.0	203.95.7.255	CN
203.95.8.0	203.95.15.255	GU
203.95.16.0	203.95.63.255	JP
203.95.64.0	203.95.95.255	SG
203.95.96.0	203.95.127.255	CN
203.95.128.0	203.95.255.255	TW
203.96.0.0	203.98.63.255	NZ
203.98.64.0	203.98.95.255	AU
203.98.96.0	203.98.127.255	IN
203.98.128.0	203.98.191.255	HK
203.98.192.0	203.98.192.255	AU
203.98.193.0	203.98.193.15	HK
203.98.193.16	203.98.193.63	AU
203.98.193.64	203.98.193.127	IN
203.98.193.128	203.98.193.143	SG
203.98.193.144	203.98.193.167	AU
203.98.193.168	203.98.193.175	CN
203.98.193.176	203.98.193.183	JP
203.98.193.184	203.98.193.191	AU
203.98.193.192	203.98.193.223	JP
203.98.193.224	203.98.193.239	IN
203.98.193.240	203.98.193.247	CN
203.98.193.248	203.98.193.255	NZ
203.98.194.0	203.98.194.15	HK
203.98.194.16	203.98.194.31	CN
203.98.194.32	203.98.194.63	JP
203.98.194.64	203.98.194.127	AU
203.98.194.128	203.98.195.23	IN
203.98.195.24	203.98.195.31	AU
203.98.195.32	203.98.195.39	IN
203.98.195.40	203.98.195.47	SG
203.98.195.48	203.98.195.63	CN
203.98.195.64	203.98.195.79	AU
203.98.195.80	203.98.195.95	MY
203.98.195.96	203.98.195.103	SG
203.98.195.104	203.98.195.127	AU
203.98.195.128	203.98.195.143	HK
203.98.195.144	203.98.200.255	AU
203.98.201.0	203.98.201.255	CN
203.98.202.0	203.98.202.15	HK
203.98.202.16	203.98.204.255	AU
203.98.205.0	203.98.205.7	SG
203.98.205.8	203.98.205.15	AU
203.98.205.16	203.98.205.23	HK
203.98.205.24	203.98.205.31	JP
203.98.205.32	203.98.205.47	CN
203.98.205.48	203.98.205.127	SG
203.98.205.128	203.98.205.159	IN
203.98.205.160	203.98.205.167	HK
203.98.205.168	203.98.205.175	CN
203.98.205.176	203.98.205.207	IN
203.98.205.208	203.98.205.223	AU
203.98.205.224	203.98.205.231	KR
203.98.205.232	203.98.206.255	HK
203.98.207.0	203.98.207.7	CN
203.98.207.8	203.98.207.15	TW
203.98.207.16	203.98.207.31	SG
203.98.207.32	203.98.207.63	KR
203.98.207.64	203.98.207.79	IN
203.98.207.80	203.98.207.111	CN
203.98.207.112	203.98.207.127	HK
203.98.207.128	203.98.207.135	JP
203.98.207.136	203.98.207.143	HK
203.98.207.144	203.98.207.159	TW
203.98.207.160	203.98.207.191	IN
203.98.207.192	203.98.207.207	SG
203.98.207.208	203.98.207.231	HK
203.98.207.232	203.98.207.239	AU
203.98.207.240	203.98.207.247	KR
203.98.207.248	203.98.207.255	AU
203.98.208.0	203.98.208.255	JP
203.98.209.0	203.98.209.47	AU
203.98.209.48	203.98.209.79	SG
203.98.209.80	203.98.209.111	JP
203.98.209.112	203.98.209.127	HK
203.98.209.128	203.98.209.191	CN
203.98.209.192	203.98.209.223	AU
203.98.209.224	203.98.209.239	PH
203.98.209.240	203.98.209.255	AU
203.98.210.0	203.98.210.15	CN
203.98.210.16	203.98.210.31	AU
203.98.210.32	203.98.210.95	HK
203.98.210.96	203.98.210.103	CN
203.98.210.104	203.98.210.111	AU
203.98.210.112	203.98.210.127	IN
203.98.210.128	203.98.210.255	AU
203.98.211.0	203.98.211.255	TW
203.98.212.0	203.98.212.255	AU
203.98.213.0	203.98.213.15	HK
203.98.213.16	203.98.213.23	AU
203.98.213.24	203.98.213.31	CN
203.98.213.32	203.98.213.63	HK
203.98.213.64	203.98.213.127	SG
203.98.213.128	203.98.213.175	HK
203.98.213.176	203.98.213.183	CN
203.98.213.184	203.98.213.191	HK
203.98.213.192	203.98.213.199	JP
203.98.213.200	203.98.213.207	HK
203.98.213.208	203.98.213.255	IN
203.98.214.0	203.98.214.255	KR
203.98.215.0	203.98.215.255	JP
203.98.216.0	203.98.216.255	HK
203.98.217.0	203.98.217.159	AU
203.98.217.160	203.98.217.163	JP
203.98.217.164	203.98.217.171	AU
203.98.217.172	203.98.217.175	HK
203.98.217.176	203.98.217.255	AU
203.98.218.0	203.98.218.255	SG
203.98.219.0	203.98.219.255	KR
203.98.220.0	203.98.223.255	JP
203.98.224.0	203.98.255.255	NR
203.99.0.0	203.99.7.255	JP
203.99.16.0	203.99.31.255	CN
203.99.32.0	203.99.39.255	NZ
203.99.40.0	203.99.47.255	IN
203.99.48.0	203.99.63.255	PK
203.99.64.0	203.99.71.255	NZ
203.99.72.0	203.99.79.255	JP
203.99.80.0	203.99.95.255	CN
203.99.96.0	203.99.127.255	ID
203.99.128.0	203.99.129.255	NZ
203.99.130.0	203.99.131.255	ID
203.99.132.0	203.99.135.255	NZ
203.99.136.0	203.99.139.255	MY
203.99.140.0	203.99.141.255	SG
203.99.142.0	203.99.142.255	AU
203.99.143.0	203.99.143.255	HK
203.99.144.0	203.99.155.255	AU
203.99.156.0	203.99.159.255	WS
203.99.160.0	203.99.191.255	PK
203.99.192.0	203.99.223.255	IN
203.99.224.0	203.99.231.255	JP
203.99.232.0	203.99.239.255	PH
203.99.240.0	203.99.247.255	JP
203.99.248.0	203.99.251.255	VN
203.99.252.0	203.99.253.255	TH
203.99.254.0	203.99.254.255	HK
203.99.255.0	203.99.255.255	WS
203.100.0.0	203.100.31.255	AU
203.100.32.0	203.100.47.255	CN
203.100.56.0	203.100.56.255	AU
203.100.57.0	203.100.57.255	IN
203.100.58.0	203.100.58.255	AP
203.100.59.0	203.100.61.255	AU
203.100.62.0	203.100.62.255	SG
203.100.64.0	203.100.79.255	IN
203.100.80.0	203.100.127.255	CN
203.100.128.0	203.100.159.255	AP
203.100.160.0	203.100.191.255	KR
203.100.192.0	203.100.207.255	CN
203.100.208.0	203.100.223.255	NZ
203.100.224.0	203.100.255.255	AU
203.101.0.0	203.101.127.255	IN
203.101.128.0	203.101.159.255	TH
203.101.160.0	203.101.191.255	PK
203.101.192.0	203.101.223.255	SG
203.101.224.0	203.104.15.255	AU
203.104.16.0	203.104.23.255	IN
203.104.24.0	203.104.31.255	MV
203.104.48.0	203.104.63.255	NC
203.104.64.0	203.104.95.255	PH
203.104.96.0	203.104.255.255	JP
203.105.0.0	203.105.63.255	HK
203.105.64.0	203.105.95.255	JP
203.105.160.0	203.105.191.255	IN
203.105.192.0	203.105.223.255	AU
203.105.224.0	203.105.255.255	TW
203.106.0.0	203.106.255.255	MY
203.107.0.0	203.107.63.255	TW
203.107.128.0	203.107.255.255	TH
203.108.0.0	203.108.255.255	AU
203.109.0.0	203.109.31.255	KR
203.109.32.0	203.109.63.255	MY
203.109.64.0	203.109.127.255	IN
203.109.128.0	203.110.63.255	NZ
203.110.64.0	203.110.79.255	LA
203.110.80.0	203.110.95.255	IN
203.110.96.0	203.110.127.255	JP
203.110.128.0	203.110.159.255	AU
203.110.160.0	203.110.191.255	CN
203.110.192.0	203.110.207.255	AU
203.110.208.0	203.110.223.255	IN
203.110.224.0	203.110.231.255	JP
203.110.232.0	203.110.235.255	AU
203.110.236.0	203.110.239.255	AP
203.110.240.0	203.110.247.255	IN
203.110.248.0	203.111.191.255	AU
203.111.208.0	203.111.223.255	TW
203.111.224.0	203.111.239.255	PH
203.111.240.0	203.111.247.255	JP
203.111.248.0	203.111.251.255	IN
203.111.252.0	203.112.71.255	JP
203.112.72.0	203.112.79.255	BD
203.112.80.0	203.112.95.255	HK
203.112.128.0	203.112.159.255	IN
203.112.160.0	203.112.191.255	SG
203.112.192.0	203.112.223.255	BD
203.112.224.0	203.112.255.255	MY
203.113.0.0	203.113.127.255	TH
203.113.128.0	203.113.191.255	VN
203.113.192.0	203.113.255.255	AU
203.114.0.0	203.114.63.255	MY
203.114.64.0	203.114.95.255	PH
203.114.96.0	203.114.127.255	TH
203.114.128.0	203.114.191.255	NZ
203.114.192.0	203.114.223.255	JP
203.114.224.0	203.114.227.255	ID
203.114.228.0	203.114.231.255	JP
203.114.232.0	203.114.235.255	IN
203.114.236.0	203.114.239.255	PH
203.114.240.0	203.114.243.255	IN
203.114.244.0	203.114.247.255	CN
203.114.248.0	203.114.251.255	JP
203.114.252.0	203.114.255.255	HK
203.115.0.0	203.115.63.255	LK
203.115.64.0	203.115.127.255	IN
203.115.128.0	203.115.191.255	PH
203.115.192.0	203.115.255.255	MY
203.116.0.0	203.118.63.255	SG
203.118.64.0	203.118.127.255	TH
203.118.128.0	203.118.191.255	NZ
203.118.192.0	203.118.223.255	CN
203.118.224.0	203.118.239.255	TW
203.118.240.0	203.118.240.255	SG
203.118.241.0	203.118.241.255	NZ
203.118.242.0	203.118.242.255	KH
203.118.243.0	203.118.243.255	AU
203.118.244.0	203.118.247.255	PH
203.118.248.0	203.118.251.255	CN
203.118.252.0	203.118.255.255	JP
203.119.0.0	203.119.0.255	AU
203.119.1.0	203.119.1.255	JP
203.119.2.0	203.119.2.255	HK
203.119.3.0	203.119.3.255	TW
203.119.4.0	203.119.7.255	PH
203.119.8.0	203.119.11.255	VN
203.119.12.0	203.119.12.255	AU
203.119.13.0	203.119.13.255	ID
203.119.14.0	203.119.15.255	AU
203.119.16.0	203.119.23.255	AP
203.119.24.0	203.119.35.255	CN
203.119.36.0	203.119.39.255	VN
203.119.40.0	203.119.40.255	JP
203.119.41.0	203.119.41.255	ID
203.119.42.0	203.119.43.255	AU
203.119.44.0	203.119.47.255	VN
203.119.48.0	203.119.48.255	ID
203.119.49.0	203.119.50.255	IN
203.119.51.0	203.119.51.255	AP
203.119.52.0	203.119.55.255	ID
203.119.56.0	203.119.56.255	NZ
203.119.57.0	203.119.57.255	MY
203.119.58.0	203.119.75.255	VN
203.119.76.0	203.119.76.255	AU
203.119.77.0	203.119.77.255	AP
203.119.78.0	203.119.78.255	SG
203.119.79.0	203.119.79.255	KH
203.119.80.0	203.119.83.255	CN
203.119.84.0	203.119.84.255	NZ
203.119.85.0	203.119.85.255	AP
203.119.86.0	203.119.86.255	AU
203.119.87.0	203.119.87.255	HK
203.119.88.0	203.119.89.255	AP
203.119.90.0	203.119.91.255	NP
203.119.92.0	203.119.93.255	AP
203.120.0.0	203.120.255.255	SG
203.121.0.0	203.121.127.255	MY
203.121.128.0	203.121.191.255	TH
203.121.192.0	203.121.223.255	AU
203.121.224.0	203.121.255.255	TW
203.122.0.0	203.122.63.255	IN
203.122.64.0	203.122.255.255	AU
203.123.0.0	203.123.31.255	SG
203.123.32.0	203.123.47.255	IN
203.123.48.0	203.123.55.255	SG
203.123.56.0	203.123.58.255	JP
203.123.59.0	203.123.59.255	AU
203.123.60.0	203.123.63.255	ID
203.123.64.0	203.123.127.255	AU
203.123.128.0	203.123.191.255	IN
203.123.192.0	203.123.223.255	KR
203.123.224.0	203.123.247.191	ID
203.123.247.192	203.123.247.195	IN
203.123.247.196	203.123.255.255	ID
203.124.0.0	203.124.5.255	SG
203.124.6.0	203.124.7.255	JP
203.124.8.0	203.124.15.255	HK
203.124.16.0	203.124.23.255	IN
203.124.24.0	203.124.63.255	PK
203.124.64.0	203.124.95.255	JP
203.124.96.0	203.124.127.255	SG
203.124.128.0	203.124.175.255	IN
203.124.176.0	203.124.191.255	AU
203.124.192.0	203.124.255.255	IN
203.125.0.0	203.126.69.255	SG
203.126.70.0	203.126.71.255	US
203.126.72.0	203.127.0.255	SG
203.127.1.0	203.127.1.15	ID
203.127.1.16	203.127.224.255	SG
203.127.225.0	203.127.225.255	PH
203.127.226.0	203.127.255.255	SG
203.128.0.0	203.128.31.255	PK
203.128.32.0	203.128.63.255	CN
203.128.64.0	203.128.95.255	ID
203.128.96.0	203.128.127.255	CN
203.128.160.0	203.128.223.255	KR
203.128.232.0	203.128.235.255	AU
203.128.236.0	203.128.239.255	KR
203.128.240.0	203.128.247.255	VN
203.128.248.0	203.128.251.255	ID
203.128.252.0	203.129.3.255	PK
203.129.4.0	203.129.5.255	PH
203.129.6.0	203.129.7.255	KR
203.129.16.0	203.129.63.255	AU
203.129.64.0	203.129.95.255	HK
203.129.96.0	203.129.127.255	JP
203.129.128.0	203.129.159.255	AU
203.129.160.0	203.129.191.255	JP
203.129.192.0	203.129.255.255	IN
203.130.0.0	203.130.31.255	PK
203.130.32.0	203.130.63.255	CN
203.130.64.0	203.130.127.255	KR
203.130.128.0	203.130.159.255	TH
203.130.160.0	203.130.175.255	AU
203.130.176.0	203.130.191.255	KR
203.130.192.0	203.130.255.255	ID
203.131.0.0	203.131.63.255	AU
203.131.64.0	203.131.191.255	PH
203.131.192.0	203.131.207.255	JP
203.131.208.0	203.131.223.255	TH
203.131.224.0	203.131.255.255	HK
203.132.0.0	203.132.31.255	AU
203.132.32.0	203.132.63.255	CN
203.132.64.0	203.132.95.255	AU
203.132.96.0	203.132.127.255	JP
203.132.128.0	203.132.159.255	IN
203.132.160.0	203.132.191.255	KR
203.132.192.0	203.132.207.255	HK
203.132.208.0	203.132.223.255	IN
203.132.224.0	203.132.255.255	AU
203.133.0.0	203.133.127.255	TW
203.133.128.0	203.133.159.255	JP
203.133.160.0	203.133.191.255	KR
203.133.192.0	203.133.251.255	JP
203.133.252.0	203.133.255.255	PK
203.134.0.0	203.134.191.255	AU
203.134.192.0	203.134.231.255	IN
203.134.232.0	203.134.239.255	ID
203.134.240.0	203.134.247.255	CN
203.134.248.0	203.134.251.255	IN
203.134.252.0	203.135.63.255	PK
203.135.64.0	203.135.95.255	TW
203.135.96.0	203.135.127.255	CN
203.135.128.0	203.135.159.255	HK
203.135.160.0	203.135.175.255	CN
203.135.176.0	203.135.183.255	ID
203.135.184.0	203.135.187.255	AU
203.135.188.0	203.135.188.255	IN
203.135.189.0	203.135.189.255	AP
203.135.190.0	203.135.191.255	MY
203.135.192.0	203.141.255.255	JP
203.142.0.0	203.142.7.255	MY
203.142.8.0	203.142.9.255	AU
203.142.10.0	203.142.11.255	HK
203.142.12.0	203.142.13.255	CN
203.142.14.0	203.142.15.255	US
203.142.16.0	203.142.25.255	SG
203.142.26.0	203.142.26.255	US
203.142.27.0	203.142.27.255	SG
203.142.28.0	203.142.31.255	HK
203.142.32.0	203.142.63.255	MY
203.142.64.0	203.142.87.255	ID
203.142.88.0	203.142.127.255	HK
203.142.128.0	203.142.159.255	AU
203.142.160.0	203.142.191.255	KR
203.142.192.0	203.142.215.255	JP
203.142.216.0	203.142.217.255	KR
203.142.218.0	203.142.218.255	AU
203.142.219.0	203.142.219.255	CN
203.142.220.0	203.142.220.255	IN
203.142.221.0	203.142.221.255	NF
203.142.222.0	203.142.255.255	AU
203.143.0.0	203.143.63.255	LK
203.143.64.0	203.143.95.255	AU
203.143.96.0	203.143.127.255	JP
203.143.128.0	203.143.159.255	SG
203.143.160.0	203.143.175.255	AU
203.143.176.0	203.143.191.255	IN
203.143.192.0	203.144.31.255	AU
203.144.32.0	203.144.47.255	NZ
203.144.48.0	203.144.63.255	US
203.144.64.0	203.144.95.255	KH
203.144.96.0	203.144.127.255	IN
203.144.128.0	203.144.255.255	TH
203.145.32.0	203.145.63.255	AU
203.145.64.0	203.145.95.255	HK
203.145.96.0	203.145.111.255	AU
203.145.112.0	203.145.119.255	TH
203.145.120.0	203.145.127.255	JP
203.145.128.0	203.145.191.255	IN
203.145.192.0	203.145.223.255	TW
203.145.224.0	203.145.255.255	JP
203.146.0.0	203.147.63.255	TH
203.147.64.0	203.147.87.255	NC
203.147.88.0	203.147.91.255	IN
203.147.92.0	203.147.103.255	AU
203.147.104.0	203.147.107.255	PH
203.147.108.0	203.147.109.255	AP
203.147.110.0	203.147.111.255	HK
203.147.112.0	203.147.127.255	SE
203.147.128.0	203.147.255.255	AU
203.148.0.0	203.148.63.255	CN
203.148.64.0	203.148.67.255	PK
203.148.80.0	203.148.83.255	PH
203.148.84.0	203.148.85.255	ID
203.148.88.0	203.148.91.255	MY
203.148.92.0	203.148.92.255	TW
203.148.93.0	203.148.95.255	AU
203.148.96.0	203.148.127.255	JP
203.148.128.0	203.149.63.255	TH
203.149.64.0	203.149.91.255	AU
203.149.92.0	203.149.95.255	SG
203.149.96.0	203.149.111.255	JP
203.149.112.0	203.149.127.255	KR
203.149.128.0	203.149.255.255	SG
203.150.0.0	203.152.63.255	TH
203.152.64.0	203.152.95.255	CN
203.152.96.0	203.152.127.255	NZ
203.152.160.0	203.152.191.255	KR
203.152.192.0	203.152.223.255	JP
203.152.224.0	203.152.255.255	AU
203.153.0.0	203.153.3.255	ID
203.153.4.0	203.153.5.255	HK
203.153.6.0	203.153.15.255	PH
203.153.16.0	203.153.23.255	MY
203.153.24.0	203.153.31.255	ID
203.153.32.0	203.153.48.255	IN
203.153.49.0	203.153.49.255	ID
203.153.50.0	203.153.51.255	TH
203.153.52.0	203.153.55.255	IN
203.153.56.0	203.153.59.255	JP
203.153.60.0	203.153.61.255	ID
203.153.64.0	203.153.79.255	HK
203.153.80.0	203.153.95.255	MY
203.153.96.0	203.153.127.255	ID
203.153.128.0	203.153.143.255	TH
203.153.144.0	203.153.159.255	KR
203.153.160.0	203.153.191.255	TH
203.153.192.0	203.153.207.255	AU
203.153.208.0	203.153.209.255	HK
203.153.210.0	203.153.211.255	IN
203.153.212.0	203.153.219.255	ID
203.153.220.0	203.153.223.255	LK
203.153.224.0	203.153.255.255	AU
203.154.0.0	203.156.191.255	TH
203.156.192.0	203.156.255.255	CN
203.157.0.0	203.158.7.255	TH
203.158.8.0	203.158.15.255	PH
203.158.16.0	203.158.23.255	CN
203.158.24.0	203.158.31.255	MY
203.158.32.0	203.158.63.255	AU
203.158.64.0	203.158.95.255	IN
203.158.96.0	203.159.255.255	TH
203.160.0.0	203.160.1.255	VN
203.160.2.0	203.160.3.255	AU
203.160.4.0	203.160.7.255	TH
203.160.8.0	203.160.15.255	AU
203.160.16.0	203.160.31.255	JP
203.160.32.0	203.160.47.255	HK
203.160.48.0	203.160.55.255	MN
203.160.56.0	203.160.63.255	ID
203.160.64.0	203.160.95.255	HK
203.160.96.0	203.160.103.255	VN
203.160.112.0	203.160.127.255	NZ
203.160.128.0	203.160.128.255	ID
203.160.130.0	203.160.131.255	PH
203.160.132.0	203.160.135.255	AU
203.160.136.0	203.160.136.255	IN
203.160.137.0	203.160.137.255	TH
203.160.138.0	203.160.139.255	IN
203.160.140.0	203.160.143.255	KR
203.160.144.0	203.160.159.255	TW
203.160.160.0	203.160.191.255	PH
203.160.224.0	203.160.255.255	TW
203.161.0.0	203.161.3.255	VN
203.161.4.0	203.161.7.255	HK
203.161.8.0	203.161.15.255	AU
203.161.16.0	203.161.31.255	ID
203.161.32.0	203.161.47.255	SG
203.161.48.0	203.161.48.255	MY
203.161.49.0	203.161.53.255	SG
203.161.54.0	203.161.63.255	IN
203.161.64.0	203.161.175.255	AU
203.161.176.0	203.161.177.255	AP
203.161.178.0	203.161.178.255	VN
203.161.179.0	203.161.179.255	IN
203.161.180.0	203.161.180.255	CN
203.161.181.0	203.161.181.255	SG
203.161.182.0	203.161.182.255	AU
203.161.183.0	203.161.183.255	SG
203.161.184.0	203.161.184.255	AU
203.161.185.0	203.161.185.255	SG
203.161.186.0	203.161.187.255	AU
203.161.188.0	203.161.188.255	PH
203.161.189.0	203.161.189.255	IN
203.161.190.0	203.161.191.255	ID
203.161.192.0	203.161.223.255	CN
203.161.224.0	203.161.255.255	HK
203.162.0.0	203.162.255.255	VN
203.163.0.0	203.163.13.255	JP
203.163.14.0	203.163.14.255	SG
203.163.15.0	203.163.32.255	JP
203.163.33.0	203.163.33.255	HK
203.163.34.0	203.163.53.255	JP
203.163.54.0	203.163.54.255	NZ
203.163.55.0	203.163.64.127	JP
203.163.64.128	203.163.64.255	PH
203.163.65.0	203.163.65.15	JP
203.163.65.16	203.163.65.127	AU
203.163.65.128	203.163.65.191	JP
203.163.65.192	203.163.65.255	AU
203.163.66.0	203.163.66.127	ID
203.163.66.128	203.163.67.7	JP
203.163.67.8	203.163.67.15	AU
203.163.67.16	203.163.67.39	JP
203.163.67.40	203.163.67.47	AU
203.163.67.48	203.163.68.15	JP
203.163.68.16	203.163.68.47	NZ
203.163.68.48	203.163.68.63	JP
203.163.68.64	203.163.68.116	NZ
203.163.68.117	203.163.68.119	JP
203.163.68.120	203.163.68.135	NZ
203.163.68.136	203.163.68.151	JP
203.163.68.152	203.163.68.159	NZ
203.163.68.160	203.163.68.223	JP
203.163.68.224	203.163.68.231	NZ
203.163.68.232	203.163.70.63	JP
203.163.70.64	203.163.70.127	NZ
203.163.70.128	203.163.71.63	JP
203.163.71.64	203.163.71.95	NZ
203.163.71.96	203.163.71.223	JP
203.163.71.224	203.163.71.255	NZ
203.163.72.0	203.163.72.255	TW
203.163.73.0	203.163.73.15	SG
203.163.73.16	203.163.73.47	JP
203.163.73.48	203.163.73.55	SG
203.163.73.56	203.163.73.127	JP
203.163.73.128	203.163.73.159	SG
203.163.73.160	203.163.73.167	JP
203.163.73.168	203.163.73.175	SG
203.163.73.176	203.163.73.207	JP
203.163.73.208	203.163.73.223	SG
203.163.73.224	203.163.73.255	JP
203.163.74.0	203.163.74.7	AU
203.163.74.8	203.163.74.47	JP
203.163.74.48	203.163.74.95	AU
203.163.74.96	203.163.74.207	JP
203.163.74.208	203.163.74.215	AU
203.163.74.216	203.163.76.191	JP
203.163.76.192	203.163.77.255	TW
203.163.78.0	203.163.78.15	JP
203.163.78.16	203.163.78.23	MY
203.163.78.24	203.163.78.31	JP
203.163.78.32	203.163.78.55	MY
203.163.78.56	203.163.78.63	SG
203.163.78.64	203.163.78.79	MY
203.163.78.80	203.163.80.63	JP
203.163.80.64	203.163.80.127	SG
203.163.80.128	203.163.80.191	JP
203.163.80.192	203.163.80.255	SG
203.163.81.0	203.163.81.31	ID
203.163.81.32	203.163.81.191	JP
203.163.81.192	203.163.81.223	ID
203.163.81.224	203.163.82.31	JP
203.163.82.32	203.163.82.63	HK
203.163.82.64	203.163.82.95	JP
203.163.82.96	203.163.82.127	HK
203.163.82.128	203.163.82.255	JP
203.163.83.0	203.163.83.15	TW
203.163.83.16	203.163.83.63	JP
203.163.83.64	203.163.83.79	TW
203.163.83.80	203.163.83.191	JP
203.163.83.192	203.163.83.207	HK
203.163.83.208	203.163.83.239	TW
203.163.83.240	203.163.84.63	JP
203.163.84.64	203.163.84.79	KR
203.163.84.80	203.163.84.127	JP
203.163.84.128	203.163.84.191	TW
203.163.84.192	203.163.84.207	KR
203.163.84.208	203.163.85.127	JP
203.163.85.128	203.163.85.255	AU
203.163.86.0	203.163.89.255	JP
203.163.90.0	203.163.90.127	TW
203.163.90.128	203.163.95.23	JP
203.163.95.24	203.163.95.31	IN
203.163.95.32	203.163.95.39	JP
203.163.95.40	203.163.95.47	AU
203.163.95.48	203.163.96.15	JP
203.163.96.16	203.163.96.23	HK
203.163.96.24	203.163.96.31	JP
203.163.96.32	203.163.96.47	HK
203.163.96.48	203.163.96.63	JP
203.163.96.64	203.163.96.79	HK
203.163.96.80	203.163.96.95	JP
203.163.96.96	203.163.96.127	HK
203.163.96.128	203.163.96.175	JP
203.163.96.176	203.163.96.191	HK
203.163.96.192	203.163.96.255	JP
203.163.97.0	203.163.97.31	SG
203.163.97.32	203.163.97.111	JP
203.163.97.112	203.163.97.143	SG
203.163.97.144	203.163.97.207	JP
203.163.97.208	203.163.97.239	SG
203.163.97.240	203.163.99.31	JP
203.163.99.32	203.163.99.47	KR
203.163.99.48	203.163.99.111	JP
203.163.99.112	203.163.99.127	KR
203.163.99.128	203.163.99.143	JP
203.163.99.144	203.163.99.159	AU
203.163.99.160	203.163.99.224	SG
203.163.99.225	203.163.99.255	HK
203.163.100.0	203.163.100.63	KR
203.163.100.64	203.163.101.95	JP
203.163.101.96	203.163.101.127	SG
203.163.101.128	203.163.101.159	JP
203.163.101.160	203.163.101.255	SG
203.163.102.0	203.163.102.63	HK
203.163.102.64	203.163.102.79	JP
203.163.102.80	203.163.102.95	HK
203.163.102.96	203.163.102.239	JP
203.163.102.240	203.163.102.255	HK
203.163.103.0	203.163.103.79	SG
203.163.103.80	203.163.103.87	JP
203.163.103.88	203.163.103.191	SG
203.163.103.192	203.163.104.23	JP
203.163.104.24	203.163.104.31	KR
203.163.104.32	203.163.104.63	JP
203.163.104.64	203.163.104.71	KR
203.163.104.72	203.163.104.79	HK
203.163.104.80	203.163.104.103	JP
203.163.104.104	203.163.104.111	KR
203.163.104.112	203.163.104.119	HK
203.163.104.120	203.163.104.127	AU
203.163.104.128	203.163.104.135	JP
203.163.104.136	203.163.104.191	HK
203.163.104.192	203.163.104.199	JP
203.163.104.200	203.163.104.215	KR
203.163.104.216	203.163.105.47	JP
203.163.105.48	203.163.105.63	MY
203.163.105.64	203.163.105.79	JP
203.163.105.80	203.163.105.87	MY
203.163.105.88	203.163.105.95	JP
203.163.105.96	203.163.105.127	MY
203.163.105.128	203.163.105.159	JP
203.163.105.160	203.163.105.175	AU
203.163.105.176	203.163.105.223	JP
203.163.105.224	203.163.105.239	HK
203.163.105.240	203.163.105.255	JP
203.163.106.0	203.163.106.255	SG
203.163.107.0	203.163.107.63	JP
203.163.107.64	203.163.107.127	HK
203.163.107.128	203.163.111.191	JP
203.163.111.192	203.163.112.15	SG
203.163.112.16	203.163.112.23	JP
203.163.112.24	203.163.112.39	SG
203.163.112.40	203.163.112.47	JP
203.163.112.48	203.163.112.55	SG
203.163.112.56	203.163.112.79	JP
203.163.112.80	203.163.112.87	SG
203.163.112.88	203.163.112.135	JP
203.163.112.136	203.163.112.151	AU
203.163.112.152	203.163.112.159	SG
203.163.112.160	203.163.112.175	JP
203.163.112.176	203.163.112.215	SG
203.163.112.216	203.163.112.223	JP
203.163.112.224	203.163.112.231	SG
203.163.112.232	203.163.112.239	HK
203.163.112.240	203.163.112.255	SG
203.163.113.0	203.163.116.255	JP
203.163.117.0	203.163.117.7	HK
203.163.117.8	203.163.117.15	JP
203.163.117.16	203.163.117.23	HK
203.163.117.24	203.163.117.87	JP
203.163.117.88	203.163.117.95	HK
203.163.117.96	203.163.117.103	JP
203.163.117.104	203.163.117.111	HK
203.163.117.112	203.163.117.135	JP
203.163.117.136	203.163.117.175	HK
203.163.117.176	203.163.117.191	JP
203.163.117.192	203.163.117.215	HK
203.163.117.216	203.163.117.223	JP
203.163.117.224	203.163.117.247	HK
203.163.117.248	203.163.117.255	JP
203.163.118.0	203.163.118.63	PH
203.163.118.64	203.163.122.3	JP
203.163.122.4	203.163.122.5	AU
203.163.122.6	203.163.122.130	JP
203.163.122.131	203.163.122.131	TW
203.163.122.132	203.163.122.132	SG
203.163.122.133	203.163.122.133	JP
203.163.122.134	203.163.122.134	HK
203.163.122.135	203.163.122.135	AU
203.163.122.136	203.163.125.255	JP
203.163.126.0	203.163.126.255	AU
203.163.127.0	203.163.127.3	JP
203.163.127.4	203.163.127.7	AU
203.163.127.8	203.163.127.23	JP
203.163.127.24	203.163.127.31	AU
203.163.127.32	203.163.127.35	JP
203.163.127.36	203.163.127.45	AU
203.163.127.46	203.163.127.46	JP
203.163.127.47	203.163.127.55	AU
203.163.127.56	203.163.127.59	JP
203.163.127.60	203.163.127.255	AU
203.163.192.0	203.163.223.255	TW
203.163.224.0	203.163.255.255	IN
203.164.0.0	203.164.255.255	AU
203.165.0.0	203.165.255.255	JP
203.166.0.0	203.166.47.255	AU
203.166.48.0	203.166.48.127	HK
203.166.48.128	203.166.51.255	AU
203.166.52.0	203.166.55.255	US
203.166.56.0	203.166.118.143	AU
203.166.118.144	203.166.118.151	NZ
203.166.118.152	203.166.127.255	AU
203.166.128.0	203.166.159.255	SG
203.166.160.0	203.166.191.255	CN
203.166.192.0	203.166.207.255	ID
203.166.208.0	203.166.215.255	KR
203.166.216.0	203.166.216.255	AU
203.166.217.0	203.166.217.255	ID
203.166.218.0	203.166.219.255	AU
203.166.220.0	203.166.223.255	HK
203.166.224.0	203.166.255.255	AU
203.167.0.0	203.167.31.255	PH
203.167.32.0	203.167.63.255	JP
203.167.64.0	203.167.127.255	PH
203.167.128.0	203.167.255.255	NZ
203.168.32.0	203.168.63.255	AU
203.168.64.0	203.168.127.255	JP
203.168.128.0	203.168.255.255	HK
203.169.0.0	203.169.3.255	PH
203.169.4.0	203.169.5.255	KR
203.169.6.0	203.169.7.255	SG
203.169.8.0	203.169.15.255	JP
203.169.16.0	203.169.23.255	AU
203.169.24.0	203.169.31.255	BD
203.169.32.0	203.169.47.255	HK
203.169.48.0	203.169.55.255	MN
203.169.56.0	203.169.56.127	JP
203.169.56.128	203.169.56.255	SG
203.169.57.0	203.169.57.127	HK
203.169.57.128	203.169.57.255	SG
203.169.58.0	203.169.58.7	JP
203.169.58.8	203.169.58.15	AP
203.169.58.16	203.169.58.23	AU
203.169.58.24	203.169.58.127	AP
203.169.58.128	203.169.59.63	JP
203.169.59.64	203.169.59.71	HK
203.169.59.72	203.169.59.119	AP
203.169.59.120	203.169.59.255	JP
203.169.60.0	203.169.60.255	HK
203.169.61.0	203.169.63.255	AP
203.169.64.0	203.169.127.255	SG
203.169.128.0	203.169.255.255	HK
203.170.0.0	203.170.15.255	AU
203.170.16.0	203.170.19.255	TH
203.170.20.0	203.170.23.255	PH
203.170.24.0	203.170.24.255	AU
203.170.25.0	203.170.25.255	IN
203.170.26.0	203.170.27.255	VN
203.170.28.0	203.170.31.255	AP
203.170.32.0	203.170.47.255	JP
203.170.48.0	203.170.48.255	IN
203.170.49.0	203.170.49.255	HK
203.170.50.0	203.170.51.255	TH
203.170.52.0	203.170.55.255	JP
203.170.56.0	203.170.56.255	NZ
203.170.57.0	203.170.57.255	AU
203.170.60.0	203.170.63.255	IN
203.170.64.0	203.170.79.255	PK
203.170.80.0	203.170.87.255	AU
203.170.88.0	203.170.88.255	NZ
203.170.89.0	203.170.89.255	AU
203.170.90.0	203.170.91.255	HK
203.170.92.0	203.170.95.255	AU
203.170.96.0	203.170.127.255	KR
203.170.128.0	203.170.255.255	TH
203.171.0.0	203.171.3.255	PH
203.171.4.0	203.171.4.255	NZ
203.171.5.0	203.171.5.255	AU
203.171.6.0	203.171.7.255	PH
203.171.8.0	203.171.15.255	JP
203.171.16.0	203.171.31.255	VN
203.171.32.0	203.171.63.255	NZ
203.171.64.0	203.171.127.255	AU
203.171.128.0	203.171.159.255	JP
203.171.160.0	203.171.191.255	KR
203.171.192.0	203.171.207.255	AU
203.171.208.0	203.171.208.255	NZ
203.171.209.0	203.171.211.255	IN
203.171.212.0	203.171.215.255	JP
203.171.216.0	203.171.219.255	ID
203.171.220.0	203.171.220.255	AU
203.171.221.0	203.171.221.255	ID
203.171.222.0	203.171.222.255	IN
203.171.223.0	203.171.223.255	NZ
203.171.224.0	203.171.239.255	CN
203.171.240.0	203.171.247.255	IN
203.171.248.0	203.171.255.255	AU
203.172.0.0	203.172.31.255	PH
203.172.32.0	203.172.255.255	TH
203.173.0.0	203.173.63.255	AU
203.173.64.0	203.173.87.255	JP
203.173.88.0	203.173.95.255	ID
203.173.96.0	203.173.127.255	KR
203.173.128.0	203.173.255.255	NZ
203.174.0.0	203.174.3.255	PH
203.174.5.0	203.174.5.255	ID
203.174.6.0	203.174.6.255	IN
203.174.7.0	203.174.7.255	CN
203.174.8.0	203.174.15.255	ID
203.174.16.0	203.174.25.255	AU
203.174.26.0	203.174.26.255	NZ
203.174.27.0	203.174.27.255	AF
203.174.28.0	203.174.29.255	SG
203.174.30.0	203.174.31.255	NZ
203.174.32.0	203.174.63.255	HK
203.174.64.0	203.174.79.255	JP
203.174.80.0	203.174.87.255	SG
203.174.88.0	203.174.95.255	JP
203.174.96.0	203.174.127.255	CN
203.174.128.0	203.174.191.255	AU
203.174.192.0	203.174.255.255	JP
203.175.0.0	203.175.3.255	PH
203.175.4.0	203.175.7.255	IN
203.175.8.0	203.175.15.255	BT
203.175.16.0	203.175.31.255	JP
203.175.32.0	203.175.63.255	KR
203.175.64.0	203.175.79.255	PK
203.175.80.0	203.175.95.255	JP
203.175.96.0	203.175.111.255	PK
203.175.112.0	203.175.119.255	NZ
203.175.120.0	203.175.123.255	AU
203.175.124.0	203.175.127.255	PH
203.175.128.0	203.175.159.255	CN
203.175.160.0	203.175.175.255	SG
203.175.176.0	203.175.177.255	IN
203.175.178.0	203.175.179.255	AU
203.175.180.0	203.175.185.255	IN
203.175.186.0	203.175.187.255	AU
203.175.188.0	203.175.191.255	KR
203.175.192.0	203.175.255.255	CN
203.176.96.0	203.176.111.255	AU
203.176.112.0	203.176.113.255	IN
203.176.114.0	203.176.115.255	HK
203.176.116.0	203.176.119.255	PH
203.176.120.0	203.176.121.255	AU
203.176.122.0	203.176.127.255	NZ
203.176.128.0	203.176.143.255	KH
203.176.144.0	203.176.151.255	MY
203.176.152.0	203.176.152.255	AU
203.176.153.0	203.176.153.255	IN
203.176.154.0	203.176.155.255	NZ
203.176.156.0	203.176.157.255	IN
203.176.158.0	203.176.159.255	AU
203.176.160.0	203.176.167.255	VN
203.176.168.0	203.176.175.255	CN
203.176.176.0	203.176.183.255	ID
203.176.184.0	203.176.187.255	AU
203.176.188.0	203.176.188.255	NZ
203.176.189.0	203.176.189.255	AU
203.176.190.0	203.176.191.255	PK
203.176.192.0	203.176.255.255	HK
203.177.0.0	203.177.255.255	PH
203.178.0.0	203.182.14.111	JP
203.182.14.112	203.182.14.115	HK
203.182.14.116	203.182.55.175	JP
203.182.55.176	203.182.55.179	HK
203.182.55.180	203.183.255.255	JP
203.184.0.0	203.184.63.255	NZ
203.184.64.0	203.184.79.255	AU
203.184.80.0	203.184.95.255	CN
203.184.96.0	203.184.127.255	JP
203.184.128.0	203.185.63.255	HK
203.185.64.0	203.185.159.255	TH
203.185.160.0	203.185.183.255	PF
203.185.184.0	203.185.187.255	AU
203.185.188.0	203.185.188.255	IN
203.185.189.0	203.185.189.255	HK
203.185.190.0	203.185.190.255	AU
203.185.191.0	203.185.191.255	IN
203.185.192.0	203.185.255.255	AU
203.186.0.0	203.186.255.255	HK
203.187.0.0	203.187.127.255	TW
203.187.128.0	203.187.159.255	IN
203.187.160.0	203.187.191.255	CN
203.187.192.0	203.187.255.255	IN
203.188.0.0	203.188.63.255	TH
203.188.64.0	203.188.127.255	HK
203.188.128.0	203.188.159.255	AU
203.188.160.0	203.188.191.255	BD
203.188.192.0	203.188.207.255	TW
203.188.208.0	203.188.215.255	JP
203.188.216.0	203.188.223.255	AU
203.188.224.0	203.188.231.255	IN
203.188.232.0	203.188.239.255	MY
203.188.240.0	203.189.1.255	BD
203.189.2.0	203.189.4.255	AU
203.189.5.0	203.189.5.255	IN
203.189.8.0	203.189.15.255	PH
203.189.16.0	203.189.23.255	MY
203.189.24.0	203.189.24.255	IN
203.189.25.0	203.189.25.255	AU
203.189.26.0	203.189.27.255	HK
203.189.28.0	203.189.31.255	VN
203.189.32.0	203.189.63.255	JP
203.189.64.0	203.189.79.255	LK
203.189.80.0	203.189.87.255	AU
203.189.88.0	203.189.89.255	ID
203.189.90.0	203.189.92.255	IN
203.189.93.0	203.189.95.255	AU
203.189.96.0	203.189.111.255	PK
203.189.116.0	203.189.119.255	TH
203.189.120.0	203.189.123.255	ID
203.189.124.0	203.189.127.255	AU
203.189.128.0	203.189.159.255	KH
203.189.160.0	203.189.175.255	HK
203.189.176.0	203.189.183.255	IN
203.189.184.0	203.189.191.255	LK
203.189.224.0	203.190.3.255	BD
203.190.4.0	203.190.7.255	TW
203.190.8.0	203.190.15.255	BD
203.190.16.0	203.190.23.255	TW
203.190.24.0	203.190.25.255	AU
203.190.26.0	203.190.27.255	KR
203.190.28.0	203.190.31.255	JP
203.190.32.0	203.190.35.255	BD
203.190.36.0	203.190.37.255	ID
203.190.38.0	203.190.39.255	AP
203.190.40.0	203.190.55.255	ID
203.190.56.0	203.190.63.255	JP
203.190.64.0	203.190.75.127	PH
203.190.75.128	203.190.75.135	SG
203.190.75.136	203.190.95.255	PH
203.190.96.0	203.190.111.255	CN
203.190.112.0	203.190.119.255	ID
203.190.120.0	203.190.127.255	HK
203.190.128.0	203.190.159.255	IN
203.190.160.0	203.190.175.255	VN
203.190.176.0	203.190.183.255	SG
203.190.184.0	203.190.191.255	ID
203.190.192.0	203.190.207.255	AU
203.190.208.0	203.190.215.255	NZ
203.190.216.0	203.190.216.255	IN
203.190.217.0	203.190.217.255	AU
203.190.218.0	203.190.221.255	PH
203.190.222.0	203.190.223.255	AU
203.190.224.0	203.190.227.255	SG
203.190.228.0	203.190.229.255	JP
203.190.230.0	203.190.232.31	SG
203.190.232.32	203.190.232.63	AU
203.190.232.64	203.190.232.147	SG
203.190.232.148	203.190.232.155	AU
203.190.232.156	203.190.232.159	SG
203.190.232.160	203.190.232.175	AU
203.190.232.176	203.190.235.79	SG
203.190.235.80	203.190.235.95	AU
203.190.235.96	203.190.239.255	SG
203.190.240.0	203.190.247.255	ID
203.190.248.0	203.190.248.255	IN
203.190.249.0	203.190.249.255	HK
203.190.250.0	203.190.251.255	TH
203.190.252.0	203.190.253.255	AU
203.190.254.0	203.191.1.255	BD
203.191.2.0	203.191.2.255	JP
203.191.3.0	203.191.3.255	HK
203.191.4.0	203.191.4.255	JP
203.191.5.0	203.191.5.255	IN
203.191.6.0	203.191.6.255	AU
203.191.7.0	203.191.7.255	NZ
203.191.8.0	203.191.15.255	VN
203.191.16.0	203.191.31.255	CN
203.191.32.0	203.191.33.255	BD
203.191.34.0	203.191.35.255	IN
203.191.36.0	203.191.39.255	AU
203.191.40.0	203.191.47.255	ID
203.191.48.0	203.191.55.255	VN
203.191.56.0	203.191.63.255	MN
203.191.64.0	203.191.127.255	CN
203.191.128.0	203.191.131.255	BD
203.191.132.0	203.191.133.255	AU
203.191.134.0	203.191.135.255	PH
203.191.136.0	203.191.143.255	JP
203.191.144.0	203.191.159.255	CN
203.191.160.0	203.191.207.255	AU
203.191.208.0	203.191.255.255	JP
203.192.0.0	203.192.31.255	CN
203.192.32.0	203.192.63.255	TH
203.192.64.0	203.192.95.255	AU
203.192.96.0	203.192.127.255	JP
203.192.128.0	203.192.134.255	AP
203.192.135.0	203.192.135.255	HK
203.192.136.0	203.192.136.255	AU
203.192.137.0	203.192.137.255	HK
203.192.138.0	203.192.138.15	SG
203.192.138.16	203.192.138.23	AP
203.192.138.24	203.192.138.71	SG
203.192.138.72	203.192.138.95	AP
203.192.138.96	203.192.138.159	SG
203.192.138.160	203.192.138.191	AP
203.192.138.192	203.192.138.255	SG
203.192.139.0	203.192.139.255	AP
203.192.140.0	203.192.140.7	JP
203.192.140.8	203.192.140.79	AP
203.192.140.80	203.192.140.191	JP
203.192.140.192	203.192.140.255	AP
203.192.141.0	203.192.141.127	AU
203.192.141.128	203.192.141.159	SG
203.192.141.160	203.192.141.191	AU
203.192.141.192	203.192.141.207	MY
203.192.141.208	203.192.141.223	NZ
203.192.141.224	203.192.141.255	AU
203.192.142.0	203.192.142.255	KR
203.192.143.0	203.192.143.255	TW
203.192.144.0	203.192.144.255	AP
203.192.145.0	203.192.145.255	JP
203.192.146.0	203.192.146.255	AP
203.192.147.0	203.192.147.15	JP
203.192.147.16	203.192.147.31	AP
203.192.147.32	203.192.147.47	JP
203.192.147.48	203.192.147.63	AP
203.192.147.64	203.192.147.128	JP
203.192.147.129	203.192.148.31	AP
203.192.148.32	203.192.148.47	KR
203.192.148.48	203.192.148.191	AP
203.192.148.192	203.192.148.255	KR
203.192.149.0	203.192.150.255	JP
203.192.151.0	203.192.152.47	AP
203.192.152.48	203.192.152.63	TW
203.192.152.64	203.192.156.127	AP
203.192.156.128	203.192.156.135	HK
203.192.156.136	203.192.156.151	AP
203.192.156.152	203.192.156.215	HK
203.192.156.216	203.192.157.127	AP
203.192.157.128	203.192.157.255	KR
203.192.158.0	203.192.159.255	JP
203.192.160.0	203.192.161.255	AP
203.192.162.0	203.192.162.127	PH
203.192.162.128	203.192.162.207	AP
203.192.162.208	203.192.162.223	PH
203.192.162.224	203.192.162.239	AP
203.192.162.240	203.192.162.255	TW
203.192.163.0	203.192.170.255	AP
203.192.171.0	203.192.171.63	PH
203.192.171.64	203.192.171.95	AP
203.192.171.96	203.192.171.111	PH
203.192.171.112	203.192.171.183	AP
203.192.171.184	203.192.171.191	PH
203.192.171.192	203.192.171.255	TW
203.192.172.0	203.192.172.95	AP
203.192.172.96	203.192.172.111	PH
203.192.172.112	203.192.172.127	TW
203.192.172.128	203.192.172.143	AP
203.192.172.144	203.192.172.159	TW
203.192.172.160	203.192.176.255	AP
203.192.177.0	203.192.177.31	MY
203.192.177.32	203.192.178.255	AP
203.192.179.0	203.192.179.7	AU
203.192.179.8	203.192.179.15	AP
203.192.179.16	203.192.179.31	AU
203.192.179.32	203.192.179.39	AP
203.192.179.40	203.192.179.95	AU
203.192.179.96	203.192.179.127	AP
203.192.179.128	203.192.179.191	AU
203.192.179.192	203.192.179.199	NZ
203.192.179.200	203.192.179.223	AU
203.192.179.224	203.192.179.231	AP
203.192.179.232	203.192.179.255	AU
203.192.180.0	203.192.180.151	HK
203.192.180.152	203.192.180.159	AP
203.192.180.160	203.192.180.223	HK
203.192.180.224	203.192.181.63	AP
203.192.181.64	203.192.181.79	TW
203.192.181.80	203.192.181.255	AP
203.192.182.0	203.192.182.127	KR
203.192.182.128	203.192.185.255	AP
203.192.186.0	203.192.186.127	AU
203.192.186.128	203.192.186.255	AP
203.192.187.0	203.192.187.31	HK
203.192.187.32	203.192.187.223	AP
203.192.187.224	203.192.187.255	SG
203.192.188.0	203.192.188.255	AP
203.192.189.0	203.192.189.255	SG
203.192.190.0	203.192.191.255	AP
203.192.192.0	203.192.255.255	IN
203.193.0.0	203.193.48.127	HK
203.193.48.128	203.193.48.159	JP
203.193.48.160	203.193.98.255	HK
203.193.99.0	203.193.99.255	SG
203.193.100.0	203.193.116.72	HK
203.193.116.73	203.193.116.73	AS
203.193.116.74	203.193.116.79	US
203.193.116.80	203.193.116.95	HK
203.193.116.96	203.193.116.99	US
203.193.116.100	203.193.116.255	HK
203.193.117.0	203.193.117.127	AS
203.193.117.128	203.193.117.159	US
203.193.117.160	203.193.117.163	HK
203.193.117.164	203.193.117.164	KR
203.193.117.165	203.193.117.167	HK
203.193.117.168	203.193.117.175	KR
203.193.117.176	203.193.118.127	HK
203.193.118.128	203.193.118.255	US
203.193.119.0	203.193.127.255	HK
203.193.128.0	203.193.191.255	IN
203.193.192.0	203.193.223.255	AU
203.194.0.0	203.194.63.255	AU
203.194.64.0	203.194.70.79	JP
203.194.70.80	203.194.70.127	ID
203.194.70.128	203.194.70.143	AU
203.194.70.144	203.194.70.159	NZ
203.194.70.160	203.194.71.35	JP
203.194.71.36	203.194.71.39	ID
203.194.71.40	203.194.71.63	JP
203.194.71.64	203.194.71.67	ID
203.194.71.68	203.194.72.31	JP
203.194.72.32	203.194.72.71	HK
203.194.72.72	203.194.74.127	JP
203.194.74.128	203.194.74.143	MY
203.194.74.144	203.194.74.151	JP
203.194.74.152	203.194.74.195	MY
203.194.74.196	203.194.76.255	JP
203.194.77.0	203.194.77.63	HK
203.194.77.64	203.194.77.95	JP
203.194.77.96	203.194.77.127	HK
203.194.77.128	203.194.78.127	JP
203.194.78.128	203.194.78.224	SG
203.194.78.225	203.194.78.255	JP
203.194.79.0	203.194.79.63	TW
203.194.79.64	203.194.80.15	JP
203.194.80.16	203.194.80.143	HK
203.194.80.144	203.194.83.191	JP
203.194.83.192	203.194.83.199	TW
203.194.83.200	203.194.83.207	JP
203.194.83.208	203.194.83.223	HK
203.194.83.224	203.194.84.255	JP
203.194.85.0	203.194.85.255	TW
203.194.86.0	203.194.86.79	JP
203.194.86.80	203.194.86.95	HK
203.194.86.96	203.194.86.103	AU
203.194.86.104	203.194.86.143	JP
203.194.86.144	203.194.86.159	HK
203.194.86.160	203.194.86.175	JP
203.194.86.176	203.194.86.191	HK
203.194.86.192	203.194.86.239	JP
203.194.86.240	203.194.86.255	HK
203.194.87.0	203.194.87.3	JP
203.194.87.4	203.194.87.11	SG
203.194.87.12	203.194.87.12	JP
203.194.87.13	203.194.87.13	SG
203.194.87.14	203.194.87.15	JP
203.194.87.16	203.194.87.255	SG
203.194.88.0	203.194.88.23	JP
203.194.88.24	203.194.88.39	TW
203.194.88.40	203.194.88.47	SG
203.194.88.48	203.194.88.55	TW
203.194.88.56	203.194.88.63	SG
203.194.88.64	203.194.88.79	TW
203.194.88.80	203.194.91.63	JP
203.194.91.64	203.194.91.127	AU
203.194.91.128	203.194.93.63	JP
203.194.93.64	203.194.93.95	AU
203.194.93.96	203.194.94.55	JP
203.194.94.56	203.194.94.63	AU
203.194.94.64	203.194.94.87	JP
203.194.94.88	203.194.94.135	AU
203.194.94.136	203.194.94.143	HK
203.194.94.144	203.194.94.159	AU
203.194.94.160	203.194.94.167	JP
203.194.94.168	203.194.94.175	AU
203.194.94.176	203.194.94.191	JP
203.194.94.192	203.194.94.231	AU
203.194.94.232	203.194.95.63	JP
203.194.95.64	203.194.95.79	TW
203.194.95.80	203.194.95.255	JP
203.194.96.0	203.194.111.255	IN
203.194.112.0	203.194.119.255	MN
203.194.128.0	203.194.139.158	HK
203.194.139.159	203.194.139.190	CN
203.194.139.191	203.194.139.222	TH
203.194.139.223	203.194.255.255	HK
203.195.96.0	203.195.111.255	TH
203.195.120.0	203.195.123.255	TH
203.195.124.0	203.195.124.255	AU
203.195.125.0	203.195.125.255	SG
203.195.126.0	203.195.126.255	PK
203.195.127.0	203.195.127.255	AU
203.196.0.0	203.196.7.255	CN
203.196.16.0	203.196.23.255	JP
203.196.24.0	203.196.31.255	KI
203.196.32.0	203.196.63.255	AU
203.196.64.0	203.196.89.255	JP
203.196.90.0	203.196.90.255	ID
203.196.91.0	203.196.91.255	JP
203.196.92.0	203.196.95.255	AU
203.196.96.0	203.196.96.255	JP
203.196.97.0	203.196.97.255	AU
203.196.98.0	203.196.98.255	TW
203.196.99.0	203.196.99.255	SG
203.196.100.0	203.196.100.255	JP
203.196.101.0	203.196.102.255	NZ
203.196.103.0	203.196.103.255	HK
203.196.104.0	203.196.104.255	JP
203.196.105.0	203.196.105.255	TW
203.196.106.0	203.196.109.255	JP
203.196.110.0	203.196.111.255	SG
203.196.112.0	203.196.112.15	AU
203.196.112.16	203.196.112.63	JP
203.196.112.64	203.196.112.207	AU
203.196.112.208	203.196.112.223	SG
203.196.112.224	203.196.112.239	NZ
203.196.112.240	203.196.112.255	HK
203.196.113.0	203.196.115.95	JP
203.196.115.96	203.196.115.159	SG
203.196.115.160	203.196.115.175	JP
203.196.115.176	203.196.115.223	SG
203.196.115.224	203.196.115.239	JP
203.196.115.240	203.196.115.255	SG
203.196.116.0	203.196.117.31	JP
203.196.117.32	203.196.117.95	PH
203.196.117.96	203.196.120.127	JP
203.196.120.128	203.196.120.184	HK
203.196.120.185	203.196.120.199	JP
203.196.120.200	203.196.120.215	HK
203.196.120.216	203.196.120.222	JP
203.196.120.223	203.196.120.255	HK
203.196.121.0	203.196.121.159	NZ
203.196.121.160	203.196.121.255	JP
203.196.122.0	203.196.122.255	SG
203.196.123.0	203.196.124.255	JP
203.196.125.0	203.196.125.255	HK
203.196.126.0	203.196.126.3	PH
203.196.126.4	203.196.126.7	JP
203.196.126.8	203.196.126.11	PH
203.196.126.12	203.196.126.23	JP
203.196.126.24	203.196.126.47	PH
203.196.126.48	203.196.126.255	JP
203.196.127.0	203.196.127.255	HK
203.196.128.0	203.197.255.255	IN
203.198.0.0	203.198.255.255	HK
203.199.0.0	203.200.255.255	IN
203.201.0.0	203.201.31.255	AU
203.201.32.0	203.201.47.255	TW
203.201.48.0	203.201.49.255	BD
203.201.50.0	203.201.51.255	ID
203.201.52.0	203.201.55.255	SG
203.201.56.0	203.201.59.255	VN
203.201.60.0	203.201.63.255	IN
203.201.64.0	203.201.159.255	AU
203.201.160.0	203.201.175.255	ID
203.201.176.0	203.201.180.255	SG
203.201.181.0	203.201.181.255	MN
203.201.182.0	203.201.182.255	MY
203.201.183.0	203.201.183.255	AU
203.201.184.0	203.201.187.255	MY
203.201.188.0	203.201.191.255	JP
203.201.192.0	203.201.255.255	IN
203.202.0.0	203.202.191.255	AU
203.202.192.0	203.202.223.255	JP
203.202.224.0	203.202.229.255	HK
203.202.230.0	203.202.230.255	ID
203.202.231.0	203.202.231.255	HK
203.202.232.0	203.202.233.255	JP
203.202.234.0	203.202.234.255	SG
203.202.235.0	203.202.235.255	FJ
203.202.236.0	203.202.239.255	SG
203.202.240.0	203.202.255.255	BD
203.203.0.0	203.204.255.255	TW
203.205.0.0	203.205.255.255	JP
203.206.0.0	203.206.255.255	AU
203.207.0.0	203.207.15.255	TW
203.207.16.0	203.207.31.255	KR
203.207.32.0	203.207.47.255	TW
203.207.48.0	203.207.51.255	JP
203.207.52.0	203.207.59.255	ID
203.207.60.0	203.207.61.255	NZ
203.207.62.0	203.207.63.255	IN
203.207.64.0	203.208.19.255	CN
203.208.20.0	203.208.20.255	HK
203.208.21.0	203.208.21.255	NZ
203.208.23.0	203.208.23.255	JP
203.208.24.0	203.208.31.255	PH
203.208.32.0	203.208.63.255	CN
203.208.64.0	203.208.127.255	AU
203.208.128.0	203.208.165.127	SG
203.208.165.128	203.208.165.159	NP
203.208.165.160	203.208.166.191	SG
203.208.166.192	203.208.166.223	BD
203.208.166.224	203.208.197.143	SG
203.208.197.144	203.208.197.159	JP
203.208.197.160	203.208.205.191	SG
203.208.205.192	203.208.205.255	AF
203.208.206.0	203.208.255.255	SG
203.209.0.0	203.209.127.255	TH
203.209.128.0	203.209.143.255	HK
203.209.144.0	203.209.159.255	JP
203.209.160.0	203.209.175.255	AU
203.209.176.0	203.209.179.255	JP
203.209.180.0	203.209.183.255	VN
203.209.184.0	203.209.187.255	TW
203.209.188.0	203.209.190.255	ID
203.209.191.0	203.209.191.255	TH
203.209.192.0	203.209.223.255	AU
203.209.224.0	203.209.255.255	CN
203.210.0.0	203.210.15.255	HK
203.210.16.0	203.210.63.255	KR
203.210.64.0	203.210.79.255	AU
203.210.80.0	203.210.81.255	ID
203.210.82.0	203.210.82.255	AU
203.210.83.0	203.210.87.255	ID
203.210.88.0	203.210.91.255	JP
203.210.92.0	203.210.95.255	IN
203.210.96.0	203.210.127.255	AU
203.210.128.0	203.210.255.255	VN
203.211.0.0	203.211.31.255	TW
203.211.32.0	203.211.55.255	JP
203.211.56.0	203.211.59.255	AU
203.211.60.0	203.211.63.255	SG
203.211.64.0	203.211.127.255	NZ
203.211.128.0	203.211.159.255	SG
203.211.160.0	203.211.255.255	JP
203.212.0.0	203.212.15.255	CN
203.212.16.0	203.212.23.255	AU
203.212.24.0	203.212.27.255	IN
203.212.28.0	203.212.31.255	MN
203.212.32.0	203.212.63.255	JP
203.212.64.0	203.212.79.255	IN
203.212.80.0	203.212.95.255	CN
203.212.96.0	203.212.127.255	KR
203.212.128.0	203.212.159.255	AU
203.212.160.0	203.212.191.255	KR
203.212.192.0	203.212.255.255	IN
203.213.0.0	203.213.159.255	AU
203.213.160.0	203.213.191.255	JP
203.213.192.0	203.213.223.255	PH
203.213.224.0	203.215.31.255	AU
203.215.32.0	203.215.47.255	AF
203.215.48.0	203.215.48.255	ID
203.215.49.0	203.215.49.255	KH
203.215.50.0	203.215.50.255	ID
203.215.51.0	203.215.51.255	IN
203.215.56.0	203.215.59.255	JP
203.215.60.0	203.215.63.255	MY
203.215.64.0	203.215.127.255	PH
203.215.128.0	203.215.135.255	JP
203.215.136.0	203.215.136.255	FR
203.215.137.0	203.215.137.255	BE
203.215.138.0	203.215.141.255	AU
203.215.142.0	203.215.143.255	NZ
203.215.144.0	203.215.144.255	AU
203.215.145.0	203.215.145.255	HK
203.215.146.0	203.215.146.255	CN
203.215.147.0	203.215.147.255	HK
203.215.148.0	203.215.148.255	AU
203.215.149.0	203.215.149.255	JP
203.215.150.0	203.215.159.255	AU
203.215.160.0	203.215.191.255	PK
203.215.192.0	203.215.223.255	KR
203.215.224.0	203.215.231.255	JP
203.215.240.0	203.215.255.255	HK
203.216.0.0	203.216.159.255	JP
203.216.160.0	203.216.191.255	KR
203.216.192.0	203.216.255.255	JP
203.217.0.0	203.217.95.255	AU
203.217.96.0	203.217.127.255	TW
203.217.128.0	203.217.131.255	MY
203.217.132.0	203.217.135.255	ID
203.217.136.0	203.217.139.255	IN
203.217.140.0	203.217.140.255	ID
203.217.141.0	203.217.141.255	AU
203.217.142.0	203.217.143.255	NZ
203.217.144.0	203.217.147.255	IN
203.217.148.0	203.217.155.255	AU
203.217.156.0	203.217.159.255	JP
203.217.160.0	203.217.167.255	AU
203.217.168.0	203.217.171.255	KH
203.217.172.0	203.217.173.255	ID
203.217.174.0	203.217.174.255	IN
203.217.175.0	203.217.175.255	HK
203.217.176.0	203.217.179.255	MY
203.217.180.0	203.217.183.255	JP
203.217.184.0	203.217.187.255	SG
203.217.188.0	203.217.191.255	ID
203.217.192.0	203.217.255.255	KR
203.218.0.0	203.218.255.255	HK
203.219.0.0	203.221.255.255	AU
203.222.0.0	203.222.31.255	TW
203.222.32.0	203.222.41.255	AU
203.222.42.0	203.222.42.31	HK
203.222.42.32	203.222.42.47	AU
203.222.42.48	203.222.42.51	SG
203.222.42.52	203.222.42.55	AU
203.222.42.56	203.222.42.95	HK
203.222.42.96	203.222.42.103	SG
203.222.42.104	203.222.42.111	JP
203.222.42.112	203.222.42.127	HK
203.222.42.128	203.222.42.255	SG
203.222.43.0	203.222.44.167	HK
203.222.44.168	203.222.44.175	CN
203.222.44.176	203.222.45.255	HK
203.222.46.0	203.222.46.7	KR
203.222.46.8	203.222.46.15	SG
203.222.46.16	203.222.46.24	JP
203.222.46.25	203.222.46.31	AU
203.222.46.32	203.222.46.255	JP
203.222.47.0	203.222.47.255	SG
203.222.48.0	203.222.48.55	JP
203.222.48.56	203.222.48.71	SG
203.222.48.72	203.222.48.79	JP
203.222.48.80	203.222.48.95	HK
203.222.48.96	203.222.48.127	SG
203.222.48.128	203.222.48.159	JP
203.222.48.160	203.222.48.191	SG
203.222.48.192	203.222.48.223	JP
203.222.48.224	203.222.48.239	KR
203.222.48.240	203.222.48.255	SG
203.222.49.0	203.222.50.15	JP
203.222.50.16	203.222.50.31	AU
203.222.50.32	203.222.50.255	JP
203.222.51.0	203.222.51.255	HK
203.222.52.0	203.222.52.15	SG
203.222.52.16	203.222.52.19	AU
203.222.52.20	203.222.52.23	SG
203.222.52.24	203.222.52.31	AU
203.222.52.32	203.222.53.191	SG
203.222.53.192	203.222.53.223	HK
203.222.53.224	203.222.53.227	AU
203.222.53.228	203.222.53.235	SG
203.222.53.236	203.222.53.239	AU
203.222.53.240	203.222.53.255	SG
203.222.54.0	203.222.54.63	AU
203.222.54.64	203.222.54.79	NZ
203.222.54.80	203.222.54.171	AU
203.222.54.172	203.222.54.175	NZ
203.222.54.176	203.222.63.51	AU
203.222.63.52	203.222.63.55	NZ
203.222.63.56	203.222.63.175	AU
203.222.63.176	203.222.63.191	NZ
203.222.63.192	203.222.164.23	AU
203.222.164.24	203.222.164.31	TW
203.222.164.32	203.222.164.63	AU
203.222.164.64	203.222.164.223	HK
203.222.164.224	203.222.164.231	TW
203.222.164.232	203.222.164.235	HK
203.222.164.236	203.222.164.239	AU
203.222.164.240	203.222.164.255	TW
203.222.165.0	203.222.165.255	HK
203.222.166.0	203.222.166.95	SG
203.222.166.96	203.222.166.103	CN
203.222.166.104	203.222.166.111	SG
203.222.166.112	203.222.166.127	US
203.222.166.128	203.222.166.135	SG
203.222.166.136	203.222.166.143	IN
203.222.166.144	203.222.166.159	SG
203.222.166.160	203.222.166.175	HK
203.222.166.176	203.222.166.191	SG
203.222.166.192	203.222.166.255	CN
203.222.167.0	203.222.167.47	HK
203.222.167.48	203.222.167.55	TW
203.222.167.56	203.222.167.63	CN
203.222.167.64	203.222.167.127	HK
203.222.167.128	203.222.167.143	CN
203.222.167.144	203.222.167.159	KR
203.222.167.160	203.222.167.255	HK
203.222.168.0	203.222.168.23	JP
203.222.168.24	203.222.168.31	KR
203.222.168.32	203.222.168.63	AU
203.222.168.64	203.222.168.111	JP
203.222.168.112	203.222.168.127	KR
203.222.168.128	203.222.168.191	JP
203.222.168.192	203.222.168.207	KR
203.222.168.208	203.222.168.255	JP
203.222.169.0	203.222.169.255	HK
203.222.170.0	203.222.170.23	JP
203.222.170.24	203.222.170.63	KR
203.222.170.64	203.222.170.135	JP
203.222.170.136	203.222.170.143	KR
203.222.170.144	203.222.170.159	AU
203.222.170.160	203.222.171.15	JP
203.222.171.16	203.222.171.31	AU
203.222.171.32	203.222.171.47	JP
203.222.171.48	203.222.171.63	KR
203.222.171.64	203.222.171.127	JP
203.222.171.128	203.222.171.159	AU
203.222.171.160	203.222.171.175	TW
203.222.171.176	203.222.171.191	IN
203.222.171.192	203.222.171.255	JP
203.222.172.0	203.222.172.143	AU
203.222.172.144	203.222.172.159	NZ
203.222.172.160	203.222.172.191	AU
203.222.172.192	203.222.172.195	NZ
203.222.172.196	203.222.174.199	AU
203.222.174.200	203.222.174.207	CN
203.222.174.208	203.222.174.255	AU
203.222.175.0	203.222.175.255	NZ
203.222.176.0	203.222.176.39	HK
203.222.176.40	203.222.176.47	TW
203.222.176.48	203.222.176.95	HK
203.222.176.96	203.222.176.127	AU
203.222.176.128	203.222.176.159	HK
203.222.176.160	203.222.176.191	AU
203.222.176.192	203.222.176.243	HK
203.222.176.244	203.222.177.71	CN
203.222.177.72	203.222.177.87	HK
203.222.177.88	203.222.177.103	TW
203.222.177.104	203.222.177.111	CN
203.222.177.112	203.222.177.127	AU
203.222.177.128	203.222.177.191	HK
203.222.177.192	203.222.177.255	CN
203.222.178.0	203.222.181.255	AU
203.222.182.0	203.222.182.95	HK
203.222.182.96	203.222.182.111	CN
203.222.182.112	203.222.182.127	HK
203.222.182.128	203.222.182.143	JP
203.222.182.144	203.222.182.159	CN
203.222.182.160	203.222.182.191	AU
203.222.182.192	203.222.183.255	HK
203.222.184.0	203.222.184.255	JP
203.222.185.0	203.222.185.255	AU
203.222.186.0	203.222.187.63	JP
203.222.187.64	203.222.187.95	KR
203.222.187.96	203.222.187.111	HK
203.222.187.112	203.222.187.127	KR
203.222.187.128	203.222.187.167	IN
203.222.187.168	203.222.187.175	SG
203.222.187.176	203.222.187.183	CN
203.222.187.184	203.222.187.191	AU
203.222.187.192	203.222.187.255	IN
203.222.188.0	203.222.188.255	AU
203.222.189.0	203.222.190.255	HK
203.222.191.0	203.222.191.255	AU
203.222.192.0	203.222.207.255	HK
203.222.208.0	203.222.255.255	JP
203.223.0.0	203.223.15.255	US
203.223.24.0	203.223.31.255	JP
203.223.32.0	203.223.47.255	KH
203.223.48.0	203.223.87.255	JP
203.223.88.0	203.223.89.255	TH
203.223.90.0	203.223.91.255	ID
203.223.92.0	203.223.95.255	BD
203.223.96.0	203.223.127.255	KR
203.223.128.0	203.223.159.255	MY
203.223.160.0	203.223.175.255	PK
203.223.176.0	203.223.176.255	IN
203.223.177.0	203.223.177.255	KR
203.223.178.0	203.223.178.255	HK
203.223.179.0	203.223.179.255	AU
203.223.180.0	203.223.183.255	JP
203.223.184.0	203.223.187.255	AU
203.223.188.0	203.223.191.255	IN
203.223.192.0	203.223.255.255	HK
203.224.0.0	203.255.255.255	KR
204.0.0.0	204.2.133.255	US
204.2.134.0	204.2.134.255	A1
204.2.135.0	204.4.133.255	US
204.4.134.0	204.4.134.255	GB
204.4.135.0	204.6.39.255	US
204.6.40.0	204.6.44.255	FR
204.6.45.0	204.8.63.255	US
204.8.64.0	204.8.64.31	VI
204.8.64.32	204.8.64.47	US
204.8.64.48	204.8.64.95	VI
204.8.64.96	204.8.64.111	US
204.8.64.112	204.8.67.255	VI
204.8.68.0	204.8.71.255	US
204.8.72.0	204.8.75.255	CA
204.8.76.0	204.9.7.255	US
204.9.8.0	204.9.15.255	CA
204.9.16.0	204.9.74.199	US
204.9.74.200	204.9.74.207	CA
204.9.74.208	204.9.76.135	US
204.9.76.136	204.9.76.143	HK
204.9.76.144	204.9.77.13	US
204.9.77.14	204.9.77.21	CA
204.9.77.22	204.9.138.255	US
204.9.139.0	204.9.139.255	CA
204.9.140.0	204.9.159.255	US
204.9.160.0	204.9.161.95	CA
204.9.161.96	204.9.161.127	BM
204.9.161.128	204.9.161.159	CA
204.9.161.160	204.9.161.191	BM
204.9.161.192	204.9.163.127	CA
204.9.163.128	204.9.163.255	EE
204.9.164.0	204.9.165.47	CA
204.9.165.48	204.9.165.63	US
204.9.165.64	204.9.165.79	CA
204.9.165.80	204.9.165.87	EE
204.9.165.88	204.9.165.159	CA
204.9.165.160	204.9.165.191	AU
204.9.165.192	204.9.167.255	CA
204.9.168.0	204.9.242.255	US
204.9.243.0	204.9.243.255	CA
204.9.244.0	204.10.0.239	US
204.10.0.240	204.10.0.247	AN
204.10.0.248	204.10.3.1	US
204.10.3.2	204.10.3.191	AN
204.10.3.192	204.10.55.255	US
204.10.56.0	204.10.59.255	CA
204.10.60.0	204.10.106.191	US
204.10.106.192	204.10.106.223	CA
204.10.106.224	204.10.109.215	US
204.10.109.216	204.10.109.223	TR
204.10.109.224	204.10.109.231	US
204.10.109.232	204.10.109.235	TR
204.10.109.236	204.10.110.127	US
204.10.110.128	204.10.110.159	CA
204.10.110.160	204.10.110.223	US
204.10.110.224	204.10.110.239	IN
204.10.110.240	204.10.111.31	US
204.10.111.32	204.10.111.63	CA
204.10.111.64	204.10.111.135	US
204.10.111.136	204.10.111.143	IL
204.10.111.144	204.10.111.255	US
204.10.112.0	204.10.119.255	JM
204.10.120.0	204.10.199.255	US
204.10.200.0	204.10.207.255	CA
204.10.216.0	204.10.224.63	US
204.10.224.64	204.10.224.95	NG
204.10.224.96	204.10.225.223	US
204.10.225.224	204.10.225.239	EC
204.10.225.240	204.10.231.255	US
204.10.232.56	204.10.232.63	US
204.10.240.0	204.10.241.15	CA
204.10.241.16	204.10.241.31	US
204.10.241.32	204.10.243.255	CA
204.10.244.0	204.11.47.255	US
204.11.48.0	204.11.49.23	CA
204.11.49.24	204.11.49.31	NL
204.11.49.32	204.11.49.39	JP
204.11.49.40	204.11.49.47	CA
204.11.49.48	204.11.49.55	US
204.11.49.56	204.11.49.79	CA
204.11.49.80	204.11.49.87	US
204.11.49.88	204.11.49.143	CA
204.11.49.144	204.11.49.151	US
204.11.49.152	204.11.49.167	CA
204.11.49.168	204.11.49.175	JP
204.11.49.176	204.11.49.199	CA
204.11.49.200	204.11.49.207	TL
204.11.49.208	204.11.50.31	CA
204.11.50.32	204.11.50.47	CR
204.11.50.48	204.11.51.159	CA
204.11.51.160	204.11.51.191	US
204.11.51.192	204.11.52.255	CA
204.11.53.0	204.11.53.127	GB
204.11.53.128	204.11.55.255	CA
204.11.56.0	204.11.119.255	US
204.11.120.0	204.11.123.255	CA
204.11.124.0	204.11.151.255	US
204.11.152.0	204.11.156.255	VI
204.11.157.0	204.11.157.255	US
204.11.158.0	204.11.159.255	VI
204.11.160.0	204.11.221.31	US
204.11.221.32	204.11.221.79	IL
204.11.221.80	204.12.0.31	US
204.12.0.32	204.12.0.39	AE
204.12.0.40	204.12.1.175	US
204.12.1.176	204.12.1.191	DE
204.12.1.192	204.12.3.111	US
204.12.3.112	204.12.3.119	DE
204.12.3.120	204.12.7.111	US
204.12.7.112	204.12.7.119	AU
204.12.7.120	204.12.11.199	US
204.12.11.200	204.12.11.207	PE
204.12.11.208	204.12.11.231	US
204.12.11.232	204.12.11.239	GB
204.12.11.240	204.12.11.255	US
204.12.12.0	204.12.12.31	GB
204.12.12.32	204.12.14.199	US
204.12.14.200	204.12.14.207	IL
204.12.14.208	204.12.16.39	US
204.12.16.40	204.12.16.47	IN
204.12.16.48	204.12.16.167	US
204.12.16.168	204.12.16.183	GB
204.12.16.184	204.12.17.119	US
204.12.17.120	204.12.17.127	AU
204.12.17.128	204.12.17.191	US
204.12.17.192	204.12.17.207	IN
204.12.17.208	204.12.18.31	US
204.12.18.32	204.12.18.47	PK
204.12.18.48	204.12.18.63	RO
204.12.18.64	204.12.18.223	US
204.12.18.224	204.12.18.239	AU
204.12.18.240	204.12.24.127	US
204.12.24.128	204.12.24.151	PK
204.12.24.152	204.12.24.167	CA
204.12.24.168	204.12.25.95	US
204.12.25.96	204.12.25.103	IE
204.12.25.104	204.12.25.191	US
204.12.25.192	204.12.25.199	CA
204.12.25.200	204.12.25.215	US
204.12.25.216	204.12.25.223	IE
204.12.25.224	204.12.26.247	US
204.12.26.248	204.12.26.255	IE
204.12.27.0	204.12.27.23	US
204.12.27.24	204.12.27.31	GT
204.12.27.32	204.12.27.95	US
204.12.27.96	204.12.27.127	AU
204.12.27.128	204.12.27.175	US
204.12.27.176	204.12.27.183	JO
204.12.27.184	204.12.27.215	US
204.12.27.216	204.12.27.223	GB
204.12.27.224	204.12.28.31	US
204.12.28.32	204.12.28.55	CA
204.12.28.56	204.12.29.207	US
204.12.29.208	204.12.29.223	CA
204.12.29.224	204.12.30.143	US
204.12.30.144	204.12.30.151	DK
204.12.30.152	204.12.31.55	US
204.12.31.56	204.12.31.63	AE
204.12.31.64	204.12.32.143	US
204.12.32.144	204.12.32.159	IM
204.12.32.160	204.12.32.255	US
204.12.33.0	204.12.33.7	CA
204.12.33.8	204.12.33.39	US
204.12.33.40	204.12.33.47	AE
204.12.33.48	204.12.33.55	AU
204.12.33.56	204.12.34.7	US
204.12.34.8	204.12.34.31	CA
204.12.34.32	204.12.34.247	US
204.12.34.248	204.12.34.255	CA
204.12.35.0	204.12.35.47	US
204.12.35.48	204.12.35.63	DE
204.12.35.64	204.12.36.71	US
204.12.36.72	204.12.36.79	SA
204.12.36.80	204.12.36.111	US
204.12.36.112	204.12.36.119	FR
204.12.36.120	204.12.36.207	US
204.12.36.208	204.12.36.215	AU
204.12.36.216	204.12.37.39	US
204.12.37.40	204.12.37.55	GB
204.12.37.56	204.12.37.103	US
204.12.37.104	204.12.37.127	AU
204.12.37.128	204.12.41.127	US
204.12.41.128	204.12.41.143	IT
204.12.41.144	204.12.41.255	US
204.12.42.0	204.12.42.15	AU
204.12.42.16	204.12.42.47	US
204.12.42.48	204.12.42.55	AU
204.12.42.56	204.12.42.79	US
204.12.42.80	204.12.42.87	DE
204.12.42.88	204.12.42.111	US
204.12.42.112	204.12.42.135	DE
204.12.42.136	204.12.43.175	US
204.12.43.176	204.12.43.183	IL
204.12.43.184	204.12.47.135	US
204.12.47.136	204.12.47.143	AU
204.12.47.144	204.12.47.191	US
204.12.47.192	204.12.47.199	CA
204.12.47.200	204.12.47.207	US
204.12.47.208	204.12.47.215	SA
204.12.47.216	204.12.52.23	US
204.12.52.24	204.12.52.31	AU
204.12.52.32	204.12.52.239	US
204.12.52.240	204.12.52.255	GB
204.12.53.0	204.12.53.191	US
204.12.53.192	204.12.53.207	CA
204.12.53.208	204.12.54.119	US
204.12.54.120	204.12.54.127	IL
204.12.54.128	204.12.54.183	US
204.12.54.184	204.12.54.191	IL
204.12.54.192	204.12.55.103	US
204.12.55.104	204.12.55.111	NL
204.12.55.112	204.12.56.199	US
204.12.56.200	204.12.56.207	AU
204.12.56.208	204.12.57.55	US
204.12.57.56	204.12.57.63	KH
204.12.57.64	204.12.57.207	US
204.12.57.208	204.12.57.215	BR
204.12.57.216	204.12.58.7	US
204.12.58.8	204.12.58.23	PA
204.12.58.24	204.12.58.127	US
204.12.58.128	204.12.58.135	KH
204.12.58.136	204.12.58.199	US
204.12.58.200	204.12.58.207	IN
204.12.58.208	204.12.59.191	US
204.12.59.192	204.12.59.207	GB
204.12.59.208	204.12.60.63	US
204.12.60.64	204.12.60.71	BB
204.12.60.72	204.12.60.175	US
204.12.60.176	204.12.60.183	IL
204.12.60.184	204.12.60.191	US
204.12.60.192	204.12.60.207	PK
204.12.60.208	204.12.60.239	US
204.12.60.240	204.12.60.247	CA
204.12.60.248	204.12.61.31	US
204.12.61.32	204.12.61.95	CA
204.12.61.96	204.12.61.223	US
204.12.61.224	204.12.61.247	PE
204.12.61.248	204.12.62.215	US
204.12.62.216	204.12.62.223	AU
204.12.62.224	204.12.63.31	US
204.12.63.32	204.12.63.39	AE
204.12.63.40	204.12.63.159	US
204.12.63.160	204.12.63.167	PA
204.12.63.168	204.12.72.183	US
204.12.72.184	204.12.72.199	AE
204.12.72.200	204.12.73.127	US
204.12.73.128	204.12.73.135	CO
204.12.73.136	204.12.74.71	US
204.12.74.72	204.12.74.79	DE
204.12.74.80	204.12.74.87	CO
204.12.74.88	204.12.97.135	US
204.12.97.136	204.12.97.143	AU
204.12.97.144	204.12.97.159	CA
204.12.97.160	204.12.97.183	US
204.12.97.184	204.12.97.191	MX
204.12.97.192	204.12.97.239	US
204.12.97.240	204.12.97.255	ZA
204.12.98.0	204.12.98.31	US
204.12.98.32	204.12.98.47	AU
204.12.98.48	204.12.106.143	US
204.12.106.144	204.12.106.151	CA
204.12.106.152	204.12.107.15	US
204.12.107.16	204.12.107.23	AE
204.12.107.24	204.12.108.79	US
204.12.108.80	204.12.108.95	AU
204.12.108.96	204.12.108.207	US
204.12.108.208	204.12.108.223	AU
204.12.108.224	204.12.109.79	US
204.12.109.80	204.12.109.95	IT
204.12.109.96	204.12.110.47	US
204.12.110.48	204.12.110.55	GB
204.12.110.56	204.12.111.79	US
204.12.111.80	204.12.111.87	CA
204.12.111.88	204.12.112.55	US
204.12.112.56	204.12.112.63	AU
204.12.112.64	204.12.112.111	US
204.12.112.112	204.12.112.135	BR
204.12.112.136	204.12.112.143	AU
204.12.112.144	204.12.112.175	US
204.12.112.176	204.12.112.191	NL
204.12.112.192	204.12.112.199	US
204.12.112.200	204.12.112.207	GB
204.12.112.208	204.12.114.127	US
204.12.114.128	204.12.114.143	IT
204.12.114.144	204.12.114.151	US
204.12.114.152	204.12.114.167	MX
204.12.114.168	204.12.114.223	US
204.12.114.224	204.12.114.239	IL
204.12.114.240	204.12.115.47	US
204.12.115.48	204.12.115.71	CA
204.12.115.72	204.12.115.167	US
204.12.115.168	204.12.115.175	CA
204.12.115.176	204.12.115.207	US
204.12.115.208	204.12.115.231	IL
204.12.115.232	204.12.116.63	US
204.12.116.64	204.12.116.95	CA
204.12.116.96	204.12.116.127	US
204.12.116.128	204.12.116.135	CA
204.12.116.136	204.12.120.111	US
204.12.120.112	204.12.120.127	BR
204.12.120.128	204.12.121.119	US
204.12.121.120	204.12.121.127	BR
204.12.121.128	204.12.121.247	US
204.12.121.248	204.12.121.255	AU
204.12.122.0	204.12.124.63	US
204.12.124.64	204.12.124.79	IL
204.12.124.80	204.12.125.55	US
204.12.125.56	204.12.125.63	IE
204.12.125.64	204.12.125.223	US
204.12.125.224	204.12.125.231	VG
204.12.125.232	204.12.126.23	US
204.12.126.24	204.12.126.31	LB
204.12.126.32	204.12.126.119	US
204.12.126.120	204.12.126.127	VG
204.12.126.128	204.12.127.255	US
204.12.128.0	204.12.143.255	ZA
204.12.144.0	204.12.159.255	CA
204.12.160.0	204.12.216.111	US
204.12.216.112	204.12.216.119	RU
204.12.216.120	204.12.226.135	US
204.12.226.136	204.12.226.143	RU
204.12.226.144	204.12.235.183	US
204.12.235.184	204.12.235.191	RU
204.12.235.192	204.12.243.151	US
204.12.243.152	204.12.243.167	RU
204.12.243.168	204.12.244.119	US
204.12.244.120	204.12.244.127	RU
204.12.244.128	204.12.244.191	US
204.12.244.192	204.12.244.199	RU
204.12.244.200	204.12.244.223	US
204.12.244.224	204.12.244.231	RU
204.12.244.232	204.12.251.191	US
204.12.251.192	204.12.251.199	RU
204.12.251.200	204.13.31.255	US
204.13.32.16	204.13.32.31	GR
204.13.32.32	204.13.32.63	TK
204.13.32.64	204.13.32.95	RU
204.13.32.96	204.13.32.111	CA
204.13.32.192	204.13.32.255	SA
204.13.33.0	204.13.33.15	CA
204.13.33.16	204.13.33.31	US
204.13.33.64	204.13.33.143	FR
204.13.33.144	204.13.33.159	NO
204.13.33.176	204.13.33.191	RU
204.13.33.208	204.13.33.223	CA
204.13.33.224	204.13.33.239	RU
204.13.33.240	204.13.33.247	US
204.13.34.0	204.13.34.15	CA
204.13.34.16	204.13.34.31	US
204.13.34.32	204.13.34.47	FI
204.13.34.64	204.13.34.79	US
204.13.34.80	204.13.34.95	GR
204.13.34.112	204.13.34.127	US
204.13.34.192	204.13.34.255	NL
204.13.35.64	204.13.35.79	US
204.13.35.80	204.13.35.143	CA
204.13.35.160	204.13.35.175	US
204.13.35.192	204.13.35.255	RS
204.13.36.0	204.13.36.31	US
204.13.36.32	204.13.36.47	SE
204.13.36.64	204.13.36.79	PT
204.13.36.80	204.13.36.95	US
204.13.36.128	204.13.37.255	US
204.13.39.0	204.13.39.127	CA
204.13.39.128	204.13.39.143	FR
204.13.39.176	204.13.39.191	US
204.13.40.0	204.13.47.255	US
204.13.52.0	204.13.52.126	US
204.13.52.127	204.13.52.136	AU
204.13.52.137	204.13.53.36	US
204.13.53.37	204.13.53.46	CA
204.13.53.47	204.13.53.115	US
204.13.53.116	204.13.53.125	BR
204.13.53.126	204.13.53.169	US
204.13.53.170	204.13.53.177	CA
204.13.53.178	204.13.54.98	US
204.13.54.99	204.13.54.108	GB
204.13.54.109	204.13.54.119	US
204.13.54.120	204.13.54.139	RO
204.13.54.140	204.13.55.60	US
204.13.55.61	204.13.55.68	JP
204.13.55.69	204.13.228.255	US
204.13.229.0	204.13.229.15	CA
204.13.229.16	204.14.15.255	US
204.14.16.0	204.14.19.223	CA
204.14.19.224	204.14.19.239	CY
204.14.19.240	204.14.19.255	CA
204.14.20.0	204.14.39.255	US
204.14.40.0	204.14.41.255	A2
204.14.42.0	204.14.42.127	NG
204.14.42.128	204.14.42.207	A2
204.14.42.208	204.14.42.223	US
204.14.42.224	204.14.42.255	A2
204.14.43.0	204.14.43.255	DM
204.14.44.0	204.14.44.95	A2
204.14.44.96	204.14.44.103	US
204.14.44.104	204.14.44.111	AO
204.14.44.112	204.14.44.175	A2
204.14.44.176	204.14.44.191	US
204.14.44.192	204.14.44.207	NG
204.14.44.208	204.14.44.223	US
204.14.44.224	204.14.46.191	A2
204.14.46.192	204.14.46.207	NG
204.14.46.208	204.14.47.255	A2
204.14.48.0	204.14.93.255	US
204.14.94.0	204.14.94.255	RU
204.14.95.0	204.14.95.15	ID
204.14.95.16	204.14.95.23	ES
204.14.95.24	204.14.95.39	TT
204.14.95.40	204.14.95.79	US
204.14.95.80	204.14.95.87	AT
204.14.95.88	204.14.111.95	US
204.14.111.96	204.14.111.103	CA
204.14.111.104	204.14.247.255	US
204.14.248.0	204.14.255.255	AI
204.15.0.0	204.15.19.119	US
204.15.19.120	204.15.19.127	HN
204.15.19.128	204.15.19.207	US
204.15.19.208	204.15.19.215	HN
204.15.19.216	204.15.31.255	US
204.15.32.0	204.15.36.175	CA
204.15.36.176	204.15.36.191	US
204.15.36.192	204.15.36.223	CA
204.15.36.224	204.15.36.231	US
204.15.36.232	204.15.39.255	CA
204.15.40.0	204.15.55.255	US
204.15.64.0	204.15.74.135	US
204.15.74.136	204.15.74.143	CA
204.15.74.144	204.15.74.223	US
204.15.74.224	204.15.74.231	GB
204.15.74.232	204.15.76.199	US
204.15.76.200	204.15.76.207	CA
204.15.76.208	204.15.143.255	US
204.15.144.0	204.15.151.255	PR
204.15.152.0	204.15.183.255	US
204.15.184.0	204.15.192.87	CA
204.15.192.88	204.15.192.95	US
204.15.192.96	204.15.192.103	AU
204.15.192.104	204.15.192.111	CA
204.15.192.112	204.15.192.119	US
204.15.192.120	204.15.192.167	CA
204.15.192.168	204.15.192.175	US
204.15.192.176	204.15.192.191	CA
204.15.192.192	204.15.192.199	US
204.15.192.200	204.15.192.247	CA
204.15.192.248	204.15.192.255	US
204.15.193.0	204.15.193.175	CA
204.15.193.176	204.15.193.191	US
204.15.193.192	204.15.193.207	CA
204.15.193.208	204.15.193.223	US
204.15.193.224	204.15.193.239	CA
204.15.193.240	204.15.193.255	US
204.15.194.0	204.15.196.255	CA
204.15.197.0	204.15.197.15	IR
204.15.197.16	204.15.197.95	CA
204.15.197.96	204.15.197.111	US
204.15.197.112	204.15.198.15	CA
204.15.198.16	204.15.198.31	US
204.15.198.32	204.15.198.47	CA
204.15.198.48	204.15.198.55	US
204.15.198.56	204.15.198.87	CA
204.15.198.88	204.15.198.95	US
204.15.198.96	204.15.198.103	CA
204.15.198.104	204.15.198.111	NL
204.15.198.112	204.15.198.119	CA
204.15.198.120	204.15.198.127	ES
204.15.198.128	204.15.198.135	CA
204.15.198.136	204.15.198.143	NZ
204.15.198.144	204.15.198.207	CA
204.15.198.208	204.15.198.215	US
204.15.198.216	204.15.198.223	PA
204.15.198.224	204.15.198.239	US
204.15.198.240	204.15.198.247	NZ
204.15.198.248	204.15.199.111	CA
204.15.199.112	204.15.199.119	IR
204.15.199.120	204.15.199.255	CA
204.15.200.0	204.15.211.31	US
204.15.211.32	204.15.211.39	GB
204.15.211.40	204.15.217.215	US
204.15.217.216	204.15.217.223	HT
204.15.217.224	204.15.218.231	US
204.15.218.232	204.15.218.239	HN
204.15.218.240	204.15.224.151	US
204.15.224.152	204.15.224.159	ES
204.15.224.160	204.15.224.239	US
204.15.224.240	204.15.224.255	CA
204.15.225.0	204.15.225.35	US
204.15.225.36	204.15.225.51	CA
204.15.225.52	204.15.225.191	US
204.15.225.192	204.15.225.207	IL
204.15.225.208	204.15.248.127	US
204.15.248.128	204.15.248.191	CA
204.15.248.192	204.15.254.113	US
204.15.254.114	204.15.254.123	GB
204.15.254.124	204.16.7.255	US
204.16.8.0	204.16.11.255	KN
204.16.12.0	204.16.16.231	US
204.16.16.232	204.16.16.239	BZ
204.16.16.240	204.16.99.255	US
204.16.100.0	204.16.103.255	CA
204.16.104.0	204.16.111.255	US
204.16.124.0	204.16.127.255	A2
204.16.128.0	204.16.143.255	US
204.16.144.0	204.16.151.255	CA
204.16.152.0	204.16.199.255	US
204.16.200.0	204.16.200.127	CA
204.16.200.128	204.16.200.159	US
204.16.200.160	204.16.207.255	CA
204.16.208.0	204.18.255.255	US
204.19.0.0	204.19.118.255	CA
204.19.119.0	204.19.119.255	US
204.19.120.0	204.19.199.255	CA
204.19.200.0	204.19.203.255	KN
204.19.206.0	204.19.237.255	CA
204.19.238.0	204.19.239.255	US
204.19.240.0	204.19.255.255	CA
204.20.0.0	204.27.51.255	US
204.27.52.0	204.27.55.255	CA
204.27.56.0	204.27.56.31	US
204.27.56.32	204.27.56.39	CN
204.27.56.40	204.27.56.71	US
204.27.56.72	204.27.56.79	BY
204.27.56.80	204.27.56.111	US
204.27.56.112	204.27.56.119	GB
204.27.56.120	204.27.56.143	US
204.27.56.144	204.27.56.151	BY
204.27.56.152	204.27.56.215	US
204.27.56.216	204.27.56.239	CA
204.27.56.240	204.27.57.239	US
204.27.57.240	204.27.57.247	SE
204.27.57.248	204.27.58.111	US
204.27.58.112	204.27.58.127	CN
204.27.58.128	204.27.59.7	US
204.27.59.8	204.27.59.15	BY
204.27.59.16	204.27.59.63	US
204.27.59.64	204.27.59.71	SG
204.27.59.72	204.27.59.103	US
204.27.59.104	204.27.59.111	GB
204.27.59.112	204.27.59.135	US
204.27.59.136	204.27.59.143	BE
204.27.59.144	204.27.59.207	US
204.27.59.208	204.27.59.215	BR
204.27.59.216	204.27.59.231	US
204.27.59.232	204.27.59.239	IN
204.27.59.240	204.27.60.255	US
204.27.61.0	204.27.61.7	BY
204.27.61.8	204.27.61.23	US
204.27.61.24	204.27.61.31	SG
204.27.61.32	204.27.61.39	US
204.27.61.40	204.27.61.47	BY
204.27.61.48	204.27.61.103	US
204.27.61.104	204.27.61.111	IL
204.27.61.112	204.27.61.119	MX
204.27.61.120	204.27.223.255	US
204.27.224.0	204.27.224.255	PR
204.27.225.0	204.29.160.255	US
204.29.161.0	204.29.161.255	CA
204.29.162.0	204.29.162.255	US
204.29.164.0	204.39.255.255	US
204.40.0.0	204.41.255.255	CA
204.42.0.0	204.47.255.255	US
204.48.0.0	204.48.7.255	CA
204.48.8.0	204.49.255.255	US
204.50.0.0	204.50.7.159	CA
204.50.7.160	204.50.7.175	US
204.50.7.176	204.50.102.255	CA
204.50.103.0	204.50.103.255	US
204.50.104.0	204.50.157.111	CA
204.50.157.112	204.50.157.127	US
204.50.157.128	204.50.181.191	CA
204.50.181.192	204.50.181.207	US
204.50.181.208	204.50.255.255	CA
204.51.0.0	204.51.71.239	US
204.51.71.240	204.51.71.255	DO
204.51.72.0	204.51.77.47	US
204.51.77.48	204.51.77.127	A2
204.51.77.128	204.51.83.159	US
204.51.83.160	204.51.83.175	NI
204.51.83.176	204.51.86.63	US
204.51.86.64	204.51.86.127	DK
204.51.86.128	204.52.207.255	US
204.52.208.0	204.52.208.255	IL
204.52.209.0	204.58.135.255	US
204.58.136.0	204.58.139.255	MX
204.58.140.0	204.62.119.255	US
204.62.120.0	204.62.123.255	CA
204.62.124.0	204.63.247.255	US
204.63.248.0	204.63.255.255	CA
204.64.0.0	204.69.207.255	US
204.69.208.0	204.69.208.255	CA
204.69.209.0	204.69.209.255	US
204.69.211.0	204.69.213.255	US
204.69.216.0	204.77.77.255	US
204.77.78.0	204.77.78.255	CA
204.77.79.0	204.78.255.255	US
204.79.0.0	204.79.0.255	CA
204.79.1.0	204.79.3.255	US
204.79.4.0	204.79.4.255	BE
204.79.5.0	204.79.5.255	DE
204.79.6.0	204.79.9.255	US
204.79.10.0	204.79.10.255	DE
204.79.11.0	204.79.11.255	US
204.79.12.0	204.79.12.255	CH
204.79.13.0	204.79.21.255	IE
204.79.22.0	204.79.22.255	US
204.79.23.0	204.79.25.255	HK
204.79.26.0	204.79.26.255	GB
204.79.27.0	204.79.48.255	US
204.79.49.0	204.79.50.255	DE
204.79.51.0	204.79.51.255	AT
204.79.52.0	204.79.52.255	CH
204.79.53.0	204.79.54.255	GB
204.79.55.0	204.79.55.255	DE
204.79.56.0	204.79.56.255	CA
204.79.57.0	204.79.57.255	SE
204.79.58.0	204.79.61.255	DE
204.79.62.0	204.79.63.255	TW
204.79.64.0	204.79.64.255	GB
204.79.65.0	204.79.65.255	DK
204.79.66.0	204.79.66.255	US
204.79.67.0	204.79.67.255	JP
204.79.68.0	204.79.68.255	DE
204.79.69.0	204.79.69.255	US
204.79.70.0	204.79.70.255	DE
204.79.71.0	204.79.71.255	US
204.79.72.0	204.79.72.255	NO
204.79.73.0	204.79.73.255	CH
204.79.74.0	204.79.74.255	JP
204.79.75.0	204.79.78.255	DE
204.79.79.0	204.79.79.255	NL
204.79.80.0	204.79.82.255	DE
204.79.83.0	204.79.83.255	GB
204.79.84.0	204.79.85.255	US
204.79.86.0	204.79.86.95	BE
204.79.86.96	204.79.89.255	US
204.79.90.0	204.79.90.255	NL
204.79.91.0	204.79.91.255	GB
204.79.92.0	204.79.92.255	US
204.79.93.0	204.79.93.255	JP
204.79.94.0	204.79.94.255	FI
204.79.95.0	204.79.95.255	IT
204.79.96.0	204.79.96.255	CH
204.79.97.0	204.79.97.255	GB
204.79.98.0	204.79.98.255	DE
204.79.99.0	204.79.99.255	CA
204.79.100.0	204.79.100.255	IT
204.79.101.0	204.79.101.255	US
204.79.102.0	204.79.102.255	DE
204.79.103.0	204.79.104.255	BE
204.79.105.0	204.79.105.255	AU
204.79.106.0	204.79.106.255	DE
204.79.107.0	204.79.107.255	US
204.79.108.0	204.79.108.255	GR
204.79.109.0	204.79.109.255	FR
204.79.110.0	204.79.110.255	JP
204.79.111.0	204.79.111.255	DE
204.79.112.0	204.79.113.255	BE
204.79.114.0	204.79.114.255	IT
204.79.115.0	204.79.115.255	US
204.79.116.0	204.79.116.255	BE
204.79.117.0	204.79.118.255	GB
204.79.119.0	204.79.119.255	US
204.79.120.0	204.79.122.255	CA
204.79.123.0	204.79.125.255	US
204.79.126.0	204.79.126.255	JP
204.79.127.0	204.79.127.255	US
204.79.128.0	204.79.128.255	DE
204.79.129.0	204.79.129.255	CA
204.79.130.0	204.79.132.255	IT
204.79.133.0	204.79.133.255	AU
204.79.134.0	204.79.134.255	GB
204.79.135.0	204.79.135.255	US
204.79.136.0	204.79.136.255	FR
204.79.137.0	204.79.140.255	US
204.79.141.0	204.79.141.255	GB
204.79.142.0	204.79.143.255	US
204.79.144.0	204.79.145.255	GB
204.79.146.0	204.79.146.255	SE
204.79.147.0	204.79.149.255	DE
204.79.150.0	204.79.156.255	US
204.79.157.0	204.79.158.255	JP
204.79.159.0	204.79.159.255	NO
204.79.160.0	204.79.160.255	GB
204.79.161.0	204.79.163.255	CH
204.79.164.0	204.79.164.255	US
204.79.165.0	204.79.165.255	CA
204.79.166.0	204.79.167.255	CH
204.79.168.0	204.79.168.255	DE
204.79.169.0	204.79.169.255	HK
204.79.170.0	204.79.170.255	BE
204.79.171.0	204.79.171.255	DE
204.79.172.0	204.79.172.255	US
204.79.173.0	204.79.173.255	FR
204.79.174.0	204.79.176.255	US
204.79.177.0	204.79.178.255	DE
204.79.179.0	204.79.181.255	US
204.79.182.0	204.79.183.255	HK
204.79.184.0	204.79.184.255	CZ
204.79.185.0	204.79.185.255	US
204.79.186.0	204.79.186.255	NL
204.79.187.0	204.79.187.255	DE
204.79.188.0	204.79.188.255	US
204.79.189.0	204.79.189.255	HK
204.79.190.0	204.79.190.255	US
204.79.191.0	204.79.191.255	SE
204.79.192.0	204.79.193.255	NO
204.79.194.0	204.79.194.255	GB
204.79.195.0	204.79.197.255	US
204.79.198.0	204.79.198.255	GB
204.79.199.0	204.79.200.255	DE
204.79.201.0	204.79.202.255	US
204.79.203.0	204.79.203.255	GB
204.79.204.0	204.79.204.255	BE
204.79.205.0	204.79.206.255	US
204.79.207.0	204.79.207.255	GB
204.79.208.0	204.79.210.255	FR
204.79.211.0	204.79.211.255	GB
204.79.212.0	204.79.212.255	US
204.79.213.0	204.79.215.255	GB
204.79.216.0	204.79.217.255	US
204.79.218.0	204.79.218.255	JP
204.79.219.0	204.79.219.255	NO
204.79.220.0	204.79.223.255	US
204.79.224.0	204.79.225.255	LU
204.79.226.0	204.79.227.255	US
204.79.228.0	204.79.228.255	FR
204.79.229.0	204.79.229.255	CH
204.79.230.0	204.79.231.255	GB
204.79.232.0	204.79.234.255	NO
204.79.235.0	204.79.236.255	DE
204.79.237.0	204.79.239.255	US
204.79.240.0	204.79.240.255	IT
204.79.241.0	204.79.242.255	DE
204.79.243.0	204.79.243.255	GB
204.79.244.0	204.79.245.255	CA
204.79.246.0	204.79.246.255	NL
204.79.247.0	204.79.249.255	SG
204.79.250.0	204.79.251.255	HK
204.79.252.0	204.79.252.255	US
204.79.253.0	204.79.255.255	NL
204.80.0.0	204.80.7.255	CA
204.80.8.0	204.80.142.255	US
204.80.143.0	204.80.143.255	MX
204.80.144.0	204.80.255.255	US
204.81.0.0	204.83.131.255	CA
204.83.132.0	204.83.133.255	US
204.83.134.0	204.83.255.255	CA
204.84.0.0	204.87.128.255	US
204.87.129.0	204.87.129.255	CA
204.87.130.0	204.87.168.255	US
204.87.169.0	204.87.169.255	CL
204.87.171.0	204.87.178.255	US
204.87.179.0	204.87.179.255	ZA
204.87.180.0	204.87.204.255	US
204.87.205.0	204.87.205.255	MX
204.87.206.0	204.89.205.255	US
204.89.206.0	204.89.206.255	MX
204.89.207.0	204.90.180.255	US
204.90.181.0	204.90.182.255	NL
204.90.183.0	204.91.255.255	US
204.92.0.0	204.92.0.191	CA
204.92.0.192	204.92.1.63	US
204.92.1.64	204.92.1.127	CA
204.92.1.128	204.92.1.191	US
204.92.1.192	204.92.1.255	CA
204.92.2.0	204.92.2.63	US
204.92.2.64	204.92.3.87	CA
204.92.3.88	204.92.3.95	US
204.92.3.96	204.92.3.135	CA
204.92.3.136	204.92.3.143	DK
204.92.3.144	204.92.3.159	CA
204.92.3.160	204.92.3.167	US
204.92.3.168	204.92.3.175	CA
204.92.3.176	204.92.3.183	US
204.92.3.184	204.92.3.255	CA
204.92.4.0	204.92.4.255	US
204.92.5.0	204.92.5.255	CA
204.92.6.0	204.92.6.255	US
204.92.7.0	204.92.7.63	CA
204.92.7.64	204.92.7.191	US
204.92.7.192	204.92.8.31	CA
204.92.8.32	204.92.8.63	US
204.92.8.64	204.92.8.127	CA
204.92.8.128	204.92.8.159	US
204.92.8.160	204.92.9.63	CA
204.92.9.64	204.92.9.191	US
204.92.9.192	204.92.9.255	CA
204.92.10.0	204.92.10.191	US
204.92.10.192	204.92.10.255	CA
204.92.11.0	204.92.12.63	US
204.92.12.64	204.92.12.255	CA
204.92.13.0	204.92.13.63	US
204.92.13.64	204.92.13.191	CA
204.92.13.192	204.92.13.255	US
204.92.14.0	204.92.15.255	CA
204.92.16.0	204.92.16.127	US
204.92.16.128	204.92.16.255	CA
204.92.17.0	204.92.17.255	US
204.92.18.0	204.92.19.255	CA
204.92.20.0	204.92.20.255	US
204.92.21.0	204.92.21.127	CA
204.92.21.128	204.92.21.255	US
204.92.22.0	204.92.23.255	CA
204.92.24.0	204.92.24.255	US
204.92.25.0	204.92.26.255	CA
204.92.27.0	204.92.27.255	US
204.92.28.0	204.92.29.255	CA
204.92.30.0	204.92.40.7	US
204.92.40.8	204.92.40.47	CA
204.92.40.48	204.92.40.63	US
204.92.40.64	204.92.40.79	CA
204.92.40.80	204.92.40.215	US
204.92.40.216	204.92.40.231	CA
204.92.40.232	204.92.40.255	US
204.92.41.0	204.92.42.7	CA
204.92.42.8	204.92.42.23	US
204.92.42.24	204.92.42.63	CA
204.92.42.64	204.92.42.79	US
204.92.42.80	204.92.42.119	CA
204.92.42.120	204.92.42.127	US
204.92.42.128	204.92.42.143	CA
204.92.42.144	204.92.42.215	US
204.92.42.216	204.92.47.255	CA
204.92.48.0	204.92.48.255	US
204.92.49.0	204.92.50.127	CA
204.92.50.128	204.92.50.255	US
204.92.51.0	204.92.51.63	CA
204.92.51.64	204.92.51.191	US
204.92.51.192	204.92.53.255	CA
204.92.54.0	204.92.54.15	US
204.92.54.16	204.92.54.47	CA
204.92.54.48	204.92.54.255	US
204.92.55.0	204.92.56.31	CA
204.92.56.32	204.92.56.95	US
204.92.56.96	204.92.56.159	CA
204.92.56.160	204.92.56.191	US
204.92.56.192	204.92.56.255	CA
204.92.57.0	204.92.57.127	US
204.92.57.128	204.92.60.47	CA
204.92.60.48	204.92.60.55	US
204.92.60.56	204.92.60.63	CA
204.92.60.64	204.92.60.79	US
204.92.60.80	204.92.60.87	CA
204.92.60.88	204.92.60.95	US
204.92.60.96	204.92.60.103	CA
204.92.60.104	204.92.60.111	US
204.92.60.112	204.92.60.151	CA
204.92.60.152	204.92.60.159	US
204.92.60.160	204.92.60.255	CA
204.92.61.0	204.92.61.255	US
204.92.62.0	204.92.63.7	CA
204.92.63.8	204.92.63.15	US
204.92.63.16	204.92.63.47	CA
204.92.63.48	204.92.63.55	US
204.92.63.56	204.92.63.71	CA
204.92.63.72	204.92.63.79	US
204.92.63.80	204.92.63.119	CA
204.92.63.120	204.92.63.127	US
204.92.63.128	204.92.63.151	CA
204.92.63.152	204.92.63.159	US
204.92.63.160	204.92.63.223	CA
204.92.63.224	204.92.63.255	US
204.92.64.0	204.92.65.255	CA
204.92.66.0	204.92.66.255	US
204.92.67.0	204.92.67.159	CA
204.92.67.160	204.92.67.191	US
204.92.67.192	204.92.67.223	CA
204.92.67.224	204.92.67.255	US
204.92.68.0	204.92.69.63	CA
204.92.69.64	204.92.69.191	US
204.92.69.192	204.92.69.255	CA
204.92.70.0	204.92.70.255	US
204.92.71.0	204.92.78.255	CA
204.92.79.0	204.92.80.255	US
204.92.81.0	204.92.81.255	CA
204.92.82.0	204.92.82.255	US
204.92.83.0	204.92.83.63	CA
204.92.83.64	204.92.83.95	US
204.92.83.96	204.92.83.223	CA
204.92.83.224	204.92.84.255	US
204.92.85.0	204.92.85.63	CA
204.92.85.64	204.92.85.127	US
204.92.85.128	204.92.85.191	CA
204.92.85.192	204.92.85.255	US
204.92.86.0	204.92.86.127	CA
204.92.86.128	204.92.87.255	US
204.92.88.0	204.92.92.255	CA
204.92.93.0	204.92.94.255	US
204.92.95.0	204.92.95.127	CA
204.92.95.128	204.92.95.159	US
204.92.95.160	204.92.96.71	CA
204.92.96.72	204.92.96.79	US
204.92.96.80	204.92.96.87	CA
204.92.96.88	204.92.96.159	US
204.92.96.160	204.92.96.167	CA
204.92.96.168	204.92.96.255	US
204.92.97.0	204.92.97.63	CA
204.92.97.64	204.92.97.159	US
204.92.97.160	204.92.97.175	CA
204.92.97.176	204.92.97.207	US
204.92.97.208	204.92.97.223	CA
204.92.97.224	204.92.97.255	US
204.92.98.0	204.92.98.95	CA
204.92.98.96	204.92.98.191	US
204.92.98.192	204.92.98.223	CA
204.92.98.224	204.92.99.191	US
204.92.99.192	204.92.99.255	IS
204.92.100.0	204.92.102.255	US
204.92.103.0	204.92.103.127	CA
204.92.103.128	204.92.103.255	US
204.92.104.0	204.92.107.255	CA
204.92.108.0	204.92.112.255	US
204.92.113.0	204.92.115.255	CA
204.92.116.0	204.92.117.255	US
204.92.118.0	204.92.118.255	CA
204.92.119.0	204.92.121.255	US
204.92.122.0	204.92.126.255	CA
204.92.127.0	204.92.127.255	US
204.92.128.0	204.92.151.63	CA
204.92.151.64	204.92.151.255	US
204.92.152.0	204.92.158.63	CA
204.92.158.64	204.92.158.223	US
204.92.158.224	204.92.159.15	CA
204.92.159.16	204.92.159.255	US
204.92.160.0	204.92.164.255	CA
204.92.165.0	204.92.165.255	US
204.92.166.0	204.92.168.255	CA
204.92.169.0	204.92.171.255	US
204.92.172.0	204.92.178.255	CA
204.92.179.0	204.92.189.255	US
204.92.190.0	204.92.207.255	CA
204.92.208.0	204.92.208.255	US
204.92.209.0	204.92.209.255	CA
204.92.210.0	204.92.210.255	US
204.92.211.0	204.92.212.31	CA
204.92.212.32	204.92.212.63	US
204.92.212.64	204.92.212.127	CA
204.92.212.128	204.92.212.223	US
204.92.212.224	204.92.216.255	CA
204.92.217.0	204.92.217.63	US
204.92.217.64	204.92.217.127	CA
204.92.217.128	204.92.217.191	US
204.92.217.192	204.92.218.31	CA
204.92.218.32	204.92.218.63	US
204.92.218.64	204.92.218.191	CA
204.92.218.192	204.92.218.223	US
204.92.218.224	204.92.221.63	CA
204.92.221.64	204.92.221.127	US
204.92.221.128	204.92.221.191	CA
204.92.221.192	204.92.221.255	US
204.92.222.0	204.92.223.127	CA
204.92.223.128	204.92.223.255	US
204.92.224.0	204.92.226.255	CA
204.92.227.0	204.92.229.255	US
204.92.230.0	204.92.230.255	CA
204.92.231.0	204.92.231.255	US
204.92.232.0	204.92.241.255	CA
204.92.242.0	204.92.242.255	US
204.92.243.0	204.92.244.15	CA
204.92.244.16	204.92.244.31	US
204.92.244.32	204.92.244.63	CA
204.92.244.64	204.92.244.79	US
204.92.244.80	204.92.244.95	CA
204.92.244.96	204.92.244.111	US
204.92.244.112	204.92.244.175	CA
204.92.244.176	204.92.244.207	US
204.92.244.208	204.92.244.223	CA
204.92.244.224	204.92.245.255	US
204.92.246.0	204.92.250.255	CA
204.92.251.0	204.92.251.63	US
204.92.251.64	204.92.251.127	CA
204.92.251.128	204.92.251.159	US
204.92.251.160	204.92.251.223	CA
204.92.251.224	204.92.251.255	US
204.92.252.0	204.92.252.63	CA
204.92.252.64	204.92.252.127	US
204.92.252.128	204.92.252.191	CA
204.92.252.192	204.92.252.255	US
204.92.253.0	204.92.255.255	CA
204.93.0.0	204.94.104.255	US
204.94.105.0	204.94.105.15	GB
204.94.105.16	204.94.119.255	US
204.94.120.0	204.94.123.255	CA
204.94.124.0	204.94.150.255	US
204.94.151.0	204.94.151.127	PR
204.94.151.128	204.94.155.255	US
204.94.156.0	204.94.159.255	GH
204.94.160.0	204.94.171.255	US
204.94.172.0	204.94.172.7	SE
204.94.172.8	204.95.159.39	US
204.95.159.40	204.95.159.47	GB
204.95.159.48	204.96.197.87	US
204.96.197.88	204.96.197.95	CA
204.96.197.96	204.97.191.255	US
204.97.192.0	204.97.207.255	CO
204.97.208.0	204.100.255.255	US
204.101.0.0	204.101.255.255	CA
204.102.0.0	204.104.54.255	US
204.104.55.0	204.104.55.255	DE
204.104.56.0	204.104.110.255	US
204.104.111.0	204.104.111.255	DE
204.104.112.0	204.104.158.255	US
204.104.159.0	204.104.159.255	DE
204.104.160.0	204.104.170.255	US
204.104.171.0	204.104.171.255	DE
204.104.172.0	204.106.7.255	US
204.106.8.0	204.106.15.255	A2
204.106.16.0	204.110.55.255	US
204.110.56.0	204.110.63.255	TC
204.110.64.0	204.111.255.255	US
204.112.0.0	204.112.255.255	CA
204.113.0.0	204.118.23.95	US
204.118.23.96	204.118.23.127	IS
204.118.23.128	204.118.111.239	US
204.118.111.240	204.118.111.255	CA
204.118.112.0	204.118.132.31	US
204.118.132.32	204.118.132.39	SE
204.118.132.40	204.118.169.255	US
204.118.170.0	204.118.170.255	GH
204.118.171.0	204.119.15.255	US
204.119.16.0	204.119.23.255	PR
204.119.24.0	204.120.203.255	US
204.120.204.0	204.120.204.255	AQ
204.120.205.0	204.120.205.7	PR
204.120.205.8	204.124.87.255	US
204.124.88.0	204.124.91.255	CA
204.124.92.0	204.124.103.255	US
204.124.104.0	204.124.107.255	MX
204.124.108.0	204.125.14.255	US
204.125.15.0	204.125.15.255	CA
204.125.16.0	204.125.22.255	US
204.125.23.0	204.125.23.255	CA
204.125.24.0	204.125.91.255	US
204.125.92.0	204.125.94.255	CA
204.125.95.0	204.125.96.255	US
204.125.97.0	204.125.97.255	CA
204.125.98.0	204.125.98.255	US
204.125.99.0	204.125.99.255	CA
204.125.100.0	204.125.104.255	US
204.125.105.0	204.125.105.255	CA
204.125.106.0	204.125.107.255	US
204.125.108.0	204.125.109.255	CA
204.125.110.0	204.125.113.255	US
204.125.114.0	204.125.114.255	CA
204.125.115.0	204.125.117.255	US
204.125.118.0	204.125.118.255	CA
204.125.119.0	204.125.129.255	US
204.125.130.0	204.125.130.255	CA
204.125.131.0	204.125.131.255	US
204.125.132.0	204.125.132.255	CA
204.125.133.0	204.125.134.255	US
204.125.135.0	204.125.135.255	CA
204.125.136.0	204.125.139.255	US
204.125.140.0	204.125.140.255	CA
204.125.141.0	204.125.142.255	US
204.125.143.0	204.125.143.255	CA
204.125.144.0	204.125.149.255	US
204.125.150.0	204.125.150.255	CA
204.125.151.0	204.125.194.255	US
204.125.195.0	204.125.195.255	PR
204.125.196.0	204.125.198.255	US
204.125.199.0	204.125.199.255	CA
204.125.200.0	204.125.209.255	US
204.125.210.0	204.125.210.255	CA
204.125.211.0	204.125.240.255	US
204.125.241.0	204.125.241.255	CA
204.125.242.0	204.125.246.255	US
204.125.247.0	204.125.247.255	CA
204.125.248.0	204.125.253.255	US
204.125.254.0	204.125.254.255	CA
204.125.255.0	204.126.9.255	US
204.126.12.0	204.126.13.255	MX
204.126.14.0	204.126.127.255	US
204.126.128.0	204.126.129.255	DO
204.126.130.0	204.126.139.255	US
204.126.140.0	204.126.141.255	MX
204.126.142.0	204.130.166.255	US
204.130.167.0	204.130.167.255	CA
204.130.168.0	204.136.9.255	US
204.136.12.0	204.136.15.255	CA
204.136.16.0	204.137.255.255	US
204.138.0.0	204.138.67.255	CA
204.138.68.0	204.138.68.255	US
204.138.69.0	204.138.239.255	CA
204.138.240.0	204.138.243.255	US
204.138.244.0	204.138.255.255	CA
204.139.0.0	204.140.69.255	US
204.140.70.0	204.140.70.255	BE
204.140.71.0	204.140.72.255	US
204.140.73.0	204.140.73.255	GB
204.140.74.0	204.140.75.255	US
204.140.76.0	204.140.76.255	DE
204.140.77.0	204.140.77.255	US
204.140.78.0	204.140.78.255	LU
204.140.79.0	204.140.83.255	US
204.140.84.0	204.140.85.255	FR
204.140.86.0	204.140.99.255	IT
204.140.100.0	204.140.101.255	US
204.140.102.0	204.140.102.255	SG
204.140.103.0	204.140.108.255	CA
204.140.109.0	204.140.126.255	NL
204.140.127.0	204.140.127.255	DE
204.140.128.0	204.140.220.7	US
204.140.220.8	204.140.220.11	NL
204.140.220.12	204.144.56.255	US
204.144.60.0	204.144.63.255	CA
204.144.64.0	204.144.77.255	US
204.144.78.0	204.144.78.255	PR
204.144.79.0	204.145.200.255	US
204.145.201.0	204.145.201.255	MX
204.145.202.0	204.145.228.255	US
204.145.229.0	204.145.229.255	CA
204.145.230.0	204.146.52.255	US
204.146.53.0	204.146.53.255	GB
204.146.54.0	204.147.75.255	US
204.147.76.0	204.147.79.255	CA
204.147.80.0	204.148.7.255	US
204.148.8.0	204.148.9.255	CA
204.148.10.0	204.148.56.255	US
204.148.57.0	204.148.61.255	DE
204.148.62.0	204.148.111.255	US
204.148.112.0	204.148.112.255	GB
204.148.113.0	204.149.29.255	US
204.149.30.0	204.149.30.255	CA
204.149.31.0	204.149.47.255	US
204.149.48.0	204.149.51.255	DE
204.149.52.0	204.149.175.255	US
204.149.176.0	204.149.191.255	DE
204.149.192.0	204.151.110.255	US
204.151.111.0	204.151.111.255	DE
204.151.112.0	204.151.178.255	US
204.151.179.0	204.151.183.255	DE
204.151.184.0	204.152.13.255	US
204.152.14.0	204.152.15.255	NA
204.152.16.0	204.152.27.255	US
204.152.28.0	204.152.28.255	GB
204.152.29.0	204.152.226.255	US
204.152.227.0	204.152.227.255	CA
204.152.228.0	204.152.231.127	US
204.152.231.128	204.152.231.255	DO
204.152.232.0	204.153.23.255	US
204.153.24.0	204.153.25.255	MX
204.153.28.0	204.154.63.255	US
204.154.64.0	204.154.69.255	DE
204.154.70.0	204.154.70.3	PT
204.154.70.4	204.154.71.255	DE
204.154.72.0	204.156.120.255	US
204.156.124.0	204.156.127.255	CA
204.156.128.0	204.168.75.0	US
204.168.75.1	204.168.75.255	CA
204.168.76.0	204.173.255.255	US
204.174.0.0	204.174.103.255	CA
204.174.104.0	204.174.111.255	US
204.174.112.0	204.174.255.255	CA
204.175.0.0	204.176.37.191	US
204.176.37.192	204.176.37.207	AU
204.176.37.208	204.176.44.255	US
204.176.45.0	204.176.45.63	GB
204.176.45.64	204.176.86.223	US
204.176.86.224	204.176.86.255	IL
204.176.87.0	204.176.100.239	US
204.176.100.240	204.176.100.255	IN
204.176.101.0	204.176.121.255	US
204.176.122.0	204.176.122.63	CA
204.176.122.64	204.176.184.47	US
204.176.184.48	204.176.184.63	IL
204.176.184.64	204.176.184.255	US
204.176.185.0	204.176.185.31	IL
204.176.185.32	204.176.185.255	US
204.176.186.0	204.176.186.63	CA
204.176.186.64	204.181.35.255	US
204.181.36.0	204.181.36.7	CA
204.181.36.8	204.181.51.255	US
204.181.52.0	204.181.55.255	HN
204.181.56.0	204.181.74.255	US
204.181.75.0	204.181.75.255	PR
204.181.76.0	204.183.31.255	US
204.183.32.0	204.183.32.255	ES
204.183.33.0	204.183.103.255	US
204.183.104.0	204.183.111.255	CO
204.183.112.0	204.183.117.255	US
204.183.118.0	204.183.118.255	BR
204.183.119.0	204.183.147.255	US
204.183.148.0	204.183.151.255	NL
204.183.152.0	204.186.255.255	US
204.187.0.0	204.187.93.255	CA
204.187.94.0	204.187.94.255	US
204.187.95.0	204.187.255.255	CA
204.188.0.0	204.188.135.255	US
204.188.136.0	204.188.143.255	PA
204.188.144.0	204.188.159.255	US
204.188.160.0	204.188.160.255	AG
204.188.161.0	204.188.161.255	DM
204.188.162.0	204.188.162.255	VG
204.188.163.0	204.188.163.255	AG
204.188.164.0	204.188.165.255	VG
204.188.166.0	204.188.166.255	DM
204.188.167.0	204.188.167.255	KN
204.188.168.0	204.188.168.255	LC
204.188.169.0	204.188.169.255	AG
204.188.170.0	204.188.170.255	DM
204.188.171.0	204.188.172.255	AG
204.188.173.0	204.188.173.255	LC
204.188.174.0	204.188.175.255	AG
204.188.176.0	204.190.255.255	US
204.191.0.0	204.191.255.255	CA
204.192.0.0	204.208.255.255	US
204.209.0.0	204.209.129.255	CA
204.209.130.0	204.209.130.255	US
204.209.131.0	204.209.158.255	CA
204.209.159.0	204.209.159.255	US
204.209.160.0	204.209.255.255	CA
204.210.0.0	204.212.119.255	US
204.212.120.0	204.212.127.255	AW
204.212.128.0	204.215.213.255	US
204.215.214.0	204.215.214.255	VE
204.215.215.0	204.224.0.255	US
204.224.1.0	204.224.1.255	CA
204.224.2.0	204.224.41.255	US
204.224.42.0	204.224.42.255	CA
204.224.43.0	204.224.66.255	US
204.224.67.0	204.224.67.255	CA
204.224.68.0	204.224.107.255	US
204.224.108.0	204.224.108.255	CA
204.224.109.0	204.224.116.255	US
204.224.117.0	204.224.117.255	CA
204.224.118.0	204.224.122.255	US
204.224.123.0	204.224.123.255	CA
204.224.124.0	204.224.133.255	US
204.224.134.0	204.224.134.255	CA
204.224.135.0	204.224.184.255	US
204.224.185.0	204.224.185.255	CA
204.224.186.0	204.224.191.255	US
204.224.192.0	204.224.192.255	CA
204.224.193.0	204.224.236.255	US
204.224.237.0	204.224.237.255	CA
204.224.238.0	204.224.251.255	US
204.224.252.0	204.224.252.255	CA
204.224.253.0	204.224.255.255	US
204.225.0.0	204.225.51.255	CA
204.225.52.0	204.225.53.255	US
204.225.54.0	204.225.132.255	CA
204.225.133.0	204.225.133.255	US
204.225.134.0	204.225.141.255	CA
204.225.142.0	204.225.142.255	US
204.225.143.0	204.225.171.255	CA
204.225.172.0	204.225.172.255	US
204.225.173.0	204.225.238.255	CA
204.225.239.0	204.225.239.255	US
204.225.240.0	204.226.255.255	CA
204.227.0.0	204.231.1.255	US
204.231.2.0	204.231.2.255	HK
204.231.3.0	204.231.3.255	JP
204.231.4.0	204.231.5.255	FR
204.231.6.0	204.231.6.255	US
204.231.7.0	204.231.9.255	CA
204.231.10.0	204.231.10.255	HK
204.231.11.0	204.231.11.255	NO
204.231.12.0	204.231.12.255	ES
204.231.13.0	204.231.16.255	AT
204.231.17.0	204.231.19.255	HK
204.231.20.0	204.231.22.255	NL
204.231.23.0	204.231.46.255	US
204.231.47.0	204.231.47.255	HK
204.231.48.0	204.231.48.255	US
204.231.49.0	204.231.49.255	NL
204.231.50.0	204.231.50.255	ES
204.231.51.0	204.231.51.255	US
204.231.52.0	204.231.53.255	CH
204.231.54.0	204.231.60.255	US
204.231.61.0	204.231.61.255	CH
204.231.62.0	204.231.63.255	US
204.231.64.0	204.231.64.255	DE
204.231.65.0	204.231.65.255	US
204.231.66.0	204.231.66.255	FR
204.231.67.0	204.231.67.255	US
204.231.68.0	204.231.69.255	FI
204.231.70.0	204.231.71.255	CA
204.231.72.0	204.231.73.255	FR
204.231.74.0	204.231.74.255	US
204.231.75.0	204.231.75.255	GB
204.231.76.0	204.231.84.255	US
204.231.85.0	204.231.88.255	GB
204.231.89.0	204.231.94.255	US
204.231.95.0	204.231.95.255	DE
204.231.96.0	204.231.96.255	JP
204.231.97.0	204.231.97.255	IT
204.231.98.0	204.231.101.255	DE
204.231.102.0	204.231.102.255	US
204.231.103.0	204.231.107.255	BE
204.231.108.0	204.231.113.255	US
204.231.114.0	204.231.125.255	SG
204.231.126.0	204.231.133.255	US
204.231.134.0	204.231.135.255	MN
204.231.136.0	204.231.137.255	DE
204.231.138.0	204.231.138.255	US
204.231.139.0	204.231.140.255	GB
204.231.141.0	204.231.158.255	US
204.231.159.0	204.231.159.31	AF
204.231.159.32	204.231.169.255	US
204.231.170.0	204.231.170.255	SG
204.231.171.0	204.231.177.255	US
204.231.178.0	204.231.181.255	CL
204.231.182.0	204.231.223.255	US
204.231.224.0	204.231.224.255	GB
204.231.225.0	204.231.226.255	NL
204.231.227.0	204.231.227.255	US
204.231.228.0	204.231.228.255	DE
204.231.229.0	204.231.229.255	US
204.231.230.0	204.231.230.255	JP
204.231.231.0	204.231.231.255	BE
204.231.232.0	204.231.232.255	GB
204.231.233.0	204.231.236.255	US
204.231.237.0	204.231.237.255	IT
204.231.238.0	204.231.238.255	GB
204.231.239.0	204.231.239.255	ES
204.231.240.0	204.231.240.255	IE
204.231.242.0	204.231.250.255	US
204.231.251.0	204.231.252.255	JP
204.231.253.0	204.231.253.255	GB
204.231.254.0	204.231.254.255	US
204.231.255.0	204.231.255.255	IE
204.232.0.0	204.232.63.255	US
204.232.64.0	204.232.79.255	CA
204.232.80.0	204.232.130.167	US
204.232.130.168	204.232.130.175	AU
204.232.130.176	204.232.131.191	US
204.232.131.192	204.232.131.207	CA
204.232.131.208	204.232.132.7	US
204.232.132.8	204.232.132.15	AU
204.232.132.16	204.232.133.151	US
204.232.133.152	204.232.133.159	GB
204.232.133.160	204.232.134.15	US
204.232.134.16	204.232.134.23	SE
204.232.134.24	204.232.135.223	US
204.232.135.224	204.232.135.231	CO
204.232.135.232	204.232.137.159	US
204.232.137.160	204.232.137.175	CA
204.232.137.176	204.232.138.191	US
204.232.138.192	204.232.138.255	AU
204.232.139.0	204.232.139.31	US
204.232.139.32	204.232.139.63	AU
204.232.139.64	204.232.140.23	US
204.232.140.24	204.232.140.31	SE
204.232.140.32	204.232.140.159	US
204.232.140.160	204.232.140.167	AU
204.232.140.168	204.232.141.223	US
204.232.141.224	204.232.141.231	CA
204.232.141.232	204.232.142.7	US
204.232.142.8	204.232.142.15	CA
204.232.142.16	204.232.143.255	US
204.232.144.0	204.232.144.255	BD
204.232.145.0	204.232.145.191	US
204.232.145.192	204.232.145.255	BD
204.232.146.0	204.232.149.87	US
204.232.149.88	204.232.149.95	GB
204.232.149.96	204.232.150.15	US
204.232.150.16	204.232.150.23	ID
204.232.150.24	204.232.150.63	US
204.232.150.64	204.232.150.71	CA
204.232.150.72	204.232.151.31	US
204.232.151.32	204.232.151.39	IN
204.232.151.40	204.232.151.175	US
204.232.151.176	204.232.151.183	CA
204.232.151.184	204.232.151.231	US
204.232.151.232	204.232.151.239	BD
204.232.151.240	204.232.153.223	US
204.232.153.224	204.232.153.231	AR
204.232.153.232	204.232.154.79	US
204.232.154.80	204.232.154.87	TH
204.232.154.88	204.232.158.55	US
204.232.158.56	204.232.158.71	ES
204.232.158.72	204.232.167.135	US
204.232.167.136	204.232.167.143	CA
204.232.167.144	204.232.167.191	US
204.232.167.192	204.232.167.199	IN
204.232.167.200	204.232.168.15	US
204.232.168.16	204.232.168.23	CA
204.232.168.24	204.232.168.47	US
204.232.168.48	204.232.168.55	CA
204.232.168.56	204.232.168.175	US
204.232.168.176	204.232.168.183	MX
204.232.168.184	204.232.168.239	US
204.232.168.240	204.232.168.247	GB
204.232.168.248	204.232.169.95	US
204.232.169.96	204.232.169.103	CA
204.232.169.104	204.232.169.111	US
204.232.169.112	204.232.169.119	IN
204.232.169.120	204.232.169.191	US
204.232.169.192	204.232.169.199	CA
204.232.169.200	204.232.170.95	US
204.232.170.96	204.232.170.103	AU
204.232.170.104	204.232.171.23	US
204.232.171.24	204.232.171.31	CN
204.232.171.32	204.232.171.39	US
204.232.171.40	204.232.171.47	CA
204.232.171.48	204.232.173.63	US
204.232.173.64	204.232.173.79	CA
204.232.173.80	204.232.173.127	US
204.232.173.128	204.232.173.143	PH
204.232.173.144	204.232.173.255	US
204.232.174.0	204.232.174.15	FR
204.232.174.16	204.232.176.223	US
204.232.176.224	204.232.176.231	AU
204.232.176.232	204.232.176.255	US
204.232.177.0	204.232.177.7	CO
204.232.177.8	204.232.177.15	CA
204.232.177.16	204.232.178.55	US
204.232.178.56	204.232.178.63	BR
204.232.178.64	204.232.178.223	US
204.232.178.224	204.232.178.239	BR
204.232.178.240	204.232.179.255	US
204.232.180.0	204.232.180.7	GB
204.232.180.8	204.232.180.63	US
204.232.180.64	204.232.180.71	SA
204.232.180.72	204.232.180.231	US
204.232.180.232	204.232.180.239	AR
204.232.180.240	204.232.180.247	GB
204.232.180.248	204.232.181.39	US
204.232.181.40	204.232.181.47	CA
204.232.181.48	204.232.181.71	GB
204.232.181.72	204.232.181.127	US
204.232.181.128	204.232.181.135	GB
204.232.181.136	204.232.182.47	US
204.232.182.48	204.232.182.63	EC
204.232.182.64	204.232.183.55	US
204.232.183.56	204.232.183.63	CA
204.232.183.64	204.232.183.119	US
204.232.183.120	204.232.183.127	BR
204.232.183.128	204.232.184.15	US
204.232.184.16	204.232.184.23	GB
204.232.184.24	204.232.184.127	US
204.232.184.128	204.232.184.135	AU
204.232.184.136	204.232.184.239	US
204.232.184.240	204.232.184.247	CA
204.232.184.248	204.232.185.7	US
204.232.185.8	204.232.185.15	CA
204.232.185.16	204.232.185.111	US
204.232.185.112	204.232.185.119	CA
204.232.185.120	204.232.185.143	US
204.232.185.144	204.232.185.151	CA
204.232.185.152	204.232.185.191	US
204.232.185.192	204.232.185.199	FR
204.232.185.200	204.232.186.31	US
204.232.186.32	204.232.186.39	IL
204.232.186.40	204.232.186.127	US
204.232.186.128	204.232.186.135	GB
204.232.186.136	204.232.186.143	NZ
204.232.186.144	204.232.187.47	US
204.232.187.48	204.232.187.63	PE
204.232.187.64	204.232.187.159	US
204.232.187.160	204.232.187.167	CA
204.232.187.168	204.232.187.183	US
204.232.187.184	204.232.187.199	IN
204.232.187.200	204.232.188.127	US
204.232.188.128	204.232.188.159	CA
204.232.188.160	204.232.188.223	US
204.232.188.224	204.232.188.255	PH
204.232.189.0	204.232.189.7	US
204.232.189.8	204.232.189.15	CA
204.232.189.16	204.232.189.103	US
204.232.189.104	204.232.189.111	CA
204.232.189.112	204.232.190.103	US
204.232.190.104	204.232.190.111	MX
204.232.190.112	204.232.190.119	US
204.232.190.120	204.232.190.127	CA
204.232.190.128	204.232.190.135	GB
204.232.190.136	204.232.190.151	US
204.232.190.152	204.232.190.159	GB
204.232.190.160	204.232.190.175	US
204.232.190.176	204.232.190.183	FR
204.232.190.184	204.232.190.215	US
204.232.190.216	204.232.190.223	IL
204.232.190.224	204.232.231.255	US
204.232.232.0	204.232.232.7	IN
204.232.232.8	204.232.232.183	US
204.232.232.184	204.232.232.191	CA
204.232.232.192	204.232.232.199	AU
204.232.232.200	204.232.233.31	US
204.232.233.32	204.232.233.39	IT
204.232.233.40	204.232.233.95	US
204.232.233.96	204.232.233.103	IL
204.232.233.104	204.232.233.119	US
204.232.233.120	204.232.233.127	BR
204.232.233.128	204.232.233.199	US
204.232.233.200	204.232.233.207	GB
204.232.233.208	204.232.234.111	US
204.232.234.112	204.232.234.119	CA
204.232.234.120	204.232.238.31	US
204.232.238.32	204.232.238.39	IL
204.232.238.40	204.232.238.47	US
204.232.238.48	204.232.238.55	SG
204.232.238.56	204.232.239.47	US
204.232.239.48	204.232.239.63	FR
204.232.239.64	204.232.239.255	US
204.232.240.0	204.232.240.127	BD
204.232.240.128	204.232.247.223	US
204.232.247.224	204.232.247.239	FR
204.232.247.240	204.232.255.127	US
204.232.255.128	204.232.255.191	BD
204.232.255.192	204.235.31.255	US
204.235.32.0	204.235.43.255	ZA
204.235.44.0	204.235.207.255	US
204.235.208.0	204.235.223.255	CA
204.235.224.0	204.236.63.255	US
204.236.64.0	204.236.127.255	BS
204.236.128.0	204.236.255.255	US
204.237.0.0	204.237.127.255	CA
204.237.128.0	204.238.255.255	US
204.239.0.0	204.239.10.255	CA
204.239.11.0	204.239.11.255	US
204.239.12.0	204.239.13.255	CA
204.239.16.0	204.239.255.255	CA
204.240.0.0	204.243.255.255	US
204.244.0.0	204.244.8.47	CA
204.244.8.48	204.244.8.63	TC
204.244.8.64	204.244.10.15	CA
204.244.10.16	204.244.10.23	US
204.244.10.24	204.244.10.63	CA
204.244.10.64	204.244.10.71	US
204.244.10.72	204.244.10.175	CA
204.244.10.176	204.244.10.183	US
204.244.10.184	204.244.28.55	CA
204.244.28.56	204.244.28.63	US
204.244.28.64	204.244.29.175	CA
204.244.29.176	204.244.29.191	US
204.244.29.192	204.244.36.207	CA
204.244.36.208	204.244.36.223	US
204.244.36.224	204.244.106.47	CA
204.244.106.48	204.244.106.55	MY
204.244.106.56	204.244.187.255	CA
204.244.188.0	204.244.188.255	TC
204.244.189.0	204.244.192.255	CA
204.244.193.0	204.244.193.7	US
204.244.193.8	204.244.224.127	CA
204.244.224.128	204.244.224.159	US
204.244.224.160	204.244.255.255	CA
204.245.0.0	204.246.60.255	US
204.246.61.0	204.246.61.255	CA
204.246.62.0	204.248.31.255	US
204.248.32.0	204.248.35.255	GH
204.248.36.0	204.249.95.255	US
204.249.96.0	204.249.102.255	HN
204.249.103.0	204.251.226.255	US
204.251.227.0	204.251.227.255	PR
204.251.228.0	204.252.14.255	US
204.252.15.0	204.252.15.159	MX
204.252.15.160	204.253.197.255	US
204.253.198.0	204.253.199.255	HT
204.253.200.0	204.254.84.255	US
204.254.85.0	204.254.85.111	CL
204.254.85.112	204.254.85.119	US
204.254.85.120	204.254.85.191	CL
204.254.85.192	204.254.85.207	US
204.254.85.208	204.254.85.223	CL
204.254.85.224	205.134.188.239	US
205.134.188.240	205.134.188.255	AG
205.134.189.0	205.134.225.127	US
205.134.225.128	205.134.225.135	IN
205.134.225.136	205.134.227.47	US
205.134.227.48	205.134.227.63	AE
205.134.227.64	205.134.232.15	US
205.134.232.16	205.134.232.31	UY
205.134.232.32	205.134.232.55	US
205.134.232.56	205.134.232.63	CA
205.134.232.64	205.134.241.127	US
205.134.241.128	205.134.241.255	CA
205.134.242.0	205.134.243.127	US
205.134.243.128	205.134.243.255	CA
205.134.244.0	205.134.244.79	US
205.134.244.80	205.134.244.87	CA
205.134.244.88	205.134.244.127	US
205.134.244.128	205.134.244.255	CA
205.134.245.0	205.134.245.31	US
205.134.245.32	205.134.245.39	CA
205.134.245.40	205.134.245.95	US
205.134.245.96	205.134.245.111	UY
205.134.245.112	205.136.82.255	US
205.136.83.0	205.136.83.7	AG
205.136.83.8	205.136.83.15	KN
205.136.83.16	205.136.83.23	AG
205.136.83.24	205.136.83.47	KN
205.136.83.48	205.136.83.63	AG
205.136.83.64	205.136.83.127	AI
205.136.83.128	205.136.83.231	AG
205.136.83.232	205.136.83.239	MS
205.136.83.240	205.136.84.63	AG
205.136.84.64	205.136.84.191	VG
205.136.84.192	205.136.84.255	AG
205.136.85.0	205.136.237.255	US
205.136.238.0	205.136.240.255	KY
205.136.241.0	205.137.120.255	US
205.137.121.0	205.137.123.255	GB
205.137.124.0	205.138.15.255	US
205.138.16.0	205.138.17.255	AG
205.138.18.0	205.138.24.23	US
205.138.24.24	205.138.24.31	IL
205.138.24.32	205.138.24.47	US
205.138.24.48	205.138.24.55	SG
205.138.24.56	205.138.24.127	US
205.138.24.128	205.138.24.255	IN
205.138.25.0	205.138.25.255	SG
205.138.26.0	205.138.26.159	US
205.138.26.160	205.138.26.175	SG
205.138.26.176	205.138.26.191	US
205.138.26.192	205.138.27.79	SG
205.138.27.80	205.138.27.95	US
205.138.27.96	205.138.27.127	SG
205.138.27.128	205.138.27.255	US
205.138.28.0	205.138.29.47	SG
205.138.29.48	205.138.29.63	US
205.138.29.64	205.138.29.103	SG
205.138.29.104	205.138.29.111	AE
205.138.29.112	205.138.29.127	SG
205.138.29.128	205.138.29.167	US
205.138.29.168	205.138.29.175	SG
205.138.29.176	205.138.29.255	US
205.138.30.0	205.138.30.31	SG
205.138.30.32	205.138.30.47	US
205.138.30.48	205.138.30.63	AU
205.138.30.64	205.138.30.255	US
205.138.31.0	205.138.31.255	SG
205.138.32.0	205.138.32.255	GB
205.138.33.0	205.138.35.135	US
205.138.35.136	205.138.35.143	IE
205.138.35.144	205.138.35.159	GB
205.138.35.160	205.138.35.207	US
205.138.35.208	205.138.35.239	GB
205.138.35.240	205.138.36.103	US
205.138.36.104	205.138.36.119	GB
205.138.36.120	205.138.96.63	US
205.138.96.64	205.138.96.143	CA
205.138.96.144	205.138.97.255	US
205.138.98.0	205.138.100.255	CA
205.138.101.0	205.138.101.255	US
205.138.102.0	205.138.103.255	CA
205.138.104.0	205.138.148.255	US
205.138.149.0	205.138.149.63	CA
205.138.149.64	205.139.87.255	US
205.139.88.0	205.139.88.79	GB
205.139.88.80	205.139.88.103	US
205.139.88.104	205.139.88.111	SG
205.139.88.112	205.139.88.119	US
205.139.88.120	205.139.88.127	GB
205.139.88.128	205.139.88.231	US
205.139.88.232	205.139.88.239	GB
205.139.88.240	205.139.88.247	US
205.139.88.248	205.139.88.255	GB
205.139.89.0	205.139.89.31	SG
205.139.89.32	205.139.89.63	US
205.139.89.64	205.139.89.127	SG
205.139.89.128	205.139.89.167	US
205.139.89.168	205.139.89.175	GB
205.139.89.176	205.139.91.31	US
205.139.91.32	205.139.91.47	SG
205.139.91.48	205.139.91.63	US
205.139.91.64	205.139.91.143	SG
205.139.91.144	205.139.91.159	GB
205.139.91.160	205.139.91.175	US
205.139.91.176	205.139.91.191	GB
205.139.91.192	205.139.240.255	US
205.139.241.0	205.139.241.255	SG
205.139.242.0	205.140.161.63	US
205.140.161.64	205.140.161.143	AU
205.140.161.144	205.140.161.159	US
205.140.161.160	205.140.161.191	AU
205.140.161.192	205.140.161.255	US
205.140.162.0	205.140.162.31	SG
205.140.162.32	205.140.162.63	AU
205.140.162.64	205.140.162.87	US
205.140.162.88	205.140.162.127	SG
205.140.162.128	205.140.162.159	US
205.140.162.160	205.140.162.175	SG
205.140.162.176	205.140.162.183	MY
205.140.162.184	205.140.162.215	AU
205.140.162.216	205.140.204.127	US
205.140.204.128	205.140.204.191	GB
205.140.204.192	205.140.204.255	US
205.140.205.0	205.140.205.15	GB
205.140.205.16	205.140.213.63	US
205.140.213.64	205.140.213.71	GB
205.140.213.72	205.140.213.255	US
205.140.214.0	205.140.214.255	GB
205.140.215.0	205.140.229.71	US
205.140.229.72	205.140.229.87	GB
205.140.229.88	205.147.149.29	US
205.147.149.30	205.147.149.30	MC
205.147.149.31	205.149.255.255	US
205.150.0.0	205.150.3.255	CA
205.150.4.0	205.150.6.255	US
205.150.7.0	205.150.14.255	CA
205.150.15.0	205.150.15.255	US
205.150.16.0	205.150.20.255	CA
205.150.21.0	205.150.21.255	US
205.150.22.0	205.150.22.255	CA
205.150.23.0	205.150.24.255	US
205.150.25.0	205.150.34.255	CA
205.150.35.0	205.150.35.255	US
205.150.36.0	205.150.36.255	CA
205.150.37.0	205.150.38.255	US
205.150.39.0	205.150.44.255	CA
205.150.45.0	205.150.46.255	US
205.150.47.0	205.150.51.255	CA
205.150.52.0	205.150.52.255	US
205.150.53.0	205.150.58.255	CA
205.150.59.0	205.150.59.255	US
205.150.60.0	205.150.60.255	CA
205.150.61.0	205.150.61.255	US
205.150.62.0	205.150.62.255	CA
205.150.63.0	205.150.63.255	US
205.150.64.0	205.150.67.255	CA
205.150.68.0	205.150.68.15	US
205.150.68.16	205.150.72.255	CA
205.150.73.0	205.150.73.255	US
205.150.74.0	205.150.79.63	CA
205.150.79.64	205.150.79.127	US
205.150.79.128	205.150.79.191	CA
205.150.79.192	205.150.81.255	US
205.150.82.0	205.150.86.255	CA
205.150.87.0	205.150.87.31	US
205.150.87.32	205.150.87.47	CA
205.150.87.48	205.150.87.63	US
205.150.87.64	205.150.87.79	CA
205.150.87.80	205.150.87.95	US
205.150.87.96	205.150.87.111	CA
205.150.87.112	205.150.87.127	US
205.150.87.128	205.150.87.143	CA
205.150.87.144	205.150.87.159	US
205.150.87.160	205.150.87.207	CA
205.150.87.208	205.150.87.255	US
205.150.88.0	205.150.103.255	CA
205.150.104.0	205.150.104.255	US
205.150.105.0	205.150.105.255	CA
205.150.106.0	205.150.106.255	US
205.150.107.0	205.150.109.63	CA
205.150.109.64	205.150.109.127	US
205.150.109.128	205.150.111.63	CA
205.150.111.64	205.150.111.127	US
205.150.111.128	205.150.113.223	CA
205.150.113.224	205.150.113.255	US
205.150.114.0	205.150.116.223	CA
205.150.116.224	205.150.116.255	US
205.150.117.0	205.150.117.15	CA
205.150.117.16	205.150.117.31	US
205.150.117.32	205.150.117.47	CA
205.150.117.48	205.150.117.79	US
205.150.117.80	205.150.117.127	CA
205.150.117.128	205.150.117.143	US
205.150.117.144	205.150.117.159	CA
205.150.117.160	205.150.117.207	US
205.150.117.208	205.150.120.255	CA
205.150.121.0	205.150.121.255	US
205.150.122.0	205.150.123.7	CA
205.150.123.8	205.150.123.15	US
205.150.123.16	205.150.123.87	CA
205.150.123.88	205.150.123.95	US
205.150.123.96	205.150.123.135	CA
205.150.123.136	205.150.123.143	US
205.150.123.144	205.150.123.151	CA
205.150.123.152	205.150.123.159	US
205.150.123.160	205.150.123.175	CA
205.150.123.176	205.150.123.183	GB
205.150.123.184	205.150.123.199	CA
205.150.123.200	205.150.123.207	US
205.150.123.208	205.150.124.255	CA
205.150.125.0	205.150.125.63	US
205.150.125.64	205.150.140.255	CA
205.150.141.0	205.150.141.255	US
205.150.142.0	205.150.142.255	CA
205.150.143.0	205.150.152.95	US
205.150.152.96	205.150.152.191	CA
205.150.152.192	205.150.153.31	US
205.150.153.32	205.150.153.255	CA
205.150.154.0	205.150.156.31	US
205.150.156.32	205.150.156.79	CA
205.150.156.80	205.150.156.95	US
205.150.156.96	205.150.156.255	CA
205.150.157.0	205.150.168.79	US
205.150.168.80	205.150.168.159	CA
205.150.168.160	205.150.168.175	US
205.150.168.176	205.150.168.223	CA
205.150.168.224	205.150.168.255	US
205.150.169.0	205.150.169.15	CA
205.150.169.16	205.150.169.23	US
205.150.169.24	205.150.169.79	CA
205.150.169.80	205.150.169.87	US
205.150.169.88	205.150.169.95	CA
205.150.169.96	205.150.169.103	US
205.150.169.104	205.150.169.151	CA
205.150.169.152	205.150.169.159	US
205.150.169.160	205.150.169.175	CA
205.150.169.176	205.150.169.183	US
205.150.169.184	205.150.170.63	CA
205.150.170.64	205.150.170.95	US
205.150.170.96	205.150.171.71	CA
205.150.171.72	205.150.171.87	US
205.150.171.88	205.150.171.143	CA
205.150.171.144	205.150.171.151	US
205.150.171.152	205.150.171.167	CA
205.150.171.168	205.150.171.175	US
205.150.171.176	205.150.171.199	CA
205.150.171.200	205.150.171.207	US
205.150.171.208	205.150.171.231	CA
205.150.171.232	205.150.171.239	US
205.150.171.240	205.150.172.63	CA
205.150.172.64	205.150.172.191	US
205.150.172.192	205.150.172.255	CA
205.150.173.0	205.150.173.63	US
205.150.173.64	205.150.174.255	CA
205.150.175.0	205.150.175.255	US
205.150.176.0	205.150.179.255	CA
205.150.180.0	205.150.181.255	US
205.150.182.0	205.150.182.63	CA
205.150.182.64	205.150.182.95	US
205.150.182.96	205.150.183.63	CA
205.150.183.64	205.150.183.127	US
205.150.183.128	205.150.184.223	CA
205.150.184.224	205.150.190.255	US
205.150.191.0	205.150.191.191	CA
205.150.191.192	205.150.191.255	US
205.150.192.0	205.150.192.47	CA
205.150.192.48	205.150.192.63	US
205.150.192.64	205.150.192.143	CA
205.150.192.144	205.150.192.175	US
205.150.192.176	205.150.192.191	CA
205.150.192.192	205.150.192.207	US
205.150.192.208	205.150.194.255	CA
205.150.195.0	205.150.195.255	US
205.150.196.0	205.150.196.127	CA
205.150.196.128	205.150.196.159	US
205.150.196.160	205.150.205.255	CA
205.150.206.0	205.150.206.255	US
205.150.207.0	205.150.207.255	CA
205.150.208.0	205.150.208.255	US
205.150.209.0	205.150.210.255	CA
205.150.211.0	205.150.211.255	US
205.150.212.0	205.150.212.127	CA
205.150.212.128	205.150.212.191	US
205.150.212.192	205.150.214.119	CA
205.150.214.120	205.150.214.127	SE
205.150.214.128	205.150.214.159	CA
205.150.214.160	205.150.214.183	US
205.150.214.184	205.150.214.255	CA
205.150.215.0	205.150.215.15	US
205.150.215.16	205.150.215.95	CA
205.150.215.96	205.150.215.111	US
205.150.215.112	205.150.215.127	CA
205.150.215.128	205.150.215.143	US
205.150.215.144	205.150.219.255	CA
205.150.220.0	205.150.236.255	US
205.150.237.0	205.150.240.255	CA
205.150.241.0	205.150.245.255	US
205.150.246.0	205.150.254.255	CA
205.150.255.0	205.150.255.255	US
205.151.0.0	205.151.255.255	CA
205.152.0.0	205.156.176.255	US
205.156.177.0	205.156.177.255	GB
205.156.178.0	205.159.78.255	US
205.159.79.0	205.159.79.255	ZA
205.159.80.0	205.160.31.255	US
205.160.32.0	205.160.35.255	CO
205.160.36.0	205.160.79.255	US
205.160.80.0	205.160.83.255	ES
205.160.84.0	205.160.109.255	US
205.160.110.0	205.160.111.255	YE
205.160.112.0	205.160.232.255	US
205.160.233.0	205.160.233.255	AG
205.160.234.0	205.161.117.191	US
205.161.117.192	205.161.117.255	CA
205.161.118.0	205.161.167.255	US
205.161.168.0	205.161.168.255	ES
205.161.169.0	205.162.111.255	US
205.162.112.0	205.162.119.255	CA
205.162.120.0	205.162.132.255	US
205.162.133.0	205.162.133.255	AN
205.162.134.0	205.162.187.255	US
205.162.188.0	205.162.188.255	MX
205.162.189.0	205.166.34.255	US
205.166.35.0	205.166.35.255	LC
205.166.36.0	205.166.250.255	US
205.166.251.0	205.166.251.255	MX
205.166.252.0	205.168.23.15	US
205.168.23.16	205.168.23.31	FR
205.168.23.32	205.168.23.47	IT
205.168.23.48	205.168.23.223	US
205.168.23.224	205.168.23.255	GE
205.168.24.0	205.173.251.255	US
205.173.252.0	205.173.255.255	CA
205.174.0.0	205.174.159.255	US
205.174.160.0	205.174.164.255	CA
205.174.165.0	205.174.165.255	US
205.174.166.0	205.174.175.255	CA
205.174.176.0	205.177.27.255	US
205.177.28.0	205.177.28.31	HK
205.177.28.32	205.177.176.47	US
205.177.176.48	205.177.176.63	GB
205.177.176.64	205.180.173.255	US
205.180.174.0	205.180.174.255	VE
205.180.175.0	205.180.242.255	US
205.180.243.0	205.180.243.255	AU
205.180.244.0	205.181.62.255	US
205.181.63.0	205.181.63.255	CH
205.181.64.0	205.181.175.255	US
205.181.176.0	205.181.176.255	HU
205.181.177.0	205.183.191.255	US
205.183.192.0	205.183.192.255	GB
205.183.193.0	205.185.207.255	US
205.185.208.0	205.185.209.255	BR
205.185.210.0	205.188.255.255	US
205.189.0.0	205.189.84.255	CA
205.189.85.0	205.189.85.255	US
205.189.86.0	205.189.111.255	CA
205.189.112.0	205.189.116.255	US
205.189.117.0	205.189.255.255	CA
205.190.0.0	205.190.10.255	US
205.190.11.0	205.190.11.255	CA
205.190.12.0	205.190.21.255	US
205.190.22.0	205.190.23.255	CA
205.190.24.0	205.190.26.255	US
205.190.27.0	205.190.27.255	CA
205.190.28.0	205.190.68.255	US
205.190.69.0	205.190.69.255	CA
205.190.70.0	205.190.73.255	US
205.190.74.0	205.190.74.255	CA
205.190.75.0	205.190.101.255	US
205.190.102.0	205.190.102.255	CA
205.190.103.0	205.190.106.255	US
205.190.107.0	205.190.107.255	CA
205.190.108.0	205.190.115.255	US
205.190.116.0	205.190.117.255	CA
205.190.118.0	205.190.157.255	US
205.190.158.0	205.190.158.255	PR
205.190.159.0	205.190.167.255	US
205.190.168.0	205.190.168.255	CA
205.190.169.0	205.190.180.255	US
205.190.181.0	205.190.181.255	PR
205.190.182.0	205.190.184.255	US
205.190.185.0	205.190.185.255	CA
205.190.186.0	205.190.186.255	US
205.190.187.0	205.190.187.255	CA
205.190.188.0	205.190.213.255	US
205.190.214.0	205.190.214.255	CA
205.190.215.0	205.190.215.255	US
205.190.216.0	205.190.216.255	CA
205.190.217.0	205.190.217.255	US
205.190.218.0	205.190.218.255	CA
205.190.219.0	205.190.220.255	US
205.190.221.0	205.190.221.255	CA
205.190.222.0	205.190.230.255	US
205.190.231.0	205.190.232.255	CA
205.190.233.0	205.191.127.255	US
205.191.128.0	205.191.129.255	DE
205.191.130.0	205.191.193.255	US
205.191.194.0	205.191.194.255	DE
205.191.195.0	205.191.255.255	US
205.192.0.0	205.195.255.255	CA
205.196.0.0	205.196.17.31	US
205.196.17.32	205.196.17.63	CA
205.196.17.64	205.196.19.191	US
205.196.19.192	205.196.19.199	CA
205.196.19.200	205.196.21.228	US
205.196.21.229	205.196.21.229	CA
205.196.21.230	205.199.255.255	US
205.200.0.0	205.200.255.255	CA
205.201.0.0	205.203.175.255	US
205.203.176.0	205.203.191.255	BE
205.203.192.0	205.204.31.255	US
205.204.64.0	205.204.95.255	CA
205.204.128.0	205.204.255.255	US
205.205.0.0	205.205.1.23	CA
205.205.1.24	205.205.1.31	US
205.205.1.32	205.205.1.71	CA
205.205.1.72	205.205.1.79	US
205.205.1.80	205.205.1.199	CA
205.205.1.200	205.205.1.207	US
205.205.1.208	205.205.1.223	CA
205.205.1.224	205.205.1.231	US
205.205.1.232	205.205.1.239	CA
205.205.1.240	205.205.1.247	US
205.205.1.248	205.205.16.143	CA
205.205.16.144	205.205.16.175	US
205.205.16.176	205.205.17.239	CA
205.205.17.240	205.205.17.255	US
205.205.18.0	205.205.25.31	CA
205.205.25.32	205.205.25.47	US
205.205.25.48	205.205.25.223	CA
205.205.25.224	205.205.25.239	US
205.205.25.240	205.205.29.63	CA
205.205.29.64	205.205.29.127	US
205.205.29.128	205.205.49.191	CA
205.205.49.192	205.205.49.255	US
205.205.50.0	205.205.82.247	CA
205.205.82.248	205.205.82.255	US
205.205.83.0	205.205.91.63	CA
205.205.91.64	205.205.91.127	US
205.205.91.128	205.205.104.255	CA
205.205.105.0	205.205.105.15	US
205.205.105.16	205.205.113.127	CA
205.205.113.128	205.205.113.255	US
205.205.114.0	205.205.135.231	CA
205.205.135.232	205.205.135.239	US
205.205.135.240	205.205.179.255	CA
205.205.180.0	205.205.181.255	US
205.205.182.0	205.205.212.95	CA
205.205.212.96	205.205.212.103	US
205.205.212.104	205.205.212.167	CA
205.205.212.168	205.205.212.183	US
205.205.212.184	205.205.212.207	CA
205.205.212.208	205.205.212.215	US
205.205.212.216	205.205.235.255	CA
205.205.236.0	205.205.236.31	US
205.205.236.32	205.207.73.255	CA
205.207.74.0	205.207.74.255	US
205.207.75.0	205.207.99.255	CA
205.207.100.0	205.207.107.255	US
205.207.110.0	205.207.154.255	CA
205.207.155.0	205.207.159.255	US
205.207.160.0	205.207.255.255	CA
205.208.0.0	205.208.255.255	US
205.209.0.0	205.209.8.255	CA
205.209.12.0	205.209.23.255	US
205.209.24.0	205.209.24.255	CA
205.209.25.0	205.209.50.63	US
205.209.50.64	205.209.50.79	AU
205.209.50.80	205.209.50.95	US
205.209.50.96	205.209.50.111	CA
205.209.50.112	205.209.255.255	US
205.210.0.0	205.210.35.255	CA
205.210.36.0	205.210.36.255	US
205.210.37.0	205.210.185.255	CA
205.210.188.0	205.210.191.255	US
205.210.192.0	205.210.223.255	CA
205.210.224.0	205.210.224.255	US
205.210.225.0	205.211.7.255	CA
205.211.8.0	205.211.9.255	BM
205.211.10.0	205.211.191.255	CA
205.211.192.0	205.211.195.255	HN
205.211.196.0	205.211.196.255	NI
205.211.197.0	205.211.199.255	HN
205.211.200.0	205.211.200.255	NI
205.211.201.0	205.211.203.255	HN
205.211.204.0	205.211.204.255	US
205.211.205.0	205.211.206.255	HN
205.211.207.0	205.211.207.255	SV
205.211.208.0	205.211.217.255	CR
205.211.218.0	205.211.223.255	HN
205.211.224.0	205.211.225.255	GT
205.211.226.0	205.211.228.255	SV
205.211.229.0	205.211.232.255	CR
205.211.233.0	205.211.235.255	SV
205.211.236.0	205.211.241.255	CR
205.211.242.0	205.211.242.255	US
205.211.243.0	205.211.243.255	SV
205.211.244.0	205.211.246.255	US
205.211.247.0	205.211.255.255	HN
205.212.0.0	205.212.71.255	US
205.212.72.0	205.212.79.255	A1
205.212.80.0	205.214.64.215	US
205.214.64.216	205.214.64.239	CA
205.214.64.240	205.214.65.79	US
205.214.65.80	205.214.65.95	CA
205.214.65.96	205.214.67.55	US
205.214.67.56	205.214.67.63	CA
205.214.67.64	205.214.67.79	US
205.214.67.80	205.214.67.87	MY
205.214.67.88	205.214.68.71	US
205.214.68.72	205.214.68.79	CZ
205.214.68.80	205.214.68.247	US
205.214.68.248	205.214.69.15	CA
205.214.69.16	205.214.69.23	US
205.214.69.24	205.214.69.31	CA
205.214.69.32	205.214.69.119	US
205.214.69.120	205.214.69.135	SA
205.214.69.136	205.214.69.159	US
205.214.69.160	205.214.69.167	SA
205.214.69.168	205.214.69.183	US
205.214.69.184	205.214.69.191	JP
205.214.69.192	205.214.70.63	US
205.214.70.64	205.214.70.71	AT
205.214.70.72	205.214.70.79	CA
205.214.70.80	205.214.70.143	US
205.214.70.144	205.214.70.159	SA
205.214.70.160	205.214.71.23	US
205.214.71.24	205.214.71.31	JP
205.214.71.32	205.214.71.39	CH
205.214.71.40	205.214.71.71	US
205.214.71.72	205.214.71.87	CA
205.214.71.88	205.214.71.103	US
205.214.71.104	205.214.71.111	PT
205.214.71.112	205.214.71.127	US
205.214.71.128	205.214.71.167	CA
205.214.71.168	205.214.71.255	US
205.214.72.0	205.214.72.23	UA
205.214.72.24	205.214.72.119	US
205.214.72.120	205.214.72.127	HK
205.214.72.128	205.214.72.135	LB
205.214.72.136	205.214.73.39	US
205.214.73.40	205.214.73.55	SA
205.214.73.56	205.214.73.63	OM
205.214.73.64	205.214.73.95	US
205.214.73.96	205.214.73.103	AE
205.214.73.104	205.214.73.111	US
205.214.73.112	205.214.73.119	LB
205.214.73.120	205.214.74.23	US
205.214.74.24	205.214.74.39	IN
205.214.74.40	205.214.74.47	US
205.214.74.48	205.214.74.63	IN
205.214.74.64	205.214.74.79	US
205.214.74.80	205.214.74.95	IN
205.214.74.96	205.214.74.167	US
205.214.74.168	205.214.74.199	SA
205.214.74.200	205.214.74.207	US
205.214.74.208	205.214.74.215	PH
205.214.74.216	205.214.75.55	US
205.214.75.56	205.214.75.87	CA
205.214.75.88	205.214.80.55	US
205.214.80.56	205.214.80.63	AT
205.214.80.64	205.214.80.87	US
205.214.80.88	205.214.80.95	CA
205.214.80.96	205.214.80.103	US
205.214.80.104	205.214.80.119	PH
205.214.80.120	205.214.80.127	CY
205.214.80.128	205.214.80.175	US
205.214.80.176	205.214.80.183	CA
205.214.80.184	205.214.81.71	US
205.214.81.72	205.214.81.87	PH
205.214.81.88	205.214.81.95	US
205.214.81.96	205.214.81.103	CA
205.214.81.104	205.214.81.151	US
205.214.81.152	205.214.81.159	UA
205.214.81.160	205.214.81.207	US
205.214.81.208	205.214.81.215	GB
205.214.81.216	205.214.82.7	US
205.214.82.8	205.214.82.23	GB
205.214.82.24	205.214.82.47	US
205.214.82.48	205.214.82.71	SA
205.214.82.72	205.214.82.119	US
205.214.82.120	205.214.82.159	SA
205.214.82.160	205.214.82.167	TH
205.214.82.168	205.214.82.191	US
205.214.82.192	205.214.82.215	SA
205.214.82.216	205.214.82.239	US
205.214.82.240	205.214.83.7	GB
205.214.83.8	205.214.83.23	US
205.214.83.24	205.214.83.31	IN
205.214.83.32	205.214.83.47	GB
205.214.83.48	205.214.83.87	TK
205.214.83.88	205.214.83.111	US
205.214.83.112	205.214.83.143	GB
205.214.83.144	205.214.83.151	US
205.214.83.152	205.214.83.175	SA
205.214.83.176	205.214.83.183	GB
205.214.83.184	205.214.83.215	FR
205.214.83.216	205.214.83.255	AU
205.214.84.0	205.214.84.63	US
205.214.84.64	205.214.84.71	NZ
205.214.84.72	205.214.84.87	US
205.214.84.88	205.214.84.95	RU
205.214.84.96	205.214.84.103	US
205.214.84.104	205.214.84.111	NZ
205.214.84.112	205.214.84.151	US
205.214.84.152	205.214.84.159	NZ
205.214.84.160	205.214.85.39	US
205.214.85.40	205.214.85.47	NZ
205.214.85.48	205.214.85.63	US
205.214.85.64	205.214.85.143	SA
205.214.85.144	205.214.85.255	US
205.214.86.0	205.214.86.255	CA
205.214.87.0	205.214.88.23	US
205.214.88.24	205.214.88.31	GB
205.214.88.32	205.214.88.207	US
205.214.88.208	205.214.88.215	GB
205.214.88.216	205.214.88.231	US
205.214.88.232	205.214.88.239	GB
205.214.88.240	205.214.88.247	UA
205.214.88.248	205.214.89.15	US
205.214.89.16	205.214.89.23	GB
205.214.89.24	205.214.89.55	US
205.214.89.56	205.214.89.63	AU
205.214.89.64	205.214.89.71	SA
205.214.89.72	205.214.89.79	US
205.214.89.80	205.214.89.119	KW
205.214.89.120	205.214.89.151	US
205.214.89.152	205.214.89.159	GB
205.214.89.160	205.214.89.183	US
205.214.89.184	205.214.89.191	GB
205.214.89.192	205.214.89.207	US
205.214.89.208	205.214.89.215	SA
205.214.89.216	205.214.90.7	US
205.214.90.8	205.214.90.15	CA
205.214.90.16	205.214.90.135	US
205.214.90.136	205.214.90.143	GB
205.214.90.144	205.214.90.159	US
205.214.90.160	205.214.90.167	AU
205.214.90.168	205.214.91.39	US
205.214.91.40	205.214.91.47	GB
205.214.91.48	205.214.92.71	US
205.214.92.72	205.214.92.79	SA
205.214.92.80	205.214.92.135	US
205.214.92.136	205.214.92.143	NL
205.214.92.144	205.214.93.23	US
205.214.93.24	205.214.93.31	HN
205.214.93.32	205.214.93.95	US
205.214.93.96	205.214.93.111	CA
205.214.93.112	205.214.93.207	US
205.214.93.208	205.214.93.215	SA
205.214.93.216	205.214.93.223	US
205.214.93.224	205.214.93.239	GB
205.214.93.240	205.214.93.255	US
205.214.94.0	205.214.94.7	GB
205.214.94.8	205.214.94.95	US
205.214.94.96	205.214.94.103	SA
205.214.94.104	205.214.94.223	US
205.214.94.224	205.214.94.231	DK
205.214.94.232	205.214.95.199	US
205.214.95.200	205.214.95.207	BE
205.214.95.208	205.214.95.215	CA
205.214.95.216	205.214.95.231	GB
205.214.95.232	205.214.191.255	US
205.214.192.0	205.214.202.255	BB
205.214.203.0	205.214.203.255	KN
205.214.204.0	205.214.204.255	TC
205.214.205.0	205.214.206.255	VC
205.214.207.0	205.214.207.255	GD
205.214.208.0	205.214.209.255	BB
205.214.210.0	205.214.211.255	GD
205.214.212.0	205.214.214.255	BB
205.214.215.0	205.214.216.255	KN
205.214.217.0	205.214.223.255	BB
205.214.224.0	205.217.4.223	US
205.217.4.224	205.217.5.7	GB
205.217.5.8	205.217.5.23	US
205.217.5.24	205.217.5.31	GB
205.217.5.32	205.217.5.63	US
205.217.5.64	205.217.5.95	GB
205.217.5.96	205.217.5.167	US
205.217.5.168	205.217.5.175	GB
205.217.5.176	205.217.7.15	US
205.217.7.16	205.217.7.23	GB
205.217.7.24	205.217.7.71	US
205.217.7.72	205.217.7.79	IE
205.217.7.80	205.217.7.87	GB
205.217.7.88	205.217.7.127	US
205.217.7.128	205.217.7.255	IE
205.217.8.0	205.217.8.255	GB
205.217.9.0	205.217.9.255	US
205.217.10.0	205.217.10.255	GB
205.217.11.0	205.217.11.223	US
205.217.11.224	205.217.11.231	GB
205.217.11.232	205.217.12.255	US
205.217.13.0	205.217.13.63	GB
205.217.13.64	205.217.13.143	US
205.217.13.144	205.217.13.175	GB
205.217.13.176	205.217.13.239	US
205.217.13.240	205.217.13.255	GB
205.217.14.0	205.217.14.31	US
205.217.14.32	205.217.14.39	GB
205.217.14.40	205.217.14.255	US
205.217.15.0	205.217.15.255	GB
205.217.16.0	205.217.16.175	US
205.217.16.176	205.217.16.191	NL
205.217.16.192	205.217.19.255	US
205.217.20.0	205.217.20.55	GB
205.217.20.56	205.217.192.255	US
205.217.193.0	205.217.194.255	GB
205.217.195.0	205.217.223.255	US
205.217.224.0	205.217.227.255	KN
205.217.228.0	205.217.231.255	LC
205.217.232.0	205.217.233.255	AG
205.217.234.0	205.217.234.255	MS
205.217.235.0	205.217.235.255	AG
205.217.236.0	205.217.236.255	MS
205.217.237.0	205.217.241.255	DM
205.217.242.0	205.217.243.255	KN
205.217.244.0	205.217.249.255	AG
205.217.250.0	205.217.251.255	DM
205.217.252.0	205.217.252.255	AG
205.217.253.0	205.217.253.255	KN
205.217.254.0	205.217.255.255	AG
205.218.0.0	205.223.231.69	US
205.223.231.70	205.223.231.70	ES
205.223.231.71	205.223.239.5	US
205.223.239.6	205.223.239.6	GB
205.223.239.7	205.230.131.255	US
205.230.132.0	205.230.132.255	GU
205.230.133.0	205.231.115.255	US
205.231.116.0	205.231.119.255	MX
205.231.120.0	205.232.117.39	US
205.232.117.40	205.232.117.47	NC
205.232.117.48	205.232.255.255	US
205.233.0.0	205.233.7.255	CA
205.233.8.0	205.233.11.255	US
205.233.15.0	205.233.21.255	CA
205.233.22.0	205.233.31.255	US
205.233.32.0	205.233.34.255	CA
205.233.35.0	205.233.35.255	US
205.233.36.0	205.233.39.255	CA
205.233.40.0	205.233.47.255	US
205.233.48.0	205.233.75.255	CA
205.233.76.0	205.233.79.255	US
205.233.80.0	205.233.139.255	CA
205.233.140.0	205.233.143.255	US
205.233.144.0	205.233.146.255	CA
205.233.147.0	205.233.147.255	US
205.233.148.0	205.233.243.255	CA
205.233.244.0	205.233.247.255	US
205.233.248.0	205.233.255.255	CA
205.234.0.0	205.234.31.255	US
205.234.32.0	205.234.63.255	CA
205.234.64.0	205.234.133.71	US
205.234.133.72	205.234.133.87	CA
205.234.133.88	205.234.133.135	US
205.234.133.136	205.234.133.143	HK
205.234.133.144	205.234.150.31	US
205.234.150.32	205.234.150.39	IN
205.234.150.40	205.234.150.151	US
205.234.150.152	205.234.150.159	CA
205.234.150.160	205.234.152.191	US
205.234.152.192	205.234.152.207	AF
205.234.152.208	205.234.157.255	US
205.234.158.0	205.234.158.63	GB
205.234.158.64	205.234.172.191	US
205.234.172.192	205.234.172.255	IN
205.234.173.0	205.234.179.23	US
205.234.179.24	205.234.179.31	SO
205.234.179.32	205.234.179.143	US
205.234.179.144	205.234.179.151	IN
205.234.179.152	205.234.182.191	US
205.234.182.192	205.234.182.223	HK
205.234.182.224	205.234.206.111	US
205.234.206.112	205.234.206.119	CA
205.234.206.120	205.234.210.159	US
205.234.210.160	205.234.210.191	HK
205.234.210.192	205.234.211.47	US
205.234.211.48	205.234.211.55	EG
205.234.211.56	205.234.211.63	BE
205.234.211.64	205.234.211.239	US
205.234.211.240	205.234.211.247	TR
205.234.211.248	205.234.220.159	US
205.234.220.160	205.234.220.167	EG
205.234.220.168	205.234.238.127	US
205.234.238.128	205.234.238.135	DE
205.234.238.136	205.234.241.231	US
205.234.241.232	205.234.241.239	NL
205.234.241.240	205.234.246.119	US
205.234.246.120	205.234.246.127	CA
205.234.246.128	205.234.255.255	US
205.235.0.0	205.235.7.255	EC
205.235.8.0	205.235.255.255	US
205.236.0.0	205.236.50.255	CA
205.236.51.0	205.236.51.255	US
205.236.52.0	205.236.74.255	CA
205.236.75.0	205.236.75.255	US
205.236.76.0	205.236.77.255	CA
205.236.80.0	205.237.87.255	CA
205.237.88.0	205.237.207.255	US
205.237.208.0	205.237.255.255	CA
205.238.0.0	205.240.151.255	US
205.240.152.0	205.240.155.255	EC
205.240.156.0	205.240.199.255	US
205.240.200.0	205.240.207.255	HN
205.240.208.0	205.240.223.255	SR
205.240.224.0	205.240.253.191	US
205.240.253.192	205.240.253.199	PR
205.240.253.200	205.241.11.255	US
205.241.12.0	205.241.12.255	MX
205.241.13.0	205.241.33.255	US
205.241.34.0	205.241.39.255	BO
205.241.40.0	205.242.208.167	US
205.242.208.168	205.242.208.175	CA
205.242.208.176	205.242.218.47	US
205.242.218.48	205.242.218.55	CA
205.242.218.56	205.243.255.255	US
205.244.0.0	205.244.7.255	FR
205.244.8.0	205.244.31.255	US
205.244.32.0	205.244.35.255	DO
205.244.36.0	205.244.41.255	US
205.244.42.0	205.244.43.255	ES
205.244.44.0	205.244.53.255	US
205.244.54.0	205.244.55.255	NL
205.244.56.0	205.244.152.255	US
205.244.153.0	205.244.153.255	ES
205.244.154.0	205.244.158.159	US
205.244.158.160	205.244.158.175	PR
205.244.158.176	205.245.127.255	US
205.245.128.0	205.245.129.255	KY
205.245.130.0	205.245.139.255	US
205.245.140.0	205.245.141.255	BE
205.245.142.0	205.247.137.255	US
205.247.138.0	205.247.138.255	EC
205.247.139.0	205.247.192.255	US
205.247.193.0	205.247.193.255	EC
205.247.194.0	205.247.255.255	US
205.248.0.0	205.248.5.255	SG
205.248.6.0	205.248.7.255	NL
205.248.8.0	205.248.9.255	GB
205.248.10.0	205.248.23.255	US
205.248.24.0	205.248.25.255	BE
205.248.26.0	205.248.26.255	FR
205.248.27.0	205.248.27.255	US
205.248.28.0	205.248.28.255	BE
205.248.29.0	205.248.36.255	US
205.248.37.0	205.248.37.255	NL
205.248.38.0	205.248.38.255	US
205.248.39.0	205.248.39.255	IE
205.248.40.0	205.248.40.255	KR
205.248.41.0	205.248.46.255	US
205.248.47.0	205.248.47.255	DE
205.248.48.0	205.248.48.255	TW
205.248.49.0	205.248.49.255	DE
205.248.50.0	205.248.51.255	US
205.248.52.0	205.248.52.255	KR
205.248.53.0	205.248.53.255	FR
205.248.54.0	205.248.55.255	CH
205.248.56.0	205.248.56.255	NL
205.248.57.0	205.248.58.255	US
205.248.59.0	205.248.59.255	FR
205.248.60.0	205.248.64.255	US
205.248.65.0	205.248.65.255	NO
205.248.66.0	205.248.66.255	US
205.248.67.0	205.248.67.255	MX
205.248.68.0	205.248.69.255	TW
205.248.70.0	205.248.71.255	GB
205.248.72.0	205.248.72.255	US
205.248.73.0	205.248.73.255	GB
205.248.74.0	205.248.74.255	US
205.248.75.0	205.248.76.255	GB
205.248.77.0	205.248.77.255	US
205.248.78.0	205.248.79.255	GB
205.248.80.0	205.248.129.255	US
205.248.130.0	205.248.132.255	JP
205.248.133.0	205.248.133.255	US
205.248.134.0	205.248.134.255	CA
205.248.135.0	205.248.136.255	US
205.248.137.0	205.248.143.255	GB
205.248.144.0	205.248.144.191	US
205.248.144.192	205.248.144.255	AR
205.248.145.0	205.248.146.255	US
205.248.147.0	205.248.147.255	GB
205.248.148.0	205.248.148.191	US
205.248.148.192	205.248.148.255	VE
205.248.149.0	205.248.153.255	US
205.248.154.0	205.248.155.255	GB
205.248.156.0	205.248.163.255	US
205.248.164.0	205.248.164.255	FR
205.248.165.0	205.248.176.255	US
205.248.177.0	205.248.179.255	DK
205.248.180.0	205.248.180.255	BE
205.248.181.0	205.248.181.255	CA
205.248.182.0	205.248.189.255	GB
205.248.190.0	205.248.190.255	US
205.248.191.0	205.248.191.255	GB
205.248.192.0	205.248.196.255	ES
205.248.197.0	205.248.197.255	US
205.248.198.0	205.248.199.255	GB
205.248.200.0	205.248.203.255	US
205.248.204.0	205.248.207.255	DE
205.248.208.0	205.248.208.255	US
205.248.209.0	205.248.209.255	FR
205.248.210.0	205.248.210.255	DE
205.248.211.0	205.248.211.255	CA
205.248.212.0	205.248.216.255	US
205.248.217.0	205.248.218.255	GB
205.248.219.0	205.248.219.255	BE
205.248.220.0	205.248.223.255	US
205.248.224.0	205.248.224.255	IT
205.248.225.0	205.248.225.255	US
205.248.226.0	205.248.226.255	CA
205.248.227.0	205.248.227.255	GB
205.248.228.0	205.248.228.255	US
205.248.229.0	205.248.229.255	GB
205.248.230.0	205.248.230.255	NL
205.248.231.0	205.248.231.255	GB
205.248.232.0	205.248.236.255	US
205.248.237.0	205.248.237.255	FR
205.248.238.0	205.248.241.255	US
205.248.242.0	205.248.242.255	HK
205.248.243.0	205.248.244.255	US
205.248.245.0	205.248.246.255	GB
205.248.247.0	205.248.247.255	JP
205.248.248.0	205.248.248.255	BE
205.248.249.0	205.248.251.255	FR
205.248.252.0	205.248.252.255	SE
205.248.253.0	205.248.253.255	GB
205.248.254.0	205.248.254.255	HK
205.248.255.0	205.248.255.255	IT
205.249.0.0	205.249.255.255	US
205.250.0.0	205.250.255.255	CA
205.251.0.0	206.2.255.255	US
206.3.0.0	206.3.31.255	JP
206.3.32.0	206.11.255.255	US
206.12.0.0	206.12.255.255	CA
206.13.0.0	206.14.63.255	US
206.14.64.0	206.14.64.255	A1
206.14.65.0	206.17.100.159	US
206.17.100.160	206.17.100.175	SE
206.17.100.176	206.18.101.191	US
206.18.101.192	206.18.101.255	IE
206.18.102.0	206.22.13.255	US
206.22.14.0	206.22.14.255	CA
206.22.15.0	206.22.18.255	US
206.22.19.0	206.22.20.255	CA
206.22.21.0	206.22.22.255	US
206.22.23.0	206.22.23.255	CA
206.22.24.0	206.22.28.255	US
206.22.29.0	206.22.29.255	CA
206.22.30.0	206.22.64.255	US
206.22.65.0	206.22.65.255	CA
206.22.66.0	206.22.104.255	US
206.22.105.0	206.22.105.255	CA
206.22.106.0	206.22.114.255	US
206.22.115.0	206.22.116.255	CA
206.22.117.0	206.22.125.255	US
206.22.126.0	206.22.126.255	CA
206.22.127.0	206.22.133.255	US
206.22.134.0	206.22.134.255	CA
206.22.135.0	206.22.171.255	US
206.22.172.0	206.22.172.255	CA
206.22.173.0	206.22.183.255	US
206.22.184.0	206.22.185.255	CA
206.22.186.0	206.22.188.255	US
206.22.189.0	206.22.192.255	CA
206.22.193.0	206.22.194.255	US
206.22.195.0	206.22.195.255	CA
206.22.196.0	206.22.203.255	US
206.22.204.0	206.22.204.255	CA
206.22.205.0	206.24.17.255	US
206.24.18.0	206.24.21.255	CA
206.24.22.0	206.24.172.143	US
206.24.172.144	206.24.172.159	GB
206.24.172.160	206.26.192.255	US
206.26.193.0	206.26.193.255	CA
206.26.194.0	206.26.204.191	US
206.26.204.192	206.26.204.255	CA
206.26.205.0	206.31.13.191	US
206.31.13.192	206.31.13.215	GB
206.31.13.216	206.31.22.119	US
206.31.22.120	206.31.22.127	AE
206.31.22.128	206.31.22.175	US
206.31.22.176	206.31.22.191	AE
206.31.22.192	206.31.22.255	US
206.31.23.0	206.31.23.15	DE
206.31.23.16	206.31.23.31	US
206.31.23.32	206.31.23.47	DE
206.31.23.48	206.31.223.255	US
206.31.224.0	206.31.227.255	SG
206.31.228.0	206.40.147.63	US
206.40.147.64	206.40.147.127	CA
206.40.147.128	206.41.71.255	US
206.41.80.0	206.41.95.255	CA
206.41.96.0	206.41.103.255	US
206.41.112.0	206.41.117.135	US
206.41.117.136	206.41.117.151	LB
206.41.117.152	206.41.117.159	US
206.41.117.160	206.41.117.167	MY
206.41.117.168	206.41.118.21	US
206.41.118.22	206.41.118.37	GB
206.41.118.38	206.41.118.45	US
206.41.118.46	206.41.118.53	GR
206.41.118.54	206.41.118.85	US
206.41.118.86	206.41.118.101	RU
206.41.118.102	206.41.118.109	US
206.41.118.110	206.41.118.133	IL
206.41.118.134	206.41.118.166	US
206.41.118.167	206.41.118.182	GB
206.41.118.183	206.41.118.191	US
206.41.118.192	206.41.118.223	ID
206.41.118.224	206.41.118.239	JP
206.41.118.240	206.41.118.255	US
206.41.119.0	206.41.119.31	CA
206.41.119.32	206.41.119.47	JP
206.41.119.48	206.41.119.151	US
206.41.119.152	206.41.119.175	GB
206.41.119.176	206.41.119.223	US
206.41.119.224	206.41.119.247	ID
206.41.119.248	206.41.119.255	GB
206.41.120.0	206.44.255.255	US
206.45.0.0	206.45.255.255	CA
206.46.0.0	206.46.255.255	US
206.47.0.0	206.47.255.255	CA
206.48.0.0	206.48.17.255	US
206.48.18.0	206.48.18.255	CO
206.48.19.0	206.48.19.255	US
206.48.20.0	206.48.23.255	AW
206.48.24.0	206.48.27.255	CL
206.48.28.0	206.48.48.255	US
206.48.49.0	206.48.49.255	VE
206.48.50.0	206.48.55.255	US
206.48.56.0	206.48.56.63	AG
206.48.56.64	206.48.56.95	KN
206.48.56.96	206.48.58.255	AG
206.48.59.0	206.48.59.255	AI
206.48.60.0	206.48.60.255	LC
206.48.61.0	206.48.61.255	DM
206.48.62.0	206.48.63.255	AG
206.48.64.0	206.48.83.255	US
206.48.84.0	206.48.87.255	CL
206.48.88.0	206.48.99.255	US
206.48.100.0	206.48.103.255	AW
206.48.104.0	206.48.128.255	US
206.48.129.0	206.48.129.63	CL
206.48.129.64	206.48.129.127	US
206.48.129.128	206.48.132.255	CL
206.48.133.0	206.48.138.255	US
206.48.139.0	206.48.139.255	CL
206.48.140.0	206.48.147.255	US
206.48.148.0	206.48.149.255	CL
206.48.150.0	206.48.167.255	US
206.48.168.0	206.48.171.255	KR
206.48.172.0	206.48.235.255	US
206.48.236.0	206.48.236.47	MX
206.48.236.48	206.48.236.127	US
206.48.236.128	206.48.236.255	MX
206.48.237.0	206.49.31.255	US
206.49.32.0	206.49.32.255	VE
206.49.33.0	206.49.33.255	SZ
206.49.34.0	206.49.37.255	CA
206.49.38.0	206.49.39.255	CO
206.49.40.0	206.49.43.255	CL
206.49.44.0	206.49.47.255	VE
206.49.48.0	206.49.49.255	CL
206.49.50.0	206.49.51.255	US
206.49.52.0	206.49.53.255	MX
206.49.54.0	206.49.57.255	PA
206.49.58.0	206.49.59.255	US
206.49.60.0	206.49.61.255	PW
206.49.62.0	206.49.62.255	MR
206.49.63.0	206.49.64.255	US
206.49.65.0	206.49.65.255	CA
206.49.66.0	206.49.68.255	US
206.49.69.0	206.49.69.255	VE
206.49.70.0	206.49.70.255	DO
206.49.71.0	206.49.71.255	VE
206.49.72.0	206.49.72.255	MX
206.49.73.0	206.49.73.255	US
206.49.74.0	206.49.74.255	LK
206.49.75.0	206.49.75.255	AW
206.49.76.0	206.49.76.255	CO
206.49.77.0	206.49.77.255	VE
206.49.78.0	206.49.78.255	MX
206.49.79.0	206.49.79.255	US
206.49.80.0	206.49.80.255	SV
206.49.81.0	206.49.83.255	PH
206.49.84.0	206.49.84.255	ID
206.49.85.0	206.49.85.255	US
206.49.86.0	206.49.86.255	ID
206.49.87.0	206.49.87.255	VE
206.49.88.0	206.49.88.255	MX
206.49.89.0	206.49.89.255	FM
206.49.90.0	206.49.90.255	SK
206.49.91.0	206.49.91.255	MX
206.49.92.0	206.49.92.255	TW
206.49.93.0	206.49.93.255	US
206.49.94.0	206.49.94.255	IL
206.49.95.0	206.49.95.255	LK
206.49.96.0	206.49.96.255	VE
206.49.97.0	206.49.97.255	BY
206.49.98.0	206.49.98.255	VE
206.49.99.0	206.49.99.255	BR
206.49.100.0	206.49.100.79	CA
206.49.100.80	206.49.100.95	US
206.49.100.96	206.49.100.231	CA
206.49.100.232	206.49.100.239	US
206.49.100.240	206.49.100.255	CA
206.49.101.0	206.49.102.255	OM
206.49.103.0	206.49.108.255	US
206.49.109.0	206.49.109.255	OM
206.49.110.0	206.49.111.255	US
206.49.112.0	206.49.112.255	LK
206.49.113.0	206.49.113.255	US
206.49.114.0	206.49.118.255	PR
206.49.119.0	206.49.119.255	AG
206.49.120.0	206.49.120.255	CO
206.49.121.0	206.49.121.255	BW
206.49.122.0	206.49.123.255	IT
206.49.124.0	206.49.127.255	US
206.49.128.0	206.49.135.255	VE
206.49.136.0	206.49.136.255	US
206.49.137.0	206.49.137.255	FM
206.49.138.0	206.49.138.255	US
206.49.139.0	206.49.143.255	CO
206.49.144.0	206.49.153.255	NI
206.49.154.0	206.49.154.255	VE
206.49.155.0	206.49.155.255	HT
206.49.156.0	206.49.156.255	SV
206.49.157.0	206.49.157.255	TG
206.49.158.0	206.49.159.255	PR
206.49.160.0	206.49.160.255	VE
206.49.161.0	206.49.164.255	US
206.49.165.0	206.49.166.255	VE
206.49.167.0	206.49.175.255	US
206.49.176.0	206.49.183.255	CO
206.49.184.0	206.49.191.255	AR
206.49.192.0	206.49.192.255	VE
206.49.193.0	206.49.193.255	US
206.49.194.0	206.49.194.31	VE
206.49.194.32	206.49.194.111	VN
206.49.194.112	206.49.194.127	VE
206.49.194.128	206.49.194.223	VN
206.49.194.224	206.49.195.255	VE
206.49.196.0	206.49.196.63	VN
206.49.196.64	206.49.196.127	VE
206.49.196.128	206.49.196.159	VN
206.49.196.160	206.49.198.255	VE
206.49.199.0	206.49.199.255	US
206.49.200.0	206.49.207.255	MX
206.49.208.0	206.49.215.255	PE
206.49.216.0	206.49.216.255	US
206.49.217.0	206.49.223.255	CL
206.49.224.0	206.49.227.255	VE
206.49.228.0	206.50.255.255	US
206.51.0.0	206.51.6.255	CA
206.51.7.0	206.51.7.255	US
206.51.8.0	206.51.25.255	CA
206.51.26.0	206.51.26.255	US
206.51.27.0	206.51.29.255	CA
206.51.30.0	206.51.30.255	US
206.51.31.0	206.51.32.255	CA
206.51.33.0	206.51.33.255	US
206.51.34.0	206.51.34.255	CA
206.51.35.0	206.51.35.255	PR
206.51.36.0	206.51.247.255	US
206.51.248.0	206.51.253.255	CA
206.51.254.0	206.53.47.255	US
206.53.48.0	206.53.63.255	CA
206.53.64.0	206.53.167.255	US
206.53.176.0	206.53.191.255	BM
206.53.192.0	206.55.79.255	US
206.55.80.0	206.55.95.255	CA
206.55.96.0	206.55.134.255	US
206.55.135.0	206.55.135.255	IT
206.55.136.0	206.61.1.255	US
206.61.2.0	206.61.3.255	MX
206.61.4.0	206.61.18.95	US
206.61.18.96	206.61.18.103	FI
206.61.18.104	206.61.29.255	US
206.61.30.0	206.61.30.15	CA
206.61.30.16	206.61.34.143	US
206.61.34.144	206.61.34.151	PR
206.61.34.152	206.61.39.255	US
206.61.40.0	206.61.47.255	SR
206.61.48.0	206.61.223.255	US
206.61.224.0	206.61.231.255	PR
206.61.232.0	206.65.31.255	US
206.65.32.0	206.65.35.255	MX
206.65.36.0	206.65.164.39	US
206.65.164.40	206.65.164.47	DE
206.65.164.48	206.65.170.95	US
206.65.170.96	206.65.170.111	DE
206.65.170.112	206.65.184.95	US
206.65.184.96	206.65.184.103	DE
206.65.184.104	206.66.84.255	US
206.66.85.0	206.66.85.255	BS
206.66.86.0	206.67.39.255	US
206.67.40.0	206.67.40.255	MX
206.67.41.0	206.72.116.127	US
206.72.116.128	206.72.116.159	GB
206.72.116.160	206.72.116.239	US
206.72.116.240	206.72.116.247	BR
206.72.116.248	206.72.117.207	US
206.72.117.208	206.72.117.215	AU
206.72.117.216	206.72.117.231	US
206.72.117.232	206.72.117.239	GB
206.72.117.240	206.72.117.247	CA
206.72.117.248	206.72.118.15	US
206.72.118.16	206.72.118.23	CA
206.72.118.24	206.72.118.167	US
206.72.118.168	206.72.118.175	SA
206.72.118.176	206.72.118.239	US
206.72.118.240	206.72.118.247	MX
206.72.118.248	206.72.118.255	AU
206.72.119.0	206.72.119.79	US
206.72.119.80	206.72.119.95	IT
206.72.119.96	206.72.119.151	US
206.72.119.152	206.72.119.159	AU
206.72.119.160	206.72.119.191	US
206.72.119.192	206.72.119.223	CA
206.72.119.224	206.72.119.255	US
206.72.120.0	206.72.120.7	GB
206.72.120.8	206.72.120.15	NZ
206.72.120.16	206.72.120.47	US
206.72.120.48	206.72.120.55	GB
206.72.120.56	206.72.120.63	US
206.72.120.64	206.72.120.71	GB
206.72.120.72	206.72.120.79	GU
206.72.120.80	206.72.120.119	US
206.72.120.120	206.72.120.127	GB
206.72.120.128	206.72.120.199	US
206.72.120.200	206.72.120.207	CA
206.72.120.208	206.72.121.63	US
206.72.121.64	206.72.121.71	JP
206.72.121.72	206.72.121.127	US
206.72.121.128	206.72.121.135	ZA
206.72.121.136	206.72.121.151	US
206.72.121.152	206.72.121.159	GB
206.72.121.160	206.72.121.223	US
206.72.121.224	206.72.121.231	IN
206.72.121.232	206.72.122.63	US
206.72.122.64	206.72.122.79	GB
206.72.122.80	206.72.122.127	US
206.72.122.128	206.72.122.175	GB
206.72.122.176	206.72.122.239	US
206.72.122.240	206.72.122.255	CA
206.72.123.0	206.72.123.31	US
206.72.123.32	206.72.123.63	NZ
206.72.123.64	206.72.123.239	US
206.72.123.240	206.72.123.255	NZ
206.72.124.0	206.72.124.223	US
206.72.124.224	206.72.124.255	NZ
206.72.125.0	206.72.125.63	US
206.72.125.64	206.72.125.95	CA
206.72.125.96	206.72.126.255	US
206.72.127.0	206.72.127.255	AU
206.72.128.0	206.73.1.255	US
206.73.2.0	206.73.2.63	CL
206.73.2.64	206.73.5.63	US
206.73.5.64	206.73.5.95	BR
206.73.5.96	206.73.5.127	CO
206.73.5.128	206.73.5.191	VE
206.73.5.192	206.73.5.223	BR
206.73.5.224	206.73.5.255	US
206.73.6.0	206.73.6.63	FR
206.73.6.64	206.73.6.111	BR
206.73.6.112	206.73.6.127	US
206.73.6.128	206.73.6.255	FR
206.73.7.0	206.73.10.255	US
206.73.11.0	206.73.11.255	IT
206.73.12.0	206.73.14.15	US
206.73.14.16	206.73.14.31	MX
206.73.14.32	206.73.14.127	US
206.73.14.128	206.73.14.159	MX
206.73.14.160	206.73.14.255	US
206.73.15.0	206.73.15.255	JP
206.73.16.0	206.73.16.15	NL
206.73.16.16	206.73.16.31	CA
206.73.16.32	206.73.16.63	US
206.73.16.64	206.73.16.255	NL
206.73.17.0	206.73.17.255	DK
206.73.18.0	206.73.18.255	BE
206.73.19.0	206.73.21.255	US
206.73.22.0	206.73.22.255	ZA
206.73.23.0	206.73.23.255	ES
206.73.24.0	206.73.24.255	FR
206.73.25.0	206.73.25.255	GB
206.73.26.0	206.73.33.255	US
206.73.34.0	206.73.34.255	ZA
206.73.35.0	206.73.38.255	US
206.73.39.0	206.73.39.63	PE
206.73.39.64	206.73.39.127	US
206.73.39.128	206.73.39.191	PR
206.73.39.192	206.73.39.223	EC
206.73.39.224	206.73.41.255	US
206.73.42.0	206.73.42.255	SE
206.73.43.0	206.73.44.255	US
206.73.45.0	206.73.45.127	IN
206.73.45.128	206.73.49.47	US
206.73.49.48	206.73.49.63	AR
206.73.49.64	206.73.49.71	BR
206.73.49.72	206.73.49.95	US
206.73.49.96	206.73.49.127	VE
206.73.49.128	206.73.49.191	US
206.73.49.192	206.73.49.255	MX
206.73.50.0	206.73.51.127	US
206.73.51.128	206.73.51.191	BO
206.73.51.192	206.73.51.255	US
206.73.52.0	206.73.52.127	VE
206.73.52.128	206.73.52.143	MX
206.73.52.144	206.73.52.255	US
206.73.53.0	206.73.53.31	FI
206.73.53.32	206.73.53.63	US
206.73.53.64	206.73.53.127	DE
206.73.53.128	206.73.53.255	US
206.73.54.0	206.73.54.31	FI
206.73.54.32	206.73.54.143	US
206.73.54.144	206.73.54.159	CA
206.73.54.160	206.73.54.191	US
206.73.54.192	206.73.54.255	BR
206.73.55.0	206.73.55.31	US
206.73.55.32	206.73.55.47	CA
206.73.55.48	206.73.57.39	US
206.73.57.40	206.73.57.47	MX
206.73.57.48	206.73.57.79	US
206.73.57.80	206.73.57.95	BR
206.73.57.96	206.73.57.191	US
206.73.57.192	206.73.57.255	BR
206.73.58.0	206.73.59.15	US
206.73.59.16	206.73.59.31	BR
206.73.59.32	206.73.59.63	US
206.73.59.64	206.73.59.95	BR
206.73.59.96	206.73.60.63	US
206.73.60.64	206.73.60.95	ID
206.73.60.96	206.73.60.127	CN
206.73.60.128	206.73.60.159	HK
206.73.60.160	206.73.61.255	US
206.73.62.0	206.73.62.63	ID
206.73.62.64	206.73.64.255	US
206.73.65.0	206.73.65.255	SG
206.73.66.0	206.73.68.127	US
206.73.68.128	206.73.68.159	CN
206.73.68.160	206.73.68.255	US
206.73.69.0	206.73.69.255	FI
206.73.70.0	206.73.70.255	US
206.73.71.0	206.73.76.255	IE
206.73.77.0	206.73.77.255	US
206.73.78.0	206.73.78.255	IE
206.73.79.0	206.73.80.63	US
206.73.80.64	206.73.80.95	ID
206.73.80.96	206.73.83.255	US
206.73.84.0	206.73.84.255	IT
206.73.85.0	206.73.85.255	FR
206.73.86.0	206.73.86.255	ES
206.73.87.0	206.73.88.255	US
206.73.89.0	206.73.89.31	FR
206.73.89.32	206.73.89.63	US
206.73.89.64	206.73.89.255	FR
206.73.90.0	206.73.91.31	US
206.73.91.32	206.73.91.95	CN
206.73.91.96	206.73.91.127	US
206.73.91.128	206.73.91.191	DE
206.73.91.192	206.73.99.255	US
206.73.100.0	206.73.100.255	CH
206.73.101.0	206.73.101.255	GB
206.73.102.0	206.73.102.255	AR
206.73.103.0	206.73.103.31	CA
206.73.103.32	206.73.103.143	US
206.73.103.144	206.73.103.159	MX
206.73.103.160	206.73.103.191	PR
206.73.103.192	206.73.104.31	US
206.73.104.32	206.73.104.63	CA
206.73.104.64	206.73.104.95	US
206.73.104.96	206.73.104.111	CA
206.73.104.112	206.73.104.175	US
206.73.104.176	206.73.104.191	MX
206.73.104.192	206.73.105.255	US
206.73.106.0	206.73.106.255	CA
206.73.107.0	206.73.107.191	US
206.73.107.192	206.73.107.223	AR
206.73.107.224	206.73.107.255	US
206.73.108.0	206.73.108.255	NL
206.73.109.0	206.73.109.159	US
206.73.109.160	206.73.109.191	MX
206.73.109.192	206.73.109.255	US
206.73.110.0	206.73.110.255	JP
206.73.111.0	206.73.111.255	NL
206.73.112.0	206.73.112.239	US
206.73.112.240	206.73.112.247	AR
206.73.112.248	206.73.112.255	CO
206.73.113.0	206.73.115.255	US
206.73.116.0	206.73.116.255	IT
206.73.117.0	206.73.117.255	BE
206.73.118.0	206.73.119.255	US
206.73.120.0	206.73.120.255	DE
206.73.121.0	206.73.121.255	AU
206.73.122.0	206.73.127.255	US
206.73.128.0	206.73.128.255	MX
206.73.129.0	206.73.129.31	US
206.73.129.32	206.73.129.63	FR
206.73.129.64	206.73.129.95	DE
206.73.129.96	206.73.129.127	CH
206.73.129.128	206.73.129.159	SE
206.73.129.160	206.73.129.191	GB
206.73.129.192	206.73.129.223	AT
206.73.129.224	206.73.130.255	US
206.73.131.0	206.73.131.15	GB
206.73.131.16	206.73.131.63	US
206.73.131.64	206.73.131.127	GB
206.73.131.128	206.73.131.255	DE
206.73.132.0	206.73.132.191	GB
206.73.132.192	206.73.132.255	US
206.73.133.0	206.73.134.255	GB
206.73.135.0	206.73.136.255	US
206.73.137.0	206.73.137.255	ES
206.73.138.0	206.73.138.255	US
206.73.139.0	206.73.139.255	GB
206.73.140.0	206.73.140.255	US
206.73.141.0	206.73.141.255	DE
206.73.142.0	206.73.142.127	US
206.73.142.128	206.73.142.255	ES
206.73.143.0	206.73.149.255	BE
206.73.150.0	206.73.150.255	US
206.73.151.0	206.73.151.255	DE
206.73.152.0	206.73.152.255	GB
206.73.153.0	206.73.153.255	DK
206.73.154.0	206.73.157.191	US
206.73.157.192	206.73.157.255	IT
206.73.158.0	206.73.158.127	GR
206.73.158.128	206.73.158.175	US
206.73.158.176	206.73.158.255	BE
206.73.159.0	206.73.159.255	US
206.73.160.0	206.73.160.255	SE
206.73.161.0	206.73.161.255	DE
206.73.162.0	206.73.162.255	GB
206.73.163.0	206.73.163.255	FR
206.73.164.0	206.73.164.255	US
206.73.165.0	206.73.165.255	GB
206.73.166.0	206.73.166.255	US
206.73.167.0	206.73.167.63	DE
206.73.167.64	206.73.168.47	US
206.73.168.48	206.73.168.63	SE
206.73.168.64	206.73.168.191	US
206.73.168.192	206.73.168.255	IL
206.73.169.0	206.73.169.255	DE
206.73.170.0	206.73.171.255	US
206.73.172.0	206.73.172.127	CH
206.73.172.128	206.73.172.255	IT
206.73.173.0	206.73.173.255	SG
206.73.174.0	206.73.174.31	US
206.73.174.32	206.73.174.63	ES
206.73.174.64	206.73.174.127	US
206.73.174.128	206.73.174.255	HU
206.73.175.0	206.73.175.255	FR
206.73.176.0	206.73.176.255	FI
206.73.177.0	206.73.177.255	FR
206.73.178.0	206.73.178.255	US
206.73.179.0	206.73.179.255	GB
206.73.180.0	206.73.180.255	IT
206.73.181.0	206.73.181.255	DE
206.73.182.0	206.73.182.255	FR
206.73.183.0	206.73.183.255	US
206.73.184.0	206.73.184.255	DK
206.73.185.0	206.73.185.255	IE
206.73.186.0	206.73.186.255	DE
206.73.187.0	206.73.189.31	US
206.73.189.32	206.73.189.63	BE
206.73.189.64	206.73.189.95	IT
206.73.189.96	206.73.189.255	US
206.73.190.0	206.73.190.255	HK
206.73.191.0	206.73.191.191	US
206.73.191.192	206.73.191.255	CH
206.73.192.0	206.73.192.127	US
206.73.192.128	206.73.192.159	AU
206.73.192.160	206.73.192.191	SG
206.73.192.192	206.73.193.255	US
206.73.194.0	206.73.194.63	MX
206.73.194.64	206.73.194.127	ID
206.73.194.128	206.73.194.191	US
206.73.194.192	206.73.194.223	HK
206.73.194.224	206.73.194.255	TH
206.73.195.0	206.73.195.15	US
206.73.195.16	206.73.195.23	GB
206.73.195.24	206.73.195.63	US
206.73.195.64	206.73.195.95	CN
206.73.195.96	206.73.197.255	US
206.73.198.0	206.73.198.63	MY
206.73.198.64	206.73.198.127	US
206.73.198.128	206.73.198.255	TW
206.73.199.0	206.73.199.255	AU
206.73.200.0	206.73.200.255	US
206.73.201.0	206.73.201.255	GB
206.73.202.0	206.73.205.255	US
206.73.206.0	206.73.206.255	ID
206.73.207.0	206.73.207.255	HK
206.73.208.0	206.73.209.255	US
206.73.210.0	206.73.210.63	KR
206.73.210.64	206.73.210.95	US
206.73.210.96	206.73.210.127	CN
206.73.210.128	206.73.210.159	TH
206.73.210.160	206.73.210.191	JP
206.73.210.192	206.73.211.31	KR
206.73.211.32	206.73.211.127	US
206.73.211.128	206.73.211.255	TH
206.73.212.0	206.73.212.255	DE
206.73.213.0	206.73.214.255	US
206.73.215.0	206.73.215.255	GB
206.73.216.0	206.73.218.255	US
206.73.219.0	206.73.219.255	DE
206.73.220.0	206.73.220.31	CH
206.73.220.32	206.73.220.255	US
206.73.221.0	206.73.221.255	BE
206.73.222.0	206.73.222.255	DE
206.73.223.0	206.73.223.255	SE
206.73.224.0	206.73.224.127	US
206.73.224.128	206.73.224.191	KR
206.73.224.192	206.73.226.255	US
206.73.227.0	206.73.227.63	PH
206.73.227.64	206.73.227.127	CN
206.73.227.128	206.73.227.191	US
206.73.227.192	206.73.227.223	ID
206.73.227.224	206.73.228.31	US
206.73.228.32	206.73.228.63	JP
206.73.228.64	206.73.228.191	ID
206.73.228.192	206.73.232.255	US
206.73.233.0	206.73.233.255	DE
206.73.234.0	206.73.234.31	HK
206.73.234.32	206.73.234.143	US
206.73.234.144	206.73.234.159	JP
206.73.234.160	206.73.235.207	US
206.73.235.208	206.73.235.223	JP
206.73.235.224	206.73.236.255	US
206.73.237.0	206.73.237.255	GB
206.73.238.0	206.73.238.7	JP
206.73.238.8	206.73.238.15	US
206.73.238.16	206.73.238.31	HK
206.73.238.32	206.73.238.191	US
206.73.238.192	206.73.238.199	HK
206.73.238.200	206.73.238.207	ID
206.73.238.208	206.73.239.15	US
206.73.239.16	206.73.239.23	CA
206.73.239.24	206.73.239.47	US
206.73.239.48	206.73.239.63	JP
206.73.239.64	206.73.239.79	CH
206.73.239.80	206.73.239.127	US
206.73.239.128	206.73.239.143	MX
206.73.239.144	206.73.239.199	US
206.73.239.200	206.73.239.207	CA
206.73.239.208	206.73.240.191	US
206.73.240.192	206.73.240.223	CA
206.73.240.224	206.73.240.255	US
206.73.241.0	206.73.241.255	GB
206.73.242.0	206.73.242.255	ES
206.73.243.0	206.73.243.63	US
206.73.243.64	206.73.243.95	BR
206.73.243.96	206.73.243.127	US
206.73.243.128	206.73.243.191	CA
206.73.243.192	206.73.244.23	US
206.73.244.24	206.73.244.31	TW
206.73.244.32	206.73.244.47	MX
206.73.244.48	206.73.244.63	US
206.73.244.64	206.73.244.79	TH
206.73.244.80	206.73.244.95	JP
206.73.244.96	206.73.244.111	MX
206.73.244.112	206.73.244.143	US
206.73.244.144	206.73.244.159	ID
206.73.244.160	206.73.244.191	US
206.73.244.192	206.73.244.255	CA
206.73.245.0	206.73.245.255	US
206.73.246.0	206.73.246.15	BR
206.73.246.16	206.73.246.23	US
206.73.246.24	206.73.246.31	SG
206.73.246.32	206.73.246.47	CN
206.73.246.48	206.73.246.63	SG
206.73.246.64	206.73.246.127	US
206.73.246.128	206.73.246.255	HK
206.73.247.0	206.73.247.255	GB
206.73.248.0	206.73.248.79	US
206.73.248.80	206.73.248.95	SG
206.73.248.96	206.73.248.255	US
206.73.249.0	206.73.249.63	DO
206.73.249.64	206.73.249.95	US
206.73.249.96	206.73.249.111	MY
206.73.249.112	206.73.249.159	US
206.73.249.160	206.73.249.191	KR
206.73.249.192	206.73.249.255	US
206.73.250.0	206.73.250.255	DE
206.73.251.0	206.73.251.255	LU
206.73.252.0	206.73.252.255	US
206.73.253.0	206.73.253.31	JP
206.73.253.32	206.73.253.63	US
206.73.253.64	206.73.253.95	BR
206.73.253.96	206.73.253.127	CO
206.73.253.128	206.73.253.191	BR
206.73.253.192	206.74.255.255	US
206.75.0.0	206.75.39.255	CA
206.75.40.0	206.75.40.255	US
206.75.41.0	206.75.255.255	CA
206.76.0.0	206.79.7.255	US
206.79.8.0	206.79.8.87	GB
206.79.8.88	206.79.8.255	US
206.79.9.0	206.79.9.191	FR
206.79.9.192	206.79.9.255	US
206.79.10.0	206.79.10.63	FR
206.79.10.64	206.79.10.71	GB
206.79.10.72	206.79.183.255	US
206.79.184.0	206.79.184.255	SG
206.79.185.0	206.79.185.95	US
206.79.185.96	206.79.185.111	SG
206.79.185.112	206.79.185.127	US
206.79.185.128	206.79.186.95	SG
206.79.186.96	206.79.186.111	US
206.79.186.112	206.79.186.127	SG
206.79.186.128	206.79.186.255	US
206.79.187.0	206.79.187.255	SG
206.79.188.0	206.79.188.255	US
206.79.189.0	206.79.190.79	SG
206.79.190.80	206.79.190.255	US
206.79.191.0	206.79.191.255	SG
206.79.192.0	206.80.231.255	US
206.80.240.0	206.80.255.255	CA
206.81.0.0	206.82.127.255	US
206.82.128.0	206.82.129.255	CA
206.82.130.0	206.82.130.255	BF
206.82.131.0	206.82.132.255	CA
206.82.133.0	206.82.133.255	QA
206.82.134.0	206.82.139.255	CA
206.82.140.0	206.82.140.255	IL
206.82.141.0	206.82.142.255	CA
206.82.143.0	206.83.31.255	US
206.83.32.0	206.83.39.255	CA
206.83.48.0	206.83.202.191	US
206.83.202.192	206.83.202.255	CO
206.83.203.0	206.83.203.63	US
206.83.203.64	206.83.203.127	CO
206.83.203.128	206.86.255.255	US
206.87.0.0	206.87.255.255	CA
206.88.0.0	206.88.93.255	US
206.88.94.0	206.88.94.255	CA
206.88.95.0	206.88.123.255	US
206.88.124.0	206.88.124.255	CA
206.88.125.0	206.89.5.255	US
206.89.6.0	206.89.6.255	CA
206.89.7.0	206.89.34.255	US
206.89.35.0	206.89.35.255	CA
206.89.36.0	206.89.37.255	US
206.89.38.0	206.89.38.255	CA
206.89.39.0	206.89.40.255	US
206.89.41.0	206.89.42.255	CA
206.89.43.0	206.89.44.255	US
206.89.45.0	206.89.46.255	CA
206.89.47.0	206.89.55.255	US
206.89.56.0	206.89.56.255	CA
206.89.57.0	206.89.112.255	US
206.89.113.0	206.89.113.255	CA
206.89.114.0	206.89.121.255	US
206.89.122.0	206.89.122.255	CA
206.89.123.0	206.89.128.255	US
206.89.129.0	206.89.129.255	CA
206.89.130.0	206.89.150.255	US
206.89.151.0	206.89.151.255	CA
206.89.152.0	206.89.177.255	US
206.89.178.0	206.89.178.255	CA
206.89.179.0	206.89.208.255	US
206.89.209.0	206.89.209.255	CA
206.89.210.0	206.89.236.255	US
206.89.237.0	206.89.237.255	PR
206.89.238.0	206.89.240.255	US
206.89.241.0	206.89.241.255	CA
206.89.242.0	206.89.244.255	US
206.89.245.0	206.89.246.255	CA
206.89.247.0	206.92.49.255	US
206.92.50.0	206.92.50.255	CA
206.92.51.0	206.92.97.255	US
206.92.98.0	206.92.98.255	PR
206.92.99.0	206.92.109.255	US
206.92.110.0	206.92.110.255	CA
206.92.111.0	206.92.126.255	US
206.92.127.0	206.92.127.255	CA
206.92.128.0	206.92.131.255	US
206.92.132.0	206.92.132.255	CA
206.92.133.0	206.92.135.255	US
206.92.136.0	206.92.137.255	CA
206.92.138.0	206.92.138.255	US
206.92.139.0	206.92.139.255	CA
206.92.140.0	206.92.147.255	US
206.92.148.0	206.92.148.255	CA
206.92.149.0	206.92.150.255	US
206.92.151.0	206.92.151.255	CA
206.92.152.0	206.92.171.255	US
206.92.172.0	206.92.172.255	CA
206.92.173.0	206.92.177.255	US
206.92.178.0	206.92.180.255	CA
206.92.181.0	206.92.218.255	US
206.92.219.0	206.92.219.255	PR
206.92.220.0	206.92.227.255	US
206.92.228.0	206.92.228.255	CA
206.92.229.0	206.93.115.255	US
206.93.116.0	206.93.116.255	CA
206.93.117.0	206.93.118.255	US
206.93.119.0	206.93.119.255	CA
206.93.120.0	206.94.5.255	US
206.94.6.0	206.94.6.255	CA
206.94.7.0	206.94.38.255	US
206.94.39.0	206.94.39.255	CA
206.94.40.0	206.94.90.255	US
206.94.91.0	206.94.91.255	CA
206.94.92.0	206.94.184.255	US
206.94.185.0	206.94.185.255	CA
206.94.186.0	206.94.212.255	US
206.94.213.0	206.94.213.255	CA
206.94.214.0	206.94.214.255	US
206.94.215.0	206.94.215.255	CA
206.94.216.0	206.94.221.255	US
206.94.222.0	206.94.222.255	CA
206.94.223.0	206.95.25.255	US
206.95.26.0	206.95.27.255	CA
206.95.28.0	206.95.31.255	US
206.95.32.0	206.95.32.255	CA
206.95.33.0	206.95.71.255	US
206.95.72.0	206.95.72.255	CA
206.95.73.0	206.97.58.223	US
206.97.58.224	206.97.58.255	IL
206.97.59.0	206.97.59.31	US
206.97.59.32	206.97.59.63	IL
206.97.59.64	206.97.60.95	US
206.97.60.96	206.97.60.127	IL
206.97.60.128	206.98.164.87	US
206.98.164.88	206.98.164.95	CA
206.98.164.96	206.98.166.143	US
206.98.166.144	206.98.166.151	CA
206.98.166.152	206.98.252.255	US
206.98.253.0	206.98.255.255	GN
206.99.0.0	206.99.43.255	US
206.99.44.0	206.99.47.255	UY
206.99.48.0	206.99.48.15	US
206.99.48.16	206.99.48.79	UY
206.99.48.80	206.99.48.95	US
206.99.48.96	206.99.48.143	UY
206.99.48.144	206.99.48.159	US
206.99.48.160	206.99.48.239	UY
206.99.48.240	206.99.49.31	US
206.99.49.32	206.99.49.63	UY
206.99.49.64	206.99.49.95	US
206.99.49.96	206.99.49.127	UY
206.99.49.128	206.99.49.159	US
206.99.49.160	206.99.55.159	UY
206.99.55.160	206.99.55.175	US
206.99.55.176	206.99.55.255	UY
206.99.56.0	206.99.152.255	US
206.99.153.0	206.99.153.71	BV
206.99.153.72	206.99.153.95	US
206.99.153.96	206.99.153.127	SG
206.99.153.128	206.99.155.7	US
206.99.155.8	206.99.155.31	SG
206.99.155.32	206.99.155.127	AE
206.99.155.128	206.99.155.255	SG
206.99.156.0	206.103.128.7	US
206.103.128.8	206.103.128.15	GB
206.103.128.16	206.105.13.79	US
206.105.13.80	206.105.13.87	CA
206.105.13.88	206.105.63.255	US
206.105.64.0	206.105.71.255	CO
206.105.72.0	206.105.173.255	US
206.105.174.0	206.105.175.255	PR
206.105.176.0	206.105.215.255	US
206.105.216.0	206.105.219.255	ES
206.105.220.0	206.106.139.255	US
206.106.140.0	206.106.143.255	CA
206.106.144.0	206.106.247.255	US
206.106.248.0	206.106.255.255	CO
206.107.0.0	206.107.147.255	US
206.107.148.0	206.107.151.255	BO
206.107.152.0	206.107.223.255	US
206.107.224.0	206.107.225.255	AN
206.107.226.0	206.107.255.255	US
206.108.0.0	206.108.39.255	CA
206.108.40.0	206.108.55.255	US
206.108.56.0	206.108.112.255	CA
206.108.113.0	206.108.113.255	US
206.108.116.0	206.108.119.255	US
206.108.120.0	206.108.175.143	CA
206.108.175.144	206.108.175.151	US
206.108.175.152	206.108.231.255	CA
206.108.232.0	206.108.235.255	US
206.108.236.0	206.108.255.255	CA
206.109.0.0	206.112.130.255	US
206.112.131.0	206.112.131.255	CA
206.112.132.0	206.112.217.255	US
206.112.218.0	206.112.218.63	GB
206.112.218.64	206.113.23.255	US
206.113.24.0	206.113.31.255	NL
206.113.32.0	206.114.23.79	US
206.114.23.80	206.114.23.95	UM
206.114.23.96	206.114.97.255	US
206.114.98.0	206.114.98.255	PH
206.114.99.0	206.114.213.255	US
206.114.214.0	206.114.214.7	CA
206.114.214.8	206.114.214.15	US
206.114.214.16	206.114.214.31	CA
206.114.214.32	206.115.255.255	US
206.116.0.0	206.116.255.255	CA
206.117.0.0	206.122.23.255	US
206.122.24.0	206.122.24.255	DE
206.122.25.0	206.122.101.255	US
206.122.102.0	206.122.102.255	DE
206.122.103.0	206.122.107.255	US
206.122.108.0	206.122.109.255	DE
206.122.110.0	206.122.255.255	US
206.123.0.0	206.123.16.255	CA
206.123.17.0	206.123.17.255	US
206.123.18.0	206.123.51.255	CA
206.123.52.0	206.123.66.167	US
206.123.66.168	206.123.66.175	GB
206.123.66.176	206.123.66.191	CA
206.123.66.192	206.123.71.159	US
206.123.71.160	206.123.71.191	PR
206.123.71.192	206.123.89.255	US
206.123.90.0	206.123.90.255	CA
206.123.91.0	206.123.109.215	US
206.123.109.216	206.123.109.223	IT
206.123.109.224	206.123.111.47	US
206.123.111.48	206.123.111.55	PR
206.123.111.56	206.123.111.103	US
206.123.111.104	206.123.111.111	AU
206.123.111.112	206.123.111.119	IT
206.123.111.120	206.123.112.55	US
206.123.112.56	206.123.112.63	AU
206.123.112.64	206.123.112.79	US
206.123.112.80	206.123.112.87	AU
206.123.112.88	206.123.112.95	IT
206.123.112.96	206.123.112.191	US
206.123.112.192	206.123.112.199	SG
206.123.112.200	206.123.159.255	US
206.123.160.0	206.123.191.255	CA
206.123.192.0	206.125.44.143	US
206.125.44.144	206.125.44.151	CA
206.125.44.152	206.125.46.191	US
206.125.46.192	206.125.46.223	AU
206.125.46.224	206.125.47.63	US
206.125.47.64	206.125.47.127	AU
206.125.47.128	206.125.163.255	US
206.125.164.0	206.125.167.255	CA
206.125.168.0	206.125.168.255	US
206.125.169.0	206.125.169.15	JP
206.125.169.16	206.125.169.63	US
206.125.169.64	206.125.169.71	PT
206.125.169.72	206.125.172.15	US
206.125.172.16	206.125.172.31	SE
206.125.172.32	206.125.172.175	US
206.125.172.176	206.125.172.183	JP
206.125.172.184	206.125.173.95	US
206.125.173.96	206.125.173.103	GB
206.125.173.104	206.125.174.71	US
206.125.174.72	206.125.174.79	CN
206.125.174.80	206.125.174.175	US
206.125.174.176	206.125.174.183	CA
206.125.174.184	206.125.174.199	US
206.125.174.200	206.125.174.207	MX
206.125.174.208	206.125.174.231	US
206.125.174.232	206.125.174.239	CA
206.125.174.240	206.125.175.127	US
206.125.175.128	206.125.175.135	SG
206.125.175.136	206.126.71.255	US
206.126.80.0	206.126.95.255	CA
206.126.96.0	206.126.119.255	US
206.126.120.0	206.126.127.255	VC
206.126.128.0	206.128.208.15	US
206.128.208.16	206.128.208.23	AG
206.128.208.24	206.128.208.39	US
206.128.208.40	206.128.208.47	AG
206.128.208.48	206.128.208.63	US
206.128.208.64	206.128.208.79	AG
206.128.208.80	206.128.208.127	US
206.128.208.128	206.128.208.247	AG
206.128.208.248	206.128.208.255	US
206.128.209.0	206.128.209.255	LC
206.128.210.0	206.128.210.255	KN
206.128.211.0	206.128.211.255	VG
206.128.212.0	206.128.212.15	US
206.128.212.16	206.128.212.23	AG
206.128.212.24	206.128.212.39	US
206.128.212.40	206.128.212.63	AG
206.128.212.64	206.128.212.127	MS
206.128.212.128	206.128.212.143	AG
206.128.212.144	206.128.212.175	US
206.128.212.176	206.128.212.191	AG
206.128.212.192	206.128.213.7	US
206.128.213.8	206.128.213.47	AG
206.128.213.48	206.128.213.55	US
206.128.213.56	206.128.213.95	AG
206.128.213.96	206.128.213.127	KN
206.128.213.128	206.128.213.223	AG
206.128.213.224	206.128.213.231	US
206.128.213.232	206.128.213.239	AG
206.128.213.240	206.128.214.31	US
206.128.214.32	206.128.214.39	AG
206.128.214.40	206.128.214.47	US
206.128.214.48	206.128.214.55	AG
206.128.214.56	206.128.214.63	US
206.128.214.64	206.128.214.127	AG
206.128.214.128	206.128.214.159	US
206.128.214.160	206.128.214.239	AG
206.128.214.240	206.128.214.255	US
206.128.215.0	206.128.215.255	LC
206.128.216.0	206.129.255.255	US
206.130.0.0	206.130.15.255	CA
206.130.16.0	206.130.19.255	US
206.130.20.0	206.130.95.255	CA
206.130.96.0	206.130.147.255	US
206.130.148.0	206.130.255.255	CA
206.131.0.0	206.132.44.95	US
206.132.44.96	206.132.44.111	IT
206.132.44.112	206.132.44.255	US
206.132.45.0	206.132.45.127	CA
206.132.45.128	206.132.47.255	US
206.132.48.0	206.132.63.255	CA
206.132.64.0	206.132.165.207	US
206.132.165.208	206.132.165.215	JP
206.132.165.216	206.132.175.255	US
206.132.176.0	206.132.191.255	CA
206.132.192.0	206.138.15.255	US
206.138.16.0	206.138.31.255	BS
206.138.32.0	206.138.103.255	US
206.138.104.0	206.138.111.255	PE
206.138.112.0	206.141.255.255	US
206.142.0.0	206.142.1.7	HK
206.142.1.8	206.142.1.63	US
206.142.1.64	206.142.1.191	HK
206.142.1.192	206.142.1.255	US
206.142.2.0	206.142.2.7	HK
206.142.2.8	206.142.2.255	US
206.142.3.0	206.142.3.7	HK
206.142.3.8	206.143.127.255	US
206.143.128.0	206.143.255.255	JP
206.144.0.0	206.150.180.15	US
206.150.180.16	206.150.180.31	GB
206.150.180.32	206.150.180.47	US
206.150.180.48	206.150.180.151	GB
206.150.180.152	206.150.180.191	US
206.150.180.192	206.150.180.223	GB
206.150.180.224	206.150.180.231	ZA
206.150.180.232	206.150.181.31	GB
206.150.181.32	206.150.181.39	US
206.150.181.40	206.150.181.79	GB
206.150.181.80	206.150.181.231	US
206.150.181.232	206.150.181.255	GB
206.150.182.0	206.151.165.231	US
206.151.165.232	206.151.165.239	PH
206.151.165.240	206.153.95.255	US
206.153.96.0	206.153.127.255	PA
206.153.128.0	206.155.68.127	US
206.155.68.128	206.155.68.135	GB
206.155.68.136	206.155.70.231	US
206.155.70.232	206.155.70.247	CA
206.155.70.248	206.155.73.63	US
206.155.73.64	206.155.73.127	CA
206.155.73.128	206.155.84.23	US
206.155.84.24	206.155.84.31	DE
206.155.84.32	206.155.191.255	US
206.155.192.0	206.155.207.255	CA
206.155.208.0	206.158.111.255	US
206.158.112.0	206.158.112.255	CA
206.158.113.0	206.159.111.63	US
206.159.111.64	206.159.111.79	CA
206.159.111.80	206.159.122.255	US
206.159.123.0	206.159.123.255	EC
206.159.124.0	206.159.130.255	US
206.159.131.0	206.159.131.255	GH
206.159.132.0	206.160.135.191	US
206.160.135.192	206.160.135.223	PR
206.160.135.224	206.160.213.255	US
206.160.214.0	206.160.214.7	PR
206.160.214.8	206.162.44.255	US
206.162.45.0	206.162.45.255	RU
206.162.46.0	206.162.127.255	US
206.162.128.0	206.162.191.255	CA
206.162.192.0	206.163.223.255	US
206.163.224.0	206.163.255.255	CA
206.164.0.0	206.166.255.255	US
206.167.0.0	206.167.255.255	CA
206.168.0.0	206.168.112.135	US
206.168.112.136	206.168.112.143	DE
206.168.112.144	206.168.114.15	US
206.168.114.16	206.168.114.23	DE
206.168.114.24	206.168.114.87	US
206.168.114.88	206.168.114.95	DE
206.168.114.96	206.168.114.103	CH
206.168.114.104	206.168.114.111	US
206.168.114.112	206.168.114.119	HK
206.168.114.120	206.168.114.127	DE
206.168.114.128	206.168.116.255	US
206.168.117.0	206.168.117.63	CO
206.168.117.64	206.168.117.95	DE
206.168.117.96	206.168.117.159	US
206.168.117.160	206.168.117.175	CN
206.168.117.176	206.171.255.255	US
206.172.0.0	206.172.255.255	CA
206.173.0.0	206.174.175.255	US
206.174.176.0	206.174.223.255	CA
206.174.224.0	206.175.174.95	US
206.175.174.96	206.175.174.127	CA
206.175.174.128	206.176.255.255	US
206.177.0.0	206.179.255.255	CA
206.180.0.0	206.181.255.255	US
206.182.0.0	206.182.7.255	GB
206.182.8.0	206.182.8.255	BE
206.182.9.0	206.182.9.255	DE
206.182.10.0	206.182.10.255	ES
206.182.11.0	206.182.12.255	DE
206.182.13.0	206.182.14.255	US
206.182.15.0	206.182.15.255	IE
206.182.16.0	206.182.17.255	FR
206.182.18.0	206.182.18.255	NL
206.182.19.0	206.182.19.255	SE
206.182.20.0	206.182.20.255	FR
206.182.21.0	206.182.27.255	US
206.182.28.0	206.182.28.255	FI
206.182.29.0	206.182.29.255	US
206.182.30.0	206.182.30.255	TW
206.182.31.0	206.182.32.127	US
206.182.32.128	206.182.32.191	IT
206.182.32.192	206.182.32.255	US
206.182.33.0	206.182.33.255	AT
206.182.34.0	206.182.35.127	US
206.182.35.128	206.182.35.255	DK
206.182.36.0	206.182.40.255	US
206.182.41.0	206.182.41.255	ES
206.182.42.0	206.182.42.127	GB
206.182.42.128	206.182.42.255	DK
206.182.43.0	206.182.43.255	DE
206.182.44.0	206.182.45.127	US
206.182.45.128	206.182.45.255	ZA
206.182.46.0	206.182.46.255	NO
206.182.47.0	206.182.47.255	ZA
206.182.48.0	206.182.48.255	FR
206.182.49.0	206.182.49.127	US
206.182.49.128	206.182.49.255	DE
206.182.50.0	206.182.50.255	IT
206.182.51.0	206.182.51.255	US
206.182.52.0	206.182.52.255	DE
206.182.53.0	206.182.53.127	US
206.182.53.128	206.182.53.191	LU
206.182.53.192	206.182.53.255	US
206.182.54.0	206.182.54.15	ES
206.182.54.16	206.182.54.127	US
206.182.54.128	206.182.54.255	DE
206.182.55.0	206.182.55.255	US
206.182.56.0	206.182.56.255	FR
206.182.57.0	206.182.59.255	US
206.182.60.0	206.182.60.255	GB
206.182.61.0	206.182.61.255	US
206.182.62.0	206.182.62.255	IT
206.182.63.0	206.182.63.255	US
206.182.64.0	206.182.64.255	SE
206.182.65.0	206.182.65.255	US
206.182.66.0	206.182.66.63	IT
206.182.66.64	206.182.67.31	US
206.182.67.32	206.182.67.63	DK
206.182.67.64	206.182.67.127	AT
206.182.67.128	206.182.71.255	US
206.182.72.0	206.182.72.255	ES
206.182.73.0	206.182.73.255	GB
206.182.74.0	206.182.74.255	ES
206.182.75.0	206.182.75.255	ZA
206.182.76.0	206.182.76.255	AU
206.182.77.0	206.182.77.255	CH
206.182.78.0	206.182.78.255	DE
206.182.79.0	206.182.82.255	US
206.182.83.0	206.182.83.255	BE
206.182.84.0	206.182.84.255	IT
206.182.85.0	206.182.85.255	NL
206.182.86.0	206.182.86.255	FR
206.182.87.0	206.182.87.255	CH
206.182.88.0	206.182.88.255	NO
206.182.89.0	206.182.89.127	DK
206.182.89.128	206.182.89.191	IN
206.182.89.192	206.182.89.255	US
206.182.90.0	206.182.90.127	LU
206.182.90.128	206.182.91.31	GB
206.182.91.32	206.182.91.255	US
206.182.92.0	206.182.92.255	IL
206.182.93.0	206.182.93.255	US
206.182.94.0	206.182.94.63	BE
206.182.94.64	206.182.94.127	CH
206.182.94.128	206.182.94.255	GB
206.182.95.0	206.182.95.0	US
206.182.95.1	206.182.95.64	IT
206.182.95.65	206.182.95.191	US
206.182.95.192	206.182.95.255	SG
206.182.96.0	206.182.96.63	US
206.182.96.64	206.182.96.95	ES
206.182.96.96	206.182.99.255	US
206.182.100.0	206.182.100.255	FR
206.182.101.0	206.182.101.255	DE
206.182.102.0	206.182.103.255	FR
206.182.104.0	206.182.104.255	US
206.182.105.0	206.182.105.63	FR
206.182.105.64	206.182.105.191	US
206.182.105.192	206.182.105.255	CH
206.182.106.0	206.182.107.255	US
206.182.108.0	206.182.108.255	JP
206.182.109.0	206.182.109.127	US
206.182.109.128	206.182.109.191	GB
206.182.109.192	206.182.110.127	US
206.182.110.128	206.182.110.191	TW
206.182.110.192	206.182.110.255	DE
206.182.111.0	206.182.111.255	AT
206.182.112.0	206.182.113.255	NL
206.182.114.0	206.182.114.127	US
206.182.114.128	206.182.114.191	RO
206.182.114.192	206.182.114.255	US
206.182.115.0	206.182.115.255	BE
206.182.116.0	206.182.116.255	US
206.182.117.0	206.182.117.255	HK
206.182.118.0	206.182.118.255	US
206.182.119.0	206.182.119.15	BE
206.182.119.16	206.182.119.31	US
206.182.119.32	206.182.119.63	NO
206.182.119.64	206.182.119.127	US
206.182.119.128	206.182.119.191	LU
206.182.119.192	206.182.119.223	US
206.182.119.224	206.182.119.255	CH
206.182.120.0	206.182.120.255	DE
206.182.121.0	206.182.121.255	US
206.182.122.0	206.182.122.255	DE
206.182.123.0	206.182.123.255	US
206.182.124.0	206.182.124.127	IT
206.182.124.128	206.182.124.159	GB
206.182.124.160	206.182.124.191	LU
206.182.124.192	206.182.124.207	CZ
206.182.124.208	206.182.124.223	BE
206.182.124.224	206.182.124.255	DE
206.182.125.0	206.182.125.191	US
206.182.125.192	206.182.125.223	IE
206.182.125.224	206.182.126.15	US
206.182.126.16	206.182.126.23	FR
206.182.126.24	206.182.126.63	US
206.182.126.64	206.182.126.95	FR
206.182.126.96	206.182.126.159	US
206.182.126.160	206.182.126.191	SE
206.182.126.192	206.182.126.223	CH
206.182.126.224	206.182.126.255	FR
206.182.127.0	206.182.127.63	IT
206.182.127.64	206.182.129.127	US
206.182.129.128	206.182.129.159	CA
206.182.129.160	206.182.129.191	US
206.182.129.192	206.182.129.223	IL
206.182.129.224	206.182.129.255	US
206.182.130.0	206.182.130.31	BR
206.182.130.32	206.182.130.63	US
206.182.130.64	206.182.130.71	BR
206.182.130.72	206.182.130.223	US
206.182.130.224	206.182.130.239	GB
206.182.130.240	206.182.131.175	US
206.182.131.176	206.182.131.191	AR
206.182.131.192	206.182.132.255	US
206.182.133.0	206.182.133.255	MC
206.182.134.0	206.182.134.175	US
206.182.134.176	206.182.134.191	MX
206.182.134.192	206.182.135.255	US
206.182.136.0	206.182.138.255	CA
206.182.139.0	206.182.147.111	US
206.182.147.112	206.182.147.127	MX
206.182.147.128	206.182.147.191	US
206.182.147.192	206.182.147.207	MX
206.182.147.208	206.182.149.159	US
206.182.149.160	206.182.149.191	CA
206.182.149.192	206.182.152.223	US
206.182.152.224	206.182.152.255	MX
206.182.153.0	206.182.154.255	US
206.182.155.0	206.182.155.63	CA
206.182.155.64	206.182.155.127	US
206.182.155.128	206.182.155.191	CA
206.182.155.192	206.182.157.223	US
206.182.157.224	206.182.157.239	GB
206.182.157.240	206.182.163.143	US
206.182.163.144	206.182.163.159	BR
206.182.163.160	206.182.163.191	US
206.182.163.192	206.182.163.223	MX
206.182.163.224	206.182.163.255	PH
206.182.164.0	206.182.164.159	US
206.182.164.160	206.182.164.175	BR
206.182.164.176	206.182.164.191	US
206.182.164.192	206.182.164.255	GB
206.182.165.0	206.182.170.63	US
206.182.170.64	206.182.170.95	AR
206.182.170.96	206.182.176.223	US
206.182.176.224	206.182.176.255	BR
206.182.177.0	206.182.177.127	US
206.182.177.128	206.182.177.191	JP
206.182.177.192	206.182.184.255	US
206.182.185.0	206.182.185.255	DE
206.182.186.0	206.182.186.255	AT
206.182.187.0	206.182.188.255	US
206.182.189.0	206.182.189.255	NO
206.182.190.0	206.182.192.111	US
206.182.192.112	206.182.192.127	IN
206.182.192.128	206.182.192.191	BR
206.182.192.192	206.182.193.207	US
206.182.193.208	206.182.193.223	ID
206.182.193.224	206.182.194.255	US
206.182.195.0	206.182.195.255	AU
206.182.196.0	206.182.197.255	US
206.182.198.0	206.182.198.255	SG
206.182.199.0	206.182.199.63	CA
206.182.199.64	206.182.199.127	US
206.182.199.128	206.182.199.191	CA
206.182.199.192	206.182.199.199	JP
206.182.199.200	206.182.199.207	PH
206.182.199.208	206.182.199.215	CN
206.182.199.216	206.182.199.255	US
206.182.200.0	206.182.200.31	BR
206.182.200.32	206.182.200.63	US
206.182.200.64	206.182.200.127	BR
206.182.200.128	206.182.200.191	CN
206.182.200.192	206.182.200.255	BR
206.182.201.0	206.182.201.31	JP
206.182.201.32	206.182.201.47	US
206.182.201.48	206.182.201.63	PH
206.182.201.64	206.182.201.95	HK
206.182.201.96	206.182.201.103	US
206.182.201.104	206.182.201.119	HK
206.182.201.120	206.182.201.159	US
206.182.201.160	206.182.201.191	ID
206.182.201.192	206.182.201.255	US
206.182.202.0	206.182.202.255	ID
206.182.203.0	206.182.203.127	US
206.182.203.128	206.182.203.255	SG
206.182.204.0	206.182.205.255	US
206.182.206.0	206.182.206.15	HK
206.182.206.16	206.182.206.95	US
206.182.206.96	206.182.206.127	SG
206.182.206.128	206.182.209.255	US
206.182.210.0	206.182.210.255	SG
206.182.211.0	206.182.211.127	US
206.182.211.128	206.182.211.143	HK
206.182.211.144	206.182.211.159	US
206.182.211.160	206.182.211.167	HK
206.182.211.168	206.182.212.15	US
206.182.212.16	206.182.212.31	JP
206.182.212.32	206.182.212.63	ID
206.182.212.64	206.182.212.95	US
206.182.212.96	206.182.212.111	TW
206.182.212.112	206.182.214.127	US
206.182.214.128	206.182.214.159	JP
206.182.214.160	206.182.214.191	US
206.182.214.192	206.182.214.223	HK
206.182.214.224	206.182.217.63	US
206.182.217.64	206.182.217.95	JP
206.182.217.96	206.182.217.223	US
206.182.217.224	206.182.217.255	SG
206.182.218.0	206.182.220.255	US
206.182.221.0	206.182.221.63	IT
206.182.221.64	206.182.221.95	MY
206.182.221.96	206.182.221.103	US
206.182.221.104	206.182.221.111	JP
206.182.221.112	206.182.221.127	CN
206.182.221.128	206.182.221.191	US
206.182.221.192	206.182.221.255	CN
206.182.222.0	206.182.222.255	US
206.182.223.0	206.182.223.63	JP
206.182.223.64	206.182.223.255	US
206.182.224.0	206.182.224.255	NL
206.182.225.0	206.182.225.255	US
206.182.226.0	206.182.226.31	KR
206.182.226.32	206.182.226.127	US
206.182.226.128	206.182.226.159	TH
206.182.226.160	206.182.226.223	US
206.182.226.224	206.182.226.255	SG
206.182.227.0	206.182.231.63	US
206.182.231.64	206.182.231.79	JP
206.182.231.80	206.182.231.95	US
206.182.231.96	206.182.231.103	JP
206.182.231.104	206.182.231.159	US
206.182.231.160	206.182.231.191	HK
206.182.231.192	206.182.231.207	SG
206.182.231.208	206.182.231.223	ID
206.182.231.224	206.182.231.255	AU
206.182.232.0	206.182.232.255	US
206.182.233.0	206.182.233.255	DE
206.182.234.0	206.182.234.255	US
206.182.235.0	206.182.235.15	HK
206.182.235.16	206.182.235.63	US
206.182.235.64	206.182.235.95	KR
206.182.235.96	206.182.235.127	ID
206.182.235.128	206.182.238.159	US
206.182.238.160	206.182.238.191	JP
206.182.238.192	206.182.238.255	US
206.182.239.0	206.182.239.255	SE
206.182.240.0	206.182.242.255	US
206.182.243.0	206.182.243.127	CA
206.182.243.128	206.182.243.191	TW
206.182.243.192	206.182.243.223	US
206.182.243.224	206.182.243.255	MY
206.182.244.0	206.182.244.255	NO
206.182.245.0	206.182.245.127	PH
206.182.245.128	206.182.245.255	AU
206.182.246.0	206.182.249.255	US
206.182.250.0	206.182.250.31	JP
206.182.250.32	206.182.250.63	SG
206.182.250.64	206.182.250.191	US
206.182.250.192	206.182.250.223	SG
206.182.250.224	206.182.254.255	US
206.182.255.0	206.182.255.255	FR
206.183.0.0	206.183.110.255	US
206.183.111.0	206.183.111.255	IN
206.183.112.0	206.185.255.255	US
206.186.0.0	206.186.51.255	CA
206.186.52.0	206.186.52.255	US
206.186.53.0	206.186.67.127	CA
206.186.67.128	206.186.67.255	US
206.186.68.0	206.186.92.255	CA
206.186.93.0	206.186.93.255	US
206.186.94.0	206.186.94.95	CA
206.186.94.96	206.186.94.127	US
206.186.94.128	206.186.255.255	CA
206.187.0.0	206.188.0.95	US
206.188.0.96	206.188.0.111	IL
206.188.0.112	206.188.2.159	US
206.188.2.160	206.188.2.191	AU
206.188.2.192	206.188.3.159	US
206.188.3.160	206.188.3.175	BG
206.188.3.176	206.188.4.127	US
206.188.4.128	206.188.4.159	GR
206.188.4.160	206.188.4.255	US
206.188.5.0	206.188.5.15	CA
206.188.5.16	206.188.5.63	US
206.188.5.64	206.188.5.127	CA
206.188.5.128	206.188.6.127	US
206.188.6.128	206.188.6.191	SE
206.188.6.192	206.188.8.31	US
206.188.8.32	206.188.8.47	QA
206.188.8.48	206.188.12.159	US
206.188.12.160	206.188.12.191	CA
206.188.12.192	206.188.18.127	US
206.188.18.128	206.188.18.191	CA
206.188.18.192	206.188.21.31	US
206.188.21.32	206.188.21.47	ES
206.188.21.48	206.188.23.15	US
206.188.23.16	206.188.23.31	CA
206.188.23.32	206.188.23.63	US
206.188.23.64	206.188.23.127	SE
206.188.23.128	206.188.24.31	US
206.188.24.32	206.188.24.47	AU
206.188.24.48	206.188.24.255	US
206.188.25.0	206.188.25.255	AU
206.188.26.0	206.188.31.159	US
206.188.31.160	206.188.31.223	AU
206.188.31.224	206.188.63.255	US
206.188.64.0	206.188.127.255	CA
206.188.128.0	206.188.159.255	BM
206.188.160.0	206.189.206.255	US
206.189.207.0	206.189.207.255	SG
206.189.208.0	206.190.255.255	US
206.191.0.0	206.191.2.143	CA
206.191.2.144	206.191.2.159	US
206.191.2.160	206.191.2.167	CA
206.191.2.168	206.191.2.175	US
206.191.2.176	206.191.7.63	CA
206.191.7.64	206.191.7.79	US
206.191.7.80	206.191.12.143	CA
206.191.12.144	206.191.12.159	US
206.191.12.160	206.191.13.47	CA
206.191.13.48	206.191.13.63	US
206.191.13.64	206.191.14.207	CA
206.191.14.208	206.191.14.223	US
206.191.14.224	206.191.16.151	CA
206.191.16.152	206.191.16.159	GB
206.191.16.160	206.191.16.175	CA
206.191.16.176	206.191.16.191	US
206.191.16.192	206.191.16.215	CA
206.191.16.216	206.191.16.223	US
206.191.16.224	206.191.18.31	CA
206.191.18.32	206.191.18.127	US
206.191.18.128	206.191.19.191	CA
206.191.19.192	206.191.19.255	US
206.191.20.0	206.191.30.31	CA
206.191.30.32	206.191.30.63	US
206.191.30.64	206.191.30.127	CA
206.191.30.128	206.191.30.143	US
206.191.30.144	206.191.32.79	CA
206.191.32.80	206.191.32.95	US
206.191.32.96	206.191.32.223	CA
206.191.32.224	206.191.32.231	US
206.191.32.232	206.191.35.143	CA
206.191.35.144	206.191.35.159	US
206.191.35.160	206.191.38.159	CA
206.191.38.160	206.191.38.191	US
206.191.38.192	206.191.41.15	CA
206.191.41.16	206.191.41.23	US
206.191.41.24	206.191.41.191	CA
206.191.41.192	206.191.41.223	US
206.191.41.224	206.191.45.191	CA
206.191.45.192	206.191.45.255	US
206.191.46.0	206.191.47.15	CA
206.191.47.16	206.191.47.31	US
206.191.47.32	206.191.54.143	CA
206.191.54.144	206.191.54.151	SK
206.191.54.152	206.191.55.191	CA
206.191.55.192	206.191.55.207	US
206.191.55.208	206.191.62.191	CA
206.191.62.192	206.191.62.223	US
206.191.62.224	206.191.127.255	CA
206.191.128.0	206.197.150.255	US
206.197.151.0	206.197.151.255	CA
206.197.152.0	206.199.109.255	US
206.199.110.0	206.199.110.255	MX
206.199.111.0	206.199.148.255	US
206.199.149.0	206.199.149.255	MX
206.199.150.0	206.210.95.255	US
206.210.96.0	206.210.127.255	CA
206.210.128.0	206.213.255.255	US
206.214.0.0	206.214.23.255	AG
206.214.24.0	206.214.31.255	VG
206.214.64.0	206.214.65.255	US
206.214.66.0	206.214.66.255	CA
206.214.67.0	206.214.67.255	US
206.214.68.0	206.214.68.255	CR
206.214.69.0	206.214.69.255	CA
206.214.70.0	206.214.75.255	US
206.214.76.0	206.214.76.255	CA
206.214.77.0	206.214.80.255	US
206.214.81.0	206.214.83.255	CA
206.214.84.0	206.214.85.255	US
206.214.86.0	206.214.86.255	CA
206.214.87.0	206.214.90.255	US
206.214.91.0	206.214.91.255	CA
206.214.92.0	206.214.92.255	US
206.214.93.0	206.214.95.255	CA
206.214.96.0	206.214.208.6	US
206.214.208.7	206.214.208.10	LK
206.214.208.11	206.214.208.12	RU
206.214.208.13	206.214.208.28	US
206.214.208.29	206.214.208.32	CN
206.214.208.33	206.214.208.36	US
206.214.208.37	206.214.208.40	IN
206.214.208.41	206.214.208.44	US
206.214.208.45	206.214.208.48	ID
206.214.208.49	206.214.208.64	US
206.214.208.65	206.214.208.68	TH
206.214.208.69	206.214.208.80	US
206.214.208.81	206.214.208.84	CA
206.214.208.85	206.214.208.92	US
206.214.208.93	206.214.208.96	ID
206.214.208.97	206.214.208.97	MY
206.214.208.98	206.214.208.101	CA
206.214.208.102	206.214.208.105	SI
206.214.208.106	206.214.208.109	IN
206.214.208.110	206.214.208.113	US
206.214.208.114	206.214.208.117	IN
206.214.208.118	206.214.208.126	US
206.214.208.127	206.214.208.127	BE
206.214.208.128	206.214.208.129	CA
206.214.208.130	206.214.208.133	MX
206.214.208.134	206.214.208.137	CA
206.214.208.138	206.214.208.145	US
206.214.208.146	206.214.208.149	JP
206.214.208.150	206.214.208.165	US
206.214.208.166	206.214.208.169	IN
206.214.208.170	206.214.208.171	NZ
206.214.208.172	206.214.208.191	US
206.214.208.192	206.214.208.195	TW
206.214.208.196	206.214.208.223	US
206.214.208.224	206.214.208.227	MY
206.214.208.228	206.214.208.235	US
206.214.208.236	206.214.208.239	BR
206.214.208.240	206.214.208.243	CA
206.214.208.244	206.214.208.251	US
206.214.208.252	206.214.208.253	AU
206.214.208.254	206.214.209.18	US
206.214.209.19	206.214.209.19	MY
206.214.209.20	206.214.209.27	US
206.214.209.28	206.214.209.29	NZ
206.214.209.30	206.214.209.33	US
206.214.209.34	206.214.209.37	SG
206.214.209.38	206.214.209.42	US
206.214.209.43	206.214.209.46	MY
206.214.209.47	206.214.209.65	US
206.214.209.66	206.214.209.69	ID
206.214.209.70	206.214.209.81	US
206.214.209.82	206.214.209.85	NZ
206.214.209.86	206.214.209.97	US
206.214.209.98	206.214.209.101	TW
206.214.209.102	206.214.209.105	US
206.214.209.106	206.214.209.109	MY
206.214.209.110	206.214.209.113	CA
206.214.209.114	206.214.209.117	US
206.214.209.118	206.214.209.121	AU
206.214.209.122	206.214.209.125	US
206.214.209.126	206.214.209.129	JP
206.214.209.130	206.214.209.133	US
206.214.209.134	206.214.209.137	GB
206.214.209.138	206.214.209.145	US
206.214.209.146	206.214.209.149	JP
206.214.209.150	206.214.209.153	SG
206.214.209.154	206.214.209.157	RO
206.214.209.158	206.214.209.161	US
206.214.209.162	206.214.209.165	AU
206.214.209.166	206.214.209.169	HK
206.214.209.170	206.214.209.177	US
206.214.209.178	206.214.209.180	AU
206.214.209.181	206.214.209.181	US
206.214.209.182	206.214.209.185	CA
206.214.209.186	206.214.209.201	US
206.214.209.202	206.214.209.203	SG
206.214.209.204	206.214.209.215	US
206.214.209.216	206.214.209.219	MX
206.214.209.220	206.214.209.225	US
206.214.209.226	206.214.209.229	AU
206.214.209.230	206.214.209.253	US
206.214.209.254	206.214.209.254	LK
206.214.209.255	206.214.210.9	US
206.214.210.10	206.214.210.11	RU
206.214.210.12	206.214.210.15	US
206.214.210.16	206.214.210.16	MY
206.214.210.17	206.214.210.30	US
206.214.210.31	206.214.210.34	NZ
206.214.210.35	206.214.210.50	US
206.214.210.51	206.214.210.54	GB
206.214.210.55	206.214.210.56	AU
206.214.210.57	206.214.210.60	US
206.214.210.61	206.214.210.61	BE
206.214.210.62	206.214.210.90	US
206.214.210.91	206.214.210.94	IN
206.214.210.95	206.214.210.102	US
206.214.210.103	206.214.210.106	BR
206.214.210.107	206.214.210.110	PL
206.214.210.111	206.214.210.122	US
206.214.210.123	206.214.210.126	AU
206.214.210.127	206.214.210.130	IN
206.214.210.131	206.214.210.178	US
206.214.210.179	206.214.210.182	ID
206.214.210.183	206.214.210.186	US
206.214.210.187	206.214.210.190	AR
206.214.210.191	206.214.210.194	AU
206.214.210.195	206.214.210.206	US
206.214.210.207	206.214.210.210	CN
206.214.210.211	206.214.210.239	US
206.214.210.240	206.214.210.243	ID
206.214.210.244	206.214.210.247	GB
206.214.210.248	206.214.210.253	US
206.214.210.254	206.214.210.254	LK
206.214.210.255	206.214.211.18	US
206.214.211.19	206.214.211.22	AE
206.214.211.23	206.214.211.26	NL
206.214.211.27	206.214.211.34	US
206.214.211.35	206.214.211.38	CA
206.214.211.39	206.214.211.42	SG
206.214.211.43	206.214.211.46	AU
206.214.211.47	206.214.211.54	US
206.214.211.55	206.214.211.58	ID
206.214.211.59	206.214.211.62	AU
206.214.211.63	206.214.211.66	CA
206.214.211.67	206.214.211.70	US
206.214.211.71	206.214.211.74	CN
206.214.211.75	206.214.211.78	US
206.214.211.79	206.214.211.79	MY
206.214.211.80	206.214.211.96	US
206.214.211.97	206.214.211.100	TW
206.214.211.101	206.214.211.120	US
206.214.211.121	206.214.211.124	AU
206.214.211.125	206.214.211.128	US
206.214.211.129	206.214.211.132	EC
206.214.211.133	206.214.211.136	US
206.214.211.137	206.214.211.137	NZ
206.214.211.138	206.214.211.141	AR
206.214.211.142	206.214.211.149	US
206.214.211.150	206.214.211.151	AU
206.214.211.152	206.214.211.155	PH
206.214.211.156	206.214.211.163	US
206.214.211.164	206.214.211.167	AU
206.214.211.168	206.214.211.183	US
206.214.211.184	206.214.211.187	ID
206.214.211.188	206.214.211.199	US
206.214.211.200	206.214.211.203	BE
206.214.211.204	206.214.211.207	NL
206.214.211.208	206.214.211.211	CA
206.214.211.212	206.214.211.215	US
206.214.211.216	206.214.211.219	CN
206.214.211.220	206.214.211.235	US
206.214.211.236	206.214.211.239	VE
206.214.211.240	206.214.211.247	US
206.214.211.248	206.214.211.251	NZ
206.214.211.252	206.214.211.252	US
206.214.211.253	206.214.211.253	LK
206.214.211.254	206.214.214.19	US
206.214.214.20	206.214.214.23	MX
206.214.214.24	206.214.214.31	CA
206.214.214.32	206.214.214.35	AU
206.214.214.36	206.214.214.64	US
206.214.214.65	206.214.214.68	PY
206.214.214.69	206.214.214.76	US
206.214.214.77	206.214.214.80	CN
206.214.214.81	206.214.214.84	AU
206.214.214.85	206.214.214.88	US
206.214.214.89	206.214.214.92	IN
206.214.214.93	206.214.214.100	US
206.214.214.101	206.214.214.101	BE
206.214.214.102	206.214.214.105	US
206.214.214.106	206.214.214.109	SG
206.214.214.110	206.214.214.113	CA
206.214.214.114	206.214.214.129	US
206.214.214.130	206.214.214.133	AU
206.214.214.134	206.214.215.11	US
206.214.215.12	206.214.215.15	CN
206.214.215.16	206.214.215.27	US
206.214.215.28	206.214.215.31	MX
206.214.215.32	206.214.215.35	SG
206.214.215.36	206.214.215.43	US
206.214.215.44	206.214.215.47	CA
206.214.215.48	206.214.215.66	US
206.214.215.67	206.214.215.70	MY
206.214.215.71	206.214.215.74	TH
206.214.215.75	206.214.215.78	AU
206.214.215.79	206.214.215.84	US
206.214.215.85	206.214.215.88	CN
206.214.215.89	206.214.215.89	NZ
206.214.215.90	206.214.215.98	US
206.214.215.99	206.214.215.102	UA
206.214.215.103	206.214.216.17	US
206.214.216.18	206.214.216.21	CA
206.214.216.22	206.214.216.29	US
206.214.216.30	206.214.216.33	ID
206.214.216.34	206.214.216.41	GB
206.214.216.42	206.214.216.49	US
206.214.216.50	206.214.216.53	MY
206.214.216.54	206.214.216.77	US
206.214.216.78	206.214.216.81	CH
206.214.216.82	206.214.216.97	US
206.214.216.98	206.214.216.101	CA
206.214.216.102	206.214.216.105	TR
206.214.216.106	206.214.216.109	US
206.214.216.110	206.214.216.113	CA
206.214.216.114	206.214.216.117	ES
206.214.216.118	206.214.216.121	US
206.214.216.122	206.214.216.125	RO
206.214.216.126	206.214.216.129	BR
206.214.216.130	206.214.216.141	US
206.214.216.142	206.214.216.145	BR
206.214.216.146	206.214.216.149	US
206.214.216.150	206.214.216.153	ES
206.214.216.154	206.214.216.173	US
206.214.216.174	206.214.216.177	AU
206.214.216.178	206.214.216.181	US
206.214.216.182	206.214.216.185	CA
206.214.216.186	206.214.216.189	US
206.214.216.190	206.214.216.193	IL
206.214.216.194	206.214.216.197	IN
206.214.216.198	206.214.216.201	ES
206.214.216.202	206.214.216.205	CA
206.214.216.206	206.214.216.209	AU
206.214.216.210	206.214.216.225	US
206.214.216.226	206.214.216.229	IN
206.214.216.230	206.214.216.233	US
206.214.216.234	206.214.216.237	IN
206.214.216.238	206.214.216.241	US
206.214.216.242	206.214.216.245	CA
206.214.216.246	206.214.216.249	IL
206.214.216.250	206.214.217.5	US
206.214.217.6	206.214.217.9	CA
206.214.217.10	206.214.217.13	US
206.214.217.14	206.214.217.17	RO
206.214.217.18	206.214.217.33	US
206.214.217.34	206.214.217.37	GB
206.214.217.38	206.214.217.53	US
206.214.217.54	206.214.217.57	IN
206.214.217.58	206.214.217.61	US
206.214.217.62	206.214.217.65	EE
206.214.217.66	206.214.217.73	US
206.214.217.74	206.214.217.77	GB
206.214.217.78	206.214.217.81	IN
206.214.217.82	206.214.217.85	US
206.214.217.86	206.214.217.89	AR
206.214.217.90	206.214.217.93	CA
206.214.217.94	206.214.217.97	EG
206.214.217.98	206.214.217.101	US
206.214.217.102	206.214.217.105	KW
206.214.217.106	206.214.217.109	US
206.214.217.110	206.214.217.113	AR
206.214.217.114	206.214.217.121	US
206.214.217.122	206.214.217.125	AE
206.214.217.126	206.214.217.129	CA
206.214.217.130	206.214.217.133	US
206.214.217.134	206.214.217.137	FR
206.214.217.138	206.214.217.139	CA
206.214.217.140	206.214.217.143	FR
206.214.217.144	206.214.217.147	AU
206.214.217.148	206.214.217.151	US
206.214.217.152	206.214.217.155	IN
206.214.217.156	206.214.217.181	US
206.214.217.182	206.214.217.183	BR
206.214.217.184	206.214.217.191	US
206.214.217.192	206.214.217.195	CA
206.214.217.196	206.214.217.211	US
206.214.217.212	206.214.217.215	TR
206.214.217.216	206.214.217.237	US
206.214.217.238	206.214.217.241	PE
206.214.217.242	206.214.217.245	RU
206.214.217.246	206.214.217.249	GB
206.214.217.250	206.214.218.33	US
206.214.218.34	206.214.218.37	GB
206.214.218.38	206.214.218.49	US
206.214.218.50	206.214.218.53	MY
206.214.218.54	206.214.218.65	US
206.214.218.66	206.214.218.69	IT
206.214.218.70	206.214.218.73	CA
206.214.218.74	206.214.218.77	CZ
206.214.218.78	206.214.218.81	US
206.214.218.82	206.214.218.85	TR
206.214.218.86	206.214.218.89	GB
206.214.218.90	206.214.218.93	IN
206.214.218.94	206.214.218.101	US
206.214.218.102	206.214.218.105	BR
206.214.218.106	206.214.218.109	VN
206.214.218.110	206.214.218.117	US
206.214.218.118	206.214.218.121	GB
206.214.218.122	206.214.218.125	AR
206.214.218.126	206.214.218.129	BA
206.214.218.130	206.214.218.133	US
206.214.218.134	206.214.218.137	CA
206.214.218.138	206.214.218.145	IN
206.214.218.146	206.214.218.149	ID
206.214.218.150	206.214.218.153	US
206.214.218.154	206.214.218.157	AU
206.214.218.158	206.214.218.161	NO
206.214.218.162	206.214.218.173	US
206.214.218.174	206.214.218.177	GR
206.214.218.178	206.214.218.221	US
206.214.218.222	206.214.218.223	CA
206.214.218.224	206.214.218.227	GB
206.214.218.228	206.214.218.239	US
206.214.218.240	206.214.218.243	GB
206.214.218.244	206.214.218.247	US
206.214.218.248	206.214.218.251	ES
206.214.218.252	206.214.219.5	US
206.214.219.6	206.214.219.9	AU
206.214.219.10	206.214.219.45	US
206.214.219.46	206.214.219.49	ES
206.214.219.50	206.214.219.71	US
206.214.219.72	206.214.219.75	CA
206.214.219.76	206.214.219.79	GR
206.214.219.80	206.214.219.92	US
206.214.219.93	206.214.219.96	GB
206.214.219.97	206.214.219.100	BG
206.214.219.101	206.214.219.104	SA
206.214.219.105	206.214.219.108	GR
206.214.219.109	206.214.219.116	US
206.214.219.117	206.214.219.120	AR
206.214.219.121	206.214.219.124	US
206.214.219.125	206.214.219.128	GB
206.214.219.129	206.214.219.132	IN
206.214.219.133	206.214.219.136	RU
206.214.219.137	206.214.219.140	GB
206.214.219.141	206.214.219.144	DO
206.214.219.145	206.214.219.152	US
206.214.219.153	206.214.219.156	IN
206.214.219.157	206.214.219.165	US
206.214.219.166	206.214.219.167	RU
206.214.219.168	206.214.219.173	US
206.214.219.174	206.214.219.177	PH
206.214.219.178	206.214.219.182	US
206.214.219.183	206.214.219.186	CA
206.214.219.187	206.214.219.190	US
206.214.219.191	206.214.219.194	IT
206.214.219.195	206.214.219.206	US
206.214.219.207	206.214.219.210	PT
206.214.219.211	206.214.219.238	US
206.214.219.239	206.214.219.239	JP
206.214.219.240	206.214.219.247	US
206.214.219.248	206.214.219.251	UA
206.214.219.252	206.214.220.5	US
206.214.220.6	206.214.220.9	EC
206.214.220.10	206.214.220.37	US
206.214.220.38	206.214.220.41	AE
206.214.220.42	206.214.220.49	US
206.214.220.50	206.214.220.53	IN
206.214.220.54	206.214.220.57	US
206.214.220.58	206.214.220.61	GB
206.214.220.62	206.214.220.69	US
206.214.220.70	206.214.220.73	IT
206.214.220.74	206.214.220.86	US
206.214.220.87	206.214.220.90	IL
206.214.220.91	206.214.220.94	PL
206.214.220.95	206.214.220.98	US
206.214.220.99	206.214.220.102	IT
206.214.220.103	206.214.220.114	US
206.214.220.115	206.214.220.118	SG
206.214.220.119	206.214.220.122	US
206.214.220.123	206.214.220.126	AU
206.214.220.127	206.214.220.130	IT
206.214.220.131	206.214.220.134	AR
206.214.220.135	206.214.220.146	US
206.214.220.147	206.214.220.150	IN
206.214.220.151	206.214.220.154	RS
206.214.220.155	206.214.220.158	ES
206.214.220.159	206.214.220.162	PT
206.214.220.163	206.214.220.166	US
206.214.220.167	206.214.220.170	JP
206.214.220.171	206.214.220.182	US
206.214.220.183	206.214.220.186	GB
206.214.220.187	206.214.220.205	US
206.214.220.206	206.214.220.209	GB
206.214.220.210	206.214.220.221	US
206.214.220.222	206.214.220.225	VN
206.214.220.226	206.214.220.235	US
206.214.220.236	206.214.220.239	PH
206.214.220.240	206.214.220.243	ZA
206.214.220.244	206.214.221.5	US
206.214.221.6	206.214.221.9	SI
206.214.221.10	206.214.221.25	US
206.214.221.26	206.214.221.29	IN
206.214.221.30	206.214.221.37	US
206.214.221.38	206.214.221.41	HK
206.214.221.42	206.214.221.49	US
206.214.221.50	206.214.221.53	CA
206.214.221.54	206.214.221.65	US
206.214.221.66	206.214.221.69	TR
206.214.221.70	206.214.221.81	US
206.214.221.82	206.214.221.85	MX
206.214.221.86	206.214.221.91	US
206.214.221.92	206.214.221.95	IL
206.214.221.96	206.214.221.109	US
206.214.221.110	206.214.221.113	IN
206.214.221.114	206.214.221.164	US
206.214.221.165	206.214.221.168	SA
206.214.221.169	206.214.221.176	US
206.214.221.177	206.214.221.180	NO
206.214.221.181	206.214.221.184	US
206.214.221.185	206.214.221.188	IN
206.214.221.189	206.214.221.200	US
206.214.221.201	206.214.221.204	ES
206.214.221.205	206.214.221.212	US
206.214.221.213	206.214.221.216	CA
206.214.221.217	206.214.221.228	US
206.214.221.229	206.214.221.232	AU
206.214.221.233	206.214.221.240	SE
206.214.221.241	206.214.221.248	US
206.214.221.249	206.214.221.252	GB
206.214.221.253	206.214.222.9	US
206.214.222.10	206.214.222.13	TH
206.214.222.14	206.214.222.17	GB
206.214.222.18	206.214.222.21	CA
206.214.222.22	206.214.222.25	US
206.214.222.26	206.214.222.29	GB
206.214.222.30	206.214.222.37	US
206.214.222.38	206.214.222.41	NZ
206.214.222.42	206.214.222.63	US
206.214.222.64	206.214.222.67	GB
206.214.222.68	206.214.222.71	US
206.214.222.72	206.214.222.75	CA
206.214.222.76	206.214.222.79	US
206.214.222.80	206.214.222.83	CA
206.214.222.84	206.214.222.99	US
206.214.222.100	206.214.222.103	AU
206.214.222.104	206.214.222.119	US
206.214.222.120	206.214.222.123	KW
206.214.222.124	206.214.222.127	US
206.214.222.128	206.214.222.131	BE
206.214.222.132	206.214.222.135	ID
206.214.222.136	206.214.222.139	US
206.214.222.140	206.214.222.143	NL
206.214.222.144	206.214.222.155	US
206.214.222.156	206.214.222.159	ES
206.214.222.160	206.214.222.167	US
206.214.222.168	206.214.222.171	AR
206.214.222.172	206.214.222.175	US
206.214.222.176	206.214.222.179	ES
206.214.222.180	206.214.222.183	TR
206.214.222.184	206.214.222.195	US
206.214.222.196	206.214.222.199	GB
206.214.222.200	206.214.222.211	US
206.214.222.212	206.214.222.215	CA
206.214.222.216	206.214.222.219	BE
206.214.222.220	206.214.222.223	US
206.214.222.224	206.214.222.227	CA
206.214.222.228	206.214.222.243	US
206.214.222.244	206.214.222.247	IN
206.214.222.248	206.214.222.251	GR
206.214.222.252	206.214.223.5	US
206.214.223.6	206.214.223.7	RU
206.214.223.8	206.214.223.11	US
206.214.223.12	206.214.223.15	ES
206.214.223.16	206.214.223.59	US
206.214.223.60	206.214.223.63	HU
206.214.223.64	206.214.223.105	US
206.214.223.106	206.214.223.109	GB
206.214.223.110	206.214.223.117	US
206.214.223.118	206.214.223.121	GR
206.214.223.122	206.214.223.133	US
206.214.223.134	206.214.223.137	GB
206.214.223.138	206.214.223.145	ES
206.214.223.146	206.214.223.149	AR
206.214.223.150	206.214.223.195	US
206.214.223.196	206.214.223.199	PH
206.214.223.200	206.214.223.203	ID
206.214.223.204	206.214.223.215	US
206.214.223.216	206.214.223.219	CA
206.214.223.220	206.214.223.221	US
206.214.223.222	206.214.223.222	IL
206.214.223.223	206.214.223.233	US
206.214.223.234	206.214.223.253	HK
206.214.223.254	206.214.239.255	US
206.215.0.0	206.217.128.55	US
206.217.128.56	206.217.128.63	CA
206.217.128.64	206.217.128.111	US
206.217.128.112	206.217.128.119	AF
206.217.128.120	206.217.128.223	US
206.217.128.224	206.217.128.231	CA
206.217.128.232	206.217.129.207	US
206.217.129.208	206.217.129.223	CA
206.217.129.224	206.217.132.15	US
206.217.132.16	206.217.132.23	AF
206.217.132.24	206.217.132.55	US
206.217.132.56	206.217.132.71	CA
206.217.132.72	206.217.132.103	US
206.217.132.104	206.217.132.111	AF
206.217.132.112	206.217.133.79	US
206.217.133.80	206.217.133.95	CA
206.217.133.96	206.217.133.103	CL
206.217.133.104	206.217.133.127	US
206.217.133.128	206.217.133.135	CA
206.217.133.136	206.217.133.255	US
206.217.134.0	206.217.134.7	CA
206.217.134.8	206.217.134.15	AU
206.217.134.16	206.217.134.47	US
206.217.134.48	206.217.134.55	AF
206.217.134.56	206.217.134.63	US
206.217.134.64	206.217.134.79	CA
206.217.134.80	206.217.134.151	US
206.217.134.152	206.217.134.159	NZ
206.217.134.160	206.217.134.207	US
206.217.134.208	206.217.134.223	AF
206.217.134.224	206.217.135.79	US
206.217.135.80	206.217.135.111	CA
206.217.135.112	206.217.135.127	US
206.217.135.128	206.217.135.135	CA
206.217.135.136	206.217.135.191	US
206.217.135.192	206.217.135.255	CA
206.217.136.0	206.217.136.159	US
206.217.136.160	206.217.136.167	AF
206.217.136.168	206.217.136.223	US
206.217.136.224	206.217.137.15	CA
206.217.137.16	206.217.138.159	US
206.217.138.160	206.217.138.167	BR
206.217.138.168	206.217.138.255	US
206.217.139.0	206.217.139.7	MX
206.217.139.8	206.217.139.15	GB
206.217.139.16	206.217.139.31	US
206.217.139.32	206.217.139.63	CA
206.217.139.64	206.217.139.143	US
206.217.139.144	206.217.139.151	CA
206.217.139.152	206.217.139.159	AF
206.217.139.160	206.217.139.167	US
206.217.139.168	206.217.139.175	CA
206.217.139.176	206.217.140.223	US
206.217.140.224	206.217.140.231	CA
206.217.140.232	206.217.141.63	US
206.217.141.64	206.217.141.79	CA
206.217.141.80	206.217.142.255	US
206.217.143.0	206.217.143.63	CA
206.217.143.64	206.217.143.79	HN
206.217.143.80	206.217.143.87	CA
206.217.143.88	206.217.143.111	US
206.217.143.112	206.217.143.119	CA
206.217.143.120	206.218.255.255	US
206.219.0.0	206.219.63.255	KR
206.219.64.0	206.220.131.255	US
206.220.132.0	206.220.135.255	HK
206.220.136.0	206.220.191.255	US
206.220.192.0	206.220.199.255	CA
206.220.200.0	206.221.79.255	US
206.221.80.0	206.221.95.255	BR
206.221.96.0	206.221.209.183	US
206.221.209.184	206.221.209.191	IL
206.221.209.192	206.221.217.7	US
206.221.217.8	206.221.217.15	GB
206.221.217.16	206.221.217.23	FR
206.221.217.24	206.221.217.31	BR
206.221.217.32	206.221.217.55	US
206.221.217.56	206.221.217.63	IT
206.221.217.64	206.221.217.71	CA
206.221.217.72	206.221.217.79	US
206.221.217.80	206.221.217.87	FR
206.221.217.88	206.221.217.119	US
206.221.217.120	206.221.217.127	BR
206.221.217.128	206.221.217.151	US
206.221.217.152	206.221.217.159	RU
206.221.217.160	206.221.217.183	US
206.221.217.184	206.221.217.199	ES
206.221.217.200	206.221.217.227	US
206.221.217.228	206.221.217.231	AU
206.221.217.232	206.221.217.235	CN
206.221.217.236	206.221.217.239	US
206.221.217.240	206.221.217.243	ES
206.221.217.244	206.221.217.247	US
206.221.217.248	206.221.217.255	BR
206.221.218.0	206.221.218.255	US
206.221.219.0	206.221.219.3	BR
206.221.219.4	206.221.219.19	US
206.221.219.20	206.221.219.23	VI
206.221.219.24	206.221.219.39	US
206.221.219.40	206.221.219.47	ES
206.221.219.48	206.221.219.71	US
206.221.219.72	206.221.219.79	ES
206.221.219.80	206.221.219.87	US
206.221.219.88	206.221.219.103	BR
206.221.219.104	206.221.219.119	US
206.221.219.120	206.221.219.127	AU
206.221.219.128	206.221.219.135	CA
206.221.219.136	206.221.219.151	AU
206.221.219.152	206.221.219.159	BR
206.221.219.160	206.221.219.199	US
206.221.219.200	206.221.219.207	BR
206.221.219.208	206.221.219.215	IL
206.221.219.216	206.221.219.223	US
206.221.219.224	206.221.219.231	IL
206.221.219.232	206.221.219.239	DE
206.221.219.240	206.221.219.247	AU
206.221.219.248	206.221.219.255	AR
206.221.220.0	206.221.220.87	US
206.221.220.88	206.221.220.95	ZA
206.221.220.96	206.221.220.103	US
206.221.220.104	206.221.220.111	BR
206.221.220.112	206.221.220.143	US
206.221.220.144	206.221.220.151	CA
206.221.220.152	206.221.220.159	FR
206.221.220.160	206.221.220.183	US
206.221.220.184	206.221.220.191	DK
206.221.220.192	206.221.220.215	US
206.221.220.216	206.221.220.223	PL
206.221.220.224	206.221.220.231	BR
206.221.220.232	206.221.220.239	US
206.221.220.240	206.221.220.247	BR
206.221.220.248	206.221.220.255	US
206.221.221.0	206.221.221.15	FR
206.221.221.16	206.221.221.39	US
206.221.221.40	206.221.221.47	BR
206.221.221.48	206.221.221.55	US
206.221.221.56	206.221.221.63	LK
206.221.221.64	206.221.221.71	CN
206.221.221.72	206.221.221.79	US
206.221.221.80	206.221.221.95	ZA
206.221.221.96	206.221.221.103	DE
206.221.221.104	206.221.221.111	BR
206.221.221.112	206.221.221.135	US
206.221.221.136	206.221.221.143	PL
206.221.221.144	206.221.221.151	BR
206.221.221.152	206.221.221.159	CA
206.221.221.160	206.221.221.175	US
206.221.221.176	206.221.221.183	CN
206.221.221.184	206.221.221.191	UY
206.221.221.192	206.221.221.199	US
206.221.221.200	206.221.221.207	GB
206.221.221.208	206.221.221.215	US
206.221.221.216	206.221.221.223	BR
206.221.221.224	206.221.221.239	FR
206.221.221.240	206.221.221.247	US
206.221.221.248	206.221.221.255	IT
206.221.222.0	206.221.222.7	US
206.221.222.8	206.221.222.15	CZ
206.221.222.16	206.221.222.23	BR
206.221.222.24	206.221.222.47	US
206.221.222.48	206.221.222.63	IL
206.221.222.64	206.221.222.119	US
206.221.222.120	206.221.222.127	SG
206.221.222.128	206.221.222.135	RU
206.221.222.136	206.221.222.151	US
206.221.222.152	206.221.222.159	CA
206.221.222.160	206.221.222.175	BR
206.221.222.176	206.221.222.207	US
206.221.222.208	206.221.222.215	CN
206.221.222.216	206.221.239.255	US
206.221.240.0	206.221.255.255	CA
206.222.0.0	206.222.2.63	US
206.222.2.64	206.222.2.95	IL
206.222.2.96	206.222.2.191	US
206.222.2.192	206.222.2.199	IL
206.222.2.200	206.222.3.127	US
206.222.3.128	206.222.3.159	IL
206.222.3.160	206.222.3.215	US
206.222.3.216	206.222.3.223	IL
206.222.3.224	206.222.5.23	US
206.222.5.24	206.222.5.31	CA
206.222.5.32	206.222.6.71	US
206.222.6.72	206.222.6.79	IN
206.222.6.80	206.222.7.103	US
206.222.7.104	206.222.7.111	CA
206.222.7.112	206.222.7.223	US
206.222.7.224	206.222.7.231	IN
206.222.7.232	206.222.8.159	US
206.222.8.160	206.222.8.175	RU
206.222.8.176	206.222.9.95	US
206.222.9.96	206.222.9.103	PK
206.222.9.104	206.222.12.39	US
206.222.12.40	206.222.12.47	JP
206.222.12.48	206.222.12.55	US
206.222.12.56	206.222.12.63	ZA
206.222.12.64	206.222.12.143	US
206.222.12.144	206.222.12.151	SG
206.222.12.152	206.222.12.191	US
206.222.12.192	206.222.12.199	IE
206.222.12.200	206.222.13.55	US
206.222.13.56	206.222.13.63	RU
206.222.13.64	206.222.14.111	US
206.222.14.112	206.222.14.119	BE
206.222.14.120	206.222.14.127	US
206.222.14.128	206.222.14.135	TR
206.222.14.136	206.222.14.199	US
206.222.14.200	206.222.14.207	CO
206.222.14.208	206.222.15.143	US
206.222.15.144	206.222.15.159	ES
206.222.15.160	206.222.15.191	IL
206.222.15.192	206.222.15.239	US
206.222.15.240	206.222.15.247	BR
206.222.15.248	206.222.15.255	DE
206.222.16.0	206.222.16.127	US
206.222.16.128	206.222.16.135	BD
206.222.16.136	206.222.16.151	US
206.222.16.152	206.222.16.159	AU
206.222.16.160	206.222.16.199	US
206.222.16.200	206.222.16.207	CA
206.222.16.208	206.222.17.111	US
206.222.17.112	206.222.17.119	MY
206.222.17.120	206.222.17.135	IN
206.222.17.136	206.222.17.239	US
206.222.17.240	206.222.17.247	CA
206.222.17.248	206.222.18.7	US
206.222.18.8	206.222.18.15	HK
206.222.18.16	206.222.18.63	US
206.222.18.64	206.222.18.95	IL
206.222.18.96	206.222.18.103	US
206.222.18.104	206.222.18.119	AU
206.222.18.120	206.222.18.127	US
206.222.18.128	206.222.18.159	PH
206.222.18.160	206.222.18.231	US
206.222.18.232	206.222.18.239	NL
206.222.18.240	206.222.20.39	US
206.222.20.40	206.222.20.47	IE
206.222.20.48	206.222.20.223	US
206.222.20.224	206.222.20.239	TR
206.222.20.240	206.222.21.47	US
206.222.21.48	206.222.21.55	ID
206.222.21.56	206.222.21.63	US
206.222.21.64	206.222.21.71	JP
206.222.21.72	206.222.21.79	IR
206.222.21.80	206.222.21.175	US
206.222.21.176	206.222.21.183	GB
206.222.21.184	206.222.22.47	US
206.222.22.48	206.222.22.55	IE
206.222.22.56	206.222.22.71	US
206.222.22.72	206.222.22.87	CA
206.222.22.88	206.222.22.95	US
206.222.22.96	206.222.22.103	IN
206.222.22.104	206.222.22.111	US
206.222.22.112	206.222.22.119	ES
206.222.22.120	206.222.22.175	US
206.222.22.176	206.222.22.183	SA
206.222.22.184	206.222.22.199	US
206.222.22.200	206.222.22.207	BD
206.222.22.208	206.222.23.167	US
206.222.23.168	206.222.23.175	IR
206.222.23.176	206.222.23.191	US
206.222.23.192	206.222.23.199	RO
206.222.23.200	206.222.24.95	US
206.222.24.96	206.222.24.103	AU
206.222.24.104	206.222.26.23	US
206.222.26.24	206.222.26.31	IL
206.222.26.32	206.222.26.39	CN
206.222.26.40	206.222.26.71	US
206.222.26.72	206.222.26.79	DK
206.222.26.80	206.222.28.7	US
206.222.28.8	206.222.28.15	AE
206.222.28.16	206.222.28.55	US
206.222.28.56	206.222.28.63	NL
206.222.28.64	206.222.28.207	US
206.222.28.208	206.222.28.215	IN
206.222.28.216	206.222.28.255	US
206.222.29.0	206.222.29.7	GB
206.222.29.8	206.222.29.47	US
206.222.29.48	206.222.29.55	AU
206.222.29.56	206.222.29.135	US
206.222.29.136	206.222.29.143	PH
206.222.29.144	206.222.29.151	NL
206.222.29.152	206.222.29.183	US
206.222.29.184	206.222.29.191	GB
206.222.29.192	206.222.29.207	US
206.222.29.208	206.222.29.215	VE
206.222.29.216	206.222.30.119	US
206.222.30.120	206.222.30.127	TH
206.222.30.128	206.222.30.143	IE
206.222.30.144	206.222.31.39	US
206.222.31.40	206.222.31.47	EG
206.222.31.48	206.222.31.103	US
206.222.31.104	206.222.31.111	GR
206.222.31.112	206.222.63.255	US
206.222.64.0	206.222.95.255	CA
206.222.96.0	206.223.89.255	US
206.223.90.0	206.223.91.255	CA
206.223.92.0	206.223.96.255	US
206.223.97.0	206.223.97.255	CA
206.223.98.0	206.223.112.255	US
206.223.113.0	206.223.113.255	CA
206.223.114.0	206.223.123.255	US
206.223.124.0	206.223.124.255	CO
206.223.125.0	206.223.129.255	US
206.223.130.0	206.223.130.255	PE
206.223.131.0	206.223.135.255	US
206.223.136.0	206.223.136.255	ZA
206.223.137.0	206.223.159.255	US
206.223.160.0	206.223.162.255	CA
206.223.163.0	206.223.163.7	NL
206.223.163.8	206.223.182.255	CA
206.223.183.0	206.223.183.255	IE
206.223.184.0	206.223.191.255	CA
206.223.192.0	206.223.223.255	US
206.223.224.0	206.223.255.255	CA
206.224.0.0	206.224.31.255	US
206.224.32.0	206.224.63.255	PA
206.224.64.0	206.225.82.200	US
206.225.82.201	206.225.82.208	MX
206.225.82.209	206.225.83.240	US
206.225.83.241	206.225.83.248	NA
206.225.83.249	206.225.92.169	US
206.225.92.170	206.225.92.179	JP
206.225.92.180	206.225.94.242	US
206.225.94.243	206.225.94.250	IN
206.225.94.251	206.225.127.255	US
206.225.128.0	206.225.131.255	HK
206.225.132.0	206.228.35.255	US
206.228.36.0	206.228.39.255	VE
206.228.40.0	206.228.41.255	US
206.228.42.0	206.228.44.255	ES
206.228.45.0	206.228.47.255	US
206.228.48.0	206.228.48.255	NL
206.228.49.0	206.228.49.255	US
206.228.50.0	206.228.50.255	NL
206.228.51.0	206.230.97.71	US
206.230.97.72	206.230.97.79	PR
206.230.97.80	206.231.67.255	US
206.231.68.0	206.231.71.255	EC
206.231.72.0	206.231.79.255	CO
206.231.80.0	206.235.84.255	US
206.235.85.0	206.235.87.255	CA
206.235.88.0	206.235.199.255	US
206.235.200.0	206.235.207.255	CA
206.235.208.0	206.235.247.255	US
206.235.248.0	206.235.255.255	CA
206.236.0.0	206.248.63.255	US
206.248.64.0	206.248.127.255	PR
206.248.128.0	206.248.191.255	CA
206.248.192.0	207.1.159.255	US
207.1.160.0	207.1.160.255	AS
207.1.161.0	207.2.95.255	US
207.2.96.0	207.2.100.255	BM
207.2.101.0	207.2.101.255	US
207.2.102.0	207.2.103.255	BM
207.2.104.0	207.3.62.0	US
207.3.62.1	207.3.62.255	PH
207.3.63.0	207.3.112.15	US
207.3.112.16	207.3.112.31	UY
207.3.112.32	207.3.112.47	US
207.3.112.48	207.3.112.79	UY
207.3.112.80	207.3.112.95	US
207.3.112.96	207.3.112.159	UY
207.3.112.160	207.3.112.175	US
207.3.112.176	207.3.112.191	UY
207.3.112.192	207.3.112.223	US
207.3.112.224	207.3.112.255	UY
207.3.113.0	207.3.113.31	US
207.3.113.32	207.3.113.63	UY
207.3.113.64	207.3.113.159	US
207.3.113.160	207.3.113.223	UY
207.3.113.224	207.3.113.239	US
207.3.113.240	207.3.113.247	UY
207.3.113.248	207.3.114.31	US
207.3.114.32	207.3.114.39	UY
207.3.114.40	207.3.114.63	US
207.3.114.64	207.3.114.191	UY
207.3.114.192	207.3.115.31	US
207.3.115.32	207.3.116.255	UY
207.3.117.0	207.3.117.31	US
207.3.117.32	207.3.117.111	UY
207.3.117.112	207.3.117.127	US
207.3.117.128	207.3.117.159	UY
207.3.117.160	207.3.117.223	US
207.3.117.224	207.3.118.255	UY
207.3.119.0	207.3.119.7	US
207.3.119.8	207.3.119.31	UY
207.3.119.32	207.3.119.47	US
207.3.119.48	207.3.119.223	UY
207.3.119.224	207.3.120.127	US
207.3.120.128	207.3.125.255	UY
207.3.126.0	207.3.126.63	US
207.3.126.64	207.3.126.127	UY
207.3.126.128	207.3.126.255	US
207.3.127.0	207.3.127.31	UY
207.3.127.32	207.3.127.63	US
207.3.127.64	207.3.127.127	UY
207.3.127.128	207.5.255.255	US
207.6.0.0	207.6.255.255	CA
207.7.0.0	207.7.129.7	US
207.7.129.8	207.7.129.15	NZ
207.7.129.16	207.7.129.183	US
207.7.129.184	207.7.129.191	GB
207.7.129.192	207.7.135.255	US
207.7.136.0	207.7.136.255	GB
207.7.137.0	207.7.140.255	US
207.7.141.0	207.7.141.15	DE
207.7.141.16	207.7.151.191	US
207.7.151.192	207.7.151.223	DE
207.7.151.224	207.12.130.127	US
207.12.130.128	207.12.130.255	CA
207.12.131.0	207.13.76.255	US
207.13.77.0	207.13.77.255	HN
207.13.78.0	207.13.113.191	US
207.13.113.192	207.13.113.207	PR
207.13.113.208	207.13.113.215	US
207.13.113.216	207.13.113.223	PR
207.13.113.224	207.13.117.255	US
207.13.118.0	207.13.119.255	EC
207.13.120.0	207.13.196.255	US
207.13.197.0	207.13.197.15	PR
207.13.197.16	207.14.48.63	US
207.14.48.64	207.14.48.95	CA
207.14.48.96	207.15.133.255	US
207.15.134.0	207.15.134.255	EC
207.15.135.0	207.15.197.255	US
207.15.198.0	207.15.198.255	PR
207.15.199.0	207.17.189.255	US
207.17.190.0	207.17.191.255	MX
207.17.192.0	207.17.215.255	US
207.17.216.0	207.17.223.255	PE
207.17.224.0	207.19.251.255	US
207.19.252.0	207.19.252.255	PH
207.19.253.0	207.19.253.255	US
207.19.254.0	207.19.255.255	PH
207.20.0.0	207.22.145.159	US
207.22.145.160	207.22.145.191	AU
207.22.145.192	207.22.148.255	US
207.22.149.0	207.22.149.39	GB
207.22.149.40	207.22.149.47	US
207.22.149.48	207.22.149.63	GB
207.22.149.64	207.22.255.255	US
207.23.0.0	207.23.255.255	CA
207.24.0.0	207.24.25.95	US
207.24.25.96	207.24.25.111	GB
207.24.25.112	207.24.25.207	US
207.24.25.208	207.24.25.223	GB
207.24.25.224	207.24.25.255	US
207.24.26.0	207.24.26.255	GB
207.24.27.0	207.24.28.47	US
207.24.28.48	207.24.28.63	GB
207.24.28.64	207.24.28.111	US
207.24.28.112	207.24.28.127	GB
207.24.28.128	207.24.28.159	US
207.24.28.160	207.24.28.175	GB
207.24.28.176	207.24.29.255	US
207.24.30.0	207.24.31.255	GB
207.24.32.0	207.25.101.255	US
207.25.102.0	207.25.102.255	JP
207.25.103.0	207.26.140.111	US
207.26.140.112	207.26.140.127	CA
207.26.140.128	207.34.0.255	US
207.34.1.0	207.34.4.255	CA
207.34.5.0	207.34.11.255	US
207.34.12.0	207.34.31.255	CA
207.34.32.0	207.34.47.255	US
207.34.48.0	207.35.255.255	CA
207.36.0.0	207.41.74.255	US
207.41.75.0	207.41.75.255	EC
207.41.76.0	207.42.131.255	US
207.42.132.0	207.42.132.31	AG
207.42.132.32	207.42.132.63	KN
207.42.132.64	207.42.132.159	AG
207.42.132.160	207.42.132.191	KN
207.42.132.192	207.42.132.255	AG
207.42.133.0	207.42.133.255	AI
207.42.134.0	207.42.134.255	LC
207.42.135.0	207.42.135.63	DM
207.42.135.64	207.42.135.255	AG
207.42.136.0	207.42.175.255	US
207.42.176.0	207.42.191.255	HN
207.42.192.0	207.43.68.63	US
207.43.68.64	207.43.68.127	PR
207.43.68.128	207.43.170.223	US
207.43.170.224	207.43.170.255	CA
207.43.171.0	207.43.198.255	US
207.43.199.0	207.43.199.255	AN
207.43.200.0	207.45.191.255	US
207.45.192.0	207.45.199.255	CA
207.45.200.0	207.45.200.255	US
207.45.201.0	207.45.201.31	CA
207.45.201.32	207.45.201.39	US
207.45.201.40	207.45.215.255	CA
207.45.216.0	207.45.216.255	US
207.45.217.0	207.45.223.255	CA
207.45.224.0	207.47.127.255	US
207.47.128.0	207.47.255.255	CA
207.48.0.0	207.48.47.79	US
207.48.47.80	207.48.47.111	MX
207.48.47.112	207.48.183.31	US
207.48.183.32	207.48.183.63	JO
207.48.183.64	207.49.63.255	US
207.49.64.0	207.49.65.255	CA
207.49.66.0	207.50.239.255	US
207.50.240.0	207.50.247.255	UY
207.50.248.0	207.51.155.127	US
207.51.155.128	207.51.155.191	EG
207.51.155.192	207.52.223.255	US
207.52.224.0	207.52.224.255	CA
207.52.225.0	207.53.239.255	US
207.53.240.0	207.53.244.255	CA
207.53.245.0	207.53.245.119	US
207.53.245.120	207.53.245.255	CA
207.53.246.0	207.53.246.255	US
207.53.247.0	207.53.247.255	CA
207.53.248.0	207.53.248.255	US
207.53.249.0	207.53.252.255	CA
207.53.253.0	207.53.253.255	US
207.53.254.0	207.53.255.255	CA
207.54.0.0	207.54.95.255	US
207.54.96.0	207.54.112.15	CA
207.54.112.16	207.54.112.47	US
207.54.112.48	207.54.127.255	CA
207.54.128.0	207.58.132.24	US
207.58.132.25	207.58.132.25	IN
207.58.132.26	207.58.138.235	US
207.58.138.236	207.58.138.239	LV
207.58.138.240	207.58.138.249	US
207.58.138.250	207.58.138.253	PT
207.58.138.254	207.58.142.7	US
207.58.142.8	207.58.142.15	IT
207.58.142.16	207.58.142.167	US
207.58.142.168	207.58.142.175	GB
207.58.142.176	207.58.144.15	US
207.58.144.16	207.58.144.23	IT
207.58.144.24	207.58.144.39	US
207.58.144.40	207.58.144.47	SI
207.58.144.48	207.58.144.79	US
207.58.144.80	207.58.144.95	CA
207.58.144.96	207.58.144.135	US
207.58.144.136	207.58.144.143	GB
207.58.144.144	207.58.144.159	US
207.58.144.160	207.58.144.167	GB
207.58.144.168	207.58.144.231	US
207.58.144.232	207.58.144.239	CA
207.58.144.240	207.58.144.247	AU
207.58.144.248	207.58.146.15	US
207.58.146.16	207.58.146.31	BE
207.58.146.32	207.58.146.63	IT
207.58.146.64	207.58.146.79	SA
207.58.146.80	207.58.146.95	US
207.58.146.96	207.58.146.143	IT
207.58.146.144	207.58.147.95	US
207.58.147.96	207.58.147.111	AU
207.58.147.112	207.58.147.159	US
207.58.147.160	207.58.147.175	GB
207.58.147.176	207.58.148.7	US
207.58.148.8	207.58.148.15	CA
207.58.148.16	207.58.148.39	US
207.58.148.40	207.58.148.47	BR
207.58.148.48	207.58.148.71	US
207.58.148.72	207.58.148.79	IN
207.58.148.80	207.58.148.87	US
207.58.148.88	207.58.148.95	GB
207.58.148.96	207.58.150.63	US
207.58.150.64	207.58.150.71	NL
207.58.150.72	207.58.157.191	US
207.58.157.192	207.58.157.223	ZA
207.58.157.224	207.58.157.255	US
207.58.158.0	207.58.158.7	CA
207.58.158.8	207.58.158.15	NL
207.58.158.16	207.58.158.39	US
207.58.158.40	207.58.158.47	NL
207.58.158.48	207.58.158.55	CA
207.58.158.56	207.58.158.111	NL
207.58.158.112	207.58.158.119	US
207.58.158.120	207.58.158.127	CA
207.58.158.128	207.58.158.135	VE
207.58.158.136	207.58.158.151	US
207.58.158.152	207.58.158.167	CA
207.58.158.168	207.58.158.175	US
207.58.158.176	207.58.158.183	GB
207.58.158.184	207.58.158.191	NL
207.58.158.192	207.58.158.207	US
207.58.158.208	207.58.158.215	NL
207.58.158.216	207.58.185.213	US
207.58.185.214	207.58.185.217	MX
207.58.185.218	207.60.255.255	US
207.61.0.0	207.61.255.255	CA
207.62.0.0	207.65.70.31	US
207.65.70.32	207.65.70.47	TN
207.65.70.48	207.65.70.79	US
207.65.70.80	207.65.70.95	TN
207.65.70.96	207.65.70.143	US
207.65.70.144	207.65.70.151	TN
207.65.70.152	207.65.70.159	US
207.65.70.160	207.65.70.191	TN
207.65.70.192	207.65.71.47	US
207.65.71.48	207.65.71.63	TN
207.65.71.64	207.67.145.127	US
207.67.145.128	207.67.146.255	A1
207.67.147.0	207.67.147.255	US
207.67.148.0	207.67.149.255	A1
207.67.150.0	207.79.207.255	US
207.79.208.0	207.79.223.255	PE
207.79.224.0	207.80.255.255	US
207.81.0.0	207.81.255.255	CA
207.82.0.0	207.82.143.255	US
207.82.144.0	207.82.144.15	GB
207.82.144.16	207.83.0.191	US
207.83.0.192	207.83.0.199	CA
207.83.0.200	207.83.32.127	US
207.83.32.128	207.83.32.255	GB
207.83.33.0	207.83.33.191	US
207.83.33.192	207.83.33.199	DK
207.83.33.200	207.83.38.63	US
207.83.38.64	207.83.38.71	CA
207.83.38.72	207.83.96.127	US
207.83.96.128	207.83.96.255	MX
207.83.97.0	207.83.112.79	US
207.83.112.80	207.83.112.95	GB
207.83.112.96	207.83.112.239	US
207.83.112.240	207.83.112.247	GB
207.83.112.248	207.83.159.255	US
207.83.160.0	207.83.160.7	BR
207.83.160.8	207.83.160.31	US
207.83.160.32	207.83.160.63	BR
207.83.160.64	207.83.160.95	US
207.83.160.96	207.83.160.111	BR
207.83.160.112	207.83.191.255	US
207.83.192.0	207.83.223.255	MX
207.83.224.0	207.96.127.255	US
207.96.128.0	207.96.151.255	CA
207.96.152.0	207.96.152.255	US
207.96.153.0	207.96.255.255	CA
207.97.0.0	207.97.192.63	US
207.97.192.64	207.97.192.95	BD
207.97.192.96	207.97.192.207	US
207.97.192.208	207.97.192.215	MX
207.97.192.216	207.97.192.231	US
207.97.192.232	207.97.192.239	LC
207.97.192.240	207.97.193.95	US
207.97.193.96	207.97.193.127	BD
207.97.193.128	207.97.193.239	US
207.97.193.240	207.97.193.247	IN
207.97.193.248	207.97.193.255	TH
207.97.194.0	207.97.194.63	BD
207.97.194.64	207.97.194.119	US
207.97.194.120	207.97.194.127	GB
207.97.194.128	207.97.195.7	US
207.97.195.8	207.97.195.15	GB
207.97.195.16	207.97.195.119	US
207.97.195.120	207.97.195.127	EC
207.97.195.128	207.97.195.143	US
207.97.195.144	207.97.195.159	CA
207.97.195.160	207.97.197.127	US
207.97.197.128	207.97.197.151	CA
207.97.197.152	207.97.199.23	US
207.97.199.24	207.97.199.31	CA
207.97.199.32	207.97.199.39	AU
207.97.199.40	207.97.199.47	US
207.97.199.48	207.97.199.55	AU
207.97.199.56	207.97.199.183	US
207.97.199.184	207.97.199.199	AU
207.97.199.200	207.97.199.207	JM
207.97.199.208	207.97.199.223	US
207.97.199.224	207.97.199.231	CA
207.97.199.232	207.97.200.7	US
207.97.200.8	207.97.200.15	IE
207.97.200.16	207.97.200.103	US
207.97.200.104	207.97.200.111	CA
207.97.200.112	207.97.201.63	US
207.97.201.64	207.97.201.71	UY
207.97.201.72	207.97.201.79	IN
207.97.201.80	207.97.202.255	US
207.97.203.0	207.97.203.15	AU
207.97.203.16	207.97.203.63	US
207.97.203.64	207.97.203.79	BD
207.97.203.80	207.97.203.143	US
207.97.203.144	207.97.203.151	IL
207.97.203.152	207.97.204.79	US
207.97.204.80	207.97.204.95	AU
207.97.204.96	207.97.204.103	US
207.97.204.104	207.97.204.111	CO
207.97.204.112	207.97.205.71	US
207.97.205.72	207.97.205.79	GB
207.97.205.80	207.97.205.127	US
207.97.205.128	207.97.205.135	CA
207.97.205.136	207.97.206.143	US
207.97.206.144	207.97.206.151	GB
207.97.206.152	207.97.208.79	US
207.97.208.80	207.97.208.87	BD
207.97.208.88	207.97.209.15	US
207.97.209.16	207.97.209.23	TH
207.97.209.24	207.97.210.23	US
207.97.210.24	207.97.210.31	MX
207.97.210.32	207.97.210.63	US
207.97.210.64	207.97.210.79	BD
207.97.210.80	207.97.210.95	US
207.97.210.96	207.97.210.103	GB
207.97.210.104	207.97.210.199	US
207.97.210.200	207.97.210.207	AU
207.97.210.208	207.97.211.55	US
207.97.211.56	207.97.211.63	CA
207.97.211.64	207.97.212.39	US
207.97.212.40	207.97.212.47	MY
207.97.212.48	207.97.212.95	US
207.97.212.96	207.97.212.103	CR
207.97.212.104	207.97.212.119	US
207.97.212.120	207.97.212.127	PR
207.97.212.128	207.97.213.127	US
207.97.213.128	207.97.213.135	AU
207.97.213.136	207.97.214.31	US
207.97.214.32	207.97.214.39	CA
207.97.214.40	207.97.214.95	US
207.97.214.96	207.97.214.103	NL
207.97.214.104	207.97.214.215	US
207.97.214.216	207.97.214.247	MY
207.97.214.248	207.97.216.7	US
207.97.216.8	207.97.216.15	CA
207.97.216.16	207.97.216.71	US
207.97.216.72	207.97.216.79	GB
207.97.216.80	207.97.216.95	MY
207.97.216.96	207.97.217.63	US
207.97.217.64	207.97.217.79	BD
207.97.217.80	207.97.218.95	US
207.97.218.96	207.97.218.103	BM
207.97.218.104	207.97.218.119	US
207.97.218.120	207.97.218.127	JP
207.97.218.128	207.97.218.159	US
207.97.218.160	207.97.218.167	NL
207.97.218.168	207.97.218.247	US
207.97.218.248	207.97.218.251	IL
207.97.218.252	207.97.222.79	US
207.97.222.80	207.97.222.87	CA
207.97.222.88	207.97.223.255	US
207.97.224.0	207.97.224.15	IS
207.97.224.16	207.97.224.31	GB
207.97.224.32	207.97.224.55	US
207.97.224.56	207.97.224.63	BM
207.97.224.64	207.97.224.151	US
207.97.224.152	207.97.224.159	BM
207.97.224.160	207.97.225.15	US
207.97.225.16	207.97.225.23	IN
207.97.225.24	207.97.225.95	US
207.97.225.96	207.97.225.103	IN
207.97.225.104	207.97.225.159	US
207.97.225.160	207.97.225.167	CA
207.97.225.168	207.97.226.23	US
207.97.226.24	207.97.226.31	JP
207.97.226.32	207.97.226.39	AU
207.97.226.40	207.97.226.199	US
207.97.226.200	207.97.226.207	CA
207.97.226.208	207.97.236.7	US
207.97.236.8	207.97.236.15	GB
207.97.236.16	207.97.236.63	US
207.97.236.64	207.97.236.71	GB
207.97.236.72	207.97.236.167	US
207.97.236.168	207.97.236.175	IL
207.97.236.176	207.97.237.79	US
207.97.237.80	207.97.237.87	IN
207.97.237.88	207.97.237.143	US
207.97.237.144	207.97.237.159	TH
207.97.237.160	207.97.237.175	CA
207.97.237.176	207.97.237.203	US
207.97.237.204	207.97.237.207	IN
207.97.237.208	207.97.238.31	US
207.97.238.32	207.97.238.47	NL
207.97.238.48	207.97.238.55	US
207.97.238.56	207.97.238.63	NZ
207.97.238.64	207.97.238.143	US
207.97.238.144	207.97.238.151	IN
207.97.238.152	207.97.246.79	US
207.97.246.80	207.97.246.87	ZA
207.97.246.88	207.97.247.15	US
207.97.247.16	207.97.247.39	NL
207.97.247.40	207.97.247.47	US
207.97.247.48	207.97.247.55	CA
207.97.247.56	207.97.248.127	US
207.97.248.128	207.97.248.135	JM
207.97.248.136	207.97.248.255	US
207.97.249.0	207.97.249.7	IL
207.97.249.8	207.97.249.15	MX
207.97.249.16	207.97.250.159	US
207.97.250.160	207.97.250.167	PK
207.97.250.168	207.97.251.95	US
207.97.251.96	207.97.251.111	JP
207.97.251.112	207.97.251.215	US
207.97.251.216	207.97.251.223	BM
207.97.251.224	207.97.251.255	US
207.97.252.0	207.97.252.15	EG
207.97.252.16	207.97.252.55	US
207.97.252.56	207.97.252.63	IN
207.97.252.64	207.97.253.111	US
207.97.253.112	207.97.253.127	BD
207.97.253.128	207.97.254.255	US
207.97.255.0	207.97.255.31	CA
207.97.255.32	207.97.255.47	US
207.97.255.48	207.97.255.55	PK
207.97.255.56	207.97.255.95	US
207.97.255.96	207.97.255.103	BD
207.97.255.104	207.101.255.255	US
207.102.0.0	207.102.255.255	CA
207.103.0.0	207.105.95.31	US
207.105.95.32	207.105.95.48	UY
207.105.95.49	207.106.255.255	US
207.107.0.0	207.107.105.127	CA
207.107.105.128	207.107.105.135	US
207.107.105.136	207.107.255.255	CA
207.108.0.0	207.111.255.255	US
207.112.0.0	207.112.12.143	CA
207.112.12.144	207.112.12.151	US
207.112.12.152	207.112.14.127	CA
207.112.14.128	207.112.14.135	US
207.112.14.136	207.112.106.127	CA
207.112.106.128	207.112.106.191	US
207.112.106.192	207.112.127.255	CA
207.112.128.0	207.112.235.255	US
207.112.236.0	207.112.237.255	CA
207.112.238.0	207.114.239.63	US
207.114.239.64	207.114.239.95	PA
207.114.239.96	207.115.95.255	US
207.115.96.0	207.115.101.127	CA
207.115.101.128	207.115.101.255	US
207.115.102.0	207.115.102.111	CA
207.115.102.112	207.115.102.119	ES
207.115.102.120	207.115.111.255	CA
207.115.112.0	207.116.255.255	US
207.117.0.0	207.117.0.255	JP
207.117.1.0	207.117.1.255	DE
207.117.2.0	207.117.2.255	GB
207.117.3.0	207.117.3.255	US
207.117.4.0	207.117.4.255	CH
207.117.5.0	207.117.5.255	US
207.117.6.0	207.117.6.255	AT
207.117.7.0	207.117.7.127	US
207.117.7.128	207.117.7.254	MX
207.117.7.255	207.117.7.255	US
207.117.8.0	207.117.8.255	SG
207.117.9.0	207.117.9.255	HK
207.117.10.0	207.117.10.255	US
207.117.11.0	207.117.11.255	GB
207.117.12.0	207.117.12.255	SG
207.117.13.0	207.117.14.255	US
207.117.15.0	207.117.15.255	NO
207.117.16.0	207.117.16.255	FR
207.117.17.0	207.117.18.255	SG
207.117.19.0	207.117.19.255	HK
207.117.20.0	207.117.21.255	US
207.117.22.0	207.117.22.255	HK
207.117.23.0	207.117.23.255	US
207.117.24.0	207.117.24.255	JP
207.117.25.0	207.117.25.255	CA
207.117.26.0	207.117.27.255	US
207.117.28.0	207.117.28.255	DO
207.117.29.0	207.117.30.255	US
207.117.31.0	207.117.31.255	IT
207.117.32.0	207.117.36.255	US
207.117.37.0	207.117.37.255	BR
207.117.38.0	207.117.40.255	US
207.117.41.0	207.117.41.255	JP
207.117.42.0	207.117.44.63	US
207.117.44.64	207.117.44.127	PR
207.117.44.128	207.117.51.255	US
207.117.52.0	207.117.52.255	DE
207.117.53.0	207.117.60.255	US
207.117.61.0	207.117.62.255	GB
207.117.63.0	207.117.65.255	US
207.117.66.0	207.117.66.255	HK
207.117.67.0	207.117.67.95	IT
207.117.67.96	207.117.67.127	GB
207.117.67.128	207.117.67.255	FR
207.117.68.0	207.117.70.255	US
207.117.71.0	207.117.71.255	HK
207.117.72.0	207.117.72.255	US
207.117.73.0	207.117.73.255	FR
207.117.74.0	207.117.74.255	ES
207.117.75.0	207.117.75.255	JP
207.117.76.0	207.117.77.255	CH
207.117.78.0	207.117.78.255	BE
207.117.79.0	207.117.79.127	FI
207.117.79.128	207.117.86.127	US
207.117.86.128	207.117.86.191	IT
207.117.86.192	207.117.86.255	DE
207.117.87.0	207.117.90.63	US
207.117.90.64	207.117.90.127	NL
207.117.90.128	207.117.92.255	US
207.117.93.0	207.117.93.255	IL
207.117.94.0	207.117.94.255	US
207.117.95.0	207.117.99.255	IT
207.117.100.0	207.117.108.255	US
207.117.109.0	207.117.109.255	IT
207.117.110.0	207.117.110.127	US
207.117.110.128	207.117.110.191	BG
207.117.110.192	207.117.110.255	AU
207.117.111.0	207.117.111.255	HK
207.117.112.0	207.117.112.255	JP
207.117.113.0	207.117.113.255	KR
207.117.114.0	207.117.114.255	SE
207.117.115.0	207.117.115.255	DK
207.117.116.0	207.117.116.127	US
207.117.116.128	207.117.116.255	NL
207.117.117.0	207.117.117.255	US
207.117.118.0	207.117.118.255	CL
207.117.119.0	207.117.119.255	NO
207.117.120.0	207.117.120.255	US
207.117.121.0	207.117.121.255	RU
207.117.122.0	207.117.124.255	MX
207.117.125.0	207.117.133.127	US
207.117.133.128	207.117.133.191	ES
207.117.133.192	207.117.141.127	US
207.117.141.128	207.117.141.255	PT
207.117.142.0	207.117.145.255	US
207.117.146.0	207.117.146.255	SE
207.117.147.0	207.117.152.127	US
207.117.152.128	207.117.152.255	FR
207.117.153.0	207.117.154.255	US
207.117.155.0	207.117.155.255	ZA
207.117.156.0	207.117.156.63	US
207.117.156.64	207.117.156.127	GR
207.117.156.128	207.117.156.255	US
207.117.157.0	207.117.158.255	ID
207.117.159.0	207.117.159.255	NO
207.117.160.0	207.117.160.255	CH
207.117.161.0	207.117.161.255	IE
207.117.162.0	207.117.162.255	SG
207.117.163.0	207.117.163.255	DK
207.117.164.0	207.117.164.255	SG
207.117.165.0	207.117.165.255	CN
207.117.166.0	207.117.166.255	ZA
207.117.167.0	207.117.167.255	BE
207.117.168.0	207.117.172.255	US
207.117.173.0	207.117.173.255	TH
207.117.174.0	207.117.177.255	SG
207.117.178.0	207.117.178.255	US
207.117.179.0	207.117.182.255	AU
207.117.183.0	207.117.183.255	FR
207.117.184.0	207.117.185.255	AU
207.117.186.0	207.117.186.255	JP
207.117.187.0	207.117.187.255	CA
207.117.188.0	207.117.188.255	SG
207.117.189.0	207.117.191.255	US
207.117.192.0	207.117.193.255	DE
207.117.194.0	207.117.194.255	BE
207.117.195.0	207.117.195.255	AU
207.117.196.0	207.117.196.255	GB
207.117.197.0	207.117.197.255	FR
207.117.198.0	207.117.200.255	US
207.117.201.0	207.117.203.255	IT
207.117.204.0	207.117.204.255	BE
207.117.205.0	207.117.205.255	HK
207.117.206.0	207.117.207.255	ES
207.117.208.0	207.117.208.255	IL
207.117.209.0	207.117.209.255	GB
207.117.210.0	207.117.210.255	MX
207.117.211.0	207.117.211.255	PH
207.117.212.0	207.117.212.255	MX
207.117.213.0	207.117.213.255	PH
207.117.214.0	207.117.214.255	MX
207.117.215.0	207.117.215.255	BE
207.117.216.0	207.117.216.255	GR
207.117.217.0	207.117.217.255	CA
207.117.218.0	207.117.218.255	IT
207.117.219.0	207.117.229.255	US
207.117.230.0	207.117.230.255	ES
207.117.231.0	207.117.231.255	US
207.117.232.0	207.117.232.127	AU
207.117.232.128	207.117.232.255	HU
207.117.233.0	207.117.233.255	US
207.117.234.0	207.117.234.255	JP
207.117.235.0	207.117.235.255	MX
207.117.236.0	207.117.236.255	BR
207.117.237.0	207.117.237.255	LU
207.117.238.0	207.117.242.255	DE
207.117.243.0	207.121.100.255	US
207.121.101.0	207.121.103.255	GB
207.121.104.0	207.122.109.255	US
207.122.110.0	207.122.111.255	FR
207.122.112.0	207.123.91.255	US
207.123.92.0	207.123.92.255	AU
207.123.93.0	207.126.108.255	US
207.126.109.0	207.126.109.255	NZ
207.126.110.0	207.126.161.39	US
207.126.161.40	207.126.161.47	CA
207.126.161.48	207.133.255.255	US
207.134.0.0	207.134.255.255	CA
207.135.0.0	207.136.63.255	US
207.136.64.0	207.136.99.111	CA
207.136.99.112	207.136.99.127	US
207.136.99.128	207.136.127.255	CA
207.136.128.0	207.138.255.255	US
207.139.0.0	207.139.2.55	CA
207.139.2.56	207.139.2.63	US
207.139.2.64	207.139.2.159	CA
207.139.2.160	207.139.2.167	US
207.139.2.168	207.139.8.15	CA
207.139.8.16	207.139.8.23	US
207.139.8.24	207.139.8.39	CA
207.139.8.40	207.139.8.47	US
207.139.8.48	207.139.8.255	CA
207.139.9.0	207.139.9.7	US
207.139.9.8	207.139.9.23	CA
207.139.9.24	207.139.9.31	US
207.139.9.32	207.139.20.255	CA
207.139.21.0	207.139.21.255	AG
207.139.22.0	207.139.81.127	CA
207.139.81.128	207.139.81.255	AG
207.139.82.0	207.139.99.255	CA
207.139.100.0	207.139.100.255	US
207.139.101.0	207.139.115.127	CA
207.139.115.128	207.139.115.191	US
207.139.115.192	207.139.197.87	CA
207.139.197.88	207.139.197.95	US
207.139.197.96	207.139.214.191	CA
207.139.214.192	207.139.214.255	US
207.139.215.0	207.139.255.255	CA
207.140.0.0	207.147.255.255	US
207.148.0.0	207.148.191.255	CA
207.148.192.0	207.150.239.255	US
207.150.240.0	207.150.251.7	PR
207.150.251.8	207.150.251.15	US
207.150.251.16	207.150.255.255	PR
207.151.0.0	207.152.74.63	US
207.152.74.64	207.152.74.127	A1
207.152.74.128	207.152.255.255	US
207.153.0.0	207.153.63.255	CA
207.153.64.0	207.158.225.4	US
207.158.225.5	207.158.225.5	BE
207.158.225.6	207.160.255.255	US
207.161.0.0	207.162.127.255	CA
207.162.128.0	207.163.255.255	US
207.164.0.0	207.164.255.255	CA
207.165.0.0	207.166.111.255	US
207.166.112.0	207.166.112.47	PR
207.166.112.48	207.166.112.55	VI
207.166.112.56	207.166.112.63	US
207.166.112.64	207.166.112.239	PR
207.166.112.240	207.166.112.247	VI
207.166.112.248	207.166.113.119	PR
207.166.113.120	207.166.113.127	VI
207.166.113.128	207.166.113.215	PR
207.166.113.216	207.166.113.223	VI
207.166.113.224	207.166.114.111	PR
207.166.114.112	207.166.114.127	US
207.166.114.128	207.166.114.143	PR
207.166.114.144	207.166.114.159	IL
207.166.114.160	207.166.114.239	PR
207.166.114.240	207.166.114.247	US
207.166.114.248	207.166.127.255	PR
207.166.128.0	207.166.255.255	US
207.167.0.0	207.167.31.255	CA
207.167.32.0	207.167.191.255	US
207.167.192.0	207.167.255.255	CA
207.168.0.0	207.169.209.255	US
207.169.210.0	207.169.211.255	DE
207.169.212.0	207.174.127.255	US
207.174.130.0	207.174.132.47	US
207.174.132.48	207.174.132.55	DE
207.174.132.64	207.174.133.255	US
207.174.136.0	207.176.127.255	US
207.176.128.0	207.176.131.255	CA
207.176.132.0	207.176.132.31	US
207.176.132.32	207.176.145.95	CA
207.176.145.96	207.176.145.127	US
207.176.145.128	207.176.145.191	CA
207.176.145.192	207.176.145.223	US
207.176.145.224	207.176.147.127	CA
207.176.147.128	207.176.147.191	US
207.176.147.192	207.176.148.255	CA
207.176.149.0	207.176.150.255	US
207.176.151.0	207.176.154.255	CA
207.176.155.0	207.176.155.255	US
207.176.156.0	207.176.156.255	CA
207.176.157.0	207.176.157.255	US
207.176.158.0	207.176.159.31	CA
207.176.159.32	207.176.159.39	US
207.176.159.40	207.176.159.55	CA
207.176.159.56	207.176.159.63	US
207.176.159.64	207.176.159.135	CA
207.176.159.136	207.176.159.151	US
207.176.159.152	207.176.159.159	CA
207.176.159.160	207.176.159.167	US
207.176.159.168	207.176.159.207	CA
207.176.159.208	207.176.159.215	US
207.176.159.216	207.176.163.15	CA
207.176.163.16	207.176.163.31	US
207.176.163.32	207.176.163.47	CA
207.176.163.48	207.176.163.63	US
207.176.163.64	207.176.163.79	CA
207.176.163.80	207.176.163.95	US
207.176.163.96	207.176.163.111	CA
207.176.163.112	207.176.163.143	US
207.176.163.144	207.176.163.191	CA
207.176.163.192	207.176.163.223	US
207.176.163.224	207.176.163.239	CA
207.176.163.240	207.176.163.255	US
207.176.164.0	207.176.164.255	CA
207.176.165.0	207.176.165.255	US
207.176.166.0	207.176.166.31	CA
207.176.166.32	207.176.166.47	US
207.176.166.48	207.176.166.159	CA
207.176.166.160	207.176.166.175	US
207.176.166.176	207.176.166.239	CA
207.176.166.240	207.176.166.255	US
207.176.167.0	207.176.168.23	CA
207.176.168.24	207.176.168.39	US
207.176.168.40	207.176.168.47	CA
207.176.168.48	207.176.168.143	US
207.176.168.144	207.176.168.175	CA
207.176.168.176	207.176.168.207	US
207.176.168.208	207.176.168.215	CA
207.176.168.216	207.176.168.223	US
207.176.168.224	207.176.169.63	CA
207.176.169.64	207.176.169.127	US
207.176.169.128	207.176.169.191	CA
207.176.169.192	207.176.170.63	US
207.176.170.64	207.176.172.23	CA
207.176.172.24	207.176.172.63	US
207.176.172.64	207.176.172.79	CA
207.176.172.80	207.176.172.95	US
207.176.172.96	207.176.172.119	CA
207.176.172.120	207.176.172.135	US
207.176.172.136	207.176.172.183	CA
207.176.172.184	207.176.172.191	US
207.176.172.192	207.176.172.199	CA
207.176.172.200	207.176.172.223	US
207.176.172.224	207.176.175.127	CA
207.176.175.128	207.176.175.191	US
207.176.175.192	207.176.176.47	CA
207.176.176.48	207.176.176.79	US
207.176.176.80	207.176.180.15	CA
207.176.180.16	207.176.180.31	US
207.176.180.32	207.176.180.47	CA
207.176.180.48	207.176.180.63	US
207.176.180.64	207.176.180.95	CA
207.176.180.96	207.176.180.159	US
207.176.180.160	207.176.180.175	CA
207.176.180.176	207.176.180.191	US
207.176.180.192	207.176.180.207	CA
207.176.180.208	207.176.180.255	US
207.176.181.0	207.176.182.63	CA
207.176.182.64	207.176.182.95	US
207.176.182.96	207.176.183.255	CA
207.176.184.0	207.176.184.255	US
207.176.185.0	207.176.188.255	CA
207.176.189.0	207.176.189.255	US
207.176.190.0	207.176.196.63	CA
207.176.196.64	207.176.196.255	US
207.176.197.0	207.176.199.127	CA
207.176.199.128	207.176.199.255	US
207.176.200.0	207.176.201.255	CA
207.176.202.0	207.176.202.31	US
207.176.202.32	207.176.202.127	CA
207.176.202.128	207.176.202.191	US
207.176.202.192	207.176.204.255	CA
207.176.205.0	207.176.207.255	US
207.176.208.0	207.176.208.255	CA
207.176.209.0	207.176.209.255	US
207.176.210.0	207.176.211.71	CA
207.176.211.72	207.176.211.103	US
207.176.211.104	207.176.211.119	CA
207.176.211.120	207.176.211.135	US
207.176.211.136	207.176.211.159	CA
207.176.211.160	207.176.211.199	US
207.176.211.200	207.176.211.207	CA
207.176.211.208	207.176.211.215	US
207.176.211.216	207.176.211.231	CA
207.176.211.232	207.176.211.239	US
207.176.211.240	207.176.211.247	CA
207.176.211.248	207.176.211.255	US
207.176.212.0	207.176.214.7	CA
207.176.214.8	207.176.214.23	US
207.176.214.24	207.176.214.175	CA
207.176.214.176	207.176.214.183	US
207.176.214.184	207.176.214.191	CA
207.176.214.192	207.176.214.199	US
207.176.214.200	207.176.214.215	CA
207.176.214.216	207.176.214.223	US
207.176.214.224	207.176.214.255	CA
207.176.215.0	207.176.215.63	US
207.176.215.64	207.176.215.255	CA
207.176.216.0	207.176.217.127	US
207.176.217.128	207.176.217.191	CA
207.176.217.192	207.176.218.255	US
207.176.219.0	207.176.230.255	CA
207.176.231.0	207.176.232.255	US
207.176.233.0	207.176.234.255	CA
207.176.235.0	207.176.236.255	US
207.176.237.0	207.176.237.255	CA
207.176.238.0	207.176.238.255	US
207.176.239.0	207.176.239.255	CA
207.176.240.0	207.176.240.255	US
207.176.241.0	207.176.241.255	CA
207.176.242.0	207.176.242.255	US
207.176.243.0	207.176.249.255	CA
207.176.250.0	207.176.251.255	US
207.176.252.0	207.176.255.255	CA
207.177.0.0	207.179.127.255	US
207.179.128.0	207.179.191.255	CA
207.179.192.0	207.181.4.63	US
207.181.4.64	207.181.4.191	GB
207.181.4.192	207.181.63.255	US
207.181.64.0	207.181.117.63	CA
207.181.117.64	207.181.117.95	US
207.181.117.96	207.181.124.191	CA
207.181.124.192	207.181.124.223	US
207.181.124.224	207.181.127.255	CA
207.181.128.0	207.183.31.255	US
207.183.32.0	207.183.63.255	CA
207.183.64.0	207.188.63.255	US
207.188.64.0	207.188.95.255	CA
207.188.96.0	207.189.79.223	US
207.189.79.224	207.189.79.239	GB
207.189.79.240	207.189.223.255	US
207.189.224.0	207.189.255.255	CA
207.190.0.0	207.191.159.255	US
207.191.160.0	207.191.175.255	VE
207.191.176.0	207.191.225.159	US
207.191.225.160	207.191.225.175	FR
207.191.225.176	207.191.239.255	US
207.191.240.0	207.191.255.255	VC
207.192.0.0	207.193.255.255	US
207.194.0.0	207.195.32.159	CA
207.195.32.160	207.195.32.191	US
207.195.32.192	207.195.36.95	CA
207.195.36.96	207.195.36.103	US
207.195.36.104	207.195.127.255	CA
207.195.128.0	207.195.239.255	US
207.195.240.0	207.195.255.255	A1
207.196.0.0	207.198.98.199	US
207.198.98.200	207.198.98.213	CA
207.198.98.214	207.198.105.197	US
207.198.105.198	207.198.105.211	IN
207.198.105.212	207.198.109.3	US
207.198.109.4	207.198.109.33	AU
207.198.109.34	207.200.127.255	US
207.200.128.0	207.200.159.255	CA
207.200.160.0	207.203.88.255	US
207.203.89.0	207.203.89.15	FM
207.203.89.16	207.204.63.255	US
207.204.64.0	207.204.127.255	JM
207.204.128.0	207.204.191.255	PR
207.204.192.0	207.204.223.255	CA
207.205.0.0	207.207.204.63	US
207.207.204.64	207.207.204.79	DE
207.207.204.80	207.208.255.255	US
207.209.0.0	207.209.0.255	GB
207.209.1.0	207.209.2.255	DE
207.209.3.0	207.209.3.255	TW
207.209.4.0	207.209.4.255	GB
207.209.5.0	207.209.5.255	NO
207.209.6.0	207.209.6.255	BE
207.209.7.0	207.209.7.255	AU
207.209.8.0	207.209.8.255	DE
207.209.9.0	207.209.9.255	CH
207.209.10.0	207.209.11.255	US
207.209.12.0	207.209.12.255	KR
207.209.13.0	207.209.13.255	US
207.209.14.0	207.209.15.255	CA
207.209.16.0	207.209.17.255	US
207.209.18.0	207.209.18.255	PT
207.209.19.0	207.209.21.255	FR
207.209.22.0	207.209.22.255	NZ
207.209.23.0	207.209.23.255	US
207.209.24.0	207.209.24.255	AU
207.209.25.0	207.209.25.255	FR
207.209.26.0	207.209.26.255	NL
207.209.27.0	207.209.27.255	CL
207.209.28.0	207.209.29.255	GB
207.209.30.0	207.209.30.255	FR
207.209.31.0	207.209.32.191	US
207.209.32.192	207.209.32.223	NL
207.209.32.224	207.209.33.63	US
207.209.33.64	207.209.33.95	ZA
207.209.33.96	207.209.35.255	US
207.209.36.0	207.209.36.255	IT
207.209.37.0	207.209.37.255	US
207.209.38.0	207.209.42.255	GB
207.209.43.0	207.209.43.255	CH
207.209.44.0	207.209.44.63	FI
207.209.44.64	207.209.44.255	US
207.209.45.0	207.209.45.255	NL
207.209.46.0	207.209.47.255	NO
207.209.48.0	207.209.48.255	NL
207.209.49.0	207.209.50.255	DE
207.209.51.0	207.209.51.255	FR
207.209.52.0	207.209.52.255	DE
207.209.53.0	207.209.53.255	BE
207.209.54.0	207.209.54.159	US
207.209.54.160	207.209.54.191	LU
207.209.54.192	207.209.54.223	GB
207.209.54.224	207.209.54.255	US
207.209.55.0	207.209.55.127	AR
207.209.55.128	207.209.55.255	US
207.209.56.0	207.209.56.255	DK
207.209.57.0	207.209.57.255	ID
207.209.58.0	207.209.58.255	PR
207.209.59.0	207.209.59.255	DK
207.209.60.0	207.209.60.255	NL
207.209.61.0	207.209.61.255	NO
207.209.62.0	207.209.62.127	US
207.209.62.128	207.209.62.191	CH
207.209.62.192	207.209.62.255	FR
207.209.63.0	207.209.63.255	GB
207.209.64.0	207.209.64.255	IE
207.209.65.0	207.209.65.255	IT
207.209.66.0	207.209.66.255	GB
207.209.67.0	207.209.69.191	US
207.209.69.192	207.209.69.255	FR
207.209.70.0	207.209.70.255	BR
207.209.71.0	207.209.71.255	NO
207.209.72.0	207.209.72.255	SE
207.209.73.0	207.209.73.255	BR
207.209.74.0	207.209.74.255	US
207.209.75.0	207.209.76.255	BR
207.209.77.0	207.209.79.255	US
207.209.80.0	207.209.80.255	BE
207.209.81.0	207.209.81.63	TR
207.209.81.64	207.209.81.255	US
207.209.82.0	207.209.82.255	BE
207.209.83.0	207.209.83.255	NZ
207.209.84.0	207.209.84.191	US
207.209.84.192	207.209.84.255	CO
207.209.85.0	207.209.86.255	US
207.209.87.0	207.209.87.255	SG
207.209.88.0	207.209.88.31	US
207.209.88.32	207.209.88.63	BR
207.209.88.64	207.209.88.127	CL
207.209.88.128	207.209.88.143	US
207.209.88.144	207.209.88.159	AR
207.209.88.160	207.209.88.191	US
207.209.88.192	207.209.88.255	AR
207.209.89.0	207.209.89.255	JP
207.209.90.0	207.209.90.255	US
207.209.91.0	207.209.91.255	AU
207.209.92.0	207.209.92.255	BE
207.209.93.0	207.209.93.31	US
207.209.93.32	207.209.93.63	SG
207.209.93.64	207.209.93.71	MY
207.209.93.72	207.209.93.127	US
207.209.93.128	207.209.93.191	CO
207.209.93.192	207.209.94.255	US
207.209.95.0	207.209.95.255	ES
207.209.96.0	207.209.96.255	NL
207.209.97.0	207.209.98.255	US
207.209.99.0	207.209.99.255	MY
207.209.100.0	207.209.100.255	US
207.209.101.0	207.209.101.255	FI
207.209.102.0	207.209.103.255	US
207.209.104.0	207.209.104.255	JP
207.209.105.0	207.209.105.255	US
207.209.106.0	207.209.106.255	PH
207.209.107.0	207.209.107.255	GB
207.209.108.0	207.209.110.255	US
207.209.111.0	207.209.112.255	HK
207.209.113.0	207.209.113.255	AU
207.209.114.0	207.209.114.255	SG
207.209.115.0	207.209.115.255	US
207.209.116.0	207.209.116.255	SE
207.209.117.0	207.209.117.255	NL
207.209.118.0	207.209.118.255	US
207.209.119.0	207.209.119.15	BR
207.209.119.16	207.209.119.255	US
207.209.120.0	207.209.120.255	SG
207.209.121.0	207.209.121.63	EC
207.209.121.64	207.209.121.255	US
207.209.122.0	207.209.122.255	HK
207.209.123.0	207.209.123.255	SG
207.209.124.0	207.209.124.127	US
207.209.124.128	207.209.124.255	FR
207.209.125.0	207.209.125.255	DE
207.209.126.0	207.209.126.255	US
207.209.127.0	207.209.128.255	GB
207.209.129.0	207.209.129.255	ES
207.209.130.0	207.209.130.255	DE
207.209.131.0	207.209.131.255	GB
207.209.132.0	207.209.132.255	US
207.209.133.0	207.209.133.255	FR
207.209.134.0	207.209.134.255	BE
207.209.135.0	207.209.135.255	PH
207.209.136.0	207.209.137.63	US
207.209.137.64	207.209.137.95	LU
207.209.137.96	207.209.137.127	US
207.209.137.128	207.209.137.159	CH
207.209.137.160	207.209.138.255	US
207.209.139.0	207.209.140.255	NO
207.209.141.0	207.209.142.127	US
207.209.142.128	207.209.142.255	SE
207.209.143.0	207.209.143.255	US
207.209.144.0	207.209.144.255	CH
207.209.145.0	207.209.145.255	AU
207.209.146.0	207.209.146.255	NO
207.209.147.0	207.209.147.255	ES
207.209.148.0	207.209.148.255	BE
207.209.149.0	207.209.149.255	FR
207.209.150.0	207.209.150.255	SG
207.209.151.0	207.209.151.255	BE
207.209.152.0	207.209.152.255	CA
207.209.153.0	207.209.153.255	US
207.209.154.0	207.209.154.255	SE
207.209.155.0	207.209.155.255	HK
207.209.156.0	207.209.156.255	US
207.209.157.0	207.209.157.255	NL
207.209.158.0	207.209.158.255	US
207.209.159.0	207.209.159.255	NL
207.209.160.0	207.209.160.255	FI
207.209.161.0	207.209.161.255	ES
207.209.162.0	207.209.162.255	ZA
207.209.163.0	207.209.163.255	GB
207.209.164.0	207.209.164.255	MX
207.209.165.0	207.209.165.255	DE
207.209.166.0	207.209.166.255	JP
207.209.167.0	207.209.167.255	DE
207.209.168.0	207.209.168.255	US
207.209.169.0	207.209.169.255	PH
207.209.170.0	207.209.170.255	SG
207.209.171.0	207.209.171.255	SE
207.209.172.0	207.209.172.255	ES
207.209.173.0	207.209.173.31	US
207.209.173.32	207.209.173.63	MX
207.209.173.64	207.209.173.127	US
207.209.173.128	207.209.173.159	MX
207.209.173.160	207.209.173.255	US
207.209.174.0	207.209.174.255	SE
207.209.175.0	207.209.175.255	NO
207.209.176.0	207.209.176.255	NL
207.209.177.0	207.209.177.255	FI
207.209.178.0	207.209.178.255	IL
207.209.179.0	207.209.179.7	CH
207.209.179.8	207.209.179.31	US
207.209.179.32	207.209.179.63	FI
207.209.179.64	207.209.180.255	US
207.209.181.0	207.209.181.255	JP
207.209.182.0	207.209.182.255	US
207.209.183.0	207.209.183.255	BE
207.209.184.0	207.209.184.255	BW
207.209.185.0	207.209.185.255	ZA
207.209.186.0	207.209.186.255	US
207.209.187.0	207.209.187.255	NO
207.209.188.0	207.209.189.255	PT
207.209.190.0	207.209.190.255	US
207.209.191.0	207.209.191.255	CL
207.209.192.0	207.209.192.255	SE
207.209.193.0	207.209.198.255	JP
207.209.199.0	207.209.199.255	ID
207.209.200.0	207.209.201.255	JP
207.209.202.0	207.209.202.255	US
207.209.203.0	207.209.203.255	JP
207.209.204.0	207.209.204.255	IT
207.209.205.0	207.209.205.255	GB
207.209.206.0	207.209.206.127	US
207.209.206.128	207.209.206.255	CN
207.209.207.0	207.209.207.255	US
207.209.208.0	207.209.208.255	HK
207.209.209.0	207.209.209.255	US
207.209.210.0	207.209.210.255	KR
207.209.211.0	207.209.211.255	CH
207.209.212.0	207.209.212.255	DK
207.209.213.0	207.209.213.255	FR
207.209.214.0	207.209.214.255	ES
207.209.215.0	207.209.215.255	IL
207.209.216.0	207.209.216.255	ES
207.209.217.0	207.209.217.255	NL
207.209.218.0	207.209.218.255	TW
207.209.219.0	207.209.219.255	DE
207.209.220.0	207.209.220.255	US
207.209.221.0	207.209.222.255	BE
207.209.223.0	207.209.224.255	SE
207.209.225.0	207.209.225.255	FR
207.209.226.0	207.209.226.31	US
207.209.226.32	207.209.226.47	CN
207.209.226.48	207.209.226.255	US
207.209.227.0	207.209.227.255	DK
207.209.228.0	207.209.228.255	BE
207.209.229.0	207.209.229.255	SG
207.209.230.0	207.209.231.255	US
207.209.232.0	207.209.232.255	BE
207.209.233.0	207.209.233.255	GB
207.209.234.0	207.209.239.255	US
207.209.240.0	207.209.240.255	BR
207.209.241.0	207.209.241.255	PT
207.209.242.0	207.209.242.255	DK
207.209.243.0	207.209.254.255	US
207.209.255.0	207.209.255.127	JP
207.209.255.128	207.209.255.255	US
207.210.0.0	207.210.63.255	CA
207.210.64.0	207.210.207.255	US
207.210.208.0	207.210.208.255	CA
207.210.209.0	207.210.211.111	US
207.210.211.112	207.210.211.119	CA
207.210.211.120	207.210.211.151	US
207.210.211.152	207.210.211.159	IT
207.210.211.160	207.210.214.255	US
207.210.215.0	207.210.215.255	CA
207.210.216.0	207.210.254.255	US
207.210.255.0	207.210.255.255	CA
207.211.0.0	207.215.255.255	US
207.216.0.0	207.216.255.255	CA
207.217.0.0	207.218.64.255	US
207.218.65.0	207.218.65.15	GB
207.218.65.16	207.218.72.255	US
207.218.73.0	207.218.73.255	DK
207.218.74.0	207.218.89.255	US
207.218.90.0	207.218.90.255	DK
207.218.91.0	207.218.103.255	US
207.218.104.0	207.218.104.255	DK
207.218.105.0	207.218.126.255	US
207.218.127.0	207.218.127.255	DK
207.218.128.0	207.218.255.255	US
207.219.0.0	207.219.255.255	CA
207.220.0.0	207.227.23.255	US
207.227.24.0	207.227.31.255	CA
207.227.32.0	207.228.63.255	US
207.228.64.0	207.228.127.255	CA
207.228.128.0	207.228.129.255	KY
207.228.130.0	207.228.139.255	BM
207.228.140.0	207.228.140.255	KY
207.228.141.0	207.228.141.255	BM
207.228.142.0	207.228.143.255	KY
207.228.144.0	207.228.144.255	BM
207.228.145.0	207.228.147.255	KY
207.228.148.0	207.228.191.255	BM
207.228.192.0	207.228.255.255	US
207.229.0.0	207.229.63.255	CA
207.229.64.0	207.230.49.255	US
207.230.50.0	207.230.50.255	KW
207.230.51.0	207.230.223.255	US
207.230.224.0	207.230.255.255	CA
207.231.0.0	207.231.191.255	US
207.231.192.0	207.231.195.255	CA
207.231.196.0	207.231.223.255	US
207.231.224.0	207.231.239.255	CA
207.231.240.0	207.231.255.255	US
207.232.0.0	207.232.63.255	IL
207.232.64.0	207.232.95.255	US
207.232.96.0	207.232.100.175	CA
207.232.100.176	207.232.100.183	US
207.232.100.184	207.232.112.127	CA
207.232.112.128	207.232.112.135	US
207.232.112.136	207.232.119.31	CA
207.232.119.32	207.232.119.39	US
207.232.119.40	207.232.127.255	CA
207.232.128.0	207.235.60.255	US
207.235.61.0	207.235.61.255	A2
207.235.62.0	207.235.255.255	US
207.236.0.0	207.236.42.255	CA
207.236.43.0	207.236.43.255	US
207.236.44.0	207.236.255.255	CA
207.237.0.0	207.240.13.255	US
207.240.14.0	207.240.14.255	AU
207.240.15.0	207.241.159.255	US
207.241.160.0	207.241.164.127	A2
207.241.164.128	207.241.164.191	US
207.241.164.192	207.241.164.223	BG
207.241.164.224	207.241.164.239	BY
207.241.164.240	207.241.166.255	A2
207.241.167.0	207.241.167.255	US
207.241.168.0	207.241.168.255	AL
207.241.169.0	207.241.169.255	A2
207.241.170.0	207.241.172.255	BA
207.241.173.0	207.241.173.255	RO
207.241.174.0	207.241.174.255	AL
207.241.175.0	207.241.176.255	JM
207.241.177.0	207.241.191.255	A2
207.241.192.0	207.244.106.255	US
207.244.107.0	207.244.107.255	CA
207.244.108.0	207.244.255.255	US
207.245.0.0	207.245.63.255	CA
207.245.64.0	207.245.191.255	US
207.245.192.0	207.245.255.255	CA
207.246.0.0	207.247.255.255	US
207.248.0.0	207.249.255.255	MX
207.250.0.0	207.251.31.255	US
207.251.32.0	207.251.47.255	CA
207.251.48.0	207.251.255.255	US
207.252.0.0	207.252.0.255	IT
207.252.1.0	207.252.255.255	US
207.253.0.0	207.253.255.255	CA
207.254.0.0	207.254.127.255	US
207.254.128.0	207.254.143.255	JM
207.254.144.0	208.0.48.255	US
208.0.49.0	208.0.49.255	PR
208.0.50.0	208.0.221.255	US
208.0.222.0	208.0.222.255	PR
208.0.223.0	208.0.223.255	US
208.0.224.0	208.0.224.255	DM
208.0.225.0	208.0.226.255	LC
208.0.227.0	208.0.227.151	AG
208.0.227.152	208.0.227.159	VG
208.0.227.160	208.0.228.255	AG
208.0.229.0	208.0.229.255	VG
208.0.230.0	208.0.230.255	DM
208.0.231.0	208.0.231.255	LC
208.0.232.0	208.1.47.255	US
208.1.48.0	208.1.55.255	PH
208.1.56.0	208.1.59.215	US
208.1.59.216	208.1.59.223	CA
208.1.59.224	208.1.89.255	US
208.1.90.0	208.1.90.15	CA
208.1.90.16	208.1.104.63	US
208.1.104.64	208.1.104.79	PR
208.1.104.80	208.1.115.215	US
208.1.115.216	208.1.115.223	DE
208.1.115.224	208.1.137.207	US
208.1.137.208	208.1.137.223	CA
208.1.137.224	208.1.188.239	US
208.1.188.240	208.1.188.247	GB
208.1.188.248	208.1.189.255	US
208.1.190.0	208.1.190.255	BO
208.1.191.0	208.4.179.255	US
208.4.180.0	208.4.181.255	PR
208.4.182.0	208.5.206.159	US
208.5.206.160	208.5.206.191	CA
208.5.206.192	208.6.72.255	US
208.6.73.0	208.6.74.191	CA
208.6.74.192	208.6.74.223	US
208.6.74.224	208.6.75.31	CA
208.6.75.32	208.6.75.255	US
208.6.76.0	208.6.79.254	CA
208.6.79.255	208.8.169.255	US
208.8.170.0	208.8.171.255	CO
208.8.172.0	208.9.47.255	US
208.9.48.0	208.9.63.255	CO
208.9.64.0	208.12.159.255	US
208.12.160.0	208.12.163.255	PR
208.12.164.0	208.15.38.175	US
208.15.38.176	208.15.38.191	CA
208.15.38.192	208.15.229.255	US
208.15.230.0	208.15.230.255	AS
208.15.231.0	208.15.232.255	US
208.15.233.0	208.15.233.255	PR
208.15.234.0	208.16.89.143	US
208.16.89.144	208.16.89.159	CA
208.16.89.160	208.17.42.255	US
208.17.43.0	208.17.43.255	PR
208.17.44.0	208.18.150.255	US
208.18.151.0	208.18.151.255	PR
208.18.152.0	208.19.63.255	US
208.19.64.0	208.19.71.255	CO
208.19.72.0	208.20.11.255	US
208.20.12.0	208.20.15.255	PR
208.20.16.0	208.23.198.239	US
208.23.198.240	208.23.198.247	PR
208.23.198.248	208.23.228.63	US
208.23.228.64	208.23.228.95	CA
208.23.228.96	208.23.248.63	US
208.23.248.64	208.23.248.79	PR
208.23.248.80	208.25.229.231	US
208.25.229.232	208.25.229.239	PR
208.25.229.240	208.26.63.255	US
208.26.64.0	208.26.95.255	BM
208.26.96.0	208.27.181.255	US
208.27.182.0	208.27.187.255	VI
208.27.188.0	208.27.188.63	US
208.27.188.64	208.27.188.71	PR
208.27.188.72	208.28.41.199	US
208.28.41.200	208.28.41.207	DK
208.28.41.208	208.28.47.255	US
208.28.48.0	208.28.63.255	CA
208.28.64.0	208.29.127.255	US
208.29.128.0	208.29.135.255	CO
208.29.136.0	208.30.39.255	US
208.30.40.0	208.30.41.255	CO
208.30.42.0	208.30.95.255	US
208.30.96.0	208.30.127.255	VI
208.30.128.0	208.31.169.255	US
208.31.170.0	208.31.170.255	PR
208.31.171.0	208.31.199.255	US
208.31.200.0	208.31.207.255	CO
208.31.208.0	208.32.26.47	US
208.32.26.48	208.32.26.55	PR
208.32.26.56	208.32.87.255	US
208.32.88.0	208.32.91.255	EC
208.32.92.0	208.33.11.255	US
208.33.12.0	208.33.12.255	AN
208.33.13.0	208.34.126.255	US
208.34.127.0	208.34.127.255	PR
208.34.128.0	208.35.3.255	US
208.35.4.0	208.35.7.255	CO
208.35.8.0	208.35.19.255	US
208.35.20.0	208.35.21.255	CO
208.35.22.0	208.35.53.167	US
208.35.53.168	208.35.53.175	PR
208.35.53.176	208.35.53.191	AF
208.35.53.192	208.35.55.255	US
208.35.56.0	208.35.59.255	PR
208.35.60.0	208.35.66.23	US
208.35.66.24	208.35.66.31	IT
208.35.66.32	208.35.66.167	US
208.35.66.168	208.35.66.175	AU
208.35.66.176	208.35.67.111	US
208.35.67.112	208.35.67.127	HK
208.35.67.128	208.35.72.31	US
208.35.72.32	208.35.72.39	VE
208.35.72.40	208.35.95.255	US
208.35.96.0	208.35.105.255	CO
208.35.106.0	208.35.111.255	US
208.35.112.0	208.35.127.255	CO
208.35.128.0	208.35.197.255	US
208.35.198.0	208.35.198.15	DK
208.35.198.16	208.35.198.63	US
208.35.198.64	208.35.198.71	DK
208.35.198.72	208.35.198.87	US
208.35.198.88	208.35.198.111	AU
208.35.198.112	208.37.255.255	US
208.38.0.0	208.38.63.255	CA
208.38.64.0	208.38.146.127	US
208.38.146.128	208.38.146.159	CH
208.38.146.160	208.38.223.255	US
208.39.0.0	208.42.228.231	US
208.42.228.232	208.42.228.239	GB
208.42.228.240	208.45.142.223	US
208.45.142.224	208.45.142.239	IL
208.45.142.240	208.45.232.255	US
208.45.233.0	208.45.239.255	PA
208.45.240.0	208.47.213.127	US
208.47.213.128	208.47.213.255	AR
208.47.214.0	208.48.80.255	US
208.48.81.0	208.48.81.31	CA
208.48.81.32	208.48.81.39	US
208.48.81.40	208.48.81.47	DE
208.48.81.48	208.48.81.63	AU
208.48.81.64	208.48.81.127	US
208.48.81.128	208.48.81.255	AU
208.48.82.0	208.48.82.255	US
208.48.83.0	208.48.83.63	AU
208.48.83.64	208.51.60.15	US
208.51.60.16	208.51.60.31	AE
208.51.60.32	208.52.0.255	US
208.52.1.0	208.52.1.255	A2
208.52.2.0	208.52.7.255	US
208.52.8.0	208.52.11.255	HT
208.52.12.0	208.52.16.255	US
208.52.17.0	208.52.17.255	BO
208.52.18.0	208.52.18.255	US
208.52.19.0	208.52.19.255	BO
208.52.20.0	208.52.20.255	US
208.52.21.0	208.52.21.255	BO
208.52.22.0	208.52.37.255	HT
208.52.38.0	208.52.39.255	US
208.52.40.0	208.52.47.255	HT
208.52.48.0	208.52.49.255	US
208.52.50.0	208.52.53.255	PY
208.52.54.0	208.52.78.255	US
208.52.79.0	208.52.79.255	A2
208.52.80.0	208.52.80.31	BO
208.52.80.32	208.52.80.63	US
208.52.80.64	208.52.85.255	BO
208.52.86.0	208.52.87.255	US
208.52.88.0	208.52.91.255	BO
208.52.92.0	208.52.92.255	NA
208.52.93.0	208.53.3.63	US
208.53.3.64	208.53.3.95	CY
208.53.3.96	208.53.5.255	US
208.53.6.0	208.53.6.255	CA
208.53.7.0	208.53.15.31	US
208.53.15.32	208.53.15.63	DE
208.53.15.64	208.53.20.255	US
208.53.21.0	208.53.21.63	CA
208.53.21.64	208.53.21.127	US
208.53.21.128	208.53.21.223	CA
208.53.21.224	208.53.22.159	US
208.53.22.160	208.53.22.191	CA
208.53.22.192	208.53.27.31	US
208.53.27.32	208.53.27.63	CY
208.53.27.64	208.54.175.255	US
208.54.176.0	208.54.191.255	PR
208.54.192.0	208.62.18.191	US
208.62.18.192	208.62.18.223	A2
208.62.18.224	208.64.43.255	US
208.64.44.0	208.64.47.255	VG
208.64.48.0	208.64.75.255	US
208.64.76.0	208.64.79.255	BM
208.64.80.0	208.64.103.255	US
208.64.104.0	208.64.107.255	CA
208.64.108.0	208.64.179.255	US
208.64.180.0	208.64.180.255	AE
208.64.181.0	208.64.181.31	IL
208.64.181.32	208.64.181.191	US
208.64.181.192	208.64.181.199	AE
208.64.181.200	208.64.181.223	US
208.64.181.224	208.64.181.255	AE
208.64.182.0	208.64.182.127	US
208.64.182.128	208.64.182.159	CA
208.64.182.160	208.64.183.135	US
208.64.183.136	208.64.183.143	CA
208.64.183.144	208.64.188.191	US
208.64.188.192	208.64.188.207	KW
208.64.188.208	208.64.202.255	US
208.64.203.0	208.64.203.31	GB
208.64.203.32	208.64.229.255	US
208.64.230.0	208.64.230.255	CA
208.64.231.0	208.65.59.255	US
208.65.60.0	208.65.63.255	CA
208.65.64.0	208.65.239.255	US
208.65.240.0	208.65.247.255	CA
208.65.248.0	208.65.255.255	US
208.66.0.0	208.66.1.63	CA
208.66.1.64	208.66.1.127	US
208.66.1.128	208.66.3.255	CA
208.66.4.0	208.66.15.255	US
208.66.16.0	208.66.19.255	CA
208.66.20.0	208.66.47.255	US
208.66.48.0	208.66.55.255	AI
208.66.56.0	208.66.67.255	US
208.66.68.0	208.66.68.255	CA
208.66.69.0	208.66.69.15	US
208.66.69.16	208.66.69.23	SA
208.66.69.24	208.66.69.31	US
208.66.69.32	208.66.69.79	CA
208.66.69.80	208.66.69.87	US
208.66.69.88	208.66.69.127	CA
208.66.69.128	208.66.69.143	US
208.66.69.144	208.66.69.159	CA
208.66.69.160	208.66.69.191	BR
208.66.69.192	208.66.69.215	US
208.66.69.216	208.66.70.66	CA
208.66.70.67	208.66.70.88	US
208.66.70.89	208.66.70.95	CA
208.66.70.96	208.66.70.127	FR
208.66.70.128	208.66.70.159	US
208.66.70.160	208.66.71.255	CA
208.66.72.0	208.66.91.255	US
208.66.92.0	208.66.95.255	CA
208.66.96.0	208.66.97.95	US
208.66.97.96	208.66.97.111	HK
208.66.97.112	208.66.111.255	US
208.66.112.0	208.66.119.255	CA
208.66.120.0	208.66.191.255	US
208.66.193.0	208.66.193.79	US
208.66.193.80	208.66.193.95	BY
208.66.193.96	208.66.193.111	CY
208.66.193.112	208.66.193.175	US
208.66.193.176	208.66.193.192	RU
208.66.193.193	208.66.193.255	ES
208.66.194.0	208.66.194.63	US
208.66.194.64	208.66.194.79	CA
208.66.194.80	208.66.194.95	RU
208.66.194.96	208.66.195.31	US
208.66.195.32	208.66.195.63	CA
208.66.195.64	208.66.195.95	US
208.66.195.96	208.66.195.127	RU
208.66.195.128	208.66.195.193	EE
208.66.195.194	208.66.195.207	US
208.66.195.208	208.66.195.215	RU
208.66.196.0	208.66.227.255	US
208.66.228.0	208.66.231.255	CA
208.66.232.0	208.66.247.255	US
208.66.248.0	208.66.255.255	CA
208.67.0.0	208.67.79.255	US
208.67.88.0	208.67.91.255	US
208.67.92.0	208.67.95.255	CA
208.67.96.0	208.67.143.255	US
208.67.144.0	208.67.151.255	CA
208.67.152.0	208.67.167.255	US
208.67.168.0	208.67.171.255	CA
208.67.172.0	208.67.198.95	US
208.67.198.96	208.67.198.111	SB
208.67.198.112	208.67.198.207	US
208.67.198.208	208.67.198.223	VI
208.67.198.224	208.67.225.100	US
208.67.225.101	208.67.225.108	GB
208.67.225.109	208.67.226.1	US
208.67.226.2	208.67.226.26	GB
208.67.226.27	208.67.226.99	US
208.67.226.100	208.67.226.129	LB
208.67.226.130	208.67.226.163	US
208.67.226.164	208.67.226.173	GB
208.67.226.174	208.67.226.229	US
208.67.226.230	208.67.226.246	CA
208.67.226.247	208.67.227.139	US
208.67.227.140	208.67.227.157	CA
208.67.227.158	208.67.227.193	US
208.67.227.194	208.67.227.209	CA
208.67.227.210	208.67.243.255	US
208.67.248.0	208.67.248.143	US
208.67.248.144	208.67.248.159	AU
208.67.248.160	208.67.252.55	US
208.67.252.56	208.67.252.63	CA
208.67.252.64	208.67.252.79	US
208.67.252.80	208.67.252.87	GB
208.67.252.88	208.67.252.159	US
208.67.252.160	208.67.252.167	NL
208.67.252.168	208.68.15.255	US
208.68.16.0	208.68.19.255	CA
208.68.20.0	208.68.71.255	US
208.68.72.0	208.68.75.255	CA
208.68.76.0	208.68.87.255	US
208.68.88.0	208.68.95.39	CA
208.68.95.40	208.68.95.47	US
208.68.95.48	208.68.95.255	CA
208.68.96.0	208.68.103.255	US
208.68.104.0	208.68.107.255	CA
208.68.108.0	208.68.162.191	US
208.68.162.192	208.68.162.223	CH
208.68.162.224	208.68.199.255	US
208.68.200.0	208.68.207.255	CA
208.68.208.0	208.68.250.255	US
208.68.251.0	208.68.251.255	SN
208.68.252.0	208.69.7.255	US
208.69.8.0	208.69.15.255	CA
208.69.16.0	208.69.55.255	US
208.69.56.0	208.69.56.143	CA
208.69.56.144	208.69.56.164	FR
208.69.56.165	208.69.56.200	CA
208.69.56.201	208.69.56.208	AE
208.69.56.209	208.69.56.245	CA
208.69.56.246	208.69.56.254	FR
208.69.56.255	208.69.57.32	CA
208.69.57.33	208.69.57.56	AE
208.69.57.57	208.69.57.65	FR
208.69.57.66	208.69.57.100	CA
208.69.57.101	208.69.57.110	US
208.69.57.111	208.69.57.113	CA
208.69.57.114	208.69.57.128	US
208.69.57.129	208.69.57.180	CA
208.69.57.181	208.69.57.190	US
208.69.57.191	208.69.58.0	CA
208.69.58.1	208.69.58.17	AE
208.69.58.18	208.69.58.193	CA
208.69.58.194	208.69.58.207	US
208.69.58.208	208.69.59.243	CA
208.69.59.244	208.69.59.244	US
208.69.59.245	208.69.59.255	CA
208.69.60.0	208.69.93.127	US
208.69.93.128	208.69.93.167	CA
208.69.93.168	208.69.93.191	US
208.69.93.192	208.69.93.223	CA
208.69.93.224	208.69.177.95	US
208.69.177.96	208.69.177.111	RU
208.69.177.112	208.69.178.15	US
208.69.178.16	208.69.178.31	CA
208.69.178.32	208.69.179.127	US
208.69.179.128	208.69.179.191	IN
208.69.179.192	208.69.181.127	US
208.69.181.128	208.69.181.159	BZ
208.69.181.160	208.69.183.239	US
208.69.183.240	208.69.183.255	CA
208.69.184.0	208.69.230.135	US
208.69.230.136	208.69.230.143	AU
208.69.230.144	208.69.230.159	US
208.69.230.160	208.69.230.167	IN
208.69.230.168	208.69.231.127	US
208.69.231.128	208.69.231.159	GB
208.69.231.160	208.69.231.199	US
208.69.231.200	208.69.231.207	CO
208.69.231.208	208.69.239.255	US
208.69.240.0	208.69.247.255	CA
208.69.248.0	208.69.251.255	US
208.69.252.0	208.70.7.255	CA
208.70.8.0	208.70.55.255	US
208.70.56.0	208.70.63.255	CA
208.70.64.0	208.70.72.127	US
208.70.72.128	208.70.72.143	AE
208.70.72.144	208.70.72.207	US
208.70.72.208	208.70.72.223	PK
208.70.72.224	208.70.74.31	US
208.70.74.32	208.70.74.47	GB
208.70.74.48	208.70.77.127	US
208.70.77.128	208.70.77.159	TH
208.70.77.160	208.70.77.175	UA
208.70.77.176	208.70.79.143	US
208.70.79.144	208.70.79.159	UA
208.70.79.160	208.70.91.255	US
208.70.92.0	208.70.95.255	KN
208.70.96.0	208.70.103.255	US
208.70.104.0	208.70.111.255	CA
208.70.112.0	208.70.165.255	US
208.70.166.0	208.70.167.255	GB
208.70.168.0	208.70.169.31	US
208.70.169.32	208.70.169.39	GB
208.70.169.40	208.70.169.191	US
208.70.169.192	208.70.169.255	GB
208.70.170.0	208.70.181.255	US
208.70.182.0	208.70.183.255	UM
208.70.184.0	208.70.200.15	US
208.70.200.16	208.70.200.31	TH
208.70.200.32	208.70.200.39	US
208.70.200.40	208.70.200.47	SC
208.70.200.48	208.70.200.79	US
208.70.200.80	208.70.200.87	SC
208.70.200.88	208.70.202.199	US
208.70.202.200	208.70.202.223	TW
208.70.202.224	208.70.204.255	US
208.70.205.0	208.70.205.127	TW
208.70.205.128	208.70.206.63	US
208.70.206.64	208.70.206.127	SG
208.70.206.128	208.70.206.255	US
208.70.207.0	208.70.207.255	TW
208.70.208.0	208.70.211.255	US
208.70.212.0	208.70.215.255	CA
208.70.216.0	208.70.243.255	US
208.70.244.0	208.70.247.255	CA
208.70.248.0	208.70.252.175	US
208.70.252.176	208.70.252.183	GB
208.70.252.184	208.70.252.191	RO
208.70.252.192	208.70.253.111	US
208.70.253.112	208.70.253.127	CO
208.70.253.128	208.70.253.143	US
208.70.253.144	208.70.253.159	MX
208.70.253.160	208.70.253.175	ES
208.70.253.176	208.70.254.63	US
208.70.254.64	208.70.254.79	AU
208.70.254.80	208.71.7.255	US
208.71.8.0	208.71.11.255	CA
208.71.12.0	208.71.87.255	US
208.71.88.0	208.71.91.255	CA
208.71.92.0	208.71.111.255	US
208.71.112.0	208.71.119.255	CA
208.71.120.0	208.71.140.255	US
208.71.141.0	208.71.141.7	AU
208.71.141.8	208.71.141.15	US
208.71.141.16	208.71.141.23	CA
208.71.141.24	208.71.175.255	US
208.71.176.0	208.71.179.255	CA
208.71.180.0	208.71.183.255	US
208.71.184.0	208.71.187.255	CA
208.71.188.0	208.72.3.255	US
208.72.4.0	208.72.7.255	CA
208.72.8.0	208.72.115.255	US
208.72.120.0	208.72.127.255	CA
208.72.128.0	208.72.154.7	US
208.72.154.8	208.72.154.15	CA
208.72.154.16	208.72.154.63	US
208.72.154.64	208.72.154.95	ID
208.72.154.96	208.72.154.151	US
208.72.154.152	208.72.154.159	JO
208.72.154.160	208.72.154.167	US
208.72.154.168	208.72.154.175	BR
208.72.154.176	208.72.154.179	CA
208.72.154.180	208.72.155.7	US
208.72.155.8	208.72.155.15	CA
208.72.155.16	208.72.155.23	IE
208.72.155.24	208.72.155.79	US
208.72.155.80	208.72.155.87	FR
208.72.155.88	208.72.155.95	US
208.72.155.96	208.72.155.103	GR
208.72.155.104	208.72.155.111	US
208.72.155.112	208.72.155.127	PT
208.72.155.128	208.72.155.143	US
208.72.155.144	208.72.155.151	TR
208.72.155.152	208.72.155.175	US
208.72.155.176	208.72.155.183	BR
208.72.155.184	208.72.155.199	US
208.72.155.200	208.72.155.207	RU
208.72.155.208	208.72.155.211	ES
208.72.155.212	208.72.158.255	US
208.72.159.0	208.72.159.15	BO
208.72.159.16	208.72.159.191	US
208.72.159.192	208.72.159.223	CA
208.72.159.224	208.72.175.255	US
208.72.176.0	208.72.179.255	CA
208.72.180.0	208.72.186.63	US
208.72.186.64	208.72.186.79	CA
208.72.186.80	208.72.190.63	US
208.72.190.64	208.72.190.79	CA
208.72.190.80	208.72.207.255	US
208.72.208.0	208.72.211.255	CA
208.72.212.0	208.72.227.255	US
208.72.228.0	208.72.228.95	GP
208.72.228.96	208.72.228.111	KN
208.72.228.112	208.72.228.135	GP
208.72.228.136	208.72.228.143	KN
208.72.228.144	208.72.228.175	GP
208.72.228.176	208.72.228.183	KN
208.72.228.184	208.72.228.255	GP
208.72.229.0	208.72.229.255	VC
208.72.230.0	208.72.230.255	KN
208.72.231.0	208.72.231.255	DM
208.72.232.0	208.72.235.255	CA
208.72.236.0	208.73.15.255	US
208.73.16.0	208.73.23.255	CA
208.73.24.0	208.73.35.112	US
208.73.35.113	208.73.35.142	PH
208.73.35.143	208.73.39.255	US
208.73.40.0	208.73.43.255	CA
208.73.44.0	208.73.49.179	US
208.73.49.180	208.73.49.187	GB
208.73.49.188	208.73.51.9	US
208.73.51.10	208.73.51.73	PH
208.73.51.74	208.73.51.89	US
208.73.51.90	208.73.51.99	FR
208.73.51.100	208.73.51.119	US
208.73.51.120	208.73.51.143	DE
208.73.51.144	208.73.55.255	US
208.73.56.0	208.73.59.255	CA
208.73.60.0	208.73.75.255	US
208.73.76.0	208.73.79.255	CA
208.73.80.0	208.73.87.255	US
208.73.96.0	208.73.218.159	US
208.73.218.160	208.73.218.175	AU
208.73.218.176	208.73.255.255	US
208.74.0.0	208.74.7.255	CA
208.74.8.0	208.74.9.239	US
208.74.9.240	208.74.9.255	NO
208.74.10.0	208.74.23.255	US
208.74.24.0	208.74.27.255	CA
208.74.28.0	208.74.111.255	US
208.74.112.0	208.74.115.255	A2
208.74.116.0	208.74.171.72	US
208.74.171.73	208.74.171.80	GB
208.74.171.81	208.74.171.85	US
208.74.171.86	208.74.171.93	ES
208.74.171.94	208.74.171.166	US
208.74.171.167	208.74.171.174	GB
208.74.171.175	208.74.171.186	US
208.74.171.187	208.74.171.194	ES
208.74.171.195	208.74.172.31	US
208.74.172.32	208.74.172.63	TR
208.74.172.64	208.74.173.173	US
208.74.173.174	208.74.173.194	CA
208.74.173.195	208.74.173.227	US
208.74.173.228	208.74.173.236	CA
208.74.173.237	208.74.174.31	US
208.74.174.32	208.74.174.63	TR
208.74.174.64	208.74.174.127	US
208.74.174.128	208.74.174.159	TR
208.74.174.160	208.74.175.0	US
208.74.175.1	208.74.175.31	CN
208.74.175.32	208.74.207.255	US
208.74.208.0	208.74.215.255	CA
208.74.216.0	208.75.71.255	US
208.75.72.0	208.75.75.255	CA
208.75.76.0	208.75.115.255	US
208.75.116.0	208.75.119.255	CA
208.75.120.0	208.75.135.255	US
208.75.136.0	208.75.139.255	CA
208.75.140.0	208.75.188.7	US
208.75.188.8	208.75.188.15	DE
208.75.188.16	208.75.188.23	US
208.75.188.24	208.75.188.31	GB
208.75.188.32	208.75.188.39	ES
208.75.188.40	208.75.188.63	US
208.75.188.64	208.75.188.71	CR
208.75.188.72	208.75.188.79	SA
208.75.188.80	208.75.188.87	MY
208.75.188.88	208.75.188.95	CA
208.75.188.96	208.75.188.111	US
208.75.188.112	208.75.188.119	CA
208.75.188.120	208.75.188.127	LT
208.75.188.128	208.75.188.135	UA
208.75.188.136	208.75.188.143	GB
208.75.188.144	208.75.188.151	US
208.75.188.152	208.75.188.159	CA
208.75.188.160	208.75.188.167	RU
208.75.188.168	208.75.188.183	US
208.75.188.184	208.75.188.191	NL
208.75.188.192	208.75.188.199	CA
208.75.188.200	208.75.188.207	ES
208.75.188.208	208.75.188.215	US
208.75.188.216	208.75.188.223	ZA
208.75.188.224	208.75.189.15	US
208.75.189.16	208.75.189.23	CA
208.75.189.24	208.75.189.31	US
208.75.189.32	208.75.189.39	CA
208.75.189.40	208.75.189.79	US
208.75.189.80	208.75.189.87	RU
208.75.189.88	208.75.189.95	IL
208.75.189.96	208.75.189.119	US
208.75.189.120	208.75.189.127	ZA
208.75.189.128	208.75.189.135	GB
208.75.189.136	208.75.189.143	MK
208.75.189.144	208.75.189.159	US
208.75.189.160	208.75.189.167	BY
208.75.189.168	208.75.189.175	US
208.75.189.176	208.75.189.183	JP
208.75.189.184	208.75.189.191	NL
208.75.189.192	208.75.189.199	DE
208.75.189.200	208.75.189.207	US
208.75.189.208	208.75.189.215	ZA
208.75.189.216	208.75.189.223	SG
208.75.189.224	208.75.189.239	US
208.75.189.240	208.75.189.247	DE
208.75.189.248	208.75.189.255	RU
208.75.190.0	208.75.190.7	US
208.75.190.8	208.75.190.23	CA
208.75.190.24	208.75.190.31	US
208.75.190.32	208.75.190.39	RU
208.75.190.40	208.75.190.47	CA
208.75.190.48	208.75.190.55	US
208.75.190.56	208.75.190.63	CA
208.75.190.64	208.75.190.87	US
208.75.190.88	208.75.190.95	CA
208.75.190.96	208.75.190.103	US
208.75.190.104	208.75.190.111	CA
208.75.190.112	208.75.190.119	US
208.75.190.120	208.75.190.135	CA
208.75.190.136	208.75.190.143	JP
208.75.190.144	208.75.190.151	DE
208.75.190.152	208.75.190.167	US
208.75.190.168	208.75.190.175	CA
208.75.190.176	208.75.190.183	US
208.75.190.184	208.75.190.191	CA
208.75.190.192	208.75.190.207	AU
208.75.190.208	208.75.190.215	RU
208.75.190.216	208.75.190.223	CA
208.75.190.224	208.75.191.23	US
208.75.191.24	208.75.191.31	CA
208.75.191.32	208.75.191.39	UA
208.75.191.40	208.75.191.47	NL
208.75.191.48	208.75.191.87	US
208.75.191.88	208.75.191.95	VG
208.75.191.96	208.75.191.103	IT
208.75.191.104	208.75.191.119	US
208.75.191.120	208.75.191.127	AU
208.75.191.128	208.75.191.135	US
208.75.191.136	208.75.191.143	UA
208.75.191.144	208.75.191.159	US
208.75.191.160	208.75.191.175	CA
208.75.191.176	208.75.191.183	UA
208.75.191.184	208.75.191.199	US
208.75.191.200	208.75.191.207	CA
208.75.191.208	208.75.191.223	US
208.75.191.224	208.75.191.231	RO
208.75.191.232	208.75.191.239	US
208.75.191.240	208.75.191.247	AE
208.75.191.248	208.75.191.255	AU
208.75.192.0	208.75.199.255	US
208.75.200.0	208.75.203.255	BM
208.75.204.0	208.76.39.255	US
208.76.40.0	208.76.43.255	CA
208.76.44.0	208.76.71.255	US
208.76.72.0	208.76.75.255	CA
208.76.76.0	208.76.103.255	US
208.76.104.0	208.76.108.63	CA
208.76.108.64	208.76.108.127	US
208.76.108.128	208.76.111.127	CA
208.76.111.128	208.76.111.135	US
208.76.111.136	208.76.111.255	CA
208.76.112.0	208.76.220.31	US
208.76.220.32	208.76.220.39	CA
208.76.220.40	208.76.220.95	US
208.76.220.96	208.76.220.103	CA
208.76.220.104	208.76.220.127	US
208.76.220.128	208.76.220.135	CA
208.76.220.136	208.76.220.167	US
208.76.220.168	208.76.220.175	GB
208.76.220.176	208.76.220.183	JP
208.76.220.184	208.76.221.15	US
208.76.221.16	208.76.221.23	CA
208.76.221.24	208.76.221.31	US
208.76.221.32	208.76.221.39	RU
208.76.221.40	208.76.221.91	US
208.76.221.92	208.76.221.95	AR
208.76.221.96	208.76.221.223	US
208.76.221.224	208.76.221.231	GB
208.76.221.232	208.76.222.7	US
208.76.222.8	208.76.222.15	CA
208.76.222.16	208.76.222.119	US
208.76.222.120	208.76.222.127	GB
208.76.222.128	208.76.223.39	US
208.76.223.40	208.76.223.47	CA
208.76.223.48	208.76.223.91	US
208.76.223.92	208.76.223.95	EG
208.76.223.96	208.76.223.135	US
208.76.223.136	208.76.223.143	EG
208.76.223.144	208.76.227.255	US
208.76.228.0	208.76.231.255	CA
208.76.232.0	208.77.19.255	US
208.77.20.0	208.77.23.255	CA
208.77.24.0	208.77.79.255	US
208.77.80.0	208.77.87.255	CA
208.77.88.0	208.77.91.255	US
208.77.92.0	208.77.95.255	CA
208.77.96.0	208.77.139.255	US
208.77.140.0	208.77.143.255	CA
208.77.144.0	208.77.146.127	US
208.77.146.128	208.77.146.135	DK
208.77.146.136	208.77.148.63	US
208.77.148.64	208.77.148.71	AU
208.77.148.72	208.77.148.215	US
208.77.148.216	208.77.148.223	AU
208.77.148.224	208.77.151.63	US
208.77.151.64	208.77.151.71	CN
208.77.151.72	208.77.195.255	US
208.77.196.0	208.77.199.255	CA
208.77.200.0	208.77.217.255	US
208.77.218.0	208.77.218.7	ES
208.77.218.8	208.77.218.39	US
208.77.218.40	208.77.218.47	JP
208.77.218.48	208.77.218.55	US
208.77.218.56	208.77.218.63	MX
208.77.218.64	208.77.218.111	US
208.77.218.112	208.77.218.119	DE
208.77.218.120	208.77.218.135	US
208.77.218.136	208.77.218.143	ES
208.77.218.144	208.77.221.127	US
208.77.221.128	208.77.221.143	AU
208.77.221.144	208.77.223.7	US
208.77.223.8	208.77.223.15	CA
208.77.223.16	208.77.223.55	US
208.77.223.56	208.77.223.63	GB
208.77.223.64	208.77.223.95	US
208.77.223.96	208.77.223.103	GB
208.77.223.104	208.77.223.159	US
208.77.223.160	208.77.223.175	GB
208.77.223.176	208.77.223.239	US
208.77.223.240	208.77.223.247	ES
208.77.223.248	208.78.15.255	US
208.78.16.0	208.78.19.255	CA
208.78.20.0	208.78.47.255	US
208.78.48.0	208.78.55.255	MF
208.78.56.0	208.78.56.127	A2
208.78.56.128	208.78.56.159	GB
208.78.56.160	208.78.63.255	A2
208.78.64.0	208.79.55.255	US
208.79.56.0	208.79.63.255	CA
208.79.64.0	208.79.89.31	US
208.79.89.32	208.79.89.39	CA
208.79.89.40	208.79.89.55	US
208.79.89.56	208.79.89.63	AU
208.79.89.64	208.79.95.47	US
208.79.95.48	208.79.95.55	JP
208.79.95.56	208.79.95.223	US
208.79.95.224	208.79.95.231	AU
208.79.95.232	208.79.95.255	US
208.79.96.0	208.79.98.255	VC
208.79.99.0	208.79.99.255	DM
208.79.100.0	208.79.111.255	US
208.79.112.0	208.79.115.255	CA
208.79.116.0	208.79.215.255	US
208.79.216.0	208.79.219.255	CA
208.79.220.0	208.80.51.255	US
208.80.52.0	208.80.53.255	CA
208.80.54.0	208.80.95.255	US
208.80.96.0	208.80.103.255	CA
208.80.104.0	208.80.135.255	US
208.80.136.0	208.80.139.255	CA
208.80.140.0	208.80.235.255	US
208.80.236.0	208.80.239.255	PR
208.80.240.0	208.80.251.255	US
208.80.252.0	208.81.11.255	CA
208.81.12.0	208.81.35.255	US
208.81.40.0	208.81.47.255	CA
208.81.48.0	208.81.119.255	US
208.81.120.0	208.81.123.255	CA
208.81.124.0	208.81.143.255	US
208.81.144.0	208.81.147.255	CA
208.81.148.0	208.81.159.255	US
208.81.160.0	208.81.163.255	KN
208.81.164.0	208.81.167.255	US
208.81.168.0	208.81.175.255	PR
208.81.176.0	208.81.176.48	US
208.81.176.49	208.81.176.56	SG
208.81.176.57	208.81.211.255	US
208.81.212.0	208.81.215.255	CA
208.81.216.0	208.82.119.255	US
208.82.120.0	208.82.123.255	CA
208.82.124.0	208.82.130.63	US
208.82.130.64	208.82.130.79	PL
208.82.130.80	208.82.131.239	US
208.82.131.240	208.82.131.255	PL
208.82.132.0	208.82.163.255	US
208.82.164.0	208.82.167.255	BM
208.82.168.0	208.82.215.255	US
208.82.216.0	208.82.219.255	KY
208.82.220.0	208.82.247.255	US
208.82.248.0	208.82.255.255	CA
208.83.0.0	208.83.79.255	US
208.83.80.0	208.83.87.255	AG
208.83.88.0	208.83.140.199	US
208.83.140.200	208.83.140.207	IN
208.83.140.208	208.83.140.215	US
208.83.140.216	208.83.140.223	AR
208.83.140.224	208.83.140.239	US
208.83.140.240	208.83.140.247	IN
208.83.140.248	208.83.142.79	US
208.83.142.80	208.83.142.87	PR
208.83.142.88	208.83.207.255	US
208.83.208.0	208.83.210.127	CA
208.83.210.128	208.83.210.255	US
208.83.211.0	208.83.212.63	CA
208.83.212.64	208.83.212.71	US
208.83.212.72	208.83.212.135	CA
208.83.212.136	208.83.212.143	US
208.83.212.144	208.83.212.151	CA
208.83.212.152	208.83.212.159	US
208.83.212.160	208.83.215.255	CA
208.83.216.0	208.83.221.47	US
208.83.221.48	208.83.221.55	SE
208.83.221.56	208.83.249.79	US
208.83.249.80	208.83.249.87	CA
208.83.249.88	208.84.103.255	US
208.84.104.0	208.84.107.255	CA
208.84.108.0	208.84.191.255	US
208.84.192.0	208.84.199.255	VI
208.84.200.0	208.84.207.255	VC
208.84.208.0	208.85.79.255	US
208.85.80.0	208.85.87.255	CA
208.85.88.0	208.85.111.255	US
208.85.112.0	208.85.115.255	CA
208.85.116.0	208.85.215.255	US
208.85.216.0	208.85.223.255	CA
208.85.224.0	208.85.239.255	US
208.85.240.0	208.85.240.15	GB
208.85.240.16	208.86.135.255	US
208.86.136.0	208.86.139.255	A2
208.86.140.0	208.86.143.255	CA
208.86.144.0	208.86.203.255	US
208.86.204.0	208.86.207.255	CA
208.86.208.0	208.86.239.255	US
208.86.240.0	208.86.243.255	CA
208.86.244.0	208.87.19.255	US
208.87.20.0	208.87.23.255	CA
208.87.24.0	208.87.29.255	US
208.87.30.0	208.87.30.255	CA
208.87.31.0	208.87.31.255	US
208.87.32.0	208.87.39.255	BS
208.87.40.0	208.87.51.255	US
208.87.52.0	208.87.55.255	CA
208.87.56.0	208.87.143.255	US
208.87.144.0	208.87.147.255	KN
208.87.148.0	208.87.151.255	US
208.87.160.0	208.87.195.255	US
208.87.196.0	208.87.199.255	CA
208.87.200.0	208.88.3.255	US
208.88.4.0	208.88.7.255	CA
208.88.8.0	208.88.49.159	US
208.88.49.160	208.88.49.175	PL
208.88.49.176	208.88.49.191	US
208.88.49.192	208.88.49.207	IN
208.88.49.208	208.88.49.255	US
208.88.50.0	208.88.50.15	PL
208.88.50.16	208.88.50.255	US
208.88.51.0	208.88.51.15	PL
208.88.51.16	208.88.51.255	US
208.88.52.0	208.88.52.15	PL
208.88.52.16	208.88.52.255	US
208.88.53.0	208.88.53.15	PL
208.88.53.16	208.88.53.255	US
208.88.54.0	208.88.54.15	PL
208.88.54.16	208.88.55.143	US
208.88.55.144	208.88.55.159	PL
208.88.55.160	208.88.103.255	US
208.88.104.0	208.88.111.255	CA
208.88.112.0	208.88.139.255	US
208.88.140.0	208.88.143.255	CA
208.88.144.0	208.88.183.255	US
208.88.184.0	208.88.191.255	CA
208.88.192.0	208.88.195.255	US
208.88.196.0	208.88.199.255	CA
208.88.200.0	208.89.47.255	US
208.89.48.0	208.89.55.255	CA
208.89.56.0	208.89.83.255	US
208.89.84.0	208.89.87.255	CA
208.89.88.0	208.89.104.119	US
208.89.104.120	208.89.104.123	SG
208.89.104.124	208.89.127.255	US
208.89.128.0	208.89.131.255	CA
208.89.132.0	208.89.191.255	US
208.89.192.0	208.89.199.255	A2
208.89.200.0	208.89.216.255	US
208.89.217.0	208.89.217.118	CA
208.89.217.119	208.89.217.150	US
208.89.217.151	208.89.217.255	CA
208.89.218.0	208.89.219.31	US
208.89.219.32	208.89.219.64	CA
208.89.219.65	208.89.219.113	US
208.89.219.114	208.89.219.117	IN
208.89.219.118	208.89.219.221	US
208.89.219.222	208.89.219.227	CA
208.89.219.228	208.89.220.79	US
208.89.220.80	208.89.220.87	CA
208.89.220.88	208.89.220.255	US
208.89.221.0	208.89.221.255	CA
208.89.222.0	208.89.227.255	US
208.89.228.0	208.89.231.255	BM
208.89.232.0	208.90.79.255	US
208.90.80.0	208.90.87.255	CA
208.90.88.0	208.90.95.255	US
208.90.96.0	208.90.103.255	CA
208.90.104.0	208.90.111.255	US
208.90.112.0	208.90.115.255	MS
208.90.116.0	208.90.231.255	US
208.90.232.0	208.90.235.255	CA
208.90.236.0	208.90.239.255	US
208.90.240.0	208.90.247.255	CA
208.90.248.0	208.91.111.255	US
208.91.112.0	208.91.115.255	CA
208.91.120.0	208.91.128.79	US
208.91.128.80	208.91.128.95	GB
208.91.128.96	208.91.130.31	US
208.91.130.32	208.91.130.39	IN
208.91.130.40	208.91.130.55	US
208.91.130.56	208.91.130.63	CO
208.91.130.64	208.91.131.79	US
208.91.131.80	208.91.131.87	IN
208.91.131.88	208.91.191.255	US
208.91.192.0	208.91.194.255	GP
208.91.195.0	208.91.195.255	MF
208.91.196.0	208.91.239.255	US
208.91.244.0	208.91.247.255	US
208.91.248.0	208.91.251.255	CA
208.91.252.0	208.92.15.255	US
208.92.16.0	208.92.23.255	CA
208.92.32.0	208.92.51.255	US
208.92.52.0	208.92.55.255	CA
208.92.56.0	208.92.111.255	US
208.92.112.0	208.92.112.239	A2
208.92.112.240	208.92.119.255	CA
208.92.120.0	208.92.131.255	US
208.92.132.0	208.92.143.255	CA
208.92.144.0	208.92.195.255	US
208.92.196.0	208.92.199.255	CA
208.92.200.0	208.92.231.255	US
208.92.232.0	208.92.235.255	CA
208.92.236.0	208.93.99.191	US
208.93.99.192	208.93.99.255	CA
208.93.100.0	208.93.231.255	US
208.93.232.0	208.93.239.255	CA
208.93.240.0	208.94.27.255	US
208.94.28.0	208.94.31.255	CA
208.94.32.0	208.94.103.255	US
208.94.104.0	208.94.111.255	CA
208.94.112.0	208.94.159.255	US
208.94.160.0	208.94.167.255	CA
208.94.168.0	208.94.171.255	GP
208.94.172.0	208.94.175.255	CA
208.94.176.0	208.94.183.255	VC
208.94.184.0	208.94.195.255	US
208.94.196.0	208.94.199.255	CA
208.94.200.0	208.94.240.47	US
208.94.240.48	208.94.240.55	AM
208.94.240.56	208.94.240.63	US
208.94.240.64	208.94.240.71	RU
208.94.240.72	208.94.240.111	US
208.94.240.112	208.94.240.119	AU
208.94.240.120	208.94.240.143	US
208.94.240.144	208.94.240.159	CN
208.94.240.160	208.94.240.175	JP
208.94.240.176	208.94.240.231	US
208.94.240.232	208.94.240.239	AU
208.94.240.240	208.94.240.247	CA
208.94.240.248	208.94.241.207	US
208.94.241.208	208.94.241.215	AU
208.94.241.216	208.94.242.23	US
208.94.242.24	208.94.242.31	GB
208.94.242.32	208.94.242.47	US
208.94.242.48	208.94.242.55	TR
208.94.242.56	208.94.242.63	SA
208.94.242.64	208.94.242.103	US
208.94.242.104	208.94.242.111	AU
208.94.242.112	208.94.242.127	US
208.94.242.128	208.94.242.135	IN
208.94.242.136	208.94.242.143	US
208.94.242.144	208.94.242.151	EG
208.94.242.152	208.94.242.175	US
208.94.242.176	208.94.242.183	GB
208.94.242.184	208.94.242.215	US
208.94.242.216	208.94.242.223	BR
208.94.242.224	208.94.242.239	CN
208.94.242.240	208.94.243.95	US
208.94.243.96	208.94.243.103	AU
208.94.243.104	208.94.243.111	US
208.94.243.112	208.94.243.127	GM
208.94.243.128	208.94.243.239	US
208.94.243.240	208.94.243.255	CN
208.94.244.0	208.94.245.87	US
208.94.245.88	208.94.245.95	CA
208.94.245.96	208.94.245.207	US
208.94.245.208	208.94.245.215	AU
208.94.245.216	208.94.245.231	US
208.94.245.232	208.94.245.239	IN
208.94.245.240	208.94.245.255	CN
208.94.246.0	208.94.246.159	US
208.94.246.160	208.94.246.175	AU
208.94.246.176	208.94.246.191	US
208.94.246.192	208.94.246.199	BY
208.94.246.200	208.94.246.231	US
208.94.246.232	208.94.246.239	IN
208.94.246.240	208.94.246.255	US
208.94.247.0	208.94.247.7	RO
208.94.247.8	208.94.247.135	US
208.94.247.136	208.94.247.143	AU
208.94.247.144	208.94.247.175	US
208.94.247.176	208.94.247.191	CA
208.94.247.192	208.95.35.255	US
208.95.36.0	208.95.39.255	PR
208.95.40.0	208.95.171.255	US
208.95.172.0	208.95.175.255	CA
208.95.176.0	208.96.63.255	US
208.96.64.0	208.96.127.255	CA
208.96.128.0	208.96.139.255	NI
208.96.140.0	208.96.143.255	GT
208.96.144.0	208.97.63.255	US
208.97.64.0	208.97.127.255	CA
208.97.128.0	208.98.191.255	US
208.98.192.0	208.98.244.31	CA
208.98.244.32	208.98.244.63	US
208.98.244.64	208.98.255.255	CA
208.99.0.0	208.99.127.255	US
208.99.128.0	208.99.159.255	CA
208.99.160.0	208.99.161.255	US
208.99.162.0	208.99.163.255	CA
208.99.164.0	208.99.207.255	US
208.99.208.0	208.99.208.63	CA
208.99.208.64	208.99.222.15	US
208.99.222.16	208.99.222.31	ID
208.99.222.32	208.99.222.47	CA
208.99.222.48	208.101.63.255	US
208.101.64.0	208.101.127.255	CA
208.101.128.0	208.103.223.255	US
208.103.224.0	208.103.255.255	CA
208.104.0.0	208.110.15.255	US
208.110.16.0	208.110.31.255	A2
208.110.32.0	208.110.47.255	CA
208.110.48.0	208.110.64.127	US
208.110.64.128	208.110.64.191	TR
208.110.64.192	208.110.64.223	US
208.110.64.224	208.110.64.231	CA
208.110.64.232	208.110.64.239	US
208.110.64.240	208.110.64.255	GB
208.110.65.0	208.110.65.79	US
208.110.65.80	208.110.65.95	CA
208.110.65.96	208.110.65.127	US
208.110.65.128	208.110.65.143	IN
208.110.65.144	208.110.65.183	US
208.110.65.184	208.110.65.199	AU
208.110.65.200	208.110.66.39	US
208.110.66.40	208.110.66.47	IN
208.110.66.48	208.110.66.135	US
208.110.66.136	208.110.66.143	PK
208.110.66.144	208.110.66.151	US
208.110.66.152	208.110.66.159	PK
208.110.66.160	208.110.67.95	US
208.110.67.96	208.110.67.127	AU
208.110.67.128	208.110.68.103	US
208.110.68.104	208.110.68.111	PK
208.110.68.112	208.110.68.143	US
208.110.68.144	208.110.68.151	AU
208.110.68.152	208.110.68.175	US
208.110.68.176	208.110.68.207	AU
208.110.68.208	208.110.68.215	US
208.110.68.216	208.110.68.223	CA
208.110.68.224	208.110.68.231	AU
208.110.68.232	208.110.68.239	US
208.110.68.240	208.110.68.247	PK
208.110.68.248	208.110.68.255	US
208.110.69.0	208.110.69.7	TR
208.110.69.8	208.110.69.23	US
208.110.69.24	208.110.69.31	AU
208.110.69.32	208.110.69.63	US
208.110.69.64	208.110.69.71	AT
208.110.69.72	208.110.69.79	MY
208.110.69.80	208.110.69.87	RU
208.110.69.88	208.110.69.103	US
208.110.69.104	208.110.69.111	AU
208.110.69.112	208.110.69.151	US
208.110.69.152	208.110.69.175	AU
208.110.69.176	208.110.69.255	US
208.110.70.0	208.110.70.127	AU
208.110.70.128	208.110.70.167	US
208.110.70.168	208.110.70.175	AU
208.110.70.176	208.110.70.191	US
208.110.70.192	208.110.70.255	IN
208.110.71.0	208.110.71.31	AU
208.110.71.32	208.110.71.39	PT
208.110.71.40	208.110.71.47	GB
208.110.71.48	208.110.71.63	US
208.110.71.64	208.110.71.95	TR
208.110.71.96	208.110.71.143	US
208.110.71.144	208.110.71.159	AU
208.110.71.160	208.110.71.167	US
208.110.71.168	208.110.71.175	BR
208.110.71.176	208.110.71.215	US
208.110.71.216	208.110.71.223	DE
208.110.71.224	208.110.71.255	US
208.110.72.0	208.110.72.15	AU
208.110.72.16	208.110.72.23	US
208.110.72.24	208.110.72.31	AU
208.110.72.32	208.110.72.47	US
208.110.72.48	208.110.72.63	AU
208.110.72.64	208.110.72.79	US
208.110.72.80	208.110.72.95	AU
208.110.72.96	208.110.72.111	US
208.110.72.112	208.110.72.119	AU
208.110.72.120	208.110.73.7	US
208.110.73.8	208.110.73.15	AU
208.110.73.16	208.110.73.23	US
208.110.73.24	208.110.73.31	PK
208.110.73.32	208.110.73.47	US
208.110.73.48	208.110.73.79	AU
208.110.73.80	208.110.73.95	US
208.110.73.96	208.110.73.103	NO
208.110.73.104	208.110.92.255	US
208.110.93.0	208.110.93.7	RU
208.110.93.8	208.110.94.39	US
208.110.94.40	208.110.94.47	TR
208.110.94.48	208.110.95.255	US
208.110.96.0	208.110.127.255	CA
208.110.128.0	208.111.32.159	US
208.111.32.160	208.111.32.191	JP
208.111.32.192	208.111.63.255	US
208.111.64.0	208.111.95.255	CA
208.111.96.0	208.112.1.31	US
208.112.1.32	208.112.1.47	AU
208.112.1.48	208.112.1.111	US
208.112.1.112	208.112.1.127	DE
208.112.1.128	208.112.19.63	US
208.112.19.64	208.112.19.127	CA
208.112.19.128	208.112.27.199	US
208.112.27.200	208.112.27.207	CA
208.112.27.208	208.112.30.31	US
208.112.30.32	208.112.30.47	CA
208.112.30.48	208.112.32.247	US
208.112.32.248	208.112.32.255	AE
208.112.33.0	208.112.38.15	US
208.112.38.16	208.112.38.23	PK
208.112.38.24	208.112.38.31	US
208.112.38.32	208.112.38.39	AE
208.112.38.40	208.112.38.47	US
208.112.38.48	208.112.38.63	CA
208.112.38.64	208.112.53.159	US
208.112.53.160	208.112.53.167	GB
208.112.53.168	208.112.63.255	US
208.112.64.0	208.112.64.31	GB
208.112.64.32	208.112.64.55	US
208.112.64.56	208.112.64.95	GB
208.112.64.96	208.112.68.231	US
208.112.68.232	208.112.68.239	IL
208.112.68.240	208.112.71.95	US
208.112.71.96	208.112.71.111	PK
208.112.71.112	208.112.75.255	US
208.112.76.0	208.112.76.255	IL
208.112.77.0	208.112.78.15	US
208.112.78.16	208.112.78.31	CA
208.112.78.32	208.112.83.159	US
208.112.83.160	208.112.83.191	AU
208.112.83.192	208.112.87.215	US
208.112.87.216	208.112.87.223	CA
208.112.87.224	208.112.92.127	US
208.112.92.128	208.112.92.143	AU
208.112.92.144	208.112.92.223	US
208.112.92.224	208.112.92.239	GB
208.112.92.240	208.112.93.223	US
208.112.93.224	208.112.93.239	JP
208.112.93.240	208.112.94.103	US
208.112.94.104	208.112.94.111	PK
208.112.94.112	208.112.100.255	US
208.112.101.0	208.112.101.31	ES
208.112.101.32	208.112.101.103	US
208.112.101.104	208.112.101.111	CA
208.112.101.112	208.112.103.47	US
208.112.103.48	208.112.103.55	AE
208.112.103.56	208.112.107.31	US
208.112.107.32	208.112.107.39	MX
208.112.107.40	208.112.107.79	US
208.112.107.80	208.112.107.87	MX
208.112.107.88	208.112.107.127	US
208.112.107.128	208.112.107.143	AE
208.112.107.144	208.112.109.119	US
208.112.109.120	208.112.109.191	CA
208.112.109.192	208.112.109.207	US
208.112.109.208	208.112.109.223	TH
208.112.109.224	208.112.109.231	GB
208.112.109.232	208.112.110.31	US
208.112.110.32	208.112.110.47	TH
208.112.110.48	208.112.110.111	US
208.112.110.112	208.112.110.119	GB
208.112.110.120	208.112.115.15	US
208.112.115.16	208.112.115.23	IN
208.112.115.24	208.112.115.95	US
208.112.115.96	208.112.115.111	AU
208.112.115.112	208.112.116.111	US
208.112.116.112	208.112.116.119	CH
208.112.116.120	208.112.116.255	US
208.112.117.0	208.112.117.31	CH
208.112.117.32	208.112.117.159	US
208.112.117.160	208.112.117.167	CA
208.112.117.168	208.112.121.175	US
208.112.121.176	208.112.121.183	CA
208.112.121.184	208.112.126.167	US
208.112.126.168	208.112.126.175	CH
208.112.126.176	208.112.126.223	US
208.112.126.224	208.112.126.231	PK
208.112.126.232	208.112.255.255	US
208.113.0.0	208.113.63.255	CA
208.113.64.0	208.114.96.255	US
208.114.97.0	208.114.97.15	NL
208.114.97.16	208.114.97.119	US
208.114.97.120	208.114.97.142	DZ
208.114.97.143	208.114.115.135	US
208.114.115.136	208.114.115.143	NO
208.114.115.144	208.114.115.231	US
208.114.115.232	208.114.115.239	GB
208.114.115.240	208.114.116.7	US
208.114.116.8	208.114.116.15	MT
208.114.116.16	208.114.116.23	US
208.114.116.24	208.114.116.31	GB
208.114.116.32	208.114.116.39	PT
208.114.116.40	208.114.116.47	MT
208.114.116.48	208.114.116.167	US
208.114.116.168	208.114.116.175	MT
208.114.116.176	208.114.116.183	US
208.114.116.184	208.114.116.191	TN
208.114.116.192	208.114.116.199	US
208.114.116.200	208.114.116.207	GB
208.114.116.208	208.114.116.215	MT
208.114.116.216	208.114.122.47	US
208.114.122.48	208.114.122.55	NO
208.114.122.56	208.114.122.87	US
208.114.122.88	208.114.122.95	ES
208.114.122.96	208.114.122.119	GB
208.114.122.120	208.114.122.135	US
208.114.122.136	208.114.122.143	NO
208.114.122.144	208.114.122.183	US
208.114.122.184	208.114.122.191	ES
208.114.122.192	208.114.122.199	US
208.114.122.200	208.114.122.207	ES
208.114.122.208	208.114.122.255	US
208.114.123.0	208.114.123.135	DK
208.114.123.136	208.114.123.143	NO
208.114.123.144	208.114.123.159	DK
208.114.123.160	208.114.123.175	US
208.114.123.176	208.114.123.183	DK
208.114.123.184	208.114.125.255	US
208.114.126.0	208.114.126.7	GB
208.114.126.8	208.114.127.255	US
208.114.128.0	208.114.191.255	CA
208.114.192.0	208.115.97.7	US
208.115.97.8	208.115.97.15	IN
208.115.97.16	208.115.97.63	US
208.115.97.64	208.115.97.79	IN
208.115.97.80	208.115.102.111	US
208.115.102.112	208.115.102.127	CH
208.115.102.128	208.115.102.159	US
208.115.102.160	208.115.102.191	CH
208.115.102.192	208.115.102.199	US
208.115.102.200	208.115.102.207	ID
208.115.102.208	208.115.104.63	US
208.115.104.64	208.115.104.127	IN
208.115.104.128	208.115.106.127	US
208.115.106.128	208.115.106.159	CH
208.115.106.160	208.115.108.159	US
208.115.108.160	208.115.108.167	CN
208.115.108.168	208.115.108.255	US
208.115.109.0	208.115.109.63	IN
208.115.109.64	208.115.112.55	US
208.115.112.56	208.115.112.63	SG
208.115.112.64	208.115.112.151	US
208.115.112.152	208.115.112.159	IR
208.115.112.160	208.115.114.31	US
208.115.114.32	208.115.114.63	CH
208.115.114.64	208.115.114.79	US
208.115.114.80	208.115.114.95	CH
208.115.114.96	208.115.114.191	US
208.115.114.192	208.115.114.207	CH
208.115.114.208	208.115.115.15	US
208.115.115.16	208.115.115.31	GB
208.115.115.32	208.115.115.223	US
208.115.115.224	208.115.115.239	CH
208.115.115.240	208.115.115.247	CN
208.115.115.248	208.115.115.255	CH
208.115.116.0	208.115.116.127	US
208.115.116.128	208.115.116.143	CN
208.115.116.144	208.115.117.7	US
208.115.117.8	208.115.117.15	CN
208.115.117.16	208.115.119.47	US
208.115.119.48	208.115.119.55	CN
208.115.119.56	208.115.139.255	US
208.115.140.0	208.115.140.255	CN
208.115.141.0	208.116.2.199	US
208.116.2.200	208.116.2.207	GB
208.116.2.208	208.116.3.255	US
208.116.4.0	208.116.4.31	CA
208.116.4.32	208.116.7.17	US
208.116.7.18	208.116.7.54	GB
208.116.7.55	208.116.13.95	US
208.116.13.96	208.116.13.103	GB
208.116.13.104	208.116.19.255	US
208.116.20.0	208.116.20.63	GB
208.116.20.64	208.116.21.223	US
208.116.21.224	208.116.21.239	CA
208.116.21.240	208.116.22.79	US
208.116.22.80	208.116.22.95	CA
208.116.22.96	208.116.42.63	US
208.116.42.64	208.116.42.71	CA
208.116.42.72	208.116.43.63	US
208.116.43.64	208.116.43.95	CA
208.116.43.96	208.116.54.23	US
208.116.54.24	208.116.54.31	IN
208.116.54.32	208.116.54.231	US
208.116.54.232	208.116.54.239	IN
208.116.54.240	208.118.63.255	US
208.118.64.0	208.118.143.255	CA
208.118.144.0	208.118.207.255	US
208.118.208.0	208.118.223.255	CA
208.118.224.0	208.122.223.7	US
208.122.223.8	208.122.223.15	EC
208.122.223.16	208.122.239.255	US
208.122.240.0	208.122.247.255	A2
208.122.248.0	208.122.248.31	MR
208.122.248.32	208.122.253.255	A2
208.122.254.0	208.122.254.255	NG
208.122.255.0	208.122.255.255	A2
208.123.0.0	208.123.68.63	US
208.123.68.64	208.123.68.87	IN
208.123.68.88	208.123.69.159	US
208.123.69.160	208.123.69.167	CA
208.123.69.168	208.124.127.255	US
208.124.128.0	208.124.255.255	CA
208.125.0.0	208.131.31.255	US
208.131.32.0	208.131.32.31	JM
208.131.32.32	208.131.32.95	US
208.131.32.96	208.131.32.111	JM
208.131.32.112	208.131.32.255	US
208.131.33.0	208.131.33.255	JM
208.131.34.0	208.131.159.255	US
208.131.160.0	208.131.181.63	JM
208.131.181.64	208.131.181.71	US
208.131.181.72	208.131.191.255	JM
208.131.192.0	208.133.199.255	US
208.133.200.0	208.133.203.255	CR
208.133.204.0	208.133.205.255	US
208.133.206.0	208.133.206.255	CR
208.133.207.0	208.134.244.127	US
208.134.244.128	208.134.244.159	SG
208.134.244.160	208.135.2.255	US
208.135.3.0	208.135.7.255	PR
208.135.8.0	208.135.18.255	US
208.135.19.0	208.135.19.255	CL
208.135.20.0	208.135.21.255	US
208.135.22.0	208.135.23.255	CL
208.135.24.0	208.136.51.255	US
208.136.52.0	208.136.55.255	NL
208.136.56.0	208.136.101.255	US
208.136.102.0	208.136.102.255	WS
208.136.103.0	208.138.15.255	US
208.138.16.0	208.138.34.39	JM
208.138.34.40	208.138.34.47	CA
208.138.34.48	208.138.47.255	JM
208.138.48.0	208.138.215.255	US
208.138.216.0	208.138.223.255	PR
208.138.224.0	208.139.163.255	US
208.139.164.0	208.139.164.255	PF
208.139.165.0	208.145.89.159	US
208.145.89.160	208.145.89.191	MX
208.145.89.192	208.147.17.255	US
208.147.18.0	208.147.18.255	WS
208.147.19.0	208.148.167.255	US
208.148.168.0	208.148.169.255	MW
208.148.170.0	208.149.39.255	US
208.149.40.0	208.149.40.255	DE
208.149.41.0	208.149.43.255	US
208.149.44.0	208.149.44.95	DE
208.149.44.96	208.149.45.111	US
208.149.45.112	208.149.45.119	IT
208.149.45.120	208.149.95.255	US
208.149.96.0	208.149.99.255	IN
208.149.100.0	208.153.67.255	US
208.153.68.0	208.153.69.255	TZ
208.153.70.0	208.153.71.255	MG
208.153.72.0	208.157.143.255	US
208.157.144.0	208.157.151.255	KY
208.157.152.0	208.157.255.255	US
208.158.0.0	208.158.2.255	AG
208.158.3.0	208.158.3.255	KN
208.158.4.0	208.158.4.255	AG
208.158.5.0	208.158.5.255	DM
208.158.6.0	208.158.15.255	AG
208.158.16.0	208.158.237.127	US
208.158.237.128	208.158.237.255	SG
208.158.238.0	208.159.175.255	US
208.159.176.0	208.159.176.255	SE
208.159.177.0	208.159.177.255	GB
208.159.178.0	208.159.247.255	US
208.159.248.0	208.159.248.255	IT
208.159.249.0	208.161.241.255	US
208.161.242.0	208.161.242.63	IE
208.161.242.64	208.163.31.255	US
208.163.32.0	208.163.63.255	JM
208.163.64.0	208.163.110.127	US
208.163.110.128	208.163.110.143	GB
208.163.110.144	208.163.209.31	US
208.163.209.32	208.163.209.63	GB
208.163.209.64	208.165.47.255	US
208.165.48.0	208.165.63.255	CR
208.165.64.0	208.167.31.255	US
208.167.32.0	208.167.35.255	MZ
208.167.36.0	208.168.71.255	US
208.168.72.0	208.168.73.255	CL
208.168.74.0	208.168.141.255	US
208.168.142.0	208.168.143.255	CA
208.168.144.0	208.168.210.255	US
208.168.211.0	208.168.212.255	EC
208.168.213.0	208.168.213.255	HT
208.168.214.0	208.168.214.255	EC
208.168.215.0	208.168.215.255	HT
208.168.216.0	208.168.223.255	US
208.168.224.0	208.168.255.255	KY
208.169.0.0	208.169.63.255	US
208.169.64.0	208.169.95.255	KY
208.169.96.0	208.170.31.7	US
208.170.31.8	208.170.31.15	CA
208.170.31.16	208.170.32.7	US
208.170.32.8	208.170.32.15	CA
208.170.32.16	208.171.209.191	US
208.171.209.192	208.171.209.223	AU
208.171.209.224	208.175.203.7	US
208.175.203.8	208.175.203.15	AU
208.175.203.16	208.175.203.31	KR
208.175.203.32	208.175.207.255	US
208.175.208.0	208.175.208.31	SG
208.175.208.32	208.175.208.47	US
208.175.208.48	208.175.208.71	SG
208.175.208.72	208.175.208.191	US
208.175.208.192	208.175.208.255	SG
208.175.209.0	208.175.209.255	US
208.175.210.0	208.175.210.255	GB
208.175.211.0	208.175.211.215	US
208.175.211.216	208.175.211.223	IL
208.175.211.224	208.175.211.255	SG
208.175.212.0	208.180.255.255	US
208.181.0.0	208.181.255.255	CA
208.182.0.0	208.184.36.63	US
208.184.36.64	208.184.36.95	AU
208.184.36.96	208.184.48.231	US
208.184.48.232	208.184.48.247	AU
208.184.48.248	208.184.110.255	US
208.184.111.0	208.184.111.63	CA
208.184.111.64	208.185.93.255	US
208.185.94.0	208.185.94.255	CA
208.185.95.0	208.185.128.127	US
208.185.128.128	208.185.128.159	HK
208.185.128.160	208.188.82.119	US
208.188.82.120	208.188.82.127	PR
208.188.82.128	208.188.125.223	US
208.188.125.224	208.188.125.231	PR
208.188.125.232	208.188.125.239	US
208.188.125.240	208.188.125.247	PR
208.188.125.248	208.188.249.239	US
208.188.249.240	208.188.249.247	PR
208.188.249.248	208.189.91.247	US
208.189.91.248	208.189.91.255	PR
208.189.92.0	208.189.137.79	US
208.189.137.80	208.189.137.87	PR
208.189.137.88	208.189.207.31	US
208.189.207.32	208.189.207.39	PR
208.189.207.40	208.190.124.247	US
208.190.124.248	208.190.124.255	PR
208.190.125.0	208.190.133.111	US
208.190.133.112	208.190.133.119	PR
208.190.133.120	208.190.182.31	US
208.190.182.32	208.190.182.39	PR
208.190.182.40	208.190.182.47	US
208.190.182.48	208.190.182.55	PR
208.190.182.56	208.191.93.47	US
208.191.93.48	208.191.93.55	PR
208.191.93.56	208.191.93.175	US
208.191.93.176	208.191.93.183	PR
208.191.93.184	208.191.95.23	US
208.191.95.24	208.191.95.31	PR
208.191.95.32	208.191.114.47	US
208.191.114.48	208.191.114.55	PR
208.191.114.56	208.194.168.255	US
208.194.169.0	208.194.169.255	GU
208.194.170.0	208.194.250.255	US
208.194.251.0	208.194.251.255	PK
208.194.252.0	208.195.115.255	US
208.195.116.0	208.195.119.255	MX
208.195.120.0	208.196.49.255	US
208.196.50.0	208.196.51.255	LK
208.196.52.0	208.196.136.255	US
208.196.137.0	208.196.137.255	CA
208.196.138.0	208.196.154.255	US
208.196.155.0	208.196.155.255	BS
208.196.156.0	208.198.179.255	US
208.198.180.0	208.198.180.255	MC
208.198.181.0	208.202.118.255	US
208.202.119.0	208.202.119.255	GU
208.202.120.0	208.203.111.255	US
208.203.112.0	208.203.113.255	NL
208.203.114.0	208.203.244.127	US
208.203.244.128	208.203.244.159	GB
208.203.244.160	208.204.109.255	US
208.204.110.0	208.204.110.15	CA
208.204.110.16	208.206.175.255	US
208.206.176.0	208.206.177.255	CR
208.206.178.0	208.206.212.7	US
208.206.212.8	208.206.212.23	NL
208.206.212.24	208.206.239.167	US
208.206.239.168	208.206.239.175	CA
208.206.239.176	208.207.1.255	US
208.207.2.0	208.207.2.15	CA
208.207.2.16	208.207.91.255	US
208.207.92.0	208.207.93.255	PK
208.207.94.0	208.208.119.255	US
208.208.120.0	208.208.121.255	KE
208.208.122.0	208.208.122.255	A2
208.208.123.0	208.209.54.255	US
208.209.55.0	208.209.55.255	A2
208.209.56.0	208.209.109.255	US
208.209.110.0	208.209.110.255	CH
208.209.111.0	208.209.218.111	US
208.209.218.112	208.209.218.127	PR
208.209.218.128	208.210.121.255	US
208.210.122.0	208.210.122.255	AZ
208.210.123.0	208.210.215.255	US
208.210.216.0	208.210.216.255	DE
208.210.217.0	208.214.207.255	US
208.214.208.0	208.214.215.255	CO
208.214.216.0	208.215.25.255	US
208.215.26.0	208.215.27.255	GU
208.215.28.0	208.216.36.167	US
208.216.36.168	208.216.36.175	PR
208.216.36.176	208.217.31.255	US
208.217.32.0	208.217.47.255	CO
208.217.48.0	208.218.167.255	US
208.218.168.0	208.218.175.255	AE
208.218.176.0	208.220.27.255	US
208.220.28.0	208.220.29.255	LI
208.220.30.0	208.220.223.255	US
208.220.224.0	208.220.231.255	AZ
208.220.232.0	208.221.191.255	US
208.221.192.0	208.221.195.255	EC
208.221.196.0	208.221.247.255	US
208.221.248.0	208.221.248.255	CA
208.221.249.0	208.222.53.255	US
208.222.54.0	208.222.54.255	RO
208.222.55.0	208.226.191.255	US
208.226.192.0	208.226.193.255	GU
208.226.194.0	208.232.93.255	US
208.232.94.0	208.232.95.255	PK
208.232.96.0	208.232.223.255	US
208.232.224.0	208.232.226.255	PH
208.232.227.0	208.232.247.175	US
208.232.247.176	208.232.247.183	IT
208.232.247.184	208.233.5.255	US
208.233.6.0	208.233.7.255	BD
208.233.8.0	208.234.31.255	US
208.234.32.0	208.234.63.255	PR
208.234.64.0	208.235.195.255	US
208.235.196.0	208.235.196.255	EC
208.235.197.0	208.235.197.15	US
208.235.197.16	208.235.199.255	EC
208.235.200.0	208.235.223.255	US
208.235.224.0	208.235.224.255	PH
208.235.225.0	208.237.31.255	US
208.237.32.0	208.237.32.255	JO
208.237.33.0	208.237.106.255	US
208.237.107.0	208.237.107.127	CA
208.237.107.128	208.237.133.239	US
208.237.133.240	208.237.133.247	GB
208.237.133.248	208.238.45.255	US
208.238.46.0	208.238.46.255	JM
208.238.47.0	208.238.47.255	HT
208.238.48.0	208.240.105.255	US
208.240.106.0	208.240.108.255	MX
208.240.109.0	208.240.135.255	US
208.240.136.0	208.240.139.255	PK
208.240.140.0	208.240.166.95	US
208.240.166.96	208.240.166.127	A2
208.240.166.128	208.240.221.127	US
208.240.221.128	208.240.221.255	CA
208.240.222.0	208.241.75.255	US
208.241.76.0	208.241.76.255	GU
208.241.77.0	208.241.220.255	US
208.241.221.0	208.241.221.255	RO
208.241.222.0	208.244.39.255	US
208.244.40.0	208.244.41.255	JM
208.244.42.0	208.244.51.31	US
208.244.51.32	208.244.51.63	UA
208.244.51.64	208.246.139.255	US
208.246.140.0	208.246.143.255	BS
208.246.144.0	208.249.77.255	US
208.249.78.0	208.249.80.255	PR
208.249.81.0	208.249.248.255	US
208.249.249.0	208.249.255.255	PA
208.250.0.0	208.250.29.191	US
208.250.29.192	208.250.29.207	DE
208.250.29.208	208.251.96.223	US
208.251.96.224	208.251.96.255	GB
208.251.97.0	208.252.7.175	US
208.252.7.176	208.252.7.191	DE
208.252.7.192	208.252.64.255	US
208.252.65.0	208.252.65.255	A2
208.252.66.0	208.252.72.103	US
208.252.72.104	208.252.72.111	AU
208.252.72.112	208.252.85.247	US
208.252.85.248	208.252.85.255	NO
208.252.86.0	208.252.149.15	US
208.252.149.16	208.252.149.31	CA
208.252.149.32	208.254.2.47	US
208.254.2.48	208.254.2.63	GB
208.254.2.64	208.255.44.127	US
208.255.44.128	208.255.44.159	CA
208.255.44.160	208.255.192.223	US
208.255.192.224	208.255.192.255	PR
208.255.193.0	209.4.255.255	US
209.5.0.0	209.5.255.255	CA
209.6.0.0	209.8.245.255	US
209.8.246.0	209.8.246.255	IQ
209.8.247.0	209.10.32.223	US
209.10.32.224	209.10.32.239	IL
209.10.32.240	209.10.160.127	US
209.10.160.128	209.10.160.143	GB
209.10.160.144	209.12.255.255	US
209.13.0.0	209.13.255.255	AR
209.14.0.0	209.16.208.47	US
209.16.208.48	209.16.208.63	IN
209.16.208.64	209.17.127.255	US
209.17.128.0	209.17.134.63	CA
209.17.134.64	209.17.134.95	US
209.17.134.96	209.17.182.63	CA
209.17.182.64	209.17.182.95	US
209.17.182.96	209.17.191.255	CA
209.17.192.0	209.18.64.159	US
209.18.64.160	209.18.64.175	IQ
209.18.64.176	209.18.64.207	US
209.18.64.208	209.18.64.223	ES
209.18.64.224	209.18.65.191	US
209.18.65.192	209.18.65.223	CA
209.18.65.224	209.18.68.191	US
209.18.68.192	209.18.68.207	AU
209.18.68.208	209.18.74.223	US
209.18.74.224	209.18.74.239	CA
209.18.74.240	209.18.77.47	US
209.18.77.48	209.18.77.63	IL
209.18.77.64	209.18.83.149	US
209.18.83.150	209.18.83.159	IT
209.18.83.160	209.18.84.89	US
209.18.84.90	209.18.84.99	BE
209.18.84.100	209.18.84.219	US
209.18.84.220	209.18.84.229	IN
209.18.84.230	209.18.85.119	US
209.18.85.120	209.18.85.129	SY
209.18.85.130	209.18.85.159	US
209.18.85.160	209.18.85.169	BE
209.18.85.170	209.18.85.189	US
209.18.85.190	209.18.85.199	NZ
209.18.85.200	209.18.85.209	LB
209.18.85.210	209.18.96.159	US
209.18.96.160	209.18.96.191	IL
209.18.96.192	209.18.96.223	CA
209.18.96.224	209.18.98.127	US
209.18.98.128	209.18.98.159	GB
209.18.98.160	209.18.99.39	US
209.18.99.40	209.18.99.49	FR
209.18.99.50	209.18.99.129	US
209.18.99.130	209.18.99.139	IQ
209.18.99.140	209.18.99.149	US
209.18.99.150	209.18.99.159	ES
209.18.99.160	209.18.99.179	US
209.18.99.180	209.18.99.189	JP
209.18.99.190	209.18.100.69	US
209.18.100.70	209.18.100.79	AU
209.18.100.80	209.18.100.129	US
209.18.100.130	209.18.100.139	LB
209.18.100.140	209.18.100.209	US
209.18.100.210	209.18.100.219	IT
209.18.100.220	209.18.102.127	US
209.18.102.128	209.18.102.159	IL
209.18.102.160	209.18.102.223	US
209.18.102.224	209.18.102.255	FR
209.18.103.0	209.18.104.95	US
209.18.104.96	209.18.104.127	NO
209.18.104.128	209.18.104.175	US
209.18.104.176	209.18.104.191	GB
209.18.104.192	209.18.104.223	US
209.18.104.224	209.18.104.255	FR
209.18.105.0	209.18.106.89	US
209.18.106.90	209.18.106.99	AU
209.18.106.100	209.18.106.109	UA
209.18.106.110	209.18.106.189	US
209.18.106.190	209.18.106.199	NZ
209.18.106.200	209.18.107.9	US
209.18.107.10	209.18.107.19	NZ
209.18.107.20	209.18.107.39	US
209.18.107.40	209.18.107.49	AU
209.18.107.50	209.18.107.149	US
209.18.107.150	209.18.107.159	IR
209.18.107.160	209.18.107.169	UA
209.18.107.170	209.18.107.239	US
209.18.107.240	209.18.107.249	GB
209.18.107.250	209.18.108.39	US
209.18.108.40	209.18.108.49	GR
209.18.108.50	209.18.110.175	US
209.18.110.176	209.18.110.191	ES
209.18.110.192	209.18.117.63	US
209.18.117.64	209.18.117.127	AU
209.18.117.128	209.18.122.239	US
209.18.122.240	209.18.122.255	QA
209.18.123.0	209.18.125.255	US
209.18.126.0	209.18.126.63	BV
209.18.126.64	209.18.127.31	US
209.18.127.32	209.18.127.63	PA
209.18.127.64	209.18.127.127	US
209.18.127.128	209.18.127.191	AU
209.18.127.192	209.19.255.255	US
209.20.0.0	209.20.63.255	CA
209.20.64.0	209.20.235.255	US
209.20.236.0	209.20.236.255	BG
209.20.237.0	209.25.130.191	US
209.25.130.192	209.25.130.223	CA
209.25.130.224	209.25.131.127	US
209.25.131.128	209.25.131.159	ES
209.25.131.160	209.25.135.255	US
209.25.136.0	209.25.136.255	CA
209.25.137.0	209.25.147.255	US
209.25.148.0	209.25.148.255	ID
209.25.149.0	209.25.153.95	US
209.25.153.96	209.25.153.127	RU
209.25.153.128	209.25.159.191	US
209.25.159.192	209.25.159.255	CA
209.25.160.0	209.25.163.255	US
209.25.164.0	209.25.164.31	AU
209.25.164.32	209.25.165.127	US
209.25.165.128	209.25.165.159	CA
209.25.165.160	209.25.185.31	US
209.25.185.32	209.25.185.47	CA
209.25.185.48	209.25.194.31	US
209.25.194.32	209.25.194.47	GB
209.25.194.48	209.25.211.255	US
209.25.212.0	209.25.212.15	RU
209.25.212.16	209.25.213.63	US
209.25.213.64	209.25.213.127	CA
209.25.213.128	209.25.220.255	US
209.25.221.0	209.25.221.127	GB
209.25.221.128	209.25.238.159	US
209.25.238.160	209.25.238.175	SK
209.25.238.176	209.25.238.223	US
209.25.238.224	209.25.238.239	ID
209.25.238.240	209.27.47.255	US
209.27.48.0	209.27.51.255	CA
209.27.52.0	209.27.55.255	KY
209.27.56.0	209.27.59.255	US
209.27.60.0	209.27.63.255	KY
209.27.64.0	209.27.64.255	BM
209.27.65.0	209.27.141.255	US
209.27.142.0	209.27.142.255	BM
209.27.143.0	209.28.0.255	US
209.28.1.0	209.28.1.255	MX
209.28.2.0	209.28.6.31	US
209.28.6.32	209.28.6.63	AR
209.28.6.64	209.28.7.255	US
209.28.8.0	209.28.8.127	IT
209.28.8.128	209.28.8.255	US
209.28.9.0	209.28.9.31	ZA
209.28.9.32	209.28.14.255	US
209.28.15.0	209.28.15.255	MX
209.28.16.0	209.28.16.95	US
209.28.16.96	209.28.16.127	CA
209.28.16.128	209.28.16.239	US
209.28.16.240	209.28.16.255	PR
209.28.17.0	209.28.20.255	US
209.28.21.0	209.28.21.255	AU
209.28.22.0	209.28.22.255	US
209.28.23.0	209.28.23.255	VE
209.28.24.0	209.28.24.255	US
209.28.25.0	209.28.25.255	CO
209.28.26.0	209.28.26.255	JP
209.28.27.0	209.28.27.255	TH
209.28.28.0	209.28.28.255	JP
209.28.29.0	209.28.29.255	TW
209.28.30.0	209.28.30.255	JP
209.28.31.0	209.28.31.255	KR
209.28.32.0	209.28.32.255	PH
209.28.33.0	209.28.33.255	NZ
209.28.34.0	209.28.34.191	US
209.28.34.192	209.28.34.255	SG
209.28.35.0	209.28.35.255	HK
209.28.36.0	209.28.36.223	US
209.28.36.224	209.28.36.255	IT
209.28.37.0	209.28.37.255	AU
209.28.38.0	209.28.38.7	KP
209.28.38.8	209.28.38.255	US
209.28.39.0	209.28.39.255	HK
209.28.40.0	209.28.40.255	US
209.28.41.0	209.28.41.255	AU
209.28.42.0	209.28.42.255	MY
209.28.43.0	209.28.43.255	SG
209.28.44.0	209.28.44.255	AU
209.28.45.0	209.28.45.63	JP
209.28.45.64	209.28.45.255	US
209.28.46.0	209.28.46.63	ES
209.28.46.64	209.28.46.159	US
209.28.46.160	209.28.46.167	ES
209.28.46.168	209.28.46.191	US
209.28.46.192	209.28.46.223	ES
209.28.46.224	209.28.49.127	US
209.28.49.128	209.28.49.159	ES
209.28.49.160	209.28.49.191	US
209.28.49.192	209.28.49.255	GB
209.28.50.0	209.28.50.63	NL
209.28.50.64	209.28.50.127	US
209.28.50.128	209.28.50.159	NL
209.28.50.160	209.28.50.255	US
209.28.51.0	209.28.51.255	SE
209.28.52.0	209.28.52.255	HK
209.28.53.0	209.28.53.127	US
209.28.53.128	209.28.53.143	TW
209.28.53.144	209.28.53.191	US
209.28.53.192	209.28.53.207	PH
209.28.53.208	209.28.53.223	US
209.28.53.224	209.28.53.255	ID
209.28.54.0	209.28.54.63	TH
209.28.54.64	209.28.54.79	US
209.28.54.80	209.28.54.87	TH
209.28.54.88	209.28.54.127	US
209.28.54.128	209.28.54.191	HK
209.28.54.192	209.28.54.255	US
209.28.55.0	209.28.55.31	HK
209.28.55.32	209.28.55.63	US
209.28.55.64	209.28.55.127	HK
209.28.55.128	209.28.57.255	US
209.28.58.0	209.28.58.127	MY
209.28.58.128	209.28.58.255	SG
209.28.59.0	209.28.59.255	JP
209.28.60.0	209.28.60.255	US
209.28.61.0	209.28.61.255	BR
209.28.62.0	209.28.62.255	AU
209.28.63.0	209.28.63.63	BR
209.28.63.64	209.28.63.127	US
209.28.63.128	209.28.63.191	BR
209.28.63.192	209.28.63.255	US
209.28.64.0	209.28.64.255	CA
209.28.65.0	209.28.69.31	US
209.28.69.32	209.28.69.63	MX
209.28.69.64	209.28.69.79	US
209.28.69.80	209.28.69.95	BR
209.28.69.96	209.28.69.111	US
209.28.69.112	209.28.69.127	BR
209.28.69.128	209.28.70.191	US
209.28.70.192	209.28.70.255	IT
209.28.71.0	209.28.73.255	GB
209.28.74.0	209.28.74.255	CH
209.28.75.0	209.28.75.63	US
209.28.75.64	209.28.75.95	CL
209.28.75.96	209.28.76.255	US
209.28.77.0	209.28.81.255	DE
209.28.82.0	209.28.82.127	US
209.28.82.128	209.28.82.191	VI
209.28.82.192	209.28.87.15	US
209.28.87.16	209.28.87.63	BR
209.28.87.64	209.28.87.95	GB
209.28.87.96	209.28.87.127	US
209.28.87.128	209.28.87.191	BR
209.28.87.192	209.28.87.207	ES
209.28.87.208	209.28.87.223	US
209.28.87.224	209.28.87.255	BE
209.28.88.0	209.28.88.255	GB
209.28.89.0	209.28.89.63	US
209.28.89.64	209.28.89.79	BR
209.28.89.80	209.28.89.159	US
209.28.89.160	209.28.89.191	BR
209.28.89.192	209.28.89.255	US
209.28.90.0	209.28.90.127	GB
209.28.90.128	209.28.90.255	US
209.28.91.0	209.28.91.31	GB
209.28.91.32	209.28.91.47	BE
209.28.91.48	209.28.91.95	US
209.28.91.96	209.28.91.111	SE
209.28.91.112	209.28.91.223	US
209.28.91.224	209.28.91.255	GB
209.28.92.0	209.28.92.63	FR
209.28.92.64	209.28.92.127	US
209.28.92.128	209.28.92.255	NO
209.28.93.0	209.28.93.255	CH
209.28.94.0	209.28.94.191	GB
209.28.94.192	209.28.94.255	SG
209.28.95.0	209.28.95.255	IT
209.28.96.0	209.28.96.63	CH
209.28.96.64	209.28.97.63	US
209.28.97.64	209.28.97.95	BE
209.28.97.96	209.28.97.127	US
209.28.97.128	209.28.97.175	BE
209.28.97.176	209.28.97.223	US
209.28.97.224	209.28.97.239	BE
209.28.97.240	209.28.97.255	US
209.28.98.0	209.28.98.255	DE
209.28.99.0	209.28.99.63	DK
209.28.99.64	209.28.99.127	US
209.28.99.128	209.28.99.159	DK
209.28.99.160	209.28.99.191	US
209.28.99.192	209.28.99.255	DK
209.28.100.0	209.28.100.255	ES
209.28.101.0	209.28.101.255	BE
209.28.102.0	209.28.102.255	GB
209.28.103.0	209.28.103.127	US
209.28.103.128	209.28.103.159	CH
209.28.103.160	209.28.103.255	US
209.28.104.0	209.28.104.255	SE
209.28.105.0	209.28.105.255	DE
209.28.106.0	209.28.106.255	US
209.28.107.0	209.28.107.255	FR
209.28.108.0	209.28.108.63	US
209.28.108.64	209.28.108.79	GB
209.28.108.80	209.28.108.95	US
209.28.108.96	209.28.108.111	GB
209.28.108.112	209.28.111.63	US
209.28.111.64	209.28.111.95	BR
209.28.111.96	209.28.111.255	US
209.28.112.0	209.28.112.127	GB
209.28.112.128	209.28.112.159	DK
209.28.112.160	209.28.112.175	IT
209.28.112.176	209.28.112.255	US
209.28.113.0	209.28.113.31	DE
209.28.113.32	209.28.113.127	US
209.28.113.128	209.28.113.143	DE
209.28.113.144	209.28.113.159	US
209.28.113.160	209.28.113.175	GB
209.28.113.176	209.28.113.255	US
209.28.114.0	209.28.114.127	SG
209.28.114.128	209.28.114.191	BE
209.28.114.192	209.28.115.31	US
209.28.115.32	209.28.115.95	BE
209.28.115.96	209.28.117.255	US
209.28.118.0	209.28.118.31	BE
209.28.118.32	209.28.118.63	US
209.28.118.64	209.28.118.79	BE
209.28.118.80	209.28.118.95	US
209.28.118.96	209.28.118.111	BE
209.28.118.112	209.28.118.127	US
209.28.118.128	209.28.118.191	ES
209.28.118.192	209.28.118.255	US
209.28.119.0	209.28.119.255	DE
209.28.120.0	209.28.120.31	US
209.28.120.32	209.28.120.63	CL
209.28.120.64	209.28.120.78	PR
209.28.120.79	209.28.120.79	US
209.28.120.80	209.28.120.95	CO
209.28.120.96	209.28.120.111	US
209.28.120.112	209.28.120.127	BR
209.28.120.128	209.28.121.255	US
209.28.122.0	209.28.122.255	DE
209.28.123.0	209.28.123.63	IR
209.28.123.64	209.28.124.31	US
209.28.124.32	209.28.124.47	DE
209.28.124.48	209.28.124.255	US
209.28.125.0	209.28.125.63	NL
209.28.125.64	209.28.125.95	US
209.28.125.96	209.28.125.111	NL
209.28.125.112	209.28.127.127	US
209.28.127.128	209.28.127.159	CO
209.28.127.160	209.28.127.191	US
209.28.127.192	209.28.127.207	BE
209.28.127.208	209.28.129.255	US
209.28.130.0	209.28.130.255	EC
209.28.131.0	209.28.131.255	US
209.28.132.0	209.28.132.255	CH
209.28.133.0	209.28.133.255	US
209.28.134.0	209.28.134.255	AR
209.28.135.0	209.28.139.255	US
209.28.140.0	209.28.140.255	BE
209.28.141.0	209.28.145.255	SE
209.28.146.0	209.28.146.255	DE
209.28.147.0	209.28.147.255	BE
209.28.148.0	209.28.148.255	NL
209.28.149.0	209.28.150.255	IE
209.28.151.0	209.28.151.159	US
209.28.151.160	209.28.151.175	DE
209.28.151.176	209.28.151.255	US
209.28.152.0	209.28.152.255	NL
209.28.153.0	209.28.153.255	CH
209.28.154.0	209.28.154.15	ES
209.28.154.16	209.28.154.255	US
209.28.155.0	209.28.156.255	DE
209.28.157.0	209.28.157.255	SE
209.28.158.0	209.28.158.255	DK
209.28.159.0	209.28.160.255	GB
209.28.161.0	209.28.161.255	IT
209.28.162.0	209.28.162.255	DK
209.28.163.0	209.28.163.31	US
209.28.163.32	209.28.163.47	FR
209.28.163.48	209.28.163.63	US
209.28.163.64	209.28.163.79	CH
209.28.163.80	209.28.163.95	PT
209.28.163.96	209.28.163.255	US
209.28.164.0	209.28.164.255	NO
209.28.165.0	209.28.165.255	US
209.28.166.0	209.28.166.255	FR
209.28.167.0	209.28.167.255	US
209.28.168.0	209.28.168.255	PT
209.28.169.0	209.28.169.255	GB
209.28.170.0	209.28.170.255	RU
209.28.171.0	209.28.171.255	SE
209.28.172.0	209.28.172.15	US
209.28.172.16	209.28.172.23	RU
209.28.172.24	209.28.172.47	US
209.28.172.48	209.28.172.63	AT
209.28.172.64	209.28.172.191	US
209.28.172.192	209.28.172.255	FR
209.28.173.0	209.28.173.255	DE
209.28.174.0	209.28.174.255	US
209.28.175.0	209.28.176.255	FI
209.28.177.0	209.28.177.255	LU
209.28.178.0	209.28.178.255	IT
209.28.179.0	209.28.180.255	IL
209.28.181.0	209.28.181.255	RU
209.28.182.0	209.28.182.255	CH
209.28.183.0	209.28.183.255	SE
209.28.184.0	209.28.184.127	PT
209.28.184.128	209.28.184.255	US
209.28.185.0	209.28.185.15	DE
209.28.185.16	209.28.185.31	PT
209.28.185.32	209.28.185.255	US
209.28.186.0	209.28.189.255	BE
209.28.190.0	209.28.190.31	NL
209.28.190.32	209.28.190.63	ZA
209.28.190.64	209.28.190.79	FR
209.28.190.80	209.28.190.95	SE
209.28.190.96	209.28.191.63	US
209.28.191.64	209.28.191.95	PL
209.28.191.96	209.28.191.127	US
209.28.191.128	209.28.191.143	CH
209.28.191.144	209.28.191.191	US
209.28.191.192	209.28.191.255	CH
209.28.192.0	209.28.192.255	GB
209.28.193.0	209.28.193.255	FI
209.28.194.0	209.28.194.255	NO
209.28.195.0	209.28.195.63	DE
209.28.195.64	209.28.195.255	US
209.28.196.0	209.28.196.255	NO
209.28.197.0	209.28.197.255	DE
209.28.198.0	209.28.198.255	FI
209.28.199.0	209.28.199.255	IT
209.28.200.0	209.28.200.255	CH
209.28.201.0	209.28.201.255	NO
209.28.202.0	209.28.202.255	GB
209.28.203.0	209.28.203.255	DE
209.28.204.0	209.28.204.95	GR
209.28.204.96	209.28.204.127	US
209.28.204.128	209.28.204.191	GB
209.28.204.192	209.28.204.255	US
209.28.205.0	209.28.205.255	ZA
209.28.206.0	209.28.207.255	SE
209.28.208.0	209.28.208.255	GB
209.28.209.0	209.28.209.255	ZA
209.28.210.0	209.28.210.255	IT
209.28.211.0	209.28.212.255	ES
209.28.213.0	209.28.213.255	US
209.28.214.0	209.28.215.255	NE
209.28.216.0	209.28.216.255	BE
209.28.217.0	209.28.219.255	IL
209.28.220.0	209.28.220.255	NL
209.28.221.0	209.28.221.255	FR
209.28.222.0	209.28.223.255	SE
209.28.224.0	209.28.226.255	GB
209.28.227.0	209.28.227.255	BE
209.28.228.0	209.28.228.63	FR
209.28.228.64	209.28.228.191	US
209.28.228.192	209.28.228.223	FR
209.28.228.224	209.28.228.255	US
209.28.229.0	209.28.229.31	IT
209.28.229.32	209.28.229.63	US
209.28.229.64	209.28.229.95	AT
209.28.229.96	209.28.229.255	US
209.28.230.0	209.28.230.255	GB
209.28.231.0	209.28.231.255	GR
209.28.232.0	209.28.232.255	IE
209.28.233.0	209.28.233.255	NO
209.28.234.0	209.28.234.127	GB
209.28.234.128	209.28.234.255	US
209.28.235.0	209.28.236.255	CH
209.28.237.0	209.28.237.127	GB
209.28.237.128	209.28.237.255	US
209.28.238.0	209.28.238.127	GB
209.28.238.128	209.28.238.255	US
209.28.239.0	209.28.239.127	DE
209.28.239.128	209.28.239.191	GB
209.28.239.192	209.28.239.255	US
209.28.240.0	209.28.240.255	AU
209.28.241.0	209.28.241.255	SG
209.28.242.0	209.28.242.255	MY
209.28.243.0	209.28.243.255	AU
209.28.244.0	209.28.245.255	JP
209.28.246.0	209.28.246.255	SG
209.28.247.0	209.28.247.255	HK
209.28.248.0	209.28.248.255	AU
209.28.249.0	209.28.249.255	JP
209.28.250.0	209.28.251.255	PH
209.28.252.0	209.28.252.255	KR
209.28.253.0	209.28.253.255	JP
209.28.254.0	209.28.254.127	HK
209.28.254.128	209.28.254.159	ID
209.28.254.160	209.28.254.191	US
209.28.254.192	209.28.254.223	SG
209.28.254.224	209.28.254.255	US
209.28.255.0	209.28.255.255	KR
209.29.0.0	209.29.255.255	CA
209.30.0.0	209.34.95.255	US
209.34.96.0	209.34.111.255	CA
209.34.112.0	209.34.248.79	US
209.34.248.80	209.34.248.95	GB
209.34.248.96	209.35.114.32	US
209.35.114.33	209.35.114.48	BE
209.35.114.49	209.35.114.96	US
209.35.114.97	209.35.114.112	BE
209.35.114.113	209.35.188.47	US
209.35.188.48	209.35.188.79	NL
209.35.188.80	209.35.190.79	US
209.35.190.80	209.35.190.95	IT
209.35.190.96	209.41.127.255	US
209.41.128.0	209.41.159.255	CA
209.41.160.0	209.42.95.255	US
209.42.96.0	209.42.127.255	CA
209.42.128.0	209.44.16.255	US
209.44.17.0	209.44.17.7	CA
209.44.17.8	209.44.23.79	US
209.44.23.80	209.44.23.95	CA
209.44.23.96	209.44.23.191	US
209.44.23.192	209.44.23.255	CA
209.44.24.0	209.44.95.255	US
209.44.96.0	209.44.113.55	CA
209.44.113.56	209.44.113.63	US
209.44.113.64	209.44.127.255	CA
209.44.128.0	209.44.255.255	US
209.45.0.0	209.45.127.255	PE
209.45.128.0	209.47.0.255	US
209.47.1.0	209.47.1.223	CA
209.47.1.224	209.47.1.239	US
209.47.1.240	209.47.3.255	CA
209.47.4.0	209.47.4.63	US
209.47.4.64	209.47.5.31	CA
209.47.5.32	209.47.5.63	US
209.47.5.64	209.47.8.127	CA
209.47.8.128	209.47.8.255	US
209.47.9.0	209.47.9.191	CA
209.47.9.192	209.47.9.255	US
209.47.10.0	209.47.10.255	CA
209.47.11.0	209.47.11.255	US
209.47.12.0	209.47.13.127	CA
209.47.13.128	209.47.13.255	US
209.47.14.0	209.47.15.255	CA
209.47.16.0	209.47.16.255	KW
209.47.17.0	209.47.18.127	CA
209.47.18.128	209.47.18.255	US
209.47.19.0	209.47.19.127	CA
209.47.19.128	209.47.19.191	US
209.47.19.192	209.47.19.255	CA
209.47.20.0	209.47.20.15	US
209.47.20.16	209.47.21.63	CA
209.47.21.64	209.47.21.127	US
209.47.21.128	209.47.21.191	CA
209.47.21.192	209.47.22.255	US
209.47.23.0	209.47.24.255	CA
209.47.25.0	209.47.25.255	US
209.47.26.0	209.47.29.63	CA
209.47.29.64	209.47.29.127	US
209.47.29.128	209.47.33.31	CA
209.47.33.32	209.47.33.95	US
209.47.33.96	209.47.34.31	CA
209.47.34.32	209.47.34.79	US
209.47.34.80	209.47.34.159	CA
209.47.34.160	209.47.34.175	US
209.47.34.176	209.47.35.255	CA
209.47.36.0	209.47.36.255	US
209.47.37.0	209.47.38.143	CA
209.47.38.144	209.47.38.159	US
209.47.38.160	209.47.38.255	CA
209.47.39.0	209.47.40.255	US
209.47.41.0	209.47.42.255	CA
209.47.43.0	209.47.43.255	US
209.47.44.0	209.47.44.127	CA
209.47.44.128	209.47.44.223	US
209.47.44.224	209.47.45.31	CA
209.47.45.32	209.47.45.95	US
209.47.45.96	209.47.46.127	CA
209.47.46.128	209.47.46.255	US
209.47.47.0	209.47.47.191	CA
209.47.47.192	209.47.47.255	US
209.47.48.0	209.47.55.255	CA
209.47.56.0	209.47.56.255	US
209.47.57.0	209.47.59.31	CA
209.47.59.32	209.47.59.95	US
209.47.59.96	209.47.59.127	CA
209.47.59.128	209.47.59.159	US
209.47.59.160	209.47.60.127	CA
209.47.60.128	209.47.62.127	US
209.47.62.128	209.47.62.159	CA
209.47.62.160	209.47.63.255	US
209.47.64.0	209.47.67.47	CA
209.47.67.48	209.47.67.63	US
209.47.67.64	209.47.72.127	CA
209.47.72.128	209.47.72.255	US
209.47.73.0	209.47.78.31	CA
209.47.78.32	209.47.78.47	US
209.47.78.48	209.47.78.95	CA
209.47.78.96	209.47.78.111	US
209.47.78.112	209.47.78.143	CA
209.47.78.144	209.47.78.159	NO
209.47.78.160	209.47.79.255	CA
209.47.80.0	209.47.80.255	US
209.47.81.0	209.47.81.255	CA
209.47.82.0	209.47.82.255	US
209.47.83.0	209.47.83.95	CA
209.47.83.96	209.47.83.111	US
209.47.83.112	209.47.83.239	CA
209.47.83.240	209.47.83.255	US
209.47.84.0	209.47.84.63	CA
209.47.84.64	209.47.84.127	US
209.47.84.128	209.47.84.255	CA
209.47.85.0	209.47.85.31	US
209.47.85.32	209.47.85.255	CA
209.47.86.0	209.47.86.255	US
209.47.87.0	209.47.91.31	CA
209.47.91.32	209.47.91.63	US
209.47.91.64	209.47.92.63	CA
209.47.92.64	209.47.92.111	US
209.47.92.112	209.47.92.175	CA
209.47.92.176	209.47.92.191	US
209.47.92.192	209.47.93.255	CA
209.47.94.0	209.47.94.255	US
209.47.95.0	209.47.101.255	CA
209.47.102.0	209.47.102.255	US
209.47.103.0	209.47.104.191	CA
209.47.104.192	209.47.105.255	US
209.47.106.0	209.47.108.15	CA
209.47.108.16	209.47.108.31	US
209.47.108.32	209.47.108.47	CA
209.47.108.48	209.47.108.79	US
209.47.108.80	209.47.108.223	CA
209.47.108.224	209.47.108.239	US
209.47.108.240	209.47.122.255	CA
209.47.123.0	209.47.123.255	US
209.47.124.0	209.47.135.255	CA
209.47.136.0	209.47.136.255	US
209.47.137.0	209.47.138.191	CA
209.47.138.192	209.47.138.255	US
209.47.139.0	209.47.139.127	CA
209.47.139.128	209.47.139.191	US
209.47.139.192	209.47.143.175	CA
209.47.143.176	209.47.143.191	US
209.47.143.192	209.47.152.191	CA
209.47.152.192	209.47.153.255	US
209.47.154.0	209.47.156.95	CA
209.47.156.96	209.47.156.127	US
209.47.156.128	209.47.156.191	CA
209.47.156.192	209.47.156.223	US
209.47.156.224	209.47.156.255	CA
209.47.157.0	209.47.157.31	US
209.47.157.32	209.47.157.255	CA
209.47.158.0	209.47.158.255	US
209.47.159.0	209.47.159.255	KW
209.47.160.0	209.47.163.255	CA
209.47.164.0	209.47.165.127	US
209.47.165.128	209.47.167.127	CA
209.47.167.128	209.47.167.191	US
209.47.167.192	209.47.172.255	CA
209.47.173.0	209.47.173.127	US
209.47.173.128	209.47.173.255	CA
209.47.174.0	209.47.175.31	US
209.47.175.32	209.47.182.159	CA
209.47.182.160	209.47.182.191	US
209.47.182.192	209.47.189.79	CA
209.47.189.80	209.47.189.95	US
209.47.189.96	209.47.189.127	CA
209.47.189.128	209.47.189.143	US
209.47.189.144	209.47.189.207	CA
209.47.189.208	209.47.189.223	US
209.47.189.224	209.47.190.175	CA
209.47.190.176	209.47.190.191	US
209.47.190.192	209.47.190.223	CA
209.47.190.224	209.47.190.239	US
209.47.190.240	209.47.197.255	CA
209.47.198.0	209.47.199.255	US
209.47.200.0	209.47.200.127	CA
209.47.200.128	209.47.200.255	US
209.47.201.0	209.47.201.127	CA
209.47.201.128	209.47.201.255	US
209.47.202.0	209.47.203.127	CA
209.47.203.128	209.47.204.127	US
209.47.204.128	209.47.206.255	CA
209.47.207.0	209.47.208.63	US
209.47.208.64	209.47.208.79	CA
209.47.208.80	209.47.208.255	US
209.47.209.0	209.47.209.255	CA
209.47.210.0	209.47.210.127	US
209.47.210.128	209.47.215.111	CA
209.47.215.112	209.47.215.127	US
209.47.215.128	209.47.216.255	CA
209.47.217.0	209.47.217.31	US
209.47.217.32	209.47.217.63	CA
209.47.217.64	209.47.217.95	US
209.47.217.96	209.47.224.15	CA
209.47.224.16	209.47.225.63	US
209.47.225.64	209.47.225.127	CA
209.47.225.128	209.47.225.255	US
209.47.226.0	209.47.226.63	CA
209.47.226.64	209.47.226.79	US
209.47.226.80	209.47.227.255	CA
209.47.228.0	209.47.228.255	US
209.47.229.0	209.47.230.191	CA
209.47.230.192	209.47.230.255	US
209.47.231.0	209.47.231.63	CA
209.47.231.64	209.47.231.79	US
209.47.231.80	209.47.231.159	CA
209.47.231.160	209.47.231.175	US
209.47.231.176	209.47.231.223	CA
209.47.231.224	209.47.231.239	US
209.47.231.240	209.47.231.255	CA
209.47.232.0	209.47.232.255	US
209.47.233.0	209.47.234.127	CA
209.47.234.128	209.47.234.255	US
209.47.235.0	209.47.237.255	CA
209.47.238.0	209.47.238.63	US
209.47.238.64	209.47.238.191	CA
209.47.238.192	209.47.238.255	US
209.47.239.0	209.47.239.255	CA
209.47.240.0	209.47.240.255	US
209.47.241.0	209.47.241.255	CA
209.47.242.0	209.47.243.127	US
209.47.243.128	209.47.245.31	CA
209.47.245.32	209.47.245.63	US
209.47.245.64	209.47.245.143	CA
209.47.245.144	209.47.245.159	US
209.47.245.160	209.47.245.175	CA
209.47.245.176	209.47.245.191	US
209.47.245.192	209.47.245.207	CA
209.47.245.208	209.47.245.223	US
209.47.245.224	209.47.245.239	CA
209.47.245.240	209.47.245.255	US
209.47.246.0	209.47.246.63	CA
209.47.246.64	209.47.246.95	US
209.47.246.96	209.47.246.191	CA
209.47.246.192	209.47.246.255	US
209.47.247.0	209.47.251.255	CA
209.47.252.0	209.47.254.255	US
209.47.255.0	209.47.255.255	CA
209.48.0.0	209.50.63.255	US
209.50.64.0	209.50.95.255	CA
209.50.96.0	209.50.230.167	US
209.50.230.168	209.50.230.179	GR
209.50.230.180	209.50.230.189	US
209.50.230.190	209.50.230.209	GB
209.50.230.210	209.50.231.40	US
209.50.231.41	209.50.231.55	GB
209.50.231.56	209.50.231.58	US
209.50.231.59	209.50.231.83	GB
209.50.231.84	209.50.231.183	US
209.50.231.184	209.50.231.215	HR
209.50.231.216	209.50.232.239	US
209.50.232.240	209.50.232.255	GR
209.50.233.0	209.50.235.0	US
209.50.235.1	209.50.235.16	CA
209.50.235.17	209.50.235.192	US
209.50.235.193	209.50.235.208	GB
209.50.235.209	209.50.235.224	CA
209.50.235.225	209.50.236.84	US
209.50.236.85	209.50.236.94	TH
209.50.236.95	209.50.236.117	US
209.50.236.118	209.50.236.132	CA
209.50.236.133	209.50.236.144	US
209.50.236.145	209.50.236.160	NL
209.50.236.161	209.50.236.176	US
209.50.236.177	209.50.236.192	DK
209.50.236.193	209.50.236.224	US
209.50.236.225	209.50.236.254	DE
209.50.236.255	209.50.237.0	US
209.50.237.1	209.50.237.32	DE
209.50.237.33	209.50.237.48	CA
209.50.237.49	209.50.237.176	US
209.50.237.177	209.50.237.254	CA
209.50.237.255	209.50.237.255	US
209.50.238.0	209.50.238.7	RU
209.50.238.8	209.50.238.31	US
209.50.238.32	209.50.238.47	AU
209.50.238.48	209.50.238.71	US
209.50.238.72	209.50.238.79	IT
209.50.238.80	209.50.238.103	US
209.50.238.104	209.50.238.111	GB
209.50.238.112	209.50.238.151	US
209.50.238.152	209.50.238.159	CA
209.50.238.160	209.50.238.175	US
209.50.238.176	209.50.238.183	SA
209.50.238.184	209.50.238.223	US
209.50.238.224	209.50.238.231	AU
209.50.238.232	209.50.238.239	US
209.50.238.240	209.50.238.255	IT
209.50.239.0	209.50.239.96	US
209.50.239.97	209.50.239.128	CA
209.50.239.129	209.50.239.160	TC
209.50.239.161	209.50.239.224	US
209.50.239.225	209.50.239.254	GB
209.50.239.255	209.50.243.7	US
209.50.243.8	209.50.243.15	CN
209.50.243.16	209.50.243.23	RU
209.50.243.24	209.50.243.47	US
209.50.243.48	209.50.243.55	GB
209.50.243.56	209.50.243.63	CA
209.50.243.64	209.50.243.71	TH
209.50.243.72	209.50.243.119	US
209.50.243.120	209.50.243.127	IT
209.50.243.128	209.50.243.175	US
209.50.243.176	209.50.243.183	GB
209.50.243.184	209.50.244.41	US
209.50.244.42	209.50.244.137	ID
209.50.244.138	209.50.244.176	US
209.50.244.177	209.50.244.240	ID
209.50.244.241	209.50.247.223	US
209.50.247.224	209.50.247.255	NL
209.50.248.0	209.50.249.15	US
209.50.249.16	209.50.249.23	CA
209.50.249.24	209.50.249.159	US
209.50.249.160	209.50.249.167	CA
209.50.249.168	209.50.249.215	US
209.50.249.216	209.50.249.223	RU
209.50.249.224	209.50.249.231	US
209.50.249.232	209.50.249.239	GB
209.50.249.240	209.50.250.63	US
209.50.250.64	209.50.250.95	IN
209.50.250.96	209.51.161.215	US
209.51.161.216	209.51.161.223	BM
209.51.161.224	209.51.163.127	US
209.51.163.128	209.51.163.143	DE
209.51.163.144	209.51.191.127	US
209.51.191.128	209.51.191.159	GB
209.51.191.160	209.51.194.143	US
209.51.194.144	209.51.194.151	BE
209.51.194.152	209.51.195.7	US
209.51.195.8	209.51.195.15	GB
209.51.195.16	209.51.197.31	US
209.51.197.32	209.51.197.39	BE
209.51.197.40	209.51.197.127	US
209.51.197.128	209.51.197.135	DE
209.51.197.136	209.51.197.223	US
209.51.197.224	209.51.197.231	IN
209.51.197.232	209.51.198.119	US
209.51.198.120	209.51.198.127	GB
209.51.198.128	209.51.198.135	US
209.51.198.136	209.51.198.143	CO
209.51.198.144	209.51.198.151	CN
209.51.198.152	209.51.199.111	US
209.51.199.112	209.51.199.127	LB
209.51.199.128	209.51.199.191	US
209.51.199.192	209.51.199.223	IL
209.51.199.224	209.51.200.55	US
209.51.200.56	209.51.200.63	AT
209.51.200.64	209.51.200.119	US
209.51.200.120	209.51.200.127	DO
209.51.200.128	209.51.200.135	IN
209.51.200.136	209.51.200.143	CA
209.51.200.144	209.51.200.151	US
209.51.200.152	209.51.200.159	GB
209.51.200.160	209.51.201.23	US
209.51.201.24	209.51.201.31	CA
209.51.201.32	209.51.201.143	US
209.51.201.144	209.51.201.151	CN
209.51.201.152	209.51.205.143	US
209.51.205.144	209.51.205.151	IN
209.51.205.152	209.51.207.63	US
209.51.207.64	209.51.207.71	CA
209.51.207.72	209.51.207.79	IN
209.51.207.80	209.51.207.95	US
209.51.207.96	209.51.207.127	PH
209.51.207.128	209.51.207.151	US
209.51.207.152	209.51.207.159	GR
209.51.207.160	209.51.207.231	US
209.51.207.232	209.51.207.239	ZA
209.51.207.240	209.51.209.111	US
209.51.209.112	209.51.209.119	IL
209.51.209.120	209.51.209.127	US
209.51.209.128	209.51.209.159	IL
209.51.209.160	209.51.209.183	US
209.51.209.184	209.51.209.191	BR
209.51.209.192	209.51.210.47	US
209.51.210.48	209.51.210.63	IN
209.51.210.64	209.51.210.159	US
209.51.210.160	209.51.210.167	BD
209.51.210.168	209.51.210.191	US
209.51.210.192	209.51.210.223	JP
209.51.210.224	209.51.210.255	US
209.51.211.0	209.51.211.7	NO
209.51.211.8	209.51.211.23	US
209.51.211.24	209.51.211.31	BD
209.51.211.32	209.51.211.95	US
209.51.211.96	209.51.211.103	IN
209.51.211.104	209.51.212.79	US
209.51.212.80	209.51.212.95	CO
209.51.212.96	209.51.213.95	US
209.51.213.96	209.51.213.103	GB
209.51.213.104	209.51.218.87	US
209.51.218.88	209.51.218.95	GR
209.51.218.96	209.51.221.111	US
209.51.221.112	209.51.221.119	GB
209.51.221.120	209.51.223.55	US
209.51.223.56	209.51.223.71	GB
209.51.223.72	209.51.223.183	US
209.51.223.184	209.51.223.191	GB
209.51.223.192	209.51.255.255	US
209.52.0.0	209.53.255.255	CA
209.55.0.0	209.57.255.255	US
209.58.0.0	209.58.5.191	CA
209.58.5.192	209.58.5.223	AM
209.58.5.224	209.58.5.255	CA
209.58.6.0	209.58.6.255	US
209.58.7.0	209.58.7.39	CA
209.58.7.40	209.58.7.47	US
209.58.7.48	209.58.11.255	CA
209.58.12.0	209.58.12.255	OM
209.58.13.0	209.58.23.255	CA
209.58.24.0	209.58.24.255	BD
209.58.25.0	209.58.29.79	CA
209.58.29.80	209.58.29.111	US
209.58.29.112	209.58.39.255	CA
209.58.40.0	209.58.41.255	QA
209.58.42.0	209.58.47.255	CA
209.58.48.0	209.58.52.255	DO
209.58.53.0	209.58.54.255	CA
209.58.55.0	209.58.55.255	NC
209.58.56.0	209.58.56.63	US
209.58.56.64	209.58.63.79	CA
209.58.63.80	209.58.63.87	US
209.58.63.88	209.58.86.255	CA
209.58.87.0	209.58.87.255	ZM
209.58.88.0	209.58.91.255	CA
209.58.92.0	209.58.92.255	US
209.58.93.0	209.58.96.255	CA
209.58.97.0	209.58.97.255	UG
209.58.98.0	209.58.114.255	CA
209.58.115.0	209.58.115.255	SY
209.58.116.0	209.58.119.127	CA
209.58.119.128	209.58.119.255	CO
209.58.120.0	209.58.122.255	LY
209.58.123.0	209.58.123.255	SY
209.58.124.0	209.58.127.255	CA
209.58.128.0	209.58.176.135	US
209.58.176.136	209.58.176.143	CA
209.58.176.144	209.59.31.255	US
209.59.32.0	209.59.63.255	A1
209.59.64.0	209.59.65.255	VG
209.59.66.0	209.59.66.255	AG
209.59.67.0	209.59.67.255	KN
209.59.68.0	209.59.71.255	AG
209.59.72.0	209.59.75.255	KN
209.59.76.0	209.59.79.255	AI
209.59.80.0	209.59.83.255	AG
209.59.84.0	209.59.87.255	VG
209.59.88.0	209.59.91.255	AG
209.59.92.0	209.59.92.255	KN
209.59.93.0	209.59.93.255	MS
209.59.94.0	209.59.96.255	AG
209.59.97.0	209.59.97.255	MS
209.59.98.0	209.59.103.255	AG
209.59.104.0	209.59.107.255	DM
209.59.108.0	209.59.109.255	KN
209.59.110.0	209.59.110.255	LC
209.59.111.0	209.59.111.255	MS
209.59.112.0	209.59.113.255	KN
209.59.114.0	209.59.117.255	AG
209.59.118.0	209.59.118.255	KN
209.59.119.0	209.59.120.255	AI
209.59.121.0	209.59.121.255	VG
209.59.122.0	209.59.126.255	AG
209.59.127.0	209.59.127.255	LC
209.59.128.0	209.59.131.132	US
209.59.131.133	209.59.131.148	ES
209.59.131.149	209.61.128.23	US
209.61.128.24	209.61.128.31	GB
209.61.128.32	209.61.128.111	US
209.61.128.112	209.61.128.119	MX
209.61.128.120	209.61.128.239	US
209.61.128.240	209.61.128.247	MX
209.61.128.248	209.61.128.255	NZ
209.61.129.0	209.61.129.31	US
209.61.129.32	209.61.129.39	CA
209.61.129.40	209.61.129.47	ID
209.61.129.48	209.61.129.159	US
209.61.129.160	209.61.129.175	AG
209.61.129.176	209.61.129.191	US
209.61.129.192	209.61.129.199	CA
209.61.129.200	209.61.129.207	US
209.61.129.208	209.61.129.223	AU
209.61.129.224	209.61.129.231	RU
209.61.129.232	209.61.129.239	CA
209.61.129.240	209.61.129.255	BS
209.61.130.0	209.61.130.47	US
209.61.130.48	209.61.130.55	FR
209.61.130.56	209.61.130.63	BE
209.61.130.64	209.61.130.71	US
209.61.130.72	209.61.130.79	AU
209.61.130.80	209.61.130.103	US
209.61.130.104	209.61.130.111	AU
209.61.130.112	209.61.130.127	US
209.61.130.128	209.61.130.143	ID
209.61.130.144	209.61.130.159	US
209.61.130.160	209.61.130.175	MY
209.61.130.176	209.61.130.223	US
209.61.130.224	209.61.130.231	GB
209.61.130.232	209.61.130.239	US
209.61.130.240	209.61.130.247	CH
209.61.130.248	209.61.130.255	GR
209.61.131.0	209.61.131.23	US
209.61.131.24	209.61.131.31	BE
209.61.131.32	209.61.131.111	US
209.61.131.112	209.61.131.119	CA
209.61.131.120	209.61.131.143	US
209.61.131.144	209.61.131.151	IN
209.61.131.152	209.61.131.191	US
209.61.131.192	209.61.131.199	MY
209.61.131.200	209.61.131.223	US
209.61.131.224	209.61.131.231	CA
209.61.131.232	209.61.131.239	VG
209.61.131.240	209.61.131.247	US
209.61.131.248	209.61.131.255	DE
209.61.132.0	209.61.132.87	US
209.61.132.88	209.61.132.95	CA
209.61.132.96	209.61.132.111	AU
209.61.132.112	209.61.132.119	CH
209.61.132.120	209.61.132.135	US
209.61.132.136	209.61.132.143	IN
209.61.132.144	209.61.132.183	US
209.61.132.184	209.61.132.199	CA
209.61.132.200	209.61.132.223	US
209.61.132.224	209.61.132.231	UM
209.61.132.232	209.61.132.239	CA
209.61.132.240	209.61.132.255	IN
209.61.133.0	209.61.133.7	US
209.61.133.8	209.61.133.15	IN
209.61.133.16	209.61.133.31	US
209.61.133.32	209.61.133.39	GB
209.61.133.40	209.61.133.87	US
209.61.133.88	209.61.133.95	IN
209.61.133.96	209.61.133.103	CA
209.61.133.104	209.61.133.111	GB
209.61.133.112	209.61.133.143	US
209.61.133.144	209.61.133.151	CA
209.61.133.152	209.61.133.159	RU
209.61.133.160	209.61.133.167	CA
209.61.133.168	209.61.133.175	MX
209.61.133.176	209.61.133.255	US
209.61.134.0	209.61.134.7	DK
209.61.134.8	209.61.134.15	US
209.61.134.16	209.61.134.31	DK
209.61.134.32	209.61.134.39	CA
209.61.134.40	209.61.134.151	US
209.61.134.152	209.61.134.175	CA
209.61.134.176	209.61.134.183	TW
209.61.134.184	209.61.134.207	US
209.61.134.208	209.61.134.215	IL
209.61.134.216	209.61.134.223	TH
209.61.134.224	209.61.134.231	US
209.61.134.232	209.61.134.239	CH
209.61.134.240	209.61.135.55	US
209.61.135.56	209.61.135.63	GB
209.61.135.64	209.61.135.71	NL
209.61.135.72	209.61.135.223	US
209.61.135.224	209.61.135.231	BR
209.61.135.232	209.61.135.247	US
209.61.135.248	209.61.135.255	IN
209.61.136.0	209.61.136.87	US
209.61.136.88	209.61.136.95	SE
209.61.136.96	209.61.136.119	US
209.61.136.120	209.61.136.127	GR
209.61.136.128	209.61.136.143	US
209.61.136.144	209.61.136.151	GB
209.61.136.152	209.61.136.159	US
209.61.136.160	209.61.136.175	GB
209.61.136.176	209.61.136.199	US
209.61.136.200	209.61.136.207	FR
209.61.136.208	209.61.136.215	US
209.61.136.216	209.61.136.223	AR
209.61.136.224	209.61.137.15	US
209.61.137.16	209.61.137.23	IL
209.61.137.24	209.61.137.47	US
209.61.137.48	209.61.137.63	IN
209.61.137.64	209.61.137.87	US
209.61.137.88	209.61.137.95	CH
209.61.137.96	209.61.137.127	BH
209.61.137.128	209.61.137.207	US
209.61.137.208	209.61.137.223	GB
209.61.137.224	209.61.138.15	US
209.61.138.16	209.61.138.31	CA
209.61.138.32	209.61.138.39	US
209.61.138.40	209.61.138.47	HR
209.61.138.48	209.61.138.55	US
209.61.138.56	209.61.138.63	DE
209.61.138.64	209.61.138.143	US
209.61.138.144	209.61.138.151	IE
209.61.138.152	209.61.138.239	US
209.61.138.240	209.61.138.247	GR
209.61.138.248	209.61.139.7	US
209.61.139.8	209.61.139.15	AU
209.61.139.16	209.61.139.31	US
209.61.139.32	209.61.139.63	FR
209.61.139.64	209.61.139.87	US
209.61.139.88	209.61.139.95	HK
209.61.139.96	209.61.139.111	FR
209.61.139.112	209.61.139.183	US
209.61.139.184	209.61.139.191	DE
209.61.139.192	209.61.139.215	US
209.61.139.216	209.61.139.223	IN
209.61.139.224	209.61.140.23	US
209.61.140.24	209.61.140.31	JP
209.61.140.32	209.61.140.71	US
209.61.140.72	209.61.140.79	CA
209.61.140.80	209.61.140.111	US
209.61.140.112	209.61.140.119	IN
209.61.140.120	209.61.140.159	US
209.61.140.160	209.61.140.167	MX
209.61.140.168	209.61.140.191	US
209.61.140.192	209.61.140.207	VE
209.61.140.208	209.61.140.231	US
209.61.140.232	209.61.140.239	IN
209.61.140.240	209.61.141.15	US
209.61.141.16	209.61.141.23	ID
209.61.141.24	209.61.141.55	US
209.61.141.56	209.61.141.63	AR
209.61.141.64	209.61.141.71	IN
209.61.141.72	209.61.141.175	US
209.61.141.176	209.61.141.183	GB
209.61.141.184	209.61.141.255	US
209.61.142.0	209.61.142.15	IN
209.61.142.16	209.61.142.23	FR
209.61.142.24	209.61.142.31	CA
209.61.142.32	209.61.142.39	IT
209.61.142.40	209.61.142.47	SG
209.61.142.48	209.61.142.103	US
209.61.142.104	209.61.142.111	AE
209.61.142.112	209.61.142.255	US
209.61.143.0	209.61.143.15	IN
209.61.143.16	209.61.143.23	US
209.61.143.24	209.61.143.31	EG
209.61.143.32	209.61.143.63	US
209.61.143.64	209.61.143.127	AG
209.61.143.128	209.61.144.31	US
209.61.144.32	209.61.144.39	AR
209.61.144.40	209.61.144.47	US
209.61.144.48	209.61.144.63	AR
209.61.144.64	209.61.144.87	US
209.61.144.88	209.61.144.95	CA
209.61.144.96	209.61.144.96	US
209.61.144.97	209.61.144.127	DE
209.61.144.128	209.61.144.215	US
209.61.144.216	209.61.144.223	NL
209.61.144.224	209.61.145.127	US
209.61.145.128	209.61.145.135	TR
209.61.145.136	209.61.145.143	US
209.61.145.144	209.61.145.159	VE
209.61.145.160	209.61.145.175	US
209.61.145.176	209.61.145.183	NZ
209.61.145.184	209.61.145.191	US
209.61.145.192	209.61.145.199	DE
209.61.145.200	209.61.145.215	US
209.61.145.216	209.61.145.223	FR
209.61.145.224	209.61.145.239	IE
209.61.145.240	209.61.145.255	US
209.61.146.0	209.61.146.7	IN
209.61.146.8	209.61.146.15	US
209.61.146.16	209.61.146.23	FR
209.61.146.24	209.61.146.31	RU
209.61.146.32	209.61.146.127	US
209.61.146.128	209.61.146.167	DE
209.61.146.168	209.61.146.191	US
209.61.146.192	209.61.146.231	DE
209.61.146.232	209.61.146.247	US
209.61.146.248	209.61.146.255	NL
209.61.147.0	209.61.147.39	DE
209.61.147.40	209.61.147.135	US
209.61.147.136	209.61.147.143	ID
209.61.147.144	209.61.147.151	AU
209.61.147.152	209.61.147.175	US
209.61.147.176	209.61.147.183	GB
209.61.147.184	209.61.147.223	US
209.61.147.224	209.61.147.231	BY
209.61.147.232	209.61.149.55	US
209.61.149.56	209.61.149.63	MX
209.61.149.64	209.61.150.191	US
209.61.150.192	209.61.150.207	TC
209.61.150.208	209.61.150.239	US
209.61.150.240	209.61.150.255	AU
209.61.151.0	209.61.153.143	US
209.61.153.144	209.61.153.151	AU
209.61.153.152	209.61.153.159	SE
209.61.153.160	209.61.161.7	US
209.61.161.8	209.61.161.15	GB
209.61.161.16	209.61.161.31	US
209.61.161.32	209.61.161.55	GB
209.61.161.56	209.61.161.255	US
209.61.162.0	209.61.162.7	IN
209.61.162.8	209.61.162.15	US
209.61.162.16	209.61.162.23	GB
209.61.162.24	209.61.162.31	MO
209.61.162.32	209.61.162.63	AG
209.61.162.64	209.61.162.175	US
209.61.162.176	209.61.162.183	IN
209.61.162.184	209.61.162.191	US
209.61.162.192	209.61.162.207	GB
209.61.162.208	209.61.162.223	US
209.61.162.224	209.61.162.231	GB
209.61.162.232	209.61.163.247	US
209.61.163.248	209.61.163.255	GB
209.61.164.0	209.61.164.79	US
209.61.164.80	209.61.164.87	IT
209.61.164.88	209.61.164.95	US
209.61.164.96	209.61.164.103	NL
209.61.164.104	209.61.164.151	US
209.61.164.152	209.61.164.159	AR
209.61.164.160	209.61.164.183	US
209.61.164.184	209.61.164.191	IN
209.61.164.192	209.61.164.199	CA
209.61.164.200	209.61.165.47	US
209.61.165.48	209.61.165.55	GB
209.61.165.56	209.61.165.63	US
209.61.165.64	209.61.165.95	FI
209.61.165.96	209.61.165.151	US
209.61.165.152	209.61.165.159	IN
209.61.165.160	209.61.165.191	US
209.61.165.192	209.61.165.199	MT
209.61.165.200	209.61.165.231	US
209.61.165.232	209.61.165.239	FI
209.61.165.240	209.61.166.159	US
209.61.166.160	209.61.166.191	FR
209.61.166.192	209.61.166.199	US
209.61.166.200	209.61.166.207	GB
209.61.166.208	209.61.166.215	US
209.61.166.216	209.61.166.223	VE
209.61.166.224	209.61.166.231	NL
209.61.166.232	209.61.166.255	US
209.61.167.0	209.61.167.7	MX
209.61.167.8	209.61.167.39	US
209.61.167.40	209.61.167.47	GB
209.61.167.48	209.61.167.63	US
209.61.167.64	209.61.167.71	GB
209.61.167.72	209.61.167.79	US
209.61.167.80	209.61.167.127	AU
209.61.167.128	209.61.167.143	US
209.61.167.144	209.61.167.159	LB
209.61.167.160	209.61.167.183	US
209.61.167.184	209.61.167.191	CR
209.61.167.192	209.61.168.7	US
209.61.168.8	209.61.168.15	IN
209.61.168.16	209.61.168.55	US
209.61.168.56	209.61.168.71	GB
209.61.168.72	209.61.168.95	US
209.61.168.96	209.61.168.103	IN
209.61.168.104	209.61.168.247	US
209.61.168.248	209.61.168.255	GB
209.61.169.0	209.61.169.255	GU
209.61.170.0	209.61.170.7	US
209.61.170.8	209.61.170.15	ID
209.61.170.16	209.61.170.47	US
209.61.170.48	209.61.170.55	CA
209.61.170.56	209.61.170.79	US
209.61.170.80	209.61.170.87	CA
209.61.170.88	209.61.170.95	GI
209.61.170.96	209.61.170.143	US
209.61.170.144	209.61.170.151	AU
209.61.170.152	209.61.170.159	US
209.61.170.160	209.61.170.175	LB
209.61.170.176	209.61.170.215	US
209.61.170.216	209.61.170.223	GI
209.61.170.224	209.61.171.175	US
209.61.171.176	209.61.171.183	IE
209.61.171.184	209.61.171.215	US
209.61.171.216	209.61.171.223	DE
209.61.171.224	209.61.171.239	US
209.61.171.240	209.61.171.247	DE
209.61.171.248	209.61.172.7	US
209.61.172.8	209.61.172.15	DE
209.61.172.16	209.61.172.31	US
209.61.172.32	209.61.172.47	ES
209.61.172.48	209.61.172.63	US
209.61.172.64	209.61.172.71	MY
209.61.172.72	209.61.172.79	US
209.61.172.80	209.61.172.87	AU
209.61.172.88	209.61.172.95	US
209.61.172.96	209.61.172.103	AE
209.61.172.104	209.61.172.119	US
209.61.172.120	209.61.172.127	SG
209.61.172.128	209.61.172.175	US
209.61.172.176	209.61.172.183	FR
209.61.172.184	209.61.172.231	US
209.61.172.232	209.61.172.239	CA
209.61.172.240	209.61.172.247	MX
209.61.172.248	209.61.174.31	US
209.61.174.32	209.61.174.39	GB
209.61.174.40	209.61.174.47	VE
209.61.174.48	209.61.174.55	US
209.61.174.56	209.61.174.63	BZ
209.61.174.64	209.61.174.143	US
209.61.174.144	209.61.174.151	GB
209.61.174.152	209.61.174.159	US
209.61.174.160	209.61.174.191	AT
209.61.174.192	209.61.175.15	US
209.61.175.16	209.61.175.23	IN
209.61.175.24	209.61.175.31	US
209.61.175.32	209.61.175.95	AU
209.61.175.96	209.61.175.175	US
209.61.175.176	209.61.175.183	IN
209.61.175.184	209.61.175.199	US
209.61.175.200	209.61.175.207	IN
209.61.175.208	209.61.176.63	US
209.61.176.64	209.61.176.71	GB
209.61.176.72	209.61.176.95	US
209.61.176.96	209.61.176.127	CR
209.61.176.128	209.61.177.39	US
209.61.177.40	209.61.177.47	GB
209.61.177.48	209.61.177.63	US
209.61.177.64	209.61.177.79	CA
209.61.177.80	209.61.177.143	US
209.61.177.144	209.61.177.159	AU
209.61.177.160	209.61.177.167	FR
209.61.177.168	209.61.177.207	US
209.61.177.208	209.61.177.223	ES
209.61.177.224	209.61.177.255	US
209.61.178.0	209.61.178.7	MY
209.61.178.8	209.61.179.15	US
209.61.179.16	209.61.179.23	AU
209.61.179.24	209.61.179.47	US
209.61.179.48	209.61.179.55	CA
209.61.179.56	209.61.179.63	JP
209.61.179.64	209.61.179.79	AU
209.61.179.80	209.61.179.191	US
209.61.179.192	209.61.179.207	CA
209.61.179.208	209.61.179.255	US
209.61.180.0	209.61.180.7	MX
209.61.180.8	209.61.180.15	RU
209.61.180.16	209.61.180.191	US
209.61.180.192	209.61.180.223	CA
209.61.180.224	209.61.180.231	AR
209.61.180.232	209.67.9.167	US
209.67.9.168	209.67.9.175	GB
209.67.9.176	209.67.17.15	US
209.67.17.16	209.67.17.31	CA
209.67.17.32	209.67.29.191	US
209.67.29.192	209.67.29.207	CA
209.67.29.208	209.67.39.95	US
209.67.39.96	209.67.39.111	GB
209.67.39.112	209.67.39.175	US
209.67.39.176	209.67.39.191	GB
209.67.39.192	209.67.40.15	US
209.67.40.16	209.67.40.31	IN
209.67.40.32	209.67.54.207	US
209.67.54.208	209.67.54.215	CA
209.67.54.216	209.67.54.223	GB
209.67.54.224	209.67.59.255	US
209.67.60.0	209.67.61.255	CA
209.67.62.0	209.67.68.63	US
209.67.68.64	209.67.68.95	CA
209.67.68.96	209.67.223.127	US
209.67.223.128	209.67.223.255	BR
209.67.224.0	209.68.11.34	US
209.68.11.35	209.68.11.35	IE
209.68.11.36	209.68.159.255	US
209.68.160.0	209.68.191.255	CA
209.68.192.0	209.71.191.255	US
209.71.192.0	209.71.255.255	CA
209.72.0.0	209.74.169.127	US
209.74.169.128	209.74.169.159	CA
209.74.169.160	209.74.185.63	US
209.74.185.64	209.74.185.95	RU
209.74.185.96	209.74.185.127	US
209.74.185.128	209.74.185.255	RU
209.74.186.0	209.76.4.47	US
209.76.4.48	209.76.4.55	UA
209.76.4.56	209.78.238.255	US
209.78.239.0	209.78.239.255	CA
209.78.240.0	209.81.255.255	US
209.82.0.0	209.82.127.255	CA
209.82.128.0	209.85.10.47	US
209.85.10.48	209.85.10.63	UM
209.85.10.64	209.85.10.95	US
209.85.10.96	209.85.10.111	TR
209.85.10.112	209.85.12.31	US
209.85.12.32	209.85.12.47	TW
209.85.12.48	209.85.12.79	US
209.85.12.80	209.85.12.95	SE
209.85.12.96	209.85.12.127	IN
209.85.12.128	209.85.13.63	US
209.85.13.64	209.85.13.127	GB
209.85.13.128	209.85.13.143	MX
209.85.13.144	209.85.13.159	US
209.85.13.160	209.85.13.191	BR
209.85.13.192	209.85.13.223	US
209.85.13.224	209.85.13.255	GB
209.85.14.0	209.85.19.15	US
209.85.19.16	209.85.19.31	CA
209.85.19.32	209.85.19.79	US
209.85.19.80	209.85.19.95	CA
209.85.19.96	209.85.19.111	US
209.85.19.112	209.85.19.127	GR
209.85.19.128	209.85.19.223	US
209.85.19.224	209.85.19.255	IN
209.85.20.0	209.85.30.159	US
209.85.30.160	209.85.30.175	IT
209.85.30.176	209.85.30.191	US
209.85.30.192	209.85.30.207	TW
209.85.30.208	209.85.30.223	US
209.85.30.224	209.85.30.239	CA
209.85.30.240	209.85.31.127	GB
209.85.31.128	209.85.31.191	US
209.85.31.192	209.85.31.255	JO
209.85.32.0	209.85.33.31	US
209.85.33.32	209.85.33.47	AR
209.85.33.48	209.85.33.79	US
209.85.33.80	209.85.33.95	ES
209.85.33.96	209.85.33.111	MX
209.85.33.112	209.85.33.127	GB
209.85.33.128	209.85.33.207	US
209.85.33.208	209.85.33.223	RU
209.85.33.224	209.85.33.255	GB
209.85.34.0	209.85.34.255	BR
209.85.35.0	209.85.35.31	CA
209.85.35.32	209.85.35.63	RU
209.85.35.64	209.85.35.79	US
209.85.35.80	209.85.35.95	IT
209.85.35.96	209.85.35.127	US
209.85.35.128	209.85.35.143	LT
209.85.35.144	209.85.35.159	US
209.85.35.160	209.85.35.191	JO
209.85.35.192	209.85.40.127	US
209.85.40.128	209.85.40.191	GB
209.85.40.192	209.85.40.207	MX
209.85.40.208	209.85.40.255	US
209.85.41.0	209.85.41.63	ES
209.85.41.64	209.85.41.95	US
209.85.41.96	209.85.41.111	CA
209.85.41.112	209.85.41.127	US
209.85.41.128	209.85.41.159	CA
209.85.41.160	209.85.44.127	US
209.85.44.128	209.85.44.255	ES
209.85.45.0	209.85.45.255	US
209.85.46.0	209.85.46.31	GB
209.85.46.32	209.85.46.63	US
209.85.46.64	209.85.46.127	CA
209.85.46.128	209.85.49.255	US
209.85.50.0	209.85.50.255	GB
209.85.51.0	209.85.53.63	US
209.85.53.64	209.85.53.127	ES
209.85.53.128	209.85.53.159	US
209.85.53.160	209.85.53.175	IN
209.85.53.176	209.85.53.191	GB
209.85.53.192	209.85.58.255	US
209.85.59.0	209.85.59.31	CA
209.85.59.32	209.85.59.47	GB
209.85.59.48	209.85.59.79	US
209.85.59.80	209.85.59.95	MX
209.85.59.96	209.85.59.191	US
209.85.59.192	209.85.59.255	BR
209.85.60.0	209.85.60.255	US
209.85.61.0	209.85.61.255	AU
209.85.62.0	209.85.62.15	CA
209.85.62.16	209.85.63.255	US
209.85.64.0	209.85.64.15	CA
209.85.64.16	209.85.64.95	US
209.85.64.96	209.85.64.127	CA
209.85.64.128	209.85.64.255	US
209.85.65.0	209.85.65.15	CA
209.85.65.16	209.85.72.255	US
209.85.73.0	209.85.73.127	AU
209.85.73.128	209.85.76.111	US
209.85.76.112	209.85.76.127	GB
209.85.76.128	209.85.79.191	US
209.85.79.192	209.85.79.207	CA
209.85.79.208	209.85.80.79	US
209.85.80.80	209.85.80.95	CA
209.85.80.96	209.85.88.63	US
209.85.88.64	209.85.88.127	JO
209.85.88.128	209.85.88.143	CA
209.85.88.144	209.85.89.47	US
209.85.89.48	209.85.89.63	CA
209.85.89.64	209.85.90.15	US
209.85.90.16	209.85.90.31	CA
209.85.90.32	209.85.111.127	US
209.85.111.128	209.85.111.191	AU
209.85.111.192	209.85.117.207	US
209.85.117.208	209.85.117.223	CA
209.85.117.224	209.85.122.207	US
209.85.122.208	209.85.122.223	CA
209.85.122.224	209.86.255.255	US
209.87.0.0	209.87.63.255	CA
209.87.64.0	209.87.127.255	US
209.87.128.0	209.87.143.255	CA
209.87.144.0	209.87.223.255	US
209.87.224.0	209.87.235.223	CA
209.87.235.224	209.87.235.239	US
209.87.235.240	209.87.255.255	CA
209.88.0.0	209.88.0.255	US
209.88.1.0	209.88.1.255	CL
209.88.2.0	209.88.2.255	AW
209.88.3.0	209.88.3.255	CL
209.88.4.0	209.88.6.255	HN
209.88.7.0	209.88.7.127	NI
209.88.7.128	209.88.7.255	US
209.88.8.0	209.88.15.255	CO
209.88.16.0	209.88.21.255	US
209.88.22.0	209.88.22.255	CL
209.88.23.0	209.88.23.255	AR
209.88.24.0	209.88.62.255	US
209.88.63.0	209.88.63.31	CO
209.88.63.32	209.88.63.255	US
209.88.64.0	209.88.64.63	AG
209.88.64.64	209.88.64.95	GP
209.88.64.96	209.88.64.255	AG
209.88.65.0	209.88.65.255	VG
209.88.66.0	209.88.66.31	AG
209.88.66.32	209.88.66.63	VG
209.88.66.64	209.88.66.127	KN
209.88.66.128	209.88.66.255	AG
209.88.67.0	209.88.68.255	AI
209.88.69.0	209.88.69.255	AG
209.88.70.0	209.88.70.255	LC
209.88.71.0	209.88.71.255	AG
209.88.72.0	209.88.79.255	ZA
209.88.80.0	209.88.87.255	PR
209.88.88.0	209.88.95.255	ZW
209.88.96.0	209.88.96.255	VE
209.88.97.0	209.88.97.127	US
209.88.97.128	209.88.97.143	CA
209.88.97.144	209.88.97.255	US
209.88.98.0	209.88.98.31	CO
209.88.98.32	209.88.99.255	US
209.88.100.0	209.88.100.255	CL
209.88.101.0	209.88.101.31	VE
209.88.101.32	209.88.101.127	US
209.88.101.128	209.88.101.255	VE
209.88.102.0	209.88.102.255	CL
209.88.103.0	209.88.103.255	VE
209.88.104.0	209.88.104.31	CO
209.88.104.32	209.88.104.127	US
209.88.104.128	209.88.104.191	CO
209.88.104.192	209.88.104.255	US
209.88.105.0	209.88.105.31	CO
209.88.105.32	209.88.105.127	US
209.88.105.128	209.88.105.159	CO
209.88.105.160	209.88.108.255	US
209.88.109.0	209.88.109.255	CL
209.88.110.0	209.88.110.31	VE
209.88.110.32	209.88.110.127	US
209.88.110.128	209.88.110.159	CO
209.88.110.160	209.88.110.255	US
209.88.111.0	209.88.111.255	HN
209.88.112.0	209.88.119.255	ZA
209.88.120.0	209.88.120.255	US
209.88.121.0	209.88.124.255	MR
209.88.125.0	209.88.126.255	US
209.88.127.0	209.88.127.255	HN
209.88.128.0	209.88.135.255	AW
209.88.136.0	209.88.141.255	BS
209.88.142.0	209.88.143.255	CO
209.88.144.0	209.88.144.255	CL
209.88.145.0	209.88.145.255	VE
209.88.146.0	209.88.154.255	EG
209.88.155.0	209.88.158.255	IL
209.88.159.0	209.88.161.255	CL
209.88.162.0	209.88.162.255	US
209.88.163.0	209.88.163.255	NG
209.88.164.0	209.88.167.255	US
209.88.168.0	209.88.170.31	CO
209.88.170.32	209.88.170.95	US
209.88.170.96	209.88.170.127	CO
209.88.170.128	209.88.170.191	US
209.88.170.192	209.88.170.223	CO
209.88.170.224	209.88.170.255	US
209.88.171.0	209.88.171.255	CO
209.88.172.0	209.88.199.255	IL
209.88.200.0	209.88.207.255	CL
209.88.208.0	209.88.215.255	US
209.88.216.0	209.88.219.255	GU
209.88.220.0	209.88.223.255	US
209.88.224.0	209.88.227.255	GT
209.88.228.0	209.88.231.255	VE
209.88.232.0	209.88.241.255	US
209.88.242.0	209.88.244.255	TG
209.88.245.0	209.88.246.255	US
209.88.247.0	209.88.247.255	PR
209.88.248.0	209.88.248.255	US
209.88.249.0	209.88.249.255	PR
209.88.250.0	209.88.250.255	US
209.88.251.0	209.88.251.255	HN
209.88.252.0	209.88.255.255	US
209.89.0.0	209.89.255.255	CA
209.90.0.0	209.90.127.255	US
209.90.128.0	209.90.191.255	CA
209.90.192.0	209.90.239.255	US
209.90.240.0	209.90.255.255	CA
209.91.0.0	209.91.63.255	US
209.91.64.0	209.91.191.255	CA
209.91.192.0	209.91.255.255	PR
209.92.0.0	209.93.3.255	US
209.93.4.0	209.93.4.63	BR
209.93.4.64	209.93.10.127	US
209.93.10.128	209.93.10.191	CA
209.93.10.192	209.93.11.127	US
209.93.11.128	209.93.11.255	DE
209.93.12.0	209.93.12.127	US
209.93.12.128	209.93.12.255	HK
209.93.13.0	209.93.13.63	CO
209.93.13.64	209.93.13.127	US
209.93.13.128	209.93.13.191	ES
209.93.13.192	209.93.13.255	US
209.93.14.0	209.93.14.127	MX
209.93.14.128	209.93.15.255	US
209.93.16.0	209.93.16.63	CL
209.93.16.64	209.93.16.127	DK
209.93.16.128	209.93.17.255	US
209.93.18.0	209.93.18.255	CA
209.93.19.0	209.93.19.127	US
209.93.19.128	209.93.19.255	BR
209.93.20.0	209.93.21.127	US
209.93.21.128	209.93.21.255	VE
209.93.22.0	209.93.23.127	US
209.93.23.128	209.93.23.255	ID
209.93.24.0	209.93.24.191	US
209.93.24.192	209.93.24.255	CO
209.93.25.0	209.93.26.255	US
209.93.27.0	209.93.27.127	MX
209.93.27.128	209.93.28.127	US
209.93.28.128	209.93.28.135	TH
209.93.28.136	209.93.28.191	US
209.93.28.192	209.93.28.255	CO
209.93.29.0	209.93.31.127	US
209.93.31.128	209.93.31.191	CO
209.93.31.192	209.93.32.47	US
209.93.32.48	209.93.32.63	SE
209.93.32.64	209.93.32.95	US
209.93.32.96	209.93.32.111	IT
209.93.32.112	209.93.32.255	US
209.93.33.0	209.93.33.143	IT
209.93.33.144	209.93.33.159	US
209.93.33.160	209.93.33.175	IT
209.93.33.176	209.93.33.191	US
209.93.33.192	209.93.33.255	IT
209.93.34.0	209.93.34.225	NO
209.93.34.226	209.93.35.255	US
209.93.36.0	209.93.36.31	SE
209.93.36.32	209.93.37.255	US
209.93.38.0	209.93.38.31	DE
209.93.38.32	209.93.38.255	US
209.93.39.0	209.93.39.47	IL
209.93.39.48	209.93.41.255	US
209.93.42.0	209.93.42.159	FI
209.93.42.160	209.93.42.255	US
209.93.43.0	209.93.43.63	DE
209.93.43.64	209.93.43.71	ID
209.93.43.72	209.93.43.79	TW
209.93.43.80	209.93.43.87	MY
209.93.43.88	209.93.43.95	US
209.93.43.96	209.93.43.103	HK
209.93.43.104	209.93.43.111	JP
209.93.43.112	209.93.43.255	US
209.93.44.0	209.93.44.79	GB
209.93.44.80	209.93.44.127	US
209.93.44.128	209.93.44.191	GB
209.93.44.192	209.93.44.255	US
209.93.45.0	209.93.45.15	DE
209.93.45.16	209.93.45.63	US
209.93.45.64	209.93.45.127	DE
209.93.45.128	209.93.45.255	US
209.93.46.0	209.93.46.31	NO
209.93.46.32	209.93.46.63	US
209.93.46.64	209.93.46.143	NO
209.93.46.144	209.93.46.255	US
209.93.47.0	209.93.47.127	TW
209.93.47.128	209.93.48.127	US
209.93.48.128	209.93.48.159	GB
209.93.48.160	209.93.48.191	US
209.93.48.192	209.93.49.127	GB
209.93.49.128	209.93.49.223	US
209.93.49.224	209.93.49.255	GB
209.93.50.0	209.93.50.143	IT
209.93.50.144	209.93.50.191	US
209.93.50.192	209.93.50.255	IT
209.93.51.0	209.93.51.127	GB
209.93.51.128	209.93.51.255	US
209.93.52.0	209.93.52.159	FR
209.93.52.160	209.93.52.255	US
209.93.53.0	209.93.53.31	IT
209.93.53.32	209.93.53.47	SG
209.93.53.48	209.93.53.63	JP
209.93.53.64	209.93.53.71	KR
209.93.53.72	209.93.53.127	US
209.93.53.128	209.93.53.255	BE
209.93.54.0	209.93.54.63	DE
209.93.54.64	209.93.54.127	US
209.93.54.128	209.93.54.255	DE
209.93.55.0	209.93.55.31	LU
209.93.55.32	209.93.55.159	BE
209.93.55.160	209.93.55.191	US
209.93.55.192	209.93.55.255	ES
209.93.56.0	209.93.56.31	SE
209.93.56.32	209.93.56.63	US
209.93.56.64	209.93.56.127	ZA
209.93.56.128	209.93.56.255	US
209.93.57.0	209.93.57.255	GB
209.93.58.0	209.93.58.31	PT
209.93.58.32	209.93.58.255	US
209.93.59.0	209.93.59.47	CH
209.93.59.48	209.93.59.255	US
209.93.60.0	209.93.60.127	ES
209.93.60.128	209.93.61.63	US
209.93.61.64	209.93.61.95	NL
209.93.61.96	209.93.61.127	US
209.93.61.128	209.93.61.255	NL
209.93.62.0	209.93.62.127	CH
209.93.62.128	209.93.62.223	US
209.93.62.224	209.93.62.255	GR
209.93.63.0	209.93.63.127	FR
209.93.63.128	209.93.63.191	US
209.93.63.192	209.93.63.255	FR
209.93.64.0	209.93.64.191	US
209.93.64.192	209.93.64.255	BE
209.93.65.0	209.93.65.63	DE
209.93.65.64	209.93.65.95	TW
209.93.65.96	209.93.65.127	US
209.93.65.128	209.93.65.255	TH
209.93.66.0	209.93.66.127	US
209.93.66.128	209.93.66.143	DE
209.93.66.144	209.93.66.255	US
209.93.67.0	209.93.67.31	AT
209.93.67.32	209.93.67.111	US
209.93.67.112	209.93.67.127	AT
209.93.67.128	209.93.67.255	US
209.93.68.0	209.93.68.15	CH
209.93.68.16	209.93.69.255	US
209.93.70.0	209.93.70.255	GB
209.93.71.0	209.93.71.255	DE
209.93.72.0	209.93.72.127	IL
209.93.72.128	209.93.74.255	US
209.93.75.0	209.93.75.255	NL
209.93.76.0	209.93.76.111	US
209.93.76.112	209.93.76.255	DE
209.93.77.0	209.93.77.255	US
209.93.78.0	209.93.78.151	GR
209.93.78.152	209.93.79.255	US
209.93.80.0	209.93.80.191	AT
209.93.80.192	209.93.80.255	US
209.93.81.0	209.93.81.127	CH
209.93.81.128	209.93.81.255	US
209.93.82.0	209.93.84.255	GB
209.93.85.0	209.93.85.15	DK
209.93.85.16	209.93.88.255	US
209.93.89.0	209.93.90.255	IE
209.93.91.0	209.93.91.127	SE
209.93.91.128	209.93.91.191	DE
209.93.91.192	209.93.91.255	US
209.93.92.0	209.93.92.255	FR
209.93.93.0	209.93.93.31	US
209.93.93.32	209.93.93.47	BE
209.93.93.48	209.93.93.63	US
209.93.93.64	209.93.93.127	BE
209.93.93.128	209.93.93.255	US
209.93.94.0	209.93.94.255	DE
209.93.95.0	209.93.95.255	GB
209.93.96.0	209.93.97.87	US
209.93.97.88	209.93.97.95	JP
209.93.97.96	209.93.97.127	US
209.93.97.128	209.93.97.191	ID
209.93.97.192	209.93.97.255	HK
209.93.98.0	209.93.99.255	US
209.93.100.0	209.93.100.127	JP
209.93.100.128	209.93.100.191	MY
209.93.100.192	209.93.100.255	US
209.93.101.0	209.93.101.63	JP
209.93.101.64	209.93.101.111	SG
209.93.101.112	209.93.101.127	US
209.93.101.128	209.93.101.191	JP
209.93.101.192	209.93.101.223	AU
209.93.101.224	209.93.101.255	US
209.93.102.0	209.93.102.31	SG
209.93.102.32	209.93.102.127	US
209.93.102.128	209.93.102.255	ID
209.93.103.0	209.93.105.255	US
209.93.106.0	209.93.106.129	TH
209.93.106.130	209.93.106.255	US
209.93.107.0	209.93.107.127	JP
209.93.107.128	209.93.109.255	US
209.93.110.0	209.93.110.127	CN
209.93.110.128	209.93.110.255	US
209.93.111.0	209.93.111.127	HK
209.93.111.128	209.93.111.255	US
209.93.112.0	209.93.112.63	AU
209.93.112.64	209.93.112.127	JP
209.93.112.128	209.93.112.255	CN
209.93.113.0	209.93.113.255	JP
209.93.114.0	209.93.114.63	CH
209.93.114.64	209.93.114.95	HK
209.93.114.96	209.93.114.127	US
209.93.114.128	209.93.114.191	CN
209.93.114.192	209.93.114.255	HK
209.93.115.0	209.93.115.31	TH
209.93.115.32	209.93.115.111	US
209.93.115.112	209.93.115.127	TH
209.93.115.128	209.93.116.255	US
209.93.117.0	209.93.117.127	PH
209.93.117.128	209.93.117.191	US
209.93.117.192	209.93.117.255	SG
209.93.118.0	209.93.118.191	US
209.93.118.192	209.93.118.255	ID
209.93.119.0	209.93.119.255	US
209.93.120.0	209.93.120.15	MY
209.93.120.16	209.93.120.31	US
209.93.120.32	209.93.120.63	AU
209.93.120.64	209.93.120.95	JP
209.93.120.96	209.93.120.255	US
209.93.121.0	209.93.121.127	PH
209.93.121.128	209.93.121.255	US
209.93.122.0	209.93.122.255	SG
209.93.123.0	209.93.125.127	US
209.93.125.128	209.93.125.255	HK
209.93.126.0	209.93.126.255	PH
209.93.127.0	209.93.130.255	US
209.93.131.0	209.93.131.127	BR
209.93.131.128	209.93.133.159	US
209.93.133.160	209.93.133.191	CA
209.93.133.192	209.93.133.255	US
209.93.134.0	209.93.134.127	GB
209.93.134.128	209.93.136.127	US
209.93.136.128	209.93.136.255	BR
209.93.137.0	209.93.140.255	US
209.93.141.0	209.93.141.127	CA
209.93.141.128	209.93.144.127	US
209.93.144.128	209.93.144.143	VE
209.93.144.144	209.93.144.159	CA
209.93.144.160	209.93.145.127	US
209.93.145.128	209.93.145.255	MX
209.93.146.0	209.93.151.127	US
209.93.151.128	209.93.151.255	CL
209.93.152.0	209.93.152.63	VE
209.93.152.64	209.93.155.255	US
209.93.156.0	209.93.156.127	MX
209.93.156.128	209.93.156.223	US
209.93.156.224	209.93.156.255	BR
209.93.157.0	209.93.157.127	US
209.93.157.128	209.93.157.191	CL
209.93.157.192	209.93.157.255	US
209.93.158.0	209.93.158.255	CL
209.93.159.0	209.93.159.31	KR
209.93.159.32	209.93.159.63	HK
209.93.159.64	209.93.159.95	TW
209.93.159.96	209.93.159.127	ID
209.93.159.128	209.93.159.159	SG
209.93.159.160	209.93.159.191	US
209.93.159.192	209.93.160.255	ID
209.93.161.0	209.93.162.255	US
209.93.163.0	209.93.163.255	SG
209.93.164.0	209.93.166.63	US
209.93.166.64	209.93.166.127	MY
209.93.166.128	209.93.166.255	JP
209.93.167.0	209.93.167.255	US
209.93.168.0	209.93.168.31	KR
209.93.168.32	209.93.168.63	US
209.93.168.64	209.93.168.127	KR
209.93.168.128	209.93.168.255	US
209.93.169.0	209.93.169.255	HK
209.93.170.0	209.93.170.255	US
209.93.171.0	209.93.171.127	KR
209.93.171.128	209.93.171.255	US
209.93.172.0	209.93.172.63	JP
209.93.172.64	209.93.172.255	US
209.93.173.0	209.93.173.63	TW
209.93.173.64	209.93.173.127	SG
209.93.173.128	209.93.173.159	TH
209.93.173.160	209.93.173.255	US
209.93.174.0	209.93.174.63	AU
209.93.174.64	209.93.174.95	PH
209.93.174.96	209.93.174.127	US
209.93.174.128	209.93.174.191	TH
209.93.174.192	209.93.174.255	US
209.93.175.0	209.93.175.63	JP
209.93.175.64	209.93.175.255	US
209.93.176.0	209.93.176.63	KR
209.93.176.64	209.93.177.255	US
209.93.178.0	209.93.178.160	CN
209.93.178.161	209.93.178.255	US
209.93.179.0	209.93.179.127	TH
209.93.179.128	209.93.179.255	US
209.93.180.0	209.93.180.127	ID
209.93.180.128	209.93.180.255	HK
209.93.181.0	209.93.181.127	KR
209.93.181.128	209.93.181.255	NZ
209.93.182.0	209.93.182.255	ID
209.93.183.0	209.93.183.127	SG
209.93.183.128	209.93.183.191	KR
209.93.183.192	209.93.183.255	TW
209.93.184.0	209.93.184.127	JP
209.93.184.128	209.93.184.191	US
209.93.184.192	209.93.184.255	CN
209.93.185.0	209.93.185.15	CH
209.93.185.16	209.93.185.63	US
209.93.185.64	209.93.185.127	SG
209.93.185.128	209.93.186.255	HK
209.93.187.0	209.93.187.127	ID
209.93.187.128	209.93.187.191	SG
209.93.187.192	209.93.187.255	KR
209.93.188.0	209.93.188.127	NZ
209.93.188.128	209.93.188.255	TW
209.93.189.0	209.93.191.255	CN
209.93.192.0	209.93.192.63	US
209.93.192.64	209.93.192.79	BR
209.93.192.80	209.93.193.63	US
209.93.193.64	209.93.193.127	BR
209.93.193.128	209.93.193.255	PE
209.93.194.0	209.93.194.63	BR
209.93.194.64	209.93.194.127	CN
209.93.194.128	209.93.194.255	BR
209.93.195.0	209.93.196.127	US
209.93.196.128	209.93.197.255	BR
209.93.198.0	209.93.200.255	US
209.93.201.0	209.93.201.31	BR
209.93.201.32	209.93.204.191	US
209.93.204.192	209.93.204.223	BR
209.93.204.224	209.93.206.159	US
209.93.206.160	209.93.206.191	PE
209.93.206.192	209.93.206.255	CO
209.93.207.0	209.93.207.191	US
209.93.207.192	209.93.207.255	VE
209.93.208.0	209.93.208.255	US
209.93.209.0	209.93.209.191	BR
209.93.209.192	209.93.209.255	AR
209.93.210.0	209.93.212.31	US
209.93.212.32	209.93.212.63	CH
209.93.212.64	209.93.213.127	US
209.93.213.128	209.93.213.255	CO
209.93.214.0	209.93.214.127	US
209.93.214.128	209.93.214.255	CO
209.93.215.0	209.93.215.127	US
209.93.215.128	209.93.215.159	PE
209.93.215.160	209.93.215.191	US
209.93.215.192	209.93.215.255	BR
209.93.216.0	209.93.216.127	US
209.93.216.128	209.93.216.255	MX
209.93.217.0	209.93.220.95	US
209.93.220.96	209.93.220.255	BR
209.93.221.0	209.93.222.63	US
209.93.222.64	209.93.222.127	CO
209.93.222.128	209.93.222.191	US
209.93.222.192	209.93.222.255	CO
209.93.223.0	209.93.223.63	MX
209.93.223.64	209.93.223.127	CH
209.93.223.128	209.93.225.255	US
209.93.226.0	209.93.226.127	TH
209.93.226.128	209.93.226.255	PH
209.93.227.0	209.93.227.255	JP
209.93.228.0	209.93.231.255	US
209.93.232.0	209.93.233.255	GB
209.93.234.0	209.93.234.255	PH
209.93.235.0	209.93.235.127	GB
209.93.235.128	209.93.235.255	SG
209.93.236.0	209.93.236.63	TH
209.93.236.64	209.93.236.103	US
209.93.236.104	209.93.236.111	CN
209.93.236.112	209.93.236.255	US
209.93.237.0	209.93.237.127	JP
209.93.237.128	209.93.237.223	US
209.93.237.224	209.93.237.255	DE
209.93.238.0	209.93.238.127	US
209.93.238.128	209.93.238.255	CN
209.93.239.0	209.93.239.255	MY
209.93.240.0	209.93.240.63	HK
209.93.240.64	209.93.240.127	US
209.93.240.128	209.93.240.255	CN
209.93.241.0	209.93.241.255	US
209.93.242.0	209.93.242.63	TH
209.93.242.64	209.93.242.255	US
209.93.243.0	209.93.243.255	TW
209.93.244.0	209.93.244.255	US
209.93.245.0	209.93.245.31	KR
209.93.245.32	209.93.245.63	US
209.93.245.64	209.93.245.127	KR
209.93.245.128	209.93.246.255	US
209.93.247.0	209.93.247.255	JP
209.93.248.0	209.93.249.255	US
209.93.250.0	209.93.250.255	TH
209.93.251.0	209.93.252.255	US
209.93.253.0	209.93.253.255	JP
209.93.254.0	209.93.254.63	KR
209.93.254.64	209.93.254.127	US
209.93.254.128	209.93.254.255	TH
209.93.255.0	209.93.255.255	PH
209.94.0.0	209.94.191.255	US
209.94.192.0	209.94.223.255	TT
209.94.224.0	209.95.103.159	US
209.95.103.160	209.95.103.191	IN
209.95.103.192	209.95.124.31	US
209.95.124.32	209.95.124.63	GB
209.95.124.64	209.95.127.255	US
209.95.128.0	209.95.138.255	SE
209.95.139.0	209.95.147.255	US
209.95.148.0	209.95.159.255	SE
209.95.160.0	209.97.191.255	US
209.97.192.0	209.97.192.255	CA
209.97.193.0	209.97.193.63	A1
209.97.193.64	209.97.196.255	CA
209.97.197.0	209.97.197.127	A1
209.97.197.128	209.97.197.129	CA
209.97.197.130	209.97.197.177	A1
209.97.197.178	209.97.197.179	CA
209.97.197.180	209.97.197.190	A1
209.97.197.191	209.97.197.191	CA
209.97.197.192	209.97.197.255	A1
209.97.198.0	209.97.204.127	CA
209.97.204.128	209.97.204.255	A1
209.97.205.0	209.97.206.127	CA
209.97.206.128	209.97.206.255	A1
209.97.207.0	209.97.207.232	CA
209.97.207.233	209.97.207.233	A1
209.97.207.234	209.97.210.63	CA
209.97.210.64	209.97.210.127	A1
209.97.210.128	209.97.213.33	CA
209.97.213.34	209.97.213.35	A1
209.97.213.36	209.97.223.235	CA
209.97.223.236	209.97.223.237	A1
209.97.223.238	209.97.223.255	CA
209.97.224.0	209.98.118.255	US
209.98.119.0	209.98.119.31	BE
209.98.119.32	209.98.119.63	AU
209.98.119.64	209.98.119.95	FR
209.98.119.96	209.98.119.127	KW
209.98.119.128	209.98.119.191	US
209.98.119.192	209.98.119.223	CA
209.98.119.224	209.99.223.255	US
209.99.224.0	209.99.239.255	AR
209.99.240.0	209.102.255.255	US
209.103.0.0	209.103.63.255	CA
209.103.64.0	209.104.63.255	US
209.104.64.0	209.104.127.255	CA
209.104.128.0	209.104.159.255	US
209.104.160.0	209.104.191.255	CA
209.104.192.0	209.105.191.255	US
209.105.192.0	209.105.223.255	CA
209.105.224.0	209.107.95.255	US
209.107.96.0	209.107.127.255	CA
209.107.128.0	209.110.92.255	US
209.110.93.0	209.110.93.255	A2
209.110.94.0	209.111.255.255	US
209.112.0.0	209.112.63.255	CA
209.112.64.0	209.115.127.255	US
209.115.128.0	209.115.255.255	CA
209.116.0.0	209.120.255.255	US
209.121.0.0	209.121.255.255	CA
209.122.0.0	209.124.73.183	US
209.124.73.184	209.124.73.191	PA
209.124.73.192	209.124.89.119	US
209.124.89.120	209.124.89.127	PA
209.124.89.128	209.124.96.255	US
209.124.97.0	209.124.97.255	GT
209.124.98.0	209.124.99.255	SV
209.124.100.0	209.124.101.255	NI
209.124.102.0	209.124.103.127	SV
209.124.103.128	209.124.104.255	US
209.124.105.0	209.124.107.255	NI
209.124.108.0	209.124.127.255	SV
209.124.128.0	209.127.8.159	US
209.127.8.160	209.127.8.175	PA
209.127.8.176	209.127.9.191	US
209.127.9.192	209.127.9.207	VE
209.127.9.208	209.127.9.255	US
209.127.10.0	209.127.10.15	PA
209.127.10.16	209.127.11.15	US
209.127.11.16	209.127.11.31	PA
209.127.11.32	209.127.17.255	US
209.127.18.0	209.127.18.31	PA
209.127.18.32	209.127.18.95	US
209.127.18.96	209.127.18.127	VE
209.127.18.128	209.127.19.31	US
209.127.19.32	209.127.19.63	VE
209.127.19.64	209.127.19.127	US
209.127.19.128	209.127.19.191	PA
209.127.19.192	209.127.19.223	US
209.127.19.224	209.127.19.255	PA
209.127.20.0	209.127.20.127	US
209.127.20.128	209.127.20.159	PA
209.127.20.160	209.127.22.31	US
209.127.22.32	209.127.22.63	PA
209.127.22.64	209.127.23.95	US
209.127.23.96	209.127.23.127	VE
209.127.23.128	209.127.24.95	US
209.127.24.96	209.127.24.127	VE
209.127.24.128	209.127.26.255	US
209.127.27.0	209.127.27.63	VE
209.127.27.64	209.127.30.127	US
209.127.30.128	209.127.30.255	PA
209.127.31.0	209.127.31.63	US
209.127.31.64	209.127.31.127	PA
209.127.31.128	209.127.54.255	US
209.127.55.0	209.127.55.255	PA
209.127.56.0	209.127.57.255	US
209.127.58.0	209.127.58.255	VE
209.127.59.0	209.127.59.23	US
209.127.59.24	209.127.59.31	VE
209.127.59.32	209.127.59.87	US
209.127.59.88	209.127.59.95	VE
209.127.59.96	209.127.79.255	US
209.127.80.0	209.127.83.255	VE
209.127.84.0	209.127.102.255	US
209.127.103.0	209.127.103.255	PA
209.127.104.0	209.127.118.255	US
209.127.119.0	209.127.127.255	PA
209.127.128.0	209.127.255.255	US
209.128.0.0	209.128.63.255	CA
209.128.64.0	209.132.99.7	US
209.132.99.8	209.132.99.15	AU
209.132.99.16	209.132.236.255	US
209.132.237.0	209.132.237.15	AU
209.132.237.16	209.133.1.255	US
209.133.2.0	209.133.2.255	CA
209.133.3.0	209.133.3.255	US
209.133.4.0	209.133.4.255	CA
209.133.5.0	209.133.47.255	US
209.133.48.0	209.133.48.255	CA
209.133.49.0	209.133.64.175	US
209.133.64.176	209.133.64.183	KR
209.133.64.184	209.133.119.255	US
209.133.120.0	209.133.120.255	CA
209.133.121.0	209.135.63.255	US
209.135.64.0	209.135.127.255	CA
209.135.128.0	209.136.30.255	US
209.136.31.0	209.136.31.255	MX
209.136.32.0	209.137.140.223	US
209.137.140.224	209.137.140.239	KR
209.137.140.240	209.137.141.103	US
209.137.141.104	209.137.141.111	JP
209.137.141.112	209.137.142.127	US
209.137.142.128	209.137.142.143	JP
209.137.142.144	209.137.144.239	US
209.137.144.240	209.137.144.247	JP
209.137.144.248	209.137.146.111	US
209.137.146.112	209.137.146.127	JP
209.137.146.128	209.137.146.143	US
209.137.146.144	209.137.146.159	JP
209.137.146.160	209.137.146.191	US
209.137.146.192	209.137.146.207	JP
209.137.146.208	209.137.146.215	US
209.137.146.216	209.137.146.255	JP
209.137.147.0	209.137.147.191	US
209.137.147.192	209.137.147.255	JP
209.137.148.0	209.137.151.79	US
209.137.151.80	209.137.151.87	JP
209.137.151.88	209.137.153.255	US
209.137.154.0	209.137.154.15	JP
209.137.154.16	209.137.156.191	US
209.137.156.192	209.137.156.255	JP
209.137.157.0	209.139.191.255	US
209.139.192.0	209.139.255.255	CA
209.142.0.0	209.142.191.199	US
209.142.191.200	209.142.191.207	MO
209.142.191.208	209.143.224.15	US
209.143.224.16	209.143.224.31	AU
209.143.224.32	209.143.224.255	US
209.143.225.0	209.143.225.127	AU
209.143.225.128	209.143.229.47	US
209.143.229.48	209.143.229.63	IT
209.143.229.64	209.144.149.159	US
209.144.149.160	209.144.149.191	CA
209.144.149.192	209.144.160.231	US
209.144.160.232	209.144.160.239	AU
209.144.160.240	209.145.56.175	US
209.145.56.176	209.145.56.191	GB
209.145.56.192	209.145.57.47	US
209.145.57.48	209.145.57.63	CA
209.145.57.64	209.145.57.95	US
209.145.57.96	209.145.57.111	ES
209.145.57.112	209.145.60.95	US
209.145.60.96	209.145.60.111	NL
209.145.60.112	209.145.60.159	US
209.145.60.160	209.145.60.175	GB
209.145.60.176	209.145.95.255	US
209.145.96.0	209.145.127.255	CA
209.145.128.0	209.145.191.255	US
209.146.0.0	209.146.127.255	US
209.146.128.0	209.146.255.255	CA
209.147.0.0	209.148.5.255	US
209.148.6.0	209.148.6.255	GB
209.148.7.0	209.148.63.255	US
209.148.64.0	209.148.95.255	CA
209.148.96.0	209.148.127.255	US
209.148.128.0	209.148.255.255	CA
209.149.0.0	209.150.255.255	US
209.151.0.0	209.151.31.255	CA
209.151.32.0	209.151.66.79	US
209.151.66.80	209.151.66.111	TR
209.151.66.112	209.151.66.119	US
209.151.66.120	209.151.66.127	MY
209.151.66.128	209.151.67.23	US
209.151.67.24	209.151.67.39	AE
209.151.67.40	209.151.84.79	US
209.151.84.80	209.151.84.95	CA
209.151.84.96	209.151.91.255	US
209.151.92.0	209.151.92.255	MY
209.151.93.0	209.151.93.255	US
209.151.94.0	209.151.94.255	CA
209.151.95.0	209.151.127.255	US
209.151.128.0	209.151.143.255	CA
209.151.144.0	209.153.191.255	US
209.153.192.0	209.153.255.255	CA
209.154.0.0	209.159.159.255	US
209.159.160.0	209.159.161.255	A2
209.159.162.0	209.159.162.7	US
209.159.162.8	209.159.162.15	NG
209.159.162.16	209.159.162.47	US
209.159.162.48	209.159.162.63	NG
209.159.162.64	209.159.162.95	EC
209.159.162.96	209.159.162.175	NG
209.159.162.176	209.159.162.255	US
209.159.163.0	209.159.163.255	A2
209.159.164.0	209.159.164.255	NG
209.159.165.0	209.159.165.255	A2
209.159.166.0	209.159.166.255	NG
209.159.167.0	209.159.169.255	A2
209.159.170.0	209.159.171.255	NG
209.159.172.0	209.159.172.255	A2
209.159.173.0	209.159.173.255	NG
209.159.174.0	209.159.174.255	A2
209.159.175.0	209.159.175.255	NG
209.159.176.0	209.159.191.255	CA
209.159.192.0	209.161.191.255	US
209.161.192.0	209.161.255.255	CA
209.162.0.0	209.162.159.255	US
209.162.160.0	209.162.175.255	CA
209.162.176.0	209.162.176.105	US
209.162.176.106	209.162.176.121	CA
209.162.176.122	209.162.176.181	US
209.162.176.182	209.162.176.191	NZ
209.162.176.192	209.162.178.25	US
209.162.178.26	209.162.178.41	NE
209.162.178.42	209.162.178.75	US
209.162.178.76	209.162.178.91	CA
209.162.178.92	209.162.178.104	US
209.162.178.105	209.162.178.124	CA
209.162.178.125	209.162.179.11	US
209.162.179.12	209.162.179.29	GB
209.162.179.30	209.162.182.29	US
209.162.182.30	209.162.182.45	GB
209.162.182.46	209.162.188.212	US
209.162.188.213	209.162.188.226	NZ
209.162.188.227	209.162.223.255	US
209.162.224.0	209.162.238.255	CA
209.162.239.0	209.162.239.255	US
209.162.240.0	209.162.255.255	CA
209.163.0.0	209.164.183.255	US
209.164.184.0	209.164.191.255	GU
209.164.192.0	209.165.223.255	US
209.165.224.0	209.165.239.255	CA
209.165.240.0	209.166.255.255	US
209.167.0.0	209.167.3.255	CA
209.167.4.0	209.167.4.255	US
209.167.5.0	209.167.6.255	CA
209.167.7.0	209.167.9.255	US
209.167.10.0	209.167.10.95	CA
209.167.10.96	209.167.10.159	US
209.167.10.160	209.167.19.255	CA
209.167.20.0	209.167.20.255	US
209.167.21.0	209.167.21.223	CA
209.167.21.224	209.167.21.239	US
209.167.21.240	209.167.23.255	CA
209.167.24.0	209.167.25.255	US
209.167.26.0	209.167.26.255	CA
209.167.27.0	209.167.28.255	US
209.167.29.0	209.167.29.255	CA
209.167.30.0	209.167.30.255	US
209.167.31.0	209.167.34.111	CA
209.167.34.112	209.167.34.127	US
209.167.34.128	209.167.34.175	CA
209.167.34.176	209.167.34.191	US
209.167.34.192	209.167.36.255	CA
209.167.37.0	209.167.37.255	US
209.167.38.0	209.167.38.255	CA
209.167.39.0	209.167.39.15	US
209.167.39.16	209.167.39.79	CA
209.167.39.80	209.167.39.95	US
209.167.39.96	209.167.39.223	CA
209.167.39.224	209.167.39.239	US
209.167.39.240	209.167.41.255	CA
209.167.42.0	209.167.42.31	US
209.167.42.32	209.167.42.63	CA
209.167.42.64	209.167.42.95	US
209.167.42.96	209.167.50.207	CA
209.167.50.208	209.167.50.223	US
209.167.50.224	209.167.50.239	CA
209.167.50.240	209.167.51.31	US
209.167.51.32	209.167.51.95	CA
209.167.51.96	209.167.51.127	US
209.167.51.128	209.167.51.159	CA
209.167.51.160	209.167.51.191	US
209.167.51.192	209.167.52.127	CA
209.167.52.128	209.167.52.143	US
209.167.52.144	209.167.52.175	CA
209.167.52.176	209.167.52.207	US
209.167.52.208	209.167.55.175	CA
209.167.55.176	209.167.55.191	US
209.167.55.192	209.167.55.207	CA
209.167.55.208	209.167.55.223	US
209.167.55.224	209.167.57.255	CA
209.167.58.0	209.167.58.255	US
209.167.59.0	209.167.59.255	CA
209.167.60.0	209.167.61.255	US
209.167.62.0	209.167.65.255	CA
209.167.66.0	209.167.66.255	US
209.167.67.0	209.167.67.63	CA
209.167.67.64	209.167.67.127	IL
209.167.67.128	209.167.70.255	CA
209.167.71.0	209.167.71.15	US
209.167.71.16	209.167.72.95	CA
209.167.72.96	209.167.72.111	US
209.167.72.112	209.167.72.191	CA
209.167.72.192	209.167.72.255	US
209.167.73.0	209.167.73.255	CA
209.167.74.0	209.167.74.255	US
209.167.75.0	209.167.78.255	CA
209.167.79.0	209.167.80.255	US
209.167.81.0	209.167.81.63	CA
209.167.81.64	209.167.81.127	US
209.167.81.128	209.167.86.255	CA
209.167.87.0	209.167.87.255	US
209.167.88.0	209.167.94.31	CA
209.167.94.32	209.167.94.63	US
209.167.94.64	209.167.96.127	CA
209.167.96.128	209.167.96.255	US
209.167.97.0	209.167.101.71	CA
209.167.101.72	209.167.101.79	US
209.167.101.80	209.167.101.191	CA
209.167.101.192	209.167.101.199	US
209.167.101.200	209.167.101.215	CA
209.167.101.216	209.167.101.223	US
209.167.101.224	209.167.101.231	CA
209.167.101.232	209.167.101.255	US
209.167.102.0	209.167.102.31	CA
209.167.102.32	209.167.102.47	US
209.167.102.48	209.167.102.127	CA
209.167.102.128	209.167.102.143	US
209.167.102.144	209.167.102.223	CA
209.167.102.224	209.167.102.239	US
209.167.102.240	209.167.103.255	CA
209.167.104.0	209.167.105.255	US
209.167.106.0	209.167.110.255	CA
209.167.111.0	209.167.111.255	US
209.167.112.0	209.167.124.63	CA
209.167.124.64	209.167.124.95	US
209.167.124.96	209.167.125.95	CA
209.167.125.96	209.167.125.111	US
209.167.125.112	209.167.130.47	CA
209.167.130.48	209.167.130.63	GB
209.167.130.64	209.167.130.127	CA
209.167.130.128	209.167.130.143	US
209.167.130.144	209.167.130.175	CA
209.167.130.176	209.167.130.191	US
209.167.130.192	209.167.130.207	CA
209.167.130.208	209.167.130.223	US
209.167.130.224	209.167.132.143	CA
209.167.132.144	209.167.132.159	US
209.167.132.160	209.167.133.7	CA
209.167.133.8	209.167.133.23	US
209.167.133.24	209.167.133.31	CA
209.167.133.32	209.167.133.39	US
209.167.133.40	209.167.133.71	CA
209.167.133.72	209.167.133.79	US
209.167.133.80	209.167.133.87	CA
209.167.133.88	209.167.133.95	US
209.167.133.96	209.167.133.119	CA
209.167.133.120	209.167.133.135	US
209.167.133.136	209.167.136.63	CA
209.167.136.64	209.167.136.95	US
209.167.136.96	209.167.136.159	CA
209.167.136.160	209.167.136.191	US
209.167.136.192	209.167.136.223	CA
209.167.136.224	209.167.137.127	US
209.167.137.128	209.167.139.127	CA
209.167.139.128	209.167.139.159	US
209.167.139.160	209.167.142.95	CA
209.167.142.96	209.167.142.127	US
209.167.142.128	209.167.146.127	CA
209.167.146.128	209.167.146.255	US
209.167.147.0	209.167.147.15	CA
209.167.147.16	209.167.147.23	US
209.167.147.24	209.167.147.39	CA
209.167.147.40	209.167.147.47	US
209.167.147.48	209.167.147.63	CA
209.167.147.64	209.167.147.71	US
209.167.147.72	209.167.147.95	CA
209.167.147.96	209.167.147.111	US
209.167.147.112	209.167.147.119	CA
209.167.147.120	209.167.147.143	US
209.167.147.144	209.167.147.151	CA
209.167.147.152	209.167.147.159	US
209.167.147.160	209.167.147.183	CA
209.167.147.184	209.167.147.191	US
209.167.147.192	209.167.147.199	CA
209.167.147.200	209.167.147.207	US
209.167.147.208	209.167.155.255	CA
209.167.156.0	209.167.156.7	US
209.167.156.8	209.167.156.71	CA
209.167.156.72	209.167.156.95	US
209.167.156.96	209.167.156.103	CA
209.167.156.104	209.167.156.111	US
209.167.156.112	209.167.156.127	CA
209.167.156.128	209.167.156.167	US
209.167.156.168	209.167.156.191	CA
209.167.156.192	209.167.156.199	US
209.167.156.200	209.167.162.191	CA
209.167.162.192	209.167.162.207	SE
209.167.162.208	209.167.163.127	CA
209.167.163.128	209.167.163.159	US
209.167.163.160	209.167.163.239	CA
209.167.163.240	209.167.163.255	US
209.167.164.0	209.167.169.127	CA
209.167.169.128	209.167.169.191	US
209.167.169.192	209.167.171.255	CA
209.167.172.0	209.167.172.63	US
209.167.172.64	209.167.175.255	CA
209.167.176.0	209.167.176.15	US
209.167.176.16	209.167.177.95	CA
209.167.177.96	209.167.177.127	US
209.167.177.128	209.167.178.207	CA
209.167.178.208	209.167.178.223	US
209.167.178.224	209.167.183.255	CA
209.167.184.0	209.167.184.31	US
209.167.184.32	209.167.184.255	CA
209.167.185.0	209.167.185.15	US
209.167.185.16	209.167.185.111	CA
209.167.185.112	209.167.185.127	US
209.167.185.128	209.167.185.159	CA
209.167.185.160	209.167.185.175	US
209.167.185.176	209.167.185.191	CA
209.167.185.192	209.167.185.207	US
209.167.185.208	209.167.185.223	CA
209.167.185.224	209.167.185.239	US
209.167.185.240	209.167.187.255	CA
209.167.188.0	209.167.188.255	US
209.167.189.0	209.167.191.47	CA
209.167.191.48	209.167.191.63	US
209.167.191.64	209.167.191.111	CA
209.167.191.112	209.167.191.127	US
209.167.191.128	209.167.191.143	CA
209.167.191.144	209.167.191.159	NL
209.167.191.160	209.167.191.207	CA
209.167.191.208	209.167.191.223	US
209.167.191.224	209.167.191.255	CA
209.167.192.0	209.167.192.15	US
209.167.192.16	209.167.192.111	CA
209.167.192.112	209.167.192.127	US
209.167.192.128	209.167.192.159	CA
209.167.192.160	209.167.192.175	US
209.167.192.176	209.167.193.127	CA
209.167.193.128	209.167.193.255	US
209.167.194.0	209.167.200.63	CA
209.167.200.64	209.167.200.127	US
209.167.200.128	209.167.202.7	CA
209.167.202.8	209.167.202.15	US
209.167.202.16	209.167.202.135	CA
209.167.202.136	209.167.202.159	US
209.167.202.160	209.167.202.199	CA
209.167.202.200	209.167.202.215	US
209.167.202.216	209.167.202.239	CA
209.167.202.240	209.167.202.247	US
209.167.202.248	209.167.204.127	CA
209.167.204.128	209.167.204.255	US
209.167.205.0	209.167.212.7	CA
209.167.212.8	209.167.212.15	US
209.167.212.16	209.167.212.47	CA
209.167.212.48	209.167.212.55	US
209.167.212.56	209.167.212.63	CA
209.167.212.64	209.167.212.71	US
209.167.212.72	209.167.212.79	CA
209.167.212.80	209.167.212.87	US
209.167.212.88	209.167.212.111	CA
209.167.212.112	209.167.212.135	US
209.167.212.136	209.167.212.143	CA
209.167.212.144	209.167.212.151	US
209.167.212.152	209.167.212.159	CA
209.167.212.160	209.167.212.167	NO
209.167.212.168	209.167.212.207	CA
209.167.212.208	209.167.212.215	US
209.167.212.216	209.167.212.223	CA
209.167.212.224	209.167.212.247	US
209.167.212.248	209.167.216.63	CA
209.167.216.64	209.167.216.127	US
209.167.216.128	209.167.216.191	CA
209.167.216.192	209.167.216.255	US
209.167.217.0	209.167.217.255	CA
209.167.218.0	209.167.218.63	US
209.167.218.64	209.167.218.127	CA
209.167.218.128	209.167.218.191	US
209.167.218.192	209.167.219.31	CA
209.167.219.32	209.167.219.63	US
209.167.219.64	209.167.219.159	CA
209.167.219.160	209.167.219.191	KW
209.167.219.192	209.167.221.255	CA
209.167.222.0	209.167.222.127	US
209.167.222.128	209.167.224.255	CA
209.167.225.0	209.167.225.255	US
209.167.226.0	209.167.232.191	CA
209.167.232.192	209.167.232.255	US
209.167.233.0	209.167.233.15	CA
209.167.233.16	209.167.233.31	US
209.167.233.32	209.167.233.79	CA
209.167.233.80	209.167.233.95	US
209.167.233.96	209.167.233.127	CA
209.167.233.128	209.167.233.143	US
209.167.233.144	209.167.238.63	CA
209.167.238.64	209.167.238.95	US
209.167.238.96	209.167.240.127	CA
209.167.240.128	209.167.240.255	US
209.167.241.0	209.167.242.63	CA
209.167.242.64	209.167.242.127	US
209.167.242.128	209.167.242.191	CA
209.167.242.192	209.167.242.255	US
209.167.243.0	209.167.244.79	CA
209.167.244.80	209.167.244.255	US
209.167.245.0	209.167.245.127	CA
209.167.245.128	209.167.245.191	US
209.167.245.192	209.167.246.255	CA
209.167.247.0	209.167.247.127	US
209.167.247.128	209.167.250.255	CA
209.167.251.0	209.167.251.255	US
209.167.252.0	209.167.254.47	CA
209.167.254.48	209.167.254.63	US
209.167.254.64	209.167.254.79	CA
209.167.254.80	209.167.254.87	US
209.167.254.88	209.167.254.103	CA
209.167.254.104	209.167.254.111	US
209.167.254.112	209.167.254.167	CA
209.167.254.168	209.167.254.183	US
209.167.254.184	209.167.255.255	CA
209.168.0.0	209.169.36.223	US
209.169.36.224	209.169.36.239	BS
209.169.36.240	209.169.38.215	US
209.169.38.216	209.169.38.223	KY
209.169.38.224	209.169.39.223	US
209.169.39.224	209.169.39.239	BZ
209.169.39.240	209.169.40.207	US
209.169.40.208	209.169.40.215	GT
209.169.40.216	209.169.40.223	VI
209.169.40.224	209.169.41.207	US
209.169.41.208	209.169.41.215	GT
209.169.41.216	209.169.127.255	US
209.169.128.0	209.169.191.255	CA
209.169.192.0	209.170.67.255	US
209.170.68.0	209.170.68.255	NO
209.170.69.0	209.170.69.255	SE
209.170.70.0	209.170.71.255	US
209.170.72.0	209.170.73.255	SE
209.170.74.0	209.170.74.255	IE
209.170.75.0	209.170.75.127	SE
209.170.75.128	209.170.77.255	US
209.170.78.0	209.170.83.255	SE
209.170.84.0	209.170.85.255	US
209.170.86.0	209.170.88.255	SE
209.170.89.0	209.170.89.255	DE
209.170.90.0	209.170.90.255	US
209.170.91.0	209.170.91.63	SE
209.170.91.64	209.170.91.255	US
209.170.92.0	209.170.92.255	SE
209.170.93.0	209.170.95.31	US
209.170.95.32	209.170.95.63	DE
209.170.95.64	209.170.95.255	US
209.170.96.0	209.170.96.63	SE
209.170.96.64	209.170.96.127	MA
209.170.96.128	209.170.96.191	DE
209.170.96.192	209.170.96.255	SE
209.170.97.0	209.170.97.255	US
209.170.98.0	209.170.100.255	SE
209.170.101.0	209.170.101.255	US
209.170.102.0	209.170.103.143	SE
209.170.103.144	209.170.103.159	US
209.170.103.160	209.170.103.255	SE
209.170.104.0	209.170.105.63	US
209.170.105.64	209.170.105.127	SE
209.170.105.128	209.170.105.255	US
209.170.106.0	209.170.107.255	SE
209.170.108.0	209.170.111.255	US
209.170.112.0	209.170.112.255	DE
209.170.113.0	209.170.113.255	US
209.170.114.0	209.170.114.255	GB
209.170.115.0	209.170.119.15	US
209.170.119.16	209.170.119.127	SE
209.170.119.128	209.170.120.63	US
209.170.120.64	209.170.120.207	SE
209.170.120.208	209.170.120.215	US
209.170.120.216	209.170.120.223	SE
209.170.120.224	209.170.121.255	US
209.170.122.0	209.170.124.255	IE
209.170.125.0	209.170.125.31	SE
209.170.125.32	209.170.125.39	US
209.170.125.40	209.170.125.47	CA
209.170.125.48	209.170.125.103	SE
209.170.125.104	209.170.125.119	US
209.170.125.120	209.170.125.199	SE
209.170.125.200	209.170.125.207	IL
209.170.125.208	209.170.127.255	SE
209.170.128.0	209.170.255.255	US
209.171.0.0	209.171.255.255	CA
209.172.0.0	209.172.31.255	US
209.172.32.0	209.172.63.255	CA
209.172.64.0	209.173.246.79	US
209.173.246.80	209.173.246.90	LB
209.173.246.91	209.176.25.223	US
209.176.25.224	209.176.25.231	CA
209.176.25.232	209.176.66.111	US
209.176.66.112	209.176.66.127	CA
209.176.66.128	209.176.67.63	US
209.176.67.64	209.176.67.95	CA
209.176.67.96	209.176.68.135	US
209.176.68.136	209.176.68.143	CA
209.176.68.144	209.176.71.255	US
209.176.72.0	209.176.73.255	CA
209.176.74.0	209.177.95.255	US
209.177.96.0	209.177.111.255	CA
209.177.112.0	209.177.146.63	US
209.177.146.64	209.177.146.127	AR
209.177.146.128	209.177.146.191	US
209.177.146.192	209.177.146.255	MX
209.177.147.0	209.177.147.255	AU
209.177.148.0	209.177.148.175	US
209.177.148.176	209.177.148.183	AU
209.177.148.184	209.177.150.255	US
209.177.151.0	209.177.151.255	PA
209.177.152.0	209.177.152.175	US
209.177.152.176	209.177.152.183	GB
209.177.152.184	209.182.35.63	US
209.182.35.64	209.182.35.127	IN
209.182.35.128	209.182.56.191	US
209.182.56.192	209.182.56.255	DE
209.182.57.0	209.182.59.255	US
209.182.60.0	209.182.60.255	IN
209.182.61.0	209.182.61.127	US
209.182.61.128	209.182.61.255	IN
209.182.62.0	209.182.62.63	DE
209.182.62.64	209.182.62.255	US
209.182.63.0	209.182.63.255	SG
209.182.64.0	209.182.255.255	US
209.183.0.0	209.183.31.255	CA
209.183.32.0	209.183.127.255	US
209.183.128.0	209.183.159.255	CA
209.183.160.0	209.187.255.255	US
209.188.0.0	209.188.0.63	CY
209.188.0.64	209.188.1.239	US
209.188.1.240	209.188.1.255	CY
209.188.2.0	209.188.6.63	US
209.188.6.64	209.188.6.127	AU
209.188.6.128	209.188.6.255	HU
209.188.7.0	209.188.13.255	US
209.188.14.0	209.188.14.255	GB
209.188.15.0	209.188.19.255	US
209.188.20.0	209.188.20.255	GB
209.188.21.0	209.188.22.127	US
209.188.22.128	209.188.22.159	NL
209.188.22.160	209.188.24.255	US
209.188.25.0	209.188.25.255	CA
209.188.26.0	209.188.31.31	US
209.188.31.32	209.188.31.63	TH
209.188.31.64	209.190.3.79	US
209.190.3.80	209.190.3.87	IT
209.190.3.88	209.190.4.167	US
209.190.4.168	209.190.4.175	GB
209.190.4.176	209.190.6.247	US
209.190.6.248	209.190.6.255	BG
209.190.7.0	209.190.8.7	US
209.190.8.8	209.190.8.15	GT
209.190.8.16	209.190.8.191	US
209.190.8.192	209.190.8.199	CL
209.190.8.200	209.190.9.127	US
209.190.9.128	209.190.9.135	GB
209.190.9.136	209.190.16.15	US
209.190.16.16	209.190.16.23	KW
209.190.16.24	209.190.17.7	US
209.190.17.8	209.190.17.15	MY
209.190.17.16	209.190.17.103	US
209.190.17.104	209.190.17.111	TR
209.190.17.112	209.190.22.103	US
209.190.22.104	209.190.22.111	PH
209.190.22.112	209.190.22.159	US
209.190.22.160	209.190.22.167	CA
209.190.22.168	209.190.22.175	TH
209.190.22.176	209.190.22.183	US
209.190.22.184	209.190.22.191	AR
209.190.22.192	209.190.24.87	US
209.190.24.88	209.190.24.95	CA
209.190.24.96	209.190.24.103	US
209.190.24.104	209.190.24.111	CN
209.190.24.112	209.190.25.135	US
209.190.25.136	209.190.25.143	AE
209.190.25.144	209.190.25.159	US
209.190.25.160	209.190.25.167	BD
209.190.25.168	209.190.26.255	US
209.190.27.0	209.190.27.7	GB
209.190.27.8	209.190.27.175	US
209.190.27.176	209.190.27.183	IT
209.190.27.184	209.190.27.223	US
209.190.27.224	209.190.27.231	IT
209.190.27.232	209.190.29.15	US
209.190.29.16	209.190.29.23	IN
209.190.29.24	209.190.30.215	US
209.190.30.216	209.190.30.223	AM
209.190.30.224	209.190.31.95	US
209.190.31.96	209.190.31.103	IN
209.190.31.104	209.190.31.223	US
209.190.31.224	209.190.31.231	BR
209.190.31.232	209.190.31.247	US
209.190.31.248	209.190.31.255	RO
209.190.32.0	209.190.51.135	US
209.190.51.136	209.190.51.143	BR
209.190.51.144	209.190.51.151	US
209.190.51.152	209.190.51.159	JP
209.190.51.160	209.190.52.103	US
209.190.52.104	209.190.52.111	PK
209.190.52.112	209.190.54.63	US
209.190.54.64	209.190.54.71	PK
209.190.54.72	209.190.54.119	US
209.190.54.120	209.190.54.127	RU
209.190.54.128	209.190.54.151	US
209.190.54.152	209.190.54.159	GB
209.190.54.160	209.190.54.191	US
209.190.54.192	209.190.54.199	ES
209.190.54.200	209.190.54.207	US
209.190.54.208	209.190.54.223	EG
209.190.54.224	209.190.84.255	US
209.190.85.0	209.190.85.255	GB
209.190.86.0	209.190.87.255	US
209.190.88.0	209.190.88.255	IN
209.190.89.0	209.190.113.119	US
209.190.113.120	209.190.113.127	GT
209.190.113.128	209.190.113.183	US
209.190.113.184	209.190.113.191	BD
209.190.113.192	209.190.122.231	US
209.190.122.232	209.190.122.239	CN
209.190.122.240	209.190.123.7	US
209.190.123.8	209.190.123.15	BD
209.190.123.16	209.190.154.127	US
209.190.154.128	209.190.154.191	CA
209.190.154.192	209.191.156.239	US
209.191.156.240	209.191.156.247	GB
209.191.156.248	209.192.157.47	US
209.192.157.48	209.192.157.63	GB
209.192.157.64	209.195.63.255	US
209.195.64.0	209.195.127.255	CA
209.195.128.0	209.196.147.143	US
209.196.147.144	209.196.147.151	GR
209.196.147.152	209.196.223.255	US
209.196.224.0	209.196.239.255	CA
209.196.240.0	209.197.5.63	US
209.197.5.64	209.197.5.71	NL
209.197.5.72	209.197.16.63	US
209.197.16.64	209.197.16.71	NL
209.197.16.72	209.197.127.255	US
209.197.128.0	209.197.191.255	CA
209.197.192.0	209.197.223.255	US
209.197.224.0	209.197.224.31	IT
209.197.224.32	209.197.224.47	US
209.197.224.48	209.197.224.63	DE
209.197.224.64	209.197.224.127	US
209.197.224.128	209.197.224.135	SA
209.197.224.136	209.197.224.175	US
209.197.224.176	209.197.224.183	SA
209.197.224.184	209.197.224.215	US
209.197.224.216	209.197.224.223	TH
209.197.224.224	209.197.224.255	US
209.197.225.0	209.197.225.23	DE
209.197.225.24	209.197.225.39	US
209.197.225.40	209.197.225.47	IT
209.197.225.48	209.197.225.55	IN
209.197.225.56	209.197.225.71	GB
209.197.225.72	209.197.225.143	US
209.197.225.144	209.197.225.151	AU
209.197.225.152	209.197.225.167	US
209.197.225.168	209.197.225.175	CA
209.197.225.176	209.197.225.191	GB
209.197.225.192	209.197.225.223	CA
209.197.225.224	209.197.226.103	US
209.197.226.104	209.197.226.239	SA
209.197.226.240	209.197.226.255	US
209.197.227.0	209.197.227.255	CA
209.197.228.0	209.197.228.47	US
209.197.228.48	209.197.228.95	MY
209.197.228.96	209.197.228.111	AR
209.197.228.112	209.197.228.247	AE
209.197.228.248	209.197.228.255	US
209.197.229.0	209.197.229.223	AR
209.197.229.224	209.197.229.231	US
209.197.229.232	209.197.229.239	AE
209.197.229.240	209.197.229.247	US
209.197.229.248	209.197.229.255	RU
209.197.230.0	209.197.230.7	AR
209.197.230.8	209.197.235.215	US
209.197.235.216	209.197.235.223	MY
209.197.235.224	209.197.235.239	OM
209.197.235.240	209.197.236.143	US
209.197.236.144	209.197.236.151	CA
209.197.236.152	209.197.236.175	US
209.197.236.176	209.197.236.183	AR
209.197.236.184	209.197.236.255	US
209.197.237.0	209.197.237.15	AE
209.197.237.16	209.197.237.31	US
209.197.237.32	209.197.237.47	GB
209.197.237.48	209.197.237.191	MY
209.197.237.192	209.197.237.207	AR
209.197.237.208	209.197.238.143	US
209.197.238.144	209.197.238.151	GB
209.197.238.152	209.197.238.255	US
209.197.239.0	209.197.239.7	AR
209.197.239.8	209.197.239.23	MY
209.197.239.24	209.197.239.31	US
209.197.239.32	209.197.239.255	MY
209.197.240.0	209.197.240.103	US
209.197.240.104	209.197.240.111	AU
209.197.240.112	209.197.242.255	US
209.197.243.0	209.197.243.255	AR
209.197.244.0	209.197.244.127	US
209.197.244.128	209.197.244.191	RU
209.197.244.192	209.197.245.255	US
209.197.246.0	209.197.246.255	AR
209.197.247.0	209.197.247.255	DE
209.197.248.0	209.197.248.239	US
209.197.248.240	209.197.248.255	GB
209.197.249.0	209.197.249.39	US
209.197.249.40	209.197.249.47	RU
209.197.249.48	209.197.249.255	US
209.197.250.0	209.197.250.15	RU
209.197.250.16	209.197.250.63	US
209.197.250.64	209.197.250.79	RU
209.197.250.80	209.197.253.255	US
209.197.254.0	209.197.255.255	CA
209.198.0.0	209.198.10.255	US
209.198.11.0	209.198.11.63	IT
209.198.11.64	209.198.11.127	DE
209.198.11.128	209.198.25.95	US
209.198.25.96	209.198.25.103	HK
209.198.25.104	209.198.32.31	US
209.198.32.32	209.198.32.63	CA
209.198.32.64	209.198.239.255	US
209.198.240.0	209.198.241.255	BH
209.198.242.0	209.198.247.255	A2
209.198.248.0	209.200.84.23	US
209.200.84.24	209.200.84.31	IE
209.200.84.32	209.200.84.95	US
209.200.84.96	209.200.84.103	GB
209.200.84.104	209.200.84.239	US
209.200.84.240	209.200.84.248	IE
209.200.84.249	209.200.87.63	US
209.200.87.64	209.200.87.71	GB
209.200.87.72	209.200.87.111	US
209.200.87.112	209.200.87.119	LB
209.200.87.120	209.200.87.143	US
209.200.87.144	209.200.87.151	JP
209.200.87.152	209.200.87.215	US
209.200.87.216	209.200.87.247	LB
209.200.87.248	209.200.92.15	US
209.200.92.16	209.200.92.23	FR
209.200.92.24	209.200.92.31	LB
209.200.92.32	209.200.92.95	US
209.200.92.96	209.200.92.103	GB
209.200.92.104	209.200.92.175	US
209.200.92.176	209.200.92.183	LB
209.200.92.184	209.200.92.207	US
209.200.92.208	209.200.92.215	GB
209.200.92.216	209.200.92.231	US
209.200.92.232	209.200.92.239	GB
209.200.92.240	209.200.95.63	US
209.200.95.64	209.200.95.71	JP
209.200.95.72	209.200.128.255	US
209.200.129.0	209.200.129.255	NA
209.200.130.0	209.200.130.255	US
209.200.131.0	209.200.131.255	CA
209.200.132.0	209.200.133.191	US
209.200.133.192	209.200.133.199	CR
209.200.133.200	209.200.135.63	US
209.200.135.64	209.200.135.79	CY
209.200.135.80	209.200.135.87	CR
209.200.135.88	209.200.135.127	US
209.200.135.128	209.200.135.143	CY
209.200.135.144	209.200.135.159	CR
209.200.135.160	209.200.150.255	US
209.200.151.0	209.200.151.255	CA
209.200.152.0	209.200.158.255	US
209.200.159.0	209.200.160.255	GB
209.200.161.0	209.200.161.255	US
209.200.162.0	209.200.162.191	GB
209.200.162.192	209.200.162.255	AG
209.200.163.0	209.200.167.255	US
209.200.168.0	209.200.168.15	CR
209.200.168.16	209.200.168.39	US
209.200.168.40	209.200.168.47	CR
209.200.168.48	209.200.168.95	US
209.200.168.96	209.200.168.111	CR
209.200.168.112	209.200.169.31	US
209.200.169.32	209.200.169.63	GB
209.200.169.64	209.200.169.79	US
209.200.169.80	209.200.169.95	CY
209.200.169.96	209.200.176.255	US
209.200.177.0	209.200.177.255	CA
209.200.178.0	209.200.178.15	GB
209.200.178.16	209.200.178.31	EE
209.200.178.32	209.200.178.47	AG
209.200.178.48	209.200.178.143	US
209.200.178.144	209.200.178.159	MT
209.200.178.160	209.200.178.175	IM
209.200.178.176	209.200.178.255	US
209.200.179.0	209.200.179.255	GB
209.200.180.0	209.200.226.4	US
209.200.226.5	209.200.226.12	VN
209.200.226.13	209.200.226.55	US
209.200.226.56	209.200.226.65	BR
209.200.226.66	209.200.226.71	US
209.200.226.72	209.200.226.86	CA
209.200.226.87	209.200.228.60	US
209.200.228.61	209.200.228.69	IN
209.200.228.70	209.201.255.255	US
209.202.0.0	209.202.94.79	CA
209.202.94.80	209.202.94.87	US
209.202.94.88	209.202.94.95	CA
209.202.94.96	209.202.94.127	US
209.202.94.128	209.202.101.47	CA
209.202.101.48	209.202.101.55	US
209.202.101.56	209.202.127.255	CA
209.202.128.0	209.202.128.127	US
209.202.128.128	209.202.128.159	CA
209.202.128.160	209.202.140.191	US
209.202.140.192	209.202.140.255	CA
209.202.141.0	209.202.151.223	US
209.202.151.224	209.202.151.255	GB
209.202.152.0	209.202.157.255	US
209.202.158.0	209.202.158.127	CA
209.202.158.128	209.202.255.255	US
209.203.0.0	209.203.63.255	ZA
209.203.64.0	209.203.191.255	US
209.203.224.0	209.203.226.63	US
209.203.226.64	209.203.226.95	IN
209.203.226.96	209.203.246.191	US
209.203.246.192	209.203.246.255	GB
209.203.247.0	209.204.255.255	US
209.205.0.0	209.205.25.255	CA
209.205.26.0	209.205.26.7	US
209.205.26.8	209.205.26.87	CA
209.205.26.88	209.205.26.95	US
209.205.26.96	209.205.26.127	CA
209.205.26.128	209.205.26.135	US
209.205.26.136	209.205.26.183	CA
209.205.26.184	209.205.26.191	US
209.205.26.192	209.205.30.63	CA
209.205.30.64	209.205.30.127	DE
209.205.30.128	209.205.32.159	CA
209.205.32.160	209.205.32.191	US
209.205.32.192	209.205.33.95	CA
209.205.33.96	209.205.33.127	US
209.205.33.128	209.205.111.255	CA
209.205.112.0	209.205.239.255	US
209.205.240.0	209.205.255.255	CA
209.206.0.0	209.207.63.255	US
209.207.64.0	209.207.64.79	CA
209.207.64.80	209.207.64.87	US
209.207.64.88	209.207.64.175	CA
209.207.64.176	209.207.64.183	US
209.207.64.184	209.207.64.239	CA
209.207.64.240	209.207.64.247	US
209.207.64.248	209.207.65.247	CA
209.207.65.248	209.207.66.23	US
209.207.66.24	209.207.66.63	CA
209.207.66.64	209.207.66.79	US
209.207.66.80	209.207.66.191	CA
209.207.66.192	209.207.66.199	US
209.207.66.200	209.207.67.71	CA
209.207.67.72	209.207.67.111	US
209.207.67.112	209.207.67.135	CA
209.207.67.136	209.207.67.167	US
209.207.67.168	209.207.67.223	CA
209.207.67.224	209.207.67.231	US
209.207.67.232	209.207.67.239	CA
209.207.67.240	209.207.67.255	US
209.207.68.0	209.207.68.183	CA
209.207.68.184	209.207.68.191	US
209.207.68.192	209.207.69.79	CA
209.207.69.80	209.207.69.87	US
209.207.69.88	209.207.69.103	CA
209.207.69.104	209.207.69.111	US
209.207.69.112	209.207.69.135	CA
209.207.69.136	209.207.69.143	US
209.207.69.144	209.207.69.151	CA
209.207.69.152	209.207.69.175	US
209.207.69.176	209.207.69.183	CA
209.207.69.184	209.207.69.191	US
209.207.69.192	209.207.69.207	CA
209.207.69.208	209.207.69.215	US
209.207.69.216	209.207.69.223	CA
209.207.69.224	209.207.69.231	US
209.207.69.232	209.207.69.239	CA
209.207.69.240	209.207.69.247	US
209.207.69.248	209.207.69.255	CA
209.207.70.0	209.207.70.7	US
209.207.70.8	209.207.70.55	CA
209.207.70.56	209.207.70.71	US
209.207.70.72	209.207.70.127	CA
209.207.70.128	209.207.70.135	US
209.207.70.136	209.207.70.191	CA
209.207.70.192	209.207.70.199	US
209.207.70.200	209.207.70.255	CA
209.207.71.0	209.207.71.7	US
209.207.71.8	209.207.71.103	CA
209.207.71.104	209.207.71.111	US
209.207.71.112	209.207.71.119	CA
209.207.71.120	209.207.71.127	US
209.207.71.128	209.207.73.79	CA
209.207.73.80	209.207.73.87	US
209.207.73.88	209.207.73.143	CA
209.207.73.144	209.207.73.151	US
209.207.73.152	209.207.74.7	CA
209.207.74.8	209.207.74.23	US
209.207.74.24	209.207.74.47	CA
209.207.74.48	209.207.74.79	US
209.207.74.80	209.207.74.87	CA
209.207.74.88	209.207.74.95	US
209.207.74.96	209.207.74.111	CA
209.207.74.112	209.207.74.119	US
209.207.74.120	209.207.75.87	CA
209.207.75.88	209.207.75.119	US
209.207.75.120	209.207.76.95	CA
209.207.76.96	209.207.76.103	US
209.207.76.104	209.207.77.71	CA
209.207.77.72	209.207.77.79	US
209.207.77.80	209.207.77.103	CA
209.207.77.104	209.207.77.111	US
209.207.77.112	209.207.78.151	CA
209.207.78.152	209.207.78.167	US
209.207.78.168	209.207.79.167	CA
209.207.79.168	209.207.79.175	US
209.207.79.176	209.207.80.223	CA
209.207.80.224	209.207.80.239	US
209.207.80.240	209.207.82.103	CA
209.207.82.104	209.207.82.111	US
209.207.82.112	209.207.82.151	CA
209.207.82.152	209.207.82.159	US
209.207.82.160	209.207.82.207	CA
209.207.82.208	209.207.82.215	US
209.207.82.216	209.207.82.255	CA
209.207.83.0	209.207.83.15	US
209.207.83.16	209.207.83.159	CA
209.207.83.160	209.207.83.167	US
209.207.83.168	209.207.83.247	CA
209.207.83.248	209.207.83.255	NL
209.207.84.0	209.207.84.23	CA
209.207.84.24	209.207.84.31	US
209.207.84.32	209.207.84.39	CA
209.207.84.40	209.207.84.47	US
209.207.84.48	209.207.84.167	CA
209.207.84.168	209.207.84.175	US
209.207.84.176	209.207.84.191	CA
209.207.84.192	209.207.84.199	US
209.207.84.200	209.207.88.47	CA
209.207.88.48	209.207.88.55	US
209.207.88.56	209.207.88.95	CA
209.207.88.96	209.207.88.103	US
209.207.88.104	209.207.88.159	CA
209.207.88.160	209.207.88.167	US
209.207.88.168	209.207.89.15	CA
209.207.89.16	209.207.89.23	US
209.207.89.24	209.207.89.111	CA
209.207.89.112	209.207.89.119	US
209.207.89.120	209.207.89.167	CA
209.207.89.168	209.207.89.175	US
209.207.89.176	209.207.89.231	CA
209.207.89.232	209.207.89.239	US
209.207.89.240	209.207.90.95	CA
209.207.90.96	209.207.90.103	US
209.207.90.104	209.207.90.135	CA
209.207.90.136	209.207.90.143	US
209.207.90.144	209.207.91.47	CA
209.207.91.48	209.207.91.55	US
209.207.91.56	209.207.92.63	CA
209.207.92.64	209.207.92.79	US
209.207.92.80	209.207.92.135	CA
209.207.92.136	209.207.92.143	US
209.207.92.144	209.207.92.167	CA
209.207.92.168	209.207.92.175	US
209.207.92.176	209.207.92.191	CA
209.207.92.192	209.207.92.239	US
209.207.92.240	209.207.93.47	CA
209.207.93.48	209.207.93.87	US
209.207.93.88	209.207.93.143	CA
209.207.93.144	209.207.93.151	US
209.207.93.152	209.207.93.191	CA
209.207.93.192	209.207.93.199	US
209.207.93.200	209.207.94.31	CA
209.207.94.32	209.207.94.39	US
209.207.94.40	209.207.95.71	CA
209.207.95.72	209.207.95.119	US
209.207.95.120	209.207.95.127	CA
209.207.95.128	209.207.95.135	US
209.207.95.136	209.207.95.239	CA
209.207.95.240	209.207.95.255	US
209.207.96.0	209.207.96.15	CA
209.207.96.16	209.207.96.39	US
209.207.96.40	209.207.97.239	CA
209.207.97.240	209.207.97.247	IL
209.207.97.248	209.207.104.79	CA
209.207.104.80	209.207.104.87	US
209.207.104.88	209.207.104.231	CA
209.207.104.232	209.207.104.239	US
209.207.104.240	209.207.104.255	CA
209.207.105.0	209.207.105.7	NL
209.207.105.8	209.207.105.167	CA
209.207.105.168	209.207.105.175	US
209.207.105.176	209.207.107.39	CA
209.207.107.40	209.207.107.47	US
209.207.107.48	209.207.107.55	CA
209.207.107.56	209.207.107.63	US
209.207.107.64	209.207.107.119	CA
209.207.107.120	209.207.107.167	US
209.207.107.168	209.207.109.39	CA
209.207.109.40	209.207.109.87	US
209.207.109.88	209.207.109.103	CA
209.207.109.104	209.207.109.111	US
209.207.109.112	209.207.109.119	CA
209.207.109.120	209.207.109.127	US
209.207.109.128	209.207.109.159	CA
209.207.109.160	209.207.109.191	US
209.207.109.192	209.207.109.199	CA
209.207.109.200	209.207.109.223	US
209.207.109.224	209.207.110.47	CA
209.207.110.48	209.207.110.55	US
209.207.110.56	209.207.110.143	CA
209.207.110.144	209.207.110.151	US
209.207.110.152	209.207.111.79	CA
209.207.111.80	209.207.111.87	US
209.207.111.88	209.207.111.175	CA
209.207.111.176	209.207.111.199	US
209.207.111.200	209.207.111.223	CA
209.207.111.224	209.207.111.247	US
209.207.111.248	209.207.111.255	CA
209.207.112.0	209.207.112.23	US
209.207.112.24	209.207.112.39	CA
209.207.112.40	209.207.112.79	US
209.207.112.80	209.207.112.87	CA
209.207.112.88	209.207.112.95	US
209.207.112.96	209.207.113.7	CA
209.207.113.8	209.207.113.23	US
209.207.113.24	209.207.113.31	CA
209.207.113.32	209.207.113.39	US
209.207.113.40	209.207.113.111	CA
209.207.113.112	209.207.113.135	US
209.207.113.136	209.207.114.111	CA
209.207.114.112	209.207.114.127	US
209.207.114.128	209.207.115.47	CA
209.207.115.48	209.207.115.55	US
209.207.115.56	209.207.115.95	CA
209.207.115.96	209.207.115.103	US
209.207.115.104	209.207.115.135	CA
209.207.115.136	209.207.115.143	US
209.207.115.144	209.207.115.159	CA
209.207.115.160	209.207.115.167	US
209.207.115.168	209.207.115.223	CA
209.207.115.224	209.207.115.231	US
209.207.115.232	209.207.117.103	CA
209.207.117.104	209.207.117.111	US
209.207.117.112	209.207.117.119	CA
209.207.117.120	209.207.117.127	US
209.207.117.128	209.207.117.215	CA
209.207.117.216	209.207.117.223	US
209.207.117.224	209.207.118.183	CA
209.207.118.184	209.207.118.191	US
209.207.118.192	209.207.118.255	CA
209.207.119.0	209.207.119.7	US
209.207.119.8	209.207.119.63	CA
209.207.119.64	209.207.119.79	US
209.207.119.80	209.207.119.87	GH
209.207.119.88	209.207.119.103	CA
209.207.119.104	209.207.119.191	US
209.207.119.192	209.207.119.215	CA
209.207.119.216	209.207.119.231	US
209.207.119.232	209.207.120.135	CA
209.207.120.136	209.207.120.143	US
209.207.120.144	209.207.120.239	CA
209.207.120.240	209.207.120.255	US
209.207.121.0	209.207.121.63	CA
209.207.121.64	209.207.121.191	US
209.207.121.192	209.207.121.207	CA
209.207.121.208	209.207.121.215	US
209.207.121.216	209.207.121.255	CA
209.207.122.0	209.207.122.7	US
209.207.122.8	209.207.122.159	CA
209.207.122.160	209.207.122.175	US
209.207.122.176	209.207.122.191	CA
209.207.122.192	209.207.122.215	US
209.207.122.216	209.207.122.255	CA
209.207.123.0	209.207.123.47	US
209.207.123.48	209.207.125.95	CA
209.207.125.96	209.207.125.103	US
209.207.125.104	209.207.125.159	CA
209.207.125.160	209.207.125.175	US
209.207.125.176	209.207.125.191	CA
209.207.125.192	209.207.125.199	US
209.207.125.200	209.207.125.231	CA
209.207.125.232	209.207.125.247	US
209.207.125.248	209.207.125.255	CA
209.207.126.0	209.207.126.7	US
209.207.126.8	209.207.127.255	CA
209.207.128.0	209.208.8.143	US
209.208.8.144	209.208.8.159	NL
209.208.8.160	209.208.16.239	US
209.208.16.240	209.208.16.247	CA
209.208.16.248	209.208.19.175	US
209.208.19.176	209.208.19.191	GB
209.208.19.192	209.208.20.31	US
209.208.20.32	209.208.20.63	NL
209.208.20.64	209.208.20.95	US
209.208.20.96	209.208.20.111	GB
209.208.20.112	209.208.22.47	US
209.208.22.48	209.208.22.63	BR
209.208.22.64	209.208.22.191	US
209.208.22.192	209.208.22.207	CA
209.208.22.208	209.208.23.223	US
209.208.23.224	209.208.23.255	NL
209.208.24.0	209.208.36.63	US
209.208.36.64	209.208.36.79	AU
209.208.36.80	209.208.36.95	EC
209.208.36.96	209.208.46.47	US
209.208.46.48	209.208.46.63	BR
209.208.46.64	209.208.47.79	US
209.208.47.80	209.208.47.95	VG
209.208.47.96	209.208.48.231	US
209.208.48.232	209.208.48.247	CA
209.208.48.248	209.208.64.255	US
209.208.65.0	209.208.65.255	CA
209.208.66.0	209.208.67.175	US
209.208.67.176	209.208.67.191	CA
209.208.67.192	209.208.73.127	US
209.208.73.128	209.208.73.143	ES
209.208.73.144	209.208.91.63	US
209.208.91.64	209.208.91.79	IL
209.208.91.80	209.208.100.223	US
209.208.100.224	209.208.100.239	NL
209.208.100.240	209.208.107.111	US
209.208.107.112	209.208.107.127	CA
209.208.107.128	209.208.109.255	US
209.208.110.0	209.208.110.255	CA
209.208.111.0	209.208.118.191	US
209.208.118.192	209.208.118.199	LB
209.208.118.200	209.208.125.207	US
209.208.125.208	209.208.125.223	CA
209.208.125.224	209.208.169.79	US
209.208.169.80	209.208.169.95	ES
209.208.169.96	209.208.174.223	US
209.208.174.224	209.208.174.231	VG
209.208.174.232	209.208.202.175	US
209.208.202.176	209.208.202.191	GB
209.208.202.192	209.212.95.255	US
209.212.96.0	209.212.127.255	ZA
209.212.128.0	209.213.209.127	US
209.213.209.128	209.213.209.143	GB
209.213.209.144	209.213.223.255	US
209.213.224.0	209.213.255.255	CA
209.214.0.0	209.214.253.255	US
209.214.254.0	209.214.255.255	A2
209.215.0.0	209.216.127.255	US
209.216.128.0	209.216.159.255	CA
209.216.160.0	209.217.63.255	US
209.217.64.0	209.217.64.151	CA
209.217.64.152	209.217.64.159	US
209.217.64.160	209.217.78.15	CA
209.217.78.16	209.217.78.23	US
209.217.78.24	209.217.92.239	CA
209.217.92.240	209.217.92.255	US
209.217.93.0	209.217.94.223	CA
209.217.94.224	209.217.94.239	US
209.217.94.240	209.217.97.119	CA
209.217.97.120	209.217.97.127	US
209.217.97.128	209.217.113.15	CA
209.217.113.16	209.217.113.47	US
209.217.113.48	209.217.118.135	CA
209.217.118.136	209.217.118.143	US
209.217.118.144	209.217.125.127	CA
209.217.125.128	209.217.125.135	US
209.217.125.136	209.217.126.95	CA
209.217.126.96	209.217.126.127	US
209.217.126.128	209.217.127.255	CA
209.217.128.0	209.218.97.47	US
209.218.97.48	209.218.97.55	CA
209.218.97.56	209.221.63.255	US
209.221.64.0	209.221.127.255	CA
209.221.128.0	209.221.134.251	US
209.221.134.252	209.221.134.255	CH
209.221.135.0	209.221.145.63	US
209.221.145.64	209.221.145.127	CA
209.221.145.128	209.221.173.223	US
209.221.173.224	209.221.173.231	CA
209.221.173.232	209.221.223.255	US
209.221.224.0	209.221.226.255	BZ
209.221.227.0	209.222.47.255	US
209.222.48.0	209.222.63.255	CA
209.222.64.0	209.222.77.255	US
209.222.78.0	209.222.78.7	IN
209.222.78.8	209.222.96.31	US
209.222.96.32	209.222.96.39	PK
209.222.96.40	209.222.96.47	GB
209.222.96.48	209.222.96.79	US
209.222.96.80	209.222.96.87	CA
209.222.96.88	209.222.96.255	US
209.222.97.0	209.222.97.7	IL
209.222.97.8	209.222.103.55	US
209.222.103.56	209.222.103.63	GB
209.222.103.64	209.222.104.191	US
209.222.104.192	209.222.104.199	AU
209.222.104.200	209.222.105.87	US
209.222.105.88	209.222.105.95	NL
209.222.105.96	209.222.105.111	US
209.222.105.112	209.222.105.119	GR
209.222.105.120	209.222.105.127	CA
209.222.105.128	209.222.159.255	US
209.222.160.0	209.222.175.255	CA
209.222.176.0	209.222.223.255	US
209.222.224.0	209.222.239.255	CA
209.222.240.0	209.222.243.255	US
209.223.0.0	209.223.85.255	US
209.223.86.0	209.223.86.7	CA
209.223.86.8	209.223.86.47	US
209.223.86.48	209.223.86.63	AU
209.223.86.64	209.223.130.255	US
209.223.131.0	209.223.131.255	AU
209.223.132.0	209.223.179.55	US
209.223.179.56	209.223.179.63	MX
209.223.179.64	209.223.197.127	US
209.223.197.128	209.223.197.159	CA
209.223.197.160	209.223.210.95	US
209.223.210.96	209.223.210.111	CA
209.223.210.112	209.225.11.63	US
209.225.11.64	209.225.11.127	AR
209.225.11.128	209.225.34.255	US
209.225.35.0	209.225.35.31	FR
209.225.35.32	209.225.48.255	US
209.225.49.0	209.225.49.255	AR
209.225.50.0	209.225.59.255	US
209.225.60.0	209.225.60.63	CA
209.225.60.64	209.225.60.111	US
209.225.60.112	209.225.60.119	CA
209.225.60.120	209.225.60.127	US
209.225.60.128	209.225.60.135	CA
209.225.60.136	209.225.255.255	US
209.226.0.0	209.226.255.255	CA
209.227.0.0	209.227.194.255	US
209.227.195.0	209.227.195.79	IT
209.227.195.80	209.227.202.255	US
209.227.203.0	209.227.203.255	CY
209.227.204.0	209.227.221.31	US
209.227.221.32	209.227.221.63	IT
209.227.221.64	209.227.221.71	US
209.227.221.72	209.227.221.103	IT
209.227.221.104	209.227.221.255	US
209.227.222.0	209.227.222.31	CA
209.227.222.32	209.227.222.63	US
209.227.222.64	209.227.222.111	CA
209.227.222.112	209.227.222.255	US
209.227.223.0	209.227.223.7	IT
209.227.223.8	209.227.223.15	US
209.227.223.16	209.227.223.79	IT
209.227.223.80	209.227.223.95	US
209.227.223.96	209.227.223.127	IT
209.227.223.128	209.227.223.159	US
209.227.223.160	209.227.223.175	IN
209.227.223.176	209.227.223.191	IT
209.227.223.192	209.227.223.255	CA
209.227.224.0	209.227.244.127	US
209.227.244.128	209.227.244.159	IT
209.227.244.160	209.234.243.127	US
209.234.243.128	209.234.243.191	CA
209.234.243.192	209.234.245.63	US
209.234.245.64	209.234.245.127	IL
209.234.245.128	209.234.245.215	US
209.234.245.216	209.234.245.223	IL
209.234.245.224	209.234.246.143	US
209.234.246.144	209.234.246.159	CA
209.234.246.160	209.235.255.255	US
209.236.0.0	209.236.63.255	JM
209.236.64.0	209.236.235.255	US
209.236.236.0	209.236.239.255	DE
209.236.240.0	209.237.231.127	US
209.237.231.128	209.237.231.191	FI
209.237.231.192	209.237.231.255	CA
209.237.232.0	209.237.232.255	US
209.237.233.0	209.237.233.31	A1
209.237.233.32	209.237.240.255	US
209.237.241.0	209.237.241.255	AT
209.237.242.0	209.237.251.15	US
209.237.251.16	209.237.251.31	GB
209.237.251.32	209.238.255.255	US
209.239.0.0	209.239.31.255	CA
209.239.32.0	209.239.63.255	US
209.239.64.0	209.239.80.255	A2
209.239.81.0	209.239.81.255	AW
209.239.82.0	209.239.95.255	A2
209.239.96.0	209.239.117.255	US
209.239.118.0	209.239.118.31	PE
209.239.118.32	209.239.118.63	RS
209.239.118.64	209.239.118.255	US
209.239.119.0	209.239.119.31	GB
209.239.119.32	209.239.119.63	DE
209.239.119.64	209.239.119.95	BR
209.239.119.96	209.239.121.255	US
209.239.122.0	209.239.122.63	CO
209.239.122.64	209.239.122.95	US
209.239.122.96	209.239.122.127	UA
209.239.122.128	209.239.122.159	CA
209.239.122.160	209.239.122.191	PE
209.239.122.192	209.239.122.223	BR
209.239.122.224	209.239.122.255	LK
209.239.123.0	209.239.123.31	US
209.239.123.32	209.239.123.63	RO
209.239.123.64	209.239.126.63	US
209.239.126.64	209.239.126.64	PT
209.239.126.65	209.239.126.95	US
209.239.126.96	209.239.126.127	JP
209.239.126.128	209.239.126.135	US
209.239.126.136	209.239.126.143	DE
209.239.126.144	209.239.126.159	US
209.239.126.160	209.239.126.191	DE
209.239.126.192	209.239.126.255	US
209.239.127.0	209.239.127.31	IR
209.239.127.32	209.239.127.63	DE
209.239.127.64	209.240.31.255	US
209.240.32.0	209.240.47.255	BM
209.240.48.0	209.240.111.255	US
209.240.112.0	209.240.127.255	CA
209.240.128.0	209.249.11.167	US
209.249.11.168	209.249.11.175	CA
209.249.11.176	209.249.25.255	US
209.249.26.0	209.249.26.255	CA
209.249.27.0	209.249.47.255	US
209.249.48.0	209.249.48.255	CA
209.249.49.0	209.249.51.255	US
209.249.52.0	209.249.52.255	CA
209.249.53.0	209.249.199.255	US
209.249.200.0	209.249.200.7	JP
209.249.200.8	209.249.250.255	US
209.249.251.0	209.249.251.255	CA
209.249.252.0	209.250.127.255	US
209.250.128.0	209.250.147.223	CA
209.250.147.224	209.250.147.255	IN
209.250.148.0	209.250.191.255	CA
209.250.192.0	209.251.195.255	US
209.251.196.0	209.251.197.255	GB
209.251.198.0	209.255.255.255	US
210.0.0.0	210.0.31.255	AU
210.0.32.0	210.0.63.255	KR
210.0.64.0	210.0.127.255	AU
210.0.128.0	210.0.255.255	HK
210.1.0.0	210.1.63.255	TH
210.1.64.0	210.1.143.255	PH
210.1.144.0	210.1.191.255	JP
210.1.192.0	210.1.223.255	AU
210.1.232.0	210.1.235.255	AP
210.1.240.0	210.1.255.255	BD
210.2.0.0	210.2.31.255	CN
210.2.32.0	210.2.63.255	KR
210.2.128.0	210.2.191.255	PK
210.2.192.0	210.2.255.255	JP
210.3.0.0	210.3.255.255	HK
210.4.0.0	210.4.63.255	PH
210.4.64.0	210.4.79.255	BD
210.4.80.0	210.4.87.255	AU
210.4.88.0	210.4.95.255	KR
210.4.96.0	210.4.127.255	PH
210.4.128.0	210.4.159.255	TH
210.4.160.0	210.4.191.255	JP
210.4.192.0	210.4.207.255	US
210.4.208.0	210.4.215.255	NZ
210.4.216.0	210.4.223.255	KR
210.4.224.0	210.4.239.255	AU
210.4.240.0	210.4.255.255	JP
210.5.0.0	210.5.31.255	CN
210.5.32.0	210.5.39.255	AU
210.5.40.0	210.5.47.255	MY
210.5.48.0	210.5.55.255	NZ
210.5.56.0	210.5.127.255	PH
210.5.144.0	210.5.159.255	CN
210.5.160.0	210.5.193.31	HK
210.5.193.32	210.5.193.47	YE
210.5.193.48	210.5.193.63	HK
210.5.193.64	210.5.193.127	PK
210.5.193.128	210.5.193.255	LB
210.5.194.0	210.5.195.255	HK
210.5.196.0	210.5.196.15	KW
210.5.196.16	210.5.196.23	AE
210.5.196.24	210.5.196.63	HK
210.5.196.64	210.5.196.127	IR
210.5.196.128	210.5.197.63	HK
210.5.197.64	210.5.197.127	IR
210.5.197.128	210.5.198.15	HK
210.5.198.16	210.5.198.23	IQ
210.5.198.24	210.5.198.31	HK
210.5.198.32	210.5.198.39	IR
210.5.198.40	210.5.198.47	HK
210.5.198.48	210.5.198.63	IQ
210.5.198.64	210.5.198.79	IR
210.5.198.80	210.5.198.95	HK
210.5.198.96	210.5.198.223	IR
210.5.198.224	210.5.198.231	HK
210.5.198.232	210.5.198.255	IQ
210.5.199.0	210.5.199.255	PK
210.5.200.0	210.5.203.255	IN
210.5.204.0	210.5.204.127	IR
210.5.204.128	210.5.204.255	PK
210.5.205.0	210.5.205.63	IR
210.5.205.64	210.5.205.71	HK
210.5.205.72	210.5.205.79	KE
210.5.205.80	210.5.205.111	IQ
210.5.205.112	210.5.205.127	LB
210.5.205.128	210.5.207.255	PK
210.5.208.0	210.5.208.63	IR
210.5.208.64	210.5.208.71	HK
210.5.208.72	210.5.208.87	PK
210.5.208.88	210.5.208.127	HK
210.5.208.128	210.5.209.127	IR
210.5.209.128	210.5.209.191	PK
210.5.209.192	210.5.209.207	IN
210.5.209.208	210.5.209.215	US
210.5.209.216	210.5.209.223	HK
210.5.209.224	210.5.209.231	IN
210.5.209.232	210.5.209.239	HK
210.5.209.240	210.5.209.247	PK
210.5.209.248	210.5.210.15	HK
210.5.210.16	210.5.210.31	IQ
210.5.210.32	210.5.210.63	HK
210.5.210.64	210.5.210.127	IQ
210.5.210.128	210.5.211.71	PK
210.5.211.72	210.5.211.255	HK
210.5.212.0	210.5.213.255	PK
210.5.214.0	210.5.214.127	TZ
210.5.214.128	210.5.214.135	IR
210.5.214.136	210.5.214.159	IQ
210.5.214.160	210.5.214.167	KZ
210.5.214.168	210.5.214.175	US
210.5.214.176	210.5.214.191	HK
210.5.214.192	210.5.214.255	IR
210.5.215.0	210.5.215.127	TZ
210.5.215.128	210.5.215.255	HK
210.5.216.0	210.5.216.255	AE
210.5.217.0	210.5.217.255	PK
210.5.218.0	210.5.218.63	HK
210.5.218.64	210.5.218.255	IR
210.5.219.0	210.5.219.255	AE
210.5.220.0	210.5.220.255	HK
210.5.221.0	210.5.221.7	PK
210.5.221.8	210.5.221.15	HK
210.5.221.16	210.5.221.31	PK
210.5.221.32	210.5.221.255	HK
210.5.222.0	210.5.223.255	AE
210.5.224.0	210.5.225.255	HK
210.5.226.0	210.5.226.255	AF
210.5.227.0	210.5.231.255	HK
210.5.232.0	210.5.232.127	IR
210.5.232.128	210.5.232.255	TR
210.5.233.0	210.5.233.191	IR
210.5.233.192	210.5.233.207	IQ
210.5.233.208	210.5.233.215	HK
210.5.233.216	210.5.233.255	IQ
210.5.234.0	210.5.235.7	HK
210.5.235.8	210.5.235.47	IQ
210.5.235.48	210.5.235.55	HK
210.5.235.56	210.5.235.63	IQ
210.5.235.64	210.5.235.79	HK
210.5.235.80	210.5.235.111	IQ
210.5.235.112	210.5.235.119	HK
210.5.235.120	210.5.235.143	IQ
210.5.235.144	210.5.235.183	HK
210.5.235.184	210.5.235.215	IQ
210.5.235.216	210.5.236.39	HK
210.5.236.40	210.5.236.47	IQ
210.5.236.48	210.5.236.79	HK
210.5.236.80	210.5.236.103	IQ
210.5.236.104	210.5.236.119	HK
210.5.236.120	210.5.236.127	IQ
210.5.236.128	210.5.236.151	HK
210.5.236.152	210.5.236.159	IQ
210.5.236.160	210.5.236.191	HK
210.5.236.192	210.5.236.207	IQ
210.5.236.208	210.5.236.223	HK
210.5.236.224	210.5.236.239	IQ
210.5.236.240	210.5.236.247	HK
210.5.236.248	210.5.236.255	IQ
210.5.237.0	210.5.238.255	HK
210.5.239.0	210.5.239.255	AE
210.5.240.0	210.5.241.255	HK
210.5.242.0	210.5.243.255	AE
210.5.244.0	210.5.245.255	HK
210.5.246.0	210.5.247.255	AE
210.5.248.0	210.5.248.255	AU
210.5.249.0	210.5.249.255	HK
210.5.250.0	210.5.254.255	AU
210.5.255.0	210.5.255.255	QA
210.6.0.0	210.6.255.255	HK
210.7.0.0	210.7.31.255	FJ
210.7.32.0	210.7.47.255	NZ
210.7.48.0	210.7.63.255	AU
210.7.64.0	210.7.95.255	IN
210.7.96.0	210.7.96.175	HK
210.7.96.176	210.7.96.191	AP
210.7.96.192	210.7.96.255	HK
210.7.97.0	210.7.97.31	AP
210.7.97.32	210.7.97.63	HK
210.7.97.64	210.7.97.127	AP
210.7.97.128	210.7.97.255	HK
210.7.98.0	210.7.99.255	US
210.7.100.0	210.7.101.255	AP
210.7.102.0	210.7.102.63	US
210.7.102.64	210.7.102.127	AP
210.7.102.128	210.7.102.191	US
210.7.102.192	210.7.103.191	AP
210.7.103.192	210.7.103.199	HK
210.7.103.200	210.7.103.255	AP
210.7.104.0	210.7.107.255	HK
210.7.108.0	210.7.111.255	AP
210.7.112.0	210.7.112.15	SG
210.7.112.16	210.7.112.23	SN
210.7.112.24	210.7.112.63	SG
210.7.112.64	210.7.112.87	AP
210.7.112.88	210.7.112.127	SG
210.7.112.128	210.7.112.255	AP
210.7.113.0	210.7.113.63	SG
210.7.113.64	210.7.119.127	AP
210.7.119.128	210.7.119.143	SG
210.7.119.144	210.7.119.175	AP
210.7.119.176	210.7.119.207	SG
210.7.119.208	210.7.119.215	AP
210.7.119.216	210.7.119.255	SG
210.7.120.0	210.7.120.7	HK
210.7.120.8	210.7.127.255	AP
210.7.128.0	210.7.128.159	AU
210.7.128.160	210.7.128.191	AP
210.7.128.192	210.7.128.223	AU
210.7.128.224	210.7.128.239	AP
210.7.128.240	210.7.128.255	AU
210.7.129.0	210.7.131.255	GB
210.7.132.0	210.7.132.255	AU
210.7.133.0	210.7.133.127	AP
210.7.133.128	210.7.133.159	AU
210.7.133.160	210.7.133.191	AP
210.7.133.192	210.7.133.255	AU
210.7.134.0	210.7.135.255	AP
210.7.136.0	210.7.136.47	AU
210.7.136.48	210.7.136.63	AP
210.7.136.64	210.7.136.255	AU
210.7.137.0	210.7.151.255	AP
210.7.152.0	210.7.152.111	AU
210.7.152.112	210.7.152.255	AP
210.7.153.0	210.7.153.255	NL
210.7.154.0	210.7.155.255	AP
210.7.156.0	210.7.158.159	AU
210.7.158.160	210.7.158.239	AP
210.7.158.240	210.7.159.127	AU
210.7.159.128	210.7.159.191	GB
210.7.159.192	210.7.159.215	AP
210.7.159.216	210.7.159.255	AU
210.7.160.0	210.7.191.255	AP
210.7.192.0	210.7.199.255	US
210.7.200.0	210.7.223.255	AP
210.7.224.0	210.7.224.47	JP
210.7.224.48	210.7.224.63	AP
210.7.224.64	210.7.224.111	JP
210.7.224.112	210.7.224.127	AP
210.7.224.128	210.7.224.159	JP
210.7.224.160	210.7.247.255	AP
210.7.248.0	210.7.249.255	US
210.7.250.0	210.7.253.255	AP
210.7.254.0	210.7.255.63	JP
210.7.255.64	210.7.255.127	AP
210.7.255.128	210.7.255.159	JP
210.7.255.160	210.7.255.183	AP
210.7.255.184	210.7.255.255	JP
210.8.0.0	210.11.255.255	AU
210.12.0.0	210.13.255.255	CN
210.14.0.0	210.14.47.255	PH
210.14.48.0	210.14.63.255	JP
210.14.64.0	210.14.95.255	CN
210.14.96.0	210.14.111.255	AU
210.14.112.0	210.15.191.255	CN
210.15.192.0	210.15.255.255	AU
210.16.0.0	210.16.9.255	PH
210.16.10.0	210.16.10.255	SG
210.16.11.0	210.16.39.255	PH
210.16.40.0	210.16.40.255	SG
210.16.41.0	210.16.127.255	PH
210.16.128.0	210.16.191.255	CN
210.16.192.0	210.16.255.255	KR
210.17.0.0	210.17.127.255	TW
210.17.128.0	210.17.255.255	HK
210.18.0.0	210.18.191.255	IN
210.18.192.0	210.18.255.255	AU
210.19.0.0	210.19.255.255	MY
210.20.0.0	210.20.255.255	JP
210.21.0.0	210.22.255.255	CN
210.23.0.0	210.23.31.255	SG
210.23.32.0	210.23.63.255	CN
210.23.64.0	210.23.79.255	ID
210.23.80.0	210.23.95.255	MP
210.23.96.0	210.23.127.255	PH
210.23.128.0	210.23.159.255	AU
210.23.160.0	210.23.230.223	PH
210.23.230.224	210.23.230.255	SG
210.23.231.0	210.23.255.255	PH
210.24.0.0	210.24.255.255	SG
210.25.0.0	210.31.210.3	CN
210.31.210.4	210.31.210.7	US
210.31.210.8	210.47.255.255	CN
210.48.0.0	210.48.127.255	NZ
210.48.128.0	210.48.135.255	JP
210.48.136.0	210.48.143.255	KH
210.48.144.0	210.48.159.255	MY
210.48.160.0	210.48.191.255	NZ
210.48.192.0	210.48.207.255	MY
210.48.208.0	210.48.215.255	AU
210.48.216.0	210.48.223.255	MY
210.48.224.0	210.48.255.255	JP
210.49.0.0	210.50.255.255	AU
210.51.0.0	210.53.255.255	CN
210.54.0.0	210.55.255.255	NZ
210.56.0.0	210.56.31.255	PK
210.56.32.0	210.56.47.255	NZ
210.56.48.0	210.56.63.255	HK
210.56.64.0	210.56.95.255	AU
210.56.96.0	210.56.127.255	IN
210.56.128.0	210.56.143.255	SG
210.56.144.0	210.56.151.255	BD
210.56.152.0	210.56.159.255	AU
210.56.160.0	210.56.191.255	JP
210.56.192.0	210.56.223.255	CN
210.56.224.0	210.56.255.255	AU
210.57.0.0	210.57.207.255	JP
210.57.208.0	210.57.223.255	ID
210.57.224.0	210.57.255.255	KR
210.58.0.0	210.71.255.255	TW
210.72.0.0	210.78.255.255	CN
210.79.0.0	210.79.15.255	JP
210.79.16.0	210.79.31.255	AU
210.79.32.0	210.79.47.255	JP
210.79.48.0	210.79.55.255	NZ
210.79.64.0	210.79.127.255	CN
210.79.128.0	210.79.207.255	JP
210.79.208.0	210.79.223.255	ID
210.79.224.0	210.79.255.255	CN
210.80.0.0	210.80.9.31	AP
210.80.9.32	210.80.9.47	AU
210.80.9.48	210.80.25.255	AP
210.80.26.0	210.80.26.255	HK
210.80.27.0	210.80.45.255	AP
210.80.46.0	210.80.46.255	AU
210.80.47.0	210.80.63.255	AP
210.80.64.0	210.80.95.255	TW
210.80.96.0	210.80.127.255	KR
210.80.128.0	210.80.182.175	AU
210.80.182.176	210.80.182.191	HK
210.80.182.192	210.80.188.175	AU
210.80.188.176	210.80.188.191	NZ
210.80.188.192	210.80.191.255	AU
210.80.192.0	210.81.255.255	JP
210.82.0.0	210.83.255.255	CN
210.84.0.0	210.84.255.255	AU
210.85.0.0	210.85.255.255	TW
210.86.0.0	210.86.127.255	NZ
210.86.128.0	210.86.223.255	TH
210.86.224.0	210.86.239.255	VN
210.86.240.0	210.87.63.255	AU
210.87.64.0	210.87.127.255	JP
210.87.128.0	210.87.191.255	CN
210.87.192.0	210.87.223.255	KR
210.87.224.0	210.87.239.255	JP
210.87.240.0	210.87.255.255	HK
210.88.0.0	210.88.111.191	JP
210.88.111.192	210.88.111.207	NZ
210.88.111.208	210.89.31.255	JP
210.89.32.0	210.89.63.255	IN
210.89.64.0	210.89.95.255	HK
210.89.96.0	210.89.127.255	JP
210.89.128.0	210.89.159.255	AU
210.89.160.0	210.89.191.255	KR
210.89.192.0	210.89.255.255	JP
210.90.0.0	210.127.255.255	KR
210.128.0.0	210.175.255.255	JP
210.176.0.0	210.176.32.31	HK
210.176.32.32	210.176.32.63	IN
210.176.32.64	210.176.32.95	HK
210.176.32.96	210.176.44.63	IN
210.176.44.64	210.176.44.159	HK
210.176.44.160	210.176.47.255	IN
210.176.48.0	210.177.255.255	HK
210.178.0.0	210.183.255.255	KR
210.184.0.0	210.184.255.255	HK
210.185.0.0	210.185.63.255	NZ
210.185.64.0	210.185.127.255	AU
210.185.128.0	210.185.159.255	JP
210.185.160.0	210.185.191.255	PH
210.185.192.0	210.185.255.255	CN
210.186.0.0	210.187.39.127	MY
210.187.39.128	210.187.39.255	TH
210.187.40.0	210.187.255.255	MY
210.188.0.0	210.191.255.255	JP
210.192.0.0	210.192.63.255	TW
210.192.64.0	210.192.95.255	KR
210.192.96.0	210.192.127.255	CN
210.192.128.0	210.192.255.255	TW
210.193.0.0	210.193.63.255	SG
210.193.64.0	210.193.127.255	JP
210.193.128.0	210.193.255.255	AU
210.194.0.0	210.194.255.255	JP
210.195.0.0	210.195.255.255	MY
210.196.0.0	210.199.255.255	JP
210.200.0.0	210.203.127.255	TW
210.203.128.0	210.203.191.255	TH
210.203.192.0	210.203.255.255	JP
210.204.0.0	210.207.255.255	KR
210.208.0.0	210.209.63.255	TW
210.209.64.0	210.209.127.255	HK
210.209.128.0	210.209.255.255	TW
210.210.0.0	210.210.127.255	IN
210.210.128.0	210.210.191.255	ID
210.210.192.0	210.210.255.255	KR
210.211.16.0	210.211.23.255	ID
210.211.24.0	210.211.31.255	HK
210.211.32.0	210.211.63.255	JP
210.211.64.0	210.211.95.255	KR
210.211.96.0	210.211.127.255	VN
210.211.128.0	210.212.255.255	IN
210.213.0.0	210.213.63.255	TH
210.213.64.0	210.213.255.255	PH
210.214.0.0	210.214.255.255	IN
210.215.0.0	210.215.255.255	AU
210.216.0.0	210.223.255.255	KR
210.224.0.0	210.239.255.255	JP
210.240.0.0	210.244.255.255	TW
210.245.0.0	210.245.127.255	VN
210.245.128.0	210.245.255.255	HK
210.246.0.0	210.246.63.255	NZ
210.246.64.0	210.246.255.255	TH
210.247.0.0	210.247.127.255	JP
210.247.128.0	210.247.255.255	AU
210.248.0.0	211.19.255.255	JP
211.20.0.0	211.23.255.255	TW
211.24.0.0	211.25.255.255	MY
211.26.0.0	211.31.255.255	AU
211.32.0.0	211.63.255.255	KR
211.64.0.0	211.71.255.255	CN
211.72.0.0	211.79.255.255	TW
211.80.0.0	211.103.255.255	CN
211.104.0.0	211.119.255.255	KR
211.120.0.0	211.135.255.255	JP
211.136.0.0	211.167.255.255	CN
211.168.0.0	211.222.11.223	KR
211.222.11.224	211.222.11.255	DE
211.222.12.0	211.255.255.255	KR
212.0.0.0	212.0.17.255	DE
212.0.18.0	212.0.63.255	EU
212.0.64.0	212.0.95.255	RU
212.0.96.0	212.0.100.255	ES
212.0.101.0	212.0.101.31	IT
212.0.101.32	212.0.109.71	ES
212.0.109.72	212.0.109.79	GB
212.0.109.80	212.0.109.143	ES
212.0.109.144	212.0.109.151	PT
212.0.109.152	212.0.118.79	ES
212.0.118.80	212.0.118.87	FR
212.0.118.88	212.0.121.31	ES
212.0.121.32	212.0.121.39	FR
212.0.121.40	212.0.127.255	ES
212.0.128.0	212.0.159.255	SD
212.0.160.0	212.0.191.255	PT
212.0.192.0	212.0.223.255	MD
212.0.224.0	212.1.31.255	NL
212.1.32.0	212.1.49.63	DE
212.1.49.64	212.1.49.95	US
212.1.49.96	212.1.63.255	DE
212.1.64.0	212.1.127.255	UA
212.1.128.0	212.1.159.255	GB
212.1.160.0	212.1.191.255	NL
212.1.192.0	212.1.255.255	RU
212.2.0.0	212.2.31.255	GB
212.2.32.0	212.2.95.255	DE
212.2.96.0	212.2.127.255	PL
212.2.128.0	212.2.159.255	UA
212.2.160.0	212.2.191.255	IE
212.2.192.0	212.2.223.255	TR
212.2.224.0	212.2.255.255	KG
212.3.0.0	212.3.31.255	SE
212.3.32.0	212.3.63.255	ES
212.3.64.0	212.3.71.47	DE
212.3.71.48	212.3.71.63	FR
212.3.71.64	212.3.95.255	DE
212.3.96.0	212.3.127.255	UA
212.3.128.0	212.3.159.255	RU
212.3.160.0	212.3.191.255	GB
212.3.192.0	212.3.223.255	DE
212.3.224.0	212.3.224.135	BE
212.3.224.136	212.3.224.159	GB
212.3.224.160	212.3.224.255	BE
212.3.225.0	212.3.225.255	GB
212.3.226.0	212.3.229.255	BE
212.3.230.0	212.3.231.255	GB
212.3.232.0	212.3.232.255	BE
212.3.233.0	212.3.233.255	GB
212.3.234.0	212.3.235.255	BE
212.3.236.0	212.3.236.255	GB
212.3.237.0	212.3.239.255	BE
212.3.240.0	212.3.240.23	GB
212.3.240.24	212.3.240.31	BE
212.3.240.32	212.3.240.47	GB
212.3.240.48	212.3.240.191	BE
212.3.240.192	212.3.240.223	GB
212.3.240.224	212.3.240.255	BE
212.3.241.0	212.3.241.255	GB
212.3.242.0	212.3.242.191	BE
212.3.242.192	212.3.242.255	GB
212.3.243.0	212.3.243.127	BE
212.3.243.128	212.3.243.191	GB
212.3.243.192	212.3.244.47	BE
212.3.244.48	212.3.244.63	GB
212.3.244.64	212.3.244.195	BE
212.3.244.196	212.3.244.207	GB
212.3.244.208	212.3.246.191	BE
212.3.246.192	212.3.246.255	GB
212.3.247.0	212.3.247.255	BE
212.3.248.0	212.3.248.63	GB
212.3.248.64	212.3.248.191	BE
212.3.248.192	212.3.248.255	GB
212.3.249.0	212.3.251.63	BE
212.3.251.64	212.3.251.95	GB
212.3.251.96	212.3.251.111	BE
212.3.251.112	212.3.251.127	GB
212.3.251.128	212.3.252.63	BE
212.3.252.64	212.3.252.127	GB
212.3.252.128	212.3.255.127	BE
212.3.255.128	212.3.255.255	GB
212.4.0.0	212.4.6.103	IT
212.4.6.104	212.4.6.111	GB
212.4.6.112	212.4.31.255	IT
212.4.32.0	212.4.63.255	NO
212.4.64.0	212.4.95.255	CH
212.4.96.0	212.4.127.255	ES
212.4.128.0	212.4.159.255	CZ
212.4.160.0	212.4.191.255	DE
212.4.192.0	212.4.211.63	NL
212.4.211.64	212.4.211.95	DE
212.4.211.96	212.4.211.127	GB
212.4.211.128	212.4.213.255	NL
212.4.214.0	212.4.214.63	CH
212.4.214.64	212.4.214.127	IT
212.4.214.128	212.4.223.255	NL
212.4.224.0	212.5.31.255	DE
212.5.32.0	212.5.63.255	BG
212.5.64.0	212.5.127.255	RU
212.5.128.0	212.5.159.255	BG
212.5.160.0	212.5.191.255	RU
212.5.192.0	212.5.223.255	SK
212.5.224.0	212.6.31.255	RU
212.6.32.0	212.6.38.255	IR
212.6.39.0	212.6.40.255	IQ
212.6.41.0	212.6.41.127	IR
212.6.41.128	212.6.41.191	IQ
212.6.41.192	212.6.41.199	AE
212.6.41.200	212.6.41.255	IT
212.6.42.0	212.6.42.255	IR
212.6.43.0	212.6.44.255	IT
212.6.45.0	212.6.45.255	IR
212.6.46.0	212.6.46.255	AE
212.6.47.0	212.6.50.255	IR
212.6.51.0	212.6.51.255	IT
212.6.52.0	212.6.53.43	NE
212.6.53.44	212.6.53.255	IT
212.6.54.0	212.6.54.191	IQ
212.6.54.192	212.6.55.111	IT
212.6.55.112	212.6.55.127	IR
212.6.55.128	212.6.59.255	IT
212.6.60.0	212.6.62.255	IR
212.6.63.0	212.6.63.255	IT
212.6.64.0	212.6.196.167	DE
212.6.196.168	212.6.196.175	US
212.6.196.176	212.6.255.255	DE
212.7.0.0	212.7.31.255	EE
212.7.32.0	212.7.63.255	ES
212.7.64.0	212.7.95.255	IT
212.7.96.0	212.7.127.255	RU
212.7.128.0	212.7.191.255	DE
212.7.192.0	212.7.223.255	PL
212.7.224.0	212.7.255.255	RU
212.8.0.0	212.8.31.255	DE
212.8.32.0	212.8.63.255	UA
212.8.64.0	212.8.127.255	ES
212.8.128.0	212.8.159.255	DE
212.8.160.0	212.8.161.95	BE
212.8.161.96	212.8.161.159	EU
212.8.161.160	212.8.163.143	BE
212.8.163.144	212.8.163.159	LU
212.8.163.160	212.8.164.127	BE
212.8.164.128	212.8.164.191	EU
212.8.164.192	212.8.164.255	BE
212.8.165.0	212.8.165.255	EU
212.8.166.0	212.8.166.79	BE
212.8.166.80	212.8.166.127	EU
212.8.166.128	212.8.166.191	BE
212.8.166.192	212.8.171.255	EU
212.8.172.0	212.8.172.255	BE
212.8.173.0	212.8.173.127	EU
212.8.173.128	212.8.176.39	BE
212.8.176.40	212.8.176.47	EU
212.8.176.48	212.8.176.63	BE
212.8.176.64	212.8.176.79	EU
212.8.176.80	212.8.176.87	BE
212.8.176.88	212.8.176.95	EU
212.8.176.96	212.8.176.131	BE
212.8.176.132	212.8.176.135	EU
212.8.176.136	212.8.179.255	BE
212.8.180.0	212.8.180.31	EU
212.8.180.32	212.8.182.255	BE
212.8.183.0	212.8.183.255	EU
212.8.184.0	212.8.184.255	BE
212.8.185.0	212.8.185.47	EU
212.8.185.48	212.8.185.87	BE
212.8.185.88	212.8.185.95	EU
212.8.185.96	212.8.185.111	BE
212.8.185.112	212.8.185.119	EU
212.8.185.120	212.8.185.127	BE
212.8.185.128	212.8.185.223	EU
212.8.185.224	212.8.185.239	BE
212.8.185.240	212.8.186.255	EU
212.8.187.0	212.8.189.15	BE
212.8.189.16	212.8.189.31	EU
212.8.189.32	212.8.189.47	BE
212.8.189.48	212.8.189.63	EU
212.8.189.64	212.8.189.79	BE
212.8.189.80	212.8.189.95	EU
212.8.189.96	212.8.189.159	BE
212.8.189.160	212.8.189.255	EU
212.8.190.0	212.8.191.255	BE
212.8.192.0	212.8.223.255	DE
212.8.224.0	212.8.255.255	RU
212.9.0.0	212.9.0.127	GB
212.9.0.128	212.9.0.255	JE
212.9.1.0	212.9.1.183	GB
212.9.1.184	212.9.1.191	JE
212.9.1.192	212.9.3.22	GB
212.9.3.23	212.9.3.23	JE
212.9.3.24	212.9.3.31	GB
212.9.3.32	212.9.3.47	JE
212.9.3.48	212.9.3.87	GB
212.9.3.88	212.9.3.95	JE
212.9.3.96	212.9.3.111	GB
212.9.3.112	212.9.3.143	JE
212.9.3.144	212.9.3.151	GB
212.9.3.152	212.9.3.159	JE
212.9.3.160	212.9.3.175	GB
212.9.3.176	212.9.3.183	JE
212.9.3.184	212.9.3.239	GB
212.9.3.240	212.9.3.255	JE
212.9.4.0	212.9.4.40	GB
212.9.4.41	212.9.4.47	JE
212.9.4.48	212.9.4.167	GB
212.9.4.168	212.9.4.255	JE
212.9.5.0	212.9.5.31	GB
212.9.5.32	212.9.5.47	JE
212.9.5.48	212.9.5.63	GB
212.9.5.64	212.9.5.71	JE
212.9.5.72	212.9.5.159	GB
212.9.5.160	212.9.5.255	JE
212.9.6.0	212.9.6.7	GB
212.9.6.8	212.9.6.15	JE
212.9.6.16	212.9.6.31	GB
212.9.6.32	212.9.6.63	JE
212.9.6.64	212.9.6.95	GB
212.9.6.96	212.9.6.127	JE
212.9.6.128	212.9.6.223	GB
212.9.6.224	212.9.6.239	JE
212.9.6.240	212.9.7.7	GB
212.9.7.8	212.9.7.15	JE
212.9.7.16	212.9.7.199	GB
212.9.7.200	212.9.7.207	JE
212.9.7.208	212.9.8.255	GB
212.9.9.0	212.9.9.63	JE
212.9.9.64	212.9.9.127	GB
212.9.9.128	212.9.10.255	JE
212.9.11.0	212.9.11.255	GB
212.9.12.0	212.9.14.255	JE
212.9.15.0	212.9.15.15	GB
212.9.15.16	212.9.15.23	JE
212.9.15.24	212.9.15.199	GB
212.9.15.200	212.9.16.71	JE
212.9.16.72	212.9.16.79	GB
212.9.16.80	212.9.17.255	JE
212.9.18.0	212.9.18.255	GB
212.9.19.0	212.9.19.15	JE
212.9.19.16	212.9.19.47	GB
212.9.19.48	212.9.19.79	JE
212.9.19.80	212.9.19.107	GB
212.9.19.108	212.9.19.127	JE
212.9.19.128	212.9.19.151	GB
212.9.19.152	212.9.19.159	JE
212.9.19.160	212.9.19.223	GB
212.9.19.224	212.9.19.239	JE
212.9.19.240	212.9.19.247	GB
212.9.19.248	212.9.19.255	JE
212.9.20.0	212.9.20.15	GB
212.9.20.16	212.9.20.23	JE
212.9.20.24	212.9.20.55	GB
212.9.20.56	212.9.20.111	JE
212.9.20.112	212.9.20.159	GB
212.9.20.160	212.9.20.191	JE
212.9.20.192	212.9.20.223	GB
212.9.20.224	212.9.20.255	JE
212.9.21.0	212.9.21.63	GB
212.9.21.64	212.9.21.111	JE
212.9.21.112	212.9.21.119	GB
212.9.21.120	212.9.21.127	JE
212.9.21.128	212.9.21.191	GB
212.9.21.192	212.9.21.255	JE
212.9.22.0	212.9.22.159	GB
212.9.22.160	212.9.22.255	JE
212.9.23.0	212.9.23.7	GB
212.9.23.8	212.9.23.15	JE
212.9.23.16	212.9.23.47	GB
212.9.23.48	212.9.23.55	JE
212.9.23.56	212.9.23.127	GB
212.9.23.128	212.9.23.191	JE
212.9.23.192	212.9.24.87	GB
212.9.24.88	212.9.24.103	JE
212.9.24.104	212.9.24.127	GB
212.9.24.128	212.9.24.135	JE
212.9.24.136	212.9.24.151	GB
212.9.24.152	212.9.24.159	JE
212.9.24.160	212.9.24.175	GB
212.9.24.176	212.9.24.255	JE
212.9.25.0	212.9.25.39	GB
212.9.25.40	212.9.25.47	JE
212.9.25.48	212.9.25.95	GB
212.9.25.96	212.9.25.103	JE
212.9.25.104	212.9.25.247	GB
212.9.25.248	212.9.25.255	JE
212.9.26.0	212.9.31.255	GB
212.9.32.0	212.9.63.255	DE
212.9.64.0	212.9.95.255	ES
212.9.96.0	212.9.127.255	GB
212.9.128.0	212.9.159.255	AT
212.9.160.0	212.9.176.31	DE
212.9.176.32	212.9.176.47	CH
212.9.176.48	212.9.176.63	DE
212.9.176.64	212.9.176.127	CH
212.9.176.128	212.9.191.255	DE
212.9.192.0	212.9.223.255	GB
212.9.224.0	212.9.255.255	UA
212.10.0.0	212.10.255.255	DK
212.11.0.0	212.11.26.87	FR
212.11.26.88	212.11.26.95	A2
212.11.26.96	212.11.63.255	FR
212.11.64.0	212.11.95.255	GB
212.11.96.0	212.11.127.255	CZ
212.11.128.0	212.11.159.255	RU
212.11.160.0	212.11.191.255	SA
212.11.192.0	212.11.223.255	SY
212.11.224.0	212.11.255.255	DE
212.12.0.0	212.12.31.255	RU
212.12.32.0	212.12.55.15	DE
212.12.55.16	212.12.55.31	ES
212.12.55.32	212.12.58.223	DE
212.12.58.224	212.12.58.243	GB
212.12.58.244	212.12.63.255	DE
212.12.64.0	212.12.95.255	RU
212.12.96.0	212.12.109.159	DE
212.12.109.160	212.12.109.191	GB
212.12.109.192	212.12.112.255	DE
212.12.113.0	212.12.113.127	CH
212.12.113.128	212.12.115.31	DE
212.12.115.32	212.12.115.47	CH
212.12.115.48	212.12.115.223	DE
212.12.115.224	212.12.115.239	CH
212.12.115.240	212.12.127.255	DE
212.12.128.0	212.12.159.255	TR
212.12.160.0	212.12.162.15	SA
212.12.162.16	212.12.162.23	AS
212.12.162.24	212.12.191.255	SA
212.12.192.0	212.12.223.255	LT
212.12.224.0	212.12.255.255	EG
212.13.0.0	212.13.31.255	RU
212.13.32.0	212.13.63.255	PT
212.13.64.0	212.13.95.255	MK
212.13.96.0	212.13.127.255	RU
212.13.128.0	212.13.191.255	KZ
212.13.192.0	212.13.223.255	GB
212.13.224.0	212.13.255.255	SI
212.14.0.0	212.14.63.255	PL
212.14.64.0	212.14.95.255	DE
212.14.96.0	212.14.127.255	ES
212.14.128.0	212.14.159.255	IT
212.14.160.0	212.14.223.255	RU
212.14.224.0	212.14.255.255	PS
212.15.0.0	212.15.31.255	TR
212.15.32.0	212.15.63.255	RU
212.15.64.0	212.15.95.255	GB
212.15.96.0	212.15.127.255	RU
212.15.128.0	212.15.159.255	UA
212.15.160.0	212.15.191.255	HR
212.15.192.0	212.15.223.255	DE
212.15.224.0	212.15.255.255	ES
212.16.0.0	212.16.31.255	RU
212.16.32.0	212.16.63.255	AT
212.16.64.0	212.16.95.255	IR
212.16.96.0	212.16.127.255	FI
212.16.128.0	212.16.159.255	HU
212.16.160.0	212.16.191.255	SE
212.16.192.0	212.16.223.255	RU
212.16.224.0	212.16.255.255	DE
212.17.0.0	212.17.31.255	RU
212.17.32.0	212.17.63.255	IE
212.17.64.0	212.17.127.255	AT
212.17.128.0	212.17.159.255	NO
212.17.160.0	212.17.191.255	AX
212.17.192.0	212.17.223.255	IT
212.17.224.0	212.17.239.95	DE
212.17.239.96	212.17.239.111	GB
212.17.239.112	212.18.31.255	DE
212.18.32.0	212.18.45.15	SI
212.18.45.16	212.18.45.23	AE
212.18.45.24	212.18.46.159	SI
212.18.46.160	212.18.46.191	AE
212.18.46.192	212.18.63.255	SI
212.18.64.0	212.18.95.255	DE
212.18.96.0	212.18.127.255	CH
212.18.128.0	212.18.159.255	NO
212.18.160.0	212.18.191.255	PT
212.18.192.0	212.18.223.255	DE
212.18.224.0	212.18.255.255	GB
212.19.0.0	212.19.31.255	RU
212.19.32.0	212.19.32.31	GB
212.19.32.32	212.19.61.63	DE
212.19.61.64	212.19.61.67	CH
212.19.61.68	212.19.63.255	DE
212.19.64.0	212.19.95.255	GB
212.19.96.0	212.19.127.255	IT
212.19.128.0	212.19.159.255	KZ
212.19.160.0	212.19.191.255	FR
212.19.192.0	212.19.206.127	NL
212.19.206.128	212.19.206.143	US
212.19.206.144	212.19.255.255	NL
212.20.0.0	212.20.63.255	RU
212.20.64.0	212.20.127.255	CZ
212.20.128.0	212.20.165.15	DE
212.20.165.16	212.20.165.31	CH
212.20.165.32	212.20.191.255	DE
212.20.192.0	212.20.223.255	NO
212.20.224.0	212.20.255.255	GB
212.21.0.0	212.21.31.255	RU
212.21.32.0	212.21.32.127	NG
212.21.32.128	212.21.32.255	SD
212.21.33.0	212.21.33.127	MZ
212.21.33.128	212.21.33.255	CI
212.21.34.0	212.21.34.127	CM
212.21.34.128	212.21.34.255	SD
212.21.35.0	212.21.35.127	GB
212.21.35.128	212.21.35.255	SD
212.21.36.0	212.21.36.127	ET
212.21.36.128	212.21.36.255	GB
212.21.37.0	212.21.38.255	SD
212.21.39.0	212.21.39.0	GB
212.21.39.1	212.21.39.255	KG
212.21.40.0	212.21.63.255	GB
212.21.64.0	212.21.95.255	DE
212.21.96.0	212.21.127.255	GB
212.21.128.0	212.21.159.255	BG
212.21.160.0	212.21.191.255	DE
212.21.192.0	212.21.192.255	BE
212.21.193.0	212.21.195.63	ES
212.21.195.64	212.21.195.67	IT
212.21.195.68	212.21.195.71	ES
212.21.195.72	212.21.195.79	IT
212.21.195.80	212.21.195.151	ES
212.21.195.152	212.21.195.159	IT
212.21.195.160	212.21.195.191	ES
212.21.195.192	212.21.195.199	IT
212.21.195.200	212.21.195.207	ES
212.21.195.208	212.21.195.223	IT
212.21.195.224	212.21.195.231	ES
212.21.195.232	212.21.196.47	IT
212.21.196.48	212.21.196.127	ES
212.21.196.128	212.21.196.135	IT
212.21.196.136	212.21.196.143	ES
212.21.196.144	212.21.196.191	IT
212.21.196.192	212.21.197.63	ES
212.21.197.64	212.21.197.127	IT
212.21.197.128	212.21.197.239	ES
212.21.197.240	212.21.197.247	IT
212.21.197.248	212.21.197.255	ES
212.21.198.0	212.21.223.255	US
212.21.224.0	212.21.255.255	ES
212.22.0.0	212.22.31.255	GB
212.22.32.0	212.22.63.255	ES
212.22.64.0	212.22.95.255	RU
212.22.96.0	212.22.127.255	GB
212.22.128.0	212.22.159.255	IT
212.22.160.0	212.22.191.255	KE
212.22.192.0	212.22.223.255	UA
212.22.224.0	212.22.225.255	GB
212.22.226.0	212.22.227.255	GI
212.22.228.0	212.22.229.255	GB
212.22.230.0	212.22.232.255	GI
212.22.233.0	212.22.233.255	GB
212.22.234.0	212.22.251.255	GI
212.22.252.0	212.22.254.255	GB
212.22.255.0	212.22.255.255	GI
212.23.0.0	212.23.32.255	GB
212.23.33.0	212.23.33.255	DE
212.23.34.0	212.23.34.127	GB
212.23.34.128	212.23.34.255	DE
212.23.35.0	212.23.36.255	GB
212.23.37.0	212.23.37.63	FR
212.23.37.64	212.23.37.127	GB
212.23.37.128	212.23.37.255	FR
212.23.38.0	212.23.41.63	GB
212.23.41.64	212.23.41.127	BE
212.23.41.128	212.23.41.255	NL
212.23.42.0	212.23.42.63	FR
212.23.42.64	212.23.42.127	IT
212.23.42.128	212.23.42.191	DE
212.23.42.192	212.23.42.255	ES
212.23.43.0	212.23.43.63	AT
212.23.43.64	212.23.43.127	SE
212.23.43.128	212.23.43.191	US
212.23.43.192	212.23.43.255	CH
212.23.44.0	212.23.44.39	US
212.23.44.40	212.23.44.63	GB
212.23.44.64	212.23.44.99	US
212.23.44.100	212.23.44.103	GB
212.23.44.104	212.23.44.111	GU
212.23.44.112	212.23.44.255	US
212.23.45.0	212.23.45.31	BE
212.23.45.32	212.23.45.47	DE
212.23.45.48	212.23.45.63	BE
212.23.45.64	212.23.45.79	GB
212.23.45.80	212.23.45.255	BE
212.23.46.0	212.23.46.207	FR
212.23.46.208	212.23.46.223	GB
212.23.46.224	212.23.46.255	FR
212.23.47.0	212.23.47.255	GB
212.23.48.0	212.23.48.255	NL
212.23.49.0	212.23.49.83	IT
212.23.49.84	212.23.49.87	GB
212.23.49.88	212.23.49.111	IT
212.23.49.112	212.23.49.119	GB
212.23.49.120	212.23.49.255	IT
212.23.50.0	212.23.50.255	CZ
212.23.51.0	212.23.51.255	GB
212.23.52.0	212.23.52.143	BE
212.23.52.144	212.23.52.159	GB
212.23.52.160	212.23.52.167	BE
212.23.52.168	212.23.52.183	GB
212.23.52.184	212.23.52.191	BE
212.23.52.192	212.23.52.223	GB
212.23.52.224	212.23.52.231	BE
212.23.52.232	212.23.52.239	GB
212.23.52.240	212.23.52.255	BE
212.23.53.0	212.23.53.183	ES
212.23.53.184	212.23.53.191	GB
212.23.53.192	212.23.53.255	ES
212.23.54.0	212.23.54.15	DE
212.23.54.16	212.23.54.23	NL
212.23.54.24	212.23.54.31	GB
212.23.54.32	212.23.54.47	NL
212.23.54.48	212.23.54.79	DE
212.23.54.80	212.23.54.87	SE
212.23.54.88	212.23.54.191	DE
212.23.54.192	212.23.54.255	GB
212.23.55.0	212.23.55.15	CH
212.23.55.16	212.23.55.31	AT
212.23.55.32	212.23.55.39	CH
212.23.55.40	212.23.55.47	GB
212.23.55.48	212.23.55.63	CH
212.23.55.64	212.23.55.79	AT
212.23.55.80	212.23.55.95	GB
212.23.55.96	212.23.55.255	CH
212.23.56.0	212.23.58.255	GB
212.23.59.0	212.23.59.63	SE
212.23.59.64	212.23.60.63	NL
212.23.60.64	212.23.60.127	GB
212.23.60.128	212.23.60.255	NL
212.23.61.0	212.23.61.135	GB
212.23.61.136	212.23.61.143	NL
212.23.61.144	212.23.61.159	GB
212.23.61.160	212.23.62.95	NL
212.23.62.96	212.23.62.255	GB
212.23.63.0	212.23.63.255	NL
212.23.64.0	212.23.95.255	RU
212.23.96.0	212.23.129.175	DE
212.23.129.176	212.23.129.183	CH
212.23.129.184	212.23.130.111	DE
212.23.130.112	212.23.130.119	CH
212.23.130.120	212.23.139.87	DE
212.23.139.88	212.23.139.95	CH
212.23.139.96	212.23.159.255	DE
212.23.160.0	212.23.167.17	FR
212.23.167.18	212.23.167.19	ES
212.23.167.20	212.23.223.255	FR
212.23.224.0	212.23.225.215	CH
212.23.225.216	212.23.225.223	FR
212.23.225.224	212.23.228.11	CH
212.23.228.12	212.23.228.15	DE
212.23.228.16	212.23.228.23	CH
212.23.228.24	212.23.228.31	DE
212.23.228.32	212.23.235.235	CH
212.23.235.236	212.23.235.239	ES
212.23.235.240	212.23.236.247	CH
212.23.236.248	212.23.236.251	DE
212.23.236.252	212.23.236.253	CH
212.23.236.254	212.23.236.254	GB
212.23.236.255	212.23.243.31	CH
212.23.243.32	212.23.243.39	ES
212.23.243.40	212.23.244.115	CH
212.23.244.116	212.23.244.119	DE
212.23.244.120	212.23.245.199	CH
212.23.245.200	212.23.245.203	DE
212.23.245.204	212.23.255.255	CH
212.24.0.0	212.24.31.255	IT
212.24.32.0	212.24.63.255	RU
212.24.64.0	212.24.95.255	GB
212.24.96.0	212.24.96.39	AT
212.24.96.40	212.24.96.47	GI
212.24.96.48	212.24.99.15	AT
212.24.99.16	212.24.99.31	AR
212.24.99.32	212.24.99.63	CL
212.24.99.64	212.24.99.79	ES
212.24.99.80	212.24.99.95	DE
212.24.99.96	212.24.99.111	US
212.24.99.112	212.24.99.127	GB
212.24.99.128	212.24.99.159	AT
212.24.99.160	212.24.99.191	DE
212.24.99.192	212.24.99.207	US
212.24.99.208	212.24.99.223	GB
212.24.99.224	212.24.99.239	ES
212.24.99.240	212.24.99.255	AR
212.24.100.0	212.24.100.15	AT
212.24.100.16	212.24.100.31	GB
212.24.100.32	212.24.100.63	CL
212.24.100.64	212.24.100.127	AR
212.24.100.128	212.24.100.191	AT
212.24.100.192	212.24.100.223	DE
212.24.100.224	212.24.100.239	ES
212.24.100.240	212.24.100.255	US
212.24.101.0	212.24.104.223	AT
212.24.104.224	212.24.104.239	FR
212.24.104.240	212.24.115.255	AT
212.24.116.0	212.24.116.255	BG
212.24.117.0	212.24.117.127	AT
212.24.117.128	212.24.117.255	ES
212.24.118.0	212.24.127.255	AT
212.24.128.0	212.24.159.255	CZ
212.24.160.0	212.24.191.255	HU
212.24.192.0	212.24.223.255	LU
212.24.224.0	212.24.255.255	SA
212.25.0.0	212.25.15.63	CH
212.25.15.64	212.25.15.71	GB
212.25.15.72	212.25.31.255	CH
212.25.32.0	212.25.63.255	BG
212.25.64.0	212.25.127.255	IL
212.25.128.0	212.25.159.255	SE
212.25.160.0	212.25.191.255	IT
212.25.192.0	212.25.192.63	BE
212.25.192.64	212.25.192.255	GB
212.25.193.0	212.25.193.127	FR
212.25.193.128	212.25.223.255	NL
212.25.224.0	212.25.235.255	GB
212.25.236.0	212.25.237.255	US
212.25.238.0	212.25.255.255	GB
212.26.0.0	212.26.127.255	SA
212.26.128.0	212.26.159.255	UA
212.26.160.0	212.26.191.255	SK
212.26.192.0	212.26.223.255	NL
212.26.224.0	212.26.255.255	RU
212.27.0.0	212.27.15.255	SE
212.27.16.0	212.27.31.255	DK
212.27.32.0	212.27.63.255	FR
212.27.64.0	212.27.127.255	AT
212.27.128.0	212.27.159.255	DE
212.27.160.0	212.27.163.127	CH
212.27.163.128	212.27.163.159	DE
212.27.163.160	212.27.164.175	CH
212.27.164.176	212.27.164.191	DE
212.27.164.192	212.27.183.191	CH
212.27.183.192	212.27.183.223	NL
212.27.183.224	212.27.191.255	CH
212.27.192.0	212.27.223.255	CZ
212.27.224.0	212.27.255.255	EE
212.28.0.0	212.28.31.255	GB
212.28.32.0	212.28.63.255	DE
212.28.64.0	212.28.95.255	MD
212.28.96.0	212.28.127.255	DE
212.28.128.0	212.28.159.255	CH
212.28.160.0	212.28.191.255	IT
212.28.192.0	212.28.223.255	SE
212.28.224.0	212.28.255.255	LB
212.29.0.0	212.29.63.255	DE
212.29.64.0	212.29.127.255	TR
212.29.128.0	212.29.159.255	IT
212.29.160.0	212.29.191.255	NL
212.29.192.0	212.29.255.255	IL
212.30.0.0	212.30.0.255	GB
212.30.1.0	212.30.2.255	GG
212.30.3.0	212.30.4.127	GB
212.30.4.128	212.30.4.255	GG
212.30.5.0	212.30.5.127	GB
212.30.5.128	212.30.7.255	GG
212.30.8.0	212.30.9.255	GB
212.30.10.0	212.30.10.255	GG
212.30.11.0	212.30.11.63	GB
212.30.11.64	212.30.11.255	GG
212.30.12.0	212.30.12.47	GB
212.30.12.48	212.30.12.63	GG
212.30.12.64	212.30.12.95	GB
212.30.12.96	212.30.12.111	GG
212.30.12.112	212.30.12.127	GB
212.30.12.128	212.30.12.143	GG
212.30.12.144	212.30.12.255	GB
212.30.13.0	212.30.13.31	GG
212.30.13.32	212.30.13.95	GB
212.30.13.96	212.30.14.255	GG
212.30.15.0	212.30.16.7	GB
212.30.16.8	212.30.16.15	GG
212.30.16.16	212.30.16.47	GB
212.30.16.48	212.30.16.55	GG
212.30.16.56	212.30.16.63	GB
212.30.16.64	212.30.16.71	GG
212.30.16.72	212.30.16.95	GB
212.30.16.96	212.30.16.111	GG
212.30.16.112	212.30.16.119	GB
212.30.16.120	212.30.16.127	GG
212.30.16.128	212.30.16.215	GB
212.30.16.216	212.30.16.231	GG
212.30.16.232	212.30.16.239	GB
212.30.16.240	212.30.16.247	GG
212.30.16.248	212.30.16.254	GB
212.30.16.255	212.30.16.255	GG
212.30.17.0	212.30.17.31	GB
212.30.17.32	212.30.17.47	GG
212.30.17.48	212.30.17.63	GB
212.30.17.64	212.30.17.71	GG
212.30.17.72	212.30.17.119	GB
212.30.17.120	212.30.17.127	GG
212.30.17.128	212.30.17.135	GB
212.30.17.136	212.30.17.143	GG
212.30.17.144	212.30.17.159	GB
212.30.17.160	212.30.18.127	GG
212.30.18.128	212.30.18.207	GB
212.30.18.208	212.30.21.7	GG
212.30.21.8	212.30.21.23	GB
212.30.21.24	212.30.21.31	GG
212.30.21.32	212.30.21.39	GB
212.30.21.40	212.30.21.47	GG
212.30.21.48	212.30.21.63	GB
212.30.21.64	212.30.21.87	GG
212.30.21.88	212.30.21.111	GB
212.30.21.112	212.30.21.119	GG
212.30.21.120	212.30.21.143	GB
212.30.21.144	212.30.21.151	GG
212.30.21.152	212.30.21.175	GB
212.30.21.176	212.30.21.183	GG
212.30.21.184	212.30.21.191	GB
212.30.21.192	212.30.21.199	GG
212.30.21.200	212.30.21.223	GB
212.30.21.224	212.30.21.239	GG
212.30.21.240	212.30.21.255	GB
212.30.22.0	212.30.23.255	GG
212.30.24.0	212.30.24.23	GB
212.30.24.24	212.30.24.31	GG
212.30.24.32	212.30.24.39	GB
212.30.24.40	212.30.24.55	GG
212.30.24.56	212.30.24.63	GB
212.30.24.64	212.30.24.71	GG
212.30.24.72	212.30.24.87	GB
212.30.24.88	212.30.24.119	GG
212.30.24.120	212.30.24.143	GB
212.30.24.144	212.30.24.175	GG
212.30.24.176	212.30.24.199	GB
212.30.24.200	212.30.24.207	GG
212.30.24.208	212.30.24.223	GB
212.30.24.224	212.30.24.231	GG
212.30.24.232	212.30.24.239	GB
212.30.24.240	212.30.25.255	GG
212.30.26.0	212.30.26.15	GB
212.30.26.16	212.30.26.23	GG
212.30.26.24	212.30.26.39	GB
212.30.26.40	212.30.26.55	GG
212.30.26.56	212.30.26.95	GB
212.30.26.96	212.30.26.103	GG
212.30.26.104	212.30.26.127	GB
212.30.26.128	212.30.26.135	GG
212.30.26.136	212.30.26.151	GB
212.30.26.152	212.30.26.167	GG
212.30.26.168	212.30.26.199	GB
212.30.26.200	212.30.26.207	GG
212.30.26.208	212.30.26.215	GB
212.30.26.216	212.30.26.223	GG
212.30.26.224	212.30.26.247	GB
212.30.26.248	212.30.27.255	GG
212.30.28.0	212.30.28.7	GB
212.30.28.8	212.30.28.11	GG
212.30.28.12	212.30.28.35	GB
212.30.28.36	212.30.28.51	GG
212.30.28.52	212.30.28.67	GB
212.30.28.68	212.30.28.71	GG
212.30.28.72	212.30.28.75	GB
212.30.28.76	212.30.28.79	GG
212.30.28.80	212.30.28.91	GB
212.30.28.92	212.30.28.95	GG
212.30.28.96	212.30.28.107	GB
212.30.28.108	212.30.28.111	GG
212.30.28.112	212.30.28.127	GB
212.30.28.128	212.30.28.131	GG
212.30.28.132	212.30.28.143	GB
212.30.28.144	212.30.28.151	GG
212.30.28.152	212.30.28.163	GB
212.30.28.164	212.30.28.167	GG
212.30.28.168	212.30.28.179	GB
212.30.28.180	212.30.28.183	GG
212.30.28.184	212.30.28.195	GB
212.30.28.196	212.30.28.199	GG
212.30.28.200	212.30.28.203	GB
212.30.28.204	212.30.28.215	GG
212.30.28.216	212.30.28.223	GB
212.30.28.224	212.30.28.255	GG
212.30.29.0	212.30.29.7	GB
212.30.29.8	212.30.29.15	GG
212.30.29.16	212.30.29.23	GB
212.30.29.24	212.30.29.31	GG
212.30.29.32	212.30.29.55	GB
212.30.29.56	212.30.29.63	GG
212.30.29.64	212.30.29.87	GB
212.30.29.88	212.30.29.95	GG
212.30.29.96	212.30.29.103	GB
212.30.29.104	212.30.29.111	GG
212.30.29.112	212.30.29.143	GB
212.30.29.144	212.30.29.151	GG
212.30.29.152	212.30.29.167	GB
212.30.29.168	212.30.29.199	GG
212.30.29.200	212.30.29.211	GB
212.30.29.212	212.30.29.215	GG
212.30.29.216	212.30.29.239	GB
212.30.29.240	212.30.29.255	GG
212.30.30.0	212.30.31.31	GB
212.30.31.32	212.30.31.255	GG
212.30.32.0	212.30.63.255	LB
212.30.64.0	212.30.95.255	SI
212.30.96.0	212.30.127.255	FR
212.30.128.0	212.30.191.255	RU
212.30.192.0	212.30.255.255	IS
212.31.0.0	212.31.31.255	TR
212.31.32.0	212.31.63.255	ES
212.31.64.0	212.31.79.23	AT
212.31.79.24	212.31.79.31	DE
212.31.79.32	212.31.79.163	AT
212.31.79.164	212.31.79.167	DE
212.31.79.168	212.31.79.191	AT
212.31.79.192	212.31.79.199	DE
212.31.79.200	212.31.95.255	AT
212.31.96.0	212.31.103.31	CY
212.31.103.32	212.31.103.39	A2
212.31.103.40	212.31.104.255	CY
212.31.105.0	212.31.105.15	A2
212.31.105.16	212.31.120.255	CY
212.31.121.0	212.31.121.255	LB
212.31.122.0	212.31.127.255	CY
212.31.128.0	212.31.159.255	FR
212.31.160.0	212.31.191.255	SE
212.31.192.0	212.31.192.255	ES
212.31.193.0	212.31.194.255	US
212.31.195.0	212.31.195.31	ES
212.31.195.32	212.31.195.63	GB
212.31.195.64	212.31.195.143	ES
212.31.195.144	212.31.195.151	NO
212.31.195.152	212.31.201.255	ES
212.31.202.0	212.31.202.255	BE
212.31.203.0	212.31.203.23	ES
212.31.203.24	212.31.203.31	DE
212.31.203.32	212.31.203.63	ES
212.31.203.64	212.31.203.79	DE
212.31.203.80	212.31.203.87	ES
212.31.203.88	212.31.203.91	DE
212.31.203.92	212.31.203.127	ES
212.31.203.128	212.31.203.135	DE
212.31.203.136	212.31.203.159	ES
212.31.203.160	212.31.203.171	DE
212.31.203.172	212.31.207.255	ES
212.31.208.0	212.31.208.255	US
212.31.209.0	212.31.209.63	ES
212.31.209.64	212.31.209.127	US
212.31.209.128	212.31.209.255	GB
212.31.210.0	212.31.210.15	US
212.31.210.16	212.31.210.255	ES
212.31.211.0	212.31.211.7	NL
212.31.211.8	212.31.212.255	ES
212.31.213.0	212.31.213.255	US
212.31.214.0	212.31.215.127	GB
212.31.215.128	212.31.215.191	ES
212.31.215.192	212.31.215.255	NL
212.31.216.0	212.31.223.255	US
212.31.224.0	212.31.232.167	IT
212.31.232.168	212.31.232.175	IE
212.31.232.176	212.31.247.55	IT
212.31.247.56	212.31.247.63	GB
212.31.247.64	212.31.255.255	IT
212.32.0.0	212.32.127.255	GB
212.32.128.0	212.32.191.255	SE
212.32.192.0	212.32.223.255	RU
212.32.224.0	212.32.255.255	NL
212.33.0.0	212.33.31.255	RU
212.33.32.0	212.33.63.255	AT
212.33.64.0	212.33.95.255	PL
212.33.96.0	212.33.127.255	PS
212.33.128.0	212.33.159.255	NO
212.33.160.0	212.33.191.255	SA
212.33.192.0	212.33.223.255	IR
212.33.224.0	212.33.255.255	RU
212.34.0.0	212.34.31.255	JO
212.34.32.0	212.34.63.255	RU
212.34.64.0	212.34.70.255	DE
212.34.71.0	212.34.71.15	GB
212.34.71.16	212.34.95.255	DE
212.34.96.0	212.34.127.255	RU
212.34.128.0	212.34.159.0	ES
212.34.159.1	212.34.159.255	US
212.34.160.0	212.34.191.255	DE
212.34.192.0	212.34.223.255	IT
212.34.224.0	212.34.255.255	AM
212.35.0.0	212.35.63.255	CH
212.35.64.0	212.35.95.255	JO
212.35.96.0	212.35.96.135	BE
212.35.96.136	212.35.96.139	GB
212.35.96.140	212.35.96.179	BE
212.35.96.180	212.35.96.183	GB
212.35.96.184	212.35.96.215	BE
212.35.96.216	212.35.96.219	GB
212.35.96.220	212.35.96.239	BE
212.35.96.240	212.35.96.243	GB
212.35.96.244	212.35.96.247	BE
212.35.96.248	212.35.96.251	GB
212.35.96.252	212.35.99.127	BE
212.35.99.128	212.35.99.131	GB
212.35.99.132	212.35.99.159	BE
212.35.99.160	212.35.99.167	DE
212.35.99.168	212.35.100.255	BE
212.35.101.0	212.35.101.3	GB
212.35.101.4	212.35.101.15	BE
212.35.101.16	212.35.101.19	GB
212.35.101.20	212.35.101.31	BE
212.35.101.32	212.35.101.35	GB
212.35.101.36	212.35.101.39	BE
212.35.101.40	212.35.101.43	GB
212.35.101.44	212.35.101.51	BE
212.35.101.52	212.35.101.59	GB
212.35.101.60	212.35.101.139	BE
212.35.101.140	212.35.101.143	GB
212.35.101.144	212.35.101.199	BE
212.35.101.200	212.35.101.203	GB
212.35.101.204	212.35.101.215	BE
212.35.101.216	212.35.101.219	GB
212.35.101.220	212.35.101.223	BE
212.35.101.224	212.35.101.231	FR
212.35.101.232	212.35.101.235	GB
212.35.101.236	212.35.101.247	BE
212.35.101.248	212.35.101.251	GB
212.35.101.252	212.35.103.151	BE
212.35.103.152	212.35.103.159	NL
212.35.103.160	212.35.105.7	BE
212.35.105.8	212.35.105.11	GB
212.35.105.12	212.35.105.31	BE
212.35.105.32	212.35.105.35	GB
212.35.105.36	212.35.105.51	BE
212.35.105.52	212.35.105.55	GB
212.35.105.56	212.35.105.155	BE
212.35.105.156	212.35.105.159	GB
212.35.105.160	212.35.106.63	BE
212.35.106.64	212.35.106.67	GB
212.35.106.68	212.35.106.87	BE
212.35.106.88	212.35.106.91	GB
212.35.106.92	212.35.106.115	BE
212.35.106.116	212.35.106.119	GB
212.35.106.120	212.35.106.175	BE
212.35.106.176	212.35.106.183	GB
212.35.106.184	212.35.106.207	BE
212.35.106.208	212.35.106.211	GB
212.35.106.212	212.35.106.215	BE
212.35.106.216	212.35.106.219	GB
212.35.106.220	212.35.106.235	BE
212.35.106.236	212.35.106.239	GB
212.35.106.240	212.35.107.67	BE
212.35.107.68	212.35.107.71	GB
212.35.107.72	212.35.107.143	BE
212.35.107.144	212.35.107.147	GB
212.35.107.148	212.35.108.3	BE
212.35.108.4	212.35.108.7	GB
212.35.108.8	212.35.108.11	BE
212.35.108.12	212.35.108.15	GB
212.35.108.16	212.35.108.223	BE
212.35.108.224	212.35.108.227	GB
212.35.108.228	212.35.109.51	BE
212.35.109.52	212.35.109.55	GB
212.35.109.56	212.35.109.79	BE
212.35.109.80	212.35.109.87	GB
212.35.109.88	212.35.109.115	BE
212.35.109.116	212.35.109.119	GB
212.35.109.120	212.35.109.135	BE
212.35.109.136	212.35.109.159	GB
212.35.109.160	212.35.109.175	BE
212.35.109.176	212.35.109.183	LU
212.35.109.184	212.35.111.191	BE
212.35.111.192	212.35.111.192	GB
212.35.111.193	212.35.111.254	BE
212.35.111.255	212.35.111.255	GB
212.35.112.0	212.35.113.255	BE
212.35.114.0	212.35.114.3	GB
212.35.114.4	212.35.114.63	BE
212.35.114.64	212.35.114.67	GB
212.35.114.68	212.35.114.119	BE
212.35.114.120	212.35.114.127	GB
212.35.114.128	212.35.114.135	BE
212.35.114.136	212.35.114.159	GB
212.35.114.160	212.35.114.203	BE
212.35.114.204	212.35.114.207	GB
212.35.114.208	212.35.114.223	BE
212.35.114.224	212.35.114.239	GB
212.35.114.240	212.35.115.3	BE
212.35.115.4	212.35.115.7	GB
212.35.115.8	212.35.115.15	BE
212.35.115.16	212.35.115.23	GB
212.35.115.24	212.35.115.31	FR
212.35.115.32	212.35.115.71	BE
212.35.115.72	212.35.115.79	FR
212.35.115.80	212.35.115.83	BE
212.35.115.84	212.35.115.87	GB
212.35.115.88	212.35.115.91	BE
212.35.115.92	212.35.115.95	GB
212.35.115.96	212.35.115.111	BE
212.35.115.112	212.35.115.127	FR
212.35.115.128	212.35.115.143	BE
212.35.115.144	212.35.115.167	FR
212.35.115.168	212.35.115.171	GB
212.35.115.172	212.35.115.175	BE
212.35.115.176	212.35.115.179	GB
212.35.115.180	212.35.115.203	BE
212.35.115.204	212.35.115.211	GB
212.35.115.212	212.35.115.223	BE
212.35.115.224	212.35.115.227	GB
212.35.115.228	212.35.115.247	BE
212.35.115.248	212.35.115.251	GB
212.35.115.252	212.35.117.63	BE
212.35.117.64	212.35.117.95	IT
212.35.117.96	212.35.117.183	BE
212.35.117.184	212.35.117.195	GB
212.35.117.196	212.35.119.3	BE
212.35.119.4	212.35.119.7	GB
212.35.119.8	212.35.119.15	BE
212.35.119.16	212.35.119.23	FR
212.35.119.24	212.35.119.31	BE
212.35.119.32	212.35.119.39	FR
212.35.119.40	212.35.119.67	BE
212.35.119.68	212.35.119.71	GB
212.35.119.72	212.35.119.79	FR
212.35.119.80	212.35.119.83	GB
212.35.119.84	212.35.119.87	BE
212.35.119.88	212.35.119.95	GB
212.35.119.96	212.35.119.127	BE
212.35.119.128	212.35.119.131	GB
212.35.119.132	212.35.119.135	BE
212.35.119.136	212.35.119.143	GB
212.35.119.144	212.35.119.159	BE
212.35.119.160	212.35.119.163	GB
212.35.119.164	212.35.119.167	BE
212.35.119.168	212.35.119.175	GB
212.35.119.176	212.35.119.195	BE
212.35.119.196	212.35.119.199	GB
212.35.119.200	212.35.119.203	BE
212.35.119.204	212.35.119.207	GB
212.35.119.208	212.35.119.215	BE
212.35.119.216	212.35.119.219	GB
212.35.119.220	212.35.119.223	BE
212.35.119.224	212.35.119.227	GB
212.35.119.228	212.35.119.231	BE
212.35.119.232	212.35.119.235	GB
212.35.119.236	212.35.120.47	BE
212.35.120.48	212.35.120.63	GB
212.35.120.64	212.35.120.151	BE
212.35.120.152	212.35.120.175	GB
212.35.120.176	212.35.120.255	BE
212.35.121.0	212.35.122.255	GB
212.35.123.0	212.35.123.15	BE
212.35.123.16	212.35.123.23	GB
212.35.123.24	212.35.123.127	BE
212.35.123.128	212.35.123.191	GB
212.35.123.192	212.35.123.223	BE
212.35.123.224	212.35.124.7	GB
212.35.124.8	212.35.124.143	BE
212.35.124.144	212.35.124.159	GB
212.35.124.160	212.35.124.191	BE
212.35.124.192	212.35.124.255	GB
212.35.125.0	212.35.125.39	BE
212.35.125.40	212.35.125.71	GB
212.35.125.72	212.35.125.79	BE
212.35.125.80	212.35.125.95	GB
212.35.125.96	212.35.126.63	BE
212.35.126.64	212.35.126.79	GB
212.35.126.80	212.35.126.111	BE
212.35.126.112	212.35.126.119	GB
212.35.126.120	212.35.126.239	BE
212.35.126.240	212.35.126.255	GB
212.35.127.0	212.35.127.19	BE
212.35.127.20	212.35.127.31	GB
212.35.127.32	212.35.127.59	BE
212.35.127.60	212.35.127.63	GB
212.35.127.64	212.35.127.151	BE
212.35.127.152	212.35.127.159	NL
212.35.127.160	212.35.127.183	BE
212.35.127.184	212.35.127.191	GB
212.35.127.192	212.35.127.255	BE
212.35.128.0	212.35.154.255	RO
212.35.155.0	212.35.155.255	GB
212.35.156.0	212.35.159.255	RO
212.35.160.0	212.35.191.255	UA
212.35.192.0	212.35.223.255	IT
212.35.224.0	212.35.255.255	GB
212.36.0.0	212.36.31.255	BG
212.36.32.0	212.36.63.255	GB
212.36.64.0	212.36.95.255	ES
212.36.96.0	212.36.127.255	GB
212.36.128.0	212.36.128.31	FR
212.36.128.32	212.36.128.63	GB
212.36.128.64	212.36.128.127	SE
212.36.128.128	212.36.128.191	GB
212.36.128.192	212.36.128.223	BE
212.36.128.224	212.36.135.255	GB
212.36.136.0	212.36.136.31	FR
212.36.136.32	212.36.136.95	GB
212.36.136.96	212.36.136.127	NL
212.36.136.128	212.36.136.183	GB
212.36.136.184	212.36.136.191	SE
212.36.136.192	212.36.136.247	GB
212.36.136.248	212.36.136.255	IT
212.36.137.0	212.36.145.127	GB
212.36.145.128	212.36.145.143	CH
212.36.145.144	212.36.155.255	GB
212.36.156.0	212.36.156.31	CH
212.36.156.32	212.36.178.47	GB
212.36.178.48	212.36.178.55	IT
212.36.178.56	212.36.178.87	GB
212.36.178.88	212.36.178.95	DE
212.36.178.96	212.36.178.111	GB
212.36.178.112	212.36.178.119	DE
212.36.178.120	212.36.178.127	GB
212.36.178.128	212.36.178.135	DK
212.36.178.136	212.36.178.143	GB
212.36.178.144	212.36.178.151	NO
212.36.178.152	212.36.179.31	GB
212.36.179.32	212.36.179.39	IT
212.36.179.40	212.36.179.63	GB
212.36.179.64	212.36.179.71	DE
212.36.179.72	212.36.179.159	GB
212.36.179.160	212.36.179.183	FR
212.36.179.184	212.36.179.215	GB
212.36.179.216	212.36.179.223	DE
212.36.179.224	212.36.179.231	FR
212.36.179.232	212.36.179.239	GB
212.36.179.240	212.36.179.255	FR
212.36.180.0	212.36.187.255	GB
212.36.188.0	212.36.188.255	DE
212.36.189.0	212.36.189.255	GB
212.36.190.0	212.36.191.255	DE
212.36.192.0	212.36.223.255	LB
212.36.224.0	212.36.255.255	RU
212.37.0.0	212.37.31.255	SE
212.37.32.0	212.37.63.255	DE
212.37.64.0	212.37.95.255	GR
212.37.96.0	212.37.127.255	SE
212.37.128.0	212.37.159.255	DK
212.37.160.0	212.37.191.255	DE
212.37.192.0	212.37.223.255	FR
212.37.224.0	212.37.255.255	NO
212.38.0.0	212.38.31.255	DE
212.38.32.0	212.38.63.255	IT
212.38.64.0	212.38.95.255	GB
212.38.96.0	212.38.96.159	RU
212.38.96.160	212.38.96.175	UA
212.38.96.176	212.38.109.111	RU
212.38.109.112	212.38.109.127	UA
212.38.109.128	212.38.109.143	AZ
212.38.109.144	212.38.111.255	RU
212.38.112.0	212.38.115.255	AZ
212.38.116.0	212.38.127.255	RU
212.38.128.0	212.38.159.255	JO
212.38.160.0	212.38.191.255	GB
212.38.192.0	212.38.223.255	PL
212.38.224.0	212.38.255.255	FI
212.39.0.0	212.39.31.255	IT
212.39.32.0	212.39.41.255	SE
212.39.42.0	212.39.42.255	US
212.39.43.0	212.39.63.255	SE
212.39.64.0	212.39.95.255	BG
212.39.96.0	212.39.127.255	BA
212.39.128.0	212.39.159.255	FR
212.39.160.0	212.39.191.255	GB
212.39.192.0	212.39.223.255	AT
212.39.224.0	212.39.255.255	GB
212.40.0.0	212.40.31.255	CH
212.40.32.0	212.40.63.255	UA
212.40.64.0	212.40.127.255	HU
212.40.128.0	212.40.159.255	LB
212.40.160.0	212.40.191.255	DE
212.40.192.0	212.40.223.255	RU
212.40.224.0	212.40.255.255	ES
212.41.0.0	212.41.63.255	RU
212.41.64.0	212.41.127.255	CH
212.41.128.0	212.41.132.31	NL
212.41.132.32	212.41.132.63	DE
212.41.132.64	212.41.132.127	NL
212.41.132.128	212.41.132.159	ES
212.41.132.160	212.41.132.191	NL
212.41.132.192	212.41.132.223	ES
212.41.132.224	212.41.132.231	CH
212.41.132.232	212.41.132.239	BE
212.41.132.240	212.41.134.63	NL
212.41.134.64	212.41.134.127	ES
212.41.134.128	212.41.134.255	NL
212.41.135.0	212.41.135.31	ES
212.41.135.32	212.41.135.111	NL
212.41.135.112	212.41.135.127	ES
212.41.135.128	212.41.136.63	NL
212.41.136.64	212.41.136.127	ES
212.41.136.128	212.41.136.255	NL
212.41.137.0	212.41.137.31	ES
212.41.137.32	212.41.137.63	GB
212.41.137.64	212.41.137.127	ES
212.41.137.128	212.41.137.163	NL
212.41.137.164	212.41.137.167	ES
212.41.137.168	212.41.137.173	NL
212.41.137.174	212.41.137.191	ES
212.41.137.192	212.41.142.31	NL
212.41.142.32	212.41.142.47	ES
212.41.142.48	212.41.142.127	NL
212.41.142.128	212.41.142.159	ES
212.41.142.160	212.41.142.191	GB
212.41.142.192	212.41.142.229	NL
212.41.142.230	212.41.142.239	ES
212.41.142.240	212.41.159.255	NL
212.41.160.0	212.41.191.255	GB
212.41.192.0	212.41.223.255	CH
212.41.224.0	212.41.255.255	AT
212.42.0.0	212.42.31.255	GB
212.42.32.0	212.42.63.255	RU
212.42.64.0	212.42.95.255	UA
212.42.96.0	212.42.127.255	KG
212.42.128.0	212.42.159.255	CH
212.42.160.0	212.42.191.255	GB
212.42.192.0	212.42.223.255	AM
212.42.224.0	212.42.249.223	DE
212.42.249.224	212.42.249.255	US
212.42.250.0	212.42.255.255	DE
212.43.0.0	212.43.31.255	KW
212.43.32.0	212.43.63.255	BG
212.43.64.0	212.43.95.255	DE
212.43.96.0	212.43.127.255	IT
212.43.128.0	212.43.159.255	CH
212.43.160.0	212.43.191.255	GB
212.43.192.0	212.43.255.255	FR
212.44.0.0	212.44.63.255	GB
212.44.64.0	212.44.95.255	RU
212.44.96.0	212.44.127.255	SI
212.44.128.0	212.44.159.255	RU
212.44.160.0	212.44.192.127	DE
212.44.192.128	212.44.192.191	RU
212.44.192.192	212.44.193.255	DE
212.44.194.0	212.44.195.255	UA
212.44.196.0	212.44.196.127	IR
212.44.196.128	212.44.196.255	DE
212.44.197.0	212.44.197.255	IR
212.44.198.0	212.44.222.255	DE
212.44.223.0	212.44.223.255	IR
212.44.224.0	212.44.255.255	FR
212.45.0.0	212.45.31.255	RU
212.45.32.0	212.45.63.255	NL
212.45.64.0	212.45.95.255	BG
212.45.96.0	212.45.103.255	IT
212.45.104.0	212.45.111.255	DE
212.45.112.0	212.45.127.255	DK
212.45.128.0	212.45.159.255	IT
212.45.160.0	212.45.191.255	NO
212.45.192.0	212.45.223.255	CH
212.45.224.0	212.46.31.255	RU
212.46.32.0	212.46.63.255	SA
212.46.64.0	212.46.95.255	IT
212.46.96.0	212.46.127.255	DE
212.46.128.0	212.46.159.255	GB
212.46.160.0	212.46.191.255	IT
212.46.192.0	212.46.255.255	RU
212.47.0.0	212.47.31.255	CZ
212.47.32.0	212.47.63.255	IT
212.47.64.0	212.47.95.255	GB
212.47.96.0	212.47.109.63	LT
212.47.109.64	212.47.109.79	CH
212.47.109.80	212.47.127.255	LT
212.47.128.0	212.47.159.255	AZ
212.47.160.0	212.47.191.255	CH
212.47.192.0	212.47.192.255	UA
212.47.193.0	212.47.193.3	EE
212.47.193.4	212.47.193.95	UA
212.47.193.96	212.47.193.127	EE
212.47.193.128	212.47.194.255	UA
212.47.195.0	212.47.195.3	EE
212.47.195.4	212.47.195.31	RU
212.47.195.32	212.47.195.47	UA
212.47.195.48	212.47.195.51	RU
212.47.195.52	212.47.195.55	UA
212.47.195.56	212.47.195.87	RU
212.47.195.88	212.47.196.115	UA
212.47.196.116	212.47.196.119	EE
212.47.196.120	212.47.197.7	UA
212.47.197.8	212.47.197.16	EE
212.47.197.17	212.47.197.23	UA
212.47.197.24	212.47.197.31	EE
212.47.197.32	212.47.197.55	UA
212.47.197.56	212.47.197.63	EE
212.47.197.64	212.47.197.67	UA
212.47.197.68	212.47.197.71	EE
212.47.197.72	212.47.197.76	UA
212.47.197.77	212.47.197.77	EE
212.47.197.78	212.47.197.78	UA
212.47.197.79	212.47.197.79	EE
212.47.197.80	212.47.197.87	UA
212.47.197.88	212.47.197.95	EE
212.47.197.96	212.47.197.103	UA
212.47.197.104	212.47.197.107	EE
212.47.197.108	212.47.197.195	UA
212.47.197.196	212.47.197.208	EE
212.47.197.209	212.47.198.255	UA
212.47.199.0	212.47.199.23	EE
212.47.199.24	212.47.199.31	DE
212.47.199.32	212.47.199.47	SE
212.47.199.48	212.47.199.55	PL
212.47.199.56	212.47.199.63	GB
212.47.199.64	212.47.199.79	RU
212.47.199.80	212.47.199.255	UA
212.47.200.0	212.47.203.59	EE
212.47.203.60	212.47.203.63	UA
212.47.203.64	212.47.203.79	EE
212.47.203.80	212.47.203.95	UA
212.47.203.96	212.47.203.103	EE
212.47.203.104	212.47.203.119	UA
212.47.203.120	212.47.203.127	EE
212.47.203.128	212.47.203.223	UA
212.47.203.224	212.47.203.235	EE
212.47.203.236	212.47.203.239	UA
212.47.203.240	212.47.203.255	EE
212.47.204.0	212.47.205.159	UA
212.47.205.160	212.47.205.167	EE
212.47.205.168	212.47.206.255	UA
212.47.207.0	212.47.207.255	EE
212.47.208.0	212.47.209.255	UA
212.47.210.0	212.47.211.23	EE
212.47.211.24	212.47.211.255	UA
212.47.212.0	212.47.212.63	EE
212.47.212.64	212.47.213.95	UA
212.47.213.96	212.47.213.127	EE
212.47.213.128	212.47.214.251	UA
212.47.214.252	212.47.215.7	EE
212.47.215.8	212.47.215.31	UA
212.47.215.32	212.47.215.115	EE
212.47.215.116	212.47.215.119	DE
212.47.215.120	212.47.215.127	UA
212.47.215.128	212.47.215.131	EE
212.47.215.132	212.47.215.135	UA
212.47.215.136	212.47.215.223	EE
212.47.215.224	212.47.215.231	UA
212.47.215.232	212.47.216.17	EE
212.47.216.18	212.47.216.19	UA
212.47.216.20	212.47.216.27	EE
212.47.216.28	212.47.216.255	UA
212.47.217.0	212.47.217.87	EE
212.47.217.88	212.47.217.95	UA
212.47.217.96	212.47.218.159	EE
212.47.218.160	212.47.218.191	UA
212.47.218.192	212.47.219.209	EE
212.47.219.210	212.47.219.215	UA
212.47.219.216	212.47.221.223	EE
212.47.221.224	212.47.221.255	UA
212.47.222.0	212.47.222.159	EE
212.47.222.160	212.47.222.255	UA
212.47.223.0	212.47.223.255	EE
212.47.224.0	212.47.255.255	FR
212.48.0.0	212.48.31.255	IT
212.48.32.0	212.48.63.255	RU
212.48.64.0	212.48.95.255	IL
212.48.96.0	212.48.116.255	DE
212.48.117.0	212.48.117.255	US
212.48.118.0	212.48.127.255	DE
212.48.128.0	212.48.159.255	RU
212.48.160.0	212.48.160.63	IT
212.48.160.64	212.48.160.71	NL
212.48.160.72	212.48.164.63	IT
212.48.164.64	212.48.164.95	NL
212.48.164.96	212.48.189.255	IT
212.48.190.0	212.48.190.255	HU
212.48.191.0	212.48.191.255	IT
212.48.192.0	212.48.255.255	RU
212.49.0.0	212.49.31.255	EE
212.49.32.0	212.49.63.255	PL
212.49.64.0	212.49.95.255	KE
212.49.96.0	212.49.127.255	RU
212.49.128.0	212.49.191.255	ES
212.49.192.0	212.49.255.255	GB
212.50.0.0	212.50.31.255	BG
212.50.32.0	212.50.63.255	TR
212.50.64.0	212.50.95.255	BG
212.50.96.0	212.50.127.255	CY
212.50.128.0	212.50.159.255	FI
212.50.160.0	212.50.191.255	GB
212.50.192.0	212.50.223.255	FI
212.50.224.0	212.50.255.255	IR
212.51.0.0	212.51.31.255	DE
212.51.32.0	212.51.63.255	ES
212.51.64.0	212.51.127.255	HU
212.51.128.0	212.51.159.255	CH
212.51.160.0	212.51.191.255	FR
212.51.192.0	212.51.223.255	PL
212.51.224.0	212.51.255.255	AT
212.52.0.0	212.52.31.255	NL
212.52.32.0	212.52.63.255	LT
212.52.64.0	212.52.127.255	IT
212.52.128.0	212.52.159.255	BF
212.52.160.0	212.52.191.255	HU
212.52.192.0	212.52.223.255	AT
212.52.224.0	212.52.255.255	DE
212.53.0.0	212.53.15.255	BE
212.53.16.0	212.53.31.255	NL
212.53.32.0	212.53.39.255	RU
212.53.40.0	212.53.40.255	CZ
212.53.41.0	212.53.63.255	RU
212.53.64.0	212.53.95.255	GB
212.53.96.0	212.53.127.255	CH
212.53.128.0	212.53.255.255	DE
212.54.0.0	212.54.31.255	FI
212.54.32.0	212.54.63.255	NL
212.54.64.0	212.54.95.255	DK
212.54.96.0	212.54.127.255	RO
212.54.160.0	212.54.191.255	GB
212.54.192.0	212.54.223.255	GR
212.54.224.0	212.54.226.95	CH
212.54.226.96	212.54.226.103	IT
212.54.226.104	212.54.226.111	CH
212.54.226.112	212.54.226.127	IT
212.54.226.128	212.54.255.255	CH
212.55.0.0	212.55.31.255	ES
212.55.32.0	212.55.50.31	FO
212.55.50.32	212.55.50.39	DK
212.55.50.40	212.55.63.255	FO
212.55.64.0	212.55.127.255	RU
212.55.128.0	212.55.191.255	PT
212.55.192.0	212.55.223.255	CH
212.55.224.0	212.55.255.255	SK
212.56.0.0	212.56.31.255	BG
212.56.32.0	212.56.38.255	GB
212.56.39.0	212.56.39.255	US
212.56.40.0	212.56.127.255	GB
212.56.128.0	212.56.159.255	MT
212.56.160.0	212.56.191.255	IT
212.56.192.0	212.56.223.255	MD
212.56.224.0	212.56.239.255	LU
212.56.240.0	212.56.240.255	EU
212.56.241.0	212.56.255.255	LU
212.57.0.0	212.57.31.255	TR
212.57.32.0	212.57.39.255	SK
212.57.40.0	212.57.47.255	RS
212.57.48.0	212.57.63.255	NL
212.57.64.0	212.57.95.255	PT
212.57.96.0	212.57.191.255	RU
212.57.192.0	212.57.223.255	SA
212.57.224.0	212.57.255.255	GB
212.58.0.0	212.58.31.255	TR
212.58.32.0	212.58.63.255	GB
212.58.64.0	212.58.95.255	DE
212.58.96.0	212.58.127.255	GE
212.58.128.0	212.58.159.255	GB
212.58.160.0	212.58.191.255	UA
212.58.192.0	212.58.223.255	RU
212.58.224.0	212.58.239.143	GB
212.58.239.144	212.58.239.151	NL
212.58.239.152	212.58.255.255	GB
212.59.0.0	212.59.31.255	LT
212.59.32.0	212.59.63.255	DE
212.59.64.0	212.59.95.255	GB
212.59.96.0	212.59.127.255	RU
212.59.128.0	212.59.191.255	CH
212.59.192.0	212.59.223.255	ES
212.59.224.0	212.59.255.255	PL
212.60.0.0	212.60.31.255	DE
212.60.32.0	212.60.63.255	CH
212.60.64.0	212.60.95.255	GM
212.60.96.0	212.60.127.255	DK
212.60.128.0	212.60.158.223	DE
212.60.158.224	212.60.158.231	GB
212.60.158.232	212.60.159.255	DE
212.60.160.0	212.60.191.255	AT
212.60.192.0	212.60.255.255	DE
212.61.0.0	212.61.252.255	NL
212.61.253.0	212.61.253.255	GB
212.61.254.0	212.61.255.23	NL
212.61.255.24	212.61.255.31	BE
212.61.255.32	212.61.255.255	NL
212.62.0.0	212.62.31.255	GB
212.62.32.0	212.62.63.255	RS
212.62.64.0	212.62.64.255	DE
212.62.65.0	212.62.65.63	NL
212.62.65.64	212.62.77.175	DE
212.62.77.176	212.62.77.183	TH
212.62.77.184	212.62.77.223	DE
212.62.77.224	212.62.77.231	GB
212.62.77.232	212.62.95.255	DE
212.62.96.0	212.62.127.255	SA
212.62.128.0	212.62.191.255	FR
212.62.192.0	212.62.223.255	DE
212.62.224.0	212.62.255.255	NO
212.63.0.0	212.63.31.255	FI
212.63.32.0	212.63.69.159	DE
212.63.69.160	212.63.69.167	CH
212.63.69.168	212.63.80.7	DE
212.63.80.8	212.63.80.15	CH
212.63.80.16	212.63.95.255	DE
212.63.96.0	212.63.127.255	ES
212.63.128.0	212.63.160.3	DE
212.63.160.4	212.63.160.7	AT
212.63.160.8	212.63.160.15	DE
212.63.160.16	212.63.160.19	PT
212.63.160.20	212.63.160.23	IT
212.63.160.24	212.63.160.35	DE
212.63.160.36	212.63.160.39	ES
212.63.160.40	212.63.160.47	DE
212.63.160.48	212.63.160.51	NL
212.63.160.52	212.63.160.59	ES
212.63.160.60	212.63.160.63	BE
212.63.160.64	212.63.160.67	DE
212.63.160.68	212.63.160.71	BE
212.63.160.72	212.63.160.87	DE
212.63.160.88	212.63.160.91	IT
212.63.160.92	212.63.160.107	DE
212.63.160.108	212.63.160.111	CH
212.63.160.112	212.63.160.123	DE
212.63.160.124	212.63.160.127	BE
212.63.160.128	212.63.160.135	DE
212.63.160.136	212.63.160.139	CH
212.63.160.140	212.63.160.143	DE
212.63.160.144	212.63.160.147	DK
212.63.160.148	212.63.160.155	DE
212.63.160.156	212.63.160.159	PL
212.63.160.160	212.63.160.163	IT
212.63.160.164	212.63.160.167	AT
212.63.160.168	212.63.160.171	ES
212.63.160.172	212.63.160.175	FR
212.63.160.176	212.63.160.183	DE
212.63.160.184	212.63.160.187	ES
212.63.160.188	212.63.160.199	DE
212.63.160.200	212.63.160.207	GR
212.63.160.208	212.63.160.215	NL
212.63.160.216	212.63.160.231	FR
212.63.160.232	212.63.160.235	IT
212.63.160.236	212.63.160.239	DE
212.63.160.240	212.63.160.243	IT
212.63.160.244	212.63.160.247	DE
212.63.160.248	212.63.160.251	IE
212.63.160.252	212.63.160.255	CZ
212.63.161.0	212.63.161.3	BE
212.63.161.4	212.63.161.15	DE
212.63.161.16	212.63.161.19	FR
212.63.161.20	212.63.161.23	GB
212.63.161.24	212.63.161.27	DE
212.63.161.28	212.63.161.31	IT
212.63.161.32	212.63.161.35	FR
212.63.161.36	212.63.161.39	DE
212.63.161.40	212.63.161.43	CH
212.63.161.44	212.63.161.47	DE
212.63.161.48	212.63.161.51	LI
212.63.161.52	212.63.161.55	FR
212.63.161.56	212.63.161.63	DE
212.63.161.64	212.63.161.67	GB
212.63.161.68	212.63.161.71	ES
212.63.161.72	212.63.161.75	BE
212.63.161.76	212.63.161.79	ES
212.63.161.80	212.63.161.83	FR
212.63.161.84	212.63.161.87	HU
212.63.161.88	212.63.161.91	ES
212.63.161.92	212.63.161.99	DE
212.63.161.100	212.63.161.103	CH
212.63.161.104	212.63.161.111	DE
212.63.161.112	212.63.161.115	CH
212.63.161.116	212.63.161.119	DE
212.63.161.120	212.63.161.123	ES
212.63.161.124	212.63.161.127	GB
212.63.161.128	212.63.161.131	BR
212.63.161.132	212.63.161.135	NL
212.63.161.136	212.63.161.139	RE
212.63.161.140	212.63.161.143	ES
212.63.161.144	212.63.161.151	DE
212.63.161.152	212.63.161.155	NL
212.63.161.156	212.63.161.159	IT
212.63.161.160	212.63.161.163	DE
212.63.161.164	212.63.161.167	AT
212.63.161.168	212.63.161.175	FR
212.63.161.176	212.63.161.179	DE
212.63.161.180	212.63.161.183	AT
212.63.161.184	212.63.161.191	DE
212.63.161.192	212.63.161.195	ES
212.63.161.196	212.63.161.199	DE
212.63.161.200	212.63.161.207	BE
212.63.161.208	212.63.161.211	FR
212.63.161.212	212.63.161.215	ES
212.63.161.216	212.63.161.219	IT
212.63.161.220	212.63.161.223	DE
212.63.161.224	212.63.161.231	ES
212.63.161.232	212.63.161.239	DE
212.63.161.240	212.63.161.243	BE
212.63.161.244	212.63.161.247	GB
212.63.161.248	212.63.161.251	GR
212.63.161.252	212.63.162.11	DE
212.63.162.12	212.63.162.15	GB
212.63.162.16	212.63.162.19	ES
212.63.162.20	212.63.162.23	BE
212.63.162.24	212.63.162.27	NL
212.63.162.28	212.63.162.31	LU
212.63.162.32	212.63.162.35	CH
212.63.162.36	212.63.162.39	FR
212.63.162.40	212.63.162.43	DE
212.63.162.44	212.63.162.47	ES
212.63.162.48	212.63.162.55	DE
212.63.162.56	212.63.162.59	IT
212.63.162.60	212.63.162.63	CH
212.63.162.64	212.63.162.67	IT
212.63.162.68	212.63.162.71	FR
212.63.162.72	212.63.162.83	DE
212.63.162.84	212.63.162.87	FR
212.63.162.88	212.63.162.91	GB
212.63.162.92	212.63.162.95	DE
212.63.162.96	212.63.162.103	IT
212.63.162.104	212.63.162.107	AT
212.63.162.108	212.63.162.111	HU
212.63.162.112	212.63.162.115	DE
212.63.162.116	212.63.162.119	IT
212.63.162.120	212.63.162.123	FR
212.63.162.124	212.63.162.127	ES
212.63.162.128	212.63.162.131	IT
212.63.162.132	212.63.162.139	FR
212.63.162.140	212.63.162.143	DE
212.63.162.144	212.63.162.147	FR
212.63.162.148	212.63.162.151	BE
212.63.162.152	212.63.162.155	FR
212.63.162.156	212.63.162.159	IT
212.63.162.160	212.63.162.163	AT
212.63.162.164	212.63.162.167	DE
212.63.162.168	212.63.162.171	CY
212.63.162.172	212.63.162.175	DE
212.63.162.176	212.63.162.179	ES
212.63.162.180	212.63.162.183	FR
212.63.162.184	212.63.162.187	IE
212.63.162.188	212.63.162.195	DE
212.63.162.196	212.63.162.199	CH
212.63.162.200	212.63.162.203	IT
212.63.162.204	212.63.162.207	DE
212.63.162.208	212.63.162.211	PT
212.63.162.212	212.63.162.215	GB
212.63.162.216	212.63.162.219	DE
212.63.162.220	212.63.162.223	CH
212.63.162.224	212.63.162.231	DE
212.63.162.232	212.63.162.235	AT
212.63.162.236	212.63.162.243	GB
212.63.162.244	212.63.162.247	FR
212.63.162.248	212.63.162.251	AT
212.63.162.252	212.63.162.255	DE
212.63.163.0	212.63.163.3	FR
212.63.163.4	212.63.163.19	DE
212.63.163.20	212.63.163.23	BE
212.63.163.24	212.63.163.39	DE
212.63.163.40	212.63.163.43	ES
212.63.163.44	212.63.163.51	DE
212.63.163.52	212.63.163.55	CH
212.63.163.56	212.63.163.59	NL
212.63.163.60	212.63.163.79	DE
212.63.163.80	212.63.163.83	FR
212.63.163.84	212.63.163.91	CH
212.63.163.92	212.63.163.99	DE
212.63.163.100	212.63.163.103	ES
212.63.163.104	212.63.163.107	DE
212.63.163.108	212.63.163.111	IL
212.63.163.112	212.63.163.115	CH
212.63.163.116	212.63.163.119	DE
212.63.163.120	212.63.163.123	IT
212.63.163.124	212.63.163.131	DE
212.63.163.132	212.63.163.135	GR
212.63.163.136	212.63.163.143	DE
212.63.163.144	212.63.163.147	FR
212.63.163.148	212.63.163.151	DE
212.63.163.152	212.63.163.155	BE
212.63.163.156	212.63.163.159	SL
212.63.163.160	212.63.163.163	DE
212.63.163.164	212.63.163.167	NL
212.63.163.168	212.63.163.171	DE
212.63.163.172	212.63.163.175	HU
212.63.163.176	212.63.163.179	CY
212.63.163.180	212.63.163.183	DE
212.63.163.184	212.63.163.187	FR
212.63.163.188	212.63.163.191	CH
212.63.163.192	212.63.163.199	ES
212.63.163.200	212.63.163.203	CZ
212.63.163.204	212.63.163.207	ES
212.63.163.208	212.63.163.211	IT
212.63.163.212	212.63.163.215	DE
212.63.163.216	212.63.163.219	GB
212.63.163.220	212.63.163.223	IT
212.63.163.224	212.63.163.235	DE
212.63.163.236	212.63.163.239	FR
212.63.163.240	212.63.163.243	DE
212.63.163.244	212.63.163.247	FR
212.63.163.248	212.63.163.251	HU
212.63.163.252	212.63.163.255	IT
212.63.164.0	212.63.164.3	DE
212.63.164.4	212.63.164.7	IE
212.63.164.8	212.63.164.19	DE
212.63.164.20	212.63.164.23	GB
212.63.164.24	212.63.164.27	DE
212.63.164.28	212.63.164.31	DK
212.63.164.32	212.63.164.35	ES
212.63.164.36	212.63.164.39	IT
212.63.164.40	212.63.164.43	FR
212.63.164.44	212.63.164.47	IT
212.63.164.48	212.63.164.51	GR
212.63.164.52	212.63.164.55	CH
212.63.164.56	212.63.164.59	MA
212.63.164.60	212.63.164.63	GB
212.63.164.64	212.63.164.67	FR
212.63.164.68	212.63.164.71	CH
212.63.164.72	212.63.164.75	DE
212.63.164.76	212.63.164.79	AT
212.63.164.80	212.63.164.83	SM
212.63.164.84	212.63.164.87	PL
212.63.164.88	212.63.164.91	AT
212.63.164.92	212.63.164.95	DE
212.63.164.96	212.63.164.103	GB
212.63.164.104	212.63.164.111	DE
212.63.164.112	212.63.164.119	IT
212.63.164.120	212.63.164.139	DE
212.63.164.140	212.63.164.143	DK
212.63.164.144	212.63.164.147	IT
212.63.164.148	212.63.164.151	NO
212.63.164.152	212.63.164.155	FR
212.63.164.156	212.63.164.159	GB
212.63.164.160	212.63.164.163	ES
212.63.164.164	212.63.164.167	BE
212.63.164.168	212.63.164.171	DE
212.63.164.172	212.63.164.175	ES
212.63.164.176	212.63.164.179	PL
212.63.164.180	212.63.164.183	DE
212.63.164.184	212.63.164.187	FR
212.63.164.188	212.63.164.191	DE
212.63.164.192	212.63.164.195	DK
212.63.164.196	212.63.164.199	IT
212.63.164.200	212.63.164.207	DE
212.63.164.208	212.63.164.211	IE
212.63.164.212	212.63.164.219	FR
212.63.164.220	212.63.164.223	CH
212.63.164.224	212.63.164.235	DE
212.63.164.236	212.63.164.239	IT
212.63.164.240	212.63.164.243	NL
212.63.164.244	212.63.164.247	GB
212.63.164.248	212.63.164.255	ES
212.63.165.0	212.63.165.3	DE
212.63.165.4	212.63.165.7	GB
212.63.165.8	212.63.165.11	IT
212.63.165.12	212.63.165.15	DE
212.63.165.16	212.63.165.19	FR
212.63.165.20	212.63.165.23	NL
212.63.165.24	212.63.165.27	IT
212.63.165.28	212.63.165.31	ES
212.63.165.32	212.63.165.39	DE
212.63.165.40	212.63.165.43	IT
212.63.165.44	212.63.165.51	ES
212.63.165.52	212.63.165.59	DE
212.63.165.60	212.63.165.63	PT
212.63.165.64	212.63.165.67	IT
212.63.165.68	212.63.165.75	DE
212.63.165.76	212.63.165.79	FR
212.63.165.80	212.63.165.83	IT
212.63.165.84	212.63.165.87	NL
212.63.165.88	212.63.165.91	LU
212.63.165.92	212.63.165.95	ES
212.63.165.96	212.63.165.99	DE
212.63.165.100	212.63.165.103	NL
212.63.165.104	212.63.165.107	DE
212.63.165.108	212.63.165.115	GB
212.63.165.116	212.63.165.123	DE
212.63.165.124	212.63.165.127	ES
212.63.165.128	212.63.165.131	GR
212.63.165.132	212.63.165.135	CH
212.63.165.136	212.63.165.139	IT
212.63.165.140	212.63.165.151	DE
212.63.165.152	212.63.165.155	AT
212.63.165.156	212.63.165.163	NL
212.63.165.164	212.63.165.167	DE
212.63.165.168	212.63.165.171	NL
212.63.165.172	212.63.165.175	DE
212.63.165.176	212.63.165.179	FR
212.63.165.180	212.63.165.183	LU
212.63.165.184	212.63.165.187	IT
212.63.165.188	212.63.165.195	DE
212.63.165.196	212.63.165.199	DK
212.63.165.200	212.63.165.203	ES
212.63.165.204	212.63.165.207	PL
212.63.165.208	212.63.165.211	DE
212.63.165.212	212.63.165.215	FR
212.63.165.216	212.63.165.219	DE
212.63.165.220	212.63.165.223	IT
212.63.165.224	212.63.165.227	FR
212.63.165.228	212.63.165.231	CH
212.63.165.232	212.63.165.235	FR
212.63.165.236	212.63.165.239	DE
212.63.165.240	212.63.165.243	FR
212.63.165.244	212.63.165.247	DE
212.63.165.248	212.63.165.251	GR
212.63.165.252	212.63.166.3	FR
212.63.166.4	212.63.166.7	GB
212.63.166.8	212.63.166.15	FR
212.63.166.16	212.63.166.19	NL
212.63.166.20	212.63.166.23	GB
212.63.166.24	212.63.166.27	BE
212.63.166.28	212.63.166.31	IT
212.63.166.32	212.63.166.35	DE
212.63.166.36	212.63.166.39	BE
212.63.166.40	212.63.166.43	AT
212.63.166.44	212.63.166.47	IT
212.63.166.48	212.63.166.51	FR
212.63.166.52	212.63.166.63	DE
212.63.166.64	212.63.166.67	BE
212.63.166.68	212.63.166.71	FR
212.63.166.72	212.63.166.75	DE
212.63.166.76	212.63.166.79	GB
212.63.166.80	212.63.166.83	ES
212.63.166.84	212.63.166.91	DE
212.63.166.92	212.63.166.95	IT
212.63.166.96	212.63.166.99	DK
212.63.166.100	212.63.166.103	ES
212.63.166.104	212.63.166.107	IT
212.63.166.108	212.63.166.111	DE
212.63.166.112	212.63.166.115	NL
212.63.166.116	212.63.166.119	DE
212.63.166.120	212.63.166.123	ES
212.63.166.124	212.63.166.127	GB
212.63.166.128	212.63.166.131	IT
212.63.166.132	212.63.166.135	ES
212.63.166.136	212.63.166.139	CH
212.63.166.140	212.63.166.143	FR
212.63.166.144	212.63.166.147	DE
212.63.166.148	212.63.166.151	IT
212.63.166.152	212.63.166.155	MA
212.63.166.156	212.63.166.159	DE
212.63.166.160	212.63.166.163	NL
212.63.166.164	212.63.166.167	GB
212.63.166.168	212.63.166.171	DE
212.63.166.172	212.63.166.175	SE
212.63.166.176	212.63.166.179	FR
212.63.166.180	212.63.166.187	DE
212.63.166.188	212.63.166.195	IT
212.63.166.196	212.63.166.199	FR
212.63.166.200	212.63.166.203	AT
212.63.166.204	212.63.166.207	GB
212.63.166.208	212.63.166.215	ES
212.63.166.216	212.63.166.219	DK
212.63.166.220	212.63.166.223	GR
212.63.166.224	212.63.166.227	NL
212.63.166.228	212.63.166.231	DE
212.63.166.232	212.63.166.235	ES
212.63.166.236	212.63.166.239	DE
212.63.166.240	212.63.166.247	IT
212.63.166.248	212.63.166.251	FR
212.63.166.252	212.63.167.3	DE
212.63.167.4	212.63.167.7	SE
212.63.167.8	212.63.167.11	ES
212.63.167.12	212.63.167.19	IT
212.63.167.20	212.63.167.23	PT
212.63.167.24	212.63.167.27	BE
212.63.167.28	212.63.167.31	GB
212.63.167.32	212.63.167.35	FR
212.63.167.36	212.63.167.39	IE
212.63.167.40	212.63.167.43	NL
212.63.167.44	212.63.167.47	ES
212.63.167.48	212.63.167.55	DE
212.63.167.56	212.63.167.59	DK
212.63.167.60	212.63.167.67	DE
212.63.167.68	212.63.167.71	CH
212.63.167.72	212.63.167.75	IE
212.63.167.76	212.63.167.79	SE
212.63.167.80	212.63.167.83	DK
212.63.167.84	212.63.167.87	IS
212.63.167.88	212.63.167.95	DE
212.63.167.96	212.63.167.99	CH
212.63.167.100	212.63.167.103	IT
212.63.167.104	212.63.167.107	DE
212.63.167.108	212.63.167.111	FR
212.63.167.112	212.63.167.115	DE
212.63.167.116	212.63.167.119	FR
212.63.167.120	212.63.167.123	DE
212.63.167.124	212.63.167.127	IN
212.63.167.128	212.63.167.131	DE
212.63.167.132	212.63.167.135	ES
212.63.167.136	212.63.167.147	GB
212.63.167.148	212.63.167.155	DE
212.63.167.156	212.63.167.159	CH
212.63.167.160	212.63.167.163	BE
212.63.167.164	212.63.167.167	ES
212.63.167.168	212.63.167.171	DE
212.63.167.172	212.63.167.175	ES
212.63.167.176	212.63.167.179	DE
212.63.167.180	212.63.167.183	GB
212.63.167.184	212.63.167.187	FR
212.63.167.188	212.63.167.191	ES
212.63.167.192	212.63.167.195	DE
212.63.167.196	212.63.167.199	IT
212.63.167.200	212.63.167.203	AT
212.63.167.204	212.63.167.207	SE
212.63.167.208	212.63.167.211	NO
212.63.167.212	212.63.167.223	DE
212.63.167.224	212.63.167.227	DK
212.63.167.228	212.63.167.231	FR
212.63.167.232	212.63.167.235	GB
212.63.167.236	212.63.167.239	DE
212.63.167.240	212.63.167.243	IT
212.63.167.244	212.63.167.247	DE
212.63.167.248	212.63.167.251	GB
212.63.167.252	212.63.167.255	GR
212.63.168.0	212.63.168.19	DE
212.63.168.20	212.63.168.23	ES
212.63.168.24	212.63.168.31	DE
212.63.168.32	212.63.168.35	FR
212.63.168.36	212.63.168.39	CH
212.63.168.40	212.63.168.43	GB
212.63.168.44	212.63.168.55	DE
212.63.168.56	212.63.168.59	GB
212.63.168.60	212.63.168.63	ES
212.63.168.64	212.63.168.67	NL
212.63.168.68	212.63.168.71	BE
212.63.168.72	212.63.168.75	GB
212.63.168.76	212.63.168.79	BE
212.63.168.80	212.63.168.83	NO
212.63.168.84	212.63.168.87	DE
212.63.168.88	212.63.168.91	GB
212.63.168.92	212.63.168.95	NL
212.63.168.96	212.63.168.103	DE
212.63.168.104	212.63.168.111	FR
212.63.168.112	212.63.168.115	GB
212.63.168.116	212.63.168.119	IT
212.63.168.120	212.63.168.123	DE
212.63.168.124	212.63.168.127	IT
212.63.168.128	212.63.168.131	FR
212.63.168.132	212.63.168.135	GB
212.63.168.136	212.63.168.139	DE
212.63.168.140	212.63.168.143	CH
212.63.168.144	212.63.168.147	FR
212.63.168.148	212.63.168.155	DE
212.63.168.156	212.63.168.159	FR
212.63.168.160	212.63.168.167	DE
212.63.168.168	212.63.168.171	NL
212.63.168.172	212.63.168.175	NO
212.63.168.176	212.63.168.179	FR
212.63.168.180	212.63.168.183	ES
212.63.168.184	212.63.168.187	BE
212.63.168.188	212.63.168.203	DE
212.63.168.204	212.63.168.219	GB
212.63.168.220	212.63.168.223	DE
212.63.168.224	212.63.168.227	ES
212.63.168.228	212.63.168.231	FR
212.63.168.232	212.63.168.235	NL
212.63.168.236	212.63.168.239	ES
212.63.168.240	212.63.168.243	FR
212.63.168.244	212.63.168.247	NO
212.63.168.248	212.63.168.251	FR
212.63.168.252	212.63.168.255	NL
212.63.169.0	212.63.169.3	DE
212.63.169.4	212.63.169.7	ES
212.63.169.8	212.63.169.11	GB
212.63.169.12	212.63.169.19	DE
212.63.169.20	212.63.169.23	IT
212.63.169.24	212.63.169.27	BE
212.63.169.28	212.63.169.31	CH
212.63.169.32	212.63.169.35	BE
212.63.169.36	212.63.169.43	DE
212.63.169.44	212.63.169.47	AT
212.63.169.48	212.63.169.51	GB
212.63.169.52	212.63.169.55	NL
212.63.169.56	212.63.169.59	BG
212.63.169.60	212.63.169.63	DE
212.63.169.64	212.63.169.67	ES
212.63.169.68	212.63.169.71	IT
212.63.169.72	212.63.169.75	ES
212.63.169.76	212.63.169.79	DE
212.63.169.80	212.63.169.83	GB
212.63.169.84	212.63.169.87	DE
212.63.169.88	212.63.169.95	FR
212.63.169.96	212.63.169.107	DE
212.63.169.108	212.63.169.111	CH
212.63.169.112	212.63.169.123	DE
212.63.169.124	212.63.169.127	DK
212.63.169.128	212.63.169.131	IT
212.63.169.132	212.63.169.135	DE
212.63.169.136	212.63.169.139	LU
212.63.169.140	212.63.169.143	FR
212.63.169.144	212.63.169.147	DE
212.63.169.148	212.63.169.151	DK
212.63.169.152	212.63.169.155	IT
212.63.169.156	212.63.169.159	DE
212.63.169.160	212.63.169.163	NL
212.63.169.164	212.63.169.167	DE
212.63.169.168	212.63.169.171	GB
212.63.169.172	212.63.169.175	BE
212.63.169.176	212.63.169.179	FR
212.63.169.180	212.63.169.183	GB
212.63.169.184	212.63.169.187	IT
212.63.169.188	212.63.169.191	DE
212.63.169.192	212.63.169.195	NL
212.63.169.196	212.63.169.199	ES
212.63.169.200	212.63.169.203	CH
212.63.169.204	212.63.169.211	DE
212.63.169.212	212.63.169.215	GB
212.63.169.216	212.63.169.223	DE
212.63.169.224	212.63.169.227	IT
212.63.169.228	212.63.169.231	DE
212.63.169.232	212.63.169.235	IS
212.63.169.236	212.63.169.239	GB
212.63.169.240	212.63.169.243	ES
212.63.169.244	212.63.169.247	BE
212.63.169.248	212.63.170.3	DE
212.63.170.4	212.63.170.7	FR
212.63.170.8	212.63.170.15	DE
212.63.170.16	212.63.170.19	FR
212.63.170.20	212.63.170.23	DE
212.63.170.24	212.63.170.27	NL
212.63.170.28	212.63.170.35	DE
212.63.170.36	212.63.170.39	HU
212.63.170.40	212.63.170.43	AT
212.63.170.44	212.63.170.47	BE
212.63.170.48	212.63.170.51	DE
212.63.170.52	212.63.170.55	ES
212.63.170.56	212.63.170.63	DE
212.63.170.64	212.63.170.67	GB
212.63.170.68	212.63.170.71	DE
212.63.170.72	212.63.170.75	IT
212.63.170.76	212.63.170.79	ES
212.63.170.80	212.63.170.83	DE
212.63.170.84	212.63.170.91	ES
212.63.170.92	212.63.170.95	SE
212.63.170.96	212.63.170.99	BE
212.63.170.100	212.63.170.103	ES
212.63.170.104	212.63.170.111	DE
212.63.170.112	212.63.170.115	HU
212.63.170.116	212.63.170.119	ES
212.63.170.120	212.63.170.123	FR
212.63.170.124	212.63.170.127	AT
212.63.170.128	212.63.170.131	DE
212.63.170.132	212.63.170.139	IT
212.63.170.140	212.63.170.147	FR
212.63.170.148	212.63.170.151	IT
212.63.170.152	212.63.170.163	DE
212.63.170.164	212.63.170.167	IT
212.63.170.168	212.63.170.171	TR
212.63.170.172	212.63.170.175	GB
212.63.170.176	212.63.170.179	DE
212.63.170.180	212.63.170.183	ES
212.63.170.184	212.63.170.187	NL
212.63.170.188	212.63.170.191	DE
212.63.170.192	212.63.170.195	PL
212.63.170.196	212.63.170.199	IT
212.63.170.200	212.63.170.203	NL
212.63.170.204	212.63.170.207	DK
212.63.170.208	212.63.170.211	FR
212.63.170.212	212.63.170.215	BH
212.63.170.216	212.63.170.219	MA
212.63.170.220	212.63.170.227	DE
212.63.170.228	212.63.170.239	ES
212.63.170.240	212.63.170.243	DE
212.63.170.244	212.63.170.247	IT
212.63.170.248	212.63.171.3	PT
212.63.171.4	212.63.171.7	DE
212.63.171.8	212.63.171.11	FR
212.63.171.12	212.63.171.15	GR
212.63.171.16	212.63.171.19	ES
212.63.171.20	212.63.171.23	IT
212.63.171.24	212.63.171.27	AT
212.63.171.28	212.63.171.31	DE
212.63.171.32	212.63.171.39	FR
212.63.171.40	212.63.171.43	DE
212.63.171.44	212.63.171.47	GB
212.63.171.48	212.63.171.51	DE
212.63.171.52	212.63.171.55	IT
212.63.171.56	212.63.171.71	DE
212.63.171.72	212.63.171.75	GB
212.63.171.76	212.63.171.79	DE
212.63.171.80	212.63.171.83	IT
212.63.171.84	212.63.171.87	FR
212.63.171.88	212.63.171.91	NO
212.63.171.92	212.63.171.111	DE
212.63.171.112	212.63.171.119	CH
212.63.171.120	212.63.171.123	ES
212.63.171.124	212.63.171.127	RU
212.63.171.128	212.63.171.131	BE
212.63.171.132	212.63.171.135	ES
212.63.171.136	212.63.171.139	DE
212.63.171.140	212.63.171.143	CH
212.63.171.144	212.63.171.147	ES
212.63.171.148	212.63.171.151	HU
212.63.171.152	212.63.171.159	FR
212.63.171.160	212.63.171.163	ES
212.63.171.164	212.63.171.167	DE
212.63.171.168	212.63.171.175	ES
212.63.171.176	212.63.171.179	IT
212.63.171.180	212.63.171.187	DE
212.63.171.188	212.63.171.191	NL
212.63.171.192	212.63.171.199	DE
212.63.171.200	212.63.171.203	FR
212.63.171.204	212.63.171.207	DE
212.63.171.208	212.63.171.211	CH
212.63.171.212	212.63.171.215	DK
212.63.171.216	212.63.171.219	DE
212.63.171.220	212.63.171.223	FR
212.63.171.224	212.63.171.227	IT
212.63.171.228	212.63.171.231	ES
212.63.171.232	212.63.171.235	DE
212.63.171.236	212.63.171.243	FR
212.63.171.244	212.63.171.247	DE
212.63.171.248	212.63.171.251	GB
212.63.171.252	212.63.171.254	ES
212.63.171.255	212.63.172.7	DE
212.63.172.8	212.63.172.11	DK
212.63.172.12	212.63.172.27	DE
212.63.172.28	212.63.172.31	BE
212.63.172.32	212.63.172.35	IT
212.63.172.36	212.63.172.39	GB
212.63.172.40	212.63.172.43	FR
212.63.172.44	212.63.172.51	DE
212.63.172.52	212.63.172.55	FR
212.63.172.56	212.63.172.59	DE
212.63.172.60	212.63.172.63	GR
212.63.172.64	212.63.172.71	ES
212.63.172.72	212.63.172.75	NL
212.63.172.76	212.63.172.83	IT
212.63.172.84	212.63.172.87	BE
212.63.172.88	212.63.172.91	DE
212.63.172.92	212.63.172.95	BE
212.63.172.96	212.63.172.99	NL
212.63.172.100	212.63.172.103	LU
212.63.172.104	212.63.172.107	DE
212.63.172.108	212.63.172.111	ES
212.63.172.112	212.63.172.115	DE
212.63.172.116	212.63.172.119	IT
212.63.172.120	212.63.172.123	LU
212.63.172.124	212.63.172.127	BE
212.63.172.128	212.63.172.135	IT
212.63.172.136	212.63.172.139	GB
212.63.172.140	212.63.172.143	DE
212.63.172.144	212.63.172.147	CH
212.63.172.148	212.63.172.151	ES
212.63.172.152	212.63.172.159	GB
212.63.172.160	212.63.172.171	DE
212.63.172.172	212.63.172.175	FR
212.63.172.176	212.63.172.179	DE
212.63.172.180	212.63.172.183	ES
212.63.172.184	212.63.172.187	DE
212.63.172.188	212.63.172.191	CH
212.63.172.192	212.63.172.195	DE
212.63.172.196	212.63.172.199	HU
212.63.172.200	212.63.172.203	DE
212.63.172.204	212.63.172.207	FR
212.63.172.208	212.63.172.211	AT
212.63.172.212	212.63.172.215	TR
212.63.172.216	212.63.172.219	AT
212.63.172.220	212.63.172.223	FR
212.63.172.224	212.63.172.227	TR
212.63.172.228	212.63.172.231	ES
212.63.172.232	212.63.172.235	GB
212.63.172.236	212.63.172.239	AT
212.63.172.240	212.63.172.243	IT
212.63.172.244	212.63.172.247	CH
212.63.172.248	212.63.172.251	BE
212.63.172.252	212.63.172.255	ES
212.63.173.0	212.63.173.3	IT
212.63.173.4	212.63.173.7	ES
212.63.173.8	212.63.173.11	DE
212.63.173.12	212.63.173.15	IT
212.63.173.16	212.63.173.23	DE
212.63.173.24	212.63.173.27	IT
212.63.173.28	212.63.173.31	PL
212.63.173.32	212.63.173.35	GB
212.63.173.36	212.63.173.39	DE
212.63.173.40	212.63.173.43	FR
212.63.173.44	212.63.173.47	DE
212.63.173.48	212.63.173.51	ES
212.63.173.52	212.63.173.55	DE
212.63.173.56	212.63.173.59	CH
212.63.173.60	212.63.173.67	DE
212.63.173.68	212.63.173.71	BE
212.63.173.72	212.63.173.75	DE
212.63.173.76	212.63.173.79	IT
212.63.173.80	212.63.173.83	SE
212.63.173.84	212.63.173.87	AT
212.63.173.88	212.63.173.91	DE
212.63.173.92	212.63.173.95	AE
212.63.173.96	212.63.173.103	DE
212.63.173.104	212.63.173.107	ES
212.63.173.108	212.63.173.111	DE
212.63.173.112	212.63.173.115	GB
212.63.173.116	212.63.173.127	DE
212.63.173.128	212.63.173.131	IT
212.63.173.132	212.63.173.135	DE
212.63.173.136	212.63.173.139	BE
212.63.173.140	212.63.173.151	IT
212.63.173.152	212.63.173.155	PL
212.63.173.156	212.63.173.159	DK
212.63.173.160	212.63.173.163	CH
212.63.173.164	212.63.173.167	IT
212.63.173.168	212.63.173.171	ES
212.63.173.172	212.63.173.175	DE
212.63.173.176	212.63.173.179	GR
212.63.173.180	212.63.173.183	DE
212.63.173.184	212.63.173.187	FR
212.63.173.188	212.63.173.191	PL
212.63.173.192	212.63.173.195	NO
212.63.173.196	212.63.173.199	ES
212.63.173.200	212.63.173.203	HR
212.63.173.204	212.63.173.207	CY
212.63.173.208	212.63.173.211	BE
212.63.173.212	212.63.173.227	DE
212.63.173.228	212.63.173.231	ES
212.63.173.232	212.63.173.247	DE
212.63.173.248	212.63.173.251	PL
212.63.173.252	212.63.174.5	DE
212.63.174.6	212.63.174.7	ES
212.63.174.8	212.63.174.9	DE
212.63.174.10	212.63.174.11	ES
212.63.174.12	212.63.174.12	DK
212.63.174.13	212.63.174.13	IL
212.63.174.14	212.63.174.14	DE
212.63.174.15	212.63.174.15	IT
212.63.174.16	212.63.174.16	DE
212.63.174.17	212.63.174.17	CH
212.63.174.18	212.63.174.18	ES
212.63.174.19	212.63.174.21	DE
212.63.174.22	212.63.174.22	FR
212.63.174.23	212.63.174.23	HU
212.63.174.24	212.63.174.25	DE
212.63.174.26	212.63.174.26	BE
212.63.174.27	212.63.174.27	RU
212.63.174.28	212.63.174.28	BE
212.63.174.29	212.63.174.29	ES
212.63.174.30	212.63.174.32	DE
212.63.174.33	212.63.174.33	ES
212.63.174.34	212.63.174.34	CH
212.63.174.35	212.63.174.35	DE
212.63.174.36	212.63.174.36	ES
212.63.174.37	212.63.174.37	CH
212.63.174.38	212.63.174.38	DE
212.63.174.39	212.63.174.41	HU
212.63.174.42	212.63.174.42	IE
212.63.174.43	212.63.174.43	CH
212.63.174.44	212.63.174.45	DE
212.63.174.46	212.63.174.46	ES
212.63.174.47	212.63.174.47	IT
212.63.174.48	212.63.174.48	HU
212.63.174.49	212.63.174.50	DE
212.63.174.51	212.63.174.51	FR
212.63.174.52	212.63.174.53	DE
212.63.174.54	212.63.174.54	FR
212.63.174.55	212.63.174.55	IT
212.63.174.56	212.63.174.56	NO
212.63.174.57	212.63.174.57	BE
212.63.174.58	212.63.174.58	GR
212.63.174.59	212.63.174.59	CH
212.63.174.60	212.63.174.60	PL
212.63.174.61	212.63.174.61	FR
212.63.174.62	212.63.174.62	GB
212.63.174.63	212.63.174.63	FR
212.63.174.64	212.63.174.64	ES
212.63.174.65	212.63.174.65	DE
212.63.174.66	212.63.174.66	ES
212.63.174.67	212.63.174.67	IT
212.63.174.68	212.63.174.68	ES
212.63.174.69	212.63.174.69	BE
212.63.174.70	212.63.174.71	DE
212.63.174.72	212.63.174.73	CH
212.63.174.74	212.63.174.74	IT
212.63.174.75	212.63.174.75	PL
212.63.174.76	212.63.174.76	GB
212.63.174.77	212.63.174.77	DE
212.63.174.78	212.63.174.79	ES
212.63.174.80	212.63.174.80	IT
212.63.174.81	212.63.174.81	DK
212.63.174.82	212.63.174.82	ES
212.63.174.83	212.63.174.83	PT
212.63.174.84	212.63.174.84	IT
212.63.174.85	212.63.174.88	DE
212.63.174.89	212.63.174.89	ES
212.63.174.90	212.63.174.90	AT
212.63.174.91	212.63.174.91	PL
212.63.174.92	212.63.174.93	IT
212.63.174.94	212.63.174.94	DE
212.63.174.95	212.63.174.95	PT
212.63.174.96	212.63.174.96	AT
212.63.174.97	212.63.174.97	IT
212.63.174.98	212.63.174.98	IL
212.63.174.99	212.63.174.99	DE
212.63.174.100	212.63.174.100	CH
212.63.174.101	212.63.174.101	IT
212.63.174.102	212.63.174.103	DE
212.63.174.104	212.63.174.104	AT
212.63.174.105	212.63.174.106	ES
212.63.174.107	212.63.174.107	FR
212.63.174.108	212.63.174.108	DE
212.63.174.109	212.63.174.109	FR
212.63.174.110	212.63.174.110	PL
212.63.174.111	212.63.174.114	DE
212.63.174.115	212.63.174.115	ES
212.63.174.116	212.63.174.117	DE
212.63.174.118	212.63.174.118	ES
212.63.174.119	212.63.174.119	FR
212.63.174.120	212.63.174.120	DE
212.63.174.121	212.63.174.122	GR
212.63.174.123	212.63.174.123	DE
212.63.174.124	212.63.174.126	NL
212.63.174.127	212.63.174.128	FR
212.63.174.129	212.63.174.129	PL
212.63.174.130	212.63.174.130	EE
212.63.174.131	212.63.174.131	CH
212.63.174.132	212.63.174.133	NL
212.63.174.134	212.63.174.134	ES
212.63.174.135	212.63.174.135	FR
212.63.174.136	212.63.174.136	GB
212.63.174.137	212.63.174.137	FR
212.63.174.138	212.63.174.138	DE
212.63.174.139	212.63.174.139	FR
212.63.174.140	212.63.174.140	PL
212.63.174.141	212.63.174.141	CH
212.63.174.142	212.63.174.143	DE
212.63.174.144	212.63.174.144	GR
212.63.174.145	212.63.174.145	CH
212.63.174.146	212.63.174.146	AT
212.63.174.147	212.63.174.147	GB
212.63.174.148	212.63.174.148	BE
212.63.174.149	212.63.174.149	DE
212.63.174.150	212.63.174.150	ES
212.63.174.151	212.63.174.151	GB
212.63.174.152	212.63.174.152	DE
212.63.174.153	212.63.174.153	ES
212.63.174.154	212.63.174.154	FR
212.63.174.155	212.63.174.155	DE
212.63.174.156	212.63.174.156	ES
212.63.174.157	212.63.174.157	IE
212.63.174.158	212.63.174.158	DE
212.63.174.159	212.63.174.159	IT
212.63.174.160	212.63.174.160	CZ
212.63.174.161	212.63.174.161	DE
212.63.174.162	212.63.174.162	GB
212.63.174.163	212.63.174.163	DE
212.63.174.164	212.63.174.165	IT
212.63.174.166	212.63.174.166	GB
212.63.174.167	212.63.174.167	IT
212.63.174.168	212.63.174.168	ES
212.63.174.169	212.63.174.169	FR
212.63.174.170	212.63.174.170	GB
212.63.174.171	212.63.174.171	DE
212.63.174.172	212.63.174.172	FR
212.63.174.173	212.63.174.173	IT
212.63.174.174	212.63.174.174	DE
212.63.174.175	212.63.174.175	FR
212.63.174.176	212.63.174.176	GR
212.63.174.177	212.63.174.177	ES
212.63.174.178	212.63.174.178	FR
212.63.174.179	212.63.174.179	ES
212.63.174.180	212.63.174.182	DE
212.63.174.183	212.63.174.183	NL
212.63.174.184	212.63.174.186	FR
212.63.174.187	212.63.174.188	IT
212.63.174.189	212.63.174.189	ES
212.63.174.190	212.63.174.190	IT
212.63.174.191	212.63.174.191	DE
212.63.174.192	212.63.174.192	RU
212.63.174.193	212.63.174.193	ES
212.63.174.194	212.63.174.194	FR
212.63.174.195	212.63.174.195	GB
212.63.174.196	212.63.174.196	DE
212.63.174.197	212.63.174.197	FR
212.63.174.198	212.63.174.198	ES
212.63.174.199	212.63.174.199	IT
212.63.174.200	212.63.174.200	FR
212.63.174.201	212.63.174.202	DE
212.63.174.203	212.63.174.203	ES
212.63.174.204	212.63.174.205	DE
212.63.174.206	212.63.174.207	IT
212.63.174.208	212.63.174.208	PL
212.63.174.209	212.63.174.209	DE
212.63.174.210	212.63.174.210	ES
212.63.174.211	212.63.174.211	IT
212.63.174.212	212.63.174.212	GB
212.63.174.213	212.63.174.213	IT
212.63.174.214	212.63.174.214	CH
212.63.174.215	212.63.174.215	ES
212.63.174.216	212.63.174.216	IT
212.63.174.217	212.63.174.217	GB
212.63.174.218	212.63.174.218	DE
212.63.174.219	212.63.174.219	NL
212.63.174.220	212.63.174.220	DE
212.63.174.221	212.63.174.221	CH
212.63.174.222	212.63.174.222	RU
212.63.174.223	212.63.174.225	DE
212.63.174.226	212.63.174.227	IT
212.63.174.228	212.63.174.231	DE
212.63.174.232	212.63.174.232	ES
212.63.174.233	212.63.174.233	IT
212.63.174.234	212.63.174.234	BE
212.63.174.235	212.63.174.235	NL
212.63.174.236	212.63.174.237	DE
212.63.174.238	212.63.174.238	ES
212.63.174.239	212.63.174.239	FR
212.63.174.240	212.63.174.240	NL
212.63.174.241	212.63.174.241	CH
212.63.174.242	212.63.174.242	IT
212.63.174.243	212.63.174.243	ES
212.63.174.244	212.63.174.244	FR
212.63.174.245	212.63.174.245	DE
212.63.174.246	212.63.174.246	BE
212.63.174.247	212.63.174.247	SE
212.63.174.248	212.63.174.248	IT
212.63.174.249	212.63.174.250	DE
212.63.174.251	212.63.174.251	IT
212.63.174.252	212.63.174.252	DE
212.63.174.253	212.63.174.253	ES
212.63.174.254	212.63.174.254	BE
212.63.174.255	212.63.175.1	DE
212.63.175.2	212.63.175.2	GB
212.63.175.3	212.63.175.5	DE
212.63.175.6	212.63.175.7	IT
212.63.175.8	212.63.175.8	DE
212.63.175.9	212.63.175.9	GR
212.63.175.10	212.63.175.10	DE
212.63.175.11	212.63.175.11	AT
212.63.175.12	212.63.175.12	FR
212.63.175.13	212.63.175.15	DE
212.63.175.16	212.63.175.16	ES
212.63.175.17	212.63.175.17	GB
212.63.175.18	212.63.175.18	DE
212.63.175.19	212.63.175.20	ES
212.63.175.21	212.63.175.23	DE
212.63.175.24	212.63.175.24	FR
212.63.175.25	212.63.175.25	ES
212.63.175.26	212.63.175.26	CH
212.63.175.27	212.63.175.27	GB
212.63.175.28	212.63.175.31	DE
212.63.175.32	212.63.175.32	GB
212.63.175.33	212.63.175.33	DE
212.63.175.34	212.63.175.34	ES
212.63.175.35	212.63.175.35	NL
212.63.175.36	212.63.175.36	BE
212.63.175.37	212.63.175.37	DE
212.63.175.38	212.63.175.38	BE
212.63.175.39	212.63.175.39	CH
212.63.175.40	212.63.175.40	IT
212.63.175.41	212.63.175.41	DE
212.63.175.42	212.63.175.42	NL
212.63.175.43	212.63.175.43	DE
212.63.175.44	212.63.175.44	BE
212.63.175.45	212.63.175.45	DE
212.63.175.46	212.63.175.47	ES
212.63.175.48	212.63.175.48	IT
212.63.175.49	212.63.175.49	ES
212.63.175.50	212.63.175.50	NL
212.63.175.51	212.63.175.51	DE
212.63.175.52	212.63.175.52	IT
212.63.175.53	212.63.175.53	ES
212.63.175.54	212.63.175.55	DE
212.63.175.56	212.63.175.56	FR
212.63.175.57	212.63.175.57	DE
212.63.175.58	212.63.175.58	GB
212.63.175.59	212.63.175.59	FR
212.63.175.60	212.63.175.60	DE
212.63.175.61	212.63.175.61	HU
212.63.175.62	212.63.175.62	CH
212.63.175.63	212.63.175.63	FR
212.63.175.64	212.63.175.64	DE
212.63.175.65	212.63.175.65	ES
212.63.175.66	212.63.175.66	IT
212.63.175.67	212.63.175.67	FR
212.63.175.68	212.63.175.68	NO
212.63.175.69	212.63.175.70	NL
212.63.175.71	212.63.175.72	DE
212.63.175.73	212.63.175.73	GB
212.63.175.74	212.63.175.74	SE
212.63.175.75	212.63.175.75	DE
212.63.175.76	212.63.175.76	FR
212.63.175.77	212.63.175.77	ES
212.63.175.78	212.63.175.78	FR
212.63.175.79	212.63.175.79	NO
212.63.175.80	212.63.175.80	FR
212.63.175.81	212.63.175.81	DE
212.63.175.82	212.63.175.82	ES
212.63.175.83	212.63.175.83	BE
212.63.175.84	212.63.175.84	CH
212.63.175.85	212.63.175.85	PT
212.63.175.86	212.63.175.86	DE
212.63.175.87	212.63.175.87	GB
212.63.175.88	212.63.175.90	DE
212.63.175.91	212.63.175.91	PL
212.63.175.92	212.63.175.92	GB
212.63.175.93	212.63.175.94	DE
212.63.175.95	212.63.175.96	GB
212.63.175.97	212.63.175.97	ES
212.63.175.98	212.63.175.99	IT
212.63.175.100	212.63.175.100	ES
212.63.175.101	212.63.175.101	CH
212.63.175.102	212.63.175.102	FR
212.63.175.103	212.63.175.103	NL
212.63.175.104	212.63.175.104	ES
212.63.175.105	212.63.175.105	FR
212.63.175.106	212.63.175.106	NO
212.63.175.107	212.63.175.107	IT
212.63.175.108	212.63.175.108	CH
212.63.175.109	212.63.175.109	IT
212.63.175.110	212.63.175.111	DE
212.63.175.112	212.63.175.112	BE
212.63.175.113	212.63.175.113	AT
212.63.175.114	212.63.175.114	CH
212.63.175.115	212.63.175.115	ES
212.63.175.116	212.63.175.116	BE
212.63.175.117	212.63.175.117	DE
212.63.175.118	212.63.175.118	IT
212.63.175.119	212.63.175.119	GB
212.63.175.120	212.63.175.120	NL
212.63.175.121	212.63.175.121	BG
212.63.175.122	212.63.175.122	DE
212.63.175.123	212.63.175.126	ES
212.63.175.127	212.63.175.127	DE
212.63.175.128	212.63.175.128	ES
212.63.175.129	212.63.175.129	DE
212.63.175.130	212.63.175.130	GB
212.63.175.131	212.63.175.131	DE
212.63.175.132	212.63.175.133	FR
212.63.175.134	212.63.175.134	GB
212.63.175.135	212.63.175.135	IT
212.63.175.136	212.63.175.139	DE
212.63.175.140	212.63.175.140	CH
212.63.175.141	212.63.175.141	ES
212.63.175.142	212.63.175.147	DE
212.63.175.148	212.63.175.148	DK
212.63.175.149	212.63.175.150	DE
212.63.175.151	212.63.175.151	IT
212.63.175.152	212.63.175.152	DE
212.63.175.153	212.63.175.153	LU
212.63.175.154	212.63.175.155	ES
212.63.175.156	212.63.175.157	DE
212.63.175.158	212.63.175.158	LU
212.63.175.159	212.63.175.159	DE
212.63.175.160	212.63.175.160	DK
212.63.175.161	212.63.175.161	DE
212.63.175.162	212.63.175.162	GB
212.63.175.163	212.63.175.163	IT
212.63.175.164	212.63.175.164	DE
212.63.175.165	212.63.175.165	NL
212.63.175.166	212.63.175.166	IT
212.63.175.167	212.63.175.167	DE
212.63.175.168	212.63.175.168	FR
212.63.175.169	212.63.175.169	DE
212.63.175.170	212.63.175.170	CH
212.63.175.171	212.63.175.172	DE
212.63.175.173	212.63.175.173	HU
212.63.175.174	212.63.175.174	BY
212.63.175.175	212.63.175.175	FR
212.63.175.176	212.63.175.176	BE
212.63.175.177	212.63.175.177	DE
212.63.175.178	212.63.175.178	GB
212.63.175.179	212.63.175.179	DE
212.63.175.180	212.63.175.180	BE
212.63.175.181	212.63.175.181	NL
212.63.175.182	212.63.175.182	DE
212.63.175.183	212.63.175.183	NL
212.63.175.184	212.63.175.184	ES
212.63.175.185	212.63.175.186	DE
212.63.175.187	212.63.175.187	SI
212.63.175.188	212.63.175.188	GB
212.63.175.189	212.63.175.189	DE
212.63.175.190	212.63.175.190	HU
212.63.175.191	212.63.175.191	FR
212.63.175.192	212.63.175.192	IT
212.63.175.193	212.63.175.193	DE
212.63.175.194	212.63.175.194	IS
212.63.175.195	212.63.175.195	FR
212.63.175.196	212.63.175.196	DE
212.63.175.197	212.63.175.197	ES
212.63.175.198	212.63.175.198	DE
212.63.175.199	212.63.175.199	GB
212.63.175.200	212.63.175.202	IT
212.63.175.203	212.63.175.203	HU
212.63.175.204	212.63.175.204	DE
212.63.175.205	212.63.175.205	GB
212.63.175.206	212.63.175.206	DE
212.63.175.207	212.63.175.207	FR
212.63.175.208	212.63.175.208	GB
212.63.175.209	212.63.175.210	FR
212.63.175.211	212.63.175.212	DE
212.63.175.213	212.63.175.213	FR
212.63.175.214	212.63.175.214	NO
212.63.175.215	212.63.175.215	BE
212.63.175.216	212.63.175.216	IT
212.63.175.217	212.63.175.217	DK
212.63.175.218	212.63.175.218	ES
212.63.175.219	212.63.175.220	DE
212.63.175.221	212.63.175.221	NL
212.63.175.222	212.63.175.222	DE
212.63.175.223	212.63.175.223	ES
212.63.175.224	212.63.175.224	IT
212.63.175.225	212.63.175.225	FR
212.63.175.226	212.63.175.226	ES
212.63.175.227	212.63.175.227	DE
212.63.175.228	212.63.175.228	IT
212.63.175.229	212.63.175.229	NL
212.63.175.230	212.63.175.230	HU
212.63.175.231	212.63.175.231	AT
212.63.175.232	212.63.175.232	SK
212.63.175.233	212.63.175.233	PL
212.63.175.234	212.63.175.234	FR
212.63.175.235	212.63.175.236	ES
212.63.175.237	212.63.175.239	DE
212.63.175.240	212.63.175.240	AT
212.63.175.241	212.63.175.242	IT
212.63.175.243	212.63.175.243	CH
212.63.175.244	212.63.175.244	ES
212.63.175.245	212.63.175.245	GB
212.63.175.246	212.63.175.247	DE
212.63.175.248	212.63.175.248	IT
212.63.175.249	212.63.175.250	DE
212.63.175.251	212.63.175.251	FR
212.63.175.252	212.63.175.252	DE
212.63.175.253	212.63.175.253	ES
212.63.175.254	212.63.176.1	DE
212.63.176.2	212.63.176.2	FR
212.63.176.3	212.63.176.4	ES
212.63.176.5	212.63.176.5	SE
212.63.176.6	212.63.176.6	BE
212.63.176.7	212.63.176.7	DE
212.63.176.8	212.63.176.8	ES
212.63.176.9	212.63.176.9	AT
212.63.176.10	212.63.176.10	ES
212.63.176.11	212.63.176.11	DK
212.63.176.12	212.63.176.12	DE
212.63.176.13	212.63.176.13	IT
212.63.176.14	212.63.176.14	DE
212.63.176.15	212.63.176.15	HU
212.63.176.16	212.63.176.16	CH
212.63.176.17	212.63.176.17	ES
212.63.176.18	212.63.176.18	FR
212.63.176.19	212.63.176.19	ES
212.63.176.20	212.63.176.20	DE
212.63.176.21	212.63.176.21	PL
212.63.176.22	212.63.176.22	IT
212.63.176.23	212.63.176.23	ES
212.63.176.24	212.63.176.24	FR
212.63.176.25	212.63.176.27	IT
212.63.176.28	212.63.176.28	DE
212.63.176.29	212.63.176.29	GB
212.63.176.30	212.63.176.30	DE
212.63.176.31	212.63.176.31	ES
212.63.176.32	212.63.176.32	DE
212.63.176.33	212.63.176.33	NL
212.63.176.34	212.63.176.35	DE
212.63.176.36	212.63.176.36	AT
212.63.176.37	212.63.176.37	DE
212.63.176.38	212.63.176.38	IT
212.63.176.39	212.63.176.39	DE
212.63.176.40	212.63.176.40	IT
212.63.176.41	212.63.176.41	DE
212.63.176.42	212.63.176.42	GB
212.63.176.43	212.63.176.43	DE
212.63.176.44	212.63.176.44	PT
212.63.176.45	212.63.176.45	DK
212.63.176.46	212.63.176.46	DE
212.63.176.47	212.63.176.48	NL
212.63.176.49	212.63.176.50	DE
212.63.176.51	212.63.176.51	PL
212.63.176.52	212.63.176.52	DK
212.63.176.53	212.63.176.53	FR
212.63.176.54	212.63.176.55	DE
212.63.176.56	212.63.176.56	BH
212.63.176.57	212.63.176.57	SE
212.63.176.58	212.63.176.58	MA
212.63.176.59	212.63.176.59	FR
212.63.176.60	212.63.176.61	DE
212.63.176.62	212.63.176.64	ES
212.63.176.65	212.63.176.66	DE
212.63.176.67	212.63.176.67	GR
212.63.176.68	212.63.176.68	NL
212.63.176.69	212.63.176.69	IT
212.63.176.70	212.63.176.70	FR
212.63.176.71	212.63.176.71	PT
212.63.176.72	212.63.176.72	DE
212.63.176.73	212.63.176.73	PT
212.63.176.74	212.63.176.74	IT
212.63.176.75	212.63.176.75	DE
212.63.176.76	212.63.176.76	SE
212.63.176.77	212.63.176.77	DE
212.63.176.78	212.63.176.78	FR
212.63.176.79	212.63.176.79	GR
212.63.176.80	212.63.176.81	CH
212.63.176.82	212.63.176.82	DE
212.63.176.83	212.63.176.83	IT
212.63.176.84	212.63.176.84	DE
212.63.176.85	212.63.176.85	AT
212.63.176.86	212.63.176.86	DE
212.63.176.87	212.63.176.87	FR
212.63.176.88	212.63.176.88	DE
212.63.176.89	212.63.176.89	CH
212.63.176.90	212.63.176.90	LI
212.63.176.91	212.63.176.93	DE
212.63.176.94	212.63.176.94	NL
212.63.176.95	212.63.176.95	DE
212.63.176.96	212.63.176.96	IT
212.63.176.97	212.63.176.97	PL
212.63.176.98	212.63.176.98	NL
212.63.176.99	212.63.176.99	DE
212.63.176.100	212.63.176.100	GB
212.63.176.101	212.63.176.101	FR
212.63.176.102	212.63.176.103	DE
212.63.176.104	212.63.176.105	IT
212.63.176.106	212.63.176.110	DE
212.63.176.111	212.63.176.111	ES
212.63.176.112	212.63.176.112	GB
212.63.176.113	212.63.176.113	DE
212.63.176.114	212.63.176.114	NL
212.63.176.115	212.63.176.115	IT
212.63.176.116	212.63.176.116	FR
212.63.176.117	212.63.176.117	NO
212.63.176.118	212.63.176.120	DE
212.63.176.121	212.63.176.121	GR
212.63.176.122	212.63.176.122	PT
212.63.176.123	212.63.176.124	DE
212.63.176.125	212.63.176.125	FR
212.63.176.126	212.63.176.126	DE
212.63.176.127	212.63.176.127	PL
212.63.176.128	212.63.176.128	DE
212.63.176.129	212.63.176.129	PL
212.63.176.130	212.63.176.132	DE
212.63.176.133	212.63.176.133	GB
212.63.176.134	212.63.176.134	DE
212.63.176.135	212.63.176.135	IT
212.63.176.136	212.63.176.136	DE
212.63.176.137	212.63.176.137	ES
212.63.176.138	212.63.176.138	HU
212.63.176.139	212.63.176.139	BE
212.63.176.140	212.63.176.140	IT
212.63.176.141	212.63.176.141	DE
212.63.176.142	212.63.176.142	CZ
212.63.176.143	212.63.176.143	IE
212.63.176.144	212.63.176.144	NO
212.63.176.145	212.63.176.145	GB
212.63.176.146	212.63.176.146	IT
212.63.176.147	212.63.176.147	FR
212.63.176.148	212.63.176.148	PL
212.63.176.149	212.63.176.149	SE
212.63.176.150	212.63.176.150	CY
212.63.176.151	212.63.176.152	DE
212.63.176.153	212.63.176.153	FR
212.63.176.154	212.63.176.154	NL
212.63.176.155	212.63.176.155	IT
212.63.176.156	212.63.176.158	DE
212.63.176.159	212.63.176.159	FR
212.63.176.160	212.63.176.164	DE
212.63.176.165	212.63.176.165	ES
212.63.176.166	212.63.176.166	DE
212.63.176.167	212.63.176.167	BE
212.63.176.168	212.63.176.170	DE
212.63.176.171	212.63.176.171	ES
212.63.176.172	212.63.176.172	DK
212.63.176.173	212.63.176.173	IT
212.63.176.174	212.63.176.174	DE
212.63.176.175	212.63.176.175	IT
212.63.176.176	212.63.176.177	DE
212.63.176.178	212.63.176.178	FR
212.63.176.179	212.63.176.179	DE
212.63.176.180	212.63.176.180	IT
212.63.176.181	212.63.176.181	DE
212.63.176.182	212.63.176.182	DK
212.63.176.183	212.63.176.183	DE
212.63.176.184	212.63.176.184	CH
212.63.176.185	212.63.176.185	FR
212.63.176.186	212.63.176.186	IT
212.63.176.187	212.63.176.187	HU
212.63.176.188	212.63.176.188	ES
212.63.176.189	212.63.176.189	DE
212.63.176.190	212.63.176.190	ES
212.63.176.191	212.63.176.191	DK
212.63.176.192	212.63.176.194	DE
212.63.176.195	212.63.176.195	ES
212.63.176.196	212.63.176.196	IT
212.63.176.197	212.63.176.197	CH
212.63.176.198	212.63.176.198	DE
212.63.176.199	212.63.176.199	IT
212.63.176.200	212.63.176.201	FR
212.63.176.202	212.63.176.202	PT
212.63.176.203	212.63.176.203	DE
212.63.176.204	212.63.176.204	FR
212.63.176.205	212.63.176.205	IT
212.63.176.206	212.63.176.206	DE
212.63.176.207	212.63.176.207	GR
212.63.176.208	212.63.176.211	DE
212.63.176.212	212.63.176.212	ES
212.63.176.213	212.63.176.213	NL
212.63.176.214	212.63.176.214	DK
212.63.176.215	212.63.176.217	FR
212.63.176.218	212.63.176.220	DE
212.63.176.221	212.63.176.221	CH
212.63.176.222	212.63.176.222	DE
212.63.176.223	212.63.176.223	NO
212.63.176.224	212.63.176.224	DE
212.63.176.225	212.63.176.225	GB
212.63.176.226	212.63.176.226	DE
212.63.176.227	212.63.176.227	GB
212.63.176.228	212.63.176.228	BE
212.63.176.229	212.63.176.229	CZ
212.63.176.230	212.63.176.230	LU
212.63.176.231	212.63.176.231	CZ
212.63.176.232	212.63.176.232	FR
212.63.176.233	212.63.176.233	DE
212.63.176.234	212.63.176.234	NL
212.63.176.235	212.63.176.241	DE
212.63.176.242	212.63.176.242	GB
212.63.176.243	212.63.176.243	DE
212.63.176.244	212.63.176.244	GB
212.63.176.245	212.63.176.249	DE
212.63.176.250	212.63.176.250	BE
212.63.176.251	212.63.176.251	ES
212.63.176.252	212.63.176.252	FR
212.63.176.253	212.63.176.253	LU
212.63.176.254	212.63.176.255	DE
212.63.177.0	212.63.177.3	BR
212.63.177.4	212.63.177.7	DE
212.63.177.8	212.63.177.15	US
212.63.177.16	212.63.177.19	CA
212.63.177.20	212.63.177.23	DE
212.63.177.24	212.63.177.27	CL
212.63.177.28	212.63.177.31	MX
212.63.177.32	212.63.177.43	US
212.63.177.44	212.63.177.47	CA
212.63.177.48	212.63.177.51	US
212.63.177.52	212.63.177.55	MX
212.63.177.56	212.63.177.63	US
212.63.177.64	212.63.177.67	PE
212.63.177.68	212.63.177.71	DE
212.63.177.72	212.63.177.75	US
212.63.177.76	212.63.177.103	DE
212.63.177.104	212.63.177.107	US
212.63.177.108	212.63.177.111	DE
212.63.177.112	212.63.177.115	US
212.63.177.116	212.63.177.119	DE
212.63.177.120	212.63.177.127	US
212.63.177.128	212.63.177.151	DE
212.63.177.152	212.63.177.159	US
212.63.177.160	212.63.177.163	MX
212.63.177.164	212.63.177.167	US
212.63.177.168	212.63.177.171	MX
212.63.177.172	212.63.177.187	DE
212.63.177.188	212.63.177.191	US
212.63.177.192	212.63.177.195	DE
212.63.177.196	212.63.177.199	US
212.63.177.200	212.63.177.207	DE
212.63.177.208	212.63.177.211	US
212.63.177.212	212.63.177.215	CL
212.63.177.216	212.63.177.231	DE
212.63.177.232	212.63.177.235	US
212.63.177.236	212.63.177.247	DE
212.63.177.248	212.63.178.7	US
212.63.178.8	212.63.178.11	DE
212.63.178.12	212.63.178.31	US
212.63.178.32	212.63.178.35	MX
212.63.178.36	212.63.178.39	AR
212.63.178.40	212.63.178.47	US
212.63.178.48	212.63.178.51	BR
212.63.178.52	212.63.178.55	PA
212.63.178.56	212.63.178.59	US
212.63.178.60	212.63.178.63	CA
212.63.178.64	212.63.178.67	US
212.63.178.68	212.63.178.71	DE
212.63.178.72	212.63.178.75	BO
212.63.178.76	212.63.178.79	DE
212.63.178.80	212.63.178.83	CA
212.63.178.84	212.63.178.87	DE
212.63.178.88	212.63.178.91	BR
212.63.178.92	212.63.178.99	US
212.63.178.100	212.63.178.103	IT
212.63.178.104	212.63.178.107	US
212.63.178.108	212.63.178.111	CA
212.63.178.112	212.63.178.115	US
212.63.178.116	212.63.178.119	MX
212.63.178.120	212.63.178.139	US
212.63.178.140	212.63.178.143	CO
212.63.178.144	212.63.178.147	BR
212.63.178.148	212.63.178.151	PE
212.63.178.152	212.63.178.155	DE
212.63.178.156	212.63.178.167	US
212.63.178.168	212.63.178.171	CO
212.63.178.172	212.63.178.179	US
212.63.178.180	212.63.178.183	MX
212.63.178.184	212.63.178.187	US
212.63.178.188	212.63.178.195	AR
212.63.178.196	212.63.178.211	US
212.63.178.212	212.63.178.215	CO
212.63.178.216	212.63.178.223	US
212.63.178.224	212.63.178.227	GT
212.63.178.228	212.63.178.231	CA
212.63.178.232	212.63.178.235	DO
212.63.178.236	212.63.178.239	AR
212.63.178.240	212.63.178.243	BR
212.63.178.244	212.63.178.247	DE
212.63.178.248	212.63.178.251	AR
212.63.178.252	212.63.178.255	DE
212.63.179.0	212.63.179.11	US
212.63.179.12	212.63.179.15	PR
212.63.179.16	212.63.179.19	CA
212.63.179.20	212.63.179.27	DE
212.63.179.28	212.63.179.31	US
212.63.179.32	212.63.179.35	SG
212.63.179.36	212.63.179.47	US
212.63.179.48	212.63.179.51	DE
212.63.179.52	212.63.179.63	US
212.63.179.64	212.63.179.67	DE
212.63.179.68	212.63.179.75	US
212.63.179.76	212.63.179.76	AR
212.63.179.77	212.63.179.79	DE
212.63.179.80	212.63.179.83	CA
212.63.179.84	212.63.179.87	BR
212.63.179.88	212.63.179.91	US
212.63.179.92	212.63.179.95	AR
212.63.179.96	212.63.179.103	US
212.63.179.104	212.63.179.107	CA
212.63.179.108	212.63.179.135	US
212.63.179.136	212.63.179.139	DE
212.63.179.140	212.63.179.147	US
212.63.179.148	212.63.179.151	MX
212.63.179.152	212.63.179.167	US
212.63.179.168	212.63.179.171	BR
212.63.179.172	212.63.179.175	MX
212.63.179.176	212.63.179.179	US
212.63.179.180	212.63.179.183	ES
212.63.179.184	212.63.179.191	US
212.63.179.192	212.63.179.195	BR
212.63.179.196	212.63.179.219	US
212.63.179.220	212.63.179.223	CA
212.63.179.224	212.63.179.231	US
212.63.179.232	212.63.179.235	EC
212.63.179.236	212.63.179.239	US
212.63.179.240	212.63.179.243	CL
212.63.179.244	212.63.179.247	DE
212.63.179.248	212.63.179.251	CA
212.63.179.252	212.63.179.255	DE
212.63.180.0	212.63.180.3	TR
212.63.180.4	212.63.180.7	ES
212.63.180.8	212.63.180.11	TR
212.63.180.12	212.63.180.15	HU
212.63.180.16	212.63.180.19	TR
212.63.180.20	212.63.180.23	MZ
212.63.180.24	212.63.180.27	FR
212.63.180.28	212.63.180.31	TR
212.63.180.32	212.63.180.35	KZ
212.63.180.36	212.63.180.39	GR
212.63.180.40	212.63.180.47	TR
212.63.180.48	212.63.180.51	FR
212.63.180.52	212.63.180.55	SA
212.63.180.56	212.63.180.59	TR
212.63.180.60	212.63.180.63	CU
212.63.180.64	212.63.180.67	ZW
212.63.180.68	212.63.180.71	TR
212.63.180.72	212.63.180.75	IL
212.63.180.76	212.63.180.79	ZW
212.63.180.80	212.63.180.83	SK
212.63.180.84	212.63.180.87	TR
212.63.180.88	212.63.180.91	KZ
212.63.180.92	212.63.180.95	TR
212.63.180.96	212.63.180.103	FR
212.63.180.104	212.63.180.107	GR
212.63.180.108	212.63.180.115	TR
212.63.180.116	212.63.180.119	MZ
212.63.180.120	212.63.180.127	TR
212.63.180.128	212.63.180.131	MZ
212.63.180.132	212.63.180.139	DE
212.63.180.140	212.63.180.143	ES
212.63.180.144	212.63.180.147	FR
212.63.180.148	212.63.180.151	NL
212.63.180.152	212.63.180.155	ES
212.63.180.156	212.63.180.159	GB
212.63.180.160	212.63.180.163	ES
212.63.180.164	212.63.180.167	FR
212.63.180.168	212.63.180.171	DE
212.63.180.172	212.63.180.175	ES
212.63.180.176	212.63.180.183	IT
212.63.180.184	212.63.180.187	DE
212.63.180.188	212.63.180.191	IE
212.63.180.192	212.63.180.195	DE
212.63.180.196	212.63.180.199	IT
212.63.180.200	212.63.180.203	TR
212.63.180.204	212.63.180.207	DE
212.63.180.208	212.63.180.215	FR
212.63.180.216	212.63.180.219	NL
212.63.180.220	212.63.180.223	DK
212.63.180.224	212.63.180.231	FR
212.63.180.232	212.63.180.235	DE
212.63.180.236	212.63.180.239	ES
212.63.180.240	212.63.180.243	SA
212.63.180.244	212.63.180.247	ES
212.63.180.248	212.63.180.251	CH
212.63.180.252	212.63.180.255	DE
212.63.181.0	212.63.181.3	TW
212.63.181.4	212.63.181.7	SG
212.63.181.8	212.63.181.11	MY
212.63.181.12	212.63.181.23	SG
212.63.181.24	212.63.181.27	MY
212.63.181.28	212.63.181.31	CN
212.63.181.32	212.63.181.35	MY
212.63.181.36	212.63.181.39	SG
212.63.181.40	212.63.181.47	CN
212.63.181.48	212.63.181.51	MY
212.63.181.52	212.63.181.55	SG
212.63.181.56	212.63.181.59	TW
212.63.181.60	212.63.181.63	SG
212.63.181.64	212.63.181.67	IN
212.63.181.68	212.63.181.71	MY
212.63.181.72	212.63.181.75	SG
212.63.181.76	212.63.181.79	CN
212.63.181.80	212.63.181.91	IN
212.63.181.92	212.63.181.95	SG
212.63.181.96	212.63.181.99	MY
212.63.181.100	212.63.181.103	SG
212.63.181.104	212.63.181.107	MY
212.63.181.108	212.63.181.111	IN
212.63.181.112	212.63.181.115	SG
212.63.181.116	212.63.181.119	DE
212.63.181.120	212.63.181.131	IN
212.63.181.132	212.63.181.135	MY
212.63.181.136	212.63.181.139	IN
212.63.181.140	212.63.181.143	CN
212.63.181.144	212.63.181.147	SG
212.63.181.148	212.63.181.151	TW
212.63.181.152	212.63.181.163	IN
212.63.181.164	212.63.181.167	SG
212.63.181.168	212.63.181.171	MY
212.63.181.172	212.63.181.179	IN
212.63.181.180	212.63.181.187	CN
212.63.181.188	212.63.181.195	IN
212.63.181.196	212.63.181.199	SG
212.63.181.200	212.63.181.203	CN
212.63.181.204	212.63.181.207	SG
212.63.181.208	212.63.181.211	MY
212.63.181.212	212.63.181.215	TW
212.63.181.216	212.63.181.219	SG
212.63.181.220	212.63.181.223	IN
212.63.181.224	212.63.181.227	CN
212.63.181.228	212.63.181.235	SG
212.63.181.236	212.63.181.239	TW
212.63.181.240	212.63.181.243	MY
212.63.181.244	212.63.181.247	SG
212.63.181.248	212.63.181.251	IN
212.63.181.252	212.63.181.255	SG
212.63.182.0	212.63.182.1	DE
212.63.182.2	212.63.182.4	AU
212.63.182.5	212.63.182.5	NZ
212.63.182.6	212.63.182.15	AU
212.63.182.16	212.63.182.16	DE
212.63.182.17	212.63.182.17	AU
212.63.182.18	212.63.182.39	DE
212.63.182.40	212.63.182.40	AU
212.63.182.41	212.63.182.42	DE
212.63.182.43	212.63.182.43	AU
212.63.182.44	212.63.182.52	DE
212.63.182.53	212.63.182.53	AU
212.63.182.54	212.63.182.54	IN
212.63.182.55	212.63.182.57	AU
212.63.182.58	212.63.182.75	DE
212.63.182.76	212.63.182.79	IN
212.63.182.80	212.63.182.115	DE
212.63.182.116	212.63.182.119	AU
212.63.182.120	212.63.182.123	DE
212.63.182.124	212.63.182.127	AU
212.63.182.128	212.63.182.203	JP
212.63.182.204	212.63.182.207	TH
212.63.182.208	212.63.182.251	JP
212.63.182.252	212.63.182.255	TH
212.63.183.0	212.63.183.1	DE
212.63.183.2	212.63.183.2	MY
212.63.183.3	212.63.183.3	TW
212.63.183.4	212.63.183.4	CN
212.63.183.5	212.63.183.5	SG
212.63.183.6	212.63.183.6	IN
212.63.183.7	212.63.183.8	SG
212.63.183.9	212.63.183.10	CN
212.63.183.11	212.63.183.11	MY
212.63.183.12	212.63.183.12	IN
212.63.183.13	212.63.183.14	SG
212.63.183.15	212.63.183.15	CN
212.63.183.16	212.63.183.16	MY
212.63.183.17	212.63.183.17	IN
212.63.183.18	212.63.183.18	MY
212.63.183.19	212.63.183.19	CN
212.63.183.20	212.63.183.20	SG
212.63.183.21	212.63.183.21	TW
212.63.183.22	212.63.183.22	MY
212.63.183.23	212.63.183.23	CN
212.63.183.24	212.63.183.25	IN
212.63.183.26	212.63.183.26	TW
212.63.183.27	212.63.183.27	MY
212.63.183.28	212.63.183.28	CN
212.63.183.29	212.63.183.29	SG
212.63.183.30	212.63.183.30	TW
212.63.183.31	212.63.183.31	SG
212.63.183.32	212.63.183.32	ID
212.63.183.33	212.63.183.33	SG
212.63.183.34	212.63.183.35	IN
212.63.183.36	212.63.183.40	SG
212.63.183.41	212.63.183.41	IN
212.63.183.42	212.63.183.42	SG
212.63.183.43	212.63.183.43	IN
212.63.183.44	212.63.183.44	SG
212.63.183.45	212.63.183.45	IN
212.63.183.46	212.63.183.50	SG
212.63.183.51	212.63.183.51	TW
212.63.183.52	212.63.183.53	SG
212.63.183.54	212.63.183.54	IN
212.63.183.55	212.63.183.57	SG
212.63.183.58	212.63.183.58	CN
212.63.183.59	212.63.183.59	MY
212.63.183.60	212.63.183.61	SG
212.63.183.62	212.63.183.62	CN
212.63.183.63	212.63.183.63	SG
212.63.183.64	212.63.183.64	CN
212.63.183.65	212.63.183.65	TW
212.63.183.66	212.63.183.67	SG
212.63.183.68	212.63.183.68	CN
212.63.183.69	212.63.183.69	TW
212.63.183.70	212.63.183.70	IN
212.63.183.71	212.63.183.71	SG
212.63.183.72	212.63.183.73	IN
212.63.183.74	212.63.183.74	DE
212.63.183.75	212.63.183.77	MY
212.63.183.78	212.63.183.79	IN
212.63.183.80	212.63.183.80	DE
212.63.183.81	212.63.183.81	MY
212.63.183.82	212.63.183.82	TH
212.63.183.83	212.63.183.84	IN
212.63.183.85	212.63.183.87	DE
212.63.183.88	212.63.183.88	IN
212.63.183.89	212.63.183.89	DE
212.63.183.90	212.63.183.91	IN
212.63.183.92	212.63.183.92	SG
212.63.183.93	212.63.183.93	US
212.63.183.94	212.63.183.94	IN
212.63.183.95	212.63.183.127	DE
212.63.183.128	212.63.183.131	IN
212.63.183.132	212.63.183.135	SG
212.63.183.136	212.63.183.151	IN
212.63.183.152	212.63.183.155	DE
212.63.183.156	212.63.183.159	SG
212.63.183.160	212.63.183.167	IN
212.63.183.168	212.63.183.171	SG
212.63.183.172	212.63.183.175	MY
212.63.183.176	212.63.183.179	SG
212.63.183.180	212.63.183.183	TW
212.63.183.184	212.63.183.195	SG
212.63.183.196	212.63.183.199	US
212.63.183.200	212.63.183.203	IN
212.63.183.204	212.63.183.211	SG
212.63.183.212	212.63.183.219	CN
212.63.183.220	212.63.183.227	SG
212.63.183.228	212.63.183.231	CN
212.63.183.232	212.63.183.235	IN
212.63.183.236	212.63.183.239	MY
212.63.183.240	212.63.183.243	IN
212.63.183.244	212.63.183.251	DE
212.63.183.252	212.63.183.255	IN
212.63.184.0	212.63.184.3	US
212.63.184.4	212.63.184.7	BR
212.63.184.8	212.63.184.11	US
212.63.184.12	212.63.184.15	PE
212.63.184.16	212.63.184.19	BR
212.63.184.20	212.63.184.27	CO
212.63.184.28	212.63.184.35	US
212.63.184.36	212.63.184.39	CO
212.63.184.40	212.63.184.43	US
212.63.184.44	212.63.184.47	CO
212.63.184.48	212.63.184.63	US
212.63.184.64	212.63.184.67	AR
212.63.184.68	212.63.184.75	US
212.63.184.76	212.63.184.79	BR
212.63.184.80	212.63.184.83	US
212.63.184.84	212.63.184.87	AR
212.63.184.88	212.63.184.99	US
212.63.184.100	212.63.184.103	AR
212.63.184.104	212.63.184.107	BR
212.63.184.108	212.63.184.111	CA
212.63.184.112	212.63.184.123	US
212.63.184.124	212.63.184.127	CO
212.63.184.128	212.63.184.131	AR
212.63.184.132	212.63.184.135	US
212.63.184.136	212.63.184.139	BR
212.63.184.140	212.63.184.143	US
212.63.184.144	212.63.184.147	CO
212.63.184.148	212.63.184.151	US
212.63.184.152	212.63.184.155	AR
212.63.184.156	212.63.184.159	US
212.63.184.160	212.63.184.163	BR
212.63.184.164	212.63.184.171	US
212.63.184.172	212.63.184.175	CL
212.63.184.176	212.63.184.179	BR
212.63.184.180	212.63.184.187	US
212.63.184.188	212.63.184.191	DE
212.63.184.192	212.63.184.195	US
212.63.184.196	212.63.184.199	DE
212.63.184.200	212.63.184.203	US
212.63.184.204	212.63.184.207	DE
212.63.184.208	212.63.184.211	CA
212.63.184.212	212.63.184.247	US
212.63.184.248	212.63.184.251	CA
212.63.184.252	212.63.184.255	US
212.63.185.0	212.63.185.97	DE
212.63.185.98	212.63.185.98	FI
212.63.185.99	212.63.185.99	CZ
212.63.185.100	212.63.186.0	DE
212.63.186.1	212.63.186.13	US
212.63.186.14	212.63.186.14	AR
212.63.186.15	212.63.186.18	US
212.63.186.19	212.63.186.19	PE
212.63.186.20	212.63.186.20	CA
212.63.186.21	212.63.186.21	US
212.63.186.22	212.63.186.22	CA
212.63.186.23	212.63.186.23	AR
212.63.186.24	212.63.186.24	US
212.63.186.25	212.63.186.25	CA
212.63.186.26	212.63.186.26	DE
212.63.186.27	212.63.186.27	CA
212.63.186.28	212.63.186.28	US
212.63.186.29	212.63.186.29	PE
212.63.186.30	212.63.186.32	US
212.63.186.33	212.63.186.33	CA
212.63.186.34	212.63.186.36	US
212.63.186.37	212.63.186.37	CO
212.63.186.38	212.63.186.38	CA
212.63.186.39	212.63.186.39	PE
212.63.186.40	212.63.186.53	US
212.63.186.54	212.63.186.54	AR
212.63.186.55	212.63.186.55	US
212.63.186.56	212.63.186.56	CA
212.63.186.57	212.63.186.58	US
212.63.186.59	212.63.186.59	CL
212.63.186.60	212.63.186.61	US
212.63.186.62	212.63.186.62	AR
212.63.186.63	212.63.186.70	US
212.63.186.71	212.63.186.71	PR
212.63.186.72	212.63.186.77	US
212.63.186.78	212.63.186.78	SG
212.63.186.79	212.63.186.80	US
212.63.186.81	212.63.186.81	MX
212.63.186.82	212.63.186.82	US
212.63.186.83	212.63.186.83	VI
212.63.186.84	212.63.186.84	AR
212.63.186.85	212.63.186.86	US
212.63.186.87	212.63.186.87	AR
212.63.186.88	212.63.186.90	US
212.63.186.91	212.63.186.91	CA
212.63.186.92	212.63.186.95	US
212.63.186.96	212.63.186.96	DE
212.63.186.97	212.63.186.97	CA
212.63.186.98	212.63.186.103	US
212.63.186.104	212.63.186.104	ES
212.63.186.105	212.63.186.106	US
212.63.186.107	212.63.186.107	CL
212.63.186.108	212.63.186.108	US
212.63.186.109	212.63.186.109	CO
212.63.186.110	212.63.186.114	US
212.63.186.115	212.63.186.115	CA
212.63.186.116	212.63.186.119	US
212.63.186.120	212.63.186.120	CL
212.63.186.121	212.63.186.121	DE
212.63.186.122	212.63.186.122	US
212.63.186.123	212.63.186.123	DE
212.63.186.124	212.63.186.124	CL
212.63.186.125	212.63.186.135	DE
212.63.186.136	212.63.186.136	US
212.63.186.137	212.63.186.141	DE
212.63.186.142	212.63.186.143	US
212.63.186.144	212.63.186.144	DE
212.63.186.145	212.63.186.150	US
212.63.186.151	212.63.186.151	CA
212.63.186.152	212.63.186.152	US
212.63.186.153	212.63.186.153	DO
212.63.186.154	212.63.186.154	US
212.63.186.155	212.63.186.155	DO
212.63.186.156	212.63.186.157	CA
212.63.186.158	212.63.186.159	US
212.63.186.160	212.63.186.160	CA
212.63.186.161	212.63.186.161	DE
212.63.186.162	212.63.186.162	CA
212.63.186.163	212.63.186.163	US
212.63.186.164	212.63.186.164	CL
212.63.186.165	212.63.186.166	CA
212.63.186.167	212.63.186.167	DO
212.63.186.168	212.63.186.168	AR
212.63.186.169	212.63.186.169	US
212.63.186.170	212.63.186.170	PE
212.63.186.171	212.63.186.171	US
212.63.186.172	212.63.186.185	DE
212.63.186.186	212.63.186.187	US
212.63.186.188	212.63.186.191	DE
212.63.186.192	212.63.186.192	US
212.63.186.193	212.63.186.196	DE
212.63.186.197	212.63.186.197	US
212.63.186.198	212.63.186.198	DE
212.63.186.199	212.63.186.199	US
212.63.186.200	212.63.186.222	DE
212.63.186.223	212.63.186.223	US
212.63.186.224	212.63.186.232	DE
212.63.186.233	212.63.186.233	PR
212.63.186.234	212.63.186.243	DE
212.63.186.244	212.63.186.244	US
212.63.186.245	212.63.186.255	DE
212.63.187.0	212.63.187.11	US
212.63.187.12	212.63.187.15	BR
212.63.187.16	212.63.187.19	DE
212.63.187.20	212.63.187.23	BO
212.63.187.24	212.63.187.35	US
212.63.187.36	212.63.187.39	BR
212.63.187.40	212.63.187.43	GU
212.63.187.44	212.63.187.51	US
212.63.187.52	212.63.187.55	MX
212.63.187.56	212.63.187.59	US
212.63.187.60	212.63.187.63	BR
212.63.187.64	212.63.187.67	VE
212.63.187.68	212.63.187.71	AR
212.63.187.72	212.63.187.75	US
212.63.187.76	212.63.187.79	MX
212.63.187.80	212.63.187.91	US
212.63.187.92	212.63.187.95	MX
212.63.187.96	212.63.187.99	US
212.63.187.100	212.63.187.103	CA
212.63.187.104	212.63.187.107	PE
212.63.187.108	212.63.187.111	US
212.63.187.112	212.63.187.115	CA
212.63.187.116	212.63.187.119	US
212.63.187.120	212.63.187.123	PE
212.63.187.124	212.63.187.127	US
212.63.187.128	212.63.187.131	BR
212.63.187.132	212.63.187.135	US
212.63.187.136	212.63.187.139	BR
212.63.187.140	212.63.187.147	US
212.63.187.148	212.63.187.151	CA
212.63.187.152	212.63.187.155	US
212.63.187.156	212.63.187.159	AR
212.63.187.160	212.63.187.171	US
212.63.187.172	212.63.187.175	AR
212.63.187.176	212.63.187.179	BR
212.63.187.180	212.63.187.191	US
212.63.187.192	212.63.187.203	MX
212.63.187.204	212.63.187.211	US
212.63.187.212	212.63.187.215	AR
212.63.187.216	212.63.187.219	MX
212.63.187.220	212.63.187.223	CL
212.63.187.224	212.63.187.227	BR
212.63.187.228	212.63.187.231	MX
212.63.187.232	212.63.187.235	US
212.63.187.236	212.63.187.239	MX
212.63.187.240	212.63.187.247	BR
212.63.187.248	212.63.187.255	US
212.63.188.0	212.63.188.1	DE
212.63.188.2	212.63.188.7	US
212.63.188.8	212.63.188.8	BR
212.63.188.9	212.63.188.10	US
212.63.188.11	212.63.188.12	DE
212.63.188.13	212.63.188.13	CO
212.63.188.14	212.63.188.18	US
212.63.188.19	212.63.188.19	VE
212.63.188.20	212.63.188.20	BR
212.63.188.21	212.63.188.22	VE
212.63.188.23	212.63.188.23	US
212.63.188.24	212.63.188.24	VE
212.63.188.25	212.63.188.26	US
212.63.188.27	212.63.188.27	CO
212.63.188.28	212.63.188.28	US
212.63.188.29	212.63.188.29	AR
212.63.188.30	212.63.188.30	US
212.63.188.31	212.63.188.32	BR
212.63.188.33	212.63.188.35	CO
212.63.188.36	212.63.188.36	MX
212.63.188.37	212.63.188.41	US
212.63.188.42	212.63.188.42	MX
212.63.188.43	212.63.188.45	US
212.63.188.46	212.63.188.46	PR
212.63.188.47	212.63.188.59	US
212.63.188.60	212.63.188.60	DE
212.63.188.61	212.63.188.72	US
212.63.188.73	212.63.188.73	DE
212.63.188.74	212.63.188.79	US
212.63.188.80	212.63.188.80	CA
212.63.188.81	212.63.188.81	US
212.63.188.82	212.63.188.137	DE
212.63.188.138	212.63.188.138	US
212.63.188.139	212.63.188.147	DE
212.63.188.148	212.63.188.148	US
212.63.188.149	212.63.188.151	DE
212.63.188.152	212.63.188.152	US
212.63.188.153	212.63.188.255	DE
212.63.189.0	212.63.189.3	US
212.63.189.4	212.63.189.7	BR
212.63.189.8	212.63.189.11	MX
212.63.189.12	212.63.189.15	CO
212.63.189.16	212.63.189.19	MX
212.63.189.20	212.63.189.23	AR
212.63.189.24	212.63.189.35	US
212.63.189.36	212.63.189.43	DE
212.63.189.44	212.63.189.47	US
212.63.189.48	212.63.189.51	DE
212.63.189.52	212.63.189.55	UY
212.63.189.56	212.63.189.63	US
212.63.189.64	212.63.189.67	PR
212.63.189.68	212.63.189.71	US
212.63.189.72	212.63.189.75	AR
212.63.189.76	212.63.189.83	US
212.63.189.84	212.63.189.87	CO
212.63.189.88	212.63.189.95	US
212.63.189.96	212.63.189.99	BR
212.63.189.100	212.63.189.123	US
212.63.189.124	212.63.189.127	AR
212.63.189.128	212.63.189.131	BR
212.63.189.132	212.63.189.143	US
212.63.189.144	212.63.189.147	PR
212.63.189.148	212.63.189.151	US
212.63.189.152	212.63.189.155	MX
212.63.189.156	212.63.189.163	US
212.63.189.164	212.63.189.167	DE
212.63.189.168	212.63.189.179	US
212.63.189.180	212.63.189.183	CO
212.63.189.184	212.63.189.199	US
212.63.189.200	212.63.189.203	DE
212.63.189.204	212.63.189.207	PR
212.63.189.208	212.63.189.215	US
212.63.189.216	212.63.189.219	PR
212.63.189.220	212.63.189.247	US
212.63.189.248	212.63.189.251	VE
212.63.189.252	212.63.189.255	DE
212.63.190.0	212.63.190.3	CA
212.63.190.4	212.63.190.7	US
212.63.190.8	212.63.190.11	DE
212.63.190.12	212.63.190.31	US
212.63.190.32	212.63.190.35	CA
212.63.190.36	212.63.190.39	CO
212.63.190.40	212.63.190.47	US
212.63.190.48	212.63.190.51	CA
212.63.190.52	212.63.190.67	US
212.63.190.68	212.63.190.71	CO
212.63.190.72	212.63.190.75	US
212.63.190.76	212.63.190.79	AR
212.63.190.80	212.63.190.83	MX
212.63.190.84	212.63.190.87	US
212.63.190.88	212.63.190.91	BR
212.63.190.92	212.63.190.131	US
212.63.190.132	212.63.190.135	MX
212.63.190.136	212.63.190.143	US
212.63.190.144	212.63.190.147	MX
212.63.190.148	212.63.190.151	CO
212.63.190.152	212.63.190.155	US
212.63.190.156	212.63.190.159	AN
212.63.190.160	212.63.190.163	US
212.63.190.164	212.63.190.167	HN
212.63.190.168	212.63.190.171	BR
212.63.190.172	212.63.190.175	CA
212.63.190.176	212.63.190.183	US
212.63.190.184	212.63.190.191	CO
212.63.190.192	212.63.190.195	MX
212.63.190.196	212.63.190.199	US
212.63.190.200	212.63.190.207	AR
212.63.190.208	212.63.190.211	US
212.63.190.212	212.63.190.215	AR
212.63.190.216	212.63.190.231	US
212.63.190.232	212.63.190.235	MX
212.63.190.236	212.63.190.239	DE
212.63.190.240	212.63.190.243	BR
212.63.190.244	212.63.190.255	US
212.63.191.0	212.63.191.39	JP
212.63.191.40	212.63.191.43	KR
212.63.191.44	212.63.191.230	JP
212.63.191.231	212.63.191.231	DE
212.63.191.232	212.63.191.255	JP
212.63.192.0	212.63.204.79	SE
212.63.204.80	212.63.204.83	DK
212.63.204.84	212.63.204.87	ES
212.63.204.88	212.63.204.172	SE
212.63.204.173	212.63.204.174	PL
212.63.204.175	212.63.204.243	SE
212.63.204.244	212.63.204.247	DK
212.63.204.248	212.63.204.255	SE
212.63.205.0	212.63.205.3	NO
212.63.205.4	212.63.205.48	SE
212.63.205.49	212.63.205.50	PL
212.63.205.51	212.63.205.51	SE
212.63.205.52	212.63.205.55	IT
212.63.205.56	212.63.205.63	SE
212.63.205.64	212.63.205.67	DE
212.63.205.68	212.63.205.71	DK
212.63.205.72	212.63.205.75	FR
212.63.205.76	212.63.205.155	SE
212.63.205.156	212.63.205.159	DK
212.63.205.160	212.63.205.167	SE
212.63.205.168	212.63.205.171	DK
212.63.205.172	212.63.206.11	SE
212.63.206.12	212.63.206.15	IT
212.63.206.16	212.63.206.80	SE
212.63.206.81	212.63.206.82	PL
212.63.206.83	212.63.206.84	SE
212.63.206.85	212.63.206.86	FI
212.63.206.87	212.63.206.87	SE
212.63.206.88	212.63.206.91	NO
212.63.206.92	212.63.206.92	SE
212.63.206.93	212.63.206.94	PT
212.63.206.95	212.63.206.95	SE
212.63.206.96	212.63.206.99	IT
212.63.206.100	212.63.206.103	DE
212.63.206.104	212.63.206.107	SE
212.63.206.108	212.63.206.111	NO
212.63.206.112	212.63.206.127	SE
212.63.206.128	212.63.206.131	NL
212.63.206.132	212.63.206.135	DK
212.63.206.136	212.63.206.144	SE
212.63.206.145	212.63.206.146	JP
212.63.206.147	212.63.206.148	SE
212.63.206.149	212.63.206.150	HU
212.63.206.151	212.63.206.151	SE
212.63.206.152	212.63.206.155	FR
212.63.206.156	212.63.206.255	SE
212.63.207.0	212.63.207.3	ES
212.63.207.4	212.63.207.7	NO
212.63.207.8	212.63.207.31	SE
212.63.207.32	212.63.207.35	FI
212.63.207.36	212.63.207.39	SE
212.63.207.40	212.63.207.43	NO
212.63.207.44	212.63.207.127	SE
212.63.207.128	212.63.207.131	DE
212.63.207.132	212.63.207.255	SE
212.63.208.0	212.63.208.3	US
212.63.208.4	212.63.208.8	SE
212.63.208.9	212.63.208.10	ES
212.63.208.11	212.63.208.12	SE
212.63.208.13	212.63.208.14	IT
212.63.208.15	212.63.208.23	SE
212.63.208.24	212.63.208.27	DE
212.63.208.28	212.63.208.107	SE
212.63.208.108	212.63.208.111	PL
212.63.208.112	212.63.208.127	SE
212.63.208.128	212.63.208.132	NL
212.63.208.133	212.63.209.159	SE
212.63.209.160	212.63.209.163	CZ
212.63.209.164	212.63.209.167	SE
212.63.209.168	212.63.209.171	US
212.63.209.172	212.63.209.175	PT
212.63.209.176	212.63.213.15	SE
212.63.213.16	212.63.213.31	JP
212.63.213.32	212.63.217.127	SE
212.63.217.128	212.63.217.255	AX
212.63.218.0	212.63.223.255	SE
212.63.224.0	212.63.255.255	BE
212.64.0.0	212.64.127.255	NL
212.64.128.0	212.64.159.255	GB
212.64.160.0	212.64.191.255	ES
212.64.192.0	212.64.223.255	TR
212.64.224.0	212.64.228.255	DE
212.64.229.0	212.64.229.255	AT
212.64.230.0	212.65.31.255	DE
212.65.32.0	212.65.37.127	BE
212.65.37.128	212.65.37.159	NL
212.65.37.160	212.65.37.223	BE
212.65.37.224	212.65.37.226	NL
212.65.37.227	212.65.63.255	BE
212.65.64.0	212.65.95.255	RU
212.65.96.0	212.65.127.255	MT
212.65.128.0	212.65.159.255	TR
212.65.160.0	212.65.160.255	DE
212.65.161.0	212.65.191.255	CH
212.65.192.0	212.65.255.255	CZ
212.66.0.0	212.66.31.255	DE
212.66.32.0	212.66.63.255	UA
212.66.64.0	212.66.95.255	LU
212.66.96.0	212.66.127.255	IT
212.66.128.0	212.66.159.255	DE
212.66.160.0	212.66.191.255	ES
212.66.192.0	212.66.223.255	FI
212.66.224.0	212.66.255.255	IT
212.67.0.0	212.67.31.255	RU
212.67.32.0	212.67.63.255	FR
212.67.64.0	212.67.95.255	CZ
212.67.96.0	212.67.127.255	GB
212.67.128.0	212.67.159.255	PL
212.67.160.0	212.67.179.127	NL
212.67.179.128	212.67.179.135	BE
212.67.179.136	212.67.191.255	NL
212.67.192.0	212.67.223.255	GB
212.67.224.0	212.67.255.255	AT
212.68.0.0	212.68.31.255	FI
212.68.32.0	212.68.63.255	TR
212.68.64.0	212.68.127.255	DE
212.68.128.0	212.68.159.255	IL
212.68.160.0	212.68.191.255	UA
212.68.192.0	212.68.255.255	BE
212.69.0.0	212.69.31.255	RS
212.69.32.0	212.69.63.255	GB
212.69.64.0	212.69.95.255	PL
212.69.96.0	212.69.127.255	RU
212.69.128.0	212.69.159.255	IT
212.69.160.0	212.69.191.255	AT
212.69.192.0	212.69.255.255	GB
212.70.0.0	212.70.31.255	DK
212.70.32.0	212.70.63.255	SA
212.70.64.0	212.70.95.255	GB
212.70.96.0	212.70.98.79	AT
212.70.98.80	212.70.98.95	DE
212.70.98.96	212.70.127.255	AT
212.70.128.0	212.70.151.255	BG
212.70.152.0	212.70.153.0	MK
212.70.153.1	212.70.159.255	BG
212.70.160.0	212.70.191.255	LV
212.70.192.0	212.70.223.255	GR
212.70.224.0	212.70.255.255	IT
212.71.0.0	212.71.17.7	BE
212.71.17.8	212.71.17.11	NL
212.71.17.12	212.71.20.167	BE
212.71.20.168	212.71.20.175	NL
212.71.20.176	212.71.25.31	BE
212.71.25.32	212.71.25.39	NL
212.71.25.40	212.71.31.255	BE
212.71.32.0	212.71.63.255	SA
212.71.64.0	212.71.95.255	NO
212.71.96.0	212.71.127.255	CH
212.71.128.0	212.71.191.255	CZ
212.71.192.0	212.71.223.255	DE
212.71.224.0	212.71.255.255	GB
212.72.0.0	212.72.31.255	OM
212.72.32.0	212.72.32.255	NL
212.72.33.0	212.72.33.55	GB
212.72.33.56	212.72.33.59	NL
212.72.33.60	212.72.33.123	GB
212.72.33.124	212.72.33.127	NL
212.72.33.128	212.72.33.255	GB
212.72.34.0	212.72.34.31	NL
212.72.34.32	212.72.34.127	GB
212.72.34.128	212.72.35.79	NL
212.72.35.80	212.72.35.127	GB
212.72.35.128	212.72.35.191	NL
212.72.35.192	212.72.35.255	GB
212.72.36.0	212.72.37.255	NL
212.72.38.0	212.72.39.31	GB
212.72.39.32	212.72.39.63	NL
212.72.39.64	212.72.39.119	GB
212.72.39.120	212.72.39.123	NL
212.72.39.124	212.72.39.127	GB
212.72.39.128	212.72.39.191	NL
212.72.39.192	212.72.39.239	GB
212.72.39.240	212.72.39.247	NL
212.72.39.248	212.72.39.255	GB
212.72.40.0	212.72.46.255	NL
212.72.47.0	212.72.47.255	GB
212.72.48.0	212.72.48.31	NL
212.72.48.32	212.72.48.47	GB
212.72.48.48	212.72.48.79	NL
212.72.48.80	212.72.48.91	GB
212.72.48.92	212.72.48.95	NL
212.72.48.96	212.72.48.103	GB
212.72.48.104	212.72.50.127	NL
212.72.50.128	212.72.50.159	GB
212.72.50.160	212.72.50.191	NL
212.72.50.192	212.72.50.223	GB
212.72.50.224	212.72.51.3	NL
212.72.51.4	212.72.51.47	GB
212.72.51.48	212.72.51.63	NL
212.72.51.64	212.72.51.95	GB
212.72.51.96	212.72.51.191	NL
212.72.51.192	212.72.51.255	GB
212.72.52.0	212.72.53.95	NL
212.72.53.96	212.72.53.127	GB
212.72.53.128	212.72.53.191	NL
212.72.53.192	212.72.53.255	GB
212.72.54.0	212.72.55.167	NL
212.72.55.168	212.72.55.191	GB
212.72.55.192	212.72.61.255	NL
212.72.62.0	212.72.62.127	GB
212.72.62.128	212.72.63.255	NL
212.72.64.0	212.72.95.255	DE
212.72.96.0	212.72.127.255	SI
212.72.128.0	212.72.159.255	GE
212.72.160.0	212.72.180.95	DE
212.72.180.96	212.72.180.111	US
212.72.180.112	212.72.191.255	DE
212.72.192.0	212.72.223.255	BG
212.72.224.0	212.72.255.255	NL
212.73.0.0	212.73.31.255	SE
212.73.32.0	212.73.63.255	ES
212.73.64.0	212.73.95.255	AM
212.73.96.0	212.73.127.255	RU
212.73.128.0	212.73.159.255	BG
212.73.160.0	212.73.160.55	SE
212.73.160.56	212.73.160.59	DK
212.73.160.60	212.73.160.95	SE
212.73.160.96	212.73.160.127	DK
212.73.160.128	212.73.191.255	SE
212.73.192.0	212.73.192.191	FR
212.73.192.192	212.73.192.223	GB
212.73.192.224	212.73.193.127	FR
212.73.193.128	212.73.193.159	GB
212.73.193.160	212.73.197.255	FR
212.73.198.0	212.73.199.31	GB
212.73.199.32	212.73.199.47	FR
212.73.199.48	212.73.199.255	GB
212.73.200.0	212.73.208.63	FR
212.73.208.64	212.73.208.67	GB
212.73.208.68	212.73.208.71	FR
212.73.208.72	212.73.208.79	GB
212.73.208.80	212.73.208.175	FR
212.73.208.176	212.73.208.191	GB
212.73.208.192	212.73.209.255	FR
212.73.210.0	212.73.210.31	GB
212.73.210.32	212.73.210.47	FR
212.73.210.48	212.73.210.95	GB
212.73.210.96	212.73.219.255	FR
212.73.220.0	212.73.220.255	US
212.73.221.0	212.73.221.31	FR
212.73.221.32	212.73.221.223	GB
212.73.221.224	212.73.224.31	FR
212.73.224.32	212.73.225.39	GB
212.73.225.40	212.73.225.47	FR
212.73.225.48	212.73.235.95	GB
212.73.235.96	212.73.235.119	FR
212.73.235.120	212.73.235.255	GB
212.73.236.0	212.73.236.255	FR
212.73.237.0	212.73.239.255	GB
212.73.240.0	212.73.240.255	FR
212.73.241.0	212.73.241.255	IT
212.73.242.0	212.73.243.255	FR
212.73.244.0	212.73.244.111	GB
212.73.244.112	212.73.244.159	FR
212.73.244.160	212.73.244.175	GB
212.73.244.176	212.73.244.191	FR
212.73.244.192	212.73.245.255	GB
212.73.246.0	212.73.246.63	FR
212.73.246.64	212.73.246.255	GB
212.73.247.0	212.73.247.255	FR
212.73.248.0	212.73.249.255	CH
212.73.250.0	212.73.250.255	SE
212.73.251.0	212.73.251.255	IE
212.73.252.0	212.73.252.255	DK
212.73.253.0	212.73.253.127	FR
212.73.253.128	212.73.253.255	PL
212.73.254.0	212.74.82.127	GB
212.74.82.128	212.74.83.127	FR
212.74.83.128	212.74.127.255	GB
212.74.128.0	212.74.191.255	CH
212.74.192.0	212.74.233.255	RU
212.74.234.0	212.74.234.255	UA
212.74.235.0	212.74.255.255	RU
212.75.0.0	212.75.31.255	BG
212.75.32.0	212.75.37.23	DE
212.75.37.24	212.75.37.31	CH
212.75.37.32	212.75.63.255	DE
212.75.64.0	212.75.82.47	SE
212.75.82.48	212.75.82.63	DK
212.75.82.64	212.75.95.255	SE
212.75.96.0	212.75.127.255	PL
212.75.128.0	212.75.159.255	RU
212.75.160.0	212.75.191.255	ES
212.75.192.0	212.75.255.255	RU
212.76.0.0	212.76.31.255	KZ
212.76.32.0	212.76.63.255	PL
212.76.64.0	212.76.95.255	SA
212.76.96.0	212.76.127.255	IL
212.76.128.0	212.76.191.255	RU
212.76.192.0	212.76.223.255	DE
212.76.224.0	212.76.255.255	BE
212.77.0.0	212.77.31.255	VA
212.77.32.0	212.77.63.255	LI
212.77.64.0	212.77.95.255	IT
212.77.96.0	212.77.127.255	PL
212.77.128.0	212.77.159.255	RU
212.77.160.0	212.77.191.255	DE
212.77.192.0	212.77.223.255	QA
212.77.224.0	212.77.255.255	DE
212.78.0.0	212.78.31.255	IT
212.78.32.0	212.78.63.255	FR
212.78.64.0	212.78.95.255	GB
212.78.96.0	212.78.102.47	DE
212.78.102.48	212.78.102.51	GB
212.78.102.52	212.78.110.131	DE
212.78.110.132	212.78.110.135	GB
212.78.110.136	212.78.111.191	DE
212.78.111.192	212.78.111.207	GB
212.78.111.208	212.78.127.255	DE
212.78.128.0	212.78.159.255	ES
212.78.160.0	212.78.160.255	NL
212.78.161.0	212.78.161.31	GB
212.78.161.32	212.78.161.47	NL
212.78.161.48	212.78.161.55	FR
212.78.161.56	212.78.161.95	GB
212.78.161.96	212.78.161.159	NL
212.78.161.160	212.78.161.175	GB
212.78.161.176	212.78.161.199	NL
212.78.161.200	212.78.161.247	GB
212.78.161.248	212.78.161.251	NL
212.78.161.252	212.78.161.255	GB
212.78.162.0	212.78.162.255	NL
212.78.163.0	212.78.163.75	GB
212.78.163.76	212.78.163.79	NL
212.78.163.80	212.78.163.95	GB
212.78.163.96	212.78.163.223	NL
212.78.163.224	212.78.163.255	GB
212.78.164.0	212.78.164.95	NL
212.78.164.96	212.78.164.127	GB
212.78.164.128	212.78.164.159	FR
212.78.164.160	212.78.164.191	NL
212.78.164.192	212.78.164.255	GB
212.78.165.0	212.78.166.255	NL
212.78.167.0	212.78.167.255	GB
212.78.168.0	212.78.168.39	NL
212.78.168.40	212.78.168.47	GB
212.78.168.48	212.78.168.63	NL
212.78.168.64	212.78.168.71	GB
212.78.168.72	212.78.168.79	NL
212.78.168.80	212.78.168.95	GB
212.78.168.96	212.78.168.111	NL
212.78.168.112	212.78.169.31	GB
212.78.169.32	212.78.169.39	FR
212.78.169.40	212.78.169.47	GB
212.78.169.48	212.78.169.175	NL
212.78.169.176	212.78.169.223	GB
212.78.169.224	212.78.169.255	NL
212.78.170.0	212.78.177.31	GB
212.78.177.32	212.78.177.63	NL
212.78.177.64	212.78.177.71	GB
212.78.177.72	212.78.177.87	NL
212.78.177.88	212.78.177.95	GB
212.78.177.96	212.78.177.127	NL
212.78.177.128	212.78.177.191	GB
212.78.177.192	212.78.177.255	NL
212.78.178.0	212.78.179.127	GB
212.78.179.128	212.78.179.223	NL
212.78.179.224	212.78.179.239	GB
212.78.179.240	212.78.187.255	NL
212.78.188.0	212.78.188.15	GB
212.78.188.16	212.78.188.95	NL
212.78.188.96	212.78.188.127	CH
212.78.188.128	212.78.188.151	GB
212.78.188.152	212.78.188.191	NL
212.78.188.192	212.78.188.239	GB
212.78.188.240	212.78.190.95	NL
212.78.190.96	212.78.190.255	GB
212.78.191.0	212.78.191.15	NL
212.78.191.16	212.78.191.23	BE
212.78.191.24	212.78.191.31	FR
212.78.191.32	212.78.191.39	CH
212.78.191.40	212.78.191.47	GB
212.78.191.48	212.78.191.55	FR
212.78.191.56	212.78.191.79	NL
212.78.191.80	212.78.191.87	DE
212.78.191.88	212.78.191.103	NL
212.78.191.104	212.78.191.119	GB
212.78.191.120	212.78.191.175	NL
212.78.191.176	212.78.191.183	GB
212.78.191.184	212.78.191.223	NL
212.78.191.224	212.78.191.231	GB
212.78.191.232	212.78.223.255	NL
212.78.224.0	212.78.231.255	IE
212.78.232.0	212.78.235.255	GB
212.78.236.0	212.78.255.255	IE
212.79.0.0	212.79.62.135	DE
212.79.62.136	212.79.62.143	AU
212.79.62.144	212.79.63.255	DE
212.79.64.0	212.79.95.255	BE
212.79.112.0	212.79.127.255	UA
212.79.128.0	212.79.159.255	ES
212.79.160.0	212.79.223.255	DE
212.79.224.0	212.79.255.255	NL
212.80.0.0	212.80.28.255	IR
212.80.29.0	212.80.29.255	AE
212.80.30.0	212.80.31.255	IR
212.80.32.0	212.80.63.255	UA
212.80.64.0	212.80.95.255	CZ
212.80.96.0	212.80.127.255	CH
212.80.128.0	212.80.172.7	ES
212.80.172.8	212.80.172.15	NL
212.80.172.16	212.80.172.207	ES
212.80.172.208	212.80.172.223	FR
212.80.172.224	212.80.173.255	ES
212.80.174.0	212.80.174.31	NL
212.80.174.32	212.80.174.47	BE
212.80.174.48	212.80.174.255	ES
212.80.175.0	212.80.175.255	DE
212.80.176.0	212.80.176.247	ES
212.80.176.248	212.80.176.255	FR
212.80.177.0	212.80.178.63	ES
212.80.178.64	212.80.178.127	IT
212.80.178.128	212.80.182.63	ES
212.80.182.64	212.80.182.71	CH
212.80.182.72	212.80.182.127	ES
212.80.182.128	212.80.183.255	CH
212.80.184.0	212.80.191.255	ES
212.80.192.0	212.80.223.255	IT
212.80.224.0	212.80.255.255	DE
212.81.0.0	212.81.31.255	SK
212.81.32.0	212.81.35.255	SE
212.81.36.0	212.81.39.255	GB
212.81.40.0	212.81.63.255	SE
212.81.64.0	212.81.65.127	GB
212.81.65.128	212.81.68.159	FR
212.81.68.160	212.81.68.191	GB
212.81.68.192	212.81.69.15	FR
212.81.69.16	212.81.69.31	GB
212.81.69.32	212.81.70.255	FR
212.81.71.0	212.81.71.255	GB
212.81.72.0	212.81.72.127	FR
212.81.72.128	212.81.73.31	GB
212.81.73.32	212.81.73.159	FR
212.81.73.160	212.81.73.255	GB
212.81.74.0	212.81.76.23	FR
212.81.76.24	212.81.76.31	GB
212.81.76.32	212.81.76.63	FR
212.81.76.64	212.81.76.127	GB
212.81.76.128	212.81.76.255	FR
212.81.77.0	212.81.77.255	GB
212.81.78.0	212.81.78.31	FR
212.81.78.32	212.81.78.47	GB
212.81.78.48	212.81.78.95	FR
212.81.78.96	212.81.78.191	GB
212.81.78.192	212.81.78.199	FR
212.81.78.200	212.81.78.207	GB
212.81.78.208	212.81.78.255	FR
212.81.79.0	212.81.79.255	GB
212.81.80.0	212.81.80.191	FR
212.81.80.192	212.81.80.207	BE
212.81.80.208	212.81.80.223	FR
212.81.80.224	212.81.81.255	GB
212.81.82.0	212.81.82.159	FR
212.81.82.160	212.81.82.191	GB
212.81.82.192	212.81.82.223	FR
212.81.82.224	212.81.83.63	GB
212.81.83.64	212.81.83.127	FR
212.81.83.128	212.81.83.159	GB
212.81.83.160	212.81.83.191	FR
212.81.83.192	212.81.84.191	GB
212.81.84.192	212.81.84.223	FR
212.81.84.224	212.81.85.255	GB
212.81.86.0	212.81.86.127	FR
212.81.86.128	212.81.86.191	GB
212.81.86.192	212.81.86.255	FR
212.81.87.0	212.81.87.63	GB
212.81.87.64	212.81.87.95	FR
212.81.87.96	212.81.87.223	GB
212.81.87.224	212.81.87.255	FR
212.81.88.0	212.81.88.127	GB
212.81.88.128	212.81.89.223	FR
212.81.89.224	212.81.90.127	GB
212.81.90.128	212.81.90.191	FR
212.81.90.192	212.81.90.223	GB
212.81.90.224	212.81.91.31	FR
212.81.91.32	212.81.91.127	GB
212.81.91.128	212.81.91.143	FR
212.81.91.144	212.81.91.159	GB
212.81.91.160	212.81.91.191	FR
212.81.91.192	212.81.91.255	GB
212.81.92.0	212.81.92.127	FR
212.81.92.128	212.81.92.191	GB
212.81.92.192	212.81.92.223	FR
212.81.92.224	212.81.92.255	GB
212.81.93.0	212.81.93.95	FR
212.81.93.96	212.81.93.127	GB
212.81.93.128	212.81.94.63	FR
212.81.94.64	212.81.94.95	GB
212.81.94.96	212.81.94.143	FR
212.81.94.144	212.81.94.159	NL
212.81.94.160	212.81.94.191	DE
212.81.94.192	212.81.95.127	FR
212.81.95.128	212.81.95.191	GB
212.81.95.192	212.81.95.207	FR
212.81.95.208	212.81.95.223	GB
212.81.95.224	212.81.95.255	FR
212.81.96.0	212.81.96.255	GB
212.81.97.0	212.81.97.255	FR
212.81.98.0	212.81.98.127	GB
212.81.98.128	212.81.99.95	FR
212.81.99.96	212.81.99.159	GB
212.81.99.160	212.81.99.191	FR
212.81.99.192	212.81.99.255	GB
212.81.100.0	212.81.100.95	FR
212.81.100.96	212.81.100.159	GB
212.81.100.160	212.81.100.191	FR
212.81.100.192	212.81.102.31	GB
212.81.102.32	212.81.102.63	FR
212.81.102.64	212.81.102.127	GB
212.81.102.128	212.81.102.191	FR
212.81.102.192	212.81.103.255	GB
212.81.104.0	212.81.104.95	FR
212.81.104.96	212.81.104.127	GB
212.81.104.128	212.81.104.175	FR
212.81.104.176	212.81.105.31	GB
212.81.105.32	212.81.105.63	FR
212.81.105.64	212.81.105.79	GB
212.81.105.80	212.81.105.111	FR
212.81.105.112	212.81.105.159	GB
212.81.105.160	212.81.105.255	FR
212.81.106.0	212.81.106.127	GB
212.81.106.128	212.81.106.143	FR
212.81.106.144	212.81.106.159	GB
212.81.106.160	212.81.106.191	DE
212.81.106.192	212.81.106.223	FR
212.81.106.224	212.81.106.255	GB
212.81.107.0	212.81.107.255	FR
212.81.108.0	212.81.109.31	GB
212.81.109.32	212.81.109.47	FR
212.81.109.48	212.81.109.79	GB
212.81.109.80	212.81.109.159	FR
212.81.109.160	212.81.109.255	GB
212.81.110.0	212.81.110.127	FR
212.81.110.128	212.81.110.159	GB
212.81.110.160	212.81.110.191	FR
212.81.110.192	212.81.110.255	GB
212.81.111.0	212.81.112.31	FR
212.81.112.32	212.81.112.47	GB
212.81.112.48	212.81.112.79	FR
212.81.112.80	212.81.112.127	GB
212.81.112.128	212.81.112.223	FR
212.81.112.224	212.81.112.239	GB
212.81.112.240	212.81.112.255	FR
212.81.113.0	212.81.113.95	GB
212.81.113.96	212.81.113.127	FR
212.81.113.128	212.81.113.191	GB
212.81.113.192	212.81.113.255	FR
212.81.114.0	212.81.114.111	GB
212.81.114.112	212.81.114.191	FR
212.81.114.192	212.81.114.255	GB
212.81.115.0	212.81.115.63	FR
212.81.115.64	212.81.115.127	GB
212.81.115.128	212.81.115.159	FR
212.81.115.160	212.81.115.239	GB
212.81.115.240	212.81.116.159	FR
212.81.116.160	212.81.116.255	GB
212.81.117.0	212.81.117.255	FR
212.81.118.0	212.81.120.31	GB
212.81.120.32	212.81.120.63	FR
212.81.120.64	212.81.120.191	GB
212.81.120.192	212.81.120.255	FR
212.81.121.0	212.81.122.127	GB
212.81.122.128	212.81.122.143	FR
212.81.122.144	212.81.123.63	GB
212.81.123.64	212.81.123.95	FR
212.81.123.96	212.81.123.127	GB
212.81.123.128	212.81.124.255	FR
212.81.125.0	212.81.125.191	GB
212.81.125.192	212.81.126.255	FR
212.81.127.0	212.81.127.223	GB
212.81.127.224	212.81.127.239	FR
212.81.127.240	212.81.127.247	GB
212.81.127.248	212.81.127.255	FR
212.81.128.0	212.81.255.255	ES
212.82.0.0	212.82.31.255	GB
212.82.32.0	212.82.63.255	DE
212.82.64.0	212.82.67.255	GB
212.82.68.0	212.82.68.31	NL
212.82.68.32	212.82.99.255	GB
212.82.100.0	212.82.103.255	CH
212.82.104.0	212.82.111.255	IE
212.82.112.0	212.82.117.255	CH
212.82.118.0	212.82.119.255	GB
212.82.120.0	212.82.127.255	CH
212.82.128.0	212.82.159.255	FR
212.82.160.0	212.82.191.255	DE
212.82.192.0	212.82.223.255	UA
212.82.224.0	212.82.255.255	DE
212.83.0.0	212.83.31.255	RU
212.83.32.0	212.83.42.255	DE
212.83.43.0	212.83.44.255	CH
212.83.45.0	212.83.63.255	DE
212.83.64.0	212.83.95.255	NL
212.83.96.0	212.83.127.255	FI
212.83.128.0	212.83.191.255	FR
212.83.192.0	212.83.213.167	NL
212.83.213.168	212.83.213.175	BE
212.83.213.176	212.84.31.255	NL
212.84.32.0	212.84.63.255	IT
212.84.64.0	212.84.127.255	GB
212.84.128.0	212.84.159.255	NL
212.84.160.0	212.84.181.79	GB
212.84.181.80	212.84.181.87	BE
212.84.181.88	212.84.187.55	GB
212.84.187.56	212.84.187.63	GG
212.84.187.64	212.84.188.143	GB
212.84.188.144	212.84.188.151	ES
212.84.188.152	212.84.188.191	GB
212.84.188.192	212.84.188.199	BE
212.84.188.200	212.84.191.239	GB
212.84.191.240	212.84.191.247	GG
212.84.191.248	212.84.191.255	GB
212.84.192.0	212.84.255.255	DE
212.85.0.0	212.85.31.255	GB
212.85.32.0	212.85.63.255	ES
212.85.64.0	212.85.95.255	SE
212.85.96.0	212.85.127.255	PL
212.85.128.0	212.85.159.255	FR
212.85.160.0	212.85.191.255	SI
212.85.192.0	212.85.215.255	GH
212.85.216.0	212.85.217.255	TZ
212.85.218.0	212.85.223.255	SZ
212.85.224.0	212.85.255.255	GB
212.86.0.0	212.86.31.255	FI
212.86.32.0	212.86.63.255	DE
212.86.64.0	212.86.95.255	IR
212.86.96.0	212.86.127.255	UA
212.86.128.0	212.86.223.255	DE
212.86.224.0	212.86.255.255	UA
212.87.0.0	212.87.31.255	PL
212.87.32.0	212.87.63.255	DE
212.87.64.0	212.87.95.255	GB
212.87.96.0	212.87.127.255	BE
212.87.128.0	212.87.159.255	DE
212.87.160.0	212.87.191.255	UA
212.87.192.0	212.87.223.255	ES
212.87.224.0	212.87.255.255	PL
212.88.0.0	212.88.31.255	AT
212.88.32.0	212.88.63.255	GB
212.88.64.0	212.88.95.255	DK
212.88.96.0	212.88.127.255	UG
212.88.128.0	212.88.137.111	DE
212.88.137.112	212.88.137.127	LU
212.88.137.128	212.88.137.191	DE
212.88.137.192	212.88.137.207	US
212.88.137.208	212.88.138.255	DE
212.88.139.0	212.88.139.255	LU
212.88.140.0	212.88.159.255	DE
212.88.160.0	212.88.191.255	AT
212.88.192.0	212.88.223.255	DE
212.88.224.0	212.88.228.95	BE
212.88.228.96	212.88.228.127	LU
212.88.228.128	212.88.239.63	BE
212.88.239.64	212.88.239.79	LU
212.88.239.80	212.88.255.255	BE
212.89.0.0	212.89.31.255	ES
212.89.32.0	212.89.63.255	NO
212.89.64.0	212.89.95.255	GB
212.89.96.0	212.89.159.255	DE
212.89.160.0	212.89.191.255	AT
212.89.192.0	212.89.223.255	DE
212.89.224.0	212.89.255.255	SK
212.90.0.0	212.90.31.255	IT
212.90.64.0	212.90.95.255	FI
212.90.96.0	212.90.106.207	UA
212.90.106.208	212.90.106.211	CZ
212.90.106.212	212.90.127.255	UA
212.90.128.0	212.90.159.255	DE
212.90.160.0	212.90.191.255	UA
212.90.192.0	212.90.223.255	CH
212.90.224.0	212.90.255.255	CZ
212.91.0.0	212.91.31.255	PL
212.91.32.0	212.91.95.255	IT
212.91.96.0	212.91.127.255	HR
212.91.128.0	212.91.159.255	SE
212.91.160.0	212.91.191.255	BG
212.91.192.0	212.91.223.255	RU
212.91.224.0	212.91.251.127	DE
212.91.251.128	212.91.251.143	CH
212.91.251.144	212.91.255.255	DE
212.92.0.0	212.92.17.15	HU
212.92.17.16	212.92.17.23	UA
212.92.17.24	212.92.31.255	HU
212.92.32.0	212.92.63.255	ES
212.92.64.0	212.92.95.255	NL
212.92.96.0	212.92.191.255	RU
212.92.192.0	212.92.223.255	HR
212.92.224.0	212.92.255.255	UA
212.93.0.0	212.93.31.255	DE
212.93.32.0	212.93.63.255	DK
212.93.64.0	212.93.95.255	GB
212.93.96.0	212.93.127.255	LV
212.93.128.0	212.93.159.255	RO
212.93.160.0	212.93.223.255	SA
212.93.224.0	212.93.255.255	SI
212.94.0.0	212.94.31.255	RU
212.94.32.0	212.94.63.255	CH
212.94.64.0	212.94.95.255	FI
212.94.96.0	212.94.127.255	RU
212.94.128.0	212.94.159.255	IT
212.94.160.0	212.94.223.255	FR
212.94.224.0	212.94.255.255	DE
212.95.0.0	212.95.31.255	AT
212.95.32.0	212.95.36.255	DE
212.95.37.0	212.95.37.127	KZ
212.95.37.128	212.95.37.255	DE
212.95.38.0	212.95.38.255	TR
212.95.39.0	212.95.39.255	DE
212.95.40.0	212.95.41.255	TR
212.95.42.0	212.95.42.127	DE
212.95.42.128	212.95.42.255	CA
212.95.43.0	212.95.43.9	DE
212.95.43.10	212.95.43.127	CN
212.95.43.128	212.95.45.255	DE
212.95.46.0	212.95.47.255	TR
212.95.48.0	212.95.48.255	DE
212.95.49.0	212.95.49.255	PL
212.95.50.0	212.95.52.255	DE
212.95.53.0	212.95.53.255	LT
212.95.54.0	212.95.54.255	DE
212.95.55.0	212.95.55.255	HK
212.95.56.0	212.95.56.15	DE
212.95.56.16	212.95.56.31	KZ
212.95.56.32	212.95.56.255	DE
212.95.57.0	212.95.57.255	NL
212.95.58.0	212.95.58.255	DE
212.95.59.0	212.95.59.255	PL
212.95.60.0	212.95.61.255	DE
212.95.62.0	212.95.62.255	ES
212.95.63.0	212.95.63.255	DE
212.95.64.0	212.95.95.255	FR
212.95.96.0	212.95.127.255	DE
212.95.128.0	212.95.159.255	IR
212.95.160.0	212.95.191.255	BG
212.95.192.0	212.95.223.255	ES
212.95.224.0	212.95.225.191	GB
212.95.225.192	212.95.225.215	US
212.95.225.216	212.95.255.255	GB
212.96.0.0	212.96.1.255	GH
212.96.2.0	212.96.4.255	NG
212.96.5.0	212.96.23.255	GH
212.96.24.0	212.96.24.127	MZ
212.96.24.128	212.96.24.255	GH
212.96.25.0	212.96.25.255	MZ
212.96.26.0	212.96.27.255	GH
212.96.28.0	212.96.30.255	NG
212.96.31.0	212.96.31.255	GH
212.96.32.0	212.96.63.255	HU
212.96.64.0	212.96.95.255	FR
212.96.96.0	212.96.127.255	RU
212.96.128.0	212.96.136.191	DE
212.96.136.192	212.96.136.223	GB
212.96.136.224	212.96.139.255	DE
212.96.140.0	212.96.140.31	GB
212.96.140.32	212.96.140.63	DE
212.96.140.64	212.96.140.95	GB
212.96.140.96	212.96.140.127	DE
212.96.140.128	212.96.140.159	GB
212.96.140.160	212.96.140.223	DE
212.96.140.224	212.96.140.255	GB
212.96.141.0	212.96.159.255	DE
212.96.160.0	212.96.191.255	CZ
212.96.192.0	212.96.223.255	RU
212.96.224.0	212.96.255.255	DE
212.97.0.0	212.97.31.255	KG
212.97.32.0	212.97.63.255	IT
212.97.64.0	212.97.95.255	GB
212.97.96.0	212.97.127.255	DE
212.97.128.0	212.97.143.255	DK
212.97.144.0	212.97.145.255	SE
212.97.146.0	212.97.159.255	DK
212.97.160.0	212.97.191.255	ES
212.97.192.0	212.97.255.255	DK
212.98.0.0	212.98.31.255	TR
212.98.32.0	212.98.63.255	CH
212.98.64.0	212.98.127.255	DK
212.98.128.0	212.98.159.255	LB
212.98.160.0	212.98.191.255	BY
212.98.192.0	212.98.255.255	TR
212.99.0.0	212.99.127.255	FR
212.99.128.0	212.99.223.255	DE
212.99.224.0	212.99.255.255	DK
212.100.0.0	212.100.24.255	GB
212.100.25.0	212.100.31.255	EU
212.100.32.0	212.100.63.255	DE
212.100.64.0	212.100.95.255	NG
212.100.96.0	212.100.127.255	GB
212.100.128.0	212.100.159.255	RU
212.100.160.0	212.100.191.255	BE
212.100.192.0	212.100.223.255	SA
212.100.224.0	212.100.228.191	GB
212.100.228.192	212.100.228.199	IT
212.100.228.200	212.100.230.111	GB
212.100.230.112	212.100.230.119	AU
212.100.230.120	212.100.230.223	GB
212.100.230.224	212.100.230.231	AT
212.100.230.232	212.100.231.55	GB
212.100.231.56	212.100.231.59	AT
212.100.231.60	212.100.231.61	DE
212.100.231.62	212.100.231.239	GB
212.100.231.240	212.100.231.247	IE
212.100.231.248	212.100.255.255	GB
212.101.0.0	212.101.31.255	CH
212.101.32.0	212.101.63.255	DE
212.101.64.0	212.101.73.255	ES
212.101.74.0	212.101.74.31	US
212.101.74.32	212.101.95.255	ES
212.101.96.0	212.101.127.255	TR
212.101.128.0	212.101.191.255	SI
212.101.192.0	212.101.223.255	DE
212.101.224.0	212.101.255.255	LB
212.102.0.0	212.102.31.255	SA
212.102.32.0	212.102.95.255	IT
212.102.96.0	212.102.127.255	GB
212.102.128.0	212.102.159.255	RS
212.102.160.0	212.102.191.255	DE
212.102.192.0	212.102.223.255	GB
212.102.224.0	212.102.255.255	DE
212.103.0.0	212.103.31.255	FR
212.103.32.0	212.103.63.255	DE
212.103.64.0	212.103.74.143	CH
212.103.74.144	212.103.74.151	US
212.103.74.152	212.103.74.175	CH
212.103.74.176	212.103.74.191	DE
212.103.74.192	212.103.95.255	CH
212.103.96.0	212.103.127.255	RU
212.103.128.0	212.103.159.255	SI
212.103.160.0	212.103.191.255	EG
212.103.192.0	212.103.223.255	IT
212.103.224.0	212.103.255.255	GB
212.104.0.0	212.104.63.255	IT
212.104.64.0	212.104.95.255	RU
212.104.96.0	212.104.127.255	BG
212.104.128.0	212.104.159.255	GB
212.104.160.0	212.104.191.255	ES
212.104.192.0	212.104.255.255	NL
212.105.0.0	212.105.127.255	SE
212.105.128.0	212.105.159.255	BE
212.105.160.0	212.105.191.255	GB
212.105.192.0	212.105.223.255	DE
212.105.224.0	212.105.255.255	HU
212.106.0.0	212.106.31.255	PL
212.106.32.0	212.106.63.255	RU
212.106.64.0	212.106.95.255	PS
212.106.96.0	212.106.127.255	GB
212.106.128.0	212.106.191.255	PL
212.106.192.0	212.106.255.255	ES
212.107.0.0	212.107.31.255	GR
212.107.32.0	212.107.63.255	EE
212.107.64.0	212.107.71.127	FR
212.107.71.128	212.107.71.143	GB
212.107.71.144	212.107.71.175	FR
212.107.71.176	212.107.71.191	GB
212.107.71.192	212.107.72.31	FR
212.107.72.32	212.107.72.47	GB
212.107.72.48	212.107.72.191	FR
212.107.72.192	212.107.72.207	GB
212.107.72.208	212.107.73.79	FR
212.107.73.80	212.107.73.95	GB
212.107.73.96	212.107.73.111	FR
212.107.73.112	212.107.73.159	GB
212.107.73.160	212.107.74.47	FR
212.107.74.48	212.107.74.63	DE
212.107.74.64	212.107.74.95	FR
212.107.74.96	212.107.74.111	DE
212.107.74.112	212.107.74.191	FR
212.107.74.192	212.107.74.207	NL
212.107.74.208	212.107.75.31	FR
212.107.75.32	212.107.75.47	GB
212.107.75.48	212.107.75.63	IT
212.107.75.64	212.107.75.79	DE
212.107.75.80	212.107.75.111	FR
212.107.75.112	212.107.75.175	GB
212.107.75.176	212.107.75.207	FR
212.107.75.208	212.107.75.223	GB
212.107.75.224	212.107.75.255	FR
212.107.76.0	212.107.76.31	GB
212.107.76.32	212.107.76.47	FR
212.107.76.48	212.107.76.143	GB
212.107.76.144	212.107.76.175	FR
212.107.76.176	212.107.76.191	BE
212.107.76.192	212.107.76.239	FR
212.107.76.240	212.107.76.255	GB
212.107.77.0	212.107.77.15	FR
212.107.77.16	212.107.77.31	GB
212.107.77.32	212.107.77.66	FR
212.107.77.67	212.107.77.79	GB
212.107.77.80	212.107.77.159	FR
212.107.77.160	212.107.77.175	BE
212.107.77.176	212.107.77.191	FR
212.107.77.192	212.107.77.207	IT
212.107.77.208	212.107.78.95	FR
212.107.78.96	212.107.78.111	GB
212.107.78.112	212.107.78.143	FR
212.107.78.144	212.107.78.159	GB
212.107.78.160	212.107.78.191	FR
212.107.78.192	212.107.78.207	IT
212.107.78.208	212.107.79.79	FR
212.107.79.80	212.107.79.95	GB
212.107.79.96	212.107.79.255	FR
212.107.80.0	212.107.80.31	GB
212.107.80.32	212.107.80.111	FR
212.107.80.112	212.107.80.127	US
212.107.80.128	212.107.80.159	GB
212.107.80.160	212.107.81.127	FR
212.107.81.128	212.107.81.143	GB
212.107.81.144	212.107.81.159	FR
212.107.81.160	212.107.81.175	GB
212.107.81.176	212.107.81.239	FR
212.107.81.240	212.107.81.255	NL
212.107.82.0	212.107.82.15	FR
212.107.82.16	212.107.82.31	GB
212.107.82.32	212.107.82.47	FR
212.107.82.48	212.107.82.79	GB
212.107.82.80	212.107.82.111	FR
212.107.82.112	212.107.82.127	GB
212.107.82.128	212.107.82.143	FR
212.107.82.144	212.107.82.159	GB
212.107.82.160	212.107.82.175	FR
212.107.82.176	212.107.82.191	GB
212.107.82.192	212.107.82.223	FR
212.107.82.224	212.107.83.31	GB
212.107.83.32	212.107.83.47	FR
212.107.83.48	212.107.83.63	DE
212.107.83.64	212.107.83.95	GB
212.107.83.96	212.107.83.111	US
212.107.83.112	212.107.83.127	GB
212.107.83.128	212.107.83.239	FR
212.107.83.240	212.107.83.255	GB
212.107.84.0	212.107.85.63	FR
212.107.85.64	212.107.85.79	BE
212.107.85.80	212.107.88.23	FR
212.107.88.24	212.107.88.31	GB
212.107.88.32	212.107.88.47	FR
212.107.88.48	212.107.88.55	GB
212.107.88.56	212.107.95.79	FR
212.107.95.80	212.107.95.95	DE
212.107.95.96	212.107.95.223	FR
212.107.95.224	212.107.95.239	DE
212.107.95.240	212.107.95.255	FR
212.107.96.0	212.107.127.255	SA
212.107.128.0	212.107.159.255	SE
212.107.160.0	212.107.191.255	DE
212.107.192.0	212.107.255.255	RU
212.108.0.0	212.108.2.39	NL
212.108.2.40	212.108.2.47	GB
212.108.2.48	212.108.2.127	NL
212.108.2.128	212.108.2.135	ES
212.108.2.136	212.108.2.191	NL
212.108.2.192	212.108.2.255	ES
212.108.3.0	212.108.3.47	NL
212.108.3.48	212.108.3.63	ES
212.108.3.64	212.108.3.127	NL
212.108.3.128	212.108.3.135	ES
212.108.3.136	212.108.3.207	NL
212.108.3.208	212.108.4.255	ES
212.108.5.0	212.108.5.7	NL
212.108.5.8	212.108.5.15	ES
212.108.5.16	212.108.5.19	NL
212.108.5.20	212.108.5.23	ES
212.108.5.24	212.108.5.27	NL
212.108.5.28	212.108.5.39	ES
212.108.5.40	212.108.5.191	NL
212.108.5.192	212.108.5.223	ES
212.108.5.224	212.108.5.237	NL
212.108.5.238	212.108.5.255	ES
212.108.6.0	212.108.7.255	GB
212.108.8.0	212.108.9.7	NL
212.108.9.8	212.108.9.15	ES
212.108.9.16	212.108.9.23	FI
212.108.9.24	212.108.9.31	NL
212.108.9.32	212.108.9.63	ES
212.108.9.64	212.108.9.255	NL
212.108.10.0	212.108.11.255	GB
212.108.12.0	212.108.12.15	NL
212.108.12.16	212.108.12.31	ES
212.108.12.32	212.108.12.63	NL
212.108.12.64	212.108.12.79	ES
212.108.12.80	212.108.12.95	NL
212.108.12.96	212.108.12.127	ES
212.108.12.128	212.108.12.255	NL
212.108.13.0	212.108.13.191	ES
212.108.13.192	212.108.16.63	NL
212.108.16.64	212.108.16.127	ES
212.108.16.128	212.108.16.191	NL
212.108.16.192	212.108.17.63	ES
212.108.17.64	212.108.17.159	NL
212.108.17.160	212.108.17.175	GB
212.108.17.176	212.108.17.184	NL
212.108.17.185	212.108.17.191	ES
212.108.17.192	212.108.18.255	NL
212.108.19.0	212.108.19.255	ES
212.108.20.0	212.108.22.7	NL
212.108.22.8	212.108.22.15	ES
212.108.22.16	212.108.22.63	NL
212.108.22.64	212.108.22.127	ES
212.108.22.128	212.108.22.255	NL
212.108.23.0	212.108.25.23	ES
212.108.25.24	212.108.25.95	NL
212.108.25.96	212.108.25.159	ES
212.108.25.160	212.108.25.179	NL
212.108.25.180	212.108.26.255	ES
212.108.27.0	212.108.27.255	NL
212.108.28.0	212.108.29.255	ES
212.108.30.0	212.108.30.127	NL
212.108.30.128	212.108.30.191	ES
212.108.30.192	212.108.30.223	NL
212.108.30.224	212.108.30.255	ES
212.108.31.0	212.108.31.255	US
212.108.32.0	212.108.63.255	AT
212.108.64.0	212.108.95.255	GB
212.108.96.0	212.108.127.255	RU
212.108.128.0	212.108.159.255	TR
212.108.160.0	212.108.191.255	DE
212.108.192.0	212.108.203.255	HU
212.108.204.0	212.108.204.255	SK
212.108.205.0	212.108.205.255	HU
212.108.206.0	212.108.206.255	SK
212.108.207.0	212.108.255.255	HU
212.109.0.0	212.109.31.255	RU
212.109.32.0	212.109.63.255	UA
212.109.64.0	212.109.95.255	CH
212.109.96.0	212.109.127.255	TR
212.109.128.0	212.109.159.255	PL
212.109.160.0	212.109.191.255	IT
212.109.192.0	212.109.223.255	RU
212.109.224.0	212.109.255.255	TR
212.110.0.0	212.110.63.255	IT
212.110.64.0	212.110.95.255	MK
212.110.96.0	212.110.114.255	DE
212.110.115.0	212.110.115.31	CH
212.110.115.32	212.110.127.255	DE
212.110.128.0	212.110.159.255	UA
212.110.160.0	212.110.165.255	GB
212.110.166.0	212.110.166.31	IT
212.110.166.32	212.110.177.31	GB
212.110.177.32	212.110.177.39	IT
212.110.177.40	212.110.177.71	GB
212.110.177.72	212.110.177.79	IT
212.110.177.80	212.110.178.127	GB
212.110.178.128	212.110.178.143	IT
212.110.178.144	212.110.179.95	GB
212.110.179.96	212.110.179.255	IT
212.110.180.0	212.110.191.255	GB
212.110.192.0	212.110.243.255	DE
212.110.244.0	212.110.245.255	RU
212.110.246.0	212.110.255.255	DE
212.111.0.0	212.111.31.255	CZ
212.111.32.0	212.111.63.255	GB
212.111.64.0	212.111.95.255	RU
212.111.96.0	212.111.127.255	ES
212.111.128.0	212.111.191.255	GB
212.111.192.0	212.111.223.255	UA
212.111.224.0	212.111.255.255	DE
212.112.0.0	212.112.63.255	SE
212.112.64.0	212.112.72.31	IT
212.112.72.32	212.112.72.47	BG
212.112.72.48	212.112.77.191	IT
212.112.77.192	212.112.77.207	PH
212.112.77.208	212.112.81.95	IT
212.112.81.96	212.112.81.111	IN
212.112.81.112	212.112.95.255	IT
212.112.96.0	212.112.127.255	KG
212.112.128.0	212.112.141.255	DE
212.112.142.0	212.112.159.255	DK
212.112.160.0	212.112.167.31	SE
212.112.167.32	212.112.167.63	NO
212.112.167.64	212.112.168.255	SE
212.112.169.0	212.112.169.63	NO
212.112.169.64	212.112.169.111	SE
212.112.169.112	212.112.169.119	NL
212.112.169.120	212.112.185.23	SE
212.112.185.24	212.112.185.31	NO
212.112.185.32	212.112.191.255	SE
212.112.192.0	212.112.203.63	DE
212.112.203.64	212.112.203.99	NL
212.112.203.100	212.112.215.255	DE
212.112.216.0	212.112.217.63	NL
212.112.217.64	212.112.255.255	DE
212.113.0.0	212.113.31.255	GB
212.113.32.0	212.113.37.255	UA
212.113.38.0	212.113.38.255	DE
212.113.39.0	212.113.63.255	UA
212.113.64.0	212.113.95.255	BE
212.113.96.0	212.113.127.255	RU
212.113.128.0	212.113.159.255	GB
212.113.160.0	212.113.191.255	PT
212.113.192.0	212.113.223.255	GB
212.113.224.0	212.113.255.255	RU
212.114.0.0	212.114.1.255	TJ
212.114.2.0	212.114.31.255	RU
212.114.32.0	212.114.77.127	DE
212.114.77.128	212.114.77.255	NL
212.114.78.0	212.114.95.255	DE
212.114.96.0	212.114.127.255	NL
212.114.128.0	212.114.200.55	DE
212.114.200.56	212.114.200.63	AT
212.114.200.64	212.114.241.63	DE
212.114.241.64	212.114.241.95	BE
212.114.241.96	212.114.255.255	DE
212.115.0.0	212.115.31.255	TR
212.115.32.0	212.115.63.255	GB
212.115.64.0	212.115.95.255	IT
212.115.96.0	212.115.127.255	ES
212.115.128.0	212.115.130.255	GB
212.115.131.0	212.115.131.31	NL
212.115.131.32	212.115.132.127	GB
212.115.132.128	212.115.132.191	NL
212.115.132.192	212.115.132.255	GB
212.115.133.0	212.115.133.255	NL
212.115.134.0	212.115.134.255	GB
212.115.135.0	212.115.135.127	NL
212.115.135.128	212.115.135.191	GB
212.115.135.192	212.115.135.255	NL
212.115.136.0	212.115.137.255	GB
212.115.138.0	212.115.139.47	NL
212.115.139.48	212.115.139.191	GB
212.115.139.192	212.115.139.255	NL
212.115.140.0	212.115.140.63	GB
212.115.140.64	212.115.140.159	NL
212.115.140.160	212.115.140.255	GB
212.115.141.0	212.115.141.255	NL
212.115.142.0	212.115.145.31	GB
212.115.145.32	212.115.145.63	NL
212.115.145.64	212.115.145.127	GB
212.115.145.128	212.115.145.191	NL
212.115.145.192	212.115.145.223	GB
212.115.145.224	212.115.145.255	NL
212.115.146.0	212.115.146.31	GB
212.115.146.32	212.115.146.63	NL
212.115.146.64	212.115.146.159	GB
212.115.146.160	212.115.146.191	NL
212.115.146.192	212.115.146.223	GB
212.115.146.224	212.115.147.151	NL
212.115.147.152	212.115.147.159	GB
212.115.147.160	212.115.147.167	NL
212.115.147.168	212.115.147.175	GB
212.115.147.176	212.115.147.183	NL
212.115.147.184	212.115.148.255	GB
212.115.149.0	212.115.149.255	NL
212.115.150.0	212.115.150.63	GB
212.115.150.64	212.115.150.127	NL
212.115.150.128	212.115.150.191	GB
212.115.150.192	212.115.150.255	NL
212.115.151.0	212.115.151.39	GB
212.115.151.40	212.115.151.43	NL
212.115.151.44	212.115.151.47	GB
212.115.151.48	212.115.151.63	NL
212.115.151.64	212.115.151.127	GB
212.115.151.128	212.115.151.255	NL
212.115.152.0	212.115.155.31	GB
212.115.155.32	212.115.155.63	NL
212.115.155.64	212.115.155.95	GB
212.115.155.96	212.115.155.127	NL
212.115.155.128	212.115.155.159	GB
212.115.155.160	212.115.155.191	NL
212.115.155.192	212.115.159.255	GB
212.115.160.0	212.115.160.191	NL
212.115.160.192	212.115.160.255	GB
212.115.161.0	212.115.162.255	NL
212.115.163.0	212.115.163.31	GB
212.115.163.32	212.115.163.79	NL
212.115.163.80	212.115.163.95	GB
212.115.163.96	212.115.163.127	NL
212.115.163.128	212.115.163.239	GB
212.115.163.240	212.115.163.255	NL
212.115.164.0	212.115.164.63	GB
212.115.164.64	212.115.164.79	NL
212.115.164.80	212.115.164.111	GB
212.115.164.112	212.115.164.127	NL
212.115.164.128	212.115.164.143	GB
212.115.164.144	212.115.164.223	NL
212.115.164.224	212.115.164.255	GB
212.115.165.0	212.115.166.63	NL
212.115.166.64	212.115.166.255	GB
212.115.167.0	212.115.167.127	NL
212.115.167.128	212.115.167.191	GB
212.115.167.192	212.115.167.223	NL
212.115.167.224	212.115.168.63	GB
212.115.168.64	212.115.168.143	NL
212.115.168.144	212.115.168.175	GB
212.115.168.176	212.115.168.255	NL
212.115.169.0	212.115.171.127	GB
212.115.171.128	212.115.171.143	NL
212.115.171.144	212.115.171.159	GB
212.115.171.160	212.115.172.255	NL
212.115.173.0	212.115.174.255	GB
212.115.175.0	212.115.175.63	NL
212.115.175.64	212.115.175.143	GB
212.115.175.144	212.115.175.159	NL
212.115.175.160	212.115.175.207	GB
212.115.175.208	212.115.175.223	NL
212.115.175.224	212.115.175.239	GB
212.115.175.240	212.115.175.255	NL
212.115.176.0	212.115.176.15	GB
212.115.176.16	212.115.176.191	NL
212.115.176.192	212.115.177.255	GB
212.115.178.0	212.115.178.63	NL
212.115.178.64	212.115.178.95	GB
212.115.178.96	212.115.178.127	NL
212.115.178.128	212.115.178.191	GB
212.115.178.192	212.115.179.255	NL
212.115.180.0	212.115.180.31	GB
212.115.180.32	212.115.180.63	NL
212.115.180.64	212.115.180.223	GB
212.115.180.224	212.115.180.255	NL
212.115.181.0	212.115.181.255	GB
212.115.182.0	212.115.182.63	NL
212.115.182.64	212.115.182.87	GB
212.115.182.88	212.115.182.127	NL
212.115.182.128	212.115.182.175	GB
212.115.182.176	212.115.182.191	NL
212.115.182.192	212.115.182.199	GB
212.115.182.200	212.115.182.239	NL
212.115.182.240	212.115.183.15	GB
212.115.183.16	212.115.183.31	NL
212.115.183.32	212.115.183.63	GB
212.115.183.64	212.115.183.79	NL
212.115.183.80	212.115.183.127	GB
212.115.183.128	212.115.183.207	NL
212.115.183.208	212.115.183.223	GB
212.115.183.224	212.115.183.255	NL
212.115.184.0	212.115.184.255	GB
212.115.185.0	212.115.185.127	NL
212.115.185.128	212.115.186.15	GB
212.115.186.16	212.115.186.31	NL
212.115.186.32	212.115.186.255	GB
212.115.187.0	212.115.187.31	NL
212.115.187.32	212.115.187.63	GB
212.115.187.64	212.115.187.255	NL
212.115.188.0	212.115.189.127	GB
212.115.189.128	212.115.189.223	NL
212.115.189.224	212.115.190.63	GB
212.115.190.64	212.115.190.127	NL
212.115.190.128	212.115.190.223	GB
212.115.190.224	212.115.190.239	NL
212.115.190.240	212.115.191.255	GB
212.115.192.0	212.115.223.255	NL
212.115.224.0	212.115.255.255	UA
212.116.0.0	212.116.31.255	DE
212.116.32.0	212.116.63.255	FI
212.116.64.0	212.116.81.255	SE
212.116.82.0	212.116.82.127	NO
212.116.82.128	212.116.95.255	SE
212.116.96.0	212.116.127.255	RU
212.116.128.0	212.116.159.255	BG
212.116.160.0	212.116.191.255	IL
212.116.192.0	212.116.223.255	SA
212.116.224.0	212.116.232.207	KZ
212.116.232.208	212.116.232.223	AF
212.116.232.224	212.116.255.255	KZ
212.117.0.0	212.117.31.255	LT
212.117.32.0	212.117.63.255	BG
212.117.64.0	212.117.95.255	DE
212.117.96.0	212.117.127.255	CH
212.117.128.0	212.117.140.95	IL
212.117.140.96	212.117.140.111	A2
212.117.140.112	212.117.159.255	IL
212.117.160.0	212.117.191.255	LU
212.117.192.0	212.117.223.255	CH
212.117.224.0	212.117.224.59	GB
212.117.224.60	212.117.224.63	FR
212.117.224.64	212.117.224.255	GB
212.117.225.0	212.117.225.63	DE
212.117.225.64	212.117.225.99	GB
212.117.225.100	212.117.226.255	EU
212.117.227.0	212.117.227.127	GB
212.117.227.128	212.117.227.255	EU
212.117.228.0	212.117.228.55	GB
212.117.228.56	212.117.228.63	EU
212.117.228.64	212.117.228.239	GB
212.117.228.240	212.117.228.255	EU
212.117.229.0	212.117.229.47	GB
212.117.229.48	212.117.229.55	EU
212.117.229.56	212.117.229.71	GB
212.117.229.72	212.117.229.79	EU
212.117.229.80	212.117.229.87	GB
212.117.229.88	212.117.229.95	EU
212.117.229.96	212.117.229.135	GB
212.117.229.136	212.117.229.143	EU
212.117.229.144	212.117.229.191	GB
212.117.229.192	212.117.229.199	FR
212.117.229.200	212.117.229.207	EU
212.117.229.208	212.117.230.223	GB
212.117.230.224	212.117.230.255	EU
212.117.231.0	212.117.231.15	GB
212.117.231.16	212.117.231.31	EU
212.117.231.32	212.117.231.207	GB
212.117.231.208	212.117.231.223	FR
212.117.231.224	212.117.231.255	GB
212.117.232.0	212.117.239.255	EU
212.117.240.0	212.117.240.63	NL
212.117.240.64	212.117.240.111	GB
212.117.240.112	212.117.240.255	EU
212.117.241.0	212.117.241.15	NL
212.117.241.16	212.117.241.31	DK
212.117.241.32	212.117.241.39	NL
212.117.241.40	212.117.241.47	EU
212.117.241.48	212.117.241.135	GB
212.117.241.136	212.117.241.255	EU
212.117.242.0	212.117.242.95	NL
212.117.242.96	212.117.242.255	GB
212.117.243.0	212.117.247.255	EU
212.117.248.0	212.117.248.7	SE
212.117.248.8	212.117.248.255	EU
212.117.249.0	212.117.249.15	DE
212.117.249.16	212.117.249.31	SE
212.117.249.32	212.117.249.63	GB
212.117.249.64	212.117.249.255	EU
212.117.250.0	212.117.250.3	SE
212.117.250.4	212.117.250.7	DE
212.117.250.8	212.117.250.255	EU
212.117.251.0	212.117.251.127	DE
212.117.251.128	212.117.253.255	EU
212.117.254.0	212.117.254.31	DE
212.117.254.32	212.117.254.63	GB
212.117.254.64	212.117.255.255	EU
212.118.0.0	212.118.31.255	JO
212.118.32.0	212.118.63.255	RU
212.118.64.0	212.118.95.255	SI
212.118.96.0	212.118.159.255	SA
212.118.160.0	212.118.223.255	DE
212.118.224.0	212.118.224.7	US
212.118.224.8	212.118.224.15	CA
212.118.224.16	212.118.224.31	US
212.118.224.32	212.118.224.127	GB
212.118.224.128	212.118.224.223	US
212.118.224.224	212.118.226.31	GB
212.118.226.32	212.118.226.63	US
212.118.226.64	212.118.226.143	GB
212.118.226.144	212.118.226.159	US
212.118.226.160	212.118.226.175	GB
212.118.226.176	212.118.226.191	US
212.118.226.192	212.118.226.255	GB
212.118.227.0	212.118.227.255	US
212.118.228.0	212.118.228.255	GB
212.118.229.0	212.118.229.7	US
212.118.229.8	212.118.229.15	GB
212.118.229.16	212.118.229.23	US
212.118.229.24	212.118.229.31	GB
212.118.229.32	212.118.229.127	US
212.118.229.128	212.118.229.255	GB
212.118.230.0	212.118.231.255	CH
212.118.232.0	212.118.232.255	GB
212.118.233.0	212.118.233.143	US
212.118.233.144	212.118.233.159	GB
212.118.233.160	212.118.233.255	US
212.118.234.0	212.118.236.255	GB
212.118.237.0	212.118.237.255	US
212.118.238.0	212.118.238.255	GB
212.118.239.0	212.118.239.15	US
212.118.239.16	212.118.242.239	GB
212.118.242.240	212.118.242.247	US
212.118.242.248	212.118.242.255	GB
212.118.243.0	212.118.243.31	US
212.118.243.32	212.118.243.79	GB
212.118.243.80	212.118.243.159	US
212.118.243.160	212.118.246.31	GB
212.118.246.32	212.118.246.63	US
212.118.246.64	212.118.246.127	GB
212.118.246.128	212.118.246.159	US
212.118.246.160	212.118.246.255	GB
212.118.247.0	212.118.247.255	US
212.118.248.0	212.118.250.7	GB
212.118.250.8	212.118.250.15	US
212.118.250.16	212.118.250.103	GB
212.118.250.104	212.118.250.111	US
212.118.250.112	212.118.250.143	GB
212.118.250.144	212.118.250.159	US
212.118.250.160	212.118.250.207	GB
212.118.250.208	212.118.250.215	US
212.118.250.216	212.118.250.255	GB
212.118.251.0	212.118.251.255	US
212.118.252.0	212.118.252.255	GB
212.118.253.0	212.118.253.127	US
212.118.253.128	212.118.253.231	GB
212.118.253.232	212.118.253.255	US
212.118.254.0	212.118.254.159	GB
212.118.254.160	212.118.254.167	US
212.118.254.168	212.118.254.191	GB
212.118.254.192	212.118.254.255	US
212.118.255.0	212.119.9.175	GB
212.119.9.176	212.119.9.191	DE
212.119.9.192	212.119.9.255	GB
212.119.10.0	212.119.11.63	FR
212.119.11.64	212.119.11.87	GB
212.119.11.88	212.119.11.95	FR
212.119.11.96	212.119.11.119	GB
212.119.11.120	212.119.11.127	FR
212.119.11.128	212.119.11.175	GB
212.119.11.176	212.119.11.191	FR
212.119.11.192	212.119.11.199	GB
212.119.11.200	212.119.11.207	FR
212.119.11.208	212.119.14.111	GB
212.119.14.112	212.119.14.127	DE
212.119.14.128	212.119.31.255	GB
212.119.32.0	212.119.63.255	RU
212.119.64.0	212.119.95.255	SA
212.119.96.0	212.119.127.255	RU
212.119.128.0	212.119.159.255	AT
212.119.160.0	212.119.255.255	RU
212.120.0.0	212.120.31.255	MK
212.120.32.0	212.120.63.255	CH
212.120.64.0	212.120.127.255	NL
212.120.128.0	212.120.136.31	IE
212.120.136.32	212.120.136.63	GB
212.120.136.64	212.120.136.175	IE
212.120.136.176	212.120.136.191	GB
212.120.136.192	212.120.137.223	IE
212.120.137.224	212.120.137.255	GB
212.120.138.0	212.120.140.255	IE
212.120.141.0	212.120.141.31	GB
212.120.141.32	212.120.151.255	IE
212.120.152.0	212.120.152.31	GB
212.120.152.32	212.120.152.111	IE
212.120.152.112	212.120.152.191	GB
212.120.152.192	212.120.153.127	IE
212.120.153.128	212.120.154.127	GB
212.120.154.128	212.120.154.255	IE
212.120.155.0	212.120.155.15	GB
212.120.155.16	212.120.155.31	IE
212.120.155.32	212.120.155.47	GB
212.120.155.48	212.120.155.255	IE
212.120.156.0	212.120.157.127	GB
212.120.157.128	212.120.159.255	IE
212.120.160.0	212.120.191.255	RU
212.120.192.0	212.120.223.255	IR
212.120.224.0	212.120.255.255	GI
212.121.0.0	212.121.63.255	GB
212.121.64.0	212.121.95.255	IT
212.121.96.0	212.121.127.255	NL
212.121.128.0	212.121.135.79	DE
212.121.135.80	212.121.135.95	GB
212.121.135.96	212.121.135.191	DE
212.121.135.192	212.121.135.223	GB
212.121.135.224	212.121.137.95	DE
212.121.137.96	212.121.137.99	GB
212.121.137.100	212.121.137.127	DE
212.121.137.128	212.121.137.255	GB
212.121.138.0	212.121.143.255	DE
212.121.144.0	212.121.144.15	GB
212.121.144.16	212.121.144.71	DE
212.121.144.72	212.121.144.91	GB
212.121.144.92	212.121.144.95	DE
212.121.144.96	212.121.144.99	GB
212.121.144.100	212.121.144.111	DE
212.121.144.112	212.121.144.119	GB
212.121.144.120	212.121.145.103	DE
212.121.145.104	212.121.145.119	GB
212.121.145.120	212.121.145.127	DE
212.121.145.128	212.121.145.135	GB
212.121.145.136	212.121.145.143	DE
212.121.145.144	212.121.145.191	GB
212.121.145.192	212.121.145.199	DE
212.121.145.200	212.121.145.207	GB
212.121.145.208	212.121.145.223	DE
212.121.145.224	212.121.145.255	GB
212.121.146.0	212.121.155.55	DE
212.121.155.56	212.121.155.63	ES
212.121.155.64	212.121.155.167	DE
212.121.155.168	212.121.155.175	GB
212.121.155.176	212.121.155.191	AT
212.121.155.192	212.121.156.223	GB
212.121.156.224	212.121.156.231	DE
212.121.156.232	212.121.156.239	GB
212.121.156.240	212.121.158.255	DE
212.121.159.0	212.121.159.31	GB
212.121.159.32	212.121.159.103	DE
212.121.159.104	212.121.159.107	GB
212.121.159.108	212.121.159.127	DE
212.121.159.128	212.121.159.143	GB
212.121.159.144	212.121.159.151	DE
212.121.159.152	212.121.159.175	GB
212.121.159.176	212.121.159.239	DE
212.121.159.240	212.121.159.243	GB
212.121.159.244	212.121.159.247	DE
212.121.159.248	212.121.159.251	GB
212.121.159.252	212.121.159.255	DE
212.121.160.0	212.121.191.255	FR
212.121.192.0	212.121.223.255	GB
212.121.224.0	212.121.255.255	ES
212.122.0.0	212.122.31.255	RU
212.122.32.0	212.122.63.255	DE
212.122.64.0	212.122.95.255	LT
212.122.96.0	212.122.127.255	ES
212.122.128.0	212.122.159.255	DE
212.122.160.0	212.122.191.255	BG
212.122.192.0	212.122.223.255	PL
212.122.224.0	212.122.255.255	EG
212.123.0.0	212.123.31.255	BE
212.123.32.0	212.123.63.255	DE
212.123.64.0	212.123.95.255	IT
212.123.96.0	212.123.125.143	DE
212.123.125.144	212.123.125.151	AE
212.123.125.152	212.123.127.255	DE
212.123.128.0	212.123.196.39	NL
212.123.196.40	212.123.196.47	GB
212.123.196.48	212.123.196.55	NL
212.123.196.56	212.123.196.71	FR
212.123.196.72	212.123.196.79	NL
212.123.196.80	212.123.196.95	GB
212.123.196.96	212.123.196.111	NL
212.123.196.112	212.123.196.207	GB
212.123.196.208	212.123.197.7	NL
212.123.197.8	212.123.197.47	GB
212.123.197.48	212.123.197.51	FR
212.123.197.52	212.123.197.79	GB
212.123.197.80	212.123.197.111	NL
212.123.197.112	212.123.197.191	GB
212.123.197.192	212.123.197.207	NL
212.123.197.208	212.123.197.223	GB
212.123.197.224	212.123.198.31	NL
212.123.198.32	212.123.198.47	GB
212.123.198.48	212.123.198.55	NL
212.123.198.56	212.123.198.63	GB
212.123.198.64	212.123.198.143	NL
212.123.198.144	212.123.198.191	GB
212.123.198.192	212.123.198.223	NL
212.123.198.224	212.123.198.255	GB
212.123.199.0	212.123.199.63	NL
212.123.199.64	212.123.200.15	GB
212.123.200.16	212.123.200.19	NL
212.123.200.20	212.123.200.63	GB
212.123.200.64	212.123.200.71	NL
212.123.200.72	212.123.200.79	GB
212.123.200.80	212.123.200.159	NL
212.123.200.160	212.123.200.175	GB
212.123.200.176	212.123.200.199	NL
212.123.200.200	212.123.200.207	GB
212.123.200.208	212.123.200.215	NL
212.123.200.216	212.123.200.223	GB
212.123.200.224	212.123.201.63	NL
212.123.201.64	212.123.201.79	GB
212.123.201.80	212.123.201.95	NL
212.123.201.96	212.123.201.223	GB
212.123.201.224	212.123.203.255	NL
212.123.204.0	212.123.204.63	GB
212.123.204.64	212.123.204.95	NL
212.123.204.96	212.123.204.127	GB
212.123.204.128	212.123.204.143	NL
212.123.204.144	212.123.204.255	GB
212.123.205.0	212.123.207.255	NL
212.123.208.0	212.123.208.255	GB
212.123.209.0	212.123.209.31	NL
212.123.209.32	212.123.209.79	GB
212.123.209.80	212.123.209.95	NL
212.123.209.96	212.123.209.111	GB
212.123.209.112	212.123.209.119	NL
212.123.209.120	212.123.209.135	GB
212.123.209.136	212.123.209.143	NL
212.123.209.144	212.123.209.151	GB
212.123.209.152	212.123.209.175	NL
212.123.209.176	212.123.209.183	GB
212.123.209.184	212.123.209.191	NL
212.123.209.192	212.123.209.207	GB
212.123.209.208	212.123.209.215	NL
212.123.209.216	212.123.209.231	GB
212.123.209.232	212.123.209.239	NL
212.123.209.240	212.123.210.7	GB
212.123.210.8	212.123.210.39	NL
212.123.210.40	212.123.210.47	FR
212.123.210.48	212.123.210.72	NL
212.123.210.73	212.123.210.79	GB
212.123.210.80	212.123.210.87	NL
212.123.210.88	212.123.210.255	GB
212.123.211.0	212.123.212.47	NL
212.123.212.48	212.123.212.95	GB
212.123.212.96	212.123.212.127	NL
212.123.212.128	212.123.212.223	GB
212.123.212.224	212.123.213.95	NL
212.123.213.96	212.123.213.111	GB
212.123.213.112	212.123.213.119	NL
212.123.213.120	212.123.213.239	GB
212.123.213.240	212.123.213.247	NL
212.123.213.248	212.123.213.255	GB
212.123.214.0	212.123.214.39	NL
212.123.214.40	212.123.214.47	BE
212.123.214.48	212.123.214.55	NL
212.123.214.56	212.123.214.63	GB
212.123.214.64	212.123.214.95	NL
212.123.214.96	212.123.214.111	GB
212.123.214.112	212.123.214.127	NL
212.123.214.128	212.123.214.143	GB
212.123.214.144	212.123.214.159	NL
212.123.214.160	212.123.214.223	FR
212.123.214.224	212.123.214.239	NL
212.123.214.240	212.123.214.255	GB
212.123.215.0	212.123.215.15	NL
212.123.215.16	212.123.215.31	GB
212.123.215.32	212.123.215.39	NL
212.123.215.40	212.123.215.79	GB
212.123.215.80	212.123.215.127	NL
212.123.215.128	212.123.215.159	GB
212.123.215.160	212.123.215.175	NL
212.123.215.176	212.123.215.191	GB
212.123.215.192	212.123.215.207	NL
212.123.215.208	212.123.215.239	GB
212.123.215.240	212.123.216.15	NL
212.123.216.16	212.123.216.47	GB
212.123.216.48	212.123.216.63	NL
212.123.216.64	212.123.216.111	GB
212.123.216.112	212.123.216.127	NL
212.123.216.128	212.123.216.143	GB
212.123.216.144	212.123.216.191	NL
212.123.216.192	212.123.216.255	GB
212.123.217.0	212.123.217.7	NL
212.123.217.8	212.123.217.15	GB
212.123.217.16	212.123.217.23	NL
212.123.217.24	212.123.217.31	GB
212.123.217.32	212.123.217.95	NL
212.123.217.96	212.123.217.111	GB
212.123.217.112	212.123.217.143	NL
212.123.217.144	212.123.217.159	GB
212.123.217.160	212.123.217.255	NL
212.123.218.0	212.123.218.127	GB
212.123.218.128	212.123.218.223	NL
212.123.218.224	212.123.219.159	GB
212.123.219.160	212.123.219.167	NL
212.123.219.168	212.123.219.255	GB
212.123.220.0	212.123.223.255	NL
212.123.224.0	212.123.224.15	GB
212.123.224.16	212.123.224.31	CH
212.123.224.32	212.123.224.143	NL
212.123.224.144	212.123.224.159	GB
212.123.224.160	212.123.225.7	NL
212.123.225.8	212.123.225.15	GB
212.123.225.16	212.123.225.47	NL
212.123.225.48	212.123.225.63	FR
212.123.225.64	212.123.225.143	NL
212.123.225.144	212.123.225.159	DE
212.123.225.160	212.123.225.183	NL
212.123.225.184	212.123.225.191	GB
212.123.225.192	212.123.225.207	DE
212.123.225.208	212.123.226.15	NL
212.123.226.16	212.123.226.31	GB
212.123.226.32	212.123.226.79	NL
212.123.226.80	212.123.226.87	BE
212.123.226.88	212.123.226.95	NL
212.123.226.96	212.123.226.159	BE
212.123.226.160	212.123.226.239	NL
212.123.226.240	212.123.226.247	GB
212.123.226.248	212.123.227.127	NL
212.123.227.128	212.123.227.159	GB
212.123.227.160	212.123.227.191	FR
212.123.227.192	212.123.227.255	NL
212.123.228.0	212.123.228.31	GB
212.123.228.32	212.123.228.79	NL
212.123.228.80	212.123.228.127	GB
212.123.228.128	212.123.228.223	NL
212.123.228.224	212.123.229.31	GB
212.123.229.32	212.123.230.15	NL
212.123.230.16	212.123.230.23	DE
212.123.230.24	212.123.230.39	NL
212.123.230.40	212.123.230.47	GB
212.123.230.48	212.123.230.95	NL
212.123.230.96	212.123.230.127	DE
212.123.230.128	212.123.230.191	NL
212.123.230.192	212.123.230.207	GB
212.123.230.208	212.123.230.239	BE
212.123.230.240	212.123.230.247	NL
212.123.230.248	212.123.230.255	GB
212.123.231.0	212.123.231.63	NL
212.123.231.64	212.123.231.127	GB
212.123.231.128	212.123.231.255	NL
212.123.232.0	212.123.232.31	GB
212.123.232.32	212.123.232.39	NL
212.123.232.40	212.123.232.47	GB
212.123.232.48	212.123.232.71	BE
212.123.232.72	212.123.232.79	GB
212.123.232.80	212.123.232.95	NL
212.123.232.96	212.123.232.119	GB
212.123.232.120	212.123.232.159	NL
212.123.232.160	212.123.232.191	GB
212.123.232.192	212.123.232.255	NL
212.123.233.0	212.123.233.31	FR
212.123.233.32	212.123.233.159	NL
212.123.233.160	212.123.233.167	BE
212.123.233.168	212.123.233.211	NL
212.123.233.212	212.123.233.223	GB
212.123.233.224	212.123.233.255	NL
212.123.234.0	212.123.234.15	BE
212.123.234.16	212.123.234.31	NL
212.123.234.32	212.123.234.39	IE
212.123.234.40	212.123.234.79	NL
212.123.234.80	212.123.234.111	GB
212.123.234.112	212.123.234.159	NL
212.123.234.160	212.123.234.175	GB
212.123.234.176	212.123.234.207	NL
212.123.234.208	212.123.234.223	BE
212.123.234.224	212.123.234.239	GB
212.123.234.240	212.123.234.255	BE
212.123.235.0	212.123.235.63	NL
212.123.235.64	212.123.235.111	BE
212.123.235.112	212.123.235.143	NL
212.123.235.144	212.123.236.255	GB
212.123.237.0	212.123.238.255	NL
212.123.239.0	212.123.240.255	GB
212.123.241.0	212.123.241.127	NL
212.123.241.128	212.123.241.159	GB
212.123.241.160	212.123.242.39	NL
212.123.242.40	212.123.242.63	GB
212.123.242.64	212.123.242.79	NL
212.123.242.80	212.123.242.95	GB
212.123.242.96	212.123.242.127	NL
212.123.242.128	212.123.243.111	GB
212.123.243.112	212.123.243.127	NL
212.123.243.128	212.123.244.191	GB
212.123.244.192	212.123.246.63	NL
212.123.246.64	212.123.246.255	GB
212.123.247.0	212.123.253.255	NL
212.123.254.0	212.123.255.255	GB
212.124.0.0	212.124.31.255	RU
212.124.32.0	212.124.63.255	DE
212.124.64.0	212.124.95.255	BG
212.124.96.0	212.124.103.255	ES
212.124.104.0	212.124.123.255	US
212.124.124.0	212.124.127.255	RU
212.124.128.0	212.124.159.255	AT
212.124.160.0	212.124.191.255	RS
212.124.192.0	212.124.198.231	GB
212.124.198.232	212.124.198.239	FR
212.124.198.240	212.124.202.95	GB
212.124.202.96	212.124.202.103	IE
212.124.202.104	212.124.203.95	GB
212.124.203.96	212.124.203.127	IE
212.124.203.128	212.124.224.47	GB
212.124.224.48	212.124.224.51	CH
212.124.224.52	212.124.224.127	GB
212.124.224.128	212.124.224.143	AT
212.124.224.144	212.124.224.144	GB
212.124.224.145	212.124.224.159	AT
212.124.224.160	212.124.224.191	GB
212.124.224.192	212.124.224.255	AT
212.124.225.0	212.124.225.255	GB
212.124.226.0	212.124.226.19	AT
212.124.226.20	212.124.226.27	GB
212.124.226.28	212.124.226.31	AT
212.124.226.32	212.124.226.43	GB
212.124.226.44	212.124.226.47	AT
212.124.226.48	212.124.226.63	DE
212.124.226.64	212.124.226.71	AT
212.124.226.72	212.124.226.79	CH
212.124.226.80	212.124.226.99	AT
212.124.226.100	212.124.226.119	GB
212.124.226.120	212.124.226.127	AT
212.124.226.128	212.124.226.191	GB
212.124.226.192	212.124.226.199	AT
212.124.226.200	212.124.226.255	GB
212.124.227.0	212.124.227.15	AT
212.124.227.16	212.124.227.47	GB
212.124.227.48	212.124.227.63	DE
212.124.227.64	212.124.234.0	GB
212.124.234.1	212.124.235.255	AT
212.124.236.0	212.124.236.15	GB
212.124.236.16	212.124.236.47	AT
212.124.236.48	212.124.236.63	GB
212.124.236.64	212.124.236.79	AT
212.124.236.80	212.124.236.95	US
212.124.236.96	212.124.236.159	AT
212.124.236.160	212.124.236.167	GB
212.124.236.168	212.124.236.183	AT
212.124.236.184	212.124.236.231	GB
212.124.236.232	212.124.236.235	AT
212.124.236.236	212.124.236.239	CH
212.124.236.240	212.124.236.255	AT
212.124.237.0	212.124.237.39	GB
212.124.237.40	212.124.237.43	CH
212.124.237.44	212.124.237.47	US
212.124.237.48	212.124.237.51	GB
212.124.237.52	212.124.237.63	AT
212.124.237.64	212.124.237.71	GB
212.124.237.72	212.124.237.79	AT
212.124.237.80	212.124.237.95	GB
212.124.237.96	212.124.237.111	AT
212.124.237.112	212.124.237.159	GB
212.124.237.160	212.124.238.71	AT
212.124.238.72	212.124.238.79	GB
212.124.238.80	212.124.238.255	AT
212.124.239.0	212.124.239.7	GB
212.124.239.8	212.124.239.15	CH
212.124.239.16	212.124.239.19	AT
212.124.239.20	212.124.239.31	GB
212.124.239.32	212.124.239.59	AT
212.124.239.60	212.124.239.63	GB
212.124.239.64	212.124.239.67	AT
212.124.239.68	212.124.239.71	GB
212.124.239.72	212.124.239.79	AT
212.124.239.80	212.124.239.87	GB
212.124.239.88	212.124.239.91	AT
212.124.239.92	212.124.239.107	GB
212.124.239.108	212.124.239.111	AT
212.124.239.112	212.124.239.119	GB
212.124.239.120	212.124.239.151	AT
212.124.239.152	212.124.239.155	GB
212.124.239.156	212.124.239.159	AT
212.124.239.160	212.124.239.167	GB
212.124.239.168	212.124.239.175	AT
212.124.239.176	212.124.239.179	GB
212.124.239.180	212.124.239.191	AT
212.124.239.192	212.124.239.223	GB
212.124.239.224	212.124.239.231	AT
212.124.239.232	212.124.239.239	GB
212.124.239.240	212.124.239.255	AT
212.124.240.0	212.124.240.159	GB
212.124.240.160	212.124.240.163	ES
212.124.240.164	212.124.240.167	AT
212.124.240.168	212.124.240.171	IT
212.124.240.172	212.124.240.175	AT
212.124.240.176	212.124.240.195	GB
212.124.240.196	212.124.240.207	AT
212.124.240.208	212.124.240.215	GB
212.124.240.216	212.124.240.223	AT
212.124.240.224	212.124.240.255	GB
212.124.241.0	212.124.241.15	AT
212.124.241.16	212.124.241.35	GB
212.124.241.36	212.124.241.63	AT
212.124.241.64	212.124.241.159	GB
212.124.241.160	212.124.241.191	AT
212.124.241.192	212.124.241.195	GB
212.124.241.196	212.124.241.203	AT
212.124.241.204	212.124.241.207	GB
212.124.241.208	212.124.241.227	AT
212.124.241.228	212.124.241.231	US
212.124.241.232	212.124.241.239	AT
212.124.241.240	212.124.241.255	GB
212.124.242.0	212.124.242.255	AT
212.124.243.0	212.124.243.23	GB
212.124.243.24	212.124.243.127	AT
212.124.243.128	212.124.243.255	GB
212.124.244.0	212.124.244.79	AT
212.124.244.80	212.124.244.87	GB
212.124.244.88	212.124.244.127	AT
212.124.244.128	212.124.244.191	GB
212.124.244.192	212.124.244.255	AT
212.124.245.0	212.124.245.31	NL
212.124.245.32	212.124.245.79	AT
212.124.245.80	212.124.245.99	GB
212.124.245.100	212.124.245.115	AT
212.124.245.116	212.124.245.119	GB
212.124.245.120	212.124.245.127	AT
212.124.245.128	212.124.245.143	GB
212.124.245.144	212.124.245.151	AT
212.124.245.152	212.124.245.159	GB
212.124.245.160	212.124.245.179	AT
212.124.245.180	212.124.245.215	GB
212.124.245.216	212.124.245.219	AT
212.124.245.220	212.124.245.223	GB
212.124.245.224	212.124.245.251	AT
212.124.245.252	212.124.245.255	GB
212.124.246.0	212.124.246.127	AT
212.124.246.128	212.124.246.151	GB
212.124.246.152	212.124.246.159	AT
212.124.246.160	212.124.246.167	SA
212.124.246.168	212.124.246.175	AT
212.124.246.176	212.124.246.191	CH
212.124.246.192	212.124.246.211	GB
212.124.246.212	212.124.246.219	AT
212.124.246.220	212.124.246.223	FR
212.124.246.224	212.124.246.239	GB
212.124.246.240	212.124.246.247	AT
212.124.246.248	212.124.246.255	GB
212.124.247.0	212.124.247.7	AT
212.124.247.8	212.124.247.11	GB
212.124.247.12	212.124.247.31	AT
212.124.247.32	212.124.247.47	GB
212.124.247.48	212.124.247.63	AT
212.124.247.64	212.124.247.79	GB
212.124.247.80	212.124.247.91	AT
212.124.247.92	212.124.247.95	GB
212.124.247.96	212.124.247.127	AT
212.124.247.128	212.124.247.135	GB
212.124.247.136	212.124.247.151	AT
212.124.247.152	212.124.247.167	GB
212.124.247.168	212.124.247.175	CH
212.124.247.176	212.124.247.191	AT
212.124.247.192	212.124.247.207	GB
212.124.247.208	212.124.247.223	AT
212.124.247.224	212.124.248.11	GB
212.124.248.12	212.124.248.15	AT
212.124.248.16	212.124.248.31	GB
212.124.248.32	212.124.248.63	AT
212.124.248.64	212.124.248.95	GB
212.124.248.96	212.124.248.159	AT
212.124.248.160	212.124.248.160	GB
212.124.248.161	212.124.248.223	AT
212.124.248.224	212.124.248.255	GB
212.124.249.0	212.124.249.127	AT
212.124.249.128	212.124.249.135	DE
212.124.249.136	212.124.249.159	GB
212.124.249.160	212.124.249.195	AT
212.124.249.196	212.124.249.211	GB
212.124.249.212	212.124.249.223	AT
212.124.249.224	212.124.249.231	GB
212.124.249.232	212.124.250.255	AT
212.124.251.0	212.124.251.31	GB
212.124.251.32	212.124.251.47	AT
212.124.251.48	212.124.251.103	GB
212.124.251.104	212.124.251.111	FR
212.124.251.112	212.124.251.119	GB
212.124.251.120	212.124.251.127	AT
212.124.251.128	212.124.251.255	GB
212.124.252.0	212.124.252.111	AT
212.124.252.112	212.124.252.159	GB
212.124.252.160	212.124.252.191	AT
212.124.252.192	212.124.252.223	GB
212.124.252.224	212.124.252.239	AT
212.124.252.240	212.124.252.255	GB
212.124.253.0	212.124.253.55	AT
212.124.253.56	212.124.253.127	GB
212.124.253.128	212.124.254.31	AT
212.124.254.32	212.124.254.39	GB
212.124.254.40	212.124.255.255	AT
212.125.0.0	212.125.31.255	TR
212.125.32.0	212.125.42.63	DE
212.125.42.64	212.125.42.87	AT
212.125.42.88	212.125.42.95	LI
212.125.42.96	212.125.63.255	DE
212.125.64.0	212.125.95.255	GB
212.125.96.0	212.125.127.255	DE
212.125.128.0	212.125.159.255	NL
212.125.160.0	212.125.177.143	NO
212.125.177.144	212.125.177.147	SE
212.125.177.148	212.125.255.255	NO
212.126.0.0	212.126.31.255	PL
212.126.32.0	212.126.34.255	IE
212.126.35.0	212.126.35.255	GB
212.126.36.0	212.126.38.63	IE
212.126.38.64	212.126.38.79	GB
212.126.38.80	212.126.38.143	IE
212.126.38.144	212.126.38.159	GB
212.126.38.160	212.126.38.223	IE
212.126.38.224	212.126.39.255	GB
212.126.40.0	212.126.40.255	IE
212.126.41.0	212.126.43.255	GB
212.126.44.0	212.126.44.71	IE
212.126.44.72	212.126.47.255	GB
212.126.48.0	212.126.55.255	IE
212.126.56.0	212.126.63.255	GB
212.126.64.0	212.126.79.255	AT
212.126.80.0	212.126.80.255	LI
212.126.81.0	212.126.95.255	AT
212.126.96.0	212.126.127.255	IQ
212.126.128.0	212.126.159.255	GB
212.126.160.0	212.126.191.255	CH
212.126.192.0	212.126.223.255	DE
212.126.224.0	212.126.255.255	IS
212.127.0.0	212.127.2.15	GB
212.127.2.16	212.127.2.23	NO
212.127.2.24	212.127.15.55	GB
212.127.15.56	212.127.15.63	IE
212.127.15.64	212.127.26.127	GB
212.127.26.128	212.127.26.131	US
212.127.26.132	212.127.31.255	GB
212.127.32.0	212.127.63.255	DE
212.127.64.0	212.127.95.255	PL
212.127.96.0	212.127.127.255	TR
212.127.128.0	212.127.255.255	NL
212.128.0.0	212.128.255.255	ES
212.129.0.0	212.129.63.255	FR
212.129.64.0	212.129.95.255	IE
212.129.96.0	212.129.127.255	RU
212.129.128.0	212.129.255.255	NL
212.130.0.0	212.130.255.255	DK
212.131.0.0	212.131.255.255	IT
212.132.0.0	212.132.255.255	GB
212.133.0.0	212.133.0.255	IE
212.133.1.0	212.133.3.127	FR
212.133.3.128	212.133.5.255	NL
212.133.6.0	212.133.6.255	SE
212.133.7.0	212.133.8.255	GB
212.133.9.0	212.133.9.255	ES
212.133.10.0	212.133.10.255	GB
212.133.11.0	212.133.13.127	DE
212.133.13.128	212.133.14.127	GB
212.133.14.128	212.133.14.159	DE
212.133.14.160	212.133.15.255	GB
212.133.16.0	212.133.16.255	NL
212.133.17.0	212.133.19.255	GB
212.133.20.0	212.133.20.15	FR
212.133.20.16	212.133.20.255	GB
212.133.21.0	212.133.21.255	IT
212.133.22.0	212.133.22.127	GB
212.133.22.128	212.133.22.191	IT
212.133.22.192	212.133.22.255	NL
212.133.23.0	212.133.24.71	GB
212.133.24.72	212.133.24.79	IE
212.133.24.80	212.133.24.95	GB
212.133.24.96	212.133.24.103	DE
212.133.24.104	212.133.24.111	GB
212.133.24.112	212.133.24.127	FR
212.133.24.128	212.133.24.255	GB
212.133.25.0	212.133.25.127	NL
212.133.25.128	212.133.25.159	GB
212.133.25.160	212.133.25.175	FR
212.133.25.176	212.133.25.191	GB
212.133.25.192	212.133.25.255	IT
212.133.26.0	212.133.26.255	CH
212.133.27.0	212.133.27.255	NL
212.133.28.0	212.133.29.79	GB
212.133.29.80	212.133.29.87	DE
212.133.29.88	212.133.29.175	GB
212.133.29.176	212.133.29.183	FR
212.133.29.184	212.133.29.255	GB
212.133.30.0	212.133.30.15	NL
212.133.30.16	212.133.30.223	GB
212.133.30.224	212.133.31.39	DE
212.133.31.40	212.133.31.47	GB
212.133.31.48	212.133.31.63	NL
212.133.31.64	212.133.31.127	GB
212.133.31.128	212.133.31.255	DE
212.133.32.0	212.133.32.255	IS
212.133.33.0	212.133.33.15	GB
212.133.33.16	212.133.33.23	IT
212.133.33.24	212.133.33.31	DE
212.133.33.32	212.133.33.63	GB
212.133.33.64	212.133.33.127	FR
212.133.33.128	212.133.33.143	SE
212.133.33.144	212.133.33.159	DE
212.133.33.160	212.133.33.175	SE
212.133.33.176	212.133.33.191	DK
212.133.33.192	212.133.33.207	GB
212.133.33.208	212.133.33.215	CA
212.133.33.216	212.133.35.255	GB
212.133.36.0	212.133.40.127	FR
212.133.40.128	212.133.40.191	DE
212.133.40.192	212.133.40.255	US
212.133.41.0	212.133.41.255	GB
212.133.42.0	212.133.42.255	IT
212.133.43.0	212.133.43.15	GB
212.133.43.16	212.133.43.31	IE
212.133.43.32	212.133.43.63	DE
212.133.43.64	212.133.43.71	IE
212.133.43.72	212.133.43.79	US
212.133.43.80	212.133.43.111	GB
212.133.43.112	212.133.43.119	IT
212.133.43.120	212.133.43.127	GB
212.133.43.128	212.133.43.191	CZ
212.133.43.192	212.133.43.199	NL
212.133.43.200	212.133.43.255	GB
212.133.44.0	212.133.44.255	US
212.133.45.0	212.133.46.15	GB
212.133.46.16	212.133.46.31	DE
212.133.46.32	212.133.46.47	GB
212.133.46.48	212.133.46.55	IE
212.133.46.56	212.133.46.63	DE
212.133.46.64	212.133.46.71	PR
212.133.46.72	212.133.46.95	GB
212.133.46.96	212.133.46.111	US
212.133.46.112	212.133.46.255	GB
212.133.47.0	212.133.47.255	NL
212.133.48.0	212.133.48.63	FR
212.133.48.64	212.133.48.111	US
212.133.48.112	212.133.48.151	GB
212.133.48.152	212.133.48.159	ZA
212.133.48.160	212.133.53.167	GB
212.133.53.168	212.133.53.175	FR
212.133.53.176	212.133.56.63	GB
212.133.56.64	212.133.56.127	DE
212.133.56.128	212.133.56.151	GB
212.133.56.152	212.133.56.159	IE
212.133.56.160	212.133.56.175	GB
212.133.56.176	212.133.56.183	DE
212.133.56.184	212.133.56.191	GB
212.133.56.192	212.133.56.207	FR
212.133.56.208	212.133.58.167	GB
212.133.58.168	212.133.58.175	FR
212.133.58.176	212.133.58.191	FI
212.133.58.192	212.133.59.47	GB
212.133.59.48	212.133.59.63	DE
212.133.59.64	212.133.59.127	GB
212.133.59.128	212.133.59.255	DE
212.133.60.0	212.133.60.239	GB
212.133.60.240	212.133.60.255	IE
212.133.61.0	212.133.62.255	GB
212.133.63.0	212.133.63.31	IT
212.133.63.32	212.133.63.255	GB
212.133.64.0	212.133.67.255	NL
212.133.68.0	212.133.69.255	GB
212.133.70.0	212.133.71.255	NL
212.133.72.0	212.133.95.255	GB
212.133.96.0	212.133.99.255	NL
212.133.100.0	212.133.101.255	CH
212.133.102.0	212.133.103.255	DE
212.133.104.0	212.133.104.63	GB
212.133.104.64	212.133.104.255	DE
212.133.105.0	212.133.109.127	GB
212.133.109.128	212.133.109.255	DE
212.133.110.0	212.133.110.255	DK
212.133.111.0	212.133.127.255	GB
212.133.128.0	212.133.255.255	TR
212.134.0.0	212.134.104.255	GB
212.134.105.0	212.134.105.255	CA
212.134.106.0	212.135.95.15	GB
212.135.95.16	212.135.95.31	DE
212.135.95.32	212.135.255.255	GB
212.136.0.0	212.136.20.255	NL
212.136.21.0	212.136.21.255	GB
212.136.22.0	212.136.255.255	NL
212.137.0.0	212.137.16.87	GB
212.137.16.88	212.137.16.95	EU
212.137.16.96	212.137.16.143	GB
212.137.16.144	212.137.16.151	EU
212.137.16.152	212.137.16.159	GB
212.137.16.160	212.137.16.167	EU
212.137.16.168	212.137.16.215	GB
212.137.16.216	212.137.16.223	EU
212.137.16.224	212.137.18.7	GB
212.137.18.8	212.137.18.23	EU
212.137.18.24	212.137.18.47	GB
212.137.18.48	212.137.18.55	EU
212.137.18.56	212.137.18.151	GB
212.137.18.152	212.137.18.159	EU
212.137.18.160	212.137.18.167	GB
212.137.18.168	212.137.18.183	EU
212.137.18.184	212.137.18.199	GB
212.137.18.200	212.137.18.207	EU
212.137.18.208	212.137.18.239	GB
212.137.18.240	212.137.18.247	EU
212.137.18.248	212.137.19.95	GB
212.137.19.96	212.137.19.159	EU
212.137.19.160	212.137.19.191	GB
212.137.19.192	212.137.19.255	EU
212.137.20.0	212.137.21.191	GB
212.137.21.192	212.137.21.199	EU
212.137.21.200	212.137.21.215	GB
212.137.21.216	212.137.21.223	EU
212.137.21.224	212.137.21.231	GB
212.137.21.232	212.137.21.239	EU
212.137.21.240	212.137.21.247	GB
212.137.21.248	212.137.22.127	EU
212.137.22.128	212.137.23.255	GB
212.137.24.0	212.137.24.127	EU
212.137.24.128	212.137.24.143	GB
212.137.24.144	212.137.24.255	EU
212.137.25.0	212.137.27.127	GB
212.137.27.128	212.137.27.143	EU
212.137.27.144	212.137.27.223	GB
212.137.27.224	212.137.27.239	EU
212.137.27.240	212.137.28.191	GB
212.137.28.192	212.137.28.255	EU
212.137.29.0	212.137.29.47	GB
212.137.29.48	212.137.29.55	EU
212.137.29.56	212.137.29.79	GB
212.137.29.80	212.137.29.87	EU
212.137.29.88	212.137.29.183	GB
212.137.29.184	212.137.29.191	EU
212.137.29.192	212.137.29.199	GB
212.137.29.200	212.137.29.207	EU
212.137.29.208	212.137.29.223	GB
212.137.29.224	212.137.29.231	EU
212.137.29.232	212.137.30.15	GB
212.137.30.16	212.137.30.23	EU
212.137.30.24	212.137.30.31	GB
212.137.30.32	212.137.30.39	EU
212.137.30.40	212.137.30.55	GB
212.137.30.56	212.137.30.63	EU
212.137.30.64	212.137.30.95	GB
212.137.30.96	212.137.30.103	EU
212.137.30.104	212.137.30.159	GB
212.137.30.160	212.137.30.167	EU
212.137.30.168	212.137.30.183	GB
212.137.30.184	212.137.30.191	EU
212.137.30.192	212.137.30.215	GB
212.137.30.216	212.137.30.231	EU
212.137.30.232	212.137.30.255	GB
212.137.31.0	212.137.31.127	EU
212.137.31.128	212.137.49.15	GB
212.137.49.16	212.137.49.23	EU
212.137.49.24	212.137.49.31	GB
212.137.49.32	212.137.49.39	EU
212.137.49.40	212.137.49.55	GB
212.137.49.56	212.137.49.63	EU
212.137.49.64	212.137.49.87	GB
212.137.49.88	212.137.49.95	EU
212.137.49.96	212.137.49.167	GB
212.137.49.168	212.137.49.175	EU
212.137.49.176	212.137.49.199	GB
212.137.49.200	212.137.49.207	EU
212.137.49.208	212.137.49.239	GB
212.137.49.240	212.137.49.247	EU
212.137.49.248	212.137.50.255	GB
212.137.51.0	212.137.51.63	EU
212.137.51.64	212.137.51.255	GB
212.137.52.0	212.137.52.7	EU
212.137.52.8	212.137.52.63	GB
212.137.52.64	212.137.52.79	EU
212.137.52.80	212.137.52.95	GB
212.137.52.96	212.137.52.103	EU
212.137.52.104	212.137.52.111	GB
212.137.52.112	212.137.52.119	EU
212.137.52.120	212.137.52.151	GB
212.137.52.152	212.137.52.167	EU
212.137.52.168	212.137.52.191	GB
212.137.52.192	212.137.52.215	EU
212.137.52.216	212.137.52.247	GB
212.137.52.248	212.137.52.255	EU
212.137.53.0	212.137.53.255	GB
212.137.54.0	212.137.54.255	ZA
212.137.55.0	212.137.55.255	EU
212.137.56.0	212.137.56.255	GB
212.137.57.0	212.137.57.255	EU
212.137.58.0	212.137.59.127	GB
212.137.59.128	212.137.59.159	EU
212.137.59.160	212.137.60.15	GB
212.137.60.16	212.137.60.31	EU
212.137.60.32	212.137.60.87	GB
212.137.60.88	212.137.60.95	EU
212.137.60.96	212.137.60.119	GB
212.137.60.120	212.137.60.135	EU
212.137.60.136	212.137.60.151	GB
212.137.60.152	212.137.60.159	EU
212.137.60.160	212.137.60.167	GB
212.137.60.168	212.137.60.175	EU
212.137.60.176	212.137.60.215	GB
212.137.60.216	212.137.60.223	EU
212.137.60.224	212.137.60.231	GB
212.137.60.232	212.137.60.247	EU
212.137.60.248	212.137.60.255	GB
212.137.61.0	212.137.61.43	EU
212.137.61.44	212.137.61.51	GB
212.137.61.52	212.137.61.255	EU
212.137.62.0	212.137.62.87	GB
212.137.62.88	212.137.62.95	EU
212.137.62.96	212.137.62.111	GB
212.137.62.112	212.137.62.159	EU
212.137.62.160	212.137.63.15	GB
212.137.63.16	212.137.63.23	EU
212.137.63.24	212.137.63.87	GB
212.137.63.88	212.137.63.95	EU
212.137.63.96	212.137.63.103	GB
212.137.63.104	212.137.63.111	EU
212.137.63.112	212.137.63.199	GB
212.137.63.200	212.137.63.223	EU
212.137.63.224	212.137.71.255	GB
212.137.72.0	212.137.72.255	EU
212.137.73.0	212.137.73.255	GB
212.137.74.0	212.137.74.7	EU
212.137.74.8	212.137.74.87	GB
212.137.74.88	212.137.74.103	EU
212.137.74.104	212.137.74.119	GB
212.137.74.120	212.137.74.127	EU
212.137.74.128	212.137.74.183	GB
212.137.74.184	212.137.74.191	EU
212.137.74.192	212.137.74.231	GB
212.137.74.232	212.137.74.239	EU
212.137.74.240	212.137.75.15	GB
212.137.75.16	212.137.75.31	EU
212.137.75.32	212.137.75.63	GB
212.137.75.64	212.137.75.79	EU
212.137.75.80	212.137.75.175	GB
212.137.75.176	212.137.75.191	EU
212.137.75.192	212.137.75.207	GB
212.137.75.208	212.137.75.255	EU
212.137.76.0	212.137.77.63	GB
212.137.77.64	212.137.78.15	EU
212.137.78.16	212.137.78.79	GB
212.137.78.80	212.137.78.87	EU
212.137.78.88	212.137.78.103	GB
212.137.78.104	212.137.78.119	EU
212.137.78.120	212.137.78.143	GB
212.137.78.144	212.137.78.255	EU
212.137.79.0	212.137.79.127	GB
212.137.79.128	212.137.79.255	EU
212.137.80.0	212.137.81.23	GB
212.137.81.24	212.137.81.255	EU
212.137.82.0	212.137.82.255	GB
212.137.83.0	212.137.115.255	EU
212.137.116.0	212.137.255.255	GB
212.138.0.0	212.138.255.255	SA
212.139.0.0	212.140.255.255	GB
212.141.0.0	212.141.255.255	IT
212.142.0.0	212.142.63.255	NL
212.142.64.0	212.142.127.255	LV
212.142.128.0	212.142.255.255	ES
212.143.0.0	212.143.255.255	IL
212.144.0.0	212.144.255.255	DE
212.145.0.0	212.145.255.255	ES
212.146.0.0	212.146.63.255	FI
212.146.64.0	212.146.127.255	RO
212.146.128.0	212.146.255.255	TR
212.147.0.0	212.147.127.255	CH
212.147.128.0	212.147.140.191	IE
212.147.140.192	212.147.140.207	GB
212.147.140.208	212.147.255.255	IE
212.148.0.0	212.148.255.255	GB
212.149.0.0	212.149.63.255	DE
212.149.64.0	212.149.156.155	FI
212.149.156.156	212.149.156.159	SE
212.149.156.160	212.149.255.255	FI
212.150.0.0	212.150.255.255	IL
212.151.0.0	212.151.223.255	SE
212.151.224.0	212.151.224.255	RU
212.151.225.0	212.152.31.255	SE
212.152.32.0	212.152.63.255	RU
212.152.64.0	212.152.127.255	GR
212.152.128.0	212.152.255.255	AT
212.153.0.0	212.153.25.255	NL
212.153.26.0	212.153.26.255	A2
212.153.27.0	212.153.76.255	NL
212.153.77.0	212.153.77.255	US
212.153.78.0	212.153.255.255	NL
212.154.0.0	212.154.127.255	TR
212.154.128.0	212.154.136.127	KZ
212.154.136.128	212.154.136.159	KG
212.154.136.160	212.154.255.255	KZ
212.155.0.0	212.155.255.255	FR
212.156.0.0	212.156.255.255	TR
212.157.0.0	212.157.172.71	FR
212.157.172.72	212.157.172.79	IT
212.157.172.80	212.157.192.159	FR
212.157.192.160	212.157.192.167	SE
212.157.192.168	212.157.255.255	FR
212.158.0.0	212.158.1.255	EU
212.158.2.0	212.158.2.31	GB
212.158.2.32	212.158.2.255	EU
212.158.3.0	212.158.3.255	GB
212.158.4.0	212.158.8.159	EU
212.158.8.160	212.158.8.231	GB
212.158.8.232	212.158.11.255	EU
212.158.12.0	212.158.12.255	GB
212.158.13.0	212.158.20.255	EU
212.158.21.0	212.158.21.31	GB
212.158.21.32	212.158.21.159	EU
212.158.21.160	212.158.21.223	GB
212.158.21.224	212.158.26.247	EU
212.158.26.248	212.158.27.255	GB
212.158.28.0	212.158.34.31	EU
212.158.34.32	212.158.34.63	GB
212.158.34.64	212.158.34.183	EU
212.158.34.184	212.158.34.191	GB
212.158.34.192	212.158.37.255	EU
212.158.38.0	212.158.38.127	GB
212.158.38.128	212.158.40.127	EU
212.158.40.128	212.158.40.255	GB
212.158.41.0	212.158.44.255	EU
212.158.45.0	212.158.45.255	GB
212.158.46.0	212.158.46.255	EU
212.158.47.0	212.158.47.63	GB
212.158.47.64	212.158.47.127	EU
212.158.47.128	212.158.47.159	GB
212.158.47.160	212.158.47.255	EU
212.158.48.0	212.158.48.127	GB
212.158.48.128	212.158.48.255	EU
212.158.49.0	212.158.49.255	GB
212.158.50.0	212.158.51.63	EU
212.158.51.64	212.158.51.127	GB
212.158.51.128	212.158.52.195	EU
212.158.52.196	212.158.52.199	GB
212.158.52.200	212.158.52.207	EU
212.158.52.208	212.158.52.211	GB
212.158.52.212	212.158.52.247	EU
212.158.52.248	212.158.52.255	GB
212.158.53.0	212.158.60.255	EU
212.158.61.0	212.158.61.255	GB
212.158.62.0	212.158.63.255	EU
212.158.64.0	212.158.64.63	GB
212.158.64.64	212.158.66.255	EU
212.158.67.0	212.158.67.255	GB
212.158.68.0	212.158.69.127	EU
212.158.69.128	212.158.69.255	GB
212.158.70.0	212.158.74.7	EU
212.158.74.8	212.158.74.15	GB
212.158.74.16	212.158.74.95	EU
212.158.74.96	212.158.74.127	GB
212.158.74.128	212.158.74.255	EU
212.158.75.0	212.158.75.7	GB
212.158.75.8	212.158.75.191	EU
212.158.75.192	212.158.75.255	GB
212.158.76.0	212.158.76.15	EU
212.158.76.16	212.158.76.31	GB
212.158.76.32	212.158.76.235	EU
212.158.76.236	212.158.76.239	GB
212.158.76.240	212.158.77.127	EU
212.158.77.128	212.158.77.255	GB
212.158.78.0	212.158.79.63	EU
212.158.79.64	212.158.79.127	GB
212.158.79.128	212.158.90.7	EU
212.158.90.8	212.158.90.15	GB
212.158.90.16	212.158.90.31	EU
212.158.90.32	212.158.90.39	GB
212.158.90.40	212.158.93.231	EU
212.158.93.232	212.158.93.239	GB
212.158.93.240	212.158.94.255	EU
212.158.95.0	212.158.95.255	GB
212.158.96.0	212.158.96.31	EU
212.158.96.32	212.158.96.63	GB
212.158.96.64	212.158.99.79	EU
212.158.99.80	212.158.99.87	GB
212.158.99.88	212.158.99.95	EU
212.158.99.96	212.158.99.111	GB
212.158.99.112	212.158.104.31	EU
212.158.104.32	212.158.104.95	GB
212.158.104.96	212.158.104.127	EU
212.158.104.128	212.158.104.159	GB
212.158.104.160	212.158.107.127	EU
212.158.107.128	212.158.107.255	GB
212.158.108.0	212.158.108.31	EU
212.158.108.32	212.158.108.63	GB
212.158.108.64	212.158.108.127	EU
212.158.108.128	212.158.108.255	GB
212.158.109.0	212.158.109.7	EU
212.158.109.8	212.158.109.23	GB
212.158.109.24	212.158.109.255	EU
212.158.110.0	212.158.110.7	GB
212.158.110.8	212.158.110.23	EU
212.158.110.24	212.158.110.31	GB
212.158.110.32	212.158.110.103	EU
212.158.110.104	212.158.110.111	GB
212.158.110.112	212.158.110.191	EU
212.158.110.192	212.158.110.223	GB
212.158.110.224	212.158.111.63	EU
212.158.111.64	212.158.111.95	GB
212.158.111.96	212.158.111.127	EU
212.158.111.128	212.158.111.159	GB
212.158.111.160	212.158.113.191	EU
212.158.113.192	212.158.113.199	GB
212.158.113.200	212.158.113.207	EU
212.158.113.208	212.158.113.215	GB
212.158.113.216	212.158.113.239	EU
212.158.113.240	212.158.113.255	GB
212.158.114.0	212.158.114.23	EU
212.158.114.24	212.158.114.39	GB
212.158.114.40	212.158.114.55	EU
212.158.114.56	212.158.114.63	GB
212.158.114.64	212.158.114.159	EU
212.158.114.160	212.158.114.183	GB
212.158.114.184	212.158.116.127	EU
212.158.116.128	212.158.116.191	GB
212.158.116.192	212.158.119.255	EU
212.158.120.0	212.158.122.255	GB
212.158.123.0	212.158.124.191	EU
212.158.124.192	212.158.125.127	GB
212.158.125.128	212.158.127.255	EU
212.158.128.0	212.158.159.255	CZ
212.158.160.0	212.158.175.255	RU
212.158.176.0	212.158.191.255	MK
212.158.192.0	212.159.191.255	GB
212.159.192.0	212.159.234.223	NL
212.159.234.224	212.159.234.255	EU
212.159.235.0	212.159.237.255	NL
212.159.238.0	212.159.255.255	EU
212.160.0.0	212.160.255.255	PL
212.161.0.0	212.161.7.127	GB
212.161.7.128	212.161.7.143	CH
212.161.7.144	212.161.7.255	GB
212.161.8.0	212.161.8.255	IE
212.161.9.0	212.161.13.63	GB
212.161.13.64	212.161.13.127	ES
212.161.13.128	212.161.13.143	GB
212.161.13.144	212.161.13.159	ES
212.161.13.160	212.161.13.191	GB
212.161.13.192	212.161.13.255	ES
212.161.14.0	212.161.15.191	GB
212.161.15.192	212.161.15.207	ES
212.161.15.208	212.161.33.175	GB
212.161.33.176	212.161.33.191	IE
212.161.33.192	212.161.41.159	GB
212.161.41.160	212.161.41.191	IE
212.161.41.192	212.161.116.23	GB
212.161.116.24	212.161.116.31	US
212.161.116.32	212.161.116.55	GB
212.161.116.56	212.161.116.63	CH
212.161.116.64	212.161.116.151	GB
212.161.116.152	212.161.116.159	CH
212.161.116.160	212.161.122.159	GB
212.161.122.160	212.161.122.167	NL
212.161.122.168	212.161.122.191	GB
212.161.122.192	212.161.122.199	FR
212.161.122.200	212.161.123.183	GB
212.161.123.184	212.161.123.191	NL
212.161.123.192	212.161.127.255	GB
212.161.128.0	212.161.255.255	CH
212.162.0.0	212.162.0.255	GB
212.162.1.0	212.162.1.3	DE
212.162.1.4	212.162.1.95	GB
212.162.1.96	212.162.1.127	DE
212.162.1.128	212.162.1.191	GB
212.162.1.192	212.162.2.255	DE
212.162.3.0	212.162.3.47	GB
212.162.3.48	212.162.3.63	DE
212.162.3.64	212.162.3.95	GB
212.162.3.96	212.162.3.147	DE
212.162.3.148	212.162.3.151	GB
212.162.3.152	212.162.3.155	DE
212.162.3.156	212.162.3.191	GB
212.162.3.192	212.162.5.127	DE
212.162.5.128	212.162.5.255	GB
212.162.6.0	212.162.6.239	DE
212.162.6.240	212.162.6.255	GB
212.162.7.0	212.162.7.95	DE
212.162.7.96	212.162.7.127	GB
212.162.7.128	212.162.7.191	DE
212.162.7.192	212.162.7.255	GB
212.162.8.0	212.162.8.255	CZ
212.162.9.0	212.162.9.255	DE
212.162.10.0	212.162.11.255	GB
212.162.12.0	212.162.16.255	DE
212.162.17.0	212.162.17.131	GB
212.162.17.132	212.162.17.135	DE
212.162.17.136	212.162.17.171	GB
212.162.17.172	212.162.17.175	DE
212.162.17.176	212.162.17.255	GB
212.162.18.0	212.162.19.127	DE
212.162.19.128	212.162.20.15	GB
212.162.20.16	212.162.20.47	DE
212.162.20.48	212.162.20.63	GB
212.162.20.64	212.162.20.95	DE
212.162.20.96	212.162.23.255	GB
212.162.24.0	212.162.24.255	DE
212.162.25.0	212.162.25.255	FR
212.162.26.0	212.162.26.255	HU
212.162.27.0	212.162.32.159	GB
212.162.32.160	212.162.32.191	DE
212.162.32.192	212.162.32.255	GB
212.162.33.0	212.162.33.255	DE
212.162.34.0	212.162.39.255	GB
212.162.40.0	212.162.40.255	DE
212.162.41.0	212.162.41.255	GB
212.162.42.0	212.162.42.127	ES
212.162.42.128	212.162.43.255	GB
212.162.44.0	212.162.44.255	DE
212.162.45.0	212.162.45.47	RO
212.162.45.48	212.162.45.55	DE
212.162.45.56	212.162.45.255	RO
212.162.46.0	212.162.46.255	GB
212.162.47.0	212.162.47.255	DE
212.162.48.0	212.162.48.79	GB
212.162.48.80	212.162.48.119	DE
212.162.48.120	212.162.48.127	GB
212.162.48.128	212.162.48.135	DE
212.162.48.136	212.162.48.159	GB
212.162.48.160	212.162.48.191	DE
212.162.48.192	212.162.48.255	GB
212.162.49.0	212.162.49.95	DE
212.162.49.96	212.162.49.127	GB
212.162.49.128	212.162.49.223	DE
212.162.49.224	212.162.49.255	GB
212.162.50.0	212.162.50.15	DE
212.162.50.16	212.162.50.63	GB
212.162.50.64	212.162.50.255	DE
212.162.51.0	212.162.51.7	GB
212.162.51.8	212.162.51.15	DE
212.162.51.16	212.162.51.63	GB
212.162.51.64	212.162.51.191	DE
212.162.51.192	212.162.51.255	GB
212.162.52.0	212.162.54.255	DE
212.162.55.0	212.162.55.31	GB
212.162.55.32	212.162.55.47	DE
212.162.55.48	212.162.55.255	GB
212.162.56.0	212.162.57.255	DE
212.162.58.0	212.162.58.31	GB
212.162.58.32	212.162.58.47	DE
212.162.58.48	212.162.58.71	GB
212.162.58.72	212.162.58.79	DE
212.162.58.80	212.162.58.255	GB
212.162.59.0	212.162.60.255	DE
212.162.61.0	212.162.61.255	GB
212.162.62.0	212.162.63.255	DE
212.162.64.0	212.162.127.255	IT
212.162.128.0	212.162.159.255	SA
212.162.160.0	212.162.191.255	SE
212.162.192.0	212.162.194.255	GB
212.162.195.0	212.162.195.51	IN
212.162.195.52	212.162.195.55	GB
212.162.195.56	212.162.195.59	IN
212.162.195.60	212.162.195.255	GB
212.162.196.0	212.162.196.95	IN
212.162.196.96	212.162.213.223	GB
212.162.213.224	212.162.213.255	NL
212.162.214.0	212.162.224.255	GB
212.162.225.0	212.162.225.255	TZ
212.162.226.0	212.162.231.191	GB
212.162.231.192	212.162.231.223	NL
212.162.231.224	212.162.255.127	GB
212.162.255.128	212.162.255.143	GR
212.162.255.144	212.162.255.255	GB
212.163.0.0	212.163.215.255	ES
212.163.216.0	212.163.223.255	NL
212.163.224.0	212.163.235.255	ES
212.163.236.0	212.163.239.255	NL
212.163.240.0	212.163.255.255	ES
212.164.0.0	212.164.255.255	RU
212.165.0.0	212.165.0.255	AT
212.165.1.0	212.165.1.255	EU
212.165.2.0	212.165.2.127	AT
212.165.2.128	212.165.2.191	EU
212.165.2.192	212.165.2.255	AT
212.165.3.0	212.165.3.255	EU
212.165.4.0	212.165.4.127	AT
212.165.4.128	212.165.4.143	EU
212.165.4.144	212.165.4.151	AT
212.165.4.152	212.165.4.255	EU
212.165.5.0	212.165.5.127	AT
212.165.5.128	212.165.9.255	EU
212.165.10.0	212.165.11.255	GB
212.165.12.0	212.165.15.255	EU
212.165.16.0	212.165.31.255	GB
212.165.32.0	212.165.63.255	IT
212.165.64.0	212.165.127.255	NL
212.165.128.0	212.165.129.255	BD
212.165.130.0	212.165.130.15	A2
212.165.130.16	212.165.130.23	GB
212.165.130.24	212.165.130.63	A2
212.165.130.64	212.165.130.71	GB
212.165.130.72	212.165.132.63	A2
212.165.132.64	212.165.132.95	NG
212.165.132.96	212.165.132.127	A2
212.165.132.128	212.165.132.255	NG
212.165.133.0	212.165.133.255	IN
212.165.134.0	212.165.134.255	KE
212.165.135.0	212.165.135.255	NG
212.165.136.0	212.165.139.255	IN
212.165.140.0	212.165.140.3	NG
212.165.140.4	212.165.140.15	A2
212.165.140.16	212.165.140.23	NG
212.165.140.24	212.165.140.31	A2
212.165.140.32	212.165.140.39	KE
212.165.140.40	212.165.140.63	A2
212.165.140.64	212.165.141.255	NG
212.165.142.0	212.165.143.255	TZ
212.165.144.0	212.165.144.255	A2
212.165.145.0	212.165.145.127	TZ
212.165.145.128	212.165.146.15	A2
212.165.146.16	212.165.146.23	PK
212.165.146.24	212.165.146.31	IN
212.165.146.32	212.165.146.71	PK
212.165.146.72	212.165.146.87	A2
212.165.146.88	212.165.146.111	PK
212.165.146.112	212.165.146.119	A2
212.165.146.120	212.165.146.127	IN
212.165.146.128	212.165.146.255	A2
212.165.147.0	212.165.147.63	NG
212.165.147.64	212.165.147.67	A2
212.165.147.68	212.165.147.71	TZ
212.165.147.72	212.165.147.95	KE
212.165.147.96	212.165.147.127	A2
212.165.147.128	212.165.147.191	NG
212.165.147.192	212.165.147.255	KE
212.165.148.0	212.165.148.255	GB
212.165.149.0	212.165.149.255	A2
212.165.150.0	212.165.150.255	ID
212.165.151.0	212.165.151.7	TZ
212.165.151.8	212.165.151.15	KE
212.165.151.16	212.165.151.23	NG
212.165.151.24	212.165.151.31	TZ
212.165.151.32	212.165.151.63	NG
212.165.151.64	212.165.153.255	A2
212.165.154.0	212.165.155.39	KE
212.165.155.40	212.165.155.47	A2
212.165.155.48	212.165.155.51	TZ
212.165.155.52	212.165.155.55	NG
212.165.155.56	212.165.155.63	A2
212.165.155.64	212.165.155.127	TZ
212.165.155.128	212.165.155.143	GA
212.165.155.144	212.165.155.159	NG
212.165.155.160	212.165.155.175	TZ
212.165.155.176	212.165.155.183	A2
212.165.155.184	212.165.155.191	GA
212.165.155.192	212.165.155.223	TZ
212.165.155.224	212.165.155.231	A2
212.165.155.232	212.165.155.239	TZ
212.165.155.240	212.165.155.255	A2
212.165.156.0	212.165.156.255	KE
212.165.157.0	212.165.157.47	A2
212.165.157.48	212.165.157.55	KE
212.165.157.56	212.165.158.47	A2
212.165.158.48	212.165.158.79	PK
212.165.158.80	212.165.158.87	A2
212.165.158.88	212.165.158.95	PK
212.165.158.96	212.165.158.111	A2
212.165.158.112	212.165.158.159	PK
212.165.158.160	212.165.158.255	A2
212.165.159.0	212.165.159.255	PK
212.165.160.0	212.165.160.255	GB
212.165.161.0	212.165.165.255	TZ
212.165.166.0	212.165.166.255	CG
212.165.167.0	212.165.167.255	KE
212.165.168.0	212.165.171.0	NG
212.165.171.1	212.165.179.255	A2
212.165.180.0	212.165.183.127	TJ
212.165.183.128	212.165.250.255	A2
212.165.251.0	212.165.255.255	GB
212.166.0.0	212.166.63.255	BE
212.166.64.0	212.166.95.255	ES
212.166.96.0	212.166.97.47	AT
212.166.97.48	212.166.97.55	GI
212.166.97.56	212.166.127.255	AT
212.166.128.0	212.166.255.255	ES
212.167.0.0	212.167.3.255	GB
212.167.4.0	212.167.4.255	EU
212.167.5.0	212.167.5.255	GB
212.167.6.0	212.167.7.255	EU
212.167.8.0	212.167.8.31	GB
212.167.8.32	212.167.8.255	EU
212.167.9.0	212.167.9.31	IL
212.167.9.32	212.167.10.79	EU
212.167.10.80	212.167.10.255	GB
212.167.11.0	212.167.11.255	DE
212.167.12.0	212.167.12.255	GB
212.167.13.0	212.167.13.47	DE
212.167.13.48	212.167.13.127	EU
212.167.13.128	212.167.13.255	DE
212.167.14.0	212.167.14.127	GB
212.167.14.128	212.167.14.255	EU
212.167.15.0	212.167.15.255	CH
212.167.16.0	212.167.19.255	US
212.167.20.0	212.167.20.255	GB
212.167.21.0	212.167.255.255	EU
212.168.0.0	212.168.255.255	DE
212.169.0.0	212.169.63.255	GB
212.169.64.0	212.169.127.255	NO
212.169.128.0	212.170.255.255	ES
212.171.0.0	212.171.255.255	IT
212.172.0.0	212.172.255.255	DE
212.173.0.0	212.173.180.159	GB
212.173.180.160	212.173.180.167	CH
212.173.180.168	212.173.255.255	GB
212.174.0.0	212.175.255.255	TR
212.176.0.0	212.176.22.15	RU
212.176.22.16	212.176.22.31	UZ
212.176.22.32	212.176.22.159	BY
212.176.22.160	212.176.22.191	RU
212.176.22.192	212.176.22.255	BY
212.176.23.0	212.176.255.255	RU
212.177.0.0	212.177.255.255	IT
212.178.0.0	212.178.31.255	UA
212.178.32.0	212.178.159.255	NL
212.178.160.0	212.178.191.255	DK
212.178.192.0	212.178.223.255	NL
212.178.224.0	212.178.255.255	RS
212.179.0.0	212.179.255.255	IL
212.180.0.0	212.180.33.247	FR
212.180.33.248	212.180.33.255	A2
212.180.34.0	212.180.42.127	FR
212.180.42.128	212.180.42.143	A2
212.180.42.144	212.180.42.207	FR
212.180.42.208	212.180.42.215	A2
212.180.42.216	212.180.68.103	FR
212.180.68.104	212.180.68.111	A2
212.180.68.112	212.180.112.135	FR
212.180.112.136	212.180.112.143	A2
212.180.112.144	212.180.127.255	FR
212.180.128.0	212.180.255.255	PL
212.181.0.0	212.181.255.255	SE
212.182.0.0	212.182.127.255	PL
212.182.128.0	212.182.191.255	NL
212.182.192.0	212.182.216.255	FI
212.182.217.0	212.182.217.63	EE
212.182.217.64	212.182.255.255	FI
212.183.0.0	212.183.127.255	AT
212.183.128.0	212.183.159.255	GB
212.183.160.0	212.183.191.255	IT
212.183.192.0	212.183.255.255	ES
212.184.0.0	212.184.4.191	DE
212.184.4.192	212.184.4.199	CH
212.184.4.200	212.184.79.151	DE
212.184.79.152	212.184.79.159	PL
212.184.79.160	212.184.79.231	DE
212.184.79.232	212.184.79.239	GB
212.184.79.240	212.184.186.127	DE
212.184.186.128	212.184.186.255	ES
212.184.187.0	212.185.87.175	DE
212.185.87.176	212.185.87.183	IT
212.185.87.184	212.185.173.71	DE
212.185.173.72	212.185.173.79	FI
212.185.173.80	212.185.177.255	DE
212.185.178.0	212.185.178.7	IT
212.185.178.8	212.185.255.255	DE
212.186.0.0	212.186.255.255	AT
212.187.0.0	212.187.127.255	NL
212.187.128.0	212.187.169.255	GB
212.187.170.0	212.187.170.127	BG
212.187.170.128	212.187.171.151	GB
212.187.171.152	212.187.171.191	DE
212.187.171.192	212.187.197.255	GB
212.187.198.0	212.187.198.127	FR
212.187.198.128	212.187.229.255	GB
212.187.230.0	212.187.230.255	US
212.187.231.0	212.187.255.255	GB
212.188.0.0	212.188.127.255	RU
212.188.128.0	212.188.255.255	GB
212.189.0.0	212.189.127.255	NL
212.189.128.0	212.189.255.255	IT
212.190.0.0	212.190.65.127	BE
212.190.65.128	212.190.65.255	AT
212.190.66.0	212.190.68.31	BE
212.190.68.32	212.190.68.63	LU
212.190.68.64	212.190.68.191	BE
212.190.68.192	212.190.68.223	LU
212.190.68.224	212.190.69.223	BE
212.190.69.224	212.190.69.255	LU
212.190.70.0	212.190.71.175	BE
212.190.71.176	212.190.71.191	BN
212.190.71.192	212.190.71.223	BE
212.190.71.224	212.190.71.255	FR
212.190.72.0	212.190.77.239	BE
212.190.77.240	212.190.77.255	LU
212.190.78.0	212.190.79.31	BE
212.190.79.32	212.190.79.47	LU
212.190.79.48	212.190.79.191	BE
212.190.79.192	212.190.79.255	LU
212.190.80.0	212.190.86.255	BE
212.190.87.0	212.190.87.127	NL
212.190.87.128	212.190.88.143	BE
212.190.88.144	212.190.88.159	LU
212.190.88.160	212.190.93.255	BE
212.190.94.0	212.190.94.31	LU
212.190.94.32	212.190.114.63	BE
212.190.114.64	212.190.114.79	LU
212.190.114.80	212.190.114.255	BE
212.190.115.0	212.190.115.255	LU
212.190.116.0	212.190.117.255	US
212.190.118.0	212.190.122.127	BE
212.190.122.128	212.190.122.143	LU
212.190.122.144	212.190.122.231	BE
212.190.122.232	212.190.122.239	LU
212.190.122.240	212.190.130.95	BE
212.190.130.96	212.190.130.127	LU
212.190.130.128	212.190.130.159	BE
212.190.130.160	212.190.130.191	LU
212.190.130.192	212.190.145.223	BE
212.190.145.224	212.190.145.255	LU
212.190.146.0	212.190.196.7	BE
212.190.196.8	212.190.196.15	LU
212.190.196.16	212.190.196.63	BE
212.190.196.64	212.190.196.95	NL
212.190.196.96	212.190.196.103	BE
212.190.196.104	212.190.196.111	DE
212.190.196.112	212.190.196.127	BE
212.190.196.128	212.190.196.135	IT
212.190.196.136	212.190.196.255	BE
212.190.197.0	212.190.197.15	LU
212.190.197.16	212.190.201.79	BE
212.190.201.80	212.190.201.95	LU
212.190.201.96	212.190.203.191	BE
212.190.203.192	212.190.203.223	LU
212.190.203.224	212.190.204.79	BE
212.190.204.80	212.190.204.95	LI
212.190.204.96	212.190.205.191	BE
212.190.205.192	212.190.205.199	LU
212.190.205.200	212.190.205.223	BE
212.190.205.224	212.190.206.15	LU
212.190.206.16	212.190.206.127	BE
212.190.206.128	212.190.206.191	LU
212.190.206.192	212.190.207.63	BE
212.190.207.64	212.190.207.95	LU
212.190.207.96	212.190.216.255	BE
212.190.217.0	212.190.217.255	LU
212.190.218.0	212.190.222.239	BE
212.190.222.240	212.190.222.255	NL
212.190.223.0	212.190.224.247	BE
212.190.224.248	212.190.224.255	US
212.190.225.0	212.190.225.31	BE
212.190.225.32	212.190.225.47	US
212.190.225.48	212.190.255.255	BE
212.191.0.0	212.191.255.255	PL
212.192.0.0	212.193.255.255	RU
212.194.0.0	212.195.255.255	FR
212.196.0.0	212.196.255.255	GB
212.197.0.0	212.197.12.255	SK
212.197.13.0	212.197.13.7	IQ
212.197.13.8	212.197.119.111	SK
212.197.119.112	212.197.119.127	NL
212.197.119.128	212.197.127.255	SK
212.197.128.0	212.197.191.255	AT
212.197.192.0	212.197.198.95	FR
212.197.198.96	212.197.198.111	IT
212.197.198.112	212.197.198.143	GB
212.197.198.144	212.197.198.159	FR
212.197.198.160	212.197.198.175	DE
212.197.198.176	212.197.198.191	GB
212.197.198.192	212.197.198.239	FR
212.197.198.240	212.197.198.255	GB
212.197.199.0	212.197.199.47	FR
212.197.199.48	212.197.199.63	GB
212.197.199.64	212.197.199.95	FR
212.197.199.96	212.197.199.111	GB
212.197.199.112	212.197.199.127	FR
212.197.199.128	212.197.199.143	GB
212.197.199.144	212.197.199.159	FR
212.197.199.160	212.197.199.175	GB
212.197.199.176	212.197.199.191	IT
212.197.199.192	212.197.199.223	GB
212.197.199.224	212.197.199.255	FR
212.197.200.0	212.197.200.15	GB
212.197.200.16	212.197.200.31	FR
212.197.200.32	212.197.200.47	DE
212.197.200.48	212.197.200.63	IT
212.197.200.64	212.197.200.143	FR
212.197.200.144	212.197.200.159	GB
212.197.200.160	212.197.200.207	FR
212.197.200.208	212.197.200.223	GB
212.197.200.224	212.197.200.255	FR
212.197.201.0	212.197.201.31	GB
212.197.201.32	212.197.201.63	FR
212.197.201.64	212.197.201.79	BE
212.197.201.80	212.197.201.111	FR
212.197.201.112	212.197.201.127	NL
212.197.201.128	212.197.201.143	GB
212.197.201.144	212.197.201.191	FR
212.197.201.192	212.197.201.207	DE
212.197.201.208	212.197.201.223	GB
212.197.201.224	212.197.201.239	FR
212.197.201.240	212.197.201.255	GB
212.197.202.0	212.197.202.47	FR
212.197.202.48	212.197.202.95	GB
212.197.202.96	212.197.202.111	DE
212.197.202.112	212.197.202.191	FR
212.197.202.192	212.197.202.207	GB
212.197.202.208	212.197.202.223	DE
212.197.202.224	212.197.202.239	FR
212.197.202.240	212.197.202.255	GB
212.197.203.0	212.197.203.31	FR
212.197.203.32	212.197.203.47	US
212.197.203.48	212.197.203.95	FR
212.197.203.96	212.197.203.127	US
212.197.203.128	212.197.203.143	GB
212.197.203.144	212.197.203.191	FR
212.197.203.192	212.197.203.223	GB
212.197.203.224	212.197.203.255	FR
212.197.204.0	212.197.204.31	GB
212.197.204.32	212.197.204.63	FR
212.197.204.64	212.197.204.95	GB
212.197.204.96	212.197.204.111	FR
212.197.204.112	212.197.204.127	GB
212.197.204.128	212.197.204.143	FR
212.197.204.144	212.197.204.159	GB
212.197.204.160	212.197.204.175	FR
212.197.204.176	212.197.204.239	GB
212.197.204.240	212.197.204.255	FR
212.197.205.0	212.197.205.15	GB
212.197.205.16	212.197.205.31	FR
212.197.205.32	212.197.205.47	IT
212.197.205.48	212.197.205.143	FR
212.197.205.144	212.197.205.159	IE
212.197.205.160	212.197.205.191	FR
212.197.205.192	212.197.205.223	GB
212.197.205.224	212.197.205.239	IT
212.197.205.240	212.197.206.63	FR
212.197.206.64	212.197.206.79	GB
212.197.206.80	212.197.206.143	FR
212.197.206.144	212.197.206.159	US
212.197.206.160	212.197.206.175	DE
212.197.206.176	212.197.206.191	GB
212.197.206.192	212.197.206.207	FR
212.197.206.208	212.197.206.223	GB
212.197.206.224	212.197.207.47	FR
212.197.207.48	212.197.207.63	GB
212.197.207.64	212.197.207.95	FR
212.197.207.96	212.197.207.111	GB
212.197.207.112	212.197.207.143	FR
212.197.207.144	212.197.207.159	GB
212.197.207.160	212.197.207.175	NL
212.197.207.176	212.197.207.191	FR
212.197.207.192	212.197.207.207	GB
212.197.207.208	212.197.207.223	FR
212.197.207.224	212.197.207.239	GB
212.197.207.240	212.197.208.15	FR
212.197.208.16	212.197.208.31	GB
212.197.208.32	212.197.208.47	FR
212.197.208.48	212.197.208.63	GB
212.197.208.64	212.197.208.143	FR
212.197.208.144	212.197.208.159	IE
212.197.208.160	212.197.208.175	FR
212.197.208.176	212.197.208.191	GB
212.197.208.192	212.197.208.255	FR
212.197.209.0	212.197.209.31	GB
212.197.209.32	212.197.209.47	FR
212.197.209.48	212.197.209.63	GB
212.197.209.64	212.197.209.79	FR
212.197.209.80	212.197.209.95	ES
212.197.209.96	212.197.209.111	GB
212.197.209.112	212.197.209.159	FR
212.197.209.160	212.197.209.191	GB
212.197.209.192	212.197.209.255	FR
212.197.210.0	212.197.210.15	GB
212.197.210.16	212.197.210.47	FR
212.197.210.48	212.197.210.63	GB
212.197.210.64	212.197.210.223	FR
212.197.210.224	212.197.210.255	GB
212.197.211.0	212.197.211.47	BE
212.197.211.48	212.197.211.63	FR
212.197.211.64	212.197.211.111	BE
212.197.211.112	212.197.217.111	FR
212.197.217.112	212.197.217.127	GB
212.197.217.128	212.197.217.135	FR
212.197.217.136	212.197.217.143	ES
212.197.217.144	212.197.217.255	FR
212.197.218.0	212.197.218.31	NL
212.197.218.32	212.197.218.47	FR
212.197.218.48	212.197.218.191	NL
212.197.218.192	212.197.218.207	SE
212.197.218.208	212.197.219.207	NL
212.197.219.208	212.197.219.223	FR
212.197.219.224	212.197.219.255	NL
212.197.220.0	212.197.229.255	FR
212.197.230.0	212.197.230.31	NL
212.197.230.32	212.197.230.63	FR
212.197.230.64	212.197.230.207	NL
212.197.230.208	212.197.230.223	FR
212.197.230.224	212.197.231.79	NL
212.197.231.80	212.197.231.111	FR
212.197.231.112	212.197.231.127	NL
212.197.231.128	212.197.231.143	FR
212.197.231.144	212.197.231.159	NL
212.197.231.160	212.197.231.175	FR
212.197.231.176	212.197.232.63	NL
212.197.232.64	212.197.232.79	FR
212.197.232.80	212.197.232.127	NL
212.197.232.128	212.197.232.143	FR
212.197.232.144	212.197.232.159	NL
212.197.232.160	212.197.232.175	FR
212.197.232.176	212.197.233.15	NL
212.197.233.16	212.197.233.31	FR
212.197.233.32	212.197.233.79	NL
212.197.233.80	212.197.233.95	FR
212.197.233.96	212.197.233.223	NL
212.197.233.224	212.197.233.239	FR
212.197.233.240	212.197.234.15	NL
212.197.234.16	212.197.234.31	FR
212.197.234.32	212.197.234.79	NL
212.197.234.80	212.197.234.95	FR
212.197.234.96	212.197.234.127	NL
212.197.234.128	212.197.234.143	FR
212.197.234.144	212.197.234.175	NL
212.197.234.176	212.197.234.191	FR
212.197.234.192	212.197.234.207	NL
212.197.234.208	212.197.234.223	FR
212.197.234.224	212.197.234.255	NL
212.197.235.0	212.197.235.15	FR
212.197.235.16	212.197.235.111	NL
212.197.235.112	212.197.235.127	FR
212.197.235.128	212.197.235.143	NL
212.197.235.144	212.197.235.159	FR
212.197.235.160	212.197.235.255	NL
212.197.236.0	212.197.237.255	FR
212.197.238.0	212.197.239.255	BE
212.197.240.0	212.197.241.255	FR
212.197.242.0	212.197.242.15	BE
212.197.242.16	212.197.242.47	FR
212.197.242.48	212.197.242.63	BE
212.197.242.64	212.197.242.79	FR
212.197.242.80	212.197.242.175	BE
212.197.242.176	212.197.242.191	FR
212.197.242.192	212.197.243.31	BE
212.197.243.32	212.197.243.47	FR
212.197.243.48	212.197.243.79	BE
212.197.243.80	212.197.243.95	FR
212.197.243.96	212.197.243.143	BE
212.197.243.144	212.197.243.159	FR
212.197.243.160	212.197.243.175	BE
212.197.243.176	212.197.243.191	FR
212.197.243.192	212.197.244.79	BE
212.197.244.80	212.197.244.95	FR
212.197.244.96	212.197.244.239	BE
212.197.244.240	212.197.244.255	FR
212.197.245.0	212.197.245.31	BE
212.197.245.32	212.197.245.95	FR
212.197.245.96	212.197.245.111	BE
212.197.245.112	212.197.245.255	FR
212.197.246.0	212.197.246.31	BE
212.197.246.32	212.197.246.47	FR
212.197.246.48	212.197.246.63	BE
212.197.246.64	212.197.246.95	FR
212.197.246.96	212.197.246.223	BE
212.197.246.224	212.197.246.239	NL
212.197.246.240	212.197.246.255	FR
212.197.247.0	212.197.247.15	BE
212.197.247.16	212.197.247.31	FR
212.197.247.32	212.197.247.63	BE
212.197.247.64	212.197.247.95	FR
212.197.247.96	212.197.247.159	BE
212.197.247.160	212.197.247.175	FR
212.197.247.176	212.197.247.255	BE
212.197.248.0	212.197.248.111	NL
212.197.248.112	212.197.248.127	FR
212.197.248.128	212.197.248.175	NL
212.197.248.176	212.197.248.191	FR
212.197.248.192	212.197.248.255	NL
212.197.249.0	212.197.249.15	FR
212.197.249.16	212.197.250.159	NL
212.197.250.160	212.197.250.175	FR
212.197.250.176	212.197.250.191	NL
212.197.250.192	212.197.250.239	FR
212.197.250.240	212.197.251.175	NL
212.197.251.176	212.197.251.191	FR
212.197.251.192	212.197.252.15	NL
212.197.252.16	212.197.252.31	FR
212.197.252.32	212.197.252.79	NL
212.197.252.80	212.197.252.95	FR
212.197.252.96	212.197.252.111	NL
212.197.252.112	212.197.252.127	FR
212.197.252.128	212.197.252.143	NL
212.197.252.144	212.197.252.159	FR
212.197.252.160	212.197.252.207	NL
212.197.252.208	212.197.252.223	FR
212.197.252.224	212.197.253.15	NL
212.197.253.16	212.197.253.31	FR
212.197.253.32	212.197.253.63	NL
212.197.253.64	212.197.253.79	FR
212.197.253.80	212.197.253.95	NL
212.197.253.96	212.197.253.127	FR
212.197.253.128	212.197.253.159	NL
212.197.253.160	212.197.253.175	FR
212.197.253.176	212.197.253.207	NL
212.197.253.208	212.197.253.223	FR
212.197.253.224	212.197.253.255	NL
212.197.254.0	212.197.254.255	FR
212.197.255.0	212.197.255.63	NL
212.197.255.64	212.197.255.79	FR
212.197.255.80	212.197.255.149	NL
212.197.255.150	212.197.255.159	FR
212.197.255.160	212.197.255.175	NL
212.197.255.176	212.197.255.207	FR
212.197.255.208	212.197.255.223	NL
212.197.255.224	212.197.255.239	FR
212.197.255.240	212.197.255.255	NL
212.198.0.0	212.198.255.255	FR
212.199.0.0	212.199.74.63	IL
212.199.74.64	212.199.74.127	GB
212.199.74.128	212.199.108.83	IL
212.199.108.84	212.199.108.87	A2
212.199.108.88	212.199.108.255	IL
212.199.109.0	212.199.109.255	A2
212.199.110.0	212.199.136.255	IL
212.199.137.0	212.199.137.255	A2
212.199.138.0	212.199.158.31	IL
212.199.158.32	212.199.158.47	A2
212.199.158.48	212.199.158.63	IL
212.199.158.64	212.199.158.95	A2
212.199.158.96	212.199.158.127	IL
212.199.158.128	212.199.158.143	A2
212.199.158.144	212.199.197.255	IL
212.199.198.0	212.199.198.15	A2
212.199.198.16	212.199.241.127	IL
212.199.241.128	212.199.241.255	A2
212.199.242.0	212.199.255.255	IL
212.200.0.0	212.200.255.255	RS
212.201.0.0	212.202.221.119	DE
212.202.221.120	212.202.221.127	A2
212.202.221.128	212.202.255.255	DE
212.203.0.0	212.203.31.255	NL
212.203.32.0	212.203.112.191	CH
212.203.112.192	212.203.112.207	ES
212.203.112.208	212.203.127.255	CH
212.203.128.0	212.203.255.255	PL
212.204.0.0	212.204.120.223	DE
212.204.120.224	212.204.120.255	BE
212.204.121.0	212.204.127.255	DE
212.204.128.0	212.204.255.255	NL
212.205.0.0	212.205.42.255	GR
212.205.43.0	212.205.43.127	DE
212.205.43.128	212.205.71.255	GR
212.205.72.0	212.205.72.127	DE
212.205.72.128	212.205.122.255	GR
212.205.123.0	212.205.123.255	DE
212.205.124.0	212.205.125.255	GR
212.205.126.0	212.205.126.255	DE
212.205.127.0	212.205.144.255	GR
212.205.145.0	212.205.145.255	DE
212.205.146.0	212.205.255.255	GR
212.206.0.0	212.206.255.255	NL
212.207.0.0	212.207.255.255	GB
212.208.0.0	212.208.255.255	FR
212.209.0.0	212.209.158.175	SE
212.209.158.176	212.209.158.191	CH
212.209.158.192	212.209.255.255	SE
212.210.0.0	212.210.255.255	IT
212.211.0.0	212.211.35.255	GB
212.211.36.0	212.211.39.255	DE
212.211.40.0	212.211.51.255	GB
212.211.52.0	212.211.52.255	FR
212.211.53.0	212.211.63.255	GB
212.211.64.0	212.211.75.255	DE
212.211.76.0	212.211.77.255	GB
212.211.78.0	212.211.95.255	DE
212.211.96.0	212.211.127.255	GB
212.211.128.0	212.211.138.127	DE
212.211.138.128	212.211.138.255	CH
212.211.139.0	212.211.255.255	DE
212.212.0.0	212.212.255.255	GB
212.213.0.0	212.213.3.255	FI
212.213.4.0	212.213.7.255	SE
212.213.8.0	212.213.87.195	FI
212.213.87.196	212.213.87.199	AX
212.213.87.200	212.213.95.31	FI
212.213.95.32	212.213.95.47	AX
212.213.95.48	212.213.106.95	FI
212.213.106.96	212.213.106.127	RU
212.213.106.128	212.213.123.95	FI
212.213.123.96	212.213.123.127	RU
212.213.123.128	212.213.255.255	FI
212.214.0.0	212.214.255.255	SE
212.215.0.0	212.215.127.255	CH
212.215.128.0	212.215.255.255	SA
212.216.0.0	212.216.255.255	IT
212.217.0.0	212.217.127.255	MA
212.217.128.0	212.217.255.255	SE
212.218.0.0	212.218.255.255	DE
212.219.0.0	212.219.255.255	GB
212.220.0.0	212.220.255.255	RU
212.221.0.0	212.221.24.159	BE
212.221.24.160	212.221.24.191	LU
212.221.24.192	212.221.31.175	BE
212.221.31.176	212.221.31.183	LU
212.221.31.184	212.221.35.127	BE
212.221.35.128	212.221.35.159	LU
212.221.35.160	212.221.44.95	BE
212.221.44.96	212.221.44.127	FR
212.221.44.128	212.221.49.143	BE
212.221.49.144	212.221.49.159	LU
212.221.49.160	212.221.54.127	BE
212.221.54.128	212.221.54.191	LU
212.221.54.192	212.221.59.255	BE
212.221.60.0	212.221.60.31	LU
212.221.60.32	212.221.64.191	BE
212.221.64.192	212.221.64.223	LU
212.221.64.224	212.221.70.255	BE
212.221.71.0	212.221.71.15	LU
212.221.71.16	212.221.71.127	BE
212.221.71.128	212.221.71.255	LU
212.221.72.0	212.221.74.255	BE
212.221.75.0	212.221.75.127	LU
212.221.75.128	212.221.93.63	BE
212.221.93.64	212.221.93.95	DE
212.221.93.96	212.221.127.255	BE
212.221.128.0	212.222.0.127	DE
212.222.0.128	212.222.1.127	GB
212.222.1.128	212.222.1.255	DE
212.222.2.0	212.222.3.127	GB
212.222.3.128	212.222.4.127	DE
212.222.4.128	212.222.4.255	GB
212.222.5.0	212.222.6.255	DE
212.222.7.0	212.222.8.23	GB
212.222.8.24	212.222.8.31	DE
212.222.8.32	212.222.8.95	GB
212.222.8.96	212.222.8.159	DE
212.222.8.160	212.222.8.191	GB
212.222.8.192	212.222.8.223	DE
212.222.8.224	212.222.9.63	GB
212.222.9.64	212.222.9.159	DE
212.222.9.160	212.222.9.191	GB
212.222.9.192	212.222.11.127	DE
212.222.11.128	212.222.11.191	GB
212.222.11.192	212.222.11.255	DE
212.222.12.0	212.222.12.31	GB
212.222.12.32	212.222.12.63	DE
212.222.12.64	212.222.12.127	GB
212.222.12.128	212.222.12.143	DE
212.222.12.144	212.222.12.159	GB
212.222.12.160	212.222.12.255	DE
212.222.13.0	212.222.14.191	GB
212.222.14.192	212.222.14.223	DE
212.222.14.224	212.222.15.255	GB
212.222.16.0	212.222.16.255	DE
212.222.17.0	212.222.17.255	GB
212.222.18.0	212.222.18.63	DE
212.222.18.64	212.222.18.95	GB
212.222.18.96	212.222.18.127	DE
212.222.18.128	212.222.19.63	GB
212.222.19.64	212.222.19.95	DE
212.222.19.96	212.222.19.127	GB
212.222.19.128	212.222.19.255	DE
212.222.20.0	212.222.20.31	GB
212.222.20.32	212.222.20.127	DE
212.222.20.128	212.222.20.191	GB
212.222.20.192	212.222.20.223	DE
212.222.20.224	212.222.21.255	GB
212.222.22.0	212.222.22.111	DE
212.222.22.112	212.222.23.255	GB
212.222.24.0	212.222.24.31	DE
212.222.24.32	212.222.24.63	GB
212.222.24.64	212.222.24.95	DE
212.222.24.96	212.222.24.255	GB
212.222.25.0	212.222.25.63	DE
212.222.25.64	212.222.25.223	GB
212.222.25.224	212.222.25.255	DE
212.222.26.0	212.222.26.127	GB
212.222.26.128	212.222.26.191	DE
212.222.26.192	212.222.28.255	GB
212.222.29.0	212.222.29.47	DE
212.222.29.48	212.222.29.51	BE
212.222.29.52	212.222.29.55	DE
212.222.29.56	212.222.29.255	GB
212.222.30.0	212.222.30.127	DE
212.222.30.128	212.222.31.255	GB
212.222.32.0	212.222.32.63	DE
212.222.32.64	212.222.32.159	GB
212.222.32.160	212.222.32.191	DE
212.222.32.192	212.222.34.127	GB
212.222.34.128	212.222.34.191	DE
212.222.34.192	212.222.34.223	GB
212.222.34.224	212.222.36.63	DE
212.222.36.64	212.222.36.223	GB
212.222.36.224	212.222.36.255	DE
212.222.37.0	212.222.37.191	GB
212.222.37.192	212.222.38.31	DE
212.222.38.32	212.222.38.255	GB
212.222.39.0	212.222.39.63	DE
212.222.39.64	212.222.39.95	GB
212.222.39.96	212.222.40.95	DE
212.222.40.96	212.222.40.159	GB
212.222.40.160	212.222.40.223	DE
212.222.40.224	212.222.41.159	GB
212.222.41.160	212.222.41.175	DE
212.222.41.176	212.222.41.255	GB
212.222.42.0	212.222.42.255	DE
212.222.43.0	212.222.43.255	GB
212.222.44.0	212.222.44.31	DE
212.222.44.32	212.222.44.63	GB
212.222.44.64	212.222.44.127	DE
212.222.44.128	212.222.44.191	GB
212.222.44.192	212.222.44.223	DE
212.222.44.224	212.222.47.95	GB
212.222.47.96	212.222.47.255	DE
212.222.48.0	212.222.49.127	GB
212.222.49.128	212.222.49.191	DE
212.222.49.192	212.222.50.63	GB
212.222.50.64	212.222.50.191	DE
212.222.50.192	212.222.50.223	GB
212.222.50.224	212.222.53.63	DE
212.222.53.64	212.222.53.127	GB
212.222.53.128	212.222.53.255	DE
212.222.54.0	212.222.54.127	GB
212.222.54.128	212.222.54.143	DE
212.222.54.144	212.222.54.223	GB
212.222.54.224	212.222.57.255	DE
212.222.58.0	212.222.58.127	GB
212.222.58.128	212.222.58.159	DE
212.222.58.160	212.222.58.255	GB
212.222.59.0	212.222.59.63	DE
212.222.59.64	212.222.59.191	GB
212.222.59.192	212.222.59.223	DE
212.222.59.224	212.222.60.31	GB
212.222.60.32	212.222.60.63	DE
212.222.60.64	212.222.60.159	GB
212.222.60.160	212.222.60.191	DE
212.222.60.192	212.222.62.255	GB
212.222.63.0	212.222.63.31	DE
212.222.63.32	212.222.63.191	GB
212.222.63.192	212.222.65.31	DE
212.222.65.32	212.222.65.63	GB
212.222.65.64	212.222.65.95	DE
212.222.65.96	212.222.65.159	GB
212.222.65.160	212.222.65.223	DE
212.222.65.224	212.222.66.127	GB
212.222.66.128	212.222.66.255	DE
212.222.67.0	212.222.67.127	GB
212.222.67.128	212.222.67.255	DE
212.222.68.0	212.222.68.31	GB
212.222.68.32	212.222.68.63	DE
212.222.68.64	212.222.68.127	GB
212.222.68.128	212.222.68.255	DE
212.222.69.0	212.222.70.223	GB
212.222.70.224	212.222.70.255	DE
212.222.71.0	212.222.71.255	GB
212.222.72.0	212.222.72.63	DE
212.222.72.64	212.222.72.191	GB
212.222.72.192	212.222.72.223	DE
212.222.72.224	212.222.76.127	GB
212.222.76.128	212.222.77.255	DE
212.222.78.0	212.222.78.127	GB
212.222.78.128	212.222.78.223	DE
212.222.78.224	212.222.79.127	GB
212.222.79.128	212.222.79.191	DE
212.222.79.192	212.222.80.127	GB
212.222.80.128	212.222.81.63	DE
212.222.81.64	212.222.82.127	GB
212.222.82.128	212.222.82.191	DE
212.222.82.192	212.222.83.63	GB
212.222.83.64	212.222.83.127	DE
212.222.83.128	212.222.84.95	GB
212.222.84.96	212.222.84.159	DE
212.222.84.160	212.222.84.223	GB
212.222.84.224	212.222.84.255	DE
212.222.85.0	212.222.85.255	GB
212.222.86.0	212.222.88.63	DE
212.222.88.64	212.222.88.175	GB
212.222.88.176	212.222.88.191	DE
212.222.88.192	212.222.88.255	GB
212.222.89.0	212.222.89.255	DE
212.222.90.0	212.222.90.191	GB
212.222.90.192	212.222.90.223	DE
212.222.90.224	212.222.90.255	GB
212.222.91.0	212.222.92.255	DE
212.222.93.0	212.222.93.31	GB
212.222.93.32	212.222.93.63	DE
212.222.93.64	212.222.93.127	GB
212.222.93.128	212.222.93.159	DE
212.222.93.160	212.222.94.191	GB
212.222.94.192	212.222.94.223	DE
212.222.94.224	212.222.94.255	GB
212.222.95.0	212.222.95.255	DE
212.222.96.0	212.222.96.31	GB
212.222.96.32	212.222.96.95	DE
212.222.96.96	212.222.96.127	GB
212.222.96.128	212.222.96.135	DE
212.222.96.136	212.222.96.143	ES
212.222.96.144	212.222.96.155	DE
212.222.96.156	212.222.96.159	GB
212.222.96.160	212.222.96.191	DE
212.222.96.192	212.222.96.255	GB
212.222.97.0	212.222.97.255	DE
212.222.98.0	212.222.98.223	GB
212.222.98.224	212.222.98.255	DE
212.222.99.0	212.222.99.63	GB
212.222.99.64	212.222.99.127	DE
212.222.99.128	212.222.103.63	GB
212.222.103.64	212.222.108.31	DE
212.222.108.32	212.222.108.63	GB
212.222.108.64	212.222.108.127	DE
212.222.108.128	212.222.108.159	GB
212.222.108.160	212.222.108.191	DE
212.222.108.192	212.222.109.143	GB
212.222.109.144	212.222.109.159	DE
212.222.109.160	212.222.109.191	GB
212.222.109.192	212.222.109.223	DE
212.222.109.224	212.222.110.127	GB
212.222.110.128	212.222.110.247	DE
212.222.110.248	212.222.110.255	GB
212.222.111.0	212.222.111.255	DE
212.222.112.0	212.222.112.255	BE
212.222.113.0	212.222.113.255	GB
212.222.114.0	212.222.114.255	DE
212.222.115.0	212.222.115.31	GB
212.222.115.32	212.222.115.63	DE
212.222.115.64	212.222.115.159	GB
212.222.115.160	212.222.115.175	DE
212.222.115.176	212.222.115.223	GB
212.222.115.224	212.222.116.31	DE
212.222.116.32	212.222.116.63	GB
212.222.116.64	212.222.116.255	DE
212.222.117.0	212.222.117.255	GB
212.222.118.0	212.222.118.143	DE
212.222.118.144	212.222.118.159	GB
212.222.118.160	212.222.118.239	DE
212.222.118.240	212.222.118.247	GB
212.222.118.248	212.222.119.15	DE
212.222.119.16	212.222.119.63	GB
212.222.119.64	212.222.119.95	DE
212.222.119.96	212.222.120.239	GB
212.222.120.240	212.222.120.255	CH
212.222.121.0	212.222.121.31	DE
212.222.121.32	212.222.121.39	SE
212.222.121.40	212.222.121.47	DE
212.222.121.48	212.222.121.55	BE
212.222.121.56	212.222.121.59	SE
212.222.121.60	212.222.121.127	GB
212.222.121.128	212.222.121.159	DE
212.222.121.160	212.222.123.239	GB
212.222.123.240	212.222.123.255	DE
212.222.124.0	212.222.127.255	GB
212.222.128.0	212.222.128.255	DE
212.222.129.0	212.222.129.63	GB
212.222.129.64	212.222.129.223	DE
212.222.129.224	212.222.129.255	GB
212.222.130.0	212.222.131.95	DE
212.222.131.96	212.222.131.207	GB
212.222.131.208	212.222.132.63	DE
212.222.132.64	212.222.132.159	GB
212.222.132.160	212.222.132.207	DE
212.222.132.208	212.222.132.255	GB
212.222.133.0	212.222.134.127	DE
212.222.134.128	212.222.134.143	GB
212.222.134.144	212.222.134.191	DE
212.222.134.192	212.222.134.223	GB
212.222.134.224	212.222.134.255	DE
212.222.135.0	212.222.135.127	GB
212.222.135.128	212.222.135.255	DE
212.222.136.0	212.222.136.191	GB
212.222.136.192	212.222.136.207	DE
212.222.136.208	212.222.136.255	GB
212.222.137.0	212.222.137.255	DE
212.222.138.0	212.222.139.95	GB
212.222.139.96	212.222.139.127	DE
212.222.139.128	212.222.141.127	GB
212.222.141.128	212.222.141.255	DE
212.222.142.0	212.222.142.31	GB
212.222.142.32	212.222.142.47	DE
212.222.142.48	212.222.142.255	GB
212.222.143.0	212.222.145.31	DE
212.222.145.32	212.222.145.63	GB
212.222.145.64	212.222.145.127	DE
212.222.145.128	212.222.145.255	GB
212.222.146.0	212.222.146.255	DE
212.222.147.0	212.222.147.255	GB
212.222.148.0	212.222.149.143	DE
212.222.149.144	212.222.149.255	GB
212.222.150.0	212.222.151.255	DE
212.222.152.0	212.222.152.95	GB
212.222.152.96	212.222.152.159	DE
212.222.152.160	212.222.152.175	GB
212.222.152.176	212.222.152.255	DE
212.222.153.0	212.222.153.95	GB
212.222.153.96	212.222.153.127	DE
212.222.153.128	212.222.154.15	GB
212.222.154.16	212.222.154.47	DE
212.222.154.48	212.222.154.111	GB
212.222.154.112	212.222.154.127	DE
212.222.154.128	212.222.154.191	GB
212.222.154.192	212.222.154.207	DE
212.222.154.208	212.222.154.223	GB
212.222.154.224	212.222.154.239	DE
212.222.154.240	212.222.154.255	GB
212.222.155.0	212.222.155.31	DE
212.222.155.32	212.222.155.39	GB
212.222.155.40	212.222.155.95	DE
212.222.155.96	212.222.155.111	GB
212.222.155.112	212.222.155.127	DE
212.222.155.128	212.222.156.255	GB
212.222.157.0	212.222.157.15	DE
212.222.157.16	212.222.157.23	GB
212.222.157.24	212.222.157.103	DE
212.222.157.104	212.222.157.119	GB
212.222.157.120	212.222.157.175	DE
212.222.157.176	212.222.157.183	GB
212.222.157.184	212.222.157.191	DE
212.222.157.192	212.222.157.199	GB
212.222.157.200	212.222.157.231	DE
212.222.157.232	212.222.157.239	GB
212.222.157.240	212.222.158.87	DE
212.222.158.88	212.222.158.95	GB
212.222.158.96	212.222.158.103	DE
212.222.158.104	212.222.158.111	GB
212.222.158.112	212.222.158.119	DE
212.222.158.120	212.222.158.127	GB
212.222.158.128	212.222.158.183	DE
212.222.158.184	212.222.158.187	GB
212.222.158.188	212.222.158.231	DE
212.222.158.232	212.222.158.239	GB
212.222.158.240	212.222.158.255	DE
212.222.159.0	212.222.160.255	GB
212.222.161.0	212.222.163.255	DE
212.222.164.0	212.222.165.127	GB
212.222.165.128	212.222.165.191	DE
212.222.165.192	212.222.165.223	GB
212.222.165.224	212.222.166.127	DE
212.222.166.128	212.222.166.159	GB
212.222.166.160	212.222.166.175	DE
212.222.166.176	212.222.166.191	GB
212.222.166.192	212.222.166.255	DE
212.222.167.0	212.222.168.191	GB
212.222.168.192	212.222.169.255	DE
212.222.170.0	212.222.170.255	GB
212.222.171.0	212.222.172.63	DE
212.222.172.64	212.222.172.191	GB
212.222.172.192	212.222.172.223	DE
212.222.172.224	212.222.173.255	GB
212.222.174.0	212.222.176.255	DE
212.222.177.0	212.222.177.191	GB
212.222.177.192	212.222.177.223	DE
212.222.177.224	212.222.180.55	GB
212.222.180.56	212.222.180.63	DE
212.222.180.64	212.222.180.91	GB
212.222.180.92	212.222.180.111	DE
212.222.180.112	212.222.180.119	GB
212.222.180.120	212.222.180.127	DE
212.222.180.128	212.222.180.159	GB
212.222.180.160	212.222.180.167	DE
212.222.180.168	212.222.180.175	GB
212.222.180.176	212.222.180.183	DE
212.222.180.184	212.222.180.191	GB
212.222.180.192	212.222.180.207	DE
212.222.180.208	212.222.180.215	GB
212.222.180.216	212.222.180.223	DE
212.222.180.224	212.222.181.63	GB
212.222.181.64	212.222.181.127	DE
212.222.181.128	212.222.184.111	GB
212.222.184.112	212.222.184.119	DE
212.222.184.120	212.222.185.255	GB
212.222.186.0	212.222.186.111	NL
212.222.186.112	212.222.186.119	DE
212.222.186.120	212.222.186.159	GB
212.222.186.160	212.222.186.191	DE
212.222.186.192	212.222.186.255	GB
212.222.187.0	212.222.187.255	DE
212.222.188.0	212.222.193.255	GB
212.222.194.0	212.222.194.31	DE
212.222.194.32	212.222.194.63	GB
212.222.194.64	212.222.194.127	DE
212.222.194.128	212.222.194.175	GB
212.222.194.176	212.222.194.239	DE
212.222.194.240	212.222.194.247	GB
212.222.194.248	212.222.195.255	DE
212.222.196.0	212.222.196.255	GB
212.222.197.0	212.222.197.63	DE
212.222.197.64	212.222.198.255	GB
212.222.199.0	212.222.199.31	DE
212.222.199.32	212.222.199.79	GB
212.222.199.80	212.222.199.95	DE
212.222.199.96	212.222.199.255	GB
212.222.200.0	212.222.205.35	DE
212.222.205.36	212.222.205.39	GB
212.222.205.40	212.222.205.55	DE
212.222.205.56	212.222.205.63	GB
212.222.205.64	212.222.205.95	DE
212.222.205.96	212.222.209.15	GB
212.222.209.16	212.222.209.31	DE
212.222.209.32	212.222.220.223	GB
212.222.220.224	212.222.220.239	DE
212.222.220.240	212.222.235.255	GB
212.222.236.0	212.222.236.31	DE
212.222.236.32	212.222.236.47	GB
212.222.236.48	212.222.236.111	DE
212.222.236.112	212.222.236.115	NL
212.222.236.116	212.222.236.151	DE
212.222.236.152	212.222.236.159	GB
212.222.236.160	212.222.236.167	DE
212.222.236.168	212.222.236.175	GB
212.222.236.176	212.222.237.175	DE
212.222.237.176	212.222.237.191	GB
212.222.237.192	212.222.238.159	DE
212.222.238.160	212.222.238.175	GB
212.222.238.176	212.222.238.191	DE
212.222.238.192	212.222.243.159	GB
212.222.243.160	212.222.245.127	DE
212.222.245.128	212.222.245.191	AT
212.222.245.192	212.222.245.207	DE
212.222.245.208	212.222.245.223	GB
212.222.245.224	212.222.246.31	DE
212.222.246.32	212.222.246.127	GB
212.222.246.128	212.222.246.191	DE
212.222.246.192	212.222.246.255	GB
212.222.247.0	212.222.247.191	DE
212.222.247.192	212.222.247.255	GB
212.222.248.0	212.222.248.31	DE
212.222.248.32	212.222.248.79	GB
212.222.248.80	212.222.248.95	DE
212.222.248.96	212.222.249.95	GB
212.222.249.96	212.222.249.255	DE
212.222.250.0	212.222.250.255	AT
212.222.251.0	212.222.251.95	DE
212.222.251.96	212.222.251.111	AT
212.222.251.112	212.222.251.127	GB
212.222.251.128	212.222.251.135	DE
212.222.251.136	212.222.254.191	GB
212.222.254.192	212.222.254.255	DE
212.222.255.0	212.222.255.127	GB
212.222.255.128	212.223.3.63	DE
212.223.3.64	212.223.3.95	GB
212.223.3.96	212.223.5.31	DE
212.223.5.32	212.223.5.63	GB
212.223.5.64	212.223.20.63	DE
212.223.20.64	212.223.20.79	HU
212.223.20.80	212.223.115.255	DE
212.223.116.0	212.223.116.255	IE
212.223.117.0	212.223.118.255	DE
212.223.119.0	212.223.119.15	IE
212.223.119.16	212.223.119.159	DE
212.223.119.160	212.223.119.175	GB
212.223.119.176	212.223.119.255	DE
212.223.120.0	212.223.120.255	GB
212.223.121.0	212.223.121.15	DE
212.223.121.16	212.223.121.31	AT
212.223.121.32	212.223.161.159	DE
212.223.161.160	212.223.161.191	ES
212.223.161.192	212.223.166.79	DE
212.223.166.80	212.223.166.83	ES
212.223.166.84	212.223.166.115	DE
212.223.166.116	212.223.166.119	ES
212.223.166.120	212.224.26.63	DE
212.224.26.64	212.224.26.79	GB
212.224.26.80	212.224.90.255	DE
212.224.91.0	212.224.91.255	NL
212.224.92.0	212.224.126.255	DE
212.224.127.0	212.224.127.255	CH
212.224.128.0	212.224.255.255	BE
212.225.0.0	212.225.127.255	GB
212.225.128.0	212.225.255.255	ES
212.226.0.0	212.226.57.207	FI
212.226.57.208	212.226.57.223	AX
212.226.57.224	212.226.255.255	FI
212.227.0.0	212.227.114.31	DE
212.227.114.32	212.227.114.39	GB
212.227.114.40	212.227.255.255	DE
212.228.0.0	212.229.255.255	GB
212.230.0.0	212.231.255.255	ES
212.232.0.0	212.232.15.255	RU
212.232.16.0	212.232.23.255	SK
212.232.24.0	212.232.31.255	AT
212.232.32.0	212.232.127.255	RU
212.232.128.0	212.232.255.255	CH
212.233.0.0	212.233.31.255	BE
212.233.32.0	212.233.49.255	LU
212.233.50.0	212.233.50.255	BE
212.233.51.0	212.233.57.31	LU
212.233.57.32	212.233.57.159	BE
212.233.57.160	212.233.57.255	LU
212.233.58.0	212.233.61.255	BE
212.233.62.0	212.233.62.191	LU
212.233.62.192	212.233.63.255	BE
212.233.64.0	212.233.127.255	RU
212.233.128.0	212.233.255.255	BG
212.234.0.0	212.234.3.111	FR
212.234.3.112	212.234.3.127	A2
212.234.3.128	212.234.44.47	FR
212.234.44.48	212.234.44.55	A2
212.234.44.56	212.234.255.255	FR
212.235.0.0	212.235.97.207	IL
212.235.97.208	212.235.97.223	GB
212.235.97.224	212.235.127.255	IL
212.235.128.0	212.235.255.255	SI
212.236.0.0	212.236.255.255	AT
212.237.0.0	212.237.255.255	DK
212.238.0.0	212.238.255.255	NL
212.239.0.0	212.239.12.79	IT
212.239.12.80	212.239.12.95	GB
212.239.12.96	212.239.37.127	IT
212.239.37.128	212.239.37.143	NL
212.239.37.144	212.239.55.255	IT
212.239.56.0	212.239.56.7	AT
212.239.56.8	212.239.56.15	FR
212.239.56.16	212.239.56.23	GB
212.239.56.24	212.239.56.31	ES
212.239.56.32	212.239.127.255	IT
212.239.128.0	212.239.255.255	BE
212.240.0.0	212.240.255.255	GB
212.241.0.0	212.241.31.255	KG
212.241.32.0	212.241.63.255	NL
212.241.64.0	212.241.127.255	AT
212.241.128.0	212.241.255.255	GB
212.242.0.0	212.242.255.255	DK
212.243.0.0	212.243.38.183	CH
212.243.38.184	212.243.38.191	DE
212.243.38.192	212.243.40.199	CH
212.243.40.200	212.243.40.207	NL
212.243.40.208	212.243.79.255	CH
212.243.80.0	212.243.80.255	GB
212.243.81.0	212.243.255.255	CH
212.244.0.0	212.244.255.255	PL
212.245.0.0	212.245.255.255	IT
212.246.0.0	212.246.255.247	FI
212.246.255.248	212.246.255.255	AX
212.247.0.0	212.247.70.255	SE
212.247.71.0	212.247.71.255	A2
212.247.72.0	212.247.92.255	SE
212.247.93.0	212.247.93.255	A2
212.247.94.0	212.247.105.255	SE
212.247.106.0	212.247.106.255	A2
212.247.107.0	212.247.113.255	SE
212.247.114.0	212.247.114.255	A2
212.247.115.0	212.247.255.255	SE
212.248.0.0	212.248.127.255	RU
212.248.128.0	212.248.255.255	GB
212.249.0.0	212.249.0.7	CH
212.249.0.8	212.249.0.15	DE
212.249.0.16	212.249.5.223	CH
212.249.5.224	212.249.5.255	AT
212.249.6.0	212.249.7.7	CH
212.249.7.8	212.249.7.15	CD
212.249.7.16	212.249.209.255	CH
212.249.210.0	212.249.210.255	AT
212.249.211.0	212.249.255.255	CH
212.250.0.0	212.250.85.159	GB
212.250.85.160	212.250.85.175	IE
212.250.85.176	212.250.213.191	GB
212.250.213.192	212.250.213.223	IE
212.250.213.224	212.250.255.255	GB
212.251.0.0	212.251.127.255	GR
212.251.128.0	212.251.255.255	NO
212.252.0.0	212.253.255.255	TR
212.254.0.0	212.254.255.255	CH
212.255.0.0	212.255.255.255	DE
213.0.0.0	213.0.255.255	ES
213.1.0.0	213.2.255.255	GB
213.3.0.0	213.3.255.255	CH
213.4.0.0	213.4.255.255	ES
213.5.0.0	213.5.15.255	PL
213.5.16.0	213.5.31.255	RU
213.5.32.0	213.5.39.255	DK
213.5.40.0	213.5.47.255	PL
213.5.48.0	213.5.55.255	RU
213.5.56.0	213.5.63.255	HR
213.5.64.0	213.5.71.255	NL
213.5.72.0	213.5.87.255	RU
213.5.88.0	213.5.95.255	GB
213.5.96.0	213.5.111.255	RU
213.5.112.0	213.5.119.255	SI
213.5.120.0	213.5.135.255	RU
213.5.136.0	213.5.151.255	PL
213.5.152.0	213.5.159.255	CH
213.5.160.0	213.5.167.255	RU
213.5.168.0	213.5.175.255	SA
213.5.176.0	213.5.183.255	GB
213.5.184.0	213.5.191.255	RU
213.5.192.0	213.5.199.255	UA
213.5.200.0	213.5.215.255	PL
213.5.216.0	213.5.247.255	RU
213.5.248.0	213.5.255.255	PL
213.6.0.0	213.6.255.255	PS
213.7.0.0	213.7.255.255	CY
213.8.0.0	213.8.255.255	IL
213.9.0.0	213.9.3.183	DE
213.9.3.184	213.9.3.191	AT
213.9.3.192	213.9.3.223	DE
213.9.3.224	213.9.3.255	NL
213.9.4.0	213.9.6.191	DE
213.9.6.192	213.9.6.255	NL
213.9.7.0	213.9.7.111	DE
213.9.7.112	213.9.7.127	NL
213.9.7.128	213.9.7.143	DE
213.9.7.144	213.9.7.151	NL
213.9.7.152	213.9.58.143	DE
213.9.58.144	213.9.58.151	AT
213.9.58.152	213.9.64.143	DE
213.9.64.144	213.9.64.151	AT
213.9.64.152	213.9.65.143	DE
213.9.65.144	213.9.65.151	AT
213.9.65.152	213.9.66.3	DE
213.9.66.4	213.9.66.7	HU
213.9.66.8	213.9.73.107	DE
213.9.73.108	213.9.73.111	NL
213.9.73.112	213.9.73.207	DE
213.9.73.208	213.9.73.211	AT
213.9.73.212	213.9.73.219	DE
213.9.73.220	213.9.73.223	AT
213.9.73.224	213.9.74.75	DE
213.9.74.76	213.9.74.79	NO
213.9.74.80	213.9.74.107	DE
213.9.74.108	213.9.74.111	NL
213.9.74.112	213.9.90.47	DE
213.9.90.48	213.9.90.55	NL
213.9.90.56	213.9.94.35	DE
213.9.94.36	213.9.94.39	NL
213.9.94.40	213.9.94.143	DE
213.9.94.144	213.9.94.147	NL
213.9.94.148	213.9.94.159	DE
213.9.94.160	213.9.94.191	NL
213.9.94.192	213.9.94.211	DE
213.9.94.212	213.9.94.215	NL
213.9.94.216	213.9.95.183	DE
213.9.95.184	213.9.95.187	AI
213.9.95.188	213.9.95.239	DE
213.9.95.240	213.9.95.243	NO
213.9.95.244	213.9.127.255	DE
213.9.128.0	213.9.255.255	ES
213.10.0.0	213.10.255.255	NL
213.11.0.0	213.11.255.255	FR
213.12.0.0	213.12.31.255	GB
213.12.32.0	213.12.57.255	EU
213.12.58.0	213.12.58.255	GB
213.12.59.0	213.12.255.255	EU
213.13.0.0	213.13.255.255	PT
213.14.0.0	213.14.255.255	TR
213.15.0.0	213.15.131.95	SE
213.15.131.96	213.15.131.111	FI
213.15.131.112	213.15.131.143	SE
213.15.131.144	213.15.131.191	FI
213.15.131.192	213.15.131.223	SE
213.15.131.224	213.15.131.239	FI
213.15.131.240	213.15.131.255	SE
213.15.132.0	213.15.135.255	FI
213.15.136.0	213.15.139.255	SE
213.15.140.0	213.15.140.63	FI
213.15.140.64	213.15.141.63	SE
213.15.141.64	213.15.141.127	FI
213.15.141.128	213.15.142.47	SE
213.15.142.48	213.15.142.63	FI
213.15.142.64	213.15.251.255	SE
213.15.252.0	213.15.255.255	GB
213.16.0.0	213.16.2.255	FR
213.16.3.0	213.16.3.255	MQ
213.16.4.0	213.16.7.255	FR
213.16.8.0	213.16.8.255	MQ
213.16.9.0	213.16.11.255	FR
213.16.12.0	213.16.15.255	MQ
213.16.16.0	213.16.17.255	FR
213.16.18.0	213.16.21.255	MQ
213.16.22.0	213.16.22.255	RE
213.16.23.0	213.16.24.255	MQ
213.16.25.0	213.16.25.255	GF
213.16.26.0	213.16.26.255	FR
213.16.27.0	213.16.29.255	MQ
213.16.30.0	213.16.31.255	FR
213.16.32.0	213.16.63.255	BG
213.16.64.0	213.16.127.255	HU
213.16.128.0	213.16.255.255	GR
213.17.0.0	213.17.127.255	NL
213.17.128.0	213.17.255.255	PL
213.18.0.0	213.18.255.255	GB
213.19.0.0	213.19.127.255	CZ
213.19.128.0	213.19.129.63	GB
213.19.129.64	213.19.129.191	NL
213.19.129.192	213.19.129.255	GB
213.19.130.0	213.19.132.127	NL
213.19.132.128	213.19.132.255	GB
213.19.133.0	213.19.134.255	NL
213.19.135.0	213.19.135.255	GB
213.19.136.0	213.19.144.255	NL
213.19.145.0	213.19.145.255	GB
213.19.146.0	213.19.146.255	NL
213.19.147.0	213.19.147.255	GB
213.19.148.0	213.19.152.255	NL
213.19.153.0	213.19.160.127	GB
213.19.160.128	213.19.160.159	NL
213.19.160.160	213.19.160.191	GB
213.19.160.192	213.19.160.207	NL
213.19.160.208	213.19.160.255	GB
213.19.161.0	213.19.161.31	NL
213.19.161.32	213.19.164.255	GB
213.19.165.0	213.19.165.127	NL
213.19.165.128	213.19.165.255	GB
213.19.166.0	213.19.167.255	NL
213.19.168.0	213.19.172.127	GB
213.19.172.128	213.19.178.255	NL
213.19.179.0	213.19.179.255	GB
213.19.180.0	213.19.180.255	NL
213.19.181.0	213.19.255.255	GB
213.20.0.0	213.20.232.255	DE
213.20.233.0	213.20.233.255	CH
213.20.234.0	213.20.240.191	DE
213.20.240.192	213.20.240.223	FR
213.20.240.224	213.20.244.31	DE
213.20.244.32	213.20.244.47	RO
213.20.244.48	213.20.245.55	DE
213.20.245.56	213.20.245.63	RO
213.20.245.64	213.20.255.255	DE
213.21.0.0	213.21.63.255	RU
213.21.64.0	213.21.127.255	SE
213.21.128.0	213.21.191.255	IT
213.21.192.0	213.21.255.255	LV
213.22.0.0	213.22.255.255	PT
213.23.0.0	213.23.124.95	DE
213.23.124.96	213.23.124.127	MT
213.23.124.128	213.23.255.255	DE
213.24.0.0	213.24.255.255	RU
213.25.0.0	213.25.255.255	PL
213.26.0.0	213.26.255.255	IT
213.27.0.0	213.27.127.255	RU
213.27.128.0	213.27.151.95	ES
213.27.151.96	213.27.151.111	GB
213.27.151.112	213.27.170.199	ES
213.27.170.200	213.27.170.207	FR
213.27.170.208	213.27.197.199	ES
213.27.197.200	213.27.197.207	DE
213.27.197.208	213.27.217.127	ES
213.27.217.128	213.27.217.135	GB
213.27.217.136	213.27.217.207	ES
213.27.217.208	213.27.217.215	PT
213.27.217.216	213.27.255.255	ES
213.28.0.0	213.28.120.255	FI
213.28.121.0	213.28.121.127	RU
213.28.121.128	213.28.126.103	FI
213.28.126.104	213.28.126.111	AX
213.28.126.112	213.28.147.255	FI
213.28.148.0	213.28.148.15	AX
213.28.148.16	213.28.148.223	FI
213.28.148.224	213.28.148.255	AX
213.28.149.0	213.28.255.255	FI
213.29.0.0	213.29.255.255	CZ
213.30.0.0	213.30.127.255	PT
213.30.128.0	213.30.191.255	FR
213.30.192.0	213.30.255.255	DE
213.31.0.0	213.31.0.255	EU
213.31.1.0	213.31.1.255	AU
213.31.2.0	213.31.3.255	EU
213.31.4.0	213.31.4.255	AU
213.31.5.0	213.31.10.255	EU
213.31.11.0	213.31.11.127	GB
213.31.11.128	213.31.11.255	IT
213.31.12.0	213.31.13.255	EU
213.31.14.0	213.31.14.255	CH
213.31.15.0	213.31.15.255	FR
213.31.16.0	213.31.17.127	EU
213.31.17.128	213.31.17.135	HU
213.31.17.136	213.31.17.139	GB
213.31.17.140	213.31.17.143	FR
213.31.17.144	213.31.17.255	EU
213.31.18.0	213.31.18.255	IT
213.31.19.0	213.31.27.255	EU
213.31.28.0	213.31.28.255	EG
213.31.29.0	213.31.29.255	IT
213.31.30.0	213.31.31.255	BE
213.31.32.0	213.31.32.255	GB
213.31.33.0	213.31.33.127	EU
213.31.33.128	213.31.33.143	BE
213.31.33.144	213.31.33.159	EU
213.31.33.160	213.31.33.175	NL
213.31.33.176	213.31.33.183	FR
213.31.33.184	213.31.33.191	EU
213.31.33.192	213.31.33.199	CH
213.31.33.200	213.31.33.215	EU
213.31.33.216	213.31.33.223	PL
213.31.33.224	213.31.33.247	EU
213.31.33.248	213.31.33.251	PL
213.31.33.252	213.31.35.255	EU
213.31.36.0	213.31.37.255	GB
213.31.38.0	213.31.39.255	EU
213.31.40.0	213.31.43.255	A2
213.31.44.0	213.31.45.255	EU
213.31.46.0	213.31.47.255	A2
213.31.48.0	213.31.53.255	EU
213.31.54.0	213.31.55.255	BE
213.31.56.0	213.31.63.255	EU
213.31.64.0	213.31.65.255	GB
213.31.66.0	213.31.68.255	EU
213.31.69.0	213.31.69.127	GB
213.31.69.128	213.31.69.255	EU
213.31.70.0	213.31.70.255	FR
213.31.71.0	213.31.171.207	EU
213.31.171.208	213.31.171.211	GB
213.31.171.212	213.31.171.255	EU
213.31.172.0	213.31.172.159	GB
213.31.172.160	213.31.172.191	EU
213.31.172.192	213.31.172.223	IT
213.31.172.224	213.31.172.255	FI
213.31.173.0	213.31.173.255	GB
213.31.174.0	213.31.179.255	EU
213.31.180.0	213.31.180.127	FR
213.31.180.128	213.31.180.135	PT
213.31.180.136	213.31.180.159	GB
213.31.180.160	213.31.180.191	IL
213.31.180.192	213.31.180.207	GB
213.31.180.208	213.31.180.255	EU
213.31.181.0	213.31.181.31	GB
213.31.181.32	213.31.181.39	IT
213.31.181.40	213.31.181.47	GB
213.31.181.48	213.31.181.63	NL
213.31.181.64	213.31.181.67	EG
213.31.181.68	213.31.181.75	EU
213.31.181.76	213.31.181.79	GB
213.31.181.80	213.31.181.87	EU
213.31.181.88	213.31.181.95	FI
213.31.181.96	213.31.181.111	EU
213.31.181.112	213.31.181.127	PL
213.31.181.128	213.31.181.135	BE
213.31.181.136	213.31.181.143	EU
213.31.181.144	213.31.181.191	GB
213.31.181.192	213.31.182.135	EU
213.31.182.136	213.31.182.143	GB
213.31.182.144	213.31.182.159	EU
213.31.182.160	213.31.182.191	IT
213.31.182.192	213.31.182.223	EU
213.31.182.224	213.31.182.239	ES
213.31.182.240	213.31.182.255	EU
213.31.183.0	213.31.183.31	NO
213.31.183.32	213.31.184.255	EU
213.31.185.0	213.31.185.7	SE
213.31.185.8	213.31.185.63	EU
213.31.185.64	213.31.185.127	FR
213.31.185.128	213.31.186.79	EU
213.31.186.80	213.31.186.95	GB
213.31.186.96	213.31.186.111	ES
213.31.186.112	213.31.186.127	DE
213.31.186.128	213.31.187.7	EU
213.31.187.8	213.31.187.15	CH
213.31.187.16	213.31.187.23	EU
213.31.187.24	213.31.187.31	FR
213.31.187.32	213.31.187.71	EU
213.31.187.72	213.31.187.79	RO
213.31.187.80	213.31.187.103	EU
213.31.187.104	213.31.187.111	IE
213.31.187.112	213.31.187.135	EU
213.31.187.136	213.31.187.143	GB
213.31.187.144	213.31.187.151	DE
213.31.187.152	213.31.187.159	IT
213.31.187.160	213.31.190.47	EU
213.31.190.48	213.31.190.63	ES
213.31.190.64	213.31.190.71	SE
213.31.190.72	213.31.190.95	EU
213.31.190.96	213.31.190.103	ES
213.31.190.104	213.31.190.159	EU
213.31.190.160	213.31.190.167	DE
213.31.190.168	213.31.190.223	EU
213.31.190.224	213.31.190.239	GB
213.31.190.240	213.31.191.191	EU
213.31.191.192	213.31.191.255	GB
213.31.192.0	213.31.194.255	NL
213.31.195.0	213.31.195.87	EU
213.31.195.88	213.31.195.95	GB
213.31.195.96	213.31.196.15	EU
213.31.196.16	213.31.196.23	ES
213.31.196.24	213.31.196.31	FR
213.31.196.32	213.31.197.127	EU
213.31.197.128	213.31.197.191	NL
213.31.197.192	213.31.197.223	EU
213.31.197.224	213.31.197.231	GB
213.31.197.232	213.31.197.239	EU
213.31.197.240	213.31.197.247	NL
213.31.197.248	213.31.199.255	EU
213.31.200.0	213.31.200.31	GR
213.31.200.32	213.31.200.47	DE
213.31.200.48	213.31.200.111	EU
213.31.200.112	213.31.200.127	FR
213.31.200.128	213.31.200.191	EU
213.31.200.192	213.31.200.199	GR
213.31.200.200	213.31.200.239	EU
213.31.200.240	213.31.200.255	ZA
213.31.201.0	213.31.201.255	BE
213.31.202.0	213.31.202.127	IT
213.31.202.128	213.31.202.255	CH
213.31.203.0	213.31.203.255	IL
213.31.204.0	213.31.204.127	EU
213.31.204.128	213.31.204.143	FR
213.31.204.144	213.31.204.255	EU
213.31.205.0	213.31.205.7	AT
213.31.205.8	213.31.205.15	CH
213.31.205.16	213.31.205.23	DE
213.31.205.24	213.31.205.31	EU
213.31.205.32	213.31.205.39	HU
213.31.205.40	213.31.205.55	EU
213.31.205.56	213.31.205.63	GB
213.31.205.64	213.31.205.95	NL
213.31.205.96	213.31.205.103	IE
213.31.205.104	213.31.205.119	EU
213.31.205.120	213.31.205.127	IL
213.31.205.128	213.31.205.191	CH
213.31.205.192	213.31.206.255	EU
213.31.207.0	213.31.207.15	SE
213.31.207.16	213.31.207.23	BE
213.31.207.24	213.31.207.31	CH
213.31.207.32	213.31.207.47	SE
213.31.207.48	213.31.207.63	DE
213.31.207.64	213.31.207.79	SE
213.31.207.80	213.31.207.95	IT
213.31.207.96	213.31.207.143	EU
213.31.207.144	213.31.207.159	ZA
213.31.207.160	213.31.207.175	EU
213.31.207.176	213.31.207.183	ES
213.31.207.184	213.31.207.191	CZ
213.31.207.192	213.31.207.239	EU
213.31.207.240	213.31.207.247	ZA
213.31.207.248	213.31.207.255	EU
213.31.208.0	213.31.210.255	IL
213.31.211.0	213.31.211.15	NO
213.31.211.16	213.31.211.63	EU
213.31.211.64	213.31.211.71	GB
213.31.211.72	213.31.211.143	EU
213.31.211.144	213.31.211.151	GB
213.31.211.152	213.31.211.191	EU
213.31.211.192	213.31.211.207	BE
213.31.211.208	213.31.211.223	CH
213.31.211.224	213.31.211.231	BE
213.31.211.232	213.31.211.239	EU
213.31.211.240	213.31.211.255	DE
213.31.212.0	213.31.212.71	EU
213.31.212.72	213.31.212.79	GB
213.31.212.80	213.31.212.95	EU
213.31.212.96	213.31.212.103	IT
213.31.212.104	213.31.212.143	EU
213.31.212.144	213.31.212.159	DE
213.31.212.160	213.31.212.167	SE
213.31.212.168	213.31.212.175	NL
213.31.212.176	213.31.212.191	EU
213.31.212.192	213.31.212.223	GB
213.31.212.224	213.31.212.239	EU
213.31.212.240	213.31.212.247	GB
213.31.212.248	213.31.214.191	EU
213.31.214.192	213.31.214.255	NL
213.31.215.0	213.31.215.63	EU
213.31.215.64	213.31.215.71	AT
213.31.215.72	213.31.215.79	IT
213.31.215.80	213.31.215.119	EU
213.31.215.120	213.31.215.127	DE
213.31.215.128	213.31.215.223	EU
213.31.215.224	213.31.215.231	SE
213.31.215.232	213.31.215.255	EU
213.31.216.0	213.31.216.63	CH
213.31.216.64	213.31.216.71	DE
213.31.216.72	213.31.216.79	EU
213.31.216.80	213.31.216.87	PT
213.31.216.88	213.31.216.95	DK
213.31.216.96	213.31.216.127	GB
213.31.216.128	213.31.216.255	BE
213.31.217.0	213.31.217.7	EU
213.31.217.8	213.31.217.15	AT
213.31.217.16	213.31.217.79	EU
213.31.217.80	213.31.217.95	IT
213.31.217.96	213.31.217.191	EU
213.31.217.192	213.31.217.223	NO
213.31.217.224	213.31.217.255	GB
213.31.218.0	213.31.218.23	EU
213.31.218.24	213.31.218.31	DE
213.31.218.32	213.31.218.63	EU
213.31.218.64	213.31.218.79	FI
213.31.218.80	213.31.218.87	CH
213.31.218.88	213.31.218.159	EU
213.31.218.160	213.31.218.167	ES
213.31.218.168	213.31.218.175	EU
213.31.218.176	213.31.218.183	GB
213.31.218.184	213.31.218.191	DE
213.31.218.192	213.31.219.7	EU
213.31.219.8	213.31.219.15	FI
213.31.219.16	213.31.219.23	EU
213.31.219.24	213.31.219.31	DE
213.31.219.32	213.31.219.79	EU
213.31.219.80	213.31.219.87	NO
213.31.219.88	213.31.219.95	EU
213.31.219.96	213.31.219.103	FR
213.31.219.104	213.31.219.111	ES
213.31.219.112	213.31.219.119	BE
213.31.219.120	213.31.219.127	SE
213.31.219.128	213.31.219.191	EU
213.31.219.192	213.31.219.223	GB
213.31.219.224	213.31.219.231	SE
213.31.219.232	213.31.219.239	GB
213.31.219.240	213.31.219.247	IT
213.31.219.248	213.31.220.71	EU
213.31.220.72	213.31.220.79	CH
213.31.220.80	213.31.220.95	ES
213.31.220.96	213.31.220.111	EU
213.31.220.112	213.31.220.119	CH
213.31.220.120	213.31.220.127	EU
213.31.220.128	213.31.220.143	SE
213.31.220.144	213.31.220.159	EU
213.31.220.160	213.31.220.175	PT
213.31.220.176	213.31.220.191	PL
213.31.220.192	213.31.220.207	DE
213.31.220.208	213.31.220.215	PT
213.31.220.216	213.31.220.223	DE
213.31.220.224	213.31.220.231	GB
213.31.220.232	213.31.220.255	EU
213.31.221.0	213.31.221.255	NO
213.31.222.0	213.31.222.7	RU
213.31.222.8	213.31.222.15	GB
213.31.222.16	213.31.222.127	EU
213.31.222.128	213.31.222.159	EG
213.31.222.160	213.31.222.175	FI
213.31.222.176	213.31.222.191	EU
213.31.222.192	213.31.222.223	GB
213.31.222.224	213.31.222.239	EU
213.31.222.240	213.31.222.247	GB
213.31.222.248	213.31.223.63	EU
213.31.223.64	213.31.223.127	CH
213.31.223.128	213.31.223.135	GB
213.31.223.136	213.31.223.143	FR
213.31.223.144	213.31.223.159	TR
213.31.223.160	213.31.224.15	EU
213.31.224.16	213.31.224.31	DE
213.31.224.32	213.31.224.175	EU
213.31.224.176	213.31.224.183	HU
213.31.224.184	213.31.226.127	EU
213.31.226.128	213.31.226.255	FR
213.31.227.0	213.31.227.71	EU
213.31.227.72	213.31.227.79	GB
213.31.227.80	213.31.227.87	EU
213.31.227.88	213.31.227.95	RU
213.31.227.96	213.31.227.119	EU
213.31.227.120	213.31.227.127	DE
213.31.227.128	213.31.227.135	EU
213.31.227.136	213.31.227.143	CZ
213.31.227.144	213.31.227.159	EU
213.31.227.160	213.31.227.167	PL
213.31.227.168	213.31.227.175	CZ
213.31.227.176	213.31.227.191	EU
213.31.227.192	213.31.227.223	DE
213.31.227.224	213.31.227.247	EU
213.31.227.248	213.31.227.255	FR
213.31.228.0	213.31.228.47	EU
213.31.228.48	213.31.228.63	DE
213.31.228.64	213.31.228.159	EU
213.31.228.160	213.31.228.191	GB
213.31.228.192	213.31.229.119	EU
213.31.229.120	213.31.229.127	BE
213.31.229.128	213.31.229.159	EU
213.31.229.160	213.31.229.191	LU
213.31.229.192	213.31.229.223	GB
213.31.229.224	213.31.232.87	EU
213.31.232.88	213.31.232.95	GB
213.31.232.96	213.31.232.159	EU
213.31.232.160	213.31.232.223	GB
213.31.232.224	213.31.232.247	EU
213.31.232.248	213.31.232.255	PL
213.31.233.0	213.31.233.7	EU
213.31.233.8	213.31.233.15	RU
213.31.233.16	213.31.233.31	EU
213.31.233.32	213.31.233.63	NO
213.31.233.64	213.31.233.255	EU
213.31.234.0	213.31.234.15	DE
213.31.234.16	213.31.234.31	EU
213.31.234.32	213.31.234.63	GB
213.31.234.64	213.31.234.95	EU
213.31.234.96	213.31.234.111	PL
213.31.234.112	213.31.234.191	EU
213.31.234.192	213.31.234.207	NL
213.31.234.208	213.31.234.223	GR
213.31.234.224	213.31.234.239	EU
213.31.234.240	213.31.234.255	SE
213.31.235.0	213.31.235.127	EU
213.31.235.128	213.31.235.159	FR
213.31.235.160	213.31.235.191	GB
213.31.235.192	213.31.235.223	EU
213.31.235.224	213.31.235.227	GB
213.31.235.228	213.31.235.239	IE
213.31.235.240	213.31.235.255	PL
213.31.236.0	213.31.239.255	EU
213.31.240.0	213.31.255.255	TR
213.32.0.0	213.32.255.255	DK
213.33.0.0	213.33.79.255	AT
213.33.80.0	213.33.80.15	SA
213.33.80.16	213.33.89.255	AT
213.33.90.0	213.33.90.255	LI
213.33.91.0	213.33.103.255	AT
213.33.104.0	213.33.106.63	LI
213.33.106.64	213.33.112.39	AT
213.33.112.40	213.33.112.47	SA
213.33.112.48	213.33.112.63	AT
213.33.112.64	213.33.112.95	SA
213.33.112.96	213.33.113.127	AT
213.33.113.128	213.33.113.135	SA
213.33.113.136	213.33.127.255	AT
213.33.128.0	213.33.255.255	RU
213.34.0.0	213.34.0.63	AT
213.34.0.64	213.34.0.255	NL
213.34.1.0	213.34.1.255	AT
213.34.2.0	213.34.191.255	NL
213.34.192.0	213.34.223.255	KW
213.34.224.0	213.34.255.255	NL
213.35.0.0	213.35.32.31	GB
213.35.32.32	213.35.32.47	NL
213.35.32.48	213.35.37.15	GB
213.35.37.16	213.35.37.23	NL
213.35.37.24	213.35.38.47	GB
213.35.38.48	213.35.38.63	NL
213.35.38.64	213.35.39.31	GB
213.35.39.32	213.35.39.63	NL
213.35.39.64	213.35.46.255	GB
213.35.47.0	213.35.47.255	NL
213.35.48.0	213.35.48.255	GB
213.35.49.0	213.35.49.63	NL
213.35.49.64	213.35.49.127	GB
213.35.49.128	213.35.49.191	NL
213.35.49.192	213.35.49.255	GB
213.35.50.0	213.35.50.11	NL
213.35.50.12	213.35.50.19	GB
213.35.50.20	213.35.50.23	NL
213.35.50.24	213.35.50.51	GB
213.35.50.52	213.35.50.63	NL
213.35.50.64	213.35.50.67	GB
213.35.50.68	213.35.50.79	NL
213.35.50.80	213.35.50.87	GB
213.35.50.88	213.35.50.95	NL
213.35.50.96	213.35.50.123	GB
213.35.50.124	213.35.50.127	NL
213.35.50.128	213.35.50.151	GB
213.35.50.152	213.35.50.155	NL
213.35.50.156	213.35.50.171	GB
213.35.50.172	213.35.50.175	NL
213.35.50.176	213.35.50.195	GB
213.35.50.196	213.35.50.199	NL
213.35.50.200	213.35.50.231	GB
213.35.50.232	213.35.50.239	NL
213.35.50.240	213.35.50.247	GB
213.35.50.248	213.35.50.255	NL
213.35.51.0	213.35.51.7	GB
213.35.51.8	213.35.51.39	NL
213.35.51.40	213.35.51.47	GB
213.35.51.48	213.35.51.55	NL
213.35.51.56	213.35.51.71	GB
213.35.51.72	213.35.51.103	NL
213.35.51.104	213.35.51.119	GB
213.35.51.120	213.35.51.127	NL
213.35.51.128	213.35.51.135	GB
213.35.51.136	213.35.51.151	NL
213.35.51.152	213.35.51.175	GB
213.35.51.176	213.35.51.191	NL
213.35.51.192	213.35.51.207	GB
213.35.51.208	213.35.51.215	NL
213.35.51.216	213.35.63.255	GB
213.35.64.0	213.35.64.255	BE
213.35.65.0	213.35.69.97	GB
213.35.69.98	213.35.69.111	US
213.35.69.112	213.35.76.75	GB
213.35.76.76	213.35.76.79	BE
213.35.76.80	213.35.77.255	GB
213.35.78.0	213.35.78.127	NL
213.35.78.128	213.35.78.255	GB
213.35.79.0	213.35.79.255	NL
213.35.80.0	213.35.80.255	GB
213.35.81.0	213.35.81.15	NL
213.35.81.16	213.35.92.7	GB
213.35.92.8	213.35.92.11	NL
213.35.92.12	213.35.92.23	GB
213.35.92.24	213.35.92.27	NL
213.35.92.28	213.35.92.39	GB
213.35.92.40	213.35.92.43	NL
213.35.92.44	213.35.92.60	GB
213.35.92.61	213.35.92.62	NL
213.35.92.63	213.35.92.67	GB
213.35.92.68	213.35.92.71	NL
213.35.92.72	213.35.92.75	GB
213.35.92.76	213.35.92.83	NL
213.35.92.84	213.35.93.7	GB
213.35.93.8	213.35.93.23	NL
213.35.93.24	213.35.93.31	GB
213.35.93.32	213.35.93.39	NL
213.35.93.40	213.35.93.55	GB
213.35.93.56	213.35.93.63	NL
213.35.93.64	213.35.93.87	GB
213.35.93.88	213.35.93.95	NL
213.35.93.96	213.35.93.111	GB
213.35.93.112	213.35.93.127	NL
213.35.93.128	213.35.93.199	GB
213.35.93.200	213.35.93.207	NL
213.35.93.208	213.35.94.255	GB
213.35.95.0	213.35.95.127	NL
213.35.95.128	213.35.99.255	GB
213.35.100.0	213.35.102.255	US
213.35.103.0	213.35.122.47	GB
213.35.122.48	213.35.122.63	NL
213.35.122.64	213.35.122.79	GB
213.35.122.80	213.35.122.95	NL
213.35.122.96	213.35.122.255	GB
213.35.123.0	213.35.124.255	NL
213.35.125.0	213.35.127.255	GB
213.35.128.0	213.35.255.255	EE
213.36.0.0	213.36.255.255	FR
213.37.0.0	213.37.255.255	ES
213.38.0.0	213.38.3.63	EU
213.38.3.64	213.38.3.127	GB
213.38.3.128	213.38.3.191	EU
213.38.3.192	213.38.4.63	GB
213.38.4.64	213.38.4.127	EU
213.38.4.128	213.38.4.191	GB
213.38.4.192	213.38.5.255	EU
213.38.6.0	213.38.6.63	GB
213.38.6.64	213.38.6.255	EU
213.38.7.0	213.38.7.63	GB
213.38.7.64	213.38.7.191	EU
213.38.7.192	213.38.7.215	GB
213.38.7.216	213.38.7.223	EU
213.38.7.224	213.38.8.31	GB
213.38.8.32	213.38.8.95	EU
213.38.8.96	213.38.8.127	GB
213.38.8.128	213.38.8.159	EU
213.38.8.160	213.38.8.223	GB
213.38.8.224	213.38.9.127	EU
213.38.9.128	213.38.9.159	GB
213.38.9.160	213.38.9.223	EU
213.38.9.224	213.38.9.255	GB
213.38.10.0	213.38.10.127	EU
213.38.10.128	213.38.10.191	GB
213.38.10.192	213.38.11.23	EU
213.38.11.24	213.38.11.31	GB
213.38.11.32	213.38.11.79	EU
213.38.11.80	213.38.11.95	GB
213.38.11.96	213.38.11.159	EU
213.38.11.160	213.38.11.191	GB
213.38.11.192	213.38.13.127	EU
213.38.13.128	213.38.13.255	GB
213.38.14.0	213.38.15.255	EU
213.38.16.0	213.38.16.63	GB
213.38.16.64	213.38.16.255	EU
213.38.17.0	213.38.17.71	GB
213.38.17.72	213.38.17.103	EU
213.38.17.104	213.38.17.119	GB
213.38.17.120	213.38.17.135	EU
213.38.17.136	213.38.17.143	GB
213.38.17.144	213.38.17.151	EU
213.38.17.152	213.38.17.159	GB
213.38.17.160	213.38.17.175	EU
213.38.17.176	213.38.17.191	GB
213.38.17.192	213.38.17.207	EU
213.38.17.208	213.38.17.215	GB
213.38.17.216	213.38.17.223	EU
213.38.17.224	213.38.17.247	GB
213.38.17.248	213.38.18.127	EU
213.38.18.128	213.38.18.255	GB
213.38.19.0	213.38.19.255	EU
213.38.20.0	213.38.20.127	GB
213.38.20.128	213.38.20.191	EU
213.38.20.192	213.38.20.199	GB
213.38.20.200	213.38.20.255	EU
213.38.21.0	213.38.21.63	GB
213.38.21.64	213.38.31.255	EU
213.38.32.0	213.38.32.31	GB
213.38.32.32	213.38.32.95	EU
213.38.32.96	213.38.32.111	GB
213.38.32.112	213.38.32.143	EU
213.38.32.144	213.38.32.167	GB
213.38.32.168	213.38.32.231	EU
213.38.32.232	213.38.32.239	GB
213.38.32.240	213.38.32.247	EU
213.38.32.248	213.38.32.255	GB
213.38.33.0	213.38.43.255	EU
213.38.44.0	213.38.44.127	GB
213.38.44.128	213.38.45.63	EU
213.38.45.64	213.38.45.127	GB
213.38.45.128	213.38.45.255	EU
213.38.46.0	213.38.49.127	GB
213.38.49.128	213.38.63.255	EU
213.38.64.0	213.38.68.127	GB
213.38.68.128	213.38.69.63	EU
213.38.69.64	213.38.69.71	GB
213.38.69.72	213.38.69.79	EU
213.38.69.80	213.38.69.87	GB
213.38.69.88	213.38.69.111	EU
213.38.69.112	213.38.69.127	GB
213.38.69.128	213.38.69.143	EU
213.38.69.144	213.38.69.159	GB
213.38.69.160	213.38.69.167	EU
213.38.69.168	213.38.69.175	GB
213.38.69.176	213.38.69.239	EU
213.38.69.240	213.38.70.255	GB
213.38.71.0	213.38.71.127	EU
213.38.71.128	213.38.72.63	GB
213.38.72.64	213.38.72.127	EU
213.38.72.128	213.38.72.191	GB
213.38.72.192	213.38.73.127	EU
213.38.73.128	213.38.73.191	GB
213.38.73.192	213.38.73.255	EU
213.38.74.0	213.38.74.127	GB
213.38.74.128	213.38.75.127	EU
213.38.75.128	213.38.75.191	GB
213.38.75.192	213.38.76.23	EU
213.38.76.24	213.38.76.39	GB
213.38.76.40	213.38.76.47	EU
213.38.76.48	213.38.76.55	GB
213.38.76.56	213.38.76.63	EU
213.38.76.64	213.38.76.71	GB
213.38.76.72	213.38.76.87	EU
213.38.76.88	213.38.76.95	GB
213.38.76.96	213.38.76.103	EU
213.38.76.104	213.38.76.111	GB
213.38.76.112	213.38.76.119	EU
213.38.76.120	213.38.76.143	GB
213.38.76.144	213.38.76.159	EU
213.38.76.160	213.38.76.175	GB
213.38.76.176	213.38.76.207	EU
213.38.76.208	213.38.76.223	GB
213.38.76.224	213.38.79.31	EU
213.38.79.32	213.38.79.47	GB
213.38.79.48	213.38.79.111	EU
213.38.79.112	213.38.79.143	GB
213.38.79.144	213.38.79.223	EU
213.38.79.224	213.38.79.239	GB
213.38.79.240	213.38.83.255	EU
213.38.84.0	213.38.84.127	GB
213.38.84.128	213.38.86.255	EU
213.38.87.0	213.38.87.31	GB
213.38.87.32	213.38.87.63	EU
213.38.87.64	213.38.87.95	GB
213.38.87.96	213.38.87.127	EU
213.38.87.128	213.38.87.159	GB
213.38.87.160	213.38.88.191	EU
213.38.88.192	213.38.88.255	GB
213.38.89.0	213.38.89.127	EU
213.38.89.128	213.38.89.191	GB
213.38.89.192	213.38.92.111	EU
213.38.92.112	213.38.92.127	GB
213.38.92.128	213.38.92.191	EU
213.38.92.192	213.38.92.207	GB
213.38.92.208	213.38.92.255	EU
213.38.93.0	213.38.93.63	GB
213.38.93.64	213.38.93.127	EU
213.38.93.128	213.38.93.255	GB
213.38.94.0	213.38.94.143	EU
213.38.94.144	213.38.94.151	GB
213.38.94.152	213.38.94.179	EU
213.38.94.180	213.38.94.191	GB
213.38.94.192	213.38.94.199	EU
213.38.94.200	213.38.94.207	GB
213.38.94.208	213.38.94.247	EU
213.38.94.248	213.38.94.255	GB
213.38.95.0	213.38.97.255	EU
213.38.98.0	213.38.98.15	GB
213.38.98.16	213.38.105.63	EU
213.38.105.64	213.38.105.192	GB
213.38.105.193	213.38.106.31	EU
213.38.106.32	213.38.106.47	GB
213.38.106.48	213.38.109.127	EU
213.38.109.128	213.38.109.255	GB
213.38.110.0	213.38.111.63	EU
213.38.111.64	213.38.111.95	GB
213.38.111.96	213.38.112.239	EU
213.38.112.240	213.38.112.247	GB
213.38.112.248	213.38.112.255	EU
213.38.113.0	213.38.113.127	GB
213.38.113.128	213.38.115.255	EU
213.38.116.0	213.38.116.127	GB
213.38.116.128	213.38.116.175	EU
213.38.116.176	213.38.116.183	GB
213.38.116.184	213.38.120.255	EU
213.38.121.0	213.38.121.127	GB
213.38.121.128	213.38.122.255	EU
213.38.123.0	213.38.123.63	GB
213.38.123.64	213.38.123.191	EU
213.38.123.192	213.38.123.255	GB
213.38.124.0	213.38.124.127	EU
213.38.124.128	213.38.124.159	GB
213.38.124.160	213.38.124.191	EU
213.38.124.192	213.38.124.223	GB
213.38.124.224	213.38.130.39	EU
213.38.130.40	213.38.130.47	GB
213.38.130.48	213.38.130.55	EU
213.38.130.56	213.38.130.63	GB
213.38.130.64	213.38.130.71	EU
213.38.130.72	213.38.130.79	GB
213.38.130.80	213.38.130.119	EU
213.38.130.120	213.38.130.127	GB
213.38.130.128	213.38.132.127	EU
213.38.132.128	213.38.132.255	GB
213.38.133.0	213.38.133.127	EU
213.38.133.128	213.38.133.255	GB
213.38.134.0	213.38.134.255	EU
213.38.135.0	213.38.135.15	GB
213.38.135.16	213.38.135.127	EU
213.38.135.128	213.38.135.143	GB
213.38.135.144	213.38.136.95	EU
213.38.136.96	213.38.136.127	GB
213.38.136.128	213.38.136.223	EU
213.38.136.224	213.38.137.63	GB
213.38.137.64	213.38.139.255	EU
213.38.140.0	213.38.140.63	GB
213.38.140.64	213.38.145.255	EU
213.38.146.0	213.38.146.127	GB
213.38.146.128	213.38.147.255	EU
213.38.148.0	213.38.148.63	GB
213.38.148.64	213.38.149.127	EU
213.38.149.128	213.38.149.191	GB
213.38.149.192	213.38.149.255	EU
213.38.150.0	213.38.150.127	GB
213.38.150.128	213.38.151.239	EU
213.38.151.240	213.38.152.63	GB
213.38.152.64	213.38.153.23	EU
213.38.153.24	213.38.153.31	GB
213.38.153.32	213.38.153.79	EU
213.38.153.80	213.38.153.87	GB
213.38.153.88	213.38.153.159	EU
213.38.153.160	213.38.153.175	GB
213.38.153.176	213.38.153.239	EU
213.38.153.240	213.38.153.247	GB
213.38.153.248	213.38.156.127	EU
213.38.156.128	213.38.156.159	GB
213.38.156.160	213.38.156.255	EU
213.38.157.0	213.38.157.127	GB
213.38.157.128	213.38.158.47	EU
213.38.158.48	213.38.158.63	GB
213.38.158.64	213.38.158.111	EU
213.38.158.112	213.38.158.143	GB
213.38.158.144	213.38.159.63	EU
213.38.159.64	213.38.159.95	GB
213.38.159.96	213.38.160.127	EU
213.38.160.128	213.38.160.255	GB
213.38.161.0	213.38.164.255	EU
213.38.165.0	213.38.165.255	GB
213.38.166.0	213.38.166.127	EU
213.38.166.128	213.38.166.255	GB
213.38.167.0	213.38.167.95	EU
213.38.167.96	213.38.167.127	GB
213.38.167.128	213.38.169.135	EU
213.38.169.136	213.38.169.159	GB
213.38.169.160	213.38.169.167	EU
213.38.169.168	213.38.169.175	GB
213.38.169.176	213.38.169.183	EU
213.38.169.184	213.38.169.191	GB
213.38.169.192	213.38.174.159	EU
213.38.174.160	213.38.174.191	GB
213.38.174.192	213.38.175.15	EU
213.38.175.16	213.38.175.47	GB
213.38.175.48	213.38.176.255	EU
213.38.177.0	213.38.177.255	GB
213.38.178.0	213.38.181.255	EU
213.38.182.0	213.38.182.63	GB
213.38.182.64	213.38.183.255	EU
213.38.184.0	213.38.184.63	GB
213.38.184.64	213.38.184.127	EU
213.38.184.128	213.38.184.191	GB
213.38.184.192	213.38.184.223	EU
213.38.184.224	213.38.184.255	GB
213.38.185.0	213.38.185.127	EU
213.38.185.128	213.38.185.191	GB
213.38.185.192	213.38.186.191	EU
213.38.186.192	213.38.186.223	GB
213.38.186.224	213.38.188.191	EU
213.38.188.192	213.38.188.207	GB
213.38.188.208	213.38.189.255	EU
213.38.190.0	213.38.190.127	GB
213.38.190.128	213.38.191.95	EU
213.38.191.96	213.38.191.159	GB
213.38.191.160	213.38.191.223	EU
213.38.191.224	213.38.191.255	GB
213.38.192.0	213.38.192.39	EU
213.38.192.40	213.38.192.43	GB
213.38.192.44	213.38.192.47	EU
213.38.192.48	213.38.192.63	GB
213.38.192.64	213.38.192.71	EU
213.38.192.72	213.38.192.75	GB
213.38.192.76	213.38.196.255	EU
213.38.197.0	213.38.197.15	GB
213.38.197.16	213.38.197.143	EU
213.38.197.144	213.38.197.159	GB
213.38.197.160	213.38.197.223	EU
213.38.197.224	213.38.197.239	GB
213.38.197.240	213.38.198.159	EU
213.38.198.160	213.38.198.167	GB
213.38.198.168	213.38.199.55	EU
213.38.199.56	213.38.199.63	GB
213.38.199.64	213.38.199.159	EU
213.38.199.160	213.38.199.191	GB
213.38.199.192	213.38.201.127	EU
213.38.201.128	213.38.201.135	GB
213.38.201.136	213.38.201.191	EU
213.38.201.192	213.38.201.207	GB
213.38.201.208	213.38.203.95	EU
213.38.203.96	213.38.203.127	GB
213.38.203.128	213.38.204.175	EU
213.38.204.176	213.38.204.191	GB
213.38.204.192	213.38.204.223	EU
213.38.204.224	213.38.204.239	GB
213.38.204.240	213.38.211.15	EU
213.38.211.16	213.38.211.31	GB
213.38.211.32	213.38.211.63	EU
213.38.211.64	213.38.211.87	GB
213.38.211.88	213.38.211.127	EU
213.38.211.128	213.38.211.143	GB
213.38.211.144	213.38.213.63	EU
213.38.213.64	213.38.213.79	GB
213.38.213.80	213.38.213.95	EU
213.38.213.96	213.38.213.127	GB
213.38.213.128	213.38.213.223	EU
213.38.213.224	213.38.213.255	GB
213.38.214.0	213.38.216.191	EU
213.38.216.192	213.38.216.223	GB
213.38.216.224	213.38.217.135	EU
213.38.217.136	213.38.217.143	GB
213.38.217.144	213.38.217.255	EU
213.38.218.0	213.38.218.63	GB
213.38.218.64	213.38.225.255	EU
213.38.226.0	213.38.231.255	GB
213.38.232.0	213.38.240.255	EU
213.38.241.0	213.38.247.255	GB
213.38.248.0	213.38.249.255	EU
213.38.250.0	213.38.255.255	GB
213.39.0.0	213.39.0.255	FR
213.39.1.0	213.39.1.79	GB
213.39.1.80	213.39.1.127	FR
213.39.1.128	213.39.1.159	GB
213.39.1.160	213.39.1.199	FR
213.39.1.200	213.39.1.207	GB
213.39.1.208	213.39.2.31	FR
213.39.2.32	213.39.2.159	GB
213.39.2.160	213.39.2.175	FR
213.39.2.176	213.39.2.191	GB
213.39.2.192	213.39.2.207	FR
213.39.2.208	213.39.2.255	GB
213.39.3.0	213.39.3.255	FR
213.39.4.0	213.39.4.175	GB
213.39.4.176	213.39.4.191	FR
213.39.4.192	213.39.4.239	GB
213.39.4.240	213.39.4.255	FR
213.39.5.0	213.39.5.127	GB
213.39.5.128	213.39.5.159	FR
213.39.5.160	213.39.5.255	GB
213.39.6.0	213.39.6.47	FR
213.39.6.48	213.39.6.127	GB
213.39.6.128	213.39.6.159	FR
213.39.6.160	213.39.6.191	GB
213.39.6.192	213.39.6.207	FR
213.39.6.208	213.39.6.255	GB
213.39.7.0	213.39.7.255	FR
213.39.8.0	213.39.8.95	GB
213.39.8.96	213.39.8.223	FR
213.39.8.224	213.39.8.255	GB
213.39.9.0	213.39.10.63	FR
213.39.10.64	213.39.10.127	GB
213.39.10.128	213.39.10.255	FR
213.39.11.0	213.39.11.31	GB
213.39.11.32	213.39.11.127	FR
213.39.11.128	213.39.12.7	GB
213.39.12.8	213.39.12.63	FR
213.39.12.64	213.39.12.71	GB
213.39.12.72	213.39.12.127	FR
213.39.12.128	213.39.12.255	GB
213.39.13.0	213.39.13.47	FR
213.39.13.48	213.39.14.63	GB
213.39.14.64	213.39.14.255	FR
213.39.15.0	213.39.15.255	GB
213.39.16.0	213.39.16.127	FR
213.39.16.128	213.39.16.175	GB
213.39.16.176	213.39.16.223	FR
213.39.16.224	213.39.16.255	GB
213.39.17.0	213.39.17.31	FR
213.39.17.32	213.39.17.127	GB
213.39.17.128	213.39.17.255	FR
213.39.18.0	213.39.18.127	GB
213.39.18.128	213.39.18.159	FR
213.39.18.160	213.39.18.175	GB
213.39.18.176	213.39.18.239	FR
213.39.18.240	213.39.18.255	GB
213.39.19.0	213.39.19.127	FR
213.39.19.128	213.39.19.255	GB
213.39.20.0	213.39.20.31	FR
213.39.20.32	213.39.20.47	GB
213.39.20.48	213.39.20.127	FR
213.39.20.128	213.39.20.223	GB
213.39.20.224	213.39.20.231	FR
213.39.20.232	213.39.20.239	GB
213.39.20.240	213.39.21.63	FR
213.39.21.64	213.39.21.223	GB
213.39.21.224	213.39.22.255	FR
213.39.23.0	213.39.23.15	GB
213.39.23.16	213.39.23.63	FR
213.39.23.64	213.39.23.191	GB
213.39.23.192	213.39.23.223	FR
213.39.23.224	213.39.23.255	DE
213.39.24.0	213.39.25.255	FR
213.39.26.0	213.39.26.127	GB
213.39.26.128	213.39.26.223	FR
213.39.26.224	213.39.26.231	GB
213.39.26.232	213.39.26.247	FR
213.39.26.248	213.39.27.255	GB
213.39.28.0	213.39.28.127	FR
213.39.28.128	213.39.28.191	GB
213.39.28.192	213.39.28.255	FR
213.39.29.0	213.39.29.31	GB
213.39.29.32	213.39.29.127	FR
213.39.29.128	213.39.29.239	GB
213.39.29.240	213.39.30.255	FR
213.39.31.0	213.39.31.255	GB
213.39.32.0	213.39.32.127	FR
213.39.32.128	213.39.33.63	GB
213.39.33.64	213.39.33.239	FR
213.39.33.240	213.39.33.255	GB
213.39.34.0	213.39.34.31	FR
213.39.34.32	213.39.34.63	GB
213.39.34.64	213.39.34.95	FR
213.39.34.96	213.39.34.111	GB
213.39.34.112	213.39.34.191	FR
213.39.34.192	213.39.36.255	GB
213.39.37.0	213.39.37.159	FR
213.39.37.160	213.39.40.255	GB
213.39.41.0	213.39.41.127	FR
213.39.41.128	213.39.63.255	GB
213.39.64.0	213.39.64.159	CH
213.39.64.160	213.39.64.175	BE
213.39.64.176	213.39.95.255	CH
213.39.96.0	213.39.96.127	GB
213.39.96.128	213.39.96.159	FR
213.39.96.160	213.39.96.191	GB
213.39.96.192	213.39.96.199	FR
213.39.96.200	213.39.96.207	GB
213.39.96.208	213.39.96.215	FR
213.39.96.216	213.39.111.255	GB
213.39.112.0	213.39.127.255	CH
213.39.128.0	213.39.255.255	DE
213.40.0.0	213.40.255.255	GB
213.41.0.0	213.41.10.127	FR
213.41.10.128	213.41.10.159	GB
213.41.10.160	213.41.11.79	FR
213.41.11.80	213.41.11.127	GB
213.41.11.128	213.41.12.7	FR
213.41.12.8	213.41.12.15	GB
213.41.12.16	213.41.12.31	FR
213.41.12.32	213.41.12.63	GB
213.41.12.64	213.41.12.175	FR
213.41.12.176	213.41.12.223	GB
213.41.12.224	213.41.13.143	FR
213.41.13.144	213.41.13.191	GB
213.41.13.192	213.41.14.47	FR
213.41.14.48	213.41.14.63	GB
213.41.14.64	213.41.14.143	FR
213.41.14.144	213.41.14.175	GB
213.41.14.176	213.41.16.63	FR
213.41.16.64	213.41.16.79	GB
213.41.16.80	213.41.16.225	FR
213.41.16.226	213.41.16.255	GB
213.41.17.0	213.41.17.111	FR
213.41.17.112	213.41.17.127	GB
213.41.17.128	213.41.17.175	FR
213.41.17.176	213.41.17.191	GB
213.41.17.192	213.41.17.223	FR
213.41.17.224	213.41.17.239	GB
213.41.17.240	213.41.18.15	FR
213.41.18.16	213.41.18.31	GB
213.41.18.32	213.41.18.47	FR
213.41.18.48	213.41.18.63	GB
213.41.18.64	213.41.19.15	FR
213.41.19.16	213.41.19.31	GB
213.41.19.32	213.41.19.47	FR
213.41.19.48	213.41.19.63	GB
213.41.19.64	213.41.19.79	FR
213.41.19.80	213.41.19.127	GB
213.41.19.128	213.41.19.159	FR
213.41.19.160	213.41.19.175	GB
213.41.19.176	213.41.19.191	FR
213.41.19.192	213.41.19.223	GB
213.41.19.224	213.41.19.239	FR
213.41.19.240	213.41.19.255	GB
213.41.20.0	213.41.22.47	FR
213.41.22.48	213.41.22.55	GB
213.41.22.56	213.41.23.167	FR
213.41.23.168	213.41.23.175	GB
213.41.23.176	213.41.23.239	FR
213.41.23.240	213.41.23.255	GB
213.41.24.0	213.41.25.91	FR
213.41.25.92	213.41.25.127	GB
213.41.25.128	213.41.25.191	FR
213.41.25.192	213.41.26.255	GB
213.41.27.0	213.41.28.31	FR
213.41.28.32	213.41.28.63	GB
213.41.28.64	213.41.28.135	FR
213.41.28.136	213.41.28.143	GB
213.41.28.144	213.41.28.191	FR
213.41.28.192	213.41.28.199	GB
213.41.28.200	213.41.28.231	FR
213.41.28.232	213.41.28.247	GB
213.41.28.248	213.41.31.15	FR
213.41.31.16	213.41.31.23	GB
213.41.31.24	213.41.31.31	FR
213.41.31.32	213.41.31.71	GB
213.41.31.72	213.41.31.87	FR
213.41.31.88	213.41.31.111	GB
213.41.31.112	213.41.31.119	FR
213.41.31.120	213.41.31.127	GB
213.41.31.128	213.41.31.191	FR
213.41.31.192	213.41.31.223	GB
213.41.31.224	213.41.32.7	FR
213.41.32.8	213.41.32.23	GB
213.41.32.24	213.41.32.143	FR
213.41.32.144	213.41.32.151	GB
213.41.32.152	213.41.38.255	FR
213.41.39.0	213.41.39.31	GB
213.41.39.32	213.41.39.63	FR
213.41.39.64	213.41.39.79	GB
213.41.39.80	213.41.39.159	FR
213.41.39.160	213.41.39.175	GB
213.41.39.176	213.41.48.127	FR
213.41.48.128	213.41.48.191	GB
213.41.48.192	213.41.49.128	FR
213.41.49.129	213.41.49.199	GB
213.41.49.200	213.41.49.215	FR
213.41.49.216	213.41.49.223	GB
213.41.49.224	213.41.60.15	FR
213.41.60.16	213.41.60.23	GB
213.41.60.24	213.41.60.119	FR
213.41.60.120	213.41.60.127	GB
213.41.60.128	213.41.60.183	FR
213.41.60.184	213.41.60.191	GB
213.41.60.192	213.41.61.143	FR
213.41.61.144	213.41.61.191	GB
213.41.61.192	213.41.61.207	FR
213.41.61.208	213.41.61.223	GB
213.41.61.224	213.41.61.231	FR
213.41.61.232	213.41.61.239	GB
213.41.61.240	213.41.64.255	FR
213.41.65.0	213.41.65.255	GB
213.41.66.0	213.41.68.15	FR
213.41.68.16	213.41.68.127	GB
213.41.68.128	213.41.68.191	FR
213.41.68.192	213.41.68.207	GB
213.41.68.208	213.41.68.223	FR
213.41.68.224	213.41.68.255	GB
213.41.69.0	213.41.71.255	FR
213.41.72.0	213.41.72.255	GB
213.41.73.0	213.41.80.23	FR
213.41.80.24	213.41.80.31	GB
213.41.80.32	213.41.80.87	FR
213.41.80.88	213.41.80.95	GB
213.41.80.96	213.41.80.143	FR
213.41.80.144	213.41.80.151	GB
213.41.80.152	213.41.80.159	FR
213.41.80.160	213.41.80.183	GB
213.41.80.184	213.41.80.191	FR
213.41.80.192	213.41.80.223	GB
213.41.80.224	213.41.81.127	FR
213.41.81.128	213.41.81.135	GB
213.41.81.136	213.41.81.143	FR
213.41.81.144	213.41.81.159	GB
213.41.81.160	213.41.81.175	FR
213.41.81.176	213.41.81.183	GB
213.41.81.184	213.41.82.175	FR
213.41.82.176	213.41.82.223	GB
213.41.82.224	213.41.82.239	FR
213.41.82.240	213.41.83.31	GB
213.41.83.32	213.41.83.143	FR
213.41.83.144	213.41.83.151	GB
213.41.83.152	213.41.83.175	FR
213.41.83.176	213.41.83.191	GB
213.41.83.192	213.41.83.199	FR
213.41.83.200	213.41.83.207	GB
213.41.83.208	213.41.84.31	FR
213.41.84.32	213.41.84.39	GB
213.41.84.40	213.41.84.55	FR
213.41.84.56	213.41.84.63	GB
213.41.84.64	213.41.84.143	FR
213.41.84.144	213.41.84.159	GB
213.41.84.160	213.41.84.183	FR
213.41.84.184	213.41.84.191	GB
213.41.84.192	213.41.84.215	FR
213.41.84.216	213.41.84.231	GB
213.41.84.232	213.41.84.255	FR
213.41.85.0	213.41.85.7	GB
213.41.85.8	213.41.85.143	FR
213.41.85.144	213.41.85.175	GB
213.41.85.176	213.41.85.239	FR
213.41.85.240	213.41.85.255	GB
213.41.86.0	213.41.86.127	FR
213.41.86.128	213.41.86.143	GB
213.41.86.144	213.41.86.239	FR
213.41.86.240	213.41.86.255	GB
213.41.87.0	213.41.87.95	FR
213.41.87.96	213.41.87.111	GB
213.41.87.112	213.41.87.127	FR
213.41.87.128	213.41.87.159	GB
213.41.87.160	213.41.87.175	FR
213.41.87.176	213.41.88.15	GB
213.41.88.16	213.41.88.31	FR
213.41.88.32	213.41.88.47	GB
213.41.88.48	213.41.88.95	FR
213.41.88.96	213.41.88.111	GB
213.41.88.112	213.41.88.127	FR
213.41.88.128	213.41.88.159	GB
213.41.88.160	213.41.88.175	FR
213.41.88.176	213.41.88.255	GB
213.41.89.0	213.41.89.127	FR
213.41.89.128	213.41.89.191	GB
213.41.89.192	213.41.89.223	FR
213.41.89.224	213.41.89.239	GB
213.41.89.240	213.41.90.55	FR
213.41.90.56	213.41.90.63	GB
213.41.90.64	213.41.90.79	FR
213.41.90.80	213.41.90.87	GB
213.41.90.88	213.41.90.111	FR
213.41.90.112	213.41.90.127	GB
213.41.90.128	213.41.90.135	FR
213.41.90.136	213.41.90.143	GB
213.41.90.144	213.41.91.7	FR
213.41.91.8	213.41.91.15	GB
213.41.91.16	213.41.91.47	FR
213.41.91.48	213.41.91.79	GB
213.41.91.80	213.41.91.87	FR
213.41.91.88	213.41.91.95	GB
213.41.91.96	213.41.91.175	FR
213.41.91.176	213.41.91.191	GB
213.41.91.192	213.41.91.207	FR
213.41.91.208	213.41.91.215	GB
213.41.91.216	213.41.91.223	FR
213.41.91.224	213.41.91.255	GB
213.41.92.0	213.41.92.15	FR
213.41.92.16	213.41.92.47	GB
213.41.92.48	213.41.92.95	FR
213.41.92.96	213.41.92.111	GB
213.41.92.112	213.41.92.191	FR
213.41.92.192	213.41.93.15	GB
213.41.93.16	213.41.93.31	FR
213.41.93.32	213.41.93.47	GB
213.41.93.48	213.41.93.63	FR
213.41.93.64	213.41.93.79	GB
213.41.93.80	213.41.93.95	FR
213.41.93.96	213.41.93.111	GB
213.41.93.112	213.41.93.191	FR
213.41.93.192	213.41.93.207	GB
213.41.93.208	213.41.94.7	FR
213.41.94.8	213.41.94.15	GB
213.41.94.16	213.41.94.31	FR
213.41.94.32	213.41.94.47	GB
213.41.94.48	213.41.94.119	FR
213.41.94.120	213.41.94.127	GB
213.41.94.128	213.41.95.47	FR
213.41.95.48	213.41.95.95	GB
213.41.95.96	213.41.95.111	FR
213.41.95.112	213.41.95.127	GB
213.41.95.128	213.41.95.143	FR
213.41.95.144	213.41.95.175	GB
213.41.95.176	213.41.95.191	FR
213.41.95.192	213.41.95.207	GB
213.41.95.208	213.41.95.223	FR
213.41.95.224	213.41.96.15	GB
213.41.96.16	213.41.96.31	FR
213.41.96.32	213.41.96.63	GB
213.41.96.64	213.41.96.111	FR
213.41.96.112	213.41.96.127	GB
213.41.96.128	213.41.96.143	FR
213.41.96.144	213.41.96.223	GB
213.41.96.224	213.41.96.255	FR
213.41.97.0	213.41.97.31	GB
213.41.97.32	213.41.97.47	FR
213.41.97.48	213.41.97.79	GB
213.41.97.80	213.41.97.127	FR
213.41.97.128	213.41.97.191	GB
213.41.97.192	213.41.97.207	FR
213.41.97.208	213.41.97.223	GB
213.41.97.224	213.41.97.255	FR
213.41.98.0	213.41.98.15	GB
213.41.98.16	213.41.98.31	FR
213.41.98.32	213.41.98.127	GB
213.41.98.128	213.41.98.159	FR
213.41.98.160	213.41.98.175	GB
213.41.98.176	213.41.98.207	FR
213.41.98.208	213.41.98.223	GB
213.41.98.224	213.41.98.239	FR
213.41.98.240	213.41.98.255	GB
213.41.99.0	213.41.99.15	FR
213.41.99.16	213.41.99.63	GB
213.41.99.64	213.41.99.95	FR
213.41.99.96	213.41.99.111	GB
213.41.99.112	213.41.99.143	FR
213.41.99.144	213.41.99.159	GB
213.41.99.160	213.41.99.191	FR
213.41.99.192	213.41.99.255	GB
213.41.100.0	213.41.101.111	FR
213.41.101.112	213.41.101.135	GB
213.41.101.136	213.41.101.151	FR
213.41.101.152	213.41.101.159	GB
213.41.101.160	213.41.101.175	FR
213.41.101.176	213.41.101.207	GB
213.41.101.208	213.41.101.239	FR
213.41.101.240	213.41.102.15	GB
213.41.102.16	213.41.102.79	FR
213.41.102.80	213.41.102.95	GB
213.41.102.96	213.41.102.111	FR
213.41.102.112	213.41.102.127	GB
213.41.102.128	213.41.102.143	FR
213.41.102.144	213.41.102.159	GB
213.41.102.160	213.41.102.175	FR
213.41.102.176	213.41.102.191	GB
213.41.102.192	213.41.102.207	FR
213.41.102.208	213.41.102.239	GB
213.41.102.240	213.41.103.111	FR
213.41.103.112	213.41.103.191	GB
213.41.103.192	213.41.103.207	FR
213.41.103.208	213.41.103.255	GB
213.41.104.0	213.41.104.47	FR
213.41.104.48	213.41.104.55	GB
213.41.104.56	213.41.104.63	FR
213.41.104.64	213.41.104.71	GB
213.41.104.72	213.41.104.95	FR
213.41.104.96	213.41.104.127	GB
213.41.104.128	213.41.105.39	FR
213.41.105.40	213.41.105.63	GB
213.41.105.64	213.41.105.95	FR
213.41.105.96	213.41.105.135	GB
213.41.105.136	213.41.105.151	FR
213.41.105.152	213.41.105.159	GB
213.41.105.160	213.41.105.183	FR
213.41.105.184	213.41.105.191	GB
213.41.105.192	213.41.105.199	FR
213.41.105.200	213.41.105.207	GB
213.41.105.208	213.41.105.215	FR
213.41.105.216	213.41.105.231	GB
213.41.105.232	213.41.105.239	FR
213.41.105.240	213.41.105.247	GB
213.41.105.248	213.41.106.255	FR
213.41.107.0	213.41.107.255	GB
213.41.108.0	213.41.108.191	FR
213.41.108.192	213.41.108.255	GB
213.41.109.0	213.41.109.39	FR
213.41.109.40	213.41.109.47	GB
213.41.109.48	213.41.115.15	FR
213.41.115.16	213.41.115.63	GB
213.41.115.64	213.41.115.95	FR
213.41.115.96	213.41.115.103	GB
213.41.115.104	213.41.115.111	FR
213.41.115.112	213.41.115.127	GB
213.41.115.128	213.41.115.143	FR
213.41.115.144	213.41.115.151	GB
213.41.115.152	213.41.115.159	FR
213.41.115.160	213.41.115.175	GB
213.41.115.176	213.41.115.191	FR
213.41.115.192	213.41.115.199	GB
213.41.115.200	213.41.116.71	FR
213.41.116.72	213.41.116.79	GB
213.41.116.80	213.41.116.111	FR
213.41.116.112	213.41.116.207	GB
213.41.116.208	213.41.116.231	FR
213.41.116.232	213.41.116.239	GB
213.41.116.240	213.41.118.103	FR
213.41.118.104	213.41.118.127	GB
213.41.118.128	213.41.118.191	FR
213.41.118.192	213.41.118.207	GB
213.41.118.208	213.41.118.255	FR
213.41.119.0	213.41.119.63	GB
213.41.119.64	213.41.119.95	FR
213.41.119.96	213.41.119.111	GB
213.41.119.112	213.41.119.127	FR
213.41.119.128	213.41.119.175	GB
213.41.119.176	213.41.119.191	FR
213.41.119.192	213.41.119.239	GB
213.41.119.240	213.41.122.63	FR
213.41.122.64	213.41.122.71	GB
213.41.122.72	213.41.122.87	FR
213.41.122.88	213.41.122.95	GB
213.41.122.96	213.41.122.111	FR
213.41.122.112	213.41.122.119	GB
213.41.122.120	213.41.122.143	FR
213.41.122.144	213.41.122.151	GB
213.41.122.152	213.41.122.159	FR
213.41.122.160	213.41.122.167	GB
213.41.122.168	213.41.122.183	FR
213.41.122.184	213.41.122.215	GB
213.41.122.216	213.41.122.247	FR
213.41.122.248	213.41.122.255	GB
213.41.123.0	213.41.124.31	FR
213.41.124.32	213.41.124.47	GB
213.41.124.48	213.41.124.79	FR
213.41.124.80	213.41.124.95	GB
213.41.124.96	213.41.124.103	FR
213.41.124.104	213.41.124.111	GB
213.41.124.112	213.41.124.119	FR
213.41.124.120	213.41.124.135	GB
213.41.124.136	213.41.124.151	FR
213.41.124.152	213.41.124.175	GB
213.41.124.176	213.41.127.167	FR
213.41.127.168	213.41.127.175	GB
213.41.127.176	213.41.127.191	FR
213.41.127.192	213.41.127.255	GB
213.41.128.0	213.41.255.255	FR
213.42.0.0	213.42.255.255	AE
213.43.0.0	213.43.255.255	TR
213.44.0.0	213.44.255.255	FR
213.45.0.0	213.45.255.255	IT
213.46.0.0	213.46.161.255	NL
213.46.162.0	213.46.162.255	BE
213.46.163.0	213.46.163.255	FR
213.46.164.0	213.46.165.255	NL
213.46.166.0	213.46.166.255	HU
213.46.167.0	213.46.169.255	NL
213.46.170.0	213.46.170.255	RO
213.46.171.0	213.46.171.255	NL
213.46.172.0	213.46.172.255	CZ
213.46.173.0	213.46.173.255	AT
213.46.174.0	213.46.174.255	GB
213.46.175.0	213.46.175.255	NL
213.46.176.0	213.46.176.255	SE
213.46.177.0	213.46.177.255	NO
213.46.178.0	213.46.178.255	PL
213.46.179.0	213.46.179.255	DE
213.46.180.0	213.46.227.255	NL
213.46.228.0	213.46.229.255	SE
213.46.230.0	213.46.230.255	GB
213.46.231.0	213.46.235.255	NL
213.46.236.0	213.46.237.255	GB
213.46.238.0	213.46.242.255	NL
213.46.243.0	213.46.243.255	AT
213.46.244.0	213.46.254.255	NL
213.46.255.0	213.47.255.255	AT
213.48.0.0	213.48.255.255	GB
213.49.0.0	213.49.255.255	BE
213.50.0.0	213.50.255.255	SE
213.51.0.0	213.51.255.255	NL
213.52.0.0	213.52.127.255	NO
213.52.128.0	213.52.183.255	GB
213.52.184.0	213.52.190.63	NL
213.52.190.64	213.52.190.251	GB
213.52.190.252	213.52.190.255	NL
213.52.191.0	213.52.255.255	GB
213.53.0.0	213.53.255.255	NL
213.54.0.0	213.54.255.255	DE
213.55.64.0	213.55.127.255	ET
213.55.128.0	213.55.255.255	CH
213.56.0.0	213.56.255.255	FR
213.57.0.0	213.57.255.255	IL
213.58.0.0	213.58.174.127	PT
213.58.174.128	213.58.174.143	DE
213.58.174.144	213.58.255.255	PT
213.59.0.0	213.59.15.47	RU
213.59.15.48	213.59.15.63	KZ
213.59.15.64	213.59.255.255	RU
213.60.0.0	213.60.255.255	ES
213.61.0.0	213.61.4.135	DE
213.61.4.136	213.61.4.143	US
213.61.4.144	213.61.4.255	DE
213.61.5.0	213.61.5.127	SE
213.61.5.128	213.61.5.255	DE
213.61.6.0	213.61.6.127	US
213.61.6.128	213.61.10.191	DE
213.61.10.192	213.61.10.255	FR
213.61.11.0	213.61.26.47	DE
213.61.26.48	213.61.26.51	US
213.61.26.52	213.61.48.223	DE
213.61.48.224	213.61.48.239	US
213.61.48.240	213.61.58.223	DE
213.61.58.224	213.61.58.231	FR
213.61.58.232	213.61.69.23	DE
213.61.69.24	213.61.69.31	GB
213.61.69.32	213.61.127.15	DE
213.61.127.16	213.61.127.31	US
213.61.127.32	213.61.186.111	DE
213.61.186.112	213.61.186.127	FR
213.61.186.128	213.61.187.167	DE
213.61.187.168	213.61.187.175	IE
213.61.187.176	213.61.250.39	DE
213.61.250.40	213.61.250.47	ES
213.61.250.48	213.62.0.127	DE
213.62.0.128	213.62.0.255	GB
213.62.1.0	213.62.1.255	DE
213.62.2.0	213.62.3.191	CH
213.62.3.192	213.62.3.255	EU
213.62.4.0	213.62.7.255	DE
213.62.8.0	213.62.8.31	EU
213.62.8.32	213.62.8.95	DE
213.62.8.96	213.62.8.127	EU
213.62.8.128	213.62.8.255	NO
213.62.9.0	213.62.9.255	HU
213.62.10.0	213.62.10.255	FI
213.62.11.0	213.62.11.255	EU
213.62.12.0	213.62.12.255	DE
213.62.13.0	213.62.14.255	EU
213.62.15.0	213.62.15.31	DE
213.62.15.32	213.62.15.63	EU
213.62.15.64	213.62.15.127	DE
213.62.15.128	213.62.31.255	EU
213.62.32.0	213.62.32.15	GB
213.62.32.16	213.62.32.31	NL
213.62.32.32	213.62.32.127	GB
213.62.32.128	213.62.32.191	BE
213.62.32.192	213.62.32.223	EU
213.62.32.224	213.62.32.239	AT
213.62.32.240	213.62.32.255	EU
213.62.33.0	213.62.37.223	GB
213.62.37.224	213.62.37.255	EU
213.62.38.0	213.62.40.95	GB
213.62.40.96	213.62.40.143	EU
213.62.40.144	213.62.40.191	GB
213.62.40.192	213.62.40.255	TR
213.62.41.0	213.62.41.255	EU
213.62.42.0	213.62.42.63	GB
213.62.42.64	213.62.42.127	EU
213.62.42.128	213.62.42.159	GB
213.62.42.160	213.62.42.223	EU
213.62.42.224	213.62.42.231	SK
213.62.42.232	213.62.42.255	EU
213.62.43.0	213.62.46.127	GB
213.62.46.128	213.62.46.255	DE
213.62.47.0	213.62.47.255	GB
213.62.48.0	213.62.48.63	EU
213.62.48.64	213.62.49.143	GB
213.62.49.144	213.62.49.255	EU
213.62.50.0	213.62.53.127	GB
213.62.53.128	213.62.53.255	EU
213.62.54.0	213.62.54.255	GB
213.62.55.0	213.62.55.127	EU
213.62.55.128	213.62.57.47	GB
213.62.57.48	213.62.57.63	EU
213.62.57.64	213.62.58.111	GB
213.62.58.112	213.62.58.119	EU
213.62.58.120	213.62.58.127	GB
213.62.58.128	213.62.58.143	EU
213.62.58.144	213.62.59.255	GB
213.62.60.0	213.62.60.223	EU
213.62.60.224	213.62.60.239	GB
213.62.60.240	213.62.60.255	DE
213.62.61.0	213.62.62.63	GB
213.62.62.64	213.62.62.127	EU
213.62.62.128	213.62.62.255	GB
213.62.63.0	213.62.63.255	EU
213.62.64.0	213.62.65.255	FR
213.62.66.0	213.62.66.255	EU
213.62.67.0	213.62.67.255	GB
213.62.68.0	213.62.69.63	FR
213.62.69.64	213.62.69.95	EU
213.62.69.96	213.62.71.255	FR
213.62.72.0	213.62.79.255	CH
213.62.80.0	213.62.83.255	GB
213.62.84.0	213.62.91.255	EU
213.62.92.0	213.62.92.159	CZ
213.62.92.160	213.62.92.167	EU
213.62.92.168	213.62.92.175	CZ
213.62.92.176	213.62.92.255	EU
213.62.93.0	213.62.93.191	CZ
213.62.93.192	213.62.95.255	EU
213.62.96.0	213.62.98.127	FR
213.62.98.128	213.62.98.191	EU
213.62.98.192	213.62.99.255	FR
213.62.100.0	213.62.103.255	DE
213.62.104.0	213.62.108.255	GB
213.62.109.0	213.62.109.255	BE
213.62.110.0	213.62.111.255	GB
213.62.112.0	213.62.112.47	FR
213.62.112.48	213.62.112.55	EU
213.62.112.56	213.62.113.71	FR
213.62.113.72	213.62.113.79	EU
213.62.113.80	213.62.114.255	FR
213.62.115.0	213.62.115.87	EU
213.62.115.88	213.62.115.103	FR
213.62.115.104	213.62.115.119	EU
213.62.115.120	213.62.115.127	FR
213.62.115.128	213.62.115.159	EU
213.62.115.160	213.62.115.167	FR
213.62.115.168	213.62.115.183	EU
213.62.115.184	213.62.115.191	FR
213.62.115.192	213.62.115.255	EU
213.62.116.0	213.62.119.15	FR
213.62.119.16	213.62.119.31	EU
213.62.119.32	213.62.120.191	FR
213.62.120.192	213.62.120.199	EU
213.62.120.200	213.62.120.215	FR
213.62.120.216	213.62.120.223	EU
213.62.120.224	213.62.120.239	FR
213.62.120.240	213.62.120.255	EU
213.62.121.0	213.62.121.175	FR
213.62.121.176	213.62.121.183	EU
213.62.121.184	213.62.121.207	FR
213.62.121.208	213.62.123.255	EU
213.62.124.0	213.62.124.39	GB
213.62.124.40	213.62.124.47	EU
213.62.124.48	213.62.124.127	GB
213.62.124.128	213.62.124.191	EU
213.62.124.192	213.62.124.255	GB
213.62.125.0	213.62.125.255	EU
213.62.126.0	213.62.126.127	FR
213.62.126.128	213.62.126.255	EU
213.62.127.0	213.62.127.255	FR
213.62.128.0	213.62.128.223	NL
213.62.128.224	213.62.128.239	GB
213.62.128.240	213.62.128.255	NL
213.62.129.0	213.62.137.119	EU
213.62.137.120	213.62.137.135	NL
213.62.137.136	213.62.137.143	EU
213.62.137.144	213.62.137.191	NL
213.62.137.192	213.62.137.255	SK
213.62.138.0	213.62.138.255	EU
213.62.139.0	213.62.139.63	NL
213.62.139.64	213.62.139.79	EU
213.62.139.80	213.62.139.127	NL
213.62.139.128	213.62.139.255	EU
213.62.140.0	213.62.140.127	NL
213.62.140.128	213.62.140.255	NO
213.62.141.0	213.62.141.71	NL
213.62.141.72	213.62.141.79	EU
213.62.141.80	213.62.141.191	NL
213.62.141.192	213.62.141.255	EU
213.62.142.0	213.62.142.255	NL
213.62.143.0	213.62.143.255	EU
213.62.144.0	213.62.147.39	DK
213.62.147.40	213.62.147.63	EU
213.62.147.64	213.62.147.95	DK
213.62.147.96	213.62.147.127	EU
213.62.147.128	213.62.147.255	DK
213.62.148.0	213.62.149.255	EU
213.62.150.0	213.62.151.255	NL
213.62.152.0	213.62.159.255	EU
213.62.160.0	213.62.160.255	GB
213.62.161.0	213.62.163.255	EU
213.62.164.0	213.62.165.191	IT
213.62.165.192	213.62.165.255	EU
213.62.166.0	213.62.166.7	NO
213.62.166.8	213.62.166.15	EU
213.62.166.16	213.62.166.31	NO
213.62.166.32	213.62.166.127	EU
213.62.166.128	213.62.166.207	NO
213.62.166.208	213.62.166.255	EU
213.62.167.0	213.62.167.127	NO
213.62.167.128	213.62.167.255	EU
213.62.168.0	213.62.175.255	IT
213.62.176.0	213.62.176.223	AT
213.62.176.224	213.62.176.255	EU
213.62.177.0	213.62.177.95	AT
213.62.177.96	213.62.177.111	EU
213.62.177.112	213.62.177.127	AT
213.62.177.128	213.62.177.159	EU
213.62.177.160	213.62.177.191	AT
213.62.177.192	213.62.177.255	EU
213.62.178.0	213.62.180.127	AT
213.62.180.128	213.62.183.255	EU
213.62.184.0	213.62.184.255	GB
213.62.185.0	213.62.185.63	EU
213.62.185.64	213.62.191.255	GB
213.62.192.0	213.62.193.31	GR
213.62.193.32	213.62.193.63	EU
213.62.193.64	213.62.193.95	GR
213.62.193.96	213.62.194.255	EU
213.62.195.0	213.62.196.191	BE
213.62.196.192	213.62.196.255	EU
213.62.197.0	213.62.199.255	BE
213.62.200.0	213.62.207.255	EU
213.62.208.0	213.62.214.191	SE
213.62.214.192	213.62.214.223	EU
213.62.214.224	213.62.215.31	SE
213.62.215.32	213.62.215.63	EU
213.62.215.64	213.62.215.95	SE
213.62.215.96	213.62.215.127	EU
213.62.215.128	213.62.215.175	SE
213.62.215.176	213.62.215.255	EU
213.62.216.0	213.62.216.55	ES
213.62.216.56	213.62.216.63	EU
213.62.216.64	213.62.216.71	ES
213.62.216.72	213.62.216.79	EU
213.62.216.80	213.62.216.143	ES
213.62.216.144	213.62.216.255	EU
213.62.217.0	213.62.217.31	BE
213.62.217.32	213.62.217.63	RO
213.62.217.64	213.62.217.127	LU
213.62.217.128	213.62.217.255	EU
213.62.218.0	213.62.218.127	ES
213.62.218.128	213.62.223.255	EU
213.62.224.0	213.62.224.159	PL
213.62.224.160	213.62.228.31	EU
213.62.228.32	213.62.228.63	IE
213.62.228.64	213.62.228.127	EU
213.62.228.128	213.62.228.191	IE
213.62.228.192	213.62.229.255	EU
213.62.230.0	213.62.231.7	HU
213.62.231.8	213.62.231.127	EU
213.62.231.128	213.62.231.255	HU
213.62.232.0	213.62.239.255	BE
213.62.240.0	213.62.241.255	ZA
213.62.242.0	213.62.247.255	DE
213.62.248.0	213.62.255.255	EU
213.63.0.0	213.63.255.255	PT
213.64.0.0	213.67.255.255	SE
213.68.0.0	213.68.177.255	DE
213.68.178.0	213.68.178.31	CH
213.68.178.32	213.71.31.127	DE
213.71.31.128	213.71.31.191	PK
213.71.31.192	213.71.135.135	DE
213.71.135.136	213.71.135.143	US
213.71.135.144	213.71.143.119	DE
213.71.143.120	213.71.143.127	PL
213.71.143.128	213.71.255.255	DE
213.72.0.0	213.72.255.255	GB
213.73.0.0	213.73.31.255	PL
213.73.32.0	213.73.63.255	ES
213.73.64.0	213.73.127.255	DE
213.73.128.0	213.73.255.255	NL
213.74.0.0	213.74.255.255	TR
213.75.0.0	213.75.255.255	NL
213.76.0.0	213.77.255.255	PL
213.78.0.0	213.78.255.255	GB
213.79.0.0	213.79.31.255	RU
213.79.32.0	213.79.63.255	IE
213.79.64.0	213.79.127.255	RU
213.79.128.0	213.80.127.255	SE
213.80.128.0	213.80.255.255	RU
213.81.0.0	213.81.127.255	GB
213.81.128.0	213.81.255.255	SK
213.82.0.0	213.82.255.255	IT
213.83.0.0	213.83.6.63	DE
213.83.6.64	213.83.6.67	CH
213.83.6.68	213.83.41.7	DE
213.83.41.8	213.83.41.15	CH
213.83.41.16	213.83.44.175	DE
213.83.44.176	213.83.44.183	FR
213.83.44.184	213.83.47.47	DE
213.83.47.48	213.83.47.55	GB
213.83.47.56	213.83.51.95	DE
213.83.51.96	213.83.51.99	CH
213.83.51.100	213.83.63.255	DE
213.83.64.0	213.83.127.255	GB
213.83.128.0	213.83.255.255	DK
213.84.0.0	213.84.255.255	NL
213.85.0.0	213.85.56.255	RU
213.85.57.0	213.85.57.255	BY
213.85.58.0	213.85.255.255	RU
213.86.0.0	213.86.20.15	GB
213.86.20.16	213.86.20.31	BE
213.86.20.32	213.86.20.191	GB
213.86.20.192	213.86.20.207	IS
213.86.20.208	213.86.33.207	GB
213.86.33.208	213.86.33.223	DE
213.86.33.224	213.86.40.255	GB
213.86.41.0	213.86.41.103	NL
213.86.41.104	213.86.41.104	GB
213.86.41.105	213.86.41.105	NL
213.86.41.106	213.86.41.111	GB
213.86.41.112	213.86.41.127	BE
213.86.41.128	213.86.41.215	NL
213.86.41.216	213.86.41.223	ES
213.86.41.224	213.86.41.255	NL
213.86.42.0	213.86.42.247	GB
213.86.42.248	213.86.42.255	US
213.86.43.0	213.86.54.127	GB
213.86.54.128	213.86.54.255	US
213.86.55.0	213.86.55.127	GB
213.86.55.128	213.86.55.255	US
213.86.56.0	213.86.57.191	GB
213.86.57.192	213.86.57.207	IT
213.86.57.208	213.86.87.255	GB
213.86.88.0	213.86.88.255	IE
213.86.89.0	213.86.105.95	GB
213.86.105.96	213.86.105.103	BE
213.86.105.104	213.86.148.79	GB
213.86.148.80	213.86.148.95	DE
213.86.148.96	213.86.148.111	GB
213.86.148.112	213.86.148.127	IT
213.86.148.128	213.86.149.223	GB
213.86.149.224	213.86.149.255	ES
213.86.150.0	213.86.156.31	GB
213.86.156.32	213.86.156.47	BE
213.86.156.48	213.86.156.63	FR
213.86.156.64	213.86.168.31	GB
213.86.168.32	213.86.168.39	DE
213.86.168.40	213.86.168.215	GB
213.86.168.216	213.86.168.239	FR
213.86.168.240	213.86.176.31	GB
213.86.176.32	213.86.176.47	IT
213.86.176.48	213.86.176.63	ES
213.86.176.64	213.86.177.255	GB
213.86.178.0	213.86.178.127	US
213.86.178.128	213.86.190.71	GB
213.86.190.72	213.86.190.87	FR
213.86.190.88	213.86.190.175	GB
213.86.190.176	213.86.190.183	US
213.86.190.184	213.86.211.63	GB
213.86.211.64	213.86.211.95	DE
213.86.211.96	213.86.211.127	NL
213.86.211.128	213.86.222.207	GB
213.86.222.208	213.86.222.223	CH
213.86.222.224	213.86.226.191	GB
213.86.226.192	213.86.226.255	IE
213.86.227.0	213.86.239.87	GB
213.86.239.88	213.86.239.95	CH
213.86.239.96	213.86.250.95	GB
213.86.250.96	213.86.250.103	DE
213.86.250.104	213.86.250.119	GB
213.86.250.120	213.86.250.127	FR
213.86.250.128	213.86.250.167	GB
213.86.250.168	213.86.250.175	US
213.86.250.176	213.86.250.207	GB
213.86.250.208	213.86.250.215	FR
213.86.250.216	213.86.251.31	GB
213.86.251.32	213.86.251.39	US
213.86.251.40	213.86.251.47	GB
213.86.251.48	213.86.251.55	US
213.86.251.56	213.86.251.175	GB
213.86.251.176	213.86.251.183	IE
213.86.251.184	213.86.251.207	GB
213.86.251.208	213.86.251.215	DE
213.86.251.216	213.86.251.223	GB
213.86.251.224	213.86.251.255	US
213.86.252.0	213.86.254.7	GB
213.86.254.8	213.86.254.15	DE
213.86.254.16	213.86.255.255	GB
213.87.0.0	213.88.127.255	RU
213.88.128.0	213.88.184.255	SE
213.88.185.0	213.88.185.255	NO
213.88.186.0	213.88.186.255	SE
213.88.187.0	213.88.187.15	NO
213.88.187.16	213.88.187.255	SE
213.88.188.0	213.88.188.255	NO
213.88.189.0	213.88.189.255	SE
213.88.190.0	213.88.191.255	NO
213.88.192.0	213.89.255.255	SE
213.90.0.0	213.90.71.255	AT
213.90.72.0	213.90.72.3	US
213.90.72.4	213.90.127.255	AT
213.90.128.0	213.90.139.15	FR
213.90.139.16	213.90.139.23	NL
213.90.139.24	213.90.139.31	FR
213.90.139.32	213.90.139.39	NL
213.90.139.40	213.90.140.7	FR
213.90.140.8	213.90.140.15	CH
213.90.140.16	213.90.140.31	FR
213.90.140.32	213.90.140.39	GB
213.90.140.40	213.90.140.55	FR
213.90.140.56	213.90.140.63	CH
213.90.140.64	213.90.140.71	FR
213.90.140.72	213.90.140.79	GB
213.90.140.80	213.90.140.103	FR
213.90.140.104	213.90.140.111	CH
213.90.140.112	213.90.140.159	FR
213.90.140.160	213.90.140.167	GB
213.90.140.168	213.90.140.175	CH
213.90.140.176	213.90.140.191	FR
213.90.140.192	213.90.140.199	GB
213.90.140.200	213.90.145.255	FR
213.90.146.0	213.90.146.159	NL
213.90.146.160	213.90.146.175	FR
213.90.146.176	213.90.147.47	NL
213.90.147.48	213.90.147.63	FR
213.90.147.64	213.90.147.111	NL
213.90.147.112	213.90.148.15	FR
213.90.148.16	213.90.148.127	NL
213.90.148.128	213.90.148.159	FR
213.90.148.160	213.90.148.175	NL
213.90.148.176	213.90.148.223	FR
213.90.148.224	213.90.148.239	NL
213.90.148.240	213.90.154.79	FR
213.90.154.80	213.90.154.95	BE
213.90.154.96	213.90.156.79	FR
213.90.156.80	213.90.156.95	BE
213.90.156.96	213.90.157.255	FR
213.90.158.0	213.90.158.15	GB
213.90.158.16	213.90.158.18	FR
213.90.158.19	213.90.158.31	GB
213.90.158.32	213.90.158.111	FR
213.90.158.112	213.90.158.127	GB
213.90.158.128	213.90.158.191	FR
213.90.158.192	213.90.158.192	GB
213.90.158.193	213.90.158.207	FR
213.90.158.208	213.90.158.223	DE
213.90.158.224	213.90.159.31	FR
213.90.159.32	213.90.159.47	CH
213.90.159.48	213.90.159.63	FR
213.90.159.64	213.90.159.79	GB
213.90.159.80	213.90.159.95	DE
213.90.159.96	213.90.159.143	GB
213.90.159.144	213.90.159.191	FR
213.90.159.192	213.90.159.223	GB
213.90.159.224	213.90.159.239	FR
213.90.159.240	213.90.159.255	GB
213.90.160.0	213.90.160.63	FR
213.90.160.64	213.90.160.79	GB
213.90.160.80	213.90.160.95	FR
213.90.160.96	213.90.160.111	GB
213.90.160.112	213.90.160.127	FR
213.90.160.128	213.90.160.143	GB
213.90.160.144	213.90.160.159	FR
213.90.160.160	213.90.160.175	IT
213.90.160.176	213.90.160.191	DE
213.90.160.192	213.90.160.207	FR
213.90.160.208	213.90.160.223	DE
213.90.160.224	213.90.160.239	GB
213.90.160.240	213.90.162.15	FR
213.90.162.16	213.90.162.31	DE
213.90.162.32	213.90.162.111	FR
213.90.162.112	213.90.162.127	BE
213.90.162.128	213.90.162.143	FR
213.90.162.144	213.90.162.159	GB
213.90.162.160	213.90.163.31	FR
213.90.163.32	213.90.163.63	GB
213.90.163.64	213.90.163.79	DE
213.90.163.80	213.90.163.127	FR
213.90.163.128	213.90.163.143	GB
213.90.163.144	213.90.163.239	FR
213.90.163.240	213.90.163.255	GB
213.90.164.0	213.90.164.15	FR
213.90.164.16	213.90.164.31	GB
213.90.164.32	213.90.164.239	FR
213.90.164.240	213.90.164.255	ES
213.90.165.0	213.90.165.31	FR
213.90.165.32	213.90.165.43	IT
213.90.165.44	213.90.165.47	FR
213.90.165.48	213.90.165.63	GB
213.90.165.64	213.90.165.79	FR
213.90.165.80	213.90.165.95	GB
213.90.165.96	213.90.165.111	FR
213.90.165.112	213.90.165.127	IT
213.90.165.128	213.90.165.175	FR
213.90.165.176	213.90.165.223	DE
213.90.165.224	213.90.165.239	SE
213.90.165.240	213.90.165.255	GB
213.90.166.0	213.90.166.63	FR
213.90.166.64	213.90.166.79	GB
213.90.166.80	213.90.166.111	FR
213.90.166.112	213.90.166.127	GB
213.90.166.128	213.90.166.143	IE
213.90.166.144	213.90.166.159	DE
213.90.166.160	213.90.166.207	FR
213.90.166.208	213.90.166.223	GB
213.90.166.224	213.90.166.239	IT
213.90.166.240	213.90.166.255	GB
213.90.167.0	213.90.167.47	FR
213.90.167.48	213.90.167.79	GB
213.90.167.80	213.90.176.255	FR
213.90.177.0	213.90.177.95	PT
213.90.177.96	213.90.177.111	FR
213.90.177.112	213.90.177.159	PT
213.90.177.160	213.90.177.175	NL
213.90.177.176	213.90.177.191	FR
213.90.177.192	213.90.177.239	PT
213.90.177.240	213.90.178.15	FR
213.90.178.16	213.90.178.127	PT
213.90.178.128	213.90.178.143	FR
213.90.178.144	213.90.178.159	PT
213.90.178.160	213.90.178.191	FR
213.90.178.192	213.90.178.207	PT
213.90.178.208	213.90.179.159	FR
213.90.179.160	213.90.179.175	PT
213.90.179.176	213.90.179.191	NL
213.90.179.192	213.90.180.143	FR
213.90.180.144	213.90.180.159	PT
213.90.180.160	213.90.205.255	FR
213.90.206.0	213.90.206.7	NL
213.90.206.8	213.91.63.255	FR
213.91.64.0	213.91.127.255	BA
213.91.128.0	213.91.163.255	BG
213.91.164.0	213.91.164.255	A2
213.91.165.0	213.91.166.255	BG
213.91.167.0	213.91.167.255	A2
213.91.168.0	213.91.255.255	BG
213.92.0.0	213.92.76.191	IT
213.92.76.192	213.92.76.207	A2
213.92.76.208	213.92.80.127	IT
213.92.80.128	213.92.80.255	GR
213.92.81.0	213.92.93.63	IT
213.92.93.64	213.92.93.79	US
213.92.93.80	213.92.98.63	IT
213.92.98.64	213.92.98.79	US
213.92.98.80	213.92.113.239	IT
213.92.113.240	213.92.113.255	DE
213.92.114.0	213.92.121.255	IT
213.92.122.0	213.92.122.255	US
213.92.123.0	213.92.127.255	IT
213.92.128.0	213.92.255.255	PL
213.93.0.0	213.93.255.255	NL
213.94.0.0	213.94.63.255	ES
213.94.64.0	213.94.127.255	AT
213.94.128.0	213.94.255.255	IE
213.95.0.0	213.95.255.255	DE
213.96.0.0	213.99.255.255	ES
213.100.0.0	213.101.127.255	SE
213.101.128.0	213.101.129.255	LV
213.101.130.0	213.101.131.255	SE
213.101.132.0	213.101.133.255	EE
213.101.134.0	213.101.135.255	SE
213.101.136.0	213.101.137.255	LT
213.101.138.0	213.101.145.255	SE
213.101.146.0	213.101.149.255	RU
213.101.150.0	213.101.151.255	SE
213.101.152.0	213.101.159.255	HR
213.101.160.0	213.101.163.255	SE
213.101.164.0	213.101.165.255	EE
213.101.166.0	213.101.183.255	SE
213.101.184.0	213.101.187.255	CH
213.101.188.0	213.101.189.255	LV
213.101.190.0	213.101.223.255	SE
213.101.224.0	213.101.255.255	DE
213.102.0.0	213.102.0.255	LT
213.102.1.0	213.102.2.255	LV
213.102.3.0	213.102.7.255	LT
213.102.8.0	213.102.13.255	SE
213.102.14.0	213.102.19.255	LT
213.102.20.0	213.102.22.255	LV
213.102.23.0	213.102.23.255	LT
213.102.24.0	213.102.29.255	SE
213.102.30.0	213.102.31.255	LV
213.102.32.0	213.102.39.255	SE
213.102.40.0	213.102.47.255	CH
213.102.48.0	213.102.63.255	NL
213.102.64.0	213.102.81.255	SE
213.102.82.0	213.102.87.255	EE
213.102.88.0	213.102.111.255	DE
213.102.112.0	213.102.132.255	AT
213.102.133.0	213.103.159.255	SE
213.103.160.0	213.103.161.0	HR
213.103.161.1	213.103.161.255	SE
213.103.162.0	213.103.163.255	HR
213.103.164.0	213.103.255.255	SE
213.104.0.0	213.105.176.31	GB
213.105.176.32	213.105.176.47	IE
213.105.176.48	213.105.176.159	GB
213.105.176.160	213.105.176.167	IE
213.105.176.168	213.105.176.175	GB
213.105.176.176	213.105.176.183	IE
213.105.176.184	213.105.177.95	GB
213.105.177.96	213.105.177.127	IE
213.105.177.128	213.105.177.159	GB
213.105.177.160	213.105.178.31	IE
213.105.178.32	213.105.178.95	GB
213.105.178.96	213.105.178.103	IE
213.105.178.104	213.105.178.111	GB
213.105.178.112	213.105.178.127	IE
213.105.178.128	213.105.178.143	GB
213.105.178.144	213.105.178.151	IE
213.105.178.152	213.105.178.239	GB
213.105.178.240	213.105.178.255	IE
213.105.179.0	213.105.180.127	GB
213.105.180.128	213.105.180.191	IE
213.105.180.192	213.105.181.15	GB
213.105.181.16	213.105.181.23	IE
213.105.181.24	213.105.181.31	GB
213.105.181.32	213.105.181.47	IE
213.105.181.48	213.105.181.63	GB
213.105.181.64	213.105.181.79	IE
213.105.181.80	213.105.181.95	GB
213.105.181.96	213.105.181.111	IE
213.105.181.112	213.105.181.183	GB
213.105.181.184	213.105.181.255	IE
213.105.182.0	213.105.182.175	GB
213.105.182.176	213.105.182.183	IE
213.105.182.184	213.105.182.243	GB
213.105.182.244	213.105.182.247	IE
213.105.182.248	213.105.183.207	GB
213.105.183.208	213.105.183.215	IE
213.105.183.216	213.107.255.255	GB
213.108.0.0	213.108.7.255	RU
213.108.8.0	213.108.15.255	PL
213.108.16.0	213.108.23.255	RU
213.108.24.0	213.108.29.255	NL
213.108.30.0	213.108.30.255	DE
213.108.31.0	213.108.31.255	GB
213.108.32.0	213.108.39.255	RU
213.108.40.0	213.108.47.255	UA
213.108.48.0	213.108.55.255	KZ
213.108.56.0	213.108.63.255	PL
213.108.64.0	213.108.71.255	FR
213.108.72.0	213.108.79.255	UA
213.108.80.0	213.108.87.255	PL
213.108.88.0	213.108.95.255	DE
213.108.96.0	213.108.103.255	SE
213.108.104.0	213.108.111.255	NL
213.108.112.0	213.108.119.255	PL
213.108.120.0	213.108.127.255	SK
213.108.128.0	213.108.151.255	RU
213.108.152.0	213.108.159.255	PL
213.108.160.0	213.108.167.255	CZ
213.108.168.0	213.108.175.255	RU
213.108.176.0	213.108.183.255	UA
213.108.184.0	213.108.223.255	RU
213.108.224.0	213.108.231.255	PL
213.108.232.0	213.108.239.255	FR
213.108.240.0	213.108.247.255	BG
213.108.248.0	213.109.31.255	RU
213.109.32.0	213.109.47.255	PL
213.109.48.0	213.109.79.255	RU
213.109.80.0	213.109.95.255	UA
213.109.96.0	213.109.111.255	RU
213.109.112.0	213.109.127.255	NL
213.109.128.0	213.109.143.255	UA
213.109.144.0	213.109.159.255	RU
213.109.160.0	213.109.191.255	RO
213.109.192.0	213.109.207.255	RU
213.109.208.0	213.109.239.255	UA
213.109.240.0	213.109.255.255	IR
213.110.0.0	213.110.63.255	RU
213.110.64.0	213.110.95.255	LV
213.110.96.0	213.110.191.255	UA
213.110.192.0	213.110.255.255	RU
213.111.0.0	213.111.63.255	FR
213.111.64.0	213.111.255.255	UA
213.112.0.0	213.115.255.255	SE
213.116.0.0	213.116.4.159	EU
213.116.4.160	213.116.4.255	IE
213.116.5.0	213.116.5.127	EU
213.116.5.128	213.116.5.255	NL
213.116.6.0	213.116.6.63	SE
213.116.6.64	213.116.6.255	EU
213.116.7.0	213.116.7.63	SE
213.116.7.64	213.116.7.255	EU
213.116.8.0	213.116.8.63	SE
213.116.8.64	213.116.18.255	EU
213.116.19.0	213.116.19.255	NL
213.116.20.0	213.116.30.255	EU
213.116.31.0	213.116.36.255	AT
213.116.37.0	213.116.38.255	EU
213.116.39.0	213.116.39.127	AT
213.116.39.128	213.116.39.255	EU
213.116.40.0	213.116.47.255	IE
213.116.48.0	213.116.95.255	EU
213.116.96.0	213.116.185.255	NL
213.116.186.0	213.116.187.255	EU
213.116.188.0	213.116.188.255	IE
213.116.189.0	213.116.189.255	EU
213.116.190.0	213.116.191.255	GB
213.116.192.0	213.116.198.255	NL
213.116.199.0	213.116.213.255	EU
213.116.214.0	213.116.255.255	SE
213.117.0.0	213.117.63.255	NL
213.117.64.0	213.117.95.255	EU
213.117.96.0	213.117.103.255	NL
213.117.104.0	213.117.159.255	EU
213.117.160.0	213.117.173.255	FR
213.117.174.0	213.117.181.255	EU
213.117.182.0	213.117.182.127	FR
213.117.182.128	213.117.251.127	EU
213.117.251.128	213.117.251.223	NL
213.117.251.224	213.117.255.255	EU
213.118.0.0	213.119.255.255	BE
213.120.0.0	213.123.255.255	GB
213.124.0.0	213.127.255.255	NL
213.128.0.0	213.128.31.255	RU
213.128.32.0	213.128.63.255	FR
213.128.64.0	213.128.95.255	TR
213.128.96.0	213.128.159.255	DE
213.128.160.0	213.128.191.255	NO
213.128.192.0	213.128.223.255	RU
213.128.224.0	213.128.255.255	GB
213.129.0.0	213.129.31.255	DK
213.129.32.0	213.129.63.255	RU
213.129.64.0	213.129.95.255	GB
213.129.96.0	213.129.127.255	RU
213.129.128.0	213.129.159.255	CZ
213.129.160.0	213.129.191.255	ES
213.129.192.0	213.129.223.255	NL
213.129.224.0	213.129.255.255	AT
213.130.0.0	213.130.31.255	UA
213.130.32.0	213.130.46.167	GB
213.130.46.168	213.130.46.175	DE
213.130.46.176	213.130.55.255	GB
213.130.56.0	213.130.57.255	ES
213.130.58.0	213.130.58.255	DE
213.130.59.0	213.130.63.255	GB
213.130.64.0	213.130.95.255	BG
213.130.96.0	213.130.127.255	QA
213.130.128.0	213.130.159.255	GB
213.130.160.0	213.130.191.255	NL
213.130.192.0	213.130.211.255	SE
213.130.212.0	213.130.215.255	EE
213.130.216.0	213.130.223.255	SE
213.130.224.0	213.130.229.71	FI
213.130.229.72	213.130.229.79	AX
213.130.229.80	213.130.255.255	FI
213.131.0.0	213.131.31.255	RU
213.131.32.0	213.131.63.255	GE
213.131.64.0	213.131.95.255	EG
213.131.96.0	213.131.127.255	GB
213.131.128.0	213.131.159.255	SE
213.131.160.0	213.131.191.255	GB
213.131.192.0	213.131.228.255	DE
213.131.229.0	213.131.229.31	CH
213.131.229.32	213.131.229.79	DE
213.131.229.80	213.131.229.83	FR
213.131.229.84	213.131.229.175	DE
213.131.229.176	213.131.229.183	BE
213.131.229.184	213.131.233.255	DE
213.131.234.0	213.131.234.15	NL
213.131.234.16	213.131.234.159	DE
213.131.234.160	213.131.234.175	CH
213.131.234.176	213.131.244.87	DE
213.131.244.88	213.131.244.95	CY
213.131.244.96	213.131.244.175	DE
213.131.244.176	213.131.244.191	CH
213.131.244.192	213.131.245.191	DE
213.131.245.192	213.131.245.199	CH
213.131.245.200	213.131.249.215	DE
213.131.249.216	213.131.249.223	BE
213.131.249.224	213.131.253.135	DE
213.131.253.136	213.131.253.143	BZ
213.131.253.144	213.131.255.255	DE
213.132.0.0	213.132.31.255	DK
213.132.32.0	213.132.63.255	AE
213.132.64.0	213.132.95.255	RU
213.132.96.0	213.132.96.175	SE
213.132.96.176	213.132.96.191	DK
213.132.96.192	213.132.98.15	SE
213.132.98.16	213.132.98.31	NO
213.132.98.32	213.132.102.95	SE
213.132.102.96	213.132.102.103	NO
213.132.102.104	213.132.112.167	SE
213.132.112.168	213.132.112.175	FI
213.132.112.176	213.132.127.255	SE
213.132.128.0	213.132.159.255	BE
213.132.160.0	213.132.223.255	NL
213.132.224.0	213.132.255.255	KW
213.133.0.0	213.133.31.255	ME
213.133.32.0	213.133.63.255	NL
213.133.64.0	213.133.95.255	GB
213.133.96.0	213.133.127.255	DE
213.133.128.0	213.133.159.255	GB
213.133.160.0	213.133.191.255	UA
213.133.192.0	213.133.223.255	GB
213.133.224.0	213.133.255.255	CH
213.134.0.0	213.134.31.255	HU
213.134.32.0	213.134.47.255	ES
213.134.48.0	213.134.55.255	PT
213.134.56.0	213.134.63.255	ES
213.134.64.0	213.134.95.255	IT
213.134.96.0	213.134.127.255	SE
213.134.128.0	213.134.191.255	PL
213.134.192.0	213.134.223.255	RU
213.134.224.0	213.134.255.255	NL
213.135.0.0	213.135.31.255	DE
213.135.32.0	213.135.63.255	PL
213.135.64.0	213.135.159.255	RU
213.135.160.0	213.135.191.255	MK
213.135.192.0	213.135.223.255	DE
213.135.224.0	213.135.255.255	LU
213.136.0.0	213.136.8.191	NL
213.136.8.192	213.136.8.255	DE
213.136.9.0	213.136.28.63	NL
213.136.28.64	213.136.28.127	DE
213.136.28.128	213.136.31.255	NL
213.136.32.0	213.136.63.255	SE
213.136.64.0	213.136.95.255	DE
213.136.96.0	213.136.127.255	CI
213.136.128.0	213.136.191.255	IT
213.136.192.0	213.136.223.255	SA
213.136.224.0	213.136.255.255	PL
213.137.0.0	213.137.0.255	IM
213.137.1.0	213.137.1.31	GB
213.137.1.32	213.137.1.39	IM
213.137.1.40	213.137.1.47	GB
213.137.1.48	213.137.1.51	IM
213.137.1.52	213.137.1.183	GB
213.137.1.184	213.137.1.199	IM
213.137.1.200	213.137.1.227	GB
213.137.1.228	213.137.1.231	IM
213.137.1.232	213.137.2.7	GB
213.137.2.8	213.137.2.23	IM
213.137.2.24	213.137.2.103	GB
213.137.2.104	213.137.2.111	IM
213.137.2.112	213.137.2.183	GB
213.137.2.184	213.137.2.191	IM
213.137.2.192	213.137.3.255	GB
213.137.4.0	213.137.4.39	IM
213.137.4.40	213.137.5.95	GB
213.137.5.96	213.137.5.99	IM
213.137.5.100	213.137.5.191	GB
213.137.5.192	213.137.5.207	IM
213.137.5.208	213.137.6.255	GB
213.137.7.0	213.137.7.39	IM
213.137.7.40	213.137.7.79	GB
213.137.7.80	213.137.7.103	IM
213.137.7.104	213.137.7.223	GB
213.137.7.224	213.137.7.231	IM
213.137.7.232	213.137.7.247	GB
213.137.7.248	213.137.8.255	IM
213.137.9.0	213.137.13.255	GB
213.137.14.0	213.137.18.255	IM
213.137.19.0	213.137.19.95	GB
213.137.19.96	213.137.20.255	IM
213.137.21.0	213.137.21.135	GB
213.137.21.136	213.137.21.143	IM
213.137.21.144	213.137.21.163	GB
213.137.21.164	213.137.21.167	IM
213.137.21.168	213.137.21.175	GB
213.137.21.176	213.137.21.191	IM
213.137.21.192	213.137.21.215	GB
213.137.21.216	213.137.21.223	IM
213.137.21.224	213.137.21.255	GB
213.137.22.0	213.137.23.95	IM
213.137.23.96	213.137.23.103	GB
213.137.23.104	213.137.23.111	IM
213.137.23.112	213.137.23.143	GB
213.137.23.144	213.137.23.159	IM
213.137.23.160	213.137.23.183	GB
213.137.23.184	213.137.23.207	IM
213.137.23.208	213.137.23.223	GB
213.137.23.224	213.137.23.231	IM
213.137.23.232	213.137.23.255	GB
213.137.24.0	213.137.24.47	IM
213.137.24.48	213.137.24.63	GB
213.137.24.64	213.137.24.79	IM
213.137.24.80	213.137.24.103	GB
213.137.24.104	213.137.24.111	IM
213.137.24.112	213.137.24.183	GB
213.137.24.184	213.137.24.191	IM
213.137.24.192	213.137.24.199	GB
213.137.24.200	213.137.24.207	IM
213.137.24.208	213.137.24.215	GB
213.137.24.216	213.137.24.223	IM
213.137.24.224	213.137.24.239	GB
213.137.24.240	213.137.27.255	IM
213.137.28.0	213.137.29.63	GB
213.137.29.64	213.137.29.119	IM
213.137.29.120	213.137.29.127	GB
213.137.29.128	213.137.29.255	IM
213.137.30.0	213.137.31.255	GB
213.137.32.0	213.137.49.199	BG
213.137.49.200	213.137.49.207	GB
213.137.49.208	213.137.63.255	BG
213.137.64.0	213.137.95.255	US
213.137.96.0	213.137.127.255	RS
213.137.128.0	213.137.159.255	MC
213.137.160.0	213.137.160.31	EU
213.137.160.32	213.137.160.79	BE
213.137.160.80	213.137.160.127	EU
213.137.160.128	213.137.160.191	BE
213.137.160.192	213.137.161.79	EU
213.137.161.80	213.137.161.87	BE
213.137.161.88	213.137.161.95	EU
213.137.161.96	213.137.161.111	BE
213.137.161.112	213.137.161.127	EU
213.137.161.128	213.137.161.191	BE
213.137.161.192	213.137.161.207	EU
213.137.161.208	213.137.161.223	BE
213.137.161.224	213.137.161.255	EU
213.137.162.0	213.137.162.107	BE
213.137.162.108	213.137.162.111	EU
213.137.162.112	213.137.162.127	BE
213.137.162.128	213.137.162.223	EU
213.137.162.224	213.137.162.239	BE
213.137.162.240	213.137.163.63	EU
213.137.163.64	213.137.163.127	BE
213.137.163.128	213.137.163.223	EU
213.137.163.224	213.137.163.231	BE
213.137.163.232	213.137.163.255	EU
213.137.164.0	213.137.165.127	US
213.137.165.128	213.137.165.223	EU
213.137.165.224	213.137.165.255	US
213.137.166.0	213.137.167.23	EU
213.137.167.24	213.137.167.31	SE
213.137.167.32	213.137.167.55	EU
213.137.167.56	213.137.167.71	SE
213.137.167.72	213.137.167.143	EU
213.137.167.144	213.137.167.147	SE
213.137.167.148	213.137.167.247	EU
213.137.167.248	213.137.167.255	SE
213.137.168.0	213.137.168.255	US
213.137.169.0	213.137.169.127	EU
213.137.169.128	213.137.169.255	US
213.137.170.0	213.137.170.7	HU
213.137.170.8	213.137.170.31	EU
213.137.170.32	213.137.170.63	CZ
213.137.170.64	213.137.170.71	EU
213.137.170.72	213.137.170.75	AT
213.137.170.76	213.137.170.79	DE
213.137.170.80	213.137.170.83	AT
213.137.170.84	213.137.170.119	EU
213.137.170.120	213.137.170.127	HU
213.137.170.128	213.137.170.135	EU
213.137.170.136	213.137.170.143	HU
213.137.170.144	213.137.170.247	EU
213.137.170.248	213.137.170.255	AT
213.137.171.0	213.137.171.63	EU
213.137.171.64	213.137.171.87	AT
213.137.171.88	213.137.171.255	EU
213.137.172.0	213.137.172.63	FR
213.137.172.64	213.137.173.255	EU
213.137.174.0	213.137.174.255	FR
213.137.175.0	213.137.175.127	DE
213.137.175.128	213.137.175.159	EU
213.137.175.160	213.137.175.191	FR
213.137.175.192	213.137.175.223	EU
213.137.175.224	213.137.175.231	FR
213.137.175.232	213.137.176.255	EU
213.137.177.0	213.137.177.71	FR
213.137.177.72	213.137.177.95	EU
213.137.177.96	213.137.177.103	FR
213.137.177.104	213.137.177.127	EU
213.137.177.128	213.137.177.131	FR
213.137.177.132	213.137.177.135	EU
213.137.177.136	213.137.177.143	FR
213.137.177.144	213.137.177.151	EU
213.137.177.152	213.137.177.223	FR
213.137.177.224	213.137.177.231	EU
213.137.177.232	213.137.178.23	FR
213.137.178.24	213.137.178.127	EU
213.137.178.128	213.137.178.191	FR
213.137.178.192	213.137.179.39	EU
213.137.179.40	213.137.179.43	CH
213.137.179.44	213.137.179.47	FR
213.137.179.48	213.137.179.111	EU
213.137.179.112	213.137.179.127	FR
213.137.179.128	213.137.179.143	EU
213.137.179.144	213.137.179.159	FR
213.137.179.160	213.137.179.191	EU
213.137.179.192	213.137.179.223	FR
213.137.179.224	213.137.180.127	EU
213.137.180.128	213.137.180.167	IE
213.137.180.168	213.137.180.171	EU
213.137.180.172	213.137.180.187	IE
213.137.180.188	213.137.180.207	EU
213.137.180.208	213.137.180.223	IE
213.137.180.224	213.137.180.231	EU
213.137.180.232	213.137.181.63	IE
213.137.181.64	213.137.181.223	EU
213.137.181.224	213.137.181.239	IE
213.137.181.240	213.137.181.247	EU
213.137.181.248	213.137.181.255	IE
213.137.182.0	213.137.183.127	EU
213.137.183.128	213.137.183.143	CH
213.137.183.144	213.137.183.159	EU
213.137.183.160	213.137.183.163	CH
213.137.183.164	213.137.183.167	EU
213.137.183.168	213.137.183.171	CH
213.137.183.172	213.137.183.191	EU
213.137.183.192	213.137.183.255	CH
213.137.184.0	213.137.184.15	EU
213.137.184.16	213.137.184.23	DE
213.137.184.24	213.137.184.255	EU
213.137.185.0	213.137.185.63	DE
213.137.185.64	213.137.185.143	EU
213.137.185.144	213.137.185.151	DE
213.137.185.152	213.137.185.175	EU
213.137.185.176	213.137.185.183	DE
213.137.185.184	213.137.185.223	EU
213.137.185.224	213.137.185.255	DE
213.137.186.0	213.137.186.31	EU
213.137.186.32	213.137.186.39	DE
213.137.186.40	213.137.186.47	EU
213.137.186.48	213.137.186.55	DE
213.137.186.56	213.137.186.71	EU
213.137.186.72	213.137.186.79	DE
213.137.186.80	213.137.186.127	EU
213.137.186.128	213.137.186.159	DE
213.137.186.160	213.137.187.95	EU
213.137.187.96	213.137.187.111	DE
213.137.187.112	213.137.187.119	EU
213.137.187.120	213.137.187.127	DE
213.137.187.128	213.137.187.199	EU
213.137.187.200	213.137.187.207	DE
213.137.187.208	213.137.187.239	EU
213.137.187.240	213.137.187.255	DE
213.137.188.0	213.137.188.31	EU
213.137.188.32	213.137.188.47	CH
213.137.188.48	213.137.188.63	EU
213.137.188.64	213.137.188.127	CH
213.137.188.128	213.137.188.159	EU
213.137.188.160	213.137.188.191	CH
213.137.188.192	213.137.188.255	EU
213.137.189.0	213.137.189.63	CH
213.137.189.64	213.137.189.71	EU
213.137.189.72	213.137.189.79	CH
213.137.189.80	213.137.189.87	EU
213.137.189.88	213.137.189.191	CH
213.137.189.192	213.137.191.95	EU
213.137.191.96	213.137.191.99	CH
213.137.191.100	213.137.191.119	EU
213.137.191.120	213.137.191.127	CH
213.137.191.128	213.137.191.255	EU
213.137.192.0	213.137.223.255	DE
213.137.224.0	213.137.255.255	RU
213.138.0.0	213.138.31.255	FR
213.138.32.0	213.138.63.255	DE
213.138.64.0	213.138.95.255	RU
213.138.96.0	213.138.105.255	A2
213.138.106.0	213.138.106.255	CY
213.138.107.0	213.138.111.255	A2
213.138.112.0	213.138.112.255	CY
213.138.113.0	213.138.115.255	A2
213.138.116.0	213.138.121.255	CY
213.138.122.0	213.138.123.127	A2
213.138.123.128	213.138.123.255	LB
213.138.124.0	213.138.127.255	A2
213.138.128.0	213.138.159.255	FI
213.138.160.0	213.138.191.255	NO
213.138.192.0	213.138.223.255	RU
213.138.224.0	213.138.255.255	PT
213.139.0.0	213.139.29.111	ES
213.139.29.112	213.139.29.119	FR
213.139.29.120	213.139.31.255	ES
213.139.32.0	213.139.63.255	JO
213.139.64.0	213.139.95.255	DE
213.139.96.0	213.139.127.255	FR
213.139.128.0	213.139.159.255	DE
213.139.160.0	213.139.191.255	FI
213.139.192.0	213.139.255.255	TR
213.140.0.0	213.140.31.255	IT
213.140.32.0	213.140.55.255	ES
213.140.56.0	213.140.59.255	DZ
213.140.60.0	213.140.61.255	MA
213.140.62.0	213.140.63.255	ES
213.140.64.0	213.140.95.255	DK
213.140.96.0	213.140.127.255	RU
213.140.128.0	213.140.159.255	GR
213.140.160.0	213.140.191.255	FI
213.140.192.0	213.140.223.255	CY
213.140.224.0	213.140.255.255	RU
213.141.0.0	213.141.31.255	PT
213.141.32.0	213.141.63.255	ES
213.141.64.0	213.141.95.255	SE
213.141.96.0	213.141.127.255	FI
213.141.128.0	213.141.159.255	RU
213.141.160.0	213.141.191.255	KZ
213.141.192.0	213.141.255.255	RU
213.142.0.0	213.142.31.255	SE
213.142.64.0	213.142.95.255	NO
213.142.96.0	213.142.127.255	AT
213.142.128.0	213.142.159.255	TR
213.142.160.0	213.142.191.255	CH
213.142.192.0	213.142.223.255	RU
213.142.224.0	213.142.255.255	SI
213.143.0.0	213.143.31.255	GB
213.143.32.0	213.143.63.255	ES
213.143.64.0	213.143.95.255	SI
213.143.96.0	213.143.127.255	AT
213.143.128.0	213.143.159.255	GB
213.143.160.0	213.143.191.255	FI
213.143.192.0	213.143.223.255	DE
213.143.224.0	213.143.255.255	TR
213.144.0.0	213.144.31.255	DE
213.144.32.0	213.144.63.255	ES
213.144.64.0	213.144.95.255	IT
213.144.96.0	213.144.127.255	TR
213.144.128.0	213.144.137.103	CH
213.144.137.104	213.144.137.111	DE
213.144.137.112	213.144.152.111	CH
213.144.152.112	213.144.152.119	DE
213.144.152.120	213.144.159.255	CH
213.144.160.0	213.144.174.255	IT
213.144.175.0	213.144.175.127	DJ
213.144.175.128	213.144.175.255	US
213.144.176.0	213.144.176.127	SG
213.144.176.128	213.144.176.255	FR
213.144.177.0	213.144.177.255	IT
213.144.178.0	213.144.178.255	GR
213.144.179.0	213.144.181.255	IT
213.144.182.0	213.144.182.63	IE
213.144.182.64	213.144.182.255	GR
213.144.183.0	213.144.183.255	FR
213.144.184.0	213.144.186.31	GR
213.144.186.32	213.144.186.39	IT
213.144.186.40	213.144.186.87	GR
213.144.186.88	213.144.186.95	SG
213.144.186.96	213.144.186.111	LB
213.144.186.112	213.144.187.31	IT
213.144.187.32	213.144.187.63	GR
213.144.187.64	213.144.187.95	IT
213.144.187.96	213.144.187.127	FR
213.144.187.128	213.144.187.255	IT
213.144.188.0	213.144.188.255	FR
213.144.189.0	213.144.191.255	IT
213.144.192.0	213.144.223.255	FR
213.144.224.0	213.144.255.255	NL
213.145.0.0	213.145.63.255	RU
213.145.64.0	213.145.95.255	DE
213.145.96.0	213.145.127.255	BG
213.145.128.0	213.145.159.255	KG
213.145.160.0	213.145.191.255	NO
213.145.192.0	213.145.223.255	FI
213.145.224.0	213.145.255.255	AT
213.146.0.0	213.146.31.255	CH
213.146.32.0	213.146.63.255	PL
213.146.64.0	213.146.95.255	SE
213.146.96.0	213.146.103.95	DE
213.146.103.96	213.146.103.103	AT
213.146.103.104	213.146.127.255	DE
213.146.128.0	213.146.163.255	GB
213.146.164.0	213.146.164.31	IE
213.146.164.32	213.146.164.191	GB
213.146.164.192	213.146.164.223	IE
213.146.164.224	213.146.164.239	GB
213.146.164.240	213.146.164.255	IE
213.146.165.0	213.146.168.239	GB
213.146.168.240	213.146.168.255	IE
213.146.169.0	213.146.170.255	DE
213.146.171.0	213.146.172.63	GB
213.146.172.64	213.146.172.79	DE
213.146.172.80	213.146.175.255	GB
213.146.176.0	213.146.179.255	DE
213.146.180.0	213.146.183.159	GB
213.146.183.160	213.146.183.191	IE
213.146.183.192	213.146.183.255	GB
213.146.184.0	213.146.184.255	DE
213.146.185.0	213.146.187.255	GB
213.146.188.0	213.146.189.255	IE
213.146.190.0	213.146.191.255	GB
213.146.192.0	213.146.223.255	PT
213.146.224.0	213.147.31.255	DE
213.147.32.0	213.147.63.255	RU
213.147.64.0	213.147.95.255	KE
213.147.96.0	213.147.127.255	HR
213.147.128.0	213.147.159.255	IR
213.147.160.0	213.147.191.255	AT
213.147.192.0	213.147.223.255	RU
213.147.224.0	213.147.255.255	GB
213.148.0.0	213.148.31.255	RU
213.148.32.0	213.148.63.255	GB
213.148.64.0	213.148.95.255	TR
213.148.96.0	213.148.159.255	DE
213.148.160.0	213.148.191.255	RU
213.148.192.0	213.148.223.255	ES
213.148.224.0	213.148.255.255	NL
213.149.0.0	213.149.31.255	RU
213.149.32.0	213.149.63.255	HR
213.149.64.0	213.149.95.255	DE
213.149.96.0	213.149.100.255	ME
213.149.101.0	213.149.101.255	AL
213.149.102.0	213.149.102.31	ME
213.149.102.32	213.149.102.39	RS
213.149.102.40	213.149.102.47	ME
213.149.102.48	213.149.102.63	RS
213.149.102.64	213.149.102.159	ME
213.149.102.160	213.149.102.191	RS
213.149.102.192	213.149.107.255	ME
213.149.108.0	213.149.108.255	AL
213.149.109.0	213.149.113.239	ME
213.149.113.240	213.149.113.255	AL
213.149.114.0	213.149.118.255	ME
213.149.119.0	213.149.119.255	RS
213.149.120.0	213.149.127.255	ME
213.149.128.0	213.149.131.255	BG
213.149.132.0	213.149.133.255	MK
213.149.134.0	213.149.149.255	BG
213.149.150.0	213.149.152.255	MK
213.149.153.0	213.149.157.255	BG
213.149.158.0	213.149.159.255	MK
213.149.160.0	213.149.191.255	CY
213.149.192.0	213.149.223.255	IT
213.149.224.0	213.149.255.255	ES
213.150.0.0	213.150.31.255	AT
213.150.32.0	213.150.63.255	DK
213.150.64.0	213.150.95.255	RU
213.150.96.0	213.150.127.255	KE
213.150.128.0	213.150.159.255	SE
213.150.160.0	213.150.191.255	TN
213.150.192.0	213.150.223.255	CI
213.150.224.0	213.150.255.255	AT
213.151.0.0	213.151.31.255	UA
213.151.32.0	213.151.63.255	IL
213.151.64.0	213.151.81.211	CZ
213.151.81.212	213.151.81.215	PL
213.151.81.216	213.151.95.255	CZ
213.151.96.0	213.151.127.255	ES
213.151.128.0	213.151.159.255	NO
213.151.160.0	213.151.191.255	FR
213.151.192.0	213.151.255.255	SK
213.152.0.0	213.152.31.255	FR
213.152.32.0	213.152.63.255	GB
213.152.64.0	213.152.95.255	EG
213.152.96.0	213.152.127.255	DE
213.152.128.0	213.152.159.255	RU
213.152.160.0	213.152.191.255	NL
213.152.192.0	213.152.194.255	IT
213.152.195.0	213.152.195.127	SM
213.152.195.128	213.152.223.255	IT
213.152.224.0	213.152.255.255	GB
213.153.0.0	213.153.31.255	NO
213.153.32.0	213.153.63.255	AT
213.153.64.0	213.153.95.255	DE
213.153.96.0	213.153.127.255	SE
213.153.128.0	213.153.255.255	TR
213.154.0.0	213.154.31.255	AZ
213.154.32.0	213.154.63.255	EG
213.154.64.0	213.154.95.255	SN
213.154.96.0	213.154.159.255	RO
213.154.160.0	213.154.191.255	RU
213.154.192.0	213.154.223.255	UA
213.154.224.0	213.154.255.255	NL
213.155.0.0	213.155.0.87	UA
213.155.0.88	213.155.0.135	NA
213.155.0.136	213.155.0.151	UA
213.155.0.152	213.155.0.159	NA
213.155.0.160	213.155.0.167	UA
213.155.0.168	213.155.0.175	NA
213.155.0.176	213.155.0.199	UA
213.155.0.200	213.155.0.207	NA
213.155.0.208	213.155.0.215	UA
213.155.0.216	213.155.0.231	NA
213.155.0.232	213.155.0.247	UA
213.155.0.248	213.155.0.255	NA
213.155.1.0	213.155.1.127	UA
213.155.1.128	213.155.1.143	NA
213.155.1.144	213.155.1.151	UA
213.155.1.152	213.155.1.159	NA
213.155.1.160	213.155.2.3	UA
213.155.2.4	213.155.2.7	NA
213.155.2.8	213.155.2.47	UA
213.155.2.48	213.155.2.191	NA
213.155.2.192	213.155.2.231	UA
213.155.2.232	213.155.2.239	NA
213.155.2.240	213.155.2.247	UA
213.155.2.248	213.155.2.255	NA
213.155.3.0	213.155.3.3	UA
213.155.3.4	213.155.3.7	NA
213.155.3.8	213.155.3.31	UA
213.155.3.32	213.155.3.39	RU
213.155.3.40	213.155.3.47	UA
213.155.3.48	213.155.3.55	NA
213.155.3.56	213.155.3.63	RU
213.155.3.64	213.155.3.167	UA
213.155.3.168	213.155.3.175	NA
213.155.3.176	213.155.3.199	UA
213.155.3.200	213.155.3.207	RU
213.155.3.208	213.155.3.247	UA
213.155.3.248	213.155.3.251	NA
213.155.3.252	213.155.4.39	UA
213.155.4.40	213.155.4.47	NA
213.155.4.48	213.155.4.63	UA
213.155.4.64	213.155.4.71	NA
213.155.4.72	213.155.4.79	UA
213.155.4.80	213.155.4.87	NA
213.155.4.88	213.155.4.111	UA
213.155.4.112	213.155.4.119	NA
213.155.4.120	213.155.4.183	UA
213.155.4.184	213.155.4.207	NA
213.155.4.208	213.155.5.7	UA
213.155.5.8	213.155.5.15	NA
213.155.5.16	213.155.5.95	UA
213.155.5.96	213.155.5.103	NA
213.155.5.104	213.155.5.127	UA
213.155.5.128	213.155.5.143	NA
213.155.5.144	213.155.5.151	UA
213.155.5.152	213.155.5.159	NA
213.155.5.160	213.155.5.167	UA
213.155.5.168	213.155.5.175	NA
213.155.5.176	213.155.5.207	UA
213.155.5.208	213.155.5.215	NA
213.155.5.216	213.155.5.223	UA
213.155.5.224	213.155.5.239	NA
213.155.5.240	213.155.5.247	UA
213.155.5.248	213.155.5.255	NA
213.155.6.0	213.155.6.23	UA
213.155.6.24	213.155.6.31	NA
213.155.6.32	213.155.6.55	UA
213.155.6.56	213.155.6.63	NA
213.155.6.64	213.155.6.71	UA
213.155.6.72	213.155.6.87	NA
213.155.6.88	213.155.6.119	UA
213.155.6.120	213.155.6.143	NA
213.155.6.144	213.155.6.151	UA
213.155.6.152	213.155.6.167	NA
213.155.6.168	213.155.6.183	UA
213.155.6.184	213.155.6.191	NA
213.155.6.192	213.155.6.239	UA
213.155.6.240	213.155.6.255	NA
213.155.7.0	213.155.7.3	UA
213.155.7.4	213.155.7.7	NA
213.155.7.8	213.155.7.15	UA
213.155.7.16	213.155.7.31	NA
213.155.7.32	213.155.7.47	UA
213.155.7.48	213.155.7.63	NA
213.155.7.64	213.155.7.79	UA
213.155.7.80	213.155.7.87	NA
213.155.7.88	213.155.7.111	UA
213.155.7.112	213.155.7.119	NA
213.155.7.120	213.155.7.135	UA
213.155.7.136	213.155.7.143	NA
213.155.7.144	213.155.7.151	UA
213.155.7.152	213.155.7.159	NA
213.155.7.160	213.155.7.191	UA
213.155.7.192	213.155.7.231	NA
213.155.7.232	213.155.7.247	UA
213.155.7.248	213.155.7.255	NA
213.155.8.0	213.155.8.79	UA
213.155.8.80	213.155.8.87	NA
213.155.8.88	213.155.9.127	UA
213.155.9.128	213.155.9.143	NA
213.155.9.144	213.155.10.15	UA
213.155.10.16	213.155.10.31	NA
213.155.10.32	213.155.10.103	UA
213.155.10.104	213.155.10.119	NA
213.155.10.120	213.155.10.127	UA
213.155.10.128	213.155.10.143	NA
213.155.10.144	213.155.10.159	UA
213.155.10.160	213.155.10.167	NA
213.155.10.168	213.155.10.191	UA
213.155.10.192	213.155.10.207	NA
213.155.10.208	213.155.11.127	UA
213.155.11.128	213.155.11.128	NA
213.155.11.129	213.155.11.136	UA
213.155.11.137	213.155.11.191	NA
213.155.11.192	213.155.12.7	UA
213.155.12.8	213.155.12.15	NA
213.155.12.16	213.155.12.23	UA
213.155.12.24	213.155.12.31	RU
213.155.12.32	213.155.12.63	UA
213.155.12.64	213.155.12.79	NA
213.155.12.80	213.155.13.7	UA
213.155.13.8	213.155.13.15	NA
213.155.13.16	213.155.13.39	UA
213.155.13.40	213.155.13.47	NA
213.155.13.48	213.155.13.63	UA
213.155.13.64	213.155.13.127	NA
213.155.13.128	213.155.13.159	UA
213.155.13.160	213.155.13.167	NA
213.155.13.168	213.155.13.191	UA
213.155.13.192	213.155.13.207	NA
213.155.13.208	213.155.17.7	UA
213.155.17.8	213.155.17.15	NA
213.155.17.16	213.155.17.23	DE
213.155.17.24	213.155.17.39	UA
213.155.17.40	213.155.17.47	NA
213.155.17.48	213.155.17.63	UA
213.155.17.64	213.155.17.71	NA
213.155.17.72	213.155.17.87	UA
213.155.17.88	213.155.17.103	NA
213.155.17.104	213.155.17.111	UA
213.155.17.112	213.155.17.119	NA
213.155.17.120	213.155.17.135	UA
213.155.17.136	213.155.17.143	NA
213.155.17.144	213.155.17.159	UA
213.155.17.160	213.155.17.167	NA
213.155.17.168	213.155.17.175	RU
213.155.17.176	213.155.17.183	UA
213.155.17.184	213.155.17.199	NA
213.155.17.200	213.155.17.223	UA
213.155.17.224	213.155.17.231	NA
213.155.17.232	213.155.18.3	UA
213.155.18.4	213.155.18.7	NA
213.155.18.8	213.155.18.31	UA
213.155.18.32	213.155.18.55	NA
213.155.18.56	213.155.18.63	UA
213.155.18.64	213.155.18.71	NA
213.155.18.72	213.155.18.95	UA
213.155.18.96	213.155.18.103	NA
213.155.18.104	213.155.18.111	DE
213.155.18.112	213.155.18.127	UA
213.155.18.128	213.155.18.135	NA
213.155.18.136	213.155.18.143	UA
213.155.18.144	213.155.18.167	NA
213.155.18.168	213.155.18.175	UA
213.155.18.176	213.155.18.183	NA
213.155.18.184	213.155.18.191	UA
213.155.18.192	213.155.18.215	NA
213.155.18.216	213.155.18.231	UA
213.155.18.232	213.155.18.247	NA
213.155.18.248	213.155.19.103	UA
213.155.19.104	213.155.19.111	NA
213.155.19.112	213.155.19.127	DE
213.155.19.128	213.155.19.135	NA
213.155.19.136	213.155.19.151	UA
213.155.19.152	213.155.19.159	NA
213.155.19.160	213.155.19.167	UA
213.155.19.168	213.155.19.183	NA
213.155.19.184	213.155.20.3	UA
213.155.20.4	213.155.20.15	NA
213.155.20.16	213.155.20.31	UA
213.155.20.32	213.155.20.39	NA
213.155.20.40	213.155.20.111	UA
213.155.20.112	213.155.20.127	NA
213.155.20.128	213.155.20.167	UA
213.155.20.168	213.155.20.175	NA
213.155.20.176	213.155.20.199	UA
213.155.20.200	213.155.20.207	NA
213.155.20.208	213.155.20.247	UA
213.155.20.248	213.155.20.251	NA
213.155.20.252	213.155.21.55	UA
213.155.21.56	213.155.21.63	NA
213.155.21.64	213.155.21.71	UA
213.155.21.72	213.155.21.79	RU
213.155.21.80	213.155.21.167	UA
213.155.21.168	213.155.21.175	NA
213.155.21.176	213.155.21.207	UA
213.155.21.208	213.155.21.215	NA
213.155.21.216	213.155.21.239	UA
213.155.21.240	213.155.21.247	NA
213.155.21.248	213.155.22.23	UA
213.155.22.24	213.155.22.31	BE
213.155.22.32	213.155.22.39	US
213.155.22.40	213.155.22.103	UA
213.155.22.104	213.155.22.111	NA
213.155.22.112	213.155.22.127	UA
213.155.22.128	213.155.22.135	IL
213.155.22.136	213.155.22.143	NA
213.155.22.144	213.155.22.151	UA
213.155.22.152	213.155.22.159	NA
213.155.22.160	213.155.22.167	UA
213.155.22.168	213.155.22.191	NA
213.155.22.192	213.155.22.215	UA
213.155.22.216	213.155.22.223	NA
213.155.22.224	213.155.22.239	UA
213.155.22.240	213.155.22.247	NA
213.155.22.248	213.155.23.15	UA
213.155.23.16	213.155.23.23	NA
213.155.23.24	213.155.23.31	UA
213.155.23.32	213.155.23.47	NA
213.155.23.48	213.155.23.103	UA
213.155.23.104	213.155.23.111	GB
213.155.23.112	213.155.23.119	NA
213.155.23.120	213.155.24.15	UA
213.155.24.16	213.155.24.23	NA
213.155.24.24	213.155.24.79	UA
213.155.24.80	213.155.24.87	NA
213.155.24.88	213.155.24.95	UA
213.155.24.96	213.155.24.103	NA
213.155.24.104	213.155.24.127	UA
213.155.24.128	213.155.24.135	NA
213.155.24.136	213.155.24.143	UA
213.155.24.144	213.155.24.151	NA
213.155.24.152	213.155.25.7	UA
213.155.25.8	213.155.25.15	NA
213.155.25.16	213.155.25.63	UA
213.155.25.64	213.155.25.71	NA
213.155.25.72	213.155.25.79	UA
213.155.25.80	213.155.25.103	NA
213.155.25.104	213.155.25.119	UA
213.155.25.120	213.155.25.127	NA
213.155.25.128	213.155.25.207	UA
213.155.25.208	213.155.25.215	NA
213.155.25.216	213.155.25.223	UA
213.155.25.224	213.155.25.239	NA
213.155.25.240	213.155.26.15	UA
213.155.26.16	213.155.26.23	NA
213.155.26.24	213.155.26.39	UA
213.155.26.40	213.155.26.55	NA
213.155.26.56	213.155.26.63	UA
213.155.26.64	213.155.26.79	NA
213.155.26.80	213.155.26.87	UA
213.155.26.88	213.155.26.95	NA
213.155.26.96	213.155.26.119	UA
213.155.26.120	213.155.26.135	NA
213.155.26.136	213.155.27.15	UA
213.155.27.16	213.155.27.31	NA
213.155.27.32	213.155.27.95	UA
213.155.27.96	213.155.27.111	NA
213.155.27.112	213.155.27.119	UA
213.155.27.120	213.155.27.127	NA
213.155.27.128	213.155.27.159	UA
213.155.27.160	213.155.27.199	NA
213.155.27.200	213.155.28.31	UA
213.155.28.32	213.155.28.39	NA
213.155.28.40	213.155.28.55	UA
213.155.28.56	213.155.28.63	NA
213.155.28.64	213.155.28.159	UA
213.155.28.160	213.155.28.167	NA
213.155.28.168	213.155.28.175	SG
213.155.28.176	213.155.28.183	UA
213.155.28.184	213.155.28.223	NA
213.155.28.224	213.155.29.79	UA
213.155.29.80	213.155.29.87	NA
213.155.29.88	213.155.29.111	UA
213.155.29.112	213.155.29.119	NA
213.155.29.120	213.155.29.127	UA
213.155.29.128	213.155.29.135	NA
213.155.29.136	213.155.29.143	UA
213.155.29.144	213.155.29.151	NA
213.155.29.152	213.155.29.191	UA
213.155.29.192	213.155.29.207	NA
213.155.29.208	213.155.29.215	UA
213.155.29.216	213.155.29.223	RU
213.155.29.224	213.155.29.231	NA
213.155.29.232	213.155.29.247	UA
213.155.29.248	213.155.29.251	NA
213.155.29.252	213.155.30.7	UA
213.155.30.8	213.155.30.15	NA
213.155.30.16	213.155.30.71	UA
213.155.30.72	213.155.30.79	NA
213.155.30.80	213.155.30.143	UA
213.155.30.144	213.155.30.175	NA
213.155.30.176	213.155.30.191	UA
213.155.30.192	213.155.30.215	NA
213.155.30.216	213.155.30.239	UA
213.155.30.240	213.155.30.247	RU
213.155.30.248	213.155.31.7	UA
213.155.31.8	213.155.31.15	NA
213.155.31.16	213.155.31.47	UA
213.155.31.48	213.155.31.55	NA
213.155.31.56	213.155.31.79	UA
213.155.31.80	213.155.31.87	NA
213.155.31.88	213.155.31.103	UA
213.155.31.104	213.155.31.111	IT
213.155.31.112	213.155.31.119	UA
213.155.31.120	213.155.31.127	NA
213.155.31.128	213.155.31.135	UA
213.155.31.136	213.155.31.143	NA
213.155.31.144	213.155.31.151	EG
213.155.31.152	213.155.31.159	UA
213.155.31.160	213.155.31.167	NA
213.155.31.168	213.155.31.199	UA
213.155.31.200	213.155.31.207	NA
213.155.31.208	213.155.31.255	UA
213.155.32.0	213.155.63.255	CZ
213.155.64.0	213.155.95.255	DE
213.155.96.0	213.155.127.255	TR
213.155.128.0	213.155.138.255	EU
213.155.139.0	213.155.139.255	GB
213.155.140.0	213.155.141.255	EU
213.155.142.0	213.155.142.255	GB
213.155.143.0	213.155.143.255	NL
213.155.144.0	213.155.146.255	EU
213.155.147.0	213.155.149.255	DE
213.155.150.0	213.155.150.31	EU
213.155.150.32	213.155.150.63	FR
213.155.150.64	213.155.150.191	EU
213.155.150.192	213.155.150.223	GB
213.155.150.224	213.155.151.231	EU
213.155.151.232	213.155.151.239	GB
213.155.151.240	213.155.152.67	EU
213.155.152.68	213.155.152.71	GB
213.155.152.72	213.155.152.127	EU
213.155.152.128	213.155.152.255	GB
213.155.153.0	213.155.153.31	EU
213.155.153.32	213.155.153.47	GB
213.155.153.48	213.155.153.63	EU
213.155.153.64	213.155.153.191	GB
213.155.153.192	213.155.153.255	EU
213.155.154.0	213.155.154.255	GB
213.155.155.0	213.155.155.63	EU
213.155.155.64	213.155.155.79	GB
213.155.155.80	213.155.155.191	EU
213.155.155.192	213.155.155.223	GB
213.155.155.224	213.155.156.255	EU
213.155.157.0	213.155.157.255	GB
213.155.158.0	213.155.158.127	SE
213.155.158.128	213.155.159.7	EU
213.155.159.8	213.155.159.15	NL
213.155.159.16	213.155.159.31	GB
213.155.159.32	213.155.159.255	EU
213.155.160.0	213.155.191.255	PL
213.155.224.0	213.155.255.255	CZ
213.156.0.0	213.156.6.191	NL
213.156.6.192	213.156.6.207	IT
213.156.6.208	213.156.31.255	NL
213.156.32.0	213.156.63.255	IT
213.156.64.0	213.156.95.255	UA
213.156.96.0	213.156.127.255	PL
213.156.128.0	213.156.140.255	RU
213.156.141.0	213.156.141.255	BY
213.156.142.0	213.156.159.255	RU
213.156.160.0	213.156.160.255	GB
213.156.161.0	213.156.191.255	DE
213.156.192.0	213.156.223.255	RU
213.156.224.0	213.156.255.255	CH
213.157.0.0	213.157.31.255	DE
213.157.32.0	213.157.63.255	KZ
213.157.64.0	213.157.65.255	SG
213.157.66.0	213.157.71.255	FI
213.157.72.0	213.157.72.134	GB
213.157.72.135	213.157.72.143	FI
213.157.72.144	213.157.73.23	GB
213.157.73.24	213.157.73.31	FI
213.157.73.32	213.157.73.255	GB
213.157.74.0	213.157.74.63	US
213.157.74.64	213.157.74.71	FI
213.157.74.72	213.157.74.79	US
213.157.74.80	213.157.74.87	FI
213.157.74.88	213.157.74.95	US
213.157.74.96	213.157.74.103	FI
213.157.74.104	213.157.74.143	US
213.157.74.144	213.157.74.207	FI
213.157.74.208	213.157.74.223	US
213.157.74.224	213.157.78.255	FI
213.157.79.0	213.157.79.63	SG
213.157.79.64	213.157.79.231	FI
213.157.79.232	213.157.79.255	SG
213.157.80.0	213.157.95.255	FI
213.157.96.0	213.157.127.255	HU
213.157.128.0	213.157.159.255	AT
213.157.160.0	213.157.179.255	RO
213.157.180.0	213.157.181.255	HU
213.157.182.0	213.157.191.255	RO
213.157.192.0	213.157.223.255	GE
213.157.224.0	213.157.255.255	SI
213.158.0.0	213.158.31.255	RU
213.158.32.0	213.158.63.255	SE
213.158.64.0	213.158.95.255	IT
213.158.96.0	213.158.127.255	DE
213.158.128.0	213.158.159.255	CH
213.158.160.0	213.158.191.255	EG
213.158.192.0	213.158.223.255	PL
213.158.224.0	213.158.255.255	NO
213.159.0.0	213.159.31.255	NL
213.159.32.0	213.159.63.255	LT
213.159.64.0	213.159.127.255	RU
213.159.128.0	213.159.159.255	IE
213.159.160.0	213.159.191.255	SE
213.159.192.0	213.159.223.255	RU
213.159.224.0	213.159.255.255	UA
213.160.0.0	213.160.31.255	DE
213.160.32.0	213.160.63.255	CH
213.160.64.0	213.160.90.103	DE
213.160.90.104	213.160.90.111	TR
213.160.90.112	213.160.95.255	DE
213.160.96.0	213.160.127.255	GB
213.160.128.0	213.160.159.255	UA
213.160.160.0	213.160.191.255	SK
213.160.192.0	213.160.192.31	AT
213.160.192.32	213.160.192.39	NL
213.160.192.40	213.160.192.223	AT
213.160.192.224	213.160.192.255	NL
213.160.193.0	213.160.193.103	AT
213.160.193.104	213.160.193.111	NL
213.160.193.112	213.160.195.255	AT
213.160.196.0	213.160.219.255	NL
213.160.220.0	213.160.222.255	AT
213.160.223.0	213.160.223.15	NL
213.160.223.16	213.160.223.47	AT
213.160.223.48	213.160.223.63	NL
213.160.223.64	213.160.223.255	AT
213.160.224.0	213.160.225.255	NO
213.160.226.0	213.160.226.255	NL
213.160.227.0	213.160.227.7	NO
213.160.227.8	213.160.227.15	NL
213.160.227.16	213.160.227.63	NO
213.160.227.64	213.160.227.79	NL
213.160.227.80	213.160.238.87	NO
213.160.238.88	213.160.238.95	NL
213.160.238.96	213.160.242.173	NO
213.160.242.174	213.160.242.175	NL
213.160.242.176	213.160.246.191	NO
213.160.246.192	213.160.246.255	NL
213.160.247.0	213.160.247.255	NO
213.160.248.0	213.160.255.255	NL
213.161.0.0	213.161.31.255	SI
213.161.32.0	213.161.63.255	FI
213.161.64.0	213.161.95.255	GB
213.161.96.0	213.161.127.255	PL
213.161.128.0	213.161.159.255	TR
213.161.160.0	213.161.191.255	NO
213.161.192.0	213.161.223.255	FR
213.161.224.0	213.161.255.255	NO
213.162.0.0	213.162.31.255	CH
213.162.32.0	213.162.63.255	FR
213.162.64.0	213.162.95.255	AT
213.162.96.0	213.162.127.255	GB
213.162.128.0	213.162.159.255	DE
213.162.160.0	213.162.191.255	NL
213.162.192.0	213.162.223.255	ES
213.162.224.0	213.162.255.255	NO
213.163.0.0	213.163.63.255	HU
213.163.64.0	213.163.95.255	NL
213.163.96.0	213.163.127.255	RS
213.163.128.0	213.163.159.255	SE
213.163.160.0	213.163.191.255	FR
213.163.192.0	213.163.223.255	GB
213.163.224.0	213.164.3.39	AT
213.164.3.40	213.164.3.47	NL
213.164.3.48	213.164.3.79	AT
213.164.3.80	213.164.3.87	PT
213.164.3.88	213.164.3.127	AT
213.164.3.128	213.164.3.135	PT
213.164.3.136	213.164.3.255	AT
213.164.4.0	213.164.4.7	AS
213.164.4.8	213.164.31.255	AT
213.164.32.0	213.164.63.255	ES
213.164.64.0	213.164.95.255	DE
213.164.96.0	213.164.127.255	LT
213.164.128.0	213.164.146.231	DE
213.164.146.232	213.164.146.239	NL
213.164.146.240	213.164.159.255	DE
213.164.160.0	213.164.191.255	ES
213.164.192.0	213.164.223.255	SE
213.164.224.0	213.164.255.255	RO
213.165.0.0	213.165.31.255	GB
213.165.32.0	213.165.63.255	SA
213.165.64.0	213.165.127.255	DE
213.165.128.0	213.165.159.255	GB
213.165.160.0	213.165.191.255	MT
213.165.192.0	213.165.206.255	RU
213.165.207.0	213.165.207.255	DE
213.165.208.0	213.165.209.255	GB
213.165.210.0	213.165.211.255	RU
213.165.212.0	213.165.212.255	DE
213.165.213.0	213.165.217.255	RU
213.165.218.0	213.165.219.255	GB
213.165.220.0	213.165.223.255	RU
213.165.224.0	213.166.31.255	GB
213.166.32.0	213.166.63.255	LU
213.166.64.0	213.166.95.255	GB
213.166.96.0	213.166.127.255	EU
213.166.128.0	213.166.159.255	SA
213.166.160.0	213.166.191.255	NO
213.166.192.0	213.166.223.255	FR
213.166.224.0	213.166.255.255	DE
213.167.0.0	213.167.31.255	BG
213.167.32.0	213.167.63.255	RU
213.167.64.0	213.167.67.255	GB
213.167.68.0	213.167.68.15	CY
213.167.68.16	213.167.68.23	KY
213.167.68.24	213.167.69.47	GB
213.167.69.48	213.167.69.55	AW
213.167.69.56	213.167.69.175	GB
213.167.69.176	213.167.69.183	KY
213.167.69.184	213.167.76.23	GB
213.167.76.24	213.167.76.31	KY
213.167.76.32	213.167.76.47	GB
213.167.76.48	213.167.76.63	KY
213.167.76.64	213.167.76.79	GB
213.167.76.80	213.167.76.95	NL
213.167.76.96	213.167.76.159	GB
213.167.76.160	213.167.76.167	HK
213.167.76.168	213.167.79.63	GB
213.167.79.64	213.167.79.127	MT
213.167.79.128	213.167.85.255	GB
213.167.86.0	213.167.86.31	US
213.167.86.32	213.167.95.231	GB
213.167.95.232	213.167.95.239	BB
213.167.95.240	213.167.95.255	GB
213.167.96.0	213.167.127.255	NO
213.167.128.0	213.167.159.255	IS
213.167.160.0	213.167.191.255	DE
213.167.192.0	213.167.223.255	RU
213.167.224.0	213.167.255.255	ES
213.168.0.0	213.168.31.255	EE
213.168.32.0	213.168.63.255	RU
213.168.64.0	213.168.127.255	DE
213.168.128.0	213.168.159.255	RU
213.168.160.0	213.168.191.255	CZ
213.168.192.0	213.168.223.255	DE
213.168.224.0	213.168.224.63	GB
213.168.224.64	213.168.224.127	IE
213.168.224.128	213.168.224.191	GB
213.168.224.192	213.168.224.223	IE
213.168.224.224	213.168.224.255	GB
213.168.225.0	213.168.225.95	IE
213.168.225.96	213.168.225.103	GB
213.168.225.104	213.168.225.107	IE
213.168.225.108	213.168.225.111	GB
213.168.225.112	213.168.254.255	IE
213.168.255.0	213.168.255.255	GB
213.169.0.0	213.169.31.255	FI
213.169.32.0	213.169.63.255	BG
213.169.64.0	213.169.95.255	UA
213.169.96.0	213.169.106.255	LU
213.169.107.0	213.169.107.255	EU
213.169.108.0	213.169.127.255	LU
213.169.128.0	213.169.159.255	CY
213.169.160.0	213.169.191.255	FR
213.169.192.0	213.169.255.255	NL
213.170.0.0	213.170.31.255	GB
213.170.32.0	213.170.53.55	ES
213.170.53.56	213.170.53.127	NL
213.170.53.128	213.170.54.39	ES
213.170.54.40	213.170.54.55	CH
213.170.54.56	213.170.58.119	ES
213.170.58.120	213.170.58.127	BE
213.170.58.128	213.170.63.255	ES
213.170.64.0	213.170.127.255	RU
213.170.128.0	213.170.159.255	GB
213.170.160.0	213.170.191.255	DE
213.170.192.0	213.170.223.255	GR
213.170.224.0	213.170.255.255	DK
213.171.0.0	213.171.63.255	RU
213.171.64.0	213.171.95.255	NL
213.171.96.0	213.171.127.255	IT
213.171.128.0	213.171.159.255	NL
213.171.160.0	213.171.191.255	IT
213.171.192.0	213.171.223.255	GB
213.171.224.0	213.171.255.255	ES
213.172.0.0	213.172.31.255	RU
213.172.32.0	213.172.63.255	ES
213.172.64.0	213.172.95.255	AZ
213.172.96.0	213.172.127.255	DE
213.172.128.0	213.172.159.255	GH
213.172.160.0	213.172.191.255	PL
213.172.192.0	213.172.223.255	NO
213.172.224.0	213.172.255.255	SI
213.173.0.0	213.173.31.255	DE
213.173.32.0	213.173.63.255	IL
213.173.64.0	213.173.95.255	AT
213.173.96.0	213.173.127.255	IT
213.173.128.0	213.173.159.255	FI
213.173.160.0	213.173.170.19	CH
213.173.170.20	213.173.170.23	IT
213.173.170.24	213.173.175.63	CH
213.173.175.64	213.173.175.191	DE
213.173.175.192	213.173.182.47	CH
213.173.182.48	213.173.182.63	ES
213.173.182.64	213.173.191.255	CH
213.173.192.0	213.173.223.255	PL
213.173.224.0	213.173.255.255	DK
213.174.0.0	213.174.31.255	UA
213.174.32.0	213.174.63.255	DE
213.174.64.0	213.174.95.255	DK
213.174.96.0	213.174.127.255	FR
213.174.128.0	213.174.130.255	US
213.174.131.0	213.174.131.255	UA
213.174.132.0	213.174.132.255	US
213.174.133.0	213.174.133.255	UA
213.174.134.0	213.174.149.191	US
213.174.149.192	213.174.149.207	UA
213.174.149.208	213.174.149.239	US
213.174.149.240	213.174.149.255	UA
213.174.150.0	213.174.156.95	US
213.174.156.96	213.174.156.255	UA
213.174.157.0	213.174.157.31	NL
213.174.157.32	213.174.157.63	UA
213.174.157.64	213.174.157.127	US
213.174.157.128	213.174.157.255	GB
213.174.158.0	213.174.159.255	US
213.174.160.0	213.174.191.255	IT
213.174.192.0	213.174.223.255	GB
213.174.224.0	213.174.255.255	AT
213.175.0.0	213.175.31.255	IT
213.175.32.0	213.175.63.255	CZ
213.175.64.0	213.175.127.255	LV
213.175.128.0	213.175.135.255	IQ
213.175.136.0	213.175.151.255	GB
213.175.152.0	213.175.153.87	NG
213.175.153.88	213.175.153.95	GB
213.175.153.96	213.175.153.111	NG
213.175.153.112	213.175.159.255	GB
213.175.160.0	213.175.191.255	LB
213.175.192.0	213.175.255.255	GB
213.176.0.0	213.176.127.255	IR
213.176.128.0	213.176.159.255	IS
213.176.160.0	213.176.191.255	ES
213.176.192.0	213.176.223.255	FR
213.176.224.0	213.176.255.255	RU
213.177.0.0	213.177.31.255	RO
213.177.32.0	213.177.63.255	GB
213.177.64.0	213.177.95.255	BE
213.177.96.0	213.177.127.255	RU
213.177.128.0	213.177.167.255	BE
213.177.168.0	213.177.169.255	DZ
213.177.170.0	213.177.170.127	BE
213.177.170.128	213.177.170.255	DZ
213.177.171.0	213.177.191.255	BE
213.177.192.0	213.177.223.255	ES
213.177.224.0	213.177.255.255	GB
213.178.0.0	213.178.31.255	DE
213.178.32.0	213.178.63.255	RU
213.178.64.0	213.178.95.255	DE
213.178.96.0	213.178.127.255	HU
213.178.128.0	213.178.159.255	GB
213.178.160.0	213.178.191.255	DE
213.178.192.0	213.178.223.255	IT
213.178.224.0	213.178.255.255	SY
213.179.0.0	213.179.31.255	SE
213.179.32.0	213.179.63.255	NO
213.179.64.0	213.179.95.255	DE
213.179.96.0	213.179.127.255	ES
213.179.128.0	213.179.159.255	DE
213.179.160.0	213.179.191.255	DZ
213.179.192.0	213.179.208.127	NL
213.179.208.128	213.179.208.143	FI
213.179.208.144	213.179.223.255	NL
213.179.224.0	213.179.255.255	UA
213.180.0.0	213.180.31.255	EE
213.180.32.0	213.180.63.255	CZ
213.180.64.0	213.180.95.255	SE
213.180.96.0	213.180.127.255	LV
213.180.128.0	213.180.159.255	PL
213.180.160.0	213.180.191.255	CH
213.180.192.0	213.180.223.255	RU
213.180.224.0	213.180.255.255	A2
213.181.0.0	213.181.31.255	RU
213.181.32.0	213.181.63.255	BE
213.181.64.0	213.181.95.255	ES
213.181.96.0	213.181.127.255	IS
213.181.128.0	213.181.159.255	SK
213.181.160.0	213.181.191.255	SA
213.181.192.0	213.181.223.255	HU
213.181.224.0	213.181.255.255	EG
213.182.0.0	213.182.31.255	DE
213.182.32.0	213.182.63.255	FR
213.182.64.0	213.182.95.255	IT
213.182.96.0	213.182.159.255	DE
213.182.160.0	213.182.191.255	RU
213.182.192.0	213.182.223.255	LV
213.182.224.0	213.182.255.255	AT
213.183.0.0	213.183.31.255	DE
213.183.32.0	213.183.63.255	RU
213.183.64.0	213.183.95.255	DE
213.183.96.0	213.183.127.255	RU
213.183.128.0	213.183.159.255	IT
213.183.160.0	213.183.223.255	DE
213.183.224.0	213.183.255.255	RU
213.184.0.0	213.184.31.255	PL
213.184.32.0	213.184.63.255	EE
213.184.64.0	213.184.95.255	RU
213.184.96.0	213.184.127.255	RS
213.184.128.0	213.184.159.255	RU
213.184.160.0	213.184.191.255	SA
213.184.192.0	213.184.195.79	NO
213.184.195.80	213.184.195.87	US
213.184.195.88	213.184.223.255	NO
213.184.224.0	213.184.255.255	BY
213.185.0.0	213.185.3.255	SE
213.185.4.0	213.185.4.255	DK
213.185.5.0	213.185.6.255	SE
213.185.7.0	213.185.10.255	DK
213.185.11.0	213.185.11.255	SE
213.185.12.0	213.185.17.255	DK
213.185.18.0	213.185.19.255	SE
213.185.20.0	213.185.22.255	DK
213.185.23.0	213.185.23.255	SE
213.185.24.0	213.185.24.255	DK
213.185.25.0	213.185.31.255	SE
213.185.32.0	213.185.63.255	FI
213.185.64.0	213.185.95.255	DE
213.185.96.0	213.185.96.255	CM
213.185.97.0	213.185.97.63	BD
213.185.97.64	213.185.98.255	A2
213.185.99.0	213.185.99.255	LB
213.185.100.0	213.185.100.31	NO
213.185.100.32	213.185.100.63	LR
213.185.100.64	213.185.100.79	GB
213.185.100.80	213.185.100.255	A2
213.185.101.0	213.185.101.255	GB
213.185.102.0	213.185.102.255	NO
213.185.103.0	213.185.103.255	A2
213.185.104.0	213.185.104.255	NG
213.185.105.0	213.185.105.255	A2
213.185.106.0	213.185.107.255	NG
213.185.108.0	213.185.108.255	GB
213.185.109.0	213.185.110.255	A2
213.185.111.0	213.185.111.127	US
213.185.111.128	213.185.111.255	AU
213.185.112.0	213.185.112.255	IQ
213.185.113.0	213.185.113.63	NG
213.185.113.64	213.185.113.95	A2
213.185.113.96	213.185.113.126	US
213.185.113.127	213.185.113.127	NG
213.185.113.128	213.185.113.135	A2
213.185.113.136	213.185.113.143	US
213.185.113.144	213.185.113.159	ZA
213.185.113.160	213.185.113.175	A2
213.185.113.176	213.185.113.191	NG
213.185.113.192	213.185.113.207	A2
213.185.113.208	213.185.113.223	NG
213.185.113.224	213.185.113.247	AU
213.185.113.248	213.185.113.255	ZA
213.185.114.0	213.185.114.255	NG
213.185.115.0	213.185.115.255	TZ
213.185.116.0	213.185.116.255	IQ
213.185.117.0	213.185.117.255	US
213.185.118.0	213.185.118.63	MW
213.185.118.64	213.185.118.127	A2
213.185.118.128	213.185.118.143	NG
213.185.118.144	213.185.118.159	CA
213.185.118.160	213.185.118.255	NG
213.185.119.0	213.185.119.255	GB
213.185.120.0	213.185.120.255	FR
213.185.121.0	213.185.121.255	LR
213.185.122.0	213.185.122.63	US
213.185.122.64	213.185.122.127	A2
213.185.122.128	213.185.122.255	TZ
213.185.123.0	213.185.123.255	TG
213.185.124.0	213.185.124.255	NG
213.185.125.0	213.185.125.255	FR
213.185.126.0	213.185.126.255	A2
213.185.127.0	213.185.127.255	GB
213.185.128.0	213.185.159.255	DE
213.185.160.0	213.185.176.111	AT
213.185.176.112	213.185.176.127	DE
213.185.176.128	213.185.176.191	AT
213.185.176.192	213.185.176.199	DE
213.185.176.200	213.185.191.255	AT
213.185.192.0	213.185.223.255	GB
213.185.224.0	213.185.255.255	SE
213.186.32.0	213.186.53.63	FR
213.186.53.64	213.186.53.79	GB
213.186.53.80	213.186.53.95	DE
213.186.53.96	213.186.53.111	ES
213.186.53.112	213.186.53.127	PT
213.186.53.128	213.186.63.255	FR
213.186.64.0	213.186.95.255	PL
213.186.96.0	213.186.127.255	UA
213.186.128.0	213.186.159.255	TR
213.186.160.0	213.186.191.255	JO
213.186.192.0	213.186.223.255	UA
213.186.224.0	213.186.255.255	FI
213.187.0.0	213.187.31.255	IT
213.187.32.0	213.187.63.255	GB
213.187.64.0	213.187.95.255	DE
213.187.96.0	213.187.127.255	RU
213.187.128.0	213.187.128.15	GB
213.187.128.16	213.187.130.63	NL
213.187.130.64	213.187.130.127	IQ
213.187.130.128	213.187.131.15	NL
213.187.131.16	213.187.131.63	GQ
213.187.131.64	213.187.131.71	AO
213.187.131.72	213.187.131.95	NL
213.187.131.96	213.187.131.103	IQ
213.187.131.104	213.187.131.119	NL
213.187.131.120	213.187.131.127	IQ
213.187.131.128	213.187.131.135	NL
213.187.131.136	213.187.131.143	KE
213.187.131.144	213.187.131.151	SO
213.187.131.152	213.187.131.159	SC
213.187.131.160	213.187.131.167	SD
213.187.131.168	213.187.131.175	DJ
213.187.131.176	213.187.131.183	SO
213.187.131.184	213.187.131.191	TD
213.187.131.192	213.187.131.207	ER
213.187.131.208	213.187.131.231	NL
213.187.131.232	213.187.131.247	IQ
213.187.131.248	213.187.132.255	NL
213.187.133.0	213.187.133.255	CH
213.187.134.0	213.187.135.255	DZ
213.187.136.0	213.187.137.255	IQ
213.187.138.0	213.187.140.63	AO
213.187.140.64	213.187.140.127	NA
213.187.140.128	213.187.140.167	NL
213.187.140.168	213.187.140.175	AO
213.187.140.176	213.187.140.191	NL
213.187.140.192	213.187.140.199	AO
213.187.140.200	213.187.140.215	NL
213.187.140.216	213.187.140.223	AO
213.187.140.224	213.187.142.127	NL
213.187.142.128	213.187.142.255	NG
213.187.143.0	213.187.143.31	NL
213.187.143.32	213.187.143.63	IQ
213.187.143.64	213.187.143.127	NG
213.187.143.128	213.187.143.255	DZ
213.187.144.0	213.187.147.255	NL
213.187.148.0	213.187.151.255	IQ
213.187.152.0	213.187.152.255	NL
213.187.153.0	213.187.153.3	NG
213.187.153.4	213.187.154.255	NL
213.187.155.0	213.187.155.255	NG
213.187.156.0	213.187.156.23	IQ
213.187.156.24	213.187.156.31	NL
213.187.156.32	213.187.157.255	IQ
213.187.158.0	213.187.159.255	NG
213.187.160.0	213.187.191.255	NO
213.187.192.0	213.187.223.255	SE
213.187.224.0	213.187.227.255	RU
213.187.228.0	213.187.247.255	DE
213.187.248.0	213.187.255.255	RU
213.188.0.0	213.188.31.255	NO
213.188.32.0	213.188.63.255	CH
213.188.64.0	213.188.95.255	IQ
213.188.96.0	213.188.127.255	DE
213.188.128.0	213.188.134.159	NO
213.188.134.160	213.188.134.191	GB
213.188.134.192	213.188.135.111	NO
213.188.135.112	213.188.135.127	GB
213.188.135.128	213.188.159.255	NO
213.188.160.0	213.188.163.255	FR
213.188.164.0	213.188.165.255	MQ
213.188.166.0	213.188.167.255	FR
213.188.168.0	213.188.168.255	MQ
213.188.169.0	213.188.170.255	FR
213.188.171.0	213.188.171.255	GP
213.188.172.0	213.188.172.255	FR
213.188.173.0	213.188.173.255	GP
213.188.174.0	213.188.174.255	FR
213.188.175.0	213.188.175.255	GP
213.188.176.0	213.188.190.255	FR
213.188.191.0	213.188.191.255	MQ
213.188.192.0	213.188.223.255	IT
213.188.224.0	213.188.255.255	CH
213.189.0.0	213.189.10.255	NL
213.189.11.0	213.189.15.255	US
213.189.16.0	213.189.27.255	NL
213.189.28.0	213.189.28.255	BE
213.189.29.0	213.189.31.255	NL
213.189.32.0	213.189.63.255	PL
213.189.64.0	213.189.95.255	KW
213.189.96.0	213.189.127.255	SE
213.189.128.0	213.189.159.255	CH
213.189.160.0	213.189.191.255	BE
213.189.192.0	213.189.255.255	RU
213.190.0.0	213.190.31.255	ES
213.190.32.0	213.190.63.255	LT
213.190.64.0	213.190.95.255	FR
213.190.96.0	213.190.127.255	IS
213.190.128.0	213.190.159.255	IE
213.190.160.0	213.190.191.255	GB
213.190.192.0	213.190.223.255	PT
213.190.224.0	213.191.31.255	RU
213.191.32.0	213.191.95.255	DE
213.191.96.0	213.191.127.255	CZ
213.191.128.0	213.191.159.255	HR
213.191.160.0	213.191.160.255	A2
213.191.161.0	213.191.161.127	ER
213.191.161.128	213.191.191.255	A2
213.191.192.0	213.191.223.255	BG
213.191.224.0	213.191.255.255	IE
213.192.0.0	213.192.63.255	CZ
213.192.64.0	213.192.127.255	PL
213.192.128.0	213.192.191.255	FI
213.192.192.0	213.192.241.255	ES
213.192.242.0	213.192.242.15	FR
213.192.242.16	213.192.255.255	ES
213.193.0.0	213.193.31.255	RU
213.193.32.0	213.193.33.255	ZM
213.193.34.0	213.193.39.255	KE
213.193.40.0	213.193.47.255	BW
213.193.48.0	213.193.51.255	ZA
213.193.52.0	213.193.63.255	KE
213.193.64.0	213.193.96.255	CH
213.193.97.0	213.193.97.15	FR
213.193.97.16	213.193.116.143	CH
213.193.116.144	213.193.116.159	FR
213.193.116.160	213.193.127.255	CH
213.193.128.0	213.193.164.255	BE
213.193.165.0	213.193.165.255	NL
213.193.166.0	213.193.191.255	BE
213.193.192.0	213.193.193.63	NL
213.193.193.64	213.193.199.255	GB
213.193.200.0	213.193.207.255	BE
213.193.208.0	213.193.214.209	NL
213.193.214.210	213.193.214.217	BE
213.193.214.218	213.193.223.255	NL
213.193.224.0	213.193.231.255	BE
213.193.232.0	213.193.247.255	NL
213.193.248.0	213.193.249.255	BE
213.193.250.0	213.194.32.63	NL
213.194.32.64	213.194.32.79	ES
213.194.32.80	213.194.32.159	NL
213.194.32.160	213.194.32.231	ES
213.194.32.232	213.194.32.239	NL
213.194.32.240	213.194.32.255	ES
213.194.33.0	213.194.33.31	NL
213.194.33.32	213.194.33.63	ES
213.194.33.64	213.194.33.95	NL
213.194.33.96	213.194.33.167	GB
213.194.33.168	213.194.33.255	ES
213.194.34.0	213.194.34.63	NL
213.194.34.64	213.194.34.127	ES
213.194.34.128	213.194.34.159	NL
213.194.34.160	213.194.34.191	ES
213.194.34.192	213.194.34.223	NL
213.194.34.224	213.194.35.127	ES
213.194.35.128	213.194.35.255	NL
213.194.36.0	213.194.39.255	ES
213.194.40.0	213.194.40.255	NL
213.194.41.0	213.194.42.87	ES
213.194.42.88	213.194.42.95	IT
213.194.42.96	213.194.42.255	ES
213.194.43.0	213.194.43.255	IT
213.194.44.0	213.194.44.127	NL
213.194.44.128	213.194.46.31	ES
213.194.46.32	213.194.46.39	IT
213.194.46.40	213.194.46.47	ES
213.194.46.48	213.194.46.63	IT
213.194.46.64	213.194.46.127	NL
213.194.46.128	213.194.46.191	IT
213.194.46.192	213.194.46.223	ES
213.194.46.224	213.194.46.239	IT
213.194.46.240	213.194.46.247	ES
213.194.46.248	213.194.46.255	IT
213.194.47.0	213.194.59.255	NL
213.194.60.0	213.194.61.255	ES
213.194.62.0	213.194.63.255	NL
213.194.64.0	213.194.99.255	TR
213.194.100.0	213.194.100.15	A2
213.194.100.16	213.194.127.255	TR
213.194.128.0	213.194.191.255	ES
213.194.192.0	213.194.255.255	CZ
213.195.0.0	213.195.63.255	IR
213.195.64.0	213.195.127.255	ES
213.195.128.0	213.195.191.255	PL
213.195.192.0	213.195.255.255	CZ
213.196.0.0	213.196.63.255	NL
213.196.64.0	213.196.127.255	BA
213.196.128.0	213.196.191.255	CH
213.196.192.0	213.196.255.255	DE
213.197.0.0	213.197.63.255	NL
213.197.64.0	213.197.64.3	SK
213.197.64.4	213.197.72.255	HU
213.197.73.0	213.197.73.7	SK
213.197.73.8	213.197.73.23	HU
213.197.73.24	213.197.73.31	AT
213.197.73.32	213.197.73.63	HU
213.197.73.64	213.197.73.95	AT
213.197.73.96	213.197.73.119	UA
213.197.73.120	213.197.73.143	HU
213.197.73.144	213.197.73.151	SK
213.197.73.152	213.197.79.255	HU
213.197.80.0	213.197.81.255	SK
213.197.82.0	213.197.82.255	TR
213.197.83.0	213.197.83.255	SK
213.197.84.0	213.197.127.255	HU
213.197.128.0	213.197.191.255	LT
213.197.192.0	213.197.255.255	NL
213.198.0.0	213.198.79.159	DE
213.198.79.160	213.198.79.167	GB
213.198.79.168	213.198.80.143	DE
213.198.80.144	213.198.80.175	GB
213.198.80.176	213.198.88.15	DE
213.198.88.16	213.198.88.39	GB
213.198.88.40	213.198.90.199	DE
213.198.90.200	213.198.90.207	GB
213.198.90.208	213.198.127.255	DE
213.198.128.0	213.198.191.255	IT
213.198.192.0	213.198.255.255	RS
213.199.0.0	213.199.31.255	IT
213.199.32.0	213.199.63.255	GB
213.199.64.0	213.199.127.255	SE
213.199.128.0	213.199.143.255	IE
213.199.144.0	213.199.159.255	GB
213.199.160.0	213.199.191.255	IE
213.199.192.0	213.199.255.255	PL
213.200.0.0	213.200.31.255	GE
213.200.32.0	213.200.63.255	UA
213.200.64.0	213.200.89.191	DE
213.200.89.192	213.200.89.255	FR
213.200.90.0	213.200.90.63	DE
213.200.90.64	213.200.90.79	FR
213.200.90.80	213.200.90.127	DE
213.200.90.128	213.200.90.239	FR
213.200.90.240	213.200.91.255	DE
213.200.92.0	213.200.92.255	GR
213.200.93.0	213.200.93.255	DE
213.200.94.0	213.200.94.63	FR
213.200.94.64	213.200.94.127	US
213.200.94.128	213.200.94.143	GB
213.200.94.144	213.200.94.167	IE
213.200.94.168	213.200.94.175	FR
213.200.94.176	213.200.94.255	IE
213.200.95.0	213.200.95.143	FR
213.200.95.144	213.200.95.151	GB
213.200.95.152	213.200.95.159	MU
213.200.95.160	213.200.95.255	GB
213.200.96.0	213.200.96.255	IT
213.200.97.0	213.200.97.63	US
213.200.97.64	213.200.97.127	DE
213.200.97.128	213.200.97.191	US
213.200.97.192	213.200.98.31	FR
213.200.98.32	213.200.98.47	DK
213.200.98.48	213.200.98.63	FR
213.200.98.64	213.200.98.127	DE
213.200.98.128	213.200.99.31	FR
213.200.99.32	213.200.99.47	IT
213.200.99.48	213.200.99.95	FR
213.200.99.96	213.200.99.159	IT
213.200.99.160	213.200.99.175	FR
213.200.99.176	213.200.99.191	IT
213.200.99.192	213.200.100.255	FR
213.200.101.0	213.200.101.255	IT
213.200.102.0	213.200.102.127	ES
213.200.102.128	213.200.102.143	FR
213.200.102.144	213.200.102.223	ES
213.200.102.224	213.200.102.239	FR
213.200.102.240	213.200.102.255	ES
213.200.103.0	213.200.103.31	FR
213.200.103.32	213.200.103.39	ES
213.200.103.40	213.200.103.191	FR
213.200.103.192	213.200.103.255	ES
213.200.104.0	213.200.104.255	FR
213.200.105.0	213.200.105.255	IT
213.200.106.0	213.200.108.255	FR
213.200.109.0	213.200.109.255	US
213.200.110.0	213.200.110.31	AT
213.200.110.32	213.200.111.255	FR
213.200.112.0	213.200.127.255	US
213.200.128.0	213.200.191.255	SE
213.200.192.0	213.200.255.255	CH
213.201.0.0	213.201.127.255	ES
213.201.128.0	213.201.255.255	NL
213.202.0.0	213.202.31.255	RU
213.202.32.0	213.202.63.255	CH
213.202.64.0	213.202.127.255	HR
213.202.128.0	213.202.191.255	IE
213.202.192.0	213.202.254.191	DE
213.202.254.192	213.202.254.207	US
213.202.254.208	213.202.254.239	DE
213.202.254.240	213.202.254.255	GR
213.202.255.0	213.202.255.255	DE
213.203.0.0	213.203.63.255	NO
213.203.64.0	213.203.127.255	FR
213.203.128.0	213.203.191.255	IT
213.203.192.0	213.203.193.63	DE
213.203.193.64	213.203.193.127	NL
213.203.193.128	213.203.200.255	DE
213.203.201.0	213.203.201.63	CH
213.203.201.64	213.203.201.139	DE
213.203.201.140	213.203.201.143	CH
213.203.201.144	213.203.204.223	DE
213.203.204.224	213.203.204.255	CH
213.203.205.0	213.203.208.159	DE
213.203.208.160	213.203.208.191	CH
213.203.208.192	213.203.208.255	DE
213.203.209.0	213.203.209.95	CH
213.203.209.96	213.203.210.255	DE
213.203.211.0	213.203.211.7	VG
213.203.211.8	213.203.211.207	DE
213.203.211.208	213.203.211.223	CH
213.203.211.224	213.203.211.239	DE
213.203.211.240	213.203.211.247	CH
213.203.211.248	213.203.211.255	DE
213.203.212.0	213.203.212.31	CH
213.203.212.32	213.203.212.79	DE
213.203.212.80	213.203.212.111	CH
213.203.212.112	213.203.212.127	GB
213.203.212.128	213.203.212.159	DE
213.203.212.160	213.203.212.191	CH
213.203.212.192	213.203.212.199	DE
213.203.212.200	213.203.212.207	CY
213.203.212.208	213.203.217.23	DE
213.203.217.24	213.203.217.31	CH
213.203.217.32	213.203.217.55	DE
213.203.217.56	213.203.217.59	CH
213.203.217.60	213.203.218.95	DE
213.203.218.96	213.203.218.111	CH
213.203.218.112	213.203.222.255	DE
213.203.223.0	213.203.223.127	CH
213.203.223.128	213.203.229.255	DE
213.203.230.0	213.203.230.127	CH
213.203.230.128	213.203.233.95	DE
213.203.233.96	213.203.233.103	NL
213.203.233.104	213.203.233.111	CY
213.203.233.112	213.203.233.123	NL
213.203.233.124	213.203.233.191	DE
213.203.233.192	213.203.233.239	NL
213.203.233.240	213.203.233.247	DE
213.203.233.248	213.203.233.255	NL
213.203.234.0	213.203.235.15	DE
213.203.235.16	213.203.235.31	BE
213.203.235.32	213.203.235.63	DE
213.203.235.64	213.203.235.127	GB
213.203.235.128	213.203.235.191	NL
213.203.235.192	213.203.235.215	DE
213.203.235.216	213.203.235.219	BE
213.203.235.220	213.203.240.255	DE
213.203.241.0	213.203.241.63	FR
213.203.241.64	213.203.241.135	DE
213.203.241.136	213.203.241.139	FR
213.203.241.140	213.203.255.255	DE
213.204.0.0	213.204.29.255	IT
213.204.30.0	213.204.30.15	US
213.204.30.16	213.204.31.255	IT
213.204.32.0	213.204.33.31	AX
213.204.33.32	213.204.33.39	FI
213.204.33.40	213.204.33.79	AX
213.204.33.80	213.204.33.87	FI
213.204.33.88	213.204.33.167	AX
213.204.33.168	213.204.33.183	FI
213.204.33.184	213.204.35.127	AX
213.204.35.128	213.204.35.159	FI
213.204.35.160	213.204.35.255	AX
213.204.36.0	213.204.36.127	FI
213.204.36.128	213.204.39.255	AX
213.204.40.0	213.204.40.255	SE
213.204.41.0	213.204.46.127	AX
213.204.46.128	213.204.46.159	FI
213.204.46.160	213.204.46.207	AX
213.204.46.208	213.204.46.223	FI
213.204.46.224	213.204.63.255	AX
213.204.64.0	213.204.127.255	LB
213.204.128.0	213.204.191.255	SE
213.204.192.0	213.204.255.255	NL
213.205.0.0	213.205.63.255	IT
213.205.64.0	213.205.95.255	PT
213.205.96.0	213.205.127.255	FR
213.205.128.0	213.206.13.255	GB
213.206.14.0	213.206.16.255	DE
213.206.17.0	213.206.17.255	GB
213.206.18.0	213.206.20.255	NL
213.206.21.0	213.206.21.255	GB
213.206.22.0	213.206.24.255	FR
213.206.25.0	213.206.31.255	GB
213.206.32.0	213.206.63.255	UZ
213.206.64.0	213.206.94.95	NL
213.206.94.96	213.206.94.111	BE
213.206.94.112	213.206.94.127	NL
213.206.94.128	213.206.94.143	DE
213.206.94.144	213.206.96.95	NL
213.206.96.96	213.206.96.127	DE
213.206.96.128	213.206.105.111	NL
213.206.105.112	213.206.105.127	BE
213.206.105.128	213.206.127.255	NL
213.206.128.0	213.206.136.127	GB
213.206.136.128	213.206.136.191	US
213.206.136.192	213.206.159.255	GB
213.206.160.0	213.206.191.255	DE
213.206.192.0	213.207.31.255	NL
213.207.32.0	213.207.63.255	AL
213.207.64.0	213.207.83.255	NL
213.207.84.0	213.207.84.127	ES
213.207.84.128	213.207.127.255	NL
213.207.128.0	213.207.191.255	CY
213.207.192.0	213.207.255.255	IR
213.208.0.0	213.208.1.43	AT
213.208.1.44	213.208.1.47	US
213.208.1.48	213.208.3.15	AT
213.208.3.16	213.208.3.23	AU
213.208.3.24	213.208.3.175	AT
213.208.3.176	213.208.3.191	GB
213.208.3.192	213.208.3.199	TR
213.208.3.200	213.208.3.207	CH
213.208.3.208	213.208.31.255	AT
213.208.32.0	213.208.62.127	DE
213.208.62.128	213.208.62.143	RU
213.208.62.144	213.208.63.255	DE
213.208.64.0	213.208.127.255	GB
213.208.128.0	213.208.129.11	AT
213.208.129.12	213.208.129.15	DE
213.208.129.16	213.208.129.143	AT
213.208.129.144	213.208.129.151	IT
213.208.129.152	213.208.138.87	AT
213.208.138.88	213.208.138.95	UY
213.208.138.96	213.208.159.255	AT
213.208.160.0	213.208.191.255	RU
213.208.192.0	213.208.192.111	NL
213.208.192.112	213.208.192.127	GB
213.208.192.128	213.208.192.255	NL
213.208.193.0	213.208.193.15	GB
213.208.193.16	213.208.193.31	NL
213.208.193.32	213.208.193.63	GB
213.208.193.64	213.208.193.79	DE
213.208.193.80	213.208.193.143	GB
213.208.193.144	213.208.193.183	NL
213.208.193.184	213.208.193.223	GB
213.208.193.224	213.208.194.111	NL
213.208.194.112	213.208.194.127	GB
213.208.194.128	213.208.195.175	NL
213.208.195.176	213.208.195.191	GB
213.208.195.192	213.208.195.224	NL
213.208.195.225	213.208.195.231	GB
213.208.195.232	213.208.196.255	NL
213.208.197.0	213.208.199.15	GB
213.208.199.16	213.208.200.127	NL
213.208.200.128	213.208.200.143	GB
213.208.200.144	213.208.200.175	NL
213.208.200.176	213.208.200.191	GB
213.208.200.192	213.208.200.224	NL
213.208.200.225	213.208.200.239	GB
213.208.200.240	213.208.201.207	NL
213.208.201.208	213.208.201.255	GB
213.208.202.0	213.208.202.191	NL
213.208.202.192	213.208.202.207	GB
213.208.202.208	213.208.202.223	NL
213.208.202.224	213.208.202.239	GB
213.208.202.240	213.208.202.255	NL
213.208.203.0	213.208.203.47	GB
213.208.203.48	213.208.203.55	NL
213.208.203.56	213.208.203.63	GB
213.208.203.64	213.208.203.79	NL
213.208.203.80	213.208.203.143	GB
213.208.203.144	213.208.203.159	NL
213.208.203.160	213.208.203.223	GB
213.208.203.224	213.208.203.255	NL
213.208.204.0	213.208.204.71	GB
213.208.204.72	213.208.204.79	NL
213.208.204.80	213.208.204.127	GB
213.208.204.128	213.208.204.191	NL
213.208.204.192	213.208.204.223	GB
213.208.204.224	213.208.204.247	DE
213.208.204.248	213.208.204.255	GB
213.208.205.0	213.208.205.15	NL
213.208.205.16	213.208.206.63	GB
213.208.206.64	213.208.206.95	NL
213.208.206.96	213.208.206.127	GB
213.208.206.128	213.208.211.23	NL
213.208.211.24	213.208.211.199	GB
213.208.211.200	213.208.211.207	NL
213.208.211.208	213.208.211.255	GB
213.208.212.0	213.208.214.15	NL
213.208.214.16	213.208.214.39	GB
213.208.214.40	213.208.214.63	NL
213.208.214.64	213.208.214.79	GB
213.208.214.80	213.208.214.127	NL
213.208.214.128	213.208.214.191	GB
213.208.214.192	213.208.214.239	NL
213.208.214.240	213.208.214.255	GB
213.208.215.0	213.208.215.7	NL
213.208.215.8	213.208.215.63	GB
213.208.215.64	213.208.216.15	NL
213.208.216.16	213.208.216.31	GB
213.208.216.32	213.208.216.47	NL
213.208.216.48	213.208.216.127	GB
213.208.216.128	213.208.216.143	NL
213.208.216.144	213.208.216.159	GB
213.208.216.160	213.208.216.175	NL
213.208.216.176	213.208.216.191	GB
213.208.216.192	213.208.216.207	NL
213.208.216.208	213.208.216.223	GB
213.208.216.224	213.208.216.239	NL
213.208.216.240	213.208.216.255	GB
213.208.217.0	213.208.217.31	NL
213.208.217.32	213.208.217.47	GB
213.208.217.48	213.208.217.95	NL
213.208.217.96	213.208.217.111	GB
213.208.217.112	213.208.217.159	NL
213.208.217.160	213.208.219.255	GB
213.208.220.0	213.208.226.95	NL
213.208.226.96	213.208.226.127	GB
213.208.226.128	213.208.226.159	NL
213.208.226.160	213.208.226.191	GB
213.208.226.192	213.208.226.255	NL
213.208.227.0	213.208.227.255	GB
213.208.228.0	213.208.229.255	NL
213.208.230.0	213.208.230.15	GB
213.208.230.16	213.208.230.23	NL
213.208.230.24	213.208.230.31	GB
213.208.230.32	213.208.230.95	NL
213.208.230.96	213.208.230.111	GB
213.208.230.112	213.208.230.119	NL
213.208.230.120	213.208.230.143	GB
213.208.230.144	213.208.230.191	NL
213.208.230.192	213.208.231.255	GB
213.208.232.0	213.208.234.71	NL
213.208.234.72	213.208.234.79	GB
213.208.234.80	213.208.234.135	NL
213.208.234.136	213.208.234.143	GB
213.208.234.144	213.208.234.207	NL
213.208.234.208	213.208.235.255	GB
213.208.236.0	213.208.237.135	NL
213.208.237.136	213.208.237.143	GB
213.208.237.144	213.208.238.255	NL
213.208.239.0	213.208.239.7	GB
213.208.239.8	213.208.239.87	NL
213.208.239.88	213.208.239.95	GB
213.208.239.96	213.208.239.111	NL
213.208.239.112	213.208.239.127	GB
213.208.239.128	213.208.239.191	NL
213.208.239.192	213.208.239.255	GB
213.208.240.0	213.208.240.79	NL
213.208.240.80	213.208.240.87	GB
213.208.240.88	213.208.240.151	NL
213.208.240.152	213.208.240.159	GB
213.208.240.160	213.208.240.167	NL
213.208.240.168	213.208.240.171	GB
213.208.240.172	213.208.241.247	NL
213.208.241.248	213.208.241.255	GB
213.208.242.0	213.208.242.63	NL
213.208.242.64	213.208.242.127	GB
213.208.242.128	213.208.242.167	NL
213.208.242.168	213.208.242.175	GB
213.208.242.176	213.208.244.183	NL
213.208.244.184	213.208.244.191	GB
213.208.244.192	213.208.245.7	NL
213.208.245.8	213.208.245.31	GB
213.208.245.32	213.208.245.47	NL
213.208.245.48	213.208.245.55	GB
213.208.245.56	213.208.245.127	NL
213.208.245.128	213.208.245.255	GB
213.208.246.0	213.208.248.79	NL
213.208.248.80	213.208.248.87	BE
213.208.248.88	213.208.255.159	NL
213.208.255.160	213.208.255.167	GB
213.208.255.168	213.208.255.191	NL
213.208.255.192	213.208.255.199	GB
213.208.255.200	213.208.255.255	NL
213.209.0.0	213.209.63.255	IT
213.209.64.0	213.209.159.255	DE
213.209.160.0	213.209.160.143	A2
213.209.160.144	213.209.160.167	HK
213.209.160.168	213.209.168.3	A2
213.209.168.4	213.209.168.7	LY
213.209.168.8	213.209.168.15	A2
213.209.168.16	213.209.168.19	LY
213.209.168.20	213.209.168.255	A2
213.209.169.0	213.209.169.11	GE
213.209.169.12	213.209.169.15	DE
213.209.169.16	213.209.169.23	GE
213.209.169.24	213.209.169.31	FR
213.209.169.32	213.209.169.39	GB
213.209.169.40	213.209.169.43	DE
213.209.169.44	213.209.169.47	PL
213.209.169.48	213.209.169.55	GE
213.209.169.56	213.209.169.63	IS
213.209.169.64	213.209.169.67	NL
213.209.169.68	213.209.169.71	IT
213.209.169.72	213.209.169.91	NL
213.209.169.92	213.209.169.95	CZ
213.209.169.96	213.209.169.99	DE
213.209.169.100	213.209.169.107	IS
213.209.169.108	213.209.169.115	PL
213.209.169.116	213.209.169.119	DE
213.209.169.120	213.209.169.123	IQ
213.209.169.124	213.209.169.127	DE
213.209.169.128	213.209.169.131	SE
213.209.169.132	213.209.169.135	DE
213.209.169.136	213.209.169.139	IT
213.209.169.140	213.209.169.143	DE
213.209.169.144	213.209.169.151	TR
213.209.169.152	213.209.169.155	DE
213.209.169.156	213.209.169.159	IT
213.209.169.160	213.209.169.163	DE
213.209.169.164	213.209.169.167	IT
213.209.169.168	213.209.169.179	SE
213.209.169.180	213.209.169.183	PL
213.209.169.184	213.209.169.191	A2
213.209.169.192	213.209.169.239	IT
213.209.169.240	213.209.169.247	DE
213.209.169.248	213.209.169.255	PL
213.209.170.0	213.209.170.7	GB
213.209.170.8	213.209.170.11	FR
213.209.170.12	213.209.170.19	PL
213.209.170.20	213.209.170.23	DE
213.209.170.24	213.209.170.27	FR
213.209.170.28	213.209.170.31	DE
213.209.170.32	213.209.170.39	FR
213.209.170.40	213.209.170.47	GB
213.209.170.48	213.209.170.127	IT
213.209.170.128	213.209.170.135	NL
213.209.170.136	213.209.170.159	IS
213.209.170.160	213.209.170.167	GE
213.209.170.168	213.209.170.171	IT
213.209.170.172	213.209.170.175	SE
213.209.170.176	213.209.170.255	IT
213.209.171.0	213.209.171.7	IS
213.209.171.8	213.209.171.15	GB
213.209.171.16	213.209.171.27	FR
213.209.171.28	213.209.171.39	GB
213.209.171.40	213.209.171.43	SE
213.209.171.44	213.209.171.71	IQ
213.209.171.72	213.209.171.79	FR
213.209.171.80	213.209.171.127	IT
213.209.171.128	213.209.171.135	FR
213.209.171.136	213.209.171.139	DE
213.209.171.140	213.209.171.151	IT
213.209.171.152	213.209.171.155	FR
213.209.171.156	213.209.171.159	GB
213.209.171.160	213.209.171.175	DE
213.209.171.176	213.209.171.255	IT
213.209.172.0	213.209.172.255	A2
213.209.173.0	213.209.173.255	IT
213.209.174.0	213.209.174.127	AE
213.209.174.128	213.209.174.131	DE
213.209.174.132	213.209.174.183	NL
213.209.174.184	213.209.175.127	A2
213.209.175.128	213.209.175.255	DE
213.209.176.0	213.209.176.255	FR
213.209.177.0	213.209.177.3	ES
213.209.177.4	213.209.177.7	FR
213.209.177.8	213.209.177.15	PT
213.209.177.16	213.209.177.23	ES
213.209.177.24	213.209.177.31	FR
213.209.177.32	213.209.177.39	A2
213.209.177.40	213.209.177.43	GB
213.209.177.44	213.209.177.47	ES
213.209.177.48	213.209.177.55	GB
213.209.177.56	213.209.177.63	ES
213.209.177.64	213.209.177.67	A2
213.209.177.68	213.209.177.71	FR
213.209.177.72	213.209.177.79	A2
213.209.177.80	213.209.177.123	GB
213.209.177.124	213.209.178.255	A2
213.209.179.0	213.209.179.3	FR
213.209.179.4	213.209.179.7	A2
213.209.179.8	213.209.179.15	GB
213.209.179.16	213.209.179.39	A2
213.209.179.40	213.209.179.51	GB
213.209.179.52	213.209.179.55	ES
213.209.179.56	213.209.179.59	A2
213.209.179.60	213.209.179.63	FR
213.209.179.64	213.209.179.255	A2
213.209.180.0	213.209.180.255	IT
213.209.181.0	213.209.181.254	GB
213.209.181.255	213.209.181.255	A2
213.209.182.0	213.209.182.255	FR
213.209.183.0	213.209.183.255	A2
213.209.184.0	213.209.184.3	NL
213.209.184.4	213.209.185.255	A2
213.209.186.0	213.209.187.63	IT
213.209.187.64	213.209.187.127	AL
213.209.187.128	213.209.187.255	IT
213.209.188.0	213.209.188.63	A2
213.209.188.64	213.209.188.255	IT
213.209.189.0	213.209.189.3	ES
213.209.189.4	213.209.189.255	A2
213.209.190.0	213.209.190.127	IT
213.209.190.128	213.209.190.191	AT
213.209.190.192	213.209.255.255	IT
213.210.0.0	213.210.63.255	GB
213.210.64.0	213.210.127.255	RU
213.210.128.0	213.210.191.255	CZ
213.210.192.0	213.210.255.255	SA
213.211.0.0	213.211.31.255	TR
213.211.32.0	213.211.63.255	CZ
213.211.64.0	213.211.127.255	KZ
213.211.128.0	213.211.128.255	NL
213.211.129.0	213.211.155.255	BE
213.211.156.0	213.211.185.255	NL
213.211.186.0	213.211.191.255	BE
213.211.192.0	213.211.255.255	DE
213.212.0.0	213.212.63.255	SE
213.212.64.0	213.212.72.191	GB
213.212.72.192	213.212.72.223	DE
213.212.72.224	213.212.127.255	GB
213.212.128.0	213.212.191.255	IT
213.212.192.0	213.212.255.255	EG
213.213.0.0	213.213.127.255	IT
213.213.128.0	213.213.159.255	IS
213.213.160.0	213.213.191.255	CH
213.213.192.0	213.213.255.255	BE
213.214.0.0	213.214.31.255	DE
213.214.32.0	213.214.63.255	BE
213.214.64.0	213.214.95.255	BG
213.214.96.0	213.214.127.255	NL
213.214.128.0	213.214.191.255	FI
213.214.192.0	213.214.255.255	SE
213.215.0.0	213.215.63.255	FR
213.215.64.0	213.215.127.255	SK
213.215.128.0	213.215.142.163	IT
213.215.142.164	213.215.142.167	GB
213.215.142.168	213.215.142.187	IT
213.215.142.188	213.215.142.192	GB
213.215.142.193	213.215.163.159	IT
213.215.163.160	213.215.163.167	ES
213.215.163.168	213.215.179.255	IT
213.215.180.0	213.215.180.31	FR
213.215.180.32	213.215.180.87	IT
213.215.180.88	213.215.180.88	GB
213.215.180.89	213.215.189.199	IT
213.215.189.200	213.215.189.207	GB
213.215.189.208	213.215.190.143	IT
213.215.190.144	213.215.190.151	FR
213.215.190.152	213.215.196.167	IT
213.215.196.168	213.215.196.175	NL
213.215.196.176	213.215.242.55	IT
213.215.242.56	213.215.242.63	A2
213.215.242.64	213.215.243.103	IT
213.215.243.104	213.215.243.111	GB
213.215.243.112	213.215.245.63	IT
213.215.245.64	213.215.245.71	GB
213.215.245.72	213.215.250.47	IT
213.215.250.48	213.215.250.55	FR
213.215.250.56	213.215.255.255	IT
213.216.0.0	213.216.31.255	DE
213.216.32.0	213.216.63.255	CZ
213.216.64.0	213.216.127.255	PL
213.216.128.0	213.216.191.255	GB
213.216.192.0	213.216.255.255	FI
213.217.0.0	213.217.31.255	DE
213.217.32.0	213.217.63.255	IR
213.217.64.0	213.217.127.255	DE
213.217.128.0	213.217.191.255	IT
213.217.192.0	213.217.255.255	MT
213.218.0.0	213.218.31.255	DE
213.218.32.0	213.218.63.255	IT
213.218.64.0	213.218.79.255	NL
213.218.80.0	213.218.127.255	PL
213.218.128.0	213.218.159.255	FR
213.218.160.0	213.218.170.7	DE
213.218.170.8	213.218.170.15	US
213.218.170.16	213.218.170.31	DE
213.218.170.32	213.218.170.63	NL
213.218.170.64	213.218.174.127	DE
213.218.174.128	213.218.174.159	AT
213.218.174.160	213.218.191.255	DE
213.218.192.0	213.219.63.255	GB
213.219.64.0	213.219.127.255	EE
213.219.128.0	213.219.128.255	NL
213.219.129.0	213.219.175.255	BE
213.219.176.0	213.219.179.255	NL
213.219.180.0	213.219.189.255	BE
213.219.190.0	213.219.191.255	NL
213.219.192.0	213.219.255.255	RU
213.220.0.0	213.220.63.255	ES
213.220.64.0	213.220.127.255	IS
213.220.128.0	213.220.191.255	DE
213.220.192.0	213.220.255.255	CZ
213.221.0.0	213.221.63.255	RU
213.221.64.0	213.221.116.191	DE
213.221.116.192	213.221.116.199	CH
213.221.116.200	213.221.127.255	DE
213.221.128.0	213.221.159.255	CH
213.221.160.0	213.221.191.255	GB
213.221.192.0	213.221.255.255	CH
213.222.0.0	213.222.31.255	NL
213.222.32.0	213.222.63.255	BG
213.222.64.0	213.222.127.255	FR
213.222.128.0	213.222.191.255	HU
213.222.192.0	213.222.223.255	PL
213.223.0.0	213.223.255.255	FR
213.224.0.0	213.224.255.255	BE
213.225.0.0	213.225.63.255	AT
213.225.64.0	213.225.127.255	NO
213.225.128.0	213.225.159.255	GB
213.225.160.0	213.225.191.255	FR
213.225.192.0	213.225.255.255	IT
213.226.0.0	213.226.63.255	BG
213.226.64.0	213.226.127.255	SE
213.226.128.0	213.226.139.255	LT
213.226.140.0	213.226.141.255	LV
213.226.142.0	213.226.191.255	LT
213.226.192.0	213.226.255.255	CZ
213.227.0.0	213.227.63.255	ES
213.227.64.0	213.227.127.255	PL
213.227.128.0	213.227.159.255	NL
213.227.160.0	213.227.191.255	AT
213.227.192.0	213.227.255.255	UA
213.228.0.0	213.228.63.255	FR
213.228.64.0	213.228.127.255	RU
213.228.128.0	213.228.191.255	PT
213.228.192.0	213.228.215.127	GB
213.228.215.128	213.228.215.135	IE
213.228.215.136	213.228.226.255	GB
213.228.227.0	213.228.227.255	IE
213.228.228.0	213.228.239.47	GB
213.228.239.48	213.228.239.63	IE
213.228.239.64	213.228.252.255	GB
213.228.253.0	213.228.253.255	IE
213.228.254.0	213.228.254.15	DE
213.228.254.16	213.228.255.191	GB
213.228.255.192	213.228.255.255	IE
213.229.0.0	213.229.63.255	AT
213.229.64.0	213.229.127.255	GB
213.229.128.0	213.229.138.95	ES
213.229.138.96	213.229.138.127	BE
213.229.138.128	213.229.156.63	ES
213.229.156.64	213.229.156.71	DE
213.229.156.72	213.229.171.79	ES
213.229.171.80	213.229.171.87	IT
213.229.171.88	213.229.191.255	ES
213.229.192.0	213.229.255.255	SI
213.230.0.0	213.230.31.255	SA
213.230.32.0	213.230.63.255	CH
213.230.64.0	213.230.127.255	UZ
213.230.128.0	213.230.159.255	IT
213.230.160.0	213.230.191.255	NO
213.230.192.0	213.230.255.255	GB
213.231.0.0	213.231.63.255	UA
213.231.64.0	213.231.127.255	ES
213.231.128.0	213.231.191.255	BG
213.231.192.0	213.231.255.255	PL
213.232.0.0	213.232.63.255	TR
213.232.64.0	213.232.87.127	GB
213.232.87.128	213.232.87.255	SL
213.232.88.0	213.232.95.255	GB
213.232.96.0	213.232.96.255	NG
213.232.97.0	213.232.120.191	GB
213.232.120.192	213.232.120.199	A2
213.232.120.200	213.232.127.255	GB
213.232.128.0	213.232.191.255	CH
213.232.192.0	213.232.255.255	RU
213.233.0.0	213.233.63.255	IT
213.233.64.0	213.233.124.127	RO
213.233.124.128	213.233.124.135	FR
213.233.124.136	213.233.127.255	RO
213.233.128.0	213.233.159.255	IE
213.233.160.0	213.233.191.255	IR
213.233.192.0	213.233.255.255	NL
213.234.0.0	213.234.31.255	RU
213.234.32.0	213.234.63.255	GB
213.234.64.0	213.234.127.255	NO
213.234.128.0	213.234.191.255	IT
213.234.192.0	213.234.255.255	RU
213.235.0.0	213.235.63.255	GB
213.235.64.0	213.235.191.255	CZ
213.235.192.0	213.235.255.255	AT
213.236.0.0	213.236.31.255	ES
213.236.32.0	213.236.63.255	SA
213.236.64.0	213.236.65.39	NL
213.236.65.40	213.236.65.47	FR
213.236.65.48	213.236.65.159	NL
213.236.65.160	213.236.65.191	FR
213.236.65.192	213.236.80.159	NL
213.236.80.160	213.236.80.175	ES
213.236.80.176	213.236.80.183	GB
213.236.80.184	213.236.80.199	NL
213.236.80.200	213.236.80.207	GB
213.236.80.208	213.236.80.223	DE
213.236.80.224	213.236.81.63	NL
213.236.81.64	213.236.81.95	DE
213.236.81.96	213.236.81.127	FR
213.236.81.128	213.236.81.191	NL
213.236.81.192	213.236.81.255	FR
213.236.82.0	213.236.91.255	ES
213.236.92.0	213.236.93.31	NL
213.236.93.32	213.236.93.63	SE
213.236.93.64	213.236.93.111	NL
213.236.93.112	213.236.93.127	ES
213.236.93.128	213.236.93.183	NL
213.236.93.184	213.236.93.191	CH
213.236.93.192	213.236.93.239	NL
213.236.93.240	213.236.93.247	BE
213.236.93.248	213.236.93.255	NL
213.236.94.0	213.236.95.255	ES
213.236.96.0	213.236.127.255	NL
213.236.128.0	213.236.255.255	NO
213.237.0.0	213.237.51.127	DK
213.237.51.128	213.237.51.131	SE
213.237.51.132	213.237.191.255	DK
213.237.192.0	213.237.255.255	GB
213.238.0.0	213.238.31.255	UA
213.238.32.0	213.238.32.159	DE
213.238.32.160	213.238.32.167	CH
213.238.32.168	213.238.33.3	DE
213.238.33.4	213.238.33.7	ES
213.238.33.8	213.238.46.239	DE
213.238.46.240	213.238.46.255	CH
213.238.47.0	213.238.63.255	DE
213.238.64.0	213.238.127.255	PL
213.238.128.0	213.238.191.255	TR
213.238.192.0	213.238.255.255	SE
213.239.0.0	213.239.63.255	NL
213.239.64.0	213.239.79.79	NO
213.239.79.80	213.239.79.95	DK
213.239.79.96	213.239.80.167	NO
213.239.80.168	213.239.80.183	GB
213.239.80.184	213.239.127.255	NO
213.239.128.0	213.239.149.255	NL
213.239.150.0	213.239.150.255	GB
213.239.151.0	213.239.179.255	NL
213.239.180.0	213.239.180.255	GR
213.239.181.0	213.239.188.255	NL
213.239.189.0	213.239.189.255	GB
213.239.190.0	213.239.191.255	NL
213.239.192.0	213.239.231.207	DE
213.239.231.208	213.239.231.223	AT
213.239.231.224	213.239.255.255	DE
213.240.0.0	213.240.63.255	RS
213.240.64.0	213.240.127.255	AT
213.240.128.0	213.240.164.255	DE
213.240.165.0	213.240.165.63	GB
213.240.165.64	213.240.191.255	DE
213.240.192.0	213.240.255.255	BG
213.241.0.0	213.241.127.255	PL
213.241.128.0	213.241.134.7	DE
213.241.134.8	213.241.134.15	CI
213.241.134.16	213.241.191.255	DE
213.241.192.0	213.242.63.255	RU
213.242.64.0	213.242.65.255	IT
213.242.66.0	213.242.67.255	CH
213.242.68.0	213.242.69.255	SE
213.242.70.0	213.242.71.255	ES
213.242.72.0	213.242.73.255	CH
213.242.74.0	213.242.75.255	GB
213.242.76.0	213.242.76.127	FR
213.242.76.128	213.242.79.255	GB
213.242.80.0	213.242.80.47	FR
213.242.80.48	213.242.87.255	GB
213.242.88.0	213.242.88.255	FR
213.242.89.0	213.242.91.255	GB
213.242.92.0	213.242.93.15	FR
213.242.93.16	213.242.95.255	GB
213.242.96.0	213.242.96.47	FR
213.242.96.48	213.242.99.255	GB
213.242.100.0	213.242.100.255	CH
213.242.101.0	213.242.102.63	FR
213.242.102.64	213.242.103.255	GB
213.242.104.0	213.242.104.31	IT
213.242.104.32	213.242.104.63	CH
213.242.104.64	213.242.104.95	SE
213.242.104.96	213.242.104.127	ES
213.242.104.128	213.242.104.159	CH
213.242.104.160	213.242.104.191	IE
213.242.104.192	213.242.104.223	DK
213.242.104.224	213.242.104.255	GB
213.242.105.0	213.242.106.255	IE
213.242.107.0	213.242.108.255	DK
213.242.109.0	213.242.109.127	GB
213.242.109.128	213.242.109.255	ES
213.242.110.0	213.242.111.255	FR
213.242.112.0	213.242.112.127	PL
213.242.112.128	213.242.113.127	ES
213.242.113.128	213.242.113.255	GB
213.242.114.0	213.242.114.255	ES
213.242.115.0	213.242.115.255	GB
213.242.116.0	213.242.116.255	FR
213.242.117.0	213.242.117.127	PL
213.242.117.128	213.242.127.255	GB
213.242.128.0	213.242.148.23	SE
213.242.148.24	213.242.148.31	NO
213.242.148.32	213.242.191.255	SE
213.242.192.0	213.242.255.255	RU
213.243.0.0	213.243.63.255	TR
213.243.64.0	213.243.75.255	RU
213.243.76.0	213.243.76.31	TJ
213.243.76.32	213.243.127.255	RU
213.243.128.0	213.243.191.255	FI
213.243.192.0	213.243.255.255	IT
213.244.0.0	213.244.31.255	FR
213.244.32.0	213.244.63.255	DE
213.244.64.0	213.244.127.255	PS
213.244.128.0	213.244.128.95	NL
213.244.128.96	213.244.159.255	GB
213.244.160.0	213.244.161.255	NL
213.244.162.0	213.244.163.255	GB
213.244.164.0	213.244.167.255	NL
213.244.168.0	213.244.168.95	GB
213.244.168.96	213.244.168.255	NL
213.244.169.0	213.244.169.143	GB
213.244.169.144	213.244.169.159	NL
213.244.169.160	213.244.170.15	GB
213.244.170.16	213.244.170.127	NL
213.244.170.128	213.244.170.255	GB
213.244.171.0	213.244.171.223	NL
213.244.171.224	213.244.171.255	GB
213.244.172.0	213.244.174.255	NL
213.244.175.0	213.244.175.15	GB
213.244.175.16	213.244.175.47	NL
213.244.175.48	213.244.175.63	GB
213.244.175.64	213.244.177.255	NL
213.244.178.0	213.244.179.31	GB
213.244.179.32	213.244.179.47	NL
213.244.179.48	213.244.179.127	GB
213.244.179.128	213.244.179.255	DE
213.244.180.0	213.244.181.127	GB
213.244.181.128	213.244.181.143	NL
213.244.181.144	213.244.182.255	GB
213.244.183.0	213.244.185.127	NL
213.244.185.128	213.244.185.255	GB
213.244.186.0	213.244.188.63	NL
213.244.188.64	213.244.189.255	GB
213.244.190.0	213.244.190.255	NL
213.244.191.0	213.244.191.255	GB
213.244.192.0	213.244.255.255	RS
213.245.0.0	213.245.255.255	FR
213.246.0.0	213.246.31.255	RU
213.246.32.0	213.246.44.159	FR
213.246.44.160	213.246.44.175	MQ
213.246.44.176	213.246.46.111	FR
213.246.46.112	213.246.46.127	MQ
213.246.46.128	213.246.63.255	FR
213.246.64.0	213.246.191.255	GB
213.246.192.0	213.246.197.47	BE
213.246.197.48	213.246.197.51	GB
213.246.197.52	213.246.199.39	BE
213.246.199.40	213.246.199.47	AT
213.246.199.48	213.246.199.159	BE
213.246.199.160	213.246.199.167	GB
213.246.199.168	213.246.200.7	BE
213.246.200.8	213.246.200.15	FR
213.246.200.16	213.246.200.71	BE
213.246.200.72	213.246.200.79	GB
213.246.200.80	213.246.200.199	BE
213.246.200.200	213.246.200.207	GB
213.246.200.208	213.246.200.215	FR
213.246.200.216	213.246.200.239	BE
213.246.200.240	213.246.200.247	FR
213.246.200.248	213.246.201.255	BE
213.246.202.0	213.246.202.7	ES
213.246.202.8	213.246.202.23	FR
213.246.202.24	213.246.202.27	BE
213.246.202.28	213.246.202.31	GB
213.246.202.32	213.246.202.47	BE
213.246.202.48	213.246.202.55	GB
213.246.202.56	213.246.202.63	FR
213.246.202.64	213.246.202.79	BE
213.246.202.80	213.246.202.87	ES
213.246.202.88	213.246.202.111	BE
213.246.202.112	213.246.202.119	GB
213.246.202.120	213.246.202.127	FR
213.246.202.128	213.246.202.151	BE
213.246.202.152	213.246.202.159	GB
213.246.202.160	213.246.202.167	BE
213.246.202.168	213.246.202.191	GB
213.246.202.192	213.246.202.207	BE
213.246.202.208	213.246.202.223	GB
213.246.202.224	213.246.202.239	BE
213.246.202.240	213.246.202.247	GB
213.246.202.248	213.246.203.7	BE
213.246.203.8	213.246.203.15	GB
213.246.203.16	213.246.203.47	BE
213.246.203.48	213.246.203.55	FR
213.246.203.56	213.246.203.63	BE
213.246.203.64	213.246.203.71	IT
213.246.203.72	213.246.203.103	BE
213.246.203.104	213.246.203.111	GB
213.246.203.112	213.246.203.119	FR
213.246.203.120	213.246.203.151	GB
213.246.203.152	213.246.203.163	BE
213.246.203.164	213.246.203.171	GB
213.246.203.172	213.246.203.183	BE
213.246.203.184	213.246.203.199	GB
213.246.203.200	213.246.203.207	BE
213.246.203.208	213.246.203.215	GB
213.246.203.216	213.246.203.223	ES
213.246.203.224	213.246.203.231	BE
213.246.203.232	213.246.203.239	GB
213.246.203.240	213.246.204.59	BE
213.246.204.60	213.246.204.63	GB
213.246.204.64	213.246.204.71	BE
213.246.204.72	213.246.204.79	GB
213.246.204.80	213.246.204.143	BE
213.246.204.144	213.246.204.159	GB
213.246.204.160	213.246.204.167	FR
213.246.204.168	213.246.204.191	GB
213.246.204.192	213.246.204.207	BE
213.246.204.208	213.246.204.223	FR
213.246.204.224	213.246.205.55	BE
213.246.205.56	213.246.205.63	GB
213.246.205.64	213.246.206.255	BE
213.246.207.0	213.246.207.7	GB
213.246.207.8	213.246.207.11	BE
213.246.207.12	213.246.207.27	GB
213.246.207.28	213.246.207.47	BE
213.246.207.48	213.246.207.55	GB
213.246.207.56	213.246.207.95	BE
213.246.207.96	213.246.207.111	GB
213.246.207.112	213.246.207.167	BE
213.246.207.168	213.246.207.175	FR
213.246.207.176	213.246.207.203	BE
213.246.207.204	213.246.207.207	GB
213.246.207.208	213.246.207.255	BE
213.246.208.0	213.246.208.31	GB
213.246.208.32	213.246.208.47	BE
213.246.208.48	213.246.208.55	FR
213.246.208.56	213.246.208.63	BE
213.246.208.64	213.246.208.79	GB
213.246.208.80	213.246.208.87	BE
213.246.208.88	213.246.208.95	FR
213.246.208.96	213.246.208.151	BE
213.246.208.152	213.246.208.159	GB
213.246.208.160	213.246.208.167	BE
213.246.208.168	213.246.208.175	FR
213.246.208.176	213.246.208.183	BE
213.246.208.184	213.246.208.187	GB
213.246.208.188	213.246.208.191	BE
213.246.208.192	213.246.208.199	FR
213.246.208.200	213.246.208.207	GB
213.246.208.208	213.246.208.223	FR
213.246.208.224	213.246.208.231	BE
213.246.208.232	213.246.208.247	FR
213.246.208.248	213.246.209.15	BE
213.246.209.16	213.246.209.23	FR
213.246.209.24	213.246.209.27	BE
213.246.209.28	213.246.209.31	GB
213.246.209.32	213.246.209.71	BE
213.246.209.72	213.246.209.79	GB
213.246.209.80	213.246.209.255	BE
213.246.210.0	213.246.210.7	GB
213.246.210.8	213.246.210.15	BE
213.246.210.16	213.246.210.23	GB
213.246.210.24	213.246.210.79	BE
213.246.210.80	213.246.210.87	FR
213.246.210.88	213.246.210.167	BE
213.246.210.168	213.246.210.175	GB
213.246.210.176	213.246.210.211	BE
213.246.210.212	213.246.210.219	GB
213.246.210.220	213.246.210.235	BE
213.246.210.236	213.246.210.239	GB
213.246.210.240	213.246.211.63	BE
213.246.211.64	213.246.211.71	GB
213.246.211.72	213.246.211.79	FR
213.246.211.80	213.246.211.99	BE
213.246.211.100	213.246.211.111	GB
213.246.211.112	213.246.211.115	BE
213.246.211.116	213.246.211.119	GB
213.246.211.120	213.246.211.143	BE
213.246.211.144	213.246.211.151	FR
213.246.211.152	213.246.215.71	BE
213.246.215.72	213.246.215.79	FR
213.246.215.80	213.246.215.127	BE
213.246.215.128	213.246.215.135	ES
213.246.215.136	213.246.216.39	BE
213.246.216.40	213.246.216.47	ES
213.246.216.48	213.246.216.111	BE
213.246.216.112	213.246.216.127	NL
213.246.216.128	213.246.217.255	BE
213.246.218.0	213.246.218.7	FR
213.246.218.8	213.246.218.23	GB
213.246.218.24	213.246.218.31	BE
213.246.218.32	213.246.218.47	FR
213.246.218.48	213.246.218.55	GB
213.246.218.56	213.246.218.119	BE
213.246.218.120	213.246.218.135	GB
213.246.218.136	213.246.220.63	BE
213.246.220.64	213.246.220.79	GB
213.246.220.80	213.246.221.55	BE
213.246.221.56	213.246.221.63	PT
213.246.221.64	213.246.221.223	BE
213.246.221.224	213.246.221.255	GB
213.246.222.0	213.246.222.103	BE
213.246.222.104	213.246.222.111	IE
213.246.222.112	213.246.222.151	BE
213.246.222.152	213.246.222.159	IE
213.246.222.160	213.246.222.215	BE
213.246.222.216	213.246.222.223	GB
213.246.222.224	213.246.223.7	BE
213.246.223.8	213.246.223.15	LU
213.246.223.16	213.246.223.47	BE
213.246.223.48	213.246.223.55	FR
213.246.223.56	213.246.223.95	BE
213.246.223.96	213.246.223.103	FR
213.246.223.104	213.246.223.159	BE
213.246.223.160	213.246.223.167	GB
213.246.223.168	213.246.224.159	BE
213.246.224.160	213.246.224.167	FR
213.246.224.168	213.246.224.215	BE
213.246.224.216	213.246.224.223	FR
213.246.224.224	213.246.224.247	BE
213.246.224.248	213.246.224.255	FR
213.246.225.0	213.246.225.7	BE
213.246.225.8	213.246.225.15	GB
213.246.225.16	213.246.225.23	BE
213.246.225.24	213.246.225.31	GB
213.246.225.32	213.246.225.71	BE
213.246.225.72	213.246.225.79	GB
213.246.225.80	213.246.237.207	BE
213.246.237.208	213.246.237.215	GB
213.246.237.216	213.246.239.23	BE
213.246.239.24	213.246.239.27	GB
213.246.239.28	213.246.239.39	BE
213.246.239.40	213.246.239.47	GB
213.246.239.48	213.246.239.63	BE
213.246.239.64	213.246.239.71	GB
213.246.239.72	213.246.239.91	BE
213.246.239.92	213.246.239.95	GB
213.246.239.96	213.246.245.19	BE
213.246.245.20	213.246.245.23	GB
213.246.245.24	213.246.245.51	BE
213.246.245.52	213.246.245.55	GB
213.246.245.56	213.246.245.135	BE
213.246.245.136	213.246.245.139	GB
213.246.245.140	213.246.245.147	BE
213.246.245.148	213.246.245.151	GB
213.246.245.152	213.246.245.235	BE
213.246.245.236	213.246.245.239	GB
213.246.245.240	213.246.251.255	BE
213.246.252.0	213.246.252.63	LU
213.246.252.64	213.246.255.255	BE
213.247.0.0	213.247.31.255	EG
213.247.32.0	213.247.32.95	NL
213.247.32.96	213.247.32.103	AT
213.247.32.104	213.247.33.127	NL
213.247.33.128	213.247.33.191	IE
213.247.33.192	213.247.35.98	NL
213.247.35.99	213.247.35.100	US
213.247.35.101	213.247.40.255	NL
213.247.41.0	213.247.41.63	BE
213.247.41.64	213.247.41.223	NL
213.247.41.224	213.247.41.255	BE
213.247.42.0	213.247.45.167	NL
213.247.45.168	213.247.45.175	DE
213.247.45.176	213.247.49.127	NL
213.247.49.128	213.247.49.159	ES
213.247.49.160	213.247.127.255	NL
213.247.128.0	213.248.63.255	RU
213.248.64.0	213.248.105.255	EU
213.248.106.0	213.248.106.255	SE
213.248.107.0	213.248.107.255	FR
213.248.108.0	213.248.108.63	EU
213.248.108.64	213.248.108.95	DE
213.248.108.96	213.248.108.127	EU
213.248.108.128	213.248.109.255	DE
213.248.110.0	213.248.110.15	FR
213.248.110.16	213.248.110.31	EU
213.248.110.32	213.248.110.63	DE
213.248.110.64	213.248.111.255	FR
213.248.112.0	213.248.112.31	SE
213.248.112.32	213.248.112.63	NL
213.248.112.64	213.248.112.127	EU
213.248.112.128	213.248.112.255	NL
213.248.113.0	213.248.113.255	EU
213.248.114.0	213.248.114.63	GB
213.248.114.64	213.248.114.255	EU
213.248.115.0	213.248.119.255	GB
213.248.120.0	213.248.121.255	DE
213.248.122.0	213.248.123.255	US
213.248.124.0	213.248.127.255	FR
213.248.128.0	213.248.191.255	TR
213.248.192.0	213.248.255.255	GB
213.249.0.0	213.249.63.255	GR
213.249.64.0	213.249.95.255	NL
213.249.96.0	213.249.96.127	BE
213.249.96.128	213.249.96.255	GB
213.249.97.0	213.249.97.63	BE
213.249.97.64	213.249.97.127	GB
213.249.97.128	213.249.97.255	BE
213.249.98.0	213.249.98.127	GB
213.249.98.128	213.249.100.255	BE
213.249.101.0	213.249.102.31	GB
213.249.102.32	213.249.102.47	BE
213.249.102.48	213.249.255.255	GB
213.250.0.0	213.250.63.255	SI
213.250.64.0	213.250.81.119	FI
213.250.81.120	213.250.81.127	AX
213.250.81.128	213.250.127.255	FI
213.250.128.0	213.250.157.31	ES
213.250.157.32	213.250.157.47	CA
213.250.157.48	213.250.191.255	ES
213.250.192.0	213.250.255.255	CZ
213.251.0.0	213.251.0.79	NL
213.251.0.80	213.251.0.95	GB
213.251.0.96	213.251.0.111	NL
213.251.0.112	213.251.0.159	GB
213.251.0.160	213.251.0.255	NL
213.251.1.0	213.251.1.63	GB
213.251.1.64	213.251.1.79	NL
213.251.1.80	213.251.1.111	GB
213.251.1.112	213.251.1.131	NL
213.251.1.132	213.251.1.159	GB
213.251.1.160	213.251.1.191	NL
213.251.1.192	213.251.1.255	GB
213.251.2.0	213.251.2.255	NL
213.251.3.0	213.251.3.127	GB
213.251.3.128	213.251.3.191	NL
213.251.3.192	213.251.3.223	GB
213.251.3.224	213.251.3.231	NL
213.251.3.232	213.251.3.247	GB
213.251.3.248	213.251.3.255	NL
213.251.4.0	213.251.63.255	GB
213.251.64.0	213.251.127.255	BE
213.251.128.0	213.251.191.255	FR
213.251.192.0	213.251.255.255	RU
213.252.0.0	213.252.63.255	DE
213.252.64.0	213.252.127.255	RU
213.252.128.0	213.252.191.255	DE
213.252.192.0	213.252.198.255	LT
213.252.199.0	213.252.199.255	LV
213.252.200.0	213.252.255.255	LT
213.253.0.0	213.253.63.255	GB
213.253.64.0	213.253.91.231	SI
213.253.91.232	213.253.91.239	HR
213.253.91.240	213.253.103.63	SI
213.253.103.64	213.253.103.79	HR
213.253.103.80	213.253.110.23	SI
213.253.110.24	213.253.110.31	HR
213.253.110.32	213.253.110.39	SI
213.253.110.40	213.253.110.47	HR
213.253.110.48	213.253.110.255	SI
213.253.111.0	213.253.111.255	RS
213.253.112.0	213.253.112.127	HR
213.253.112.128	213.253.112.135	SI
213.253.112.136	213.253.112.143	HR
213.253.112.144	213.253.112.159	SI
213.253.112.160	213.253.113.135	HR
213.253.113.136	213.253.113.143	SI
213.253.113.144	213.253.113.175	HR
213.253.113.176	213.253.113.183	SI
213.253.113.184	213.253.114.159	HR
213.253.114.160	213.253.114.191	AE
213.253.114.192	213.253.114.239	SI
213.253.114.240	213.253.115.255	HR
213.253.116.0	213.253.116.31	RS
213.253.116.32	213.253.116.39	SI
213.253.116.40	213.253.116.47	RS
213.253.116.48	213.253.116.127	SI
213.253.116.128	213.253.116.159	RS
213.253.116.160	213.253.116.175	SI
213.253.116.176	213.253.116.255	RS
213.253.117.0	213.253.117.63	SI
213.253.117.64	213.253.117.111	RS
213.253.117.112	213.253.117.119	SI
213.253.117.120	213.253.117.127	RS
213.253.117.128	213.253.117.175	SI
213.253.117.176	213.253.117.183	RS
213.253.117.184	213.253.117.191	SI
213.253.117.192	213.253.117.199	RS
213.253.117.200	213.253.117.207	SI
213.253.117.208	213.253.117.215	RS
213.253.117.216	213.253.117.255	SI
213.253.118.0	213.253.118.15	RS
213.253.118.16	213.253.118.31	SI
213.253.118.32	213.253.118.127	RS
213.253.118.128	213.253.118.191	SI
213.253.118.192	213.253.120.7	RS
213.253.120.8	213.253.120.71	SI
213.253.120.72	213.253.120.79	RS
213.253.120.80	213.253.120.95	SI
213.253.120.96	213.253.120.103	RS
213.253.120.104	213.253.120.119	SI
213.253.120.120	213.253.120.143	RS
213.253.120.144	213.253.120.191	SI
213.253.120.192	213.253.120.199	RS
213.253.120.200	213.253.120.255	SI
213.253.121.0	213.253.123.255	RS
213.253.124.0	213.253.127.255	SI
213.253.128.0	213.253.191.255	GB
213.253.192.0	213.253.199.55	HU
213.253.199.56	213.253.199.63	MK
213.253.199.64	213.253.255.255	HU
213.254.0.0	213.254.31.255	IT
213.254.32.0	213.254.63.255	DE
213.254.64.0	213.254.127.255	ES
213.254.128.0	213.254.159.255	TR
213.254.160.0	213.254.191.255	GB
213.254.192.0	213.254.199.255	US
213.254.200.0	213.254.201.255	DE
213.254.202.0	213.254.202.255	GR
213.254.203.0	213.254.203.47	BE
213.254.203.48	213.254.203.159	FR
213.254.203.160	213.254.203.191	BE
213.254.203.192	213.254.204.63	US
213.254.204.64	213.254.204.127	FR
213.254.204.128	213.254.204.191	GB
213.254.204.192	213.254.204.255	US
213.254.205.0	213.254.205.255	FR
213.254.206.0	213.254.206.95	US
213.254.206.96	213.254.207.31	FR
213.254.207.32	213.254.207.63	AU
213.254.207.64	213.254.207.127	FR
213.254.207.128	213.254.207.143	DE
213.254.207.144	213.254.207.255	FR
213.254.208.0	213.254.209.255	US
213.254.210.0	213.254.210.127	DE
213.254.210.128	213.254.210.143	IT
213.254.210.144	213.254.210.151	DE
213.254.210.152	213.254.210.159	FR
213.254.210.160	213.254.210.191	IT
213.254.210.192	213.254.210.255	FR
213.254.211.0	213.254.211.63	US
213.254.211.64	213.254.211.127	IT
213.254.211.128	213.254.211.255	US
213.254.212.0	213.254.212.63	IT
213.254.212.64	213.254.212.127	US
213.254.212.128	213.254.212.255	IT
213.254.213.0	213.254.213.7	GB
213.254.213.8	213.254.213.31	FR
213.254.213.32	213.254.213.63	A1
213.254.213.64	213.254.215.255	FR
213.254.216.0	213.254.217.255	US
213.254.218.0	213.254.219.255	ES
213.254.220.0	213.254.221.255	IE
213.254.222.0	213.254.223.255	GR
213.254.224.0	213.254.224.255	IE
213.254.225.0	213.254.225.255	GR
213.254.226.0	213.254.226.255	IT
213.254.227.0	213.254.227.255	DE
213.254.228.0	213.254.228.31	ES
213.254.228.32	213.254.228.63	FR
213.254.228.64	213.254.228.127	US
213.254.228.128	213.254.228.255	NL
213.254.229.0	213.254.229.63	FR
213.254.229.64	213.254.229.127	ES
213.254.229.128	213.254.229.191	FR
213.254.229.192	213.254.231.255	ES
213.254.232.0	213.254.233.255	GB
213.254.234.0	213.254.234.255	DE
213.254.235.0	213.254.235.63	FR
213.254.235.64	213.254.235.95	US
213.254.235.96	213.254.237.255	FR
213.254.238.0	213.254.238.7	DE
213.254.238.8	213.254.238.15	FR
213.254.238.16	213.254.238.31	DE
213.254.238.32	213.254.238.47	FR
213.254.238.48	213.254.238.55	RU
213.254.238.56	213.254.238.63	FR
213.254.238.64	213.254.238.191	US
213.254.238.192	213.254.238.223	FR
213.254.238.224	213.254.238.255	US
213.254.239.0	213.254.239.127	FR
213.254.239.128	213.254.241.31	ES
213.254.241.32	213.254.241.63	FR
213.254.241.64	213.254.241.127	ES
213.254.241.128	213.254.241.191	DE
213.254.241.192	213.254.241.199	FR
213.254.241.200	213.254.241.223	ES
213.254.241.224	213.254.241.255	FR
213.254.242.0	213.254.242.255	ES
213.254.243.0	213.254.243.255	FR
213.254.244.0	213.254.244.255	BE
213.254.245.0	213.254.245.255	US
213.254.246.0	213.254.246.255	ES
213.254.247.0	213.254.247.255	IT
213.254.248.0	213.254.248.63	US
213.254.248.64	213.254.248.79	BE
213.254.248.80	213.254.248.95	IE
213.254.248.96	213.254.248.127	BE
213.254.248.128	213.254.249.255	US
213.254.250.0	213.254.253.255	DE
213.254.254.0	213.254.254.211	FR
213.254.254.212	213.254.254.215	DE
213.254.254.216	213.254.254.255	FR
213.254.255.0	213.254.255.15	GB
213.254.255.16	213.254.255.31	FR
213.254.255.32	213.254.255.255	US
213.255.0.0	213.255.127.255	IT
213.255.128.0	213.255.159.255	EG
213.255.160.0	213.255.191.255	FI
213.255.192.0	213.255.192.63	A2
213.255.192.64	213.255.192.95	UA
213.255.192.96	213.255.192.111	A2
213.255.192.112	213.255.192.127	NG
213.255.192.128	213.255.192.191	A2
213.255.192.192	213.255.192.207	UG
213.255.192.208	213.255.192.215	NG
213.255.192.216	213.255.192.223	A2
213.255.192.224	213.255.192.231	ZW
213.255.192.232	213.255.192.239	A2
213.255.192.240	213.255.192.247	MW
213.255.192.248	213.255.192.255	AO
213.255.193.0	213.255.193.23	A2
213.255.193.24	213.255.193.31	IQ
213.255.193.32	213.255.193.79	A2
213.255.193.80	213.255.193.87	NG
213.255.193.88	213.255.193.95	IQ
213.255.193.96	213.255.193.103	A2
213.255.193.104	213.255.193.135	IQ
213.255.193.136	213.255.193.151	A2
213.255.193.152	213.255.193.167	IQ
213.255.193.168	213.255.193.175	A2
213.255.193.176	213.255.193.191	IQ
213.255.193.192	213.255.193.199	A2
213.255.193.200	213.255.193.207	IQ
213.255.193.208	213.255.193.215	SO
213.255.193.216	213.255.193.223	IQ
213.255.193.224	213.255.193.231	A2
213.255.193.232	213.255.193.247	IQ
213.255.193.248	213.255.194.255	A2
213.255.195.0	213.255.195.127	NG
213.255.195.128	213.255.195.159	A2
213.255.195.160	213.255.195.167	RW
213.255.195.168	213.255.195.175	ZA
213.255.195.176	213.255.195.191	ZW
213.255.195.192	213.255.195.199	A2
213.255.195.200	213.255.195.207	ZM
213.255.195.208	213.255.195.223	KE
213.255.195.224	213.255.195.231	ZW
213.255.195.232	213.255.195.239	ET
213.255.195.240	213.255.195.247	A2
213.255.195.248	213.255.195.255	NG
213.255.196.0	213.255.196.47	A2
213.255.196.48	213.255.196.63	ZW
213.255.196.64	213.255.196.87	A2
213.255.196.88	213.255.196.95	GH
213.255.196.96	213.255.196.127	A2
213.255.196.128	213.255.196.135	NG
213.255.196.136	213.255.196.143	UG
213.255.196.144	213.255.196.159	TZ
213.255.196.160	213.255.196.191	ZW
213.255.196.192	213.255.196.199	CD
213.255.196.200	213.255.196.207	LU
213.255.196.208	213.255.196.215	MW
213.255.196.216	213.255.196.239	NG
213.255.196.240	213.255.196.247	ZW
213.255.196.248	213.255.196.255	A2
213.255.197.0	213.255.197.255	GB
213.255.198.0	213.255.198.127	A2
213.255.198.128	213.255.198.135	NG
213.255.198.136	213.255.198.143	AO
213.255.198.144	213.255.198.151	NG
213.255.198.152	213.255.198.159	CM
213.255.198.160	213.255.198.167	SO
213.255.198.168	213.255.198.175	AM
213.255.198.176	213.255.198.199	A2
213.255.198.200	213.255.198.207	NG
213.255.198.208	213.255.198.239	A2
213.255.198.240	213.255.198.247	UG
213.255.198.248	213.255.198.255	ZW
213.255.199.0	213.255.199.15	IQ
213.255.199.16	213.255.199.47	A2
213.255.199.48	213.255.199.63	IQ
213.255.199.64	213.255.199.79	A2
213.255.199.80	213.255.199.87	IQ
213.255.199.88	213.255.199.95	A2
213.255.199.96	213.255.199.127	IQ
213.255.199.128	213.255.199.143	A2
213.255.199.144	213.255.199.151	IQ
213.255.199.152	213.255.199.167	A2
213.255.199.168	213.255.199.175	IQ
213.255.199.176	213.255.199.191	A2
213.255.199.192	213.255.199.207	IQ
213.255.199.208	213.255.199.231	A2
213.255.199.232	213.255.199.239	IQ
213.255.199.240	213.255.199.247	A2
213.255.199.248	213.255.199.255	IQ
213.255.200.0	213.255.200.255	A2
213.255.201.0	213.255.201.15	MZ
213.255.201.16	213.255.201.23	IQ
213.255.201.24	213.255.201.31	A2
213.255.201.32	213.255.201.39	LR
213.255.201.40	213.255.201.47	IQ
213.255.201.48	213.255.201.103	A2
213.255.201.104	213.255.201.111	IQ
213.255.201.112	213.255.201.135	A2
213.255.201.136	213.255.201.143	IQ
213.255.201.144	213.255.201.144	A2
213.255.201.145	213.255.201.159	IQ
213.255.201.160	213.255.201.183	A2
213.255.201.184	213.255.201.191	NG
213.255.201.192	213.255.201.207	IQ
213.255.201.208	213.255.201.223	A2
213.255.201.224	213.255.201.255	IQ
213.255.202.0	213.255.202.255	UA
213.255.203.0	213.255.203.255	GB
213.255.204.0	213.255.205.255	A2
213.255.206.0	213.255.206.255	GB
213.255.207.0	213.255.207.255	YT
213.255.208.0	213.255.210.255	MW
213.255.211.0	213.255.211.95	A2
213.255.211.96	213.255.211.103	KE
213.255.211.104	213.255.211.191	A2
213.255.211.192	213.255.211.199	ZA
213.255.211.200	213.255.211.207	AO
213.255.211.208	213.255.211.215	NG
213.255.211.216	213.255.211.223	A2
213.255.211.224	213.255.211.239	UG
213.255.211.240	213.255.211.247	A2
213.255.211.248	213.255.211.255	KE
213.255.212.0	213.255.218.127	A2
213.255.218.128	213.255.218.143	ET
213.255.218.144	213.255.218.159	GH
213.255.218.160	213.255.218.175	A2
213.255.218.176	213.255.218.183	UG
213.255.218.184	213.255.218.191	A2
213.255.218.192	213.255.218.207	NG
213.255.218.208	213.255.218.223	A2
213.255.218.224	213.255.218.231	TG
213.255.218.232	213.255.218.239	UG
213.255.218.240	213.255.218.247	NG
213.255.218.248	213.255.219.71	A2
213.255.219.72	213.255.219.79	ZW
213.255.219.80	213.255.219.135	A2
213.255.219.136	213.255.219.143	NG
213.255.219.144	213.255.219.151	A2
213.255.219.152	213.255.219.159	KE
213.255.219.160	213.255.219.175	GH
213.255.219.176	213.255.219.191	NG
213.255.219.192	213.255.219.215	A2
213.255.219.216	213.255.219.221	YT
213.255.219.222	213.255.219.223	A2
213.255.219.224	213.255.219.231	UG
213.255.219.232	213.255.223.255	A2
213.255.224.0	213.255.224.7	TZ
213.255.224.8	213.255.224.15	A2
213.255.224.16	213.255.224.23	GH
213.255.224.24	213.255.224.47	IQ
213.255.224.48	213.255.224.55	LB
213.255.224.56	213.255.224.63	A2
213.255.224.64	213.255.224.95	IQ
213.255.224.96	213.255.224.119	NG
213.255.224.120	213.255.224.127	A2
213.255.224.128	213.255.224.143	LB
213.255.224.144	213.255.224.167	A2
213.255.224.168	213.255.224.183	IQ
213.255.224.184	213.255.224.199	A2
213.255.224.200	213.255.224.207	LB
213.255.224.208	213.255.224.239	A2
213.255.224.240	213.255.224.247	IQ
213.255.224.248	213.255.224.255	A2
213.255.225.0	213.255.225.255	LB
213.255.226.0	213.255.226.23	A2
213.255.226.24	213.255.226.31	IQ
213.255.226.32	213.255.226.47	A2
213.255.226.48	213.255.226.55	IQ
213.255.226.56	213.255.226.103	A2
213.255.226.104	213.255.226.111	LY
213.255.226.112	213.255.226.119	IQ
213.255.226.120	213.255.226.127	LY
213.255.226.128	213.255.226.183	A2
213.255.226.184	213.255.226.191	LB
213.255.226.192	213.255.227.15	A2
213.255.227.16	213.255.227.31	IQ
213.255.227.32	213.255.227.255	A2
213.255.228.0	213.255.228.255	NG
213.255.229.0	213.255.229.31	AO
213.255.229.32	213.255.229.95	A2
213.255.229.96	213.255.229.127	US
213.255.229.128	213.255.229.135	AM
213.255.229.136	213.255.229.143	LB
213.255.229.144	213.255.229.159	IQ
213.255.229.160	213.255.229.167	MW
213.255.229.168	213.255.229.175	US
213.255.229.176	213.255.229.183	A2
213.255.229.184	213.255.229.191	LB
213.255.229.192	213.255.229.207	A2
213.255.229.208	213.255.229.215	LY
213.255.229.216	213.255.230.255	IQ
213.255.231.0	213.255.231.127	A2
213.255.231.128	213.255.231.223	UA
213.255.231.224	213.255.236.63	A2
213.255.236.64	213.255.236.127	AE
213.255.236.128	213.255.236.231	A2
213.255.236.232	213.255.236.255	AE
213.255.237.0	213.255.237.63	A2
213.255.237.64	213.255.237.95	AE
213.255.237.96	213.255.239.95	A2
213.255.239.96	213.255.239.127	AE
213.255.239.128	213.255.240.63	A2
213.255.240.64	213.255.240.71	LB
213.255.240.72	213.255.240.79	IQ
213.255.240.80	213.255.240.103	A2
213.255.240.104	213.255.240.111	IQ
213.255.240.112	213.255.240.119	A2
213.255.240.120	213.255.240.127	LB
213.255.240.128	213.255.240.143	A2
213.255.240.144	213.255.240.167	IQ
213.255.240.168	213.255.240.175	A2
213.255.240.176	213.255.240.191	IQ
213.255.240.192	213.255.240.207	A2
213.255.240.208	213.255.240.215	UG
213.255.240.216	213.255.240.239	IQ
213.255.240.240	213.255.240.247	A2
213.255.240.248	213.255.240.255	IQ
213.255.241.0	213.255.243.255	A2
213.255.244.0	213.255.245.255	IQ
213.255.246.0	213.255.246.15	A2
213.255.246.16	213.255.246.23	CM
213.255.246.24	213.255.246.31	IQ
213.255.246.32	213.255.246.47	ZW
213.255.246.48	213.255.246.63	IQ
213.255.246.64	213.255.246.127	A2
213.255.246.128	213.255.246.159	IQ
213.255.246.160	213.255.246.191	A2
213.255.246.192	213.255.246.223	IQ
213.255.246.224	213.255.247.7	A2
213.255.247.8	213.255.247.15	IQ
213.255.247.16	213.255.247.23	LY
213.255.247.24	213.255.247.39	IQ
213.255.247.40	213.255.247.47	A2
213.255.247.48	213.255.247.63	TR
213.255.247.64	213.255.247.87	A2
213.255.247.88	213.255.247.95	IQ
213.255.247.96	213.255.247.127	A2
213.255.247.128	213.255.247.135	NG
213.255.247.136	213.255.247.143	A2
213.255.247.144	213.255.247.159	IQ
213.255.247.160	213.255.247.191	A2
213.255.247.192	213.255.247.199	BJ
213.255.247.200	213.255.247.207	IQ
213.255.247.208	213.255.247.215	GH
213.255.247.216	213.255.247.231	A2
213.255.247.232	213.255.247.239	LY
213.255.247.240	213.255.247.247	A2
213.255.247.248	213.255.248.63	IQ
213.255.248.64	213.255.248.79	A2
213.255.248.80	213.255.248.95	RW
213.255.248.96	213.255.248.159	A2
213.255.248.160	213.255.248.175	MG
213.255.248.176	213.255.248.199	A2
213.255.248.200	213.255.248.207	LY
213.255.248.208	213.255.248.223	IQ
213.255.248.224	213.255.248.239	AO
213.255.248.240	213.255.248.247	LR
213.255.248.248	213.255.248.255	A2
213.255.249.0	213.255.249.127	LB
213.255.249.128	213.255.249.143	A2
213.255.249.144	213.255.249.255	LB
213.255.250.0	213.255.251.255	IQ
213.255.252.0	213.255.253.255	MW
213.255.254.0	213.255.254.191	A2
213.255.254.192	213.255.254.199	CD
213.255.254.200	213.255.255.55	A2
213.255.255.56	213.255.255.63	ZW
213.255.255.64	213.255.255.127	NG
213.255.255.128	213.255.255.135	A2
213.255.255.136	213.255.255.143	ZW
213.255.255.144	213.255.255.255	A2
214.0.0.0	216.0.47.255	US
216.0.48.0	216.0.48.255	ZA
216.0.49.0	216.0.49.255	US
216.0.50.0	216.0.50.255	ZA
216.0.51.0	216.0.51.255	US
216.0.52.0	216.0.53.255	ZA
216.0.54.0	216.2.175.255	US
216.2.176.0	216.2.183.255	ZA
216.2.184.0	216.4.159.255	US
216.4.160.0	216.4.163.255	ZA
216.4.164.0	216.4.255.255	US
216.5.0.0	216.5.7.255	ZA
216.5.8.0	216.5.191.255	US
216.5.192.0	216.5.199.255	ZA
216.5.200.0	216.5.255.255	US
216.6.0.0	216.6.1.255	SY
216.6.2.0	216.6.2.31	US
216.6.2.32	216.6.2.255	CA
216.6.3.0	216.6.3.255	DZ
216.6.4.0	216.6.27.255	CA
216.6.28.0	216.6.28.47	BD
216.6.28.48	216.6.35.255	CA
216.6.36.0	216.6.36.255	HT
216.6.37.0	216.6.43.255	CA
216.6.44.0	216.6.47.255	US
216.6.48.0	216.6.63.255	CA
216.6.64.0	216.6.71.255	IN
216.6.72.0	216.6.79.255	CA
216.6.80.0	216.6.80.255	GP
216.6.81.0	216.6.86.255	CA
216.6.87.0	216.6.87.255	US
216.6.88.0	216.6.93.255	CA
216.6.94.0	216.6.94.255	LY
216.6.95.0	216.6.99.255	CA
216.6.100.0	216.6.103.255	CO
216.6.104.0	216.6.107.255	PH
216.6.108.0	216.6.109.255	CA
216.6.110.0	216.6.110.255	LY
216.6.111.0	216.6.122.255	CA
216.6.123.0	216.6.123.255	US
216.6.124.0	216.6.124.127	CA
216.6.124.128	216.6.124.143	ZA
216.6.124.144	216.6.127.255	CA
216.6.128.0	216.6.191.255	US
216.6.192.0	216.6.207.255	CA
216.6.208.0	216.6.229.15	US
216.6.229.16	216.6.229.23	IN
216.6.229.24	216.6.239.127	US
216.6.239.128	216.6.239.159	IN
216.6.239.160	216.7.79.255	US
216.7.80.0	216.7.80.255	KN
216.7.81.0	216.7.86.255	US
216.7.87.0	216.7.90.255	AN
216.7.91.0	216.7.144.159	US
216.7.144.160	216.7.144.167	GB
216.7.144.168	216.7.144.175	US
216.7.144.176	216.7.144.183	ES
216.7.144.184	216.7.144.191	DE
216.7.144.192	216.7.145.15	US
216.7.145.16	216.7.145.23	ES
216.7.145.24	216.7.145.31	US
216.7.145.32	216.7.145.71	ES
216.7.145.72	216.7.145.151	US
216.7.145.152	216.7.145.159	CY
216.7.145.160	216.7.150.63	US
216.7.150.64	216.7.150.71	NL
216.7.150.72	216.7.150.215	US
216.7.150.216	216.7.150.223	GB
216.7.150.224	216.7.151.183	US
216.7.151.184	216.7.151.199	ES
216.7.151.200	216.7.151.215	CY
216.7.151.216	216.7.151.223	GB
216.7.151.224	216.7.151.231	US
216.7.151.232	216.7.151.239	GB
216.7.151.240	216.7.152.15	US
216.7.152.16	216.7.152.23	AU
216.7.152.24	216.7.152.31	US
216.7.152.32	216.7.152.39	PT
216.7.152.40	216.7.152.247	US
216.7.152.248	216.7.152.255	NL
216.7.153.0	216.7.153.79	US
216.7.153.80	216.7.153.103	GB
216.7.153.104	216.7.155.231	US
216.7.155.232	216.7.155.235	GB
216.7.155.236	216.7.158.23	US
216.7.158.24	216.7.158.31	GB
216.7.158.32	216.7.158.183	US
216.7.158.184	216.7.158.191	GB
216.7.158.192	216.7.163.255	US
216.7.164.0	216.7.164.7	SG
216.7.164.8	216.7.167.255	US
216.7.168.0	216.7.168.31	CA
216.7.168.32	216.7.168.39	GB
216.7.168.40	216.7.168.95	US
216.7.168.96	216.7.168.103	HK
216.7.168.104	216.7.168.111	US
216.7.168.112	216.7.168.119	BE
216.7.168.120	216.7.168.127	US
216.7.168.128	216.7.168.135	CA
216.7.168.136	216.7.169.15	US
216.7.169.16	216.7.169.23	AU
216.7.169.24	216.7.169.63	US
216.7.169.64	216.7.169.71	VI
216.7.169.72	216.7.169.79	US
216.7.169.80	216.7.169.87	CA
216.7.169.88	216.7.169.95	CY
216.7.169.96	216.7.169.127	US
216.7.169.128	216.7.169.135	GB
216.7.169.136	216.7.169.159	US
216.7.169.160	216.7.169.167	OM
216.7.169.168	216.7.169.183	US
216.7.169.184	216.7.169.191	AR
216.7.169.192	216.7.170.7	US
216.7.170.8	216.7.170.15	SA
216.7.170.16	216.7.170.39	GB
216.7.170.40	216.7.170.55	TW
216.7.170.56	216.7.172.31	US
216.7.172.32	216.7.172.47	AU
216.7.172.48	216.7.172.95	US
216.7.172.96	216.7.172.111	CA
216.7.172.112	216.7.172.127	US
216.7.172.128	216.7.172.143	MY
216.7.172.144	216.7.172.191	US
216.7.172.192	216.7.172.207	GB
216.7.172.208	216.7.173.15	US
216.7.173.16	216.7.173.31	OM
216.7.173.32	216.7.173.111	US
216.7.173.112	216.7.173.127	IN
216.7.173.128	216.7.173.159	US
216.7.173.160	216.7.173.191	AU
216.7.173.192	216.7.173.207	US
216.7.173.208	216.7.173.223	CA
216.7.173.224	216.7.174.79	US
216.7.174.80	216.7.174.95	RO
216.7.174.96	216.7.178.95	US
216.7.178.96	216.7.178.111	GB
216.7.178.112	216.7.178.127	PT
216.7.178.128	216.7.178.207	US
216.7.178.208	216.7.178.223	DE
216.7.178.224	216.7.184.255	US
216.7.185.0	216.7.185.255	CA
216.7.186.0	216.7.191.255	US
216.7.192.0	216.7.223.255	CA
216.7.224.0	216.8.127.255	US
216.8.128.0	216.8.139.136	CA
216.8.139.137	216.8.139.137	US
216.8.139.138	216.8.159.223	CA
216.8.159.224	216.8.159.231	US
216.8.159.232	216.8.159.255	CA
216.8.160.0	216.8.160.15	US
216.8.160.16	216.8.161.183	CA
216.8.161.184	216.8.161.191	US
216.8.161.192	216.8.161.199	CA
216.8.161.200	216.8.161.207	US
216.8.161.208	216.8.191.255	CA
216.8.192.0	216.9.24.255	US
216.9.25.0	216.9.26.255	CA
216.9.27.0	216.9.47.255	US
216.9.48.0	216.9.63.255	CA
216.9.64.0	216.9.255.255	US
216.10.0.0	216.10.0.255	PA
216.10.1.0	216.10.7.255	CA
216.10.8.0	216.10.48.255	US
216.10.49.0	216.10.49.255	A2
216.10.50.0	216.10.50.127	US
216.10.50.128	216.10.50.175	A2
216.10.50.176	216.10.50.191	US
216.10.50.192	216.10.50.199	A2
216.10.50.200	216.10.50.255	US
216.10.51.0	216.10.51.7	A2
216.10.51.8	216.10.51.15	US
216.10.51.16	216.10.51.47	A2
216.10.51.48	216.10.51.95	US
216.10.51.96	216.10.51.103	A2
216.10.51.104	216.10.51.111	US
216.10.51.112	216.10.51.119	A2
216.10.51.120	216.10.51.127	US
216.10.51.128	216.10.51.143	A2
216.10.51.144	216.10.51.167	US
216.10.51.168	216.10.51.183	A2
216.10.51.184	216.10.51.191	AS
216.10.51.192	216.10.53.7	US
216.10.53.8	216.10.53.63	A2
216.10.53.64	216.10.53.127	US
216.10.53.128	216.10.53.159	A2
216.10.53.160	216.10.53.255	US
216.10.54.0	216.10.54.7	A2
216.10.54.8	216.10.54.23	US
216.10.54.24	216.10.54.31	A2
216.10.54.32	216.10.54.55	US
216.10.54.56	216.10.54.79	A2
216.10.54.80	216.10.54.127	US
216.10.54.128	216.10.54.167	A2
216.10.54.168	216.10.54.191	US
216.10.54.192	216.10.54.199	A2
216.10.54.200	216.10.54.223	US
216.10.54.224	216.10.54.247	A2
216.10.54.248	216.10.56.255	US
216.10.57.0	216.10.57.63	A2
216.10.57.64	216.10.57.79	US
216.10.57.80	216.10.57.95	A2
216.10.57.96	216.10.57.103	US
216.10.57.104	216.10.57.127	A2
216.10.57.128	216.10.57.207	US
216.10.57.208	216.10.57.215	A2
216.10.57.216	216.10.58.71	US
216.10.58.72	216.10.58.95	A2
216.10.58.96	216.10.58.111	US
216.10.58.112	216.10.58.159	A2
216.10.58.160	216.10.58.183	US
216.10.58.184	216.10.58.199	A2
216.10.58.200	216.10.58.215	US
216.10.58.216	216.10.58.223	A2
216.10.58.224	216.10.58.231	US
216.10.58.232	216.10.58.247	A2
216.10.58.248	216.10.59.255	US
216.10.60.0	216.10.61.255	AS
216.10.62.0	216.10.62.255	A2
216.10.63.0	216.10.207.255	US
216.10.208.0	216.10.223.255	JM
216.10.224.0	216.12.255.255	US
216.13.0.0	216.13.255.255	CA
216.14.0.0	216.14.7.255	US
216.14.8.0	216.14.11.255	CA
216.14.12.0	216.14.13.255	US
216.14.14.0	216.14.14.255	CA
216.14.15.0	216.14.15.255	US
216.14.18.0	216.14.18.255	CA
216.14.19.0	216.14.26.255	US
216.14.27.0	216.14.28.255	CA
216.14.30.0	216.14.31.255	US
216.14.33.0	216.14.33.255	CA
216.14.34.0	216.14.44.255	US
216.14.46.0	216.14.47.255	CA
216.14.48.0	216.14.59.255	US
216.14.60.0	216.14.62.255	CA
216.14.63.0	216.14.84.15	US
216.14.84.16	216.14.84.23	CA
216.14.84.24	216.14.95.255	US
216.14.96.0	216.14.96.63	CY
216.14.96.64	216.14.99.191	US
216.14.99.192	216.14.99.199	GB
216.14.99.200	216.14.113.9	US
216.14.113.10	216.14.113.14	BR
216.14.113.15	216.14.121.160	US
216.14.121.161	216.14.121.163	RS
216.14.121.164	216.14.127.255	US
216.14.128.0	216.14.143.255	CA
216.14.144.0	216.14.191.255	US
216.14.192.0	216.14.207.255	AU
216.14.208.0	216.15.130.79	US
216.15.130.80	216.15.130.95	TZ
216.15.130.96	216.15.130.127	US
216.15.130.128	216.15.130.143	DE
216.15.130.144	216.15.130.159	US
216.15.130.160	216.15.130.175	IN
216.15.130.176	216.15.133.31	US
216.15.133.32	216.15.133.63	MY
216.15.133.64	216.15.133.191	US
216.15.133.192	216.15.133.223	IN
216.15.133.224	216.15.135.31	US
216.15.135.32	216.15.135.63	GB
216.15.135.64	216.15.135.159	US
216.15.135.160	216.15.135.191	AT
216.15.135.192	216.15.140.255	US
216.15.141.0	216.15.141.255	IN
216.15.142.0	216.15.144.255	US
216.15.145.0	216.15.145.255	AU
216.15.146.0	216.15.146.255	CA
216.15.147.0	216.15.147.255	US
216.15.148.0	216.15.148.255	AU
216.15.149.0	216.15.151.255	US
216.15.152.0	216.15.152.31	AU
216.15.152.32	216.15.152.63	BE
216.15.152.64	216.15.152.127	US
216.15.152.128	216.15.152.191	CA
216.15.152.192	216.15.152.223	US
216.15.152.224	216.15.152.255	DE
216.15.153.0	216.15.153.87	US
216.15.153.88	216.15.153.95	FR
216.15.153.96	216.15.153.103	US
216.15.153.104	216.15.153.111	CA
216.15.153.112	216.15.153.239	US
216.15.153.240	216.15.153.247	PK
216.15.153.248	216.15.154.159	US
216.15.154.160	216.15.154.191	IN
216.15.154.192	216.15.154.223	BE
216.15.154.224	216.15.156.255	US
216.15.157.0	216.15.157.31	IN
216.15.157.32	216.15.157.63	MY
216.15.157.64	216.15.157.223	US
216.15.157.224	216.15.157.255	IN
216.15.158.0	216.15.158.127	US
216.15.158.128	216.15.158.255	MY
216.15.159.0	216.15.159.255	US
216.15.160.0	216.15.160.127	IN
216.15.160.128	216.15.160.255	CA
216.15.161.0	216.15.161.31	US
216.15.161.32	216.15.161.63	CA
216.15.161.64	216.15.161.255	US
216.15.162.0	216.15.162.255	CA
216.15.163.0	216.15.163.127	US
216.15.163.128	216.15.163.159	CA
216.15.163.160	216.15.163.255	US
216.15.164.0	216.15.167.255	CA
216.15.168.0	216.15.168.63	IN
216.15.168.64	216.15.169.127	US
216.15.169.128	216.15.169.191	CA
216.15.169.192	216.15.170.255	US
216.15.171.0	216.15.171.255	CA
216.15.172.0	216.15.176.127	US
216.15.176.128	216.15.176.255	TW
216.15.177.0	216.15.177.31	FR
216.15.177.32	216.15.177.63	US
216.15.177.64	216.15.177.95	GB
216.15.177.96	216.15.178.191	US
216.15.178.192	216.15.178.254	MY
216.15.178.255	216.15.178.255	US
216.15.179.0	216.15.179.31	IN
216.15.179.32	216.15.179.63	US
216.15.179.64	216.15.179.95	CA
216.15.179.96	216.15.179.159	US
216.15.179.160	216.15.179.191	IN
216.15.179.192	216.15.179.225	US
216.15.179.226	216.15.179.255	IN
216.15.180.0	216.15.180.127	US
216.15.180.128	216.15.180.255	SG
216.15.181.0	216.15.181.127	TW
216.15.181.128	216.15.181.255	US
216.15.182.0	216.15.182.31	CA
216.15.182.32	216.15.182.63	US
216.15.182.64	216.15.182.95	BR
216.15.182.96	216.15.182.127	IN
216.15.182.128	216.15.182.191	US
216.15.182.192	216.15.182.223	CA
216.15.182.224	216.15.183.63	US
216.15.183.64	216.15.183.78	CA
216.15.183.79	216.15.183.95	US
216.15.183.96	216.15.183.143	CA
216.15.183.144	216.15.183.239	US
216.15.183.240	216.15.183.255	CA
216.15.184.0	216.15.186.63	US
216.15.186.64	216.15.186.95	VE
216.15.186.96	216.15.186.159	US
216.15.186.160	216.15.186.191	AU
216.15.186.192	216.15.186.255	US
216.15.187.0	216.15.187.254	MY
216.15.187.255	216.15.187.255	US
216.15.188.0	216.15.188.127	CA
216.15.188.128	216.15.188.255	US
216.15.189.0	216.15.189.31	CA
216.15.189.32	216.15.189.95	US
216.15.189.96	216.15.189.127	BE
216.15.189.128	216.15.189.191	US
216.15.189.192	216.15.189.223	FR
216.15.189.224	216.15.191.63	US
216.15.191.64	216.15.191.95	TZ
216.15.191.96	216.15.191.127	CA
216.15.191.128	216.15.191.159	US
216.15.191.160	216.15.191.191	TZ
216.15.191.192	216.15.191.223	US
216.15.191.224	216.15.191.255	AU
216.15.192.0	216.15.192.63	US
216.15.192.64	216.15.192.127	IN
216.15.192.128	216.15.192.159	FR
216.15.192.160	216.15.192.191	GB
216.15.192.192	216.15.192.255	US
216.15.193.0	216.15.193.31	CA
216.15.193.32	216.15.193.95	US
216.15.193.96	216.15.193.127	BE
216.15.193.128	216.15.193.255	US
216.15.194.0	216.15.194.255	CA
216.15.195.0	216.15.195.31	US
216.15.195.32	216.15.195.35	RU
216.15.195.36	216.15.196.127	US
216.15.196.128	216.15.196.255	CA
216.15.197.0	216.15.200.127	US
216.15.200.128	216.15.200.191	IN
216.15.200.192	216.15.201.159	US
216.15.201.160	216.15.201.191	CA
216.15.201.192	216.15.201.223	PK
216.15.201.224	216.15.202.127	US
216.15.202.128	216.15.202.255	IN
216.15.203.0	216.15.204.127	US
216.15.204.128	216.15.204.159	IN
216.15.204.160	216.15.204.223	US
216.15.204.224	216.15.204.255	GB
216.15.205.0	216.15.205.95	US
216.15.205.96	216.15.205.127	CA
216.15.205.128	216.15.205.159	US
216.15.205.160	216.15.205.191	CA
216.15.205.192	216.15.206.255	US
216.15.207.0	216.15.207.255	BE
216.15.208.0	216.15.208.255	US
216.15.209.0	216.15.209.255	CA
216.15.210.0	216.15.211.191	US
216.15.211.192	216.15.211.223	HK
216.15.211.224	216.15.212.191	US
216.15.212.192	216.15.212.255	MY
216.15.213.0	216.15.213.255	US
216.15.214.0	216.15.214.255	CA
216.15.215.0	216.15.216.255	US
216.15.217.0	216.15.217.255	AU
216.15.218.0	216.15.219.159	US
216.15.219.160	216.15.219.191	CH
216.15.219.192	216.15.219.223	US
216.15.219.224	216.15.219.255	CA
216.15.220.0	216.15.221.255	US
216.15.222.0	216.15.222.255	CA
216.15.223.0	216.15.223.31	HK
216.15.223.32	216.15.223.63	US
216.15.223.64	216.15.223.91	IN
216.15.223.92	216.15.223.223	US
216.15.223.224	216.15.223.255	MY
216.15.224.0	216.15.224.31	US
216.15.224.32	216.15.224.63	BE
216.15.224.64	216.15.224.255	US
216.15.225.0	216.15.225.127	CA
216.15.225.128	216.15.225.255	IN
216.15.226.0	216.15.226.127	CA
216.15.226.128	216.15.227.159	US
216.15.227.160	216.15.227.191	BE
216.15.227.192	216.15.227.223	CA
216.15.227.224	216.15.227.255	US
216.15.228.0	216.15.228.127	CA
216.15.228.128	216.15.228.255	IN
216.15.229.0	216.15.230.127	CA
216.15.230.128	216.15.230.255	IN
216.15.231.0	216.15.231.127	CA
216.15.231.128	216.15.231.255	IN
216.15.232.0	216.15.232.127	PK
216.15.232.128	216.15.232.255	CA
216.15.233.0	216.15.234.255	US
216.15.235.0	216.15.235.255	CA
216.15.236.0	216.15.236.31	US
216.15.236.32	216.15.236.95	MY
216.15.236.96	216.15.236.127	FR
216.15.236.128	216.15.236.159	US
216.15.236.160	216.15.236.175	CR
216.15.236.176	216.15.236.223	US
216.15.236.224	216.15.236.255	FR
216.15.237.0	216.15.237.127	IN
216.15.237.128	216.15.237.255	BE
216.15.238.0	216.15.238.191	US
216.15.238.192	216.15.238.223	FR
216.15.238.224	216.15.238.255	US
216.15.239.0	216.15.239.255	IN
216.15.240.0	216.15.240.127	CA
216.15.240.128	216.15.240.255	US
216.15.241.0	216.15.241.127	CA
216.15.241.128	216.15.241.255	US
216.15.242.0	216.15.242.127	CA
216.15.242.128	216.15.243.191	US
216.15.243.192	216.15.243.223	CA
216.15.243.224	216.15.244.127	US
216.15.244.128	216.15.245.255	CA
216.15.246.0	216.15.246.223	US
216.15.246.224	216.15.246.255	CA
216.15.247.0	216.15.247.126	US
216.15.247.127	216.15.249.255	CA
216.15.250.0	216.15.253.255	US
216.15.254.0	216.15.254.255	CA
216.15.255.0	216.15.255.63	US
216.15.255.64	216.15.255.95	HK
216.15.255.96	216.15.255.191	US
216.15.255.192	216.15.255.223	TH
216.15.255.224	216.16.223.255	US
216.16.224.0	216.16.230.255	CA
216.16.231.0	216.16.231.31	US
216.16.231.32	216.16.246.223	CA
216.16.246.224	216.16.246.255	US
216.16.247.0	216.16.249.247	CA
216.16.249.248	216.16.249.255	US
216.16.250.0	216.16.255.255	CA
216.17.0.0	216.17.37.111	US
216.17.37.112	216.17.37.127	CA
216.17.37.128	216.17.102.255	US
216.17.103.0	216.17.103.255	ES
216.17.104.0	216.17.193.151	US
216.17.193.152	216.17.193.159	IT
216.17.193.160	216.17.255.255	US
216.18.0.0	216.18.127.255	CA
216.18.128.0	216.18.227.255	US
216.18.228.0	216.18.228.95	CA
216.18.228.96	216.18.228.103	US
216.18.228.104	216.18.228.255	CA
216.18.229.0	216.18.229.255	SE
216.18.230.0	216.18.232.79	US
216.18.232.80	216.18.232.87	CA
216.18.232.88	216.18.232.95	US
216.18.232.96	216.18.232.103	CA
216.18.232.104	216.18.232.111	US
216.18.232.112	216.18.232.143	CA
216.18.232.144	216.18.234.25	US
216.18.234.26	216.18.234.33	CA
216.18.234.34	216.18.234.63	US
216.18.234.64	216.18.234.79	CA
216.18.234.80	216.18.236.255	US
216.18.237.0	216.18.237.80	PL
216.18.237.81	216.19.63.255	US
216.19.64.0	216.19.95.255	CA
216.19.96.0	216.19.175.255	US
216.19.176.0	216.19.191.255	CA
216.19.192.0	216.19.206.191	US
216.19.206.192	216.19.206.255	NZ
216.19.207.0	216.20.210.79	US
216.20.210.80	216.20.210.87	CA
216.20.210.88	216.20.218.255	US
216.20.219.0	216.20.220.71	MX
216.20.220.72	216.20.220.207	US
216.20.220.208	216.20.220.215	BZ
216.20.220.216	216.20.220.255	US
216.20.221.0	216.20.222.47	MX
216.20.222.48	216.20.222.55	US
216.20.222.56	216.20.222.63	MX
216.20.222.64	216.20.222.71	US
216.20.222.72	216.20.222.79	MX
216.20.222.80	216.20.222.87	US
216.20.222.88	216.20.222.167	MX
216.20.222.168	216.20.222.183	US
216.20.222.184	216.20.223.255	MX
216.20.224.0	216.21.127.255	US
216.21.128.0	216.21.132.183	CA
216.21.132.184	216.21.132.191	US
216.21.132.192	216.21.136.231	CA
216.21.136.232	216.21.136.239	US
216.21.136.240	216.21.147.31	CA
216.21.147.32	216.21.147.39	US
216.21.147.40	216.21.147.127	CA
216.21.147.128	216.21.147.135	US
216.21.147.136	216.21.148.127	CA
216.21.148.128	216.21.148.135	US
216.21.148.136	216.21.151.39	CA
216.21.151.40	216.21.151.47	US
216.21.151.48	216.21.159.255	CA
216.21.160.0	216.21.255.255	US
216.22.0.0	216.22.0.19	CA
216.22.0.20	216.22.4.255	US
216.22.5.0	216.22.5.255	PA
216.22.6.0	216.22.17.255	US
216.22.18.0	216.22.18.31	RU
216.22.18.32	216.22.24.40	US
216.22.24.41	216.22.24.50	GB
216.22.24.51	216.22.28.132	US
216.22.28.133	216.22.28.196	ID
216.22.28.197	216.22.28.198	US
216.22.28.199	216.22.28.208	GB
216.22.28.209	216.22.29.35	US
216.22.29.36	216.22.29.45	ID
216.22.29.46	216.22.50.127	US
216.22.50.128	216.22.50.135	PA
216.22.50.136	216.22.50.143	GB
216.22.50.144	216.22.50.207	US
216.22.50.208	216.22.50.215	GB
216.22.50.216	216.22.60.53	US
216.22.60.54	216.22.60.57	IN
216.22.60.58	216.22.99.255	US
216.22.100.0	216.22.100.255	AR
216.22.101.0	216.22.145.63	US
216.22.145.64	216.22.145.71	CA
216.22.145.72	216.22.146.231	US
216.22.146.232	216.22.146.239	CH
216.22.146.240	216.22.171.127	US
216.22.171.128	216.22.171.255	DE
216.22.172.0	216.22.172.127	NL
216.22.172.128	216.22.172.253	DE
216.22.172.254	216.22.173.159	US
216.22.173.160	216.22.173.175	NO
216.22.173.176	216.22.173.215	US
216.22.173.216	216.22.173.223	NL
216.22.173.224	216.22.173.231	ZA
216.22.173.232	216.22.208.15	US
216.22.208.16	216.22.208.23	GB
216.22.208.24	216.22.208.39	US
216.22.208.40	216.22.208.47	CA
216.22.208.48	216.22.208.55	GB
216.22.208.56	216.22.208.127	US
216.22.208.128	216.22.208.135	CA
216.22.208.136	216.22.208.191	US
216.22.208.192	216.22.208.199	GB
216.22.208.200	216.22.209.1	US
216.22.209.2	216.22.209.31	CA
216.22.209.32	216.22.209.79	US
216.22.209.80	216.22.209.92	GB
216.22.209.93	216.22.209.95	US
216.22.209.96	216.22.209.111	CA
216.22.209.112	216.22.209.191	US
216.22.209.192	216.22.209.207	CA
216.22.209.208	216.22.212.159	US
216.22.212.160	216.22.212.191	MX
216.22.212.192	216.22.213.63	US
216.22.213.64	216.22.213.95	CA
216.22.213.96	216.22.213.159	US
216.22.213.160	216.22.213.191	RU
216.22.213.192	216.22.214.15	US
216.22.214.16	216.22.214.23	CA
216.22.214.24	216.22.214.39	US
216.22.214.40	216.22.214.47	GB
216.22.214.48	216.22.214.127	US
216.22.214.128	216.22.214.135	SE
216.22.214.136	216.22.214.167	US
216.22.214.168	216.22.214.175	MT
216.22.214.176	216.22.215.31	US
216.22.215.32	216.22.215.39	JM
216.22.215.40	216.22.215.111	US
216.22.215.112	216.22.215.119	JM
216.22.215.120	216.22.216.191	US
216.22.216.192	216.22.216.238	SG
216.22.216.239	216.22.217.31	US
216.22.217.32	216.22.217.63	AR
216.22.217.64	216.22.217.159	US
216.22.217.160	216.22.217.191	LB
216.22.217.192	216.22.217.223	TR
216.22.217.224	216.22.220.255	US
216.22.221.0	216.22.222.255	TH
216.22.223.0	216.22.223.47	US
216.22.223.48	216.22.223.63	CA
216.22.223.64	216.22.240.23	US
216.22.240.24	216.22.240.31	CA
216.22.240.32	216.22.240.191	US
216.22.240.192	216.22.240.223	CA
216.22.240.224	216.23.127.255	US
216.23.128.0	216.23.132.255	CA
216.23.133.0	216.23.134.255	US
216.23.135.0	216.23.142.255	CA
216.23.143.0	216.23.144.255	US
216.23.145.0	216.23.159.255	CA
216.23.160.0	216.24.223.255	US
216.24.224.0	216.24.239.255	CA
216.24.240.0	216.24.255.255	PR
216.25.0.0	216.25.44.221	US
216.25.44.222	216.25.44.231	AU
216.25.44.232	216.25.223.255	US
216.25.224.0	216.25.239.255	A2
216.25.240.0	216.25.252.63	US
216.25.252.64	216.25.252.79	NL
216.25.252.80	216.26.191.255	US
216.26.192.0	216.26.223.255	CA
216.26.224.0	216.32.195.191	US
216.32.195.192	216.32.195.223	LT
216.32.195.224	216.33.75.191	US
216.33.75.192	216.33.75.199	BM
216.33.75.200	216.33.80.79	US
216.33.80.80	216.33.80.87	BM
216.33.80.88	216.33.109.31	US
216.33.109.32	216.33.109.63	NL
216.33.109.64	216.33.123.127	US
216.33.123.128	216.33.123.159	AE
216.33.123.160	216.33.125.95	US
216.33.125.96	216.33.125.111	AE
216.33.125.112	216.34.7.223	US
216.34.7.224	216.34.7.255	AU
216.34.8.0	216.34.91.239	US
216.34.91.240	216.34.91.255	CA
216.34.92.0	216.34.131.63	US
216.34.131.64	216.34.131.255	AU
216.34.132.0	216.34.139.159	US
216.34.139.160	216.34.139.175	AU
216.34.139.176	216.35.45.255	US
216.35.46.0	216.35.46.31	LT
216.35.46.32	216.35.66.47	US
216.35.66.48	216.35.66.55	NO
216.35.66.56	216.35.66.63	US
216.35.66.64	216.35.66.71	IL
216.35.66.72	216.35.66.119	US
216.35.66.120	216.35.66.127	IL
216.35.66.128	216.35.73.15	US
216.35.73.16	216.35.73.31	GB
216.35.73.32	216.35.78.255	US
216.35.79.0	216.35.79.63	CY
216.35.79.64	216.35.79.127	US
216.35.79.128	216.35.79.159	CH
216.35.79.160	216.35.160.63	US
216.35.160.64	216.35.160.95	GB
216.35.160.96	216.35.213.223	US
216.35.213.224	216.35.213.255	AR
216.35.214.0	216.35.218.239	US
216.35.218.240	216.35.218.255	AE
216.35.219.0	216.36.127.255	US
216.36.128.0	216.36.191.255	CA
216.36.192.0	216.37.111.255	US
216.37.112.0	216.37.127.255	CA
216.37.128.0	216.38.48.5	US
216.38.48.6	216.38.48.9	AU
216.38.48.10	216.38.48.13	CR
216.38.48.14	216.38.48.17	IT
216.38.48.18	216.38.48.25	US
216.38.48.26	216.38.48.29	IL
216.38.48.30	216.38.48.37	US
216.38.48.38	216.38.48.41	QA
216.38.48.42	216.38.48.45	US
216.38.48.46	216.38.48.49	IN
216.38.48.50	216.38.48.61	US
216.38.48.62	216.38.48.65	AU
216.38.48.66	216.38.48.89	US
216.38.48.90	216.38.48.93	MX
216.38.48.94	216.38.48.97	US
216.38.48.98	216.38.48.107	MX
216.38.48.108	216.38.48.111	GB
216.38.48.112	216.38.48.123	US
216.38.48.124	216.38.48.127	TR
216.38.48.128	216.38.48.139	US
216.38.48.140	216.38.48.144	GB
216.38.48.145	216.38.48.148	CA
216.38.48.149	216.38.48.168	US
216.38.48.169	216.38.48.172	VE
216.38.48.173	216.38.48.180	US
216.38.48.181	216.38.48.184	CO
216.38.48.185	216.38.48.196	US
216.38.48.197	216.38.48.198	RU
216.38.48.199	216.38.48.200	BE
216.38.48.201	216.38.48.204	US
216.38.48.205	216.38.48.208	GB
216.38.48.209	216.38.48.212	IN
216.38.48.213	216.38.48.216	US
216.38.48.217	216.38.48.220	IT
216.38.48.221	216.38.48.225	US
216.38.48.226	216.38.48.229	CA
216.38.48.230	216.38.48.233	CL
216.38.48.234	216.38.48.237	US
216.38.48.238	216.38.48.241	GB
216.38.48.242	216.38.48.243	US
216.38.48.244	216.38.48.247	RU
216.38.48.248	216.38.48.252	US
216.38.48.253	216.38.48.254	GR
216.38.48.255	216.38.49.5	US
216.38.49.6	216.38.49.9	ID
216.38.49.10	216.38.49.29	US
216.38.49.30	216.38.49.33	VE
216.38.49.34	216.38.49.37	IL
216.38.49.38	216.38.49.41	US
216.38.49.42	216.38.49.45	DE
216.38.49.46	216.38.49.53	US
216.38.49.54	216.38.49.57	FR
216.38.49.58	216.38.49.73	US
216.38.49.74	216.38.49.77	VI
216.38.49.78	216.38.49.81	US
216.38.49.82	216.38.49.85	AU
216.38.49.86	216.38.49.89	US
216.38.49.90	216.38.49.93	BE
216.38.49.94	216.38.49.97	US
216.38.49.98	216.38.49.101	CA
216.38.49.102	216.38.49.107	US
216.38.49.108	216.38.49.111	GB
216.38.49.112	216.38.49.134	US
216.38.49.135	216.38.49.138	LB
216.38.49.139	216.38.49.142	GB
216.38.49.143	216.38.49.147	US
216.38.49.148	216.38.49.151	NL
216.38.49.152	216.38.49.164	US
216.38.49.165	216.38.49.168	EG
216.38.49.169	216.38.49.172	FR
216.38.49.173	216.38.49.174	RU
216.38.49.175	216.38.49.176	US
216.38.49.177	216.38.49.180	IE
216.38.49.181	216.38.49.182	CA
216.38.49.183	216.38.49.184	US
216.38.49.185	216.38.49.187	GB
216.38.49.188	216.38.49.191	CA
216.38.49.192	216.38.49.195	SA
216.38.49.196	216.38.49.199	US
216.38.49.200	216.38.49.203	RU
216.38.49.204	216.38.49.211	US
216.38.49.212	216.38.49.215	AU
216.38.49.216	216.38.49.229	US
216.38.49.230	216.38.49.233	MX
216.38.49.234	216.38.49.235	US
216.38.49.236	216.38.49.248	RU
216.38.49.249	216.38.50.18	US
216.38.50.19	216.38.50.22	CA
216.38.50.23	216.38.50.38	US
216.38.50.39	216.38.50.42	GB
216.38.50.43	216.38.50.50	US
216.38.50.51	216.38.50.58	IN
216.38.50.59	216.38.50.70	US
216.38.50.71	216.38.50.74	CA
216.38.50.75	216.38.50.78	US
216.38.50.79	216.38.50.82	CA
216.38.50.83	216.38.50.96	US
216.38.50.97	216.38.50.100	NL
216.38.50.101	216.38.50.108	US
216.38.50.109	216.38.50.112	MX
216.38.50.113	216.38.50.116	GB
216.38.50.117	216.38.50.120	US
216.38.50.121	216.38.50.124	CA
216.38.50.125	216.38.50.148	US
216.38.50.149	216.38.50.152	GB
216.38.50.153	216.38.50.156	VN
216.38.50.157	216.38.50.160	RU
216.38.50.161	216.38.50.164	US
216.38.50.165	216.38.50.168	LK
216.38.50.169	216.38.50.169	US
216.38.50.170	216.38.50.173	NZ
216.38.50.174	216.38.50.177	SA
216.38.50.178	216.38.50.201	US
216.38.50.202	216.38.50.205	CO
216.38.50.206	216.38.50.209	RO
216.38.50.210	216.38.50.225	US
216.38.50.226	216.38.50.229	JP
216.38.50.230	216.38.50.245	US
216.38.50.246	216.38.50.249	CA
216.38.50.250	216.38.50.250	US
216.38.50.251	216.38.50.254	IN
216.38.50.255	216.38.51.5	US
216.38.51.6	216.38.51.7	GB
216.38.51.8	216.38.51.21	US
216.38.51.22	216.38.51.25	GB
216.38.51.26	216.38.51.29	US
216.38.51.30	216.38.51.33	IN
216.38.51.34	216.38.51.37	CH
216.38.51.38	216.38.51.41	SG
216.38.51.42	216.38.51.53	US
216.38.51.54	216.38.51.57	CA
216.38.51.58	216.38.51.65	US
216.38.51.66	216.38.51.69	CA
216.38.51.70	216.38.51.89	US
216.38.51.90	216.38.51.93	CA
216.38.51.94	216.38.51.97	NZ
216.38.51.98	216.38.51.101	US
216.38.51.102	216.38.51.105	ES
216.38.51.106	216.38.51.113	US
216.38.51.114	216.38.51.117	IN
216.38.51.118	216.38.51.121	US
216.38.51.122	216.38.51.125	GB
216.38.51.126	216.38.51.127	US
216.38.51.128	216.38.51.131	IN
216.38.51.132	216.38.51.143	US
216.38.51.144	216.38.51.147	CN
216.38.51.148	216.38.51.159	US
216.38.51.160	216.38.51.163	NL
216.38.51.164	216.38.51.167	US
216.38.51.168	216.38.51.171	IN
216.38.51.172	216.38.51.183	US
216.38.51.184	216.38.51.187	CA
216.38.51.188	216.38.51.191	IT
216.38.51.192	216.38.51.195	US
216.38.51.196	216.38.51.199	GB
216.38.51.200	216.38.51.203	DK
216.38.51.204	216.38.51.215	US
216.38.51.216	216.38.51.219	AR
216.38.51.220	216.38.51.227	US
216.38.51.228	216.38.51.231	RS
216.38.51.232	216.38.51.235	US
216.38.51.236	216.38.51.239	IN
216.38.51.240	216.38.51.244	US
216.38.51.245	216.38.51.248	CA
216.38.51.249	216.38.51.252	US
216.38.51.253	216.38.51.254	IN
216.38.51.255	216.38.52.17	US
216.38.52.18	216.38.52.21	GB
216.38.52.22	216.38.52.25	RU
216.38.52.26	216.38.52.29	TH
216.38.52.30	216.38.52.42	US
216.38.52.43	216.38.52.47	IN
216.38.52.48	216.38.52.51	US
216.38.52.52	216.38.52.55	SR
216.38.52.56	216.38.52.59	IT
216.38.52.60	216.38.52.63	US
216.38.52.64	216.38.52.67	AU
216.38.52.68	216.38.52.75	US
216.38.52.76	216.38.52.79	CN
216.38.52.80	216.38.52.83	GB
216.38.52.84	216.38.52.90	US
216.38.52.91	216.38.52.94	ID
216.38.52.95	216.38.52.98	US
216.38.52.99	216.38.52.102	BR
216.38.52.103	216.38.52.106	ZA
216.38.52.107	216.38.52.114	US
216.38.52.115	216.38.52.118	GR
216.38.52.119	216.38.52.122	FR
216.38.52.123	216.38.52.134	US
216.38.52.135	216.38.52.138	AU
216.38.52.139	216.38.52.142	US
216.38.52.143	216.38.52.146	JP
216.38.52.147	216.38.52.150	US
216.38.52.151	216.38.52.154	IL
216.38.52.155	216.38.52.158	MY
216.38.52.159	216.38.52.166	GB
216.38.52.167	216.38.52.170	BR
216.38.52.171	216.38.52.182	US
216.38.52.183	216.38.52.186	GR
216.38.52.187	216.38.52.190	SG
216.38.52.191	216.38.52.198	US
216.38.52.199	216.38.52.202	BR
216.38.52.203	216.38.52.210	US
216.38.52.211	216.38.52.214	IN
216.38.52.215	216.38.52.234	US
216.38.52.235	216.38.52.238	IT
216.38.52.239	216.38.52.242	US
216.38.52.243	216.38.52.246	IN
216.38.52.247	216.38.52.250	AU
216.38.52.251	216.38.53.5	US
216.38.53.6	216.38.53.9	IN
216.38.53.10	216.38.53.43	US
216.38.53.44	216.38.53.47	TH
216.38.53.48	216.38.53.78	US
216.38.53.79	216.38.53.82	AU
216.38.53.83	216.38.53.86	US
216.38.53.87	216.38.53.90	UA
216.38.53.91	216.38.53.94	US
216.38.53.95	216.38.53.98	TR
216.38.53.99	216.38.53.102	US
216.38.53.103	216.38.53.106	BR
216.38.53.107	216.38.53.163	US
216.38.53.164	216.38.53.167	GB
216.38.53.168	216.38.53.171	US
216.38.53.172	216.38.53.175	CA
216.38.53.176	216.38.53.179	US
216.38.53.180	216.38.53.183	IN
216.38.53.184	216.38.53.195	US
216.38.53.196	216.38.53.199	IT
216.38.53.200	216.38.53.203	PT
216.38.53.204	216.38.53.223	US
216.38.53.224	216.38.53.227	AU
216.38.53.228	216.38.53.231	CA
216.38.53.232	216.38.53.243	US
216.38.53.244	216.38.53.247	NL
216.38.53.248	216.38.53.251	US
216.38.53.252	216.38.53.253	IN
216.38.53.254	216.38.54.14	US
216.38.54.15	216.38.54.18	RU
216.38.54.19	216.38.54.22	IT
216.38.54.23	216.38.54.30	US
216.38.54.31	216.38.54.34	GB
216.38.54.35	216.38.54.44	US
216.38.54.45	216.38.54.48	BR
216.38.54.49	216.38.54.53	US
216.38.54.54	216.38.54.57	SG
216.38.54.58	216.38.54.61	CA
216.38.54.62	216.38.54.65	IN
216.38.54.66	216.38.54.69	SG
216.38.54.70	216.38.54.77	US
216.38.54.78	216.38.54.82	HN
216.38.54.83	216.38.54.89	US
216.38.54.90	216.38.54.93	PL
216.38.54.94	216.38.54.117	US
216.38.54.118	216.38.54.121	GR
216.38.54.122	216.38.54.125	US
216.38.54.126	216.38.54.129	AU
216.38.54.130	216.38.54.133	IT
216.38.54.134	216.38.54.145	GB
216.38.54.146	216.38.54.178	US
216.38.54.179	216.38.54.182	SG
216.38.54.183	216.38.54.186	CN
216.38.54.187	216.38.54.190	AU
216.38.54.191	216.38.54.194	US
216.38.54.195	216.38.54.198	DE
216.38.54.199	216.38.54.202	US
216.38.54.203	216.38.54.206	CN
216.38.54.207	216.38.54.226	US
216.38.54.227	216.38.54.230	AU
216.38.54.231	216.38.54.234	US
216.38.54.235	216.38.54.238	IN
216.38.54.239	216.38.54.242	GR
216.38.54.243	216.38.54.246	CN
216.38.54.247	216.38.55.23	US
216.38.55.24	216.38.55.27	IN
216.38.55.28	216.38.55.31	US
216.38.55.32	216.38.55.35	CO
216.38.55.36	216.38.55.43	US
216.38.55.44	216.38.55.47	BR
216.38.55.48	216.38.55.96	US
216.38.55.97	216.38.55.100	PE
216.38.55.101	216.38.55.104	AE
216.38.55.105	216.38.55.116	US
216.38.55.117	216.38.55.121	TR
216.38.55.122	216.38.55.125	IN
216.38.55.126	216.38.55.129	US
216.38.55.130	216.38.55.133	IN
216.38.55.134	216.38.55.141	US
216.38.55.142	216.38.55.145	MX
216.38.55.146	216.38.55.153	US
216.38.55.154	216.38.55.157	CO
216.38.55.158	216.38.55.166	US
216.38.55.167	216.38.55.174	GB
216.38.55.175	216.38.55.178	US
216.38.55.179	216.38.55.182	DE
216.38.55.183	216.38.55.186	GR
216.38.55.187	216.38.55.190	CA
216.38.55.191	216.38.55.194	MX
216.38.55.195	216.38.56.15	US
216.38.56.16	216.38.56.23	RU
216.38.56.24	216.38.56.31	CA
216.38.56.32	216.38.56.63	US
216.38.56.64	216.38.56.71	GB
216.38.56.72	216.38.56.79	AU
216.38.56.80	216.38.56.87	GR
216.38.56.88	216.38.56.95	IN
216.38.56.96	216.38.56.143	US
216.38.56.144	216.38.56.159	GB
216.38.56.160	216.38.56.167	US
216.38.56.168	216.38.56.175	GB
216.38.56.176	216.38.56.183	US
216.38.56.184	216.38.56.191	GB
216.38.56.192	216.38.56.223	US
216.38.56.224	216.38.56.239	CA
216.38.56.240	216.38.56.247	GB
216.38.56.248	216.38.56.255	IN
216.38.57.0	216.38.57.31	US
216.38.57.32	216.38.57.63	CH
216.38.57.64	216.38.57.111	US
216.38.57.112	216.38.57.143	CA
216.38.57.144	216.38.57.159	GB
216.38.57.160	216.38.57.255	US
216.38.58.0	216.38.58.31	NL
216.38.58.32	216.38.58.223	US
216.38.58.224	216.38.58.255	NL
216.38.59.0	216.38.60.97	US
216.38.60.98	216.38.60.101	IN
216.38.60.102	216.38.62.5	US
216.38.62.6	216.38.62.9	MX
216.38.62.10	216.38.62.25	US
216.38.62.26	216.38.62.29	IN
216.38.62.30	216.38.62.41	US
216.38.62.42	216.38.62.49	CA
216.38.62.50	216.38.62.53	US
216.38.62.54	216.38.62.57	IN
216.38.62.58	216.38.62.61	US
216.38.62.62	216.38.62.65	GB
216.38.62.66	216.38.62.73	US
216.38.62.74	216.38.62.77	AU
216.38.62.78	216.38.62.81	GB
216.38.62.82	216.38.62.85	SG
216.38.62.86	216.38.62.89	US
216.38.62.90	216.38.62.93	CA
216.38.62.94	216.38.62.97	NZ
216.38.62.98	216.38.62.101	US
216.38.62.102	216.38.62.105	IT
216.38.62.106	216.38.62.109	ID
216.38.62.110	216.38.62.129	US
216.38.62.130	216.38.62.133	CN
216.38.62.134	216.38.62.137	ID
216.38.62.138	216.38.62.141	IN
216.38.62.142	216.38.62.145	US
216.38.62.146	216.38.62.149	MX
216.38.62.150	216.38.62.153	CA
216.38.62.154	216.38.62.177	US
216.38.62.178	216.38.62.181	IE
216.38.62.182	216.38.62.201	US
216.38.62.202	216.38.62.205	IN
216.38.62.206	216.38.62.217	US
216.38.62.218	216.38.62.221	JP
216.38.62.222	216.38.62.229	US
216.38.62.230	216.38.62.233	ID
216.38.62.234	216.38.62.237	GR
216.38.62.238	216.38.62.241	CA
216.38.62.242	216.38.62.245	GB
216.38.62.246	216.38.62.249	IN
216.38.62.250	216.38.62.253	RO
216.38.62.254	216.38.63.27	US
216.38.63.28	216.38.63.31	IT
216.38.63.32	216.38.63.35	US
216.38.63.36	216.38.63.39	CA
216.38.63.40	216.38.63.43	US
216.38.63.44	216.38.63.47	CA
216.38.63.48	216.38.63.55	US
216.38.63.56	216.38.63.57	NZ
216.38.63.58	216.38.63.65	US
216.38.63.66	216.38.63.69	CA
216.38.63.70	216.38.63.73	US
216.38.63.74	216.38.63.77	CA
216.38.63.78	216.38.63.85	US
216.38.63.86	216.38.63.89	BE
216.38.63.90	216.38.63.93	US
216.38.63.94	216.38.63.97	ID
216.38.63.98	216.38.63.101	CN
216.38.63.102	216.38.63.105	US
216.38.63.106	216.38.63.109	PK
216.38.63.110	216.38.63.113	GR
216.38.63.114	216.38.63.169	US
216.38.63.170	216.38.63.173	FR
216.38.63.174	216.38.63.177	CA
216.38.63.178	216.38.63.181	US
216.38.63.182	216.38.63.185	CA
216.38.63.186	216.38.63.197	US
216.38.63.198	216.38.63.201	CA
216.38.63.202	216.38.63.205	MX
216.38.63.206	216.38.63.209	CA
216.38.63.210	216.38.63.213	US
216.38.63.214	216.38.63.217	IL
216.38.63.218	216.38.63.221	US
216.38.63.222	216.38.63.225	SI
216.38.63.226	216.38.63.229	US
216.38.63.230	216.38.63.237	IN
216.38.63.238	216.38.63.241	GB
216.38.63.242	216.40.31.255	US
216.40.32.0	216.40.47.255	CA
216.40.48.0	216.40.95.255	US
216.40.96.0	216.40.96.255	CA
216.40.97.0	216.40.97.15	US
216.40.97.16	216.40.97.39	CA
216.40.97.40	216.40.97.47	US
216.40.97.48	216.40.100.87	CA
216.40.100.88	216.40.100.103	US
216.40.100.104	216.40.100.111	IN
216.40.100.112	216.40.101.79	CA
216.40.101.80	216.40.101.87	US
216.40.101.88	216.40.102.31	CA
216.40.102.32	216.40.102.39	US
216.40.102.40	216.40.102.47	CA
216.40.102.48	216.40.102.55	US
216.40.102.56	216.40.102.71	CA
216.40.102.72	216.40.102.79	US
216.40.102.80	216.40.102.87	CA
216.40.102.88	216.40.102.95	US
216.40.102.96	216.40.102.223	CA
216.40.102.224	216.40.102.255	CR
216.40.103.0	216.40.103.103	CA
216.40.103.104	216.40.103.111	US
216.40.103.112	216.40.103.159	CA
216.40.103.160	216.40.103.167	US
216.40.103.168	216.40.103.247	CA
216.40.103.248	216.40.103.255	US
216.40.104.0	216.40.105.7	CA
216.40.105.8	216.40.105.47	US
216.40.105.48	216.40.105.159	CA
216.40.105.160	216.40.105.183	US
216.40.105.184	216.40.105.191	CA
216.40.105.192	216.40.105.207	US
216.40.105.208	216.40.106.191	CA
216.40.106.192	216.40.106.231	US
216.40.106.232	216.40.106.239	CA
216.40.106.240	216.40.106.247	US
216.40.106.248	216.40.106.255	CA
216.40.107.0	216.40.107.7	US
216.40.107.8	216.40.107.63	CA
216.40.107.64	216.40.107.71	US
216.40.107.72	216.40.108.159	CA
216.40.108.160	216.40.108.167	US
216.40.108.168	216.40.109.239	CA
216.40.109.240	216.40.109.247	US
216.40.109.248	216.40.110.71	CA
216.40.110.72	216.40.110.79	US
216.40.110.80	216.40.111.23	CA
216.40.111.24	216.40.111.31	US
216.40.111.32	216.40.111.119	CA
216.40.111.120	216.40.111.127	US
216.40.111.128	216.40.111.167	CA
216.40.111.168	216.40.111.191	US
216.40.111.192	216.40.113.159	CA
216.40.113.160	216.40.113.167	US
216.40.113.168	216.40.115.199	CA
216.40.115.200	216.40.115.215	US
216.40.115.216	216.40.116.15	CA
216.40.116.16	216.40.116.71	US
216.40.116.72	216.40.116.127	CA
216.40.116.128	216.40.116.135	US
216.40.116.136	216.40.116.247	CA
216.40.116.248	216.40.117.7	US
216.40.117.8	216.40.117.103	CA
216.40.117.104	216.40.117.111	US
216.40.117.112	216.40.117.159	CA
216.40.117.160	216.40.117.167	US
216.40.117.168	216.40.117.239	CA
216.40.117.240	216.40.117.247	US
216.40.117.248	216.40.118.23	CA
216.40.118.24	216.40.118.39	US
216.40.118.40	216.40.118.87	CA
216.40.118.88	216.40.118.103	US
216.40.118.104	216.40.118.135	CA
216.40.118.136	216.40.118.151	US
216.40.118.152	216.40.118.167	CA
216.40.118.168	216.40.118.175	US
216.40.118.176	216.40.118.183	CA
216.40.118.184	216.40.118.191	US
216.40.118.192	216.40.118.239	CA
216.40.118.240	216.40.118.255	US
216.40.119.0	216.40.119.255	CA
216.40.120.0	216.40.120.15	US
216.40.120.16	216.40.120.95	CA
216.40.120.96	216.40.120.103	US
216.40.120.104	216.40.120.127	CA
216.40.120.128	216.40.120.135	US
216.40.120.136	216.40.120.175	CA
216.40.120.176	216.40.120.191	US
216.40.120.192	216.40.120.199	CA
216.40.120.200	216.40.120.207	US
216.40.120.208	216.40.120.215	CA
216.40.120.216	216.40.120.231	US
216.40.120.232	216.40.121.71	CA
216.40.121.72	216.40.121.79	US
216.40.121.80	216.40.121.127	CA
216.40.121.128	216.40.121.135	US
216.40.121.136	216.40.121.207	CA
216.40.121.208	216.40.121.215	US
216.40.121.216	216.40.122.135	CA
216.40.122.136	216.40.122.143	US
216.40.122.144	216.40.122.191	CA
216.40.122.192	216.40.122.207	US
216.40.122.208	216.40.122.223	CA
216.40.122.224	216.40.122.231	US
216.40.122.232	216.40.122.247	CA
216.40.122.248	216.40.122.255	US
216.40.123.0	216.40.123.23	CA
216.40.123.24	216.40.123.31	US
216.40.123.32	216.40.123.55	CA
216.40.123.56	216.40.123.63	US
216.40.123.64	216.40.123.119	CA
216.40.123.120	216.40.123.127	US
216.40.123.128	216.40.123.215	CA
216.40.123.216	216.40.123.223	US
216.40.123.224	216.40.123.255	CA
216.40.124.0	216.40.124.7	US
216.40.124.8	216.40.124.15	CA
216.40.124.16	216.40.124.23	US
216.40.124.24	216.40.124.31	CA
216.40.124.32	216.40.124.39	US
216.40.124.40	216.40.124.47	CA
216.40.124.48	216.40.124.55	US
216.40.124.56	216.40.125.191	CA
216.40.125.192	216.40.125.215	US
216.40.125.216	216.40.125.223	CA
216.40.125.224	216.40.125.231	US
216.40.125.232	216.40.126.39	CA
216.40.126.40	216.40.126.167	US
216.40.126.168	216.40.126.183	CA
216.40.126.184	216.40.126.191	US
216.40.126.192	216.40.126.199	CA
216.40.126.200	216.40.126.239	US
216.40.126.240	216.40.126.255	CA
216.40.127.0	216.40.127.7	US
216.40.127.8	216.40.127.15	CA
216.40.127.16	216.40.127.95	US
216.40.127.96	216.40.127.119	CA
216.40.127.120	216.40.127.127	US
216.40.127.128	216.40.127.151	CA
216.40.127.152	216.40.127.159	US
216.40.127.160	216.40.127.247	CA
216.40.127.248	216.45.95.255	US
216.45.96.0	216.45.127.255	CA
216.45.128.0	216.45.255.255	US
216.46.0.0	216.46.11.47	CA
216.46.11.48	216.46.11.55	US
216.46.11.56	216.46.47.255	CA
216.46.48.0	216.46.127.255	US
216.46.128.0	216.46.159.255	CA
216.46.160.0	216.48.79.255	US
216.48.80.0	216.48.95.255	CA
216.48.96.0	216.48.159.255	US
216.48.160.0	216.48.175.255	CA
216.48.176.0	216.52.7.255	US
216.52.8.0	216.52.8.31	GB
216.52.8.32	216.52.89.143	US
216.52.89.144	216.52.89.159	IL
216.52.89.160	216.52.93.135	US
216.52.93.136	216.52.93.143	BM
216.52.93.144	216.52.119.95	US
216.52.119.96	216.52.119.127	GB
216.52.119.128	216.52.119.199	US
216.52.119.200	216.52.119.207	CA
216.52.119.208	216.52.162.55	US
216.52.162.56	216.52.162.63	SR
216.52.162.64	216.52.171.223	US
216.52.171.224	216.52.171.255	SE
216.52.172.0	216.52.248.111	US
216.52.248.112	216.52.248.119	IL
216.52.248.120	216.53.139.255	US
216.53.140.0	216.53.141.255	BR
216.53.142.0	216.53.186.255	US
216.53.187.0	216.53.187.31	GE
216.53.187.32	216.53.187.63	US
216.53.187.64	216.53.187.127	DE
216.53.187.128	216.53.187.215	US
216.53.187.216	216.53.187.255	DE
216.53.188.0	216.53.188.127	US
216.53.188.128	216.53.188.159	BR
216.53.188.160	216.53.189.191	US
216.53.189.192	216.53.189.223	CA
216.53.189.224	216.53.190.255	US
216.53.191.0	216.53.191.143	DE
216.53.191.144	216.53.191.191	US
216.53.191.192	216.53.191.255	BR
216.53.192.0	216.55.95.255	US
216.55.96.0	216.55.111.255	CA
216.55.112.0	216.55.142.128	US
216.55.142.129	216.55.142.138	CA
216.55.142.139	216.55.154.130	US
216.55.154.131	216.55.154.140	GB
216.55.154.141	216.55.162.143	US
216.55.162.144	216.55.162.151	AE
216.55.162.152	216.55.163.115	US
216.55.163.116	216.55.163.123	IR
216.55.163.124	216.55.164.80	US
216.55.164.81	216.55.164.88	AU
216.55.164.89	216.55.191.255	US
216.55.192.0	216.55.239.255	CA
216.55.240.0	216.57.175.255	US
216.57.176.0	216.57.191.255	CA
216.57.192.0	216.57.199.255	US
216.57.200.0	216.57.200.31	CA
216.57.200.32	216.57.203.79	US
216.57.203.80	216.57.203.95	CA
216.57.203.96	216.57.205.31	US
216.57.205.32	216.57.205.63	CA
216.57.205.64	216.57.208.63	US
216.57.208.64	216.57.208.127	CA
216.57.208.128	216.57.217.71	US
216.57.217.72	216.57.217.79	CA
216.57.217.80	216.57.221.15	US
216.57.221.16	216.57.221.27	CA
216.57.221.28	216.57.255.255	US
216.58.0.0	216.58.127.255	CA
216.58.128.0	216.59.0.63	US
216.59.0.64	216.59.0.95	BE
216.59.0.96	216.59.0.159	US
216.59.0.160	216.59.0.191	IN
216.59.0.192	216.59.0.223	CA
216.59.0.224	216.59.2.127	US
216.59.2.128	216.59.2.191	IL
216.59.2.192	216.59.4.95	US
216.59.4.96	216.59.4.127	CA
216.59.4.128	216.59.4.255	US
216.59.5.0	216.59.5.255	IN
216.59.6.0	216.59.31.255	US
216.59.32.0	216.59.32.255	AR
216.59.33.0	216.59.95.255	US
216.59.128.0	216.59.223.255	US
216.59.224.0	216.59.255.255	CA
216.60.0.0	216.60.121.255	US
216.60.122.0	216.60.122.255	IS
216.60.123.0	216.61.80.103	US
216.61.80.104	216.61.80.111	PR
216.61.80.112	216.61.81.191	US
216.61.81.192	216.61.81.199	PR
216.61.81.200	216.61.82.47	US
216.61.82.48	216.61.82.55	PR
216.61.82.56	216.61.140.175	US
216.61.140.176	216.61.140.183	PR
216.61.140.184	216.62.110.55	US
216.62.110.56	216.62.110.63	PR
216.62.110.64	216.62.111.183	US
216.62.111.184	216.62.111.191	PR
216.62.111.192	216.62.111.215	US
216.62.111.216	216.62.111.223	PR
216.62.111.224	216.62.232.119	US
216.62.232.120	216.62.232.127	PR
216.62.232.128	216.62.247.47	US
216.62.247.48	216.62.247.55	PR
216.62.247.56	216.64.197.223	US
216.64.197.224	216.64.197.255	CA
216.64.198.0	216.64.198.63	BM
216.64.198.64	216.64.198.255	US
216.64.199.0	216.64.199.31	GB
216.64.199.32	216.64.217.191	US
216.64.217.192	216.64.217.207	CA
216.64.217.208	216.64.219.63	US
216.64.219.64	216.64.219.79	CA
216.64.219.80	216.65.0.255	US
216.65.1.0	216.65.1.255	GB
216.65.2.0	216.65.3.47	US
216.65.3.48	216.65.3.63	SG
216.65.3.64	216.65.3.79	GB
216.65.3.80	216.65.3.223	US
216.65.3.224	216.65.3.239	NZ
216.65.3.240	216.65.3.255	US
216.65.4.0	216.65.4.15	RU
216.65.4.16	216.65.4.175	US
216.65.4.176	216.65.4.191	VI
216.65.4.192	216.65.5.191	US
216.65.5.192	216.65.5.223	AU
216.65.5.224	216.65.7.63	US
216.65.7.64	216.65.7.127	RU
216.65.7.128	216.65.19.255	US
216.65.20.0	216.65.20.255	GB
216.65.21.0	216.65.28.255	US
216.65.29.0	216.65.29.255	AU
216.65.30.0	216.65.31.95	US
216.65.31.96	216.65.31.127	GB
216.65.31.128	216.65.38.223	US
216.65.38.224	216.65.38.255	SK
216.65.39.0	216.65.40.79	US
216.65.40.80	216.65.40.95	NL
216.65.40.96	216.65.40.111	IT
216.65.40.112	216.65.40.135	US
216.65.40.136	216.65.40.143	CA
216.65.40.144	216.65.50.127	US
216.65.50.128	216.65.50.255	DE
216.65.51.0	216.65.52.63	US
216.65.52.64	216.65.52.127	DO
216.65.52.128	216.65.52.255	ID
216.65.53.0	216.65.56.255	US
216.65.57.0	216.65.57.255	KW
216.65.58.0	216.65.61.127	US
216.65.61.128	216.65.61.191	PH
216.65.61.192	216.65.62.95	US
216.65.62.96	216.65.62.127	GB
216.65.62.128	216.65.64.143	US
216.65.64.144	216.65.64.159	ID
216.65.64.160	216.65.64.223	US
216.65.64.224	216.65.64.239	NZ
216.65.64.240	216.65.66.255	US
216.65.67.0	216.65.67.255	CA
216.65.68.0	216.65.68.255	US
216.65.69.0	216.65.69.255	GB
216.65.70.0	216.65.87.255	US
216.65.88.0	216.65.88.255	CA
216.65.89.0	216.65.103.63	US
216.65.103.64	216.65.103.79	IE
216.65.103.80	216.65.103.95	ES
216.65.103.96	216.65.103.255	US
216.65.104.0	216.65.104.63	CA
216.65.104.64	216.65.104.191	US
216.65.104.192	216.65.104.255	DO
216.65.105.0	216.65.106.15	US
216.65.106.16	216.65.106.31	VI
216.65.106.32	216.65.120.255	US
216.65.121.0	216.65.121.127	IT
216.65.121.128	216.65.159.255	US
216.65.160.0	216.65.191.255	CA
216.65.192.0	216.66.15.255	US
216.66.16.0	216.66.16.255	IT
216.66.17.0	216.66.77.239	US
216.66.77.240	216.66.77.255	CA
216.66.78.0	216.66.80.223	US
216.66.80.224	216.66.80.231	IT
216.66.80.232	216.66.127.255	US
216.66.128.0	216.66.207.255	CA
216.66.208.0	216.67.230.111	US
216.67.230.112	216.67.230.119	MY
216.67.230.120	216.67.245.95	US
216.67.245.96	216.67.245.103	IN
216.67.245.104	216.67.245.135	US
216.67.245.136	216.67.245.143	IN
216.67.245.144	216.72.3.255	US
216.72.4.0	216.72.7.255	CO
216.72.8.0	216.72.23.255	CL
216.72.24.0	216.72.27.255	US
216.72.28.0	216.72.31.255	GT
216.72.32.0	216.72.43.255	IL
216.72.44.0	216.72.45.255	VE
216.72.46.0	216.72.46.127	US
216.72.46.128	216.72.46.191	VE
216.72.46.192	216.72.62.255	US
216.72.63.0	216.72.63.255	HN
216.72.64.0	216.72.66.255	ID
216.72.67.0	216.72.68.255	CO
216.72.69.0	216.72.69.255	US
216.72.70.0	216.72.71.255	IL
216.72.72.0	216.72.73.255	US
216.72.74.0	216.72.77.255	PR
216.72.78.0	216.72.78.255	HN
216.72.79.0	216.72.79.255	US
216.72.80.0	216.72.81.255	CO
216.72.82.0	216.72.87.255	HN
216.72.88.0	216.72.99.255	US
216.72.100.0	216.72.103.255	PR
216.72.104.0	216.72.111.255	NG
216.72.112.0	216.72.112.255	PA
216.72.113.0	216.72.115.255	HN
216.72.116.0	216.72.116.255	CO
216.72.117.0	216.72.117.255	IL
216.72.118.0	216.72.118.255	HN
216.72.119.0	216.72.123.255	SV
216.72.124.0	216.72.124.255	GT
216.72.125.0	216.72.125.255	US
216.72.126.0	216.72.134.255	VE
216.72.135.0	216.72.142.255	US
216.72.143.0	216.72.143.255	CO
216.72.144.0	216.72.151.255	AR
216.72.152.0	216.72.153.255	VE
216.72.154.0	216.72.154.255	US
216.72.155.0	216.72.155.255	VE
216.72.156.0	216.72.157.255	CO
216.72.158.0	216.72.159.255	US
216.72.160.0	216.72.191.255	CL
216.72.192.0	216.72.193.255	US
216.72.194.0	216.72.195.255	HN
216.72.196.0	216.72.196.255	SZ
216.72.197.0	216.72.201.255	CO
216.72.202.0	216.72.202.255	US
216.72.203.0	216.72.204.255	CO
216.72.205.0	216.72.221.255	US
216.72.222.0	216.72.223.255	PA
216.72.224.0	216.72.224.255	US
216.72.225.0	216.72.225.255	CR
216.72.226.0	216.72.226.255	VE
216.72.227.0	216.72.230.255	CO
216.72.231.0	216.72.231.255	EC
216.72.232.0	216.72.234.255	CO
216.72.235.0	216.72.235.255	US
216.72.236.0	216.72.236.255	VE
216.72.237.0	216.72.237.255	BS
216.72.238.0	216.73.63.255	US
216.73.64.0	216.73.79.255	CA
216.73.80.0	216.74.132.223	US
216.74.132.224	216.74.132.255	IL
216.74.133.0	216.74.133.151	US
216.74.133.152	216.74.133.159	CY
216.74.133.160	216.74.147.191	US
216.74.147.192	216.74.147.199	GB
216.74.147.200	216.74.151.63	US
216.74.151.64	216.74.151.79	IE
216.74.151.80	216.74.151.159	US
216.74.151.160	216.74.151.191	GB
216.74.151.192	216.74.153.207	US
216.74.153.208	216.74.153.215	NO
216.74.153.216	216.74.155.223	US
216.74.155.224	216.74.155.239	NO
216.74.155.240	216.74.159.63	US
216.74.159.64	216.74.159.95	AU
216.74.159.96	216.74.163.159	US
216.74.163.160	216.74.163.167	NO
216.74.163.168	216.74.164.63	US
216.74.164.64	216.74.164.79	CY
216.74.164.80	216.74.168.127	US
216.74.168.128	216.74.169.63	GB
216.74.169.64	216.74.169.255	US
216.74.170.0	216.74.170.255	NO
216.74.171.0	216.74.172.63	US
216.74.172.64	216.74.172.79	CA
216.74.172.80	216.74.172.95	GB
216.74.172.96	216.75.159.255	US
216.75.160.0	216.75.191.255	CA
216.75.192.0	216.80.255.255	US
216.81.0.0	216.81.31.255	CA
216.81.32.0	216.81.47.255	US
216.81.48.0	216.81.56.55	CA
216.81.56.56	216.81.56.59	US
216.81.56.60	216.81.56.79	CA
216.81.56.80	216.81.56.107	US
216.81.56.108	216.81.56.131	CA
216.81.56.132	216.81.56.135	US
216.81.56.136	216.81.56.207	CA
216.81.56.208	216.81.56.211	US
216.81.56.212	216.81.56.239	CA
216.81.56.240	216.81.57.3	US
216.81.57.4	216.81.57.15	CA
216.81.57.16	216.81.57.19	US
216.81.57.20	216.81.57.43	CA
216.81.57.44	216.81.57.55	US
216.81.57.56	216.81.57.83	CA
216.81.57.84	216.81.57.87	US
216.81.57.88	216.81.57.91	CA
216.81.57.92	216.81.57.99	US
216.81.57.100	216.81.57.127	CA
216.81.57.128	216.81.57.175	US
216.81.57.176	216.81.57.191	CA
216.81.57.192	216.81.57.223	US
216.81.57.224	216.81.57.239	CA
216.81.57.240	216.81.57.255	US
216.81.58.0	216.81.58.63	CA
216.81.58.64	216.81.58.71	US
216.81.58.72	216.81.58.79	CA
216.81.58.80	216.81.58.83	US
216.81.58.84	216.81.58.91	CA
216.81.58.92	216.81.58.95	US
216.81.58.96	216.81.58.127	CA
216.81.58.128	216.81.58.255	US
216.81.59.0	216.81.59.31	CA
216.81.59.32	216.81.59.43	US
216.81.59.44	216.81.59.63	CA
216.81.59.64	216.81.59.87	US
216.81.59.88	216.81.59.95	CA
216.81.59.96	216.81.59.103	US
216.81.59.104	216.81.59.111	CA
216.81.59.112	216.81.59.135	US
216.81.59.136	216.81.59.191	CA
216.81.59.192	216.81.59.223	US
216.81.59.224	216.81.59.231	CA
216.81.59.232	216.81.59.251	US
216.81.59.252	216.81.62.255	CA
216.81.63.0	216.82.255.255	US
216.83.0.0	216.83.31.255	CA
216.83.32.0	216.83.53.255	US
216.83.54.0	216.83.55.255	CA
216.83.56.0	216.86.95.255	US
216.86.96.0	216.86.127.255	CA
216.86.128.0	216.88.63.255	US
216.88.64.0	216.88.64.255	GB
216.88.65.0	216.89.96.7	US
216.89.96.8	216.89.96.15	CA
216.89.96.16	216.89.96.183	US
216.89.96.184	216.89.96.191	CA
216.89.96.192	216.89.100.255	US
216.89.101.0	216.89.101.255	CA
216.89.102.0	216.89.196.15	US
216.89.196.16	216.89.196.31	CA
216.89.196.32	216.89.196.111	US
216.89.196.112	216.89.196.127	CA
216.89.196.128	216.89.220.255	US
216.89.221.0	216.89.221.255	CA
216.89.222.0	216.90.33.31	US
216.90.33.32	216.90.33.63	CA
216.90.33.64	216.90.48.255	US
216.90.49.0	216.90.49.255	CA
216.90.50.0	216.90.50.255	US
216.90.51.0	216.90.51.255	CA
216.90.52.0	216.90.121.223	US
216.90.121.224	216.90.121.255	CA
216.90.122.0	216.90.240.215	US
216.90.240.216	216.90.240.223	CA
216.90.240.224	216.90.240.247	US
216.90.240.248	216.90.240.255	CA
216.90.241.0	216.90.242.255	US
216.90.243.0	216.90.243.255	CA
216.90.244.0	216.90.254.31	US
216.90.254.32	216.90.254.63	CA
216.90.254.64	216.91.66.223	US
216.91.66.224	216.91.66.255	CA
216.91.67.0	216.91.130.63	US
216.91.130.64	216.91.130.95	CA
216.91.130.96	216.91.132.31	US
216.91.132.32	216.91.132.39	CA
216.91.132.40	216.91.132.55	US
216.91.132.56	216.91.132.63	CA
216.91.132.64	216.93.241.15	US
216.93.241.16	216.93.241.31	UG
216.93.241.32	216.93.255.255	US
216.94.0.0	216.94.1.63	CA
216.94.1.64	216.94.1.95	US
216.94.1.96	216.94.1.159	CA
216.94.1.160	216.94.1.191	US
216.94.1.192	216.94.1.255	CA
216.94.2.0	216.94.2.31	US
216.94.2.32	216.94.2.47	CA
216.94.2.48	216.94.2.79	US
216.94.2.80	216.94.2.255	CA
216.94.3.0	216.94.3.7	US
216.94.3.8	216.94.3.15	CA
216.94.3.16	216.94.3.23	US
216.94.3.24	216.94.3.31	CA
216.94.3.32	216.94.3.255	US
216.94.4.0	216.94.5.15	CA
216.94.5.16	216.94.5.31	US
216.94.5.32	216.94.5.63	CA
216.94.5.64	216.94.5.79	US
216.94.5.80	216.94.5.95	CA
216.94.5.96	216.94.5.111	US
216.94.5.112	216.94.5.127	CA
216.94.5.128	216.94.5.143	US
216.94.5.144	216.94.5.159	CA
216.94.5.160	216.94.5.175	US
216.94.5.176	216.94.5.207	CA
216.94.5.208	216.94.5.223	US
216.94.5.224	216.94.6.255	CA
216.94.7.0	216.94.7.63	US
216.94.7.64	216.94.7.191	CA
216.94.7.192	216.94.7.255	US
216.94.8.0	216.94.8.127	CA
216.94.8.128	216.94.8.191	US
216.94.8.192	216.94.11.47	CA
216.94.11.48	216.94.11.55	US
216.94.11.56	216.94.11.71	CA
216.94.11.72	216.94.11.79	US
216.94.11.80	216.94.11.159	CA
216.94.11.160	216.94.11.167	US
216.94.11.168	216.94.13.31	CA
216.94.13.32	216.94.13.39	US
216.94.13.40	216.94.13.63	CA
216.94.13.64	216.94.13.71	US
216.94.13.72	216.94.14.31	CA
216.94.14.32	216.94.14.63	US
216.94.14.64	216.94.14.127	CA
216.94.14.128	216.94.14.159	US
216.94.14.160	216.94.14.223	CA
216.94.14.224	216.94.15.95	US
216.94.15.96	216.94.15.127	CA
216.94.15.128	216.94.15.159	US
216.94.15.160	216.94.15.223	CA
216.94.15.224	216.94.15.255	US
216.94.16.0	216.94.16.255	CA
216.94.17.0	216.94.18.255	US
216.94.19.0	216.94.19.15	CA
216.94.19.16	216.94.19.31	US
216.94.19.32	216.94.19.63	CA
216.94.19.64	216.94.19.79	US
216.94.19.80	216.94.19.95	CA
216.94.19.96	216.94.19.111	US
216.94.19.112	216.94.19.159	CA
216.94.19.160	216.94.19.175	US
216.94.19.176	216.94.20.127	CA
216.94.20.128	216.94.20.191	US
216.94.20.192	216.94.20.255	CA
216.94.21.0	216.94.21.255	US
216.94.22.0	216.94.28.159	CA
216.94.28.160	216.94.28.191	US
216.94.28.192	216.94.34.47	CA
216.94.34.48	216.94.34.63	US
216.94.34.64	216.94.41.255	CA
216.94.42.0	216.94.42.255	US
216.94.43.0	216.94.44.87	CA
216.94.44.88	216.94.44.95	US
216.94.44.96	216.94.44.183	CA
216.94.44.184	216.94.44.191	US
216.94.44.192	216.94.44.239	CA
216.94.44.240	216.94.44.255	US
216.94.45.0	216.94.46.31	CA
216.94.46.32	216.94.46.63	US
216.94.46.64	216.94.47.63	CA
216.94.47.64	216.94.47.255	US
216.94.48.0	216.94.48.255	CA
216.94.49.0	216.94.49.15	US
216.94.49.16	216.94.50.119	CA
216.94.50.120	216.94.50.179	US
216.94.50.180	216.94.53.255	CA
216.94.54.0	216.94.54.63	US
216.94.54.64	216.94.55.63	CA
216.94.55.64	216.94.55.127	US
216.94.55.128	216.94.56.255	CA
216.94.57.0	216.94.57.63	IL
216.94.57.64	216.94.57.127	CA
216.94.57.128	216.94.57.255	US
216.94.58.0	216.94.59.95	CA
216.94.59.96	216.94.59.191	US
216.94.59.192	216.94.60.95	CA
216.94.60.96	216.94.60.111	US
216.94.60.112	216.94.64.95	CA
216.94.64.96	216.94.64.127	US
216.94.64.128	216.94.64.255	CA
216.94.65.0	216.94.65.255	US
216.94.66.0	216.94.69.255	CA
216.94.70.0	216.94.70.15	US
216.94.70.16	216.94.70.79	CA
216.94.70.80	216.94.70.95	US
216.94.70.96	216.94.70.127	CA
216.94.70.128	216.94.70.143	US
216.94.70.144	216.94.70.191	CA
216.94.70.192	216.94.70.207	US
216.94.70.208	216.94.70.223	CA
216.94.70.224	216.94.70.239	US
216.94.70.240	216.94.71.255	CA
216.94.72.0	216.94.72.255	US
216.94.73.0	216.94.73.255	CA
216.94.74.0	216.94.74.63	US
216.94.74.64	216.94.75.95	CA
216.94.75.96	216.94.75.127	US
216.94.75.128	216.94.75.255	CA
216.94.76.0	216.94.76.255	US
216.94.77.0	216.94.77.255	CA
216.94.78.0	216.94.78.255	US
216.94.79.0	216.94.80.255	CA
216.94.81.0	216.94.81.255	US
216.94.82.0	216.94.83.63	CA
216.94.83.64	216.94.83.95	US
216.94.83.96	216.94.83.255	CA
216.94.84.0	216.94.84.127	US
216.94.84.128	216.94.84.255	CA
216.94.85.0	216.94.85.15	US
216.94.85.16	216.94.85.23	CA
216.94.85.24	216.94.85.31	US
216.94.85.32	216.94.85.47	CA
216.94.85.48	216.94.85.55	US
216.94.85.56	216.94.85.95	CA
216.94.85.96	216.94.85.103	US
216.94.85.104	216.94.85.135	CA
216.94.85.136	216.94.85.143	US
216.94.85.144	216.94.85.159	CA
216.94.85.160	216.94.85.175	US
216.94.85.176	216.94.85.183	CA
216.94.85.184	216.94.85.191	US
216.94.85.192	216.94.85.199	CA
216.94.85.200	216.94.85.215	US
216.94.85.216	216.94.85.231	CA
216.94.85.232	216.94.85.239	US
216.94.85.240	216.94.85.247	CA
216.94.85.248	216.94.86.255	US
216.94.87.0	216.94.87.47	CA
216.94.87.48	216.94.87.63	US
216.94.87.64	216.94.91.255	CA
216.94.92.0	216.94.92.255	US
216.94.93.0	216.94.97.31	CA
216.94.97.32	216.94.97.47	US
216.94.97.48	216.94.97.79	CA
216.94.97.80	216.94.97.111	US
216.94.97.112	216.94.97.127	CA
216.94.97.128	216.94.97.143	US
216.94.97.144	216.94.98.63	CA
216.94.98.64	216.94.98.127	US
216.94.98.128	216.94.98.255	CA
216.94.99.0	216.94.99.127	US
216.94.99.128	216.94.102.47	CA
216.94.102.48	216.94.102.63	US
216.94.102.64	216.94.102.175	CA
216.94.102.176	216.94.102.191	US
216.94.102.192	216.94.102.207	CA
216.94.102.208	216.94.102.239	US
216.94.102.240	216.94.104.63	CA
216.94.104.64	216.94.104.127	US
216.94.104.128	216.94.104.255	CA
216.94.105.0	216.94.105.255	CN
216.94.106.0	216.94.113.15	CA
216.94.113.16	216.94.113.31	US
216.94.113.32	216.94.113.47	CA
216.94.113.48	216.94.113.63	US
216.94.113.64	216.94.113.255	CA
216.94.114.0	216.94.114.255	US
216.94.115.0	216.94.116.127	CA
216.94.116.128	216.94.116.255	CN
216.94.117.0	216.94.117.255	CA
216.94.118.0	216.94.118.255	US
216.94.119.0	216.94.125.207	CA
216.94.125.208	216.94.125.223	US
216.94.125.224	216.94.126.255	CA
216.94.127.0	216.94.127.255	US
216.94.128.0	216.94.128.63	CA
216.94.128.64	216.94.128.255	US
216.94.129.0	216.94.137.47	CA
216.94.137.48	216.94.137.79	US
216.94.137.80	216.94.137.143	CA
216.94.137.144	216.94.137.175	US
216.94.137.176	216.94.137.223	CA
216.94.137.224	216.94.137.255	US
216.94.138.0	216.94.138.7	CA
216.94.138.8	216.94.138.15	US
216.94.138.16	216.94.138.47	CA
216.94.138.48	216.94.138.63	US
216.94.138.64	216.94.138.103	CA
216.94.138.104	216.94.138.127	US
216.94.138.128	216.94.138.159	CA
216.94.138.160	216.94.138.175	US
216.94.138.176	216.94.141.47	CA
216.94.141.48	216.94.141.63	US
216.94.141.64	216.94.141.239	CA
216.94.141.240	216.94.141.255	US
216.94.142.0	216.94.142.255	CA
216.94.143.0	216.94.145.63	US
216.94.145.64	216.94.145.127	CA
216.94.145.128	216.94.145.191	US
216.94.145.192	216.94.145.255	CA
216.94.146.0	216.94.146.255	US
216.94.147.0	216.94.147.159	CA
216.94.147.160	216.94.147.191	US
216.94.147.192	216.94.151.127	CA
216.94.151.128	216.94.151.191	US
216.94.151.192	216.94.155.127	CA
216.94.155.128	216.94.155.159	US
216.94.155.160	216.94.157.31	CA
216.94.157.32	216.94.157.47	US
216.94.157.48	216.94.157.207	CA
216.94.157.208	216.94.157.223	AG
216.94.157.224	216.94.157.255	CA
216.94.158.0	216.94.161.255	US
216.94.162.0	216.94.163.127	CA
216.94.163.128	216.94.163.255	US
216.94.164.0	216.94.166.255	CA
216.94.167.0	216.94.167.255	US
216.94.168.0	216.94.171.255	CA
216.94.172.0	216.94.172.31	CH
216.94.172.32	216.94.172.255	CA
216.94.173.0	216.94.173.63	US
216.94.173.64	216.94.173.191	CA
216.94.173.192	216.94.173.255	US
216.94.174.0	216.94.174.143	CA
216.94.174.144	216.94.174.159	US
216.94.174.160	216.94.174.255	CA
216.94.175.0	216.94.176.63	US
216.94.176.64	216.94.176.255	CA
216.94.177.0	216.94.177.255	US
216.94.178.0	216.94.178.255	CA
216.94.179.0	216.94.179.255	US
216.94.180.0	216.94.180.255	CA
216.94.181.0	216.94.181.255	US
216.94.182.0	216.94.183.255	CA
216.94.184.0	216.94.184.143	US
216.94.184.144	216.94.184.151	CA
216.94.184.152	216.94.184.175	US
216.94.184.176	216.94.184.255	CA
216.94.185.0	216.94.185.255	US
216.94.186.0	216.94.186.191	CA
216.94.186.192	216.94.186.255	US
216.94.187.0	216.94.190.255	CA
216.94.191.0	216.94.192.255	US
216.94.193.0	216.94.194.255	CA
216.94.195.0	216.94.196.255	US
216.94.197.0	216.94.200.31	CA
216.94.200.32	216.94.200.47	US
216.94.200.48	216.94.200.79	CA
216.94.200.80	216.94.200.95	US
216.94.200.96	216.94.201.255	CA
216.94.202.0	216.94.202.255	US
216.94.203.0	216.94.208.47	CA
216.94.208.48	216.94.208.63	US
216.94.208.64	216.94.208.239	CA
216.94.208.240	216.94.208.255	US
216.94.209.0	216.94.209.31	CA
216.94.209.32	216.94.209.255	US
216.94.210.0	216.94.210.175	CA
216.94.210.176	216.94.210.191	US
216.94.210.192	216.94.211.254	CA
216.94.211.255	216.94.212.7	US
216.94.212.8	216.94.212.55	CA
216.94.212.56	216.94.212.63	US
216.94.212.64	216.94.212.183	CA
216.94.212.184	216.94.212.191	US
216.94.212.192	216.94.213.255	CA
216.94.214.0	216.94.214.255	US
216.94.215.0	216.94.215.255	CA
216.94.216.0	216.94.216.31	US
216.94.216.32	216.94.216.159	CA
216.94.216.160	216.94.216.223	US
216.94.216.224	216.94.217.255	CA
216.94.218.0	216.94.218.7	US
216.94.218.8	216.94.218.15	CA
216.94.218.16	216.94.218.23	US
216.94.218.24	216.94.218.31	CA
216.94.218.32	216.94.218.39	US
216.94.218.40	216.94.218.55	CA
216.94.218.56	216.94.218.71	US
216.94.218.72	216.94.218.87	CA
216.94.218.88	216.94.218.95	US
216.94.218.96	216.94.218.151	CA
216.94.218.152	216.94.218.167	US
216.94.218.168	216.94.218.183	CA
216.94.218.184	216.94.218.191	US
216.94.218.192	216.94.218.199	CA
216.94.218.200	216.94.218.207	US
216.94.218.208	216.94.218.255	CA
216.94.219.0	216.94.219.255	US
216.94.220.0	216.94.220.127	CA
216.94.220.128	216.94.221.127	US
216.94.221.128	216.94.226.47	CA
216.94.226.48	216.94.226.255	US
216.94.227.0	216.94.228.255	CA
216.94.229.0	216.94.230.255	KW
216.94.231.0	216.94.232.63	CA
216.94.232.64	216.94.232.95	US
216.94.232.96	216.94.238.255	CA
216.94.239.0	216.94.239.255	KW
216.94.240.0	216.94.241.127	CA
216.94.241.128	216.94.242.255	US
216.94.243.0	216.94.245.63	CA
216.94.245.64	216.94.245.95	US
216.94.245.96	216.94.245.127	CA
216.94.245.128	216.94.245.159	US
216.94.245.160	216.94.245.255	CA
216.94.246.0	216.94.247.63	US
216.94.247.64	216.94.253.191	CA
216.94.253.192	216.94.253.255	US
216.94.254.0	216.94.255.255	CA
216.95.0.0	216.95.5.159	US
216.95.5.160	216.95.5.175	CA
216.95.5.176	216.95.5.207	US
216.95.5.208	216.95.5.223	CA
216.95.5.224	216.95.143.255	US
216.95.144.0	216.95.145.63	CA
216.95.145.64	216.95.145.95	US
216.95.145.96	216.95.145.191	CA
216.95.145.192	216.95.145.255	US
216.95.146.0	216.95.154.31	CA
216.95.154.32	216.95.154.63	US
216.95.154.64	216.95.154.223	CA
216.95.154.224	216.95.154.255	US
216.95.155.0	216.95.157.255	CA
216.95.158.0	216.95.158.15	GB
216.95.158.16	216.95.158.223	CA
216.95.158.224	216.95.159.255	US
216.95.160.0	216.95.168.63	CA
216.95.168.64	216.95.168.127	US
216.95.168.128	216.95.168.191	CA
216.95.168.192	216.95.168.255	US
216.95.169.0	216.95.169.63	CA
216.95.169.64	216.95.169.95	US
216.95.169.96	216.95.169.159	CA
216.95.169.160	216.95.169.191	US
216.95.169.192	216.95.172.15	CA
216.95.172.16	216.95.172.31	US
216.95.172.32	216.95.172.47	CA
216.95.172.48	216.95.172.63	US
216.95.172.64	216.95.172.207	CA
216.95.172.208	216.95.172.255	US
216.95.173.0	216.95.174.31	CA
216.95.174.32	216.95.174.63	US
216.95.174.64	216.95.174.95	CA
216.95.174.96	216.95.174.255	US
216.95.175.0	216.95.175.63	CA
216.95.175.64	216.95.175.95	US
216.95.175.96	216.95.175.127	CA
216.95.175.128	216.95.175.159	US
216.95.175.160	216.95.183.63	CA
216.95.183.64	216.95.183.95	US
216.95.183.96	216.95.189.159	CA
216.95.189.160	216.95.189.191	US
216.95.189.192	216.95.190.191	CA
216.95.190.192	216.95.191.255	US
216.95.192.0	216.95.195.255	CA
216.95.196.0	216.95.196.255	US
216.95.197.0	216.95.197.255	CA
216.95.198.0	216.95.198.255	US
216.95.199.0	216.95.199.63	CA
216.95.199.64	216.95.199.79	US
216.95.199.80	216.95.199.95	CA
216.95.199.96	216.95.199.111	US
216.95.199.112	216.95.209.55	CA
216.95.209.56	216.95.209.63	US
216.95.209.64	216.95.209.79	CA
216.95.209.80	216.95.209.87	US
216.95.209.88	216.95.209.95	CA
216.95.209.96	216.95.209.103	US
216.95.209.104	216.95.209.191	CA
216.95.209.192	216.95.209.199	US
216.95.209.200	216.95.210.255	CA
216.95.211.0	216.95.211.255	US
216.95.212.0	216.95.212.127	CA
216.95.212.128	216.95.212.159	US
216.95.212.160	216.95.214.127	CA
216.95.214.128	216.95.214.191	US
216.95.214.192	216.95.215.255	CA
216.95.216.0	216.95.216.255	US
216.95.217.0	216.95.217.255	CA
216.95.218.0	216.95.218.15	US
216.95.218.16	216.95.218.87	CA
216.95.218.88	216.95.218.103	US
216.95.218.104	216.95.218.111	CA
216.95.218.112	216.95.218.119	US
216.95.218.120	216.95.218.143	CA
216.95.218.144	216.95.218.175	US
216.95.218.176	216.95.218.215	CA
216.95.218.216	216.95.218.223	US
216.95.218.224	216.95.219.255	CA
216.95.220.0	216.95.220.23	US
216.95.220.24	216.95.220.31	CA
216.95.220.32	216.95.220.215	US
216.95.220.216	216.95.220.239	CA
216.95.220.240	216.95.220.255	US
216.95.221.0	216.95.224.63	CA
216.95.224.64	216.95.224.127	US
216.95.224.128	216.95.225.127	CA
216.95.225.128	216.95.225.191	US
216.95.225.192	216.95.229.255	CA
216.95.230.0	216.95.230.255	US
216.95.231.0	216.95.231.7	CA
216.95.231.8	216.95.231.15	US
216.95.231.16	216.95.231.47	CA
216.95.231.48	216.95.231.55	US
216.95.231.56	216.95.231.215	CA
216.95.231.216	216.95.231.247	US
216.95.231.248	216.95.234.255	CA
216.95.235.0	216.95.235.15	US
216.95.235.16	216.95.235.111	CA
216.95.235.112	216.95.235.127	US
216.95.235.128	216.95.235.175	CA
216.95.235.176	216.95.235.191	US
216.95.235.192	216.95.235.239	CA
216.95.235.240	216.95.235.255	US
216.95.236.0	216.95.242.191	CA
216.95.242.192	216.95.242.223	US
216.95.242.224	216.95.243.31	CA
216.95.243.32	216.95.243.47	US
216.95.243.48	216.95.243.79	CA
216.95.243.80	216.95.243.95	US
216.95.243.96	216.95.243.191	CA
216.95.243.192	216.95.243.207	US
216.95.243.208	216.95.244.255	CA
216.95.245.0	216.95.245.63	US
216.95.245.64	216.95.245.191	CA
216.95.245.192	216.95.245.255	US
216.95.246.0	216.95.247.103	CA
216.95.247.104	216.95.247.111	FR
216.95.247.112	216.95.247.119	CA
216.95.247.120	216.95.247.135	US
216.95.247.136	216.95.248.63	CA
216.95.248.64	216.95.248.127	US
216.95.248.128	216.95.251.255	CA
216.95.252.0	216.95.252.255	US
216.95.253.0	216.95.253.63	CA
216.95.253.64	216.95.253.127	US
216.95.253.128	216.95.255.255	CA
216.96.0.0	216.98.1.255	US
216.98.2.0	216.98.2.15	RU
216.98.2.16	216.98.31.255	US
216.98.32.0	216.98.63.255	CA
216.98.64.0	216.98.113.175	US
216.98.113.176	216.98.113.191	JP
216.98.113.192	216.99.31.255	US
216.99.32.0	216.99.63.255	CA
216.99.64.0	216.99.95.255	US
216.99.96.0	216.99.111.255	CA
216.99.112.0	216.104.95.255	US
216.104.96.0	216.104.127.255	CA
216.104.128.0	216.104.204.255	US
216.104.205.0	216.104.206.255	TZ
216.104.207.0	216.105.79.255	US
216.105.80.0	216.105.95.255	CA
216.105.96.0	216.105.97.127	US
216.105.97.128	216.105.97.143	IL
216.105.97.144	216.105.107.240	US
216.105.107.241	216.105.107.248	IE
216.105.107.249	216.106.95.255	US
216.106.96.0	216.106.111.255	CA
216.106.112.0	216.107.255.255	US
216.108.0.0	216.108.191.255	CA
216.108.192.0	216.108.224.37	US
216.108.224.38	216.108.224.53	GB
216.108.224.54	216.108.224.75	US
216.108.224.76	216.108.224.91	MX
216.108.224.92	216.108.224.133	US
216.108.224.134	216.108.224.165	BR
216.108.224.166	216.108.228.3	US
216.108.228.4	216.108.228.99	HU
216.108.228.100	216.108.228.163	US
216.108.228.164	216.108.228.199	HU
216.108.228.200	216.108.228.227	US
216.108.228.228	216.108.228.235	CN
216.108.228.236	216.108.229.85	US
216.108.229.86	216.108.229.101	CA
216.108.229.102	216.108.229.127	US
216.108.229.128	216.108.229.143	CN
216.108.229.144	216.108.233.51	US
216.108.233.52	216.108.233.65	BD
216.108.233.66	216.108.234.107	US
216.108.234.108	216.108.234.123	CN
216.108.234.124	216.108.234.133	US
216.108.234.134	216.108.234.165	BD
216.108.234.166	216.108.234.197	UA
216.108.234.198	216.108.235.3	US
216.108.235.4	216.108.235.254	LT
216.108.235.255	216.108.236.215	US
216.108.236.216	216.108.236.231	CN
216.108.236.232	216.108.238.3	US
216.108.238.4	216.108.238.254	LT
216.108.238.255	216.108.239.3	US
216.108.239.4	216.108.239.254	LT
216.108.239.255	216.109.67.207	US
216.109.67.208	216.109.67.223	CA
216.109.67.224	216.109.67.255	US
216.109.68.0	216.109.68.255	CA
216.109.69.0	216.109.84.79	US
216.109.84.80	216.109.84.95	CA
216.109.84.96	216.109.84.175	US
216.109.84.176	216.109.84.183	CA
216.109.84.184	216.109.91.255	US
216.109.92.0	216.109.92.127	CA
216.109.92.128	216.109.93.95	US
216.109.93.96	216.109.93.103	CA
216.109.93.104	216.109.138.169	US
216.109.138.170	216.109.138.189	GB
216.109.138.190	216.109.141.229	US
216.109.141.230	216.109.141.239	CA
216.109.141.240	216.109.142.79	US
216.109.142.80	216.109.142.89	CA
216.109.142.90	216.109.142.149	US
216.109.142.150	216.109.142.159	CA
216.109.142.160	216.109.145.29	US
216.109.145.30	216.109.145.39	NO
216.109.145.40	216.110.95.255	US
216.110.96.0	216.110.97.255	VC
216.110.98.0	216.110.112.255	BB
216.110.113.0	216.110.116.255	GD
216.110.117.0	216.110.117.255	BB
216.110.118.0	216.110.118.255	GD
216.110.119.0	216.110.122.255	VC
216.110.123.0	216.110.124.255	BB
216.110.125.0	216.110.127.255	GD
216.110.128.0	216.110.223.255	US
216.110.224.0	216.110.255.255	CA
216.111.0.0	216.112.255.255	US
216.113.0.0	216.113.127.255	CA
216.113.128.0	216.113.191.255	US
216.113.192.0	216.113.193.47	CA
216.113.193.48	216.113.193.63	US
216.113.193.64	216.113.223.255	CA
216.113.224.0	216.115.76.255	US
216.115.77.0	216.115.77.255	GB
216.115.78.0	216.115.255.255	US
216.116.0.0	216.116.15.255	CA
216.116.16.0	216.118.127.255	US
216.118.128.0	216.118.159.255	CA
216.118.160.0	216.118.200.47	US
216.118.200.48	216.118.200.55	CA
216.118.200.56	216.118.207.255	US
216.118.208.0	216.118.223.255	CA
216.118.224.0	216.118.225.255	US
216.118.226.0	216.118.226.7	A2
216.118.226.8	216.118.226.15	US
216.118.226.16	216.118.226.23	BO
216.118.226.24	216.118.226.31	US
216.118.226.32	216.118.226.39	BO
216.118.226.40	216.118.226.47	US
216.118.226.48	216.118.226.63	EC
216.118.226.64	216.118.226.79	BO
216.118.226.80	216.118.226.95	A2
216.118.226.96	216.118.226.111	US
216.118.226.112	216.118.226.127	A2
216.118.226.128	216.118.226.159	BO
216.118.226.160	216.118.226.191	EC
216.118.226.192	216.118.226.255	US
216.118.227.0	216.118.227.127	CO
216.118.227.128	216.118.227.191	NI
216.118.227.192	216.118.227.255	A2
216.118.228.0	216.118.228.255	US
216.118.229.0	216.118.229.255	NG
216.118.230.0	216.118.230.255	EC
216.118.231.0	216.118.231.255	US
216.118.232.0	216.118.232.255	JM
216.118.233.0	216.118.236.255	PY
216.118.237.0	216.118.237.255	NG
216.118.238.0	216.118.239.31	US
216.118.239.32	216.118.239.63	A2
216.118.239.64	216.118.239.95	US
216.118.239.96	216.118.239.111	A2
216.118.239.112	216.118.239.143	US
216.118.239.144	216.118.239.159	EC
216.118.239.160	216.118.239.175	JM
216.118.239.176	216.118.239.207	BB
216.118.239.208	216.118.239.223	EC
216.118.239.224	216.118.255.255	A2
216.119.0.0	216.121.127.255	US
216.121.128.0	216.121.255.255	CA
216.122.0.0	216.122.20.31	US
216.122.20.32	216.122.20.63	CA
216.122.20.64	216.122.30.31	US
216.122.30.32	216.122.30.63	CA
216.122.30.64	216.122.255.255	US
216.123.0.0	216.123.255.255	CA
216.124.0.0	216.125.255.255	US
216.126.0.0	216.126.31.255	CA
216.126.32.0	216.126.63.255	US
216.126.64.0	216.126.127.255	CA
216.126.128.0	216.126.239.255	US
216.126.240.0	216.126.255.255	CA
216.127.0.0	216.127.165.255	US
216.127.166.0	216.127.166.255	CA
216.127.167.0	216.128.10.201	US
216.128.10.202	216.128.10.234	CA
216.128.10.235	216.128.24.237	US
216.128.24.238	216.128.24.249	AU
216.128.24.250	216.128.68.207	US
216.128.68.208	216.128.68.223	CA
216.128.68.224	216.128.75.15	US
216.128.75.16	216.128.75.31	CA
216.128.75.32	216.128.78.7	US
216.128.78.8	216.128.78.31	CA
216.128.78.32	216.128.87.47	US
216.128.87.48	216.128.87.63	PH
216.128.87.64	216.128.95.191	US
216.128.95.192	216.128.95.255	GB
216.128.96.0	216.128.255.255	US
216.129.0.0	216.129.95.255	CA
216.129.96.0	216.129.147.127	US
216.129.147.128	216.129.147.143	NG
216.129.147.144	216.129.158.255	US
216.129.159.0	216.129.159.255	NG
216.129.160.0	216.129.191.255	US
216.129.192.0	216.129.223.255	CA
216.129.224.0	216.130.63.255	US
216.130.64.0	216.130.95.255	CA
216.130.96.0	216.130.207.255	US
216.130.208.0	216.130.223.255	CA
216.130.224.0	216.131.64.63	US
216.131.64.64	216.131.64.79	GB
216.131.64.80	216.131.64.111	US
216.131.64.112	216.131.64.127	GB
216.131.64.128	216.131.64.135	DK
216.131.64.136	216.131.64.159	US
216.131.64.160	216.131.64.167	NL
216.131.64.168	216.131.64.175	RU
216.131.64.176	216.131.64.183	US
216.131.64.184	216.131.64.191	VE
216.131.64.192	216.131.64.207	US
216.131.64.208	216.131.64.215	GB
216.131.64.216	216.131.64.231	US
216.131.64.232	216.131.64.239	FR
216.131.64.240	216.131.64.247	US
216.131.64.248	216.131.64.255	RU
216.131.65.0	216.131.65.31	TK
216.131.65.32	216.131.65.55	US
216.131.65.56	216.131.65.63	GB
216.131.65.64	216.131.65.87	US
216.131.65.88	216.131.65.95	CA
216.131.65.96	216.131.65.103	GB
216.131.65.104	216.131.65.135	US
216.131.65.136	216.131.65.143	CA
216.131.65.144	216.131.65.159	GB
216.131.65.160	216.131.65.191	US
216.131.65.192	216.131.65.255	CA
216.131.66.0	216.131.66.255	US
216.131.67.0	216.131.67.63	IO
216.131.67.64	216.131.67.159	US
216.131.67.160	216.131.67.175	TH
216.131.67.176	216.131.67.255	US
216.131.68.0	216.131.68.7	GB
216.131.68.8	216.131.68.15	PH
216.131.68.16	216.131.68.31	TH
216.131.68.32	216.131.68.111	US
216.131.68.112	216.131.68.119	GB
216.131.68.120	216.131.68.135	US
216.131.68.136	216.131.68.143	TH
216.131.68.144	216.131.68.151	US
216.131.68.152	216.131.68.159	CA
216.131.68.160	216.131.68.183	US
216.131.68.184	216.131.68.191	CH
216.131.68.192	216.131.68.199	US
216.131.68.200	216.131.68.207	CA
216.131.68.208	216.131.68.231	US
216.131.68.232	216.131.68.239	GB
216.131.68.240	216.131.68.247	US
216.131.68.248	216.131.68.255	PL
216.131.69.0	216.131.69.95	US
216.131.69.96	216.131.69.111	GB
216.131.69.112	216.131.69.215	US
216.131.69.216	216.131.69.223	GB
216.131.69.224	216.131.69.231	KW
216.131.69.232	216.131.69.239	US
216.131.69.240	216.131.69.247	CA
216.131.69.248	216.131.69.255	GB
216.131.70.0	216.131.70.23	US
216.131.70.24	216.131.70.31	GB
216.131.70.32	216.131.70.207	US
216.131.70.208	216.131.70.215	BZ
216.131.70.216	216.131.70.247	US
216.131.70.248	216.131.70.255	TK
216.131.71.0	216.131.71.191	US
216.131.71.192	216.131.71.199	GB
216.131.71.200	216.131.72.95	US
216.131.72.96	216.131.72.127	TH
216.131.72.128	216.131.74.255	US
216.131.75.0	216.131.75.15	GB
216.131.75.16	216.131.75.55	US
216.131.75.56	216.131.75.63	AU
216.131.75.64	216.131.75.79	US
216.131.75.80	216.131.75.87	GB
216.131.75.88	216.131.75.255	US
216.131.76.0	216.131.76.7	CA
216.131.76.8	216.131.76.23	US
216.131.76.24	216.131.76.31	CN
216.131.76.32	216.131.76.39	NL
216.131.76.40	216.131.76.47	GI
216.131.76.48	216.131.76.63	GB
216.131.76.64	216.131.76.79	US
216.131.76.80	216.131.76.87	CA
216.131.76.88	216.131.76.95	US
216.131.76.96	216.131.76.127	SK
216.131.76.128	216.131.76.143	HK
216.131.76.144	216.131.76.223	US
216.131.76.224	216.131.76.255	GB
216.131.77.0	216.131.77.15	US
216.131.77.16	216.131.77.23	AU
216.131.77.24	216.131.77.31	PL
216.131.77.32	216.131.77.39	GB
216.131.77.40	216.131.77.79	US
216.131.77.80	216.131.77.87	PH
216.131.77.88	216.131.77.95	CA
216.131.77.96	216.131.77.175	US
216.131.77.176	216.131.77.191	TH
216.131.77.192	216.131.77.231	US
216.131.77.232	216.131.77.239	GB
216.131.77.240	216.131.77.247	DE
216.131.77.248	216.131.78.47	US
216.131.78.48	216.131.78.55	TR
216.131.78.56	216.131.78.63	CA
216.131.78.64	216.131.78.79	AU
216.131.78.80	216.131.78.95	TW
216.131.78.96	216.131.78.111	US
216.131.78.112	216.131.78.119	NL
216.131.78.120	216.131.78.127	US
216.131.78.128	216.131.78.143	SR
216.131.78.144	216.131.78.151	GI
216.131.78.152	216.131.78.159	GB
216.131.78.160	216.131.78.223	US
216.131.78.224	216.131.78.239	CA
216.131.78.240	216.131.78.247	GB
216.131.78.248	216.131.80.31	US
216.131.80.32	216.131.80.39	GB
216.131.80.40	216.131.81.15	US
216.131.81.16	216.131.81.31	GB
216.131.81.32	216.131.81.39	CA
216.131.81.40	216.131.81.47	TH
216.131.81.48	216.131.81.79	US
216.131.81.80	216.131.81.87	GI
216.131.81.88	216.131.81.119	US
216.131.81.120	216.131.81.127	HK
216.131.81.128	216.131.81.135	IL
216.131.81.136	216.131.81.143	CA
216.131.81.144	216.131.81.159	US
216.131.81.160	216.131.81.175	CA
216.131.81.176	216.131.81.183	US
216.131.81.184	216.131.81.191	BZ
216.131.81.192	216.131.81.199	US
216.131.81.200	216.131.81.207	FR
216.131.81.208	216.131.81.215	US
216.131.81.216	216.131.81.223	CA
216.131.81.224	216.131.81.231	HK
216.131.81.232	216.131.81.239	BZ
216.131.81.240	216.131.81.247	US
216.131.81.248	216.131.81.255	GB
216.131.82.0	216.131.82.191	US
216.131.82.192	216.131.82.223	TW
216.131.82.224	216.131.82.239	US
216.131.82.240	216.131.82.247	GB
216.131.82.248	216.131.82.255	US
216.131.83.0	216.131.83.15	GB
216.131.83.16	216.131.83.23	TH
216.131.83.24	216.131.83.31	NC
216.131.83.32	216.131.83.47	CA
216.131.83.48	216.131.83.55	US
216.131.83.56	216.131.83.63	CH
216.131.83.64	216.131.83.143	US
216.131.83.144	216.131.83.151	IT
216.131.83.152	216.131.83.159	US
216.131.83.160	216.131.83.191	TH
216.131.83.192	216.131.83.239	US
216.131.83.240	216.131.83.247	TH
216.131.83.248	216.131.84.15	US
216.131.84.16	216.131.84.23	SR
216.131.84.24	216.131.84.55	US
216.131.84.56	216.131.84.63	CA
216.131.84.64	216.131.84.95	US
216.131.84.96	216.131.84.111	NC
216.131.84.112	216.131.84.175	US
216.131.84.176	216.131.84.183	GB
216.131.84.184	216.131.84.191	US
216.131.84.192	216.131.84.199	GB
216.131.84.200	216.131.84.239	US
216.131.84.240	216.131.84.247	TH
216.131.84.248	216.131.84.255	CA
216.131.85.0	216.131.85.7	US
216.131.85.8	216.131.85.15	NC
216.131.85.16	216.131.85.23	US
216.131.85.24	216.131.85.31	GR
216.131.85.32	216.131.85.39	GB
216.131.85.40	216.131.85.47	TK
216.131.85.48	216.131.85.55	BR
216.131.85.56	216.131.85.95	US
216.131.85.96	216.131.85.103	CA
216.131.85.104	216.131.85.111	KW
216.131.85.112	216.131.85.119	US
216.131.85.120	216.131.85.127	CA
216.131.85.128	216.131.85.135	CZ
216.131.85.136	216.131.85.143	KW
216.131.85.144	216.131.85.215	US
216.131.85.216	216.131.85.223	CA
216.131.85.224	216.131.85.231	US
216.131.85.232	216.131.85.239	BZ
216.131.85.240	216.131.85.255	US
216.131.86.0	216.131.86.7	GB
216.131.86.8	216.131.86.15	KW
216.131.86.16	216.131.86.199	US
216.131.86.200	216.131.86.207	DE
216.131.86.208	216.131.86.215	US
216.131.86.216	216.131.86.223	BZ
216.131.86.224	216.131.86.255	US
216.131.87.0	216.131.87.7	TK
216.131.87.8	216.131.87.15	GB
216.131.87.16	216.131.87.119	US
216.131.87.120	216.131.87.127	GB
216.131.87.128	216.131.87.143	FR
216.131.87.144	216.131.87.175	US
216.131.87.176	216.131.87.183	GB
216.131.87.184	216.131.87.191	US
216.131.87.192	216.131.87.199	GB
216.131.87.200	216.131.87.207	FR
216.131.87.208	216.131.88.7	US
216.131.88.8	216.131.88.15	TH
216.131.88.16	216.131.88.23	US
216.131.88.24	216.131.88.31	CA
216.131.88.32	216.131.88.79	US
216.131.88.80	216.131.88.95	GB
216.131.88.96	216.131.88.119	US
216.131.88.120	216.131.88.127	GB
216.131.88.128	216.131.88.143	US
216.131.88.144	216.131.88.151	DE
216.131.88.152	216.131.88.167	US
216.131.88.168	216.131.88.175	IL
216.131.88.176	216.131.88.183	TH
216.131.88.184	216.131.89.31	US
216.131.89.32	216.131.89.47	HK
216.131.89.48	216.131.89.55	US
216.131.89.56	216.131.89.63	CA
216.131.89.64	216.131.89.95	TH
216.131.89.96	216.131.89.103	NL
216.131.89.104	216.131.89.127	US
216.131.89.128	216.131.89.159	DE
216.131.89.160	216.131.89.223	US
216.131.89.224	216.131.89.239	TH
216.131.89.240	216.131.89.247	GB
216.131.89.248	216.131.90.111	US
216.131.90.112	216.131.90.119	TH
216.131.90.120	216.131.90.127	CZ
216.131.90.128	216.131.90.191	US
216.131.90.192	216.131.90.223	EE
216.131.90.224	216.131.90.231	GB
216.131.90.232	216.131.91.255	US
216.131.92.0	216.131.92.31	GB
216.131.92.32	216.131.93.103	US
216.131.93.104	216.131.93.111	CA
216.131.93.112	216.131.93.127	US
216.131.93.128	216.131.93.135	BZ
216.131.93.136	216.131.93.143	IL
216.131.93.144	216.131.93.175	US
216.131.93.176	216.131.93.183	GB
216.131.93.184	216.131.93.191	CA
216.131.93.192	216.131.98.127	US
216.131.98.128	216.131.98.159	SR
216.131.98.160	216.131.98.167	US
216.131.98.168	216.131.98.175	AU
216.131.98.176	216.131.98.183	US
216.131.98.184	216.131.98.191	GB
216.131.98.192	216.131.101.159	US
216.131.101.160	216.131.101.167	TK
216.131.101.168	216.131.101.175	US
216.131.101.176	216.131.101.183	NL
216.131.101.184	216.131.101.191	US
216.131.101.192	216.131.101.215	GB
216.131.101.216	216.131.104.39	US
216.131.104.40	216.131.104.47	CA
216.131.104.48	216.131.104.55	TH
216.131.104.56	216.131.104.63	US
216.131.104.64	216.131.104.127	DE
216.131.104.128	216.131.104.191	US
216.131.104.192	216.131.104.199	BZ
216.131.104.200	216.131.104.207	US
216.131.104.208	216.131.104.223	TH
216.131.104.224	216.131.104.255	US
216.131.105.0	216.131.105.31	GB
216.131.105.32	216.131.105.63	IN
216.131.105.64	216.131.105.71	TH
216.131.105.72	216.131.105.79	US
216.131.105.80	216.131.105.87	MO
216.131.105.88	216.131.105.95	US
216.131.105.96	216.131.105.127	RU
216.131.105.128	216.131.105.135	GB
216.131.105.136	216.131.105.143	GR
216.131.105.144	216.131.105.183	US
216.131.105.184	216.131.105.191	CA
216.131.105.192	216.131.105.207	US
216.131.105.208	216.131.105.215	CA
216.131.105.216	216.131.105.231	US
216.131.105.232	216.131.105.239	HK
216.131.105.240	216.131.106.63	US
216.131.106.64	216.131.106.79	GB
216.131.106.80	216.131.106.143	US
216.131.106.144	216.131.106.159	IN
216.131.106.160	216.131.106.223	US
216.131.106.224	216.131.106.231	CA
216.131.106.232	216.131.106.255	US
216.131.107.0	216.131.107.63	DM
216.131.107.64	216.131.107.79	FR
216.131.107.80	216.131.107.95	BR
216.131.107.96	216.131.107.127	IN
216.131.107.128	216.131.107.207	US
216.131.107.208	216.131.107.223	TH
216.131.107.224	216.131.107.239	ZA
216.131.107.240	216.131.107.255	US
216.131.108.0	216.131.108.7	GB
216.131.108.8	216.131.108.15	US
216.131.108.16	216.131.108.23	GB
216.131.108.24	216.131.108.63	US
216.131.108.64	216.131.108.71	TH
216.131.108.72	216.131.108.79	US
216.131.108.80	216.131.108.87	TH
216.131.108.88	216.131.108.119	US
216.131.108.120	216.131.108.127	CA
216.131.108.128	216.131.109.31	US
216.131.109.32	216.131.109.47	TW
216.131.109.48	216.131.109.191	US
216.131.109.192	216.131.109.223	SR
216.131.109.224	216.131.109.231	NL
216.131.109.232	216.131.109.239	IO
216.131.109.240	216.131.109.247	IN
216.131.109.248	216.131.109.255	GB
216.131.110.0	216.131.110.55	US
216.131.110.56	216.131.110.63	GB
216.131.110.64	216.131.110.199	US
216.131.110.200	216.131.110.207	GB
216.131.110.208	216.131.110.223	US
216.131.110.224	216.131.110.231	CH
216.131.110.232	216.131.110.239	US
216.131.110.240	216.131.110.247	CA
216.131.110.248	216.131.111.31	US
216.131.111.32	216.131.111.39	CH
216.131.111.40	216.131.111.79	US
216.131.111.80	216.131.111.87	GB
216.131.111.88	216.131.111.167	US
216.131.111.168	216.131.111.175	TH
216.131.111.176	216.131.111.255	US
216.131.112.0	216.131.112.7	FR
216.131.112.8	216.131.112.15	US
216.131.112.16	216.131.112.31	GB
216.131.112.32	216.131.112.231	US
216.131.112.232	216.131.112.247	GB
216.131.112.248	216.131.113.39	US
216.131.113.40	216.131.113.47	CA
216.131.113.48	216.131.113.79	US
216.131.113.80	216.131.113.95	TH
216.131.113.96	216.131.113.103	US
216.131.113.104	216.131.113.111	TH
216.131.113.112	216.131.113.183	US
216.131.113.184	216.131.113.191	TH
216.131.113.192	216.131.113.215	US
216.131.113.216	216.131.113.223	GI
216.131.113.224	216.131.113.255	GB
216.131.114.0	216.131.114.15	US
216.131.114.16	216.131.114.23	ID
216.131.114.24	216.131.114.31	US
216.131.114.32	216.131.114.63	IO
216.131.114.64	216.131.114.95	US
216.131.114.96	216.131.114.103	GR
216.131.114.104	216.131.114.135	US
216.131.114.136	216.131.114.143	CA
216.131.114.144	216.131.114.151	GB
216.131.114.152	216.131.114.159	US
216.131.114.160	216.131.114.167	DE
216.131.114.168	216.131.114.183	US
216.131.114.184	216.131.114.191	TW
216.131.114.192	216.131.114.199	CA
216.131.114.200	216.131.114.207	DE
216.131.114.208	216.131.114.215	US
216.131.114.216	216.131.114.223	SK
216.131.114.224	216.131.114.231	US
216.131.114.232	216.131.114.239	IN
216.131.114.240	216.131.115.127	US
216.131.115.128	216.131.115.143	MX
216.131.115.144	216.131.115.159	JP
216.131.115.160	216.131.115.167	TK
216.131.115.168	216.131.115.255	US
216.131.116.0	216.131.116.7	TH
216.131.116.8	216.131.116.15	GB
216.131.116.16	216.131.116.39	US
216.131.116.40	216.131.116.47	SK
216.131.116.48	216.131.116.71	US
216.131.116.72	216.131.116.79	GB
216.131.116.80	216.131.116.95	NL
216.131.116.96	216.131.116.103	AU
216.131.116.104	216.131.116.127	US
216.131.116.128	216.131.116.135	NL
216.131.116.136	216.131.116.143	US
216.131.116.144	216.131.116.159	CA
216.131.116.160	216.131.117.23	US
216.131.117.24	216.131.117.31	CA
216.131.117.32	216.131.117.63	US
216.131.117.64	216.131.117.71	CA
216.131.117.72	216.131.117.79	US
216.131.117.80	216.131.117.87	CA
216.131.117.88	216.131.117.191	US
216.131.117.192	216.131.117.199	GB
216.131.117.200	216.131.117.207	CA
216.131.117.208	216.131.117.215	SK
216.131.117.216	216.131.117.247	US
216.131.117.248	216.131.117.255	CA
216.131.118.0	216.131.119.63	US
216.131.119.64	216.131.119.79	IO
216.131.119.80	216.131.119.95	US
216.131.119.96	216.131.119.103	CA
216.131.119.104	216.131.119.111	US
216.131.119.112	216.131.119.119	TH
216.131.119.120	216.131.119.199	US
216.131.119.200	216.131.119.207	NC
216.131.119.208	216.131.119.215	US
216.131.119.216	216.131.119.231	TH
216.131.119.232	216.131.119.255	US
216.131.120.0	216.131.120.127	CA
216.131.120.128	216.131.121.63	US
216.131.121.64	216.131.121.79	CN
216.131.121.80	216.131.121.127	US
216.131.121.128	216.131.121.159	FR
216.131.121.160	216.131.121.255	US
216.131.122.0	216.131.122.7	GB
216.131.122.8	216.131.122.95	US
216.131.122.96	216.131.122.103	ZA
216.131.122.104	216.131.122.127	US
216.131.122.128	216.131.122.135	GB
216.131.122.136	216.131.122.143	US
216.131.122.144	216.131.122.151	GB
216.131.122.152	216.131.122.215	US
216.131.122.216	216.131.122.223	CA
216.131.122.224	216.131.124.215	US
216.131.124.216	216.131.124.223	RU
216.131.124.224	216.131.125.95	US
216.131.125.96	216.131.125.127	GB
216.131.125.128	216.131.125.159	GI
216.131.125.160	216.131.125.183	US
216.131.125.184	216.131.125.191	NZ
216.131.125.192	216.131.126.7	US
216.131.126.8	216.131.126.15	NL
216.131.126.16	216.131.126.31	GB
216.131.126.32	216.131.126.63	US
216.131.126.64	216.131.126.95	IE
216.131.126.96	216.133.225.15	US
216.133.225.16	216.133.225.31	GB
216.133.225.32	216.134.229.199	US
216.134.229.200	216.134.229.207	SG
216.134.229.208	216.136.136.127	US
216.136.136.128	216.136.136.143	CN
216.136.136.144	216.136.162.207	US
216.136.162.208	216.136.162.223	CN
216.136.162.224	216.136.178.15	US
216.136.178.16	216.136.178.31	IN
216.136.178.32	216.136.182.255	US
216.136.183.0	216.136.183.31	TW
216.136.183.32	216.136.183.183	US
216.136.183.184	216.136.183.191	CN
216.136.183.192	216.136.217.175	US
216.136.217.176	216.136.217.191	CN
216.136.217.192	216.136.255.255	US
216.137.0.0	216.137.15.255	BS
216.137.16.0	216.137.95.255	US
216.137.96.0	216.137.127.255	CA
216.137.128.0	216.137.159.255	US
216.137.160.0	216.137.161.31	CA
216.137.161.32	216.137.161.47	US
216.137.161.48	216.137.175.255	CA
216.137.176.0	216.138.191.255	US
216.138.192.0	216.138.192.255	CA
216.138.193.0	216.138.193.31	US
216.138.193.32	216.138.209.159	CA
216.138.209.160	216.138.209.175	US
216.138.209.176	216.138.255.255	CA
216.139.0.0	216.139.159.255	US
216.139.160.0	216.139.161.255	PY
216.139.162.0	216.139.163.255	NI
216.139.164.0	216.139.164.15	US
216.139.164.16	216.139.164.23	A2
216.139.164.24	216.139.164.31	US
216.139.164.32	216.139.164.39	A2
216.139.164.40	216.139.164.47	US
216.139.164.48	216.139.164.55	A2
216.139.164.56	216.139.164.63	US
216.139.164.64	216.139.164.71	A2
216.139.164.72	216.139.164.79	NG
216.139.164.80	216.139.164.87	A2
216.139.164.88	216.139.164.143	US
216.139.164.144	216.139.164.159	A2
216.139.164.160	216.139.164.191	US
216.139.164.192	216.139.164.215	A2
216.139.164.216	216.139.165.255	US
216.139.166.0	216.139.166.255	SN
216.139.167.0	216.139.167.255	A2
216.139.168.0	216.139.169.191	US
216.139.169.192	216.139.169.199	A2
216.139.169.200	216.139.169.223	US
216.139.169.224	216.139.169.231	NG
216.139.169.232	216.139.170.7	US
216.139.170.8	216.139.170.15	NG
216.139.170.16	216.139.171.23	US
216.139.171.24	216.139.171.31	NL
216.139.171.32	216.139.171.47	US
216.139.171.48	216.139.171.55	PG
216.139.171.56	216.139.171.151	US
216.139.171.152	216.139.171.159	NL
216.139.171.160	216.139.171.231	US
216.139.171.232	216.139.171.239	NL
216.139.171.240	216.139.172.31	US
216.139.172.32	216.139.172.39	NG
216.139.172.40	216.139.172.47	US
216.139.172.48	216.139.172.55	A2
216.139.172.56	216.139.172.79	US
216.139.172.80	216.139.172.87	A2
216.139.172.88	216.139.172.95	US
216.139.172.96	216.139.172.127	GQ
216.139.172.128	216.139.172.223	US
216.139.172.224	216.139.172.239	NG
216.139.172.240	216.139.172.247	US
216.139.172.248	216.139.172.255	A2
216.139.173.0	216.139.173.95	US
216.139.173.96	216.139.173.119	NG
216.139.173.120	216.139.173.143	US
216.139.173.144	216.139.173.159	A2
216.139.173.160	216.139.174.255	US
216.139.175.0	216.139.175.255	A2
216.139.176.0	216.139.176.31	US
216.139.176.32	216.139.176.39	A2
216.139.176.40	216.139.176.47	US
216.139.176.48	216.139.176.55	A2
216.139.176.56	216.139.176.71	US
216.139.176.72	216.139.176.79	GH
216.139.176.80	216.139.176.87	NG
216.139.176.88	216.139.176.103	A2
216.139.176.104	216.139.176.111	NG
216.139.176.112	216.139.176.119	US
216.139.176.120	216.139.176.143	A2
216.139.176.144	216.139.176.151	NG
216.139.176.152	216.139.176.159	A2
216.139.176.160	216.139.176.175	NG
216.139.176.176	216.139.176.183	A2
216.139.176.184	216.139.179.63	US
216.139.179.64	216.139.179.95	A2
216.139.179.96	216.139.181.23	US
216.139.181.24	216.139.181.31	NG
216.139.181.32	216.139.181.63	US
216.139.181.64	216.139.181.255	NG
216.139.182.0	216.139.183.7	US
216.139.183.8	216.139.183.15	NL
216.139.183.16	216.139.183.63	US
216.139.183.64	216.139.183.79	NR
216.139.183.80	216.139.183.87	CN
216.139.183.88	216.139.183.127	US
216.139.183.128	216.139.183.143	NR
216.139.183.144	216.139.183.191	US
216.139.183.192	216.139.183.199	ID
216.139.183.200	216.139.184.23	US
216.139.184.24	216.139.184.31	A2
216.139.184.32	216.139.184.47	US
216.139.184.48	216.139.184.55	ID
216.139.184.56	216.139.184.175	US
216.139.184.176	216.139.184.183	ID
216.139.184.184	216.139.184.191	US
216.139.184.192	216.139.184.223	ID
216.139.184.224	216.139.185.7	US
216.139.185.8	216.139.185.15	NG
216.139.185.16	216.139.185.31	US
216.139.185.32	216.139.185.79	A2
216.139.185.80	216.139.186.255	US
216.139.187.0	216.139.187.255	HT
216.139.188.0	216.139.188.191	US
216.139.188.192	216.139.188.223	TT
216.139.188.224	216.139.189.63	US
216.139.189.64	216.139.189.127	A2
216.139.189.128	216.139.200.143	US
216.139.200.144	216.139.200.159	CA
216.139.200.160	216.141.182.255	US
216.141.183.0	216.141.183.127	MX
216.141.183.128	216.144.79.255	US
216.144.80.0	216.144.80.143	KY
216.144.80.144	216.144.80.159	US
216.144.80.160	216.144.95.255	KY
216.144.96.0	216.144.111.255	US
216.144.112.0	216.144.127.255	CA
216.144.128.0	216.144.225.95	US
216.144.225.96	216.144.225.127	BA
216.144.225.128	216.144.230.79	US
216.144.230.80	216.144.230.95	CA
216.144.230.96	216.144.238.191	US
216.144.238.192	216.144.238.223	CA
216.144.238.224	216.144.239.63	US
216.144.239.64	216.144.239.95	IN
216.144.239.96	216.144.247.255	US
216.145.0.0	216.145.95.255	US
216.145.96.0	216.145.111.255	CA
216.145.112.0	216.146.127.255	US
216.146.128.0	216.146.143.255	CA
216.146.144.0	216.147.6.0	US
216.147.6.1	216.147.6.254	ES
216.147.6.255	216.147.127.255	US
216.147.128.0	216.147.129.255	GA
216.147.130.0	216.147.131.255	A2
216.147.132.0	216.147.133.255	GA
216.147.134.0	216.147.135.255	A2
216.147.136.0	216.147.139.255	GA
216.147.140.0	216.147.140.255	A2
216.147.141.0	216.147.141.255	GA
216.147.142.0	216.147.142.127	A2
216.147.142.128	216.147.142.255	GA
216.147.143.0	216.147.144.255	A2
216.147.145.0	216.147.145.255	GA
216.147.146.0	216.147.146.255	A2
216.147.147.0	216.147.147.255	US
216.147.148.0	216.147.148.127	A2
216.147.148.128	216.147.148.191	US
216.147.148.192	216.147.149.255	A2
216.147.150.0	216.147.151.255	GA
216.147.152.0	216.147.155.255	A2
216.147.156.0	216.147.156.255	US
216.147.157.0	216.147.158.15	A2
216.147.158.16	216.147.158.31	GA
216.147.158.32	216.147.158.55	US
216.147.158.56	216.147.158.63	A2
216.147.158.64	216.147.158.71	US
216.147.158.72	216.147.158.135	A2
216.147.158.136	216.147.158.143	US
216.147.158.144	216.147.158.231	A2
216.147.158.232	216.147.158.239	US
216.147.158.240	216.147.158.255	A2
216.147.159.0	216.147.159.127	GW
216.147.159.128	216.147.159.143	US
216.147.159.144	216.147.159.199	A2
216.147.159.200	216.147.159.215	US
216.147.159.216	216.147.159.247	A2
216.147.159.248	216.151.149.39	US
216.151.149.40	216.151.149.47	CA
216.151.149.48	216.151.159.255	US
216.151.160.0	216.151.162.15	CA
216.151.162.16	216.151.162.31	US
216.151.162.32	216.151.162.55	CA
216.151.162.56	216.151.162.63	IN
216.151.162.64	216.151.162.79	US
216.151.162.80	216.151.162.87	CA
216.151.162.88	216.151.162.95	IN
216.151.162.96	216.151.162.111	ZA
216.151.162.112	216.151.162.143	US
216.151.162.144	216.151.162.151	CA
216.151.162.152	216.151.162.159	US
216.151.162.160	216.151.162.167	IN
216.151.162.168	216.151.162.183	US
216.151.162.184	216.151.162.191	IN
216.151.162.192	216.151.162.199	NG
216.151.162.200	216.151.162.215	CA
216.151.162.216	216.151.162.239	US
216.151.162.240	216.151.163.31	CA
216.151.163.32	216.151.163.63	IN
216.151.163.64	216.151.163.71	NG
216.151.163.72	216.151.163.79	US
216.151.163.80	216.151.163.87	CA
216.151.163.88	216.151.163.143	US
216.151.163.144	216.151.163.151	CA
216.151.163.152	216.151.163.159	IN
216.151.163.160	216.151.163.175	CA
216.151.163.176	216.151.163.183	ZA
216.151.163.184	216.151.163.191	IN
216.151.163.192	216.151.163.199	US
216.151.163.200	216.151.163.207	ZA
216.151.163.208	216.151.173.255	CA
216.151.174.0	216.151.174.63	IN
216.151.174.64	216.151.174.255	CA
216.151.175.0	216.151.175.31	IN
216.151.175.32	216.151.175.255	CA
216.151.176.0	216.151.182.95	US
216.151.182.96	216.151.182.127	BB
216.151.182.128	216.151.185.255	US
216.151.186.0	216.151.186.127	CY
216.151.186.128	216.152.159.255	US
216.152.160.0	216.152.175.255	AN
216.152.176.0	216.152.191.255	US
216.152.192.0	216.152.207.255	CA
216.152.208.0	216.153.38.255	US
216.153.39.0	216.153.39.255	IT
216.153.40.0	216.153.64.255	US
216.153.65.0	216.153.65.63	TN
216.153.65.64	216.153.255.255	US
216.154.0.0	216.154.191.255	CA
216.154.192.0	216.155.63.255	US
216.155.64.0	216.155.95.255	CL
216.155.96.0	216.155.111.159	US
216.155.111.160	216.155.111.191	SV
216.155.111.192	216.156.92.7	US
216.156.92.8	216.156.92.15	CA
216.156.92.16	216.156.92.31	JP
216.156.92.32	216.156.92.63	US
216.156.92.64	216.156.92.79	GB
216.156.92.80	216.156.92.127	US
216.156.92.128	216.156.92.143	CA
216.156.92.144	216.156.129.127	US
216.156.129.128	216.156.129.191	CA
216.156.129.192	216.156.131.127	US
216.156.131.128	216.156.131.254	CA
216.156.131.255	216.156.132.39	US
216.156.132.40	216.156.132.47	CA
216.156.132.48	216.156.140.15	US
216.156.140.16	216.156.140.31	CA
216.156.140.32	216.157.142.95	US
216.157.142.96	216.157.142.103	AT
216.157.142.104	216.157.143.175	US
216.157.143.176	216.157.143.191	GB
216.157.143.192	216.158.134.1	US
216.158.134.2	216.158.134.33	GB
216.158.134.34	216.158.141.229	US
216.158.141.230	216.158.141.239	GB
216.158.141.240	216.158.142.105	US
216.158.142.106	216.158.142.119	CA
216.158.142.120	216.158.143.64	US
216.158.143.65	216.158.143.128	CN
216.158.143.129	216.158.147.0	US
216.158.147.1	216.158.147.255	CN
216.158.148.0	216.158.148.0	US
216.158.148.1	216.158.148.96	CA
216.158.148.97	216.160.10.47	US
216.160.10.48	216.160.10.55	CA
216.160.10.56	216.162.63.255	US
216.162.64.0	216.162.79.255	CA
216.162.80.0	216.162.223.255	US
216.162.224.0	216.162.239.255	CA
216.162.240.0	216.167.223.255	US
216.167.224.0	216.167.255.255	CA
216.168.0.0	216.168.95.255	US
216.168.96.0	216.168.105.79	CA
216.168.105.80	216.168.105.95	US
216.168.105.96	216.168.127.255	CA
216.168.128.0	216.168.143.255	US
216.168.144.0	216.168.159.255	CA
216.168.160.0	216.171.88.63	US
216.171.88.64	216.171.88.127	MX
216.171.88.128	216.171.95.255	US
216.171.96.0	216.171.97.151	CA
216.171.97.152	216.171.97.159	US
216.171.97.160	216.171.111.255	CA
216.171.112.0	216.171.223.255	US
216.171.224.0	216.171.239.255	CA
216.171.240.0	216.174.127.255	US
216.174.128.0	216.174.159.255	CA
216.174.160.0	216.176.47.255	US
216.176.48.0	216.176.63.255	CA
216.176.64.0	216.176.177.223	US
216.176.177.224	216.176.177.239	CH
216.176.177.240	216.176.183.191	US
216.176.183.192	216.176.183.255	CH
216.176.184.0	216.176.185.191	US
216.176.185.192	216.176.185.223	CH
216.176.185.224	216.176.186.191	US
216.176.186.192	216.176.186.223	CH
216.176.186.224	216.176.199.95	US
216.176.199.96	216.176.199.127	GB
216.176.199.128	216.176.199.191	US
216.176.199.192	216.176.199.199	GB
216.176.199.200	216.176.200.31	US
216.176.200.32	216.176.200.47	GB
216.176.200.48	216.176.207.255	US
216.176.208.0	216.176.223.255	CA
216.176.224.0	216.177.191.255	US
216.177.192.0	216.177.192.255	PR
216.177.193.0	216.177.194.255	US
216.177.195.0	216.177.195.127	PR
216.177.195.128	216.177.196.255	US
216.177.197.0	216.177.197.255	PR
216.177.198.0	216.177.199.119	US
216.177.199.120	216.177.199.127	MX
216.177.199.128	216.177.199.231	US
216.177.199.232	216.177.199.239	MX
216.177.199.240	216.177.199.247	CO
216.177.199.248	216.177.200.255	US
216.177.201.0	216.177.203.255	PR
216.177.204.0	216.177.204.7	US
216.177.204.8	216.177.204.15	PR
216.177.204.16	216.177.204.255	US
216.177.205.0	216.177.205.255	PR
216.177.206.0	216.177.207.63	US
216.177.207.64	216.177.207.95	PR
216.177.207.96	216.177.207.119	US
216.177.207.120	216.177.207.127	PR
216.177.207.128	216.177.207.207	US
216.177.207.208	216.177.207.215	ES
216.177.207.216	216.177.209.255	US
216.177.210.0	216.177.210.15	ES
216.177.210.16	216.177.212.31	US
216.177.212.32	216.177.212.63	VE
216.177.212.64	216.177.212.127	SV
216.177.212.128	216.177.212.199	US
216.177.212.200	216.177.212.207	NO
216.177.212.208	216.177.214.223	US
216.177.214.224	216.177.214.239	PR
216.177.214.240	216.179.191.255	US
216.179.192.0	216.179.199.255	CN
216.179.200.0	216.182.91.127	US
216.182.91.128	216.182.91.159	CA
216.182.91.160	216.182.162.111	US
216.182.162.112	216.182.162.127	CA
216.182.162.128	216.182.196.127	US
216.182.196.128	216.182.196.159	CA
216.182.196.160	216.182.255.255	US
216.183.0.0	216.183.31.255	CA
216.183.32.0	216.183.79.255	US
216.183.80.0	216.183.93.255	CA
216.183.94.0	216.183.94.31	US
216.183.94.32	216.183.95.255	CA
216.183.96.0	216.183.127.255	US
216.183.128.0	216.183.159.255	CA
216.183.160.0	216.184.95.255	US
216.184.96.0	216.184.103.255	SV
216.184.104.0	216.184.104.255	US
216.184.105.0	216.184.105.255	BO
216.184.106.0	216.184.111.255	SV
216.184.112.0	216.184.115.255	BO
216.184.116.0	216.184.119.255	PY
216.184.120.0	216.184.127.255	SV
216.184.128.0	216.185.63.255	US
216.185.64.0	216.185.74.15	CA
216.185.74.16	216.185.74.31	US
216.185.74.32	216.185.95.255	CA
216.185.96.0	216.185.239.255	US
216.185.240.0	216.185.255.255	CA
216.186.0.0	216.187.64.223	US
216.187.64.224	216.187.64.255	CA
216.187.65.0	216.187.65.255	US
216.187.66.0	216.187.66.55	CA
216.187.66.56	216.187.66.127	US
216.187.66.128	216.187.66.151	CA
216.187.66.152	216.187.66.159	US
216.187.66.160	216.187.66.223	CA
216.187.66.224	216.187.66.239	BS
216.187.66.240	216.187.66.247	CA
216.187.66.248	216.187.66.255	US
216.187.67.0	216.187.67.127	CA
216.187.67.128	216.187.67.159	US
216.187.67.160	216.187.68.159	CA
216.187.68.160	216.187.68.183	US
216.187.68.184	216.187.68.192	CA
216.187.68.193	216.187.68.239	US
216.187.68.240	216.187.69.207	CA
216.187.69.208	216.187.69.223	US
216.187.69.224	216.187.72.255	CA
216.187.73.0	216.187.73.15	US
216.187.73.16	216.187.73.63	CA
216.187.73.64	216.187.73.71	US
216.187.73.72	216.187.73.79	CA
216.187.73.80	216.187.73.127	US
216.187.73.128	216.187.73.191	CA
216.187.73.192	216.187.73.199	MX
216.187.73.200	216.187.73.207	US
216.187.73.208	216.187.73.215	CA
216.187.73.216	216.187.73.223	US
216.187.73.224	216.187.74.15	CA
216.187.74.16	216.187.74.63	US
216.187.74.64	216.187.74.191	CA
216.187.74.192	216.187.74.223	KN
216.187.74.224	216.187.75.255	CA
216.187.76.0	216.187.76.31	US
216.187.76.32	216.187.77.223	CA
216.187.77.224	216.187.77.239	US
216.187.77.240	216.187.77.247	CA
216.187.77.248	216.187.77.255	US
216.187.78.0	216.187.82.15	CA
216.187.82.16	216.187.82.31	US
216.187.82.32	216.187.82.95	CA
216.187.82.96	216.187.82.99	US
216.187.82.100	216.187.82.110	CA
216.187.82.111	216.187.82.111	US
216.187.82.112	216.187.82.127	CA
216.187.82.128	216.187.82.191	US
216.187.82.192	216.187.83.255	CA
216.187.84.0	216.187.84.15	US
216.187.84.16	216.187.84.63	CA
216.187.84.64	216.187.84.127	US
216.187.84.128	216.187.85.127	CA
216.187.85.128	216.187.85.191	US
216.187.85.192	216.187.86.255	CA
216.187.87.0	216.187.87.31	US
216.187.87.32	216.187.87.95	CA
216.187.87.96	216.187.87.96	US
216.187.87.97	216.187.87.111	CA
216.187.87.112	216.187.87.119	US
216.187.87.120	216.187.87.255	CA
216.187.88.0	216.187.89.255	US
216.187.90.0	216.187.90.135	CA
216.187.90.136	216.187.90.239	US
216.187.90.240	216.187.90.255	CA
216.187.91.0	216.187.91.255	US
216.187.92.0	216.187.94.63	CA
216.187.94.64	216.187.94.79	US
216.187.94.80	216.187.94.111	CA
216.187.94.112	216.187.94.127	US
216.187.94.128	216.187.95.7	CA
216.187.95.8	216.187.95.15	US
216.187.95.16	216.187.95.127	CA
216.187.95.128	216.187.95.143	US
216.187.95.144	216.187.95.159	CA
216.187.95.160	216.187.95.191	US
216.187.95.192	216.187.96.255	CA
216.187.97.0	216.187.97.31	US
216.187.97.32	216.187.97.95	CA
216.187.97.96	216.187.97.111	US
216.187.97.112	216.187.97.127	CA
216.187.97.128	216.187.97.255	US
216.187.98.0	216.187.100.255	CA
216.187.101.0	216.187.101.31	US
216.187.101.32	216.187.101.63	CA
216.187.101.64	216.187.101.95	US
216.187.101.96	216.187.101.127	CA
216.187.101.128	216.187.101.255	IN
216.187.102.0	216.187.102.255	US
216.187.103.0	216.187.103.159	CA
216.187.103.160	216.187.103.175	US
216.187.103.176	216.187.105.63	CA
216.187.105.64	216.187.105.127	US
216.187.105.128	216.187.105.159	CA
216.187.105.160	216.187.105.207	US
216.187.105.208	216.187.106.255	CA
216.187.107.0	216.187.107.47	US
216.187.107.48	216.187.107.255	CA
216.187.108.0	216.187.108.255	US
216.187.109.0	216.187.109.79	CA
216.187.109.80	216.187.109.93	US
216.187.109.94	216.187.109.151	CA
216.187.109.152	216.187.109.159	US
216.187.109.160	216.187.111.255	CA
216.187.112.0	216.187.115.255	US
216.187.116.0	216.187.117.255	CA
216.187.118.0	216.187.118.15	BV
216.187.118.16	216.187.118.223	CA
216.187.118.224	216.187.118.231	US
216.187.118.232	216.187.118.239	CA
216.187.118.240	216.187.118.255	US
216.187.119.0	216.187.119.255	CA
216.187.120.0	216.187.121.255	US
216.187.122.0	216.187.122.255	CA
216.187.123.0	216.187.123.95	US
216.187.123.96	216.187.123.127	CA
216.187.123.128	216.187.125.255	US
216.187.126.0	216.187.127.255	CA
216.187.128.0	216.188.25.255	US
216.188.26.0	216.188.26.255	AU
216.188.27.0	216.189.2.63	US
216.189.2.64	216.189.2.127	DE
216.189.2.128	216.189.7.127	US
216.189.7.128	216.189.7.159	HK
216.189.7.160	216.190.255.255	US
216.191.0.0	216.191.255.255	CA
216.192.0.0	216.193.197.111	US
216.193.197.112	216.193.197.127	CA
216.193.197.128	216.194.63.255	US
216.194.64.0	216.194.69.255	CA
216.194.70.0	216.194.70.255	US
216.194.71.0	216.194.111.255	CA
216.194.112.0	216.194.127.255	US
216.194.128.0	216.194.131.255	AR
216.194.132.0	216.194.133.255	BR
216.194.134.0	216.194.134.255	AR
216.194.135.0	216.194.135.255	BR
216.194.136.0	216.194.139.255	MX
216.194.140.0	216.194.141.255	PE
216.194.142.0	216.194.161.95	US
216.194.161.96	216.194.161.127	CR
216.194.161.128	216.194.161.159	US
216.194.161.160	216.194.161.207	CR
216.194.161.208	216.194.161.223	US
216.194.161.224	216.194.161.255	CR
216.194.162.0	216.194.162.175	US
216.194.162.176	216.194.162.223	CR
216.194.162.224	216.194.162.239	US
216.194.162.240	216.194.163.63	CR
216.194.163.64	216.194.163.95	US
216.194.163.96	216.194.163.111	CR
216.194.163.112	216.194.163.127	US
216.194.163.128	216.194.163.143	CR
216.194.163.144	216.194.163.255	US
216.194.164.0	216.194.164.63	CR
216.194.164.64	216.194.164.95	US
216.194.164.96	216.194.165.255	CR
216.194.166.0	216.194.166.255	US
216.194.167.0	216.194.168.127	CR
216.194.168.128	216.194.170.255	US
216.194.171.0	216.194.171.127	CR
216.194.171.128	216.195.36.255	US
216.195.38.0	216.195.38.255	SC
216.195.40.0	216.195.40.255	GI
216.195.41.0	216.195.41.255	US
216.195.42.0	216.195.42.255	BZ
216.195.43.0	216.195.43.255	CY
216.195.45.0	216.195.45.255	SC
216.195.46.0	216.195.46.255	DE
216.195.47.96	216.195.47.127	RU
216.195.48.0	216.195.48.63	US
216.195.48.192	216.195.48.255	RU
216.195.49.64	216.195.49.79	RU
216.195.50.0	216.195.50.31	VG
216.195.50.224	216.195.50.255	IT
216.195.51.0	216.195.51.255	SC
216.195.52.0	216.195.52.255	GB
216.195.64.0	216.197.127.255	US
216.197.128.0	216.197.255.255	CA
216.198.0.0	216.198.127.255	US
216.198.128.0	216.198.159.255	CA
216.198.160.0	216.198.193.159	US
216.198.193.160	216.198.193.191	MY
216.198.193.192	216.198.194.63	US
216.198.194.64	216.198.194.95	CA
216.198.194.96	216.198.194.127	IN
216.198.194.128	216.198.194.159	US
216.198.194.160	216.198.194.191	IN
216.198.194.192	216.198.194.255	US
216.198.195.0	216.198.195.255	MY
216.198.196.0	216.198.196.127	US
216.198.196.128	216.198.196.255	MY
216.198.197.0	216.198.197.255	US
216.198.198.0	216.198.198.255	CA
216.198.199.0	216.198.199.31	HK
216.198.199.32	216.198.199.63	US
216.198.199.64	216.198.199.95	IN
216.198.199.96	216.198.199.159	US
216.198.199.160	216.198.199.223	CA
216.198.199.224	216.198.200.31	US
216.198.200.32	216.198.200.63	IN
216.198.200.64	216.198.200.95	US
216.198.200.96	216.198.200.127	BE
216.198.200.128	216.198.200.159	US
216.198.200.160	216.198.200.191	BE
216.198.200.192	216.198.200.223	IN
216.198.200.224	216.198.201.127	US
216.198.201.128	216.198.201.225	IN
216.198.201.226	216.198.202.127	US
216.198.202.128	216.198.202.255	IN
216.198.203.0	216.198.203.127	US
216.198.203.128	216.198.203.255	IN
216.198.204.0	216.198.204.95	US
216.198.204.96	216.198.204.127	IN
216.198.204.128	216.198.204.191	CA
216.198.204.192	216.198.204.223	HK
216.198.204.224	216.198.206.255	US
216.198.207.0	216.198.207.255	CA
216.198.208.0	216.198.209.255	US
216.198.210.0	216.198.210.255	IN
216.198.211.0	216.198.211.255	US
216.198.212.0	216.198.213.255	CA
216.198.214.0	216.198.214.95	US
216.198.214.96	216.198.214.127	IT
216.198.214.128	216.198.214.223	CA
216.198.214.224	216.198.215.31	US
216.198.215.32	216.198.215.63	CN
216.198.215.64	216.198.215.127	IT
216.198.215.128	216.198.215.255	US
216.198.216.0	216.198.216.255	CA
216.198.217.0	216.198.217.63	IN
216.198.217.64	216.198.217.159	US
216.198.217.160	216.198.217.191	BE
216.198.217.192	216.198.217.255	US
216.198.218.0	216.198.218.127	CA
216.198.218.128	216.198.218.255	US
216.198.219.0	216.198.219.255	AU
216.198.220.0	216.198.220.191	US
216.198.220.192	216.198.220.255	CA
216.198.221.0	216.198.221.63	US
216.198.221.64	216.198.221.95	BE
216.198.221.96	216.198.221.255	US
216.198.222.0	216.198.222.127	TW
216.198.222.128	216.198.222.255	IN
216.198.223.0	216.198.224.255	US
216.198.225.0	216.198.225.63	JP
216.198.225.64	216.198.227.63	US
216.198.227.64	216.198.227.95	BE
216.198.227.96	216.198.230.255	US
216.198.231.0	216.198.231.255	CA
216.198.232.0	216.198.232.255	US
216.198.233.0	216.198.233.255	CA
216.198.234.0	216.198.234.127	US
216.198.234.128	216.198.234.255	CA
216.198.235.0	216.198.235.159	US
216.198.235.160	216.198.235.191	IN
216.198.235.192	216.198.235.255	US
216.198.236.0	216.198.236.127	IN
216.198.236.128	216.198.236.255	US
216.198.237.0	216.198.237.127	IN
216.198.237.128	216.198.239.255	US
216.198.240.0	216.198.240.127	CA
216.198.240.128	216.198.240.255	US
216.198.241.0	216.198.241.127	CA
216.198.241.128	216.198.241.255	IN
216.198.242.0	216.198.242.255	US
216.198.243.0	216.198.243.128	CA
216.198.243.129	216.198.244.7	US
216.198.244.8	216.198.244.15	IN
216.198.244.16	216.198.244.23	CA
216.198.244.24	216.198.244.47	US
216.198.244.48	216.198.244.55	IN
216.198.244.56	216.198.244.199	US
216.198.244.200	216.198.244.207	HK
216.198.244.208	216.198.245.127	US
216.198.245.128	216.198.250.255	CA
216.198.251.0	216.198.251.31	IN
216.198.251.32	216.198.251.63	US
216.198.251.64	216.198.251.95	CA
216.198.251.96	216.198.251.127	IN
216.198.251.128	216.198.251.159	CA
216.198.251.160	216.198.251.191	IN
216.198.251.192	216.198.253.159	US
216.198.253.160	216.198.253.191	BE
216.198.253.192	216.198.253.255	US
216.198.254.0	216.198.254.63	GB
216.198.254.64	216.201.80.15	US
216.201.80.16	216.201.80.31	AD
216.201.80.32	216.201.80.63	US
216.201.80.64	216.201.80.71	SK
216.201.80.72	216.201.80.79	IL
216.201.80.80	216.201.80.95	CY
216.201.80.96	216.201.80.127	US
216.201.80.128	216.201.80.143	CA
216.201.80.144	216.201.80.159	CY
216.201.80.160	216.201.80.199	US
216.201.80.200	216.201.80.207	FI
216.201.80.208	216.201.80.223	CA
216.201.80.224	216.201.80.255	GB
216.201.81.0	216.201.81.7	US
216.201.81.8	216.201.81.15	AD
216.201.81.16	216.201.81.31	CY
216.201.81.32	216.201.81.151	US
216.201.81.152	216.201.81.159	CA
216.201.81.160	216.201.81.175	NE
216.201.81.176	216.201.81.191	US
216.201.81.192	216.201.81.207	IL
216.201.81.208	216.201.81.215	CA
216.201.81.216	216.201.83.255	US
216.201.84.0	216.201.84.255	CY
216.201.85.0	216.201.85.15	US
216.201.85.16	216.201.85.31	AD
216.201.85.32	216.201.85.63	US
216.201.85.64	216.201.85.79	CY
216.201.85.80	216.201.88.15	US
216.201.88.16	216.201.88.39	AD
216.201.88.40	216.201.89.63	US
216.201.89.64	216.201.89.127	PA
216.201.89.128	216.201.90.255	US
216.201.91.0	216.201.91.15	CA
216.201.91.16	216.201.91.63	US
216.201.91.64	216.201.91.127	PA
216.201.91.128	216.201.91.255	US
216.201.92.0	216.201.92.15	CA
216.201.92.16	216.201.92.31	US
216.201.92.32	216.201.92.63	PA
216.201.92.64	216.201.93.31	US
216.201.93.32	216.201.93.63	PA
216.201.93.64	216.201.94.31	US
216.201.94.32	216.201.94.63	PA
216.201.94.64	216.201.95.31	US
216.201.95.32	216.201.95.63	PA
216.201.95.64	216.201.95.255	US
216.201.96.0	216.201.111.255	CA
216.201.112.0	216.206.40.23	US
216.206.40.24	216.206.40.31	CA
216.206.40.32	216.206.189.255	US
216.206.190.0	216.206.190.31	CA
216.206.190.32	216.206.250.31	US
216.206.250.32	216.206.250.63	JP
216.206.250.64	216.207.96.255	US
216.207.97.0	216.207.97.255	GE
216.207.98.0	216.207.255.255	US
216.208.0.0	216.208.38.255	CA
216.208.39.0	216.208.39.63	US
216.208.39.64	216.209.255.255	CA
216.210.0.0	216.210.95.255	US
216.210.96.0	216.210.102.111	CA
216.210.102.112	216.210.102.190	US
216.210.102.191	216.210.111.255	CA
216.210.112.0	216.210.255.255	US
216.211.0.0	216.211.127.255	CA
216.211.128.0	216.217.255.255	US
216.218.0.0	216.218.63.255	CA
216.218.64.0	216.218.130.167	US
216.218.130.168	216.218.130.175	BM
216.218.130.176	216.218.130.199	US
216.218.130.200	216.218.130.207	ES
216.218.130.208	216.218.133.159	US
216.218.133.160	216.218.133.191	DE
216.218.133.192	216.218.134.199	US
216.218.134.200	216.218.134.207	JP
216.218.134.208	216.218.159.199	US
216.218.159.200	216.218.159.207	LU
216.218.159.208	216.218.168.15	US
216.218.168.16	216.218.168.31	CN
216.218.168.32	216.218.190.23	US
216.218.190.24	216.218.190.31	GB
216.218.190.32	216.218.190.255	US
216.218.191.0	216.218.191.255	GR
216.218.192.0	216.218.192.127	IT
216.218.192.128	216.218.192.215	US
216.218.192.216	216.218.192.223	CK
216.218.192.224	216.218.195.239	US
216.218.195.240	216.218.195.255	GB
216.218.196.0	216.218.196.151	US
216.218.196.152	216.218.196.159	JP
216.218.196.160	216.218.196.175	US
216.218.196.176	216.218.196.183	AU
216.218.196.184	216.218.200.31	US
216.218.200.32	216.218.200.39	LU
216.218.200.40	216.218.209.79	US
216.218.209.80	216.218.209.95	IT
216.218.209.96	216.218.210.191	US
216.218.210.192	216.218.210.255	AU
216.218.211.0	216.218.211.255	US
216.218.212.0	216.218.212.255	IT
216.218.213.0	216.218.213.135	US
216.218.213.136	216.218.213.143	JP
216.218.213.144	216.218.213.159	US
216.218.213.160	216.218.213.191	QA
216.218.213.192	216.218.214.223	US
216.218.214.224	216.218.214.231	CN
216.218.214.232	216.218.221.7	US
216.218.221.8	216.218.221.15	DE
216.218.221.16	216.218.221.63	US
216.218.221.64	216.218.221.127	DE
216.218.221.128	216.218.222.127	US
216.218.222.128	216.218.222.255	AU
216.218.223.0	216.218.223.31	CA
216.218.223.32	216.218.224.63	US
216.218.224.64	216.218.224.71	IT
216.218.224.72	216.218.226.199	US
216.218.226.200	216.218.226.207	PA
216.218.226.208	216.218.229.127	US
216.218.229.128	216.218.229.143	IT
216.218.229.144	216.218.230.255	US
216.218.231.0	216.218.231.255	GR
216.218.232.0	216.218.236.63	US
216.218.236.64	216.218.236.95	IN
216.218.236.96	216.218.238.255	US
216.218.239.0	216.218.239.255	NL
216.218.240.0	216.218.244.55	US
216.218.244.56	216.218.244.63	GB
216.218.244.64	216.218.249.31	US
216.218.249.32	216.218.249.63	IT
216.218.249.64	216.218.254.143	US
216.218.254.144	216.218.254.151	AU
216.218.254.152	216.218.255.31	US
216.218.255.32	216.218.255.63	ES
216.218.255.64	216.218.255.143	US
216.218.255.144	216.218.255.151	CA
216.218.255.152	216.218.255.247	US
216.218.255.248	216.218.255.255	GB
216.219.0.0	216.219.64.15	US
216.219.64.16	216.219.64.31	GB
216.219.64.32	216.219.64.63	US
216.219.64.64	216.219.64.127	GB
216.219.64.128	216.219.64.255	DE
216.219.65.0	216.219.65.175	US
216.219.65.176	216.219.65.191	DE
216.219.65.192	216.219.65.223	US
216.219.65.224	216.219.65.255	GB
216.219.66.0	216.219.68.255	US
216.219.69.0	216.219.70.255	FR
216.219.71.0	216.219.73.23	US
216.219.73.24	216.219.73.63	GB
216.219.73.64	216.219.76.39	US
216.219.76.40	216.219.76.47	GB
216.219.76.48	216.219.76.63	US
216.219.76.64	216.219.76.127	GB
216.219.76.128	216.219.76.191	US
216.219.76.192	216.219.76.207	GB
216.219.76.208	216.219.76.223	US
216.219.76.224	216.219.77.63	GB
216.219.77.64	216.219.77.79	US
216.219.77.80	216.219.77.95	GB
216.219.77.96	216.219.77.111	US
216.219.77.112	216.219.77.119	GB
216.219.77.120	216.219.77.143	US
216.219.77.144	216.219.77.159	GB
216.219.77.160	216.219.77.167	CH
216.219.77.168	216.219.77.231	US
216.219.77.232	216.219.77.239	GB
216.219.77.240	216.220.31.255	US
216.220.32.0	216.220.63.255	CA
216.220.64.0	216.221.31.255	US
216.221.32.0	216.221.49.95	CA
216.221.49.96	216.221.49.111	US
216.221.49.112	216.221.95.255	CA
216.221.96.0	216.223.3.223	US
216.223.3.224	216.223.3.231	CA
216.223.3.232	216.223.62.239	US
216.223.62.240	216.223.62.255	GB
216.223.63.0	216.223.63.255	US
216.223.64.0	216.223.131.191	CA
216.223.131.192	216.223.131.199	US
216.223.131.200	216.223.138.239	CA
216.223.138.240	216.223.138.247	US
216.223.138.248	216.223.143.255	CA
216.223.144.0	216.223.144.15	US
216.223.144.16	216.223.144.191	CA
216.223.144.192	216.223.144.207	US
216.223.144.208	216.223.158.63	CA
216.223.158.64	216.223.158.71	US
216.223.158.72	216.223.159.255	CA
216.223.160.0	216.226.31.255	US
216.226.32.0	216.226.63.255	CA
216.226.64.0	216.226.67.255	A2
216.226.68.0	216.226.68.255	VC
216.226.69.0	216.226.79.255	A2
216.226.80.0	216.228.207.255	US
216.228.208.0	216.228.223.255	CA
216.228.224.0	216.230.32.255	US
216.230.33.0	216.230.33.255	BR
216.230.34.0	216.230.127.255	US
216.230.128.0	216.230.159.255	GT
216.230.160.0	216.231.255.255	US
216.232.0.0	216.232.255.255	CA
216.233.0.0	216.234.31.255	US
216.234.32.0	216.234.63.255	CA
216.234.64.0	216.234.159.255	US
216.234.160.0	216.234.174.53	CA
216.234.174.54	216.234.174.54	IL
216.234.174.55	216.234.191.255	CA
216.234.192.0	216.234.255.255	US
216.235.0.0	216.235.15.255	CA
216.235.16.0	216.235.167.143	US
216.235.167.144	216.235.167.151	JP
216.235.167.152	216.235.167.167	US
216.235.167.168	216.235.167.175	JP
216.235.167.176	216.235.246.111	US
216.235.246.112	216.235.246.119	GB
216.235.246.120	216.235.248.31	US
216.235.248.32	216.235.248.63	GB
216.235.248.64	216.235.248.127	US
216.235.248.128	216.235.248.159	GB
216.235.248.160	216.235.253.63	US
216.235.253.64	216.235.253.79	MA
216.235.253.80	216.235.253.159	US
216.235.253.160	216.235.253.191	GB
216.235.253.192	216.235.253.207	PL
216.235.253.208	216.236.95.255	US
216.236.96.0	216.236.121.255	A2
216.236.122.0	216.236.125.255	GU
216.236.126.0	216.236.126.255	A2
216.236.127.0	216.236.175.255	US
216.236.176.0	216.236.191.255	ZA
216.236.192.0	216.236.198.255	US
216.236.199.0	216.236.199.255	A2
216.236.200.0	216.236.200.31	NE
216.236.200.32	216.236.200.63	A2
216.236.200.64	216.236.200.79	PK
216.236.200.80	216.236.200.95	A2
216.236.200.96	216.236.200.111	NG
216.236.200.112	216.236.200.119	TZ
216.236.200.120	216.236.200.135	A2
216.236.200.136	216.236.200.167	IN
216.236.200.168	216.236.200.191	A2
216.236.200.192	216.236.200.199	TZ
216.236.200.200	216.236.201.63	A2
216.236.201.64	216.236.201.127	NE
216.236.201.128	216.236.201.135	IN
216.236.201.136	216.236.201.255	A2
216.236.202.0	216.236.202.15	NE
216.236.202.16	216.236.202.63	A2
216.236.202.64	216.236.202.95	FR
216.236.202.96	216.236.202.111	NG
216.236.202.112	216.236.202.127	A2
216.236.202.128	216.236.202.159	CD
216.236.202.160	216.236.202.255	A2
216.236.203.0	216.236.203.255	IN
216.236.204.0	216.236.204.255	US
216.236.205.0	216.236.205.255	NG
216.236.206.0	216.236.207.255	US
216.236.208.0	216.236.208.23	A2
216.236.208.24	216.236.208.31	LB
216.236.208.32	216.236.208.39	A2
216.236.208.40	216.236.208.47	LB
216.236.208.48	216.236.208.63	A2
216.236.208.64	216.236.208.95	SA
216.236.208.96	216.236.208.127	A2
216.236.208.128	216.236.208.191	SA
216.236.208.192	216.236.208.199	LB
216.236.208.200	216.236.208.255	A2
216.236.209.0	216.236.209.7	SA
216.236.209.8	216.236.209.255	A2
216.236.210.0	216.236.213.255	US
216.236.214.0	216.236.215.255	A2
216.236.216.0	216.236.219.255	RS
216.236.220.0	216.236.220.23	PK
216.236.220.24	216.236.220.39	A2
216.236.220.40	216.236.220.47	ID
216.236.220.48	216.236.220.63	A2
216.236.220.64	216.236.220.79	TZ
216.236.220.80	216.236.220.87	LK
216.236.220.88	216.236.220.119	A2
216.236.220.120	216.236.220.127	US
216.236.220.128	216.236.220.151	A2
216.236.220.152	216.236.220.159	TZ
216.236.220.160	216.236.220.175	A2
216.236.220.176	216.236.220.183	PK
216.236.220.184	216.236.220.215	A2
216.236.220.216	216.236.220.255	PK
216.236.221.0	216.236.222.31	A2
216.236.222.32	216.236.222.47	PK
216.236.222.48	216.236.222.63	A2
216.236.222.64	216.236.222.71	US
216.236.222.72	216.236.222.87	PK
216.236.222.88	216.236.222.95	A2
216.236.222.96	216.236.222.111	PK
216.236.222.112	216.236.222.127	A2
216.236.222.128	216.236.222.191	NG
216.236.222.192	216.236.222.207	PK
216.236.222.208	216.236.222.215	A2
216.236.222.216	216.236.222.223	PK
216.236.222.224	216.236.222.255	A2
216.236.223.0	216.236.223.255	GH
216.236.224.0	216.237.113.15	US
216.237.113.16	216.237.113.23	RO
216.237.113.24	216.237.117.127	US
216.237.117.128	216.237.117.255	IN
216.237.118.0	216.237.255.255	US
216.238.122.0	216.238.123.255	US
216.239.0.0	216.239.63.255	US
216.239.64.0	216.239.95.255	CA
216.239.96.0	216.239.255.255	US
216.240.0.0	216.240.15.255	CA
216.240.16.0	216.240.191.255	US
216.240.192.0	216.240.207.255	CA
216.240.208.0	216.240.223.255	US
216.240.224.0	216.240.239.255	CA
216.240.240.0	216.240.255.255	US
216.241.0.0	216.241.2.255	CO
216.241.3.0	216.241.9.255	CL
216.241.10.0	216.241.12.255	CO
216.241.13.0	216.241.13.255	CL
216.241.14.0	216.241.14.127	CO
216.241.14.128	216.241.14.159	CL
216.241.14.160	216.241.14.223	CO
216.241.14.224	216.241.14.239	CL
216.241.14.240	216.241.15.23	CO
216.241.15.24	216.241.15.31	CL
216.241.15.32	216.241.16.31	CO
216.241.16.32	216.241.16.39	CL
216.241.16.40	216.241.16.55	CO
216.241.16.56	216.241.16.71	CL
216.241.16.72	216.241.16.135	CO
216.241.16.136	216.241.16.143	CL
216.241.16.144	216.241.16.183	CO
216.241.16.184	216.241.16.191	CL
216.241.16.192	216.241.17.39	CO
216.241.17.40	216.241.17.47	CL
216.241.17.48	216.241.17.151	CO
216.241.17.152	216.241.17.159	CL
216.241.17.160	216.241.17.191	CO
216.241.17.192	216.241.17.199	CL
216.241.17.200	216.241.17.247	CO
216.241.17.248	216.241.17.255	CL
216.241.18.0	216.241.18.63	CO
216.241.18.64	216.241.18.79	CL
216.241.18.80	216.241.18.119	CO
216.241.18.120	216.241.18.127	CL
216.241.18.128	216.241.18.135	CO
216.241.18.136	216.241.18.143	CL
216.241.18.144	216.241.18.191	CO
216.241.18.192	216.241.18.255	CL
216.241.19.0	216.241.19.55	CO
216.241.19.56	216.241.19.71	CL
216.241.19.72	216.241.19.127	CO
216.241.19.128	216.241.19.135	CL
216.241.19.136	216.241.19.143	CO
216.241.19.144	216.241.19.151	CL
216.241.19.152	216.241.19.231	CO
216.241.19.232	216.241.19.255	CL
216.241.20.0	216.241.20.23	CO
216.241.20.24	216.241.20.31	CL
216.241.20.32	216.241.20.47	CO
216.241.20.48	216.241.20.55	CL
216.241.20.56	216.241.20.79	CO
216.241.20.80	216.241.20.87	CL
216.241.20.88	216.241.20.223	CO
216.241.20.224	216.241.20.239	CL
216.241.20.240	216.241.20.247	CO
216.241.20.248	216.241.21.255	CL
216.241.22.0	216.241.22.23	CO
216.241.22.24	216.241.22.31	CL
216.241.22.32	216.241.22.183	CO
216.241.22.184	216.241.22.191	CL
216.241.22.192	216.241.22.207	CO
216.241.22.208	216.241.22.223	CL
216.241.22.224	216.241.23.15	CO
216.241.23.16	216.241.23.31	CL
216.241.23.32	216.241.23.175	CO
216.241.23.176	216.241.23.191	CL
216.241.23.192	216.241.23.207	CO
216.241.23.208	216.241.23.215	CL
216.241.23.216	216.241.25.127	CO
216.241.25.128	216.241.25.151	CL
216.241.25.152	216.241.25.223	CO
216.241.25.224	216.241.25.231	CL
216.241.25.232	216.241.25.255	CO
216.241.26.0	216.241.26.255	CL
216.241.27.0	216.241.28.255	CO
216.241.29.0	216.241.29.15	CL
216.241.29.16	216.241.29.87	CO
216.241.29.88	216.241.29.95	CL
216.241.29.96	216.241.29.103	CO
216.241.29.104	216.241.29.111	CL
216.241.29.112	216.241.29.191	CO
216.241.29.192	216.241.29.223	CL
216.241.29.224	216.241.31.79	CO
216.241.31.80	216.241.31.95	CL
216.241.31.96	216.241.31.127	CO
216.241.31.128	216.241.31.159	CL
216.241.31.160	216.241.31.223	CO
216.241.31.224	216.241.31.255	CL
216.241.32.0	216.241.223.255	US
216.241.224.0	216.241.239.255	CA
216.241.240.0	216.244.65.15	US
216.244.65.16	216.244.65.23	CN
216.244.65.24	216.244.66.255	US
216.244.67.0	216.244.67.7	SG
216.244.67.8	216.244.76.31	US
216.244.76.32	216.244.76.63	NO
216.244.76.64	216.244.127.255	US
216.244.128.0	216.244.191.255	PE
216.244.192.0	216.244.255.255	AR
216.245.0.0	216.246.4.215	US
216.246.4.216	216.246.4.223	IL
216.246.4.224	216.246.10.167	US
216.246.10.168	216.246.10.175	TR
216.246.10.176	216.246.26.143	US
216.246.26.144	216.246.26.151	HK
216.246.26.152	216.246.26.191	US
216.246.26.192	216.246.26.199	SO
216.246.26.200	216.246.51.199	US
216.246.51.200	216.246.51.207	GI
216.246.51.208	216.246.88.39	US
216.246.88.40	216.246.88.47	EG
216.246.88.48	216.246.88.191	US
216.246.88.192	216.246.88.207	GI
216.246.88.208	216.246.88.231	US
216.246.88.232	216.246.88.239	HK
216.246.88.240	216.246.105.23	US
216.246.105.24	216.246.105.31	GB
216.246.105.32	216.246.223.255	US
216.246.224.0	216.246.255.255	CA
216.247.0.0	216.247.36.127	US
216.247.36.128	216.247.36.143	NL
216.247.36.144	216.247.37.239	US
216.247.37.240	216.247.37.255	CA
216.247.38.0	216.247.179.191	US
216.247.179.192	216.247.179.207	NL
216.247.179.208	216.247.181.191	US
216.247.181.192	216.247.181.207	NL
216.247.181.208	216.248.255.255	US
216.249.0.0	216.249.15.255	CA
216.249.16.0	216.249.31.255	US
216.249.32.0	216.249.47.255	BM
216.249.48.0	216.249.63.255	CA
216.249.64.0	216.250.95.255	US
216.250.96.0	216.250.111.255	CA
216.250.112.0	216.250.193.15	US
216.250.193.16	216.250.193.31	ID
216.250.193.32	216.250.193.39	GB
216.250.193.40	216.250.193.95	US
216.250.193.96	216.250.193.127	ID
216.250.193.128	216.250.193.255	US
216.250.194.0	216.250.194.255	NI
216.250.195.0	216.250.195.31	NG
216.250.195.32	216.250.203.255	US
216.250.204.0	216.250.204.255	A2
216.250.205.0	216.250.205.255	US
216.250.206.0	216.250.206.255	TR
216.250.207.0	216.250.213.143	US
216.250.213.144	216.250.213.159	A2
216.250.213.160	216.250.213.223	US
216.250.213.224	216.250.213.239	A2
216.250.213.240	216.250.214.63	US
216.250.214.64	216.250.214.95	ID
216.250.214.96	216.250.214.119	US
216.250.214.120	216.250.214.127	NL
216.250.214.128	216.250.216.255	US
216.250.217.0	216.250.219.255	NC
216.250.220.0	216.250.220.127	GQ
216.250.220.128	216.250.220.255	US
216.250.221.0	216.250.221.255	NG
216.250.222.0	216.250.222.255	US
216.250.223.0	216.250.223.255	A2
216.250.224.0	216.251.65.127	US
216.251.65.128	216.251.65.175	MX
216.251.65.176	216.251.65.191	US
216.251.65.192	216.251.65.254	MX
216.251.65.255	216.251.65.255	US
216.251.66.0	216.251.66.254	MX
216.251.66.255	216.251.67.47	US
216.251.67.48	216.251.67.63	MX
216.251.67.64	216.251.67.79	US
216.251.67.80	216.251.67.87	MX
216.251.67.88	216.251.67.111	US
216.251.67.112	216.251.67.159	MX
216.251.67.160	216.251.68.63	US
216.251.68.64	216.251.68.111	MX
216.251.68.112	216.251.68.143	US
216.251.68.144	216.251.68.254	MX
216.251.68.255	216.251.72.191	US
216.251.72.192	216.251.72.223	MX
216.251.72.224	216.251.72.255	US
216.251.73.0	216.251.73.254	MX
216.251.73.255	216.251.74.255	US
216.251.75.0	216.251.75.63	MX
216.251.75.64	216.251.75.79	US
216.251.75.80	216.251.75.95	MX
216.251.75.96	216.251.75.111	US
216.251.75.112	216.251.75.127	MX
216.251.75.128	216.251.75.143	US
216.251.75.144	216.251.75.159	MX
216.251.75.160	216.251.75.175	US
216.251.75.176	216.251.75.207	MX
216.251.75.208	216.251.75.223	US
216.251.75.224	216.251.75.239	MX
216.251.75.240	216.251.75.255	US
216.251.76.0	216.251.76.63	MX
216.251.76.64	216.251.76.191	US
216.251.76.192	216.251.76.254	MX
216.251.76.255	216.251.127.255	US
216.251.128.0	216.251.159.255	CA
216.251.160.0	216.252.63.255	US
216.252.64.0	216.252.95.255	CA
216.252.96.0	216.252.143.255	US
216.252.144.0	216.252.151.255	A2
216.252.152.0	216.252.154.255	US
216.252.155.0	216.252.155.255	A2
216.252.156.0	216.252.160.255	US
216.252.176.0	216.252.191.255	A2
216.252.192.0	216.252.207.255	US
216.252.216.0	216.252.219.255	A2
216.252.220.0	216.252.223.255	US
216.252.224.0	216.252.255.255	A2
216.253.0.0	216.254.127.255	US
216.254.128.0	216.254.139.127	CA
216.254.139.128	216.254.139.143	US
216.254.139.144	216.254.154.231	CA
216.254.154.232	216.254.154.239	US
216.254.154.240	216.254.223.255	CA
216.254.224.0	216.255.223.255	US
216.255.224.0	216.255.239.255	JP
216.255.240.0	216.255.255.255	US
217.0.0.0	217.6.33.119	DE
217.6.33.120	217.6.33.127	CZ
217.6.33.128	217.6.115.31	DE
217.6.115.32	217.6.115.39	BE
217.6.115.40	217.6.142.247	DE
217.6.142.248	217.6.142.255	CZ
217.6.143.0	217.6.150.207	DE
217.6.150.208	217.6.150.215	GB
217.6.150.216	217.6.191.207	DE
217.6.191.208	217.6.191.223	ES
217.6.191.224	217.6.209.15	DE
217.6.209.16	217.6.209.23	FR
217.6.209.24	217.6.213.103	DE
217.6.213.104	217.6.213.111	HU
217.6.213.112	217.6.226.7	DE
217.6.226.8	217.6.226.15	CH
217.6.226.16	217.6.253.175	DE
217.6.253.176	217.6.253.183	SK
217.6.253.184	217.7.77.31	DE
217.7.77.32	217.7.77.39	BE
217.7.77.40	217.7.101.191	DE
217.7.101.192	217.7.101.199	US
217.7.101.200	217.7.128.127	DE
217.7.128.128	217.7.128.135	AT
217.7.128.136	217.7.139.95	DE
217.7.139.96	217.7.139.103	US
217.7.139.104	217.7.169.63	DE
217.7.169.64	217.7.169.71	AT
217.7.169.72	217.7.169.143	DE
217.7.169.144	217.7.169.167	FR
217.7.169.168	217.7.169.215	DE
217.7.169.216	217.7.169.223	FR
217.7.169.224	217.7.169.239	DE
217.7.169.240	217.7.169.247	ES
217.7.169.248	217.7.170.55	DE
217.7.170.56	217.7.170.63	NL
217.7.170.64	217.7.170.191	DE
217.7.170.192	217.7.170.199	ES
217.7.170.200	217.7.171.23	DE
217.7.171.24	217.7.171.31	IT
217.7.171.32	217.7.171.119	DE
217.7.171.120	217.7.171.127	ES
217.7.171.128	217.7.175.255	DE
217.7.176.0	217.7.176.7	ES
217.7.176.8	217.7.176.47	DE
217.7.176.48	217.7.176.63	ES
217.7.176.64	217.7.176.87	DE
217.7.176.88	217.7.176.95	ES
217.7.176.96	217.7.255.255	DE
217.8.0.0	217.8.31.255	GB
217.8.32.0	217.8.47.255	TJ
217.8.48.0	217.8.63.255	DE
217.8.64.0	217.8.79.255	SA
217.8.80.0	217.8.95.255	RU
217.8.96.0	217.8.100.255	NL
217.8.101.0	217.8.101.255	CN
217.8.102.0	217.8.111.255	NL
217.8.112.0	217.8.127.255	JO
217.8.128.0	217.8.159.255	NO
217.8.160.0	217.8.191.255	PL
217.8.192.0	217.8.223.255	CH
217.8.224.0	217.8.239.255	RU
217.8.240.0	217.8.255.255	GB
217.9.0.0	217.9.15.255	UA
217.9.16.0	217.9.63.255	DE
217.9.64.0	217.9.79.255	IT
217.9.80.0	217.9.95.255	RU
217.9.96.0	217.9.127.255	DE
217.9.128.0	217.9.143.255	IS
217.9.144.0	217.9.159.255	RU
217.9.160.0	217.9.191.255	PL
217.9.192.0	217.9.207.255	GB
217.9.208.0	217.9.223.255	SE
217.9.224.0	217.9.239.255	BG
217.9.240.0	217.9.255.255	LT
217.10.0.0	217.10.15.255	DE
217.10.16.0	217.10.31.255	DK
217.10.32.0	217.10.47.255	RU
217.10.48.0	217.10.48.255	US
217.10.49.0	217.10.79.255	DE
217.10.80.0	217.10.95.255	ES
217.10.96.0	217.10.127.255	SE
217.10.128.0	217.10.132.175	GB
217.10.132.176	217.10.132.191	IE
217.10.132.192	217.10.163.127	GB
217.10.163.128	217.10.163.191	A2
217.10.163.192	217.10.163.223	BD
217.10.163.224	217.10.163.255	NG
217.10.164.0	217.10.164.15	GB
217.10.164.16	217.10.164.31	IQ
217.10.164.32	217.10.164.47	GB
217.10.164.48	217.10.164.127	A2
217.10.164.128	217.10.165.255	BD
217.10.166.0	217.10.166.31	NG
217.10.166.32	217.10.166.47	GB
217.10.166.48	217.10.166.79	NG
217.10.166.80	217.10.166.103	GB
217.10.166.104	217.10.166.111	A2
217.10.166.112	217.10.166.127	GB
217.10.166.128	217.10.166.255	A2
217.10.167.0	217.10.167.255	AF
217.10.168.0	217.10.168.15	GB
217.10.168.16	217.10.168.71	A2
217.10.168.72	217.10.168.79	GB
217.10.168.80	217.10.168.87	A2
217.10.168.88	217.10.168.95	GB
217.10.168.96	217.10.168.99	A2
217.10.168.100	217.10.168.127	GB
217.10.168.128	217.10.168.143	A2
217.10.168.144	217.10.168.239	IT
217.10.168.240	217.10.168.255	A2
217.10.169.0	217.10.169.255	GB
217.10.170.0	217.10.171.255	NG
217.10.172.0	217.10.172.255	AO
217.10.173.0	217.10.173.63	A2
217.10.173.64	217.10.173.79	GB
217.10.173.80	217.10.173.255	A2
217.10.174.0	217.10.174.255	LB
217.10.175.0	217.10.175.79	A2
217.10.175.80	217.10.175.87	NG
217.10.175.88	217.10.175.159	A2
217.10.175.160	217.10.175.175	NG
217.10.175.176	217.10.175.255	A2
217.10.176.0	217.10.179.255	GB
217.10.180.0	217.10.180.255	A2
217.10.181.0	217.10.181.255	GB
217.10.182.0	217.10.182.31	A2
217.10.182.32	217.10.182.55	GB
217.10.182.56	217.10.182.63	A2
217.10.182.64	217.10.182.103	GB
217.10.182.104	217.10.182.255	A2
217.10.183.0	217.10.187.255	GB
217.10.188.0	217.10.188.255	IQ
217.10.189.0	217.10.189.23	GB
217.10.189.24	217.10.189.31	A2
217.10.189.32	217.10.189.48	GB
217.10.189.49	217.10.189.255	A2
217.10.190.0	217.10.191.255	GB
217.10.192.0	217.10.223.255	RO
217.10.224.0	217.10.239.255	GB
217.10.240.0	217.10.255.255	BG
217.11.0.0	217.11.15.255	IT
217.11.16.0	217.11.28.55	IR
217.11.28.56	217.11.28.63	SE
217.11.28.64	217.11.31.255	IR
217.11.32.0	217.11.47.255	CH
217.11.48.0	217.11.58.191	DE
217.11.58.192	217.11.58.207	AT
217.11.58.208	217.11.63.255	DE
217.11.64.0	217.11.79.255	KZ
217.11.80.0	217.11.95.255	IT
217.11.96.0	217.11.127.255	ES
217.11.128.0	217.11.159.255	PL
217.11.160.0	217.11.175.255	GE
217.11.176.0	217.11.191.255	TJ
217.11.192.0	217.11.207.255	DE
217.11.208.0	217.11.223.255	CH
217.11.224.0	217.11.255.255	CZ
217.12.0.0	217.12.15.255	GB
217.12.16.0	217.12.31.255	ES
217.12.32.0	217.12.47.255	RU
217.12.48.0	217.12.63.255	SK
217.12.64.0	217.12.79.255	RU
217.12.80.0	217.12.95.255	UZ
217.12.96.0	217.12.111.255	RU
217.12.112.0	217.12.127.255	MD
217.12.128.0	217.12.143.255	IT
217.12.144.0	217.12.159.255	GB
217.12.160.0	217.12.191.255	IT
217.12.192.0	217.12.199.255	UA
217.12.200.0	217.12.201.255	RU
217.12.202.0	217.12.207.255	UA
217.12.208.0	217.12.209.255	RU
217.12.210.0	217.12.223.255	UA
217.12.224.0	217.12.239.255	SA
217.12.240.0	217.12.255.255	RU
217.13.0.0	217.13.31.255	NO
217.13.32.0	217.13.47.255	HU
217.13.48.0	217.13.63.255	FR
217.13.64.0	217.13.79.255	DE
217.13.80.0	217.13.95.255	ES
217.13.96.0	217.13.111.255	HU
217.13.112.0	217.13.127.255	ES
217.13.128.0	217.13.159.255	GB
217.13.160.0	217.13.175.255	DE
217.13.176.0	217.13.191.255	AT
217.13.192.0	217.13.200.63	DE
217.13.200.64	217.13.200.95	NL
217.13.200.96	217.13.207.127	DE
217.13.207.128	217.13.207.255	NL
217.13.208.0	217.13.223.255	RU
217.13.224.0	217.13.255.255	SE
217.14.0.0	217.14.15.255	NO
217.14.16.0	217.14.31.255	RU
217.14.32.0	217.14.47.255	ES
217.14.48.0	217.14.63.255	RU
217.14.64.0	217.14.79.255	CH
217.14.80.0	217.14.95.255	NG
217.14.96.0	217.14.111.255	AZ
217.14.112.0	217.14.127.255	DE
217.14.128.0	217.14.134.15	GB
217.14.134.16	217.14.134.31	FR
217.14.134.32	217.14.143.255	GB
217.14.144.0	217.14.175.255	DE
217.14.176.0	217.14.191.255	GB
217.14.192.0	217.14.207.255	RU
217.14.208.0	217.14.223.255	HR
217.14.224.0	217.14.239.255	AT
217.14.240.0	217.14.255.255	RU
217.15.0.0	217.15.15.255	AT
217.15.16.0	217.15.31.255	RU
217.15.32.0	217.15.47.255	ES
217.15.48.0	217.15.63.255	RU
217.15.64.0	217.15.79.255	GB
217.15.80.0	217.15.95.255	FR
217.15.96.0	217.15.111.255	MT
217.15.112.0	217.15.115.255	GB
217.15.116.0	217.15.123.255	ZW
217.15.124.0	217.15.124.127	SO
217.15.124.128	217.15.124.135	NG
217.15.124.136	217.15.124.255	GB
217.15.125.0	217.15.127.255	LS
217.15.128.0	217.15.159.255	RU
217.15.160.0	217.15.175.255	EU
217.15.176.0	217.15.191.255	KZ
217.15.192.0	217.15.207.255	RU
217.15.208.0	217.15.223.255	IT
217.15.224.0	217.15.239.255	DE
217.15.240.0	217.15.255.255	SE
217.16.0.0	217.16.15.255	FR
217.16.16.0	217.16.31.255	RU
217.16.32.0	217.16.47.255	NL
217.16.48.0	217.16.63.255	GB
217.16.64.0	217.16.95.255	MK
217.16.96.0	217.16.111.255	DK
217.16.112.0	217.16.127.255	AT
217.16.128.0	217.16.143.255	RS
217.16.144.0	217.16.159.255	ES
217.16.160.0	217.16.175.255	DE
217.16.176.0	217.16.191.255	CZ
217.16.192.0	217.16.207.255	SE
217.16.208.0	217.16.223.255	GB
217.16.224.0	217.16.224.3	CY
217.16.224.4	217.16.224.59	GR
217.16.224.60	217.16.224.63	CY
217.16.224.64	217.16.224.71	GR
217.16.224.72	217.16.224.75	CY
217.16.224.76	217.16.224.103	GR
217.16.224.104	217.16.224.107	CY
217.16.224.108	217.16.224.131	GR
217.16.224.132	217.16.224.135	CY
217.16.224.136	217.16.224.143	GR
217.16.224.144	217.16.224.147	CY
217.16.224.148	217.16.224.175	GR
217.16.224.176	217.16.224.179	CY
217.16.224.180	217.16.224.215	GR
217.16.224.216	217.16.224.219	CY
217.16.224.220	217.16.224.255	GR
217.16.225.0	217.16.227.11	CY
217.16.227.12	217.16.227.15	GR
217.16.227.16	217.16.227.31	CY
217.16.227.32	217.16.227.35	GR
217.16.227.36	217.16.227.47	CY
217.16.227.48	217.16.227.51	GR
217.16.227.52	217.16.227.87	CY
217.16.227.88	217.16.227.95	GR
217.16.227.96	217.16.227.127	CY
217.16.227.128	217.16.227.131	GR
217.16.227.132	217.16.227.143	CY
217.16.227.144	217.16.227.151	GR
217.16.227.152	217.16.227.195	CY
217.16.227.196	217.16.227.199	GR
217.16.227.200	217.16.228.91	CY
217.16.228.92	217.16.228.95	GR
217.16.228.96	217.16.228.127	CY
217.16.228.128	217.16.228.131	GR
217.16.228.132	217.16.228.135	CY
217.16.228.136	217.16.228.183	GR
217.16.228.184	217.16.228.187	CY
217.16.228.188	217.16.228.207	GR
217.16.228.208	217.16.228.219	CY
217.16.228.220	217.16.228.247	GR
217.16.228.248	217.16.230.3	CY
217.16.230.4	217.16.230.11	GR
217.16.230.12	217.16.230.15	CY
217.16.230.16	217.16.230.19	GR
217.16.230.20	217.16.230.39	CY
217.16.230.40	217.16.230.43	GR
217.16.230.44	217.16.230.99	CY
217.16.230.100	217.16.230.103	GR
217.16.230.104	217.16.230.111	CY
217.16.230.112	217.16.230.115	GR
217.16.230.116	217.16.230.123	CY
217.16.230.124	217.16.230.127	GR
217.16.230.128	217.16.230.147	CY
217.16.230.148	217.16.230.151	GR
217.16.230.152	217.16.230.163	CY
217.16.230.164	217.16.230.175	GR
217.16.230.176	217.16.230.183	CY
217.16.230.184	217.16.230.191	GR
217.16.230.192	217.16.230.254	CY
217.16.230.255	217.16.230.255	GR
217.16.231.0	217.16.233.3	CY
217.16.233.4	217.16.233.7	GR
217.16.233.8	217.16.233.15	CY
217.16.233.16	217.16.233.19	GR
217.16.233.20	217.16.233.127	CY
217.16.233.128	217.16.233.131	GR
217.16.233.132	217.16.233.135	CY
217.16.233.136	217.16.233.143	GR
217.16.233.144	217.16.233.183	CY
217.16.233.184	217.16.233.195	GR
217.16.233.196	217.16.233.207	CY
217.16.233.208	217.16.233.211	GR
217.16.233.212	217.16.233.223	CY
217.16.233.224	217.16.233.231	GR
217.16.233.232	217.16.233.251	CY
217.16.233.252	217.16.233.255	GR
217.16.234.0	217.16.234.255	CY
217.16.235.0	217.16.235.71	GR
217.16.235.72	217.16.235.75	CY
217.16.235.76	217.16.235.91	GR
217.16.235.92	217.16.235.95	CY
217.16.235.96	217.16.235.103	GR
217.16.235.104	217.16.235.107	CY
217.16.235.108	217.16.235.167	GR
217.16.235.168	217.16.235.175	CY
217.16.235.176	217.16.235.179	GR
217.16.235.180	217.16.235.183	CY
217.16.235.184	217.16.235.239	GR
217.16.235.240	217.16.235.248	CY
217.16.235.249	217.16.235.255	GR
217.16.236.0	217.16.236.11	CY
217.16.236.12	217.16.236.63	GR
217.16.236.64	217.16.236.71	CY
217.16.236.72	217.16.236.79	GR
217.16.236.80	217.16.236.87	CY
217.16.236.88	217.16.236.99	GR
217.16.236.100	217.16.236.103	CY
217.16.236.104	217.16.236.111	GR
217.16.236.112	217.16.236.115	CY
217.16.236.116	217.16.236.159	GR
217.16.236.160	217.16.236.167	CY
217.16.236.168	217.16.236.219	GR
217.16.236.220	217.16.236.223	CY
217.16.236.224	217.16.236.255	GR
217.16.237.0	217.16.238.255	CY
217.16.239.0	217.16.239.255	GR
217.16.240.0	217.16.255.255	ES
217.17.0.0	217.17.15.255	NO
217.17.16.0	217.17.31.255	DE
217.17.32.0	217.17.47.255	PL
217.17.48.0	217.17.55.15	GB
217.17.55.16	217.17.63.255	BG
217.17.64.0	217.17.79.255	SE
217.17.80.0	217.17.95.255	LT
217.17.96.0	217.17.111.255	RS
217.17.112.0	217.17.127.255	RU
217.17.128.0	217.17.143.255	NL
217.17.144.0	217.17.147.255	TR
217.17.148.0	217.17.151.255	NL
217.17.152.0	217.17.154.255	TR
217.17.155.0	217.17.155.255	NL
217.17.156.0	217.17.157.139	TR
217.17.157.140	217.17.157.255	CY
217.17.158.0	217.17.158.7	NL
217.17.158.8	217.17.158.15	US
217.17.158.16	217.17.158.31	NL
217.17.158.32	217.17.158.47	US
217.17.158.48	217.17.158.127	TR
217.17.158.128	217.17.158.191	US
217.17.158.192	217.17.158.199	TR
217.17.158.200	217.17.158.210	US
217.17.158.211	217.17.158.255	TR
217.17.159.0	217.17.159.255	CY
217.17.160.0	217.17.191.255	RU
217.17.192.0	217.17.207.255	DE
217.17.208.0	217.17.223.255	NO
217.17.224.0	217.17.255.255	BH
217.18.0.0	217.18.15.255	IT
217.18.16.0	217.18.31.255	GB
217.18.32.0	217.18.47.255	ES
217.18.48.0	217.18.63.255	IT
217.18.64.0	217.18.79.255	NL
217.18.80.0	217.18.95.255	GB
217.18.96.0	217.18.127.255	IT
217.18.128.0	217.18.159.255	RU
217.18.160.0	217.18.175.255	ES
217.18.176.0	217.18.178.255	DE
217.18.179.0	217.18.179.15	US
217.18.179.16	217.18.179.47	DE
217.18.179.48	217.18.179.51	CH
217.18.179.52	217.18.179.55	DE
217.18.179.56	217.18.179.63	CH
217.18.179.64	217.18.179.79	DE
217.18.179.80	217.18.179.95	US
217.18.179.96	217.18.179.103	DE
217.18.179.104	217.18.179.111	CH
217.18.179.112	217.18.179.223	DE
217.18.179.224	217.18.179.239	CH
217.18.179.240	217.18.184.103	DE
217.18.184.104	217.18.184.111	CH
217.18.184.112	217.18.191.255	DE
217.18.192.0	217.18.207.255	NO
217.18.208.0	217.18.223.255	IT
217.18.224.0	217.18.239.255	ES
217.18.240.0	217.18.255.255	BG
217.19.0.0	217.19.15.255	RO
217.19.16.0	217.19.31.255	NL
217.19.32.0	217.19.47.255	AT
217.19.48.0	217.19.63.255	FR
217.19.64.0	217.19.95.255	GR
217.19.96.0	217.19.127.255	RU
217.19.128.0	217.19.143.255	GB
217.19.144.0	217.19.159.255	IT
217.19.160.0	217.19.191.255	DE
217.19.192.0	217.19.207.255	FR
217.19.208.0	217.19.221.255	MD
217.19.222.0	217.19.222.63	GB
217.19.222.64	217.19.222.255	MD
217.19.223.0	217.19.223.63	GB
217.19.223.64	217.19.223.255	MD
217.19.224.0	217.19.232.251	BE
217.19.232.252	217.19.232.255	NL
217.19.233.0	217.19.236.255	BE
217.19.237.0	217.19.237.15	NL
217.19.237.16	217.19.237.63	BE
217.19.237.64	217.19.237.71	US
217.19.237.72	217.19.239.255	BE
217.19.240.0	217.19.255.255	GB
217.20.0.0	217.20.15.255	IT
217.20.16.0	217.20.47.255	GB
217.20.48.0	217.20.63.255	DK
217.20.64.0	217.20.95.255	RU
217.20.96.0	217.20.111.255	SE
217.20.112.0	217.20.127.255	DE
217.20.128.0	217.20.143.255	HU
217.20.144.0	217.20.159.255	RU
217.20.160.0	217.20.191.255	UA
217.20.192.0	217.20.207.255	CH
217.20.208.0	217.20.223.255	SY
217.20.224.0	217.20.239.255	EG
217.20.240.0	217.20.240.255	A2
217.20.241.0	217.20.241.255	NG
217.20.242.0	217.20.242.0	A2
217.20.242.1	217.20.242.255	NG
217.20.243.0	217.20.243.0	A2
217.20.243.1	217.20.243.63	SO
217.20.243.64	217.20.243.128	A2
217.20.243.129	217.20.243.255	NG
217.20.244.0	217.20.244.0	A2
217.20.244.1	217.20.244.255	NG
217.20.245.0	217.20.245.0	A2
217.20.245.1	217.20.245.255	GB
217.20.246.0	217.20.252.255	NG
217.20.253.0	217.20.253.255	GB
217.20.254.0	217.20.254.0	A2
217.20.254.1	217.20.254.127	SL
217.20.254.128	217.20.254.255	A2
217.20.255.0	217.20.255.255	GB
217.21.0.0	217.21.15.255	PS
217.21.32.0	217.21.63.255	BY
217.21.64.0	217.21.83.63	A2
217.21.83.64	217.21.83.255	TZ
217.21.84.0	217.21.95.255	A2
217.21.96.0	217.21.111.255	RU
217.21.112.0	217.21.127.255	KE
217.21.128.0	217.21.143.255	SE
217.21.160.0	217.21.175.255	LV
217.21.176.0	217.21.191.247	BE
217.21.191.248	217.21.191.254	US
217.21.191.255	217.21.191.255	BE
217.21.192.0	217.21.207.255	NL
217.21.208.0	217.21.223.255	RU
217.21.224.0	217.21.239.255	SE
217.21.240.0	217.21.255.255	NL
217.22.0.0	217.22.15.255	GB
217.22.16.0	217.22.47.255	NO
217.22.48.0	217.22.49.255	BE
217.22.50.0	217.22.52.15	NL
217.22.52.16	217.22.52.47	BE
217.22.52.48	217.22.52.127	NL
217.22.52.128	217.22.53.254	BE
217.22.53.255	217.22.55.47	NL
217.22.55.48	217.22.55.95	BE
217.22.55.96	217.22.55.143	NL
217.22.55.144	217.22.55.159	BE
217.22.55.160	217.22.55.175	NL
217.22.55.176	217.22.55.191	BE
217.22.55.192	217.22.55.207	NL
217.22.55.208	217.22.55.239	BE
217.22.55.240	217.22.55.255	NL
217.22.56.0	217.22.56.31	BE
217.22.56.32	217.22.56.47	NL
217.22.56.48	217.22.56.63	BE
217.22.56.64	217.22.56.143	NL
217.22.56.144	217.22.56.159	BE
217.22.56.160	217.22.56.207	NL
217.22.56.208	217.22.56.239	BE
217.22.56.240	217.22.57.95	NL
217.22.57.96	217.22.57.127	BE
217.22.57.128	217.22.57.159	NL
217.22.57.160	217.22.57.191	BE
217.22.57.192	217.22.58.15	NL
217.22.58.16	217.22.58.31	BE
217.22.58.32	217.22.58.47	NL
217.22.58.48	217.22.58.63	BE
217.22.58.64	217.22.58.79	NL
217.22.58.80	217.22.58.95	BE
217.22.58.96	217.22.58.111	NL
217.22.58.112	217.22.58.143	BE
217.22.58.144	217.22.58.159	NL
217.22.58.160	217.22.58.175	BE
217.22.58.176	217.22.58.207	NL
217.22.58.208	217.22.58.239	BE
217.22.58.240	217.22.58.255	NL
217.22.59.0	217.22.59.63	BE
217.22.59.64	217.22.59.255	NL
217.22.60.0	217.22.60.191	BE
217.22.60.192	217.22.60.255	NL
217.22.61.0	217.22.61.31	BE
217.22.61.32	217.22.62.255	NL
217.22.63.0	217.22.63.31	BE
217.22.63.32	217.22.63.63	NL
217.22.63.64	217.22.63.127	BE
217.22.63.128	217.22.79.255	NL
217.22.80.0	217.22.95.255	GB
217.22.96.0	217.22.111.255	ES
217.22.112.0	217.22.127.255	IL
217.22.128.0	217.22.143.255	DE
217.22.144.0	217.22.159.255	GB
217.22.160.0	217.22.175.255	RU
217.22.176.0	217.22.191.255	MT
217.22.192.0	217.22.207.255	DE
217.22.208.0	217.22.255.255	IT
217.23.0.0	217.23.3.78	NL
217.23.3.79	217.23.3.80	AF
217.23.3.81	217.23.5.115	NL
217.23.5.116	217.23.5.183	HK
217.23.5.184	217.23.15.255	NL
217.23.16.0	217.23.31.255	RU
217.23.32.0	217.23.47.255	JO
217.23.48.0	217.23.63.255	DE
217.23.64.0	217.23.95.255	RU
217.23.96.0	217.23.106.255	DK
217.23.107.0	217.23.107.31	NO
217.23.107.32	217.23.110.63	DK
217.23.110.64	217.23.110.95	ES
217.23.110.96	217.23.110.127	TR
217.23.110.128	217.23.110.159	CH
217.23.110.160	217.23.110.191	CY
217.23.110.192	217.23.110.223	ES
217.23.110.224	217.23.110.255	US
217.23.111.0	217.23.111.31	ZA
217.23.111.32	217.23.111.63	AU
217.23.111.64	217.23.111.95	TH
217.23.111.96	217.23.111.127	BR
217.23.111.128	217.23.111.255	DK
217.23.112.0	217.23.127.255	BY
217.23.128.0	217.23.159.255	RU
217.23.160.0	217.23.175.255	GB
217.23.176.0	217.23.191.255	RU
217.23.192.0	217.23.207.255	BA
217.23.208.0	217.23.223.255	HU
217.23.224.0	217.23.239.255	GB
217.23.240.0	217.23.255.255	SK
217.24.0.0	217.24.15.255	DE
217.24.16.0	217.24.31.255	RS
217.24.32.0	217.24.47.255	CH
217.24.48.0	217.24.63.255	DE
217.24.64.0	217.24.79.255	LV
217.24.80.0	217.24.95.255	FR
217.24.96.0	217.24.111.255	FI
217.24.112.0	217.24.127.255	RU
217.24.128.0	217.24.143.255	GB
217.24.144.0	217.24.145.255	AE
217.24.146.0	217.24.146.255	IR
217.24.147.0	217.24.147.255	AE
217.24.148.0	217.24.159.255	IR
217.24.160.0	217.24.175.255	UA
217.24.176.0	217.24.191.255	RU
217.24.192.0	217.24.239.255	DE
217.24.240.0	217.24.255.255	AL
217.25.0.0	217.25.15.255	GB
217.25.16.0	217.25.31.255	AZ
217.25.32.0	217.25.33.39	SE
217.25.33.40	217.25.33.44	GB
217.25.33.45	217.25.33.255	SE
217.25.34.0	217.25.34.31	GB
217.25.34.32	217.25.38.31	SE
217.25.38.32	217.25.38.36	GB
217.25.38.37	217.25.47.255	SE
217.25.48.0	217.25.63.255	IR
217.25.64.0	217.25.79.255	DE
217.25.80.0	217.25.95.255	RU
217.25.96.0	217.25.111.255	FI
217.25.112.0	217.25.127.255	AT
217.25.128.0	217.25.143.255	DE
217.25.144.0	217.25.159.255	RU
217.25.160.0	217.25.175.255	DE
217.25.176.0	217.25.191.255	FR
217.25.192.0	217.25.207.255	UA
217.25.208.0	217.25.239.255	RU
217.25.240.0	217.25.255.255	SE
217.26.0.0	217.26.31.255	RU
217.26.32.0	217.26.63.255	CH
217.26.64.0	217.26.79.255	RS
217.26.80.0	217.26.95.255	IT
217.26.96.0	217.26.127.255	NL
217.26.128.0	217.26.143.255	AM
217.26.144.0	217.26.175.255	MD
217.26.176.0	217.26.191.255	RU
217.26.192.0	217.26.207.255	FR
217.26.208.0	217.26.213.255	RS
217.26.214.0	217.26.218.11	GB
217.26.218.12	217.26.218.19	MT
217.26.218.20	217.26.218.35	GB
217.26.218.36	217.26.218.39	MT
217.26.218.40	217.26.223.255	GB
217.26.224.0	217.26.239.255	IT
217.26.240.0	217.26.255.255	A2
217.27.0.0	217.27.15.255	DE
217.27.16.0	217.27.31.255	GB
217.27.32.0	217.27.39.255	CY
217.27.40.0	217.27.43.255	RU
217.27.44.0	217.27.45.255	GR
217.27.46.0	217.27.47.255	GB
217.27.48.0	217.27.54.255	CY
217.27.55.0	217.27.55.35	RU
217.27.55.36	217.27.55.39	CY
217.27.55.40	217.27.55.47	RU
217.27.55.48	217.27.55.59	CY
217.27.55.60	217.27.55.71	RU
217.27.55.72	217.27.55.127	CY
217.27.55.128	217.27.55.143	RU
217.27.55.144	217.27.63.255	CY
217.27.64.0	217.27.95.255	IT
217.27.96.0	217.27.111.255	CH
217.27.112.0	217.27.127.255	IT
217.27.128.0	217.27.143.255	RU
217.27.144.0	217.27.159.255	UA
217.27.160.0	217.27.191.255	SE
217.27.192.0	217.27.207.255	DE
217.27.208.0	217.27.223.255	HU
217.27.224.0	217.27.239.255	NL
217.27.240.0	217.27.255.255	GB
217.28.0.0	217.28.15.255	IM
217.28.16.0	217.28.31.255	GB
217.28.32.0	217.28.47.255	SE
217.28.48.0	217.28.63.255	LV
217.28.64.0	217.28.71.255	FR
217.28.72.0	217.28.79.255	RU
217.28.96.0	217.28.111.255	DE
217.28.112.0	217.28.127.255	IT
217.28.128.0	217.28.143.255	GB
217.28.144.0	217.28.159.255	PL
217.28.160.0	217.28.161.255	DK
217.28.162.0	217.28.162.255	GB
217.28.163.0	217.28.163.255	US
217.28.164.0	217.28.175.255	DK
217.28.176.0	217.28.191.93	IS
217.28.191.94	217.28.191.94	GB
217.28.191.95	217.28.191.195	IS
217.28.191.196	217.28.191.199	DK
217.28.191.200	217.28.191.255	IS
217.28.192.0	217.28.207.255	SE
217.28.208.0	217.28.239.255	RU
217.28.240.0	217.28.241.63	UA
217.28.241.64	217.28.241.79	EE
217.28.241.80	217.28.241.87	HU
217.28.241.88	217.28.241.89	EE
217.28.241.90	217.28.241.95	UA
217.28.241.96	217.28.241.111	SE
217.28.241.112	217.28.241.255	UA
217.28.242.0	217.28.242.15	EE
217.28.242.16	217.28.243.7	UA
217.28.243.8	217.28.243.9	LV
217.28.243.10	217.28.243.15	UA
217.28.243.16	217.28.243.51	LV
217.28.243.52	217.28.243.55	UA
217.28.243.56	217.28.243.87	LV
217.28.243.88	217.28.243.95	UA
217.28.243.96	217.28.243.247	LV
217.28.243.248	217.28.243.255	UA
217.28.244.0	217.28.244.27	RU
217.28.244.28	217.28.244.31	UA
217.28.244.32	217.28.244.33	RU
217.28.244.34	217.28.244.35	UA
217.28.244.36	217.28.244.39	RU
217.28.244.40	217.28.244.43	UA
217.28.244.44	217.28.244.67	RU
217.28.244.68	217.28.244.71	UA
217.28.244.72	217.28.244.79	RU
217.28.244.80	217.28.244.87	UA
217.28.244.88	217.28.244.119	RU
217.28.244.120	217.28.244.123	UA
217.28.244.124	217.28.244.175	RU
217.28.244.176	217.28.244.179	UA
217.28.244.180	217.28.244.191	RU
217.28.244.192	217.28.244.199	DE
217.28.244.200	217.28.244.245	RU
217.28.244.246	217.28.244.247	UA
217.28.244.248	217.28.244.255	RU
217.28.245.0	217.28.245.255	UA
217.28.246.0	217.28.246.69	RU
217.28.246.70	217.28.246.79	UA
217.28.246.80	217.28.246.95	RU
217.28.246.96	217.28.246.255	UA
217.28.247.0	217.28.247.7	RU
217.28.247.8	217.28.247.11	UA
217.28.247.12	217.28.247.39	RU
217.28.247.40	217.28.247.65	UA
217.28.247.66	217.28.247.91	RU
217.28.247.92	217.28.247.93	UA
217.28.247.94	217.28.247.111	RU
217.28.247.112	217.28.247.127	UA
217.28.247.128	217.28.247.159	RU
217.28.247.160	217.28.247.255	UA
217.28.248.0	217.28.248.255	LT
217.28.249.0	217.28.249.7	UA
217.28.249.8	217.28.249.47	LV
217.28.249.48	217.28.249.51	UA
217.28.249.52	217.28.249.63	LV
217.28.249.64	217.28.249.127	UA
217.28.249.128	217.28.249.167	LV
217.28.249.168	217.28.249.183	UA
217.28.249.184	217.28.249.191	LV
217.28.249.192	217.28.249.223	UA
217.28.249.224	217.28.249.255	LV
217.28.250.0	217.28.250.31	DE
217.28.250.32	217.28.250.39	NL
217.28.250.40	217.28.250.51	DE
217.28.250.52	217.28.250.71	UA
217.28.250.72	217.28.250.79	GE
217.28.250.80	217.28.250.83	DE
217.28.250.84	217.28.250.87	UA
217.28.250.88	217.28.250.91	LV
217.28.250.92	217.28.250.95	DE
217.28.250.96	217.28.250.97	CZ
217.28.250.98	217.28.250.99	FR
217.28.250.100	217.28.250.103	BE
217.28.250.104	217.28.250.107	DE
217.28.250.108	217.28.250.109	FR
217.28.250.110	217.28.250.111	UA
217.28.250.112	217.28.250.135	DE
217.28.250.136	217.28.250.137	NL
217.28.250.138	217.28.250.143	DE
217.28.250.144	217.28.250.159	NL
217.28.250.160	217.28.250.165	DE
217.28.250.166	217.28.250.167	UA
217.28.250.168	217.28.250.171	DE
217.28.250.172	217.28.250.175	UA
217.28.250.176	217.28.250.187	DE
217.28.250.188	217.28.250.189	NL
217.28.250.190	217.28.250.191	DE
217.28.250.192	217.28.250.207	GE
217.28.250.208	217.28.250.255	UA
217.28.251.0	217.28.251.17	LT
217.28.251.18	217.28.251.31	UA
217.28.251.32	217.28.251.47	LT
217.28.251.48	217.28.251.63	UA
217.28.251.64	217.28.251.87	LT
217.28.251.88	217.28.251.91	LV
217.28.251.92	217.28.251.255	LT
217.28.252.0	217.28.252.107	PL
217.28.252.108	217.28.252.255	UA
217.28.253.0	217.28.253.35	SE
217.28.253.36	217.28.253.39	UA
217.28.253.40	217.28.253.47	SE
217.28.253.48	217.28.253.55	LV
217.28.253.56	217.28.253.59	FI
217.28.253.60	217.28.253.63	SE
217.28.253.64	217.28.253.79	RU
217.28.253.80	217.28.253.87	SE
217.28.253.88	217.28.253.95	GB
217.28.253.96	217.28.253.111	SE
217.28.253.112	217.28.253.123	GB
217.28.253.124	217.28.253.135	SE
217.28.253.136	217.28.253.139	GB
217.28.253.140	217.28.253.141	UA
217.28.253.142	217.28.253.143	SE
217.28.253.144	217.28.253.191	UA
217.28.253.192	217.28.253.255	SE
217.28.254.0	217.28.254.255	UA
217.28.255.0	217.28.255.255	LV
217.29.0.0	217.29.15.255	CZ
217.29.16.0	217.29.31.255	KG
217.29.32.0	217.29.47.255	DE
217.29.48.0	217.29.63.255	RU
217.29.64.0	217.29.79.255	IT
217.29.80.0	217.29.95.255	RU
217.29.96.0	217.29.111.255	ES
217.29.112.0	217.29.127.255	UZ
217.29.128.0	217.29.143.255	EG
217.29.144.0	217.29.159.255	AT
217.29.160.0	217.29.175.255	IT
217.29.176.0	217.29.191.255	RU
217.29.192.0	217.29.207.255	GB
217.29.208.0	217.29.223.255	DZ
217.29.224.0	217.29.226.255	AX
217.29.227.0	217.29.227.255	FI
217.29.228.0	217.29.229.63	AX
217.29.229.64	217.29.229.127	FI
217.29.229.128	217.29.229.255	AX
217.29.230.0	217.29.230.255	FI
217.29.231.0	217.29.231.15	AX
217.29.231.16	217.29.231.31	FI
217.29.231.32	217.29.231.63	AX
217.29.231.64	217.29.231.127	FI
217.29.231.128	217.29.234.63	AX
217.29.234.64	217.29.239.255	FI
217.29.240.0	217.29.255.255	JO
217.30.0.0	217.30.15.255	IT
217.30.16.0	217.30.31.255	BE
217.30.32.0	217.30.47.255	DK
217.30.48.0	217.30.63.255	DE
217.30.64.0	217.30.79.255	CZ
217.30.80.0	217.30.95.255	DK
217.30.96.0	217.30.111.255	MT
217.30.112.0	217.30.127.255	GB
217.30.128.0	217.30.159.255	PL
217.30.160.0	217.30.175.255	UZ
217.30.176.0	217.30.191.255	FI
217.30.192.0	217.30.207.255	UA
217.30.208.0	217.30.223.255	BG
217.30.224.0	217.30.239.255	DE
217.30.240.0	217.30.255.255	RU
217.31.0.0	217.31.15.255	GB
217.31.16.0	217.31.31.255	DE
217.31.32.0	217.31.47.255	SK
217.31.48.0	217.31.63.255	CZ
217.31.64.0	217.31.79.255	LU
217.31.80.0	217.31.95.255	DE
217.31.96.0	217.31.111.255	NO
217.31.112.0	217.31.127.255	IT
217.31.128.0	217.31.159.255	GB
217.31.160.0	217.31.191.255	SE
217.31.192.0	217.31.207.255	CZ
217.31.208.0	217.31.223.255	DE
217.31.224.0	217.31.255.255	TR
217.32.0.0	217.47.255.255	GB
217.48.0.0	217.51.255.255	DE
217.52.0.0	217.55.255.255	EG
217.56.0.0	217.59.255.255	IT
217.60.0.0	217.61.255.255	DK
217.62.0.0	217.63.95.255	NL
217.63.96.0	217.63.127.255	AM
217.63.128.0	217.63.255.255	NL
217.64.0.0	217.64.15.255	CZ
217.64.16.0	217.64.31.255	AZ
217.64.32.0	217.64.47.255	FI
217.64.48.0	217.64.63.255	FR
217.64.64.0	217.64.81.255	DE
217.64.82.0	217.64.82.255	AT
217.64.83.0	217.64.95.255	DE
217.64.96.0	217.64.111.255	ML
217.64.112.0	217.64.127.255	GB
217.64.128.0	217.64.143.255	RU
217.64.144.0	217.64.159.255	IR
217.64.160.0	217.64.175.255	DE
217.64.176.0	217.64.190.231	FI
217.64.190.232	217.64.190.239	AX
217.64.190.240	217.64.191.255	FI
217.64.192.0	217.64.207.255	IT
217.64.208.0	217.64.223.255	TR
217.64.224.0	217.64.229.183	GB
217.64.229.184	217.64.229.191	IT
217.64.229.192	217.64.233.31	GB
217.64.233.32	217.64.233.35	IS
217.64.233.36	217.64.239.255	GB
217.64.240.0	217.64.255.255	BE
217.65.0.0	217.65.15.255	RU
217.65.16.0	217.65.31.255	DE
217.65.32.0	217.65.32.255	IL
217.65.33.0	217.65.34.255	GB
217.65.35.0	217.65.35.255	IL
217.65.36.0	217.65.36.255	US
217.65.37.0	217.65.37.255	IL
217.65.38.0	217.65.38.255	GB
217.65.39.0	217.65.39.255	IL
217.65.40.0	217.65.44.255	US
217.65.45.0	217.65.46.255	IL
217.65.47.0	217.65.47.255	US
217.65.48.0	217.65.63.255	GI
217.65.64.0	217.65.79.255	IT
217.65.80.0	217.65.95.255	RU
217.65.96.0	217.65.127.255	HU
217.65.128.0	217.65.143.255	DE
217.65.144.0	217.65.175.255	GB
217.65.176.0	217.65.178.31	DE
217.65.178.32	217.65.178.63	TR
217.65.178.64	217.65.179.255	DE
217.65.180.0	217.65.189.255	TR
217.65.190.0	217.65.190.31	DE
217.65.190.32	217.65.191.255	TR
217.65.192.0	217.65.207.255	RS
217.65.208.0	217.65.223.255	RU
217.65.224.0	217.65.239.255	NO
217.65.240.0	217.65.255.255	UA
217.66.0.0	217.66.15.255	BE
217.66.16.0	217.66.31.255	RU
217.66.32.0	217.66.63.255	DE
217.66.64.0	217.66.95.255	RU
217.66.96.0	217.66.111.255	UA
217.66.112.0	217.66.127.255	FR
217.66.128.0	217.66.143.255	DE
217.66.144.0	217.66.159.255	RU
217.66.160.0	217.66.165.255	CZ
217.66.166.0	217.66.166.255	SK
217.66.167.0	217.66.190.255	CZ
217.66.191.0	217.66.191.255	SK
217.66.192.0	217.66.223.255	IR
217.66.224.0	217.66.255.255	PS
217.67.0.0	217.67.15.255	RU
217.67.16.0	217.67.16.179	SK
217.67.16.180	217.67.16.183	CZ
217.67.16.184	217.67.16.251	SK
217.67.16.252	217.67.16.255	CZ
217.67.17.0	217.67.17.87	SK
217.67.17.88	217.67.17.111	CZ
217.67.17.112	217.67.17.119	SK
217.67.17.120	217.67.17.143	CZ
217.67.17.144	217.67.17.243	SK
217.67.17.244	217.67.17.247	CZ
217.67.17.248	217.67.18.47	SK
217.67.18.48	217.67.18.63	CZ
217.67.18.64	217.67.18.163	SK
217.67.18.164	217.67.18.167	CZ
217.67.18.168	217.67.18.175	SK
217.67.18.176	217.67.18.191	CZ
217.67.18.192	217.67.18.207	SK
217.67.18.208	217.67.18.223	CZ
217.67.18.224	217.67.18.247	SK
217.67.18.248	217.67.18.255	CZ
217.67.19.0	217.67.19.23	SK
217.67.19.24	217.67.19.63	CZ
217.67.19.64	217.67.19.71	SK
217.67.19.72	217.67.19.79	CZ
217.67.19.80	217.67.19.127	SK
217.67.19.128	217.67.19.143	CZ
217.67.19.144	217.67.19.167	SK
217.67.19.168	217.67.19.175	CZ
217.67.19.176	217.67.19.239	SK
217.67.19.240	217.67.19.251	CZ
217.67.19.252	217.67.20.39	SK
217.67.20.40	217.67.20.47	CZ
217.67.20.48	217.67.20.63	SK
217.67.20.64	217.67.20.71	CZ
217.67.20.72	217.67.20.75	SK
217.67.20.76	217.67.20.95	CZ
217.67.20.96	217.67.20.111	SK
217.67.20.112	217.67.20.127	CZ
217.67.20.128	217.67.20.191	SK
217.67.20.192	217.67.20.199	CZ
217.67.20.200	217.67.20.223	SK
217.67.20.224	217.67.20.239	CZ
217.67.20.240	217.67.21.23	SK
217.67.21.24	217.67.21.31	CZ
217.67.21.32	217.67.21.103	SK
217.67.21.104	217.67.21.127	CZ
217.67.21.128	217.67.21.191	SK
217.67.21.192	217.67.21.207	CZ
217.67.21.208	217.67.21.247	SK
217.67.21.248	217.67.21.255	CZ
217.67.22.0	217.67.22.7	SK
217.67.22.8	217.67.22.15	CZ
217.67.22.16	217.67.22.31	SK
217.67.22.32	217.67.22.39	CZ
217.67.22.40	217.67.22.175	SK
217.67.22.176	217.67.22.183	CZ
217.67.22.184	217.67.22.191	SK
217.67.22.192	217.67.22.215	CZ
217.67.22.216	217.67.22.239	SK
217.67.22.240	217.67.22.247	CZ
217.67.22.248	217.67.24.15	SK
217.67.24.16	217.67.24.23	CZ
217.67.24.24	217.67.24.55	SK
217.67.24.56	217.67.24.63	CZ
217.67.24.64	217.67.24.71	SK
217.67.24.72	217.67.24.79	CZ
217.67.24.80	217.67.24.87	SK
217.67.24.88	217.67.24.95	CZ
217.67.24.96	217.67.24.151	SK
217.67.24.152	217.67.24.159	CZ
217.67.24.160	217.67.24.167	SK
217.67.24.168	217.67.24.171	CZ
217.67.24.172	217.67.24.195	SK
217.67.24.196	217.67.24.203	CZ
217.67.24.204	217.67.24.207	SK
217.67.24.208	217.67.24.211	CZ
217.67.24.212	217.67.24.215	SK
217.67.24.216	217.67.24.239	CZ
217.67.24.240	217.67.24.251	SK
217.67.24.252	217.67.24.255	CZ
217.67.25.0	217.67.25.79	SK
217.67.25.80	217.67.25.87	CZ
217.67.25.88	217.67.25.103	SK
217.67.25.104	217.67.25.111	CZ
217.67.25.112	217.67.25.127	SK
217.67.25.128	217.67.25.135	CZ
217.67.25.136	217.67.25.159	SK
217.67.25.160	217.67.25.167	CZ
217.67.25.168	217.67.26.95	SK
217.67.26.96	217.67.26.103	CZ
217.67.26.104	217.67.26.207	SK
217.67.26.208	217.67.26.223	CZ
217.67.26.224	217.67.27.31	SK
217.67.27.32	217.67.27.39	CZ
217.67.27.40	217.67.27.47	SK
217.67.27.48	217.67.27.55	CZ
217.67.27.56	217.67.27.215	SK
217.67.27.216	217.67.27.223	CZ
217.67.27.224	217.67.27.227	SK
217.67.27.228	217.67.27.231	CZ
217.67.27.232	217.67.27.255	SK
217.67.28.0	217.67.28.7	CZ
217.67.28.8	217.67.28.11	SK
217.67.28.12	217.67.28.15	CZ
217.67.28.16	217.67.28.47	SK
217.67.28.48	217.67.28.55	CZ
217.67.28.56	217.67.29.47	SK
217.67.29.48	217.67.29.55	CZ
217.67.29.56	217.67.29.95	SK
217.67.29.96	217.67.29.103	CZ
217.67.29.104	217.67.29.107	SK
217.67.29.108	217.67.29.111	CZ
217.67.29.112	217.67.29.143	SK
217.67.29.144	217.67.29.151	CZ
217.67.29.152	217.67.29.175	SK
217.67.29.176	217.67.29.191	CZ
217.67.29.192	217.67.31.255	SK
217.67.32.0	217.67.47.255	DE
217.67.48.0	217.67.63.255	GB
217.67.64.0	217.67.79.255	UA
217.67.80.0	217.67.95.255	SE
217.67.96.0	217.67.111.255	DE
217.67.112.0	217.67.127.255	RU
217.67.128.0	217.67.143.255	IE
217.67.144.0	217.67.159.255	FR
217.67.160.0	217.67.175.255	ES
217.67.176.0	217.67.191.255	RU
217.67.192.0	217.67.223.255	PL
217.67.224.0	217.67.255.255	NL
217.68.0.0	217.68.5.135	DE
217.68.5.136	217.68.5.143	MK
217.68.5.144	217.68.15.255	DE
217.68.16.0	217.68.31.255	GB
217.68.32.0	217.68.47.255	SE
217.68.48.0	217.68.63.255	NL
217.68.64.0	217.68.79.255	GB
217.68.80.0	217.68.95.255	HR
217.68.96.0	217.68.127.255	NO
217.68.128.0	217.68.143.255	GB
217.68.144.0	217.68.146.191	DE
217.68.146.192	217.68.146.255	HK
217.68.147.0	217.68.149.95	DE
217.68.149.96	217.68.149.127	HK
217.68.149.128	217.68.149.151	DE
217.68.149.152	217.68.149.159	US
217.68.149.160	217.68.150.255	DE
217.68.151.0	217.68.151.255	US
217.68.152.0	217.68.152.255	DE
217.68.153.0	217.68.153.127	MT
217.68.153.128	217.68.157.255	DE
217.68.158.0	217.68.158.31	HK
217.68.158.32	217.68.191.255	DE
217.68.192.0	217.68.207.255	AT
217.68.208.0	217.68.223.255	TR
217.68.224.0	217.68.239.255	CH
217.68.240.0	217.68.255.255	GB
217.69.0.0	217.69.15.255	GR
217.69.16.0	217.69.21.95	FR
217.69.21.96	217.69.21.127	GB
217.69.21.128	217.69.21.207	FR
217.69.21.208	217.69.21.223	US
217.69.21.224	217.69.22.127	FR
217.69.22.128	217.69.22.191	SA
217.69.22.192	217.69.22.255	FR
217.69.23.0	217.69.23.127	GB
217.69.23.128	217.69.23.159	FR
217.69.23.160	217.69.23.191	IE
217.69.23.192	217.69.25.0	FR
217.69.25.1	217.69.25.191	GB
217.69.25.192	217.69.31.255	FR
217.69.32.0	217.69.47.255	GB
217.69.48.0	217.69.63.255	FI
217.69.64.0	217.69.95.255	DE
217.69.96.0	217.69.111.255	CZ
217.69.112.0	217.69.119.255	LV
217.69.120.0	217.69.127.255	LT
217.69.128.0	217.69.143.255	RU
217.69.144.0	217.69.159.255	NL
217.69.160.0	217.69.175.255	DE
217.69.176.0	217.69.191.255	KW
217.69.192.0	217.69.223.255	RU
217.69.224.0	217.69.255.255	DE
217.70.0.0	217.70.15.255	ES
217.70.16.0	217.70.31.255	RU
217.70.32.0	217.70.47.255	SE
217.70.48.0	217.70.63.255	PL
217.70.64.0	217.70.79.255	PT
217.70.80.0	217.70.95.255	FR
217.70.96.0	217.70.127.255	RU
217.70.128.0	217.70.143.255	DE
217.70.144.0	217.70.147.255	IT
217.70.148.0	217.70.148.255	DE
217.70.149.0	217.70.149.255	IT
217.70.150.0	217.70.150.127	HU
217.70.150.128	217.70.159.255	IT
217.70.160.0	217.70.175.255	DE
217.70.176.0	217.70.191.255	FR
217.70.192.0	217.70.201.255	DE
217.70.202.0	217.70.202.255	NL
217.70.203.0	217.70.207.255	DE
217.70.208.0	217.70.223.255	NL
217.70.224.0	217.70.239.255	BE
217.70.240.0	217.70.255.255	ES
217.71.0.0	217.71.15.255	DK
217.71.16.0	217.71.31.255	ES
217.71.32.0	217.71.47.255	EE
217.71.48.0	217.71.63.255	BA
217.71.64.0	217.71.79.255	IT
217.71.80.0	217.71.95.255	CH
217.71.96.0	217.71.98.15	DE
217.71.98.16	217.71.98.255	EU
217.71.99.0	217.71.109.95	DE
217.71.109.96	217.71.109.103	EU
217.71.109.104	217.71.109.159	DE
217.71.109.160	217.71.109.175	EU
217.71.109.176	217.71.109.191	DE
217.71.109.192	217.71.109.255	EU
217.71.110.0	217.71.111.255	DE
217.71.112.0	217.71.112.31	FR
217.71.112.32	217.71.112.63	BE
217.71.112.64	217.71.115.31	FR
217.71.115.32	217.71.115.63	BE
217.71.115.64	217.71.118.159	FR
217.71.118.160	217.71.118.223	BE
217.71.118.224	217.71.118.255	FR
217.71.119.0	217.71.119.255	NL
217.71.120.0	217.71.120.255	FR
217.71.121.0	217.71.121.63	BE
217.71.121.64	217.71.122.255	FR
217.71.123.0	217.71.123.31	NL
217.71.123.32	217.71.123.127	FR
217.71.123.128	217.71.124.255	BE
217.71.125.0	217.71.125.255	FR
217.71.126.0	217.71.126.255	BE
217.71.127.0	217.71.127.255	FR
217.71.128.0	217.71.143.255	RU
217.71.144.0	217.71.159.255	FI
217.71.160.0	217.71.175.255	RU
217.71.176.0	217.71.191.255	MT
217.71.192.0	217.71.207.255	ES
217.71.208.0	217.71.215.255	FR
217.71.216.0	217.71.223.255	DE
217.71.224.0	217.71.239.255	RU
217.71.240.0	217.71.255.255	CH
217.72.0.0	217.72.15.255	RU
217.72.16.0	217.72.31.255	SE
217.72.32.0	217.72.47.255	IT
217.72.48.0	217.72.63.255	SE
217.72.64.0	217.72.95.255	SI
217.72.96.0	217.72.111.255	IT
217.72.112.0	217.72.127.255	GB
217.72.128.0	217.72.131.255	DE
217.72.132.0	217.72.132.63	CH
217.72.132.64	217.72.143.255	DE
217.72.144.0	217.72.159.255	RU
217.72.160.0	217.72.191.255	GB
217.72.192.0	217.72.223.255	DE
217.72.224.0	217.72.239.255	BE
217.72.240.0	217.72.255.255	GB
217.73.0.0	217.73.15.255	SE
217.73.16.0	217.73.31.255	SK
217.73.32.0	217.73.63.255	DE
217.73.64.0	217.73.79.255	GB
217.73.80.0	217.73.95.255	UA
217.73.96.0	217.73.111.255	SE
217.73.112.0	217.73.127.255	RU
217.73.128.0	217.73.143.255	UA
217.73.144.0	217.73.159.255	DE
217.73.160.0	217.73.175.255	RO
217.73.192.0	217.73.207.255	RU
217.73.208.0	217.73.239.255	IT
217.73.240.0	217.73.255.255	PL
217.74.0.0	217.74.3.255	DE
217.74.4.0	217.74.4.255	AT
217.74.5.0	217.74.7.255	DE
217.74.8.0	217.74.8.3	AT
217.74.8.4	217.74.8.7	DE
217.74.8.8	217.74.8.11	AT
217.74.8.12	217.74.8.15	DE
217.74.8.16	217.74.8.23	AT
217.74.8.24	217.74.15.255	DE
217.74.16.0	217.74.31.255	GB
217.74.32.0	217.74.47.255	RU
217.74.48.0	217.74.63.255	IE
217.74.64.0	217.74.79.255	PL
217.74.80.0	217.74.95.255	SE
217.74.96.0	217.74.111.255	FR
217.74.112.0	217.74.153.255	RU
217.74.154.0	217.74.154.31	KZ
217.74.154.32	217.74.154.127	RU
217.74.154.128	217.74.154.255	TJ
217.74.155.0	217.74.175.255	RU
217.74.176.0	217.74.207.255	DE
217.74.208.0	217.74.223.255	DK
217.74.224.0	217.74.224.255	ZW
217.74.225.0	217.74.230.255	LS
217.74.231.0	217.74.231.255	ZW
217.74.232.0	217.74.232.127	SO
217.74.232.128	217.74.232.255	GB
217.74.233.0	217.74.233.255	ZW
217.74.234.0	217.74.234.255	GB
217.74.235.0	217.74.239.255	ZW
217.74.240.0	217.74.255.255	RU
217.75.0.0	217.75.15.255	IE
217.75.16.0	217.75.31.255	CH
217.75.32.0	217.75.47.255	NL
217.75.48.0	217.75.63.255	PL
217.75.64.0	217.75.95.255	SK
217.75.96.0	217.75.104.55	SE
217.75.104.56	217.75.104.63	GB
217.75.104.64	217.75.118.191	SE
217.75.118.192	217.75.118.207	NO
217.75.118.208	217.75.119.223	SE
217.75.119.224	217.75.119.239	FR
217.75.119.240	217.75.127.255	SE
217.75.128.0	217.75.159.255	BG
217.75.160.0	217.75.175.255	GB
217.75.176.0	217.75.191.255	AT
217.75.192.0	217.75.207.255	BA
217.75.208.0	217.75.223.255	CZ
217.75.224.0	217.75.255.255	ES
217.76.0.0	217.76.15.255	AM
217.76.16.0	217.76.31.255	NL
217.76.32.0	217.76.47.255	RU
217.76.48.0	217.76.63.255	SE
217.76.64.0	217.76.79.255	KZ
217.76.80.0	217.76.95.255	SE
217.76.96.0	217.76.111.255	DE
217.76.112.0	217.76.127.255	PL
217.76.128.0	217.76.128.255	ES
217.76.129.0	217.76.129.223	FR
217.76.129.224	217.76.131.255	ES
217.76.132.0	217.76.132.127	FR
217.76.132.128	217.76.132.255	ES
217.76.133.0	217.76.133.255	FR
217.76.134.0	217.76.143.255	ES
217.76.144.0	217.76.144.63	FR
217.76.144.64	217.76.150.255	ES
217.76.151.0	217.76.151.255	PT
217.76.152.0	217.76.152.239	ES
217.76.152.240	217.76.152.255	FR
217.76.153.0	217.76.153.239	ES
217.76.153.240	217.76.153.255	FR
217.76.154.0	217.76.159.255	ES
217.76.160.0	217.76.175.255	AT
217.76.176.0	217.76.191.255	RU
217.76.192.0	217.76.207.255	UA
217.76.208.0	217.76.223.255	IT
217.76.224.0	217.76.239.255	BE
217.76.240.0	217.76.255.255	ES
217.77.0.0	217.77.15.255	GB
217.77.16.0	217.77.31.255	LT
217.77.32.0	217.77.47.255	NO
217.77.48.0	217.77.63.255	RU
217.77.64.0	217.77.79.255	GA
217.77.80.0	217.77.95.255	IT
217.77.96.0	217.77.127.255	RU
217.77.128.0	217.77.159.255	NL
217.77.160.0	217.77.175.255	CZ
217.77.176.0	217.77.191.255	GB
217.77.192.0	217.77.207.255	FI
217.77.208.0	217.77.223.255	UA
217.77.224.0	217.77.239.255	FR
217.77.240.0	217.77.240.1	DE
217.77.240.2	217.77.240.3	IT
217.77.240.4	217.77.240.4	DE
217.77.240.5	217.77.240.5	IE
217.77.240.6	217.77.240.6	ES
217.77.240.7	217.77.240.7	BE
217.77.240.8	217.77.240.9	DE
217.77.240.10	217.77.240.10	CH
217.77.240.11	217.77.240.11	IT
217.77.240.12	217.77.240.13	DE
217.77.240.14	217.77.240.14	NL
217.77.240.15	217.77.240.16	DE
217.77.240.17	217.77.240.17	GR
217.77.240.18	217.77.240.19	FR
217.77.240.20	217.77.240.25	DE
217.77.240.26	217.77.240.26	PL
217.77.240.27	217.77.240.28	DE
217.77.240.29	217.77.240.29	HU
217.77.240.30	217.77.240.30	CH
217.77.240.31	217.77.240.31	ES
217.77.240.32	217.77.240.32	FR
217.77.240.33	217.77.240.33	DE
217.77.240.34	217.77.240.34	ES
217.77.240.35	217.77.240.35	DE
217.77.240.36	217.77.240.36	FR
217.77.240.37	217.77.240.37	CH
217.77.240.38	217.77.240.38	GB
217.77.240.39	217.77.240.39	FR
217.77.240.40	217.77.240.40	DE
217.77.240.41	217.77.240.41	FR
217.77.240.42	217.77.240.42	NL
217.77.240.43	217.77.240.43	AT
217.77.240.44	217.77.240.45	DE
217.77.240.46	217.77.240.47	NL
217.77.240.48	217.77.240.49	GB
217.77.240.50	217.77.240.50	NL
217.77.240.51	217.77.240.51	DE
217.77.240.52	217.77.240.52	AT
217.77.240.53	217.77.240.53	FR
217.77.240.54	217.77.240.54	NL
217.77.240.55	217.77.240.55	DE
217.77.240.56	217.77.240.56	HU
217.77.240.57	217.77.240.57	IT
217.77.240.58	217.77.240.58	GB
217.77.240.59	217.77.240.61	DE
217.77.240.62	217.77.240.63	ES
217.77.240.64	217.77.240.64	DE
217.77.240.65	217.77.240.65	IL
217.77.240.66	217.77.240.66	DE
217.77.240.67	217.77.240.67	NL
217.77.240.68	217.77.240.69	DE
217.77.240.70	217.77.240.70	ES
217.77.240.71	217.77.240.76	DE
217.77.240.77	217.77.240.78	FR
217.77.240.79	217.77.240.79	HU
217.77.240.80	217.77.240.81	DE
217.77.240.82	217.77.240.82	NL
217.77.240.83	217.77.240.83	DE
217.77.240.84	217.77.240.84	IT
217.77.240.85	217.77.240.86	DE
217.77.240.87	217.77.240.87	FR
217.77.240.88	217.77.240.88	DE
217.77.240.89	217.77.240.89	BE
217.77.240.90	217.77.240.90	DE
217.77.240.91	217.77.240.91	NL
217.77.240.92	217.77.240.92	DE
217.77.240.93	217.77.240.94	HU
217.77.240.95	217.77.240.95	IT
217.77.240.96	217.77.240.96	DE
217.77.240.97	217.77.240.97	CH
217.77.240.98	217.77.240.98	DE
217.77.240.99	217.77.240.99	NO
217.77.240.100	217.77.240.100	CH
217.77.240.101	217.77.240.101	NL
217.77.240.102	217.77.240.102	DE
217.77.240.103	217.77.240.103	ES
217.77.240.104	217.77.240.106	NL
217.77.240.107	217.77.240.107	CH
217.77.240.108	217.77.240.108	DE
217.77.240.109	217.77.240.109	NL
217.77.240.110	217.77.240.110	IE
217.77.240.111	217.77.240.112	DE
217.77.240.113	217.77.240.113	NL
217.77.240.114	217.77.240.114	LU
217.77.240.115	217.77.240.115	BE
217.77.240.116	217.77.240.116	NL
217.77.240.117	217.77.240.117	DE
217.77.240.118	217.77.240.118	IT
217.77.240.119	217.77.240.119	CH
217.77.240.120	217.77.240.121	DE
217.77.240.122	217.77.240.122	GB
217.77.240.123	217.77.240.123	NL
217.77.240.124	217.77.240.124	GR
217.77.240.125	217.77.240.125	NL
217.77.240.126	217.77.240.126	GB
217.77.240.127	217.77.240.129	NL
217.77.240.130	217.77.240.130	DE
217.77.240.131	217.77.240.131	NL
217.77.240.132	217.77.240.132	DE
217.77.240.133	217.77.240.133	NL
217.77.240.134	217.77.240.134	DE
217.77.240.135	217.77.240.135	NL
217.77.240.136	217.77.240.136	IT
217.77.240.137	217.77.240.137	DE
217.77.240.138	217.77.240.138	GR
217.77.240.139	217.77.240.139	NL
217.77.240.140	217.77.240.142	IT
217.77.240.143	217.77.240.143	NL
217.77.240.144	217.77.240.144	GR
217.77.240.145	217.77.240.146	IT
217.77.240.147	217.77.240.148	DE
217.77.240.149	217.77.240.149	FR
217.77.240.150	217.77.240.150	DE
217.77.240.151	217.77.240.151	GB
217.77.240.152	217.77.240.152	FR
217.77.240.153	217.77.240.153	DE
217.77.240.154	217.77.240.154	CH
217.77.240.155	217.77.240.157	ES
217.77.240.158	217.77.240.158	DE
217.77.240.159	217.77.240.159	IT
217.77.240.160	217.77.240.160	DE
217.77.240.161	217.77.240.161	FR
217.77.240.162	217.77.240.162	DE
217.77.240.163	217.77.240.168	NL
217.77.240.169	217.77.240.169	ES
217.77.240.170	217.77.240.171	NL
217.77.240.172	217.77.240.172	DE
217.77.240.173	217.77.240.173	BE
217.77.240.174	217.77.240.174	FR
217.77.240.175	217.77.240.176	NL
217.77.240.177	217.77.240.177	SE
217.77.240.178	217.77.240.178	ES
217.77.240.179	217.77.240.180	NL
217.77.240.181	217.77.240.181	DE
217.77.240.182	217.77.240.182	IL
217.77.240.183	217.77.240.184	NL
217.77.240.185	217.77.240.185	FR
217.77.240.186	217.77.240.186	NL
217.77.240.187	217.77.240.187	GB
217.77.240.188	217.77.240.188	CH
217.77.240.189	217.77.240.189	DE
217.77.240.190	217.77.240.190	NL
217.77.240.191	217.77.240.191	DE
217.77.240.192	217.77.240.192	NL
217.77.240.193	217.77.240.193	BE
217.77.240.194	217.77.240.195	DE
217.77.240.196	217.77.240.196	CH
217.77.240.197	217.77.240.197	DE
217.77.240.198	217.77.240.198	NL
217.77.240.199	217.77.240.199	DE
217.77.240.200	217.77.240.200	NL
217.77.240.201	217.77.240.201	DE
217.77.240.202	217.77.240.202	CH
217.77.240.203	217.77.240.203	NL
217.77.240.204	217.77.240.204	IE
217.77.240.205	217.77.240.205	AT
217.77.240.206	217.77.240.206	ES
217.77.240.207	217.77.240.207	IT
217.77.240.208	217.77.240.208	FR
217.77.240.209	217.77.240.209	ES
217.77.240.210	217.77.240.210	DE
217.77.240.211	217.77.240.211	IT
217.77.240.212	217.77.240.213	DE
217.77.240.214	217.77.240.214	FR
217.77.240.215	217.77.240.217	DE
217.77.240.218	217.77.240.218	ES
217.77.240.219	217.77.240.219	NL
217.77.240.220	217.77.240.222	DE
217.77.240.223	217.77.240.223	IT
217.77.240.224	217.77.240.224	DE
217.77.240.225	217.77.240.225	IT
217.77.240.226	217.77.240.226	NL
217.77.240.227	217.77.240.229	DE
217.77.240.230	217.77.240.230	IT
217.77.240.231	217.77.240.232	DE
217.77.240.233	217.77.240.233	GR
217.77.240.234	217.77.240.234	ES
217.77.240.235	217.77.240.238	DE
217.77.240.239	217.77.240.239	ES
217.77.240.240	217.77.240.241	DE
217.77.240.242	217.77.240.242	IT
217.77.240.243	217.77.240.243	ZA
217.77.240.244	217.77.241.1	DE
217.77.241.2	217.77.241.2	CH
217.77.241.3	217.77.241.5	DE
217.77.241.6	217.77.241.6	FR
217.77.241.7	217.77.241.7	IT
217.77.241.8	217.77.241.9	DE
217.77.241.10	217.77.241.10	IT
217.77.241.11	217.77.241.11	GB
217.77.241.12	217.77.241.12	DE
217.77.241.13	217.77.241.13	CH
217.77.241.14	217.77.241.14	NL
217.77.241.15	217.77.241.18	DE
217.77.241.19	217.77.241.19	DK
217.77.241.20	217.77.241.20	IT
217.77.241.21	217.77.241.21	DE
217.77.241.22	217.77.241.22	FR
217.77.241.23	217.77.241.24	ES
217.77.241.25	217.77.241.25	CH
217.77.241.26	217.77.241.26	DE
217.77.241.27	217.77.241.28	GB
217.77.241.29	217.77.241.29	DE
217.77.241.30	217.77.241.30	HU
217.77.241.31	217.77.241.34	DE
217.77.241.35	217.77.241.35	GB
217.77.241.36	217.77.241.36	PL
217.77.241.37	217.77.241.37	FR
217.77.241.38	217.77.241.39	DE
217.77.241.40	217.77.241.41	FR
217.77.241.42	217.77.241.42	DE
217.77.241.43	217.77.241.43	NL
217.77.241.44	217.77.241.44	IT
217.77.241.45	217.77.241.46	DE
217.77.241.47	217.77.241.47	FR
217.77.241.48	217.77.241.48	DE
217.77.241.49	217.77.241.49	GR
217.77.241.50	217.77.241.50	ES
217.77.241.51	217.77.241.54	DE
217.77.241.55	217.77.241.55	ES
217.77.241.56	217.77.241.56	DE
217.77.241.57	217.77.241.57	BE
217.77.241.58	217.77.241.58	NL
217.77.241.59	217.77.241.59	ES
217.77.241.60	217.77.241.60	NL
217.77.241.61	217.77.241.62	LU
217.77.241.63	217.77.241.63	DE
217.77.241.64	217.77.241.64	BE
217.77.241.65	217.77.241.65	RS
217.77.241.66	217.77.241.66	DE
217.77.241.67	217.77.241.68	IT
217.77.241.69	217.77.241.69	DE
217.77.241.70	217.77.241.70	ES
217.77.241.71	217.77.241.71	DE
217.77.241.72	217.77.241.72	IE
217.77.241.73	217.77.241.73	PT
217.77.241.74	217.77.241.74	DE
217.77.241.75	217.77.241.75	IL
217.77.241.76	217.77.241.76	BE
217.77.241.77	217.77.241.77	DE
217.77.241.78	217.77.241.78	IT
217.77.241.79	217.77.241.79	GB
217.77.241.80	217.77.241.80	DE
217.77.241.81	217.77.241.81	CH
217.77.241.82	217.77.241.82	ES
217.77.241.83	217.77.241.83	GB
217.77.241.84	217.77.241.84	PL
217.77.241.85	217.77.241.86	DE
217.77.241.87	217.77.241.87	HU
217.77.241.88	217.77.241.88	FR
217.77.241.89	217.77.241.89	NL
217.77.241.90	217.77.241.90	ES
217.77.241.91	217.77.241.91	FR
217.77.241.92	217.77.241.92	DE
217.77.241.93	217.77.241.93	FR
217.77.241.94	217.77.241.94	IT
217.77.241.95	217.77.241.95	FR
217.77.241.96	217.77.241.96	DE
217.77.241.97	217.77.241.97	FR
217.77.241.98	217.77.241.98	ES
217.77.241.99	217.77.241.99	NL
217.77.241.100	217.77.241.101	DE
217.77.241.102	217.77.241.102	CH
217.77.241.103	217.77.241.103	ES
217.77.241.104	217.77.241.104	CH
217.77.241.105	217.77.241.105	DE
217.77.241.106	217.77.241.107	HU
217.77.241.108	217.77.241.109	DE
217.77.241.110	217.77.241.110	ES
217.77.241.111	217.77.241.111	CH
217.77.241.112	217.77.241.112	IT
217.77.241.113	217.77.241.113	TR
217.77.241.114	217.77.241.114	IT
217.77.241.115	217.77.241.115	FR
217.77.241.116	217.77.241.116	DE
217.77.241.117	217.77.241.117	GB
217.77.241.118	217.77.241.118	AT
217.77.241.119	217.77.241.119	DE
217.77.241.120	217.77.241.120	IT
217.77.241.121	217.77.241.121	DE
217.77.241.122	217.77.241.122	ES
217.77.241.123	217.77.241.124	DE
217.77.241.125	217.77.241.125	AT
217.77.241.126	217.77.241.126	DE
217.77.241.127	217.77.241.127	IT
217.77.241.128	217.77.241.128	DE
217.77.241.129	217.77.241.129	ES
217.77.241.130	217.77.241.130	IT
217.77.241.131	217.77.241.131	ES
217.77.241.132	217.77.241.132	IT
217.77.241.133	217.77.241.133	BE
217.77.241.134	217.77.241.134	GB
217.77.241.135	217.77.241.135	AT
217.77.241.136	217.77.241.136	IT
217.77.241.137	217.77.241.137	DE
217.77.241.138	217.77.241.138	NL
217.77.241.139	217.77.241.139	IT
217.77.241.140	217.77.241.141	DE
217.77.241.142	217.77.241.142	IT
217.77.241.143	217.77.241.144	FR
217.77.241.145	217.77.241.145	NL
217.77.241.146	217.77.241.146	DE
217.77.241.147	217.77.241.147	PL
217.77.241.148	217.77.241.148	CH
217.77.241.149	217.77.241.149	FR
217.77.241.150	217.77.241.151	DE
217.77.241.152	217.77.241.152	NL
217.77.241.153	217.77.241.153	DE
217.77.241.154	217.77.241.154	IT
217.77.241.155	217.77.241.155	ES
217.77.241.156	217.77.241.160	DE
217.77.241.161	217.77.241.161	IT
217.77.241.162	217.77.241.167	DE
217.77.241.168	217.77.241.168	PL
217.77.241.169	217.77.241.170	FR
217.77.241.171	217.77.241.172	DE
217.77.241.173	217.77.241.173	HU
217.77.241.174	217.77.241.175	GB
217.77.241.176	217.77.241.176	IT
217.77.241.177	217.77.241.177	GB
217.77.241.178	217.77.241.178	DE
217.77.241.179	217.77.241.179	NL
217.77.241.180	217.77.241.180	IT
217.77.241.181	217.77.241.181	DE
217.77.241.182	217.77.241.182	ES
217.77.241.183	217.77.241.183	FR
217.77.241.184	217.77.241.186	ES
217.77.241.187	217.77.241.188	DE
217.77.241.189	217.77.241.189	ES
217.77.241.190	217.77.241.190	DE
217.77.241.191	217.77.241.191	NL
217.77.241.192	217.77.241.192	FR
217.77.241.193	217.77.241.194	DE
217.77.241.195	217.77.241.195	IT
217.77.241.196	217.77.241.197	ES
217.77.241.198	217.77.241.198	IT
217.77.241.199	217.77.241.199	HU
217.77.241.200	217.77.241.200	ES
217.77.241.201	217.77.241.201	DE
217.77.241.202	217.77.241.202	CH
217.77.241.203	217.77.241.203	DE
217.77.241.204	217.77.241.204	ES
217.77.241.205	217.77.241.205	AE
217.77.241.206	217.77.241.206	ES
217.77.241.207	217.77.241.208	DE
217.77.241.209	217.77.241.209	ES
217.77.241.210	217.77.241.211	DE
217.77.241.212	217.77.241.212	FR
217.77.241.213	217.77.241.215	DE
217.77.241.216	217.77.241.216	BE
217.77.241.217	217.77.241.217	DE
217.77.241.218	217.77.241.218	TR
217.77.241.219	217.77.241.219	DE
217.77.241.220	217.77.241.220	FR
217.77.241.221	217.77.241.221	IT
217.77.241.222	217.77.241.222	SE
217.77.241.223	217.77.241.223	AT
217.77.241.224	217.77.241.224	SI
217.77.241.225	217.77.241.225	DE
217.77.241.226	217.77.241.226	IT
217.77.241.227	217.77.241.227	DE
217.77.241.228	217.77.241.228	IT
217.77.241.229	217.77.241.229	CH
217.77.241.230	217.77.241.230	GB
217.77.241.231	217.77.241.234	DE
217.77.241.235	217.77.241.235	SE
217.77.241.236	217.77.241.236	GR
217.77.241.237	217.77.241.238	DE
217.77.241.239	217.77.241.239	ES
217.77.241.240	217.77.241.240	DE
217.77.241.241	217.77.241.241	GB
217.77.241.242	217.77.241.244	DE
217.77.241.245	217.77.241.245	IE
217.77.241.246	217.77.241.246	IT
217.77.241.247	217.77.241.247	CH
217.77.241.248	217.77.241.251	DE
217.77.241.252	217.77.241.252	FR
217.77.241.253	217.77.241.253	DE
217.77.241.254	217.77.241.254	IT
217.77.241.255	217.77.242.1	DE
217.77.242.2	217.77.242.2	IT
217.77.242.3	217.77.242.3	DE
217.77.242.4	217.77.242.4	BE
217.77.242.5	217.77.242.6	DE
217.77.242.7	217.77.242.7	SK
217.77.242.8	217.77.242.9	IT
217.77.242.10	217.77.242.10	NL
217.77.242.11	217.77.242.11	GR
217.77.242.12	217.77.242.12	PL
217.77.242.13	217.77.242.13	CH
217.77.242.14	217.77.242.14	DK
217.77.242.15	217.77.242.15	DE
217.77.242.16	217.77.242.16	IT
217.77.242.17	217.77.242.18	ES
217.77.242.19	217.77.242.19	GB
217.77.242.20	217.77.242.20	GR
217.77.242.21	217.77.242.21	DE
217.77.242.22	217.77.242.22	GB
217.77.242.23	217.77.242.23	CH
217.77.242.24	217.77.242.24	FR
217.77.242.25	217.77.242.25	IT
217.77.242.26	217.77.242.26	DE
217.77.242.27	217.77.242.27	PL
217.77.242.28	217.77.242.28	DE
217.77.242.29	217.77.242.29	NO
217.77.242.30	217.77.242.30	LU
217.77.242.31	217.77.242.31	GB
217.77.242.32	217.77.242.32	GR
217.77.242.33	217.77.242.33	HR
217.77.242.34	217.77.242.34	FR
217.77.242.35	217.77.242.35	DE
217.77.242.36	217.77.242.36	ES
217.77.242.37	217.77.242.37	CY
217.77.242.38	217.77.242.38	DE
217.77.242.39	217.77.242.39	IT
217.77.242.40	217.77.242.40	BE
217.77.242.41	217.77.242.41	DE
217.77.242.42	217.77.242.42	CH
217.77.242.43	217.77.242.44	DE
217.77.242.45	217.77.242.45	ES
217.77.242.46	217.77.242.46	HU
217.77.242.47	217.77.242.49	DE
217.77.242.50	217.77.242.51	NL
217.77.242.52	217.77.242.52	DK
217.77.242.53	217.77.242.53	DE
217.77.242.54	217.77.242.54	ES
217.77.242.55	217.77.242.58	DE
217.77.242.59	217.77.242.59	ES
217.77.242.60	217.77.242.60	AT
217.77.242.61	217.77.242.62	DE
217.77.242.63	217.77.242.63	IT
217.77.242.64	217.77.242.64	BE
217.77.242.65	217.77.242.65	ES
217.77.242.66	217.77.242.66	DE
217.77.242.67	217.77.242.67	NL
217.77.242.68	217.77.242.68	DE
217.77.242.69	217.77.242.69	CH
217.77.242.70	217.77.242.70	HU
217.77.242.71	217.77.242.71	DE
217.77.242.72	217.77.242.72	ES
217.77.242.73	217.77.242.73	GR
217.77.242.74	217.77.242.74	IT
217.77.242.75	217.77.242.76	DE
217.77.242.77	217.77.242.77	IT
217.77.242.78	217.77.242.78	DE
217.77.242.79	217.77.242.79	PL
217.77.242.80	217.77.242.80	DE
217.77.242.81	217.77.242.81	GB
217.77.242.82	217.77.242.82	ES
217.77.242.83	217.77.242.83	GR
217.77.242.84	217.77.242.85	DE
217.77.242.86	217.77.242.86	FR
217.77.242.87	217.77.242.88	DE
217.77.242.89	217.77.242.89	IT
217.77.242.90	217.77.242.90	FR
217.77.242.91	217.77.242.91	BE
217.77.242.92	217.77.242.92	GB
217.77.242.93	217.77.242.93	FR
217.77.242.94	217.77.242.94	IT
217.77.242.95	217.77.242.95	GB
217.77.242.96	217.77.242.96	DE
217.77.242.97	217.77.242.98	ES
217.77.242.99	217.77.242.99	DE
217.77.242.100	217.77.242.100	IT
217.77.242.101	217.77.242.101	DE
217.77.242.102	217.77.242.102	GR
217.77.242.103	217.77.242.103	DE
217.77.242.104	217.77.242.104	IT
217.77.242.105	217.77.242.105	BE
217.77.242.106	217.77.242.106	IT
217.77.242.107	217.77.242.107	DE
217.77.242.108	217.77.242.108	ES
217.77.242.109	217.77.242.109	FR
217.77.242.110	217.77.242.110	DE
217.77.242.111	217.77.242.111	IT
217.77.242.112	217.77.242.112	NO
217.77.242.113	217.77.242.114	DE
217.77.242.115	217.77.242.115	FR
217.77.242.116	217.77.242.116	NL
217.77.242.117	217.77.242.117	GB
217.77.242.118	217.77.242.118	NL
217.77.242.119	217.77.242.120	DE
217.77.242.121	217.77.242.121	IT
217.77.242.122	217.77.242.122	CH
217.77.242.123	217.77.242.123	FR
217.77.242.124	217.77.242.124	NL
217.77.242.125	217.77.242.125	IT
217.77.242.126	217.77.242.126	BE
217.77.242.127	217.77.242.128	ES
217.77.242.129	217.77.242.130	GB
217.77.242.131	217.77.242.131	CH
217.77.242.132	217.77.242.132	FR
217.77.242.133	217.77.242.133	PL
217.77.242.134	217.77.242.134	NL
217.77.242.135	217.77.242.135	CH
217.77.242.136	217.77.242.138	DE
217.77.242.139	217.77.242.139	FR
217.77.242.140	217.77.242.140	IT
217.77.242.141	217.77.242.142	DE
217.77.242.143	217.77.242.144	ES
217.77.242.145	217.77.242.145	DE
217.77.242.146	217.77.242.146	AT
217.77.242.147	217.77.242.147	GR
217.77.242.148	217.77.242.148	FR
217.77.242.149	217.77.242.150	NL
217.77.242.151	217.77.242.151	IT
217.77.242.152	217.77.242.154	DE
217.77.242.155	217.77.242.155	FR
217.77.242.156	217.77.242.157	ES
217.77.242.158	217.77.242.158	DE
217.77.242.159	217.77.242.159	CH
217.77.242.160	217.77.242.161	DE
217.77.242.162	217.77.242.162	NL
217.77.242.163	217.77.242.163	IT
217.77.242.164	217.77.242.164	DE
217.77.242.165	217.77.242.165	GB
217.77.242.166	217.77.242.166	BE
217.77.242.167	217.77.242.168	IT
217.77.242.169	217.77.242.169	TR
217.77.242.170	217.77.242.172	DE
217.77.242.173	217.77.242.174	ES
217.77.242.175	217.77.242.175	IT
217.77.242.176	217.77.242.176	DE
217.77.242.177	217.77.242.177	IT
217.77.242.178	217.77.242.178	DE
217.77.242.179	217.77.242.179	FR
217.77.242.180	217.77.242.181	DE
217.77.242.182	217.77.242.182	NL
217.77.242.183	217.77.242.183	ES
217.77.242.184	217.77.242.184	IT
217.77.242.185	217.77.242.185	DE
217.77.242.186	217.77.242.186	NL
217.77.242.187	217.77.242.188	FR
217.77.242.189	217.77.242.189	IT
217.77.242.190	217.77.242.190	NL
217.77.242.191	217.77.242.191	BE
217.77.242.192	217.77.242.192	FR
217.77.242.193	217.77.242.193	NL
217.77.242.194	217.77.242.194	DE
217.77.242.195	217.77.242.195	NL
217.77.242.196	217.77.242.196	FR
217.77.242.197	217.77.242.198	IT
217.77.242.199	217.77.242.199	ES
217.77.242.200	217.77.242.201	DE
217.77.242.202	217.77.242.202	GR
217.77.242.203	217.77.242.203	NL
217.77.242.204	217.77.242.204	PL
217.77.242.205	217.77.242.205	GR
217.77.242.206	217.77.242.206	IT
217.77.242.207	217.77.242.207	DE
217.77.242.208	217.77.242.208	ES
217.77.242.209	217.77.242.209	GB
217.77.242.210	217.77.242.210	BM
217.77.242.211	217.77.242.211	NL
217.77.242.212	217.77.242.212	DE
217.77.242.213	217.77.242.213	CH
217.77.242.214	217.77.242.214	ZA
217.77.242.215	217.77.242.217	ES
217.77.242.218	217.77.242.219	DE
217.77.242.220	217.77.242.220	IT
217.77.242.221	217.77.242.221	ES
217.77.242.222	217.77.242.222	HU
217.77.242.223	217.77.242.223	FR
217.77.242.224	217.77.242.224	IT
217.77.242.225	217.77.242.225	DE
217.77.242.226	217.77.242.226	CH
217.77.242.227	217.77.242.227	DE
217.77.242.228	217.77.242.228	FR
217.77.242.229	217.77.242.229	DE
217.77.242.230	217.77.242.230	ES
217.77.242.231	217.77.242.231	DK
217.77.242.232	217.77.242.232	CH
217.77.242.233	217.77.242.233	ES
217.77.242.234	217.77.242.234	DE
217.77.242.235	217.77.242.235	RU
217.77.242.236	217.77.242.236	NL
217.77.242.237	217.77.242.237	GR
217.77.242.238	217.77.242.238	ES
217.77.242.239	217.77.242.239	DE
217.77.242.240	217.77.242.240	MY
217.77.242.241	217.77.242.241	HU
217.77.242.242	217.77.242.242	NL
217.77.242.243	217.77.242.244	DE
217.77.242.245	217.77.242.245	IE
217.77.242.246	217.77.242.246	IT
217.77.242.247	217.77.242.247	ES
217.77.242.248	217.77.242.249	DE
217.77.242.250	217.77.242.250	IT
217.77.242.251	217.77.242.251	IE
217.77.242.252	217.77.242.252	NL
217.77.242.253	217.77.242.253	BE
217.77.242.254	217.77.242.254	IT
217.77.242.255	217.77.243.4	DE
217.77.243.5	217.77.243.5	RU
217.77.243.6	217.77.243.6	FR
217.77.243.7	217.77.243.7	IT
217.77.243.8	217.77.243.8	DE
217.77.243.9	217.77.243.9	CH
217.77.243.10	217.77.243.10	GB
217.77.243.11	217.77.243.12	NL
217.77.243.13	217.77.243.13	BE
217.77.243.14	217.77.243.15	DE
217.77.243.16	217.77.243.16	IT
217.77.243.17	217.77.243.17	DE
217.77.243.18	217.77.243.18	GB
217.77.243.19	217.77.243.19	ES
217.77.243.20	217.77.243.21	FR
217.77.243.22	217.77.243.23	DE
217.77.243.24	217.77.243.25	NL
217.77.243.26	217.77.243.26	DE
217.77.243.27	217.77.243.28	GB
217.77.243.29	217.77.243.29	DE
217.77.243.30	217.77.243.30	NL
217.77.243.31	217.77.243.31	FR
217.77.243.32	217.77.243.32	AT
217.77.243.33	217.77.243.36	DE
217.77.243.37	217.77.243.37	NL
217.77.243.38	217.77.243.38	DE
217.77.243.39	217.77.243.39	NL
217.77.243.40	217.77.243.40	GR
217.77.243.41	217.77.243.41	DE
217.77.243.42	217.77.243.42	FR
217.77.243.43	217.77.243.44	NL
217.77.243.45	217.77.243.45	DE
217.77.243.46	217.77.243.46	NL
217.77.243.47	217.77.243.47	DE
217.77.243.48	217.77.243.49	NL
217.77.243.50	217.77.243.51	FR
217.77.243.52	217.77.243.54	NL
217.77.243.55	217.77.243.56	DE
217.77.243.57	217.77.243.57	FR
217.77.243.58	217.77.243.58	DE
217.77.243.59	217.77.243.59	FR
217.77.243.60	217.77.243.60	NL
217.77.243.61	217.77.243.61	FR
217.77.243.62	217.77.243.65	NL
217.77.243.66	217.77.243.66	DE
217.77.243.67	217.77.243.67	NL
217.77.243.68	217.77.243.68	GB
217.77.243.69	217.77.243.69	DE
217.77.243.70	217.77.243.70	IT
217.77.243.71	217.77.243.71	HU
217.77.243.72	217.77.243.72	DE
217.77.243.73	217.77.243.73	GB
217.77.243.74	217.77.243.81	DE
217.77.243.82	217.77.243.82	NL
217.77.243.83	217.77.243.83	AT
217.77.243.84	217.77.243.84	NL
217.77.243.85	217.77.243.85	FR
217.77.243.86	217.77.243.87	DE
217.77.243.88	217.77.243.88	CH
217.77.243.89	217.77.243.89	DE
217.77.243.90	217.77.243.90	IT
217.77.243.91	217.77.243.92	DE
217.77.243.93	217.77.243.93	GB
217.77.243.94	217.77.243.94	NL
217.77.243.95	217.77.243.104	DE
217.77.243.105	217.77.243.105	IT
217.77.243.106	217.77.243.106	AT
217.77.243.107	217.77.243.107	IT
217.77.243.108	217.77.243.110	DE
217.77.243.111	217.77.243.111	NL
217.77.243.112	217.77.243.112	BE
217.77.243.113	217.77.243.113	DE
217.77.243.114	217.77.243.114	GR
217.77.243.115	217.77.243.115	DE
217.77.243.116	217.77.243.116	IT
217.77.243.117	217.77.243.118	DE
217.77.243.119	217.77.243.119	IT
217.77.243.120	217.77.243.120	GR
217.77.243.121	217.77.243.121	NL
217.77.243.122	217.77.243.122	DE
217.77.243.123	217.77.243.123	GR
217.77.243.124	217.77.243.124	DE
217.77.243.125	217.77.243.125	NL
217.77.243.126	217.77.243.126	GB
217.77.243.127	217.77.243.127	DE
217.77.243.128	217.77.243.129	NL
217.77.243.130	217.77.243.130	DE
217.77.243.131	217.77.243.131	NL
217.77.243.132	217.77.243.132	FR
217.77.243.133	217.77.243.133	NL
217.77.243.134	217.77.243.134	IE
217.77.243.135	217.77.243.135	DE
217.77.243.136	217.77.243.138	NL
217.77.243.139	217.77.243.139	DE
217.77.243.140	217.77.243.140	NL
217.77.243.141	217.77.243.141	ES
217.77.243.142	217.77.243.142	FR
217.77.243.143	217.77.243.143	NL
217.77.243.144	217.77.243.144	DE
217.77.243.145	217.77.243.145	NL
217.77.243.146	217.77.243.146	FR
217.77.243.147	217.77.243.148	NL
217.77.243.149	217.77.243.149	DE
217.77.243.150	217.77.243.153	NL
217.77.243.154	217.77.243.154	DE
217.77.243.155	217.77.243.155	ES
217.77.243.156	217.77.243.156	IT
217.77.243.157	217.77.243.157	NL
217.77.243.158	217.77.243.158	DE
217.77.243.159	217.77.243.159	NL
217.77.243.160	217.77.243.160	DE
217.77.243.161	217.77.243.161	NL
217.77.243.162	217.77.243.162	ES
217.77.243.163	217.77.243.163	DE
217.77.243.164	217.77.243.164	NL
217.77.243.165	217.77.243.166	DE
217.77.243.167	217.77.243.170	NL
217.77.243.171	217.77.243.171	DE
217.77.243.172	217.77.243.179	NL
217.77.243.180	217.77.243.181	DE
217.77.243.182	217.77.243.183	NL
217.77.243.184	217.77.243.184	IT
217.77.243.185	217.77.243.187	NL
217.77.243.188	217.77.243.188	DE
217.77.243.189	217.77.243.189	IT
217.77.243.190	217.77.243.197	NL
217.77.243.198	217.77.243.198	DE
217.77.243.199	217.77.243.199	GR
217.77.243.200	217.77.243.201	DE
217.77.243.202	217.77.243.202	NL
217.77.243.203	217.77.243.203	DE
217.77.243.204	217.77.243.204	CH
217.77.243.205	217.77.243.205	NL
217.77.243.206	217.77.243.209	DE
217.77.243.210	217.77.243.210	FR
217.77.243.211	217.77.243.211	ES
217.77.243.212	217.77.243.213	NL
217.77.243.214	217.77.243.214	DE
217.77.243.215	217.77.243.216	NL
217.77.243.217	217.77.243.217	DE
217.77.243.218	217.77.243.218	MA
217.77.243.219	217.77.246.7	DE
217.77.246.8	217.77.246.11	GR
217.77.246.12	217.77.246.15	DE
217.77.246.16	217.77.246.19	BE
217.77.246.20	217.77.246.23	IT
217.77.246.24	217.77.246.27	DE
217.77.246.28	217.77.246.31	IT
217.77.246.32	217.77.246.35	BE
217.77.246.36	217.77.246.51	IT
217.77.246.52	217.77.246.55	NO
217.77.246.56	217.77.246.59	DE
217.77.246.60	217.77.246.63	FR
217.77.246.64	217.77.246.67	GR
217.77.246.68	217.77.246.75	DE
217.77.246.76	217.77.246.79	CH
217.77.246.80	217.77.246.87	GB
217.77.246.88	217.77.246.91	FR
217.77.246.92	217.77.246.99	ES
217.77.246.100	217.77.246.103	PL
217.77.246.104	217.77.246.107	BE
217.77.246.108	217.77.246.111	GB
217.77.246.112	217.77.246.115	IT
217.77.246.116	217.77.246.119	FR
217.77.246.120	217.77.246.123	GB
217.77.246.124	217.77.246.127	IT
217.77.246.128	217.77.246.131	ES
217.77.246.132	217.77.246.135	DE
217.77.246.136	217.77.246.139	GR
217.77.246.140	217.77.246.143	PL
217.77.246.144	217.77.246.147	IT
217.77.246.148	217.77.246.151	PL
217.77.246.152	217.77.246.155	IT
217.77.246.156	217.77.246.159	FR
217.77.246.160	217.77.246.163	DE
217.77.246.164	217.77.246.167	ES
217.77.246.168	217.77.246.175	DE
217.77.246.176	217.77.246.179	ES
217.77.246.180	217.77.246.183	FR
217.77.246.184	217.77.246.191	IT
217.77.246.192	217.77.246.195	TR
217.77.246.196	217.77.246.199	IT
217.77.246.200	217.77.246.203	FR
217.77.246.204	217.77.246.211	ES
217.77.246.212	217.77.246.215	FR
217.77.246.216	217.77.246.219	IT
217.77.246.220	217.77.246.223	FR
217.77.246.224	217.77.246.227	PL
217.77.246.228	217.77.246.231	GR
217.77.246.232	217.77.246.235	IT
217.77.246.236	217.77.246.239	ES
217.77.246.240	217.77.246.243	FR
217.77.246.244	217.77.246.247	ES
217.77.246.248	217.77.246.251	IT
217.77.246.252	217.77.246.255	CH
217.77.247.0	217.77.247.3	DE
217.77.247.4	217.77.247.7	BM
217.77.247.8	217.77.247.11	NL
217.77.247.12	217.77.247.15	DE
217.77.247.16	217.77.247.27	ES
217.77.247.28	217.77.247.31	GR
217.77.247.32	217.77.247.35	DK
217.77.247.36	217.77.247.39	IT
217.77.247.40	217.77.247.43	FR
217.77.247.44	217.77.247.47	DE
217.77.247.48	217.77.247.51	IT
217.77.247.52	217.77.247.67	DE
217.77.247.68	217.77.247.71	FR
217.77.247.72	217.77.247.75	ES
217.77.247.76	217.77.247.79	FR
217.77.247.80	217.77.247.83	AT
217.77.247.84	217.77.247.87	FR
217.77.247.88	217.77.247.91	GB
217.77.247.92	217.77.247.95	DE
217.77.247.96	217.77.247.99	NL
217.77.247.100	217.77.247.111	DE
217.77.247.112	217.77.247.115	HU
217.77.247.116	217.77.247.119	DE
217.77.247.120	217.77.247.123	GB
217.77.247.124	217.77.247.127	NL
217.77.247.128	217.77.247.131	CH
217.77.247.132	217.77.247.135	IT
217.77.247.136	217.77.247.143	GB
217.77.247.144	217.77.247.147	FR
217.77.247.148	217.77.247.151	IT
217.77.247.152	217.77.247.159	FR
217.77.247.160	217.77.247.163	SE
217.77.247.164	217.77.247.167	IL
217.77.247.168	217.77.247.171	BE
217.77.247.172	217.77.247.179	DE
217.77.247.180	217.77.247.183	IT
217.77.247.184	217.77.247.187	IE
217.77.247.188	217.77.247.191	ES
217.77.247.192	217.77.247.195	FR
217.77.247.196	217.77.247.199	DE
217.77.247.200	217.77.247.203	IT
217.77.247.204	217.77.247.215	DE
217.77.247.216	217.77.247.219	IE
217.77.247.220	217.77.247.235	DE
217.77.247.236	217.77.247.239	IT
217.77.247.240	217.77.247.243	GB
217.77.247.244	217.77.247.247	CH
217.77.247.248	217.77.247.251	FR
217.77.247.252	217.77.248.7	DE
217.77.248.8	217.77.248.11	DK
217.77.248.12	217.77.248.15	GB
217.77.248.16	217.77.248.19	NL
217.77.248.20	217.77.248.35	DE
217.77.248.36	217.77.248.43	FR
217.77.248.44	217.77.248.47	DE
217.77.248.48	217.77.248.51	FR
217.77.248.52	217.77.248.55	NL
217.77.248.56	217.77.248.59	FR
217.77.248.60	217.77.248.63	CH
217.77.248.64	217.77.248.71	IT
217.77.248.72	217.77.248.75	DE
217.77.248.76	217.77.248.79	FR
217.77.248.80	217.77.248.83	DE
217.77.248.84	217.77.248.87	FR
217.77.248.88	217.77.251.1	DE
217.77.251.2	217.77.251.7	US
217.77.251.8	217.77.254.19	DE
217.77.254.20	217.77.254.20	US
217.77.254.21	217.77.254.25	DE
217.77.254.26	217.77.254.26	US
217.77.254.27	217.77.254.27	DE
217.77.254.28	217.77.254.28	US
217.77.254.29	217.77.254.29	DE
217.77.254.30	217.77.254.30	US
217.77.254.31	217.77.254.40	DE
217.77.254.41	217.77.254.41	US
217.77.254.42	217.77.254.54	DE
217.77.254.55	217.77.254.55	US
217.77.254.56	217.77.254.72	DE
217.77.254.73	217.77.254.73	US
217.77.254.74	217.77.255.2	DE
217.77.255.3	217.77.255.3	US
217.77.255.4	217.77.255.4	DE
217.77.255.5	217.77.255.5	US
217.77.255.6	217.77.255.7	DE
217.77.255.8	217.77.255.9	US
217.77.255.10	217.77.255.10	CA
217.77.255.11	217.77.255.24	US
217.77.255.25	217.77.255.25	DE
217.77.255.26	217.77.255.31	US
217.77.255.32	217.77.255.78	DE
217.77.255.79	217.77.255.79	US
217.77.255.80	217.77.255.255	DE
217.78.0.0	217.78.15.255	IE
217.78.16.0	217.78.47.255	SE
217.78.48.0	217.78.63.255	PS
217.78.64.0	217.78.79.255	NG
217.78.80.0	217.78.95.255	GB
217.78.112.0	217.78.127.255	CH
217.78.128.0	217.78.143.255	DE
217.78.144.0	217.78.159.255	GB
217.78.160.0	217.78.175.255	DE
217.78.176.0	217.78.191.255	RU
217.78.192.0	217.78.223.255	FI
217.78.240.0	217.78.255.255	NL
217.79.0.0	217.79.31.255	RU
217.79.32.0	217.79.47.255	BG
217.79.48.0	217.79.63.255	RU
217.79.64.0	217.79.95.255	BG
217.79.96.0	217.79.127.255	GB
217.79.128.0	217.79.143.255	HU
217.79.144.0	217.79.159.255	PL
217.79.160.0	217.79.175.255	GB
217.79.176.0	217.79.191.255	DE
217.79.192.0	217.79.207.255	CH
217.79.208.0	217.79.210.15	DE
217.79.210.16	217.79.210.19	GB
217.79.210.20	217.79.210.91	DE
217.79.210.92	217.79.210.95	US
217.79.210.96	217.79.210.103	AT
217.79.210.104	217.79.212.255	DE
217.79.213.0	217.79.213.127	US
217.79.213.128	217.79.214.127	DE
217.79.214.128	217.79.214.143	AT
217.79.214.144	217.79.214.159	DE
217.79.214.160	217.79.214.191	AT
217.79.214.192	217.79.220.255	DE
217.79.221.0	217.79.221.127	US
217.79.221.128	217.79.223.255	DE
217.79.224.0	217.79.239.255	RU
217.79.240.0	217.79.255.255	NL
217.80.0.0	217.89.51.79	DE
217.89.51.80	217.89.51.87	US
217.89.51.88	217.89.95.207	DE
217.89.95.208	217.89.95.215	CA
217.89.95.216	217.95.255.255	DE
217.96.0.0	217.99.255.255	PL
217.100.0.0	217.105.255.255	NL
217.106.0.0	217.106.218.255	RU
217.106.219.0	217.106.219.255	GE
217.106.220.0	217.106.243.255	RU
217.106.244.0	217.106.244.255	GE
217.106.245.0	217.107.212.255	RU
217.107.213.0	217.107.213.127	BY
217.107.213.128	217.107.255.255	RU
217.108.0.0	217.109.60.199	FR
217.109.60.200	217.109.60.207	A2
217.109.60.208	217.109.255.255	FR
217.110.0.0	217.110.83.31	DE
217.110.83.32	217.110.83.39	GB
217.110.83.40	217.110.83.95	DE
217.110.83.96	217.110.83.103	GB
217.110.83.104	217.110.83.107	DE
217.110.83.108	217.110.83.127	GB
217.110.83.128	217.110.83.191	DE
217.110.83.192	217.110.83.223	GB
217.110.83.224	217.110.100.31	DE
217.110.100.32	217.110.100.39	FR
217.110.100.40	217.110.185.255	DE
217.110.186.0	217.110.186.63	BE
217.110.186.64	217.110.202.255	DE
217.110.203.0	217.110.203.255	SE
217.110.204.0	217.110.206.31	DE
217.110.206.32	217.110.206.47	US
217.110.206.48	217.111.25.55	DE
217.111.25.56	217.111.25.59	GB
217.111.25.60	217.111.25.103	DE
217.111.25.104	217.111.25.111	FR
217.111.25.112	217.111.93.55	DE
217.111.93.56	217.111.93.63	GB
217.111.93.64	217.111.95.95	DE
217.111.95.96	217.111.95.127	CH
217.111.95.128	217.111.106.7	DE
217.111.106.8	217.111.106.15	GB
217.111.106.16	217.111.114.15	DE
217.111.114.16	217.111.114.23	ES
217.111.114.24	217.111.120.127	DE
217.111.120.128	217.111.120.159	IT
217.111.120.160	217.111.128.31	DE
217.111.128.32	217.111.128.47	BE
217.111.128.48	217.111.128.95	DE
217.111.128.96	217.111.128.127	BE
217.111.128.128	217.111.129.127	DE
217.111.129.128	217.111.129.255	FR
217.111.130.0	217.111.130.127	BE
217.111.130.128	217.111.130.191	FR
217.111.130.192	217.111.131.255	DE
217.111.132.0	217.111.132.127	BE
217.111.132.128	217.111.132.255	DE
217.111.133.0	217.111.133.151	ES
217.111.133.152	217.111.133.167	DE
217.111.133.168	217.111.133.183	ES
217.111.133.184	217.111.133.191	DE
217.111.133.192	217.111.133.199	ES
217.111.133.200	217.111.133.207	DE
217.111.133.208	217.111.133.255	ES
217.111.134.0	217.111.134.7	DE
217.111.134.8	217.111.134.31	ES
217.111.134.32	217.111.135.255	DE
217.111.136.0	217.111.136.71	ES
217.111.136.72	217.111.136.95	DE
217.111.136.96	217.111.136.111	ES
217.111.136.112	217.111.136.119	DE
217.111.136.120	217.111.136.127	ES
217.111.136.128	217.111.136.143	DE
217.111.136.144	217.111.136.159	ES
217.111.136.160	217.111.136.167	DE
217.111.136.168	217.111.136.175	ES
217.111.136.176	217.111.136.191	DE
217.111.136.192	217.111.136.223	ES
217.111.136.224	217.111.136.255	DE
217.111.137.0	217.111.137.255	ES
217.111.138.0	217.111.139.255	CH
217.111.140.0	217.111.141.111	GB
217.111.141.112	217.111.141.119	DE
217.111.141.120	217.111.143.255	GB
217.111.144.0	217.111.147.255	BE
217.111.148.0	217.111.149.191	FR
217.111.149.192	217.111.149.255	GB
217.111.150.0	217.111.151.255	FR
217.111.152.0	217.111.153.255	IT
217.111.154.0	217.111.155.255	BE
217.111.156.0	217.111.159.255	FR
217.111.160.0	217.111.161.87	GB
217.111.161.88	217.111.161.95	DE
217.111.161.96	217.111.163.119	GB
217.111.163.120	217.111.163.127	DE
217.111.163.128	217.111.163.163	GB
217.111.163.164	217.111.163.167	DE
217.111.163.168	217.111.163.255	GB
217.111.164.0	217.111.169.151	IT
217.111.169.152	217.111.169.159	DE
217.111.169.160	217.111.170.79	IT
217.111.170.80	217.111.170.87	DE
217.111.170.88	217.111.170.159	IT
217.111.170.160	217.111.170.167	DE
217.111.170.168	217.111.171.255	IT
217.111.172.0	217.111.179.255	ES
217.111.180.0	217.111.180.111	BE
217.111.180.112	217.111.180.127	FR
217.111.180.128	217.111.180.159	BE
217.111.180.160	217.111.180.191	BR
217.111.180.192	217.111.180.199	BE
217.111.180.200	217.111.180.215	DE
217.111.180.216	217.111.181.15	BE
217.111.181.16	217.111.181.23	DE
217.111.181.24	217.111.181.39	BE
217.111.181.40	217.111.181.47	DE
217.111.181.48	217.111.181.55	BE
217.111.181.56	217.111.181.79	DE
217.111.181.80	217.111.181.87	BE
217.111.181.88	217.111.181.95	DE
217.111.181.96	217.111.181.223	BE
217.111.181.224	217.111.181.231	DE
217.111.181.232	217.111.182.87	BE
217.111.182.88	217.111.182.255	DE
217.111.183.0	217.111.183.255	BE
217.111.184.0	217.111.185.63	GB
217.111.185.64	217.111.185.127	IE
217.111.185.128	217.111.187.255	GB
217.111.188.0	217.111.189.255	NL
217.111.190.0	217.111.191.255	DE
217.111.192.0	217.111.195.255	FR
217.111.196.0	217.111.197.255	GB
217.111.198.0	217.111.199.255	IE
217.111.200.0	217.111.203.255	BE
217.111.204.0	217.111.207.255	IT
217.111.208.0	217.111.255.255	DE
217.112.0.0	217.112.31.255	RU
217.112.32.0	217.112.33.255	GB
217.112.34.0	217.112.40.127	RU
217.112.40.128	217.112.40.255	GB
217.112.41.0	217.112.43.255	RU
217.112.44.0	217.112.47.255	GB
217.112.48.0	217.112.79.255	FR
217.112.80.0	217.112.95.255	GB
217.112.96.0	217.112.111.255	IT
217.112.112.0	217.112.127.255	NL
217.112.128.0	217.112.143.255	HU
217.112.144.0	217.112.144.255	IE
217.112.145.0	217.112.145.15	EU
217.112.145.16	217.112.145.63	IE
217.112.145.64	217.112.145.79	EU
217.112.145.80	217.112.145.95	IE
217.112.145.96	217.112.146.255	EU
217.112.147.0	217.112.147.255	IE
217.112.148.0	217.112.148.255	EU
217.112.149.0	217.112.149.3	IE
217.112.149.4	217.112.149.7	EU
217.112.149.8	217.112.149.47	IE
217.112.149.48	217.112.149.127	EU
217.112.149.128	217.112.149.143	IE
217.112.149.144	217.112.151.255	EU
217.112.152.0	217.112.152.31	DE
217.112.152.32	217.112.152.71	EU
217.112.152.72	217.112.152.79	IE
217.112.152.80	217.112.152.127	EU
217.112.152.128	217.112.152.207	IE
217.112.152.208	217.112.152.223	EU
217.112.152.224	217.112.152.255	NL
217.112.153.0	217.112.159.255	EU
217.112.160.0	217.112.175.255	CZ
217.112.176.0	217.112.176.60	BE
217.112.176.61	217.112.176.61	FR
217.112.176.62	217.112.176.92	BE
217.112.176.93	217.112.176.93	NL
217.112.176.94	217.112.191.255	BE
217.112.192.0	217.112.207.255	FI
217.112.208.0	217.112.223.255	UA
217.112.224.0	217.112.239.255	FR
217.112.240.0	217.112.255.255	FI
217.113.0.0	217.113.31.255	AM
217.113.32.0	217.113.47.255	DE
217.113.48.0	217.113.63.255	HU
217.113.64.0	217.113.64.255	BE
217.113.65.0	217.113.65.255	CG
217.113.66.0	217.113.66.127	BE
217.113.66.128	217.113.66.159	BF
217.113.66.160	217.113.66.191	BE
217.113.66.192	217.113.66.255	BF
217.113.67.0	217.113.67.255	CG
217.113.68.0	217.113.68.255	BE
217.113.69.0	217.113.73.255	UG
217.113.74.0	217.113.74.127	TZ
217.113.74.128	217.113.74.159	BF
217.113.74.160	217.113.74.255	TZ
217.113.75.0	217.113.75.255	BE
217.113.76.0	217.113.76.7	NE
217.113.76.8	217.113.76.23	CD
217.113.76.24	217.113.76.31	GA
217.113.76.32	217.113.76.63	CD
217.113.76.64	217.113.76.95	TD
217.113.76.96	217.113.76.111	SL
217.113.76.112	217.113.76.127	BE
217.113.76.128	217.113.76.159	GB
217.113.76.160	217.113.77.255	BE
217.113.78.0	217.113.80.255	MW
217.113.81.0	217.113.81.63	BE
217.113.81.64	217.113.82.255	LR
217.113.83.0	217.113.94.255	BE
217.113.95.0	217.113.95.255	LR
217.113.96.0	217.113.111.255	AT
217.113.112.0	217.113.127.255	RU
217.113.128.0	217.113.159.255	PL
217.113.160.0	217.113.169.63	GB
217.113.169.64	217.113.169.79	IE
217.113.169.80	217.113.169.87	GB
217.113.169.88	217.113.169.95	IE
217.113.169.96	217.113.175.255	GB
217.113.176.0	217.113.191.255	DE
217.113.192.0	217.113.207.255	FR
217.113.208.0	217.113.223.255	IT
217.113.224.0	217.113.239.255	PL
217.113.240.0	217.113.255.255	ES
217.114.0.0	217.114.47.255	RU
217.114.48.0	217.114.63.255	GB
217.114.64.0	217.114.79.255	DE
217.114.80.0	217.114.87.255	SE
217.114.88.0	217.114.89.255	GB
217.114.90.0	217.114.90.255	SE
217.114.91.0	217.114.91.255	FI
217.114.92.0	217.114.92.255	DK
217.114.93.0	217.114.93.255	NO
217.114.94.0	217.114.95.255	SE
217.114.96.0	217.114.111.255	NL
217.114.112.0	217.114.127.255	CH
217.114.128.0	217.114.143.255	ES
217.114.144.0	217.114.159.255	RU
217.114.160.0	217.114.175.255	IE
217.114.176.0	217.114.191.255	RU
217.114.192.0	217.114.201.255	FR
217.114.202.0	217.114.202.127	LU
217.114.202.128	217.114.207.255	FR
217.114.208.0	217.114.210.31	DE
217.114.210.32	217.114.210.63	AT
217.114.210.64	217.114.211.31	DE
217.114.211.32	217.114.211.63	AT
217.114.211.64	217.114.211.223	DE
217.114.211.224	217.114.211.239	RU
217.114.211.240	217.114.212.63	DE
217.114.212.64	217.114.212.95	AT
217.114.212.96	217.114.212.127	DE
217.114.212.128	217.114.212.159	RU
217.114.212.160	217.114.212.175	DE
217.114.212.176	217.114.212.191	CH
217.114.212.192	217.114.213.47	DE
217.114.213.48	217.114.213.63	RU
217.114.213.64	217.114.213.127	DE
217.114.213.128	217.114.213.143	AT
217.114.213.144	217.114.213.151	DE
217.114.213.152	217.114.213.159	IT
217.114.213.160	217.114.214.127	DE
217.114.214.128	217.114.214.143	AT
217.114.214.144	217.114.215.127	DE
217.114.215.128	217.114.215.143	NL
217.114.215.144	217.114.215.159	DE
217.114.215.160	217.114.215.191	RU
217.114.215.192	217.114.215.255	GB
217.114.216.0	217.114.216.31	CH
217.114.216.32	217.114.216.63	IT
217.114.216.64	217.114.217.63	DE
217.114.217.64	217.114.217.95	AT
217.114.217.96	217.114.217.127	CH
217.114.217.128	217.114.217.255	DE
217.114.218.0	217.114.218.15	IT
217.114.218.16	217.114.218.31	AT
217.114.218.32	217.114.218.39	US
217.114.218.40	217.114.218.47	RU
217.114.218.48	217.114.218.63	DE
217.114.218.64	217.114.218.127	IT
217.114.218.128	217.114.222.63	DE
217.114.222.64	217.114.222.127	GB
217.114.222.128	217.114.223.255	DE
217.114.224.0	217.114.255.255	RU
217.115.0.0	217.115.15.255	DE
217.115.16.0	217.115.31.255	IT
217.115.32.0	217.115.63.255	SE
217.115.64.0	217.115.79.255	DE
217.115.80.0	217.115.95.255	RU
217.115.96.0	217.115.111.255	UA
217.115.112.0	217.115.127.255	IE
217.115.128.0	217.115.151.95	DE
217.115.151.96	217.115.151.127	NL
217.115.151.128	217.115.159.255	DE
217.115.160.0	217.115.175.255	FR
217.115.176.0	217.115.191.255	RU
217.115.192.0	217.115.207.255	NL
217.115.208.0	217.115.223.255	RO
217.115.224.0	217.115.239.255	NL
217.115.240.0	217.115.255.255	CZ
217.116.0.0	217.116.31.255	ES
217.116.32.0	217.116.47.255	HU
217.116.48.0	217.116.63.255	RU
217.116.64.0	217.116.79.255	AT
217.116.80.0	217.116.95.255	NO
217.116.96.0	217.116.111.255	PL
217.116.112.0	217.116.127.255	DE
217.116.128.0	217.116.159.255	RU
217.116.160.0	217.116.175.255	FI
217.116.176.0	217.116.191.255	AT
217.116.192.0	217.116.207.255	TR
217.116.208.0	217.116.224.223	DK
217.116.224.224	217.116.224.239	CA
217.116.224.240	217.116.226.175	DK
217.116.226.176	217.116.226.183	SE
217.116.226.184	217.116.227.255	DK
217.116.228.0	217.116.228.255	NL
217.116.229.0	217.116.231.63	DK
217.116.231.64	217.116.231.79	CA
217.116.231.80	217.116.240.39	DK
217.116.240.40	217.116.240.47	CH
217.116.240.48	217.116.248.95	DK
217.116.248.96	217.116.248.103	CA
217.116.248.104	217.116.249.31	DK
217.116.249.32	217.116.249.47	GB
217.116.249.48	217.116.255.255	DK
217.117.0.0	217.117.15.255	NG
217.117.16.0	217.117.31.255	LT
217.117.32.0	217.117.63.255	BE
217.117.64.0	217.117.79.255	UA
217.117.80.0	217.117.95.255	RU
217.117.96.0	217.117.111.255	DE
217.117.112.0	217.117.127.255	RU
217.117.128.0	217.117.143.255	PL
217.117.144.0	217.117.159.255	FR
217.117.160.0	217.117.175.255	CH
217.117.176.0	217.117.191.255	RU
217.117.192.0	217.117.207.255	LU
217.117.208.0	217.117.223.255	CZ
217.117.224.0	217.117.239.255	NL
217.117.240.0	217.117.255.255	RU
217.118.0.0	217.118.15.255	IT
217.118.16.0	217.118.31.255	DE
217.118.32.0	217.118.63.255	NO
217.118.64.0	217.118.95.255	RU
217.118.96.0	217.118.111.255	SK
217.118.112.0	217.118.112.15	AT
217.118.112.16	217.118.112.23	GB
217.118.112.24	217.118.112.39	AT
217.118.112.40	217.118.112.47	GB
217.118.112.48	217.118.112.87	AT
217.118.112.88	217.118.112.127	GB
217.118.112.128	217.118.112.255	AT
217.118.113.0	217.118.113.31	GB
217.118.113.32	217.118.113.47	ES
217.118.113.48	217.118.113.63	GB
217.118.113.64	217.118.113.87	ES
217.118.113.88	217.118.113.95	GB
217.118.113.96	217.118.113.199	ES
217.118.113.200	217.118.113.207	CH
217.118.113.208	217.118.113.215	ES
217.118.113.216	217.118.113.223	GB
217.118.113.224	217.118.113.255	ES
217.118.114.0	217.118.117.255	GB
217.118.118.0	217.118.118.127	FR
217.118.118.128	217.118.118.191	IT
217.118.118.192	217.118.118.255	ES
217.118.119.0	217.118.119.255	GB
217.118.120.0	217.118.120.61	BE
217.118.120.62	217.118.120.255	GB
217.118.121.0	217.118.121.255	NL
217.118.122.0	217.118.123.255	GB
217.118.124.0	217.118.124.255	US
217.118.125.0	217.118.125.255	GB
217.118.126.0	217.118.126.255	DE
217.118.127.0	217.118.127.255	CH
217.118.128.0	217.118.143.255	GB
217.118.144.0	217.118.159.255	IT
217.118.160.0	217.118.175.255	NL
217.118.176.0	217.118.191.255	RU
217.118.192.0	217.118.207.255	CH
217.118.208.0	217.118.213.95	SE
217.118.213.96	217.118.213.111	PA
217.118.213.112	217.118.223.255	SE
217.118.224.0	217.118.226.79	FR
217.118.226.80	217.118.226.87	ES
217.118.226.88	217.118.234.95	FR
217.118.234.96	217.118.234.111	ES
217.118.234.112	217.118.239.255	FR
217.118.240.0	217.118.255.255	IT
217.119.0.0	217.119.15.255	NL
217.119.16.0	217.119.31.255	RU
217.119.32.0	217.119.47.255	FI
217.119.48.0	217.119.57.15	DE
217.119.57.16	217.119.57.23	NL
217.119.57.24	217.119.57.47	DE
217.119.57.48	217.119.57.63	AT
217.119.57.64	217.119.63.255	DE
217.119.64.0	217.119.79.255	PL
217.119.80.0	217.119.95.255	RU
217.119.96.0	217.119.111.255	CH
217.119.112.0	217.119.127.255	SK
217.119.128.0	217.119.143.255	FR
217.119.144.0	217.119.159.255	CH
217.119.160.0	217.119.175.255	SE
217.119.176.0	217.119.191.255	FR
217.119.192.0	217.119.223.255	DE
217.119.224.0	217.119.239.255	NL
217.119.240.0	217.119.255.255	RS
217.120.0.0	217.123.255.255	NL
217.124.0.0	217.127.255.255	ES
217.128.0.0	217.128.255.255	FR
217.129.0.0	217.129.255.255	PT
217.130.0.0	217.130.255.255	ES
217.131.0.0	217.131.255.255	TR
217.132.0.0	217.132.255.255	IL
217.133.0.0	217.133.169.15	IT
217.133.169.16	217.133.169.31	A2
217.133.169.32	217.133.176.63	IT
217.133.176.64	217.133.176.71	A2
217.133.176.72	217.133.255.255	IT
217.134.0.0	217.135.34.255	GB
217.135.35.0	217.135.35.255	FR
217.135.36.0	217.135.255.255	GB
217.136.0.0	217.136.255.255	BE
217.137.0.0	217.138.1.63	GB
217.138.1.64	217.138.1.151	US
217.138.1.152	217.138.1.155	BB
217.138.1.156	217.138.1.191	US
217.138.1.192	217.138.3.255	GB
217.138.4.0	217.138.4.255	US
217.138.5.0	217.138.34.247	GB
217.138.34.248	217.138.35.255	GD
217.138.36.0	217.138.36.231	GB
217.138.36.232	217.138.36.239	BB
217.138.36.240	217.138.36.255	AG
217.138.37.0	217.138.38.247	GB
217.138.38.248	217.138.38.255	TT
217.138.39.0	217.138.255.255	GB
217.139.0.0	217.139.255.255	EG
217.140.0.0	217.140.15.255	NL
217.140.16.0	217.140.31.255	ES
217.140.32.0	217.140.63.255	GB
217.140.64.0	217.140.95.255	DE
217.140.96.0	217.140.99.255	GB
217.140.100.0	217.140.101.255	US
217.140.102.0	217.140.103.255	GB
217.140.104.0	217.140.105.255	JP
217.140.106.0	217.140.109.255	GB
217.140.110.0	217.140.111.255	US
217.140.112.0	217.140.127.255	SE
217.140.128.0	217.140.255.255	FI
217.141.0.0	217.141.255.255	IT
217.142.0.0	217.143.255.255	SE
217.144.0.0	217.144.15.255	JO
217.144.16.0	217.144.31.255	SK
217.144.32.0	217.144.47.255	DE
217.144.48.0	217.144.63.255	CH
217.144.64.0	217.144.79.255	NO
217.144.80.0	217.144.95.255	GB
217.144.96.0	217.144.111.255	RU
217.144.112.0	217.144.127.255	FR
217.144.128.0	217.144.143.79	DE
217.144.143.80	217.144.143.87	IE
217.144.143.88	217.144.143.255	DE
217.144.144.0	217.144.159.255	GB
217.144.160.0	217.144.191.255	RU
217.144.192.0	217.144.223.255	PL
217.144.224.0	217.144.255.255	NO
217.145.0.0	217.145.15.255	MT
217.145.16.0	217.145.31.255	RU
217.145.32.0	217.145.35.255	BE
217.145.36.0	217.145.36.255	LU
217.145.37.0	217.145.47.255	BE
217.145.48.0	217.145.63.255	DK
217.145.64.0	217.145.79.255	GB
217.145.80.0	217.145.95.255	BG
217.145.96.0	217.145.111.255	DE
217.145.112.0	217.145.143.255	GB
217.145.144.0	217.145.159.255	RU
217.145.160.0	217.145.175.255	BG
217.145.176.0	217.145.191.255	ES
217.145.192.0	217.145.207.255	SK
217.145.208.0	217.145.223.255	LV
217.145.224.0	217.145.239.255	GB
217.145.240.0	217.145.255.255	SA
217.146.0.0	217.146.15.255	A2
217.146.16.0	217.146.17.255	US
217.146.18.0	217.146.18.255	A2
217.146.19.0	217.146.31.255	US
217.146.32.0	217.146.47.255	RU
217.146.48.0	217.146.63.255	GB
217.146.64.0	217.146.79.255	EE
217.146.80.0	217.146.127.255	GB
217.146.128.0	217.146.159.255	DE
217.146.160.0	217.146.175.255	CH
217.146.176.0	217.146.191.255	GB
217.146.192.0	217.146.207.255	IT
217.146.208.0	217.146.223.255	IR
217.146.224.0	217.146.239.255	FR
217.146.240.0	217.146.255.255	UA
217.147.0.0	217.147.31.255	RU
217.147.32.0	217.147.47.255	LT
217.147.48.0	217.147.66.63	DE
217.147.66.64	217.147.66.79	GE
217.147.66.80	217.147.66.215	DE
217.147.66.216	217.147.66.219	GE
217.147.66.220	217.147.66.223	DE
217.147.66.224	217.147.66.231	AT
217.147.66.232	217.147.66.239	DE
217.147.66.240	217.147.66.247	AT
217.147.66.248	217.147.67.127	DE
217.147.67.128	217.147.67.143	GB
217.147.67.144	217.147.67.191	DE
217.147.67.192	217.147.67.194	GB
217.147.67.195	217.147.79.255	DE
217.147.80.0	217.147.95.255	GB
217.147.96.0	217.147.100.7	DE
217.147.100.8	217.147.100.8	BE
217.147.100.9	217.147.105.167	DE
217.147.105.168	217.147.105.171	FR
217.147.105.172	217.147.111.255	DE
217.147.112.0	217.147.119.255	GI
217.147.120.0	217.147.127.255	GB
217.147.128.0	217.147.159.255	IT
217.147.160.0	217.147.175.255	UA
217.147.176.0	217.147.191.255	GB
217.147.192.0	217.147.207.255	FR
217.147.208.0	217.147.214.15	CH
217.147.214.16	217.147.214.31	AT
217.147.214.32	217.147.215.175	CH
217.147.215.176	217.147.215.207	PT
217.147.215.208	217.147.219.151	CH
217.147.219.152	217.147.219.159	IM
217.147.219.160	217.147.219.175	AT
217.147.219.176	217.147.219.207	CH
217.147.219.208	217.147.219.223	PT
217.147.219.224	217.147.220.223	CH
217.147.220.224	217.147.220.255	IM
217.147.221.0	217.147.223.255	CH
217.147.224.0	217.147.239.255	GE
217.147.240.0	217.147.242.255	GB
217.147.243.0	217.147.243.7	NL
217.147.243.8	217.147.243.15	IT
217.147.243.16	217.147.243.31	GB
217.147.243.32	217.147.243.39	FR
217.147.243.40	217.147.243.47	SE
217.147.243.48	217.147.243.55	DK
217.147.243.56	217.147.243.63	DE
217.147.243.64	217.147.243.71	PL
217.147.243.72	217.147.243.79	ES
217.147.243.80	217.147.243.87	BE
217.147.243.88	217.147.243.95	ZA
217.147.243.96	217.147.243.103	PT
217.147.243.104	217.147.243.111	FI
217.147.243.112	217.147.243.119	NO
217.147.243.120	217.147.243.127	HU
217.147.243.128	217.147.243.135	GB
217.147.243.136	217.147.243.143	IE
217.147.243.144	217.147.243.255	GB
217.147.244.0	217.147.244.119	DE
217.147.244.120	217.147.244.127	IE
217.147.244.128	217.147.244.135	GB
217.147.244.136	217.147.244.143	DE
217.147.244.144	217.147.244.151	NL
217.147.244.152	217.147.244.159	IT
217.147.244.160	217.147.244.167	FR
217.147.244.168	217.147.244.175	SE
217.147.244.176	217.147.244.183	DK
217.147.244.184	217.147.244.191	DE
217.147.244.192	217.147.244.199	PL
217.147.244.200	217.147.244.207	ES
217.147.244.208	217.147.244.215	BE
217.147.244.216	217.147.244.223	ZA
217.147.244.224	217.147.244.231	PT
217.147.244.232	217.147.244.239	FI
217.147.244.240	217.147.244.247	NL
217.147.244.248	217.147.244.255	HU
217.147.245.0	217.147.246.255	DE
217.147.247.0	217.147.255.255	GB
217.148.0.0	217.148.15.255	CH
217.148.16.0	217.148.31.255	NL
217.148.32.0	217.148.47.255	GB
217.148.48.0	217.148.63.255	RU
217.148.64.0	217.148.79.255	ES
217.148.80.0	217.148.95.255	NL
217.148.96.0	217.148.127.255	IT
217.148.128.0	217.148.143.255	DE
217.148.144.0	217.148.159.255	NO
217.148.160.0	217.148.191.255	NL
217.148.192.0	217.148.223.255	RU
217.148.224.0	217.148.239.255	DE
217.148.240.0	217.148.255.255	BE
217.149.0.0	217.149.15.255	ES
217.149.16.0	217.149.31.255	RU
217.149.32.0	217.149.47.255	NL
217.149.48.0	217.149.63.255	FI
217.149.64.0	217.149.79.255	NL
217.149.80.0	217.149.95.255	IT
217.149.96.0	217.149.111.255	GB
217.149.112.0	217.149.127.255	NO
217.149.128.0	217.149.143.255	NL
217.149.144.0	217.149.159.255	ES
217.149.160.0	217.149.175.255	AT
217.149.176.0	217.149.191.255	RU
217.149.192.0	217.149.223.255	NL
217.149.224.0	217.149.239.255	AT
217.149.240.0	217.149.249.207	PL
217.149.249.208	217.149.249.215	SE
217.149.249.216	217.149.255.255	PL
217.150.0.0	217.150.63.255	RU
217.150.64.0	217.150.95.255	SE
217.150.96.0	217.150.127.255	GB
217.150.128.0	217.150.143.255	HU
217.150.144.0	217.150.159.255	DE
217.150.160.0	217.150.189.255	SE
217.150.190.0	217.150.191.255	NL
217.150.192.0	217.150.207.255	RU
217.150.208.0	217.150.223.255	ES
217.150.224.0	217.150.255.255	CH
217.151.0.0	217.151.15.255	FR
217.151.16.0	217.151.31.255	RU
217.151.32.0	217.151.47.255	GB
217.151.48.0	217.151.63.255	SE
217.151.64.0	217.151.79.255	RU
217.151.80.0	217.151.95.255	DE
217.151.96.0	217.151.111.255	GB
217.151.112.0	217.151.127.255	CH
217.151.128.0	217.151.143.255	RU
217.151.144.0	217.151.159.255	DE
217.151.160.0	217.151.191.255	IS
217.151.192.0	217.151.207.255	SE
217.151.208.0	217.151.224.127	DE
217.151.224.128	217.151.224.159	CY
217.151.224.160	217.151.224.255	DE
217.151.225.0	217.151.225.31	IQ
217.151.225.32	217.151.225.39	KZ
217.151.225.40	217.151.225.47	RU
217.151.225.48	217.151.225.255	DE
217.151.226.0	217.151.226.255	KZ
217.151.227.0	217.151.227.255	RU
217.151.228.0	217.151.229.255	KZ
217.151.230.0	217.151.230.255	RU
217.151.231.0	217.151.233.255	DE
217.151.234.0	217.151.237.255	KZ
217.151.238.0	217.151.255.255	DE
217.152.0.0	217.152.7.139	FI
217.152.7.140	217.152.7.143	AX
217.152.7.144	217.152.14.95	FI
217.152.14.96	217.152.14.99	AX
217.152.14.100	217.152.255.255	FI
217.153.0.0	217.153.255.255	PL
217.154.0.0	217.154.159.255	GB
217.154.160.0	217.154.162.255	NL
217.154.163.0	217.155.51.87	GB
217.155.51.88	217.155.51.95	A2
217.155.51.96	217.155.255.255	GB
217.156.0.0	217.156.127.255	RO
217.156.128.0	217.156.129.127	GB
217.156.129.128	217.156.129.159	FR
217.156.129.160	217.156.170.95	GB
217.156.170.96	217.156.170.127	FR
217.156.170.128	217.156.255.255	GB
217.157.0.0	217.157.255.255	DK
217.158.0.0	217.158.255.255	GB
217.159.0.0	217.159.4.255	DE
217.159.5.0	217.159.6.255	GB
217.159.7.0	217.159.7.255	IE
217.159.8.0	217.159.8.255	ES
217.159.9.0	217.159.9.255	IE
217.159.10.0	217.159.10.127	ES
217.159.10.128	217.159.10.255	DE
217.159.11.0	217.159.14.127	GB
217.159.14.128	217.159.14.255	ES
217.159.15.0	217.159.15.255	DE
217.159.16.0	217.159.18.127	GB
217.159.18.128	217.159.19.255	DE
217.159.20.0	217.159.21.255	GB
217.159.22.0	217.159.22.255	AT
217.159.23.0	217.159.23.255	DE
217.159.24.0	217.159.25.255	GB
217.159.26.0	217.159.26.255	IE
217.159.27.0	217.159.28.255	GB
217.159.29.0	217.159.29.255	DE
217.159.30.0	217.159.30.255	IE
217.159.31.0	217.159.32.255	FR
217.159.33.0	217.159.33.255	IE
217.159.34.0	217.159.35.255	ES
217.159.36.0	217.159.36.255	FR
217.159.37.0	217.159.38.255	DE
217.159.39.0	217.159.39.255	IE
217.159.40.0	217.159.40.127	DE
217.159.40.128	217.159.40.255	IE
217.159.41.0	217.159.41.127	GR
217.159.41.128	217.159.41.255	DE
217.159.42.0	217.159.42.255	FR
217.159.43.0	217.159.44.255	ES
217.159.45.0	217.159.45.255	GB
217.159.46.0	217.159.46.255	DE
217.159.47.0	217.159.47.255	IE
217.159.48.0	217.159.48.255	GR
217.159.49.0	217.159.49.255	SG
217.159.50.0	217.159.85.255	DE
217.159.86.0	217.159.86.255	IE
217.159.87.0	217.159.87.255	FR
217.159.88.0	217.159.98.255	DE
217.159.99.0	217.159.99.255	FR
217.159.100.0	217.159.100.255	CH
217.159.101.0	217.159.101.255	FR
217.159.102.0	217.159.103.255	DE
217.159.104.0	217.159.104.255	GB
217.159.105.0	217.159.105.255	SL
217.159.106.0	217.159.106.255	IT
217.159.107.0	217.159.107.255	FR
217.159.108.0	217.159.108.255	IT
217.159.109.0	217.159.110.255	DE
217.159.111.0	217.159.111.255	PL
217.159.112.0	217.159.114.255	DE
217.159.115.0	217.159.115.255	IT
217.159.116.0	217.159.116.255	ES
217.159.117.0	217.159.118.255	GB
217.159.119.0	217.159.119.255	IE
217.159.120.0	217.159.121.255	DE
217.159.122.0	217.159.122.255	GB
217.159.123.0	217.159.123.255	NL
217.159.124.0	217.159.124.127	GB
217.159.124.128	217.159.125.255	IE
217.159.126.0	217.159.126.127	NL
217.159.126.128	217.159.126.191	ES
217.159.126.192	217.159.127.255	DE
217.159.128.0	217.159.255.255	EE
217.160.0.0	217.160.123.255	DE
217.160.124.0	217.160.124.255	ES
217.160.125.0	217.160.225.255	DE
217.160.226.0	217.160.226.255	GB
217.160.227.0	217.160.228.255	ES
217.160.229.0	217.160.231.255	PL
217.160.232.0	217.160.232.255	ES
217.160.233.0	217.160.233.255	PL
217.160.234.0	217.160.234.255	ES
217.160.235.0	217.160.235.127	FR
217.160.235.128	217.160.235.255	ES
217.160.236.0	217.160.236.127	FR
217.160.236.128	217.160.236.255	GB
217.160.237.0	217.160.238.255	ES
217.160.239.0	217.160.239.255	GB
217.160.240.0	217.160.255.255	US
217.161.0.0	217.161.0.31	GB
217.161.0.32	217.161.0.55	EU
217.161.0.56	217.161.0.127	GB
217.161.0.128	217.161.0.255	EU
217.161.1.0	217.161.1.191	GB
217.161.1.192	217.161.1.223	EU
217.161.1.224	217.161.6.255	GB
217.161.7.0	217.161.7.255	EU
217.161.8.0	217.161.8.15	US
217.161.8.16	217.161.8.23	GB
217.161.8.24	217.161.8.27	DE
217.161.8.28	217.161.8.255	EU
217.161.9.0	217.161.13.255	GB
217.161.14.0	217.161.15.255	EU
217.161.16.0	217.161.17.255	IR
217.161.18.0	217.161.25.255	EU
217.161.26.0	217.161.27.127	US
217.161.27.128	217.161.31.255	EU
217.161.32.0	217.161.32.35	GB
217.161.32.36	217.161.32.255	EU
217.161.33.0	217.161.33.255	GB
217.161.34.0	217.161.39.255	EU
217.161.40.0	217.161.40.127	GI
217.161.40.128	217.161.47.255	EU
217.161.48.0	217.161.49.255	US
217.161.50.0	217.161.51.159	EU
217.161.51.160	217.161.51.255	GB
217.161.52.0	217.161.55.255	EU
217.161.56.0	217.161.56.191	GB
217.161.56.192	217.161.63.255	EU
217.161.64.0	217.161.64.15	GB
217.161.64.16	217.161.64.31	EU
217.161.64.32	217.161.64.55	GB
217.161.64.56	217.161.64.95	EU
217.161.64.96	217.161.64.111	ES
217.161.64.112	217.161.77.255	EU
217.161.78.0	217.161.78.255	GB
217.161.79.0	217.161.91.255	EU
217.161.92.0	217.161.95.255	MU
217.161.96.0	217.161.97.255	EU
217.161.98.0	217.161.98.31	GB
217.161.98.32	217.161.98.63	EU
217.161.98.64	217.161.98.127	GB
217.161.98.128	217.161.98.191	EU
217.161.98.192	217.161.98.255	GB
217.161.99.0	217.161.103.255	EU
217.161.104.0	217.161.104.63	GB
217.161.104.64	217.161.112.191	EU
217.161.112.192	217.161.112.223	GB
217.161.112.224	217.161.115.255	EU
217.161.116.0	217.161.118.255	SC
217.161.119.0	217.161.119.255	EU
217.161.120.0	217.161.121.255	SC
217.161.122.0	217.161.127.255	EU
217.161.128.0	217.161.255.255	GB
217.162.0.0	217.162.255.255	CH
217.163.0.0	217.163.255.255	GB
217.164.0.0	217.165.255.255	AE
217.166.0.0	217.166.255.255	NL
217.167.0.0	217.167.141.216	FR
217.167.141.217	217.167.141.217	GB
217.167.141.218	217.167.255.255	FR
217.168.0.0	217.168.15.255	ES
217.168.16.0	217.168.31.255	GB
217.168.32.0	217.168.63.255	CH
217.168.64.0	217.168.79.255	RU
217.168.80.0	217.168.95.255	NO
217.168.96.0	217.168.111.255	FR
217.168.112.0	217.168.112.127	GH
217.168.112.128	217.168.112.255	PT
217.168.113.0	217.168.113.127	NG
217.168.113.128	217.168.113.255	PT
217.168.114.0	217.168.114.255	CV
217.168.115.0	217.168.116.255	AO
217.168.117.0	217.168.117.255	PT
217.168.118.0	217.168.118.255	AO
217.168.119.0	217.168.119.255	PT
217.168.120.0	217.168.127.255	AO
217.168.128.0	217.168.143.255	PL
217.168.144.0	217.168.159.255	GB
217.168.160.0	217.168.171.95	MT
217.168.171.96	217.168.171.111	CY
217.168.171.112	217.168.175.255	MT
217.168.176.0	217.168.191.255	AZ
217.168.192.0	217.168.207.255	PL
217.168.208.0	217.168.223.255	CZ
217.168.224.0	217.168.239.255	IT
217.168.240.0	217.168.255.255	RU
217.169.0.0	217.169.63.255	GB
217.169.64.0	217.169.79.255	FI
217.169.80.0	217.169.95.255	RU
217.169.96.0	217.169.127.255	IT
217.169.128.0	217.169.129.199	CH
217.169.129.200	217.169.129.207	FR
217.169.129.208	217.169.159.255	CH
217.169.160.0	217.169.175.255	GB
217.169.176.0	217.169.191.255	CZ
217.169.192.0	217.169.207.255	TR
217.169.208.0	217.169.223.255	RS
217.169.224.0	217.169.239.255	NL
217.169.240.0	217.169.255.255	FR
217.170.0.0	217.170.63.255	NL
217.170.64.0	217.170.95.255	RU
217.170.96.0	217.170.111.255	CZ
217.170.112.0	217.170.127.255	RU
217.170.128.0	217.170.143.255	NO
217.170.144.0	217.170.159.255	ML
217.170.160.0	217.170.175.255	PL
217.170.176.0	217.170.191.255	DE
217.170.192.0	217.170.207.255	NO
217.170.208.0	217.170.223.255	RU
217.170.224.0	217.170.239.255	IT
217.171.0.0	217.171.15.255	RU
217.171.16.0	217.171.31.255	FR
217.171.32.0	217.171.47.255	IT
217.171.48.0	217.171.63.255	PL
217.171.64.0	217.171.79.255	RU
217.171.80.0	217.171.90.255	BE
217.171.91.0	217.171.91.23	CD
217.171.91.24	217.171.91.27	BE
217.171.91.28	217.171.91.31	CD
217.171.91.32	217.171.91.43	BE
217.171.91.44	217.171.91.51	CD
217.171.91.52	217.171.91.79	BE
217.171.91.80	217.171.91.95	CD
217.171.91.96	217.171.92.255	BE
217.171.93.0	217.171.93.11	CD
217.171.93.12	217.171.93.43	BE
217.171.93.44	217.171.93.47	CD
217.171.93.48	217.171.93.55	BE
217.171.93.56	217.171.93.59	CD
217.171.93.60	217.171.93.99	BE
217.171.93.100	217.171.93.115	CD
217.171.93.116	217.171.93.119	BE
217.171.93.120	217.171.93.123	CD
217.171.93.124	217.171.93.127	BE
217.171.93.128	217.171.93.135	CD
217.171.93.136	217.171.93.143	BE
217.171.93.144	217.171.93.159	CD
217.171.93.160	217.171.93.175	BE
217.171.93.176	217.171.93.191	CD
217.171.93.192	217.171.95.255	BE
217.171.96.0	217.171.111.255	GB
217.171.112.0	217.171.127.255	DE
217.171.128.0	217.171.143.255	GB
217.171.144.0	217.171.159.255	RU
217.171.160.0	217.171.175.255	IT
217.171.176.0	217.171.181.127	IQ
217.171.181.128	217.171.182.191	DE
217.171.182.192	217.171.182.255	IQ
217.171.183.0	217.171.183.255	DE
217.171.184.0	217.171.187.255	IQ
217.171.188.0	217.171.188.127	DE
217.171.188.128	217.171.189.255	IQ
217.171.190.0	217.171.191.199	DE
217.171.191.200	217.171.191.207	IQ
217.171.191.208	217.171.191.219	DE
217.171.191.220	217.171.191.223	IR
217.171.191.224	217.171.191.255	DE
217.171.192.0	217.171.207.255	NO
217.171.208.0	217.171.223.255	IS
217.171.224.0	217.171.239.255	RU
217.171.240.0	217.171.255.255	DE
217.172.0.0	217.172.15.255	IT
217.172.16.0	217.172.31.255	RU
217.172.32.0	217.172.39.127	DE
217.172.39.128	217.172.39.159	GB
217.172.39.160	217.172.39.207	DE
217.172.39.208	217.172.39.223	PL
217.172.39.224	217.172.42.127	DE
217.172.42.128	217.172.42.143	NL
217.172.42.144	217.172.42.159	DE
217.172.42.160	217.172.42.191	TR
217.172.42.192	217.172.42.255	DE
217.172.43.0	217.172.43.15	SE
217.172.43.16	217.172.43.63	DE
217.172.43.64	217.172.43.79	PL
217.172.43.80	217.172.43.95	DE
217.172.43.96	217.172.43.159	GB
217.172.43.160	217.172.43.191	DE
217.172.43.192	217.172.43.223	IT
217.172.43.224	217.172.43.255	PL
217.172.44.0	217.172.44.63	IT
217.172.44.64	217.172.44.175	DE
217.172.44.176	217.172.44.183	GB
217.172.44.184	217.172.44.191	DE
217.172.44.192	217.172.44.199	RU
217.172.44.200	217.172.44.255	PL
217.172.45.0	217.172.45.63	DE
217.172.45.64	217.172.45.127	ES
217.172.45.128	217.172.45.143	DE
217.172.45.144	217.172.45.159	PL
217.172.45.160	217.172.45.207	DE
217.172.45.208	217.172.45.215	RU
217.172.45.216	217.172.47.255	DE
217.172.48.0	217.172.48.31	TR
217.172.48.32	217.172.48.63	US
217.172.48.64	217.172.48.127	IT
217.172.48.128	217.172.48.191	GB
217.172.48.192	217.172.49.31	DE
217.172.49.32	217.172.49.63	BS
217.172.49.64	217.172.49.127	DE
217.172.49.128	217.172.49.135	AU
217.172.49.136	217.172.49.143	RU
217.172.49.144	217.172.49.191	DE
217.172.49.192	217.172.49.255	ES
217.172.50.0	217.172.50.63	GB
217.172.50.64	217.172.50.127	IT
217.172.50.128	217.172.50.163	DE
217.172.50.164	217.172.50.191	TR
217.172.50.192	217.172.50.223	DE
217.172.50.224	217.172.50.255	GB
217.172.51.0	217.172.51.63	DE
217.172.51.64	217.172.51.95	IT
217.172.51.96	217.172.51.129	TR
217.172.51.130	217.172.53.63	DE
217.172.53.64	217.172.53.127	IT
217.172.53.128	217.172.56.255	DE
217.172.57.0	217.172.57.63	GB
217.172.57.64	217.172.57.79	SE
217.172.57.80	217.172.57.95	US
217.172.57.96	217.172.57.127	DE
217.172.57.128	217.172.57.159	GB
217.172.57.160	217.172.63.255	DE
217.172.64.0	217.172.79.255	ES
217.172.80.0	217.172.95.255	FO
217.172.96.0	217.172.101.255	IR
217.172.102.0	217.172.102.255	AE
217.172.103.0	217.172.117.255	IR
217.172.118.0	217.172.119.255	AE
217.172.120.0	217.172.120.255	IR
217.172.121.0	217.172.127.255	AE
217.172.128.0	217.172.143.255	GB
217.172.144.0	217.172.159.255	SK
217.172.160.0	217.172.191.255	DE
217.172.192.0	217.172.223.255	IT
217.172.224.0	217.172.255.255	PL
217.173.16.0	217.173.31.255	RU
217.173.32.0	217.173.47.255	HU
217.173.48.0	217.173.63.255	GB
217.173.64.0	217.173.69.255	RU
217.173.70.0	217.173.70.255	IT
217.173.71.0	217.173.79.255	RU
217.173.80.0	217.173.95.255	SA
217.173.96.0	217.173.96.63	IE
217.173.96.64	217.173.96.127	GB
217.173.96.128	217.173.97.255	IE
217.173.98.0	217.173.98.255	GB
217.173.99.0	217.173.99.225	IE
217.173.99.226	217.173.99.255	GB
217.173.100.0	217.173.100.127	IE
217.173.100.128	217.173.100.135	GB
217.173.100.136	217.173.100.151	IE
217.173.100.152	217.173.100.159	GB
217.173.100.160	217.173.100.207	IE
217.173.100.208	217.173.100.223	GB
217.173.100.224	217.173.100.255	IE
217.173.101.0	217.173.101.15	GB
217.173.101.16	217.173.101.23	IE
217.173.101.24	217.173.101.31	GB
217.173.101.32	217.173.101.71	IE
217.173.101.72	217.173.101.95	GB
217.173.101.96	217.173.101.159	IE
217.173.101.160	217.173.101.175	GB
217.173.101.176	217.173.101.207	IE
217.173.101.208	217.173.101.223	GB
217.173.101.224	217.173.101.231	IE
217.173.101.232	217.173.101.239	GB
217.173.101.240	217.173.102.23	IE
217.173.102.24	217.173.102.39	GB
217.173.102.40	217.173.102.79	IE
217.173.102.80	217.173.102.95	GB
217.173.102.96	217.173.102.103	IE
217.173.102.104	217.173.102.175	GB
217.173.102.176	217.173.102.223	IE
217.173.102.224	217.173.102.239	GB
217.173.102.240	217.173.104.31	IE
217.173.104.32	217.173.104.55	GB
217.173.104.56	217.173.104.127	IE
217.173.104.128	217.173.104.255	GB
217.173.105.0	217.173.106.31	IE
217.173.106.32	217.173.106.63	GB
217.173.106.64	217.173.106.127	DE
217.173.106.128	217.173.106.255	GB
217.173.107.0	217.173.107.71	IE
217.173.107.72	217.173.107.95	GB
217.173.107.96	217.173.107.159	IE
217.173.107.160	217.173.107.255	GB
217.173.108.0	217.173.108.175	IE
217.173.108.176	217.173.109.255	GB
217.173.110.0	217.173.110.15	IE
217.173.110.16	217.173.110.31	GB
217.173.110.32	217.173.110.127	IE
217.173.110.128	217.173.111.255	GB
217.173.112.0	217.173.127.255	ES
217.173.128.0	217.173.134.127	DE
217.173.134.128	217.173.134.159	US
217.173.134.160	217.173.134.191	CH
217.173.134.192	217.173.135.63	DE
217.173.135.64	217.173.135.95	ES
217.173.135.96	217.173.148.255	DE
217.173.149.0	217.173.149.255	US
217.173.150.0	217.173.152.255	DE
217.173.153.0	217.173.156.255	NL
217.173.157.0	217.173.157.63	GD
217.173.157.64	217.173.157.95	NL
217.173.157.96	217.173.157.127	VG
217.173.157.128	217.173.157.143	TR
217.173.157.144	217.173.157.159	DE
217.173.157.160	217.173.157.175	CH
217.173.157.176	217.173.157.191	NL
217.173.157.192	217.173.157.223	TR
217.173.157.224	217.173.157.255	NL
217.173.158.0	217.173.158.63	GD
217.173.158.64	217.173.158.95	TR
217.173.158.96	217.173.158.127	CH
217.173.158.128	217.173.158.159	NL
217.173.158.160	217.173.158.191	ES
217.173.158.192	217.173.158.223	VG
217.173.158.224	217.173.159.63	GD
217.173.159.64	217.173.159.79	ES
217.173.159.80	217.173.159.95	VG
217.173.159.96	217.173.159.255	GD
217.173.160.0	217.173.207.255	PL
217.173.208.0	217.173.221.95	IE
217.173.221.96	217.173.221.123	GB
217.173.221.124	217.173.222.67	IE
217.173.222.68	217.173.222.71	GB
217.173.222.72	217.173.222.95	IE
217.173.222.96	217.173.222.103	GB
217.173.222.104	217.173.222.135	IE
217.173.222.136	217.173.222.183	GB
217.173.222.184	217.173.222.187	IE
217.173.222.188	217.173.222.239	GB
217.173.222.240	217.173.223.99	IE
217.173.223.100	217.173.223.103	GB
217.173.223.104	217.173.223.255	IE
217.173.224.0	217.173.239.255	LI
217.173.240.0	217.173.255.255	NO
217.174.0.0	217.174.15.255	RU
217.174.16.0	217.174.31.255	IR
217.174.32.0	217.174.47.255	TR
217.174.48.0	217.174.63.255	BG
217.174.64.0	217.174.95.255	SE
217.174.96.0	217.174.111.255	RU
217.174.112.0	217.174.143.255	IT
217.174.144.0	217.174.159.255	BG
217.174.160.0	217.174.180.255	RU
217.174.181.0	217.174.181.63	US
217.174.181.64	217.174.191.255	RU
217.174.192.0	217.174.223.255	FR
217.174.224.0	217.174.239.255	TM
217.174.240.0	217.174.255.255	GB
217.175.0.0	217.175.15.255	UA
217.175.16.0	217.175.47.255	RU
217.175.48.0	217.175.63.255	IT
217.175.64.0	217.175.64.255	GB
217.175.65.0	217.175.71.255	A2
217.175.72.0	217.175.72.255	GB
217.175.73.0	217.175.74.255	A2
217.175.75.0	217.175.75.255	GB
217.175.76.0	217.175.76.255	KE
217.175.77.0	217.175.77.255	CM
217.175.78.0	217.175.79.255	A2
217.175.80.0	217.175.95.255	UA
217.175.96.0	217.175.111.255	DE
217.175.112.0	217.175.127.255	SE
217.175.128.0	217.175.159.255	RU
217.175.160.0	217.175.191.255	FR
217.175.192.0	217.175.207.255	AT
217.175.208.0	217.175.223.255	CY
217.175.224.0	217.175.225.255	DE
217.175.226.0	217.175.226.255	AT
217.175.227.0	217.175.241.223	DE
217.175.241.224	217.175.241.255	CH
217.175.242.0	217.175.242.255	DE
217.175.243.0	217.175.243.127	AT
217.175.243.128	217.175.255.255	DE
217.176.0.0	217.183.255.255	GB
217.184.0.0	217.188.32.207	DE
217.188.32.208	217.188.32.215	FR
217.188.32.216	217.188.207.143	DE
217.188.207.144	217.188.207.159	RO
217.188.207.160	217.188.243.255	DE
217.188.244.0	217.188.244.255	IT
217.188.245.0	217.191.255.255	DE
217.192.0.0	217.193.116.125	CH
217.193.116.126	217.193.116.126	AT
217.193.116.127	217.193.146.175	CH
217.193.146.176	217.193.146.183	AT
217.193.146.184	217.193.255.255	CH
217.194.0.0	217.194.15.255	IT
217.194.16.0	217.194.31.255	NL
217.194.32.0	217.194.47.255	DE
217.194.48.0	217.194.63.255	CH
217.194.64.0	217.194.79.255	DE
217.194.80.0	217.194.95.255	FR
217.194.96.0	217.194.127.255	NL
217.194.128.0	217.194.129.255	AT
217.194.130.0	217.194.131.255	CD
217.194.132.0	217.194.132.255	ZW
217.194.133.0	217.194.133.7	UA
217.194.133.8	217.194.133.15	IQ
217.194.133.16	217.194.133.27	UA
217.194.133.28	217.194.133.31	A2
217.194.133.32	217.194.133.39	IQ
217.194.133.40	217.194.133.47	LB
217.194.133.48	217.194.133.55	IQ
217.194.133.56	217.194.133.63	MW
217.194.133.64	217.194.133.79	NG
217.194.133.80	217.194.133.95	UA
217.194.133.96	217.194.133.104	LB
217.194.133.105	217.194.133.111	A2
217.194.133.112	217.194.133.119	LB
217.194.133.120	217.194.133.135	A2
217.194.133.136	217.194.133.151	IQ
217.194.133.152	217.194.133.159	A2
217.194.133.160	217.194.133.167	LB
217.194.133.168	217.194.133.175	AO
217.194.133.176	217.194.133.183	UA
217.194.133.184	217.194.133.191	LB
217.194.133.192	217.194.133.199	IQ
217.194.133.200	217.194.133.207	A2
217.194.133.208	217.194.133.215	MD
217.194.133.216	217.194.133.223	A2
217.194.133.224	217.194.133.231	RS
217.194.133.232	217.194.133.255	A2
217.194.134.0	217.194.134.255	AT
217.194.135.0	217.194.135.127	A2
217.194.135.128	217.194.135.143	NG
217.194.135.144	217.194.135.151	IQ
217.194.135.152	217.194.135.159	LY
217.194.135.160	217.194.135.175	TR
217.194.135.176	217.194.135.191	A2
217.194.135.192	217.194.135.239	UA
217.194.135.240	217.194.135.255	A2
217.194.136.0	217.194.136.7	TR
217.194.136.8	217.194.136.35	A2
217.194.136.36	217.194.136.41	IQ
217.194.136.42	217.194.136.47	A2
217.194.136.48	217.194.136.63	LB
217.194.136.64	217.194.136.79	A2
217.194.136.80	217.194.136.87	AM
217.194.136.88	217.194.136.143	A2
217.194.136.144	217.194.136.159	LB
217.194.136.160	217.194.136.175	NG
217.194.136.176	217.194.136.183	A2
217.194.136.184	217.194.136.191	SL
217.194.136.192	217.194.136.199	LY
217.194.136.200	217.194.136.207	A2
217.194.136.208	217.194.136.215	UA
217.194.136.216	217.194.136.231	A2
217.194.136.232	217.194.136.239	IQ
217.194.136.240	217.194.136.247	LY
217.194.136.248	217.194.137.31	A2
217.194.137.32	217.194.137.47	UA
217.194.137.48	217.194.137.55	A2
217.194.137.56	217.194.137.63	AM
217.194.137.64	217.194.137.71	IQ
217.194.137.72	217.194.137.79	A2
217.194.137.80	217.194.137.103	LB
217.194.137.104	217.194.137.111	A2
217.194.137.112	217.194.137.119	LB
217.194.137.120	217.194.137.127	IQ
217.194.137.128	217.194.137.135	A2
217.194.137.136	217.194.137.151	IQ
217.194.137.152	217.194.137.159	A2
217.194.137.160	217.194.137.167	LY
217.194.137.168	217.194.137.175	NG
217.194.137.176	217.194.137.191	A2
217.194.137.192	217.194.137.207	ZW
217.194.137.208	217.194.137.223	UA
217.194.137.224	217.194.137.239	A2
217.194.137.240	217.194.137.255	UA
217.194.138.0	217.194.138.255	AT
217.194.139.0	217.194.145.39	A2
217.194.145.40	217.194.145.47	UG
217.194.145.48	217.194.145.55	A2
217.194.145.56	217.194.145.63	ZW
217.194.145.64	217.194.145.95	NG
217.194.145.96	217.194.145.111	A2
217.194.145.112	217.194.145.119	NG
217.194.145.120	217.194.145.127	A2
217.194.145.128	217.194.145.135	UG
217.194.145.136	217.194.145.143	ZM
217.194.145.144	217.194.145.151	ZW
217.194.145.152	217.194.145.191	A2
217.194.145.192	217.194.145.255	NG
217.194.146.0	217.194.146.127	A2
217.194.146.128	217.194.146.143	NG
217.194.146.144	217.194.146.159	A2
217.194.146.160	217.194.146.167	NG
217.194.146.168	217.194.146.191	A2
217.194.146.192	217.194.146.255	ZW
217.194.147.0	217.194.147.127	A2
217.194.147.128	217.194.147.151	NG
217.194.147.152	217.194.147.159	ZM
217.194.147.160	217.194.147.191	A2
217.194.147.192	217.194.147.207	UG
217.194.147.208	217.194.147.215	CD
217.194.147.216	217.194.147.223	NG
217.194.147.224	217.194.147.239	A2
217.194.147.240	217.194.147.255	ZW
217.194.148.0	217.194.148.255	AT
217.194.149.0	217.194.149.23	A2
217.194.149.24	217.194.149.31	UG
217.194.149.32	217.194.149.47	ZW
217.194.149.48	217.194.149.63	A2
217.194.149.64	217.194.149.71	ZM
217.194.149.72	217.194.149.79	NG
217.194.149.80	217.194.149.87	MW
217.194.149.88	217.194.149.143	A2
217.194.149.144	217.194.149.151	NG
217.194.149.152	217.194.149.159	ZM
217.194.149.160	217.194.149.167	A2
217.194.149.168	217.194.149.175	ZW
217.194.149.176	217.194.149.183	A2
217.194.149.184	217.194.149.191	MW
217.194.149.192	217.194.149.215	A2
217.194.149.216	217.194.149.223	MW
217.194.149.224	217.194.149.231	A2
217.194.149.232	217.194.149.239	KE
217.194.149.240	217.194.149.247	ZM
217.194.149.248	217.194.151.255	A2
217.194.152.0	217.194.152.255	CD
217.194.153.0	217.194.153.15	A2
217.194.153.16	217.194.153.23	NG
217.194.153.24	217.194.153.63	A2
217.194.153.64	217.194.153.71	CD
217.194.153.72	217.194.153.79	A2
217.194.153.80	217.194.153.103	NG
217.194.153.104	217.194.153.119	CD
217.194.153.120	217.194.153.127	NG
217.194.153.128	217.194.153.151	A2
217.194.153.152	217.194.153.159	NG
217.194.153.160	217.194.153.167	A2
217.194.153.168	217.194.153.175	NG
217.194.153.176	217.194.153.199	A2
217.194.153.200	217.194.153.207	NG
217.194.153.208	217.194.153.255	A2
217.194.154.0	217.194.154.255	TZ
217.194.155.0	217.194.155.23	UA
217.194.155.24	217.194.155.31	CM
217.194.155.32	217.194.155.39	UA
217.194.155.40	217.194.155.79	A2
217.194.155.80	217.194.155.87	IQ
217.194.155.88	217.194.155.103	NG
217.194.155.104	217.194.155.111	A2
217.194.155.112	217.194.155.127	NG
217.194.155.128	217.194.155.255	CM
217.194.156.0	217.194.156.63	ZW
217.194.156.64	217.194.156.127	A2
217.194.156.128	217.194.156.255	NG
217.194.157.0	217.194.157.15	YT
217.194.157.16	217.194.157.31	UG
217.194.157.32	217.194.157.39	A2
217.194.157.40	217.194.157.47	IQ
217.194.157.48	217.194.157.63	ZW
217.194.157.64	217.194.157.71	A2
217.194.157.72	217.194.157.79	NG
217.194.157.80	217.194.157.95	A2
217.194.157.96	217.194.157.103	ET
217.194.157.104	217.194.157.111	KE
217.194.157.112	217.194.157.127	NG
217.194.157.128	217.194.157.135	KE
217.194.157.136	217.194.157.143	MZ
217.194.157.144	217.194.157.151	ZW
217.194.157.152	217.194.157.167	A2
217.194.157.168	217.194.157.175	ZW
217.194.157.176	217.194.157.199	A2
217.194.157.200	217.194.157.207	ZM
217.194.157.208	217.194.157.215	A2
217.194.157.216	217.194.157.223	NG
217.194.157.224	217.194.157.231	SD
217.194.157.232	217.194.157.239	LU
217.194.157.240	217.194.157.247	A2
217.194.157.248	217.194.157.255	MW
217.194.158.0	217.194.159.255	GB
217.194.160.0	217.194.175.255	CZ
217.194.176.0	217.194.191.255	IT
217.194.192.0	217.194.207.255	IL
217.194.208.0	217.194.223.255	GB
217.194.224.0	217.194.239.255	DE
217.194.240.0	217.194.255.255	RU
217.195.0.0	217.195.15.255	DE
217.195.16.0	217.195.31.255	FR
217.195.32.0	217.195.34.255	DE
217.195.35.0	217.195.35.31	IT
217.195.35.32	217.195.47.255	DE
217.195.48.0	217.195.63.255	LV
217.195.64.0	217.195.111.255	RU
217.195.112.0	217.195.127.255	NL
217.195.128.0	217.195.143.255	GR
217.195.144.0	217.195.144.23	NL
217.195.144.24	217.195.144.35	AF
217.195.144.36	217.195.144.255	NL
217.195.145.0	217.195.145.47	AF
217.195.145.48	217.195.145.55	NL
217.195.145.56	217.195.145.63	AF
217.195.145.64	217.195.145.79	NL
217.195.145.80	217.195.146.39	AF
217.195.146.40	217.195.146.47	NL
217.195.146.48	217.195.146.55	AF
217.195.146.56	217.195.146.63	NL
217.195.146.64	217.195.146.147	AF
217.195.146.148	217.195.146.151	NL
217.195.146.152	217.195.146.215	AF
217.195.146.216	217.195.146.231	NL
217.195.146.232	217.195.147.15	AF
217.195.147.16	217.195.147.40	NL
217.195.147.41	217.195.147.47	AF
217.195.147.48	217.195.151.255	NL
217.195.152.0	217.195.152.63	US
217.195.152.64	217.195.159.255	NL
217.195.160.0	217.195.175.255	CZ
217.195.176.0	217.195.191.255	DK
217.195.192.0	217.195.207.255	TR
217.195.208.0	217.195.223.255	RU
217.195.224.0	217.195.255.255	NL
217.196.0.0	217.196.15.255	GB
217.196.16.0	217.196.31.255	KZ
217.196.32.0	217.196.47.255	NL
217.196.48.0	217.196.63.255	NO
217.196.64.0	217.196.68.31	AT
217.196.68.32	217.196.68.63	SK
217.196.68.64	217.196.68.143	AT
217.196.68.144	217.196.68.159	SK
217.196.68.160	217.196.73.199	AT
217.196.73.200	217.196.73.223	SK
217.196.73.224	217.196.75.95	AT
217.196.75.96	217.196.75.127	SK
217.196.75.128	217.196.86.31	AT
217.196.86.32	217.196.86.47	SK
217.196.86.48	217.196.86.255	AT
217.196.87.0	217.196.87.255	SK
217.196.88.0	217.196.88.159	AT
217.196.88.160	217.196.88.191	SK
217.196.88.192	217.196.92.71	AT
217.196.92.72	217.196.92.79	GR
217.196.92.80	217.196.92.255	AT
217.196.93.0	217.196.93.127	SK
217.196.93.128	217.196.93.223	AT
217.196.93.224	217.196.94.159	SK
217.196.94.160	217.196.94.191	AT
217.196.94.192	217.196.94.223	SK
217.196.94.224	217.196.95.255	AT
217.196.96.0	217.196.111.255	RU
217.196.112.0	217.196.127.255	CZ
217.196.144.0	217.196.159.255	AT
217.196.160.0	217.196.175.255	UA
217.196.176.0	217.196.191.255	CH
217.196.192.0	217.196.207.255	GB
217.196.208.0	217.196.223.255	CZ
217.196.224.0	217.196.229.119	GB
217.196.229.120	217.196.229.127	US
217.196.229.128	217.196.255.255	GB
217.197.0.0	217.197.15.255	RU
217.197.32.0	217.197.47.255	CZ
217.197.48.0	217.197.63.255	SE
217.197.64.0	217.197.79.255	PL
217.197.80.0	217.197.95.255	DE
217.197.96.0	217.197.111.255	LU
217.197.112.0	217.197.127.255	RU
217.197.128.0	217.197.143.255	BG
217.197.144.0	217.197.159.255	CZ
217.197.160.0	217.197.175.255	PL
217.197.176.0	217.197.191.255	HU
217.197.192.0	217.197.207.255	RU
217.197.208.0	217.197.221.255	CH
217.197.222.0	217.197.222.255	JP
217.197.223.0	217.197.223.255	US
217.197.224.0	217.198.15.255	RU
217.198.16.0	217.198.31.255	NL
217.198.32.0	217.198.46.255	GB
217.198.47.0	217.198.47.15	BE
217.198.47.16	217.198.47.239	GB
217.198.47.240	217.198.47.243	BE
217.198.47.244	217.198.63.255	GB
217.198.64.0	217.198.79.255	SE
217.198.80.0	217.198.95.255	RU
217.198.96.0	217.198.111.255	GB
217.198.112.0	217.198.127.255	CZ
217.198.128.0	217.198.143.255	UA
217.198.144.0	217.198.159.255	SE
217.198.160.0	217.198.191.255	RU
217.198.192.0	217.198.207.255	ES
217.198.208.0	217.198.223.255	DK
217.198.224.0	217.198.239.255	LV
217.198.240.0	217.198.255.255	DE
217.199.0.0	217.199.31.255	IT
217.199.32.0	217.199.32.7	SE
217.199.32.8	217.199.32.135	NO
217.199.32.136	217.199.32.143	SE
217.199.32.144	217.199.32.167	NO
217.199.32.168	217.199.32.175	BS
217.199.32.176	217.199.33.191	NO
217.199.33.192	217.199.33.207	SE
217.199.33.208	217.199.34.31	NO
217.199.34.32	217.199.34.63	SE
217.199.34.64	217.199.34.255	NO
217.199.35.0	217.199.35.255	SE
217.199.36.0	217.199.51.255	NO
217.199.52.0	217.199.52.63	SE
217.199.52.64	217.199.63.255	NO
217.199.64.0	217.199.79.255	DE
217.199.80.0	217.199.95.255	AT
217.199.96.0	217.199.127.255	LV
217.199.128.0	217.199.143.255	BA
217.199.144.0	217.199.159.255	KE
217.199.160.0	217.199.167.7	GB
217.199.167.8	217.199.167.15	US
217.199.167.16	217.199.184.255	GB
217.199.185.0	217.199.185.63	AE
217.199.185.64	217.199.191.255	GB
217.199.192.0	217.199.207.255	DE
217.199.208.0	217.199.223.255	RU
217.199.224.0	217.199.239.255	UA
217.199.240.0	217.199.255.255	RU
217.200.0.0	217.203.255.255	IT
217.204.0.0	217.204.37.95	GB
217.204.37.96	217.204.37.111	LU
217.204.37.112	217.204.40.127	GB
217.204.40.128	217.204.40.135	US
217.204.40.136	217.204.40.151	GB
217.204.40.152	217.204.40.159	SE
217.204.40.160	217.204.80.183	GB
217.204.80.184	217.204.80.191	IT
217.204.80.192	217.204.139.235	GB
217.204.139.236	217.204.139.239	US
217.204.139.240	217.204.143.127	GB
217.204.143.128	217.204.143.255	DE
217.204.144.0	217.204.159.107	GB
217.204.159.108	217.204.159.111	MC
217.204.159.112	217.207.255.255	GB
217.208.0.0	217.212.227.255	SE
217.212.228.0	217.212.228.255	NO
217.212.229.0	217.212.231.255	SE
217.212.232.0	217.212.235.255	NO
217.212.236.0	217.212.248.15	SE
217.212.248.16	217.212.248.23	RU
217.212.248.24	217.212.248.63	SE
217.212.248.64	217.212.248.79	RU
217.212.248.80	217.212.248.95	SE
217.212.248.96	217.212.248.159	RU
217.212.248.160	217.212.248.255	SE
217.212.249.0	217.212.251.255	NO
217.212.252.0	217.212.252.15	SE
217.212.252.16	217.212.252.31	US
217.212.252.32	217.212.252.63	SE
217.212.252.64	217.212.252.255	FI
217.212.253.0	217.212.253.255	SE
217.212.254.0	217.212.254.255	RU
217.212.255.0	217.212.255.255	NO
217.213.0.0	217.215.255.255	SE
217.216.0.0	217.217.255.255	ES
217.218.0.0	217.219.255.255	IR
217.220.0.0	217.223.255.255	IT
217.224.0.0	217.237.163.71	DE
217.237.163.72	217.237.163.79	ES
217.237.163.80	217.237.180.15	DE
217.237.180.16	217.237.180.23	NL
217.237.180.24	217.237.189.239	DE
217.237.189.240	217.237.189.247	GB
217.237.189.248	217.237.189.255	US
217.237.190.0	217.243.204.143	DE
217.243.204.144	217.243.204.151	GB
217.243.204.152	217.243.204.159	US
217.243.204.160	217.244.15.87	DE
217.244.15.88	217.244.15.95	US
217.244.15.96	217.244.56.191	DE
217.244.56.192	217.244.56.207	AT
217.244.56.208	217.244.58.79	DE
217.244.58.80	217.244.58.95	AT
217.244.58.96	217.244.58.143	DE
217.244.58.144	217.244.58.175	AT
217.244.58.176	217.244.60.255	DE
217.244.61.0	217.244.61.95	AT
217.244.61.96	217.244.61.159	DE
217.244.61.160	217.244.61.191	AT
217.244.61.192	217.255.255.255	DE
218.0.0.0	218.31.255.255	CN
218.32.0.0	218.32.255.255	TW
218.33.0.0	218.33.127.255	ID
218.33.128.0	218.33.255.255	JP
218.34.0.0	218.35.255.255	TW
218.36.0.0	218.39.255.255	KR
218.40.0.0	218.47.255.255	JP
218.48.0.0	218.55.255.255	KR
218.56.0.0	218.99.255.255	CN
218.100.0.0	218.100.3.255	AU
218.100.4.0	218.100.4.255	ID
218.100.5.0	218.100.9.255	JP
218.100.10.0	218.100.10.255	VN
218.100.11.0	218.100.11.255	ID
218.100.12.0	218.100.13.255	AU
218.100.14.0	218.100.14.255	VN
218.100.15.0	218.100.15.255	JP
218.100.16.0	218.100.17.255	HK
218.100.18.0	218.100.18.255	MY
218.100.19.0	218.100.19.255	AU
218.100.20.0	218.100.20.255	JP
218.100.21.0	218.100.21.255	NZ
218.100.22.0	218.100.22.255	MY
218.100.23.0	218.100.26.255	NZ
218.100.27.0	218.100.36.255	ID
218.100.37.0	218.100.37.255	BD
218.100.38.0	218.100.38.255	TH
218.100.39.0	218.100.40.255	AU
218.100.41.0	218.100.41.255	ID
218.100.42.0	218.100.42.255	JP
218.100.43.0	218.100.43.255	AU
218.100.44.0	218.100.44.255	MY
218.100.45.0	218.100.45.255	JP
218.100.46.0	218.100.47.255	TH
218.100.48.0	218.100.49.255	IN
218.100.50.0	218.100.50.255	AU
218.100.51.0	218.100.51.255	KH
218.100.52.0	218.100.54.255	AU
218.100.55.0	218.100.55.255	ID
218.100.56.0	218.100.56.255	NZ
218.100.57.0	218.100.57.255	LK
218.100.58.0	218.100.58.255	MY
218.100.59.0	218.100.59.255	AU
218.100.60.0	218.100.60.255	VN
218.100.61.0	218.100.61.255	LK
218.100.62.0	218.100.64.255	ID
218.100.65.0	218.100.65.255	NZ
218.100.66.0	218.100.66.255	TH
218.100.67.0	218.100.67.255	JP
218.100.68.0	218.100.68.255	NZ
218.100.69.0	218.100.69.255	MY
218.100.70.0	218.100.70.255	SG
218.100.71.0	218.100.71.255	KH
218.100.72.0	218.100.75.255	ID
218.101.0.0	218.101.127.255	NZ
218.101.128.0	218.101.255.255	KR
218.102.0.0	218.103.255.255	HK
218.104.0.0	218.109.255.255	CN
218.110.0.0	218.110.255.255	JP
218.111.0.0	218.111.255.255	MY
218.112.0.0	218.143.255.255	JP
218.144.0.0	218.159.255.255	KR
218.160.0.0	218.175.255.255	TW
218.176.0.0	218.183.255.255	JP
218.184.0.0	218.184.255.255	TW
218.185.0.0	218.185.127.255	AU
218.185.128.0	218.185.191.255	JP
218.185.192.0	218.185.223.255	CN
218.185.224.0	218.185.231.255	NZ
218.185.232.0	218.185.239.255	AU
218.185.240.0	218.185.247.255	BD
218.185.248.0	218.185.255.255	JP
218.186.0.0	218.186.255.255	SG
218.187.0.0	218.187.255.255	TW
218.188.0.0	218.189.12.255	HK
218.189.13.0	218.189.13.15	US
218.189.13.16	218.191.255.255	HK
218.192.0.0	218.207.255.255	CN
218.208.0.0	218.208.255.255	MY
218.209.0.0	218.209.255.255	KR
218.210.0.0	218.211.255.255	TW
218.212.0.0	218.212.255.255	SG
218.213.0.0	218.213.255.255	HK
218.214.0.0	218.215.255.255	AU
218.216.0.0	218.231.255.255	JP
218.232.0.0	218.239.255.255	KR
218.240.0.0	218.247.255.255	CN
218.248.0.0	218.248.255.255	IN
218.249.0.0	218.249.255.255	CN
218.250.0.0	218.250.255.255	HK
218.251.0.0	218.251.255.255	JP
218.252.0.0	218.255.255.255	HK
219.0.0.0	219.3.96.255	JP
219.3.97.0	219.3.97.255	UA
219.3.98.0	219.63.255.255	JP
219.64.0.0	219.65.255.255	IN
219.66.0.0	219.67.255.255	JP
219.68.0.0	219.71.255.255	TW
219.72.0.0	219.72.255.255	CN
219.73.0.0	219.73.127.255	HK
219.73.128.0	219.73.255.255	JP
219.74.0.0	219.75.127.255	SG
219.75.128.0	219.75.255.255	JP
219.76.0.0	219.79.255.255	HK
219.80.0.0	219.81.255.255	TW
219.82.0.0	219.82.255.255	CN
219.83.0.0	219.83.127.255	ID
219.83.128.0	219.83.255.255	IN
219.84.0.0	219.87.255.255	TW
219.88.0.0	219.89.255.255	NZ
219.90.0.0	219.90.63.255	TW
219.90.64.0	219.90.95.255	PH
219.90.96.0	219.90.111.255	IN
219.90.112.0	219.90.127.255	HK
219.90.128.0	219.90.255.255	AU
219.91.0.0	219.91.127.255	TW
219.91.128.0	219.91.255.255	IN
219.92.0.0	219.94.127.255	MY
219.94.128.0	219.94.255.255	JP
219.95.0.0	219.95.255.255	MY
219.96.0.0	219.127.255.255	JP
219.128.0.0	219.159.255.255	CN
219.160.0.0	219.215.255.255	JP
219.216.0.0	219.239.255.255	CN
219.240.0.0	219.241.255.255	KR
219.242.0.0	219.247.255.255	CN
219.248.0.0	219.255.255.255	KR
220.0.0.0	220.63.255.255	JP
220.64.0.0	220.95.255.255	KR
220.96.0.0	220.100.255.255	JP
220.101.0.0	220.101.191.255	AU
220.101.192.0	220.101.255.255	CN
220.102.0.0	220.102.255.255	JP
220.103.0.0	220.103.255.255	KR
220.104.0.0	220.111.255.255	JP
220.112.0.0	220.115.255.255	CN
220.116.0.0	220.127.255.255	KR
220.128.0.0	220.143.255.255	TW
220.144.0.0	220.148.255.255	JP
220.149.0.0	220.149.255.255	KR
220.150.0.0	220.152.111.255	JP
220.152.112.0	220.152.119.255	AU
220.152.120.0	220.152.127.255	JP
220.152.128.0	220.152.255.255	CN
220.153.0.0	220.153.255.255	JP
220.154.0.0	220.155.255.255	CN
220.156.0.0	220.156.159.255	JP
220.156.176.0	220.156.183.255	SG
220.156.184.0	220.156.191.255	IN
220.156.192.0	220.157.63.255	JP
220.157.64.0	220.157.95.255	AU
220.157.96.0	220.157.111.255	ID
220.157.112.0	220.157.127.255	TW
220.157.128.0	220.159.255.255	JP
220.160.0.0	220.207.255.255	CN
220.208.0.0	220.223.255.255	JP
220.224.0.0	220.227.255.255	IN
220.228.0.0	220.229.255.255	TW
220.230.0.0	220.230.255.255	KR
220.231.0.0	220.231.63.255	CN
220.231.64.0	220.231.127.255	VN
220.231.128.0	220.231.255.255	CN
220.232.0.0	220.232.63.255	SG
220.232.64.0	220.232.127.255	CN
220.232.128.0	220.232.255.255	HK
220.233.0.0	220.233.255.255	AU
220.234.0.0	220.234.255.255	CN
220.235.0.0	220.240.255.255	AU
220.241.0.0	220.241.255.255	HK
220.242.0.0	220.243.255.255	CN
220.244.0.0	220.245.255.255	AU
220.246.0.0	220.246.255.255	HK
220.247.0.0	220.247.127.255	JP
220.247.128.0	220.247.159.255	TW
220.247.160.0	220.247.167.255	BD
220.247.168.0	220.247.175.255	ID
220.247.176.0	220.247.183.255	AU
220.247.184.0	220.247.191.255	JP
220.247.192.0	220.247.255.255	LK
220.248.0.0	220.252.255.255	CN
220.253.0.0	220.253.255.255	AU
220.254.0.0	220.254.255.255	JP
220.255.0.0	220.255.255.255	SG
221.0.0.0	221.12.191.255	CN
221.12.192.0	221.12.255.255	JP
221.13.0.0	221.15.255.255	CN
221.16.0.0	221.119.255.255	JP
221.120.0.0	221.120.95.255	TW
221.120.96.0	221.120.103.255	BD
221.120.104.0	221.120.111.255	IN
221.120.112.0	221.120.127.255	SG
221.120.128.0	221.120.167.255	AU
221.120.176.0	221.120.191.255	HK
221.120.192.0	221.120.255.255	PK
221.121.0.0	221.121.63.255	VN
221.121.64.0	221.121.95.255	AU
221.121.96.0	221.121.127.255	PH
221.121.128.0	221.121.159.255	AU
221.121.160.0	221.121.183.255	JP
221.121.184.0	221.121.191.255	PH
221.121.192.0	221.121.255.255	JP
221.122.0.0	221.123.255.255	CN
221.124.0.0	221.127.255.255	HK
221.128.0.0	221.128.63.255	SG
221.128.64.0	221.128.127.255	TH
221.128.128.0	221.128.255.255	IN
221.129.0.0	221.131.255.255	CN
221.132.0.0	221.132.63.255	VN
221.132.64.0	221.132.95.255	KR
221.132.96.0	221.132.111.255	JP
221.132.112.0	221.132.119.255	PK
221.132.128.0	221.132.191.255	JP
221.132.192.0	221.132.255.255	ID
221.133.0.0	221.133.31.255	VN
221.133.32.0	221.133.47.255	MY
221.133.48.0	221.133.63.255	KR
221.133.64.0	221.133.127.255	JP
221.133.128.0	221.133.191.255	KR
221.133.192.0	221.133.216.52	AU
221.133.216.53	221.133.216.53	AS
221.133.216.54	221.133.219.23	AU
221.133.219.24	221.133.219.31	AS
221.133.219.32	221.133.219.63	AU
221.133.219.64	221.133.219.95	AS
221.133.219.96	221.133.219.111	AU
221.133.219.112	221.133.219.127	AS
221.133.219.128	221.133.219.191	AU
221.133.219.192	221.133.219.255	AS
221.133.220.0	221.133.220.63	AU
221.133.220.64	221.133.220.127	AS
221.133.220.128	221.133.220.191	AU
221.133.220.192	221.133.220.223	HK
221.133.220.224	221.133.220.255	JP
221.133.221.0	221.133.223.255	AU
221.133.224.0	221.133.255.255	CN
221.134.0.0	221.135.255.255	IN
221.136.0.0	221.137.255.255	CN
221.138.0.0	221.168.255.255	KR
221.169.0.0	221.169.255.255	TW
221.170.0.0	221.171.255.255	JP
221.172.0.0	221.183.255.255	CN
221.184.0.0	221.191.255.255	JP
221.192.0.0	221.199.207.255	CN
221.199.208.0	221.199.223.255	AU
221.199.224.0	221.239.255.255	CN
221.240.0.0	222.15.255.255	JP
222.16.0.0	222.95.255.255	CN
222.96.0.0	222.122.255.255	KR
222.123.0.0	222.123.255.255	TH
222.124.0.0	222.124.255.255	ID
222.125.0.0	222.125.255.255	CN
222.126.0.0	222.126.127.255	PH
222.126.128.0	222.126.255.255	CN
222.127.0.0	222.127.255.255	PH
222.128.0.0	222.143.255.255	CN
222.144.0.0	222.151.255.255	JP
222.152.0.0	222.155.255.255	NZ
222.156.0.0	222.157.255.255	TW
222.158.0.0	222.159.255.255	JP
222.160.0.0	222.163.255.255	CN
222.164.0.0	222.165.127.255	SG
222.165.128.0	222.165.191.255	LK
222.165.192.0	222.165.255.255	ID
222.166.0.0	222.167.255.255	HK
222.168.0.0	222.223.255.255	CN
222.224.0.0	222.229.79.255	JP
222.229.80.0	222.229.87.255	ID
222.229.88.0	222.229.95.255	TH
222.229.96.0	222.230.255.255	JP
222.231.0.0	222.231.63.255	KR
222.231.64.0	222.231.255.255	JP
222.232.0.0	222.239.255.255	KR
222.240.0.0	222.249.255.255	CN
222.250.0.0	222.251.127.255	TW
222.251.128.0	222.251.255.255	KR
222.252.0.0	222.255.255.255	VN
223.0.0.0	223.15.255.255	CN
223.16.0.0	223.19.255.255	HK
223.20.0.0	223.21.255.255	CN
223.22.0.0	223.23.255.255	TW
223.24.0.0	223.24.255.255	TH
223.25.0.0	223.25.63.255	PH
223.25.64.0	223.25.95.255	SG
223.25.96.0	223.25.111.255	ID
223.25.112.0	223.25.119.255	AU
223.25.128.0	223.25.191.255	JP
223.25.192.0	223.25.223.255	TH
223.25.224.0	223.25.231.255	AU
223.25.240.0	223.25.251.255	MY
223.25.252.0	223.25.255.255	AP
223.26.0.0	223.26.15.255	TW
223.26.16.0	223.26.31.255	SG
223.26.32.0	223.26.47.255	IN
223.26.48.0	223.26.63.255	HK
223.26.64.0	223.26.127.255	TW
223.26.128.0	223.26.255.255	KR
223.27.0.0	223.27.31.255	AU
223.27.64.0	223.27.67.255	AU
223.27.72.0	223.27.79.255	JP
223.27.80.0	223.27.95.255	BD
223.27.96.0	223.27.103.255	AU
223.27.112.0	223.27.115.255	BD
223.27.120.0	223.27.123.255	IN
223.27.124.0	223.27.127.255	JP
223.27.128.0	223.27.143.255	MY
223.27.144.0	223.27.159.255	ID
223.28.0.0	223.28.127.255	MY
223.28.128.0	223.28.255.255	KR
223.30.0.0	223.31.255.255	IN
223.32.0.0	223.63.255.255	KR
223.64.0.0	223.129.255.255	CN
223.130.0.0	223.130.0.255	AP
223.130.4.0	223.130.7.255	IN
223.130.8.0	223.130.11.255	PH
223.130.12.0	223.130.31.255	AU
223.130.32.0	223.130.63.255	HK
223.130.64.0	223.131.255.255	KR
223.132.0.0	223.135.255.255	JP
223.136.0.0	223.143.255.255	TW
223.160.0.0	223.163.255.255	CN
223.164.0.0	223.164.255.255	ID
223.165.0.0	223.165.3.255	BD
223.165.4.0	223.165.7.255	ID
223.165.8.0	223.165.15.255	TW
223.165.16.0	223.165.19.255	NZ
223.165.24.0	223.165.31.255	IN
223.165.32.0	223.165.63.255	JP
223.165.64.0	223.165.79.255	NZ
223.165.96.0	223.165.127.255	AU
223.165.128.0	223.165.255.255	KR
223.166.0.0	223.167.255.255	CN
223.168.0.0	223.175.255.255	KR
223.192.0.0	223.193.255.255	CN
223.194.0.0	223.195.255.255	KR
223.196.0.0	223.196.255.255	IN
223.197.0.0	223.197.255.255	HK
223.198.0.0	223.199.255.255	CN
223.200.0.0	223.200.255.255	TW
223.201.0.0	223.203.255.255	CN
223.204.0.0	223.207.255.255	TH
223.208.0.0	223.215.255.255	CN
223.216.0.0	223.219.255.255	JP
223.220.0.0	223.221.255.255	CN
223.222.0.0	223.222.255.255	KR
223.223.0.0	223.223.127.255	JP
223.223.128.0	223.223.159.255	IN
223.223.160.0	223.223.167.255	JP
223.223.168.0	223.223.175.255	KH
223.223.176.0	223.223.207.255	CN
223.223.208.0	223.223.215.255	JP
223.223.216.0	223.223.219.255	HK
223.223.224.0	223.223.255.255	JP
223.240.0.0	223.251.255.255	CN
223.252.0.0	223.252.127.255	AU
223.253.0.0	223.253.255.255	KR
223.254.0.0	223.255.127.255	CN
223.255.128.0	223.255.191.255	HK
223.255.192.0	223.255.223.255	KR
223.255.224.0	223.255.231.255	ID
223.255.232.0	223.255.235.255	AU
223.255.240.0	223.255.243.255	HK
223.255.244.0	223.255.247.255	IN
223.255.248.0	223.255.251.255	AU
2001:c20::	2001:c20:ffff:ffff:ffff:ffff:ffff:ffff	SG
2001:c28::	2001:c28:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:c30::	2001:c30:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:c38::	2001:c38:ffff:ffff:ffff:ffff:ffff:ffff	TH
2001:c40::	2001:c40:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:c48::	2001:c48:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:c50::	2001:c50:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:c58::	2001:c58:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:c60::	2001:c60:ffff:ffff:ffff:ffff:ffff:ffff	PG
2001:c68::	2001:c68:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:c70::	2001:c70:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:c78::	2001:c79:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:c80::	2001:c80:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:c88::	2001:c88:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:c90::	2001:c90:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:c98::	2001:c98:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:ca0::	2001:ca0:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:ca8::	2001:ca8:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:cb0::	2001:cb0:ffff:ffff:ffff:ffff:ffff:ffff	SG
2001:cb8::	2001:cb8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:cc0::	2001:cc0:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:cc8::	2001:cc8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:cd0::	2001:cd0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:cd8::	2001:cd8:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:ce0::	2001:ce0:ffff:ffff:ffff:ffff:ffff:ffff	HK
2001:ce8::	2001:ce8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:cf0::	2001:cf0:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:cf8::	2001:cf8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d00::	2001:d00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d08::	2001:d08:ffff:ffff:ffff:ffff:ffff:ffff	MY
2001:d10::	2001:d10:ffff:ffff:ffff:ffff:ffff:ffff	ID
2001:d18::	2001:d18:ffff:ffff:ffff:ffff:ffff:ffff	PH
2001:d28::	2001:d28:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d30::	2001:d30:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d38::	2001:d38:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:d40::	2001:d40:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:d48::	2001:d48:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:d50::	2001:d50:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d58::	2001:d58:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:d68::	2001:d68:ffff:ffff:ffff:ffff:ffff:ffff	ID
2001:d70::	2001:d73:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d80::	2001:d80:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d88::	2001:d88:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d90::	2001:d90:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:d98::	2001:d98:ffff:ffff:ffff:ffff:ffff:ffff	SG
2001:da0::	2001:da0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:da8::	2001:daa:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:db0::	2001:db0:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:dc0::	2001:dc0:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:dc1::	2001:dc1:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:dc2::	2001:dc4:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:dc5::	2001:dc5:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:dc6::	2001:dc6:ffff:ffff:ffff:ffff:ffff:ffff	ID
2001:dc7::	2001:dc7:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:dc8::	2001:dc8:ffff:ffff:ffff:ffff:ffff:ffff	VN
2001:dc9::	2001:dc9:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:dca::	2001:dca:ffff:ffff:ffff:ffff:ffff:ffff	HK
2001:dcc::	2001:dcc:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:dcd::	2001:dcd:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:dce::	2001:dce:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2001:dd8::	2001:dd8:0:ffff:ffff:ffff:ffff:ffff	FJ
2001:dd8:1::	2001:dd8:1:ffff:ffff:ffff:ffff:ffff	CN
2001:dd8:2::	2001:dd8:2:ffff:ffff:ffff:ffff:ffff	AP
2001:dd8:3::	2001:dd8:3:ffff:ffff:ffff:ffff:ffff	NZ
2001:dd8:4::	2001:dd8:4:ffff:ffff:ffff:ffff:ffff	SG
2001:dd8:5::	2001:dd8:5:ffff:ffff:ffff:ffff:ffff	JP
2001:dd8:6::	2001:dd8:7:ffff:ffff:ffff:ffff:ffff	AP
2001:dd8:8::	2001:dd8:f:ffff:ffff:ffff:ffff:ffff	AU
2001:dd8:10::	2001:dd8:11:ffff:ffff:ffff:ffff:ffff	NP
2001:de1::	2001:de1:3f:ffff:ffff:ffff:ffff:ffff	JP
2001:de8::	2001:de8:0:ffff:ffff:ffff:ffff:ffff	TH
2001:de8:1::	2001:de8:1:ffff:ffff:ffff:ffff:ffff	IN
2001:de8:2::	2001:de8:2:ffff:ffff:ffff:ffff:ffff	ID
2001:de8:3::	2001:de8:3:ffff:ffff:ffff:ffff:ffff	VN
2001:de8:4::	2001:de8:7:ffff:ffff:ffff:ffff:ffff	AP
2001:de8:8::	2001:de8:8:ffff:ffff:ffff:ffff:ffff	JP
2001:de8:9::	2001:de8:9:ffff:ffff:ffff:ffff:ffff	AU
2001:de8:a::	2001:de8:a:ffff:ffff:ffff:ffff:ffff	VN
2001:de8:b::	2001:de8:b:ffff:ffff:ffff:ffff:ffff	BD
2001:de8:c::	2001:de8:c:ffff:ffff:ffff:ffff:ffff	JP
2001:de8:d::	2001:de8:d:ffff:ffff:ffff:ffff:ffff	SG
2001:de8:e::	2001:de8:e:ffff:ffff:ffff:ffff:ffff	TH
2001:de8:f::	2001:de8:10:ffff:ffff:ffff:ffff:ffff	MY
2001:de8:11::	2001:de8:11:ffff:ffff:ffff:ffff:ffff	ID
2001:de8:12::	2001:de8:12:ffff:ffff:ffff:ffff:ffff	SG
2001:df0::	2001:df0:1:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:2::	2001:df0:2:ffff:ffff:ffff:ffff:ffff	JP
2001:df0:3::	2001:df0:4:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:7::	2001:df0:7:ffff:ffff:ffff:ffff:ffff	SG
2001:df0:8::	2001:df0:8:ffff:ffff:ffff:ffff:ffff	JP
2001:df0:9::	2001:df0:a:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:c::	2001:df0:13:ffff:ffff:ffff:ffff:ffff	VN
2001:df0:14::	2001:df0:14:ffff:ffff:ffff:ffff:ffff	SG
2001:df0:15::	2001:df0:15:ffff:ffff:ffff:ffff:ffff	JP
2001:df0:16::	2001:df0:16:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:17::	2001:df0:17:ffff:ffff:ffff:ffff:ffff	LK
2001:df0:18::	2001:df0:18:ffff:ffff:ffff:ffff:ffff	MY
2001:df0:19::	2001:df0:1d:ffff:ffff:ffff:ffff:ffff	VN
2001:df0:1e::	2001:df0:1e:ffff:ffff:ffff:ffff:ffff	TH
2001:df0:1f::	2001:df0:1f:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:20::	2001:df0:3f:ffff:ffff:ffff:ffff:ffff	AP
2001:df0:40::	2001:df0:40:ffff:ffff:ffff:ffff:ffff	VN
2001:df0:41::	2001:df0:41:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:42::	2001:df0:42:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:43::	2001:df0:43:ffff:ffff:ffff:ffff:ffff	JP
2001:df0:44::	2001:df0:44:ffff:ffff:ffff:ffff:ffff	HK
2001:df0:45::	2001:df0:46:ffff:ffff:ffff:ffff:ffff	JP
2001:df0:47::	2001:df0:47:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:48::	2001:df0:48:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:49::	2001:df0:49:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:4a::	2001:df0:4a:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:4b::	2001:df0:4d:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:4f::	2001:df0:4f:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:50::	2001:df0:5f:ffff:ffff:ffff:ffff:ffff	AP
2001:df0:60::	2001:df0:61:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:62::	2001:df0:62:ffff:ffff:ffff:ffff:ffff	TH
2001:df0:63::	2001:df0:63:ffff:ffff:ffff:ffff:ffff	AP
2001:df0:64::	2001:df0:64:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:65::	2001:df0:65:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:66::	2001:df0:66:ffff:ffff:ffff:ffff:ffff	VN
2001:df0:67::	2001:df0:67:ffff:ffff:ffff:ffff:ffff	FJ
2001:df0:68::	2001:df0:68:ffff:ffff:ffff:ffff:ffff	JP
2001:df0:69::	2001:df0:69:ffff:ffff:ffff:ffff:ffff	AP
2001:df0:6a::	2001:df0:6a:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:6b::	2001:df0:6b:ffff:ffff:ffff:ffff:ffff	IN
2001:df0:6c::	2001:df0:6c:ffff:ffff:ffff:ffff:ffff	WS
2001:df0:6e::	2001:df0:6f:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:70::	2001:df0:70:ffff:ffff:ffff:ffff:ffff	PH
2001:df0:71::	2001:df0:71:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:73::	2001:df0:74:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:75::	2001:df0:75:ffff:ffff:ffff:ffff:ffff	SG
2001:df0:76::	2001:df0:76:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:77::	2001:df0:77:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:78::	2001:df0:78:ffff:ffff:ffff:ffff:ffff	HK
2001:df0:79::	2001:df0:79:ffff:ffff:ffff:ffff:ffff	MN
2001:df0:7a::	2001:df0:7a:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:7b::	2001:df0:7c:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:7d::	2001:df0:7d:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:7e::	2001:df0:81:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:82::	2001:df0:82:ffff:ffff:ffff:ffff:ffff	IN
2001:df0:83::	2001:df0:83:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:84::	2001:df0:84:ffff:ffff:ffff:ffff:ffff	PK
2001:df0:85::	2001:df0:85:ffff:ffff:ffff:ffff:ffff	HK
2001:df0:86::	2001:df0:87:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:88::	2001:df0:88:ffff:ffff:ffff:ffff:ffff	MY
2001:df0:89::	2001:df0:89:ffff:ffff:ffff:ffff:ffff	AP
2001:df0:8a::	2001:df0:8a:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:8b::	2001:df0:8b:ffff:ffff:ffff:ffff:ffff	NP
2001:df0:8c::	2001:df0:8c:ffff:ffff:ffff:ffff:ffff	NU
2001:df0:8d::	2001:df0:8d:ffff:ffff:ffff:ffff:ffff	SG
2001:df0:8e::	2001:df0:8f:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:90::	2001:df0:90:ffff:ffff:ffff:ffff:ffff	AP
2001:df0:91::	2001:df0:91:ffff:ffff:ffff:ffff:ffff	FJ
2001:df0:92::	2001:df0:92:ffff:ffff:ffff:ffff:ffff	IN
2001:df0:93::	2001:df0:93:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:94::	2001:df0:94:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:95::	2001:df0:95:ffff:ffff:ffff:ffff:ffff	JP
2001:df0:96::	2001:df0:96:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:97::	2001:df0:97:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:98::	2001:df0:9a:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:9b::	2001:df0:9b:ffff:ffff:ffff:ffff:ffff	FJ
2001:df0:9c::	2001:df0:9c:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:9d::	2001:df0:9d:ffff:ffff:ffff:ffff:ffff	MY
2001:df0:9e::	2001:df0:9e:ffff:ffff:ffff:ffff:ffff	TH
2001:df0:9f::	2001:df0:9f:ffff:ffff:ffff:ffff:ffff	AP
2001:df0:a0::	2001:df0:a1:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:a2::	2001:df0:a2:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:a3::	2001:df0:a3:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:a4::	2001:df0:a4:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:a5::	2001:df0:a6:ffff:ffff:ffff:ffff:ffff	HK
2001:df0:a7::	2001:df0:ac:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:ad::	2001:df0:ad:ffff:ffff:ffff:ffff:ffff	HK
2001:df0:ae::	2001:df0:ae:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:af::	2001:df0:b0:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:b1::	2001:df0:b8:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:b9::	2001:df0:b9:ffff:ffff:ffff:ffff:ffff	NZ
2001:df0:ba::	2001:df0:bc:ffff:ffff:ffff:ffff:ffff	ID
2001:df0:be::	2001:df0:be:ffff:ffff:ffff:ffff:ffff	AU
2001:df0:bf::	2001:df0:bf:ffff:ffff:ffff:ffff:ffff	LA
2001:df0:c0::	2001:df0:c0:ffff:ffff:ffff:ffff:ffff	IN
2001:df0:c1::	2001:df0:c1:ffff:ffff:ffff:ffff:ffff	AU
2001:df8::	2001:df8:ffff:ffff:ffff:ffff:ffff:ffff	AP
2001:df9::	2001:df9:ffff:ffff:ffff:ffff:ffff:ffff	ID
2001:dfa::	2001:dfa:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:dfb::	2001:dfb:0:ffff:ffff:ffff:ffff:ffff	AU
2001:e00::	2001:e00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2001:e08::	2001:e08:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:e10::	2001:e10:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:e18::	2001:e18:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:e20::	2001:e20:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2001:e28::	2001:e28:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:e30::	2001:e30:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:e38::	2001:e38:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:e40::	2001:e40:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:e48::	2001:e48:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:e50::	2001:e50:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:e58::	2001:e58:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:e60::	2001:e60:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:e68::	2001:e68:ffff:ffff:ffff:ffff:ffff:ffff	MY
2001:e70::	2001:e70:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:e78::	2001:e78:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:e80::	2001:e80:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:e88::	2001:e88:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:e90::	2001:e90:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:e98::	2001:e98:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:ea0::	2001:ea0:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:ea8::	2001:ea8:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:eb0::	2001:eb0:ffff:ffff:ffff:ffff:ffff:ffff	HK
2001:eb8::	2001:eb8:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:ec0::	2001:ec0:ffff:ffff:ffff:ffff:ffff:ffff	TH
2001:ec8::	2001:ec8:ffff:ffff:ffff:ffff:ffff:ffff	PH
2001:ed0::	2001:ed0:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:ed8::	2001:ed8:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:ee0::	2001:ee0:ffff:ffff:ffff:ffff:ffff:ffff	VN
2001:ee8::	2001:ee8:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:ef0::	2001:ef0:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:ef8::	2001:ef8:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:f00::	2001:f00:ffff:ffff:ffff:ffff:ffff:ffff	TH
2001:f08::	2001:f08:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:f10::	2001:f10:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:f18::	2001:f18:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:f20::	2001:f20:ffff:ffff:ffff:ffff:ffff:ffff	ID
2001:f28::	2001:f28:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:f30::	2001:f30:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:f38::	2001:f38:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:f40::	2001:f40:ffff:ffff:ffff:ffff:ffff:ffff	MY
2001:f48::	2001:f48:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:f50::	2001:f50:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2001:f58::	2001:f58:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:f60::	2001:f6f:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:f80::	2001:f80:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:f88::	2001:f88:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:f90::	2001:f90:ffff:ffff:ffff:ffff:ffff:ffff	MO
2001:f98::	2001:f98:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:fa0::	2001:fa0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:fa8::	2001:fa8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:fb0::	2001:fb0:ffff:ffff:ffff:ffff:ffff:ffff	TH
2001:fb8::	2001:fb8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:fc0::	2001:fc0:ffff:ffff:ffff:ffff:ffff:ffff	SG
2001:fc8::	2001:fc8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:fd0::	2001:fd0:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:fd8::	2001:fd8:ffff:ffff:ffff:ffff:ffff:ffff	PH
2001:fe0::	2001:fe0:ffff:ffff:ffff:ffff:ffff:ffff	PH
2001:fe8::	2001:fe8:ffff:ffff:ffff:ffff:ffff:ffff	PK
2001:ff0::	2001:ff0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:ff8::	2001:ff8:ffff:ffff:ffff:ffff:ffff:ffff	MO
2001:1200::	2001:1200:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1208::	2001:1208:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1210::	2001:1210:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1218::	2001:1218:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1220::	2001:1220:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1228::	2001:1228:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:122c::	2001:122c:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1230::	2001:1230:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1238::	2001:1238:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1248::	2001:1248:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1250::	2001:1250:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1258::	2001:1258:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1260::	2001:1260:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1268::	2001:1268:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1270::	2001:1270:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1278::	2001:1278:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:1280::	2001:12ff:ffff:ffff:ffff:ffff:ffff:ffff	BR
2001:1300::	2001:1300:ffff:ffff:ffff:ffff:ffff:ffff	PE
2001:1308::	2001:1308:ffff:ffff:ffff:ffff:ffff:ffff	DO
2001:1310::	2001:1310:ffff:ffff:ffff:ffff:ffff:ffff	CL
2001:1318::	2001:1318:ffff:ffff:ffff:ffff:ffff:ffff	AR
2001:1320::	2001:1320:ffff:ffff:ffff:ffff:ffff:ffff	PY
2001:1328::	2001:1328:ffff:ffff:ffff:ffff:ffff:ffff	UY
2001:1330::	2001:1333:ffff:ffff:ffff:ffff:ffff:ffff	CR
2001:1338::	2001:1338:ffff:ffff:ffff:ffff:ffff:ffff	VE
2001:1340::	2001:1340:ffff:ffff:ffff:ffff:ffff:ffff	CU
2001:1348::	2001:1348:ffff:ffff:ffff:ffff:ffff:ffff	UY
2001:1350::	2001:1350:ffff:ffff:ffff:ffff:ffff:ffff	VE
2001:1358::	2001:1358:ffff:ffff:ffff:ffff:ffff:ffff	CU
2001:1360::	2001:1360:ffff:ffff:ffff:ffff:ffff:ffff	GT
2001:1368::	2001:1368:ffff:ffff:ffff:ffff:ffff:ffff	PA
2001:1370::	2001:1370:ffff:ffff:ffff:ffff:ffff:ffff	HT
2001:1378::	2001:1378:ffff:ffff:ffff:ffff:ffff:ffff	BO
2001:1380::	2001:1380:ffff:ffff:ffff:ffff:ffff:ffff	PE
2001:1388::	2001:1388:ffff:ffff:ffff:ffff:ffff:ffff	PE
2001:1390::	2001:1390:ffff:ffff:ffff:ffff:ffff:ffff	AR
2001:1398::	2001:1398:ffff:ffff:ffff:ffff:ffff:ffff	CL
2001:13a0::	2001:13a0:ffff:ffff:ffff:ffff:ffff:ffff	PE
2001:13a8::	2001:13a8:ffff:ffff:ffff:ffff:ffff:ffff	MX
2001:13b0::	2001:13b7:ffff:ffff:ffff:ffff:ffff:ffff	AR
2001:13c7:6000::	2001:13c7:6000:ffff:ffff:ffff:ffff:ffff	CO
2001:13c7:6001::	2001:13c7:6001:ffff:ffff:ffff:ffff:ffff	AR
2001:13c7:6002::	2001:13c7:6002:ffff:ffff:ffff:ffff:ffff	AN
2001:13c7:6003::	2001:13c7:6003:ffff:ffff:ffff:ffff:ffff	HT
2001:13c7:6004::	2001:13c7:6005:ffff:ffff:ffff:ffff:ffff	AN
2001:13c7:6006::	2001:13c7:6006:ffff:ffff:ffff:ffff:ffff	EC
2001:13c7:6f00::	2001:13c7:6fff:ffff:ffff:ffff:ffff:ffff	EC
2001:13c7:7001::	2001:13c7:7003:ffff:ffff:ffff:ffff:ffff	UY
2001:13c7:7004::	2001:13c7:7004:ffff:ffff:ffff:ffff:ffff	CR
2001:13c7:7005::	2001:13c7:7008:ffff:ffff:ffff:ffff:ffff	UY
2001:13c7:7010::	2001:13c7:7013:ffff:ffff:ffff:ffff:ffff	UY
2001:13c8::	2001:13c8:ffff:ffff:ffff:ffff:ffff:ffff	CU
2001:13d0::	2001:13d0:ffff:ffff:ffff:ffff:ffff:ffff	AR
2001:13d8::	2001:13d8:ffff:ffff:ffff:ffff:ffff:ffff	CR
2001:13e0::	2001:13e0:ffff:ffff:ffff:ffff:ffff:ffff	DO
2001:13e8::	2001:13e8:ffff:ffff:ffff:ffff:ffff:ffff	AR
2001:13f0::	2001:13f0:ffff:ffff:ffff:ffff:ffff:ffff	DO
2001:13f8::	2001:13f8:ffff:ffff:ffff:ffff:ffff:ffff	CO
2001:1400::	2001:1400:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:1408::	2001:1408:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:1410::	2001:1410:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1418::	2001:1418:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:1420::	2001:1420:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1428::	2001:1428:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:1430::	2001:1430:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:1438::	2001:1438:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1440::	2001:1440:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1448::	2001:1448:ffff:ffff:ffff:ffff:ffff:ffff	DK
2001:1450::	2001:1450:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:1458::	2001:1458:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1460::	2001:1460:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1468::	2001:1468:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1470::	2001:1470:ffff:ffff:ffff:ffff:ffff:ffff	SI
2001:1478::	2001:1478:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1480::	2001:1480:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1488::	2001:1488:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1490::	2001:1490:ffff:ffff:ffff:ffff:ffff:ffff	SA
2001:1498::	2001:1498:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:14a0::	2001:14a0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:14a8::	2001:14a8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:14b0::	2001:14b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:14b8::	2001:14b8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:14c0::	2001:14c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:14c8::	2001:14c8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:14d0::	2001:14d0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2001:14d8::	2001:14d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:14e0::	2001:14e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:14e8::	2001:14e8:ffff:ffff:ffff:ffff:ffff:ffff	IR
2001:14f0::	2001:14f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:14f8::	2001:14f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1500::	2001:1500:ffff:ffff:ffff:ffff:ffff:ffff	IR
2001:1508::	2001:1508:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1510::	2001:1510:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1518::	2001:1518:ffff:ffff:ffff:ffff:ffff:ffff	RO
2001:1520::	2001:1520:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1528::	2001:1528:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1530::	2001:1530:ffff:ffff:ffff:ffff:ffff:ffff	EE
2001:1538::	2001:1538:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1540::	2001:1540:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1548::	2001:1548:ffff:ffff:ffff:ffff:ffff:ffff	GR
2001:1550::	2001:1550:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1558::	2001:1558:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1560::	2001:1560:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1568::	2001:1568:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1570::	2001:1570:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1578::	2001:1578:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1580::	2001:1580:ffff:ffff:ffff:ffff:ffff:ffff	DK
2001:1588::	2001:1588:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:1590::	2001:1590:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:1598::	2001:1598:ffff:ffff:ffff:ffff:ffff:ffff	BE
2001:15a0::	2001:15a0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:15a8::	2001:15a8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:15b0::	2001:15b0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:15b8::	2001:15b8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:15c0::	2001:15c0:ffff:ffff:ffff:ffff:ffff:ffff	SI
2001:15c8::	2001:15c8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:15d0::	2001:15d0:ffff:ffff:ffff:ffff:ffff:ffff	RS
2001:15d8::	2001:15d8:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:15e0::	2001:15e0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:15e8::	2001:15e8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:15f0::	2001:15f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:15f8::	2001:15f8:ffff:ffff:ffff:ffff:ffff:ffff	DK
2001:1600::	2001:1600:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1608::	2001:1608:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1610::	2001:1610:ffff:ffff:ffff:ffff:ffff:ffff	LU
2001:1618::	2001:1618:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:1620::	2001:1620:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1628::	2001:1628:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1630::	2001:1630:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:1638::	2001:1638:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1640::	2001:1640:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1648::	2001:1648:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1650::	2001:1650:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1658::	2001:1658:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:1660::	2001:1660:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:1668::	2001:1668:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1670::	2001:1670:ffff:ffff:ffff:ffff:ffff:ffff	OM
2001:1678::	2001:1678:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:1680::	2001:1680:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1688::	2001:1688:ffff:ffff:ffff:ffff:ffff:ffff	SI
2001:1690::	2001:1690:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1698::	2001:1698:ffff:ffff:ffff:ffff:ffff:ffff	LU
2001:16a0::	2001:16a0:ffff:ffff:ffff:ffff:ffff:ffff	SA
2001:16a8::	2001:16a8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:16b0::	2001:16b0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:16b8::	2001:16b8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:16c0::	2001:16c0:ffff:ffff:ffff:ffff:ffff:ffff	IR
2001:16c8::	2001:16c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:16d0::	2001:16d0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:16d8::	2001:16d8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:16e0::	2001:16e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:16e8::	2001:16e8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:16f0::	2001:16f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:16f8::	2001:16f8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1700::	2001:171f:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1800::	2001:1800:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1808::	2001:1808:ffff:ffff:ffff:ffff:ffff:ffff	GD
2001:1810::	2001:1810:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1818::	2001:1818:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1820::	2001:1820:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1828::	2001:1828:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1830::	2001:1830:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1838::	2001:1838:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1840::	2001:1840:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1848::	2001:1848:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1850::	2001:1850:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1858::	2001:1858:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1860::	2001:1860:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1868::	2001:1868:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1878::	2001:1878:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1880::	2001:1880:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1888::	2001:1888:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1890::	2001:1890:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1898::	2001:1898:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18a0::	2001:18a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18a8::	2001:18a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18b0::	2001:18b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18b8::	2001:18b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18c0::	2001:18c0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:18c8::	2001:18c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18d8::	2001:18d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18e0::	2001:18e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18e8::	2001:18e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:18f0::	2001:18f0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:18f8::	2001:18f8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:1900::	2001:1900:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1908::	2001:1908:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1910::	2001:1910:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1920::	2001:1920:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:1928::	2001:1928:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:1930::	2001:1930:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1938::	2001:1938:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1940::	2001:1940:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1948::	2001:1948:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1950::	2001:1950:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1958::	2001:1958:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1960::	2001:1960:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1968::	2001:1968:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1970::	2001:1970:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:1978::	2001:1978:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1980::	2001:1980:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1988::	2001:1988:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1990::	2001:1990:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1998::	2001:1998:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19a0::	2001:19a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19a8::	2001:19a8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:19b0::	2001:19b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19b8::	2001:19b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19c0::	2001:19c0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:19c8::	2001:19c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19d0::	2001:19d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19d8::	2001:19d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19e0::	2001:19e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19e8::	2001:19e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19f0::	2001:19f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:19f8::	2001:19f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:1a00::	2001:1a00:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1a08::	2001:1a08:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1a10::	2001:1a10:ffff:ffff:ffff:ffff:ffff:ffff	QA
2001:1a18::	2001:1a18:ffff:ffff:ffff:ffff:ffff:ffff	CY
2001:1a20::	2001:1a20:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1a28::	2001:1a28:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1a30::	2001:1a30:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1a38::	2001:1a38:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:1a40::	2001:1a40:ffff:ffff:ffff:ffff:ffff:ffff	BH
2001:1a48::	2001:1a48:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1a50::	2001:1a50:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1a58::	2001:1a58:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:1a60::	2001:1a60:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:1a68::	2001:1a68:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:1a70::	2001:1a70:ffff:ffff:ffff:ffff:ffff:ffff	MT
2001:1a78::	2001:1a78:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1a80::	2001:1a80:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1a88::	2001:1a88:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1a90::	2001:1a90:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1a98::	2001:1a98:ffff:ffff:ffff:ffff:ffff:ffff	IS
2001:1aa0::	2001:1aa0:ffff:ffff:ffff:ffff:ffff:ffff	HU
2001:1aa8::	2001:1aa8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1ab0::	2001:1ab0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1ab8::	2001:1ab8:ffff:ffff:ffff:ffff:ffff:ffff	LT
2001:1ac0::	2001:1ac0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:1ac8::	2001:1ac8:ffff:ffff:ffff:ffff:ffff:ffff	BG
2001:1ad0::	2001:1ad0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:1ad8::	2001:1ad8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:1ae0::	2001:1ae0:ffff:ffff:ffff:ffff:ffff:ffff	BG
2001:1ae8::	2001:1ae8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:1af0::	2001:1af0:ffff:ffff:ffff:ffff:ffff:ffff	HR
2001:1af8::	2001:1af8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1b00::	2001:1b00:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:1b08::	2001:1b08:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1b10::	2001:1b10:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1b18::	2001:1b18:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1b20::	2001:1b20:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1b28::	2001:1b28:ffff:ffff:ffff:ffff:ffff:ffff	EE
2001:1b30::	2001:1b30:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1b38::	2001:1b38:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1b40::	2001:1b40:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1b48::	2001:1b48:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1b50::	2001:1b50:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:1b58::	2001:1b58:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1b60::	2001:1b60:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1b68::	2001:1b68:ffff:ffff:ffff:ffff:ffff:ffff	TR
2001:1b70::	2001:1b70:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:1b78::	2001:1b78:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:1b80::	2001:1b80:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:1b88::	2001:1b88:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1b90::	2001:1b90:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:1b98::	2001:1b98:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:1ba0::	2001:1ba0:ffff:ffff:ffff:ffff:ffff:ffff	SK
2001:1ba8::	2001:1ba8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:1bb0::	2001:1bb0:ffff:ffff:ffff:ffff:ffff:ffff	AM
2001:1bb8::	2001:1bb8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2001:1bc0::	2001:1bc0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:1bc8::	2001:1bc8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:1bd0::	2001:1bd0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:1bd8::	2001:1bd8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2001:1be0::	2001:1be0:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:1be8::	2001:1be8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:1bf0::	2001:1bf0:ffff:ffff:ffff:ffff:ffff:ffff	EE
2001:1bf8::	2001:1bf8:ffff:ffff:ffff:ffff:ffff:ffff	LV
2001:1c00::	2001:1dff:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:2000::	2001:2fff:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:4000::	2001:4000:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:4008::	2001:4008:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4010::	2001:4010:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4018::	2001:4018:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4020::	2001:4020:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4028::	2001:4028:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4030::	2001:4030:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:4038::	2001:4038:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4040::	2001:4040:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:4048::	2001:4048:ffff:ffff:ffff:ffff:ffff:ffff	LT
2001:4050::	2001:4050:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4058::	2001:4058:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:4060::	2001:4060:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4068::	2001:4068:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4070::	2001:4070:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4078::	2001:4078:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:4080::	2001:4080:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:4088::	2001:4088:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4090::	2001:4090:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4098::	2001:4098:ffff:ffff:ffff:ffff:ffff:ffff	RO
2001:40a0::	2001:40a0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:40a8::	2001:40a8:ffff:ffff:ffff:ffff:ffff:ffff	IL
2001:40b0::	2001:40b0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:40b8::	2001:40b8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:40c0::	2001:40c0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:40c8::	2001:40c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:40d0::	2001:40d0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:40d8::	2001:40d8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:40e0::	2001:40e0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:40e8::	2001:40e8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2001:40f0::	2001:40f0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:40f8::	2001:40f8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4100::	2001:4100:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:4108::	2001:4108:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:4110::	2001:4110:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4118::	2001:4118:ffff:ffff:ffff:ffff:ffff:ffff	SK
2001:4120::	2001:4120:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4128::	2001:4128:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4130::	2001:4130:ffff:ffff:ffff:ffff:ffff:ffff	UA
2001:4138::	2001:4138:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4140::	2001:4140:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4148::	2001:4148:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:4150::	2001:4150:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4158::	2001:4158:ffff:ffff:ffff:ffff:ffff:ffff	BE
2001:4160::	2001:4160:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4168::	2001:4168:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4170::	2001:4170:ffff:ffff:ffff:ffff:ffff:ffff	RS
2001:4178::	2001:4178:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4180::	2001:4180:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4188::	2001:4188:ffff:ffff:ffff:ffff:ffff:ffff	IR
2001:4190::	2001:4190:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4198::	2001:4198:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:41a0::	2001:41a0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:41a8::	2001:41a8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:41b0::	2001:41b0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:41b8::	2001:41b8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:41c0::	2001:41c0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:41c8::	2001:41c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:41d0::	2001:41d0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:41d8::	2001:41d8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:41e0::	2001:41e0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:41e8::	2001:41e8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:41f0::	2001:41f0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:41f8::	2001:41f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4200::	2001:4200:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4208::	2001:4208:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4210::	2001:4210:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4218::	2001:4218:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4220::	2001:4220:ffff:ffff:ffff:ffff:ffff:ffff	EG
2001:4228::	2001:4228:ffff:ffff:ffff:ffff:ffff:ffff	SD
2001:4230::	2001:4230:ffff:ffff:ffff:ffff:ffff:ffff	EG
2001:4238::	2001:4238:ffff:ffff:ffff:ffff:ffff:ffff	KE
2001:4240::	2001:4240:ffff:ffff:ffff:ffff:ffff:ffff	TZ
2001:4248::	2001:4248:ffff:ffff:ffff:ffff:ffff:ffff	MU
2001:4250::	2001:4250:ffff:ffff:ffff:ffff:ffff:ffff	AO
2001:4258::	2001:4258:ffff:ffff:ffff:ffff:ffff:ffff	TZ
2001:4260::	2001:4260:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4268::	2001:4268:ffff:ffff:ffff:ffff:ffff:ffff	CM
2001:4270::	2001:4270:ffff:ffff:ffff:ffff:ffff:ffff	NG
2001:4278::	2001:4278:ffff:ffff:ffff:ffff:ffff:ffff	SN
2001:4280::	2001:4280:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4288::	2001:4288:ffff:ffff:ffff:ffff:ffff:ffff	MA
2001:4290::	2001:4290:ffff:ffff:ffff:ffff:ffff:ffff	MU
2001:4298::	2001:4298:ffff:ffff:ffff:ffff:ffff:ffff	DJ
2001:42a0::	2001:42a0:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:42a8::	2001:42a8:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:42b0::	2001:42b0:ffff:ffff:ffff:ffff:ffff:ffff	ZW
2001:42b8::	2001:42b8:ffff:ffff:ffff:ffff:ffff:ffff	EG
2001:42c0::	2001:42c0:ffff:ffff:ffff:ffff:ffff:ffff	ML
2001:42c8::	2001:42c8:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:42d0::	2001:42d0:ffff:ffff:ffff:ffff:ffff:ffff	MU
2001:42d8::	2001:42d8:ffff:ffff:ffff:ffff:ffff:ffff	CI
2001:42e0::	2001:42e0:ffff:ffff:ffff:ffff:ffff:ffff	SC
2001:42f0::	2001:42f0:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:42f8::	2001:42f8:ffff:ffff:ffff:ffff:ffff:ffff	GH
2001:4300::	2001:4300:ffff:ffff:ffff:ffff:ffff:ffff	EG
2001:4308::	2001:4308:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4310::	2001:4310:ffff:ffff:ffff:ffff:ffff:ffff	MA
2001:4318::	2001:4318:ffff:ffff:ffff:ffff:ffff:ffff	CI
2001:4320::	2001:4320:ffff:ffff:ffff:ffff:ffff:ffff	BJ
2001:4328::	2001:4328:ffff:ffff:ffff:ffff:ffff:ffff	RW
2001:4330::	2001:4330:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4338::	2001:4338:ffff:ffff:ffff:ffff:ffff:ffff	SZ
2001:4340::	2001:4340:ffff:ffff:ffff:ffff:ffff:ffff	DZ
2001:4348::	2001:4348:ffff:ffff:ffff:ffff:ffff:ffff	MU
2001:4350::	2001:4350:ffff:ffff:ffff:ffff:ffff:ffff	TN
2001:4358::	2001:4358:ffff:ffff:ffff:ffff:ffff:ffff	KE
2001:4368::	2001:4368:ffff:ffff:ffff:ffff:ffff:ffff	KE
2001:4370::	2001:4370:ffff:ffff:ffff:ffff:ffff:ffff	KE
2001:4378::	2001:4378:ffff:ffff:ffff:ffff:ffff:ffff	MZ
2001:4380::	2001:4380:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4388::	2001:4388:ffff:ffff:ffff:ffff:ffff:ffff	EG
2001:4390::	2001:4390:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:4398::	2001:4398:ffff:ffff:ffff:ffff:ffff:ffff	MG
2001:43a0::	2001:43a0:ffff:ffff:ffff:ffff:ffff:ffff	TZ
2001:43a8::	2001:43a8:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:43b0::	2001:43b0:ffff:ffff:ffff:ffff:ffff:ffff	NG
2001:43b8::	2001:43b8:ffff:ffff:ffff:ffff:ffff:ffff	UG
2001:43c0::	2001:43c0:ffff:ffff:ffff:ffff:ffff:ffff	GH
2001:43c8::	2001:43c8:ffff:ffff:ffff:ffff:ffff:ffff	EG
2001:43d0::	2001:43d0:ffff:ffff:ffff:ffff:ffff:ffff	KE
2001:43d8::	2001:43d8:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:43e0::	2001:43e0:ffff:ffff:ffff:ffff:ffff:ffff	GH
2001:43e8::	2001:43e8:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2001:43f0::	2001:43f0:ffff:ffff:ffff:ffff:ffff:ffff	ZW
2001:43f8::	2001:43f8:0:ffff:ffff:ffff:ffff:ffff	TZ
2001:43f8:10::	2001:43f8:10:ffff:ffff:ffff:ffff:ffff	KE
2001:43f8:20::	2001:43f8:20:ffff:ffff:ffff:ffff:ffff	ZA
2001:43f8:30::	2001:43f8:30:ffff:ffff:ffff:ffff:ffff	ZA
2001:43f8:40::	2001:43f8:40:ffff:ffff:ffff:ffff:ffff	MU
2001:43f8:50::	2001:43f8:50:ffff:ffff:ffff:ffff:ffff	ZA
2001:43f8:60::	2001:43f8:60:ffff:ffff:ffff:ffff:ffff	KE
2001:43f8:70::	2001:43f8:77:ffff:ffff:ffff:ffff:ffff	ZA
2001:43f8:80::	2001:43f8:80:ffff:ffff:ffff:ffff:ffff	NA
2001:43f8:90::	2001:43f8:90:ffff:ffff:ffff:ffff:ffff	MU
2001:43f8:a0::	2001:43f8:a0:ffff:ffff:ffff:ffff:ffff	ZA
2001:43f8:b0::	2001:43f8:b0:ffff:ffff:ffff:ffff:ffff	SL
2001:43f8:c0::	2001:43f8:c0:ffff:ffff:ffff:ffff:ffff	KE
2001:43f8:d0::	2001:43f8:d0:ffff:ffff:ffff:ffff:ffff	MU
2001:43f8:e0::	2001:43f8:e0:ffff:ffff:ffff:ffff:ffff	TZ
2001:43f8:100::	2001:43f8:100:ffff:ffff:ffff:ffff:ffff	ZA
2001:43f8:110::	2001:43f8:110:ffff:ffff:ffff:ffff:ffff	MU
2001:43f8:120::	2001:43f8:120:ffff:ffff:ffff:ffff:ffff	MU
2001:43f8:130::	2001:43f8:130:ffff:ffff:ffff:ffff:ffff	UG
2001:43f8:140::	2001:43f8:140:ffff:ffff:ffff:ffff:ffff	ZM
2001:43f8:150::	2001:43f8:150:ffff:ffff:ffff:ffff:ffff	RW
2001:43f8:160::	2001:43f8:160:ffff:ffff:ffff:ffff:ffff	NG
2001:4400::	2001:4403:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2001:4408::	2001:4408:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:4410::	2001:4410:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2001:4418::	2001:4418:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:4420::	2001:4420:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:4428::	2001:4428:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2001:4430::	2001:4430:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:4438::	2001:4438:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:4450::	2001:4450:ffff:ffff:ffff:ffff:ffff:ffff	PH
2001:4458::	2001:4458:ffff:ffff:ffff:ffff:ffff:ffff	MY
2001:4460::	2001:4460:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:4470::	2001:4470:ffff:ffff:ffff:ffff:ffff:ffff	MY
2001:4478::	2001:4478:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:4480::	2001:4480:ffff:ffff:ffff:ffff:ffff:ffff	HK
2001:4488::	2001:4488:ffff:ffff:ffff:ffff:ffff:ffff	ID
2001:4490::	2001:4493:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:4498::	2001:4498:ffff:ffff:ffff:ffff:ffff:ffff	MY
2001:44a0::	2001:44a0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:44a8::	2001:44a8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:44b0::	2001:44b0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:44b8::	2001:44b8:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:44c0::	2001:44c0:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:44c8::	2001:44c8:ffff:ffff:ffff:ffff:ffff:ffff	TH
2001:44d0::	2001:44df:ffff:ffff:ffff:ffff:ffff:ffff	KR
2001:44f0::	2001:44f0:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:4500::	2001:4500:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:4508::	2001:4508:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:4510::	2001:4517:ffff:ffff:ffff:ffff:ffff:ffff	CN
2001:4520::	2001:4520:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:4528::	2001:452b:ffff:ffff:ffff:ffff:ffff:ffff	IN
2001:4530::	2001:4530:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2001:4538::	2001:4538:ffff:ffff:ffff:ffff:ffff:ffff	PK
2001:4540::	2001:455f:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:4580::	2001:45bf:ffff:ffff:ffff:ffff:ffff:ffff	TW
2001:4600::	2001:46ff:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:4800::	2001:4808:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4810::	2001:4810:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4818::	2001:4818:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:4820::	2001:4820:ffff:ffff:ffff:ffff:ffff:ffff	MW
2001:4828::	2001:4828:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4830::	2001:4830:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4838::	2001:4838:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4840::	2001:4840:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4848::	2001:4848:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4850::	2001:4850:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4858::	2001:4858:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4860::	2001:4860:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4868::	2001:4868:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4870::	2001:4870:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4878::	2001:4878:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4880::	2001:4880:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4888::	2001:4888:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4890::	2001:4890:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4898::	2001:4898:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48a0::	2001:48a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48a8::	2001:48a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48b0::	2001:48b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48b8::	2001:48b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48c0::	2001:48c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48c8::	2001:48c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48d0::	2001:48d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48d8::	2001:48d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48e0::	2001:48e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48e8::	2001:48e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48f0::	2001:48f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:48f8::	2001:48f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4900::	2001:4900:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:4908::	2001:4908:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4910::	2001:4910:ffff:ffff:ffff:ffff:ffff:ffff	BM
2001:4918::	2001:4918:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4920::	2001:4920:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4928::	2001:4928:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4930::	2001:4930:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4938::	2001:4938:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:4940::	2001:4940:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4948::	2001:4948:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4950::	2001:4950:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4958::	2001:4958:ffff:ffff:ffff:ffff:ffff:ffff	CA
2001:4960::	2001:4960:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4968::	2001:4968:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4970::	2001:4970:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4978::	2001:4978:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4980::	2001:4980:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4988::	2001:4988:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4990::	2001:4990:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4998::	2001:4998:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49a0::	2001:49a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49a8::	2001:49a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49b0::	2001:49b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49b8::	2001:49b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49c0::	2001:49c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49c8::	2001:49c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49d0::	2001:49d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49d8::	2001:49d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49e0::	2001:49e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49e8::	2001:49e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49f0::	2001:49f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:49f8::	2001:49f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2001:4a00::	2001:4a1f:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4b00::	2001:4b00:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4b08::	2001:4b08:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4b10::	2001:4b10:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4b18::	2001:4b18:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:4b20::	2001:4b20:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4b28::	2001:4b28:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4b30::	2001:4b30:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:4b38::	2001:4b38:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4b40::	2001:4b40:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:4b50::	2001:4b50:ffff:ffff:ffff:ffff:ffff:ffff	BE
2001:4b58::	2001:4b58:ffff:ffff:ffff:ffff:ffff:ffff	BG
2001:4b60::	2001:4b60:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:4b68::	2001:4b68:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:4b70::	2001:4b70:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:4b78::	2001:4b78:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:4b80::	2001:4b80:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:4b88::	2001:4b88:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4b90::	2001:4b90:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:4b98::	2001:4b98:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:4ba0::	2001:4ba0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4ba8::	2001:4ba8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:4bb0::	2001:4bb0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:4bb8::	2001:4bb8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:4bc0::	2001:4bc0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4bc8::	2001:4bc8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2001:4bd0::	2001:4bd0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4bd8::	2001:4bd8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4be0::	2001:4be0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2001:4be8::	2001:4be8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4bf0::	2001:4bf0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4bf8::	2001:4bf8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4c00::	2001:4c00:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:4c08::	2001:4c08:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4c10::	2001:4c10:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4c18::	2001:4c18:ffff:ffff:ffff:ffff:ffff:ffff	FR
2001:4c20::	2001:4c20:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4c30::	2001:4c30:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4c38::	2001:4c38:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4c40::	2001:4c40:ffff:ffff:ffff:ffff:ffff:ffff	BE
2001:4c48::	2001:4c48:ffff:ffff:ffff:ffff:ffff:ffff	HU
2001:4c50::	2001:4c50:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4c58::	2001:4c58:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4c60::	2001:4c60:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:4c68::	2001:4c68:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4c70::	2001:4c70:ffff:ffff:ffff:ffff:ffff:ffff	PL
2001:4c78::	2001:4c78:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4c80::	2001:4c80:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4c88::	2001:4c88:ffff:ffff:ffff:ffff:ffff:ffff	IR
2001:4c90::	2001:4c90:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:4c98::	2001:4c98:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4ca0::	2001:4ca0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4ca8::	2001:4ca8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4cb0::	2001:4cb0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4cb8::	2001:4cb8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4cc0::	2001:4cc0:ffff:ffff:ffff:ffff:ffff:ffff	PT
2001:4cc8::	2001:4cc8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:4cd0::	2001:4cd0:ffff:ffff:ffff:ffff:ffff:ffff	IL
2001:4cd8::	2001:4cd8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4ce0::	2001:4ce0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4ce8::	2001:4ce8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4cf0::	2001:4cf0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4cf8::	2001:4cf8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4d00::	2001:4d00:ffff:ffff:ffff:ffff:ffff:ffff	AM
2001:4d08::	2001:4d08:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4d10::	2001:4d10:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:4d18::	2001:4d18:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:4d20::	2001:4d20:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4d28::	2001:4d28:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:4d30::	2001:4d30:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4d38::	2001:4d38:ffff:ffff:ffff:ffff:ffff:ffff	IT
2001:4d40::	2001:4d40:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4d48::	2001:4d48:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4d50::	2001:4d50:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4d58::	2001:4d58:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4d60::	2001:4d60:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4d68::	2001:4d68:ffff:ffff:ffff:ffff:ffff:ffff	IE
2001:4d70::	2001:4d70:ffff:ffff:ffff:ffff:ffff:ffff	GR
2001:4d78::	2001:4d78:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4d80::	2001:4d80:ffff:ffff:ffff:ffff:ffff:ffff	RO
2001:4d88::	2001:4d88:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4d90::	2001:4d90:ffff:ffff:ffff:ffff:ffff:ffff	ES
2001:4d98::	2001:4d98:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4da0::	2001:4da0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2001:4da8::	2001:4da8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:4db0::	2001:4db0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4db8::	2001:4db8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2001:4dc0::	2001:4dc0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2001:4dc8::	2001:4dc8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4dd0::	2001:4dd0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2001:4dd8::	2001:4dd8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2001:4de0::	2001:4de0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2001:4de8::	2001:4de8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2001:4df0::	2001:4df0:ffff:ffff:ffff:ffff:ffff:ffff	IL
2001:4df8::	2001:4df8:ffff:ffff:ffff:ffff:ffff:ffff	AD
2001:5000::	2001:57ff:ffff:ffff:ffff:ffff:ffff:ffff	EU
2001:8000::	2001:8fff:ffff:ffff:ffff:ffff:ffff:ffff	AU
2001:a000::	2001:a7ff:ffff:ffff:ffff:ffff:ffff:ffff	JP
2001:b000::	2001:b7ff:ffff:ffff:ffff:ffff:ffff:ffff	TW
2003::	2003:1fff:ffff:ffff:ffff:ffff:ffff:ffff	DE
2400::	2400:fff:ffff:ffff:ffff:ffff:ffff:ffff	KR
2400:1000::	2400:1000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:1200::	2400:1200:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2400:1400::	2400:1400:ffff:ffff:ffff:ffff:ffff:ffff	ID
2400:1600::	2400:1600:ffff:ffff:ffff:ffff:ffff:ffff	IN
2400:1800::	2400:1800:ffff:ffff:ffff:ffff:ffff:ffff	KR
2400:1a00::	2400:1a00:ffff:ffff:ffff:ffff:ffff:ffff	NP
2400:1c00::	2400:1c00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2400:1e00::	2400:1e00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2400:2000::	2400:3000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:3200::	2400:3200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:3400::	2400:3400:ffff:ffff:ffff:ffff:ffff:ffff	VU
2400:3600::	2400:3600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:3800::	2400:3800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:3a00::	2400:3a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:3c00::	2400:3c00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2400:3e00::	2400:3e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:4000::	2400:43ff:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:4400::	2400:4400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2400:4600::	2400:4600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:4800::	2400:4800:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2400:4a00::	2400:4a00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2400:4c00::	2400:4c00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2400:4e00::	2400:4e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:5000::	2400:5000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:5200::	2400:5200:ffff:ffff:ffff:ffff:ffff:ffff	IN
2400:5400::	2400:5400:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:5600::	2400:5600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:5800::	2400:5800:ffff:ffff:ffff:ffff:ffff:ffff	BD
2400:5a00::	2400:5a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:5c00::	2400:5c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:5e00::	2400:5e00:ffff:ffff:ffff:ffff:ffff:ffff	AP
2400:6000::	2400:6000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:6200::	2400:6200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:6400::	2400:6400:ffff:ffff:ffff:ffff:ffff:ffff	TO
2400:6600::	2400:6600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:6800::	2400:6800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:6a00::	2400:6a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:6c00::	2400:6c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:6e00::	2400:6e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:7000::	2400:7000:ffff:ffff:ffff:ffff:ffff:ffff	TW
2400:7200::	2400:7200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:7400::	2400:7400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2400:7600::	2400:7600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:7800::	2400:7800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:7a00::	2400:7a00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2400:7c00::	2400:7c00:ffff:ffff:ffff:ffff:ffff:ffff	MY
2400:7e00::	2400:7e00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:8000::	2400:8000:ffff:ffff:ffff:ffff:ffff:ffff	ID
2400:8200::	2400:8200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:8400::	2400:8400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:8600::	2400:8600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:8800::	2400:8800:ffff:ffff:ffff:ffff:ffff:ffff	HK
2400:8a00::	2400:8a00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:8c00::	2400:8c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2400:8e00::	2400:8e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:9000::	2400:9000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:9200::	2400:9200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:9400::	2400:9400:ffff:ffff:ffff:ffff:ffff:ffff	BN
2400:9600::	2400:9600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:9800::	2400:9800:ffff:ffff:ffff:ffff:ffff:ffff	ID
2400:9a00::	2400:9a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:9c00::	2400:9c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:9e00::	2400:9e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:a000::	2400:a000:ffff:ffff:ffff:ffff:ffff:ffff	IN
2400:a200::	2400:a200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:a400::	2400:a400:ffff:ffff:ffff:ffff:ffff:ffff	NP
2400:a600::	2400:a600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:a800::	2400:a800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:aa00::	2400:aa00:ffff:ffff:ffff:ffff:ffff:ffff	LA
2400:ac00::	2400:ac00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:ae00::	2400:ae00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:b000::	2400:b000:ffff:ffff:ffff:ffff:ffff:ffff	PH
2400:b200::	2400:b200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:b400::	2400:b400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2400:b600::	2400:b600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:b800::	2400:b800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:ba00::	2400:ba00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:bc00::	2400:bc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:be00::	2400:be00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:c000::	2400:c000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2400:c200::	2400:c200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:c400::	2400:c400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:c600::	2400:c600:ffff:ffff:ffff:ffff:ffff:ffff	BD
2400:c800::	2400:c800:ffff:ffff:ffff:ffff:ffff:ffff	HK
2400:ca00::	2400:ca00:ffff:ffff:ffff:ffff:ffff:ffff	BD
2400:cc00::	2400:cc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:ce00::	2400:ce00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:d000::	2400:d000:ffff:ffff:ffff:ffff:ffff:ffff	PH
2400:d200::	2400:d200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:d400::	2400:d400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:d600::	2400:d600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:d800::	2400:d800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2400:da00::	2400:da00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:dc00::	2400:dc00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2400:de00::	2400:de00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:e000::	2400:e000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:e200::	2400:e200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:e400::	2400:e400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:e600::	2400:e600:ffff:ffff:ffff:ffff:ffff:ffff	BD
2400:e800::	2400:e800:ffff:ffff:ffff:ffff:ffff:ffff	MY
2400:ea00::	2400:ea00:ffff:ffff:ffff:ffff:ffff:ffff	TH
2400:ec00::	2400:ec00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:ee00::	2400:ee00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2400:f000::	2400:f000:ffff:ffff:ffff:ffff:ffff:ffff	HK
2400:f200::	2400:f200:ffff:ffff:ffff:ffff:ffff:ffff	PH
2400:f400::	2400:f400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2400:f600::	2400:f600:ffff:ffff:ffff:ffff:ffff:ffff	PH
2400:f800::	2400:f800:ffff:ffff:ffff:ffff:ffff:ffff	HK
2400:fa00::	2400:fa00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2400:fc00::	2400:fc00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2400:fe00::	2400:fe00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401::	2401:0:ffff:ffff:ffff:ffff:ffff:ffff	PK
2401:200::	2401:200:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:400::	2401:400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:600::	2401:600:ffff:ffff:ffff:ffff:ffff:ffff	JP
2401:800::	2401:800:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:a00::	2401:a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:c00::	2401:c00:ffff:ffff:ffff:ffff:ffff:ffff	NC
2401:e00::	2401:e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:1000::	2401:1000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:1200::	2401:1200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:1400::	2401:1400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:1600::	2401:1600:ffff:ffff:ffff:ffff:ffff:ffff	PH
2401:1800::	2401:1800:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:1a00::	2401:1a00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2401:1c00::	2401:1c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:1e00::	2401:1e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:2000::	2401:2000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2401:2200::	2401:2200:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:2400::	2401:2400:ffff:ffff:ffff:ffff:ffff:ffff	ID
2401:2600::	2401:2600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:2800::	2401:2800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:2a00::	2401:2a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:2c00::	2401:2c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2401:2e00::	2401:2e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:3000::	2401:3000:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:3200::	2401:3200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2401:3400::	2401:3400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:3600::	2401:3600:ffff:ffff:ffff:ffff:ffff:ffff	JP
2401:3800::	2401:3800:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:3a00::	2401:3a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:3c00::	2401:3c00:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:3e00::	2401:3e00:ffff:ffff:ffff:ffff:ffff:ffff	KH
2401:4000::	2401:4000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2401:4200::	2401:4200:ffff:ffff:ffff:ffff:ffff:ffff	ID
2401:4400::	2401:4400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:4600::	2401:4600:ffff:ffff:ffff:ffff:ffff:ffff	AP
2401:4800::	2401:4800:ffff:ffff:ffff:ffff:ffff:ffff	IN
2401:4a00::	2401:4a00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:4c00::	2401:4c00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:4e00::	2401:4e00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2401:5000::	2401:5000:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:5200::	2401:5200:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:5400::	2401:5400:ffff:ffff:ffff:ffff:ffff:ffff	ID
2401:5800::	2401:5800:ffff:ffff:ffff:ffff:ffff:ffff	BD
2401:5a00::	2401:5a00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:5c00::	2401:5c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2401:5e00::	2401:5e00:ffff:ffff:ffff:ffff:ffff:ffff	TW
2401:6000::	2401:6fff:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:7000::	2401:7000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2401:7200::	2401:7200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:7400::	2401:7400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2401:7600::	2401:7600:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:7800::	2401:7800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2401:7a00::	2401:7a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:7c00::	2401:7c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2401:7e00::	2401:7e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:8000::	2401:803f:ffff:ffff:ffff:ffff:ffff:ffff	TW
2401:8200::	2401:8200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:8400::	2401:8400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2401:8600::	2401:8600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:8800::	2401:8800:ffff:ffff:ffff:ffff:ffff:ffff	IN
2401:8a00::	2401:8a00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:8c00::	2401:8c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:8e00::	2401:8e00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2401:9000::	2401:9000:ffff:ffff:ffff:ffff:ffff:ffff	ID
2401:9200::	2401:9200:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:9400::	2401:9400:ffff:ffff:ffff:ffff:ffff:ffff	PH
2401:9600::	2401:9600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:9800::	2401:9800:ffff:ffff:ffff:ffff:ffff:ffff	PH
2401:9a00::	2401:9a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:9c00::	2401:9c00:ffff:ffff:ffff:ffff:ffff:ffff	BD
2401:9e00::	2401:9e00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2401:a000::	2401:a000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2401:a200::	2401:a200:ffff:ffff:ffff:ffff:ffff:ffff	PK
2401:a400::	2401:a400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:a600::	2401:a600:ffff:ffff:ffff:ffff:ffff:ffff	IN
2401:a800::	2401:a800:ffff:ffff:ffff:ffff:ffff:ffff	KR
2401:aa00::	2401:aa00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:ac00::	2401:ac00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:ae00::	2401:ae00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2401:b000::	2401:b000:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:b200::	2401:b200:ffff:ffff:ffff:ffff:ffff:ffff	IN
2401:b400::	2401:b400:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:b600::	2401:b600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:b800::	2401:b800:ffff:ffff:ffff:ffff:ffff:ffff	VN
2401:ba00::	2401:ba00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:bc00::	2401:bc00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2401:be00::	2401:be00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:c000::	2401:c000:ffff:ffff:ffff:ffff:ffff:ffff	BD
2401:c200::	2401:c200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:c400::	2401:c400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2401:c600::	2401:c600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:c800::	2401:c800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2401:ca00::	2401:ca00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:cc00::	2401:cc00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:ce00::	2401:ce00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:d000::	2401:d000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:d200::	2401:d200:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2401:d400::	2401:d400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2401:d600::	2401:d600:ffff:ffff:ffff:ffff:ffff:ffff	MN
2401:d800::	2401:d800:ffff:ffff:ffff:ffff:ffff:ffff	VN
2401:da00::	2401:da00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:dc00::	2401:dc00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2401:de00::	2401:de00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:e000::	2401:e000:ffff:ffff:ffff:ffff:ffff:ffff	TH
2401:e200::	2401:e200:ffff:ffff:ffff:ffff:ffff:ffff	KR
2401:e400::	2401:e400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:e600::	2401:e600:ffff:ffff:ffff:ffff:ffff:ffff	FJ
2401:e800::	2401:e800:ffff:ffff:ffff:ffff:ffff:ffff	VN
2401:ea00::	2401:ea00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2401:ec00::	2401:ec00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2401:ee00::	2401:ee00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2401:f000::	2401:f000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2401:f200::	2401:f200:ffff:ffff:ffff:ffff:ffff:ffff	MM
2401:f400::	2401:f400:ffff:ffff:ffff:ffff:ffff:ffff	HK
2401:f600::	2401:f600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:f800::	2401:f800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2401:fa00::	2401:fa00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2401:fc00::	2401:fc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2401:fe00::	2401:fe00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402::	2402:3ff:ffff:ffff:ffff:ffff:ffff:ffff	KR
2402:400::	2402:400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:600::	2402:600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:800::	2402:800:ffff:ffff:ffff:ffff:ffff:ffff	VN
2402:a00::	2402:a00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:c00::	2402:c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:e00::	2402:e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:1000::	2402:1000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:1200::	2402:1200:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:1400::	2402:1400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:1600::	2402:1600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:1800::	2402:1800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:1a00::	2402:1a00:ffff:ffff:ffff:ffff:ffff:ffff	KR
2402:1c00::	2402:1c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2402:1e00::	2402:1e00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:2000::	2402:2000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:2200::	2402:2200:ffff:ffff:ffff:ffff:ffff:ffff	MY
2402:2400::	2402:2400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:2600::	2402:2600:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:2800::	2402:2800:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:2a00::	2402:2a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:2c00::	2402:2c00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:2e00::	2402:2e00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2402:3000::	2402:3000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:3200::	2402:3200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:3400::	2402:3400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:3600::	2402:3600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:3800::	2402:3800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:3a00::	2402:3a00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:3c00::	2402:3c00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:3e00::	2402:3e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:4000::	2402:4000:ffff:ffff:ffff:ffff:ffff:ffff	LK
2402:4200::	2402:4200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:4400::	2402:4400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:4600::	2402:4600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:4800::	2402:4800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:4a00::	2402:4a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:4c00::	2402:4c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:4e00::	2402:4e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:5200::	2402:5200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:5400::	2402:5400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:5600::	2402:5600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:5800::	2402:5800:ffff:ffff:ffff:ffff:ffff:ffff	KR
2402:5a00::	2402:5a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:5c00::	2402:5c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:5e00::	2402:5e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:6000::	2402:6000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2402:6200::	2402:6200:ffff:ffff:ffff:ffff:ffff:ffff	GU
2402:6400::	2402:6400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:6600::	2402:6600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:6800::	2402:6800:ffff:ffff:ffff:ffff:ffff:ffff	AP
2402:6a00::	2402:6a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:6c00::	2402:6c00:ffff:ffff:ffff:ffff:ffff:ffff	MY
2402:6e00::	2402:6e00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:7000::	2402:7000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2402:7200::	2402:7200:ffff:ffff:ffff:ffff:ffff:ffff	TK
2402:7400::	2402:7400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:7600::	2402:7600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:7800::	2402:7800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:7a00::	2402:7a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:7c00::	2402:7c00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2402:7e00::	2402:7e00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2402:8000::	2402:8000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:8200::	2402:8200:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2402:8400::	2402:8400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:8600::	2402:8600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:8800::	2402:8800:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:8a00::	2402:8a00:ffff:ffff:ffff:ffff:ffff:ffff	AP
2402:8c00::	2402:8c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:8e00::	2402:8e00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:9200::	2402:9200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:9400::	2402:9400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:9600::	2402:9600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:9800::	2402:9800:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:9a00::	2402:9a00:ffff:ffff:ffff:ffff:ffff:ffff	MY
2402:9c00::	2402:9c00:ffff:ffff:ffff:ffff:ffff:ffff	TW
2402:9e00::	2402:9e00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2402:a000::	2402:a000:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:a200::	2402:a200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:a400::	2402:a400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:a600::	2402:a600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:a800::	2402:a800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:aa00::	2402:aa00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:ac00::	2402:ac00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:ae00::	2402:ae00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:b000::	2402:b000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:b200::	2402:b200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:b400::	2402:b400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2402:b600::	2402:b600:ffff:ffff:ffff:ffff:ffff:ffff	TW
2402:b800::	2402:b800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:ba00::	2402:ba00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2402:bc00::	2402:bc07:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:be00::	2402:be00:ffff:ffff:ffff:ffff:ffff:ffff	KR
2402:c000::	2402:c000:ffff:ffff:ffff:ffff:ffff:ffff	BD
2402:c200::	2402:c200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:c400::	2402:c400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:c600::	2402:c600:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:c800::	2402:c800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:ca00::	2402:ca00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:cc00::	2402:cc00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2402:ce00::	2402:ce00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:d000::	2402:d000:ffff:ffff:ffff:ffff:ffff:ffff	LK
2402:d200::	2402:d200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:d400::	2402:d400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:d600::	2402:d600:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:d800::	2402:d800:ffff:ffff:ffff:ffff:ffff:ffff	AP
2402:da00::	2402:da00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:dc00::	2402:dc00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:de00::	2402:de00:ffff:ffff:ffff:ffff:ffff:ffff	KR
2402:e000::	2402:e000:ffff:ffff:ffff:ffff:ffff:ffff	PK
2402:e200::	2402:e200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:e400::	2402:e400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:e600::	2402:e600:ffff:ffff:ffff:ffff:ffff:ffff	SG
2402:e800::	2402:e800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2402:ea00::	2402:ea00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:ec00::	2402:ec00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:ee00::	2402:ee00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:f000::	2402:f000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2402:f200::	2402:f200:ffff:ffff:ffff:ffff:ffff:ffff	IN
2402:f400::	2402:f400:ffff:ffff:ffff:ffff:ffff:ffff	KR
2402:f600::	2402:f600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:f800::	2402:f800:ffff:ffff:ffff:ffff:ffff:ffff	VN
2402:fa00::	2402:fa00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2402:fc00::	2402:fc00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2402:fe00::	2402:fe00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2403::	2403:0:ffff:ffff:ffff:ffff:ffff:ffff	IN
2403:200::	2403:200:ffff:ffff:ffff:ffff:ffff:ffff	NC
2403:400::	2403:400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:600::	2403:600:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:800::	2403:801:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:a00::	2403:a00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:c00::	2403:c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2403:e00::	2403:e00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:1000::	2403:1000:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:1200::	2403:1200:ffff:ffff:ffff:ffff:ffff:ffff	BD
2403:1400::	2403:1400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:1600::	2403:1600:ffff:ffff:ffff:ffff:ffff:ffff	KH
2403:1800::	2403:1800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:1a00::	2403:1a00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:1c00::	2403:1c00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:1e00::	2403:1e00:ffff:ffff:ffff:ffff:ffff:ffff	AS
2403:2000::	2403:2000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:2200::	2403:2200:ffff:ffff:ffff:ffff:ffff:ffff	IN
2403:2400::	2403:2400:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:2600::	2403:2600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:2800::	2403:2800:ffff:ffff:ffff:ffff:ffff:ffff	TH
2403:2a00::	2403:2a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:2c00::	2403:2c00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:2e00::	2403:2e00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:3200::	2403:3200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:3400::	2403:3400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:3600::	2403:3600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:3800::	2403:3800:ffff:ffff:ffff:ffff:ffff:ffff	NP
2403:3a00::	2403:3a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:3c00::	2403:3c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:3e00::	2403:3e00:ffff:ffff:ffff:ffff:ffff:ffff	KR
2403:4000::	2403:4000:ffff:ffff:ffff:ffff:ffff:ffff	BD
2403:4200::	2403:4200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:4400::	2403:4400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:4600::	2403:4600:ffff:ffff:ffff:ffff:ffff:ffff	FJ
2403:4800::	2403:4800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:4a00::	2403:4a00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:4c00::	2403:4c00:ffff:ffff:ffff:ffff:ffff:ffff	TH
2403:4e00::	2403:4e00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2403:5000::	2403:5000:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:5200::	2403:5200:ffff:ffff:ffff:ffff:ffff:ffff	TW
2403:5400::	2403:5400:ffff:ffff:ffff:ffff:ffff:ffff	TH
2403:5600::	2403:5600:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:5800::	2403:5800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:5a00::	2403:5a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:5c00::	2403:5c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:5e00::	2403:5e00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2403:6000::	2403:6000:ffff:ffff:ffff:ffff:ffff:ffff	VN
2403:6200::	2403:6200:ffff:ffff:ffff:ffff:ffff:ffff	TH
2403:6400::	2403:6400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:6600::	2403:6600:ffff:ffff:ffff:ffff:ffff:ffff	KH
2403:6800::	2403:6800:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:6a00::	2403:6a00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:6c00::	2403:6c00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:6e00::	2403:6e00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:7000::	2403:7000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:7200::	2403:7200:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:7400::	2403:7400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:7600::	2403:7600:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:7800::	2403:7800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:7a00::	2403:7a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:7c00::	2403:7c00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:7e00::	2403:7e00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:8000::	2403:8000:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:8200::	2403:8200:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:8400::	2403:8400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2403:8600::	2403:8600:ffff:ffff:ffff:ffff:ffff:ffff	IN
2403:8800::	2403:8800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:8a00::	2403:8a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:8c00::	2403:8c00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:8e00::	2403:8e00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:9000::	2403:9000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:9200::	2403:9200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:9400::	2403:9400:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:9600::	2403:9600:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:9800::	2403:9800:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:9a00::	2403:9a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:9c00::	2403:9c00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:9e00::	2403:9e00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:a000::	2403:a000:ffff:ffff:ffff:ffff:ffff:ffff	PH
2403:a200::	2403:a200:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:a400::	2403:a400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:a600::	2403:a600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:a800::	2403:a800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:aa00::	2403:aa00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:ac00::	2403:ac00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:ae00::	2403:ae00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:b000::	2403:b000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:b200::	2403:b200:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:b400::	2403:b400:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:b600::	2403:b600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:b800::	2403:b800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:ba00::	2403:ba00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:bc00::	2403:bc00:ffff:ffff:ffff:ffff:ffff:ffff	MY
2403:be00::	2403:be00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:c000::	2403:c000:ffff:ffff:ffff:ffff:ffff:ffff	TH
2403:c200::	2403:c200:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:c400::	2403:c400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:c600::	2403:c600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:c800::	2403:c800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:ca00::	2403:ca00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:cc00::	2403:cc00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2403:ce00::	2403:ce00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:d000::	2403:d000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:d200::	2403:d200:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:d400::	2403:d400:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:d600::	2403:d600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:d800::	2403:d800:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:da00::	2403:da00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:dc00::	2403:dc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:de00::	2403:de00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2403:e000::	2403:e000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:e200::	2403:e200:ffff:ffff:ffff:ffff:ffff:ffff	VN
2403:e400::	2403:e400:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:e600::	2403:e600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2403:e800::	2403:e800:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:ea00::	2403:ea00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:ec00::	2403:ec00:ffff:ffff:ffff:ffff:ffff:ffff	BD
2403:ee00::	2403:ee00:ffff:ffff:ffff:ffff:ffff:ffff	TW
2403:f000::	2403:f000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:f200::	2403:f200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2403:f400::	2403:f400:ffff:ffff:ffff:ffff:ffff:ffff	BD
2403:f600::	2403:f600:ffff:ffff:ffff:ffff:ffff:ffff	NR
2403:f800::	2403:f800:ffff:ffff:ffff:ffff:ffff:ffff	CN
2403:fa00::	2403:fa00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2403:fc00::	2403:fc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2403:fe00::	2403:fe00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2404::	2404:3f:ffff:ffff:ffff:ffff:ffff:ffff	TW
2404:80::	2404:8f:ffff:ffff:ffff:ffff:ffff:ffff	TW
2404:a0::	2404:a0:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:a8::	2404:a8:ffff:ffff:ffff:ffff:ffff:ffff	MY
2404:b0::	2404:b0:ffff:ffff:ffff:ffff:ffff:ffff	TH
2404:b8::	2404:b8:ffff:ffff:ffff:ffff:ffff:ffff	MY
2404:c0::	2404:c0:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:c8::	2404:c8:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:d0::	2404:d0:ffff:ffff:ffff:ffff:ffff:ffff	PH
2404:d8::	2404:d8:ffff:ffff:ffff:ffff:ffff:ffff	PH
2404:e0::	2404:ef:ffff:ffff:ffff:ffff:ffff:ffff	AP
2404:130::	2404:130:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:138::	2404:138:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:140::	2404:140:ffff:ffff:ffff:ffff:ffff:ffff	TH
2404:148::	2404:148:ffff:ffff:ffff:ffff:ffff:ffff	PK
2404:150::	2404:150:ffff:ffff:ffff:ffff:ffff:ffff	BD
2404:158::	2404:158:ffff:ffff:ffff:ffff:ffff:ffff	CN
2404:160::	2404:160:ffff:ffff:ffff:ffff:ffff:ffff	MY
2404:168::	2404:168:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:170::	2404:170:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:178::	2404:178:ffff:ffff:ffff:ffff:ffff:ffff	TW
2404:180::	2404:18f:ffff:ffff:ffff:ffff:ffff:ffff	KR
2404:1a0::	2404:1a0:ffff:ffff:ffff:ffff:ffff:ffff	HK
2404:1a8::	2404:1a8:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:1b0::	2404:1b0:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:1b8::	2404:1b8:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:200::	2404:200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:400::	2404:400:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:600::	2404:600:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:800::	2404:800:ffff:ffff:ffff:ffff:ffff:ffff	KR
2404:a00::	2404:a00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:c00::	2404:c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2404:e00::	2404:e00:ffff:ffff:ffff:ffff:ffff:ffff	AP
2404:1000::	2404:1000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:1200::	2404:1200:ffff:ffff:ffff:ffff:ffff:ffff	SG
2404:1400::	2404:1400:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:1600::	2404:1600:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:1800::	2404:1800:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:1a00::	2404:1a00:ffff:ffff:ffff:ffff:ffff:ffff	TH
2404:1c00::	2404:1c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:1e00::	2404:1e00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:2000::	2404:2000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:2200::	2404:2200:ffff:ffff:ffff:ffff:ffff:ffff	NC
2404:2400::	2404:2400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:2600::	2404:2600:ffff:ffff:ffff:ffff:ffff:ffff	TH
2404:2800::	2404:2800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:2a00::	2404:2a00:ffff:ffff:ffff:ffff:ffff:ffff	NC
2404:2c00::	2404:2c00:ffff:ffff:ffff:ffff:ffff:ffff	NP
2404:2e00::	2404:2e00:ffff:ffff:ffff:ffff:ffff:ffff	LA
2404:3200::	2404:3200:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:3400::	2404:3400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:3600::	2404:3600:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:3800::	2404:3800:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:3c00::	2404:3c00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2404:4400::	2404:4400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:4800::	2404:4800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2404:4c00::	2404:4c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:5000::	2404:5000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:5400::	2404:5400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:5800::	2404:5800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2404:5c00::	2404:5c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:6000::	2404:6000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2404:6400::	2404:6400:ffff:ffff:ffff:ffff:ffff:ffff	PG
2404:6800::	2404:6800:ffff:ffff:ffff:ffff:ffff:ffff	AP
2404:6c00::	2404:6c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:7000::	2404:7000:ffff:ffff:ffff:ffff:ffff:ffff	PK
2404:7400::	2404:7400:ffff:ffff:ffff:ffff:ffff:ffff	PH
2404:7800::	2404:7800:ffff:ffff:ffff:ffff:ffff:ffff	PW
2404:7c00::	2404:7c00:ffff:ffff:ffff:ffff:ffff:ffff	NP
2404:8000::	2404:8000:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:8800::	2404:8800:ffff:ffff:ffff:ffff:ffff:ffff	TH
2404:8c00::	2404:8c00:ffff:ffff:ffff:ffff:ffff:ffff	GU
2404:9000::	2404:9000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:9400::	2404:9400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:9800::	2404:9800:ffff:ffff:ffff:ffff:ffff:ffff	PH
2404:9c00::	2404:9c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:a000::	2404:a000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2404:a400::	2404:a400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2404:a800::	2404:a800:ffff:ffff:ffff:ffff:ffff:ffff	IN
2404:ac00::	2404:ac00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2404:b000::	2404:b000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:b400::	2404:b400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:b800::	2404:b800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:bc00::	2404:bc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:c000::	2404:c000:ffff:ffff:ffff:ffff:ffff:ffff	ID
2404:c400::	2404:c400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2404:c800::	2404:c800:ffff:ffff:ffff:ffff:ffff:ffff	HK
2404:cc00::	2404:cc00:ffff:ffff:ffff:ffff:ffff:ffff	KH
2404:d000::	2404:d000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2404:d400::	2404:d400:ffff:ffff:ffff:ffff:ffff:ffff	PK
2404:d800::	2404:d800:ffff:ffff:ffff:ffff:ffff:ffff	PH
2404:dc00::	2404:dc00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2404:e000::	2404:e000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:e400::	2404:e400:ffff:ffff:ffff:ffff:ffff:ffff	NC
2404:e800::	2404:e800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2404:ec00::	2404:ec00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:f000::	2404:f000:ffff:ffff:ffff:ffff:ffff:ffff	LK
2404:f400::	2404:f400:ffff:ffff:ffff:ffff:ffff:ffff	PK
2404:f800::	2404:f800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2404:fc00::	2404:fc00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2405::	2405:0:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:400::	2405:400:ffff:ffff:ffff:ffff:ffff:ffff	MH
2405:800::	2405:800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:c00::	2405:c00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2405:1000::	2405:1000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:1400::	2405:1400:ffff:ffff:ffff:ffff:ffff:ffff	HK
2405:1800::	2405:1800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:1c00::	2405:1c00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2405:2000::	2405:2000:ffff:ffff:ffff:ffff:ffff:ffff	AP
2405:2400::	2405:2400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2405:2800::	2405:2800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:2c00::	2405:2c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:3000::	2405:3000:ffff:ffff:ffff:ffff:ffff:ffff	HK
2405:3400::	2405:3400:ffff:ffff:ffff:ffff:ffff:ffff	PH
2405:3800::	2405:3800:ffff:ffff:ffff:ffff:ffff:ffff	MY
2405:3c00::	2405:3c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:4000::	2405:4000:ffff:ffff:ffff:ffff:ffff:ffff	TH
2405:4400::	2405:4400:ffff:ffff:ffff:ffff:ffff:ffff	LK
2405:4800::	2405:4800:ffff:ffff:ffff:ffff:ffff:ffff	VN
2405:4c00::	2405:4c00:ffff:ffff:ffff:ffff:ffff:ffff	PH
2405:5000::	2405:5000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:5400::	2405:5400:ffff:ffff:ffff:ffff:ffff:ffff	LK
2405:5800::	2405:5800:ffff:ffff:ffff:ffff:ffff:ffff	KR
2405:5c00::	2405:5c00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2405:6000::	2405:6000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2405:6400::	2405:6400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2405:6800::	2405:6800:ffff:ffff:ffff:ffff:ffff:ffff	IN
2405:6c00::	2405:6c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2405:7000::	2405:7000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:7400::	2405:7400:ffff:ffff:ffff:ffff:ffff:ffff	GU
2405:7800::	2405:7800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:7c00::	2405:7c00:ffff:ffff:ffff:ffff:ffff:ffff	MY
2405:8000::	2405:8000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:8400::	2405:8400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2405:8800::	2405:8800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:8c00::	2405:8c00:ffff:ffff:ffff:ffff:ffff:ffff	WS
2405:9000::	2405:9000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:9400::	2405:9400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2405:9800::	2405:9800:ffff:ffff:ffff:ffff:ffff:ffff	TH
2405:9c00::	2405:9c00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2405:a000::	2405:a000:ffff:ffff:ffff:ffff:ffff:ffff	TH
2405:a400::	2405:a400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2405:ac00::	2405:ac00:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2405:b000::	2405:b000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:b400::	2405:b400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2405:b800::	2405:b800:ffff:ffff:ffff:ffff:ffff:ffff	PH
2405:bc00::	2405:bc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:c000::	2405:c000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2405:c400::	2405:c400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:c800::	2405:c800:ffff:ffff:ffff:ffff:ffff:ffff	AP
2405:cc00::	2405:cc00:ffff:ffff:ffff:ffff:ffff:ffff	PF
2405:d000::	2405:d000:ffff:ffff:ffff:ffff:ffff:ffff	BT
2405:d400::	2405:d400:ffff:ffff:ffff:ffff:ffff:ffff	PH
2405:d800::	2405:d800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2405:dc00::	2405:dc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:e000::	2405:e000:ffff:ffff:ffff:ffff:ffff:ffff	CN
2405:e400::	2405:e400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2405:e800::	2405:e800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:ec00::	2405:ec00:ffff:ffff:ffff:ffff:ffff:ffff	BT
2405:f000::	2405:f000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:f400::	2405:f400:ffff:ffff:ffff:ffff:ffff:ffff	PH
2405:f800::	2405:f800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2405:fc00::	2405:fc00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2406::	2406:0:ffff:ffff:ffff:ffff:ffff:ffff	HK
2406:400::	2406:400:ffff:ffff:ffff:ffff:ffff:ffff	TH
2406:800::	2406:800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:c00::	2406:c00:ffff:ffff:ffff:ffff:ffff:ffff	LK
2406:1000::	2406:1000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:1400::	2406:1400:ffff:ffff:ffff:ffff:ffff:ffff	BD
2406:1c00::	2406:1c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:2000::	2406:2000:ffff:ffff:ffff:ffff:ffff:ffff	TW
2406:2400::	2406:2400:ffff:ffff:ffff:ffff:ffff:ffff	ID
2406:2800::	2406:2800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:2c00::	2406:2c00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2406:3000::	2406:3000:ffff:ffff:ffff:ffff:ffff:ffff	SG
2406:3400::	2406:3400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:3800::	2406:3800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:3c00::	2406:3c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:4000::	2406:4000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2406:4400::	2406:4400:ffff:ffff:ffff:ffff:ffff:ffff	PH
2406:4800::	2406:4800:ffff:ffff:ffff:ffff:ffff:ffff	SG
2406:4c00::	2406:4c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:5000::	2406:5000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:5400::	2406:5400:ffff:ffff:ffff:ffff:ffff:ffff	ID
2406:5800::	2406:5800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:5c00::	2406:5c00:ffff:ffff:ffff:ffff:ffff:ffff	ID
2406:6000::	2406:6000:ffff:ffff:ffff:ffff:ffff:ffff	MY
2406:6400::	2406:6400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:6800::	2406:6800:ffff:ffff:ffff:ffff:ffff:ffff	KR
2406:6c00::	2406:6c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:7000::	2406:7000:ffff:ffff:ffff:ffff:ffff:ffff	PK
2406:7400::	2406:7400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2406:7800::	2406:7800:ffff:ffff:ffff:ffff:ffff:ffff	BN
2406:7c00::	2406:7c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:8000::	2406:8000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:8400::	2406:8400:ffff:ffff:ffff:ffff:ffff:ffff	PK
2406:8800::	2406:8800:ffff:ffff:ffff:ffff:ffff:ffff	IN
2406:8c00::	2406:8c00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:9000::	2406:9000:ffff:ffff:ffff:ffff:ffff:ffff	VN
2406:9400::	2406:9400:ffff:ffff:ffff:ffff:ffff:ffff	HK
2406:9800::	2406:9800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:9c00::	2406:9c00:ffff:ffff:ffff:ffff:ffff:ffff	AP
2406:a000::	2406:a000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:a400::	2406:a400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2406:a800::	2406:a800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:ac00::	2406:ac00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2406:b000::	2406:b000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2406:b400::	2406:b400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2406:b800::	2406:b800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:bc00::	2406:bc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:c000::	2406:c000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:c400::	2406:c400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:c800::	2406:c800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2406:cc00::	2406:cc00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2406:d000::	2406:d000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2406:d400::	2406:d400:ffff:ffff:ffff:ffff:ffff:ffff	TW
2406:d800::	2406:d800:ffff:ffff:ffff:ffff:ffff:ffff	IN
2406:dc00::	2406:dc00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2406:e000::	2406:e000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2406:e400::	2406:e400:ffff:ffff:ffff:ffff:ffff:ffff	MV
2406:e800::	2406:e800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:ec00::	2406:ec00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2406:f000::	2406:f000:ffff:ffff:ffff:ffff:ffff:ffff	SG
2406:f400::	2406:f400:ffff:ffff:ffff:ffff:ffff:ffff	SG
2406:f800::	2406:f800:ffff:ffff:ffff:ffff:ffff:ffff	FJ
2406:fc00::	2406:fc00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2407::	2407:0:ffff:ffff:ffff:ffff:ffff:ffff	ID
2407:400::	2407:400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:800::	2407:800:ffff:ffff:ffff:ffff:ffff:ffff	FJ
2407:c00::	2407:c00:ffff:ffff:ffff:ffff:ffff:ffff	LK
2407:1000::	2407:1000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2407:1400::	2407:1400:ffff:ffff:ffff:ffff:ffff:ffff	NP
2407:1800::	2407:1800:ffff:ffff:ffff:ffff:ffff:ffff	PG
2407:1c00::	2407:1c00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2407:2000::	2407:2000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2407:2400::	2407:2400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2407:2800::	2407:2800:ffff:ffff:ffff:ffff:ffff:ffff	WS
2407:2c00::	2407:2c00:ffff:ffff:ffff:ffff:ffff:ffff	TH
2407:3000::	2407:3000:ffff:ffff:ffff:ffff:ffff:ffff	JP
2407:3400::	2407:3400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2407:3800::	2407:3800:ffff:ffff:ffff:ffff:ffff:ffff	SB
2407:3c00::	2407:3c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2407:4000::	2407:4000:ffff:ffff:ffff:ffff:ffff:ffff	MY
2407:4400::	2407:4400:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2407:4800::	2407:4800:ffff:ffff:ffff:ffff:ffff:ffff	FM
2407:4c00::	2407:4c00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:5000::	2407:5000:ffff:ffff:ffff:ffff:ffff:ffff	BD
2407:5400::	2407:5400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:5800::	2407:5800:ffff:ffff:ffff:ffff:ffff:ffff	CK
2407:5c00::	2407:5c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2407:6000::	2407:6000:ffff:ffff:ffff:ffff:ffff:ffff	MY
2407:6400::	2407:6400:ffff:ffff:ffff:ffff:ffff:ffff	MN
2407:6800::	2407:6800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:6c00::	2407:6c00:ffff:ffff:ffff:ffff:ffff:ffff	MY
2407:7000::	2407:7000:ffff:ffff:ffff:ffff:ffff:ffff	NZ
2407:7400::	2407:7400:ffff:ffff:ffff:ffff:ffff:ffff	IN
2407:7800::	2407:7800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:7c00::	2407:7c00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2407:8000::	2407:8000:ffff:ffff:ffff:ffff:ffff:ffff	HK
2407:8400::	2407:8400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:8800::	2407:8800:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:8c00::	2407:8c00:ffff:ffff:ffff:ffff:ffff:ffff	IN
2407:9000::	2407:9000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:9400::	2407:9400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2407:9800::	2407:9800:ffff:ffff:ffff:ffff:ffff:ffff	PH
2407:9c00::	2407:9c00:ffff:ffff:ffff:ffff:ffff:ffff	PK
2407:a000::	2407:a000:ffff:ffff:ffff:ffff:ffff:ffff	FJ
2407:a400::	2407:a400:ffff:ffff:ffff:ffff:ffff:ffff	MY
2407:a800::	2407:a800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2407:ac00::	2407:ac00:ffff:ffff:ffff:ffff:ffff:ffff	SG
2407:b000::	2407:b000:ffff:ffff:ffff:ffff:ffff:ffff	SG
2407:b400::	2407:b400:ffff:ffff:ffff:ffff:ffff:ffff	HK
2407:b800::	2407:b800:ffff:ffff:ffff:ffff:ffff:ffff	KR
2407:bc00::	2407:bc00:ffff:ffff:ffff:ffff:ffff:ffff	CN
2407:c000::	2407:c000:ffff:ffff:ffff:ffff:ffff:ffff	KR
2407:c400::	2407:c400:ffff:ffff:ffff:ffff:ffff:ffff	CN
2407:c800::	2407:c800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2407:cc00::	2407:cc00:ffff:ffff:ffff:ffff:ffff:ffff	JP
2407:d000::	2407:d000:ffff:ffff:ffff:ffff:ffff:ffff	PK
2407:d400::	2407:d400:ffff:ffff:ffff:ffff:ffff:ffff	NP
2407:d800::	2407:d800:ffff:ffff:ffff:ffff:ffff:ffff	JP
2407:dc00::	2407:dc00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:e000::	2407:e000:ffff:ffff:ffff:ffff:ffff:ffff	SG
2407:e400::	2407:e400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:e800::	2407:e800:ffff:ffff:ffff:ffff:ffff:ffff	CN
2407:ec00::	2407:ec00:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:f000::	2407:f000:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:f400::	2407:f400:ffff:ffff:ffff:ffff:ffff:ffff	AU
2407:f800::	2407:f800:ffff:ffff:ffff:ffff:ffff:ffff	MY
2407:fc00::	2407:fc00:ffff:ffff:ffff:ffff:ffff:ffff	HK
2408::	2408:3ff:ffff:ffff:ffff:ffff:ffff:ffff	JP
240a::	240a:7f:ffff:ffff:ffff:ffff:ffff:ffff	JP
240c::	240c:f:ffff:ffff:ffff:ffff:ffff:ffff	CN
240e::	240e:ff:ffff:ffff:ffff:ffff:ffff:ffff	CN
2600::	2600:7:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:400::	2600:400:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:800::	2600:81f:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:c00::	2600:c14:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:1000::	2600:1017:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:1400::	2600:141f:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:1800::	2600:180f:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:1c00::	2600:1c0f:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:2000::	2600:200f:ffff:ffff:ffff:ffff:ffff:ffff	US
2600:2400::	2600:2407:ffff:ffff:ffff:ffff:ffff:ffff	US
2604::	2604:0:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:400::	2604:400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:800::	2604:800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:c00::	2604:c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:1000::	2604:1000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:1400::	2604:1400:ffff:ffff:ffff:ffff:ffff:ffff	PR
2604:1800::	2604:1800:ffff:ffff:ffff:ffff:ffff:ffff	GP
2604:1c00::	2604:1c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:2000::	2604:2000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:2400::	2604:2400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:2800::	2604:2800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:2c00::	2604:2c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:3000::	2604:3000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:3400::	2604:3400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:3800::	2604:3800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:3c00::	2604:3c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:4000::	2604:4000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:4400::	2604:4400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:4800::	2604:4800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:4c00::	2604:4c00:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:5000::	2604:5000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:5400::	2604:5400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:5800::	2604:5800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:5c00::	2604:5c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:6000::	2604:6000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:6400::	2604:6400:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:6800::	2604:6800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:6c00::	2604:6c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:7000::	2604:7000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:7400::	2604:7400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:7800::	2604:7800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:7c00::	2604:7c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:8000::	2604:8000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:8400::	2604:8400:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:8800::	2604:8800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:8c00::	2604:8c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:9000::	2604:9000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:9400::	2604:9400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:9800::	2604:9800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:9c00::	2604:9c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:a000::	2604:a000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:a400::	2604:a400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:a800::	2604:a800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:ac00::	2604:ac00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:b000::	2604:b000:ffff:ffff:ffff:ffff:ffff:ffff	PR
2604:b400::	2604:b400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:b800::	2604:b800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:bc00::	2604:bc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:c000::	2604:c000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:c400::	2604:c400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:c800::	2604:c800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:cc00::	2604:cc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:d000::	2604:d000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:d400::	2604:d400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:d800::	2604:d800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:dc00::	2604:dc00:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:e000::	2604:e000:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:e400::	2604:e400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:e800::	2604:e800:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:ec00::	2604:ec00:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:f000::	2604:f000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:f400::	2604:f400:ffff:ffff:ffff:ffff:ffff:ffff	US
2604:f800::	2604:f800:ffff:ffff:ffff:ffff:ffff:ffff	CA
2604:fc00::	2604:fc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605::	2605:0:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:400::	2605:400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:800::	2605:800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:c00::	2605:c00:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:1000::	2605:1000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:1400::	2605:1400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:1800::	2605:1800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:1c00::	2605:1c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:2000::	2605:2000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:2400::	2605:2400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:2800::	2605:2800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:2c00::	2605:2c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:3000::	2605:3000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:3400::	2605:3400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:3800::	2605:3800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:3c00::	2605:3c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:4000::	2605:4000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:4400::	2605:4400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:4800::	2605:4800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:4c00::	2605:4c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:5000::	2605:5000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:5400::	2605:5400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:5800::	2605:5800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:5c00::	2605:5c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:6000::	2605:6000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:6400::	2605:6400:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:6800::	2605:6800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:6c00::	2605:6c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:7000::	2605:7000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:7400::	2605:7400:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:7800::	2605:7800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:7c00::	2605:7c00:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:8000::	2605:8000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:8400::	2605:8400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:8800::	2605:8800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:8c00::	2605:8c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:9000::	2605:9000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:9400::	2605:9400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:9800::	2605:9800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:9c00::	2605:9c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:a000::	2605:a000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:a400::	2605:a400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:a800::	2605:a800:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:ac00::	2605:ac00:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:b000::	2605:b000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2605:b400::	2605:b400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:b800::	2605:b800:ffff:ffff:ffff:ffff:ffff:ffff	PR
2605:bc00::	2605:bc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:c000::	2605:c000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:c400::	2605:c400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:c800::	2605:c800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:cc00::	2605:cc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:d000::	2605:d000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:d400::	2605:d400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:d800::	2605:d800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:dc00::	2605:dc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:e000::	2605:e000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:e400::	2605:e400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:e800::	2605:e800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:ec00::	2605:ec00:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:f000::	2605:f000:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:f400::	2605:f400:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:f800::	2605:f800:ffff:ffff:ffff:ffff:ffff:ffff	US
2605:fc00::	2605:fc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2606::	2606:0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2606:400::	2606:400:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:800::	2606:800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:c00::	2606:c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:1000::	2606:1000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:1400::	2606:1400:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:1800::	2606:1800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:1c00::	2606:1c00:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:2000::	2606:2000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:2800::	2606:2800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:3000::	2606:3000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2606:3800::	2606:3800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:4000::	2606:4000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:4800::	2606:4800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:5000::	2606:5000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:5800::	2606:5800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:6000::	2606:6000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:6800::	2606:6800:ffff:ffff:ffff:ffff:ffff:ffff	CA
2606:7000::	2606:7000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:7800::	2606:7800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:8000::	2606:8000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:8800::	2606:8800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:9000::	2606:9000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2606:9800::	2606:9800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:a000::	2606:a000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:a800::	2606:a800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:b000::	2606:b000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:b800::	2606:b800:ffff:ffff:ffff:ffff:ffff:ffff	CA
2606:c000::	2606:c000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:c800::	2606:c800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:d000::	2606:d000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:d800::	2606:d800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:e000::	2606:e000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2606:e800::	2606:e800:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:f000::	2606:f000:ffff:ffff:ffff:ffff:ffff:ffff	US
2606:f800::	2606:f800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607::	2607:0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:800::	2607:800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:1000::	2607:1000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:1800::	2607:1800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:2000::	2607:2000:ffff:ffff:ffff:ffff:ffff:ffff	PR
2607:2800::	2607:2800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:3000::	2607:3000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:3800::	2607:3800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:4000::	2607:4000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:4800::	2607:4800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:5000::	2607:5000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:5800::	2607:5800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:6000::	2607:6000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:6800::	2607:6800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:7000::	2607:7000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:7800::	2607:7800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:8000::	2607:8000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:8800::	2607:8800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:9000::	2607:9000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:9800::	2607:9800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:a000::	2607:a000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:a800::	2607:a800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:b000::	2607:b000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:b800::	2607:b800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:c000::	2607:c000:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:c800::	2607:c800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:d000::	2607:d000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:d800::	2607:d800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:e000::	2607:e000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:e800::	2607:e800:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f000::	2607:f000:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f008::	2607:f008:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f010::	2607:f010:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f018::	2607:f018:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f020::	2607:f020:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f028::	2607:f028:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f030::	2607:f030:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f038::	2607:f038:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f040::	2607:f040:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f048::	2607:f048:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f050::	2607:f050:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f058::	2607:f058:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f060::	2607:f060:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f068::	2607:f068:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f070::	2607:f070:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f078::	2607:f078:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f080::	2607:f080:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f088::	2607:f088:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f090::	2607:f090:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f098::	2607:f098:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0a0::	2607:f0a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0a8::	2607:f0a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0b0::	2607:f0b0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f0b8::	2607:f0b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0c0::	2607:f0c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0c8::	2607:f0c8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f0d0::	2607:f0d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0d8::	2607:f0d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0e0::	2607:f0e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0e8::	2607:f0e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0f0::	2607:f0f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f0f8::	2607:f0f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f100::	2607:f100:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f108::	2607:f108:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f110::	2607:f110:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f118::	2607:f118:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f120::	2607:f120:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f128::	2607:f128:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f130::	2607:f130:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f138::	2607:f138:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f140::	2607:f140:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f148::	2607:f148:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f150::	2607:f150:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f158::	2607:f158:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f160::	2607:f160:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f168::	2607:f168:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f170::	2607:f170:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f178::	2607:f178:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f180::	2607:f180:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f188::	2607:f188:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f190::	2607:f190:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f198::	2607:f198:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1a0::	2607:f1a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1a8::	2607:f1a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1b0::	2607:f1b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1b8::	2607:f1b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1c0::	2607:f1c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1c8::	2607:f1c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1d0::	2607:f1d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1d8::	2607:f1d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1e0::	2607:f1e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1e8::	2607:f1e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f1f0::	2607:f1f0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f1f8::	2607:f1f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f200::	2607:f200:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f208::	2607:f208:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f210::	2607:f210:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f218::	2607:f218:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f220::	2607:f220:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f228::	2607:f228:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f230::	2607:f230:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f238::	2607:f238:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f240::	2607:f240:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f248::	2607:f248:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f250::	2607:f250:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f258::	2607:f258:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f260::	2607:f260:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f270::	2607:f270:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f278::	2607:f278:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f280::	2607:f280:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f288::	2607:f288:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f290::	2607:f290:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f298::	2607:f298:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2a8::	2607:f2a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2b0::	2607:f2b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2c0::	2607:f2c0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f2c8::	2607:f2c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2d0::	2607:f2d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2d8::	2607:f2d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2e0::	2607:f2e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2e8::	2607:f2e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2f0::	2607:f2f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f2f8::	2607:f2f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f300::	2607:f300:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f308::	2607:f308:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f310::	2607:f310:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f318::	2607:f318:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f320::	2607:f320:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f328::	2607:f328:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f330::	2607:f330:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f338::	2607:f338:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f340::	2607:f340:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f348::	2607:f348:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f350::	2607:f350:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f358::	2607:f358:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f360::	2607:f360:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f368::	2607:f368:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f370::	2607:f370:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f378::	2607:f378:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f380::	2607:f380:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f388::	2607:f388:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f390::	2607:f390:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f398::	2607:f398:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3a0::	2607:f3a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3a8::	2607:f3a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3b0::	2607:f3b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3b8::	2607:f3b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3c0::	2607:f3c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3c8::	2607:f3c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3d0::	2607:f3d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3d8::	2607:f3d8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f3e0::	2607:f3e0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f3e8::	2607:f3e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3f0::	2607:f3f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f3f8::	2607:f3f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f400::	2607:f400:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f408::	2607:f408:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f410::	2607:f410:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f418::	2607:f418:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f420::	2607:f420:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f428::	2607:f428:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f430::	2607:f430:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f438::	2607:f438:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f440::	2607:f440:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f448::	2607:f448:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f450::	2607:f450:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f458::	2607:f458:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f460::	2607:f460:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f468::	2607:f468:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f470::	2607:f470:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f478::	2607:f478:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f480::	2607:f480:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f488::	2607:f488:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f490::	2607:f490:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f498::	2607:f498:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4a0::	2607:f4a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4a8::	2607:f4a8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f4b0::	2607:f4b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4b8::	2607:f4b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4c0::	2607:f4c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4c8::	2607:f4c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4d0::	2607:f4d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4d8::	2607:f4d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4e0::	2607:f4e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4e8::	2607:f4e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4f0::	2607:f4f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f4f8::	2607:f4f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f500::	2607:f500:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f508::	2607:f508:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f510::	2607:f510:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f518::	2607:f518:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f520::	2607:f520:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f528::	2607:f528:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f530::	2607:f530:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f538::	2607:f538:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f540::	2607:f540:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f548::	2607:f548:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f550::	2607:f550:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f558::	2607:f558:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f560::	2607:f560:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f568::	2607:f568:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f570::	2607:f570:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f578::	2607:f578:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f580::	2607:f580:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f588::	2607:f588:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f590::	2607:f590:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f598::	2607:f598:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5a0::	2607:f5a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5a8::	2607:f5a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5b0::	2607:f5b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5b8::	2607:f5b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5c0::	2607:f5c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5c8::	2607:f5c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5d0::	2607:f5d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5d8::	2607:f5d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5e0::	2607:f5e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5e8::	2607:f5e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5f0::	2607:f5f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f5f8::	2607:f5f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f600::	2607:f600:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f608::	2607:f608:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f610::	2607:f610:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f618::	2607:f618:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f620::	2607:f620:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f628::	2607:f628:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f630::	2607:f630:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f638::	2607:f638:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f640::	2607:f640:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f648::	2607:f648:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f650::	2607:f650:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f658::	2607:f658:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f660::	2607:f660:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f668::	2607:f668:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f670::	2607:f670:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f678::	2607:f678:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f680::	2607:f680:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f688::	2607:f688:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f690::	2607:f690:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f698::	2607:f698:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f6a0::	2607:f6a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6a8::	2607:f6a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6b0::	2607:f6b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6b8::	2607:f6b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6c0::	2607:f6c0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f6c8::	2607:f6c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6d0::	2607:f6d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6d8::	2607:f6d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6e0::	2607:f6e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6e8::	2607:f6e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6f0::	2607:f6f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f6f8::	2607:f6f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f700::	2607:f700:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f708::	2607:f708:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f710::	2607:f710:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f718::	2607:f718:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f720::	2607:f720:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f728::	2607:f728:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f730::	2607:f730:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f738::	2607:f738:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f740::	2607:f740:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f748::	2607:f748:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f750::	2607:f750:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f758::	2607:f758:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f760::	2607:f760:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f768::	2607:f768:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f770::	2607:f770:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f778::	2607:f778:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f780::	2607:f780:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f788::	2607:f788:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f790::	2607:f790:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f798::	2607:f798:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f7a0::	2607:f7a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7a8::	2607:f7a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7b0::	2607:f7b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7b8::	2607:f7b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7c0::	2607:f7c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7c8::	2607:f7c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7d0::	2607:f7d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7d8::	2607:f7d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7e0::	2607:f7e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7e8::	2607:f7e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7f0::	2607:f7f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f7f8::	2607:f7f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f800::	2607:f800:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f808::	2607:f808:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f810::	2607:f810:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f818::	2607:f818:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f820::	2607:f820:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f828::	2607:f828:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f830::	2607:f830:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f838::	2607:f838:ffff:ffff:ffff:ffff:ffff:ffff	VI
2607:f840::	2607:f840:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f848::	2607:f848:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f850::	2607:f850:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f858::	2607:f858:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f860::	2607:f860:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f868::	2607:f868:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f870::	2607:f870:ffff:ffff:ffff:ffff:ffff:ffff	PR
2607:f878::	2607:f878:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f880::	2607:f880:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f888::	2607:f888:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f890::	2607:f890:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f898::	2607:f898:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8a0::	2607:f8a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8a8::	2607:f8a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8b0::	2607:f8b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8b8::	2607:f8b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8c0::	2607:f8c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8c8::	2607:f8c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8d0::	2607:f8d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8d8::	2607:f8d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8e0::	2607:f8e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8e8::	2607:f8e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f8f0::	2607:f8f0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f8f8::	2607:f8f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f900::	2607:f900:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f908::	2607:f908:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f910::	2607:f910:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f918::	2607:f918:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f920::	2607:f920:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f928::	2607:f928:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f930::	2607:f930:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f938::	2607:f938:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f940::	2607:f940:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f948::	2607:f948:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f950::	2607:f950:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f958::	2607:f958:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f960::	2607:f960:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f968::	2607:f968:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f970::	2607:f970:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f978::	2607:f978:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f980::	2607:f980:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f988::	2607:f988:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f990::	2607:f990:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:f998::	2607:f998:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9a0::	2607:f9a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9a8::	2607:f9a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9b0::	2607:f9b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9b8::	2607:f9b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9c0::	2607:f9c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9c8::	2607:f9c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9d0::	2607:f9d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9d8::	2607:f9d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9e0::	2607:f9e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9e8::	2607:f9e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9f0::	2607:f9f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:f9f8::	2607:f9f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa00::	2607:fa00:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa08::	2607:fa08:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa10::	2607:fa10:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa18::	2607:fa18:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa20::	2607:fa20:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa28::	2607:fa28:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa30::	2607:fa30:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa38::	2607:fa38:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa40::	2607:fa40:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa48::	2607:fa48:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fa50::	2607:fa50:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa58::	2607:fa58:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa60::	2607:fa60:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa68::	2607:fa68:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa70::	2607:fa70:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa78::	2607:fa78:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa80::	2607:fa80:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa88::	2607:fa88:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa90::	2607:fa90:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fa98::	2607:fa98:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:faa0::	2607:faa0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:faa8::	2607:faa8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fab0::	2607:fab0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fab8::	2607:fab8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fac0::	2607:fac0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fac8::	2607:fac8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fad0::	2607:fad0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fad8::	2607:fad8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fae0::	2607:fae0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fae8::	2607:fae8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:faf0::	2607:faf0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:faf8::	2607:faf8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb00::	2607:fb00:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb08::	2607:fb08:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb10::	2607:fb10:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb18::	2607:fb18:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb20::	2607:fb20:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb28::	2607:fb28:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb30::	2607:fb30:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb38::	2607:fb38:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb40::	2607:fb40:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb48::	2607:fb48:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb50::	2607:fb50:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb58::	2607:fb58:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb60::	2607:fb60:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb68::	2607:fb68:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb70::	2607:fb70:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb78::	2607:fb78:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb80::	2607:fb80:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb88::	2607:fb88:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb90::	2607:fb90:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fb98::	2607:fb98:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fba0::	2607:fba0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fba8::	2607:fba8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbb0::	2607:fbb0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbb8::	2607:fbb8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbc0::	2607:fbc0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbc8::	2607:fbc8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbd0::	2607:fbd0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbd8::	2607:fbd8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fbe0::	2607:fbe0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbe8::	2607:fbe8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbf0::	2607:fbf0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fbf8::	2607:fbf8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc00::	2607:fc00:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc08::	2607:fc08:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc10::	2607:fc10:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fc18::	2607:fc18:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc20::	2607:fc20:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc28::	2607:fc28:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc30::	2607:fc30:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc38::	2607:fc38:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc40::	2607:fc40:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc48::	2607:fc48:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc50::	2607:fc50:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc58::	2607:fc58:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc60::	2607:fc60:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc68::	2607:fc68:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc70::	2607:fc70:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fc78::	2607:fc78:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fc80::	2607:fc80:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc88::	2607:fc88:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc90::	2607:fc90:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fc98::	2607:fc98:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fca0::	2607:fca0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fca8::	2607:fca8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fcb0::	2607:fcb0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fcb8::	2607:fcb8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fcc0::	2607:fcc0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fcc8::	2607:fcc8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fcd0::	2607:fcd0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fcd8::	2607:fcd8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fce0::	2607:fce0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fce8::	2607:fce8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fcf0::	2607:fcf0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fcf8::	2607:fcf8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fd00::	2607:fd00:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd08::	2607:fd08:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd10::	2607:fd10:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd18::	2607:fd18:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd20::	2607:fd20:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fd28::	2607:fd28:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd30::	2607:fd30:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd38::	2607:fd38:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd40::	2607:fd40:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd48::	2607:fd48:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd50::	2607:fd50:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd58::	2607:fd58:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fd60::	2607:fd60:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd68::	2607:fd68:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd70::	2607:fd70:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd78::	2607:fd78:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fd80::	2607:fd80:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd88::	2607:fd88:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd90::	2607:fd90:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fd98::	2607:fd98:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fda0::	2607:fda0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fda8::	2607:fda8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdb0::	2607:fdb0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdb8::	2607:fdb8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdc0::	2607:fdc0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdc8::	2607:fdc8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdd0::	2607:fdd0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdd8::	2607:fdd8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fde0::	2607:fde0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fde8::	2607:fde8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdf0::	2607:fdf0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fdf8::	2607:fdf8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe00::	2607:fe00:ffff:ffff:ffff:ffff:ffff:ffff	JM
2607:fe08::	2607:fe08:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe10::	2607:fe10:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe18::	2607:fe18:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe20::	2607:fe20:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe28::	2607:fe28:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe30::	2607:fe30:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe38::	2607:fe38:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe40::	2607:fe40:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe48::	2607:fe48:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe50::	2607:fe50:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe58::	2607:fe58:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe60::	2607:fe60:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe68::	2607:fe68:ffff:ffff:ffff:ffff:ffff:ffff	BS
2607:fe70::	2607:fe70:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe78::	2607:fe78:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe80::	2607:fe80:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe88::	2607:fe88:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fe90::	2607:fe90:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fe98::	2607:fe98:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fea0::	2607:fea0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fea8::	2607:fea8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:feb0::	2607:feb0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:feb8::	2607:feb8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fec0::	2607:fec0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fec8::	2607:fec8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:fed0::	2607:fed0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fed8::	2607:fed8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fee0::	2607:fee0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fee8::	2607:fee8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fef0::	2607:fef0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fef8::	2607:fef8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff00::	2607:ff00:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff08::	2607:ff08:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff10::	2607:ff10:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff18::	2607:ff18:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff20::	2607:ff20:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff28::	2607:ff28:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff30::	2607:ff30:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff38::	2607:ff38:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff40::	2607:ff40:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff48::	2607:ff48:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff50::	2607:ff50:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff58::	2607:ff58:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff60::	2607:ff60:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff68::	2607:ff68:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff70::	2607:ff70:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff78::	2607:ff78:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:ff80::	2607:ff80:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff88::	2607:ff88:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:ff90::	2607:ff90:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ff98::	2607:ff98:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ffa0::	2607:ffa0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ffa8::	2607:ffa8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ffb0::	2607:ffb0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:ffb8::	2607:ffb8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ffc0::	2607:ffc0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:ffc8::	2607:ffc8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ffd0::	2607:ffd0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ffd8::	2607:ffd8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:ffe0::	2607:ffe0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2607:ffe8::	2607:ffe8:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fff0::	2607:fff0:ffff:ffff:ffff:ffff:ffff:ffff	US
2607:fff8::	2607:fff8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2608::	2608:3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2608:4000::	2608:43ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2608:8000::	2608:83ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2608:c000::	2608:c3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2609::	2609:3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2609:4000::	2609:43ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2609:8000::	2609:83ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2609:a000::	2609:a3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2609:c000::	2609:c3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2609:e000::	2609:e3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
260c:d000::	260c:d3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
260c:f000::	260c:f3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
260f:d000::	260f:d3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
260f:f000::	260f:f3ff:ffff:ffff:ffff:ffff:ffff:ffff	US
2610::	2610:0:ffff:ffff:ffff:ffff:ffff:ffff	CA
2610:8::	2610:8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:10::	2610:10:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:18::	2610:18:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:20::	2610:20:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:28::	2610:28:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:30::	2610:30:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:38::	2610:38:ffff:ffff:ffff:ffff:ffff:ffff	CA
2610:40::	2610:40:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:48::	2610:48:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:50::	2610:50:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:58::	2610:58:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:60::	2610:60:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:68::	2610:68:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:70::	2610:70:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:78::	2610:78:ffff:ffff:ffff:ffff:ffff:ffff	CA
2610:80::	2610:88:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:90::	2610:90:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:98::	2610:98:ffff:ffff:ffff:ffff:ffff:ffff	CA
2610:a0::	2610:a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:a8::	2610:a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:b0::	2610:b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:b8::	2610:b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:c0::	2610:c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:c8::	2610:c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:d0::	2610:d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:d8::	2610:d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:e0::	2610:e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:e8::	2610:e8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:f0::	2610:f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:f8::	2610:f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:100::	2610:100:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:108::	2610:108:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:110::	2610:110:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:120::	2610:120:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:128::	2610:128:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:130::	2610:130:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:140::	2610:140:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:148::	2610:148:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:150::	2610:150:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:158::	2610:158:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:160::	2610:160:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:168::	2610:168:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:170::	2610:170:ffff:ffff:ffff:ffff:ffff:ffff	CA
2610:178::	2610:178:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:180::	2610:180:ffff:ffff:ffff:ffff:ffff:ffff	BS
2610:188::	2610:188:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:190::	2610:190:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:198::	2610:198:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1a0::	2610:1a0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1a8::	2610:1a8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1b0::	2610:1b0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1b8::	2610:1b8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1c0::	2610:1c0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1c8::	2610:1c8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1d0::	2610:1d0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1d8::	2610:1d8:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1e0::	2610:1e0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1e8::	2610:1e8:ffff:ffff:ffff:ffff:ffff:ffff	CA
2610:1f0::	2610:1f0:ffff:ffff:ffff:ffff:ffff:ffff	US
2610:1f8::	2610:1f8:ffff:ffff:ffff:ffff:ffff:ffff	US
2620::	2620::ffff:ffff:ffff:ffff:ffff	US
2620:0:10::	2620:0:10:ffff:ffff:ffff:ffff:ffff	US
2620:0:20::	2620:0:20:ffff:ffff:ffff:ffff:ffff	US
2620:0:30::	2620:0:37:ffff:ffff:ffff:ffff:ffff	US
2620:0:40::	2620:0:40:ffff:ffff:ffff:ffff:ffff	US
2620:0:60::	2620:0:60:ffff:ffff:ffff:ffff:ffff	US
2620:0:70::	2620:0:70:ffff:ffff:ffff:ffff:ffff	US
2620:0:80::	2620:0:80:ffff:ffff:ffff:ffff:ffff	US
2620:0:90::	2620:0:90:ffff:ffff:ffff:ffff:ffff	US
2620:0:a0::	2620:0:a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:b0::	2620:0:b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:c0::	2620:0:c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:d0::	2620:0:d1:ffff:ffff:ffff:ffff:ffff	US
2620:0:e0::	2620:0:e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:f0::	2620:0:f0:ffff:ffff:ffff:ffff:ffff	CA
2620:0:100::	2620:0:100:ffff:ffff:ffff:ffff:ffff	US
2620:0:110::	2620:0:110:ffff:ffff:ffff:ffff:ffff	US
2620:0:120::	2620:0:120:ffff:ffff:ffff:ffff:ffff	US
2620:0:140::	2620:0:140:ffff:ffff:ffff:ffff:ffff	US
2620:0:150::	2620:0:150:ffff:ffff:ffff:ffff:ffff	US
2620:0:160::	2620:0:160:ffff:ffff:ffff:ffff:ffff	CA
2620:0:170::	2620:0:170:ffff:ffff:ffff:ffff:ffff	US
2620:0:180::	2620:0:180:ffff:ffff:ffff:ffff:ffff	US
2620:0:190::	2620:0:190:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a0::	2620:0:1a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1b0::	2620:0:1b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1c0::	2620:0:1c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1d0::	2620:0:1d0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1e0::	2620:0:1e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1f0::	2620:0:1f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:200::	2620:0:200:ffff:ffff:ffff:ffff:ffff	US
2620:0:210::	2620:0:210:ffff:ffff:ffff:ffff:ffff	US
2620:0:220::	2620:0:220:ffff:ffff:ffff:ffff:ffff	US
2620:0:230::	2620:0:230:ffff:ffff:ffff:ffff:ffff	CA
2620:0:240::	2620:0:240:ffff:ffff:ffff:ffff:ffff	US
2620:0:250::	2620:0:250:ffff:ffff:ffff:ffff:ffff	US
2620:0:260::	2620:0:260:ffff:ffff:ffff:ffff:ffff	US
2620:0:270::	2620:0:270:ffff:ffff:ffff:ffff:ffff	US
2620:0:280::	2620:0:280:ffff:ffff:ffff:ffff:ffff	US
2620:0:290::	2620:0:290:ffff:ffff:ffff:ffff:ffff	US
2620:0:2a0::	2620:0:2a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b0::	2620:0:2b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2c0::	2620:0:2c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2d0::	2620:0:2d0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e0::	2620:0:2e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2f0::	2620:0:2f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:300::	2620:0:300:ffff:ffff:ffff:ffff:ffff	US
2620:0:310::	2620:0:310:ffff:ffff:ffff:ffff:ffff	US
2620:0:320::	2620:0:320:ffff:ffff:ffff:ffff:ffff	US
2620:0:330::	2620:0:330:ffff:ffff:ffff:ffff:ffff	US
2620:0:340::	2620:0:340:ffff:ffff:ffff:ffff:ffff	US
2620:0:350::	2620:0:353:ffff:ffff:ffff:ffff:ffff	US
2620:0:360::	2620:0:361:ffff:ffff:ffff:ffff:ffff	US
2620:0:370::	2620:0:370:ffff:ffff:ffff:ffff:ffff	US
2620:0:380::	2620:0:380:ffff:ffff:ffff:ffff:ffff	US
2620:0:390::	2620:0:390:ffff:ffff:ffff:ffff:ffff	US
2620:0:3a0::	2620:0:3a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:3b0::	2620:0:3b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:3c0::	2620:0:3c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:3d0::	2620:0:3d0:ffff:ffff:ffff:ffff:ffff	US
2620:0:3e0::	2620:0:3e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:3f0::	2620:0:3f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:400::	2620:0:57f:ffff:ffff:ffff:ffff:ffff	US
2620:0:600::	2620:0:600:ffff:ffff:ffff:ffff:ffff	US
2620:0:610::	2620:0:610:ffff:ffff:ffff:ffff:ffff	US
2620:0:620::	2620:0:620:ffff:ffff:ffff:ffff:ffff	US
2620:0:630::	2620:0:630:ffff:ffff:ffff:ffff:ffff	US
2620:0:640::	2620:0:640:ffff:ffff:ffff:ffff:ffff	US
2620:0:650::	2620:0:650:ffff:ffff:ffff:ffff:ffff	US
2620:0:660::	2620:0:660:ffff:ffff:ffff:ffff:ffff	US
2620:0:670::	2620:0:671:ffff:ffff:ffff:ffff:ffff	US
2620:0:680::	2620:0:680:ffff:ffff:ffff:ffff:ffff	US
2620:0:690::	2620:0:691:ffff:ffff:ffff:ffff:ffff	US
2620:0:6a0::	2620:0:6a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:6b0::	2620:0:6b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:6c0::	2620:0:6c7:ffff:ffff:ffff:ffff:ffff	US
2620:0:6d0::	2620:0:6d0:ffff:ffff:ffff:ffff:ffff	US
2620:0:6e0::	2620:0:6e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:6f0::	2620:0:6f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:700::	2620:0:77f:ffff:ffff:ffff:ffff:ffff	US
2620:0:800::	2620:0:802:ffff:ffff:ffff:ffff:ffff	US
2620:0:810::	2620:0:810:ffff:ffff:ffff:ffff:ffff	CA
2620:0:820::	2620:0:820:ffff:ffff:ffff:ffff:ffff	US
2620:0:830::	2620:0:830:ffff:ffff:ffff:ffff:ffff	US
2620:0:840::	2620:0:840:ffff:ffff:ffff:ffff:ffff	US
2620:0:850::	2620:0:850:ffff:ffff:ffff:ffff:ffff	US
2620:0:860::	2620:0:863:ffff:ffff:ffff:ffff:ffff	US
2620:0:870::	2620:0:870:ffff:ffff:ffff:ffff:ffff	US
2620:0:880::	2620:0:880:ffff:ffff:ffff:ffff:ffff	US
2620:0:890::	2620:0:890:ffff:ffff:ffff:ffff:ffff	US
2620:0:8a0::	2620:0:8a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:8d0::	2620:0:8d0:ffff:ffff:ffff:ffff:ffff	US
2620:0:8e0::	2620:0:8e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:8f0::	2620:0:8f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:900::	2620:0:900:ffff:ffff:ffff:ffff:ffff	US
2620:0:910::	2620:0:910:ffff:ffff:ffff:ffff:ffff	US
2620:0:920::	2620:0:920:ffff:ffff:ffff:ffff:ffff	US
2620:0:930::	2620:0:930:ffff:ffff:ffff:ffff:ffff	US
2620:0:940::	2620:0:940:ffff:ffff:ffff:ffff:ffff	US
2620:0:950::	2620:0:950:ffff:ffff:ffff:ffff:ffff	US
2620:0:960::	2620:0:960:ffff:ffff:ffff:ffff:ffff	US
2620:0:970::	2620:0:970:ffff:ffff:ffff:ffff:ffff	US
2620:0:980::	2620:0:980:ffff:ffff:ffff:ffff:ffff	US
2620:0:990::	2620:0:990:ffff:ffff:ffff:ffff:ffff	US
2620:0:9a0::	2620:0:9a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:9b0::	2620:0:9b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:9c0::	2620:0:9c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:9e0::	2620:0:9e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:9f0::	2620:0:9f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:a00::	2620:0:a1f:ffff:ffff:ffff:ffff:ffff	US
2620:0:b00::	2620:0:b00:ffff:ffff:ffff:ffff:ffff	US
2620:0:b10::	2620:0:b13:ffff:ffff:ffff:ffff:ffff	US
2620:0:b20::	2620:0:b20:ffff:ffff:ffff:ffff:ffff	US
2620:0:b30::	2620:0:b30:ffff:ffff:ffff:ffff:ffff	US
2620:0:b40::	2620:0:b40:ffff:ffff:ffff:ffff:ffff	US
2620:0:b50::	2620:0:b50:ffff:ffff:ffff:ffff:ffff	US
2620:0:b60::	2620:0:b60:ffff:ffff:ffff:ffff:ffff	US
2620:0:b70::	2620:0:b70:ffff:ffff:ffff:ffff:ffff	US
2620:0:b80::	2620:0:b80:ffff:ffff:ffff:ffff:ffff	US
2620:0:b90::	2620:0:b90:ffff:ffff:ffff:ffff:ffff	US
2620:0:ba0::	2620:0:ba0:ffff:ffff:ffff:ffff:ffff	US
2620:0:bb0::	2620:0:bb0:ffff:ffff:ffff:ffff:ffff	US
2620:0:bc0::	2620:0:bc0:ffff:ffff:ffff:ffff:ffff	US
2620:0:bd0::	2620:0:bd0:ffff:ffff:ffff:ffff:ffff	CA
2620:0:be0::	2620:0:be0:ffff:ffff:ffff:ffff:ffff	US
2620:0:bf0::	2620:0:bf0:ffff:ffff:ffff:ffff:ffff	US
2620:0:c00::	2620:0:c00:ffff:ffff:ffff:ffff:ffff	US
2620:0:c10::	2620:0:c10:ffff:ffff:ffff:ffff:ffff	US
2620:0:c20::	2620:0:c20:ffff:ffff:ffff:ffff:ffff	US
2620:0:c30::	2620:0:c30:ffff:ffff:ffff:ffff:ffff	US
2620:0:c40::	2620:0:c40:ffff:ffff:ffff:ffff:ffff	US
2620:0:c50::	2620:0:c50:ffff:ffff:ffff:ffff:ffff	US
2620:0:c60::	2620:0:c60:ffff:ffff:ffff:ffff:ffff	US
2620:0:c70::	2620:0:c70:ffff:ffff:ffff:ffff:ffff	US
2620:0:c80::	2620:0:c80:ffff:ffff:ffff:ffff:ffff	US
2620:0:c90::	2620:0:c90:ffff:ffff:ffff:ffff:ffff	US
2620:0:ca0::	2620:0:ca0:ffff:ffff:ffff:ffff:ffff	US
2620:0:cb0::	2620:0:cb0:ffff:ffff:ffff:ffff:ffff	US
2620:0:cc0::	2620:0:ccf:ffff:ffff:ffff:ffff:ffff	US
2620:0:ce0::	2620:0:ce0:ffff:ffff:ffff:ffff:ffff	US
2620:0:cf0::	2620:0:cf0:ffff:ffff:ffff:ffff:ffff	US
2620:0:d00::	2620:0:d00:ffff:ffff:ffff:ffff:ffff	US
2620:0:d20::	2620:0:d20:ffff:ffff:ffff:ffff:ffff	US
2620:0:d30::	2620:0:d30:ffff:ffff:ffff:ffff:ffff	US
2620:0:d40::	2620:0:d40:ffff:ffff:ffff:ffff:ffff	US
2620:0:d50::	2620:0:d50:ffff:ffff:ffff:ffff:ffff	US
2620:0:d60::	2620:0:d63:ffff:ffff:ffff:ffff:ffff	US
2620:0:d70::	2620:0:d77:ffff:ffff:ffff:ffff:ffff	US
2620:0:d80::	2620:0:d80:ffff:ffff:ffff:ffff:ffff	US
2620:0:d90::	2620:0:d90:ffff:ffff:ffff:ffff:ffff	US
2620:0:da0::	2620:0:da0:ffff:ffff:ffff:ffff:ffff	US
2620:0:db0::	2620:0:db0:ffff:ffff:ffff:ffff:ffff	US
2620:0:dc0::	2620:0:dc0:ffff:ffff:ffff:ffff:ffff	US
2620:0:dd0::	2620:0:dd0:ffff:ffff:ffff:ffff:ffff	US
2620:0:de0::	2620:0:de0:ffff:ffff:ffff:ffff:ffff	US
2620:0:df0::	2620:0:df0:ffff:ffff:ffff:ffff:ffff	US
2620:0:e00::	2620:0:e00:ffff:ffff:ffff:ffff:ffff	US
2620:0:e10::	2620:0:e10:ffff:ffff:ffff:ffff:ffff	US
2620:0:e20::	2620:0:e23:ffff:ffff:ffff:ffff:ffff	US
2620:0:e30::	2620:0:e30:ffff:ffff:ffff:ffff:ffff	US
2620:0:e40::	2620:0:e40:ffff:ffff:ffff:ffff:ffff	US
2620:0:e50::	2620:0:e50:ffff:ffff:ffff:ffff:ffff	US
2620:0:e60::	2620:0:e60:ffff:ffff:ffff:ffff:ffff	US
2620:0:e70::	2620:0:e70:ffff:ffff:ffff:ffff:ffff	US
2620:0:e80::	2620:0:e80:ffff:ffff:ffff:ffff:ffff	US
2620:0:e90::	2620:0:e90:ffff:ffff:ffff:ffff:ffff	US
2620:0:ea0::	2620:0:ea0:ffff:ffff:ffff:ffff:ffff	US
2620:0:eb0::	2620:0:eb0:ffff:ffff:ffff:ffff:ffff	US
2620:0:ec0::	2620:0:ec0:ffff:ffff:ffff:ffff:ffff	US
2620:0:ed0::	2620:0:ed0:ffff:ffff:ffff:ffff:ffff	US
2620:0:ee0::	2620:0:ee0:ffff:ffff:ffff:ffff:ffff	US
2620:0:ef0::	2620:0:ef0:ffff:ffff:ffff:ffff:ffff	US
2620:0:f00::	2620:0:f7f:ffff:ffff:ffff:ffff:ffff	US
2620:0:1000::	2620:0:10ff:ffff:ffff:ffff:ffff:ffff	US
2620:0:1400::	2620:0:143f:ffff:ffff:ffff:ffff:ffff	US
2620:0:1500::	2620:0:157f:ffff:ffff:ffff:ffff:ffff	US
2620:0:1600::	2620:0:167f:ffff:ffff:ffff:ffff:ffff	US
2620:0:1700::	2620:0:170f:ffff:ffff:ffff:ffff:ffff	US
2620:0:1800::	2620:0:181f:ffff:ffff:ffff:ffff:ffff	US
2620:0:1900::	2620:0:197f:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a00::	2620:0:1a00:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a10::	2620:0:1a10:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a20::	2620:0:1a20:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a30::	2620:0:1a30:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a40::	2620:0:1a40:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a50::	2620:0:1a50:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a60::	2620:0:1a60:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a70::	2620:0:1a70:ffff:ffff:ffff:ffff:ffff	US
2620:0:1a80::	2620:0:1a80:ffff:ffff:ffff:ffff:ffff	US
2620:0:1aa0::	2620:0:1aa0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1ab0::	2620:0:1ab0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1ac0::	2620:0:1ac0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1ad0::	2620:0:1ad7:ffff:ffff:ffff:ffff:ffff	US
2620:0:1ae0::	2620:0:1ae0:ffff:ffff:ffff:ffff:ffff	US
2620:0:1af0::	2620:0:1af0:ffff:ffff:ffff:ffff:ffff	CA
2620:0:1b00::	2620:0:1b07:ffff:ffff:ffff:ffff:ffff	US
2620:0:1c00::	2620:0:1cff:ffff:ffff:ffff:ffff:ffff	US
2620:0:2000::	2620:0:203f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2100::	2620:0:213f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2200::	2620:0:2200:ffff:ffff:ffff:ffff:ffff	US
2620:0:2210::	2620:0:2210:ffff:ffff:ffff:ffff:ffff	US
2620:0:2220::	2620:0:2220:ffff:ffff:ffff:ffff:ffff	CA
2620:0:2230::	2620:0:2230:ffff:ffff:ffff:ffff:ffff	US
2620:0:2240::	2620:0:2240:ffff:ffff:ffff:ffff:ffff	US
2620:0:2250::	2620:0:2250:ffff:ffff:ffff:ffff:ffff	US
2620:0:2260::	2620:0:2260:ffff:ffff:ffff:ffff:ffff	US
2620:0:2270::	2620:0:2270:ffff:ffff:ffff:ffff:ffff	US
2620:0:2280::	2620:0:2280:ffff:ffff:ffff:ffff:ffff	US
2620:0:2290::	2620:0:2290:ffff:ffff:ffff:ffff:ffff	US
2620:0:22a0::	2620:0:22a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:22b0::	2620:0:22b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:22c0::	2620:0:22c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:22d0::	2620:0:22d0:ffff:ffff:ffff:ffff:ffff	US
2620:0:22e0::	2620:0:22e0:ffff:ffff:ffff:ffff:ffff	CA
2620:0:22f0::	2620:0:22f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2300::	2620:0:230f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2400::	2620:0:24ff:ffff:ffff:ffff:ffff:ffff	US
2620:0:2800::	2620:0:2800:ffff:ffff:ffff:ffff:ffff	US
2620:0:2810::	2620:0:2810:ffff:ffff:ffff:ffff:ffff	US
2620:0:2820::	2620:0:2820:ffff:ffff:ffff:ffff:ffff	US
2620:0:2830::	2620:0:2830:ffff:ffff:ffff:ffff:ffff	US
2620:0:2840::	2620:0:2840:ffff:ffff:ffff:ffff:ffff	US
2620:0:2850::	2620:0:2850:ffff:ffff:ffff:ffff:ffff	US
2620:0:2860::	2620:0:2860:ffff:ffff:ffff:ffff:ffff	US
2620:0:2870::	2620:0:2870:ffff:ffff:ffff:ffff:ffff	US
2620:0:2880::	2620:0:2880:ffff:ffff:ffff:ffff:ffff	US
2620:0:28a0::	2620:0:28a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:28b0::	2620:0:28b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:28c0::	2620:0:28c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:28d0::	2620:0:28d0:ffff:ffff:ffff:ffff:ffff	US
2620:0:28e0::	2620:0:28e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:28f0::	2620:0:28f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2900::	2620:0:290f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2a00::	2620:0:2a1f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b00::	2620:0:2b00:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b10::	2620:0:2b10:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b20::	2620:0:2b20:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b30::	2620:0:2b30:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b40::	2620:0:2b40:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b50::	2620:0:2b50:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b60::	2620:0:2b60:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b70::	2620:0:2b70:ffff:ffff:ffff:ffff:ffff	US
2620:0:2b80::	2620:0:2b8f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2bc0::	2620:0:2bc3:ffff:ffff:ffff:ffff:ffff	US
2620:0:2bd0::	2620:0:2bd0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2be0::	2620:0:2be0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2bf0::	2620:0:2bf0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2c00::	2620:0:2c3f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2d00::	2620:0:2d7f:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e00::	2620:0:2e00:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e10::	2620:0:2e10:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e20::	2620:0:2e20:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e30::	2620:0:2e30:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e40::	2620:0:2e40:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e50::	2620:0:2e50:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e60::	2620:0:2e60:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e70::	2620:0:2e71:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e80::	2620:0:2e80:ffff:ffff:ffff:ffff:ffff	US
2620:0:2e90::	2620:0:2e90:ffff:ffff:ffff:ffff:ffff	US
2620:0:2ea0::	2620:0:2ea0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2eb0::	2620:0:2eb0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2ec0::	2620:0:2ec0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2ed0::	2620:0:2ed0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2ee0::	2620:0:2ee0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2ef0::	2620:0:2ef0:ffff:ffff:ffff:ffff:ffff	US
2620:0:2f00::	2620:0:2f7f:ffff:ffff:ffff:ffff:ffff	US
2620:0:3000::	2620:0:31ff:ffff:ffff:ffff:ffff:ffff	US
2620:0:5000::	2620:0:5000:ffff:ffff:ffff:ffff:ffff	US
2620:0:5010::	2620:0:5010:ffff:ffff:ffff:ffff:ffff	US
2620:0:5030::	2620:0:5030:ffff:ffff:ffff:ffff:ffff	US
2620:0:5040::	2620:0:5040:ffff:ffff:ffff:ffff:ffff	US
2620:0:5050::	2620:0:5050:ffff:ffff:ffff:ffff:ffff	US
2620:0:5060::	2620:0:5060:ffff:ffff:ffff:ffff:ffff	CA
2620:0:5070::	2620:0:5070:ffff:ffff:ffff:ffff:ffff	US
2620:0:5080::	2620:0:5080:ffff:ffff:ffff:ffff:ffff	US
2620:0:5090::	2620:0:5090:ffff:ffff:ffff:ffff:ffff	US
2620:0:50a0::	2620:0:50a0:ffff:ffff:ffff:ffff:ffff	US
2620:0:50b0::	2620:0:50b0:ffff:ffff:ffff:ffff:ffff	US
2620:0:50c0::	2620:0:50c0:ffff:ffff:ffff:ffff:ffff	US
2620:0:50d0::	2620:0:50d1:ffff:ffff:ffff:ffff:ffff	US
2620:0:50e0::	2620:0:50e0:ffff:ffff:ffff:ffff:ffff	US
2620:0:50f0::	2620:0:50f0:ffff:ffff:ffff:ffff:ffff	US
2620:0:5100::	2620:0:510f:ffff:ffff:ffff:ffff:ffff	US
2620:0:5200::	2620:0:5200:ffff:ffff:ffff:ffff:ffff	US
2620:0:5300::	2620:0:530f:ffff:ffff:ffff:ffff:ffff	US
2620:2::	2620:2:0:ffff:ffff:ffff:ffff:ffff	US
2620:4::	2620:4:0:ffff:ffff:ffff:ffff:ffff	US
2620:6::	2620:6:0:ffff:ffff:ffff:ffff:ffff	CA
2620:8::	2620:8:7f:ffff:ffff:ffff:ffff:ffff	CA
2620:a::	2620:a:0:ffff:ffff:ffff:ffff:ffff	CA
2620:c::	2620:c:3:ffff:ffff:ffff:ffff:ffff	US
2620:e::	2620:e:0:ffff:ffff:ffff:ffff:ffff	US
2620:10::	2620:10:0:ffff:ffff:ffff:ffff:ffff	US
2620:12::	2620:12:0:ffff:ffff:ffff:ffff:ffff	US
2620:14::	2620:14:0:ffff:ffff:ffff:ffff:ffff	US
2620:16::	2620:16:0:ffff:ffff:ffff:ffff:ffff	CA
2620:18::	2620:18:0:ffff:ffff:ffff:ffff:ffff	US
2620:1a::	2620:1a:0:ffff:ffff:ffff:ffff:ffff	US
2620:1c::	2620:1c:0:ffff:ffff:ffff:ffff:ffff	US
2620:1e::	2620:1e:0:ffff:ffff:ffff:ffff:ffff	US
2620:20::	2620:20:0:ffff:ffff:ffff:ffff:ffff	US
2620:22::	2620:22:0:ffff:ffff:ffff:ffff:ffff	US
2620:24::	2620:24:1f:ffff:ffff:ffff:ffff:ffff	US
2620:26::	2620:26:0:ffff:ffff:ffff:ffff:ffff	US
2620:28::	2620:28:0:ffff:ffff:ffff:ffff:ffff	US
2620:2a::	2620:2a:0:ffff:ffff:ffff:ffff:ffff	US
2620:2c::	2620:2c:f:ffff:ffff:ffff:ffff:ffff	US
2620:2e::	2620:2e:3f:ffff:ffff:ffff:ffff:ffff	US
2620:30::	2620:30:0:ffff:ffff:ffff:ffff:ffff	US
2620:32::	2620:32:0:ffff:ffff:ffff:ffff:ffff	US
2620:34::	2620:34:0:ffff:ffff:ffff:ffff:ffff	US
2620:36::	2620:36:0:ffff:ffff:ffff:ffff:ffff	US
2620:38::	2620:38:0:ffff:ffff:ffff:ffff:ffff	US
2620:3a::	2620:3a:0:ffff:ffff:ffff:ffff:ffff	US
2620:3c::	2620:3c:3f:ffff:ffff:ffff:ffff:ffff	US
2620:3e::	2620:3e:0:ffff:ffff:ffff:ffff:ffff	US
2620:40::	2620:40:0:ffff:ffff:ffff:ffff:ffff	US
2620:42::	2620:42:0:ffff:ffff:ffff:ffff:ffff	US
2620:44::	2620:44:1:ffff:ffff:ffff:ffff:ffff	US
2620:46::	2620:46:0:ffff:ffff:ffff:ffff:ffff	US
2620:48::	2620:48:0:ffff:ffff:ffff:ffff:ffff	US
2620:4a::	2620:4a:0:ffff:ffff:ffff:ffff:ffff	US
2620:4c::	2620:4c:1:ffff:ffff:ffff:ffff:ffff	US
2620:4e::	2620:4e:0:ffff:ffff:ffff:ffff:ffff	US
2620:50::	2620:50:f:ffff:ffff:ffff:ffff:ffff	US
2620:52::	2620:52:3:ffff:ffff:ffff:ffff:ffff	US
2620:54::	2620:54:0:ffff:ffff:ffff:ffff:ffff	US
2620:56::	2620:56:0:ffff:ffff:ffff:ffff:ffff	US
2620:58::	2620:58:ff:ffff:ffff:ffff:ffff:ffff	US
2620:5a::	2620:5a:0:ffff:ffff:ffff:ffff:ffff	US
2620:5c::	2620:5c:0:ffff:ffff:ffff:ffff:ffff	US
2620:5e::	2620:5e:0:ffff:ffff:ffff:ffff:ffff	US
2620:60::	2620:60:0:ffff:ffff:ffff:ffff:ffff	US
2620:62::	2620:62:0:ffff:ffff:ffff:ffff:ffff	US
2620:64::	2620:64:0:ffff:ffff:ffff:ffff:ffff	US
2620:66::	2620:66:0:ffff:ffff:ffff:ffff:ffff	CA
2620:68::	2620:68:0:ffff:ffff:ffff:ffff:ffff	US
2620:6a::	2620:6a:0:ffff:ffff:ffff:ffff:ffff	US
2620:6c::	2620:6c:3f:ffff:ffff:ffff:ffff:ffff	US
2620:6e::	2620:6e:0:ffff:ffff:ffff:ffff:ffff	US
2620:70::	2620:70:0:ffff:ffff:ffff:ffff:ffff	US
2620:72::	2620:72:0:ffff:ffff:ffff:ffff:ffff	US
2620:74::	2620:74:1f:ffff:ffff:ffff:ffff:ffff	US
2620:76::	2620:76:0:ffff:ffff:ffff:ffff:ffff	US
2620:78::	2620:78:0:ffff:ffff:ffff:ffff:ffff	US
2620:7c::	2620:7c:f:ffff:ffff:ffff:ffff:ffff	US
2620:80::	2620:80:0:ffff:ffff:ffff:ffff:ffff	US
2620:84::	2620:84:1:ffff:ffff:ffff:ffff:ffff	US
2620:88::	2620:88:0:ffff:ffff:ffff:ffff:ffff	US
2620:8c::	2620:8c:0:ffff:ffff:ffff:ffff:ffff	US
2620:90::	2620:90:0:ffff:ffff:ffff:ffff:ffff	US
2620:94::	2620:94:0:ffff:ffff:ffff:ffff:ffff	US
2620:98::	2620:98:0:ffff:ffff:ffff:ffff:ffff	US
2620:9c::	2620:9c:0:ffff:ffff:ffff:ffff:ffff	US
2620:a0::	2620:a0:0:ffff:ffff:ffff:ffff:ffff	US
2620:a4::	2620:a4:f:ffff:ffff:ffff:ffff:ffff	US
2620:a8::	2620:a8:0:ffff:ffff:ffff:ffff:ffff	US
2620:ac::	2620:ac:0:ffff:ffff:ffff:ffff:ffff	US
2620:b0::	2620:b0:0:ffff:ffff:ffff:ffff:ffff	CA
2620:b4::	2620:b4:0:ffff:ffff:ffff:ffff:ffff	US
2620:b8::	2620:b8:0:ffff:ffff:ffff:ffff:ffff	US
2620:bc::	2620:bc:0:ffff:ffff:ffff:ffff:ffff	US
2620:c0::	2620:c0:0:ffff:ffff:ffff:ffff:ffff	US
2620:c4::	2620:c4:0:ffff:ffff:ffff:ffff:ffff	US
2620:c8::	2620:c8:0:ffff:ffff:ffff:ffff:ffff	US
2620:cc::	2620:cc:0:ffff:ffff:ffff:ffff:ffff	US
2620:d0::	2620:d0:0:ffff:ffff:ffff:ffff:ffff	US
2620:d4::	2620:d4:0:ffff:ffff:ffff:ffff:ffff	US
2620:d8::	2620:d8:0:ffff:ffff:ffff:ffff:ffff	US
2620:dc::	2620:dc:0:ffff:ffff:ffff:ffff:ffff	US
2620:dc:8::	2620:dc:8:ffff:ffff:ffff:ffff:ffff	US
2620:e0::	2620:e0:0:ffff:ffff:ffff:ffff:ffff	US
2620:e4::	2620:e4:0:ffff:ffff:ffff:ffff:ffff	US
2620:e8::	2620:e8:0:ffff:ffff:ffff:ffff:ffff	US
2620:ec::	2620:ec:0:ffff:ffff:ffff:ffff:ffff	US
2620:f0::	2620:f0:0:ffff:ffff:ffff:ffff:ffff	US
2620:f4::	2620:f4:0:ffff:ffff:ffff:ffff:ffff	US
2620:f8::	2620:f8:0:ffff:ffff:ffff:ffff:ffff	US
2620:fc::	2620:fc:0:ffff:ffff:ffff:ffff:ffff	CA
2800:8::	2800:8:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:10::	2800:10:ffff:ffff:ffff:ffff:ffff:ffff	NI
2800:18::	2800:18:ffff:ffff:ffff:ffff:ffff:ffff	PE
2800:20::	2800:2f:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:30::	2800:30:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:38::	2800:38:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:40::	2800:40:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:48::	2800:48:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:50::	2800:50:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:58::	2800:58:ffff:ffff:ffff:ffff:ffff:ffff	PA
2800:60::	2800:60:ffff:ffff:ffff:ffff:ffff:ffff	PA
2800:68::	2800:68:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:70::	2800:70:ffff:ffff:ffff:ffff:ffff:ffff	TT
2800:78::	2800:78:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:80::	2800:80:ffff:ffff:ffff:ffff:ffff:ffff	AN
2800:88::	2800:88:ffff:ffff:ffff:ffff:ffff:ffff	BO
2800:90::	2800:90:ffff:ffff:ffff:ffff:ffff:ffff	SV
2800:98::	2800:98:ffff:ffff:ffff:ffff:ffff:ffff	GT
2800:a0::	2800:af:ffff:ffff:ffff:ffff:ffff:ffff	UY
2800:e0::	2800:e0:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:f0::	2800:f0:ffff:ffff:ffff:ffff:ffff:ffff	CR
2800:100::	2800:100:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:110::	2800:110:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:120::	2800:120:ffff:ffff:ffff:ffff:ffff:ffff	PE
2800:130::	2800:130:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:140::	2800:140:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:150::	2800:150:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:160::	2800:160:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:170::	2800:170:ffff:ffff:ffff:ffff:ffff:ffff	GT
2800:180::	2800:180:ffff:ffff:ffff:ffff:ffff:ffff	TT
2800:190::	2800:190:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:1a0::	2800:1a0:ffff:ffff:ffff:ffff:ffff:ffff	GT
2800:1b0::	2800:1b0:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:1c0::	2800:1c0:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:1d0::	2800:1d0:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:1e0::	2800:1e0:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:1f0::	2800:1f0:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:200::	2800:200:ffff:ffff:ffff:ffff:ffff:ffff	PE
2800:220::	2800:220:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:230::	2800:230:ffff:ffff:ffff:ffff:ffff:ffff	CU
2800:240::	2800:240:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:250::	2800:250:ffff:ffff:ffff:ffff:ffff:ffff	UY
2800:260::	2800:260:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:270::	2800:270:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:280::	2800:280:ffff:ffff:ffff:ffff:ffff:ffff	AN
2800:290::	2800:290:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:2a0::	2800:2a0:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:2b0::	2800:2b0:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:2c0::	2800:2c0:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:2d0::	2800:2d0:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:2e0::	2800:2e0:ffff:ffff:ffff:ffff:ffff:ffff	AN
2800:2f0::	2800:2f0:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:300::	2800:300:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:310::	2800:310:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:320::	2800:320:ffff:ffff:ffff:ffff:ffff:ffff	BO
2800:330::	2800:330:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:340::	2800:340:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:350::	2800:350:ffff:ffff:ffff:ffff:ffff:ffff	PA
2800:360::	2800:360:ffff:ffff:ffff:ffff:ffff:ffff	CU
2800:370::	2800:370:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:380::	2800:380:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:390::	2800:390:ffff:ffff:ffff:ffff:ffff:ffff	BO
2800:3a0::	2800:3a0:ffff:ffff:ffff:ffff:ffff:ffff	PY
2800:3b0::	2800:3b0:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:3c0::	2800:3c0:ffff:ffff:ffff:ffff:ffff:ffff	GY
2800:3d0::	2800:3d0:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:3e0::	2800:3e0:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:3f0::	2800:3f0:ffff:ffff:ffff:ffff:ffff:ffff	AR
2800:400::	2800:400:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:410::	2800:410:ffff:ffff:ffff:ffff:ffff:ffff	BZ
2800:420::	2800:423:ffff:ffff:ffff:ffff:ffff:ffff	TT
2800:430::	2800:430:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:440::	2800:440:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:450::	2800:450:ffff:ffff:ffff:ffff:ffff:ffff	CR
2800:460::	2800:460:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:470::	2800:470:ffff:ffff:ffff:ffff:ffff:ffff	AN
2800:480::	2800:480:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:490::	2800:490:ffff:ffff:ffff:ffff:ffff:ffff	CO
2800:4a0::	2800:4a0:ffff:ffff:ffff:ffff:ffff:ffff	AN
2800:4b0::	2800:4b0:ffff:ffff:ffff:ffff:ffff:ffff	PE
2800:4c0::	2800:4c0:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:4d0::	2800:4d0:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:4e0::	2800:4e0:ffff:ffff:ffff:ffff:ffff:ffff	CL
2800:4f0::	2800:4f0:ffff:ffff:ffff:ffff:ffff:ffff	EC
2800:500::	2800:500:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:510::	2800:510:ffff:ffff:ffff:ffff:ffff:ffff	CR
2800:a000::	2800:a000:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:a008::	2800:a008:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:a010::	2800:a010:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:a018::	2800:a018:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:a020::	2800:a020:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:a028::	2800:a028:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:a030::	2800:a030:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:a038::	2800:a038:ffff:ffff:ffff:ffff:ffff:ffff	VE
2800:b000::	2800:b000:ffff:ffff:ffff:ffff:ffff:ffff	AR
2801::	2801::ffff:ffff:ffff:ffff:ffff	UY
2801:0:10::	2801:0:10:ffff:ffff:ffff:ffff:ffff	CL
2801:0:20::	2801:0:20:ffff:ffff:ffff:ffff:ffff	EC
2801:0:30::	2801:0:30:ffff:ffff:ffff:ffff:ffff	HN
2801:0:40::	2801:0:40:ffff:ffff:ffff:ffff:ffff	TT
2801:0:50::	2801:0:50:ffff:ffff:ffff:ffff:ffff	CL
2801:0:60::	2801:0:60:ffff:ffff:ffff:ffff:ffff	EC
2801:80::	2801:bf:ffff:ffff:ffff:ffff:ffff:ffff	BR
2801:c0::	2801:c0:ffff:ffff:ffff:ffff:ffff:ffff	MX
2801:f0::	2801:f0:0:ffff:ffff:ffff:ffff:ffff	MX
2801:f0:16::	2801:f0:16:ffff:ffff:ffff:ffff:ffff	MX
2801:f0:20::	2801:f0:20:ffff:ffff:ffff:ffff:ffff	MX
2801:f0:28::	2801:f0:28:ffff:ffff:ffff:ffff:ffff	MX
2802::	2802:3:ffff:ffff:ffff:ffff:ffff:ffff	CO
2804::	2804:ffff:ffff:ffff:ffff:ffff:ffff:ffff	BR
2a00::	2a00:3ff:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:800::	2a00:87f:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:c00::	2a00:c00:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:c08::	2a00:c08:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:c10::	2a00:c10:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:c18::	2a00:c18:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:c20::	2a00:c20:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:c28::	2a00:c28:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:c30::	2a00:c30:ffff:ffff:ffff:ffff:ffff:ffff	HR
2a00:c38::	2a00:c38:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:c40::	2a00:c40:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:c48::	2a00:c48:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:c50::	2a00:c50:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:c58::	2a00:c58:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:c60::	2a00:c60:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:c70::	2a00:c70:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:c78::	2a00:c78:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:c80::	2a00:c80:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:c88::	2a00:c88:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a00:c90::	2a00:c90:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:c98::	2a00:c98:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:ca0::	2a00:ca0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:ca8::	2a00:ca8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:cb0::	2a00:cb0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:cb8::	2a00:cb8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:cc0::	2a00:cc0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:cc8::	2a00:cc8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:cd0::	2a00:cd0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:cd8::	2a00:cd8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:ce0::	2a00:ce0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:ce8::	2a00:ce8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:cf0::	2a00:cf0:ffff:ffff:ffff:ffff:ffff:ffff	MC
2a00:cf8::	2a00:cf8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:d00::	2a00:d00:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:d08::	2a00:d08:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:d10::	2a00:d10:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:d18::	2a00:d18:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:d20::	2a00:d20:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:d28::	2a00:d28:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:d30::	2a00:d30:ffff:ffff:ffff:ffff:ffff:ffff	AE
2a00:d38::	2a00:d38:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:d40::	2a00:d40:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:d48::	2a00:d48:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:d50::	2a00:d50:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:d58::	2a00:d58:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:d60::	2a00:d60:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a00:d68::	2a00:d68:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:d70::	2a00:d70:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:d78::	2a00:d78:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:d80::	2a00:d80:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:d88::	2a00:d88:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:d90::	2a00:d90:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:d98::	2a00:d98:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:da0::	2a00:da0:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a00:da8::	2a00:da8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:db0::	2a00:db0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:db8::	2a00:db8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:dc0::	2a00:dc0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:dc8::	2a00:dc8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:dd0::	2a00:dd0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:dd8::	2a00:dd8:ffff:ffff:ffff:ffff:ffff:ffff	HR
2a00:de0::	2a00:de0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:de8::	2a00:de8:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a00:df0::	2a00:df0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:df8::	2a00:df8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:e00::	2a00:e00:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:e08::	2a00:e08:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:e10::	2a00:e10:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:e18::	2a00:e18:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:e20::	2a00:e20:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:e28::	2a00:e28:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:e30::	2a00:e30:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:e38::	2a00:e38:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:e40::	2a00:e40:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a00:e48::	2a00:e48:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:e50::	2a00:e50:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:e58::	2a00:e58:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:e60::	2a00:e60:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:e68::	2a00:e68:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:e70::	2a00:e70:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a00:e78::	2a00:e78:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:e80::	2a00:e80:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:e88::	2a00:e88:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:e90::	2a00:e90:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a00:e98::	2a00:e98:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:ea0::	2a00:ea0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:ea8::	2a00:ea8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:eb0::	2a00:eb0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:eb8::	2a00:eb8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:ec0::	2a00:ec0:ffff:ffff:ffff:ffff:ffff:ffff	LI
2a00:ec8::	2a00:ec8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:ed0::	2a00:ed0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:ed8::	2a00:ed8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a00:ee0::	2a00:ee0:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:ee8::	2a00:ee8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:ef0::	2a00:ef0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:ef8::	2a00:ef8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:f00::	2a00:f00:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:f08::	2a00:f08:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:f10::	2a00:f10:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:f18::	2a00:f18:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:f20::	2a00:f20:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:f28::	2a00:f28:ffff:ffff:ffff:ffff:ffff:ffff	AE
2a00:f30::	2a00:f30:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:f38::	2a00:f38:ffff:ffff:ffff:ffff:ffff:ffff	AM
2a00:f40::	2a00:f40:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:f48::	2a00:f48:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:f50::	2a00:f50:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:f58::	2a00:f58:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:f60::	2a00:f60:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:f68::	2a00:f68:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:f70::	2a00:f70:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:f78::	2a00:f78:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:f80::	2a00:f80:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:f88::	2a00:f88:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:f90::	2a00:f90:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:f98::	2a00:f98:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:fa0::	2a00:fa0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:fa8::	2a00:fa8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:fb0::	2a00:fb0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:fb8::	2a00:fb8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:fc0::	2a00:fc0:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:fc8::	2a00:fc8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:fd0::	2a00:fd0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:fd8::	2a00:fd8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:fe0::	2a00:fe0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:fe8::	2a00:fe8:ffff:ffff:ffff:ffff:ffff:ffff	BA
2a00:ff0::	2a00:ff0:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a00:ff8::	2a00:ff8:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:1000::	2a00:1000:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1008::	2a00:1008:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1010::	2a00:1010:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1018::	2a00:1018:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1020::	2a00:1020:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1028::	2a00:1028:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1030::	2a00:1030:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1038::	2a00:1038:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:1040::	2a00:1040:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1048::	2a00:1048:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1050::	2a00:1050:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1058::	2a00:1058:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1060::	2a00:1060:ffff:ffff:ffff:ffff:ffff:ffff	MT
2a00:1068::	2a00:1068:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1070::	2a00:1070:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1078::	2a00:1078:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1080::	2a00:1080:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1088::	2a00:1088:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1090::	2a00:1090:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1098::	2a00:1098:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:10a0::	2a00:10a0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:10a8::	2a00:10a8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:10b0::	2a00:10b0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:10b8::	2a00:10b8:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:10c0::	2a00:10c0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:10c8::	2a00:10c8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:10d0::	2a00:10d0:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:10d8::	2a00:10d8:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a00:10e0::	2a00:10e0:ffff:ffff:ffff:ffff:ffff:ffff	MD
2a00:10e8::	2a00:10e8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:10f0::	2a00:10f0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:10f8::	2a00:10f8:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a00:1100::	2a00:1100:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1108::	2a00:1108:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a00:1110::	2a00:1110:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:1118::	2a00:1118:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a00:1120::	2a00:1120:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1128::	2a00:1128:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:1130::	2a00:1130:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1138::	2a00:1138:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1140::	2a00:1140:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1148::	2a00:1148:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1150::	2a00:1150:ffff:ffff:ffff:ffff:ffff:ffff	BH
2a00:1158::	2a00:1158:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1160::	2a00:1160:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1168::	2a00:1168:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1170::	2a00:1170:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a00:1178::	2a00:1178:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1180::	2a00:1180:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1188::	2a00:1188:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1190::	2a00:1190:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1198::	2a00:1198:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:11a0::	2a00:11a0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:11a8::	2a00:11a8:ffff:ffff:ffff:ffff:ffff:ffff	OM
2a00:11b0::	2a00:11b0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:11b8::	2a00:11b8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:11c0::	2a00:11c0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:11c8::	2a00:11c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:11d0::	2a00:11d0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:11d8::	2a00:11d8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:11e0::	2a00:11e0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:11e8::	2a00:11e8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:11f0::	2a00:11f0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:11f8::	2a00:11f8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1200::	2a00:1200:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1208::	2a00:1208:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1210::	2a00:1210:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1218::	2a00:1218:ffff:ffff:ffff:ffff:ffff:ffff	MK
2a00:1220::	2a00:1220:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1228::	2a00:1228:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1230::	2a00:1230:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1238::	2a00:1238:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1240::	2a00:1240:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1248::	2a00:1248:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1250::	2a00:1250:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1258::	2a00:1258:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1260::	2a00:1260:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1268::	2a00:1268:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1270::	2a00:1270:ffff:ffff:ffff:ffff:ffff:ffff	JO
2a00:1278::	2a00:1278:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1280::	2a00:1280:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1288::	2a00:1288:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1290::	2a00:1290:ffff:ffff:ffff:ffff:ffff:ffff	AM
2a00:1298::	2a00:1298:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a00:12a0::	2a00:12a0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:12a8::	2a00:12a8:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a00:12b0::	2a00:12b0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:12b8::	2a00:12b8:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a00:12c0::	2a00:12c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:12c8::	2a00:12c8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:12d0::	2a00:12d0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:12d8::	2a00:12d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:12e0::	2a00:12e0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:12e8::	2a00:12e8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:12f0::	2a00:12f0:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a00:12f8::	2a00:12f8:ffff:ffff:ffff:ffff:ffff:ffff	KZ
2a00:1300::	2a00:1300:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1308::	2a00:1308:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1310::	2a00:1310:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a00:1318::	2a00:1318:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1320::	2a00:1320:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1328::	2a00:1328:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1330::	2a00:1330:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:1338::	2a00:1338:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1340::	2a00:1340:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1348::	2a00:1348:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1350::	2a00:1350:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1358::	2a00:1358:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a00:1360::	2a00:1360:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1368::	2a00:1368:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1370::	2a00:1370:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1378::	2a00:1378:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1380::	2a00:1380:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a00:1388::	2a00:1388:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1390::	2a00:1390:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1398::	2a00:1398:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:13a0::	2a00:13a0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:13a8::	2a00:13a8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:13b0::	2a00:13b0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:13b8::	2a00:13b8:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a00:13c0::	2a00:13c0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:13c8::	2a00:13c8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:13d0::	2a00:13d0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:13d8::	2a00:13d8:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:13e0::	2a00:13e0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:13e8::	2a00:13e8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:13f0::	2a00:13f0:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:13f8::	2a00:13f8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1400::	2a00:1400:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1408::	2a00:1408:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1410::	2a00:1410:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1418::	2a00:1418:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1420::	2a00:1420:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1428::	2a00:1428:ffff:ffff:ffff:ffff:ffff:ffff	LT
2a00:1430::	2a00:1430:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1438::	2a00:1438:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1440::	2a00:1440:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1448::	2a00:1448:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1450::	2a00:1450:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a00:1458::	2a00:1458:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1460::	2a00:1460:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1468::	2a00:1468:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1470::	2a00:1470:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1478::	2a00:1478:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1480::	2a00:1480:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a00:1488::	2a00:1488:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1490::	2a00:1490:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1498::	2a00:1498:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:14a0::	2a00:14a0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:14a8::	2a00:14a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:14b0::	2a00:14b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:14b8::	2a00:14b8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:14c0::	2a00:14c0:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:14c8::	2a00:14c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:14d0::	2a00:14d0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:14d8::	2a00:14d8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:14e0::	2a00:14e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:14e8::	2a00:14e8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:14f0::	2a00:14f0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:14f8::	2a00:14f8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1500::	2a00:1500:ffff:ffff:ffff:ffff:ffff:ffff	AM
2a00:1508::	2a00:1508:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a00:1510::	2a00:1510:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1518::	2a00:1518:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1520::	2a00:1520:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1528::	2a00:1528:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1530::	2a00:1530:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:1538::	2a00:1538:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1540::	2a00:1540:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1548::	2a00:1548:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1550::	2a00:1550:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1558::	2a00:1558:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1560::	2a00:1560:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a00:1568::	2a00:1568:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1570::	2a00:1570:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:1578::	2a00:1578:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1580::	2a00:1580:ffff:ffff:ffff:ffff:ffff:ffff	LB
2a00:1588::	2a00:1588:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1590::	2a00:1590:ffff:ffff:ffff:ffff:ffff:ffff	LB
2a00:1598::	2a00:1598:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:15a0::	2a00:15a0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:15a8::	2a00:15a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:15b0::	2a00:15b0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:15b8::	2a00:15b8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a00:15c0::	2a00:15c0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:15c8::	2a00:15c8:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:15d0::	2a00:15d0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:15d8::	2a00:15d8:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a00:15e0::	2a00:15e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:15e8::	2a00:15e8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:15f0::	2a00:15f0:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:15f8::	2a00:15f8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1600::	2a00:1600:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1608::	2a00:1608:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:1610::	2a00:1610:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1618::	2a00:1618:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1620::	2a00:1620:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1628::	2a00:1628:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1630::	2a00:1630:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1638::	2a00:1638:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1640::	2a00:1640:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1648::	2a00:1648:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1650::	2a00:1650:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a00:1658::	2a00:1658:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1660::	2a00:1660:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a00:1668::	2a00:1668:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1670::	2a00:1670:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1678::	2a00:1678:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1680::	2a00:1680:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1688::	2a00:1688:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1690::	2a00:1690:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1698::	2a00:1698:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a00:16a0::	2a00:16a0:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:16a8::	2a00:16a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:16b0::	2a00:16b0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:16b8::	2a00:16b8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a00:16c0::	2a00:16c0:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a00:16c8::	2a00:16c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:16d0::	2a00:16d0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:16d8::	2a00:16d8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:16e0::	2a00:16e0:ffff:ffff:ffff:ffff:ffff:ffff	EE
2a00:16e8::	2a00:16e8:ffff:ffff:ffff:ffff:ffff:ffff	LB
2a00:16f0::	2a00:16f0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:16f8::	2a00:16f8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1700::	2a00:1700:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1708::	2a00:1708:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1710::	2a00:1710:ffff:ffff:ffff:ffff:ffff:ffff	LB
2a00:1718::	2a00:1718:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1720::	2a00:1720:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1728::	2a00:1728:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a00:1730::	2a00:1730:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1738::	2a00:1738:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1740::	2a00:1740:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:1748::	2a00:1748:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1750::	2a00:1750:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1758::	2a00:1758:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:1760::	2a00:1760:ffff:ffff:ffff:ffff:ffff:ffff	BY
2a00:1768::	2a00:1768:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1770::	2a00:1770:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:1778::	2a00:1778:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1780::	2a00:1780:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a00:1788::	2a00:1788:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1790::	2a00:1790:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1798::	2a00:1798:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:17a0::	2a00:17a0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:17a8::	2a00:17a8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:17b0::	2a00:17b0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:17b8::	2a00:17b8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:17c0::	2a00:17c0:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a00:17c8::	2a00:17c8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:17d0::	2a00:17d0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:17d8::	2a00:17d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:17e0::	2a00:17e0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:17e8::	2a00:17e8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:17f0::	2a00:17f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:17f8::	2a00:17f8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1800::	2a00:1800:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1808::	2a00:1808:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1810::	2a00:1810:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a00:1818::	2a00:1818:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1820::	2a00:1820:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1828::	2a00:1828:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1830::	2a00:1830:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1838::	2a00:1838:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1840::	2a00:1840:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a00:1848::	2a00:1848:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1850::	2a00:1850:ffff:ffff:ffff:ffff:ffff:ffff	KW
2a00:1858::	2a00:1858:ffff:ffff:ffff:ffff:ffff:ffff	MD
2a00:1860::	2a00:1860:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1868::	2a00:1868:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1870::	2a00:1870:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1878::	2a00:1878:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:1880::	2a00:1880:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a00:1888::	2a00:1888:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1890::	2a00:1890:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1898::	2a00:1898:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:18a0::	2a00:18a0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:18a8::	2a00:18a8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:18b0::	2a00:18b0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:18b8::	2a00:18b8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:18c0::	2a00:18c0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:18c8::	2a00:18c8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:18d0::	2a00:18d0:ffff:ffff:ffff:ffff:ffff:ffff	JO
2a00:18d8::	2a00:18d8:ffff:ffff:ffff:ffff:ffff:ffff	JO
2a00:18e0::	2a00:18e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:18e8::	2a00:18e8:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a00:18f0::	2a00:18f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:18f8::	2a00:18f8:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a00:1900::	2a00:1900:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1908::	2a00:1908:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1910::	2a00:1910:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1918::	2a00:1918:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a00:1920::	2a00:1920:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1928::	2a00:1928:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1930::	2a00:1930:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1938::	2a00:1938:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1940::	2a00:1940:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1948::	2a00:1948:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1950::	2a00:1950:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1958::	2a00:1958:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1960::	2a00:1960:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1968::	2a00:1968:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1970::	2a00:1970:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1978::	2a00:1978:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1980::	2a00:1980:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1988::	2a00:1988:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1990::	2a00:1990:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1998::	2a00:1998:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:19a0::	2a00:19a0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:19a8::	2a00:19a8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:19b0::	2a00:19b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:19b8::	2a00:19b8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:19c0::	2a00:19c0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:19c8::	2a00:19c8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:19d0::	2a00:19d0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:19d8::	2a00:19d8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:19e0::	2a00:19e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:19e8::	2a00:19e8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:19f0::	2a00:19f0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:19f8::	2a00:19f8:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1a00::	2a00:1a00:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1a08::	2a00:1a08:ffff:ffff:ffff:ffff:ffff:ffff	KZ
2a00:1a10::	2a00:1a10:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1a18::	2a00:1a18:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1a20::	2a00:1a20:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1a28::	2a00:1a28:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1a30::	2a00:1a30:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1a38::	2a00:1a38:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1a40::	2a00:1a40:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1a48::	2a00:1a48:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1a50::	2a00:1a50:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1a58::	2a00:1a58:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1a60::	2a00:1a60:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1a68::	2a00:1a68:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1a70::	2a00:1a70:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1a78::	2a00:1a78:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1a80::	2a00:1a80:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1a88::	2a00:1a88:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:1a90::	2a00:1a90:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1a98::	2a00:1a98:ffff:ffff:ffff:ffff:ffff:ffff	BA
2a00:1aa0::	2a00:1aa0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1aa8::	2a00:1aa8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1ab0::	2a00:1ab0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1ab8::	2a00:1ab8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1ac0::	2a00:1ac0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1ac8::	2a00:1ac8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1ad0::	2a00:1ad0:ffff:ffff:ffff:ffff:ffff:ffff	LB
2a00:1ad8::	2a00:1ad8:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1ae0::	2a00:1ae0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1ae8::	2a00:1ae8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1af0::	2a00:1af0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1af8::	2a00:1af8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1b00::	2a00:1b00:ffff:ffff:ffff:ffff:ffff:ffff	AE
2a00:1b08::	2a00:1b08:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1b10::	2a00:1b10:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1b18::	2a00:1b18:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1b20::	2a00:1b20:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1b28::	2a00:1b28:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1b30::	2a00:1b30:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1b38::	2a00:1b38:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1b40::	2a00:1b40:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1b48::	2a00:1b48:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1b50::	2a00:1b50:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1b58::	2a00:1b58:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1b60::	2a00:1b60:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1b68::	2a00:1b68:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1b70::	2a00:1b70:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1b78::	2a00:1b78:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1b80::	2a00:1b80:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1b88::	2a00:1b88:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1b90::	2a00:1b90:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:1b98::	2a00:1b98:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1ba0::	2a00:1ba0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1ba8::	2a00:1ba8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1bb0::	2a00:1bb0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1bb8::	2a00:1bb8:ffff:ffff:ffff:ffff:ffff:ffff	HR
2a00:1bc0::	2a00:1bc0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1bc8::	2a00:1bc8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1bd0::	2a00:1bd0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1bd8::	2a00:1bd8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1be0::	2a00:1be0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1be8::	2a00:1be8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1bf0::	2a00:1bf0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1bf8::	2a00:1bf8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1c00::	2a00:1c00:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1c08::	2a00:1c08:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1c10::	2a00:1c10:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1c18::	2a00:1c18:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1c20::	2a00:1c20:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1c28::	2a00:1c28:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1c30::	2a00:1c30:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1c38::	2a00:1c38:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1c40::	2a00:1c40:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1c48::	2a00:1c48:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1c50::	2a00:1c50:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1c58::	2a00:1c58:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1c60::	2a00:1c60:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a00:1c68::	2a00:1c68:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1c70::	2a00:1c70:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1c78::	2a00:1c78:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1c80::	2a00:1c80:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1c88::	2a00:1c88:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1c90::	2a00:1c90:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1c98::	2a00:1c98:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1ca0::	2a00:1ca0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1ca8::	2a00:1ca8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1cb0::	2a00:1cb0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1cb8::	2a00:1cb8:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a00:1cc0::	2a00:1cc0:ffff:ffff:ffff:ffff:ffff:ffff	MT
2a00:1cc8::	2a00:1cc8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1cd0::	2a00:1cd0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1cd8::	2a00:1cd8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1ce0::	2a00:1ce0:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:1ce8::	2a00:1ce8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1cf0::	2a00:1cf0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1cf8::	2a00:1cf8:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a00:1d00::	2a00:1d00:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1d08::	2a00:1d08:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1d10::	2a00:1d10:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a00:1d18::	2a00:1d18:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1d20::	2a00:1d20:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1d28::	2a00:1d28:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1d30::	2a00:1d30:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a00:1d38::	2a00:1d38:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1d40::	2a00:1d40:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1d48::	2a00:1d48:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1d50::	2a00:1d50:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1d58::	2a00:1d58:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a00:1d60::	2a00:1d60:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1d68::	2a00:1d68:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1d70::	2a00:1d70:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a00:1d78::	2a00:1d78:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1d80::	2a00:1d80:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1d88::	2a00:1d88:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1d90::	2a00:1d90:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1d98::	2a00:1d98:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1da0::	2a00:1da0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1da8::	2a00:1da8:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a00:1db0::	2a00:1db0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1db8::	2a00:1db8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1dc0::	2a00:1dc0:ffff:ffff:ffff:ffff:ffff:ffff	MD
2a00:1dc8::	2a00:1dc8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1dd0::	2a00:1dd0:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1dd8::	2a00:1dd8:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a00:1de0::	2a00:1de0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1de8::	2a00:1de8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1df0::	2a00:1df0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1df8::	2a00:1df8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1e00::	2a00:1e00:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1e08::	2a00:1e08:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1e10::	2a00:1e10:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1e18::	2a00:1e18:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1e20::	2a00:1e20:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1e28::	2a00:1e28:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1e30::	2a00:1e30:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1e38::	2a00:1e38:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1e40::	2a00:1e40:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a00:1e48::	2a00:1e48:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1e50::	2a00:1e50:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1e58::	2a00:1e58:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1e60::	2a00:1e60:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1e68::	2a00:1e68:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1e70::	2a00:1e70:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1e78::	2a00:1e78:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1e80::	2a00:1e80:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1e88::	2a00:1e88:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1e90::	2a00:1e90:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1e98::	2a00:1e98:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a00:1ea0::	2a00:1ea0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1ea8::	2a00:1ea8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1eb0::	2a00:1eb0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a00:1eb8::	2a00:1eb8:ffff:ffff:ffff:ffff:ffff:ffff	LT
2a00:1ec0::	2a00:1ec0:ffff:ffff:ffff:ffff:ffff:ffff	CY
2a00:1ec8::	2a00:1ec8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1ed0::	2a00:1ed0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a00:1ed8::	2a00:1ed8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a00:1ee0::	2a00:1ee0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1ee8::	2a00:1ee8:ffff:ffff:ffff:ffff:ffff:ffff	SY
2a00:1ef0::	2a00:1ef0:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a00:1ef8::	2a00:1ef8:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a00:1f00::	2a00:1f00:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1f08::	2a00:1f08:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1f10::	2a00:1f10:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1f18::	2a00:1f18:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a00:1f20::	2a00:1f20:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a00:1f28::	2a00:1f28:ffff:ffff:ffff:ffff:ffff:ffff	AM
2a00:1f30::	2a00:1f30:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1f38::	2a00:1f38:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1f40::	2a00:1f40:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a00:1f48::	2a00:1f48:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a00:1f50::	2a00:1f50:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1f58::	2a00:1f58:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1f60::	2a00:1f60:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1f68::	2a00:1f68:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a00:1f70::	2a00:1f70:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1f78::	2a00:1f78:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1f80::	2a00:1f80:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a00:1f88::	2a00:1f88:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a00:1f90::	2a00:1f90:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a00:1f98::	2a00:1f98:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a00:1fa0::	2a00:1fa0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1fa8::	2a00:1fa8:ffff:ffff:ffff:ffff:ffff:ffff	GL
2a00:1fb0::	2a00:1fb0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1fb8::	2a00:1fb8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a00:1fc0::	2a00:1fc0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a00:1fc8::	2a00:1fc8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a00:1fd0::	2a00:1fd0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a00:1fd8::	2a00:1fd8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1fe0::	2a00:1fe0:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a00:1fe8::	2a00:1fe8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:1ff0::	2a00:1ff0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a00:1ff8::	2a00:1ff8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a00:2000::	2a00:23ff:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01::	2a01:0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:8::	2a01:8:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a01:10::	2a01:10:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a01:18::	2a01:18:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a01:20::	2a01:20:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:28::	2a01:28:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:30::	2a01:30:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:38::	2a01:38:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a01:40::	2a01:40:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:48::	2a01:48:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a01:50::	2a01:50:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:58::	2a01:58:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:60::	2a01:60:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a01:68::	2a01:68:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:70::	2a01:70:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:78::	2a01:78:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:80::	2a01:80:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a01:88::	2a01:88:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:90::	2a01:90:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:98::	2a01:98:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:a0::	2a01:a0:ffff:ffff:ffff:ffff:ffff:ffff	MT
2a01:a8::	2a01:a8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:b0::	2a01:b1:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a01:b8::	2a01:b8:ffff:ffff:ffff:ffff:ffff:ffff	VA
2a01:c0::	2a01:c0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:c8::	2a01:c8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:d0::	2a01:d0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a01:d8::	2a01:d8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:e0::	2a01:e0:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a01:e8::	2a01:e8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:f0::	2a01:f0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a01:f8::	2a01:f8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a01:100::	2a01:100:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a01:108::	2a01:108:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a01:110::	2a01:111:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:120::	2a01:120:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:128::	2a01:128:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a01:130::	2a01:130:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:138::	2a01:138:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:140::	2a01:140:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:148::	2a01:148:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:150::	2a01:150:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:158::	2a01:158:ffff:ffff:ffff:ffff:ffff:ffff	EE
2a01:160::	2a01:160:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:168::	2a01:168:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:170::	2a01:170:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:178::	2a01:178:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:180::	2a01:180:ffff:ffff:ffff:ffff:ffff:ffff	MT
2a01:188::	2a01:188:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a01:190::	2a01:190:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a01:198::	2a01:198:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:1a0::	2a01:1a0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a01:1a8::	2a01:1a8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:1b0::	2a01:1b0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:1b8::	2a01:1b8:ffff:ffff:ffff:ffff:ffff:ffff	EE
2a01:1c0::	2a01:1c0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:1c8::	2a01:1c8:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a01:1d0::	2a01:1d0:ffff:ffff:ffff:ffff:ffff:ffff	JO
2a01:1d8::	2a01:1d8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a01:1e0::	2a01:1e0:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:1e8::	2a01:1e8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:1f0::	2a01:1f0:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a01:1f8::	2a01:1f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:200::	2a01:200:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:208::	2a01:208:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:210::	2a01:210:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:218::	2a01:218:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a01:220::	2a01:220:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:228::	2a01:228:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:230::	2a01:230:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a01:238::	2a01:238:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:240::	2a01:240:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:248::	2a01:248:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:250::	2a01:250:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a01:258::	2a01:258:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:260::	2a01:260:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a01:268::	2a01:268:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:270::	2a01:270:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a01:278::	2a01:278:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:280::	2a01:280:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:288::	2a01:288:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a01:290::	2a01:290:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:298::	2a01:298:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:2a0::	2a01:2a0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:2a8::	2a01:2a8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:2b0::	2a01:2b0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:2b8::	2a01:2b8:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a01:2c0::	2a01:2c0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:2c8::	2a01:2c8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:2d0::	2a01:2d0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:2d8::	2a01:2d8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a01:2e0::	2a01:2ef:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a01:300::	2a01:300:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a01:308::	2a01:308:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:310::	2a01:310:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:318::	2a01:318:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a01:320::	2a01:320:ffff:ffff:ffff:ffff:ffff:ffff	MD
2a01:328::	2a01:328:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a01:330::	2a01:330:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:338::	2a01:338:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a01:340::	2a01:340:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:348::	2a01:348:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:350::	2a01:350:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:358::	2a01:358:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a01:360::	2a01:360:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:368::	2a01:368:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a01:370::	2a01:370:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:378::	2a01:378:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:380::	2a01:380:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:388::	2a01:388:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:390::	2a01:390:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a01:398::	2a01:398:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:3a0::	2a01:3a0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a01:3a8::	2a01:3a8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:3b0::	2a01:3b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:3b8::	2a01:3b8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:3c0::	2a01:3c0:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a01:3c8::	2a01:3c8:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a01:3d0::	2a01:3d0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:3d8::	2a01:3d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:3e0::	2a01:3e0:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a01:3e8::	2a01:3e8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a01:3f0::	2a01:3f0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:3f8::	2a01:3f8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:400::	2a01:400:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:408::	2a01:408:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:410::	2a01:410:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:418::	2a01:418:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:420::	2a01:420:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:428::	2a01:428:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:430::	2a01:430:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:438::	2a01:438:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:440::	2a01:440:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:448::	2a01:448:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:450::	2a01:450:ffff:ffff:ffff:ffff:ffff:ffff	IM
2a01:458::	2a01:458:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a01:460::	2a01:460:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:468::	2a01:468:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a01:470::	2a01:470:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a01:478::	2a01:478:ffff:ffff:ffff:ffff:ffff:ffff	BA
2a01:480::	2a01:480:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:488::	2a01:488:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:490::	2a01:490:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:498::	2a01:498:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a01:4a0::	2a01:4a0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:4a8::	2a01:4a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:4b0::	2a01:4b0:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:4b8::	2a01:4b8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:4c0::	2a01:4c0:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a01:4c8::	2a01:4c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:4d0::	2a01:4d0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:4d8::	2a01:4d8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:4e0::	2a01:4e0:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a01:4e8::	2a01:4e8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:4f0::	2a01:4f0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a01:4f8::	2a01:4f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:500::	2a01:500:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:508::	2a01:508:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:510::	2a01:510:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:518::	2a01:518:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:520::	2a01:520:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:528::	2a01:528:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a01:530::	2a01:530:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:538::	2a01:538:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:540::	2a01:540:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:548::	2a01:548:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:550::	2a01:550:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:558::	2a01:558:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a01:560::	2a01:560:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:568::	2a01:568:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:570::	2a01:570:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:578::	2a01:578:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a01:580::	2a01:580:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:588::	2a01:588:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:590::	2a01:590:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:598::	2a01:598:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:5a0::	2a01:5a0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:5a8::	2a01:5a8:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a01:5b0::	2a01:5b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:5b8::	2a01:5b8:ffff:ffff:ffff:ffff:ffff:ffff	MK
2a01:5c0::	2a01:5c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:5c8::	2a01:5c8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:5d0::	2a01:5d0:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a01:5d8::	2a01:5d8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:5e0::	2a01:5e0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:5e8::	2a01:5e8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a01:5f0::	2a01:5f0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a01:5f8::	2a01:5f8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:600::	2a01:600:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:608::	2a01:608:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a01:610::	2a01:610:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:618::	2a01:618:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:620::	2a01:620:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:628::	2a01:628:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:630::	2a01:630:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a01:638::	2a01:638:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a01:640::	2a01:640:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a01:648::	2a01:648:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:650::	2a01:650:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:658::	2a01:658:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a01:660::	2a01:660:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:668::	2a01:668:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:670::	2a01:670:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:678::	2a01:678:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:680::	2a01:680:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:688::	2a01:688:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:690::	2a01:690:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a01:698::	2a01:698:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a01:6a0::	2a01:6a0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a01:6a8::	2a01:6a8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:6b0::	2a01:6b0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a01:6b8::	2a01:6b8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:6c0::	2a01:6c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:6c8::	2a01:6c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:6d0::	2a01:6d0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a01:6d8::	2a01:6d8:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a01:6e0::	2a01:6e0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:6e8::	2a01:6e8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a01:6f0::	2a01:6f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:6f8::	2a01:6f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:700::	2a01:700:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:708::	2a01:708:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:710::	2a01:710:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:718::	2a01:718:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a01:720::	2a01:720:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a01:728::	2a01:728:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:730::	2a01:730:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a01:738::	2a01:738:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:740::	2a01:740:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:748::	2a01:748:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a01:750::	2a01:750:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a01:758::	2a01:758:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a01:760::	2a01:760:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:768::	2a01:768:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a01:770::	2a01:770:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a01:778::	2a01:778:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a01:780::	2a01:780:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:788::	2a01:788:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:790::	2a01:790:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a01:798::	2a01:798:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a01:7a0::	2a01:7a0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:7a8::	2a01:7a8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:7b0::	2a01:7b0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:7b8::	2a01:7b8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a01:7c0::	2a01:7c0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a01:7c8::	2a01:7c8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a01:7d0::	2a01:7d0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a01:7d8::	2a01:7d8:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a01:7e0::	2a01:7e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:7e8::	2a01:7e8:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a01:7f0::	2a01:7f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:7f8::	2a01:7f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:800::	2a01:8ff:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:c00::	2a01:c3f:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a01:e00::	2a01:e3f:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a01:1000::	2a01:17ff:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a01:2000::	2a01:2fff:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a01:c000::	2a01:dfff:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02::	2a02:0:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a02:8::	2a02:8:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a02:10::	2a02:10:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:18::	2a02:18:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:20::	2a02:20:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:28::	2a02:28:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:30::	2a02:30:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:38::	2a02:38:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:40::	2a02:40:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:48::	2a02:48:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a02:50::	2a02:50:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:58::	2a02:58:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:60::	2a02:60:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:68::	2a02:68:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:70::	2a02:70:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:78::	2a02:78:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:80::	2a02:80:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:88::	2a02:88:ffff:ffff:ffff:ffff:ffff:ffff	EE
2a02:90::	2a02:90:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:98::	2a02:98:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:a0::	2a02:a0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:a8::	2a02:a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:b0::	2a02:b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:b8::	2a02:b8:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a02:c0::	2a02:c0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:c8::	2a02:c8:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:d0::	2a02:d0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:d8::	2a02:d8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:e0::	2a02:e0:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:e8::	2a02:e8:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:f0::	2a02:f0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:f8::	2a02:f8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:100::	2a02:100:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:108::	2a02:108:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:110::	2a02:110:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:118::	2a02:118:ffff:ffff:ffff:ffff:ffff:ffff	LT
2a02:120::	2a02:120:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:128::	2a02:128:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:130::	2a02:130:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a02:138::	2a02:138:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a02:140::	2a02:140:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:148::	2a02:148:ffff:ffff:ffff:ffff:ffff:ffff	IL
2a02:150::	2a02:150:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:158::	2a02:158:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:160::	2a02:160:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:168::	2a02:168:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:170::	2a02:170:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:178::	2a02:178:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:180::	2a02:180:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:188::	2a02:188:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:190::	2a02:190:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:198::	2a02:198:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:1a0::	2a02:1a0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1a8::	2a02:1a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1b0::	2a02:1b0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:1b8::	2a02:1b8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:1c0::	2a02:1c0:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a02:1c8::	2a02:1c8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1d0::	2a02:1d0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:1d8::	2a02:1d8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:1e0::	2a02:1e0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1e8::	2a02:1e8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1f0::	2a02:1f0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:1f8::	2a02:1f8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:200::	2a02:200:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:208::	2a02:208:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:210::	2a02:210:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:218::	2a02:218:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:220::	2a02:220:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:228::	2a02:228:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:230::	2a02:230:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:238::	2a02:238:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:240::	2a02:240:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:248::	2a02:248:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:250::	2a02:250:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:258::	2a02:258:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:260::	2a02:260:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:268::	2a02:268:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:270::	2a02:270:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:278::	2a02:278:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:280::	2a02:280:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:288::	2a02:288:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:290::	2a02:290:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:298::	2a02:298:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2a0::	2a02:2a0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:2a8::	2a02:2a8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:2b0::	2a02:2b0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2b8::	2a02:2b8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2c0::	2a02:2c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2c8::	2a02:2c8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:2d0::	2a02:2d0:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:2d8::	2a02:2d8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2e0::	2a02:2e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2e8::	2a02:2e8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:2f0::	2a02:2f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2f8::	2a02:2f8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:300::	2a02:300:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:308::	2a02:308:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:310::	2a02:310:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:318::	2a02:318:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:320::	2a02:320:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:328::	2a02:328:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:330::	2a02:330:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:338::	2a02:338:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:340::	2a02:340:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:348::	2a02:348:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:350::	2a02:350:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:358::	2a02:358:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:360::	2a02:360:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:368::	2a02:368:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:370::	2a02:370:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:378::	2a02:378:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:380::	2a02:380:ffff:ffff:ffff:ffff:ffff:ffff	LI
2a02:388::	2a02:388:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:390::	2a02:390:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:398::	2a02:398:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:3a0::	2a02:3a0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:3a8::	2a02:3a8:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a02:3b0::	2a02:3b0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:3b8::	2a02:3b8:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:3c0::	2a02:3c0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:3c8::	2a02:3c8:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a02:3d0::	2a02:3d0:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a02:3d8::	2a02:3d8:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:3e0::	2a02:3e0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:3e8::	2a02:3e8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:3f0::	2a02:3f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:3f8::	2a02:3f8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:400::	2a02:400:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:408::	2a02:408:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:410::	2a02:410:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:418::	2a02:418:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:420::	2a02:420:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:428::	2a02:428:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:430::	2a02:430:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:438::	2a02:438:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:440::	2a02:440:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:448::	2a02:448:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:450::	2a02:450:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:458::	2a02:458:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:460::	2a02:460:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:468::	2a02:468:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:470::	2a02:470:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:478::	2a02:478:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:480::	2a02:480:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:488::	2a02:488:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:490::	2a02:490:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:498::	2a02:498:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:4a0::	2a02:4a0:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:4a8::	2a02:4a8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:4b0::	2a02:4b0:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:4b8::	2a02:4b8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:4c0::	2a02:4c0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:4c8::	2a02:4c8:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a02:4d0::	2a02:4d0:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:4d8::	2a02:4d8:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a02:4e0::	2a02:4e0:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:4e8::	2a02:4e8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:4f0::	2a02:4f0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:4f8::	2a02:4f8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:500::	2a02:500:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a02:508::	2a02:508:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:510::	2a02:510:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:518::	2a02:518:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:520::	2a02:520:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:528::	2a02:528:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:530::	2a02:530:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:538::	2a02:538:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:540::	2a02:540:ffff:ffff:ffff:ffff:ffff:ffff	CY
2a02:548::	2a02:548:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:550::	2a02:550:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:558::	2a02:558:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a02:560::	2a02:560:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:568::	2a02:568:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:570::	2a02:570:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:578::	2a02:578:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:580::	2a02:580:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a02:588::	2a02:588:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:590::	2a02:590:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:598::	2a02:598:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:5a0::	2a02:5a0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:5a8::	2a02:5a8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:5b0::	2a02:5b0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:5b8::	2a02:5b8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:5c0::	2a02:5c0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:5c8::	2a02:5c8:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a02:5d0::	2a02:5d0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:5d8::	2a02:5d8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:5e0::	2a02:5e0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:5e8::	2a02:5e8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:5f0::	2a02:5f0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:5f8::	2a02:5f8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:600::	2a02:600:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:608::	2a02:608:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:610::	2a02:610:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a02:620::	2a02:620:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:628::	2a02:628:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a02:630::	2a02:630:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:638::	2a02:638:ffff:ffff:ffff:ffff:ffff:ffff	GI
2a02:640::	2a02:640:ffff:ffff:ffff:ffff:ffff:ffff	CY
2a02:648::	2a02:648:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:650::	2a02:650:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:658::	2a02:658:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:660::	2a02:660:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a02:668::	2a02:668:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:670::	2a02:670:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:678::	2a02:678:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a02:680::	2a02:680:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:688::	2a02:688:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:690::	2a02:690:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:698::	2a02:698:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:6a0::	2a02:6a0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:6a8::	2a02:6a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:6b0::	2a02:6b0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:6b8::	2a02:6b8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:6c0::	2a02:6c0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:6c8::	2a02:6c8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:6d0::	2a02:6d0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:6d8::	2a02:6d8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:6e0::	2a02:6e0:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:6e8::	2a02:6e8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:6f0::	2a02:6f0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:6f8::	2a02:6f8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:700::	2a02:700:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:708::	2a02:708:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:710::	2a02:710:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:718::	2a02:718:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:720::	2a02:720:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:728::	2a02:728:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:730::	2a02:730:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a02:738::	2a02:738:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a02:740::	2a02:740:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a02:748::	2a02:748:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:750::	2a02:750:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:758::	2a02:758:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:760::	2a02:760:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:768::	2a02:768:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:770::	2a02:770:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a02:778::	2a02:778:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:780::	2a02:780:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a02:788::	2a02:788:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:790::	2a02:790:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:798::	2a02:798:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:7a0::	2a02:7a0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:7a8::	2a02:7a8:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:7b0::	2a02:7b0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:7b8::	2a02:7b8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:7c0::	2a02:7c0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:7c8::	2a02:7c8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:7d0::	2a02:7d0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:7d8::	2a02:7d8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:7e0::	2a02:7e0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:7e8::	2a02:7e8:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:7f0::	2a02:7f0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:7f8::	2a02:7f8:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a02:800::	2a02:800:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:808::	2a02:808:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a02:810::	2a02:810:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:818::	2a02:818:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a02:820::	2a02:820:ffff:ffff:ffff:ffff:ffff:ffff	KG
2a02:828::	2a02:828:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a02:830::	2a02:830:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:838::	2a02:838:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:840::	2a02:840:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:848::	2a02:848:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:850::	2a02:850:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:858::	2a02:858:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a02:860::	2a02:860:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:868::	2a02:868:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:870::	2a02:870:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a02:878::	2a02:878:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:880::	2a02:880:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:888::	2a02:888:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a02:890::	2a02:890:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:898::	2a02:898:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:8a0::	2a02:8a0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:8a8::	2a02:8a8:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:8b0::	2a02:8b0:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:8b8::	2a02:8b8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:8c0::	2a02:8c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:8c8::	2a02:8c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:8d0::	2a02:8d0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:8d8::	2a02:8d8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:8e0::	2a02:8e0:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a02:8e8::	2a02:8e8:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:8f0::	2a02:8f0:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a02:8f8::	2a02:8f8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:900::	2a02:900:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a02:908::	2a02:908:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:910::	2a02:910:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:918::	2a02:918:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:920::	2a02:920:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:928::	2a02:928:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:930::	2a02:930:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:938::	2a02:938:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:940::	2a02:940:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:948::	2a02:948:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a02:950::	2a02:950:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:958::	2a02:958:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:960::	2a02:960:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:968::	2a02:968:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:970::	2a02:970:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:978::	2a02:978:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:980::	2a02:980:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:988::	2a02:988:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:990::	2a02:990:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:998::	2a02:998:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:9a0::	2a02:9a0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:9a8::	2a02:9a8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:9b0::	2a02:9b0:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a02:9b8::	2a02:9b8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:9c0::	2a02:9c0:ffff:ffff:ffff:ffff:ffff:ffff	JO
2a02:9c8::	2a02:9c8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:9d0::	2a02:9d0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:9d8::	2a02:9d8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:9e0::	2a02:9e0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:9e8::	2a02:9e8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:9f0::	2a02:9f0:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a02:9f8::	2a02:9f8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:a00::	2a02:a00:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:a08::	2a02:a08:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:a10::	2a02:a10:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:a18::	2a02:a18:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:a20::	2a02:a20:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:a28::	2a02:a28:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:a30::	2a02:a30:ffff:ffff:ffff:ffff:ffff:ffff	MD
2a02:a38::	2a02:a38:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:a40::	2a02:a40:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:a48::	2a02:a48:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:a50::	2a02:a50:ffff:ffff:ffff:ffff:ffff:ffff	HU
2a02:a58::	2a02:a58:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a02:a60::	2a02:a60:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:a68::	2a02:a68:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a02:a70::	2a02:a70:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:a78::	2a02:a78:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:a80::	2a02:a80:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:a88::	2a02:a88:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a02:a90::	2a02:a90:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:a98::	2a02:a98:ffff:ffff:ffff:ffff:ffff:ffff	UZ
2a02:aa0::	2a02:aa0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:aa8::	2a02:aa8:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:ab0::	2a02:ab0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:ab8::	2a02:ab8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:ac0::	2a02:ac0:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:ac8::	2a02:ac8:ffff:ffff:ffff:ffff:ffff:ffff	HR
2a02:ad0::	2a02:ad0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:ad8::	2a02:ad8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:ae0::	2a02:ae0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:ae8::	2a02:ae8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:af0::	2a02:af0:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:af8::	2a02:af8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:b00::	2a02:b00:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:b08::	2a02:b08:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:b10::	2a02:b10:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:b18::	2a02:b18:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:b20::	2a02:b20:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:b28::	2a02:b28:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:b30::	2a02:b30:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:b38::	2a02:b38:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:b40::	2a02:b40:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:b48::	2a02:b48:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:b50::	2a02:b50:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:b58::	2a02:b58:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a02:b60::	2a02:b60:ffff:ffff:ffff:ffff:ffff:ffff	IQ
2a02:b68::	2a02:b68:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:b70::	2a02:b70:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:b78::	2a02:b78:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:b80::	2a02:b80:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:b88::	2a02:b88:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:b90::	2a02:b90:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:b98::	2a02:b98:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:ba0::	2a02:ba0:ffff:ffff:ffff:ffff:ffff:ffff	IL
2a02:ba8::	2a02:ba8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:bb0::	2a02:bb0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:bb8::	2a02:bb8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:bc0::	2a02:bc0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:bc8::	2a02:bc8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:bd0::	2a02:bd0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:bd8::	2a02:bd8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:be0::	2a02:be0:ffff:ffff:ffff:ffff:ffff:ffff	CY
2a02:be8::	2a02:be8:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:bf0::	2a02:bf0:ffff:ffff:ffff:ffff:ffff:ffff	BY
2a02:bf8::	2a02:bf8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:c00::	2a02:c00:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:c08::	2a02:c08:ffff:ffff:ffff:ffff:ffff:ffff	KW
2a02:c10::	2a02:c10:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:c18::	2a02:c18:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:c20::	2a02:c20:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:c28::	2a02:c28:ffff:ffff:ffff:ffff:ffff:ffff	JE
2a02:c30::	2a02:c30:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:c38::	2a02:c38:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:c40::	2a02:c40:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:c48::	2a02:c48:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:c50::	2a02:c50:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:c58::	2a02:c58:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:c60::	2a02:c60:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:c68::	2a02:c68:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:c70::	2a02:c70:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:c78::	2a02:c78:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:c80::	2a02:c80:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a02:c88::	2a02:c88:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:c90::	2a02:c90:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:c98::	2a02:c98:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:ca0::	2a02:ca0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:ca8::	2a02:ca8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:cb0::	2a02:cb0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:cb8::	2a02:cb8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:cc0::	2a02:cc0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:cc8::	2a02:cc8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:cd0::	2a02:cd0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:cd8::	2a02:cd8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:ce0::	2a02:ce0:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a02:ce8::	2a02:ce8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:cf0::	2a02:cf0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:cf8::	2a02:cf8:ffff:ffff:ffff:ffff:ffff:ffff	PT
2a02:d00::	2a02:d00:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:d08::	2a02:d08:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:d10::	2a02:d10:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a02:d18::	2a02:d18:ffff:ffff:ffff:ffff:ffff:ffff	AM
2a02:d20::	2a02:d20:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:d28::	2a02:d28:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:d30::	2a02:d30:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a02:d38::	2a02:d38:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:d40::	2a02:d40:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:d48::	2a02:d48:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:d50::	2a02:d50:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:d58::	2a02:d58:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:d60::	2a02:d60:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:d68::	2a02:d68:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:d70::	2a02:d70:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a02:d78::	2a02:d78:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:d80::	2a02:d80:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:d88::	2a02:d88:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:d90::	2a02:d90:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:d98::	2a02:d98:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:da0::	2a02:da0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:da8::	2a02:da8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:db0::	2a02:db0:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:db8::	2a02:db8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:dc0::	2a02:dc0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:dc8::	2a02:dc8:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:dd0::	2a02:dd0:ffff:ffff:ffff:ffff:ffff:ffff	MT
2a02:dd8::	2a02:dd8:ffff:ffff:ffff:ffff:ffff:ffff	SK
2a02:de0::	2a02:de0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:de8::	2a02:de8:ffff:ffff:ffff:ffff:ffff:ffff	CY
2a02:df0::	2a02:df0:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a02:df8::	2a02:df8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:e00::	2a02:e00:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:e08::	2a02:e08:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:e10::	2a02:e10:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:e18::	2a02:e18:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:e20::	2a02:e20:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:e28::	2a02:e28:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:e30::	2a02:e30:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:e38::	2a02:e38:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:e40::	2a02:e40:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a02:e48::	2a02:e48:ffff:ffff:ffff:ffff:ffff:ffff	MK
2a02:e50::	2a02:e50:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:e58::	2a02:e58:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:e60::	2a02:e60:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:e68::	2a02:e68:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:e70::	2a02:e70:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:e78::	2a02:e78:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:e80::	2a02:e80:ffff:ffff:ffff:ffff:ffff:ffff	EE
2a02:e88::	2a02:e88:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:e90::	2a02:e90:ffff:ffff:ffff:ffff:ffff:ffff	FO
2a02:e98::	2a02:e98:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:ea0::	2a02:ea0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:ea8::	2a02:ea8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:eb0::	2a02:eb0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:eb8::	2a02:eb8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:ec0::	2a02:ec0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:ec8::	2a02:ec8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:ed0::	2a02:ed0:ffff:ffff:ffff:ffff:ffff:ffff	IL
2a02:ed8::	2a02:ed8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:ee0::	2a02:ee0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:ee8::	2a02:ee8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:ef0::	2a02:ef0:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:ef8::	2a02:ef8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:f00::	2a02:f00:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:f08::	2a02:f08:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:f10::	2a02:f10:ffff:ffff:ffff:ffff:ffff:ffff	UZ
2a02:f18::	2a02:f18:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:f20::	2a02:f20:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:f28::	2a02:f28:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:f30::	2a02:f30:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:f38::	2a02:f38:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:f40::	2a02:f40:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:f48::	2a02:f48:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a02:f50::	2a02:f50:ffff:ffff:ffff:ffff:ffff:ffff	LB
2a02:f58::	2a02:f58:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:f60::	2a02:f60:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:f68::	2a02:f68:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:f70::	2a02:f70:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:f78::	2a02:f78:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:f80::	2a02:f80:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:f88::	2a02:f88:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a02:f90::	2a02:f90:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:f98::	2a02:f98:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:fa0::	2a02:fa0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:fa8::	2a02:fa8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:fb0::	2a02:fb0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:fb8::	2a02:fb8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:fc0::	2a02:fc0:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a02:fc8::	2a02:fc8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:fd0::	2a02:fd0:ffff:ffff:ffff:ffff:ffff:ffff	MD
2a02:fd8::	2a02:fd8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:fe0::	2a02:fe0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:fe8::	2a02:fe8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:ff0::	2a02:ff0:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:ff8::	2a02:ff8:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a02:1000::	2a02:103f:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1200::	2a02:121f:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:1300::	2a02:1300:ffff:ffff:ffff:ffff:ffff:ffff	IS
2a02:1308::	2a02:1308:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1310::	2a02:1310:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1318::	2a02:1318:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1320::	2a02:1320:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:1328::	2a02:1328:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1330::	2a02:1330:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:1338::	2a02:1338:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a02:1340::	2a02:1340:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1348::	2a02:1348:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1350::	2a02:1350:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1358::	2a02:1358:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:1360::	2a02:1360:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:1368::	2a02:1368:ffff:ffff:ffff:ffff:ffff:ffff	RS
2a02:1370::	2a02:1370:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:1378::	2a02:1378:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1380::	2a02:1380:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:1388::	2a02:1388:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a02:1390::	2a02:1390:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:1398::	2a02:1398:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:13a0::	2a02:13a0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:13a8::	2a02:13a8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:13b0::	2a02:13b0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:13b8::	2a02:13b8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:13c0::	2a02:13c0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:13c8::	2a02:13c8:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:13d0::	2a02:13d0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:13d8::	2a02:13d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:13e0::	2a02:13e0:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:13e8::	2a02:13e8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:13f0::	2a02:13f0:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a02:13f8::	2a02:13f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1400::	2a02:143f:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:1600::	2a02:1600:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:1608::	2a02:1608:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1610::	2a02:1610:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:1618::	2a02:1618:ffff:ffff:ffff:ffff:ffff:ffff	MD
2a02:1620::	2a02:1620:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1628::	2a02:1628:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1630::	2a02:1630:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:1638::	2a02:1638:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:1640::	2a02:1640:ffff:ffff:ffff:ffff:ffff:ffff	CY
2a02:1648::	2a02:1648:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1650::	2a02:1650:ffff:ffff:ffff:ffff:ffff:ffff	SA
2a02:1658::	2a02:1658:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1660::	2a02:1660:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:1668::	2a02:1668:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:1670::	2a02:1670:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1678::	2a02:1678:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:1680::	2a02:1680:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:1688::	2a02:1688:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:1690::	2a02:1690:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:1698::	2a02:1698:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:16a0::	2a02:16a0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:16a8::	2a02:16a8:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:16b0::	2a02:16b0:ffff:ffff:ffff:ffff:ffff:ffff	KW
2a02:16b8::	2a02:16b8:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:16c0::	2a02:16c0:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a02:16c8::	2a02:16c8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:16d0::	2a02:16d0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:16d8::	2a02:16d8:ffff:ffff:ffff:ffff:ffff:ffff	LV
2a02:16e0::	2a02:16e0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:16e8::	2a02:16e8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:16f0::	2a02:16f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:16f8::	2a02:16f8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1700::	2a02:1700:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1708::	2a02:1708:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:1710::	2a02:1710:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1718::	2a02:1718:ffff:ffff:ffff:ffff:ffff:ffff	AE
2a02:1720::	2a02:1720:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:1728::	2a02:1728:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1730::	2a02:1730:ffff:ffff:ffff:ffff:ffff:ffff	IR
2a02:1738::	2a02:1738:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:1740::	2a02:1740:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:1748::	2a02:1748:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:1750::	2a02:1750:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:1758::	2a02:1758:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:1760::	2a02:1760:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:1768::	2a02:1768:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:1770::	2a02:1770:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:1778::	2a02:1778:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:1780::	2a02:1780:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:1788::	2a02:1788:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:1790::	2a02:1790:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:1798::	2a02:1798:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:17a0::	2a02:17a0:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:17a8::	2a02:17a8:ffff:ffff:ffff:ffff:ffff:ffff	BA
2a02:17b0::	2a02:17b0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:17b8::	2a02:17b8:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:17c0::	2a02:17c0:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:17c8::	2a02:17c8:ffff:ffff:ffff:ffff:ffff:ffff	SE
2a02:17d0::	2a02:17d0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:17d8::	2a02:17d8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:17e0::	2a02:17e0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:17e8::	2a02:17e8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:17f0::	2a02:17f0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:17f8::	2a02:17f8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:1800::	2a02:18ff:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:2008::	2a02:2008:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2010::	2a02:2010:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:2018::	2a02:2018:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:2020::	2a02:2020:ffff:ffff:ffff:ffff:ffff:ffff	TR
2a02:2028::	2a02:2028:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2030::	2a02:2030:ffff:ffff:ffff:ffff:ffff:ffff	BA
2a02:2038::	2a02:2038:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2040::	2a02:2040:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:2048::	2a02:2048:ffff:ffff:ffff:ffff:ffff:ffff	FI
2a02:2050::	2a02:2050:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2058::	2a02:2058:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:2060::	2a02:2060:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2068::	2a02:2068:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:2070::	2a02:2070:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:2078::	2a02:2078:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:2080::	2a02:2080:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2088::	2a02:2088:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:2090::	2a02:2090:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:2098::	2a02:2098:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:20a0::	2a02:20a0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:20a8::	2a02:20a8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:20b0::	2a02:20b0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:20b8::	2a02:20b8:ffff:ffff:ffff:ffff:ffff:ffff	HR
2a02:20c0::	2a02:20c0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:20c8::	2a02:20c8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:20d0::	2a02:20d0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:20d8::	2a02:20d8:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:20e0::	2a02:20e0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:20e8::	2a02:20e8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:20f0::	2a02:20f0:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:20f8::	2a02:20f8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2100::	2a02:2100:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:2108::	2a02:2108:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:2110::	2a02:2110:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2118::	2a02:2118:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:2120::	2a02:2123:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:2140::	2a02:2140:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2148::	2a02:2148:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a02:2150::	2a02:2150:ffff:ffff:ffff:ffff:ffff:ffff	IT
2a02:2158::	2a02:2158:ffff:ffff:ffff:ffff:ffff:ffff	IE
2a02:2160::	2a02:2160:ffff:ffff:ffff:ffff:ffff:ffff	RO
2a02:2168::	2a02:2168:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:2170::	2a02:2170:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:2178::	2a02:2178:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2180::	2a02:2180:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:2188::	2a02:2188:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:2190::	2a02:2190:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:2198::	2a02:2198:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:21a0::	2a02:21a0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:21a8::	2a02:21a8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:21b0::	2a02:21b0:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:21b8::	2a02:21b8:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:21c0::	2a02:21c0:ffff:ffff:ffff:ffff:ffff:ffff	BA
2a02:21c8::	2a02:21c8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:21d0::	2a02:21d0:ffff:ffff:ffff:ffff:ffff:ffff	BE
2a02:21d8::	2a02:21d8:ffff:ffff:ffff:ffff:ffff:ffff	CH
2a02:21e0::	2a02:21e0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:21e8::	2a02:21e8:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:21f0::	2a02:21f0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:21f8::	2a02:21f8:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2200::	2a02:2200:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:2208::	2a02:2208:ffff:ffff:ffff:ffff:ffff:ffff	BY
2a02:2210::	2a02:2210:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:2218::	2a02:2218:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2220::	2a02:2220:ffff:ffff:ffff:ffff:ffff:ffff	AT
2a02:2228::	2a02:2228:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2230::	2a02:2230:ffff:ffff:ffff:ffff:ffff:ffff	SI
2a02:2238::	2a02:2238:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2240::	2a02:2240:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2248::	2a02:2248:ffff:ffff:ffff:ffff:ffff:ffff	BG
2a02:2250::	2a02:2250:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2258::	2a02:2258:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2260::	2a02:2260:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:2268::	2a02:2268:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:2270::	2a02:2270:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:2278::	2a02:2278:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:2280::	2a02:2280:ffff:ffff:ffff:ffff:ffff:ffff	ES
2a02:2288::	2a02:2288:ffff:ffff:ffff:ffff:ffff:ffff	FR
2a02:2290::	2a02:2290:ffff:ffff:ffff:ffff:ffff:ffff	LU
2a02:2298::	2a02:2298:ffff:ffff:ffff:ffff:ffff:ffff	GR
2a02:22a0::	2a02:22a0:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:22a8::	2a02:22a8:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:22b0::	2a02:22b0:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:22b8::	2a02:22b8:ffff:ffff:ffff:ffff:ffff:ffff	NO
2a02:22c0::	2a02:22c0:ffff:ffff:ffff:ffff:ffff:ffff	RU
2a02:22c8::	2a02:22c8:ffff:ffff:ffff:ffff:ffff:ffff	DK
2a02:22d0::	2a02:22d0:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:22d8::	2a02:22d8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:22e0::	2a02:22e0:ffff:ffff:ffff:ffff:ffff:ffff	PL
2a02:22e8::	2a02:22e8:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:22f0::	2a02:22f0:ffff:ffff:ffff:ffff:ffff:ffff	DE
2a02:22f8::	2a02:22f8:ffff:ffff:ffff:ffff:ffff:ffff	EU
2a02:2300::	2a02:2300:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2308::	2a02:2308:ffff:ffff:ffff:ffff:ffff:ffff	NL
2a02:2310::	2a02:2310:ffff:ffff:ffff:ffff:ffff:ffff	CZ
2a02:2318::	2a02:2318:ffff:ffff:ffff:ffff:ffff:ffff	GB
2a02:2320::	2a02:2320:ffff:ffff:ffff:ffff:ffff:ffff	UA
2a02:2328::	2a02:2328:ffff:ffff:ffff:ffff:ffff:ffff	FR
2c0f:fe00::	2c0f:fe00:ffff:ffff:ffff:ffff:ffff:ffff	MU
2c0f:fe08::	2c0f:fe08:ffff:ffff:ffff:ffff:ffff:ffff	KE
2c0f:fe10::	2c0f:fe10:ffff:ffff:ffff:ffff:ffff:ffff	UG
2c0f:fe18::	2c0f:fe18:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2c0f:fe20::	2c0f:fe20:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2c0f:fe28::	2c0f:fe28:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2c0f:fe30::	2c0f:fe30:ffff:ffff:ffff:ffff:ffff:ffff	RW
2c0f:fe38::	2c0f:fe38:ffff:ffff:ffff:ffff:ffff:ffff	KE
2c0f:fe40::	2c0f:fe40:ffff:ffff:ffff:ffff:ffff:ffff	KE
2c0f:fe48::	2c0f:fe48:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2c0f:fe50::	2c0f:fe50:ffff:ffff:ffff:ffff:ffff:ffff	DZ
2c0f:fe58::	2c0f:fe58:ffff:ffff:ffff:ffff:ffff:ffff	LS
2c0f:fe60::	2c0f:fe60:ffff:ffff:ffff:ffff:ffff:ffff	RW
2c0f:fe68::	2c0f:fe68:ffff:ffff:ffff:ffff:ffff:ffff	MU
2c0f:fe70::	2c0f:fe70:ffff:ffff:ffff:ffff:ffff:ffff	UG
2c0f:fe78::	2c0f:fe78:ffff:ffff:ffff:ffff:ffff:ffff	ZA
2c0f:fe80::	2c0f:fe80:ffff:ffff:ffff:ffff:ffff:ffff	ZM
2c0f:fe88::	2c0f:fe88:ffff:ffff:ffff:ffff:ffff:ffff	KE
\.


--
-- Data for Name: global_files; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY global_files (relpath) FROM stdin;
/mageia_timestamp
\.


--
-- Data for Name: hosts; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY hosts (hostname, country, city, readonly, infourl, hostby, sponsorurl, comment, contact, syncfrom, public, bandwidth, latitude, longitude) FROM stdin;
distrib-coffee.ipsl.jussieu.fr	FR	Paris	t	\N	\N	\N	\N	\N	rsync.mageia.org	t	104857600	48.846291	2.3559301
ftp.ciril.fr	FR	Nancy	f	\N	\N	\N	\N	\N	distrib-coffee.ipsl.jussieu.fr	t	\N	48.643059	6.185791
ftp.u-strasbg.fr	FR	Strasbourg	f	\N	\N	\N	\N	\N	distrib-coffee.ipsl.jussieu.fr	t	1073741824	48.582188	7.7478271
rsync.mageia.org	FR	Marseille	t	\N	\N	\N	\N	\N	\N	f	\N	\N	\N
\.


--
-- Data for Name: hosts_; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY hosts_ (hostname, country, city, readonly, infourl, hostby, sponsorurl, comment, contact, syncfrom, public, bandwidth) FROM stdin;
\.


--
-- Data for Name: ips; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY ips (hostname, ip, key) FROM stdin;
distrib-coffee.ipsl.jussieu.fr	134.157.176.20	81
ftp.u-strasbg.fr	130.79.200.5	131
ftp.u-strasbg.fr	2001:660:2402::6	132
ftp.ciril.fr	193.50.27.70	133
ftp.ciril.fr	2001:660:4503:201::70	134
\.


--
-- Data for Name: protocol; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY protocol (name) FROM stdin;
http
ftp
rsync
https
\.


--
-- Data for Name: toplevel_urls; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY toplevel_urls (hostname, protocol, port, path, key, valid, lastcheck, lastok) FROM stdin;
rsync.mageia.org	rsync	\N	/mageia/	45	f	2010-09-30 21:22:31.530971+02	2010-10-03 02:38:58.007708+02
distrib-coffee.ipsl.jussieu.fr	ftp	\N	/pub/linux/Mageia	39	t	2010-10-03 21:53:00.584819+02	2010-10-03 21:53:00.584819+02
distrib-coffee.ipsl.jussieu.fr	rsync	\N	/pub/linux/Mageia	50	t	2010-10-03 21:53:01.729152+02	2010-10-03 21:53:01.729152+02
distrib-coffee.ipsl.jussieu.fr	https	\N	/pub/linux/Mageia	51	t	2010-10-03 21:53:02.885497+02	2010-10-03 21:53:02.885497+02
distrib-coffee.ipsl.jussieu.fr	http	\N	/pub/linux/Mageia	56	t	2010-10-03 21:53:03.48894+02	2010-10-03 21:53:03.48894+02
\.


--
-- Data for Name: toplevel_urls_; Type: TABLE DATA; Schema: public; Owner: nanardon
--

COPY toplevel_urls_ (hostname, protocol, port, path, key, valid, lastcheck, lastok) FROM stdin;
\.


--
-- Name: bandwidth_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY bandwidth
    ADD CONSTRAINT bandwidth_pkey PRIMARY KEY (value);


--
-- Name: continent_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY continent
    ADD CONSTRAINT continent_pkey PRIMARY KEY (code);


--
-- Name: country_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_pkey PRIMARY KEY (code);


--
-- Name: distribution_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY distributions
    ADD CONSTRAINT distribution_pkey PRIMARY KEY (dkey);


--
-- Name: geoip_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY geoip
    ADD CONSTRAINT geoip_pkey PRIMARY KEY (ipmin, ipmax);


--
-- Name: global_files_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY global_files
    ADD CONSTRAINT global_files_pkey PRIMARY KEY (relpath);


--
-- Name: host_hostname_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY hosts_
    ADD CONSTRAINT host_hostname_pkey PRIMARY KEY (hostname);


--
-- Name: hosts_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY hosts
    ADD CONSTRAINT hosts_pkey PRIMARY KEY (hostname);


--
-- Name: ips_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY ips
    ADD CONSTRAINT ips_pkey PRIMARY KEY (key);


--
-- Name: mirrors_distribution_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY distributions_validity
    ADD CONSTRAINT mirrors_distribution_pkey PRIMARY KEY (urlskey, distributionkey);


--
-- Name: protocol_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY protocol
    ADD CONSTRAINT protocol_pkey PRIMARY KEY (name);


--
-- Name: urls_host_proto_uniq; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY toplevel_urls
    ADD CONSTRAINT urls_host_proto_uniq UNIQUE (protocol, hostname);


--
-- Name: urls_pkey; Type: CONSTRAINT; Schema: public; Owner: nanardon; Tablespace: 
--

ALTER TABLE ONLY toplevel_urls
    ADD CONSTRAINT urls_pkey PRIMARY KEY (key);


--
-- Name: fki_country_continent_fkey; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_country_continent_fkey ON country USING btree (continent_code);


--
-- Name: fki_hosts_bandwidth_fkey; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_hosts_bandwidth_fkey ON hosts USING btree (bandwidth);


--
-- Name: fki_hosts_country_fkey; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_hosts_country_fkey ON hosts USING btree (country);


--
-- Name: fki_ips_family; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_ips_family ON ips USING btree (family(ip));


--
-- Name: fki_ips_hostname_fkey; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_ips_hostname_fkey ON ips USING btree (hostname);


--
-- Name: fki_md_distribution_fkey; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_md_distribution_fkey ON distributions_validity USING btree (distributionkey);


--
-- Name: fki_mirrors_syncfrom_fkey; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_mirrors_syncfrom_fkey ON hosts USING btree (syncfrom);


--
-- Name: fki_urls_hosts_fkey; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX fki_urls_hosts_fkey ON toplevel_urls USING btree (hostname);


--
-- Name: geoip_inetfamily_idx; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX geoip_inetfamily_idx ON geoip USING btree (family(ipmin));


--
-- Name: mirrors_distributions_exists_idx; Type: INDEX; Schema: public; Owner: nanardon; Tablespace: 
--

CREATE INDEX mirrors_distributions_exists_idx ON distributions_validity USING btree ("exists");


--
-- Name: country_continent_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY country
    ADD CONSTRAINT country_continent_fkey FOREIGN KEY (continent_code) REFERENCES continent(code);


--
-- Name: hosts_bandwidth_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY hosts
    ADD CONSTRAINT hosts_bandwidth_fkey FOREIGN KEY (bandwidth) REFERENCES bandwidth(value) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: hosts_country_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY hosts
    ADD CONSTRAINT hosts_country_fkey FOREIGN KEY (country) REFERENCES country(code);


--
-- Name: ips_hostname_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY ips
    ADD CONSTRAINT ips_hostname_fkey FOREIGN KEY (hostname) REFERENCES hosts(hostname) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: md_distribution_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY distributions_validity
    ADD CONSTRAINT md_distribution_fkey FOREIGN KEY (distributionkey) REFERENCES distributions(dkey) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: md_urls_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY distributions_validity
    ADD CONSTRAINT md_urls_fkey FOREIGN KEY (urlskey) REFERENCES toplevel_urls(key) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: mirrors_syncfrom_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY hosts
    ADD CONSTRAINT mirrors_syncfrom_fkey FOREIGN KEY (syncfrom) REFERENCES hosts(hostname) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- Name: urls_hosts_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY toplevel_urls
    ADD CONSTRAINT urls_hosts_fkey FOREIGN KEY (hostname) REFERENCES hosts(hostname) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- Name: urls_protocol_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nanardon
--

ALTER TABLE ONLY toplevel_urls
    ADD CONSTRAINT urls_protocol_fkey FOREIGN KEY (protocol) REFERENCES protocol(name);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

